#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 8561
#define LARGE_STATE_COUNT 2035
#define SYMBOL_COUNT 263
#define ALIAS_COUNT 1
#define TOKEN_COUNT 125
#define EXTERNAL_TOKEN_COUNT 6
#define FIELD_COUNT 14
#define MAX_ALIAS_SEQUENCE_LENGTH 13
#define PRODUCTION_ID_COUNT 69

enum ts_symbol_identifiers {
  sym_identifier = 1,
  anon_sym_LBRACE = 2,
  anon_sym_RBRACE = 3,
  anon_sym_package = 4,
  anon_sym_foreign = 5,
  anon_sym_import = 6,
  anon_sym_COMMA = 7,
  anon_sym_COLON_COLON = 8,
  anon_sym_proc = 9,
  anon_sym_DASH_GT = 10,
  anon_sym_where = 11,
  anon_sym_DQUOTEodin_DQUOTE = 12,
  anon_sym_DQUOTEcontextless_DQUOTE = 13,
  anon_sym_DQUOTEstdcall_DQUOTE = 14,
  anon_sym_DQUOTEstd_DQUOTE = 15,
  anon_sym_DQUOTEcdecl_DQUOTE = 16,
  anon_sym_DQUOTEc_DQUOTE = 17,
  anon_sym_DQUOTEfastcall_DQUOTE = 18,
  anon_sym_DQUOTEfast_DQUOTE = 19,
  anon_sym_DQUOTEnone_DQUOTE = 20,
  anon_sym_DQUOTEsystem_DQUOTE = 21,
  anon_sym_struct = 22,
  anon_sym_using = 23,
  anon_sym_enum = 24,
  anon_sym_EQ = 25,
  anon_sym_union = 26,
  anon_sym_COLON_EQ = 27,
  anon_sym_POUNDtype = 28,
  anon_sym_COLON = 29,
  anon_sym_AT = 30,
  anon_sym_LPAREN = 31,
  anon_sym_RPAREN = 32,
  anon_sym_DOLLAR = 33,
  anon_sym_PLUS_EQ = 34,
  anon_sym_DASH_EQ = 35,
  anon_sym_STAR_EQ = 36,
  anon_sym_SLASH_EQ = 37,
  anon_sym_PERCENT_EQ = 38,
  anon_sym_AMP_EQ = 39,
  anon_sym_PIPE_EQ = 40,
  anon_sym_CARET_EQ = 41,
  anon_sym_LT_LT_EQ = 42,
  anon_sym_GT_GT_EQ = 43,
  anon_sym_PIPE_PIPE_EQ = 44,
  anon_sym_AMP_AMP_EQ = 45,
  anon_sym_AMP_TILDE_EQ = 46,
  anon_sym_if = 47,
  anon_sym_SEMI = 48,
  anon_sym_do = 49,
  anon_sym_else = 50,
  anon_sym_when = 51,
  anon_sym_for = 52,
  anon_sym_in = 53,
  anon_sym_switch = 54,
  anon_sym_case = 55,
  anon_sym_defer = 56,
  anon_sym_break = 57,
  anon_sym_continue = 58,
  sym_fallthrough_statement = 59,
  anon_sym_return = 60,
  anon_sym_QMARK = 61,
  anon_sym_PLUS = 62,
  anon_sym_DASH = 63,
  anon_sym_TILDE = 64,
  anon_sym_BANG = 65,
  anon_sym_AMP = 66,
  anon_sym_PIPE_PIPE = 67,
  anon_sym_or_else = 68,
  anon_sym_AMP_AMP = 69,
  anon_sym_GT = 70,
  anon_sym_GT_EQ = 71,
  anon_sym_LT_EQ = 72,
  anon_sym_LT = 73,
  anon_sym_EQ_EQ = 74,
  anon_sym_BANG_EQ = 75,
  anon_sym_TILDE_EQ = 76,
  anon_sym_PIPE = 77,
  anon_sym_AMP_TILDE = 78,
  anon_sym_LT_LT = 79,
  anon_sym_GT_GT = 80,
  anon_sym_STAR = 81,
  anon_sym_SLASH = 82,
  anon_sym_PERCENT = 83,
  anon_sym_PERCENT_PERCENT = 84,
  anon_sym_DOT = 85,
  anon_sym_LBRACK = 86,
  anon_sym_RBRACK = 87,
  anon_sym_DOT_DOT_EQ = 88,
  anon_sym_DOT_DOT_LT = 89,
  anon_sym_cast = 90,
  anon_sym_transmute = 91,
  anon_sym_auto_cast = 92,
  anon_sym_not_in = 93,
  anon_sym_DOT_DOT = 94,
  anon_sym_or_return = 95,
  anon_sym_or_continue = 96,
  anon_sym_or_break = 97,
  anon_sym_CARET = 98,
  anon_sym_DOT_DOT_DOT = 99,
  anon_sym_dynamic = 100,
  anon_sym_map = 101,
  anon_sym_bit_set = 102,
  anon_sym_matrix = 103,
  anon_sym_DOT2 = 104,
  anon_sym_distinct = 105,
  sym_number = 106,
  anon_sym_DQUOTE = 107,
  anon_sym_BQUOTE = 108,
  anon_sym_SQUOTE = 109,
  aux_sym_character_token1 = 110,
  sym_string_content = 111,
  sym__raw_string_content = 112,
  sym_escape_sequence = 113,
  anon_sym_true = 114,
  anon_sym_false = 115,
  sym_nil = 116,
  sym_uninitialized = 117,
  sym_tag = 118,
  sym_comment = 119,
  sym__newline = 120,
  sym__backslash = 121,
  sym__nl_comma = 122,
  sym_float = 123,
  sym_block_comment = 124,
  sym_source_file = 125,
  sym_block = 126,
  sym_tagged_block = 127,
  sym_declaration = 128,
  sym_package_declaration = 129,
  sym_import_declaration = 130,
  sym_procedure_declaration = 131,
  sym_procedure = 132,
  sym_where_clause = 133,
  sym_calling_convention = 134,
  sym_overloaded_procedure_declaration = 135,
  sym_struct_declaration = 136,
  sym_enum_declaration = 137,
  sym_union_declaration = 138,
  sym_variable_declaration = 139,
  sym_const_declaration = 140,
  sym_const_type_declaration = 141,
  sym_foreign_block = 142,
  sym_attributes = 143,
  sym_attribute = 144,
  sym_parameters = 145,
  sym_parameter = 146,
  sym_default_parameter = 147,
  sym_polymorphic_parameters = 148,
  sym_field = 149,
  sym_statement = 150,
  sym_assignment_statement = 151,
  sym_update_statement = 152,
  sym_if_statement = 153,
  sym_else_if_clause = 154,
  sym_else_clause = 155,
  sym_when_statement = 156,
  sym_else_when_clause = 157,
  sym_for_statement = 158,
  sym__for_in_expression = 159,
  sym__simple_assignment_statement = 160,
  sym_switch_statement = 161,
  sym_switch_case = 162,
  sym_defer_statement = 163,
  sym_break_statement = 164,
  sym_continue_statement = 165,
  sym_var_declaration = 166,
  sym_return_statement = 167,
  sym_label_statement = 168,
  sym_using_statement = 169,
  sym_expression = 170,
  sym__expression_no_tag = 171,
  sym_unary_expression = 172,
  sym_binary_expression = 173,
  sym_ternary_expression = 174,
  sym_call_expression = 175,
  sym_selector_call_expression = 176,
  sym_member_expression = 177,
  sym_index_expression = 178,
  sym_slice_expression = 179,
  sym_range_expression = 180,
  sym_cast_expression = 181,
  sym_in_expression = 182,
  sym_variadic_expression = 183,
  sym_parenthesized_expression = 184,
  sym_or_return_expression = 185,
  sym_or_continue_expression = 186,
  sym_or_break_expression = 187,
  sym_address = 188,
  sym_type = 189,
  sym_pointer_type = 190,
  sym_variadic_type = 191,
  sym_array_type = 192,
  sym_map_type = 193,
  sym_union_type = 194,
  sym_bit_set_type = 195,
  sym_matrix_type = 196,
  sym_field_type = 197,
  sym_tuple_type = 198,
  sym_struct_type = 199,
  sym__struct_members = 200,
  sym_struct_member = 201,
  sym_enum_type = 202,
  sym_named_type = 203,
  sym_default_type = 204,
  sym_constant_type = 205,
  sym_specialized_type = 206,
  sym__procedure_type = 207,
  sym_distinct_type = 208,
  sym_empty_type = 209,
  sym_polymorphic_type = 210,
  sym_conditional_type = 211,
  sym_literal = 212,
  sym_struct = 213,
  sym_map = 214,
  sym_bit_set = 215,
  sym_matrix = 216,
  sym_struct_field = 217,
  sym_string = 218,
  sym__string_literal = 219,
  sym__raw_string_literal = 220,
  sym_character = 221,
  sym_boolean = 222,
  sym_field_identifier = 223,
  sym__separator = 224,
  aux_sym_source_file_repeat1 = 225,
  aux_sym_block_repeat1 = 226,
  aux_sym_import_declaration_repeat1 = 227,
  aux_sym_where_clause_repeat1 = 228,
  aux_sym_overloaded_procedure_declaration_repeat1 = 229,
  aux_sym_struct_declaration_repeat1 = 230,
  aux_sym_struct_declaration_repeat2 = 231,
  aux_sym_enum_declaration_repeat1 = 232,
  aux_sym_union_declaration_repeat1 = 233,
  aux_sym_variable_declaration_repeat1 = 234,
  aux_sym_const_declaration_repeat1 = 235,
  aux_sym_attributes_repeat1 = 236,
  aux_sym_attribute_repeat1 = 237,
  aux_sym_parameters_repeat1 = 238,
  aux_sym_parameter_repeat1 = 239,
  aux_sym_polymorphic_parameters_repeat1 = 240,
  aux_sym_polymorphic_parameters_repeat2 = 241,
  aux_sym_field_repeat1 = 242,
  aux_sym_if_statement_repeat1 = 243,
  aux_sym_when_statement_repeat1 = 244,
  aux_sym__simple_assignment_statement_repeat1 = 245,
  aux_sym_switch_statement_repeat1 = 246,
  aux_sym_switch_case_repeat1 = 247,
  aux_sym_return_statement_repeat1 = 248,
  aux_sym_call_expression_repeat1 = 249,
  aux_sym_field_type_repeat1 = 250,
  aux_sym_tuple_type_repeat1 = 251,
  aux_sym_struct_type_repeat1 = 252,
  aux_sym_struct_type_repeat2 = 253,
  aux_sym__struct_members_repeat1 = 254,
  aux_sym_struct_member_repeat1 = 255,
  aux_sym_polymorphic_type_repeat1 = 256,
  aux_sym_struct_repeat1 = 257,
  aux_sym_struct_repeat2 = 258,
  aux_sym_map_repeat1 = 259,
  aux_sym__string_literal_repeat1 = 260,
  aux_sym__raw_string_literal_repeat1 = 261,
  aux_sym_field_identifier_repeat1 = 262,
  alias_sym_procedure_type = 263,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_identifier] = "identifier",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [anon_sym_package] = "package",
  [anon_sym_foreign] = "foreign",
  [anon_sym_import] = "import",
  [anon_sym_COMMA] = ",",
  [anon_sym_COLON_COLON] = "::",
  [anon_sym_proc] = "proc",
  [anon_sym_DASH_GT] = "->",
  [anon_sym_where] = "where",
  [anon_sym_DQUOTEodin_DQUOTE] = "\"odin\"",
  [anon_sym_DQUOTEcontextless_DQUOTE] = "\"contextless\"",
  [anon_sym_DQUOTEstdcall_DQUOTE] = "\"stdcall\"",
  [anon_sym_DQUOTEstd_DQUOTE] = "\"std\"",
  [anon_sym_DQUOTEcdecl_DQUOTE] = "\"cdecl\"",
  [anon_sym_DQUOTEc_DQUOTE] = "\"c\"",
  [anon_sym_DQUOTEfastcall_DQUOTE] = "\"fastcall\"",
  [anon_sym_DQUOTEfast_DQUOTE] = "\"fast\"",
  [anon_sym_DQUOTEnone_DQUOTE] = "\"none\"",
  [anon_sym_DQUOTEsystem_DQUOTE] = "\"system\"",
  [anon_sym_struct] = "struct",
  [anon_sym_using] = "using",
  [anon_sym_enum] = "enum",
  [anon_sym_EQ] = "=",
  [anon_sym_union] = "union",
  [anon_sym_COLON_EQ] = ":=",
  [anon_sym_POUNDtype] = "tag",
  [anon_sym_COLON] = ":",
  [anon_sym_AT] = "@",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_DOLLAR] = "$",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_PIPE_PIPE_EQ] = "||=",
  [anon_sym_AMP_AMP_EQ] = "&&=",
  [anon_sym_AMP_TILDE_EQ] = "&~=",
  [anon_sym_if] = "if",
  [anon_sym_SEMI] = ";",
  [anon_sym_do] = "do",
  [anon_sym_else] = "else",
  [anon_sym_when] = "when",
  [anon_sym_for] = "for",
  [anon_sym_in] = "in",
  [anon_sym_switch] = "switch",
  [anon_sym_case] = "case",
  [anon_sym_defer] = "defer",
  [anon_sym_break] = "break",
  [anon_sym_continue] = "continue",
  [sym_fallthrough_statement] = "fallthrough_statement",
  [anon_sym_return] = "return",
  [anon_sym_QMARK] = "\?",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_TILDE] = "~",
  [anon_sym_BANG] = "!",
  [anon_sym_AMP] = "&",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_or_else] = "or_else",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_GT] = ">",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_LT] = "<",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_TILDE_EQ] = "~=",
  [anon_sym_PIPE] = "|",
  [anon_sym_AMP_TILDE] = "&~",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_STAR] = "*",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [anon_sym_PERCENT_PERCENT] = "%%",
  [anon_sym_DOT] = ".",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_DOT_DOT_EQ] = "..=",
  [anon_sym_DOT_DOT_LT] = "..<",
  [anon_sym_cast] = "cast",
  [anon_sym_transmute] = "transmute",
  [anon_sym_auto_cast] = "auto_cast",
  [anon_sym_not_in] = "not_in",
  [anon_sym_DOT_DOT] = "..",
  [anon_sym_or_return] = "or_return",
  [anon_sym_or_continue] = "or_continue",
  [anon_sym_or_break] = "or_break",
  [anon_sym_CARET] = "^",
  [anon_sym_DOT_DOT_DOT] = "...",
  [anon_sym_dynamic] = "dynamic",
  [anon_sym_map] = "map",
  [anon_sym_bit_set] = "bit_set",
  [anon_sym_matrix] = "matrix",
  [anon_sym_DOT2] = ".",
  [anon_sym_distinct] = "distinct",
  [sym_number] = "number",
  [anon_sym_DQUOTE] = "\"",
  [anon_sym_BQUOTE] = "`",
  [anon_sym_SQUOTE] = "'",
  [aux_sym_character_token1] = "character_token1",
  [sym_string_content] = "string_content",
  [sym__raw_string_content] = "string_content",
  [sym_escape_sequence] = "escape_sequence",
  [anon_sym_true] = "true",
  [anon_sym_false] = "false",
  [sym_nil] = "nil",
  [sym_uninitialized] = "uninitialized",
  [sym_tag] = "tag",
  [sym_comment] = "comment",
  [sym__newline] = "_newline",
  [sym__backslash] = "_backslash",
  [sym__nl_comma] = ",",
  [sym_float] = "float",
  [sym_block_comment] = "block_comment",
  [sym_source_file] = "source_file",
  [sym_block] = "block",
  [sym_tagged_block] = "tagged_block",
  [sym_declaration] = "declaration",
  [sym_package_declaration] = "package_declaration",
  [sym_import_declaration] = "import_declaration",
  [sym_procedure_declaration] = "procedure_declaration",
  [sym_procedure] = "procedure",
  [sym_where_clause] = "where_clause",
  [sym_calling_convention] = "calling_convention",
  [sym_overloaded_procedure_declaration] = "overloaded_procedure_declaration",
  [sym_struct_declaration] = "struct_declaration",
  [sym_enum_declaration] = "enum_declaration",
  [sym_union_declaration] = "union_declaration",
  [sym_variable_declaration] = "variable_declaration",
  [sym_const_declaration] = "const_declaration",
  [sym_const_type_declaration] = "const_type_declaration",
  [sym_foreign_block] = "foreign_block",
  [sym_attributes] = "attributes",
  [sym_attribute] = "attribute",
  [sym_parameters] = "parameters",
  [sym_parameter] = "parameter",
  [sym_default_parameter] = "default_parameter",
  [sym_polymorphic_parameters] = "polymorphic_parameters",
  [sym_field] = "field",
  [sym_statement] = "statement",
  [sym_assignment_statement] = "assignment_statement",
  [sym_update_statement] = "update_statement",
  [sym_if_statement] = "if_statement",
  [sym_else_if_clause] = "else_if_clause",
  [sym_else_clause] = "else_clause",
  [sym_when_statement] = "when_statement",
  [sym_else_when_clause] = "else_when_clause",
  [sym_for_statement] = "for_statement",
  [sym__for_in_expression] = "_for_in_expression",
  [sym__simple_assignment_statement] = "assignment_statement",
  [sym_switch_statement] = "switch_statement",
  [sym_switch_case] = "switch_case",
  [sym_defer_statement] = "defer_statement",
  [sym_break_statement] = "break_statement",
  [sym_continue_statement] = "continue_statement",
  [sym_var_declaration] = "var_declaration",
  [sym_return_statement] = "return_statement",
  [sym_label_statement] = "label_statement",
  [sym_using_statement] = "using_statement",
  [sym_expression] = "expression",
  [sym__expression_no_tag] = "_expression_no_tag",
  [sym_unary_expression] = "unary_expression",
  [sym_binary_expression] = "binary_expression",
  [sym_ternary_expression] = "ternary_expression",
  [sym_call_expression] = "call_expression",
  [sym_selector_call_expression] = "selector_call_expression",
  [sym_member_expression] = "member_expression",
  [sym_index_expression] = "index_expression",
  [sym_slice_expression] = "slice_expression",
  [sym_range_expression] = "range_expression",
  [sym_cast_expression] = "cast_expression",
  [sym_in_expression] = "in_expression",
  [sym_variadic_expression] = "variadic_expression",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_or_return_expression] = "or_return_expression",
  [sym_or_continue_expression] = "or_continue_expression",
  [sym_or_break_expression] = "or_break_expression",
  [sym_address] = "address",
  [sym_type] = "type",
  [sym_pointer_type] = "pointer_type",
  [sym_variadic_type] = "variadic_type",
  [sym_array_type] = "array_type",
  [sym_map_type] = "map_type",
  [sym_union_type] = "union_type",
  [sym_bit_set_type] = "bit_set_type",
  [sym_matrix_type] = "matrix_type",
  [sym_field_type] = "field_type",
  [sym_tuple_type] = "tuple_type",
  [sym_struct_type] = "struct_type",
  [sym__struct_members] = "_struct_members",
  [sym_struct_member] = "struct_member",
  [sym_enum_type] = "enum_type",
  [sym_named_type] = "named_type",
  [sym_default_type] = "default_type",
  [sym_constant_type] = "constant_type",
  [sym_specialized_type] = "specialized_type",
  [sym__procedure_type] = "_procedure_type",
  [sym_distinct_type] = "distinct_type",
  [sym_empty_type] = "empty_type",
  [sym_polymorphic_type] = "polymorphic_type",
  [sym_conditional_type] = "conditional_type",
  [sym_literal] = "literal",
  [sym_struct] = "struct",
  [sym_map] = "map",
  [sym_bit_set] = "bit_set",
  [sym_matrix] = "matrix",
  [sym_struct_field] = "struct_field",
  [sym_string] = "string",
  [sym__string_literal] = "_string_literal",
  [sym__raw_string_literal] = "_raw_string_literal",
  [sym_character] = "character",
  [sym_boolean] = "boolean",
  [sym_field_identifier] = "field_identifier",
  [sym__separator] = "_separator",
  [aux_sym_source_file_repeat1] = "source_file_repeat1",
  [aux_sym_block_repeat1] = "block_repeat1",
  [aux_sym_import_declaration_repeat1] = "import_declaration_repeat1",
  [aux_sym_where_clause_repeat1] = "where_clause_repeat1",
  [aux_sym_overloaded_procedure_declaration_repeat1] = "overloaded_procedure_declaration_repeat1",
  [aux_sym_struct_declaration_repeat1] = "struct_declaration_repeat1",
  [aux_sym_struct_declaration_repeat2] = "struct_declaration_repeat2",
  [aux_sym_enum_declaration_repeat1] = "enum_declaration_repeat1",
  [aux_sym_union_declaration_repeat1] = "union_declaration_repeat1",
  [aux_sym_variable_declaration_repeat1] = "variable_declaration_repeat1",
  [aux_sym_const_declaration_repeat1] = "const_declaration_repeat1",
  [aux_sym_attributes_repeat1] = "attributes_repeat1",
  [aux_sym_attribute_repeat1] = "attribute_repeat1",
  [aux_sym_parameters_repeat1] = "parameters_repeat1",
  [aux_sym_parameter_repeat1] = "parameter_repeat1",
  [aux_sym_polymorphic_parameters_repeat1] = "polymorphic_parameters_repeat1",
  [aux_sym_polymorphic_parameters_repeat2] = "polymorphic_parameters_repeat2",
  [aux_sym_field_repeat1] = "field_repeat1",
  [aux_sym_if_statement_repeat1] = "if_statement_repeat1",
  [aux_sym_when_statement_repeat1] = "when_statement_repeat1",
  [aux_sym__simple_assignment_statement_repeat1] = "_simple_assignment_statement_repeat1",
  [aux_sym_switch_statement_repeat1] = "switch_statement_repeat1",
  [aux_sym_switch_case_repeat1] = "switch_case_repeat1",
  [aux_sym_return_statement_repeat1] = "return_statement_repeat1",
  [aux_sym_call_expression_repeat1] = "call_expression_repeat1",
  [aux_sym_field_type_repeat1] = "field_type_repeat1",
  [aux_sym_tuple_type_repeat1] = "tuple_type_repeat1",
  [aux_sym_struct_type_repeat1] = "struct_type_repeat1",
  [aux_sym_struct_type_repeat2] = "struct_type_repeat2",
  [aux_sym__struct_members_repeat1] = "_struct_members_repeat1",
  [aux_sym_struct_member_repeat1] = "struct_member_repeat1",
  [aux_sym_polymorphic_type_repeat1] = "polymorphic_type_repeat1",
  [aux_sym_struct_repeat1] = "struct_repeat1",
  [aux_sym_struct_repeat2] = "struct_repeat2",
  [aux_sym_map_repeat1] = "map_repeat1",
  [aux_sym__string_literal_repeat1] = "_string_literal_repeat1",
  [aux_sym__raw_string_literal_repeat1] = "_raw_string_literal_repeat1",
  [aux_sym_field_identifier_repeat1] = "field_identifier_repeat1",
  [alias_sym_procedure_type] = "procedure_type",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_identifier] = sym_identifier,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_package] = anon_sym_package,
  [anon_sym_foreign] = anon_sym_foreign,
  [anon_sym_import] = anon_sym_import,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_COLON_COLON] = anon_sym_COLON_COLON,
  [anon_sym_proc] = anon_sym_proc,
  [anon_sym_DASH_GT] = anon_sym_DASH_GT,
  [anon_sym_where] = anon_sym_where,
  [anon_sym_DQUOTEodin_DQUOTE] = anon_sym_DQUOTEodin_DQUOTE,
  [anon_sym_DQUOTEcontextless_DQUOTE] = anon_sym_DQUOTEcontextless_DQUOTE,
  [anon_sym_DQUOTEstdcall_DQUOTE] = anon_sym_DQUOTEstdcall_DQUOTE,
  [anon_sym_DQUOTEstd_DQUOTE] = anon_sym_DQUOTEstd_DQUOTE,
  [anon_sym_DQUOTEcdecl_DQUOTE] = anon_sym_DQUOTEcdecl_DQUOTE,
  [anon_sym_DQUOTEc_DQUOTE] = anon_sym_DQUOTEc_DQUOTE,
  [anon_sym_DQUOTEfastcall_DQUOTE] = anon_sym_DQUOTEfastcall_DQUOTE,
  [anon_sym_DQUOTEfast_DQUOTE] = anon_sym_DQUOTEfast_DQUOTE,
  [anon_sym_DQUOTEnone_DQUOTE] = anon_sym_DQUOTEnone_DQUOTE,
  [anon_sym_DQUOTEsystem_DQUOTE] = anon_sym_DQUOTEsystem_DQUOTE,
  [anon_sym_struct] = anon_sym_struct,
  [anon_sym_using] = anon_sym_using,
  [anon_sym_enum] = anon_sym_enum,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_union] = anon_sym_union,
  [anon_sym_COLON_EQ] = anon_sym_COLON_EQ,
  [anon_sym_POUNDtype] = sym_tag,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_AT] = anon_sym_AT,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_DOLLAR] = anon_sym_DOLLAR,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_STAR_EQ] = anon_sym_STAR_EQ,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [anon_sym_PERCENT_EQ] = anon_sym_PERCENT_EQ,
  [anon_sym_AMP_EQ] = anon_sym_AMP_EQ,
  [anon_sym_PIPE_EQ] = anon_sym_PIPE_EQ,
  [anon_sym_CARET_EQ] = anon_sym_CARET_EQ,
  [anon_sym_LT_LT_EQ] = anon_sym_LT_LT_EQ,
  [anon_sym_GT_GT_EQ] = anon_sym_GT_GT_EQ,
  [anon_sym_PIPE_PIPE_EQ] = anon_sym_PIPE_PIPE_EQ,
  [anon_sym_AMP_AMP_EQ] = anon_sym_AMP_AMP_EQ,
  [anon_sym_AMP_TILDE_EQ] = anon_sym_AMP_TILDE_EQ,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_do] = anon_sym_do,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_when] = anon_sym_when,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_in] = anon_sym_in,
  [anon_sym_switch] = anon_sym_switch,
  [anon_sym_case] = anon_sym_case,
  [anon_sym_defer] = anon_sym_defer,
  [anon_sym_break] = anon_sym_break,
  [anon_sym_continue] = anon_sym_continue,
  [sym_fallthrough_statement] = sym_fallthrough_statement,
  [anon_sym_return] = anon_sym_return,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_or_else] = anon_sym_or_else,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_TILDE_EQ] = anon_sym_TILDE_EQ,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_AMP_TILDE] = anon_sym_AMP_TILDE,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_PERCENT_PERCENT] = anon_sym_PERCENT_PERCENT,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_DOT_DOT_EQ] = anon_sym_DOT_DOT_EQ,
  [anon_sym_DOT_DOT_LT] = anon_sym_DOT_DOT_LT,
  [anon_sym_cast] = anon_sym_cast,
  [anon_sym_transmute] = anon_sym_transmute,
  [anon_sym_auto_cast] = anon_sym_auto_cast,
  [anon_sym_not_in] = anon_sym_not_in,
  [anon_sym_DOT_DOT] = anon_sym_DOT_DOT,
  [anon_sym_or_return] = anon_sym_or_return,
  [anon_sym_or_continue] = anon_sym_or_continue,
  [anon_sym_or_break] = anon_sym_or_break,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_DOT_DOT_DOT] = anon_sym_DOT_DOT_DOT,
  [anon_sym_dynamic] = anon_sym_dynamic,
  [anon_sym_map] = anon_sym_map,
  [anon_sym_bit_set] = anon_sym_bit_set,
  [anon_sym_matrix] = anon_sym_matrix,
  [anon_sym_DOT2] = anon_sym_DOT,
  [anon_sym_distinct] = anon_sym_distinct,
  [sym_number] = sym_number,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [anon_sym_BQUOTE] = anon_sym_BQUOTE,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [aux_sym_character_token1] = aux_sym_character_token1,
  [sym_string_content] = sym_string_content,
  [sym__raw_string_content] = sym_string_content,
  [sym_escape_sequence] = sym_escape_sequence,
  [anon_sym_true] = anon_sym_true,
  [anon_sym_false] = anon_sym_false,
  [sym_nil] = sym_nil,
  [sym_uninitialized] = sym_uninitialized,
  [sym_tag] = sym_tag,
  [sym_comment] = sym_comment,
  [sym__newline] = sym__newline,
  [sym__backslash] = sym__backslash,
  [sym__nl_comma] = anon_sym_COMMA,
  [sym_float] = sym_float,
  [sym_block_comment] = sym_block_comment,
  [sym_source_file] = sym_source_file,
  [sym_block] = sym_block,
  [sym_tagged_block] = sym_tagged_block,
  [sym_declaration] = sym_declaration,
  [sym_package_declaration] = sym_package_declaration,
  [sym_import_declaration] = sym_import_declaration,
  [sym_procedure_declaration] = sym_procedure_declaration,
  [sym_procedure] = sym_procedure,
  [sym_where_clause] = sym_where_clause,
  [sym_calling_convention] = sym_calling_convention,
  [sym_overloaded_procedure_declaration] = sym_overloaded_procedure_declaration,
  [sym_struct_declaration] = sym_struct_declaration,
  [sym_enum_declaration] = sym_enum_declaration,
  [sym_union_declaration] = sym_union_declaration,
  [sym_variable_declaration] = sym_variable_declaration,
  [sym_const_declaration] = sym_const_declaration,
  [sym_const_type_declaration] = sym_const_type_declaration,
  [sym_foreign_block] = sym_foreign_block,
  [sym_attributes] = sym_attributes,
  [sym_attribute] = sym_attribute,
  [sym_parameters] = sym_parameters,
  [sym_parameter] = sym_parameter,
  [sym_default_parameter] = sym_default_parameter,
  [sym_polymorphic_parameters] = sym_polymorphic_parameters,
  [sym_field] = sym_field,
  [sym_statement] = sym_statement,
  [sym_assignment_statement] = sym_assignment_statement,
  [sym_update_statement] = sym_update_statement,
  [sym_if_statement] = sym_if_statement,
  [sym_else_if_clause] = sym_else_if_clause,
  [sym_else_clause] = sym_else_clause,
  [sym_when_statement] = sym_when_statement,
  [sym_else_when_clause] = sym_else_when_clause,
  [sym_for_statement] = sym_for_statement,
  [sym__for_in_expression] = sym__for_in_expression,
  [sym__simple_assignment_statement] = sym_assignment_statement,
  [sym_switch_statement] = sym_switch_statement,
  [sym_switch_case] = sym_switch_case,
  [sym_defer_statement] = sym_defer_statement,
  [sym_break_statement] = sym_break_statement,
  [sym_continue_statement] = sym_continue_statement,
  [sym_var_declaration] = sym_var_declaration,
  [sym_return_statement] = sym_return_statement,
  [sym_label_statement] = sym_label_statement,
  [sym_using_statement] = sym_using_statement,
  [sym_expression] = sym_expression,
  [sym__expression_no_tag] = sym__expression_no_tag,
  [sym_unary_expression] = sym_unary_expression,
  [sym_binary_expression] = sym_binary_expression,
  [sym_ternary_expression] = sym_ternary_expression,
  [sym_call_expression] = sym_call_expression,
  [sym_selector_call_expression] = sym_selector_call_expression,
  [sym_member_expression] = sym_member_expression,
  [sym_index_expression] = sym_index_expression,
  [sym_slice_expression] = sym_slice_expression,
  [sym_range_expression] = sym_range_expression,
  [sym_cast_expression] = sym_cast_expression,
  [sym_in_expression] = sym_in_expression,
  [sym_variadic_expression] = sym_variadic_expression,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_or_return_expression] = sym_or_return_expression,
  [sym_or_continue_expression] = sym_or_continue_expression,
  [sym_or_break_expression] = sym_or_break_expression,
  [sym_address] = sym_address,
  [sym_type] = sym_type,
  [sym_pointer_type] = sym_pointer_type,
  [sym_variadic_type] = sym_variadic_type,
  [sym_array_type] = sym_array_type,
  [sym_map_type] = sym_map_type,
  [sym_union_type] = sym_union_type,
  [sym_bit_set_type] = sym_bit_set_type,
  [sym_matrix_type] = sym_matrix_type,
  [sym_field_type] = sym_field_type,
  [sym_tuple_type] = sym_tuple_type,
  [sym_struct_type] = sym_struct_type,
  [sym__struct_members] = sym__struct_members,
  [sym_struct_member] = sym_struct_member,
  [sym_enum_type] = sym_enum_type,
  [sym_named_type] = sym_named_type,
  [sym_default_type] = sym_default_type,
  [sym_constant_type] = sym_constant_type,
  [sym_specialized_type] = sym_specialized_type,
  [sym__procedure_type] = sym__procedure_type,
  [sym_distinct_type] = sym_distinct_type,
  [sym_empty_type] = sym_empty_type,
  [sym_polymorphic_type] = sym_polymorphic_type,
  [sym_conditional_type] = sym_conditional_type,
  [sym_literal] = sym_literal,
  [sym_struct] = sym_struct,
  [sym_map] = sym_map,
  [sym_bit_set] = sym_bit_set,
  [sym_matrix] = sym_matrix,
  [sym_struct_field] = sym_struct_field,
  [sym_string] = sym_string,
  [sym__string_literal] = sym__string_literal,
  [sym__raw_string_literal] = sym__raw_string_literal,
  [sym_character] = sym_character,
  [sym_boolean] = sym_boolean,
  [sym_field_identifier] = sym_field_identifier,
  [sym__separator] = sym__separator,
  [aux_sym_source_file_repeat1] = aux_sym_source_file_repeat1,
  [aux_sym_block_repeat1] = aux_sym_block_repeat1,
  [aux_sym_import_declaration_repeat1] = aux_sym_import_declaration_repeat1,
  [aux_sym_where_clause_repeat1] = aux_sym_where_clause_repeat1,
  [aux_sym_overloaded_procedure_declaration_repeat1] = aux_sym_overloaded_procedure_declaration_repeat1,
  [aux_sym_struct_declaration_repeat1] = aux_sym_struct_declaration_repeat1,
  [aux_sym_struct_declaration_repeat2] = aux_sym_struct_declaration_repeat2,
  [aux_sym_enum_declaration_repeat1] = aux_sym_enum_declaration_repeat1,
  [aux_sym_union_declaration_repeat1] = aux_sym_union_declaration_repeat1,
  [aux_sym_variable_declaration_repeat1] = aux_sym_variable_declaration_repeat1,
  [aux_sym_const_declaration_repeat1] = aux_sym_const_declaration_repeat1,
  [aux_sym_attributes_repeat1] = aux_sym_attributes_repeat1,
  [aux_sym_attribute_repeat1] = aux_sym_attribute_repeat1,
  [aux_sym_parameters_repeat1] = aux_sym_parameters_repeat1,
  [aux_sym_parameter_repeat1] = aux_sym_parameter_repeat1,
  [aux_sym_polymorphic_parameters_repeat1] = aux_sym_polymorphic_parameters_repeat1,
  [aux_sym_polymorphic_parameters_repeat2] = aux_sym_polymorphic_parameters_repeat2,
  [aux_sym_field_repeat1] = aux_sym_field_repeat1,
  [aux_sym_if_statement_repeat1] = aux_sym_if_statement_repeat1,
  [aux_sym_when_statement_repeat1] = aux_sym_when_statement_repeat1,
  [aux_sym__simple_assignment_statement_repeat1] = aux_sym__simple_assignment_statement_repeat1,
  [aux_sym_switch_statement_repeat1] = aux_sym_switch_statement_repeat1,
  [aux_sym_switch_case_repeat1] = aux_sym_switch_case_repeat1,
  [aux_sym_return_statement_repeat1] = aux_sym_return_statement_repeat1,
  [aux_sym_call_expression_repeat1] = aux_sym_call_expression_repeat1,
  [aux_sym_field_type_repeat1] = aux_sym_field_type_repeat1,
  [aux_sym_tuple_type_repeat1] = aux_sym_tuple_type_repeat1,
  [aux_sym_struct_type_repeat1] = aux_sym_struct_type_repeat1,
  [aux_sym_struct_type_repeat2] = aux_sym_struct_type_repeat2,
  [aux_sym__struct_members_repeat1] = aux_sym__struct_members_repeat1,
  [aux_sym_struct_member_repeat1] = aux_sym_struct_member_repeat1,
  [aux_sym_polymorphic_type_repeat1] = aux_sym_polymorphic_type_repeat1,
  [aux_sym_struct_repeat1] = aux_sym_struct_repeat1,
  [aux_sym_struct_repeat2] = aux_sym_struct_repeat2,
  [aux_sym_map_repeat1] = aux_sym_map_repeat1,
  [aux_sym__string_literal_repeat1] = aux_sym__string_literal_repeat1,
  [aux_sym__raw_string_literal_repeat1] = aux_sym__raw_string_literal_repeat1,
  [aux_sym_field_identifier_repeat1] = aux_sym_field_identifier_repeat1,
  [alias_sym_procedure_type] = alias_sym_procedure_type,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_package] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_foreign] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_import] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_proc] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_where] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTEodin_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTEcontextless_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTEstdcall_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTEstd_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTEcdecl_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTEc_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTEfastcall_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTEfast_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTEnone_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTEsystem_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_struct] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_using] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_enum] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_union] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_POUNDtype] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_TILDE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_do] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_when] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_in] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_switch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_case] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_defer] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_break] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_continue] = {
    .visible = true,
    .named = false,
  },
  [sym_fallthrough_statement] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_or_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_cast] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_transmute] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_auto_cast] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_not_in] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_or_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_or_continue] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_or_break] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_dynamic] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_map] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_bit_set] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_matrix] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_distinct] = {
    .visible = true,
    .named = false,
  },
  [sym_number] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_character_token1] = {
    .visible = false,
    .named = false,
  },
  [sym_string_content] = {
    .visible = true,
    .named = true,
  },
  [sym__raw_string_content] = {
    .visible = true,
    .named = true,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_true] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_false] = {
    .visible = true,
    .named = false,
  },
  [sym_nil] = {
    .visible = true,
    .named = true,
  },
  [sym_uninitialized] = {
    .visible = true,
    .named = true,
  },
  [sym_tag] = {
    .visible = true,
    .named = true,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym__newline] = {
    .visible = false,
    .named = true,
  },
  [sym__backslash] = {
    .visible = false,
    .named = true,
  },
  [sym__nl_comma] = {
    .visible = true,
    .named = false,
  },
  [sym_float] = {
    .visible = true,
    .named = true,
  },
  [sym_block_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_source_file] = {
    .visible = true,
    .named = true,
  },
  [sym_block] = {
    .visible = true,
    .named = true,
  },
  [sym_tagged_block] = {
    .visible = true,
    .named = true,
  },
  [sym_declaration] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_package_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_import_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_procedure_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_procedure] = {
    .visible = true,
    .named = true,
  },
  [sym_where_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_calling_convention] = {
    .visible = true,
    .named = true,
  },
  [sym_overloaded_procedure_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_struct_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_union_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_const_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_const_type_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_foreign_block] = {
    .visible = true,
    .named = true,
  },
  [sym_attributes] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_default_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_polymorphic_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_field] = {
    .visible = true,
    .named = true,
  },
  [sym_statement] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_assignment_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_update_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_else_if_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_when_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_else_when_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__for_in_expression] = {
    .visible = false,
    .named = true,
  },
  [sym__simple_assignment_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_case] = {
    .visible = true,
    .named = true,
  },
  [sym_defer_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_break_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_var_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_label_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_using_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__expression_no_tag] = {
    .visible = false,
    .named = true,
  },
  [sym_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_ternary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_selector_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_member_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_index_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_slice_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_range_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_cast_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_in_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_or_return_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_or_continue_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_or_break_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_address] = {
    .visible = true,
    .named = true,
  },
  [sym_type] = {
    .visible = true,
    .named = true,
  },
  [sym_pointer_type] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_type] = {
    .visible = true,
    .named = true,
  },
  [sym_array_type] = {
    .visible = true,
    .named = true,
  },
  [sym_map_type] = {
    .visible = true,
    .named = true,
  },
  [sym_union_type] = {
    .visible = true,
    .named = true,
  },
  [sym_bit_set_type] = {
    .visible = true,
    .named = true,
  },
  [sym_matrix_type] = {
    .visible = true,
    .named = true,
  },
  [sym_field_type] = {
    .visible = true,
    .named = true,
  },
  [sym_tuple_type] = {
    .visible = true,
    .named = true,
  },
  [sym_struct_type] = {
    .visible = true,
    .named = true,
  },
  [sym__struct_members] = {
    .visible = false,
    .named = true,
  },
  [sym_struct_member] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_type] = {
    .visible = true,
    .named = true,
  },
  [sym_named_type] = {
    .visible = true,
    .named = true,
  },
  [sym_default_type] = {
    .visible = true,
    .named = true,
  },
  [sym_constant_type] = {
    .visible = true,
    .named = true,
  },
  [sym_specialized_type] = {
    .visible = true,
    .named = true,
  },
  [sym__procedure_type] = {
    .visible = false,
    .named = true,
  },
  [sym_distinct_type] = {
    .visible = true,
    .named = true,
  },
  [sym_empty_type] = {
    .visible = true,
    .named = true,
  },
  [sym_polymorphic_type] = {
    .visible = true,
    .named = true,
  },
  [sym_conditional_type] = {
    .visible = true,
    .named = true,
  },
  [sym_literal] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_struct] = {
    .visible = true,
    .named = true,
  },
  [sym_map] = {
    .visible = true,
    .named = true,
  },
  [sym_bit_set] = {
    .visible = true,
    .named = true,
  },
  [sym_matrix] = {
    .visible = true,
    .named = true,
  },
  [sym_struct_field] = {
    .visible = true,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym__string_literal] = {
    .visible = false,
    .named = true,
  },
  [sym__raw_string_literal] = {
    .visible = false,
    .named = true,
  },
  [sym_character] = {
    .visible = true,
    .named = true,
  },
  [sym_boolean] = {
    .visible = true,
    .named = true,
  },
  [sym_field_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym__separator] = {
    .visible = false,
    .named = true,
  },
  [aux_sym_source_file_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_block_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_import_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_where_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_overloaded_procedure_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_struct_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_struct_declaration_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enum_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_union_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_variable_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_const_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attributes_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attribute_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_parameter_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_polymorphic_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_polymorphic_parameters_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_field_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_if_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_when_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__simple_assignment_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_switch_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_switch_case_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_return_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_call_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_field_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_tuple_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_struct_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_struct_type_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__struct_members_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_struct_member_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_polymorphic_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_struct_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_struct_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_map_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__string_literal_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__raw_string_literal_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_field_identifier_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_procedure_type] = {
    .visible = true,
    .named = true,
  },
};

enum ts_field_identifiers {
  field_alias = 1,
  field_alternative = 2,
  field_argument = 3,
  field_condition = 4,
  field_consequence = 5,
  field_end = 6,
  field_function = 7,
  field_initializer = 8,
  field_label = 9,
  field_left = 10,
  field_operator = 11,
  field_post = 12,
  field_right = 13,
  field_start = 14,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alias] = "alias",
  [field_alternative] = "alternative",
  [field_argument] = "argument",
  [field_condition] = "condition",
  [field_consequence] = "consequence",
  [field_end] = "end",
  [field_function] = "function",
  [field_initializer] = "initializer",
  [field_label] = "label",
  [field_left] = "left",
  [field_operator] = "operator",
  [field_post] = "post",
  [field_right] = "right",
  [field_start] = "start",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [2] = {.index = 0, .length = 2},
  [3] = {.index = 2, .length = 1},
  [4] = {.index = 3, .length = 1},
  [5] = {.index = 4, .length = 3},
  [6] = {.index = 7, .length = 1},
  [7] = {.index = 8, .length = 1},
  [8] = {.index = 9, .length = 1},
  [9] = {.index = 10, .length = 2},
  [10] = {.index = 12, .length = 2},
  [11] = {.index = 14, .length = 2},
  [12] = {.index = 16, .length = 1},
  [13] = {.index = 17, .length = 2},
  [14] = {.index = 19, .length = 1},
  [15] = {.index = 20, .length = 3},
  [16] = {.index = 23, .length = 2},
  [17] = {.index = 25, .length = 3},
  [18] = {.index = 28, .length = 1},
  [19] = {.index = 29, .length = 1},
  [20] = {.index = 30, .length = 1},
  [21] = {.index = 31, .length = 3},
  [22] = {.index = 34, .length = 2},
  [23] = {.index = 36, .length = 3},
  [24] = {.index = 39, .length = 1},
  [25] = {.index = 40, .length = 2},
  [26] = {.index = 42, .length = 2},
  [27] = {.index = 44, .length = 2},
  [28] = {.index = 46, .length = 2},
  [29] = {.index = 48, .length = 1},
  [30] = {.index = 49, .length = 4},
  [31] = {.index = 53, .length = 2},
  [32] = {.index = 55, .length = 2},
  [33] = {.index = 57, .length = 3},
  [34] = {.index = 60, .length = 3},
  [35] = {.index = 63, .length = 2},
  [36] = {.index = 65, .length = 2},
  [37] = {.index = 67, .length = 3},
  [38] = {.index = 70, .length = 2},
  [39] = {.index = 72, .length = 2},
  [40] = {.index = 74, .length = 3},
  [41] = {.index = 77, .length = 3},
  [42] = {.index = 80, .length = 3},
  [43] = {.index = 83, .length = 1},
  [44] = {.index = 84, .length = 2},
  [45] = {.index = 86, .length = 3},
  [46] = {.index = 89, .length = 3},
  [47] = {.index = 92, .length = 3},
  [48] = {.index = 95, .length = 4},
  [49] = {.index = 99, .length = 3},
  [50] = {.index = 102, .length = 3},
  [51] = {.index = 105, .length = 3},
  [52] = {.index = 108, .length = 3},
  [53] = {.index = 111, .length = 3},
  [54] = {.index = 114, .length = 3},
  [55] = {.index = 117, .length = 4},
  [56] = {.index = 121, .length = 2},
  [57] = {.index = 123, .length = 2},
  [58] = {.index = 125, .length = 2},
  [59] = {.index = 127, .length = 3},
  [60] = {.index = 130, .length = 4},
  [61] = {.index = 134, .length = 4},
  [62] = {.index = 138, .length = 4},
  [63] = {.index = 142, .length = 4},
  [64] = {.index = 146, .length = 4},
  [65] = {.index = 150, .length = 4},
  [66] = {.index = 154, .length = 3},
  [67] = {.index = 157, .length = 5},
  [68] = {.index = 162, .length = 3},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_argument, 1},
    {field_operator, 0},
  [2] =
    {field_alias, 1},
  [3] =
    {field_function, 0},
  [4] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [7] =
    {field_label, 2},
  [8] =
    {field_consequence, 1},
  [9] =
    {field_alias, 2},
  [10] =
    {field_argument, 2},
    {field_function, 0},
  [12] =
    {field_function, 0},
    {field_function, 1},
  [14] =
    {field_condition, 1},
    {field_consequence, 2},
  [16] =
    {field_consequence, 2},
  [17] =
    {field_consequence, 1},
    {field_consequence, 2},
  [19] =
    {field_argument, 1},
  [20] =
    {field_argument, 2},
    {field_argument, 3, .inherited = true},
    {field_function, 0},
  [23] =
    {field_argument, 0, .inherited = true},
    {field_argument, 1, .inherited = true},
  [25] =
    {field_argument, 3},
    {field_function, 0},
    {field_function, 1},
  [28] =
    {field_alias, 3},
  [29] =
    {field_end, 3},
  [30] =
    {field_start, 2},
  [31] =
    {field_alternative, 4},
    {field_condition, 0},
    {field_consequence, 2},
  [34] =
    {field_condition, 2},
    {field_consequence, 3},
  [36] =
    {field_condition, 1},
    {field_consequence, 2},
    {field_consequence, 3},
  [39] =
    {field_consequence, 3},
  [40] =
    {field_consequence, 2},
    {field_consequence, 3},
  [42] =
    {field_consequence, 3},
    {field_post, 2},
  [44] =
    {field_consequence, 3},
    {field_initializer, 1},
  [46] =
    {field_condition, 1},
    {field_consequence, 3},
  [48] =
    {field_condition, 1},
  [49] =
    {field_argument, 3},
    {field_argument, 4, .inherited = true},
    {field_function, 0},
    {field_function, 1},
  [53] =
    {field_end, 4},
    {field_start, 2},
  [55] =
    {field_condition, 3},
    {field_consequence, 4},
  [57] =
    {field_condition, 2},
    {field_consequence, 3},
    {field_consequence, 4},
  [60] =
    {field_condition, 3},
    {field_consequence, 4},
    {field_initializer, 1},
  [63] =
    {field_consequence, 3},
    {field_consequence, 4},
  [65] =
    {field_consequence, 4},
    {field_post, 3},
  [67] =
    {field_consequence, 3},
    {field_consequence, 4},
    {field_post, 2},
  [70] =
    {field_condition, 2},
    {field_consequence, 4},
  [72] =
    {field_consequence, 4},
    {field_initializer, 1},
  [74] =
    {field_consequence, 3},
    {field_consequence, 4},
    {field_initializer, 1},
  [77] =
    {field_condition, 1},
    {field_consequence, 3},
    {field_consequence, 4},
  [80] =
    {field_condition, 1},
    {field_consequence, 4},
    {field_post, 3},
  [83] =
    {field_condition, 2},
  [84] =
    {field_condition, 1},
    {field_condition, 2},
  [86] =
    {field_argument, 2},
    {field_argument, 5, .inherited = true},
    {field_function, 0},
  [89] =
    {field_condition, 3},
    {field_consequence, 4},
    {field_consequence, 5},
  [92] =
    {field_condition, 4},
    {field_consequence, 5},
    {field_initializer, 1},
  [95] =
    {field_condition, 3},
    {field_consequence, 4},
    {field_consequence, 5},
    {field_initializer, 1},
  [99] =
    {field_consequence, 4},
    {field_consequence, 5},
    {field_post, 3},
  [102] =
    {field_condition, 2},
    {field_consequence, 4},
    {field_consequence, 5},
  [105] =
    {field_condition, 2},
    {field_consequence, 5},
    {field_post, 4},
  [108] =
    {field_consequence, 4},
    {field_consequence, 5},
    {field_initializer, 1},
  [111] =
    {field_consequence, 5},
    {field_initializer, 1},
    {field_post, 4},
  [114] =
    {field_condition, 3},
    {field_consequence, 5},
    {field_initializer, 1},
  [117] =
    {field_condition, 1},
    {field_consequence, 4},
    {field_consequence, 5},
    {field_post, 3},
  [121] =
    {field_condition, 1},
    {field_condition, 2, .inherited = true},
  [123] =
    {field_condition, 0, .inherited = true},
    {field_condition, 1, .inherited = true},
  [125] =
    {field_condition, 2},
    {field_condition, 3},
  [127] =
    {field_condition, 1},
    {field_condition, 2},
    {field_condition, 3},
  [130] =
    {field_argument, 3},
    {field_argument, 6, .inherited = true},
    {field_function, 0},
    {field_function, 1},
  [134] =
    {field_condition, 4},
    {field_consequence, 5},
    {field_consequence, 6},
    {field_initializer, 1},
  [138] =
    {field_condition, 2},
    {field_consequence, 5},
    {field_consequence, 6},
    {field_post, 4},
  [142] =
    {field_consequence, 5},
    {field_consequence, 6},
    {field_initializer, 1},
    {field_post, 4},
  [146] =
    {field_condition, 3},
    {field_consequence, 5},
    {field_consequence, 6},
    {field_initializer, 1},
  [150] =
    {field_condition, 3},
    {field_consequence, 6},
    {field_initializer, 1},
    {field_post, 5},
  [154] =
    {field_condition, 2},
    {field_condition, 3},
    {field_condition, 4},
  [157] =
    {field_condition, 3},
    {field_consequence, 6},
    {field_consequence, 7},
    {field_initializer, 1},
    {field_post, 5},
  [162] =
    {field_condition, 4},
    {field_consequence, 5},
    {field_initializer, 2},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [1] = {
    [0] = alias_sym_procedure_type,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  sym_procedure, 2,
    sym_procedure,
    alias_sym_procedure_type,
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 3,
  [4] = 4,
  [5] = 5,
  [6] = 6,
  [7] = 7,
  [8] = 2,
  [9] = 2,
  [10] = 2,
  [11] = 2,
  [12] = 2,
  [13] = 2,
  [14] = 2,
  [15] = 2,
  [16] = 2,
  [17] = 2,
  [18] = 2,
  [19] = 2,
  [20] = 2,
  [21] = 2,
  [22] = 22,
  [23] = 23,
  [24] = 22,
  [25] = 23,
  [26] = 26,
  [27] = 22,
  [28] = 23,
  [29] = 23,
  [30] = 22,
  [31] = 22,
  [32] = 23,
  [33] = 22,
  [34] = 23,
  [35] = 23,
  [36] = 26,
  [37] = 22,
  [38] = 38,
  [39] = 39,
  [40] = 40,
  [41] = 41,
  [42] = 41,
  [43] = 43,
  [44] = 44,
  [45] = 45,
  [46] = 41,
  [47] = 41,
  [48] = 48,
  [49] = 48,
  [50] = 48,
  [51] = 48,
  [52] = 48,
  [53] = 48,
  [54] = 22,
  [55] = 23,
  [56] = 23,
  [57] = 48,
  [58] = 22,
  [59] = 48,
  [60] = 48,
  [61] = 48,
  [62] = 48,
  [63] = 48,
  [64] = 48,
  [65] = 48,
  [66] = 48,
  [67] = 67,
  [68] = 68,
  [69] = 69,
  [70] = 70,
  [71] = 71,
  [72] = 72,
  [73] = 73,
  [74] = 74,
  [75] = 75,
  [76] = 76,
  [77] = 77,
  [78] = 78,
  [79] = 79,
  [80] = 80,
  [81] = 67,
  [82] = 82,
  [83] = 83,
  [84] = 84,
  [85] = 85,
  [86] = 86,
  [87] = 87,
  [88] = 88,
  [89] = 86,
  [90] = 76,
  [91] = 77,
  [92] = 80,
  [93] = 93,
  [94] = 82,
  [95] = 83,
  [96] = 84,
  [97] = 93,
  [98] = 98,
  [99] = 99,
  [100] = 68,
  [101] = 85,
  [102] = 70,
  [103] = 71,
  [104] = 72,
  [105] = 75,
  [106] = 98,
  [107] = 99,
  [108] = 108,
  [109] = 108,
  [110] = 23,
  [111] = 22,
  [112] = 23,
  [113] = 22,
  [114] = 22,
  [115] = 115,
  [116] = 116,
  [117] = 23,
  [118] = 118,
  [119] = 23,
  [120] = 26,
  [121] = 26,
  [122] = 23,
  [123] = 22,
  [124] = 22,
  [125] = 125,
  [126] = 126,
  [127] = 127,
  [128] = 128,
  [129] = 129,
  [130] = 130,
  [131] = 131,
  [132] = 132,
  [133] = 133,
  [134] = 22,
  [135] = 26,
  [136] = 136,
  [137] = 137,
  [138] = 23,
  [139] = 22,
  [140] = 23,
  [141] = 23,
  [142] = 132,
  [143] = 131,
  [144] = 23,
  [145] = 129,
  [146] = 127,
  [147] = 130,
  [148] = 128,
  [149] = 126,
  [150] = 22,
  [151] = 22,
  [152] = 129,
  [153] = 132,
  [154] = 130,
  [155] = 128,
  [156] = 127,
  [157] = 126,
  [158] = 158,
  [159] = 131,
  [160] = 132,
  [161] = 128,
  [162] = 127,
  [163] = 130,
  [164] = 129,
  [165] = 126,
  [166] = 131,
  [167] = 136,
  [168] = 137,
  [169] = 125,
  [170] = 133,
  [171] = 158,
  [172] = 127,
  [173] = 129,
  [174] = 26,
  [175] = 131,
  [176] = 130,
  [177] = 22,
  [178] = 23,
  [179] = 128,
  [180] = 126,
  [181] = 132,
  [182] = 182,
  [183] = 183,
  [184] = 126,
  [185] = 127,
  [186] = 130,
  [187] = 128,
  [188] = 129,
  [189] = 131,
  [190] = 132,
  [191] = 191,
  [192] = 192,
  [193] = 132,
  [194] = 131,
  [195] = 132,
  [196] = 129,
  [197] = 129,
  [198] = 130,
  [199] = 128,
  [200] = 126,
  [201] = 131,
  [202] = 126,
  [203] = 127,
  [204] = 127,
  [205] = 130,
  [206] = 128,
  [207] = 131,
  [208] = 127,
  [209] = 129,
  [210] = 126,
  [211] = 132,
  [212] = 130,
  [213] = 128,
  [214] = 127,
  [215] = 130,
  [216] = 128,
  [217] = 128,
  [218] = 130,
  [219] = 126,
  [220] = 129,
  [221] = 127,
  [222] = 126,
  [223] = 129,
  [224] = 131,
  [225] = 132,
  [226] = 131,
  [227] = 132,
  [228] = 126,
  [229] = 129,
  [230] = 127,
  [231] = 132,
  [232] = 131,
  [233] = 130,
  [234] = 127,
  [235] = 132,
  [236] = 126,
  [237] = 129,
  [238] = 130,
  [239] = 131,
  [240] = 128,
  [241] = 128,
  [242] = 130,
  [243] = 132,
  [244] = 126,
  [245] = 128,
  [246] = 130,
  [247] = 127,
  [248] = 129,
  [249] = 131,
  [250] = 132,
  [251] = 128,
  [252] = 126,
  [253] = 127,
  [254] = 129,
  [255] = 131,
  [256] = 127,
  [257] = 130,
  [258] = 132,
  [259] = 126,
  [260] = 131,
  [261] = 129,
  [262] = 128,
  [263] = 127,
  [264] = 126,
  [265] = 130,
  [266] = 128,
  [267] = 129,
  [268] = 131,
  [269] = 132,
  [270] = 270,
  [271] = 270,
  [272] = 272,
  [273] = 273,
  [274] = 274,
  [275] = 274,
  [276] = 276,
  [277] = 274,
  [278] = 276,
  [279] = 274,
  [280] = 274,
  [281] = 274,
  [282] = 282,
  [283] = 283,
  [284] = 284,
  [285] = 285,
  [286] = 286,
  [287] = 287,
  [288] = 288,
  [289] = 289,
  [290] = 290,
  [291] = 291,
  [292] = 292,
  [293] = 284,
  [294] = 287,
  [295] = 282,
  [296] = 296,
  [297] = 297,
  [298] = 298,
  [299] = 299,
  [300] = 300,
  [301] = 301,
  [302] = 282,
  [303] = 285,
  [304] = 286,
  [305] = 288,
  [306] = 289,
  [307] = 290,
  [308] = 291,
  [309] = 292,
  [310] = 284,
  [311] = 287,
  [312] = 282,
  [313] = 296,
  [314] = 297,
  [315] = 298,
  [316] = 299,
  [317] = 300,
  [318] = 301,
  [319] = 285,
  [320] = 286,
  [321] = 288,
  [322] = 289,
  [323] = 290,
  [324] = 291,
  [325] = 292,
  [326] = 284,
  [327] = 287,
  [328] = 296,
  [329] = 297,
  [330] = 298,
  [331] = 299,
  [332] = 300,
  [333] = 301,
  [334] = 285,
  [335] = 286,
  [336] = 288,
  [337] = 289,
  [338] = 290,
  [339] = 291,
  [340] = 292,
  [341] = 284,
  [342] = 287,
  [343] = 282,
  [344] = 296,
  [345] = 297,
  [346] = 298,
  [347] = 299,
  [348] = 300,
  [349] = 301,
  [350] = 285,
  [351] = 286,
  [352] = 288,
  [353] = 289,
  [354] = 290,
  [355] = 291,
  [356] = 292,
  [357] = 284,
  [358] = 287,
  [359] = 282,
  [360] = 296,
  [361] = 297,
  [362] = 298,
  [363] = 299,
  [364] = 300,
  [365] = 301,
  [366] = 285,
  [367] = 286,
  [368] = 288,
  [369] = 290,
  [370] = 291,
  [371] = 292,
  [372] = 284,
  [373] = 287,
  [374] = 282,
  [375] = 299,
  [376] = 300,
  [377] = 301,
  [378] = 285,
  [379] = 286,
  [380] = 288,
  [381] = 288,
  [382] = 291,
  [383] = 292,
  [384] = 284,
  [385] = 287,
  [386] = 282,
  [387] = 299,
  [388] = 300,
  [389] = 301,
  [390] = 285,
  [391] = 286,
  [392] = 288,
  [393] = 290,
  [394] = 291,
  [395] = 292,
  [396] = 284,
  [397] = 287,
  [398] = 282,
  [399] = 299,
  [400] = 300,
  [401] = 301,
  [402] = 285,
  [403] = 286,
  [404] = 288,
  [405] = 290,
  [406] = 291,
  [407] = 292,
  [408] = 284,
  [409] = 287,
  [410] = 282,
  [411] = 299,
  [412] = 300,
  [413] = 301,
  [414] = 286,
  [415] = 285,
  [416] = 286,
  [417] = 288,
  [418] = 290,
  [419] = 291,
  [420] = 292,
  [421] = 284,
  [422] = 287,
  [423] = 282,
  [424] = 299,
  [425] = 300,
  [426] = 301,
  [427] = 285,
  [428] = 286,
  [429] = 288,
  [430] = 290,
  [431] = 291,
  [432] = 292,
  [433] = 284,
  [434] = 287,
  [435] = 282,
  [436] = 299,
  [437] = 300,
  [438] = 301,
  [439] = 285,
  [440] = 285,
  [441] = 285,
  [442] = 285,
  [443] = 285,
  [444] = 444,
  [445] = 445,
  [446] = 446,
  [447] = 447,
  [448] = 448,
  [449] = 296,
  [450] = 297,
  [451] = 298,
  [452] = 299,
  [453] = 300,
  [454] = 454,
  [455] = 289,
  [456] = 285,
  [457] = 290,
  [458] = 291,
  [459] = 301,
  [460] = 292,
  [461] = 461,
  [462] = 444,
  [463] = 447,
  [464] = 464,
  [465] = 465,
  [466] = 445,
  [467] = 464,
  [468] = 465,
  [469] = 290,
  [470] = 470,
  [471] = 471,
  [472] = 471,
  [473] = 471,
  [474] = 471,
  [475] = 471,
  [476] = 471,
  [477] = 471,
  [478] = 471,
  [479] = 471,
  [480] = 471,
  [481] = 471,
  [482] = 471,
  [483] = 471,
  [484] = 471,
  [485] = 471,
  [486] = 471,
  [487] = 487,
  [488] = 471,
  [489] = 471,
  [490] = 490,
  [491] = 471,
  [492] = 492,
  [493] = 493,
  [494] = 494,
  [495] = 495,
  [496] = 496,
  [497] = 497,
  [498] = 498,
  [499] = 499,
  [500] = 500,
  [501] = 501,
  [502] = 502,
  [503] = 503,
  [504] = 504,
  [505] = 505,
  [506] = 506,
  [507] = 507,
  [508] = 508,
  [509] = 509,
  [510] = 510,
  [511] = 508,
  [512] = 509,
  [513] = 510,
  [514] = 510,
  [515] = 508,
  [516] = 506,
  [517] = 509,
  [518] = 510,
  [519] = 519,
  [520] = 508,
  [521] = 509,
  [522] = 510,
  [523] = 523,
  [524] = 508,
  [525] = 509,
  [526] = 510,
  [527] = 527,
  [528] = 508,
  [529] = 509,
  [530] = 510,
  [531] = 508,
  [532] = 509,
  [533] = 510,
  [534] = 508,
  [535] = 509,
  [536] = 510,
  [537] = 508,
  [538] = 509,
  [539] = 510,
  [540] = 508,
  [541] = 509,
  [542] = 510,
  [543] = 508,
  [544] = 509,
  [545] = 510,
  [546] = 508,
  [547] = 509,
  [548] = 510,
  [549] = 508,
  [550] = 509,
  [551] = 510,
  [552] = 508,
  [553] = 509,
  [554] = 510,
  [555] = 508,
  [556] = 509,
  [557] = 510,
  [558] = 508,
  [559] = 509,
  [560] = 510,
  [561] = 508,
  [562] = 509,
  [563] = 510,
  [564] = 509,
  [565] = 565,
  [566] = 508,
  [567] = 567,
  [568] = 508,
  [569] = 565,
  [570] = 570,
  [571] = 571,
  [572] = 508,
  [573] = 573,
  [574] = 574,
  [575] = 567,
  [576] = 504,
  [577] = 573,
  [578] = 505,
  [579] = 508,
  [580] = 580,
  [581] = 574,
  [582] = 509,
  [583] = 504,
  [584] = 510,
  [585] = 505,
  [586] = 507,
  [587] = 506,
  [588] = 588,
  [589] = 508,
  [590] = 509,
  [591] = 527,
  [592] = 580,
  [593] = 509,
  [594] = 510,
  [595] = 510,
  [596] = 596,
  [597] = 508,
  [598] = 510,
  [599] = 503,
  [600] = 509,
  [601] = 510,
  [602] = 602,
  [603] = 509,
  [604] = 571,
  [605] = 580,
  [606] = 508,
  [607] = 510,
  [608] = 565,
  [609] = 508,
  [610] = 509,
  [611] = 508,
  [612] = 510,
  [613] = 508,
  [614] = 510,
  [615] = 509,
  [616] = 567,
  [617] = 509,
  [618] = 510,
  [619] = 509,
  [620] = 508,
  [621] = 507,
  [622] = 509,
  [623] = 510,
  [624] = 509,
  [625] = 510,
  [626] = 571,
  [627] = 527,
  [628] = 573,
  [629] = 508,
  [630] = 510,
  [631] = 510,
  [632] = 509,
  [633] = 508,
  [634] = 509,
  [635] = 574,
  [636] = 509,
  [637] = 508,
  [638] = 503,
  [639] = 639,
  [640] = 640,
  [641] = 641,
  [642] = 642,
  [643] = 643,
  [644] = 644,
  [645] = 645,
  [646] = 646,
  [647] = 647,
  [648] = 648,
  [649] = 649,
  [650] = 650,
  [651] = 651,
  [652] = 643,
  [653] = 653,
  [654] = 654,
  [655] = 648,
  [656] = 656,
  [657] = 657,
  [658] = 658,
  [659] = 659,
  [660] = 660,
  [661] = 661,
  [662] = 662,
  [663] = 663,
  [664] = 664,
  [665] = 665,
  [666] = 666,
  [667] = 667,
  [668] = 668,
  [669] = 643,
  [670] = 643,
  [671] = 643,
  [672] = 643,
  [673] = 643,
  [674] = 643,
  [675] = 643,
  [676] = 643,
  [677] = 643,
  [678] = 643,
  [679] = 679,
  [680] = 680,
  [681] = 681,
  [682] = 682,
  [683] = 683,
  [684] = 684,
  [685] = 685,
  [686] = 686,
  [687] = 687,
  [688] = 688,
  [689] = 689,
  [690] = 690,
  [691] = 691,
  [692] = 692,
  [693] = 693,
  [694] = 694,
  [695] = 695,
  [696] = 696,
  [697] = 697,
  [698] = 698,
  [699] = 699,
  [700] = 700,
  [701] = 701,
  [702] = 702,
  [703] = 703,
  [704] = 704,
  [705] = 705,
  [706] = 706,
  [707] = 707,
  [708] = 708,
  [709] = 709,
  [710] = 710,
  [711] = 711,
  [712] = 712,
  [713] = 713,
  [714] = 714,
  [715] = 715,
  [716] = 716,
  [717] = 717,
  [718] = 718,
  [719] = 719,
  [720] = 720,
  [721] = 721,
  [722] = 722,
  [723] = 723,
  [724] = 724,
  [725] = 725,
  [726] = 726,
  [727] = 727,
  [728] = 728,
  [729] = 729,
  [730] = 730,
  [731] = 731,
  [732] = 732,
  [733] = 733,
  [734] = 734,
  [735] = 735,
  [736] = 736,
  [737] = 737,
  [738] = 738,
  [739] = 739,
  [740] = 740,
  [741] = 741,
  [742] = 742,
  [743] = 743,
  [744] = 744,
  [745] = 745,
  [746] = 746,
  [747] = 747,
  [748] = 747,
  [749] = 683,
  [750] = 750,
  [751] = 751,
  [752] = 752,
  [753] = 753,
  [754] = 754,
  [755] = 712,
  [756] = 756,
  [757] = 757,
  [758] = 758,
  [759] = 759,
  [760] = 752,
  [761] = 761,
  [762] = 762,
  [763] = 763,
  [764] = 764,
  [765] = 720,
  [766] = 740,
  [767] = 647,
  [768] = 653,
  [769] = 769,
  [770] = 668,
  [771] = 667,
  [772] = 680,
  [773] = 662,
  [774] = 753,
  [775] = 761,
  [776] = 712,
  [777] = 756,
  [778] = 757,
  [779] = 758,
  [780] = 752,
  [781] = 761,
  [782] = 762,
  [783] = 763,
  [784] = 764,
  [785] = 720,
  [786] = 740,
  [787] = 787,
  [788] = 757,
  [789] = 647,
  [790] = 790,
  [791] = 653,
  [792] = 792,
  [793] = 753,
  [794] = 712,
  [795] = 756,
  [796] = 668,
  [797] = 757,
  [798] = 758,
  [799] = 799,
  [800] = 752,
  [801] = 667,
  [802] = 761,
  [803] = 762,
  [804] = 763,
  [805] = 680,
  [806] = 764,
  [807] = 662,
  [808] = 720,
  [809] = 740,
  [810] = 753,
  [811] = 712,
  [812] = 756,
  [813] = 757,
  [814] = 758,
  [815] = 752,
  [816] = 761,
  [817] = 762,
  [818] = 763,
  [819] = 764,
  [820] = 720,
  [821] = 740,
  [822] = 753,
  [823] = 750,
  [824] = 745,
  [825] = 712,
  [826] = 756,
  [827] = 757,
  [828] = 758,
  [829] = 752,
  [830] = 751,
  [831] = 831,
  [832] = 761,
  [833] = 762,
  [834] = 763,
  [835] = 764,
  [836] = 720,
  [837] = 740,
  [838] = 753,
  [839] = 839,
  [840] = 712,
  [841] = 756,
  [842] = 757,
  [843] = 758,
  [844] = 752,
  [845] = 761,
  [846] = 762,
  [847] = 763,
  [848] = 764,
  [849] = 720,
  [850] = 740,
  [851] = 753,
  [852] = 712,
  [853] = 756,
  [854] = 762,
  [855] = 757,
  [856] = 758,
  [857] = 752,
  [858] = 761,
  [859] = 762,
  [860] = 763,
  [861] = 764,
  [862] = 720,
  [863] = 740,
  [864] = 753,
  [865] = 712,
  [866] = 756,
  [867] = 757,
  [868] = 758,
  [869] = 752,
  [870] = 761,
  [871] = 762,
  [872] = 763,
  [873] = 764,
  [874] = 720,
  [875] = 875,
  [876] = 740,
  [877] = 753,
  [878] = 758,
  [879] = 712,
  [880] = 756,
  [881] = 763,
  [882] = 757,
  [883] = 758,
  [884] = 884,
  [885] = 752,
  [886] = 761,
  [887] = 762,
  [888] = 763,
  [889] = 764,
  [890] = 720,
  [891] = 740,
  [892] = 753,
  [893] = 712,
  [894] = 756,
  [895] = 757,
  [896] = 758,
  [897] = 752,
  [898] = 898,
  [899] = 761,
  [900] = 762,
  [901] = 763,
  [902] = 764,
  [903] = 720,
  [904] = 740,
  [905] = 753,
  [906] = 712,
  [907] = 753,
  [908] = 757,
  [909] = 758,
  [910] = 752,
  [911] = 761,
  [912] = 762,
  [913] = 763,
  [914] = 764,
  [915] = 720,
  [916] = 740,
  [917] = 917,
  [918] = 918,
  [919] = 919,
  [920] = 920,
  [921] = 921,
  [922] = 922,
  [923] = 759,
  [924] = 756,
  [925] = 925,
  [926] = 737,
  [927] = 746,
  [928] = 875,
  [929] = 898,
  [930] = 917,
  [931] = 919,
  [932] = 932,
  [933] = 933,
  [934] = 934,
  [935] = 737,
  [936] = 746,
  [937] = 875,
  [938] = 898,
  [939] = 917,
  [940] = 919,
  [941] = 941,
  [942] = 942,
  [943] = 737,
  [944] = 746,
  [945] = 875,
  [946] = 898,
  [947] = 917,
  [948] = 919,
  [949] = 949,
  [950] = 950,
  [951] = 737,
  [952] = 746,
  [953] = 875,
  [954] = 898,
  [955] = 917,
  [956] = 919,
  [957] = 957,
  [958] = 737,
  [959] = 746,
  [960] = 875,
  [961] = 898,
  [962] = 917,
  [963] = 919,
  [964] = 964,
  [965] = 965,
  [966] = 737,
  [967] = 746,
  [968] = 875,
  [969] = 898,
  [970] = 917,
  [971] = 919,
  [972] = 737,
  [973] = 746,
  [974] = 875,
  [975] = 898,
  [976] = 917,
  [977] = 919,
  [978] = 737,
  [979] = 746,
  [980] = 875,
  [981] = 898,
  [982] = 917,
  [983] = 919,
  [984] = 737,
  [985] = 746,
  [986] = 875,
  [987] = 898,
  [988] = 917,
  [989] = 919,
  [990] = 737,
  [991] = 746,
  [992] = 875,
  [993] = 898,
  [994] = 917,
  [995] = 919,
  [996] = 737,
  [997] = 746,
  [998] = 875,
  [999] = 898,
  [1000] = 917,
  [1001] = 919,
  [1002] = 737,
  [1003] = 746,
  [1004] = 875,
  [1005] = 898,
  [1006] = 917,
  [1007] = 919,
  [1008] = 737,
  [1009] = 746,
  [1010] = 875,
  [1011] = 898,
  [1012] = 917,
  [1013] = 919,
  [1014] = 1014,
  [1015] = 737,
  [1016] = 746,
  [1017] = 875,
  [1018] = 917,
  [1019] = 919,
  [1020] = 737,
  [1021] = 875,
  [1022] = 917,
  [1023] = 919,
  [1024] = 737,
  [1025] = 875,
  [1026] = 917,
  [1027] = 919,
  [1028] = 737,
  [1029] = 875,
  [1030] = 917,
  [1031] = 919,
  [1032] = 737,
  [1033] = 875,
  [1034] = 917,
  [1035] = 919,
  [1036] = 737,
  [1037] = 875,
  [1038] = 917,
  [1039] = 919,
  [1040] = 737,
  [1041] = 875,
  [1042] = 917,
  [1043] = 919,
  [1044] = 737,
  [1045] = 875,
  [1046] = 917,
  [1047] = 919,
  [1048] = 737,
  [1049] = 875,
  [1050] = 917,
  [1051] = 919,
  [1052] = 737,
  [1053] = 875,
  [1054] = 917,
  [1055] = 919,
  [1056] = 737,
  [1057] = 875,
  [1058] = 919,
  [1059] = 737,
  [1060] = 875,
  [1061] = 919,
  [1062] = 737,
  [1063] = 875,
  [1064] = 919,
  [1065] = 754,
  [1066] = 683,
  [1067] = 1067,
  [1068] = 917,
  [1069] = 1069,
  [1070] = 1070,
  [1071] = 1071,
  [1072] = 1072,
  [1073] = 1073,
  [1074] = 1074,
  [1075] = 1075,
  [1076] = 1076,
  [1077] = 1077,
  [1078] = 1078,
  [1079] = 1079,
  [1080] = 1080,
  [1081] = 1081,
  [1082] = 1082,
  [1083] = 1083,
  [1084] = 1084,
  [1085] = 1085,
  [1086] = 1086,
  [1087] = 1087,
  [1088] = 1088,
  [1089] = 1089,
  [1090] = 1090,
  [1091] = 1091,
  [1092] = 1092,
  [1093] = 1093,
  [1094] = 1094,
  [1095] = 1095,
  [1096] = 875,
  [1097] = 1097,
  [1098] = 737,
  [1099] = 1099,
  [1100] = 917,
  [1101] = 919,
  [1102] = 917,
  [1103] = 737,
  [1104] = 919,
  [1105] = 875,
  [1106] = 683,
  [1107] = 1107,
  [1108] = 683,
  [1109] = 683,
  [1110] = 683,
  [1111] = 683,
  [1112] = 683,
  [1113] = 683,
  [1114] = 683,
  [1115] = 683,
  [1116] = 683,
  [1117] = 683,
  [1118] = 683,
  [1119] = 683,
  [1120] = 683,
  [1121] = 683,
  [1122] = 683,
  [1123] = 683,
  [1124] = 683,
  [1125] = 683,
  [1126] = 683,
  [1127] = 683,
  [1128] = 683,
  [1129] = 1129,
  [1130] = 710,
  [1131] = 683,
  [1132] = 1132,
  [1133] = 1133,
  [1134] = 764,
  [1135] = 1135,
  [1136] = 1136,
  [1137] = 1137,
  [1138] = 1138,
  [1139] = 1139,
  [1140] = 1140,
  [1141] = 1141,
  [1142] = 1142,
  [1143] = 1143,
  [1144] = 1144,
  [1145] = 1145,
  [1146] = 1146,
  [1147] = 1147,
  [1148] = 1148,
  [1149] = 1149,
  [1150] = 1150,
  [1151] = 1151,
  [1152] = 1152,
  [1153] = 1153,
  [1154] = 898,
  [1155] = 917,
  [1156] = 917,
  [1157] = 737,
  [1158] = 919,
  [1159] = 875,
  [1160] = 919,
  [1161] = 737,
  [1162] = 875,
  [1163] = 683,
  [1164] = 683,
  [1165] = 683,
  [1166] = 1166,
  [1167] = 710,
  [1168] = 1168,
  [1169] = 710,
  [1170] = 1170,
  [1171] = 710,
  [1172] = 1172,
  [1173] = 710,
  [1174] = 1174,
  [1175] = 710,
  [1176] = 1176,
  [1177] = 710,
  [1178] = 1178,
  [1179] = 710,
  [1180] = 1180,
  [1181] = 710,
  [1182] = 1182,
  [1183] = 710,
  [1184] = 1184,
  [1185] = 710,
  [1186] = 710,
  [1187] = 710,
  [1188] = 710,
  [1189] = 1189,
  [1190] = 1190,
  [1191] = 1191,
  [1192] = 1192,
  [1193] = 875,
  [1194] = 737,
  [1195] = 917,
  [1196] = 919,
  [1197] = 683,
  [1198] = 756,
  [1199] = 1199,
  [1200] = 1200,
  [1201] = 1201,
  [1202] = 1202,
  [1203] = 1200,
  [1204] = 1202,
  [1205] = 1205,
  [1206] = 1206,
  [1207] = 1207,
  [1208] = 1208,
  [1209] = 1199,
  [1210] = 1210,
  [1211] = 1201,
  [1212] = 1202,
  [1213] = 1210,
  [1214] = 1200,
  [1215] = 1205,
  [1216] = 1206,
  [1217] = 1207,
  [1218] = 1208,
  [1219] = 1199,
  [1220] = 1201,
  [1221] = 1202,
  [1222] = 1210,
  [1223] = 1201,
  [1224] = 1202,
  [1225] = 1200,
  [1226] = 1200,
  [1227] = 1205,
  [1228] = 1206,
  [1229] = 1207,
  [1230] = 1208,
  [1231] = 1199,
  [1232] = 1201,
  [1233] = 1210,
  [1234] = 1201,
  [1235] = 1202,
  [1236] = 1205,
  [1237] = 1200,
  [1238] = 1238,
  [1239] = 1206,
  [1240] = 1205,
  [1241] = 1207,
  [1242] = 1206,
  [1243] = 1207,
  [1244] = 1208,
  [1245] = 1199,
  [1246] = 1208,
  [1247] = 1199,
  [1248] = 1210,
  [1249] = 1201,
  [1250] = 658,
  [1251] = 1202,
  [1252] = 1252,
  [1253] = 650,
  [1254] = 1200,
  [1255] = 570,
  [1256] = 1205,
  [1257] = 1206,
  [1258] = 1207,
  [1259] = 1208,
  [1260] = 1199,
  [1261] = 642,
  [1262] = 1262,
  [1263] = 665,
  [1264] = 1264,
  [1265] = 1205,
  [1266] = 651,
  [1267] = 679,
  [1268] = 666,
  [1269] = 588,
  [1270] = 1264,
  [1271] = 1271,
  [1272] = 1264,
  [1273] = 1210,
  [1274] = 1264,
  [1275] = 1201,
  [1276] = 1202,
  [1277] = 1264,
  [1278] = 523,
  [1279] = 1200,
  [1280] = 1264,
  [1281] = 1281,
  [1282] = 1264,
  [1283] = 1206,
  [1284] = 1207,
  [1285] = 1208,
  [1286] = 1208,
  [1287] = 1210,
  [1288] = 1210,
  [1289] = 1264,
  [1290] = 658,
  [1291] = 1264,
  [1292] = 650,
  [1293] = 1264,
  [1294] = 580,
  [1295] = 507,
  [1296] = 527,
  [1297] = 503,
  [1298] = 565,
  [1299] = 567,
  [1300] = 573,
  [1301] = 574,
  [1302] = 504,
  [1303] = 505,
  [1304] = 506,
  [1305] = 523,
  [1306] = 642,
  [1307] = 1210,
  [1308] = 570,
  [1309] = 1201,
  [1310] = 588,
  [1311] = 1202,
  [1312] = 1199,
  [1313] = 1200,
  [1314] = 665,
  [1315] = 651,
  [1316] = 679,
  [1317] = 1206,
  [1318] = 1207,
  [1319] = 666,
  [1320] = 1205,
  [1321] = 1208,
  [1322] = 1206,
  [1323] = 1207,
  [1324] = 1208,
  [1325] = 1199,
  [1326] = 1199,
  [1327] = 1210,
  [1328] = 1201,
  [1329] = 1202,
  [1330] = 1200,
  [1331] = 1264,
  [1332] = 580,
  [1333] = 507,
  [1334] = 1206,
  [1335] = 1207,
  [1336] = 1208,
  [1337] = 1199,
  [1338] = 519,
  [1339] = 1210,
  [1340] = 527,
  [1341] = 1201,
  [1342] = 503,
  [1343] = 1202,
  [1344] = 1200,
  [1345] = 565,
  [1346] = 567,
  [1347] = 573,
  [1348] = 574,
  [1349] = 504,
  [1350] = 1205,
  [1351] = 505,
  [1352] = 1206,
  [1353] = 1207,
  [1354] = 1208,
  [1355] = 1199,
  [1356] = 506,
  [1357] = 1210,
  [1358] = 1201,
  [1359] = 1202,
  [1360] = 1200,
  [1361] = 1361,
  [1362] = 1205,
  [1363] = 1206,
  [1364] = 1207,
  [1365] = 1264,
  [1366] = 1366,
  [1367] = 1367,
  [1368] = 1368,
  [1369] = 1369,
  [1370] = 1368,
  [1371] = 1371,
  [1372] = 1367,
  [1373] = 1373,
  [1374] = 1366,
  [1375] = 1375,
  [1376] = 1376,
  [1377] = 1376,
  [1378] = 1378,
  [1379] = 1379,
  [1380] = 1380,
  [1381] = 1381,
  [1382] = 1382,
  [1383] = 1383,
  [1384] = 1366,
  [1385] = 1385,
  [1386] = 1383,
  [1387] = 1387,
  [1388] = 1380,
  [1389] = 1389,
  [1390] = 654,
  [1391] = 1381,
  [1392] = 1382,
  [1393] = 1393,
  [1394] = 1394,
  [1395] = 1395,
  [1396] = 1396,
  [1397] = 1397,
  [1398] = 1371,
  [1399] = 1399,
  [1400] = 1387,
  [1401] = 1389,
  [1402] = 1402,
  [1403] = 1403,
  [1404] = 1403,
  [1405] = 1405,
  [1406] = 1406,
  [1407] = 1387,
  [1408] = 1405,
  [1409] = 1409,
  [1410] = 1410,
  [1411] = 1409,
  [1412] = 1371,
  [1413] = 1373,
  [1414] = 1379,
  [1415] = 1415,
  [1416] = 1416,
  [1417] = 1368,
  [1418] = 1366,
  [1419] = 1375,
  [1420] = 1376,
  [1421] = 1380,
  [1422] = 1381,
  [1423] = 1382,
  [1424] = 1385,
  [1425] = 1383,
  [1426] = 1389,
  [1427] = 1395,
  [1428] = 1396,
  [1429] = 1429,
  [1430] = 1430,
  [1431] = 1371,
  [1432] = 1432,
  [1433] = 1387,
  [1434] = 654,
  [1435] = 1435,
  [1436] = 1403,
  [1437] = 1405,
  [1438] = 1375,
  [1439] = 1439,
  [1440] = 682,
  [1441] = 1441,
  [1442] = 1385,
  [1443] = 1383,
  [1444] = 1410,
  [1445] = 1430,
  [1446] = 1409,
  [1447] = 1371,
  [1448] = 1448,
  [1449] = 1389,
  [1450] = 1450,
  [1451] = 1373,
  [1452] = 1389,
  [1453] = 1415,
  [1454] = 1403,
  [1455] = 1395,
  [1456] = 1429,
  [1457] = 1457,
  [1458] = 1458,
  [1459] = 1448,
  [1460] = 1379,
  [1461] = 664,
  [1462] = 1462,
  [1463] = 1463,
  [1464] = 1396,
  [1465] = 1367,
  [1466] = 1410,
  [1467] = 1430,
  [1468] = 1432,
  [1469] = 1409,
  [1470] = 1371,
  [1471] = 1403,
  [1472] = 1472,
  [1473] = 1405,
  [1474] = 1373,
  [1475] = 1429,
  [1476] = 1457,
  [1477] = 1458,
  [1478] = 1448,
  [1479] = 1379,
  [1480] = 1480,
  [1481] = 1410,
  [1482] = 1430,
  [1483] = 657,
  [1484] = 523,
  [1485] = 1416,
  [1486] = 1373,
  [1487] = 1393,
  [1488] = 1367,
  [1489] = 649,
  [1490] = 1429,
  [1491] = 1457,
  [1492] = 1458,
  [1493] = 1448,
  [1494] = 1415,
  [1495] = 1387,
  [1496] = 1410,
  [1497] = 1430,
  [1498] = 1403,
  [1499] = 1416,
  [1500] = 1500,
  [1501] = 1405,
  [1502] = 1368,
  [1503] = 1366,
  [1504] = 1375,
  [1505] = 1429,
  [1506] = 1457,
  [1507] = 1458,
  [1508] = 1448,
  [1509] = 1379,
  [1510] = 1510,
  [1511] = 1410,
  [1512] = 1430,
  [1513] = 1513,
  [1514] = 1394,
  [1515] = 1405,
  [1516] = 1394,
  [1517] = 1376,
  [1518] = 1380,
  [1519] = 1381,
  [1520] = 1429,
  [1521] = 1457,
  [1522] = 1458,
  [1523] = 1448,
  [1524] = 1524,
  [1525] = 1387,
  [1526] = 1410,
  [1527] = 1430,
  [1528] = 1382,
  [1529] = 1385,
  [1530] = 1383,
  [1531] = 1387,
  [1532] = 1389,
  [1533] = 1395,
  [1534] = 656,
  [1535] = 1429,
  [1536] = 1457,
  [1537] = 1458,
  [1538] = 1448,
  [1539] = 1415,
  [1540] = 1368,
  [1541] = 1410,
  [1542] = 1430,
  [1543] = 1416,
  [1544] = 1396,
  [1545] = 1545,
  [1546] = 1472,
  [1547] = 1395,
  [1548] = 1403,
  [1549] = 1405,
  [1550] = 1429,
  [1551] = 1457,
  [1552] = 1458,
  [1553] = 1448,
  [1554] = 1368,
  [1555] = 1385,
  [1556] = 1410,
  [1557] = 1430,
  [1558] = 1366,
  [1559] = 1472,
  [1560] = 1560,
  [1561] = 1561,
  [1562] = 659,
  [1563] = 1376,
  [1564] = 570,
  [1565] = 1429,
  [1566] = 1457,
  [1567] = 1458,
  [1568] = 1448,
  [1569] = 1375,
  [1570] = 1366,
  [1571] = 1410,
  [1572] = 1430,
  [1573] = 1376,
  [1574] = 657,
  [1575] = 1393,
  [1576] = 1367,
  [1577] = 1577,
  [1578] = 1387,
  [1579] = 682,
  [1580] = 1429,
  [1581] = 1457,
  [1582] = 1458,
  [1583] = 1448,
  [1584] = 1380,
  [1585] = 1375,
  [1586] = 1410,
  [1587] = 1430,
  [1588] = 1381,
  [1589] = 588,
  [1590] = 1403,
  [1591] = 1405,
  [1592] = 1409,
  [1593] = 1376,
  [1594] = 1594,
  [1595] = 1429,
  [1596] = 1457,
  [1597] = 1458,
  [1598] = 1448,
  [1599] = 1382,
  [1600] = 1369,
  [1601] = 1410,
  [1602] = 1430,
  [1603] = 1385,
  [1604] = 1604,
  [1605] = 1380,
  [1606] = 1606,
  [1607] = 649,
  [1608] = 1381,
  [1609] = 1415,
  [1610] = 1429,
  [1611] = 1457,
  [1612] = 1458,
  [1613] = 1448,
  [1614] = 1383,
  [1615] = 1389,
  [1616] = 1396,
  [1617] = 1617,
  [1618] = 658,
  [1619] = 647,
  [1620] = 650,
  [1621] = 653,
  [1622] = 1458,
  [1623] = 1395,
  [1624] = 1396,
  [1625] = 1409,
  [1626] = 1371,
  [1627] = 1373,
  [1628] = 1394,
  [1629] = 642,
  [1630] = 1394,
  [1631] = 1458,
  [1632] = 668,
  [1633] = 639,
  [1634] = 1367,
  [1635] = 1379,
  [1636] = 667,
  [1637] = 665,
  [1638] = 1458,
  [1639] = 1415,
  [1640] = 680,
  [1641] = 651,
  [1642] = 679,
  [1643] = 662,
  [1644] = 666,
  [1645] = 1416,
  [1646] = 1646,
  [1647] = 1382,
  [1648] = 1379,
  [1649] = 1416,
  [1650] = 1472,
  [1651] = 659,
  [1652] = 1652,
  [1653] = 1653,
  [1654] = 1385,
  [1655] = 1380,
  [1656] = 1368,
  [1657] = 1383,
  [1658] = 1367,
  [1659] = 682,
  [1660] = 664,
  [1661] = 1366,
  [1662] = 1450,
  [1663] = 1381,
  [1664] = 1500,
  [1665] = 1665,
  [1666] = 1389,
  [1667] = 1368,
  [1668] = 649,
  [1669] = 1394,
  [1670] = 1375,
  [1671] = 1382,
  [1672] = 1409,
  [1673] = 1673,
  [1674] = 1395,
  [1675] = 1675,
  [1676] = 1676,
  [1677] = 1371,
  [1678] = 1382,
  [1679] = 1395,
  [1680] = 1373,
  [1681] = 1376,
  [1682] = 1682,
  [1683] = 1380,
  [1684] = 1409,
  [1685] = 1371,
  [1686] = 1373,
  [1687] = 1379,
  [1688] = 1393,
  [1689] = 1472,
  [1690] = 1415,
  [1691] = 1416,
  [1692] = 1368,
  [1693] = 1366,
  [1694] = 1375,
  [1695] = 1376,
  [1696] = 1380,
  [1697] = 1381,
  [1698] = 1382,
  [1699] = 1385,
  [1700] = 1383,
  [1701] = 1389,
  [1702] = 1395,
  [1703] = 1396,
  [1704] = 1409,
  [1705] = 1457,
  [1706] = 1381,
  [1707] = 1385,
  [1708] = 1367,
  [1709] = 1387,
  [1710] = 1472,
  [1711] = 1403,
  [1712] = 1405,
  [1713] = 1383,
  [1714] = 1382,
  [1715] = 1385,
  [1716] = 1716,
  [1717] = 1371,
  [1718] = 1373,
  [1719] = 1379,
  [1720] = 1394,
  [1721] = 1721,
  [1722] = 1472,
  [1723] = 1723,
  [1724] = 1415,
  [1725] = 1416,
  [1726] = 1368,
  [1727] = 1383,
  [1728] = 1728,
  [1729] = 1366,
  [1730] = 1409,
  [1731] = 1371,
  [1732] = 1373,
  [1733] = 1379,
  [1734] = 1415,
  [1735] = 1416,
  [1736] = 1368,
  [1737] = 1366,
  [1738] = 1375,
  [1739] = 1376,
  [1740] = 1380,
  [1741] = 1381,
  [1742] = 1560,
  [1743] = 1385,
  [1744] = 1383,
  [1745] = 1389,
  [1746] = 1395,
  [1747] = 1396,
  [1748] = 1367,
  [1749] = 1409,
  [1750] = 1387,
  [1751] = 1403,
  [1752] = 1405,
  [1753] = 1409,
  [1754] = 1371,
  [1755] = 1373,
  [1756] = 1379,
  [1757] = 1415,
  [1758] = 1416,
  [1759] = 1368,
  [1760] = 1366,
  [1761] = 1375,
  [1762] = 1376,
  [1763] = 1380,
  [1764] = 1381,
  [1765] = 1382,
  [1766] = 1385,
  [1767] = 1383,
  [1768] = 1389,
  [1769] = 1395,
  [1770] = 1396,
  [1771] = 1375,
  [1772] = 1409,
  [1773] = 1387,
  [1774] = 1403,
  [1775] = 1405,
  [1776] = 1409,
  [1777] = 1371,
  [1778] = 1373,
  [1779] = 1379,
  [1780] = 1415,
  [1781] = 1416,
  [1782] = 1368,
  [1783] = 1366,
  [1784] = 1375,
  [1785] = 1376,
  [1786] = 1380,
  [1787] = 1381,
  [1788] = 1382,
  [1789] = 1385,
  [1790] = 1383,
  [1791] = 1389,
  [1792] = 1395,
  [1793] = 1396,
  [1794] = 1376,
  [1795] = 1371,
  [1796] = 1387,
  [1797] = 1403,
  [1798] = 1405,
  [1799] = 1409,
  [1800] = 1371,
  [1801] = 1373,
  [1802] = 1379,
  [1803] = 1415,
  [1804] = 1416,
  [1805] = 1368,
  [1806] = 1366,
  [1807] = 1375,
  [1808] = 1376,
  [1809] = 1380,
  [1810] = 1381,
  [1811] = 1382,
  [1812] = 1385,
  [1813] = 1383,
  [1814] = 1389,
  [1815] = 1395,
  [1816] = 1396,
  [1817] = 1389,
  [1818] = 1387,
  [1819] = 1403,
  [1820] = 1405,
  [1821] = 1472,
  [1822] = 1380,
  [1823] = 1381,
  [1824] = 1472,
  [1825] = 1472,
  [1826] = 1367,
  [1827] = 1394,
  [1828] = 1472,
  [1829] = 1382,
  [1830] = 1373,
  [1831] = 1831,
  [1832] = 1394,
  [1833] = 1387,
  [1834] = 1410,
  [1835] = 1430,
  [1836] = 1375,
  [1837] = 1837,
  [1838] = 1410,
  [1839] = 1430,
  [1840] = 1385,
  [1841] = 1383,
  [1842] = 1410,
  [1843] = 1430,
  [1844] = 1389,
  [1845] = 1410,
  [1846] = 1430,
  [1847] = 1379,
  [1848] = 1395,
  [1849] = 1396,
  [1850] = 1389,
  [1851] = 1393,
  [1852] = 1396,
  [1853] = 1367,
  [1854] = 1394,
  [1855] = 1409,
  [1856] = 1371,
  [1857] = 1373,
  [1858] = 1379,
  [1859] = 1415,
  [1860] = 1416,
  [1861] = 1368,
  [1862] = 1366,
  [1863] = 1375,
  [1864] = 1376,
  [1865] = 1380,
  [1866] = 1381,
  [1867] = 1382,
  [1868] = 1385,
  [1869] = 1383,
  [1870] = 1389,
  [1871] = 1395,
  [1872] = 1396,
  [1873] = 1396,
  [1874] = 1387,
  [1875] = 1403,
  [1876] = 1405,
  [1877] = 1367,
  [1878] = 1394,
  [1879] = 1410,
  [1880] = 1430,
  [1881] = 1415,
  [1882] = 1395,
  [1883] = 1416,
  [1884] = 1884,
  [1885] = 1395,
  [1886] = 1396,
  [1887] = 1396,
  [1888] = 1368,
  [1889] = 1366,
  [1890] = 1387,
  [1891] = 1375,
  [1892] = 1376,
  [1893] = 1472,
  [1894] = 1380,
  [1895] = 1403,
  [1896] = 1405,
  [1897] = 1897,
  [1898] = 1385,
  [1899] = 1381,
  [1900] = 1367,
  [1901] = 1901,
  [1902] = 1382,
  [1903] = 1373,
  [1904] = 1441,
  [1905] = 1435,
  [1906] = 1403,
  [1907] = 1405,
  [1908] = 1383,
  [1909] = 1385,
  [1910] = 1402,
  [1911] = 1387,
  [1912] = 1383,
  [1913] = 1389,
  [1914] = 1901,
  [1915] = 1395,
  [1916] = 1394,
  [1917] = 1409,
  [1918] = 1371,
  [1919] = 1373,
  [1920] = 1379,
  [1921] = 1415,
  [1922] = 1416,
  [1923] = 1368,
  [1924] = 1366,
  [1925] = 1375,
  [1926] = 1376,
  [1927] = 1380,
  [1928] = 1381,
  [1929] = 1382,
  [1930] = 1385,
  [1931] = 1383,
  [1932] = 1389,
  [1933] = 1395,
  [1934] = 1396,
  [1935] = 1396,
  [1936] = 1458,
  [1937] = 1387,
  [1938] = 1403,
  [1939] = 1405,
  [1940] = 1940,
  [1941] = 659,
  [1942] = 1403,
  [1943] = 1943,
  [1944] = 1405,
  [1945] = 640,
  [1946] = 1946,
  [1947] = 1394,
  [1948] = 1472,
  [1949] = 1379,
  [1950] = 1415,
  [1951] = 1951,
  [1952] = 646,
  [1953] = 1416,
  [1954] = 1410,
  [1955] = 1430,
  [1956] = 1956,
  [1957] = 1472,
  [1958] = 1472,
  [1959] = 1959,
  [1960] = 1368,
  [1961] = 1961,
  [1962] = 681,
  [1963] = 1369,
  [1964] = 1366,
  [1965] = 1415,
  [1966] = 1472,
  [1967] = 1387,
  [1968] = 1409,
  [1969] = 1441,
  [1970] = 1371,
  [1971] = 1402,
  [1972] = 1373,
  [1973] = 1441,
  [1974] = 1409,
  [1975] = 1402,
  [1976] = 1376,
  [1977] = 1441,
  [1978] = 1367,
  [1979] = 1402,
  [1980] = 1462,
  [1981] = 1441,
  [1982] = 1379,
  [1983] = 1402,
  [1984] = 1371,
  [1985] = 1441,
  [1986] = 1403,
  [1987] = 1402,
  [1988] = 1373,
  [1989] = 1441,
  [1990] = 1415,
  [1991] = 1402,
  [1992] = 1416,
  [1993] = 1441,
  [1994] = 1368,
  [1995] = 1402,
  [1996] = 1405,
  [1997] = 1441,
  [1998] = 1394,
  [1999] = 1402,
  [2000] = 1380,
  [2001] = 1441,
  [2002] = 1375,
  [2003] = 1402,
  [2004] = 1366,
  [2005] = 1441,
  [2006] = 1375,
  [2007] = 1402,
  [2008] = 1376,
  [2009] = 1402,
  [2010] = 1472,
  [2011] = 1402,
  [2012] = 1432,
  [2013] = 1402,
  [2014] = 1380,
  [2015] = 1410,
  [2016] = 1430,
  [2017] = 1513,
  [2018] = 1381,
  [2019] = 1381,
  [2020] = 1393,
  [2021] = 1382,
  [2022] = 1416,
  [2023] = 1379,
  [2024] = 1415,
  [2025] = 1513,
  [2026] = 1513,
  [2027] = 1513,
  [2028] = 1513,
  [2029] = 1416,
  [2030] = 1901,
  [2031] = 1901,
  [2032] = 1901,
  [2033] = 1901,
  [2034] = 1382,
  [2035] = 693,
  [2036] = 1070,
  [2037] = 1094,
  [2038] = 918,
  [2039] = 1133,
  [2040] = 920,
  [2041] = 921,
  [2042] = 1144,
  [2043] = 727,
  [2044] = 695,
  [2045] = 696,
  [2046] = 697,
  [2047] = 698,
  [2048] = 2048,
  [2049] = 699,
  [2050] = 700,
  [2051] = 701,
  [2052] = 702,
  [2053] = 703,
  [2054] = 925,
  [2055] = 932,
  [2056] = 933,
  [2057] = 934,
  [2058] = 941,
  [2059] = 942,
  [2060] = 949,
  [2061] = 950,
  [2062] = 957,
  [2063] = 704,
  [2064] = 705,
  [2065] = 706,
  [2066] = 964,
  [2067] = 965,
  [2068] = 1014,
  [2069] = 1067,
  [2070] = 1069,
  [2071] = 1071,
  [2072] = 707,
  [2073] = 708,
  [2074] = 709,
  [2075] = 1072,
  [2076] = 1073,
  [2077] = 1074,
  [2078] = 1075,
  [2079] = 1076,
  [2080] = 1077,
  [2081] = 1078,
  [2082] = 1079,
  [2083] = 1080,
  [2084] = 1081,
  [2085] = 1082,
  [2086] = 1083,
  [2087] = 1084,
  [2088] = 1085,
  [2089] = 1086,
  [2090] = 1087,
  [2091] = 1088,
  [2092] = 1089,
  [2093] = 1090,
  [2094] = 1091,
  [2095] = 1092,
  [2096] = 1093,
  [2097] = 1095,
  [2098] = 711,
  [2099] = 713,
  [2100] = 1097,
  [2101] = 1099,
  [2102] = 1107,
  [2103] = 1129,
  [2104] = 1132,
  [2105] = 1135,
  [2106] = 714,
  [2107] = 715,
  [2108] = 716,
  [2109] = 717,
  [2110] = 719,
  [2111] = 1136,
  [2112] = 1137,
  [2113] = 1138,
  [2114] = 1139,
  [2115] = 1140,
  [2116] = 1141,
  [2117] = 1142,
  [2118] = 1143,
  [2119] = 1145,
  [2120] = 1146,
  [2121] = 721,
  [2122] = 722,
  [2123] = 723,
  [2124] = 724,
  [2125] = 726,
  [2126] = 1147,
  [2127] = 1148,
  [2128] = 1149,
  [2129] = 1150,
  [2130] = 1151,
  [2131] = 1152,
  [2132] = 1153,
  [2133] = 1166,
  [2134] = 1168,
  [2135] = 1170,
  [2136] = 1172,
  [2137] = 1174,
  [2138] = 728,
  [2139] = 729,
  [2140] = 730,
  [2141] = 731,
  [2142] = 1176,
  [2143] = 1178,
  [2144] = 1180,
  [2145] = 1182,
  [2146] = 1184,
  [2147] = 1189,
  [2148] = 1190,
  [2149] = 732,
  [2150] = 733,
  [2151] = 1191,
  [2152] = 1192,
  [2153] = 684,
  [2154] = 685,
  [2155] = 656,
  [2156] = 734,
  [2157] = 687,
  [2158] = 688,
  [2159] = 689,
  [2160] = 690,
  [2161] = 691,
  [2162] = 692,
  [2163] = 694,
  [2164] = 735,
  [2165] = 736,
  [2166] = 706,
  [2167] = 739,
  [2168] = 709,
  [2169] = 713,
  [2170] = 741,
  [2171] = 718,
  [2172] = 742,
  [2173] = 724,
  [2174] = 725,
  [2175] = 695,
  [2176] = 704,
  [2177] = 705,
  [2178] = 1070,
  [2179] = 707,
  [2180] = 708,
  [2181] = 1094,
  [2182] = 696,
  [2183] = 711,
  [2184] = 1133,
  [2185] = 697,
  [2186] = 714,
  [2187] = 715,
  [2188] = 716,
  [2189] = 717,
  [2190] = 719,
  [2191] = 1144,
  [2192] = 698,
  [2193] = 721,
  [2194] = 722,
  [2195] = 723,
  [2196] = 726,
  [2197] = 699,
  [2198] = 728,
  [2199] = 729,
  [2200] = 730,
  [2201] = 731,
  [2202] = 738,
  [2203] = 700,
  [2204] = 732,
  [2205] = 733,
  [2206] = 701,
  [2207] = 734,
  [2208] = 702,
  [2209] = 703,
  [2210] = 735,
  [2211] = 736,
  [2212] = 718,
  [2213] = 725,
  [2214] = 739,
  [2215] = 741,
  [2216] = 742,
  [2217] = 727,
  [2218] = 738,
  [2219] = 743,
  [2220] = 918,
  [2221] = 580,
  [2222] = 507,
  [2223] = 527,
  [2224] = 503,
  [2225] = 565,
  [2226] = 567,
  [2227] = 573,
  [2228] = 574,
  [2229] = 504,
  [2230] = 505,
  [2231] = 506,
  [2232] = 920,
  [2233] = 921,
  [2234] = 639,
  [2235] = 664,
  [2236] = 1174,
  [2237] = 2237,
  [2238] = 787,
  [2239] = 647,
  [2240] = 790,
  [2241] = 653,
  [2242] = 792,
  [2243] = 668,
  [2244] = 799,
  [2245] = 667,
  [2246] = 680,
  [2247] = 662,
  [2248] = 831,
  [2249] = 884,
  [2250] = 839,
  [2251] = 686,
  [2252] = 742,
  [2253] = 933,
  [2254] = 1133,
  [2255] = 1144,
  [2256] = 925,
  [2257] = 932,
  [2258] = 934,
  [2259] = 949,
  [2260] = 957,
  [2261] = 704,
  [2262] = 705,
  [2263] = 706,
  [2264] = 964,
  [2265] = 965,
  [2266] = 1014,
  [2267] = 1067,
  [2268] = 1069,
  [2269] = 1071,
  [2270] = 2048,
  [2271] = 707,
  [2272] = 708,
  [2273] = 735,
  [2274] = 709,
  [2275] = 1072,
  [2276] = 1073,
  [2277] = 1074,
  [2278] = 1075,
  [2279] = 1076,
  [2280] = 1089,
  [2281] = 1090,
  [2282] = 1091,
  [2283] = 1093,
  [2284] = 711,
  [2285] = 736,
  [2286] = 713,
  [2287] = 1097,
  [2288] = 1107,
  [2289] = 1129,
  [2290] = 1132,
  [2291] = 2291,
  [2292] = 714,
  [2293] = 715,
  [2294] = 716,
  [2295] = 717,
  [2296] = 718,
  [2297] = 719,
  [2298] = 1136,
  [2299] = 1137,
  [2300] = 1138,
  [2301] = 1139,
  [2302] = 1140,
  [2303] = 1141,
  [2304] = 1145,
  [2305] = 1146,
  [2306] = 721,
  [2307] = 722,
  [2308] = 723,
  [2309] = 724,
  [2310] = 725,
  [2311] = 726,
  [2312] = 1147,
  [2313] = 1148,
  [2314] = 1149,
  [2315] = 1150,
  [2316] = 1151,
  [2317] = 1152,
  [2318] = 1153,
  [2319] = 1166,
  [2320] = 1168,
  [2321] = 1170,
  [2322] = 1172,
  [2323] = 728,
  [2324] = 729,
  [2325] = 730,
  [2326] = 731,
  [2327] = 1176,
  [2328] = 1178,
  [2329] = 1180,
  [2330] = 1182,
  [2331] = 1184,
  [2332] = 1189,
  [2333] = 1190,
  [2334] = 732,
  [2335] = 733,
  [2336] = 1191,
  [2337] = 1192,
  [2338] = 684,
  [2339] = 685,
  [2340] = 686,
  [2341] = 734,
  [2342] = 687,
  [2343] = 688,
  [2344] = 689,
  [2345] = 690,
  [2346] = 691,
  [2347] = 692,
  [2348] = 693,
  [2349] = 656,
  [2350] = 695,
  [2351] = 523,
  [2352] = 570,
  [2353] = 696,
  [2354] = 658,
  [2355] = 588,
  [2356] = 1099,
  [2357] = 697,
  [2358] = 650,
  [2359] = 741,
  [2360] = 698,
  [2361] = 642,
  [2362] = 699,
  [2363] = 665,
  [2364] = 738,
  [2365] = 700,
  [2366] = 651,
  [2367] = 701,
  [2368] = 679,
  [2369] = 1070,
  [2370] = 702,
  [2371] = 666,
  [2372] = 703,
  [2373] = 941,
  [2374] = 739,
  [2375] = 727,
  [2376] = 1094,
  [2377] = 2377,
  [2378] = 743,
  [2379] = 942,
  [2380] = 950,
  [2381] = 1077,
  [2382] = 1078,
  [2383] = 1079,
  [2384] = 1080,
  [2385] = 1081,
  [2386] = 1082,
  [2387] = 1083,
  [2388] = 1084,
  [2389] = 1085,
  [2390] = 1086,
  [2391] = 1087,
  [2392] = 1088,
  [2393] = 1092,
  [2394] = 1095,
  [2395] = 1135,
  [2396] = 1142,
  [2397] = 1143,
  [2398] = 694,
  [2399] = 2399,
  [2400] = 664,
  [2401] = 1082,
  [2402] = 1083,
  [2403] = 1084,
  [2404] = 1085,
  [2405] = 653,
  [2406] = 1086,
  [2407] = 649,
  [2408] = 1087,
  [2409] = 1088,
  [2410] = 1142,
  [2411] = 1143,
  [2412] = 1092,
  [2413] = 933,
  [2414] = 1095,
  [2415] = 682,
  [2416] = 662,
  [2417] = 942,
  [2418] = 647,
  [2419] = 2419,
  [2420] = 2420,
  [2421] = 668,
  [2422] = 950,
  [2423] = 680,
  [2424] = 1077,
  [2425] = 743,
  [2426] = 2377,
  [2427] = 2427,
  [2428] = 667,
  [2429] = 2429,
  [2430] = 1078,
  [2431] = 1135,
  [2432] = 659,
  [2433] = 1079,
  [2434] = 1080,
  [2435] = 2435,
  [2436] = 2436,
  [2437] = 1081,
  [2438] = 654,
  [2439] = 639,
  [2440] = 656,
  [2441] = 732,
  [2442] = 733,
  [2443] = 714,
  [2444] = 715,
  [2445] = 716,
  [2446] = 734,
  [2447] = 2447,
  [2448] = 918,
  [2449] = 717,
  [2450] = 719,
  [2451] = 2447,
  [2452] = 1144,
  [2453] = 695,
  [2454] = 2447,
  [2455] = 2447,
  [2456] = 711,
  [2457] = 2447,
  [2458] = 1133,
  [2459] = 2459,
  [2460] = 2447,
  [2461] = 735,
  [2462] = 2447,
  [2463] = 696,
  [2464] = 2447,
  [2465] = 736,
  [2466] = 2447,
  [2467] = 697,
  [2468] = 2447,
  [2469] = 721,
  [2470] = 718,
  [2471] = 2447,
  [2472] = 2447,
  [2473] = 698,
  [2474] = 725,
  [2475] = 699,
  [2476] = 666,
  [2477] = 722,
  [2478] = 700,
  [2479] = 2447,
  [2480] = 702,
  [2481] = 703,
  [2482] = 723,
  [2483] = 739,
  [2484] = 741,
  [2485] = 724,
  [2486] = 742,
  [2487] = 738,
  [2488] = 726,
  [2489] = 2447,
  [2490] = 727,
  [2491] = 651,
  [2492] = 679,
  [2493] = 728,
  [2494] = 657,
  [2495] = 729,
  [2496] = 704,
  [2497] = 705,
  [2498] = 921,
  [2499] = 706,
  [2500] = 665,
  [2501] = 1070,
  [2502] = 2447,
  [2503] = 707,
  [2504] = 708,
  [2505] = 709,
  [2506] = 730,
  [2507] = 1094,
  [2508] = 658,
  [2509] = 731,
  [2510] = 650,
  [2511] = 713,
  [2512] = 642,
  [2513] = 701,
  [2514] = 523,
  [2515] = 1014,
  [2516] = 1152,
  [2517] = 1153,
  [2518] = 1166,
  [2519] = 1067,
  [2520] = 659,
  [2521] = 1069,
  [2522] = 1168,
  [2523] = 1170,
  [2524] = 1172,
  [2525] = 1174,
  [2526] = 1071,
  [2527] = 941,
  [2528] = 523,
  [2529] = 649,
  [2530] = 1176,
  [2531] = 1178,
  [2532] = 1180,
  [2533] = 1182,
  [2534] = 1184,
  [2535] = 1099,
  [2536] = 1072,
  [2537] = 1073,
  [2538] = 1074,
  [2539] = 1189,
  [2540] = 1190,
  [2541] = 1075,
  [2542] = 1076,
  [2543] = 1191,
  [2544] = 1192,
  [2545] = 684,
  [2546] = 685,
  [2547] = 686,
  [2548] = 687,
  [2549] = 688,
  [2550] = 689,
  [2551] = 690,
  [2552] = 691,
  [2553] = 692,
  [2554] = 693,
  [2555] = 694,
  [2556] = 1089,
  [2557] = 1090,
  [2558] = 1091,
  [2559] = 1093,
  [2560] = 920,
  [2561] = 1097,
  [2562] = 1107,
  [2563] = 570,
  [2564] = 1129,
  [2565] = 1132,
  [2566] = 925,
  [2567] = 932,
  [2568] = 682,
  [2569] = 657,
  [2570] = 570,
  [2571] = 656,
  [2572] = 588,
  [2573] = 1077,
  [2574] = 1078,
  [2575] = 1079,
  [2576] = 1080,
  [2577] = 1081,
  [2578] = 1082,
  [2579] = 1083,
  [2580] = 1084,
  [2581] = 1085,
  [2582] = 1086,
  [2583] = 1087,
  [2584] = 1088,
  [2585] = 1092,
  [2586] = 1095,
  [2587] = 1135,
  [2588] = 1142,
  [2589] = 1143,
  [2590] = 743,
  [2591] = 934,
  [2592] = 743,
  [2593] = 949,
  [2594] = 1136,
  [2595] = 1137,
  [2596] = 1138,
  [2597] = 1139,
  [2598] = 1140,
  [2599] = 1141,
  [2600] = 957,
  [2601] = 2601,
  [2602] = 588,
  [2603] = 1145,
  [2604] = 1146,
  [2605] = 964,
  [2606] = 965,
  [2607] = 1147,
  [2608] = 933,
  [2609] = 942,
  [2610] = 950,
  [2611] = 1148,
  [2612] = 1149,
  [2613] = 1150,
  [2614] = 1151,
  [2615] = 942,
  [2616] = 1092,
  [2617] = 1083,
  [2618] = 667,
  [2619] = 665,
  [2620] = 680,
  [2621] = 651,
  [2622] = 679,
  [2623] = 654,
  [2624] = 1095,
  [2625] = 662,
  [2626] = 658,
  [2627] = 666,
  [2628] = 2427,
  [2629] = 2291,
  [2630] = 1077,
  [2631] = 2399,
  [2632] = 933,
  [2633] = 649,
  [2634] = 1078,
  [2635] = 1084,
  [2636] = 2436,
  [2637] = 1174,
  [2638] = 1081,
  [2639] = 1082,
  [2640] = 1079,
  [2641] = 920,
  [2642] = 2419,
  [2643] = 2420,
  [2644] = 2429,
  [2645] = 642,
  [2646] = 1080,
  [2647] = 1142,
  [2648] = 1143,
  [2649] = 950,
  [2650] = 1085,
  [2651] = 647,
  [2652] = 1135,
  [2653] = 656,
  [2654] = 1086,
  [2655] = 743,
  [2656] = 650,
  [2657] = 653,
  [2658] = 639,
  [2659] = 2435,
  [2660] = 664,
  [2661] = 659,
  [2662] = 1087,
  [2663] = 1088,
  [2664] = 743,
  [2665] = 682,
  [2666] = 664,
  [2667] = 668,
  [2668] = 657,
  [2669] = 792,
  [2670] = 1168,
  [2671] = 739,
  [2672] = 741,
  [2673] = 742,
  [2674] = 741,
  [2675] = 695,
  [2676] = 1070,
  [2677] = 1094,
  [2678] = 696,
  [2679] = 1133,
  [2680] = 697,
  [2681] = 1144,
  [2682] = 698,
  [2683] = 699,
  [2684] = 727,
  [2685] = 700,
  [2686] = 701,
  [2687] = 702,
  [2688] = 703,
  [2689] = 743,
  [2690] = 839,
  [2691] = 742,
  [2692] = 743,
  [2693] = 738,
  [2694] = 727,
  [2695] = 728,
  [2696] = 704,
  [2697] = 705,
  [2698] = 707,
  [2699] = 708,
  [2700] = 1176,
  [2701] = 1178,
  [2702] = 711,
  [2703] = 1180,
  [2704] = 1182,
  [2705] = 713,
  [2706] = 2706,
  [2707] = 1184,
  [2708] = 1189,
  [2709] = 1190,
  [2710] = 714,
  [2711] = 715,
  [2712] = 716,
  [2713] = 717,
  [2714] = 718,
  [2715] = 719,
  [2716] = 2716,
  [2717] = 721,
  [2718] = 722,
  [2719] = 723,
  [2720] = 724,
  [2721] = 725,
  [2722] = 726,
  [2723] = 729,
  [2724] = 730,
  [2725] = 731,
  [2726] = 732,
  [2727] = 733,
  [2728] = 734,
  [2729] = 1191,
  [2730] = 1192,
  [2731] = 735,
  [2732] = 787,
  [2733] = 684,
  [2734] = 736,
  [2735] = 685,
  [2736] = 686,
  [2737] = 1070,
  [2738] = 738,
  [2739] = 1094,
  [2740] = 918,
  [2741] = 1133,
  [2742] = 687,
  [2743] = 921,
  [2744] = 799,
  [2745] = 1144,
  [2746] = 688,
  [2747] = 925,
  [2748] = 2716,
  [2749] = 932,
  [2750] = 689,
  [2751] = 933,
  [2752] = 934,
  [2753] = 941,
  [2754] = 695,
  [2755] = 942,
  [2756] = 949,
  [2757] = 950,
  [2758] = 957,
  [2759] = 704,
  [2760] = 705,
  [2761] = 706,
  [2762] = 964,
  [2763] = 965,
  [2764] = 1014,
  [2765] = 1067,
  [2766] = 1069,
  [2767] = 1071,
  [2768] = 690,
  [2769] = 707,
  [2770] = 709,
  [2771] = 1072,
  [2772] = 1073,
  [2773] = 1074,
  [2774] = 1075,
  [2775] = 1076,
  [2776] = 1077,
  [2777] = 1078,
  [2778] = 1079,
  [2779] = 1080,
  [2780] = 1081,
  [2781] = 1082,
  [2782] = 1083,
  [2783] = 1084,
  [2784] = 1085,
  [2785] = 1086,
  [2786] = 1087,
  [2787] = 1088,
  [2788] = 1089,
  [2789] = 1090,
  [2790] = 1092,
  [2791] = 1093,
  [2792] = 696,
  [2793] = 1095,
  [2794] = 711,
  [2795] = 1097,
  [2796] = 691,
  [2797] = 692,
  [2798] = 693,
  [2799] = 743,
  [2800] = 694,
  [2801] = 1099,
  [2802] = 1107,
  [2803] = 1129,
  [2804] = 1132,
  [2805] = 697,
  [2806] = 790,
  [2807] = 1135,
  [2808] = 714,
  [2809] = 715,
  [2810] = 716,
  [2811] = 717,
  [2812] = 719,
  [2813] = 1136,
  [2814] = 1137,
  [2815] = 1138,
  [2816] = 1139,
  [2817] = 1140,
  [2818] = 1141,
  [2819] = 1142,
  [2820] = 1143,
  [2821] = 698,
  [2822] = 1145,
  [2823] = 1146,
  [2824] = 721,
  [2825] = 722,
  [2826] = 723,
  [2827] = 726,
  [2828] = 1147,
  [2829] = 1148,
  [2830] = 1149,
  [2831] = 1150,
  [2832] = 1151,
  [2833] = 1152,
  [2834] = 1153,
  [2835] = 1166,
  [2836] = 699,
  [2837] = 1168,
  [2838] = 1170,
  [2839] = 1172,
  [2840] = 728,
  [2841] = 729,
  [2842] = 730,
  [2843] = 731,
  [2844] = 1176,
  [2845] = 1178,
  [2846] = 1180,
  [2847] = 1182,
  [2848] = 1184,
  [2849] = 700,
  [2850] = 1189,
  [2851] = 1190,
  [2852] = 732,
  [2853] = 733,
  [2854] = 1191,
  [2855] = 1192,
  [2856] = 684,
  [2857] = 701,
  [2858] = 685,
  [2859] = 686,
  [2860] = 734,
  [2861] = 687,
  [2862] = 702,
  [2863] = 688,
  [2864] = 689,
  [2865] = 690,
  [2866] = 703,
  [2867] = 691,
  [2868] = 692,
  [2869] = 693,
  [2870] = 694,
  [2871] = 925,
  [2872] = 932,
  [2873] = 656,
  [2874] = 934,
  [2875] = 941,
  [2876] = 949,
  [2877] = 957,
  [2878] = 964,
  [2879] = 2706,
  [2880] = 965,
  [2881] = 1014,
  [2882] = 639,
  [2883] = 1067,
  [2884] = 1069,
  [2885] = 1071,
  [2886] = 739,
  [2887] = 1172,
  [2888] = 735,
  [2889] = 1072,
  [2890] = 1073,
  [2891] = 1074,
  [2892] = 1075,
  [2893] = 1076,
  [2894] = 1170,
  [2895] = 1089,
  [2896] = 1090,
  [2897] = 1091,
  [2898] = 1093,
  [2899] = 736,
  [2900] = 1097,
  [2901] = 1099,
  [2902] = 1107,
  [2903] = 1129,
  [2904] = 1132,
  [2905] = 718,
  [2906] = 1136,
  [2907] = 1137,
  [2908] = 1138,
  [2909] = 1139,
  [2910] = 1140,
  [2911] = 1141,
  [2912] = 1145,
  [2913] = 1146,
  [2914] = 1174,
  [2915] = 725,
  [2916] = 1147,
  [2917] = 1148,
  [2918] = 1149,
  [2919] = 1150,
  [2920] = 1151,
  [2921] = 1152,
  [2922] = 1153,
  [2923] = 1166,
  [2924] = 1091,
  [2925] = 527,
  [2926] = 2926,
  [2927] = 580,
  [2928] = 507,
  [2929] = 519,
  [2930] = 527,
  [2931] = 668,
  [2932] = 503,
  [2933] = 565,
  [2934] = 567,
  [2935] = 573,
  [2936] = 574,
  [2937] = 504,
  [2938] = 505,
  [2939] = 506,
  [2940] = 580,
  [2941] = 507,
  [2942] = 507,
  [2943] = 662,
  [2944] = 653,
  [2945] = 523,
  [2946] = 565,
  [2947] = 2926,
  [2948] = 567,
  [2949] = 573,
  [2950] = 574,
  [2951] = 504,
  [2952] = 647,
  [2953] = 505,
  [2954] = 506,
  [2955] = 2955,
  [2956] = 527,
  [2957] = 503,
  [2958] = 588,
  [2959] = 565,
  [2960] = 567,
  [2961] = 573,
  [2962] = 574,
  [2963] = 504,
  [2964] = 519,
  [2965] = 667,
  [2966] = 505,
  [2967] = 506,
  [2968] = 680,
  [2969] = 570,
  [2970] = 580,
  [2971] = 503,
  [2972] = 503,
  [2973] = 580,
  [2974] = 580,
  [2975] = 507,
  [2976] = 658,
  [2977] = 640,
  [2978] = 681,
  [2979] = 507,
  [2980] = 654,
  [2981] = 665,
  [2982] = 506,
  [2983] = 527,
  [2984] = 503,
  [2985] = 565,
  [2986] = 567,
  [2987] = 573,
  [2988] = 574,
  [2989] = 504,
  [2990] = 505,
  [2991] = 506,
  [2992] = 654,
  [2993] = 580,
  [2994] = 507,
  [2995] = 527,
  [2996] = 503,
  [2997] = 565,
  [2998] = 567,
  [2999] = 656,
  [3000] = 657,
  [3001] = 573,
  [3002] = 574,
  [3003] = 504,
  [3004] = 505,
  [3005] = 506,
  [3006] = 679,
  [3007] = 682,
  [3008] = 639,
  [3009] = 658,
  [3010] = 647,
  [3011] = 650,
  [3012] = 653,
  [3013] = 642,
  [3014] = 668,
  [3015] = 667,
  [3016] = 665,
  [3017] = 565,
  [3018] = 680,
  [3019] = 651,
  [3020] = 679,
  [3021] = 662,
  [3022] = 666,
  [3023] = 666,
  [3024] = 567,
  [3025] = 649,
  [3026] = 573,
  [3027] = 527,
  [3028] = 3028,
  [3029] = 646,
  [3030] = 650,
  [3031] = 640,
  [3032] = 574,
  [3033] = 504,
  [3034] = 505,
  [3035] = 659,
  [3036] = 646,
  [3037] = 681,
  [3038] = 651,
  [3039] = 642,
  [3040] = 664,
  [3041] = 1086,
  [3042] = 731,
  [3043] = 1082,
  [3044] = 1176,
  [3045] = 721,
  [3046] = 1178,
  [3047] = 1083,
  [3048] = 1180,
  [3049] = 680,
  [3050] = 1182,
  [3051] = 1184,
  [3052] = 700,
  [3053] = 1189,
  [3054] = 1190,
  [3055] = 831,
  [3056] = 662,
  [3057] = 1084,
  [3058] = 732,
  [3059] = 1085,
  [3060] = 647,
  [3061] = 653,
  [3062] = 523,
  [3063] = 722,
  [3064] = 1080,
  [3065] = 570,
  [3066] = 668,
  [3067] = 713,
  [3068] = 519,
  [3069] = 724,
  [3070] = 706,
  [3071] = 667,
  [3072] = 709,
  [3073] = 680,
  [3074] = 918,
  [3075] = 739,
  [3076] = 662,
  [3077] = 1145,
  [3078] = 925,
  [3079] = 932,
  [3080] = 708,
  [3081] = 3081,
  [3082] = 920,
  [3083] = 921,
  [3084] = 733,
  [3085] = 1191,
  [3086] = 790,
  [3087] = 1192,
  [3088] = 684,
  [3089] = 701,
  [3090] = 685,
  [3091] = 686,
  [3092] = 734,
  [3093] = 687,
  [3094] = 702,
  [3095] = 688,
  [3096] = 689,
  [3097] = 690,
  [3098] = 703,
  [3099] = 691,
  [3100] = 692,
  [3101] = 693,
  [3102] = 694,
  [3103] = 723,
  [3104] = 1143,
  [3105] = 1087,
  [3106] = 1088,
  [3107] = 1089,
  [3108] = 1090,
  [3109] = 1091,
  [3110] = 1092,
  [3111] = 831,
  [3112] = 1093,
  [3113] = 696,
  [3114] = 1095,
  [3115] = 653,
  [3116] = 711,
  [3117] = 741,
  [3118] = 1067,
  [3119] = 706,
  [3120] = 713,
  [3121] = 1097,
  [3122] = 724,
  [3123] = 742,
  [3124] = 725,
  [3125] = 787,
  [3126] = 1099,
  [3127] = 1107,
  [3128] = 1129,
  [3129] = 1132,
  [3130] = 726,
  [3131] = 697,
  [3132] = 1147,
  [3133] = 1069,
  [3134] = 698,
  [3135] = 792,
  [3136] = 1148,
  [3137] = 1146,
  [3138] = 1149,
  [3139] = 647,
  [3140] = 1150,
  [3141] = 1151,
  [3142] = 920,
  [3143] = 839,
  [3144] = 1152,
  [3145] = 933,
  [3146] = 1153,
  [3147] = 942,
  [3148] = 1166,
  [3149] = 950,
  [3150] = 918,
  [3151] = 3081,
  [3152] = 682,
  [3153] = 735,
  [3154] = 709,
  [3155] = 699,
  [3156] = 668,
  [3157] = 965,
  [3158] = 1079,
  [3159] = 727,
  [3160] = 714,
  [3161] = 715,
  [3162] = 716,
  [3163] = 1070,
  [3164] = 799,
  [3165] = 933,
  [3166] = 934,
  [3167] = 941,
  [3168] = 588,
  [3169] = 1168,
  [3170] = 921,
  [3171] = 649,
  [3172] = 695,
  [3173] = 942,
  [3174] = 743,
  [3175] = 949,
  [3176] = 950,
  [3177] = 957,
  [3178] = 704,
  [3179] = 964,
  [3180] = 1014,
  [3181] = 717,
  [3182] = 659,
  [3183] = 736,
  [3184] = 1077,
  [3185] = 1078,
  [3186] = 1079,
  [3187] = 1080,
  [3188] = 1081,
  [3189] = 1082,
  [3190] = 1083,
  [3191] = 667,
  [3192] = 1084,
  [3193] = 1085,
  [3194] = 1086,
  [3195] = 1087,
  [3196] = 1088,
  [3197] = 1071,
  [3198] = 1170,
  [3199] = 1092,
  [3200] = 1172,
  [3201] = 1094,
  [3202] = 1095,
  [3203] = 884,
  [3204] = 1174,
  [3205] = 718,
  [3206] = 707,
  [3207] = 708,
  [3208] = 705,
  [3209] = 719,
  [3210] = 1133,
  [3211] = 1135,
  [3212] = 1136,
  [3213] = 729,
  [3214] = 1072,
  [3215] = 730,
  [3216] = 1137,
  [3217] = 1138,
  [3218] = 884,
  [3219] = 1142,
  [3220] = 1143,
  [3221] = 1144,
  [3222] = 1139,
  [3223] = 1073,
  [3224] = 1074,
  [3225] = 1075,
  [3226] = 1081,
  [3227] = 1076,
  [3228] = 728,
  [3229] = 1077,
  [3230] = 1078,
  [3231] = 1140,
  [3232] = 738,
  [3233] = 1141,
  [3234] = 1142,
  [3235] = 1135,
  [3236] = 658,
  [3237] = 665,
  [3238] = 580,
  [3239] = 666,
  [3240] = 523,
  [3241] = 507,
  [3242] = 527,
  [3243] = 503,
  [3244] = 658,
  [3245] = 565,
  [3246] = 567,
  [3247] = 588,
  [3248] = 573,
  [3249] = 588,
  [3250] = 668,
  [3251] = 664,
  [3252] = 653,
  [3253] = 574,
  [3254] = 504,
  [3255] = 642,
  [3256] = 523,
  [3257] = 650,
  [3258] = 505,
  [3259] = 667,
  [3260] = 642,
  [3261] = 506,
  [3262] = 680,
  [3263] = 662,
  [3264] = 3264,
  [3265] = 651,
  [3266] = 679,
  [3267] = 650,
  [3268] = 570,
  [3269] = 651,
  [3270] = 666,
  [3271] = 679,
  [3272] = 570,
  [3273] = 647,
  [3274] = 665,
  [3275] = 717,
  [3276] = 703,
  [3277] = 698,
  [3278] = 727,
  [3279] = 695,
  [3280] = 570,
  [3281] = 739,
  [3282] = 704,
  [3283] = 523,
  [3284] = 705,
  [3285] = 646,
  [3286] = 659,
  [3287] = 659,
  [3288] = 1070,
  [3289] = 707,
  [3290] = 735,
  [3291] = 682,
  [3292] = 664,
  [3293] = 696,
  [3294] = 580,
  [3295] = 507,
  [3296] = 527,
  [3297] = 503,
  [3298] = 565,
  [3299] = 567,
  [3300] = 573,
  [3301] = 640,
  [3302] = 574,
  [3303] = 504,
  [3304] = 505,
  [3305] = 681,
  [3306] = 506,
  [3307] = 1144,
  [3308] = 3264,
  [3309] = 716,
  [3310] = 658,
  [3311] = 650,
  [3312] = 728,
  [3313] = 729,
  [3314] = 642,
  [3315] = 730,
  [3316] = 649,
  [3317] = 700,
  [3318] = 731,
  [3319] = 1094,
  [3320] = 682,
  [3321] = 654,
  [3322] = 738,
  [3323] = 665,
  [3324] = 651,
  [3325] = 679,
  [3326] = 666,
  [3327] = 658,
  [3328] = 647,
  [3329] = 650,
  [3330] = 653,
  [3331] = 642,
  [3332] = 668,
  [3333] = 667,
  [3334] = 699,
  [3335] = 649,
  [3336] = 680,
  [3337] = 711,
  [3338] = 736,
  [3339] = 651,
  [3340] = 679,
  [3341] = 662,
  [3342] = 666,
  [3343] = 721,
  [3344] = 523,
  [3345] = 722,
  [3346] = 723,
  [3347] = 725,
  [3348] = 726,
  [3349] = 701,
  [3350] = 656,
  [3351] = 682,
  [3352] = 664,
  [3353] = 657,
  [3354] = 741,
  [3355] = 649,
  [3356] = 1133,
  [3357] = 718,
  [3358] = 130,
  [3359] = 697,
  [3360] = 719,
  [3361] = 128,
  [3362] = 743,
  [3363] = 127,
  [3364] = 732,
  [3365] = 126,
  [3366] = 129,
  [3367] = 131,
  [3368] = 733,
  [3369] = 580,
  [3370] = 507,
  [3371] = 527,
  [3372] = 503,
  [3373] = 565,
  [3374] = 567,
  [3375] = 573,
  [3376] = 574,
  [3377] = 504,
  [3378] = 505,
  [3379] = 506,
  [3380] = 742,
  [3381] = 588,
  [3382] = 702,
  [3383] = 639,
  [3384] = 714,
  [3385] = 570,
  [3386] = 715,
  [3387] = 132,
  [3388] = 3388,
  [3389] = 659,
  [3390] = 654,
  [3391] = 588,
  [3392] = 734,
  [3393] = 665,
  [3394] = 941,
  [3395] = 1172,
  [3396] = 1174,
  [3397] = 714,
  [3398] = 715,
  [3399] = 716,
  [3400] = 717,
  [3401] = 719,
  [3402] = 1099,
  [3403] = 721,
  [3404] = 722,
  [3405] = 723,
  [3406] = 726,
  [3407] = 1176,
  [3408] = 727,
  [3409] = 1178,
  [3410] = 918,
  [3411] = 1180,
  [3412] = 718,
  [3413] = 1182,
  [3414] = 728,
  [3415] = 1184,
  [3416] = 729,
  [3417] = 730,
  [3418] = 731,
  [3419] = 700,
  [3420] = 1189,
  [3421] = 1190,
  [3422] = 1191,
  [3423] = 1192,
  [3424] = 684,
  [3425] = 701,
  [3426] = 732,
  [3427] = 733,
  [3428] = 685,
  [3429] = 686,
  [3430] = 1070,
  [3431] = 687,
  [3432] = 702,
  [3433] = 688,
  [3434] = 689,
  [3435] = 690,
  [3436] = 734,
  [3437] = 703,
  [3438] = 691,
  [3439] = 692,
  [3440] = 693,
  [3441] = 694,
  [3442] = 1094,
  [3443] = 787,
  [3444] = 696,
  [3445] = 741,
  [3446] = 1107,
  [3447] = 1129,
  [3448] = 1132,
  [3449] = 704,
  [3450] = 705,
  [3451] = 657,
  [3452] = 742,
  [3453] = 925,
  [3454] = 697,
  [3455] = 884,
  [3456] = 932,
  [3457] = 1135,
  [3458] = 695,
  [3459] = 711,
  [3460] = 736,
  [3461] = 1133,
  [3462] = 713,
  [3463] = 1133,
  [3464] = 704,
  [3465] = 933,
  [3466] = 831,
  [3467] = 790,
  [3468] = 697,
  [3469] = 934,
  [3470] = 1095,
  [3471] = 705,
  [3472] = 695,
  [3473] = 942,
  [3474] = 949,
  [3475] = 707,
  [3476] = 714,
  [3477] = 657,
  [3478] = 715,
  [3479] = 716,
  [3480] = 717,
  [3481] = 718,
  [3482] = 742,
  [3483] = 921,
  [3484] = 950,
  [3485] = 957,
  [3486] = 719,
  [3487] = 738,
  [3488] = 736,
  [3489] = 1094,
  [3490] = 964,
  [3491] = 706,
  [3492] = 707,
  [3493] = 708,
  [3494] = 1097,
  [3495] = 706,
  [3496] = 708,
  [3497] = 709,
  [3498] = 735,
  [3499] = 1136,
  [3500] = 709,
  [3501] = 1137,
  [3502] = 711,
  [3503] = 743,
  [3504] = 127,
  [3505] = 1138,
  [3506] = 130,
  [3507] = 725,
  [3508] = 128,
  [3509] = 1139,
  [3510] = 1170,
  [3511] = 1140,
  [3512] = 1141,
  [3513] = 1142,
  [3514] = 1143,
  [3515] = 698,
  [3516] = 741,
  [3517] = 1145,
  [3518] = 1146,
  [3519] = 1070,
  [3520] = 839,
  [3521] = 1147,
  [3522] = 965,
  [3523] = 1144,
  [3524] = 792,
  [3525] = 698,
  [3526] = 1148,
  [3527] = 721,
  [3528] = 722,
  [3529] = 723,
  [3530] = 724,
  [3531] = 725,
  [3532] = 726,
  [3533] = 664,
  [3534] = 1149,
  [3535] = 799,
  [3536] = 699,
  [3537] = 727,
  [3538] = 728,
  [3539] = 729,
  [3540] = 730,
  [3541] = 731,
  [3542] = 738,
  [3543] = 700,
  [3544] = 732,
  [3545] = 733,
  [3546] = 701,
  [3547] = 734,
  [3548] = 702,
  [3549] = 659,
  [3550] = 703,
  [3551] = 1150,
  [3552] = 1014,
  [3553] = 713,
  [3554] = 131,
  [3555] = 724,
  [3556] = 735,
  [3557] = 1151,
  [3558] = 1067,
  [3559] = 739,
  [3560] = 1069,
  [3561] = 1152,
  [3562] = 1153,
  [3563] = 1071,
  [3564] = 126,
  [3565] = 739,
  [3566] = 1166,
  [3567] = 1072,
  [3568] = 1073,
  [3569] = 1074,
  [3570] = 519,
  [3571] = 1075,
  [3572] = 918,
  [3573] = 682,
  [3574] = 699,
  [3575] = 1076,
  [3576] = 664,
  [3577] = 1168,
  [3578] = 1077,
  [3579] = 1078,
  [3580] = 1079,
  [3581] = 1080,
  [3582] = 1081,
  [3583] = 1082,
  [3584] = 1083,
  [3585] = 1084,
  [3586] = 920,
  [3587] = 921,
  [3588] = 649,
  [3589] = 1085,
  [3590] = 1086,
  [3591] = 1087,
  [3592] = 1088,
  [3593] = 1089,
  [3594] = 1090,
  [3595] = 132,
  [3596] = 1144,
  [3597] = 743,
  [3598] = 1091,
  [3599] = 1092,
  [3600] = 1093,
  [3601] = 696,
  [3602] = 129,
  [3603] = 723,
  [3604] = 132,
  [3605] = 647,
  [3606] = 742,
  [3607] = 735,
  [3608] = 639,
  [3609] = 1174,
  [3610] = 728,
  [3611] = 736,
  [3612] = 729,
  [3613] = 730,
  [3614] = 731,
  [3615] = 738,
  [3616] = 1070,
  [3617] = 709,
  [3618] = 741,
  [3619] = 739,
  [3620] = 656,
  [3621] = 732,
  [3622] = 1133,
  [3623] = 700,
  [3624] = 721,
  [3625] = 722,
  [3626] = 742,
  [3627] = 707,
  [3628] = 130,
  [3629] = 1094,
  [3630] = 653,
  [3631] = 728,
  [3632] = 703,
  [3633] = 732,
  [3634] = 1070,
  [3635] = 717,
  [3636] = 718,
  [3637] = 920,
  [3638] = 727,
  [3639] = 1133,
  [3640] = 1144,
  [3641] = 714,
  [3642] = 733,
  [3643] = 700,
  [3644] = 719,
  [3645] = 723,
  [3646] = 743,
  [3647] = 738,
  [3648] = 699,
  [3649] = 705,
  [3650] = 725,
  [3651] = 726,
  [3652] = 736,
  [3653] = 1144,
  [3654] = 131,
  [3655] = 697,
  [3656] = 698,
  [3657] = 1174,
  [3658] = 727,
  [3659] = 647,
  [3660] = 653,
  [3661] = 129,
  [3662] = 668,
  [3663] = 701,
  [3664] = 667,
  [3665] = 680,
  [3666] = 662,
  [3667] = 1094,
  [3668] = 668,
  [3669] = 580,
  [3670] = 507,
  [3671] = 527,
  [3672] = 503,
  [3673] = 565,
  [3674] = 567,
  [3675] = 127,
  [3676] = 574,
  [3677] = 504,
  [3678] = 505,
  [3679] = 506,
  [3680] = 128,
  [3681] = 718,
  [3682] = 519,
  [3683] = 667,
  [3684] = 695,
  [3685] = 704,
  [3686] = 705,
  [3687] = 734,
  [3688] = 680,
  [3689] = 725,
  [3690] = 662,
  [3691] = 741,
  [3692] = 707,
  [3693] = 708,
  [3694] = 920,
  [3695] = 734,
  [3696] = 729,
  [3697] = 739,
  [3698] = 730,
  [3699] = 715,
  [3700] = 716,
  [3701] = 735,
  [3702] = 701,
  [3703] = 731,
  [3704] = 696,
  [3705] = 695,
  [3706] = 711,
  [3707] = 696,
  [3708] = 713,
  [3709] = 711,
  [3710] = 704,
  [3711] = 697,
  [3712] = 733,
  [3713] = 656,
  [3714] = 714,
  [3715] = 715,
  [3716] = 716,
  [3717] = 717,
  [3718] = 719,
  [3719] = 702,
  [3720] = 126,
  [3721] = 698,
  [3722] = 721,
  [3723] = 722,
  [3724] = 724,
  [3725] = 639,
  [3726] = 726,
  [3727] = 702,
  [3728] = 703,
  [3729] = 646,
  [3730] = 699,
  [3731] = 706,
  [3732] = 573,
  [3733] = 684,
  [3734] = 507,
  [3735] = 527,
  [3736] = 503,
  [3737] = 565,
  [3738] = 567,
  [3739] = 573,
  [3740] = 574,
  [3741] = 504,
  [3742] = 505,
  [3743] = 506,
  [3744] = 1085,
  [3745] = 132,
  [3746] = 1192,
  [3747] = 1147,
  [3748] = 692,
  [3749] = 1148,
  [3750] = 126,
  [3751] = 1149,
  [3752] = 1139,
  [3753] = 1140,
  [3754] = 1132,
  [3755] = 1150,
  [3756] = 1191,
  [3757] = 1072,
  [3758] = 1073,
  [3759] = 884,
  [3760] = 658,
  [3761] = 708,
  [3762] = 1149,
  [3763] = 650,
  [3764] = 1014,
  [3765] = 1086,
  [3766] = 1074,
  [3767] = 1075,
  [3768] = 1136,
  [3769] = 642,
  [3770] = 1076,
  [3771] = 1138,
  [3772] = 1182,
  [3773] = 1136,
  [3774] = 1077,
  [3775] = 1184,
  [3776] = 665,
  [3777] = 1067,
  [3778] = 1076,
  [3779] = 651,
  [3780] = 679,
  [3781] = 709,
  [3782] = 666,
  [3783] = 1088,
  [3784] = 1137,
  [3785] = 690,
  [3786] = 1151,
  [3787] = 925,
  [3788] = 642,
  [3789] = 1170,
  [3790] = 1172,
  [3791] = 713,
  [3792] = 1107,
  [3793] = 1150,
  [3794] = 1151,
  [3795] = 658,
  [3796] = 650,
  [3797] = 129,
  [3798] = 1168,
  [3799] = 1180,
  [3800] = 1170,
  [3801] = 640,
  [3802] = 681,
  [3803] = 1129,
  [3804] = 1152,
  [3805] = 692,
  [3806] = 1084,
  [3807] = 1078,
  [3808] = 1079,
  [3809] = 1089,
  [3810] = 1080,
  [3811] = 1081,
  [3812] = 685,
  [3813] = 1082,
  [3814] = 1083,
  [3815] = 686,
  [3816] = 1084,
  [3817] = 1085,
  [3818] = 1139,
  [3819] = 665,
  [3820] = 1086,
  [3821] = 1135,
  [3822] = 1146,
  [3823] = 1189,
  [3824] = 1087,
  [3825] = 1192,
  [3826] = 743,
  [3827] = 1153,
  [3828] = 1088,
  [3829] = 942,
  [3830] = 1097,
  [3831] = 687,
  [3832] = 693,
  [3833] = 1180,
  [3834] = 713,
  [3835] = 651,
  [3836] = 1097,
  [3837] = 1099,
  [3838] = 709,
  [3839] = 1089,
  [3840] = 1132,
  [3841] = 679,
  [3842] = 1176,
  [3843] = 694,
  [3844] = 1090,
  [3845] = 666,
  [3846] = 1138,
  [3847] = 1091,
  [3848] = 1080,
  [3849] = 1168,
  [3850] = 1092,
  [3851] = 1135,
  [3852] = 1166,
  [3853] = 580,
  [3854] = 1090,
  [3855] = 1129,
  [3856] = 743,
  [3857] = 1093,
  [3858] = 925,
  [3859] = 964,
  [3860] = 1095,
  [3861] = 1082,
  [3862] = 693,
  [3863] = 684,
  [3864] = 1014,
  [3865] = 965,
  [3866] = 933,
  [3867] = 934,
  [3868] = 1067,
  [3869] = 932,
  [3870] = 1087,
  [3871] = 1140,
  [3872] = 1141,
  [3873] = 1142,
  [3874] = 1143,
  [3875] = 1091,
  [3876] = 1092,
  [3877] = 957,
  [3878] = 1191,
  [3879] = 932,
  [3880] = 688,
  [3881] = 1145,
  [3882] = 1099,
  [3883] = 1093,
  [3884] = 743,
  [3885] = 1107,
  [3886] = 1078,
  [3887] = 1182,
  [3888] = 570,
  [3889] = 694,
  [3890] = 1184,
  [3891] = 933,
  [3892] = 934,
  [3893] = 941,
  [3894] = 691,
  [3895] = 127,
  [3896] = 724,
  [3897] = 942,
  [3898] = 1176,
  [3899] = 1141,
  [3900] = 1077,
  [3901] = 646,
  [3902] = 941,
  [3903] = 1069,
  [3904] = 949,
  [3905] = 1069,
  [3906] = 1178,
  [3907] = 1178,
  [3908] = 950,
  [3909] = 957,
  [3910] = 646,
  [3911] = 1152,
  [3912] = 588,
  [3913] = 1143,
  [3914] = 131,
  [3915] = 1095,
  [3916] = 1147,
  [3917] = 691,
  [3918] = 1071,
  [3919] = 1145,
  [3920] = 1172,
  [3921] = 1153,
  [3922] = 724,
  [3923] = 685,
  [3924] = 1146,
  [3925] = 686,
  [3926] = 706,
  [3927] = 964,
  [3928] = 965,
  [3929] = 1072,
  [3930] = 1073,
  [3931] = 523,
  [3932] = 706,
  [3933] = 1166,
  [3934] = 1083,
  [3935] = 1074,
  [3936] = 128,
  [3937] = 708,
  [3938] = 1148,
  [3939] = 1075,
  [3940] = 130,
  [3941] = 1079,
  [3942] = 1190,
  [3943] = 1189,
  [3944] = 687,
  [3945] = 1190,
  [3946] = 1071,
  [3947] = 1142,
  [3948] = 688,
  [3949] = 689,
  [3950] = 689,
  [3951] = 1081,
  [3952] = 1137,
  [3953] = 949,
  [3954] = 690,
  [3955] = 950,
  [3956] = 706,
  [3957] = 649,
  [3958] = 654,
  [3959] = 130,
  [3960] = 128,
  [3961] = 132,
  [3962] = 126,
  [3963] = 2237,
  [3964] = 657,
  [3965] = 523,
  [3966] = 659,
  [3967] = 570,
  [3968] = 682,
  [3969] = 588,
  [3970] = 649,
  [3971] = 884,
  [3972] = 884,
  [3973] = 129,
  [3974] = 131,
  [3975] = 2237,
  [3976] = 659,
  [3977] = 640,
  [3978] = 681,
  [3979] = 127,
  [3980] = 1077,
  [3981] = 1078,
  [3982] = 1079,
  [3983] = 1080,
  [3984] = 1081,
  [3985] = 1082,
  [3986] = 1083,
  [3987] = 1084,
  [3988] = 1085,
  [3989] = 1086,
  [3990] = 1087,
  [3991] = 1088,
  [3992] = 1092,
  [3993] = 1095,
  [3994] = 1135,
  [3995] = 1142,
  [3996] = 1143,
  [3997] = 646,
  [3998] = 646,
  [3999] = 127,
  [4000] = 130,
  [4001] = 128,
  [4002] = 129,
  [4003] = 131,
  [4004] = 126,
  [4005] = 132,
  [4006] = 713,
  [4007] = 724,
  [4008] = 709,
  [4009] = 831,
  [4010] = 708,
  [4011] = 682,
  [4012] = 884,
  [4013] = 933,
  [4014] = 942,
  [4015] = 950,
  [4016] = 743,
  [4017] = 664,
  [4018] = 920,
  [4019] = 4019,
  [4020] = 127,
  [4021] = 639,
  [4022] = 719,
  [4023] = 700,
  [4024] = 698,
  [4025] = 706,
  [4026] = 1094,
  [4027] = 742,
  [4028] = 701,
  [4029] = 664,
  [4030] = 918,
  [4031] = 4031,
  [4032] = 1174,
  [4033] = 696,
  [4034] = 702,
  [4035] = 738,
  [4036] = 703,
  [4037] = 1133,
  [4038] = 735,
  [4039] = 709,
  [4040] = 704,
  [4041] = 920,
  [4042] = 705,
  [4043] = 736,
  [4044] = 713,
  [4045] = 921,
  [4046] = 132,
  [4047] = 129,
  [4048] = 716,
  [4049] = 707,
  [4050] = 130,
  [4051] = 920,
  [4052] = 131,
  [4053] = 128,
  [4054] = 1077,
  [4055] = 1078,
  [4056] = 1079,
  [4057] = 1080,
  [4058] = 1081,
  [4059] = 1082,
  [4060] = 1083,
  [4061] = 1084,
  [4062] = 1085,
  [4063] = 1086,
  [4064] = 1087,
  [4065] = 1088,
  [4066] = 1092,
  [4067] = 1095,
  [4068] = 1135,
  [4069] = 1142,
  [4070] = 1143,
  [4071] = 715,
  [4072] = 741,
  [4073] = 128,
  [4074] = 129,
  [4075] = 131,
  [4076] = 126,
  [4077] = 132,
  [4078] = 2291,
  [4079] = 708,
  [4080] = 721,
  [4081] = 722,
  [4082] = 723,
  [4083] = 726,
  [4084] = 656,
  [4085] = 727,
  [4086] = 728,
  [4087] = 729,
  [4088] = 730,
  [4089] = 731,
  [4090] = 127,
  [4091] = 717,
  [4092] = 699,
  [4093] = 732,
  [4094] = 733,
  [4095] = 831,
  [4096] = 708,
  [4097] = 718,
  [4098] = 4031,
  [4099] = 1144,
  [4100] = 697,
  [4101] = 1070,
  [4102] = 884,
  [4103] = 713,
  [4104] = 724,
  [4105] = 933,
  [4106] = 942,
  [4107] = 950,
  [4108] = 724,
  [4109] = 706,
  [4110] = 709,
  [4111] = 734,
  [4112] = 743,
  [4113] = 725,
  [4114] = 656,
  [4115] = 711,
  [4116] = 2291,
  [4117] = 739,
  [4118] = 126,
  [4119] = 695,
  [4120] = 714,
  [4121] = 130,
  [4122] = 132,
  [4123] = 1189,
  [4124] = 1190,
  [4125] = 732,
  [4126] = 733,
  [4127] = 1191,
  [4128] = 1192,
  [4129] = 684,
  [4130] = 685,
  [4131] = 686,
  [4132] = 734,
  [4133] = 687,
  [4134] = 688,
  [4135] = 689,
  [4136] = 690,
  [4137] = 691,
  [4138] = 692,
  [4139] = 693,
  [4140] = 694,
  [4141] = 1077,
  [4142] = 1078,
  [4143] = 1079,
  [4144] = 1080,
  [4145] = 1081,
  [4146] = 1082,
  [4147] = 1083,
  [4148] = 1084,
  [4149] = 1085,
  [4150] = 1086,
  [4151] = 1087,
  [4152] = 1088,
  [4153] = 1092,
  [4154] = 709,
  [4155] = 1095,
  [4156] = 964,
  [4157] = 1072,
  [4158] = 1073,
  [4159] = 1074,
  [4160] = 1135,
  [4161] = 1142,
  [4162] = 1143,
  [4163] = 1075,
  [4164] = 1076,
  [4165] = 1077,
  [4166] = 1078,
  [4167] = 1079,
  [4168] = 129,
  [4169] = 735,
  [4170] = 1080,
  [4171] = 2427,
  [4172] = 1081,
  [4173] = 657,
  [4174] = 743,
  [4175] = 1094,
  [4176] = 696,
  [4177] = 738,
  [4178] = 1082,
  [4179] = 127,
  [4180] = 130,
  [4181] = 1083,
  [4182] = 128,
  [4183] = 1084,
  [4184] = 736,
  [4185] = 1085,
  [4186] = 1133,
  [4187] = 697,
  [4188] = 129,
  [4189] = 1086,
  [4190] = 131,
  [4191] = 1087,
  [4192] = 1088,
  [4193] = 718,
  [4194] = 1089,
  [4195] = 1090,
  [4196] = 1091,
  [4197] = 1092,
  [4198] = 1093,
  [4199] = 965,
  [4200] = 1014,
  [4201] = 1095,
  [4202] = 705,
  [4203] = 1067,
  [4204] = 711,
  [4205] = 1069,
  [4206] = 1071,
  [4207] = 713,
  [4208] = 131,
  [4209] = 1097,
  [4210] = 1099,
  [4211] = 1107,
  [4212] = 4212,
  [4213] = 1129,
  [4214] = 1132,
  [4215] = 1135,
  [4216] = 2429,
  [4217] = 714,
  [4218] = 715,
  [4219] = 132,
  [4220] = 126,
  [4221] = 2427,
  [4222] = 716,
  [4223] = 1144,
  [4224] = 2291,
  [4225] = 4225,
  [4226] = 725,
  [4227] = 698,
  [4228] = 4228,
  [4229] = 717,
  [4230] = 957,
  [4231] = 4231,
  [4232] = 719,
  [4233] = 1136,
  [4234] = 1137,
  [4235] = 1138,
  [4236] = 1139,
  [4237] = 743,
  [4238] = 1140,
  [4239] = 1141,
  [4240] = 1142,
  [4241] = 1143,
  [4242] = 1070,
  [4243] = 1145,
  [4244] = 1146,
  [4245] = 721,
  [4246] = 656,
  [4247] = 722,
  [4248] = 723,
  [4249] = 2399,
  [4250] = 2419,
  [4251] = 2420,
  [4252] = 699,
  [4253] = 724,
  [4254] = 726,
  [4255] = 1147,
  [4256] = 743,
  [4257] = 942,
  [4258] = 950,
  [4259] = 1148,
  [4260] = 2429,
  [4261] = 2435,
  [4262] = 2436,
  [4263] = 700,
  [4264] = 739,
  [4265] = 1149,
  [4266] = 1150,
  [4267] = 1151,
  [4268] = 701,
  [4269] = 702,
  [4270] = 695,
  [4271] = 1152,
  [4272] = 1153,
  [4273] = 1166,
  [4274] = 2048,
  [4275] = 704,
  [4276] = 1168,
  [4277] = 1170,
  [4278] = 1172,
  [4279] = 707,
  [4280] = 2399,
  [4281] = 728,
  [4282] = 743,
  [4283] = 729,
  [4284] = 2419,
  [4285] = 703,
  [4286] = 2435,
  [4287] = 4287,
  [4288] = 2420,
  [4289] = 730,
  [4290] = 925,
  [4291] = 656,
  [4292] = 932,
  [4293] = 941,
  [4294] = 646,
  [4295] = 706,
  [4296] = 2436,
  [4297] = 933,
  [4298] = 934,
  [4299] = 743,
  [4300] = 731,
  [4301] = 639,
  [4302] = 741,
  [4303] = 942,
  [4304] = 1176,
  [4305] = 742,
  [4306] = 1178,
  [4307] = 949,
  [4308] = 1180,
  [4309] = 1182,
  [4310] = 950,
  [4311] = 933,
  [4312] = 1184,
  [4313] = 708,
  [4314] = 727,
  [4315] = 126,
  [4316] = 1084,
  [4317] = 1095,
  [4318] = 688,
  [4319] = 1135,
  [4320] = 925,
  [4321] = 1142,
  [4322] = 1143,
  [4323] = 689,
  [4324] = 690,
  [4325] = 1150,
  [4326] = 932,
  [4327] = 691,
  [4328] = 692,
  [4329] = 693,
  [4330] = 1084,
  [4331] = 694,
  [4332] = 1085,
  [4333] = 933,
  [4334] = 934,
  [4335] = 131,
  [4336] = 1151,
  [4337] = 743,
  [4338] = 941,
  [4339] = 1086,
  [4340] = 1152,
  [4341] = 2429,
  [4342] = 2435,
  [4343] = 1087,
  [4344] = 942,
  [4345] = 2436,
  [4346] = 949,
  [4347] = 1153,
  [4348] = 950,
  [4349] = 4349,
  [4350] = 1097,
  [4351] = 1088,
  [4352] = 1099,
  [4353] = 1107,
  [4354] = 1166,
  [4355] = 2237,
  [4356] = 1089,
  [4357] = 1077,
  [4358] = 1090,
  [4359] = 1091,
  [4360] = 1092,
  [4361] = 1129,
  [4362] = 127,
  [4363] = 1093,
  [4364] = 1072,
  [4365] = 1073,
  [4366] = 1132,
  [4367] = 957,
  [4368] = 1078,
  [4369] = 1079,
  [4370] = 1080,
  [4371] = 2427,
  [4372] = 4349,
  [4373] = 1081,
  [4374] = 1074,
  [4375] = 1168,
  [4376] = 132,
  [4377] = 1170,
  [4378] = 1172,
  [4379] = 1174,
  [4380] = 1082,
  [4381] = 4381,
  [4382] = 1145,
  [4383] = 1146,
  [4384] = 964,
  [4385] = 743,
  [4386] = 1135,
  [4387] = 4349,
  [4388] = 1176,
  [4389] = 965,
  [4390] = 1178,
  [4391] = 126,
  [4392] = 1092,
  [4393] = 646,
  [4394] = 933,
  [4395] = 942,
  [4396] = 950,
  [4397] = 1182,
  [4398] = 1184,
  [4399] = 2399,
  [4400] = 4400,
  [4401] = 2419,
  [4402] = 2420,
  [4403] = 646,
  [4404] = 1136,
  [4405] = 1137,
  [4406] = 4349,
  [4407] = 1138,
  [4408] = 1139,
  [4409] = 920,
  [4410] = 743,
  [4411] = 1189,
  [4412] = 1190,
  [4413] = 1075,
  [4414] = 1076,
  [4415] = 1191,
  [4416] = 1192,
  [4417] = 743,
  [4418] = 684,
  [4419] = 1147,
  [4420] = 1140,
  [4421] = 1148,
  [4422] = 1141,
  [4423] = 1142,
  [4424] = 1143,
  [4425] = 685,
  [4426] = 129,
  [4427] = 686,
  [4428] = 1095,
  [4429] = 4349,
  [4430] = 884,
  [4431] = 743,
  [4432] = 687,
  [4433] = 1149,
  [4434] = 1083,
  [4435] = 130,
  [4436] = 1014,
  [4437] = 1077,
  [4438] = 128,
  [4439] = 1067,
  [4440] = 1078,
  [4441] = 1079,
  [4442] = 1069,
  [4443] = 1080,
  [4444] = 1088,
  [4445] = 1081,
  [4446] = 1082,
  [4447] = 1083,
  [4448] = 1071,
  [4449] = 1085,
  [4450] = 1086,
  [4451] = 1087,
  [4452] = 1180,
  [4453] = 126,
  [4454] = 128,
  [4455] = 884,
  [4456] = 4456,
  [4457] = 132,
  [4458] = 127,
  [4459] = 129,
  [4460] = 131,
  [4461] = 130,
  [4462] = 129,
  [4463] = 128,
  [4464] = 132,
  [4465] = 4465,
  [4466] = 4466,
  [4467] = 128,
  [4468] = 4468,
  [4469] = 4469,
  [4470] = 130,
  [4471] = 4471,
  [4472] = 131,
  [4473] = 132,
  [4474] = 126,
  [4475] = 126,
  [4476] = 4212,
  [4477] = 129,
  [4478] = 4478,
  [4479] = 131,
  [4480] = 4480,
  [4481] = 129,
  [4482] = 4231,
  [4483] = 130,
  [4484] = 132,
  [4485] = 4485,
  [4486] = 127,
  [4487] = 127,
  [4488] = 4488,
  [4489] = 131,
  [4490] = 4490,
  [4491] = 4491,
  [4492] = 4492,
  [4493] = 4493,
  [4494] = 4493,
  [4495] = 4492,
  [4496] = 4493,
  [4497] = 4493,
  [4498] = 4491,
  [4499] = 4499,
  [4500] = 4491,
  [4501] = 4492,
  [4502] = 127,
  [4503] = 4493,
  [4504] = 4493,
  [4505] = 2237,
  [4506] = 4493,
  [4507] = 4491,
  [4508] = 4492,
  [4509] = 4491,
  [4510] = 4492,
  [4511] = 4491,
  [4512] = 4493,
  [4513] = 4493,
  [4514] = 4492,
  [4515] = 4492,
  [4516] = 4491,
  [4517] = 4491,
  [4518] = 4492,
  [4519] = 4519,
  [4520] = 3264,
  [4521] = 4491,
  [4522] = 4491,
  [4523] = 4493,
  [4524] = 4491,
  [4525] = 4492,
  [4526] = 4526,
  [4527] = 4527,
  [4528] = 4528,
  [4529] = 126,
  [4530] = 4491,
  [4531] = 656,
  [4532] = 4493,
  [4533] = 2237,
  [4534] = 130,
  [4535] = 4493,
  [4536] = 4492,
  [4537] = 4492,
  [4538] = 4491,
  [4539] = 4539,
  [4540] = 4492,
  [4541] = 4493,
  [4542] = 4492,
  [4543] = 4231,
  [4544] = 4544,
  [4545] = 4545,
  [4546] = 4493,
  [4547] = 128,
  [4548] = 4492,
  [4549] = 4493,
  [4550] = 4491,
  [4551] = 4491,
  [4552] = 4552,
  [4553] = 4553,
  [4554] = 4492,
  [4555] = 4212,
  [4556] = 1092,
  [4557] = 1135,
  [4558] = 1083,
  [4559] = 1085,
  [4560] = 950,
  [4561] = 656,
  [4562] = 933,
  [4563] = 2427,
  [4564] = 743,
  [4565] = 4565,
  [4566] = 1142,
  [4567] = 1081,
  [4568] = 942,
  [4569] = 1079,
  [4570] = 4570,
  [4571] = 1086,
  [4572] = 743,
  [4573] = 1088,
  [4574] = 4574,
  [4575] = 3264,
  [4576] = 1077,
  [4577] = 2291,
  [4578] = 1082,
  [4579] = 2399,
  [4580] = 4580,
  [4581] = 1078,
  [4582] = 2429,
  [4583] = 1095,
  [4584] = 2419,
  [4585] = 2420,
  [4586] = 2436,
  [4587] = 1080,
  [4588] = 4456,
  [4589] = 1143,
  [4590] = 1084,
  [4591] = 2435,
  [4592] = 1087,
  [4593] = 4593,
  [4594] = 4594,
  [4595] = 4595,
  [4596] = 4596,
  [4597] = 4597,
  [4598] = 4598,
  [4599] = 4599,
  [4600] = 4600,
  [4601] = 4601,
  [4602] = 4602,
  [4603] = 4595,
  [4604] = 4604,
  [4605] = 4593,
  [4606] = 4596,
  [4607] = 4597,
  [4608] = 4602,
  [4609] = 4598,
  [4610] = 4610,
  [4611] = 4611,
  [4612] = 4600,
  [4613] = 4595,
  [4614] = 4596,
  [4615] = 4597,
  [4616] = 4598,
  [4617] = 4617,
  [4618] = 4597,
  [4619] = 4600,
  [4620] = 4595,
  [4621] = 4596,
  [4622] = 4597,
  [4623] = 4598,
  [4624] = 4624,
  [4625] = 4599,
  [4626] = 4600,
  [4627] = 4602,
  [4628] = 4595,
  [4629] = 4596,
  [4630] = 4597,
  [4631] = 4598,
  [4632] = 4600,
  [4633] = 4600,
  [4634] = 4595,
  [4635] = 4596,
  [4636] = 4597,
  [4637] = 4598,
  [4638] = 4638,
  [4639] = 4595,
  [4640] = 4597,
  [4641] = 4598,
  [4642] = 4617,
  [4643] = 4599,
  [4644] = 4600,
  [4645] = 4599,
  [4646] = 4595,
  [4647] = 4600,
  [4648] = 4604,
  [4649] = 4593,
  [4650] = 4650,
  [4651] = 4600,
  [4652] = 4602,
  [4653] = 4602,
  [4654] = 4599,
  [4655] = 4595,
  [4656] = 4602,
  [4657] = 4596,
  [4658] = 4604,
  [4659] = 4593,
  [4660] = 4602,
  [4661] = 4599,
  [4662] = 4597,
  [4663] = 4595,
  [4664] = 4664,
  [4665] = 4596,
  [4666] = 4598,
  [4667] = 4602,
  [4668] = 4602,
  [4669] = 4617,
  [4670] = 4596,
  [4671] = 4600,
  [4672] = 4599,
  [4673] = 4595,
  [4674] = 4604,
  [4675] = 4596,
  [4676] = 4593,
  [4677] = 4604,
  [4678] = 4593,
  [4679] = 4597,
  [4680] = 4599,
  [4681] = 4597,
  [4682] = 4664,
  [4683] = 4598,
  [4684] = 4604,
  [4685] = 4593,
  [4686] = 4664,
  [4687] = 4598,
  [4688] = 4617,
  [4689] = 4600,
  [4690] = 4604,
  [4691] = 4599,
  [4692] = 4595,
  [4693] = 4596,
  [4694] = 4617,
  [4695] = 4599,
  [4696] = 4604,
  [4697] = 4593,
  [4698] = 4617,
  [4699] = 4593,
  [4700] = 4700,
  [4701] = 4596,
  [4702] = 4599,
  [4703] = 4604,
  [4704] = 4593,
  [4705] = 4604,
  [4706] = 4598,
  [4707] = 4597,
  [4708] = 4664,
  [4709] = 4597,
  [4710] = 4599,
  [4711] = 4711,
  [4712] = 4598,
  [4713] = 4713,
  [4714] = 4604,
  [4715] = 4593,
  [4716] = 4716,
  [4717] = 4717,
  [4718] = 4602,
  [4719] = 4719,
  [4720] = 4600,
  [4721] = 4602,
  [4722] = 4599,
  [4723] = 4595,
  [4724] = 4602,
  [4725] = 4602,
  [4726] = 4602,
  [4727] = 4596,
  [4728] = 4728,
  [4729] = 4604,
  [4730] = 4593,
  [4731] = 4597,
  [4732] = 4664,
  [4733] = 4604,
  [4734] = 4598,
  [4735] = 4600,
  [4736] = 4617,
  [4737] = 4595,
  [4738] = 4599,
  [4739] = 4664,
  [4740] = 4740,
  [4741] = 4617,
  [4742] = 4742,
  [4743] = 4604,
  [4744] = 4593,
  [4745] = 4602,
  [4746] = 4597,
  [4747] = 4599,
  [4748] = 4602,
  [4749] = 4600,
  [4750] = 4602,
  [4751] = 4595,
  [4752] = 4595,
  [4753] = 4600,
  [4754] = 4596,
  [4755] = 4596,
  [4756] = 4598,
  [4757] = 4600,
  [4758] = 4595,
  [4759] = 4598,
  [4760] = 4599,
  [4761] = 4597,
  [4762] = 4602,
  [4763] = 4595,
  [4764] = 4600,
  [4765] = 4765,
  [4766] = 4599,
  [4767] = 4604,
  [4768] = 4593,
  [4769] = 4602,
  [4770] = 4599,
  [4771] = 4604,
  [4772] = 4593,
  [4773] = 4602,
  [4774] = 4599,
  [4775] = 4775,
  [4776] = 4595,
  [4777] = 4598,
  [4778] = 4596,
  [4779] = 4604,
  [4780] = 4596,
  [4781] = 4604,
  [4782] = 4593,
  [4783] = 4597,
  [4784] = 4664,
  [4785] = 4593,
  [4786] = 4598,
  [4787] = 4604,
  [4788] = 4597,
  [4789] = 4593,
  [4790] = 4600,
  [4791] = 4599,
  [4792] = 4664,
  [4793] = 4598,
  [4794] = 4604,
  [4795] = 4593,
  [4796] = 4617,
  [4797] = 4597,
  [4798] = 4602,
  [4799] = 4602,
  [4800] = 4602,
  [4801] = 4664,
  [4802] = 4599,
  [4803] = 4598,
  [4804] = 4617,
  [4805] = 4602,
  [4806] = 4595,
  [4807] = 4599,
  [4808] = 4808,
  [4809] = 4664,
  [4810] = 4810,
  [4811] = 4600,
  [4812] = 4600,
  [4813] = 4617,
  [4814] = 4599,
  [4815] = 4595,
  [4816] = 4728,
  [4817] = 4604,
  [4818] = 4593,
  [4819] = 4819,
  [4820] = 4595,
  [4821] = 4596,
  [4822] = 4604,
  [4823] = 4593,
  [4824] = 4599,
  [4825] = 4597,
  [4826] = 4600,
  [4827] = 4602,
  [4828] = 4604,
  [4829] = 4593,
  [4830] = 4664,
  [4831] = 4602,
  [4832] = 4602,
  [4833] = 4596,
  [4834] = 4597,
  [4835] = 4598,
  [4836] = 4598,
  [4837] = 4728,
  [4838] = 4838,
  [4839] = 4599,
  [4840] = 4600,
  [4841] = 4617,
  [4842] = 4598,
  [4843] = 4604,
  [4844] = 4593,
  [4845] = 4596,
  [4846] = 4599,
  [4847] = 4602,
  [4848] = 4595,
  [4849] = 4596,
  [4850] = 4597,
  [4851] = 4598,
  [4852] = 4599,
  [4853] = 4604,
  [4854] = 4854,
  [4855] = 4819,
  [4856] = 4856,
  [4857] = 4604,
  [4858] = 4600,
  [4859] = 4593,
  [4860] = 4600,
  [4861] = 4593,
  [4862] = 4596,
  [4863] = 4595,
  [4864] = 4598,
  [4865] = 4595,
  [4866] = 4596,
  [4867] = 4597,
  [4868] = 4598,
  [4869] = 4599,
  [4870] = 4600,
  [4871] = 4595,
  [4872] = 4597,
  [4873] = 4600,
  [4874] = 4595,
  [4875] = 4602,
  [4876] = 4596,
  [4877] = 4604,
  [4878] = 4593,
  [4879] = 4597,
  [4880] = 4596,
  [4881] = 4664,
  [4882] = 4597,
  [4883] = 4883,
  [4884] = 4595,
  [4885] = 4598,
  [4886] = 4819,
  [4887] = 4596,
  [4888] = 4597,
  [4889] = 4598,
  [4890] = 4599,
  [4891] = 4664,
  [4892] = 4600,
  [4893] = 4819,
  [4894] = 4819,
  [4895] = 4617,
  [4896] = 4604,
  [4897] = 4819,
  [4898] = 4604,
  [4899] = 4819,
  [4900] = 4593,
  [4901] = 4595,
  [4902] = 4819,
  [4903] = 4593,
  [4904] = 4617,
  [4905] = 4819,
  [4906] = 4596,
  [4907] = 4602,
  [4908] = 4597,
  [4909] = 4819,
  [4910] = 4597,
  [4911] = 4819,
  [4912] = 4664,
  [4913] = 4819,
  [4914] = 4598,
  [4915] = 4598,
  [4916] = 4600,
  [4917] = 3264,
  [4918] = 4600,
  [4919] = 4919,
  [4920] = 4598,
  [4921] = 4599,
  [4922] = 4595,
  [4923] = 4596,
  [4924] = 4597,
  [4925] = 4599,
  [4926] = 4597,
  [4927] = 4595,
  [4928] = 4600,
  [4929] = 4595,
  [4930] = 4598,
  [4931] = 4596,
  [4932] = 4598,
  [4933] = 4596,
  [4934] = 4593,
  [4935] = 4604,
  [4936] = 4604,
  [4937] = 4593,
  [4938] = 4593,
  [4939] = 4597,
  [4940] = 4617,
  [4941] = 4664,
  [4942] = 4600,
  [4943] = 4602,
  [4944] = 4596,
  [4945] = 4945,
  [4946] = 4946,
  [4947] = 4947,
  [4948] = 4948,
  [4949] = 4945,
  [4950] = 4950,
  [4951] = 4951,
  [4952] = 4945,
  [4953] = 4950,
  [4954] = 4951,
  [4955] = 4955,
  [4956] = 4950,
  [4957] = 4957,
  [4958] = 4955,
  [4959] = 4959,
  [4960] = 4960,
  [4961] = 743,
  [4962] = 4959,
  [4963] = 4963,
  [4964] = 4964,
  [4965] = 4965,
  [4966] = 4966,
  [4967] = 4967,
  [4968] = 4946,
  [4969] = 4969,
  [4970] = 4970,
  [4971] = 4950,
  [4972] = 4948,
  [4973] = 4973,
  [4974] = 4946,
  [4975] = 4965,
  [4976] = 4976,
  [4977] = 4966,
  [4978] = 743,
  [4979] = 4963,
  [4980] = 4965,
  [4981] = 4965,
  [4982] = 4966,
  [4983] = 4983,
  [4984] = 4984,
  [4985] = 4947,
  [4986] = 4955,
  [4987] = 4945,
  [4988] = 4959,
  [4989] = 4969,
  [4990] = 4945,
  [4991] = 4964,
  [4992] = 4946,
  [4993] = 4965,
  [4994] = 4959,
  [4995] = 4964,
  [4996] = 4966,
  [4997] = 4951,
  [4998] = 4998,
  [4999] = 4999,
  [5000] = 4969,
  [5001] = 5001,
  [5002] = 4950,
  [5003] = 4951,
  [5004] = 4964,
  [5005] = 4946,
  [5006] = 4967,
  [5007] = 5007,
  [5008] = 5008,
  [5009] = 4950,
  [5010] = 4984,
  [5011] = 4973,
  [5012] = 5012,
  [5013] = 4950,
  [5014] = 4967,
  [5015] = 4945,
  [5016] = 4966,
  [5017] = 4959,
  [5018] = 4945,
  [5019] = 4959,
  [5020] = 4951,
  [5021] = 4984,
  [5022] = 4544,
  [5023] = 4948,
  [5024] = 4973,
  [5025] = 4951,
  [5026] = 4951,
  [5027] = 4950,
  [5028] = 4959,
  [5029] = 4964,
  [5030] = 4966,
  [5031] = 4965,
  [5032] = 4959,
  [5033] = 4946,
  [5034] = 4966,
  [5035] = 4947,
  [5036] = 4965,
  [5037] = 743,
  [5038] = 4969,
  [5039] = 4955,
  [5040] = 4946,
  [5041] = 4984,
  [5042] = 4966,
  [5043] = 4950,
  [5044] = 4964,
  [5045] = 5045,
  [5046] = 4947,
  [5047] = 4964,
  [5048] = 4963,
  [5049] = 5049,
  [5050] = 4955,
  [5051] = 4964,
  [5052] = 4945,
  [5053] = 4959,
  [5054] = 4951,
  [5055] = 4950,
  [5056] = 4964,
  [5057] = 4965,
  [5058] = 4946,
  [5059] = 4973,
  [5060] = 4946,
  [5061] = 4965,
  [5062] = 4963,
  [5063] = 4528,
  [5064] = 5064,
  [5065] = 4955,
  [5066] = 743,
  [5067] = 4951,
  [5068] = 4963,
  [5069] = 4963,
  [5070] = 4969,
  [5071] = 4965,
  [5072] = 5072,
  [5073] = 4955,
  [5074] = 4947,
  [5075] = 4964,
  [5076] = 4948,
  [5077] = 4973,
  [5078] = 4951,
  [5079] = 4955,
  [5080] = 4963,
  [5081] = 5081,
  [5082] = 5082,
  [5083] = 4966,
  [5084] = 4955,
  [5085] = 4957,
  [5086] = 4951,
  [5087] = 5087,
  [5088] = 4966,
  [5089] = 743,
  [5090] = 5008,
  [5091] = 5012,
  [5092] = 5072,
  [5093] = 4948,
  [5094] = 4999,
  [5095] = 4945,
  [5096] = 4951,
  [5097] = 5097,
  [5098] = 4983,
  [5099] = 4950,
  [5100] = 4957,
  [5101] = 5087,
  [5102] = 4957,
  [5103] = 4950,
  [5104] = 4966,
  [5105] = 4964,
  [5106] = 4945,
  [5107] = 4965,
  [5108] = 4945,
  [5109] = 4946,
  [5110] = 4951,
  [5111] = 4950,
  [5112] = 4959,
  [5113] = 4959,
  [5114] = 5087,
  [5115] = 4947,
  [5116] = 4965,
  [5117] = 4999,
  [5118] = 4955,
  [5119] = 4945,
  [5120] = 4967,
  [5121] = 4951,
  [5122] = 4950,
  [5123] = 4969,
  [5124] = 4959,
  [5125] = 4964,
  [5126] = 4951,
  [5127] = 4964,
  [5128] = 4945,
  [5129] = 4951,
  [5130] = 5045,
  [5131] = 4967,
  [5132] = 4984,
  [5133] = 4950,
  [5134] = 5072,
  [5135] = 4969,
  [5136] = 4984,
  [5137] = 5137,
  [5138] = 4964,
  [5139] = 4945,
  [5140] = 4951,
  [5141] = 743,
  [5142] = 743,
  [5143] = 4963,
  [5144] = 5144,
  [5145] = 4951,
  [5146] = 4945,
  [5147] = 4966,
  [5148] = 4965,
  [5149] = 4945,
  [5150] = 4966,
  [5151] = 4959,
  [5152] = 4946,
  [5153] = 4963,
  [5154] = 4965,
  [5155] = 4947,
  [5156] = 5008,
  [5157] = 5012,
  [5158] = 5072,
  [5159] = 4966,
  [5160] = 4955,
  [5161] = 4964,
  [5162] = 5097,
  [5163] = 4983,
  [5164] = 4946,
  [5165] = 4959,
  [5166] = 5008,
  [5167] = 5012,
  [5168] = 5072,
  [5169] = 4946,
  [5170] = 5097,
  [5171] = 4983,
  [5172] = 5008,
  [5173] = 5012,
  [5174] = 5072,
  [5175] = 4951,
  [5176] = 5097,
  [5177] = 4983,
  [5178] = 5008,
  [5179] = 5012,
  [5180] = 5072,
  [5181] = 4945,
  [5182] = 5008,
  [5183] = 5012,
  [5184] = 5072,
  [5185] = 4959,
  [5186] = 5008,
  [5187] = 5012,
  [5188] = 5072,
  [5189] = 5189,
  [5190] = 5008,
  [5191] = 5012,
  [5192] = 5072,
  [5193] = 4948,
  [5194] = 5008,
  [5195] = 5012,
  [5196] = 5072,
  [5197] = 4973,
  [5198] = 5008,
  [5199] = 5012,
  [5200] = 5072,
  [5201] = 5097,
  [5202] = 5012,
  [5203] = 4999,
  [5204] = 5012,
  [5205] = 743,
  [5206] = 4969,
  [5207] = 4969,
  [5208] = 4999,
  [5209] = 4983,
  [5210] = 4950,
  [5211] = 4947,
  [5212] = 5212,
  [5213] = 4950,
  [5214] = 4950,
  [5215] = 4957,
  [5216] = 4948,
  [5217] = 4945,
  [5218] = 4955,
  [5219] = 4965,
  [5220] = 5220,
  [5221] = 5221,
  [5222] = 4945,
  [5223] = 4950,
  [5224] = 4959,
  [5225] = 4957,
  [5226] = 4967,
  [5227] = 4967,
  [5228] = 5228,
  [5229] = 5087,
  [5230] = 4948,
  [5231] = 4946,
  [5232] = 5232,
  [5233] = 5233,
  [5234] = 5234,
  [5235] = 5235,
  [5236] = 4967,
  [5237] = 4966,
  [5238] = 4999,
  [5239] = 4984,
  [5240] = 4959,
  [5241] = 4947,
  [5242] = 5242,
  [5243] = 4950,
  [5244] = 5244,
  [5245] = 4966,
  [5246] = 743,
  [5247] = 4963,
  [5248] = 4948,
  [5249] = 4967,
  [5250] = 4965,
  [5251] = 4966,
  [5252] = 4964,
  [5253] = 4945,
  [5254] = 4973,
  [5255] = 4957,
  [5256] = 4951,
  [5257] = 4955,
  [5258] = 5258,
  [5259] = 4984,
  [5260] = 4946,
  [5261] = 743,
  [5262] = 4973,
  [5263] = 4966,
  [5264] = 4959,
  [5265] = 4950,
  [5266] = 4945,
  [5267] = 4946,
  [5268] = 4999,
  [5269] = 4999,
  [5270] = 4951,
  [5271] = 4969,
  [5272] = 4963,
  [5273] = 5273,
  [5274] = 4951,
  [5275] = 4969,
  [5276] = 4946,
  [5277] = 4955,
  [5278] = 4964,
  [5279] = 4957,
  [5280] = 4967,
  [5281] = 4999,
  [5282] = 4964,
  [5283] = 4967,
  [5284] = 4945,
  [5285] = 4948,
  [5286] = 5286,
  [5287] = 4984,
  [5288] = 4984,
  [5289] = 4965,
  [5290] = 5290,
  [5291] = 743,
  [5292] = 4966,
  [5293] = 4963,
  [5294] = 4951,
  [5295] = 4969,
  [5296] = 4946,
  [5297] = 4957,
  [5298] = 5298,
  [5299] = 4945,
  [5300] = 4951,
  [5301] = 4950,
  [5302] = 5302,
  [5303] = 5087,
  [5304] = 4947,
  [5305] = 4959,
  [5306] = 4964,
  [5307] = 4955,
  [5308] = 4963,
  [5309] = 5309,
  [5310] = 4955,
  [5311] = 4999,
  [5312] = 4966,
  [5313] = 4959,
  [5314] = 4951,
  [5315] = 4973,
  [5316] = 4964,
  [5317] = 4965,
  [5318] = 5318,
  [5319] = 4946,
  [5320] = 5320,
  [5321] = 4964,
  [5322] = 4973,
  [5323] = 4948,
  [5324] = 4946,
  [5325] = 4965,
  [5326] = 4999,
  [5327] = 4969,
  [5328] = 4964,
  [5329] = 4965,
  [5330] = 4969,
  [5331] = 4966,
  [5332] = 5332,
  [5333] = 4951,
  [5334] = 4973,
  [5335] = 743,
  [5336] = 5336,
  [5337] = 4955,
  [5338] = 4959,
  [5339] = 4999,
  [5340] = 4963,
  [5341] = 4966,
  [5342] = 5342,
  [5343] = 4964,
  [5344] = 5012,
  [5345] = 4945,
  [5346] = 4951,
  [5347] = 4967,
  [5348] = 4950,
  [5349] = 5242,
  [5350] = 4959,
  [5351] = 4965,
  [5352] = 4948,
  [5353] = 4964,
  [5354] = 4973,
  [5355] = 4946,
  [5356] = 4965,
  [5357] = 4984,
  [5358] = 4963,
  [5359] = 4948,
  [5360] = 5360,
  [5361] = 4955,
  [5362] = 4973,
  [5363] = 4948,
  [5364] = 4957,
  [5365] = 4973,
  [5366] = 4946,
  [5367] = 4955,
  [5368] = 4959,
  [5369] = 4984,
  [5370] = 743,
  [5371] = 4948,
  [5372] = 4946,
  [5373] = 4963,
  [5374] = 4965,
  [5375] = 4945,
  [5376] = 5012,
  [5377] = 4999,
  [5378] = 4955,
  [5379] = 4959,
  [5380] = 4964,
  [5381] = 4965,
  [5382] = 4957,
  [5383] = 4946,
  [5384] = 4947,
  [5385] = 4955,
  [5386] = 4964,
  [5387] = 4966,
  [5388] = 743,
  [5389] = 5008,
  [5390] = 4963,
  [5391] = 4945,
  [5392] = 4965,
  [5393] = 5393,
  [5394] = 5394,
  [5395] = 4951,
  [5396] = 5360,
  [5397] = 4999,
  [5398] = 4955,
  [5399] = 4969,
  [5400] = 5087,
  [5401] = 4966,
  [5402] = 5144,
  [5403] = 4966,
  [5404] = 5298,
  [5405] = 4945,
  [5406] = 4947,
  [5407] = 4959,
  [5408] = 4955,
  [5409] = 5409,
  [5410] = 5410,
  [5411] = 5411,
  [5412] = 5332,
  [5413] = 4965,
  [5414] = 4947,
  [5415] = 4967,
  [5416] = 5416,
  [5417] = 4984,
  [5418] = 5411,
  [5419] = 4955,
  [5420] = 4959,
  [5421] = 4964,
  [5422] = 4950,
  [5423] = 4955,
  [5424] = 5424,
  [5425] = 4984,
  [5426] = 4965,
  [5427] = 4955,
  [5428] = 5428,
  [5429] = 4966,
  [5430] = 743,
  [5431] = 4946,
  [5432] = 4965,
  [5433] = 4946,
  [5434] = 4963,
  [5435] = 4959,
  [5436] = 4950,
  [5437] = 4946,
  [5438] = 4959,
  [5439] = 4964,
  [5440] = 4966,
  [5441] = 5441,
  [5442] = 4950,
  [5443] = 4969,
  [5444] = 4963,
  [5445] = 4964,
  [5446] = 4950,
  [5447] = 5064,
  [5448] = 4965,
  [5449] = 4947,
  [5450] = 4955,
  [5451] = 4945,
  [5452] = 5452,
  [5453] = 4966,
  [5454] = 4950,
  [5455] = 4967,
  [5456] = 4966,
  [5457] = 4946,
  [5458] = 4955,
  [5459] = 4966,
  [5460] = 5460,
  [5461] = 5461,
  [5462] = 4966,
  [5463] = 4946,
  [5464] = 4984,
  [5465] = 4945,
  [5466] = 5410,
  [5467] = 4966,
  [5468] = 4945,
  [5469] = 4959,
  [5470] = 4951,
  [5471] = 4950,
  [5472] = 4964,
  [5473] = 4965,
  [5474] = 4946,
  [5475] = 4955,
  [5476] = 4999,
  [5477] = 743,
  [5478] = 4959,
  [5479] = 5064,
  [5480] = 4957,
  [5481] = 5064,
  [5482] = 5097,
  [5483] = 5064,
  [5484] = 4969,
  [5485] = 5064,
  [5486] = 5486,
  [5487] = 4945,
  [5488] = 5488,
  [5489] = 4951,
  [5490] = 4967,
  [5491] = 4950,
  [5492] = 5492,
  [5493] = 4955,
  [5494] = 4947,
  [5495] = 5495,
  [5496] = 5496,
  [5497] = 5497,
  [5498] = 5498,
  [5499] = 5499,
  [5500] = 5500,
  [5501] = 5501,
  [5502] = 5502,
  [5503] = 5500,
  [5504] = 5504,
  [5505] = 5496,
  [5506] = 5497,
  [5507] = 5498,
  [5508] = 5500,
  [5509] = 5501,
  [5510] = 5504,
  [5511] = 5496,
  [5512] = 5512,
  [5513] = 5497,
  [5514] = 5498,
  [5515] = 5500,
  [5516] = 3264,
  [5517] = 5501,
  [5518] = 5504,
  [5519] = 5496,
  [5520] = 5501,
  [5521] = 5497,
  [5522] = 5498,
  [5523] = 5500,
  [5524] = 5497,
  [5525] = 5497,
  [5526] = 5504,
  [5527] = 5497,
  [5528] = 5528,
  [5529] = 5496,
  [5530] = 5497,
  [5531] = 5498,
  [5532] = 5532,
  [5533] = 5504,
  [5534] = 5500,
  [5535] = 5535,
  [5536] = 5536,
  [5537] = 4527,
  [5538] = 4544,
  [5539] = 5539,
  [5540] = 5501,
  [5541] = 4490,
  [5542] = 4519,
  [5543] = 4528,
  [5544] = 5504,
  [5545] = 5496,
  [5546] = 5497,
  [5547] = 5504,
  [5548] = 4488,
  [5549] = 4545,
  [5550] = 5500,
  [5551] = 4465,
  [5552] = 4526,
  [5553] = 5496,
  [5554] = 4466,
  [5555] = 4499,
  [5556] = 5497,
  [5557] = 5498,
  [5558] = 5558,
  [5559] = 5501,
  [5560] = 5504,
  [5561] = 5496,
  [5562] = 5497,
  [5563] = 5498,
  [5564] = 5564,
  [5565] = 5500,
  [5566] = 5566,
  [5567] = 5501,
  [5568] = 646,
  [5569] = 5504,
  [5570] = 5496,
  [5571] = 5497,
  [5572] = 5498,
  [5573] = 5500,
  [5574] = 5574,
  [5575] = 5501,
  [5576] = 5504,
  [5577] = 5496,
  [5578] = 5497,
  [5579] = 5498,
  [5580] = 5500,
  [5581] = 5501,
  [5582] = 5501,
  [5583] = 5583,
  [5584] = 5504,
  [5585] = 5496,
  [5586] = 5497,
  [5587] = 5498,
  [5588] = 5500,
  [5589] = 5501,
  [5590] = 5590,
  [5591] = 5504,
  [5592] = 5496,
  [5593] = 5497,
  [5594] = 5498,
  [5595] = 5500,
  [5596] = 5501,
  [5597] = 5498,
  [5598] = 5598,
  [5599] = 5599,
  [5600] = 656,
  [5601] = 656,
  [5602] = 5602,
  [5603] = 5603,
  [5604] = 5604,
  [5605] = 5605,
  [5606] = 656,
  [5607] = 5607,
  [5608] = 5608,
  [5609] = 5602,
  [5610] = 5602,
  [5611] = 5611,
  [5612] = 5602,
  [5613] = 656,
  [5614] = 5614,
  [5615] = 5615,
  [5616] = 5602,
  [5617] = 5617,
  [5618] = 5618,
  [5619] = 656,
  [5620] = 5620,
  [5621] = 5602,
  [5622] = 656,
  [5623] = 5602,
  [5624] = 656,
  [5625] = 5625,
  [5626] = 5626,
  [5627] = 5602,
  [5628] = 5628,
  [5629] = 5605,
  [5630] = 5630,
  [5631] = 656,
  [5632] = 5602,
  [5633] = 5633,
  [5634] = 5602,
  [5635] = 5635,
  [5636] = 656,
  [5637] = 5637,
  [5638] = 5602,
  [5639] = 5639,
  [5640] = 656,
  [5641] = 5602,
  [5642] = 5602,
  [5643] = 5602,
  [5644] = 656,
  [5645] = 4553,
  [5646] = 656,
  [5647] = 5647,
  [5648] = 5602,
  [5649] = 656,
  [5650] = 5650,
  [5651] = 656,
  [5652] = 884,
  [5653] = 5653,
  [5654] = 5654,
  [5655] = 5655,
  [5656] = 5656,
  [5657] = 5657,
  [5658] = 5658,
  [5659] = 5659,
  [5660] = 5660,
  [5661] = 5655,
  [5662] = 5662,
  [5663] = 5656,
  [5664] = 5657,
  [5665] = 5658,
  [5666] = 5659,
  [5667] = 5655,
  [5668] = 5656,
  [5669] = 5657,
  [5670] = 5658,
  [5671] = 5659,
  [5672] = 5672,
  [5673] = 5655,
  [5674] = 5656,
  [5675] = 5657,
  [5676] = 5658,
  [5677] = 5659,
  [5678] = 5655,
  [5679] = 5656,
  [5680] = 5657,
  [5681] = 5658,
  [5682] = 5659,
  [5683] = 5655,
  [5684] = 5656,
  [5685] = 5657,
  [5686] = 5658,
  [5687] = 5659,
  [5688] = 5655,
  [5689] = 5656,
  [5690] = 5657,
  [5691] = 5658,
  [5692] = 5659,
  [5693] = 5656,
  [5694] = 5658,
  [5695] = 5659,
  [5696] = 5659,
  [5697] = 5697,
  [5698] = 5698,
  [5699] = 5699,
  [5700] = 5654,
  [5701] = 5653,
  [5702] = 5702,
  [5703] = 5654,
  [5704] = 5672,
  [5705] = 5656,
  [5706] = 5672,
  [5707] = 5655,
  [5708] = 5672,
  [5709] = 5672,
  [5710] = 5653,
  [5711] = 5654,
  [5712] = 5712,
  [5713] = 5655,
  [5714] = 5655,
  [5715] = 5715,
  [5716] = 5716,
  [5717] = 5717,
  [5718] = 5654,
  [5719] = 5702,
  [5720] = 5654,
  [5721] = 5656,
  [5722] = 5654,
  [5723] = 5654,
  [5724] = 5715,
  [5725] = 5654,
  [5726] = 5716,
  [5727] = 5655,
  [5728] = 5656,
  [5729] = 5657,
  [5730] = 5698,
  [5731] = 5731,
  [5732] = 5699,
  [5733] = 5712,
  [5734] = 5658,
  [5735] = 5653,
  [5736] = 5654,
  [5737] = 5654,
  [5738] = 5654,
  [5739] = 5659,
  [5740] = 5657,
  [5741] = 5731,
  [5742] = 5653,
  [5743] = 5702,
  [5744] = 5698,
  [5745] = 5699,
  [5746] = 5658,
  [5747] = 5654,
  [5748] = 5655,
  [5749] = 5654,
  [5750] = 5750,
  [5751] = 5659,
  [5752] = 5699,
  [5753] = 5715,
  [5754] = 5653,
  [5755] = 5702,
  [5756] = 5716,
  [5757] = 5699,
  [5758] = 5758,
  [5759] = 5702,
  [5760] = 5658,
  [5761] = 5715,
  [5762] = 5698,
  [5763] = 5716,
  [5764] = 5672,
  [5765] = 5656,
  [5766] = 5657,
  [5767] = 5699,
  [5768] = 5656,
  [5769] = 5655,
  [5770] = 5655,
  [5771] = 5771,
  [5772] = 5699,
  [5773] = 5656,
  [5774] = 5699,
  [5775] = 5715,
  [5776] = 5657,
  [5777] = 5672,
  [5778] = 5657,
  [5779] = 5699,
  [5780] = 5658,
  [5781] = 5655,
  [5782] = 5654,
  [5783] = 5715,
  [5784] = 5716,
  [5785] = 5699,
  [5786] = 5659,
  [5787] = 5656,
  [5788] = 5716,
  [5789] = 5699,
  [5790] = 5657,
  [5791] = 5731,
  [5792] = 5731,
  [5793] = 5699,
  [5794] = 5655,
  [5795] = 5658,
  [5796] = 5699,
  [5797] = 5654,
  [5798] = 5656,
  [5799] = 5659,
  [5800] = 5656,
  [5801] = 5801,
  [5802] = 5659,
  [5803] = 5653,
  [5804] = 5702,
  [5805] = 5657,
  [5806] = 5658,
  [5807] = 5654,
  [5808] = 5657,
  [5809] = 5659,
  [5810] = 5657,
  [5811] = 5658,
  [5812] = 5672,
  [5813] = 5660,
  [5814] = 5662,
  [5815] = 5698,
  [5816] = 5655,
  [5817] = 5817,
  [5818] = 5712,
  [5819] = 5654,
  [5820] = 5715,
  [5821] = 5716,
  [5822] = 5822,
  [5823] = 5656,
  [5824] = 5824,
  [5825] = 5655,
  [5826] = 5657,
  [5827] = 5731,
  [5828] = 5656,
  [5829] = 5658,
  [5830] = 5654,
  [5831] = 5659,
  [5832] = 5731,
  [5833] = 5731,
  [5834] = 5731,
  [5835] = 5702,
  [5836] = 5657,
  [5837] = 5658,
  [5838] = 5659,
  [5839] = 5658,
  [5840] = 5840,
  [5841] = 5654,
  [5842] = 5672,
  [5843] = 5654,
  [5844] = 5658,
  [5845] = 5659,
  [5846] = 5659,
  [5847] = 5715,
  [5848] = 5716,
  [5849] = 5656,
  [5850] = 5654,
  [5851] = 5715,
  [5852] = 5716,
  [5853] = 5657,
  [5854] = 5658,
  [5855] = 5655,
  [5856] = 5715,
  [5857] = 5716,
  [5858] = 5656,
  [5859] = 5731,
  [5860] = 5715,
  [5861] = 5716,
  [5862] = 5822,
  [5863] = 5653,
  [5864] = 5658,
  [5865] = 5657,
  [5866] = 5715,
  [5867] = 5716,
  [5868] = 5654,
  [5869] = 5659,
  [5870] = 5654,
  [5871] = 5655,
  [5872] = 5657,
  [5873] = 5656,
  [5874] = 5659,
  [5875] = 5659,
  [5876] = 5658,
  [5877] = 5655,
  [5878] = 5653,
  [5879] = 5702,
  [5880] = 5654,
  [5881] = 5698,
  [5882] = 5702,
  [5883] = 5656,
  [5884] = 5657,
  [5885] = 5658,
  [5886] = 5660,
  [5887] = 5662,
  [5888] = 5659,
  [5889] = 5817,
  [5890] = 5822,
  [5891] = 5817,
  [5892] = 5672,
  [5893] = 5655,
  [5894] = 5653,
  [5895] = 5715,
  [5896] = 5716,
  [5897] = 5698,
  [5898] = 5655,
  [5899] = 5715,
  [5900] = 5716,
  [5901] = 5660,
  [5902] = 5662,
  [5903] = 5817,
  [5904] = 5822,
  [5905] = 5656,
  [5906] = 5698,
  [5907] = 5907,
  [5908] = 5660,
  [5909] = 5662,
  [5910] = 5817,
  [5911] = 5822,
  [5912] = 5698,
  [5913] = 5660,
  [5914] = 5662,
  [5915] = 5656,
  [5916] = 5817,
  [5917] = 5822,
  [5918] = 5698,
  [5919] = 5657,
  [5920] = 5660,
  [5921] = 5662,
  [5922] = 5817,
  [5923] = 5822,
  [5924] = 5698,
  [5925] = 5660,
  [5926] = 5662,
  [5927] = 5817,
  [5928] = 5822,
  [5929] = 5698,
  [5930] = 5731,
  [5931] = 5660,
  [5932] = 5662,
  [5933] = 5817,
  [5934] = 5822,
  [5935] = 5698,
  [5936] = 5660,
  [5937] = 5662,
  [5938] = 5817,
  [5939] = 5822,
  [5940] = 5698,
  [5941] = 5660,
  [5942] = 5662,
  [5943] = 5658,
  [5944] = 5817,
  [5945] = 5822,
  [5946] = 5698,
  [5947] = 5660,
  [5948] = 5662,
  [5949] = 5817,
  [5950] = 5822,
  [5951] = 5698,
  [5952] = 5654,
  [5953] = 5662,
  [5954] = 5817,
  [5955] = 5698,
  [5956] = 5662,
  [5957] = 5817,
  [5958] = 5698,
  [5959] = 5817,
  [5960] = 5698,
  [5961] = 5698,
  [5962] = 5657,
  [5963] = 5698,
  [5964] = 5698,
  [5965] = 5659,
  [5966] = 5698,
  [5967] = 5698,
  [5968] = 5658,
  [5969] = 5698,
  [5970] = 5698,
  [5971] = 5653,
  [5972] = 5758,
  [5973] = 5702,
  [5974] = 5715,
  [5975] = 5716,
  [5976] = 5659,
  [5977] = 5702,
  [5978] = 5659,
  [5979] = 5771,
  [5980] = 5715,
  [5981] = 5672,
  [5982] = 5699,
  [5983] = 5716,
  [5984] = 5655,
  [5985] = 5655,
  [5986] = 5715,
  [5987] = 5716,
  [5988] = 5656,
  [5989] = 5715,
  [5990] = 5716,
  [5991] = 5654,
  [5992] = 5655,
  [5993] = 5657,
  [5994] = 5656,
  [5995] = 5656,
  [5996] = 5659,
  [5997] = 5657,
  [5998] = 5657,
  [5999] = 5658,
  [6000] = 5659,
  [6001] = 5655,
  [6002] = 5656,
  [6003] = 5658,
  [6004] = 5731,
  [6005] = 5658,
  [6006] = 5654,
  [6007] = 5698,
  [6008] = 5654,
  [6009] = 5657,
  [6010] = 5699,
  [6011] = 5659,
  [6012] = 5658,
  [6013] = 5653,
  [6014] = 5702,
  [6015] = 5698,
  [6016] = 5662,
  [6017] = 5698,
  [6018] = 5758,
  [6019] = 5659,
  [6020] = 5731,
  [6021] = 5771,
  [6022] = 5655,
  [6023] = 5656,
  [6024] = 5758,
  [6025] = 5771,
  [6026] = 5758,
  [6027] = 5771,
  [6028] = 5758,
  [6029] = 5771,
  [6030] = 5758,
  [6031] = 5657,
  [6032] = 5758,
  [6033] = 5758,
  [6034] = 5758,
  [6035] = 5658,
  [6036] = 5672,
  [6037] = 5758,
  [6038] = 5758,
  [6039] = 5655,
  [6040] = 5658,
  [6041] = 5658,
  [6042] = 5715,
  [6043] = 5716,
  [6044] = 5655,
  [6045] = 5656,
  [6046] = 5657,
  [6047] = 5659,
  [6048] = 5656,
  [6049] = 5654,
  [6050] = 5659,
  [6051] = 5657,
  [6052] = 5840,
  [6053] = 5698,
  [6054] = 5840,
  [6055] = 5840,
  [6056] = 5840,
  [6057] = 5840,
  [6058] = 5655,
  [6059] = 6059,
  [6060] = 6060,
  [6061] = 6061,
  [6062] = 6062,
  [6063] = 6063,
  [6064] = 6064,
  [6065] = 6065,
  [6066] = 6065,
  [6067] = 6065,
  [6068] = 6065,
  [6069] = 6069,
  [6070] = 6065,
  [6071] = 6065,
  [6072] = 6065,
  [6073] = 6073,
  [6074] = 6065,
  [6075] = 6065,
  [6076] = 6076,
  [6077] = 6065,
  [6078] = 6076,
  [6079] = 6076,
  [6080] = 6076,
  [6081] = 6076,
  [6082] = 6082,
  [6083] = 6065,
  [6084] = 6076,
  [6085] = 6065,
  [6086] = 6086,
  [6087] = 6087,
  [6088] = 6088,
  [6089] = 6087,
  [6090] = 507,
  [6091] = 507,
  [6092] = 580,
  [6093] = 580,
  [6094] = 6094,
  [6095] = 6095,
  [6096] = 6096,
  [6097] = 6097,
  [6098] = 527,
  [6099] = 503,
  [6100] = 565,
  [6101] = 567,
  [6102] = 519,
  [6103] = 573,
  [6104] = 519,
  [6105] = 574,
  [6106] = 504,
  [6107] = 505,
  [6108] = 506,
  [6109] = 6096,
  [6110] = 527,
  [6111] = 6095,
  [6112] = 565,
  [6113] = 567,
  [6114] = 573,
  [6115] = 574,
  [6116] = 504,
  [6117] = 505,
  [6118] = 506,
  [6119] = 6097,
  [6120] = 6120,
  [6121] = 6096,
  [6122] = 6097,
  [6123] = 6097,
  [6124] = 6095,
  [6125] = 6095,
  [6126] = 6096,
  [6127] = 6096,
  [6128] = 6095,
  [6129] = 6097,
  [6130] = 580,
  [6131] = 507,
  [6132] = 503,
  [6133] = 580,
  [6134] = 580,
  [6135] = 580,
  [6136] = 681,
  [6137] = 507,
  [6138] = 506,
  [6139] = 6139,
  [6140] = 640,
  [6141] = 507,
  [6142] = 527,
  [6143] = 503,
  [6144] = 565,
  [6145] = 567,
  [6146] = 573,
  [6147] = 574,
  [6148] = 507,
  [6149] = 504,
  [6150] = 505,
  [6151] = 504,
  [6152] = 503,
  [6153] = 565,
  [6154] = 567,
  [6155] = 527,
  [6156] = 640,
  [6157] = 573,
  [6158] = 574,
  [6159] = 504,
  [6160] = 505,
  [6161] = 708,
  [6162] = 713,
  [6163] = 724,
  [6164] = 706,
  [6165] = 709,
  [6166] = 574,
  [6167] = 527,
  [6168] = 527,
  [6169] = 681,
  [6170] = 503,
  [6171] = 505,
  [6172] = 506,
  [6173] = 565,
  [6174] = 567,
  [6175] = 573,
  [6176] = 519,
  [6177] = 503,
  [6178] = 565,
  [6179] = 567,
  [6180] = 573,
  [6181] = 506,
  [6182] = 831,
  [6183] = 574,
  [6184] = 504,
  [6185] = 505,
  [6186] = 506,
  [6187] = 565,
  [6188] = 527,
  [6189] = 574,
  [6190] = 580,
  [6191] = 681,
  [6192] = 507,
  [6193] = 580,
  [6194] = 507,
  [6195] = 706,
  [6196] = 708,
  [6197] = 709,
  [6198] = 640,
  [6199] = 713,
  [6200] = 724,
  [6201] = 6201,
  [6202] = 6202,
  [6203] = 831,
  [6204] = 519,
  [6205] = 6205,
  [6206] = 519,
  [6207] = 573,
  [6208] = 504,
  [6209] = 505,
  [6210] = 506,
  [6211] = 6211,
  [6212] = 6211,
  [6213] = 6211,
  [6214] = 580,
  [6215] = 6211,
  [6216] = 709,
  [6217] = 6217,
  [6218] = 6211,
  [6219] = 6219,
  [6220] = 503,
  [6221] = 6211,
  [6222] = 6211,
  [6223] = 6211,
  [6224] = 6211,
  [6225] = 506,
  [6226] = 6211,
  [6227] = 6211,
  [6228] = 6211,
  [6229] = 573,
  [6230] = 713,
  [6231] = 580,
  [6232] = 6211,
  [6233] = 6211,
  [6234] = 6211,
  [6235] = 580,
  [6236] = 507,
  [6237] = 6211,
  [6238] = 6211,
  [6239] = 6211,
  [6240] = 519,
  [6241] = 6211,
  [6242] = 567,
  [6243] = 6211,
  [6244] = 706,
  [6245] = 6211,
  [6246] = 6211,
  [6247] = 6247,
  [6248] = 507,
  [6249] = 831,
  [6250] = 6211,
  [6251] = 6211,
  [6252] = 507,
  [6253] = 580,
  [6254] = 504,
  [6255] = 527,
  [6256] = 6211,
  [6257] = 565,
  [6258] = 6211,
  [6259] = 574,
  [6260] = 6211,
  [6261] = 505,
  [6262] = 567,
  [6263] = 507,
  [6264] = 724,
  [6265] = 6211,
  [6266] = 6211,
  [6267] = 6211,
  [6268] = 507,
  [6269] = 708,
  [6270] = 6211,
  [6271] = 503,
  [6272] = 580,
  [6273] = 573,
  [6274] = 567,
  [6275] = 573,
  [6276] = 505,
  [6277] = 580,
  [6278] = 574,
  [6279] = 507,
  [6280] = 504,
  [6281] = 505,
  [6282] = 506,
  [6283] = 506,
  [6284] = 574,
  [6285] = 503,
  [6286] = 527,
  [6287] = 504,
  [6288] = 503,
  [6289] = 567,
  [6290] = 6290,
  [6291] = 573,
  [6292] = 6292,
  [6293] = 504,
  [6294] = 505,
  [6295] = 506,
  [6296] = 565,
  [6297] = 565,
  [6298] = 573,
  [6299] = 574,
  [6300] = 504,
  [6301] = 505,
  [6302] = 506,
  [6303] = 527,
  [6304] = 565,
  [6305] = 574,
  [6306] = 527,
  [6307] = 503,
  [6308] = 527,
  [6309] = 503,
  [6310] = 565,
  [6311] = 567,
  [6312] = 573,
  [6313] = 640,
  [6314] = 574,
  [6315] = 504,
  [6316] = 505,
  [6317] = 681,
  [6318] = 506,
  [6319] = 527,
  [6320] = 503,
  [6321] = 6321,
  [6322] = 6322,
  [6323] = 565,
  [6324] = 567,
  [6325] = 567,
  [6326] = 724,
  [6327] = 681,
  [6328] = 573,
  [6329] = 574,
  [6330] = 504,
  [6331] = 505,
  [6332] = 506,
  [6333] = 713,
  [6334] = 706,
  [6335] = 709,
  [6336] = 640,
  [6337] = 713,
  [6338] = 706,
  [6339] = 640,
  [6340] = 681,
  [6341] = 831,
  [6342] = 708,
  [6343] = 527,
  [6344] = 503,
  [6345] = 708,
  [6346] = 709,
  [6347] = 567,
  [6348] = 724,
  [6349] = 565,
  [6350] = 6350,
  [6351] = 6351,
  [6352] = 709,
  [6353] = 6353,
  [6354] = 6354,
  [6355] = 709,
  [6356] = 6356,
  [6357] = 6357,
  [6358] = 6358,
  [6359] = 713,
  [6360] = 831,
  [6361] = 706,
  [6362] = 713,
  [6363] = 6363,
  [6364] = 724,
  [6365] = 706,
  [6366] = 6366,
  [6367] = 713,
  [6368] = 709,
  [6369] = 724,
  [6370] = 724,
  [6371] = 708,
  [6372] = 831,
  [6373] = 708,
  [6374] = 6374,
  [6375] = 706,
  [6376] = 6376,
  [6377] = 708,
  [6378] = 6378,
  [6379] = 6379,
  [6380] = 6380,
  [6381] = 724,
  [6382] = 741,
  [6383] = 6383,
  [6384] = 6384,
  [6385] = 6385,
  [6386] = 6386,
  [6387] = 6387,
  [6388] = 708,
  [6389] = 6389,
  [6390] = 6390,
  [6391] = 727,
  [6392] = 6392,
  [6393] = 6393,
  [6394] = 706,
  [6395] = 6395,
  [6396] = 709,
  [6397] = 738,
  [6398] = 739,
  [6399] = 713,
  [6400] = 6400,
  [6401] = 6401,
  [6402] = 742,
  [6403] = 6403,
  [6404] = 6404,
  [6405] = 6405,
  [6406] = 6406,
  [6407] = 6407,
  [6408] = 6408,
  [6409] = 6409,
  [6410] = 6410,
  [6411] = 6411,
  [6412] = 6412,
  [6413] = 6413,
  [6414] = 6414,
  [6415] = 6415,
  [6416] = 6416,
  [6417] = 6417,
  [6418] = 6418,
  [6419] = 6419,
  [6420] = 6420,
  [6421] = 6421,
  [6422] = 6422,
  [6423] = 6423,
  [6424] = 6424,
  [6425] = 6425,
  [6426] = 6426,
  [6427] = 6087,
  [6428] = 6428,
  [6429] = 6429,
  [6430] = 6430,
  [6431] = 6431,
  [6432] = 6432,
  [6433] = 6433,
  [6434] = 6434,
  [6435] = 6435,
  [6436] = 6436,
  [6437] = 6437,
  [6438] = 6438,
  [6439] = 6439,
  [6440] = 6440,
  [6441] = 6441,
  [6442] = 6442,
  [6443] = 6443,
  [6444] = 6444,
  [6445] = 6445,
  [6446] = 6446,
  [6447] = 6447,
  [6448] = 6448,
  [6449] = 6449,
  [6450] = 6450,
  [6451] = 6451,
  [6452] = 6452,
  [6453] = 6453,
  [6454] = 6454,
  [6455] = 6455,
  [6456] = 708,
  [6457] = 6457,
  [6458] = 709,
  [6459] = 6354,
  [6460] = 6460,
  [6461] = 6087,
  [6462] = 706,
  [6463] = 6463,
  [6464] = 6464,
  [6465] = 6465,
  [6466] = 6358,
  [6467] = 6467,
  [6468] = 724,
  [6469] = 6469,
  [6470] = 6470,
  [6471] = 6471,
  [6472] = 6472,
  [6473] = 6473,
  [6474] = 713,
  [6475] = 6475,
  [6476] = 6476,
  [6477] = 6477,
  [6478] = 6478,
  [6479] = 6479,
  [6480] = 6480,
  [6481] = 6481,
  [6482] = 741,
  [6483] = 6483,
  [6484] = 6484,
  [6485] = 6485,
  [6486] = 6486,
  [6487] = 6487,
  [6488] = 6488,
  [6489] = 6489,
  [6490] = 6490,
  [6491] = 6491,
  [6492] = 6492,
  [6493] = 6493,
  [6494] = 6087,
  [6495] = 6495,
  [6496] = 6496,
  [6497] = 6484,
  [6498] = 6484,
  [6499] = 6499,
  [6500] = 6500,
  [6501] = 6501,
  [6502] = 6484,
  [6503] = 6503,
  [6504] = 6496,
  [6505] = 6505,
  [6506] = 727,
  [6507] = 6507,
  [6508] = 6508,
  [6509] = 6509,
  [6510] = 6484,
  [6511] = 6511,
  [6512] = 6512,
  [6513] = 6513,
  [6514] = 6514,
  [6515] = 6515,
  [6516] = 6516,
  [6517] = 6517,
  [6518] = 6518,
  [6519] = 6519,
  [6520] = 6520,
  [6521] = 6521,
  [6522] = 6484,
  [6523] = 6523,
  [6524] = 6484,
  [6525] = 6525,
  [6526] = 6526,
  [6527] = 6527,
  [6528] = 6528,
  [6529] = 6529,
  [6530] = 6530,
  [6531] = 6531,
  [6532] = 6532,
  [6533] = 6533,
  [6534] = 6534,
  [6535] = 6535,
  [6536] = 739,
  [6537] = 6537,
  [6538] = 6538,
  [6539] = 6539,
  [6540] = 6484,
  [6541] = 6541,
  [6542] = 6542,
  [6543] = 6543,
  [6544] = 6484,
  [6545] = 6545,
  [6546] = 6484,
  [6547] = 6547,
  [6548] = 6548,
  [6549] = 6549,
  [6550] = 6484,
  [6551] = 6551,
  [6552] = 6552,
  [6553] = 6553,
  [6554] = 6496,
  [6555] = 6496,
  [6556] = 6556,
  [6557] = 6557,
  [6558] = 6558,
  [6559] = 6559,
  [6560] = 6560,
  [6561] = 6561,
  [6562] = 6562,
  [6563] = 6563,
  [6564] = 6564,
  [6565] = 6496,
  [6566] = 6566,
  [6567] = 6567,
  [6568] = 6568,
  [6569] = 6569,
  [6570] = 6570,
  [6571] = 6571,
  [6572] = 6496,
  [6573] = 6573,
  [6574] = 6574,
  [6575] = 6484,
  [6576] = 6496,
  [6577] = 6577,
  [6578] = 6496,
  [6579] = 6579,
  [6580] = 6484,
  [6581] = 6484,
  [6582] = 6484,
  [6583] = 6583,
  [6584] = 6584,
  [6585] = 6585,
  [6586] = 6586,
  [6587] = 6496,
  [6588] = 6496,
  [6589] = 6496,
  [6590] = 6496,
  [6591] = 6496,
  [6592] = 6592,
  [6593] = 6593,
  [6594] = 6594,
  [6595] = 6595,
  [6596] = 6596,
  [6597] = 6597,
  [6598] = 6598,
  [6599] = 6599,
  [6600] = 706,
  [6601] = 708,
  [6602] = 6602,
  [6603] = 709,
  [6604] = 6604,
  [6605] = 6605,
  [6606] = 6606,
  [6607] = 6607,
  [6608] = 713,
  [6609] = 724,
  [6610] = 6496,
  [6611] = 706,
  [6612] = 708,
  [6613] = 709,
  [6614] = 6496,
  [6615] = 6615,
  [6616] = 713,
  [6617] = 6617,
  [6618] = 724,
  [6619] = 6619,
  [6620] = 6620,
  [6621] = 6621,
  [6622] = 742,
  [6623] = 6623,
  [6624] = 6624,
  [6625] = 6625,
  [6626] = 6626,
  [6627] = 6627,
  [6628] = 6626,
  [6629] = 6629,
  [6630] = 6626,
  [6631] = 6631,
  [6632] = 6632,
  [6633] = 6626,
  [6634] = 6634,
  [6635] = 6635,
  [6636] = 6636,
  [6637] = 6637,
  [6638] = 6638,
  [6639] = 6629,
  [6640] = 6363,
  [6641] = 6441,
  [6642] = 6642,
  [6643] = 6629,
  [6644] = 6644,
  [6645] = 6635,
  [6646] = 6636,
  [6647] = 6647,
  [6648] = 6631,
  [6649] = 6629,
  [6650] = 738,
  [6651] = 6651,
  [6652] = 6631,
  [6653] = 6626,
  [6654] = 6631,
  [6655] = 6655,
  [6656] = 6656,
  [6657] = 6644,
  [6658] = 6658,
  [6659] = 6627,
  [6660] = 6660,
  [6661] = 6635,
  [6662] = 6636,
  [6663] = 6663,
  [6664] = 6629,
  [6665] = 6665,
  [6666] = 6644,
  [6667] = 6631,
  [6668] = 6626,
  [6669] = 6669,
  [6670] = 6670,
  [6671] = 6635,
  [6672] = 6636,
  [6673] = 6626,
  [6674] = 6629,
  [6675] = 6675,
  [6676] = 6676,
  [6677] = 6677,
  [6678] = 6631,
  [6679] = 6679,
  [6680] = 6680,
  [6681] = 6626,
  [6682] = 736,
  [6683] = 6683,
  [6684] = 6684,
  [6685] = 6685,
  [6686] = 6686,
  [6687] = 6687,
  [6688] = 6688,
  [6689] = 6689,
  [6690] = 6690,
  [6691] = 6354,
  [6692] = 6644,
  [6693] = 6693,
  [6694] = 6694,
  [6695] = 6695,
  [6696] = 6696,
  [6697] = 6644,
  [6698] = 6627,
  [6699] = 6699,
  [6700] = 6700,
  [6701] = 6701,
  [6702] = 6635,
  [6703] = 6636,
  [6704] = 6704,
  [6705] = 6629,
  [6706] = 6635,
  [6707] = 6636,
  [6708] = 6708,
  [6709] = 6709,
  [6710] = 6631,
  [6711] = 6629,
  [6712] = 6626,
  [6713] = 6713,
  [6714] = 6714,
  [6715] = 6631,
  [6716] = 6716,
  [6717] = 6626,
  [6718] = 6358,
  [6719] = 831,
  [6720] = 6720,
  [6721] = 920,
  [6722] = 6722,
  [6723] = 6723,
  [6724] = 6724,
  [6725] = 6725,
  [6726] = 6726,
  [6727] = 6727,
  [6728] = 6728,
  [6729] = 6729,
  [6730] = 6730,
  [6731] = 6644,
  [6732] = 6732,
  [6733] = 6733,
  [6734] = 6644,
  [6735] = 6627,
  [6736] = 6635,
  [6737] = 6635,
  [6738] = 6636,
  [6739] = 6629,
  [6740] = 6740,
  [6741] = 718,
  [6742] = 6631,
  [6743] = 6743,
  [6744] = 6744,
  [6745] = 6636,
  [6746] = 6644,
  [6747] = 6626,
  [6748] = 6635,
  [6749] = 6636,
  [6750] = 6750,
  [6751] = 6751,
  [6752] = 713,
  [6753] = 724,
  [6754] = 6631,
  [6755] = 6755,
  [6756] = 6756,
  [6757] = 6629,
  [6758] = 6627,
  [6759] = 6759,
  [6760] = 6760,
  [6761] = 6761,
  [6762] = 6631,
  [6763] = 6763,
  [6764] = 706,
  [6765] = 708,
  [6766] = 709,
  [6767] = 6767,
  [6768] = 6768,
  [6769] = 6769,
  [6770] = 6770,
  [6771] = 6771,
  [6772] = 6772,
  [6773] = 6644,
  [6774] = 6627,
  [6775] = 6626,
  [6776] = 725,
  [6777] = 6777,
  [6778] = 6778,
  [6779] = 6635,
  [6780] = 6636,
  [6781] = 6781,
  [6782] = 6782,
  [6783] = 6783,
  [6784] = 6629,
  [6785] = 6785,
  [6786] = 6631,
  [6787] = 6626,
  [6788] = 6644,
  [6789] = 6635,
  [6790] = 6790,
  [6791] = 6636,
  [6792] = 6792,
  [6793] = 6627,
  [6794] = 6794,
  [6795] = 6795,
  [6796] = 6796,
  [6797] = 6797,
  [6798] = 6798,
  [6799] = 6799,
  [6800] = 6800,
  [6801] = 6801,
  [6802] = 735,
  [6803] = 6803,
  [6804] = 6804,
  [6805] = 6805,
  [6806] = 6806,
  [6807] = 6807,
  [6808] = 6626,
  [6809] = 6809,
  [6810] = 6810,
  [6811] = 6811,
  [6812] = 6812,
  [6813] = 6813,
  [6814] = 6814,
  [6815] = 6644,
  [6816] = 6816,
  [6817] = 6627,
  [6818] = 6629,
  [6819] = 6376,
  [6820] = 6820,
  [6821] = 6635,
  [6822] = 6636,
  [6823] = 6823,
  [6824] = 6824,
  [6825] = 6825,
  [6826] = 6826,
  [6827] = 6629,
  [6828] = 6828,
  [6829] = 6379,
  [6830] = 6830,
  [6831] = 6631,
  [6832] = 6832,
  [6833] = 6644,
  [6834] = 6626,
  [6835] = 6835,
  [6836] = 6836,
  [6837] = 6837,
  [6838] = 6838,
  [6839] = 6644,
  [6840] = 6644,
  [6841] = 6631,
  [6842] = 6842,
  [6843] = 6635,
  [6844] = 6636,
  [6845] = 6644,
  [6846] = 6627,
  [6847] = 6627,
  [6848] = 6629,
  [6849] = 6849,
  [6850] = 6635,
  [6851] = 6851,
  [6852] = 6636,
  [6853] = 6853,
  [6854] = 6629,
  [6855] = 6855,
  [6856] = 6635,
  [6857] = 6636,
  [6858] = 6631,
  [6859] = 6351,
  [6860] = 6860,
  [6861] = 6861,
  [6862] = 6862,
  [6863] = 6863,
  [6864] = 6864,
  [6865] = 6865,
  [6866] = 6866,
  [6867] = 6867,
  [6868] = 6868,
  [6869] = 6869,
  [6870] = 6870,
  [6871] = 6871,
  [6872] = 6872,
  [6873] = 6871,
  [6874] = 6874,
  [6875] = 6865,
  [6876] = 6876,
  [6877] = 6877,
  [6878] = 6878,
  [6879] = 6874,
  [6880] = 6877,
  [6881] = 6881,
  [6882] = 6882,
  [6883] = 6878,
  [6884] = 6877,
  [6885] = 6876,
  [6886] = 6886,
  [6887] = 6878,
  [6888] = 6888,
  [6889] = 6876,
  [6890] = 6888,
  [6891] = 6891,
  [6892] = 6892,
  [6893] = 6877,
  [6894] = 6888,
  [6895] = 6871,
  [6896] = 6876,
  [6897] = 6897,
  [6898] = 6878,
  [6899] = 6867,
  [6900] = 6865,
  [6901] = 6867,
  [6902] = 6864,
  [6903] = 6877,
  [6904] = 6888,
  [6905] = 6888,
  [6906] = 6877,
  [6907] = 6867,
  [6908] = 6870,
  [6909] = 6909,
  [6910] = 6865,
  [6911] = 6888,
  [6912] = 6874,
  [6913] = 6867,
  [6914] = 6914,
  [6915] = 6867,
  [6916] = 6871,
  [6917] = 6917,
  [6918] = 6870,
  [6919] = 6865,
  [6920] = 6920,
  [6921] = 6921,
  [6922] = 6870,
  [6923] = 6871,
  [6924] = 6865,
  [6925] = 6925,
  [6926] = 6926,
  [6927] = 6874,
  [6928] = 6870,
  [6929] = 6929,
  [6930] = 6865,
  [6931] = 6931,
  [6932] = 6870,
  [6933] = 6933,
  [6934] = 6876,
  [6935] = 6871,
  [6936] = 6936,
  [6937] = 6891,
  [6938] = 6864,
  [6939] = 6870,
  [6940] = 6877,
  [6941] = 6874,
  [6942] = 6942,
  [6943] = 6888,
  [6944] = 6914,
  [6945] = 6945,
  [6946] = 6865,
  [6947] = 6947,
  [6948] = 6891,
  [6949] = 6877,
  [6950] = 6864,
  [6951] = 6888,
  [6952] = 6952,
  [6953] = 6953,
  [6954] = 6954,
  [6955] = 6955,
  [6956] = 6956,
  [6957] = 6871,
  [6958] = 6876,
  [6959] = 6959,
  [6960] = 6876,
  [6961] = 6876,
  [6962] = 6867,
  [6963] = 6862,
  [6964] = 6878,
  [6965] = 6965,
  [6966] = 6891,
  [6967] = 6967,
  [6968] = 6968,
  [6969] = 6877,
  [6970] = 6871,
  [6971] = 6870,
  [6972] = 6865,
  [6973] = 6864,
  [6974] = 6454,
  [6975] = 6867,
  [6976] = 6867,
  [6977] = 6977,
  [6978] = 6878,
  [6979] = 6979,
  [6980] = 6891,
  [6981] = 6981,
  [6982] = 6982,
  [6983] = 6867,
  [6984] = 6878,
  [6985] = 6985,
  [6986] = 6891,
  [6987] = 6987,
  [6988] = 6988,
  [6989] = 6878,
  [6990] = 6870,
  [6991] = 6865,
  [6992] = 6876,
  [6993] = 6993,
  [6994] = 6874,
  [6995] = 6867,
  [6996] = 6864,
  [6997] = 6997,
  [6998] = 6871,
  [6999] = 6087,
  [7000] = 6878,
  [7001] = 6876,
  [7002] = 7002,
  [7003] = 6877,
  [7004] = 6888,
  [7005] = 6877,
  [7006] = 6888,
  [7007] = 6867,
  [7008] = 6878,
  [7009] = 6867,
  [7010] = 7010,
  [7011] = 7011,
  [7012] = 7012,
  [7013] = 6870,
  [7014] = 6877,
  [7015] = 6888,
  [7016] = 6877,
  [7017] = 6888,
  [7018] = 6876,
  [7019] = 6867,
  [7020] = 6878,
  [7021] = 6870,
  [7022] = 6878,
  [7023] = 6865,
  [7024] = 6865,
  [7025] = 6967,
  [7026] = 6877,
  [7027] = 6888,
  [7028] = 6877,
  [7029] = 6888,
  [7030] = 7030,
  [7031] = 6870,
  [7032] = 6867,
  [7033] = 6871,
  [7034] = 7034,
  [7035] = 7035,
  [7036] = 6867,
  [7037] = 7037,
  [7038] = 6865,
  [7039] = 6870,
  [7040] = 6479,
  [7041] = 6867,
  [7042] = 6870,
  [7043] = 6865,
  [7044] = 6876,
  [7045] = 7045,
  [7046] = 6870,
  [7047] = 6865,
  [7048] = 6871,
  [7049] = 7049,
  [7050] = 7050,
  [7051] = 7051,
  [7052] = 7052,
  [7053] = 6871,
  [7054] = 6888,
  [7055] = 7055,
  [7056] = 7056,
  [7057] = 7057,
  [7058] = 7058,
  [7059] = 6453,
  [7060] = 6454,
  [7061] = 7061,
  [7062] = 7062,
  [7063] = 7055,
  [7064] = 7057,
  [7065] = 7065,
  [7066] = 7066,
  [7067] = 7067,
  [7068] = 7068,
  [7069] = 7065,
  [7070] = 7070,
  [7071] = 7071,
  [7072] = 7072,
  [7073] = 7073,
  [7074] = 7066,
  [7075] = 7075,
  [7076] = 7076,
  [7077] = 7077,
  [7078] = 7078,
  [7079] = 7079,
  [7080] = 7080,
  [7081] = 7081,
  [7082] = 7082,
  [7083] = 7062,
  [7084] = 7055,
  [7085] = 7085,
  [7086] = 7086,
  [7087] = 7067,
  [7088] = 7088,
  [7089] = 7089,
  [7090] = 7066,
  [7091] = 7066,
  [7092] = 7092,
  [7093] = 7073,
  [7094] = 7056,
  [7095] = 7095,
  [7096] = 7055,
  [7097] = 7097,
  [7098] = 7098,
  [7099] = 7077,
  [7100] = 7070,
  [7101] = 7101,
  [7102] = 7066,
  [7103] = 7103,
  [7104] = 7104,
  [7105] = 7105,
  [7106] = 7106,
  [7107] = 7107,
  [7108] = 7055,
  [7109] = 7109,
  [7110] = 7073,
  [7111] = 7065,
  [7112] = 7088,
  [7113] = 7113,
  [7114] = 7097,
  [7115] = 7115,
  [7116] = 7057,
  [7117] = 7057,
  [7118] = 7118,
  [7119] = 7119,
  [7120] = 7085,
  [7121] = 7086,
  [7122] = 7122,
  [7123] = 7089,
  [7124] = 7124,
  [7125] = 7125,
  [7126] = 7126,
  [7127] = 7066,
  [7128] = 7085,
  [7129] = 7104,
  [7130] = 7113,
  [7131] = 7085,
  [7132] = 7092,
  [7133] = 7062,
  [7134] = 7066,
  [7135] = 7070,
  [7136] = 7105,
  [7137] = 7107,
  [7138] = 7086,
  [7139] = 7139,
  [7140] = 7140,
  [7141] = 7088,
  [7142] = 7139,
  [7143] = 7140,
  [7144] = 7071,
  [7145] = 7072,
  [7146] = 7146,
  [7147] = 7097,
  [7148] = 7148,
  [7149] = 7149,
  [7150] = 7071,
  [7151] = 7148,
  [7152] = 7152,
  [7153] = 7122,
  [7154] = 7072,
  [7155] = 7078,
  [7156] = 7124,
  [7157] = 7119,
  [7158] = 7057,
  [7159] = 7125,
  [7160] = 7160,
  [7161] = 7161,
  [7162] = 7070,
  [7163] = 7071,
  [7164] = 7072,
  [7165] = 7165,
  [7166] = 7148,
  [7167] = 7149,
  [7168] = 7067,
  [7169] = 7126,
  [7170] = 7170,
  [7171] = 7171,
  [7172] = 7172,
  [7173] = 7086,
  [7174] = 7073,
  [7175] = 7088,
  [7176] = 7070,
  [7177] = 7088,
  [7178] = 7107,
  [7179] = 7080,
  [7180] = 7180,
  [7181] = 7181,
  [7182] = 7182,
  [7183] = 7126,
  [7184] = 7184,
  [7185] = 7149,
  [7186] = 7186,
  [7187] = 7187,
  [7188] = 7188,
  [7189] = 7104,
  [7190] = 7061,
  [7191] = 7058,
  [7192] = 7061,
  [7193] = 7113,
  [7194] = 7194,
  [7195] = 7195,
  [7196] = 7061,
  [7197] = 7139,
  [7198] = 7088,
  [7199] = 7199,
  [7200] = 7200,
  [7201] = 7065,
  [7202] = 7140,
  [7203] = 7203,
  [7204] = 7097,
  [7205] = 7152,
  [7206] = 7071,
  [7207] = 7072,
  [7208] = 7070,
  [7209] = 7089,
  [7210] = 7076,
  [7211] = 7107,
  [7212] = 7089,
  [7213] = 7066,
  [7214] = 7122,
  [7215] = 7076,
  [7216] = 7097,
  [7217] = 7217,
  [7218] = 7218,
  [7219] = 7170,
  [7220] = 7220,
  [7221] = 7092,
  [7222] = 7148,
  [7223] = 7149,
  [7224] = 7066,
  [7225] = 7066,
  [7226] = 7171,
  [7227] = 7089,
  [7228] = 7066,
  [7229] = 7097,
  [7230] = 7092,
  [7231] = 7056,
  [7232] = 7095,
  [7233] = 7077,
  [7234] = 7078,
  [7235] = 7077,
  [7236] = 7088,
  [7237] = 7057,
  [7238] = 7097,
  [7239] = 7105,
  [7240] = 7119,
  [7241] = 7152,
  [7242] = 7242,
  [7243] = 7122,
  [7244] = 7073,
  [7245] = 7057,
  [7246] = 7088,
  [7247] = 7097,
  [7248] = 7171,
  [7249] = 7062,
  [7250] = 7070,
  [7251] = 7057,
  [7252] = 7071,
  [7253] = 7253,
  [7254] = 7072,
  [7255] = 7085,
  [7256] = 7086,
  [7257] = 7055,
  [7258] = 7124,
  [7259] = 7125,
  [7260] = 7085,
  [7261] = 7126,
  [7262] = 7086,
  [7263] = 7139,
  [7264] = 7104,
  [7265] = 7140,
  [7266] = 7113,
  [7267] = 7170,
  [7268] = 7071,
  [7269] = 7124,
  [7270] = 7070,
  [7271] = 7171,
  [7272] = 7107,
  [7273] = 7125,
  [7274] = 7072,
  [7275] = 7126,
  [7276] = 7088,
  [7277] = 7277,
  [7278] = 7139,
  [7279] = 7140,
  [7280] = 7071,
  [7281] = 7072,
  [7282] = 7067,
  [7283] = 7148,
  [7284] = 7149,
  [7285] = 6412,
  [7286] = 7152,
  [7287] = 7122,
  [7288] = 7288,
  [7289] = 7289,
  [7290] = 7104,
  [7291] = 7078,
  [7292] = 7148,
  [7293] = 7119,
  [7294] = 7149,
  [7295] = 640,
  [7296] = 7104,
  [7297] = 7062,
  [7298] = 7182,
  [7299] = 7113,
  [7300] = 7170,
  [7301] = 7171,
  [7302] = 7302,
  [7303] = 7055,
  [7304] = 7152,
  [7305] = 7186,
  [7306] = 6451,
  [7307] = 7182,
  [7308] = 7078,
  [7309] = 7309,
  [7310] = 7199,
  [7311] = 7186,
  [7312] = 7200,
  [7313] = 7122,
  [7314] = 7314,
  [7315] = 7058,
  [7316] = 7119,
  [7317] = 7058,
  [7318] = 7061,
  [7319] = 7070,
  [7320] = 6460,
  [7321] = 7057,
  [7322] = 7065,
  [7323] = 6479,
  [7324] = 7107,
  [7325] = 7061,
  [7326] = 7182,
  [7327] = 7078,
  [7328] = 7057,
  [7329] = 7113,
  [7330] = 7330,
  [7331] = 7119,
  [7332] = 7186,
  [7333] = 7089,
  [7334] = 7066,
  [7335] = 7058,
  [7336] = 7062,
  [7337] = 7055,
  [7338] = 7092,
  [7339] = 7058,
  [7340] = 7065,
  [7341] = 7062,
  [7342] = 7056,
  [7343] = 7095,
  [7344] = 7058,
  [7345] = 7345,
  [7346] = 7346,
  [7347] = 7139,
  [7348] = 7077,
  [7349] = 7073,
  [7350] = 7058,
  [7351] = 681,
  [7352] = 7055,
  [7353] = 7186,
  [7354] = 7139,
  [7355] = 7140,
  [7356] = 7356,
  [7357] = 7071,
  [7358] = 7072,
  [7359] = 7067,
  [7360] = 7140,
  [7361] = 7066,
  [7362] = 7073,
  [7363] = 7058,
  [7364] = 7148,
  [7365] = 7365,
  [7366] = 7149,
  [7367] = 7088,
  [7368] = 7072,
  [7369] = 7097,
  [7370] = 7058,
  [7371] = 7085,
  [7372] = 7086,
  [7373] = 7057,
  [7374] = 7374,
  [7375] = 7375,
  [7376] = 7085,
  [7377] = 7086,
  [7378] = 7378,
  [7379] = 7092,
  [7380] = 7124,
  [7381] = 7125,
  [7382] = 7066,
  [7383] = 7126,
  [7384] = 7384,
  [7385] = 7104,
  [7386] = 7386,
  [7387] = 7113,
  [7388] = 7388,
  [7389] = 7152,
  [7390] = 7390,
  [7391] = 7391,
  [7392] = 7070,
  [7393] = 7107,
  [7394] = 7071,
  [7395] = 7395,
  [7396] = 7089,
  [7397] = 7072,
  [7398] = 7089,
  [7399] = 7122,
  [7400] = 7139,
  [7401] = 7140,
  [7402] = 7071,
  [7403] = 7072,
  [7404] = 7066,
  [7405] = 7405,
  [7406] = 7080,
  [7407] = 7066,
  [7408] = 7194,
  [7409] = 7409,
  [7410] = 7148,
  [7411] = 7078,
  [7412] = 7149,
  [7413] = 7056,
  [7414] = 7119,
  [7415] = 7199,
  [7416] = 7200,
  [7417] = 7092,
  [7418] = 7067,
  [7419] = 7419,
  [7420] = 7061,
  [7421] = 7056,
  [7422] = 7089,
  [7423] = 7152,
  [7424] = 7122,
  [7425] = 7148,
  [7426] = 7078,
  [7427] = 7427,
  [7428] = 7119,
  [7429] = 7182,
  [7430] = 7149,
  [7431] = 7095,
  [7432] = 7432,
  [7433] = 7170,
  [7434] = 7171,
  [7435] = 7085,
  [7436] = 7077,
  [7437] = 7437,
  [7438] = 7104,
  [7439] = 7182,
  [7440] = 7066,
  [7441] = 7441,
  [7442] = 7442,
  [7443] = 7186,
  [7444] = 7062,
  [7445] = 7061,
  [7446] = 7058,
  [7447] = 7055,
  [7448] = 7073,
  [7449] = 6440,
  [7450] = 7097,
  [7451] = 7451,
  [7452] = 7061,
  [7453] = 7453,
  [7454] = 7113,
  [7455] = 7058,
  [7456] = 7456,
  [7457] = 7073,
  [7458] = 7458,
  [7459] = 7065,
  [7460] = 6447,
  [7461] = 7073,
  [7462] = 7078,
  [7463] = 7067,
  [7464] = 7080,
  [7465] = 7194,
  [7466] = 6450,
  [7467] = 7088,
  [7468] = 7097,
  [7469] = 7469,
  [7470] = 7086,
  [7471] = 7080,
  [7472] = 7194,
  [7473] = 7119,
  [7474] = 7095,
  [7475] = 7089,
  [7476] = 7066,
  [7477] = 7057,
  [7478] = 7080,
  [7479] = 7194,
  [7480] = 6404,
  [7481] = 7481,
  [7482] = 7482,
  [7483] = 7483,
  [7484] = 7092,
  [7485] = 7080,
  [7486] = 7194,
  [7487] = 7085,
  [7488] = 7488,
  [7489] = 7489,
  [7490] = 7056,
  [7491] = 7095,
  [7492] = 7086,
  [7493] = 7080,
  [7494] = 7194,
  [7495] = 7495,
  [7496] = 7496,
  [7497] = 7497,
  [7498] = 7077,
  [7499] = 7499,
  [7500] = 7065,
  [7501] = 7080,
  [7502] = 7194,
  [7503] = 7104,
  [7504] = 7113,
  [7505] = 7080,
  [7506] = 7194,
  [7507] = 7070,
  [7508] = 7107,
  [7509] = 7509,
  [7510] = 7510,
  [7511] = 7080,
  [7512] = 7194,
  [7513] = 7070,
  [7514] = 7514,
  [7515] = 7073,
  [7516] = 7516,
  [7517] = 7062,
  [7518] = 7080,
  [7519] = 7194,
  [7520] = 7055,
  [7521] = 7107,
  [7522] = 7522,
  [7523] = 7088,
  [7524] = 7199,
  [7525] = 7097,
  [7526] = 7526,
  [7527] = 7139,
  [7528] = 7140,
  [7529] = 7067,
  [7530] = 7057,
  [7531] = 7071,
  [7532] = 7066,
  [7533] = 7072,
  [7534] = 7077,
  [7535] = 7085,
  [7536] = 7086,
  [7537] = 7076,
  [7538] = 7148,
  [7539] = 6443,
  [7540] = 7149,
  [7541] = 7170,
  [7542] = 7171,
  [7543] = 7152,
  [7544] = 7104,
  [7545] = 7058,
  [7546] = 6455,
  [7547] = 7113,
  [7548] = 7548,
  [7549] = 6463,
  [7550] = 7483,
  [7551] = 7152,
  [7552] = 7122,
  [7553] = 7375,
  [7554] = 7070,
  [7555] = 7199,
  [7556] = 7107,
  [7557] = 7200,
  [7558] = 7062,
  [7559] = 7055,
  [7560] = 7560,
  [7561] = 7561,
  [7562] = 7562,
  [7563] = 7180,
  [7564] = 7184,
  [7565] = 7088,
  [7566] = 7289,
  [7567] = 7139,
  [7568] = 7568,
  [7569] = 7078,
  [7570] = 7140,
  [7571] = 7071,
  [7572] = 7572,
  [7573] = 7072,
  [7574] = 7148,
  [7575] = 7149,
  [7576] = 7119,
  [7577] = 7152,
  [7578] = 7122,
  [7579] = 7579,
  [7580] = 7078,
  [7581] = 7067,
  [7582] = 7119,
  [7583] = 7057,
  [7584] = 7584,
  [7585] = 6411,
  [7586] = 6476,
  [7587] = 7066,
  [7588] = 7170,
  [7589] = 7171,
  [7590] = 7590,
  [7591] = 7568,
  [7592] = 7592,
  [7593] = 7092,
  [7594] = 7182,
  [7595] = 7170,
  [7596] = 7171,
  [7597] = 7186,
  [7598] = 7095,
  [7599] = 7058,
  [7600] = 7600,
  [7601] = 7089,
  [7602] = 7602,
  [7603] = 7066,
  [7604] = 7061,
  [7605] = 7139,
  [7606] = 7122,
  [7607] = 7607,
  [7608] = 7608,
  [7609] = 7609,
  [7610] = 7065,
  [7611] = 7170,
  [7612] = 7089,
  [7613] = 7066,
  [7614] = 7124,
  [7615] = 7056,
  [7616] = 7070,
  [7617] = 7062,
  [7618] = 7055,
  [7619] = 7058,
  [7620] = 7560,
  [7621] = 7095,
  [7622] = 7066,
  [7623] = 7097,
  [7624] = 7624,
  [7625] = 7067,
  [7626] = 7182,
  [7627] = 7089,
  [7628] = 6449,
  [7629] = 7066,
  [7630] = 7182,
  [7631] = 7077,
  [7632] = 7092,
  [7633] = 7200,
  [7634] = 7634,
  [7635] = 7056,
  [7636] = 7095,
  [7637] = 7107,
  [7638] = 7186,
  [7639] = 7077,
  [7640] = 7194,
  [7641] = 7170,
  [7642] = 7104,
  [7643] = 7171,
  [7644] = 7073,
  [7645] = 7140,
  [7646] = 7066,
  [7647] = 7058,
  [7648] = 7067,
  [7649] = 7092,
  [7650] = 7088,
  [7651] = 7055,
  [7652] = 7097,
  [7653] = 7199,
  [7654] = 7061,
  [7655] = 7057,
  [7656] = 7061,
  [7657] = 7657,
  [7658] = 7085,
  [7659] = 7086,
  [7660] = 7660,
  [7661] = 7562,
  [7662] = 7182,
  [7663] = 7104,
  [7664] = 7186,
  [7665] = 7113,
  [7666] = 7666,
  [7667] = 7200,
  [7668] = 7668,
  [7669] = 7092,
  [7670] = 7289,
  [7671] = 7671,
  [7672] = 7070,
  [7673] = 7673,
  [7674] = 7107,
  [7675] = 7675,
  [7676] = 7186,
  [7677] = 7677,
  [7678] = 7065,
  [7679] = 7139,
  [7680] = 7140,
  [7681] = 7289,
  [7682] = 7071,
  [7683] = 7072,
  [7684] = 7148,
  [7685] = 7289,
  [7686] = 7149,
  [7687] = 7105,
  [7688] = 7066,
  [7689] = 7689,
  [7690] = 7289,
  [7691] = 7092,
  [7692] = 7152,
  [7693] = 7122,
  [7694] = 7105,
  [7695] = 7078,
  [7696] = 7696,
  [7697] = 7119,
  [7698] = 7698,
  [7699] = 7699,
  [7700] = 7700,
  [7701] = 7701,
  [7702] = 7125,
  [7703] = 7170,
  [7704] = 7171,
  [7705] = 7705,
  [7706] = 7170,
  [7707] = 7707,
  [7708] = 7056,
  [7709] = 7709,
  [7710] = 7095,
  [7711] = 7711,
  [7712] = 7171,
  [7713] = 7182,
  [7714] = 7714,
  [7715] = 7715,
  [7716] = 7058,
  [7717] = 7186,
  [7718] = 7113,
  [7719] = 7058,
  [7720] = 7062,
  [7721] = 7055,
  [7722] = 7722,
  [7723] = 7061,
  [7724] = 7724,
  [7725] = 7152,
  [7726] = 7061,
  [7727] = 7088,
  [7728] = 7067,
  [7729] = 7065,
  [7730] = 7065,
  [7731] = 7089,
  [7732] = 7182,
  [7733] = 7733,
  [7734] = 7066,
  [7735] = 7071,
  [7736] = 7736,
  [7737] = 7737,
  [7738] = 7066,
  [7739] = 7739,
  [7740] = 6470,
  [7741] = 7066,
  [7742] = 7097,
  [7743] = 7089,
  [7744] = 7066,
  [7745] = 7186,
  [7746] = 7076,
  [7747] = 7077,
  [7748] = 7092,
  [7749] = 7056,
  [7750] = 7056,
  [7751] = 7095,
  [7752] = 7095,
  [7753] = 7092,
  [7754] = 7058,
  [7755] = 7755,
  [7756] = 7077,
  [7757] = 7061,
  [7758] = 7758,
  [7759] = 7759,
  [7760] = 7760,
  [7761] = 7761,
  [7762] = 7762,
  [7763] = 7763,
  [7764] = 7764,
  [7765] = 7763,
  [7766] = 7766,
  [7767] = 7759,
  [7768] = 7768,
  [7769] = 7769,
  [7770] = 7770,
  [7771] = 7771,
  [7772] = 7772,
  [7773] = 7770,
  [7774] = 7774,
  [7775] = 7768,
  [7776] = 7768,
  [7777] = 7777,
  [7778] = 7778,
  [7779] = 7766,
  [7780] = 7763,
  [7781] = 7770,
  [7782] = 7770,
  [7783] = 7777,
  [7784] = 7770,
  [7785] = 7766,
  [7786] = 7769,
  [7787] = 7787,
  [7788] = 7769,
  [7789] = 7789,
  [7790] = 7768,
  [7791] = 7770,
  [7792] = 7766,
  [7793] = 7768,
  [7794] = 7759,
  [7795] = 7768,
  [7796] = 7758,
  [7797] = 7797,
  [7798] = 7766,
  [7799] = 7799,
  [7800] = 7800,
  [7801] = 7801,
  [7802] = 7766,
  [7803] = 7766,
  [7804] = 7804,
  [7805] = 7805,
  [7806] = 7806,
  [7807] = 7777,
  [7808] = 7808,
  [7809] = 7809,
  [7810] = 7766,
  [7811] = 7811,
  [7812] = 7769,
  [7813] = 7770,
  [7814] = 7814,
  [7815] = 7758,
  [7816] = 7766,
  [7817] = 7759,
  [7818] = 7759,
  [7819] = 7819,
  [7820] = 7768,
  [7821] = 7805,
  [7822] = 7766,
  [7823] = 7768,
  [7824] = 7768,
  [7825] = 7777,
  [7826] = 7770,
  [7827] = 7827,
  [7828] = 7768,
  [7829] = 7829,
  [7830] = 7769,
  [7831] = 7831,
  [7832] = 7758,
  [7833] = 7833,
  [7834] = 7763,
  [7835] = 7805,
  [7836] = 7768,
  [7837] = 7837,
  [7838] = 7777,
  [7839] = 7769,
  [7840] = 7768,
  [7841] = 7841,
  [7842] = 7770,
  [7843] = 7759,
  [7844] = 7758,
  [7845] = 7777,
  [7846] = 7769,
  [7847] = 7805,
  [7848] = 7758,
  [7849] = 7763,
  [7850] = 7768,
  [7851] = 7768,
  [7852] = 7769,
  [7853] = 7853,
  [7854] = 7763,
  [7855] = 7759,
  [7856] = 7759,
  [7857] = 7759,
  [7858] = 7858,
  [7859] = 7768,
  [7860] = 7860,
  [7861] = 7805,
  [7862] = 7758,
  [7863] = 7805,
  [7864] = 7777,
  [7865] = 7769,
  [7866] = 7805,
  [7867] = 7763,
  [7868] = 7868,
  [7869] = 7777,
  [7870] = 7870,
  [7871] = 7871,
  [7872] = 7758,
  [7873] = 7873,
  [7874] = 7777,
  [7875] = 7770,
  [7876] = 7768,
  [7877] = 7877,
  [7878] = 7770,
  [7879] = 7758,
  [7880] = 7770,
  [7881] = 7881,
  [7882] = 7882,
  [7883] = 7758,
  [7884] = 7884,
  [7885] = 7885,
  [7886] = 7886,
  [7887] = 7805,
  [7888] = 7888,
  [7889] = 7889,
  [7890] = 7890,
  [7891] = 7769,
  [7892] = 7763,
  [7893] = 7759,
  [7894] = 7805,
  [7895] = 7895,
  [7896] = 7896,
  [7897] = 7897,
  [7898] = 7898,
  [7899] = 7770,
  [7900] = 7763,
  [7901] = 7768,
  [7902] = 7777,
  [7903] = 7777,
  [7904] = 7768,
  [7905] = 7763,
  [7906] = 7769,
  [7907] = 7768,
  [7908] = 7758,
  [7909] = 7768,
  [7910] = 7769,
  [7911] = 7911,
  [7912] = 7759,
  [7913] = 7768,
  [7914] = 7763,
  [7915] = 7768,
  [7916] = 7916,
  [7917] = 7759,
  [7918] = 7768,
  [7919] = 7766,
  [7920] = 7768,
  [7921] = 839,
  [7922] = 7763,
  [7923] = 7769,
  [7924] = 7763,
  [7925] = 7766,
  [7926] = 7768,
  [7927] = 7768,
  [7928] = 7768,
  [7929] = 7768,
  [7930] = 7769,
  [7931] = 7770,
  [7932] = 7770,
  [7933] = 7758,
  [7934] = 7934,
  [7935] = 7759,
  [7936] = 7759,
  [7937] = 7768,
  [7938] = 7758,
  [7939] = 7805,
  [7940] = 7940,
  [7941] = 7758,
  [7942] = 7763,
  [7943] = 7805,
  [7944] = 7763,
  [7945] = 7768,
  [7946] = 7777,
  [7947] = 7769,
  [7948] = 7759,
  [7949] = 6472,
  [7950] = 7805,
  [7951] = 7758,
  [7952] = 7768,
  [7953] = 7953,
  [7954] = 7954,
  [7955] = 7955,
  [7956] = 7956,
  [7957] = 7957,
  [7958] = 7955,
  [7959] = 7959,
  [7960] = 7954,
  [7961] = 7961,
  [7962] = 7959,
  [7963] = 7963,
  [7964] = 7957,
  [7965] = 7965,
  [7966] = 7966,
  [7967] = 7967,
  [7968] = 7968,
  [7969] = 7969,
  [7970] = 7970,
  [7971] = 7971,
  [7972] = 7972,
  [7973] = 7970,
  [7974] = 7956,
  [7975] = 7954,
  [7976] = 7976,
  [7977] = 7977,
  [7978] = 7976,
  [7979] = 7966,
  [7980] = 7970,
  [7981] = 7963,
  [7982] = 7957,
  [7983] = 7965,
  [7984] = 7966,
  [7985] = 7967,
  [7986] = 7968,
  [7987] = 7969,
  [7988] = 7972,
  [7989] = 7963,
  [7990] = 7990,
  [7991] = 7977,
  [7992] = 7956,
  [7993] = 7965,
  [7994] = 7994,
  [7995] = 7995,
  [7996] = 7955,
  [7997] = 7994,
  [7998] = 7965,
  [7999] = 7963,
  [8000] = 7976,
  [8001] = 7966,
  [8002] = 7967,
  [8003] = 7968,
  [8004] = 7969,
  [8005] = 8005,
  [8006] = 7956,
  [8007] = 7966,
  [8008] = 7970,
  [8009] = 7967,
  [8010] = 7963,
  [8011] = 7990,
  [8012] = 7966,
  [8013] = 7967,
  [8014] = 7968,
  [8015] = 7969,
  [8016] = 7968,
  [8017] = 7956,
  [8018] = 7969,
  [8019] = 7961,
  [8020] = 8020,
  [8021] = 7963,
  [8022] = 7966,
  [8023] = 7967,
  [8024] = 7968,
  [8025] = 7969,
  [8026] = 7956,
  [8027] = 7967,
  [8028] = 7990,
  [8029] = 7965,
  [8030] = 7963,
  [8031] = 7968,
  [8032] = 7956,
  [8033] = 7965,
  [8034] = 8034,
  [8035] = 7963,
  [8036] = 7968,
  [8037] = 7956,
  [8038] = 7971,
  [8039] = 7976,
  [8040] = 7968,
  [8041] = 7956,
  [8042] = 7970,
  [8043] = 7954,
  [8044] = 7968,
  [8045] = 7956,
  [8046] = 8046,
  [8047] = 7956,
  [8048] = 7968,
  [8049] = 7956,
  [8050] = 8046,
  [8051] = 8005,
  [8052] = 7968,
  [8053] = 7956,
  [8054] = 7968,
  [8055] = 8055,
  [8056] = 7968,
  [8057] = 7956,
  [8058] = 7977,
  [8059] = 7972,
  [8060] = 7968,
  [8061] = 7956,
  [8062] = 7995,
  [8063] = 7968,
  [8064] = 7956,
  [8065] = 7959,
  [8066] = 7968,
  [8067] = 7956,
  [8068] = 7971,
  [8069] = 7968,
  [8070] = 7956,
  [8071] = 7972,
  [8072] = 8072,
  [8073] = 8046,
  [8074] = 7957,
  [8075] = 8005,
  [8076] = 7955,
  [8077] = 8077,
  [8078] = 7971,
  [8079] = 7970,
  [8080] = 7965,
  [8081] = 7990,
  [8082] = 7968,
  [8083] = 8083,
  [8084] = 7969,
  [8085] = 7971,
  [8086] = 7972,
  [8087] = 7972,
  [8088] = 7956,
  [8089] = 7990,
  [8090] = 7970,
  [8091] = 7956,
  [8092] = 7955,
  [8093] = 7959,
  [8094] = 7954,
  [8095] = 7972,
  [8096] = 7959,
  [8097] = 7954,
  [8098] = 7972,
  [8099] = 7959,
  [8100] = 7995,
  [8101] = 7990,
  [8102] = 7994,
  [8103] = 7968,
  [8104] = 8104,
  [8105] = 7969,
  [8106] = 7976,
  [8107] = 7977,
  [8108] = 7976,
  [8109] = 7955,
  [8110] = 7965,
  [8111] = 7994,
  [8112] = 8112,
  [8113] = 8046,
  [8114] = 7976,
  [8115] = 7963,
  [8116] = 7976,
  [8117] = 7971,
  [8118] = 8005,
  [8119] = 8005,
  [8120] = 8005,
  [8121] = 7965,
  [8122] = 7990,
  [8123] = 7955,
  [8124] = 7957,
  [8125] = 8005,
  [8126] = 7972,
  [8127] = 7963,
  [8128] = 7995,
  [8129] = 8112,
  [8130] = 8130,
  [8131] = 8131,
  [8132] = 7971,
  [8133] = 8005,
  [8134] = 7990,
  [8135] = 8135,
  [8136] = 7961,
  [8137] = 7957,
  [8138] = 8138,
  [8139] = 7971,
  [8140] = 7990,
  [8141] = 7994,
  [8142] = 7966,
  [8143] = 7957,
  [8144] = 8144,
  [8145] = 7976,
  [8146] = 7967,
  [8147] = 8046,
  [8148] = 7970,
  [8149] = 7972,
  [8150] = 7994,
  [8151] = 7967,
  [8152] = 7968,
  [8153] = 7995,
  [8154] = 8154,
  [8155] = 7990,
  [8156] = 7957,
  [8157] = 8112,
  [8158] = 7990,
  [8159] = 7965,
  [8160] = 7957,
  [8161] = 7969,
  [8162] = 7965,
  [8163] = 8005,
  [8164] = 7990,
  [8165] = 8046,
  [8166] = 7976,
  [8167] = 7977,
  [8168] = 8112,
  [8169] = 7972,
  [8170] = 8170,
  [8171] = 8112,
  [8172] = 7957,
  [8173] = 7954,
  [8174] = 7994,
  [8175] = 8175,
  [8176] = 7956,
  [8177] = 7990,
  [8178] = 8178,
  [8179] = 7976,
  [8180] = 8046,
  [8181] = 8181,
  [8182] = 7961,
  [8183] = 7990,
  [8184] = 7976,
  [8185] = 7957,
  [8186] = 7972,
  [8187] = 8005,
  [8188] = 7994,
  [8189] = 7994,
  [8190] = 7976,
  [8191] = 7955,
  [8192] = 7959,
  [8193] = 7971,
  [8194] = 7961,
  [8195] = 8195,
  [8196] = 7970,
  [8197] = 7955,
  [8198] = 7957,
  [8199] = 8005,
  [8200] = 8005,
  [8201] = 7954,
  [8202] = 7976,
  [8203] = 7990,
  [8204] = 7994,
  [8205] = 8083,
  [8206] = 7976,
  [8207] = 7994,
  [8208] = 7957,
  [8209] = 7990,
  [8210] = 7972,
  [8211] = 7971,
  [8212] = 8005,
  [8213] = 8112,
  [8214] = 8046,
  [8215] = 8112,
  [8216] = 7965,
  [8217] = 7961,
  [8218] = 7961,
  [8219] = 7971,
  [8220] = 8112,
  [8221] = 7972,
  [8222] = 7970,
  [8223] = 8005,
  [8224] = 7963,
  [8225] = 8005,
  [8226] = 8005,
  [8227] = 7965,
  [8228] = 7977,
  [8229] = 7976,
  [8230] = 8046,
  [8231] = 8231,
  [8232] = 7970,
  [8233] = 8233,
  [8234] = 7977,
  [8235] = 8005,
  [8236] = 8005,
  [8237] = 8237,
  [8238] = 7966,
  [8239] = 7976,
  [8240] = 7971,
  [8241] = 7966,
  [8242] = 7965,
  [8243] = 7970,
  [8244] = 7959,
  [8245] = 7965,
  [8246] = 7970,
  [8247] = 7972,
  [8248] = 7967,
  [8249] = 7990,
  [8250] = 8005,
  [8251] = 7995,
  [8252] = 7976,
  [8253] = 7968,
  [8254] = 7972,
  [8255] = 7971,
  [8256] = 7995,
  [8257] = 7969,
  [8258] = 7976,
  [8259] = 7965,
  [8260] = 7965,
  [8261] = 7976,
  [8262] = 8112,
  [8263] = 7971,
  [8264] = 8005,
  [8265] = 8265,
  [8266] = 8077,
  [8267] = 7957,
  [8268] = 7971,
  [8269] = 7965,
  [8270] = 7965,
  [8271] = 7976,
  [8272] = 7970,
  [8273] = 7994,
  [8274] = 7990,
  [8275] = 7970,
  [8276] = 7957,
  [8277] = 7970,
  [8278] = 7970,
  [8279] = 7956,
  [8280] = 7971,
  [8281] = 7994,
  [8282] = 7970,
  [8283] = 7971,
  [8284] = 7957,
  [8285] = 7990,
  [8286] = 8005,
  [8287] = 7994,
  [8288] = 7954,
  [8289] = 7990,
  [8290] = 8290,
  [8291] = 7971,
  [8292] = 7970,
  [8293] = 7972,
  [8294] = 7972,
  [8295] = 7959,
  [8296] = 7963,
  [8297] = 8005,
  [8298] = 8298,
  [8299] = 7971,
  [8300] = 7972,
  [8301] = 7968,
  [8302] = 7990,
  [8303] = 7956,
  [8304] = 7956,
  [8305] = 7955,
  [8306] = 7968,
  [8307] = 7963,
  [8308] = 8072,
  [8309] = 8005,
  [8310] = 8077,
  [8311] = 7995,
  [8312] = 7977,
  [8313] = 7965,
  [8314] = 8083,
  [8315] = 7976,
  [8316] = 7966,
  [8317] = 7965,
  [8318] = 7965,
  [8319] = 7967,
  [8320] = 7972,
  [8321] = 7968,
  [8322] = 8322,
  [8323] = 7971,
  [8324] = 7955,
  [8325] = 7969,
  [8326] = 7972,
  [8327] = 8072,
  [8328] = 7956,
  [8329] = 8077,
  [8330] = 7972,
  [8331] = 7965,
  [8332] = 7961,
  [8333] = 8083,
  [8334] = 7970,
  [8335] = 7954,
  [8336] = 8046,
  [8337] = 7956,
  [8338] = 8072,
  [8339] = 7971,
  [8340] = 8077,
  [8341] = 8341,
  [8342] = 7995,
  [8343] = 7976,
  [8344] = 8083,
  [8345] = 7976,
  [8346] = 7970,
  [8347] = 7961,
  [8348] = 7976,
  [8349] = 8072,
  [8350] = 7963,
  [8351] = 8077,
  [8352] = 7972,
  [8353] = 7976,
  [8354] = 8046,
  [8355] = 8083,
  [8356] = 7966,
  [8357] = 7967,
  [8358] = 7968,
  [8359] = 8005,
  [8360] = 8072,
  [8361] = 7990,
  [8362] = 8077,
  [8363] = 8195,
  [8364] = 7969,
  [8365] = 8005,
  [8366] = 8083,
  [8367] = 8367,
  [8368] = 7971,
  [8369] = 8072,
  [8370] = 8005,
  [8371] = 8077,
  [8372] = 7965,
  [8373] = 7959,
  [8374] = 8374,
  [8375] = 8083,
  [8376] = 7956,
  [8377] = 7971,
  [8378] = 8072,
  [8379] = 8379,
  [8380] = 8077,
  [8381] = 7959,
  [8382] = 7965,
  [8383] = 8383,
  [8384] = 8083,
  [8385] = 7995,
  [8386] = 7976,
  [8387] = 8072,
  [8388] = 8388,
  [8389] = 8077,
  [8390] = 7971,
  [8391] = 7990,
  [8392] = 7970,
  [8393] = 8083,
  [8394] = 7976,
  [8395] = 7957,
  [8396] = 8072,
  [8397] = 7963,
  [8398] = 8077,
  [8399] = 7971,
  [8400] = 7970,
  [8401] = 7971,
  [8402] = 8083,
  [8403] = 8403,
  [8404] = 7970,
  [8405] = 8072,
  [8406] = 7995,
  [8407] = 8077,
  [8408] = 8195,
  [8409] = 7977,
  [8410] = 8410,
  [8411] = 8083,
  [8412] = 7966,
  [8413] = 8072,
  [8414] = 7967,
  [8415] = 8083,
  [8416] = 7968,
  [8417] = 8072,
  [8418] = 7969,
  [8419] = 8083,
  [8420] = 7977,
  [8421] = 8072,
  [8422] = 7963,
  [8423] = 8083,
  [8424] = 7990,
  [8425] = 8083,
  [8426] = 8083,
  [8427] = 8083,
  [8428] = 8083,
  [8429] = 8083,
  [8430] = 8083,
  [8431] = 8083,
  [8432] = 8083,
  [8433] = 8083,
  [8434] = 8083,
  [8435] = 8083,
  [8436] = 8083,
  [8437] = 8083,
  [8438] = 7970,
  [8439] = 8181,
  [8440] = 8341,
  [8441] = 7970,
  [8442] = 7990,
  [8443] = 8083,
  [8444] = 7994,
  [8445] = 7954,
  [8446] = 7966,
  [8447] = 8175,
  [8448] = 7965,
  [8449] = 7957,
  [8450] = 7956,
  [8451] = 7967,
  [8452] = 7965,
  [8453] = 7972,
  [8454] = 8454,
  [8455] = 7961,
  [8456] = 7955,
  [8457] = 7968,
  [8458] = 7972,
  [8459] = 7969,
  [8460] = 7972,
  [8461] = 7965,
  [8462] = 8046,
  [8463] = 7955,
  [8464] = 7971,
  [8465] = 8072,
  [8466] = 7957,
  [8467] = 7955,
  [8468] = 7972,
  [8469] = 7972,
  [8470] = 7990,
  [8471] = 7972,
  [8472] = 7976,
  [8473] = 7977,
  [8474] = 7995,
  [8475] = 7972,
  [8476] = 8005,
  [8477] = 8005,
  [8478] = 7956,
  [8479] = 7970,
  [8480] = 7976,
  [8481] = 7990,
  [8482] = 7976,
  [8483] = 8483,
  [8484] = 7990,
  [8485] = 7961,
  [8486] = 8005,
  [8487] = 8112,
  [8488] = 7972,
  [8489] = 7970,
  [8490] = 8490,
  [8491] = 7970,
  [8492] = 7965,
  [8493] = 7977,
  [8494] = 7971,
  [8495] = 7970,
  [8496] = 7990,
  [8497] = 8497,
  [8498] = 7965,
  [8499] = 8005,
  [8500] = 7970,
  [8501] = 7968,
  [8502] = 7956,
  [8503] = 8181,
  [8504] = 8341,
  [8505] = 8505,
  [8506] = 7971,
  [8507] = 8181,
  [8508] = 8341,
  [8509] = 7971,
  [8510] = 8005,
  [8511] = 8181,
  [8512] = 8341,
  [8513] = 7961,
  [8514] = 7954,
  [8515] = 8181,
  [8516] = 8341,
  [8517] = 8517,
  [8518] = 7963,
  [8519] = 8181,
  [8520] = 8341,
  [8521] = 8181,
  [8522] = 8341,
  [8523] = 8181,
  [8524] = 8341,
  [8525] = 8181,
  [8526] = 8341,
  [8527] = 8181,
  [8528] = 8341,
  [8529] = 8181,
  [8530] = 8341,
  [8531] = 8341,
  [8532] = 8341,
  [8533] = 8341,
  [8534] = 7963,
  [8535] = 7990,
  [8536] = 7990,
  [8537] = 8403,
  [8538] = 7955,
  [8539] = 8539,
  [8540] = 7966,
  [8541] = 8083,
  [8542] = 8403,
  [8543] = 7970,
  [8544] = 8403,
  [8545] = 7967,
  [8546] = 8403,
  [8547] = 7963,
  [8548] = 8403,
  [8549] = 7968,
  [8550] = 7969,
  [8551] = 8020,
  [8552] = 7976,
  [8553] = 7959,
  [8554] = 7971,
  [8555] = 8410,
  [8556] = 8410,
  [8557] = 8410,
  [8558] = 8410,
  [8559] = 8410,
  [8560] = 7971,
};

static TSCharacterRange sym_identifier_character_set_1[] = {
  {'A', 'Z'}, {'_', '_'}, {'a', 'z'}, {0xaa, 0xaa}, {0xb5, 0xb5}, {0xba, 0xba}, {0xc0, 0xd6}, {0xd8, 0xf6},
  {0xf8, 0x2c1}, {0x2c6, 0x2d1}, {0x2e0, 0x2e4}, {0x2ec, 0x2ec}, {0x2ee, 0x2ee}, {0x370, 0x374}, {0x376, 0x377}, {0x37b, 0x37d},
  {0x37f, 0x37f}, {0x386, 0x386}, {0x388, 0x38a}, {0x38c, 0x38c}, {0x38e, 0x3a1}, {0x3a3, 0x3f5}, {0x3f7, 0x481}, {0x48a, 0x52f},
  {0x531, 0x556}, {0x559, 0x559}, {0x560, 0x588}, {0x5d0, 0x5ea}, {0x5ef, 0x5f2}, {0x620, 0x64a}, {0x66e, 0x66f}, {0x671, 0x6d3},
  {0x6d5, 0x6d5}, {0x6e5, 0x6e6}, {0x6ee, 0x6ef}, {0x6fa, 0x6fc}, {0x6ff, 0x6ff}, {0x710, 0x710}, {0x712, 0x72f}, {0x74d, 0x7a5},
  {0x7b1, 0x7b1}, {0x7ca, 0x7ea}, {0x7f4, 0x7f5}, {0x7fa, 0x7fa}, {0x800, 0x815}, {0x81a, 0x81a}, {0x824, 0x824}, {0x828, 0x828},
  {0x840, 0x858}, {0x860, 0x86a}, {0x870, 0x887}, {0x889, 0x88e}, {0x8a0, 0x8c9}, {0x904, 0x939}, {0x93d, 0x93d}, {0x950, 0x950},
  {0x958, 0x961}, {0x971, 0x980}, {0x985, 0x98c}, {0x98f, 0x990}, {0x993, 0x9a8}, {0x9aa, 0x9b0}, {0x9b2, 0x9b2}, {0x9b6, 0x9b9},
  {0x9bd, 0x9bd}, {0x9ce, 0x9ce}, {0x9dc, 0x9dd}, {0x9df, 0x9e1}, {0x9f0, 0x9f1}, {0x9fc, 0x9fc}, {0xa05, 0xa0a}, {0xa0f, 0xa10},
  {0xa13, 0xa28}, {0xa2a, 0xa30}, {0xa32, 0xa33}, {0xa35, 0xa36}, {0xa38, 0xa39}, {0xa59, 0xa5c}, {0xa5e, 0xa5e}, {0xa72, 0xa74},
  {0xa85, 0xa8d}, {0xa8f, 0xa91}, {0xa93, 0xaa8}, {0xaaa, 0xab0}, {0xab2, 0xab3}, {0xab5, 0xab9}, {0xabd, 0xabd}, {0xad0, 0xad0},
  {0xae0, 0xae1}, {0xaf9, 0xaf9}, {0xb05, 0xb0c}, {0xb0f, 0xb10}, {0xb13, 0xb28}, {0xb2a, 0xb30}, {0xb32, 0xb33}, {0xb35, 0xb39},
  {0xb3d, 0xb3d}, {0xb5c, 0xb5d}, {0xb5f, 0xb61}, {0xb71, 0xb71}, {0xb83, 0xb83}, {0xb85, 0xb8a}, {0xb8e, 0xb90}, {0xb92, 0xb95},
  {0xb99, 0xb9a}, {0xb9c, 0xb9c}, {0xb9e, 0xb9f}, {0xba3, 0xba4}, {0xba8, 0xbaa}, {0xbae, 0xbb9}, {0xbd0, 0xbd0}, {0xc05, 0xc0c},
  {0xc0e, 0xc10}, {0xc12, 0xc28}, {0xc2a, 0xc39}, {0xc3d, 0xc3d}, {0xc58, 0xc5a}, {0xc5d, 0xc5d}, {0xc60, 0xc61}, {0xc80, 0xc80},
  {0xc85, 0xc8c}, {0xc8e, 0xc90}, {0xc92, 0xca8}, {0xcaa, 0xcb3}, {0xcb5, 0xcb9}, {0xcbd, 0xcbd}, {0xcdd, 0xcde}, {0xce0, 0xce1},
  {0xcf1, 0xcf2}, {0xd04, 0xd0c}, {0xd0e, 0xd10}, {0xd12, 0xd3a}, {0xd3d, 0xd3d}, {0xd4e, 0xd4e}, {0xd54, 0xd56}, {0xd5f, 0xd61},
  {0xd7a, 0xd7f}, {0xd85, 0xd96}, {0xd9a, 0xdb1}, {0xdb3, 0xdbb}, {0xdbd, 0xdbd}, {0xdc0, 0xdc6}, {0xe01, 0xe30}, {0xe32, 0xe32},
  {0xe40, 0xe46}, {0xe81, 0xe82}, {0xe84, 0xe84}, {0xe86, 0xe8a}, {0xe8c, 0xea3}, {0xea5, 0xea5}, {0xea7, 0xeb0}, {0xeb2, 0xeb2},
  {0xebd, 0xebd}, {0xec0, 0xec4}, {0xec6, 0xec6}, {0xedc, 0xedf}, {0xf00, 0xf00}, {0xf40, 0xf47}, {0xf49, 0xf6c}, {0xf88, 0xf8c},
  {0x1000, 0x102a}, {0x103f, 0x103f}, {0x1050, 0x1055}, {0x105a, 0x105d}, {0x1061, 0x1061}, {0x1065, 0x1066}, {0x106e, 0x1070}, {0x1075, 0x1081},
  {0x108e, 0x108e}, {0x10a0, 0x10c5}, {0x10c7, 0x10c7}, {0x10cd, 0x10cd}, {0x10d0, 0x10fa}, {0x10fc, 0x1248}, {0x124a, 0x124d}, {0x1250, 0x1256},
  {0x1258, 0x1258}, {0x125a, 0x125d}, {0x1260, 0x1288}, {0x128a, 0x128d}, {0x1290, 0x12b0}, {0x12b2, 0x12b5}, {0x12b8, 0x12be}, {0x12c0, 0x12c0},
  {0x12c2, 0x12c5}, {0x12c8, 0x12d6}, {0x12d8, 0x1310}, {0x1312, 0x1315}, {0x1318, 0x135a}, {0x1380, 0x138f}, {0x13a0, 0x13f5}, {0x13f8, 0x13fd},
  {0x1401, 0x166c}, {0x166f, 0x167f}, {0x1681, 0x169a}, {0x16a0, 0x16ea}, {0x16ee, 0x16f8}, {0x1700, 0x1711}, {0x171f, 0x1731}, {0x1740, 0x1751},
  {0x1760, 0x176c}, {0x176e, 0x1770}, {0x1780, 0x17b3}, {0x17d7, 0x17d7}, {0x17dc, 0x17dc}, {0x1820, 0x1878}, {0x1880, 0x18a8}, {0x18aa, 0x18aa},
  {0x18b0, 0x18f5}, {0x1900, 0x191e}, {0x1950, 0x196d}, {0x1970, 0x1974}, {0x1980, 0x19ab}, {0x19b0, 0x19c9}, {0x1a00, 0x1a16}, {0x1a20, 0x1a54},
  {0x1aa7, 0x1aa7}, {0x1b05, 0x1b33}, {0x1b45, 0x1b4c}, {0x1b83, 0x1ba0}, {0x1bae, 0x1baf}, {0x1bba, 0x1be5}, {0x1c00, 0x1c23}, {0x1c4d, 0x1c4f},
  {0x1c5a, 0x1c7d}, {0x1c80, 0x1c88}, {0x1c90, 0x1cba}, {0x1cbd, 0x1cbf}, {0x1ce9, 0x1cec}, {0x1cee, 0x1cf3}, {0x1cf5, 0x1cf6}, {0x1cfa, 0x1cfa},
  {0x1d00, 0x1dbf}, {0x1e00, 0x1f15}, {0x1f18, 0x1f1d}, {0x1f20, 0x1f45}, {0x1f48, 0x1f4d}, {0x1f50, 0x1f57}, {0x1f59, 0x1f59}, {0x1f5b, 0x1f5b},
  {0x1f5d, 0x1f5d}, {0x1f5f, 0x1f7d}, {0x1f80, 0x1fb4}, {0x1fb6, 0x1fbc}, {0x1fbe, 0x1fbe}, {0x1fc2, 0x1fc4}, {0x1fc6, 0x1fcc}, {0x1fd0, 0x1fd3},
  {0x1fd6, 0x1fdb}, {0x1fe0, 0x1fec}, {0x1ff2, 0x1ff4}, {0x1ff6, 0x1ffc}, {0x2071, 0x2071}, {0x207f, 0x207f}, {0x2090, 0x209c}, {0x2102, 0x2102},
  {0x2107, 0x2107}, {0x210a, 0x2113}, {0x2115, 0x2115}, {0x2118, 0x211d}, {0x2124, 0x2124}, {0x2126, 0x2126}, {0x2128, 0x2128}, {0x212a, 0x2139},
  {0x213c, 0x213f}, {0x2145, 0x2149}, {0x214e, 0x214e}, {0x2160, 0x2188}, {0x2c00, 0x2ce4}, {0x2ceb, 0x2cee}, {0x2cf2, 0x2cf3}, {0x2d00, 0x2d25},
  {0x2d27, 0x2d27}, {0x2d2d, 0x2d2d}, {0x2d30, 0x2d67}, {0x2d6f, 0x2d6f}, {0x2d80, 0x2d96}, {0x2da0, 0x2da6}, {0x2da8, 0x2dae}, {0x2db0, 0x2db6},
  {0x2db8, 0x2dbe}, {0x2dc0, 0x2dc6}, {0x2dc8, 0x2dce}, {0x2dd0, 0x2dd6}, {0x2dd8, 0x2dde}, {0x3005, 0x3007}, {0x3021, 0x3029}, {0x3031, 0x3035},
  {0x3038, 0x303c}, {0x3041, 0x3096}, {0x309d, 0x309f}, {0x30a1, 0x30fa}, {0x30fc, 0x30ff}, {0x3105, 0x312f}, {0x3131, 0x318e}, {0x31a0, 0x31bf},
  {0x31f0, 0x31ff}, {0x3400, 0x4dbf}, {0x4e00, 0xa48c}, {0xa4d0, 0xa4fd}, {0xa500, 0xa60c}, {0xa610, 0xa61f}, {0xa62a, 0xa62b}, {0xa640, 0xa66e},
  {0xa67f, 0xa69d}, {0xa6a0, 0xa6ef}, {0xa717, 0xa71f}, {0xa722, 0xa788}, {0xa78b, 0xa7ca}, {0xa7d0, 0xa7d1}, {0xa7d3, 0xa7d3}, {0xa7d5, 0xa7d9},
  {0xa7f2, 0xa801}, {0xa803, 0xa805}, {0xa807, 0xa80a}, {0xa80c, 0xa822}, {0xa840, 0xa873}, {0xa882, 0xa8b3}, {0xa8f2, 0xa8f7}, {0xa8fb, 0xa8fb},
  {0xa8fd, 0xa8fe}, {0xa90a, 0xa925}, {0xa930, 0xa946}, {0xa960, 0xa97c}, {0xa984, 0xa9b2}, {0xa9cf, 0xa9cf}, {0xa9e0, 0xa9e4}, {0xa9e6, 0xa9ef},
  {0xa9fa, 0xa9fe}, {0xaa00, 0xaa28}, {0xaa40, 0xaa42}, {0xaa44, 0xaa4b}, {0xaa60, 0xaa76}, {0xaa7a, 0xaa7a}, {0xaa7e, 0xaaaf}, {0xaab1, 0xaab1},
  {0xaab5, 0xaab6}, {0xaab9, 0xaabd}, {0xaac0, 0xaac0}, {0xaac2, 0xaac2}, {0xaadb, 0xaadd}, {0xaae0, 0xaaea}, {0xaaf2, 0xaaf4}, {0xab01, 0xab06},
  {0xab09, 0xab0e}, {0xab11, 0xab16}, {0xab20, 0xab26}, {0xab28, 0xab2e}, {0xab30, 0xab5a}, {0xab5c, 0xab69}, {0xab70, 0xabe2}, {0xac00, 0xd7a3},
  {0xd7b0, 0xd7c6}, {0xd7cb, 0xd7fb}, {0xf900, 0xfa6d}, {0xfa70, 0xfad9}, {0xfb00, 0xfb06}, {0xfb13, 0xfb17}, {0xfb1d, 0xfb1d}, {0xfb1f, 0xfb28},
  {0xfb2a, 0xfb36}, {0xfb38, 0xfb3c}, {0xfb3e, 0xfb3e}, {0xfb40, 0xfb41}, {0xfb43, 0xfb44}, {0xfb46, 0xfbb1}, {0xfbd3, 0xfc5d}, {0xfc64, 0xfd3d},
  {0xfd50, 0xfd8f}, {0xfd92, 0xfdc7}, {0xfdf0, 0xfdf9}, {0xfe71, 0xfe71}, {0xfe73, 0xfe73}, {0xfe77, 0xfe77}, {0xfe79, 0xfe79}, {0xfe7b, 0xfe7b},
  {0xfe7d, 0xfe7d}, {0xfe7f, 0xfefc}, {0xff21, 0xff3a}, {0xff41, 0xff5a}, {0xff66, 0xff9d}, {0xffa0, 0xffbe}, {0xffc2, 0xffc7}, {0xffca, 0xffcf},
  {0xffd2, 0xffd7}, {0xffda, 0xffdc}, {0x10000, 0x1000b}, {0x1000d, 0x10026}, {0x10028, 0x1003a}, {0x1003c, 0x1003d}, {0x1003f, 0x1004d}, {0x10050, 0x1005d},
  {0x10080, 0x100fa}, {0x10140, 0x10174}, {0x10280, 0x1029c}, {0x102a0, 0x102d0}, {0x10300, 0x1031f}, {0x1032d, 0x1034a}, {0x10350, 0x10375}, {0x10380, 0x1039d},
  {0x103a0, 0x103c3}, {0x103c8, 0x103cf}, {0x103d1, 0x103d5}, {0x10400, 0x1049d}, {0x104b0, 0x104d3}, {0x104d8, 0x104fb}, {0x10500, 0x10527}, {0x10530, 0x10563},
  {0x10570, 0x1057a}, {0x1057c, 0x1058a}, {0x1058c, 0x10592}, {0x10594, 0x10595}, {0x10597, 0x105a1}, {0x105a3, 0x105b1}, {0x105b3, 0x105b9}, {0x105bb, 0x105bc},
  {0x10600, 0x10736}, {0x10740, 0x10755}, {0x10760, 0x10767}, {0x10780, 0x10785}, {0x10787, 0x107b0}, {0x107b2, 0x107ba}, {0x10800, 0x10805}, {0x10808, 0x10808},
  {0x1080a, 0x10835}, {0x10837, 0x10838}, {0x1083c, 0x1083c}, {0x1083f, 0x10855}, {0x10860, 0x10876}, {0x10880, 0x1089e}, {0x108e0, 0x108f2}, {0x108f4, 0x108f5},
  {0x10900, 0x10915}, {0x10920, 0x10939}, {0x10980, 0x109b7}, {0x109be, 0x109bf}, {0x10a00, 0x10a00}, {0x10a10, 0x10a13}, {0x10a15, 0x10a17}, {0x10a19, 0x10a35},
  {0x10a60, 0x10a7c}, {0x10a80, 0x10a9c}, {0x10ac0, 0x10ac7}, {0x10ac9, 0x10ae4}, {0x10b00, 0x10b35}, {0x10b40, 0x10b55}, {0x10b60, 0x10b72}, {0x10b80, 0x10b91},
  {0x10c00, 0x10c48}, {0x10c80, 0x10cb2}, {0x10cc0, 0x10cf2}, {0x10d00, 0x10d23}, {0x10e80, 0x10ea9}, {0x10eb0, 0x10eb1}, {0x10f00, 0x10f1c}, {0x10f27, 0x10f27},
  {0x10f30, 0x10f45}, {0x10f70, 0x10f81}, {0x10fb0, 0x10fc4}, {0x10fe0, 0x10ff6}, {0x11003, 0x11037}, {0x11071, 0x11072}, {0x11075, 0x11075}, {0x11083, 0x110af},
  {0x110d0, 0x110e8}, {0x11103, 0x11126}, {0x11144, 0x11144}, {0x11147, 0x11147}, {0x11150, 0x11172}, {0x11176, 0x11176}, {0x11183, 0x111b2}, {0x111c1, 0x111c4},
  {0x111da, 0x111da}, {0x111dc, 0x111dc}, {0x11200, 0x11211}, {0x11213, 0x1122b}, {0x1123f, 0x11240}, {0x11280, 0x11286}, {0x11288, 0x11288}, {0x1128a, 0x1128d},
  {0x1128f, 0x1129d}, {0x1129f, 0x112a8}, {0x112b0, 0x112de}, {0x11305, 0x1130c}, {0x1130f, 0x11310}, {0x11313, 0x11328}, {0x1132a, 0x11330}, {0x11332, 0x11333},
  {0x11335, 0x11339}, {0x1133d, 0x1133d}, {0x11350, 0x11350}, {0x1135d, 0x11361}, {0x11400, 0x11434}, {0x11447, 0x1144a}, {0x1145f, 0x11461}, {0x11480, 0x114af},
  {0x114c4, 0x114c5}, {0x114c7, 0x114c7}, {0x11580, 0x115ae}, {0x115d8, 0x115db}, {0x11600, 0x1162f}, {0x11644, 0x11644}, {0x11680, 0x116aa}, {0x116b8, 0x116b8},
  {0x11700, 0x1171a}, {0x11740, 0x11746}, {0x11800, 0x1182b}, {0x118a0, 0x118df}, {0x118ff, 0x11906}, {0x11909, 0x11909}, {0x1190c, 0x11913}, {0x11915, 0x11916},
  {0x11918, 0x1192f}, {0x1193f, 0x1193f}, {0x11941, 0x11941}, {0x119a0, 0x119a7}, {0x119aa, 0x119d0}, {0x119e1, 0x119e1}, {0x119e3, 0x119e3}, {0x11a00, 0x11a00},
  {0x11a0b, 0x11a32}, {0x11a3a, 0x11a3a}, {0x11a50, 0x11a50}, {0x11a5c, 0x11a89}, {0x11a9d, 0x11a9d}, {0x11ab0, 0x11af8}, {0x11c00, 0x11c08}, {0x11c0a, 0x11c2e},
  {0x11c40, 0x11c40}, {0x11c72, 0x11c8f}, {0x11d00, 0x11d06}, {0x11d08, 0x11d09}, {0x11d0b, 0x11d30}, {0x11d46, 0x11d46}, {0x11d60, 0x11d65}, {0x11d67, 0x11d68},
  {0x11d6a, 0x11d89}, {0x11d98, 0x11d98}, {0x11ee0, 0x11ef2}, {0x11f02, 0x11f02}, {0x11f04, 0x11f10}, {0x11f12, 0x11f33}, {0x11fb0, 0x11fb0}, {0x12000, 0x12399},
  {0x12400, 0x1246e}, {0x12480, 0x12543}, {0x12f90, 0x12ff0}, {0x13000, 0x1342f}, {0x13441, 0x13446}, {0x14400, 0x14646}, {0x16800, 0x16a38}, {0x16a40, 0x16a5e},
  {0x16a70, 0x16abe}, {0x16ad0, 0x16aed}, {0x16b00, 0x16b2f}, {0x16b40, 0x16b43}, {0x16b63, 0x16b77}, {0x16b7d, 0x16b8f}, {0x16e40, 0x16e7f}, {0x16f00, 0x16f4a},
  {0x16f50, 0x16f50}, {0x16f93, 0x16f9f}, {0x16fe0, 0x16fe1}, {0x16fe3, 0x16fe3}, {0x17000, 0x187f7}, {0x18800, 0x18cd5}, {0x18d00, 0x18d08}, {0x1aff0, 0x1aff3},
  {0x1aff5, 0x1affb}, {0x1affd, 0x1affe}, {0x1b000, 0x1b122}, {0x1b132, 0x1b132}, {0x1b150, 0x1b152}, {0x1b155, 0x1b155}, {0x1b164, 0x1b167}, {0x1b170, 0x1b2fb},
  {0x1bc00, 0x1bc6a}, {0x1bc70, 0x1bc7c}, {0x1bc80, 0x1bc88}, {0x1bc90, 0x1bc99}, {0x1d400, 0x1d454}, {0x1d456, 0x1d49c}, {0x1d49e, 0x1d49f}, {0x1d4a2, 0x1d4a2},
  {0x1d4a5, 0x1d4a6}, {0x1d4a9, 0x1d4ac}, {0x1d4ae, 0x1d4b9}, {0x1d4bb, 0x1d4bb}, {0x1d4bd, 0x1d4c3}, {0x1d4c5, 0x1d505}, {0x1d507, 0x1d50a}, {0x1d50d, 0x1d514},
  {0x1d516, 0x1d51c}, {0x1d51e, 0x1d539}, {0x1d53b, 0x1d53e}, {0x1d540, 0x1d544}, {0x1d546, 0x1d546}, {0x1d54a, 0x1d550}, {0x1d552, 0x1d6a5}, {0x1d6a8, 0x1d6c0},
  {0x1d6c2, 0x1d6da}, {0x1d6dc, 0x1d6fa}, {0x1d6fc, 0x1d714}, {0x1d716, 0x1d734}, {0x1d736, 0x1d74e}, {0x1d750, 0x1d76e}, {0x1d770, 0x1d788}, {0x1d78a, 0x1d7a8},
  {0x1d7aa, 0x1d7c2}, {0x1d7c4, 0x1d7cb}, {0x1df00, 0x1df1e}, {0x1df25, 0x1df2a}, {0x1e030, 0x1e06d}, {0x1e100, 0x1e12c}, {0x1e137, 0x1e13d}, {0x1e14e, 0x1e14e},
  {0x1e290, 0x1e2ad}, {0x1e2c0, 0x1e2eb}, {0x1e4d0, 0x1e4eb}, {0x1e7e0, 0x1e7e6}, {0x1e7e8, 0x1e7eb}, {0x1e7ed, 0x1e7ee}, {0x1e7f0, 0x1e7fe}, {0x1e800, 0x1e8c4},
  {0x1e900, 0x1e943}, {0x1e94b, 0x1e94b}, {0x1ee00, 0x1ee03}, {0x1ee05, 0x1ee1f}, {0x1ee21, 0x1ee22}, {0x1ee24, 0x1ee24}, {0x1ee27, 0x1ee27}, {0x1ee29, 0x1ee32},
  {0x1ee34, 0x1ee37}, {0x1ee39, 0x1ee39}, {0x1ee3b, 0x1ee3b}, {0x1ee42, 0x1ee42}, {0x1ee47, 0x1ee47}, {0x1ee49, 0x1ee49}, {0x1ee4b, 0x1ee4b}, {0x1ee4d, 0x1ee4f},
  {0x1ee51, 0x1ee52}, {0x1ee54, 0x1ee54}, {0x1ee57, 0x1ee57}, {0x1ee59, 0x1ee59}, {0x1ee5b, 0x1ee5b}, {0x1ee5d, 0x1ee5d}, {0x1ee5f, 0x1ee5f}, {0x1ee61, 0x1ee62},
  {0x1ee64, 0x1ee64}, {0x1ee67, 0x1ee6a}, {0x1ee6c, 0x1ee72}, {0x1ee74, 0x1ee77}, {0x1ee79, 0x1ee7c}, {0x1ee7e, 0x1ee7e}, {0x1ee80, 0x1ee89}, {0x1ee8b, 0x1ee9b},
  {0x1eea1, 0x1eea3}, {0x1eea5, 0x1eea9}, {0x1eeab, 0x1eebb}, {0x20000, 0x2a6df}, {0x2a700, 0x2b739}, {0x2b740, 0x2b81d}, {0x2b820, 0x2cea1}, {0x2ceb0, 0x2ebe0},
  {0x2ebf0, 0x2ee5d}, {0x2f800, 0x2fa1d}, {0x30000, 0x3134a}, {0x31350, 0x323af},
};

static TSCharacterRange sym_identifier_character_set_2[] = {
  {'0', '9'}, {'A', 'Z'}, {'_', '_'}, {'a', 'z'}, {0xaa, 0xaa}, {0xb5, 0xb5}, {0xb7, 0xb7}, {0xba, 0xba},
  {0xc0, 0xd6}, {0xd8, 0xf6}, {0xf8, 0x2c1}, {0x2c6, 0x2d1}, {0x2e0, 0x2e4}, {0x2ec, 0x2ec}, {0x2ee, 0x2ee}, {0x300, 0x374},
  {0x376, 0x377}, {0x37b, 0x37d}, {0x37f, 0x37f}, {0x386, 0x38a}, {0x38c, 0x38c}, {0x38e, 0x3a1}, {0x3a3, 0x3f5}, {0x3f7, 0x481},
  {0x483, 0x487}, {0x48a, 0x52f}, {0x531, 0x556}, {0x559, 0x559}, {0x560, 0x588}, {0x591, 0x5bd}, {0x5bf, 0x5bf}, {0x5c1, 0x5c2},
  {0x5c4, 0x5c5}, {0x5c7, 0x5c7}, {0x5d0, 0x5ea}, {0x5ef, 0x5f2}, {0x610, 0x61a}, {0x620, 0x669}, {0x66e, 0x6d3}, {0x6d5, 0x6dc},
  {0x6df, 0x6e8}, {0x6ea, 0x6fc}, {0x6ff, 0x6ff}, {0x710, 0x74a}, {0x74d, 0x7b1}, {0x7c0, 0x7f5}, {0x7fa, 0x7fa}, {0x7fd, 0x7fd},
  {0x800, 0x82d}, {0x840, 0x85b}, {0x860, 0x86a}, {0x870, 0x887}, {0x889, 0x88e}, {0x898, 0x8e1}, {0x8e3, 0x963}, {0x966, 0x96f},
  {0x971, 0x983}, {0x985, 0x98c}, {0x98f, 0x990}, {0x993, 0x9a8}, {0x9aa, 0x9b0}, {0x9b2, 0x9b2}, {0x9b6, 0x9b9}, {0x9bc, 0x9c4},
  {0x9c7, 0x9c8}, {0x9cb, 0x9ce}, {0x9d7, 0x9d7}, {0x9dc, 0x9dd}, {0x9df, 0x9e3}, {0x9e6, 0x9f1}, {0x9fc, 0x9fc}, {0x9fe, 0x9fe},
  {0xa01, 0xa03}, {0xa05, 0xa0a}, {0xa0f, 0xa10}, {0xa13, 0xa28}, {0xa2a, 0xa30}, {0xa32, 0xa33}, {0xa35, 0xa36}, {0xa38, 0xa39},
  {0xa3c, 0xa3c}, {0xa3e, 0xa42}, {0xa47, 0xa48}, {0xa4b, 0xa4d}, {0xa51, 0xa51}, {0xa59, 0xa5c}, {0xa5e, 0xa5e}, {0xa66, 0xa75},
  {0xa81, 0xa83}, {0xa85, 0xa8d}, {0xa8f, 0xa91}, {0xa93, 0xaa8}, {0xaaa, 0xab0}, {0xab2, 0xab3}, {0xab5, 0xab9}, {0xabc, 0xac5},
  {0xac7, 0xac9}, {0xacb, 0xacd}, {0xad0, 0xad0}, {0xae0, 0xae3}, {0xae6, 0xaef}, {0xaf9, 0xaff}, {0xb01, 0xb03}, {0xb05, 0xb0c},
  {0xb0f, 0xb10}, {0xb13, 0xb28}, {0xb2a, 0xb30}, {0xb32, 0xb33}, {0xb35, 0xb39}, {0xb3c, 0xb44}, {0xb47, 0xb48}, {0xb4b, 0xb4d},
  {0xb55, 0xb57}, {0xb5c, 0xb5d}, {0xb5f, 0xb63}, {0xb66, 0xb6f}, {0xb71, 0xb71}, {0xb82, 0xb83}, {0xb85, 0xb8a}, {0xb8e, 0xb90},
  {0xb92, 0xb95}, {0xb99, 0xb9a}, {0xb9c, 0xb9c}, {0xb9e, 0xb9f}, {0xba3, 0xba4}, {0xba8, 0xbaa}, {0xbae, 0xbb9}, {0xbbe, 0xbc2},
  {0xbc6, 0xbc8}, {0xbca, 0xbcd}, {0xbd0, 0xbd0}, {0xbd7, 0xbd7}, {0xbe6, 0xbef}, {0xc00, 0xc0c}, {0xc0e, 0xc10}, {0xc12, 0xc28},
  {0xc2a, 0xc39}, {0xc3c, 0xc44}, {0xc46, 0xc48}, {0xc4a, 0xc4d}, {0xc55, 0xc56}, {0xc58, 0xc5a}, {0xc5d, 0xc5d}, {0xc60, 0xc63},
  {0xc66, 0xc6f}, {0xc80, 0xc83}, {0xc85, 0xc8c}, {0xc8e, 0xc90}, {0xc92, 0xca8}, {0xcaa, 0xcb3}, {0xcb5, 0xcb9}, {0xcbc, 0xcc4},
  {0xcc6, 0xcc8}, {0xcca, 0xccd}, {0xcd5, 0xcd6}, {0xcdd, 0xcde}, {0xce0, 0xce3}, {0xce6, 0xcef}, {0xcf1, 0xcf3}, {0xd00, 0xd0c},
  {0xd0e, 0xd10}, {0xd12, 0xd44}, {0xd46, 0xd48}, {0xd4a, 0xd4e}, {0xd54, 0xd57}, {0xd5f, 0xd63}, {0xd66, 0xd6f}, {0xd7a, 0xd7f},
  {0xd81, 0xd83}, {0xd85, 0xd96}, {0xd9a, 0xdb1}, {0xdb3, 0xdbb}, {0xdbd, 0xdbd}, {0xdc0, 0xdc6}, {0xdca, 0xdca}, {0xdcf, 0xdd4},
  {0xdd6, 0xdd6}, {0xdd8, 0xddf}, {0xde6, 0xdef}, {0xdf2, 0xdf3}, {0xe01, 0xe3a}, {0xe40, 0xe4e}, {0xe50, 0xe59}, {0xe81, 0xe82},
  {0xe84, 0xe84}, {0xe86, 0xe8a}, {0xe8c, 0xea3}, {0xea5, 0xea5}, {0xea7, 0xebd}, {0xec0, 0xec4}, {0xec6, 0xec6}, {0xec8, 0xece},
  {0xed0, 0xed9}, {0xedc, 0xedf}, {0xf00, 0xf00}, {0xf18, 0xf19}, {0xf20, 0xf29}, {0xf35, 0xf35}, {0xf37, 0xf37}, {0xf39, 0xf39},
  {0xf3e, 0xf47}, {0xf49, 0xf6c}, {0xf71, 0xf84}, {0xf86, 0xf97}, {0xf99, 0xfbc}, {0xfc6, 0xfc6}, {0x1000, 0x1049}, {0x1050, 0x109d},
  {0x10a0, 0x10c5}, {0x10c7, 0x10c7}, {0x10cd, 0x10cd}, {0x10d0, 0x10fa}, {0x10fc, 0x1248}, {0x124a, 0x124d}, {0x1250, 0x1256}, {0x1258, 0x1258},
  {0x125a, 0x125d}, {0x1260, 0x1288}, {0x128a, 0x128d}, {0x1290, 0x12b0}, {0x12b2, 0x12b5}, {0x12b8, 0x12be}, {0x12c0, 0x12c0}, {0x12c2, 0x12c5},
  {0x12c8, 0x12d6}, {0x12d8, 0x1310}, {0x1312, 0x1315}, {0x1318, 0x135a}, {0x135d, 0x135f}, {0x1369, 0x1371}, {0x1380, 0x138f}, {0x13a0, 0x13f5},
  {0x13f8, 0x13fd}, {0x1401, 0x166c}, {0x166f, 0x167f}, {0x1681, 0x169a}, {0x16a0, 0x16ea}, {0x16ee, 0x16f8}, {0x1700, 0x1715}, {0x171f, 0x1734},
  {0x1740, 0x1753}, {0x1760, 0x176c}, {0x176e, 0x1770}, {0x1772, 0x1773}, {0x1780, 0x17d3}, {0x17d7, 0x17d7}, {0x17dc, 0x17dd}, {0x17e0, 0x17e9},
  {0x180b, 0x180d}, {0x180f, 0x1819}, {0x1820, 0x1878}, {0x1880, 0x18aa}, {0x18b0, 0x18f5}, {0x1900, 0x191e}, {0x1920, 0x192b}, {0x1930, 0x193b},
  {0x1946, 0x196d}, {0x1970, 0x1974}, {0x1980, 0x19ab}, {0x19b0, 0x19c9}, {0x19d0, 0x19da}, {0x1a00, 0x1a1b}, {0x1a20, 0x1a5e}, {0x1a60, 0x1a7c},
  {0x1a7f, 0x1a89}, {0x1a90, 0x1a99}, {0x1aa7, 0x1aa7}, {0x1ab0, 0x1abd}, {0x1abf, 0x1ace}, {0x1b00, 0x1b4c}, {0x1b50, 0x1b59}, {0x1b6b, 0x1b73},
  {0x1b80, 0x1bf3}, {0x1c00, 0x1c37}, {0x1c40, 0x1c49}, {0x1c4d, 0x1c7d}, {0x1c80, 0x1c88}, {0x1c90, 0x1cba}, {0x1cbd, 0x1cbf}, {0x1cd0, 0x1cd2},
  {0x1cd4, 0x1cfa}, {0x1d00, 0x1f15}, {0x1f18, 0x1f1d}, {0x1f20, 0x1f45}, {0x1f48, 0x1f4d}, {0x1f50, 0x1f57}, {0x1f59, 0x1f59}, {0x1f5b, 0x1f5b},
  {0x1f5d, 0x1f5d}, {0x1f5f, 0x1f7d}, {0x1f80, 0x1fb4}, {0x1fb6, 0x1fbc}, {0x1fbe, 0x1fbe}, {0x1fc2, 0x1fc4}, {0x1fc6, 0x1fcc}, {0x1fd0, 0x1fd3},
  {0x1fd6, 0x1fdb}, {0x1fe0, 0x1fec}, {0x1ff2, 0x1ff4}, {0x1ff6, 0x1ffc}, {0x200c, 0x200d}, {0x203f, 0x2040}, {0x2054, 0x2054}, {0x2071, 0x2071},
  {0x207f, 0x207f}, {0x2090, 0x209c}, {0x20d0, 0x20dc}, {0x20e1, 0x20e1}, {0x20e5, 0x20f0}, {0x2102, 0x2102}, {0x2107, 0x2107}, {0x210a, 0x2113},
  {0x2115, 0x2115}, {0x2118, 0x211d}, {0x2124, 0x2124}, {0x2126, 0x2126}, {0x2128, 0x2128}, {0x212a, 0x2139}, {0x213c, 0x213f}, {0x2145, 0x2149},
  {0x214e, 0x214e}, {0x2160, 0x2188}, {0x2c00, 0x2ce4}, {0x2ceb, 0x2cf3}, {0x2d00, 0x2d25}, {0x2d27, 0x2d27}, {0x2d2d, 0x2d2d}, {0x2d30, 0x2d67},
  {0x2d6f, 0x2d6f}, {0x2d7f, 0x2d96}, {0x2da0, 0x2da6}, {0x2da8, 0x2dae}, {0x2db0, 0x2db6}, {0x2db8, 0x2dbe}, {0x2dc0, 0x2dc6}, {0x2dc8, 0x2dce},
  {0x2dd0, 0x2dd6}, {0x2dd8, 0x2dde}, {0x2de0, 0x2dff}, {0x3005, 0x3007}, {0x3021, 0x302f}, {0x3031, 0x3035}, {0x3038, 0x303c}, {0x3041, 0x3096},
  {0x3099, 0x309a}, {0x309d, 0x309f}, {0x30a1, 0x30ff}, {0x3105, 0x312f}, {0x3131, 0x318e}, {0x31a0, 0x31bf}, {0x31f0, 0x31ff}, {0x3400, 0x4dbf},
  {0x4e00, 0xa48c}, {0xa4d0, 0xa4fd}, {0xa500, 0xa60c}, {0xa610, 0xa62b}, {0xa640, 0xa66f}, {0xa674, 0xa67d}, {0xa67f, 0xa6f1}, {0xa717, 0xa71f},
  {0xa722, 0xa788}, {0xa78b, 0xa7ca}, {0xa7d0, 0xa7d1}, {0xa7d3, 0xa7d3}, {0xa7d5, 0xa7d9}, {0xa7f2, 0xa827}, {0xa82c, 0xa82c}, {0xa840, 0xa873},
  {0xa880, 0xa8c5}, {0xa8d0, 0xa8d9}, {0xa8e0, 0xa8f7}, {0xa8fb, 0xa8fb}, {0xa8fd, 0xa92d}, {0xa930, 0xa953}, {0xa960, 0xa97c}, {0xa980, 0xa9c0},
  {0xa9cf, 0xa9d9}, {0xa9e0, 0xa9fe}, {0xaa00, 0xaa36}, {0xaa40, 0xaa4d}, {0xaa50, 0xaa59}, {0xaa60, 0xaa76}, {0xaa7a, 0xaac2}, {0xaadb, 0xaadd},
  {0xaae0, 0xaaef}, {0xaaf2, 0xaaf6}, {0xab01, 0xab06}, {0xab09, 0xab0e}, {0xab11, 0xab16}, {0xab20, 0xab26}, {0xab28, 0xab2e}, {0xab30, 0xab5a},
  {0xab5c, 0xab69}, {0xab70, 0xabea}, {0xabec, 0xabed}, {0xabf0, 0xabf9}, {0xac00, 0xd7a3}, {0xd7b0, 0xd7c6}, {0xd7cb, 0xd7fb}, {0xf900, 0xfa6d},
  {0xfa70, 0xfad9}, {0xfb00, 0xfb06}, {0xfb13, 0xfb17}, {0xfb1d, 0xfb28}, {0xfb2a, 0xfb36}, {0xfb38, 0xfb3c}, {0xfb3e, 0xfb3e}, {0xfb40, 0xfb41},
  {0xfb43, 0xfb44}, {0xfb46, 0xfbb1}, {0xfbd3, 0xfc5d}, {0xfc64, 0xfd3d}, {0xfd50, 0xfd8f}, {0xfd92, 0xfdc7}, {0xfdf0, 0xfdf9}, {0xfe00, 0xfe0f},
  {0xfe20, 0xfe2f}, {0xfe33, 0xfe34}, {0xfe4d, 0xfe4f}, {0xfe71, 0xfe71}, {0xfe73, 0xfe73}, {0xfe77, 0xfe77}, {0xfe79, 0xfe79}, {0xfe7b, 0xfe7b},
  {0xfe7d, 0xfe7d}, {0xfe7f, 0xfefc}, {0xff10, 0xff19}, {0xff21, 0xff3a}, {0xff3f, 0xff3f}, {0xff41, 0xff5a}, {0xff65, 0xffbe}, {0xffc2, 0xffc7},
  {0xffca, 0xffcf}, {0xffd2, 0xffd7}, {0xffda, 0xffdc}, {0x10000, 0x1000b}, {0x1000d, 0x10026}, {0x10028, 0x1003a}, {0x1003c, 0x1003d}, {0x1003f, 0x1004d},
  {0x10050, 0x1005d}, {0x10080, 0x100fa}, {0x10140, 0x10174}, {0x101fd, 0x101fd}, {0x10280, 0x1029c}, {0x102a0, 0x102d0}, {0x102e0, 0x102e0}, {0x10300, 0x1031f},
  {0x1032d, 0x1034a}, {0x10350, 0x1037a}, {0x10380, 0x1039d}, {0x103a0, 0x103c3}, {0x103c8, 0x103cf}, {0x103d1, 0x103d5}, {0x10400, 0x1049d}, {0x104a0, 0x104a9},
  {0x104b0, 0x104d3}, {0x104d8, 0x104fb}, {0x10500, 0x10527}, {0x10530, 0x10563}, {0x10570, 0x1057a}, {0x1057c, 0x1058a}, {0x1058c, 0x10592}, {0x10594, 0x10595},
  {0x10597, 0x105a1}, {0x105a3, 0x105b1}, {0x105b3, 0x105b9}, {0x105bb, 0x105bc}, {0x10600, 0x10736}, {0x10740, 0x10755}, {0x10760, 0x10767}, {0x10780, 0x10785},
  {0x10787, 0x107b0}, {0x107b2, 0x107ba}, {0x10800, 0x10805}, {0x10808, 0x10808}, {0x1080a, 0x10835}, {0x10837, 0x10838}, {0x1083c, 0x1083c}, {0x1083f, 0x10855},
  {0x10860, 0x10876}, {0x10880, 0x1089e}, {0x108e0, 0x108f2}, {0x108f4, 0x108f5}, {0x10900, 0x10915}, {0x10920, 0x10939}, {0x10980, 0x109b7}, {0x109be, 0x109bf},
  {0x10a00, 0x10a03}, {0x10a05, 0x10a06}, {0x10a0c, 0x10a13}, {0x10a15, 0x10a17}, {0x10a19, 0x10a35}, {0x10a38, 0x10a3a}, {0x10a3f, 0x10a3f}, {0x10a60, 0x10a7c},
  {0x10a80, 0x10a9c}, {0x10ac0, 0x10ac7}, {0x10ac9, 0x10ae6}, {0x10b00, 0x10b35}, {0x10b40, 0x10b55}, {0x10b60, 0x10b72}, {0x10b80, 0x10b91}, {0x10c00, 0x10c48},
  {0x10c80, 0x10cb2}, {0x10cc0, 0x10cf2}, {0x10d00, 0x10d27}, {0x10d30, 0x10d39}, {0x10e80, 0x10ea9}, {0x10eab, 0x10eac}, {0x10eb0, 0x10eb1}, {0x10efd, 0x10f1c},
  {0x10f27, 0x10f27}, {0x10f30, 0x10f50}, {0x10f70, 0x10f85}, {0x10fb0, 0x10fc4}, {0x10fe0, 0x10ff6}, {0x11000, 0x11046}, {0x11066, 0x11075}, {0x1107f, 0x110ba},
  {0x110c2, 0x110c2}, {0x110d0, 0x110e8}, {0x110f0, 0x110f9}, {0x11100, 0x11134}, {0x11136, 0x1113f}, {0x11144, 0x11147}, {0x11150, 0x11173}, {0x11176, 0x11176},
  {0x11180, 0x111c4}, {0x111c9, 0x111cc}, {0x111ce, 0x111da}, {0x111dc, 0x111dc}, {0x11200, 0x11211}, {0x11213, 0x11237}, {0x1123e, 0x11241}, {0x11280, 0x11286},
  {0x11288, 0x11288}, {0x1128a, 0x1128d}, {0x1128f, 0x1129d}, {0x1129f, 0x112a8}, {0x112b0, 0x112ea}, {0x112f0, 0x112f9}, {0x11300, 0x11303}, {0x11305, 0x1130c},
  {0x1130f, 0x11310}, {0x11313, 0x11328}, {0x1132a, 0x11330}, {0x11332, 0x11333}, {0x11335, 0x11339}, {0x1133b, 0x11344}, {0x11347, 0x11348}, {0x1134b, 0x1134d},
  {0x11350, 0x11350}, {0x11357, 0x11357}, {0x1135d, 0x11363}, {0x11366, 0x1136c}, {0x11370, 0x11374}, {0x11400, 0x1144a}, {0x11450, 0x11459}, {0x1145e, 0x11461},
  {0x11480, 0x114c5}, {0x114c7, 0x114c7}, {0x114d0, 0x114d9}, {0x11580, 0x115b5}, {0x115b8, 0x115c0}, {0x115d8, 0x115dd}, {0x11600, 0x11640}, {0x11644, 0x11644},
  {0x11650, 0x11659}, {0x11680, 0x116b8}, {0x116c0, 0x116c9}, {0x11700, 0x1171a}, {0x1171d, 0x1172b}, {0x11730, 0x11739}, {0x11740, 0x11746}, {0x11800, 0x1183a},
  {0x118a0, 0x118e9}, {0x118ff, 0x11906}, {0x11909, 0x11909}, {0x1190c, 0x11913}, {0x11915, 0x11916}, {0x11918, 0x11935}, {0x11937, 0x11938}, {0x1193b, 0x11943},
  {0x11950, 0x11959}, {0x119a0, 0x119a7}, {0x119aa, 0x119d7}, {0x119da, 0x119e1}, {0x119e3, 0x119e4}, {0x11a00, 0x11a3e}, {0x11a47, 0x11a47}, {0x11a50, 0x11a99},
  {0x11a9d, 0x11a9d}, {0x11ab0, 0x11af8}, {0x11c00, 0x11c08}, {0x11c0a, 0x11c36}, {0x11c38, 0x11c40}, {0x11c50, 0x11c59}, {0x11c72, 0x11c8f}, {0x11c92, 0x11ca7},
  {0x11ca9, 0x11cb6}, {0x11d00, 0x11d06}, {0x11d08, 0x11d09}, {0x11d0b, 0x11d36}, {0x11d3a, 0x11d3a}, {0x11d3c, 0x11d3d}, {0x11d3f, 0x11d47}, {0x11d50, 0x11d59},
  {0x11d60, 0x11d65}, {0x11d67, 0x11d68}, {0x11d6a, 0x11d8e}, {0x11d90, 0x11d91}, {0x11d93, 0x11d98}, {0x11da0, 0x11da9}, {0x11ee0, 0x11ef6}, {0x11f00, 0x11f10},
  {0x11f12, 0x11f3a}, {0x11f3e, 0x11f42}, {0x11f50, 0x11f59}, {0x11fb0, 0x11fb0}, {0x12000, 0x12399}, {0x12400, 0x1246e}, {0x12480, 0x12543}, {0x12f90, 0x12ff0},
  {0x13000, 0x1342f}, {0x13440, 0x13455}, {0x14400, 0x14646}, {0x16800, 0x16a38}, {0x16a40, 0x16a5e}, {0x16a60, 0x16a69}, {0x16a70, 0x16abe}, {0x16ac0, 0x16ac9},
  {0x16ad0, 0x16aed}, {0x16af0, 0x16af4}, {0x16b00, 0x16b36}, {0x16b40, 0x16b43}, {0x16b50, 0x16b59}, {0x16b63, 0x16b77}, {0x16b7d, 0x16b8f}, {0x16e40, 0x16e7f},
  {0x16f00, 0x16f4a}, {0x16f4f, 0x16f87}, {0x16f8f, 0x16f9f}, {0x16fe0, 0x16fe1}, {0x16fe3, 0x16fe4}, {0x16ff0, 0x16ff1}, {0x17000, 0x187f7}, {0x18800, 0x18cd5},
  {0x18d00, 0x18d08}, {0x1aff0, 0x1aff3}, {0x1aff5, 0x1affb}, {0x1affd, 0x1affe}, {0x1b000, 0x1b122}, {0x1b132, 0x1b132}, {0x1b150, 0x1b152}, {0x1b155, 0x1b155},
  {0x1b164, 0x1b167}, {0x1b170, 0x1b2fb}, {0x1bc00, 0x1bc6a}, {0x1bc70, 0x1bc7c}, {0x1bc80, 0x1bc88}, {0x1bc90, 0x1bc99}, {0x1bc9d, 0x1bc9e}, {0x1cf00, 0x1cf2d},
  {0x1cf30, 0x1cf46}, {0x1d165, 0x1d169}, {0x1d16d, 0x1d172}, {0x1d17b, 0x1d182}, {0x1d185, 0x1d18b}, {0x1d1aa, 0x1d1ad}, {0x1d242, 0x1d244}, {0x1d400, 0x1d454},
  {0x1d456, 0x1d49c}, {0x1d49e, 0x1d49f}, {0x1d4a2, 0x1d4a2}, {0x1d4a5, 0x1d4a6}, {0x1d4a9, 0x1d4ac}, {0x1d4ae, 0x1d4b9}, {0x1d4bb, 0x1d4bb}, {0x1d4bd, 0x1d4c3},
  {0x1d4c5, 0x1d505}, {0x1d507, 0x1d50a}, {0x1d50d, 0x1d514}, {0x1d516, 0x1d51c}, {0x1d51e, 0x1d539}, {0x1d53b, 0x1d53e}, {0x1d540, 0x1d544}, {0x1d546, 0x1d546},
  {0x1d54a, 0x1d550}, {0x1d552, 0x1d6a5}, {0x1d6a8, 0x1d6c0}, {0x1d6c2, 0x1d6da}, {0x1d6dc, 0x1d6fa}, {0x1d6fc, 0x1d714}, {0x1d716, 0x1d734}, {0x1d736, 0x1d74e},
  {0x1d750, 0x1d76e}, {0x1d770, 0x1d788}, {0x1d78a, 0x1d7a8}, {0x1d7aa, 0x1d7c2}, {0x1d7c4, 0x1d7cb}, {0x1d7ce, 0x1d7ff}, {0x1da00, 0x1da36}, {0x1da3b, 0x1da6c},
  {0x1da75, 0x1da75}, {0x1da84, 0x1da84}, {0x1da9b, 0x1da9f}, {0x1daa1, 0x1daaf}, {0x1df00, 0x1df1e}, {0x1df25, 0x1df2a}, {0x1e000, 0x1e006}, {0x1e008, 0x1e018},
  {0x1e01b, 0x1e021}, {0x1e023, 0x1e024}, {0x1e026, 0x1e02a}, {0x1e030, 0x1e06d}, {0x1e08f, 0x1e08f}, {0x1e100, 0x1e12c}, {0x1e130, 0x1e13d}, {0x1e140, 0x1e149},
  {0x1e14e, 0x1e14e}, {0x1e290, 0x1e2ae}, {0x1e2c0, 0x1e2f9}, {0x1e4d0, 0x1e4f9}, {0x1e7e0, 0x1e7e6}, {0x1e7e8, 0x1e7eb}, {0x1e7ed, 0x1e7ee}, {0x1e7f0, 0x1e7fe},
  {0x1e800, 0x1e8c4}, {0x1e8d0, 0x1e8d6}, {0x1e900, 0x1e94b}, {0x1e950, 0x1e959}, {0x1ee00, 0x1ee03}, {0x1ee05, 0x1ee1f}, {0x1ee21, 0x1ee22}, {0x1ee24, 0x1ee24},
  {0x1ee27, 0x1ee27}, {0x1ee29, 0x1ee32}, {0x1ee34, 0x1ee37}, {0x1ee39, 0x1ee39}, {0x1ee3b, 0x1ee3b}, {0x1ee42, 0x1ee42}, {0x1ee47, 0x1ee47}, {0x1ee49, 0x1ee49},
  {0x1ee4b, 0x1ee4b}, {0x1ee4d, 0x1ee4f}, {0x1ee51, 0x1ee52}, {0x1ee54, 0x1ee54}, {0x1ee57, 0x1ee57}, {0x1ee59, 0x1ee59}, {0x1ee5b, 0x1ee5b}, {0x1ee5d, 0x1ee5d},
  {0x1ee5f, 0x1ee5f}, {0x1ee61, 0x1ee62}, {0x1ee64, 0x1ee64}, {0x1ee67, 0x1ee6a}, {0x1ee6c, 0x1ee72}, {0x1ee74, 0x1ee77}, {0x1ee79, 0x1ee7c}, {0x1ee7e, 0x1ee7e},
  {0x1ee80, 0x1ee89}, {0x1ee8b, 0x1ee9b}, {0x1eea1, 0x1eea3}, {0x1eea5, 0x1eea9}, {0x1eeab, 0x1eebb}, {0x1fbf0, 0x1fbf9}, {0x20000, 0x2a6df}, {0x2a700, 0x2b739},
  {0x2b740, 0x2b81d}, {0x2b820, 0x2cea1}, {0x2ceb0, 0x2ebe0}, {0x2ebf0, 0x2ee5d}, {0x2f800, 0x2fa1d}, {0x30000, 0x3134a}, {0x31350, 0x323af}, {0xe0100, 0xe01ef},
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(95);
      ADVANCE_MAP(
        '!', 148,
        '"', 205,
        '#', 61,
        '$', 120,
        '%', 178,
        '&', 150,
        '\'', 207,
        '(', 118,
        ')', 119,
        '*', 174,
        '+', 137,
        ',', 98,
        '-', 138,
        '.', 197,
        '/', 176,
        '0', 200,
        ':', 116,
        ';', 134,
        '<', 160,
        '=', 112,
        '>', 156,
        '?', 135,
        '@', 117,
        '[', 185,
        '\\', 32,
        ']', 186,
        '^', 194,
        '`', 206,
        '{', 96,
        '|', 165,
        '}', 97,
        '~', 146,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(82);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(203);
      if (set_contains(sym_identifier_character_set_1, 668, lookahead)) ADVANCE(229);
      END_STATE();
    case 1:
      ADVANCE_MAP(
        '!', 148,
        '"', 205,
        '#', 81,
        '%', 178,
        '&', 150,
        '\'', 207,
        '(', 118,
        '*', 174,
        '+', 137,
        ',', 98,
        '-', 138,
        '.', 183,
        '/', 176,
        '0', 200,
        ':', 116,
        ';', 134,
        '<', 160,
        '=', 112,
        '>', 156,
        '?', 135,
        '@', 117,
        '[', 185,
        '^', 194,
        '`', 206,
        '{', 96,
        '|', 165,
        '}', 97,
        '~', 146,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(1);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(203);
      if (set_contains(sym_identifier_character_set_1, 668, lookahead)) ADVANCE(229);
      END_STATE();
    case 2:
      ADVANCE_MAP(
        '!', 148,
        '"', 36,
        '#', 81,
        '$', 120,
        '%', 178,
        '&', 150,
        '(', 118,
        '*', 174,
        '+', 137,
        ',', 98,
        '-', 141,
        '.', 181,
        '/', 176,
        ':', 116,
        ';', 134,
        '<', 160,
        '=', 112,
        '>', 156,
        '?', 135,
        '[', 185,
        '^', 194,
        '{', 96,
        '|', 165,
        '}', 97,
        '~', 146,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(2);
      if (set_contains(sym_identifier_character_set_1, 668, lookahead)) ADVANCE(229);
      END_STATE();
    case 3:
      ADVANCE_MAP(
        '!', 148,
        '#', 81,
        '$', 120,
        '%', 178,
        '&', 150,
        '(', 118,
        '*', 174,
        '+', 137,
        ',', 98,
        '-', 143,
        '.', 181,
        '/', 176,
        ':', 116,
        ';', 134,
        '<', 160,
        '=', 112,
        '>', 156,
        '?', 135,
        '[', 185,
        '^', 194,
        '{', 96,
        '|', 165,
        '}', 97,
        '~', 146,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(3);
      if (set_contains(sym_identifier_character_set_1, 668, lookahead)) ADVANCE(229);
      END_STATE();
    case 4:
      ADVANCE_MAP(
        '!', 147,
        '"', 205,
        '#', 61,
        '&', 149,
        '\'', 207,
        '(', 118,
        '+', 136,
        '-', 140,
        '.', 182,
        '/', 26,
        '0', 200,
        '?', 135,
        '[', 185,
        '^', 193,
        '`', 206,
        '{', 96,
        '~', 145,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(4);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(203);
      if (set_contains(sym_identifier_character_set_1, 668, lookahead)) ADVANCE(229);
      END_STATE();
    case 5:
      ADVANCE_MAP(
        '!', 30,
        '#', 81,
        '%', 178,
        '&', 150,
        '(', 118,
        '*', 174,
        '+', 137,
        ',', 98,
        '-', 141,
        '.', 184,
        '/', 176,
        ':', 116,
        ';', 134,
        '<', 160,
        '=', 112,
        '>', 156,
        '?', 135,
        '[', 185,
        '^', 194,
        '{', 96,
        '|', 165,
        '}', 97,
        '~', 146,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(5);
      if (set_contains(sym_identifier_character_set_1, 668, lookahead)) ADVANCE(229);
      END_STATE();
    case 6:
      ADVANCE_MAP(
        '!', 30,
        '%', 178,
        '&', 150,
        '(', 118,
        '*', 174,
        '+', 137,
        ',', 98,
        '-', 143,
        '.', 198,
        '/', 176,
        ':', 116,
        ';', 134,
        '<', 160,
        '=', 112,
        '>', 156,
        '?', 135,
        '[', 185,
        '^', 194,
        '{', 96,
        '|', 165,
        '}', 97,
        '~', 146,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(7);
      if (set_contains(sym_identifier_character_set_1, 668, lookahead)) ADVANCE(229);
      END_STATE();
    case 7:
      ADVANCE_MAP(
        '!', 30,
        '%', 178,
        '&', 150,
        '(', 118,
        '*', 174,
        '+', 137,
        ',', 98,
        '-', 143,
        '.', 184,
        '/', 176,
        ':', 116,
        ';', 134,
        '<', 160,
        '=', 112,
        '>', 156,
        '?', 135,
        '[', 185,
        '^', 194,
        '{', 96,
        '|', 165,
        '}', 97,
        '~', 146,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(7);
      if (set_contains(sym_identifier_character_set_1, 668, lookahead)) ADVANCE(229);
      END_STATE();
    case 8:
      if (lookahead == '"') ADVANCE(205);
      if (lookahead == '/') ADVANCE(212);
      if (lookahead == '\\') ADVANCE(32);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(211);
      if (lookahead != 0) ADVANCE(214);
      END_STATE();
    case 9:
      if (lookahead == '"') ADVANCE(106);
      if (lookahead == 'd') ADVANCE(40);
      if (lookahead == 'o') ADVANCE(53);
      END_STATE();
    case 10:
      if (lookahead == '"') ADVANCE(104);
      if (lookahead == 'c') ADVANCE(34);
      END_STATE();
    case 11:
      if (lookahead == '"') ADVANCE(108);
      if (lookahead == 'c') ADVANCE(35);
      END_STATE();
    case 12:
      if (lookahead == '"') ADVANCE(109);
      END_STATE();
    case 13:
      if (lookahead == '"') ADVANCE(101);
      END_STATE();
    case 14:
      if (lookahead == '"') ADVANCE(105);
      END_STATE();
    case 15:
      if (lookahead == '"') ADVANCE(110);
      END_STATE();
    case 16:
      if (lookahead == '"') ADVANCE(103);
      END_STATE();
    case 17:
      if (lookahead == '"') ADVANCE(107);
      END_STATE();
    case 18:
      if (lookahead == '"') ADVANCE(102);
      END_STATE();
    case 19:
      if (lookahead == '(') ADVANCE(118);
      if (lookahead == ')') ADVANCE(119);
      if (lookahead == ',') ADVANCE(98);
      if (lookahead == '.') ADVANCE(196);
      if (lookahead == '/') ADVANCE(175);
      if (lookahead == '{') ADVANCE(96);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(20);
      END_STATE();
    case 20:
      if (lookahead == '(') ADVANCE(118);
      if (lookahead == ')') ADVANCE(119);
      if (lookahead == ',') ADVANCE(98);
      if (lookahead == '.') ADVANCE(180);
      if (lookahead == '/') ADVANCE(175);
      if (lookahead == '{') ADVANCE(96);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(20);
      END_STATE();
    case 21:
      if (lookahead == '(') ADVANCE(118);
      if (lookahead == ')') ADVANCE(119);
      if (lookahead == ',') ADVANCE(98);
      if (lookahead == '.') ADVANCE(180);
      if (lookahead == '/') ADVANCE(26);
      if (lookahead == '{') ADVANCE(96);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(21);
      END_STATE();
    case 22:
      if (lookahead == ')') ADVANCE(224);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(22);
      END_STATE();
    case 23:
      if (lookahead == '-') ADVANCE(24);
      if (lookahead == '0') ADVANCE(200);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(203);
      END_STATE();
    case 24:
      if (lookahead == '-') ADVANCE(223);
      END_STATE();
    case 25:
      if (lookahead == '.') ADVANCE(190);
      END_STATE();
    case 26:
      if (lookahead == '/') ADVANCE(230);
      END_STATE();
    case 27:
      if (lookahead == '/') ADVANCE(216);
      if (lookahead == '`') ADVANCE(206);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(215);
      if (lookahead != 0) ADVANCE(218);
      END_STATE();
    case 28:
      if (lookahead == '/') ADVANCE(209);
      if (lookahead == '\\') ADVANCE(32);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(210);
      if (lookahead != 0 &&
          lookahead != '\'') ADVANCE(208);
      END_STATE();
    case 29:
      if (lookahead == '<') ADVANCE(188);
      if (lookahead == '=') ADVANCE(187);
      END_STATE();
    case 30:
      if (lookahead == '=') ADVANCE(163);
      END_STATE();
    case 31:
      if (lookahead == '=') ADVANCE(162);
      END_STATE();
    case 32:
      if (lookahead == 'U') ADVANCE(222);
      if (lookahead == 'u') ADVANCE(68);
      if (lookahead == 'x') ADVANCE(75);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(221);
      if (lookahead != 0) ADVANCE(219);
      END_STATE();
    case 33:
      if (lookahead == 'a') ADVANCE(57);
      END_STATE();
    case 34:
      if (lookahead == 'a') ADVANCE(50);
      END_STATE();
    case 35:
      if (lookahead == 'a') ADVANCE(51);
      END_STATE();
    case 36:
      if (lookahead == 'c') ADVANCE(9);
      if (lookahead == 'f') ADVANCE(33);
      if (lookahead == 'n') ADVANCE(56);
      if (lookahead == 'o') ADVANCE(38);
      if (lookahead == 's') ADVANCE(62);
      END_STATE();
    case 37:
      if (lookahead == 'c') ADVANCE(46);
      END_STATE();
    case 38:
      if (lookahead == 'd') ADVANCE(45);
      END_STATE();
    case 39:
      if (lookahead == 'd') ADVANCE(10);
      END_STATE();
    case 40:
      if (lookahead == 'e') ADVANCE(37);
      END_STATE();
    case 41:
      if (lookahead == 'e') ADVANCE(12);
      END_STATE();
    case 42:
      if (lookahead == 'e') ADVANCE(67);
      END_STATE();
    case 43:
      if (lookahead == 'e') ADVANCE(52);
      END_STATE();
    case 44:
      if (lookahead == 'e') ADVANCE(58);
      END_STATE();
    case 45:
      if (lookahead == 'i') ADVANCE(55);
      END_STATE();
    case 46:
      if (lookahead == 'l') ADVANCE(14);
      END_STATE();
    case 47:
      if (lookahead == 'l') ADVANCE(44);
      END_STATE();
    case 48:
      if (lookahead == 'l') ADVANCE(16);
      END_STATE();
    case 49:
      if (lookahead == 'l') ADVANCE(17);
      END_STATE();
    case 50:
      if (lookahead == 'l') ADVANCE(48);
      END_STATE();
    case 51:
      if (lookahead == 'l') ADVANCE(49);
      END_STATE();
    case 52:
      if (lookahead == 'm') ADVANCE(15);
      END_STATE();
    case 53:
      if (lookahead == 'n') ADVANCE(64);
      END_STATE();
    case 54:
      if (lookahead == 'n') ADVANCE(41);
      END_STATE();
    case 55:
      if (lookahead == 'n') ADVANCE(13);
      END_STATE();
    case 56:
      if (lookahead == 'o') ADVANCE(54);
      END_STATE();
    case 57:
      if (lookahead == 's') ADVANCE(63);
      END_STATE();
    case 58:
      if (lookahead == 's') ADVANCE(59);
      END_STATE();
    case 59:
      if (lookahead == 's') ADVANCE(18);
      END_STATE();
    case 60:
      if (lookahead == 's') ADVANCE(66);
      END_STATE();
    case 61:
      if (lookahead == 't') ADVANCE(227);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(228);
      END_STATE();
    case 62:
      if (lookahead == 't') ADVANCE(39);
      if (lookahead == 'y') ADVANCE(60);
      END_STATE();
    case 63:
      if (lookahead == 't') ADVANCE(11);
      END_STATE();
    case 64:
      if (lookahead == 't') ADVANCE(42);
      END_STATE();
    case 65:
      if (lookahead == 't') ADVANCE(47);
      END_STATE();
    case 66:
      if (lookahead == 't') ADVANCE(43);
      END_STATE();
    case 67:
      if (lookahead == 'x') ADVANCE(65);
      END_STATE();
    case 68:
      if (lookahead == '{') ADVANCE(74);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(72);
      END_STATE();
    case 69:
      if (lookahead == '}') ADVANCE(219);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(69);
      END_STATE();
    case 70:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(201);
      END_STATE();
    case 71:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(202);
      END_STATE();
    case 72:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(75);
      END_STATE();
    case 73:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(219);
      END_STATE();
    case 74:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(69);
      END_STATE();
    case 75:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(73);
      END_STATE();
    case 76:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(72);
      END_STATE();
    case 77:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(76);
      END_STATE();
    case 78:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(77);
      END_STATE();
    case 79:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(78);
      END_STATE();
    case 80:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(204);
      END_STATE();
    case 81:
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(228);
      END_STATE();
    case 82:
      if (eof) ADVANCE(95);
      ADVANCE_MAP(
        '!', 148,
        '"', 205,
        '#', 61,
        '$', 120,
        '%', 178,
        '&', 150,
        '\'', 207,
        '(', 118,
        ')', 119,
        '*', 174,
        '+', 137,
        ',', 98,
        '-', 138,
        '.', 181,
        '/', 176,
        '0', 200,
        ':', 116,
        ';', 134,
        '<', 160,
        '=', 112,
        '>', 156,
        '?', 135,
        '@', 117,
        '[', 185,
        ']', 186,
        '^', 194,
        '`', 206,
        '{', 96,
        '|', 165,
        '}', 97,
        '~', 146,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(82);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(203);
      if (set_contains(sym_identifier_character_set_1, 668, lookahead)) ADVANCE(229);
      END_STATE();
    case 83:
      if (eof) ADVANCE(95);
      ADVANCE_MAP(
        '!', 148,
        '"', 205,
        '#', 61,
        '%', 177,
        '&', 151,
        '\'', 207,
        '(', 118,
        '*', 173,
        '+', 136,
        ',', 98,
        '-', 139,
        '.', 183,
        '/', 175,
        '0', 200,
        ';', 134,
        '<', 161,
        '=', 31,
        '>', 157,
        '?', 135,
        '[', 185,
        '^', 193,
        '`', 206,
        '{', 96,
        '|', 166,
        '}', 97,
        '~', 146,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(83);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(203);
      if (set_contains(sym_identifier_character_set_1, 668, lookahead)) ADVANCE(229);
      END_STATE();
    case 84:
      if (eof) ADVANCE(95);
      ADVANCE_MAP(
        '!', 148,
        '"', 205,
        '#', 81,
        '$', 120,
        '%', 177,
        '&', 151,
        '(', 118,
        ')', 119,
        '*', 173,
        '+', 136,
        ',', 98,
        '-', 142,
        '.', 181,
        '/', 175,
        ':', 116,
        ';', 134,
        '<', 161,
        '=', 112,
        '>', 157,
        '?', 135,
        '[', 185,
        ']', 186,
        '^', 193,
        '`', 206,
        '{', 96,
        '|', 166,
        '}', 97,
        '~', 146,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(84);
      if (set_contains(sym_identifier_character_set_1, 668, lookahead)) ADVANCE(229);
      END_STATE();
    case 85:
      if (eof) ADVANCE(95);
      ADVANCE_MAP(
        '!', 148,
        '"', 205,
        '#', 81,
        '%', 177,
        '&', 151,
        '\'', 207,
        '(', 118,
        ')', 119,
        '*', 173,
        '+', 136,
        ',', 98,
        '-', 139,
        '.', 183,
        '/', 175,
        '0', 200,
        ':', 116,
        ';', 134,
        '<', 161,
        '=', 112,
        '>', 157,
        '?', 135,
        '[', 185,
        ']', 186,
        '^', 193,
        '`', 206,
        '{', 96,
        '|', 166,
        '}', 97,
        '~', 146,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(85);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(203);
      if (set_contains(sym_identifier_character_set_1, 668, lookahead)) ADVANCE(229);
      END_STATE();
    case 86:
      if (eof) ADVANCE(95);
      ADVANCE_MAP(
        '!', 148,
        '#', 81,
        '$', 120,
        '%', 177,
        '&', 151,
        '(', 118,
        ')', 119,
        '*', 173,
        '+', 136,
        ',', 98,
        '-', 144,
        '.', 181,
        '/', 175,
        ':', 116,
        ';', 134,
        '<', 161,
        '=', 112,
        '>', 157,
        '?', 135,
        '[', 185,
        ']', 186,
        '^', 193,
        '{', 96,
        '|', 166,
        '}', 97,
        '~', 146,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(86);
      if (set_contains(sym_identifier_character_set_1, 668, lookahead)) ADVANCE(229);
      END_STATE();
    case 87:
      if (eof) ADVANCE(95);
      ADVANCE_MAP(
        '!', 147,
        '"', 205,
        '#', 81,
        '$', 120,
        '&', 149,
        '\'', 207,
        '(', 118,
        ')', 119,
        '+', 136,
        ',', 98,
        '-', 139,
        '.', 182,
        '/', 175,
        '0', 200,
        ':', 115,
        ';', 134,
        '=', 111,
        '?', 135,
        '@', 117,
        '[', 185,
        ']', 186,
        '^', 193,
        '`', 206,
        '{', 96,
        '}', 97,
        '~', 145,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(87);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(203);
      if (set_contains(sym_identifier_character_set_1, 668, lookahead)) ADVANCE(229);
      END_STATE();
    case 88:
      if (eof) ADVANCE(95);
      ADVANCE_MAP(
        '!', 147,
        '"', 205,
        '#', 81,
        '$', 120,
        '\'', 207,
        '(', 118,
        ')', 119,
        ',', 98,
        '-', 23,
        '.', 25,
        '/', 175,
        '0', 200,
        ':', 115,
        ';', 134,
        '=', 111,
        '[', 185,
        ']', 186,
        '^', 193,
        '`', 206,
        '{', 96,
        '}', 97,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(88);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(203);
      if (set_contains(sym_identifier_character_set_1, 668, lookahead)) ADVANCE(229);
      END_STATE();
    case 89:
      if (eof) ADVANCE(95);
      ADVANCE_MAP(
        '!', 30,
        '"', 205,
        '#', 81,
        '%', 178,
        '&', 150,
        '(', 118,
        ')', 119,
        '*', 174,
        '+', 137,
        ',', 98,
        '-', 141,
        '.', 198,
        '/', 176,
        ':', 116,
        ';', 134,
        '<', 160,
        '=', 112,
        '>', 156,
        '?', 135,
        '[', 185,
        ']', 186,
        '^', 194,
        '`', 206,
        '{', 96,
        '|', 165,
        '}', 97,
        '~', 146,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(90);
      if (set_contains(sym_identifier_character_set_1, 668, lookahead)) ADVANCE(229);
      END_STATE();
    case 90:
      if (eof) ADVANCE(95);
      ADVANCE_MAP(
        '!', 30,
        '"', 205,
        '#', 81,
        '%', 178,
        '&', 150,
        '(', 118,
        ')', 119,
        '*', 174,
        '+', 137,
        ',', 98,
        '-', 141,
        '.', 184,
        '/', 176,
        ':', 116,
        ';', 134,
        '<', 160,
        '=', 112,
        '>', 156,
        '?', 135,
        '[', 185,
        ']', 186,
        '^', 194,
        '`', 206,
        '{', 96,
        '|', 165,
        '}', 97,
        '~', 146,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(90);
      if (set_contains(sym_identifier_character_set_1, 668, lookahead)) ADVANCE(229);
      END_STATE();
    case 91:
      if (eof) ADVANCE(95);
      ADVANCE_MAP(
        '!', 30,
        '"', 205,
        '#', 81,
        '%', 177,
        '&', 151,
        '(', 118,
        ')', 119,
        '*', 173,
        '+', 136,
        ',', 98,
        '-', 142,
        '.', 198,
        '/', 175,
        ':', 116,
        ';', 134,
        '<', 161,
        '=', 112,
        '>', 157,
        '?', 135,
        '[', 185,
        ']', 186,
        '^', 193,
        '`', 206,
        '{', 96,
        '|', 166,
        '}', 97,
        '~', 146,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(92);
      if (set_contains(sym_identifier_character_set_1, 668, lookahead)) ADVANCE(229);
      END_STATE();
    case 92:
      if (eof) ADVANCE(95);
      ADVANCE_MAP(
        '!', 30,
        '"', 205,
        '#', 81,
        '%', 177,
        '&', 151,
        '(', 118,
        ')', 119,
        '*', 173,
        '+', 136,
        ',', 98,
        '-', 142,
        '.', 184,
        '/', 175,
        ':', 116,
        ';', 134,
        '<', 161,
        '=', 112,
        '>', 157,
        '?', 135,
        '[', 185,
        ']', 186,
        '^', 193,
        '`', 206,
        '{', 96,
        '|', 166,
        '}', 97,
        '~', 146,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(92);
      if (set_contains(sym_identifier_character_set_1, 668, lookahead)) ADVANCE(229);
      END_STATE();
    case 93:
      if (eof) ADVANCE(95);
      ADVANCE_MAP(
        '!', 30,
        '"', 205,
        '%', 177,
        '&', 151,
        '(', 118,
        ')', 119,
        '*', 173,
        '+', 136,
        ',', 98,
        '-', 144,
        '.', 198,
        '/', 175,
        ':', 116,
        ';', 134,
        '<', 161,
        '=', 112,
        '>', 157,
        '?', 135,
        '[', 185,
        ']', 186,
        '^', 193,
        '`', 206,
        '{', 96,
        '|', 166,
        '}', 97,
        '~', 146,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(94);
      if (set_contains(sym_identifier_character_set_1, 668, lookahead)) ADVANCE(229);
      END_STATE();
    case 94:
      if (eof) ADVANCE(95);
      ADVANCE_MAP(
        '!', 30,
        '"', 205,
        '%', 177,
        '&', 151,
        '(', 118,
        ')', 119,
        '*', 173,
        '+', 136,
        ',', 98,
        '-', 144,
        '.', 184,
        '/', 175,
        ':', 116,
        ';', 134,
        '<', 161,
        '=', 112,
        '>', 157,
        '?', 135,
        '[', 185,
        ']', 186,
        '^', 193,
        '`', 206,
        '{', 96,
        '|', 166,
        '}', 97,
        '~', 146,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(94);
      if (set_contains(sym_identifier_character_set_1, 668, lookahead)) ADVANCE(229);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 97:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(anon_sym_COLON_COLON);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(anon_sym_DQUOTEodin_DQUOTE);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(anon_sym_DQUOTEcontextless_DQUOTE);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(anon_sym_DQUOTEstdcall_DQUOTE);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(anon_sym_DQUOTEstd_DQUOTE);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(anon_sym_DQUOTEcdecl_DQUOTE);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(anon_sym_DQUOTEc_DQUOTE);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(anon_sym_DQUOTEfastcall_DQUOTE);
      END_STATE();
    case 108:
      ACCEPT_TOKEN(anon_sym_DQUOTEfast_DQUOTE);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(anon_sym_DQUOTEnone_DQUOTE);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(anon_sym_DQUOTEsystem_DQUOTE);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(162);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(anon_sym_COLON_EQ);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(anon_sym_POUNDtype);
      if (lookahead == '(') ADVANCE(22);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(228);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == ':') ADVANCE(99);
      if (lookahead == '=') ADVANCE(113);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(anon_sym_DOLLAR);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE_EQ);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(anon_sym_AMP_AMP_EQ);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(anon_sym_AMP_TILDE_EQ);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '=') ADVANCE(121);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(24);
      if (lookahead == '0') ADVANCE(200);
      if (lookahead == '=') ADVANCE(122);
      if (lookahead == '>') ADVANCE(100);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(203);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(24);
      if (lookahead == '0') ADVANCE(200);
      if (lookahead == '>') ADVANCE(100);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(203);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(24);
      if (lookahead == '0') ADVANCE(200);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(203);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(24);
      if (lookahead == '=') ADVANCE(122);
      if (lookahead == '>') ADVANCE(100);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(24);
      if (lookahead == '>') ADVANCE(100);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '=') ADVANCE(122);
      if (lookahead == '>') ADVANCE(100);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '>') ADVANCE(100);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(anon_sym_TILDE);
      if (lookahead == '=') ADVANCE(164);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(163);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(155);
      if (lookahead == '=') ADVANCE(126);
      if (lookahead == '~') ADVANCE(168);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(154);
      if (lookahead == '~') ADVANCE(167);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      if (lookahead == '=') ADVANCE(131);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      if (lookahead == '=') ADVANCE(132);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(158);
      if (lookahead == '>') ADVANCE(172);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(158);
      if (lookahead == '>') ADVANCE(171);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(170);
      if (lookahead == '=') ADVANCE(159);
      END_STATE();
    case 161:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(169);
      if (lookahead == '=') ADVANCE(159);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(anon_sym_TILDE_EQ);
      END_STATE();
    case 165:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(127);
      if (lookahead == '|') ADVANCE(153);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(152);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(anon_sym_AMP_TILDE);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(anon_sym_AMP_TILDE);
      if (lookahead == '=') ADVANCE(133);
      END_STATE();
    case 169:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=') ADVANCE(129);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      END_STATE();
    case 172:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=') ADVANCE(130);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '=') ADVANCE(123);
      END_STATE();
    case 175:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '/') ADVANCE(230);
      END_STATE();
    case 176:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '/') ADVANCE(230);
      if (lookahead == '=') ADVANCE(124);
      END_STATE();
    case 177:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '%') ADVANCE(179);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '%') ADVANCE(179);
      if (lookahead == '=') ADVANCE(125);
      END_STATE();
    case 179:
      ACCEPT_TOKEN(anon_sym_PERCENT_PERCENT);
      END_STATE();
    case 180:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 181:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(191);
      END_STATE();
    case 182:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(189);
      END_STATE();
    case 183:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(192);
      END_STATE();
    case 184:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(29);
      END_STATE();
    case 185:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 186:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 187:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_EQ);
      END_STATE();
    case 188:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_LT);
      END_STATE();
    case 189:
      ACCEPT_TOKEN(anon_sym_DOT_DOT);
      END_STATE();
    case 190:
      ACCEPT_TOKEN(anon_sym_DOT_DOT);
      if (lookahead == '.') ADVANCE(195);
      END_STATE();
    case 191:
      ACCEPT_TOKEN(anon_sym_DOT_DOT);
      if (lookahead == '.') ADVANCE(195);
      if (lookahead == '<') ADVANCE(188);
      if (lookahead == '=') ADVANCE(187);
      END_STATE();
    case 192:
      ACCEPT_TOKEN(anon_sym_DOT_DOT);
      if (lookahead == '<') ADVANCE(188);
      if (lookahead == '=') ADVANCE(187);
      END_STATE();
    case 193:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 194:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=') ADVANCE(128);
      END_STATE();
    case 195:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_DOT);
      END_STATE();
    case 196:
      ACCEPT_TOKEN(anon_sym_DOT2);
      END_STATE();
    case 197:
      ACCEPT_TOKEN(anon_sym_DOT2);
      if (lookahead == '.') ADVANCE(191);
      END_STATE();
    case 198:
      ACCEPT_TOKEN(anon_sym_DOT2);
      if (lookahead == '.') ADVANCE(29);
      END_STATE();
    case 199:
      ACCEPT_TOKEN(sym_number);
      END_STATE();
    case 200:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == 'b') ADVANCE(70);
      if (lookahead == 'o') ADVANCE(71);
      if (lookahead == 'h' ||
          lookahead == 'x') ADVANCE(80);
      if (('i' <= lookahead && lookahead <= 'k')) ADVANCE(199);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_') ADVANCE(203);
      END_STATE();
    case 201:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '0' ||
          lookahead == '1' ||
          lookahead == '_') ADVANCE(201);
      if (('i' <= lookahead && lookahead <= 'k')) ADVANCE(199);
      END_STATE();
    case 202:
      ACCEPT_TOKEN(sym_number);
      if (('i' <= lookahead && lookahead <= 'k')) ADVANCE(199);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(202);
      END_STATE();
    case 203:
      ACCEPT_TOKEN(sym_number);
      if (('i' <= lookahead && lookahead <= 'k')) ADVANCE(199);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_') ADVANCE(203);
      END_STATE();
    case 204:
      ACCEPT_TOKEN(sym_number);
      if (('i' <= lookahead && lookahead <= 'k')) ADVANCE(199);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(204);
      END_STATE();
    case 205:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 206:
      ACCEPT_TOKEN(anon_sym_BQUOTE);
      END_STATE();
    case 207:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 208:
      ACCEPT_TOKEN(aux_sym_character_token1);
      END_STATE();
    case 209:
      ACCEPT_TOKEN(aux_sym_character_token1);
      if (lookahead == '/') ADVANCE(230);
      END_STATE();
    case 210:
      ACCEPT_TOKEN(aux_sym_character_token1);
      if (lookahead == '/') ADVANCE(209);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(210);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(208);
      END_STATE();
    case 211:
      ACCEPT_TOKEN(sym_string_content);
      if (lookahead == '/') ADVANCE(212);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(211);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(214);
      END_STATE();
    case 212:
      ACCEPT_TOKEN(sym_string_content);
      if (lookahead == '/') ADVANCE(213);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(214);
      END_STATE();
    case 213:
      ACCEPT_TOKEN(sym_string_content);
      if (lookahead == '\n' ||
          lookahead == '\r') ADVANCE(214);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(213);
      END_STATE();
    case 214:
      ACCEPT_TOKEN(sym_string_content);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(214);
      END_STATE();
    case 215:
      ACCEPT_TOKEN(sym__raw_string_content);
      if (lookahead == '/') ADVANCE(216);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(215);
      if (lookahead != 0 &&
          lookahead != '`') ADVANCE(218);
      END_STATE();
    case 216:
      ACCEPT_TOKEN(sym__raw_string_content);
      if (lookahead == '/') ADVANCE(217);
      if (lookahead != 0 &&
          lookahead != '`') ADVANCE(218);
      END_STATE();
    case 217:
      ACCEPT_TOKEN(sym__raw_string_content);
      if (lookahead == '\n' ||
          lookahead == '\r') ADVANCE(218);
      if (lookahead != 0 &&
          lookahead != '`') ADVANCE(217);
      END_STATE();
    case 218:
      ACCEPT_TOKEN(sym__raw_string_content);
      if (lookahead != 0 &&
          lookahead != '`') ADVANCE(218);
      END_STATE();
    case 219:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 220:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(219);
      END_STATE();
    case 221:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(220);
      END_STATE();
    case 222:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(79);
      END_STATE();
    case 223:
      ACCEPT_TOKEN(sym_uninitialized);
      END_STATE();
    case 224:
      ACCEPT_TOKEN(sym_tag);
      END_STATE();
    case 225:
      ACCEPT_TOKEN(sym_tag);
      if (lookahead == '(') ADVANCE(22);
      if (lookahead == 'e') ADVANCE(114);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(228);
      END_STATE();
    case 226:
      ACCEPT_TOKEN(sym_tag);
      if (lookahead == '(') ADVANCE(22);
      if (lookahead == 'p') ADVANCE(225);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(228);
      END_STATE();
    case 227:
      ACCEPT_TOKEN(sym_tag);
      if (lookahead == '(') ADVANCE(22);
      if (lookahead == 'y') ADVANCE(226);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(228);
      END_STATE();
    case 228:
      ACCEPT_TOKEN(sym_tag);
      if (lookahead == '(') ADVANCE(22);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(228);
      END_STATE();
    case 229:
      ACCEPT_TOKEN(sym_identifier);
      if (set_contains(sym_identifier_character_set_2, 776, lookahead)) ADVANCE(229);
      END_STATE();
    case 230:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\r') ADVANCE(230);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      ADVANCE_MAP(
        'a', 1,
        'b', 2,
        'c', 3,
        'd', 4,
        'e', 5,
        'f', 6,
        'i', 7,
        'm', 8,
        'n', 9,
        'o', 10,
        'p', 11,
        'r', 12,
        's', 13,
        't', 14,
        'u', 15,
        'w', 16,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(0);
      END_STATE();
    case 1:
      if (lookahead == 'u') ADVANCE(17);
      END_STATE();
    case 2:
      if (lookahead == 'i') ADVANCE(18);
      if (lookahead == 'r') ADVANCE(19);
      END_STATE();
    case 3:
      if (lookahead == 'a') ADVANCE(20);
      if (lookahead == 'o') ADVANCE(21);
      END_STATE();
    case 4:
      if (lookahead == 'e') ADVANCE(22);
      if (lookahead == 'i') ADVANCE(23);
      if (lookahead == 'o') ADVANCE(24);
      if (lookahead == 'y') ADVANCE(25);
      END_STATE();
    case 5:
      if (lookahead == 'l') ADVANCE(26);
      if (lookahead == 'n') ADVANCE(27);
      END_STATE();
    case 6:
      if (lookahead == 'a') ADVANCE(28);
      if (lookahead == 'o') ADVANCE(29);
      END_STATE();
    case 7:
      if (lookahead == 'f') ADVANCE(30);
      if (lookahead == 'm') ADVANCE(31);
      if (lookahead == 'n') ADVANCE(32);
      END_STATE();
    case 8:
      if (lookahead == 'a') ADVANCE(33);
      END_STATE();
    case 9:
      if (lookahead == 'i') ADVANCE(34);
      if (lookahead == 'o') ADVANCE(35);
      END_STATE();
    case 10:
      if (lookahead == 'r') ADVANCE(36);
      END_STATE();
    case 11:
      if (lookahead == 'a') ADVANCE(37);
      if (lookahead == 'r') ADVANCE(38);
      END_STATE();
    case 12:
      if (lookahead == 'e') ADVANCE(39);
      END_STATE();
    case 13:
      if (lookahead == 't') ADVANCE(40);
      if (lookahead == 'w') ADVANCE(41);
      END_STATE();
    case 14:
      if (lookahead == 'r') ADVANCE(42);
      END_STATE();
    case 15:
      if (lookahead == 'n') ADVANCE(43);
      if (lookahead == 's') ADVANCE(44);
      END_STATE();
    case 16:
      if (lookahead == 'h') ADVANCE(45);
      END_STATE();
    case 17:
      if (lookahead == 't') ADVANCE(46);
      END_STATE();
    case 18:
      if (lookahead == 't') ADVANCE(47);
      END_STATE();
    case 19:
      if (lookahead == 'e') ADVANCE(48);
      END_STATE();
    case 20:
      if (lookahead == 's') ADVANCE(49);
      END_STATE();
    case 21:
      if (lookahead == 'n') ADVANCE(50);
      END_STATE();
    case 22:
      if (lookahead == 'f') ADVANCE(51);
      END_STATE();
    case 23:
      if (lookahead == 's') ADVANCE(52);
      END_STATE();
    case 24:
      ACCEPT_TOKEN(anon_sym_do);
      END_STATE();
    case 25:
      if (lookahead == 'n') ADVANCE(53);
      END_STATE();
    case 26:
      if (lookahead == 's') ADVANCE(54);
      END_STATE();
    case 27:
      if (lookahead == 'u') ADVANCE(55);
      END_STATE();
    case 28:
      if (lookahead == 'l') ADVANCE(56);
      END_STATE();
    case 29:
      if (lookahead == 'r') ADVANCE(57);
      END_STATE();
    case 30:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 31:
      if (lookahead == 'p') ADVANCE(58);
      END_STATE();
    case 32:
      ACCEPT_TOKEN(anon_sym_in);
      END_STATE();
    case 33:
      if (lookahead == 'p') ADVANCE(59);
      if (lookahead == 't') ADVANCE(60);
      END_STATE();
    case 34:
      if (lookahead == 'l') ADVANCE(61);
      END_STATE();
    case 35:
      if (lookahead == 't') ADVANCE(62);
      END_STATE();
    case 36:
      if (lookahead == '_') ADVANCE(63);
      END_STATE();
    case 37:
      if (lookahead == 'c') ADVANCE(64);
      END_STATE();
    case 38:
      if (lookahead == 'o') ADVANCE(65);
      END_STATE();
    case 39:
      if (lookahead == 't') ADVANCE(66);
      END_STATE();
    case 40:
      if (lookahead == 'r') ADVANCE(67);
      END_STATE();
    case 41:
      if (lookahead == 'i') ADVANCE(68);
      END_STATE();
    case 42:
      if (lookahead == 'a') ADVANCE(69);
      if (lookahead == 'u') ADVANCE(70);
      END_STATE();
    case 43:
      if (lookahead == 'i') ADVANCE(71);
      END_STATE();
    case 44:
      if (lookahead == 'i') ADVANCE(72);
      END_STATE();
    case 45:
      if (lookahead == 'e') ADVANCE(73);
      END_STATE();
    case 46:
      if (lookahead == 'o') ADVANCE(74);
      END_STATE();
    case 47:
      if (lookahead == '_') ADVANCE(75);
      END_STATE();
    case 48:
      if (lookahead == 'a') ADVANCE(76);
      END_STATE();
    case 49:
      if (lookahead == 'e') ADVANCE(77);
      if (lookahead == 't') ADVANCE(78);
      END_STATE();
    case 50:
      if (lookahead == 't') ADVANCE(79);
      END_STATE();
    case 51:
      if (lookahead == 'e') ADVANCE(80);
      END_STATE();
    case 52:
      if (lookahead == 't') ADVANCE(81);
      END_STATE();
    case 53:
      if (lookahead == 'a') ADVANCE(82);
      END_STATE();
    case 54:
      if (lookahead == 'e') ADVANCE(83);
      END_STATE();
    case 55:
      if (lookahead == 'm') ADVANCE(84);
      END_STATE();
    case 56:
      if (lookahead == 'l') ADVANCE(85);
      if (lookahead == 's') ADVANCE(86);
      END_STATE();
    case 57:
      ACCEPT_TOKEN(anon_sym_for);
      if (lookahead == 'e') ADVANCE(87);
      END_STATE();
    case 58:
      if (lookahead == 'o') ADVANCE(88);
      END_STATE();
    case 59:
      ACCEPT_TOKEN(anon_sym_map);
      END_STATE();
    case 60:
      if (lookahead == 'r') ADVANCE(89);
      END_STATE();
    case 61:
      ACCEPT_TOKEN(sym_nil);
      END_STATE();
    case 62:
      if (lookahead == '_') ADVANCE(90);
      END_STATE();
    case 63:
      if (lookahead == 'b') ADVANCE(91);
      if (lookahead == 'c') ADVANCE(92);
      if (lookahead == 'e') ADVANCE(93);
      if (lookahead == 'r') ADVANCE(94);
      END_STATE();
    case 64:
      if (lookahead == 'k') ADVANCE(95);
      END_STATE();
    case 65:
      if (lookahead == 'c') ADVANCE(96);
      END_STATE();
    case 66:
      if (lookahead == 'u') ADVANCE(97);
      END_STATE();
    case 67:
      if (lookahead == 'u') ADVANCE(98);
      END_STATE();
    case 68:
      if (lookahead == 't') ADVANCE(99);
      END_STATE();
    case 69:
      if (lookahead == 'n') ADVANCE(100);
      END_STATE();
    case 70:
      if (lookahead == 'e') ADVANCE(101);
      END_STATE();
    case 71:
      if (lookahead == 'o') ADVANCE(102);
      END_STATE();
    case 72:
      if (lookahead == 'n') ADVANCE(103);
      END_STATE();
    case 73:
      if (lookahead == 'n') ADVANCE(104);
      if (lookahead == 'r') ADVANCE(105);
      END_STATE();
    case 74:
      if (lookahead == '_') ADVANCE(106);
      END_STATE();
    case 75:
      if (lookahead == 's') ADVANCE(107);
      END_STATE();
    case 76:
      if (lookahead == 'k') ADVANCE(108);
      END_STATE();
    case 77:
      ACCEPT_TOKEN(anon_sym_case);
      END_STATE();
    case 78:
      ACCEPT_TOKEN(anon_sym_cast);
      END_STATE();
    case 79:
      if (lookahead == 'i') ADVANCE(109);
      END_STATE();
    case 80:
      if (lookahead == 'r') ADVANCE(110);
      END_STATE();
    case 81:
      if (lookahead == 'i') ADVANCE(111);
      END_STATE();
    case 82:
      if (lookahead == 'm') ADVANCE(112);
      END_STATE();
    case 83:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(anon_sym_enum);
      END_STATE();
    case 85:
      if (lookahead == 't') ADVANCE(113);
      END_STATE();
    case 86:
      if (lookahead == 'e') ADVANCE(114);
      END_STATE();
    case 87:
      if (lookahead == 'i') ADVANCE(115);
      END_STATE();
    case 88:
      if (lookahead == 'r') ADVANCE(116);
      END_STATE();
    case 89:
      if (lookahead == 'i') ADVANCE(117);
      END_STATE();
    case 90:
      if (lookahead == 'i') ADVANCE(118);
      END_STATE();
    case 91:
      if (lookahead == 'r') ADVANCE(119);
      END_STATE();
    case 92:
      if (lookahead == 'o') ADVANCE(120);
      END_STATE();
    case 93:
      if (lookahead == 'l') ADVANCE(121);
      END_STATE();
    case 94:
      if (lookahead == 'e') ADVANCE(122);
      END_STATE();
    case 95:
      if (lookahead == 'a') ADVANCE(123);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(anon_sym_proc);
      END_STATE();
    case 97:
      if (lookahead == 'r') ADVANCE(124);
      END_STATE();
    case 98:
      if (lookahead == 'c') ADVANCE(125);
      END_STATE();
    case 99:
      if (lookahead == 'c') ADVANCE(126);
      END_STATE();
    case 100:
      if (lookahead == 's') ADVANCE(127);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(anon_sym_true);
      END_STATE();
    case 102:
      if (lookahead == 'n') ADVANCE(128);
      END_STATE();
    case 103:
      if (lookahead == 'g') ADVANCE(129);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(anon_sym_when);
      END_STATE();
    case 105:
      if (lookahead == 'e') ADVANCE(130);
      END_STATE();
    case 106:
      if (lookahead == 'c') ADVANCE(131);
      END_STATE();
    case 107:
      if (lookahead == 'e') ADVANCE(132);
      END_STATE();
    case 108:
      ACCEPT_TOKEN(anon_sym_break);
      END_STATE();
    case 109:
      if (lookahead == 'n') ADVANCE(133);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(anon_sym_defer);
      END_STATE();
    case 111:
      if (lookahead == 'n') ADVANCE(134);
      END_STATE();
    case 112:
      if (lookahead == 'i') ADVANCE(135);
      END_STATE();
    case 113:
      if (lookahead == 'h') ADVANCE(136);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(anon_sym_false);
      END_STATE();
    case 115:
      if (lookahead == 'g') ADVANCE(137);
      END_STATE();
    case 116:
      if (lookahead == 't') ADVANCE(138);
      END_STATE();
    case 117:
      if (lookahead == 'x') ADVANCE(139);
      END_STATE();
    case 118:
      if (lookahead == 'n') ADVANCE(140);
      END_STATE();
    case 119:
      if (lookahead == 'e') ADVANCE(141);
      END_STATE();
    case 120:
      if (lookahead == 'n') ADVANCE(142);
      END_STATE();
    case 121:
      if (lookahead == 's') ADVANCE(143);
      END_STATE();
    case 122:
      if (lookahead == 't') ADVANCE(144);
      END_STATE();
    case 123:
      if (lookahead == 'g') ADVANCE(145);
      END_STATE();
    case 124:
      if (lookahead == 'n') ADVANCE(146);
      END_STATE();
    case 125:
      if (lookahead == 't') ADVANCE(147);
      END_STATE();
    case 126:
      if (lookahead == 'h') ADVANCE(148);
      END_STATE();
    case 127:
      if (lookahead == 'm') ADVANCE(149);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(anon_sym_union);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(anon_sym_using);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(anon_sym_where);
      END_STATE();
    case 131:
      if (lookahead == 'a') ADVANCE(150);
      END_STATE();
    case 132:
      if (lookahead == 't') ADVANCE(151);
      END_STATE();
    case 133:
      if (lookahead == 'u') ADVANCE(152);
      END_STATE();
    case 134:
      if (lookahead == 'c') ADVANCE(153);
      END_STATE();
    case 135:
      if (lookahead == 'c') ADVANCE(154);
      END_STATE();
    case 136:
      if (lookahead == 'r') ADVANCE(155);
      END_STATE();
    case 137:
      if (lookahead == 'n') ADVANCE(156);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(anon_sym_import);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(anon_sym_matrix);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(anon_sym_not_in);
      END_STATE();
    case 141:
      if (lookahead == 'a') ADVANCE(157);
      END_STATE();
    case 142:
      if (lookahead == 't') ADVANCE(158);
      END_STATE();
    case 143:
      if (lookahead == 'e') ADVANCE(159);
      END_STATE();
    case 144:
      if (lookahead == 'u') ADVANCE(160);
      END_STATE();
    case 145:
      if (lookahead == 'e') ADVANCE(161);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(anon_sym_return);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(anon_sym_struct);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(anon_sym_switch);
      END_STATE();
    case 149:
      if (lookahead == 'u') ADVANCE(162);
      END_STATE();
    case 150:
      if (lookahead == 's') ADVANCE(163);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(anon_sym_bit_set);
      END_STATE();
    case 152:
      if (lookahead == 'e') ADVANCE(164);
      END_STATE();
    case 153:
      if (lookahead == 't') ADVANCE(165);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(anon_sym_dynamic);
      END_STATE();
    case 155:
      if (lookahead == 'o') ADVANCE(166);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(anon_sym_foreign);
      END_STATE();
    case 157:
      if (lookahead == 'k') ADVANCE(167);
      END_STATE();
    case 158:
      if (lookahead == 'i') ADVANCE(168);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(anon_sym_or_else);
      END_STATE();
    case 160:
      if (lookahead == 'r') ADVANCE(169);
      END_STATE();
    case 161:
      ACCEPT_TOKEN(anon_sym_package);
      END_STATE();
    case 162:
      if (lookahead == 't') ADVANCE(170);
      END_STATE();
    case 163:
      if (lookahead == 't') ADVANCE(171);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(anon_sym_continue);
      END_STATE();
    case 165:
      ACCEPT_TOKEN(anon_sym_distinct);
      END_STATE();
    case 166:
      if (lookahead == 'u') ADVANCE(172);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(anon_sym_or_break);
      END_STATE();
    case 168:
      if (lookahead == 'n') ADVANCE(173);
      END_STATE();
    case 169:
      if (lookahead == 'n') ADVANCE(174);
      END_STATE();
    case 170:
      if (lookahead == 'e') ADVANCE(175);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(anon_sym_auto_cast);
      END_STATE();
    case 172:
      if (lookahead == 'g') ADVANCE(176);
      END_STATE();
    case 173:
      if (lookahead == 'u') ADVANCE(177);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(anon_sym_or_return);
      END_STATE();
    case 175:
      ACCEPT_TOKEN(anon_sym_transmute);
      END_STATE();
    case 176:
      if (lookahead == 'h') ADVANCE(178);
      END_STATE();
    case 177:
      if (lookahead == 'e') ADVANCE(179);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(sym_fallthrough_statement);
      END_STATE();
    case 179:
      ACCEPT_TOKEN(anon_sym_or_continue);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 87, .external_lex_state = 2},
  [2] = {.lex_state = 1, .external_lex_state = 2},
  [3] = {.lex_state = 1, .external_lex_state = 2},
  [4] = {.lex_state = 1, .external_lex_state = 2},
  [5] = {.lex_state = 1, .external_lex_state = 2},
  [6] = {.lex_state = 1, .external_lex_state = 2},
  [7] = {.lex_state = 1, .external_lex_state = 2},
  [8] = {.lex_state = 1, .external_lex_state = 2},
  [9] = {.lex_state = 1, .external_lex_state = 2},
  [10] = {.lex_state = 1, .external_lex_state = 2},
  [11] = {.lex_state = 1, .external_lex_state = 2},
  [12] = {.lex_state = 1, .external_lex_state = 2},
  [13] = {.lex_state = 1, .external_lex_state = 2},
  [14] = {.lex_state = 1, .external_lex_state = 2},
  [15] = {.lex_state = 1, .external_lex_state = 2},
  [16] = {.lex_state = 1, .external_lex_state = 2},
  [17] = {.lex_state = 1, .external_lex_state = 2},
  [18] = {.lex_state = 1, .external_lex_state = 2},
  [19] = {.lex_state = 1, .external_lex_state = 2},
  [20] = {.lex_state = 1, .external_lex_state = 2},
  [21] = {.lex_state = 1, .external_lex_state = 2},
  [22] = {.lex_state = 1, .external_lex_state = 3},
  [23] = {.lex_state = 1, .external_lex_state = 3},
  [24] = {.lex_state = 1, .external_lex_state = 3},
  [25] = {.lex_state = 1, .external_lex_state = 3},
  [26] = {.lex_state = 1, .external_lex_state = 3},
  [27] = {.lex_state = 1, .external_lex_state = 3},
  [28] = {.lex_state = 1, .external_lex_state = 3},
  [29] = {.lex_state = 1, .external_lex_state = 2},
  [30] = {.lex_state = 1, .external_lex_state = 2},
  [31] = {.lex_state = 1, .external_lex_state = 2},
  [32] = {.lex_state = 1, .external_lex_state = 2},
  [33] = {.lex_state = 1, .external_lex_state = 2},
  [34] = {.lex_state = 1, .external_lex_state = 2},
  [35] = {.lex_state = 1, .external_lex_state = 2},
  [36] = {.lex_state = 1, .external_lex_state = 2},
  [37] = {.lex_state = 1, .external_lex_state = 2},
  [38] = {.lex_state = 1, .external_lex_state = 2},
  [39] = {.lex_state = 87, .external_lex_state = 3},
  [40] = {.lex_state = 87, .external_lex_state = 2},
  [41] = {.lex_state = 87, .external_lex_state = 2},
  [42] = {.lex_state = 87, .external_lex_state = 2},
  [43] = {.lex_state = 87, .external_lex_state = 2},
  [44] = {.lex_state = 87, .external_lex_state = 2},
  [45] = {.lex_state = 87, .external_lex_state = 2},
  [46] = {.lex_state = 87, .external_lex_state = 2},
  [47] = {.lex_state = 87, .external_lex_state = 2},
  [48] = {.lex_state = 87, .external_lex_state = 2},
  [49] = {.lex_state = 87, .external_lex_state = 2},
  [50] = {.lex_state = 87, .external_lex_state = 2},
  [51] = {.lex_state = 87, .external_lex_state = 2},
  [52] = {.lex_state = 87, .external_lex_state = 2},
  [53] = {.lex_state = 87, .external_lex_state = 2},
  [54] = {.lex_state = 85, .external_lex_state = 3},
  [55] = {.lex_state = 85, .external_lex_state = 3},
  [56] = {.lex_state = 85, .external_lex_state = 2},
  [57] = {.lex_state = 87, .external_lex_state = 2},
  [58] = {.lex_state = 85, .external_lex_state = 2},
  [59] = {.lex_state = 87, .external_lex_state = 2},
  [60] = {.lex_state = 87, .external_lex_state = 2},
  [61] = {.lex_state = 87, .external_lex_state = 2},
  [62] = {.lex_state = 87, .external_lex_state = 2},
  [63] = {.lex_state = 87, .external_lex_state = 2},
  [64] = {.lex_state = 87, .external_lex_state = 2},
  [65] = {.lex_state = 87, .external_lex_state = 2},
  [66] = {.lex_state = 87, .external_lex_state = 2},
  [67] = {.lex_state = 87, .external_lex_state = 2},
  [68] = {.lex_state = 87, .external_lex_state = 2},
  [69] = {.lex_state = 87, .external_lex_state = 2},
  [70] = {.lex_state = 87, .external_lex_state = 2},
  [71] = {.lex_state = 87, .external_lex_state = 2},
  [72] = {.lex_state = 87, .external_lex_state = 2},
  [73] = {.lex_state = 83, .external_lex_state = 3},
  [74] = {.lex_state = 87, .external_lex_state = 2},
  [75] = {.lex_state = 87, .external_lex_state = 2},
  [76] = {.lex_state = 87, .external_lex_state = 2},
  [77] = {.lex_state = 87, .external_lex_state = 2},
  [78] = {.lex_state = 83, .external_lex_state = 3},
  [79] = {.lex_state = 87, .external_lex_state = 2},
  [80] = {.lex_state = 87, .external_lex_state = 2},
  [81] = {.lex_state = 87, .external_lex_state = 2},
  [82] = {.lex_state = 87, .external_lex_state = 2},
  [83] = {.lex_state = 87, .external_lex_state = 2},
  [84] = {.lex_state = 87, .external_lex_state = 2},
  [85] = {.lex_state = 87, .external_lex_state = 2},
  [86] = {.lex_state = 87, .external_lex_state = 2},
  [87] = {.lex_state = 87, .external_lex_state = 2},
  [88] = {.lex_state = 87, .external_lex_state = 2},
  [89] = {.lex_state = 87, .external_lex_state = 2},
  [90] = {.lex_state = 87, .external_lex_state = 2},
  [91] = {.lex_state = 87, .external_lex_state = 2},
  [92] = {.lex_state = 87, .external_lex_state = 2},
  [93] = {.lex_state = 87, .external_lex_state = 2},
  [94] = {.lex_state = 87, .external_lex_state = 2},
  [95] = {.lex_state = 87, .external_lex_state = 2},
  [96] = {.lex_state = 87, .external_lex_state = 2},
  [97] = {.lex_state = 87, .external_lex_state = 2},
  [98] = {.lex_state = 87, .external_lex_state = 2},
  [99] = {.lex_state = 87, .external_lex_state = 2},
  [100] = {.lex_state = 87, .external_lex_state = 2},
  [101] = {.lex_state = 87, .external_lex_state = 2},
  [102] = {.lex_state = 87, .external_lex_state = 2},
  [103] = {.lex_state = 87, .external_lex_state = 2},
  [104] = {.lex_state = 87, .external_lex_state = 2},
  [105] = {.lex_state = 87, .external_lex_state = 2},
  [106] = {.lex_state = 87, .external_lex_state = 2},
  [107] = {.lex_state = 87, .external_lex_state = 2},
  [108] = {.lex_state = 87, .external_lex_state = 2},
  [109] = {.lex_state = 87, .external_lex_state = 2},
  [110] = {.lex_state = 85, .external_lex_state = 3},
  [111] = {.lex_state = 85, .external_lex_state = 2},
  [112] = {.lex_state = 85, .external_lex_state = 2},
  [113] = {.lex_state = 85, .external_lex_state = 3},
  [114] = {.lex_state = 85, .external_lex_state = 1},
  [115] = {.lex_state = 83, .external_lex_state = 3},
  [116] = {.lex_state = 83, .external_lex_state = 3},
  [117] = {.lex_state = 85, .external_lex_state = 1},
  [118] = {.lex_state = 85, .external_lex_state = 1},
  [119] = {.lex_state = 85, .external_lex_state = 3},
  [120] = {.lex_state = 85, .external_lex_state = 1},
  [121] = {.lex_state = 85, .external_lex_state = 3},
  [122] = {.lex_state = 85, .external_lex_state = 1},
  [123] = {.lex_state = 85, .external_lex_state = 3},
  [124] = {.lex_state = 85, .external_lex_state = 1},
  [125] = {.lex_state = 85, .external_lex_state = 3},
  [126] = {.lex_state = 2, .external_lex_state = 4},
  [127] = {.lex_state = 2, .external_lex_state = 4},
  [128] = {.lex_state = 2, .external_lex_state = 4},
  [129] = {.lex_state = 2, .external_lex_state = 4},
  [130] = {.lex_state = 2, .external_lex_state = 4},
  [131] = {.lex_state = 2, .external_lex_state = 4},
  [132] = {.lex_state = 2, .external_lex_state = 4},
  [133] = {.lex_state = 85, .external_lex_state = 3},
  [134] = {.lex_state = 85, .external_lex_state = 2},
  [135] = {.lex_state = 85, .external_lex_state = 2},
  [136] = {.lex_state = 85, .external_lex_state = 3},
  [137] = {.lex_state = 85, .external_lex_state = 3},
  [138] = {.lex_state = 85, .external_lex_state = 2},
  [139] = {.lex_state = 85, .external_lex_state = 2},
  [140] = {.lex_state = 85, .external_lex_state = 2},
  [141] = {.lex_state = 85, .external_lex_state = 2},
  [142] = {.lex_state = 3, .external_lex_state = 4},
  [143] = {.lex_state = 3, .external_lex_state = 4},
  [144] = {.lex_state = 85, .external_lex_state = 2},
  [145] = {.lex_state = 3, .external_lex_state = 4},
  [146] = {.lex_state = 3, .external_lex_state = 4},
  [147] = {.lex_state = 3, .external_lex_state = 4},
  [148] = {.lex_state = 3, .external_lex_state = 4},
  [149] = {.lex_state = 3, .external_lex_state = 4},
  [150] = {.lex_state = 85, .external_lex_state = 2},
  [151] = {.lex_state = 85, .external_lex_state = 2},
  [152] = {.lex_state = 2, .external_lex_state = 5},
  [153] = {.lex_state = 3, .external_lex_state = 6},
  [154] = {.lex_state = 2, .external_lex_state = 5},
  [155] = {.lex_state = 2, .external_lex_state = 5},
  [156] = {.lex_state = 2, .external_lex_state = 5},
  [157] = {.lex_state = 2, .external_lex_state = 5},
  [158] = {.lex_state = 85, .external_lex_state = 2},
  [159] = {.lex_state = 2, .external_lex_state = 5},
  [160] = {.lex_state = 2, .external_lex_state = 5},
  [161] = {.lex_state = 3, .external_lex_state = 6},
  [162] = {.lex_state = 3, .external_lex_state = 6},
  [163] = {.lex_state = 3, .external_lex_state = 6},
  [164] = {.lex_state = 3, .external_lex_state = 6},
  [165] = {.lex_state = 3, .external_lex_state = 6},
  [166] = {.lex_state = 3, .external_lex_state = 6},
  [167] = {.lex_state = 85, .external_lex_state = 2},
  [168] = {.lex_state = 85, .external_lex_state = 2},
  [169] = {.lex_state = 85, .external_lex_state = 2},
  [170] = {.lex_state = 85, .external_lex_state = 2},
  [171] = {.lex_state = 85, .external_lex_state = 2},
  [172] = {.lex_state = 3, .external_lex_state = 5},
  [173] = {.lex_state = 3, .external_lex_state = 5},
  [174] = {.lex_state = 85, .external_lex_state = 2},
  [175] = {.lex_state = 3, .external_lex_state = 5},
  [176] = {.lex_state = 3, .external_lex_state = 5},
  [177] = {.lex_state = 85, .external_lex_state = 2},
  [178] = {.lex_state = 85, .external_lex_state = 2},
  [179] = {.lex_state = 3, .external_lex_state = 5},
  [180] = {.lex_state = 3, .external_lex_state = 5},
  [181] = {.lex_state = 3, .external_lex_state = 5},
  [182] = {.lex_state = 85, .external_lex_state = 2},
  [183] = {.lex_state = 85, .external_lex_state = 2},
  [184] = {.lex_state = 3, .external_lex_state = 7},
  [185] = {.lex_state = 3, .external_lex_state = 7},
  [186] = {.lex_state = 3, .external_lex_state = 7},
  [187] = {.lex_state = 3, .external_lex_state = 7},
  [188] = {.lex_state = 3, .external_lex_state = 7},
  [189] = {.lex_state = 3, .external_lex_state = 7},
  [190] = {.lex_state = 3, .external_lex_state = 7},
  [191] = {.lex_state = 87, .external_lex_state = 2},
  [192] = {.lex_state = 87, .external_lex_state = 2},
  [193] = {.lex_state = 84, .external_lex_state = 5},
  [194] = {.lex_state = 84, .external_lex_state = 5},
  [195] = {.lex_state = 84, .external_lex_state = 4},
  [196] = {.lex_state = 84, .external_lex_state = 4},
  [197] = {.lex_state = 84, .external_lex_state = 5},
  [198] = {.lex_state = 84, .external_lex_state = 5},
  [199] = {.lex_state = 84, .external_lex_state = 5},
  [200] = {.lex_state = 84, .external_lex_state = 4},
  [201] = {.lex_state = 84, .external_lex_state = 4},
  [202] = {.lex_state = 84, .external_lex_state = 5},
  [203] = {.lex_state = 84, .external_lex_state = 4},
  [204] = {.lex_state = 84, .external_lex_state = 5},
  [205] = {.lex_state = 84, .external_lex_state = 4},
  [206] = {.lex_state = 84, .external_lex_state = 4},
  [207] = {.lex_state = 86, .external_lex_state = 5},
  [208] = {.lex_state = 86, .external_lex_state = 5},
  [209] = {.lex_state = 86, .external_lex_state = 5},
  [210] = {.lex_state = 86, .external_lex_state = 5},
  [211] = {.lex_state = 86, .external_lex_state = 5},
  [212] = {.lex_state = 86, .external_lex_state = 5},
  [213] = {.lex_state = 86, .external_lex_state = 5},
  [214] = {.lex_state = 86, .external_lex_state = 4},
  [215] = {.lex_state = 86, .external_lex_state = 4},
  [216] = {.lex_state = 84, .external_lex_state = 8},
  [217] = {.lex_state = 86, .external_lex_state = 4},
  [218] = {.lex_state = 84, .external_lex_state = 8},
  [219] = {.lex_state = 86, .external_lex_state = 4},
  [220] = {.lex_state = 86, .external_lex_state = 4},
  [221] = {.lex_state = 84, .external_lex_state = 8},
  [222] = {.lex_state = 84, .external_lex_state = 8},
  [223] = {.lex_state = 84, .external_lex_state = 8},
  [224] = {.lex_state = 84, .external_lex_state = 8},
  [225] = {.lex_state = 84, .external_lex_state = 8},
  [226] = {.lex_state = 86, .external_lex_state = 4},
  [227] = {.lex_state = 86, .external_lex_state = 4},
  [228] = {.lex_state = 86, .external_lex_state = 7},
  [229] = {.lex_state = 86, .external_lex_state = 7},
  [230] = {.lex_state = 86, .external_lex_state = 7},
  [231] = {.lex_state = 86, .external_lex_state = 6},
  [232] = {.lex_state = 86, .external_lex_state = 7},
  [233] = {.lex_state = 86, .external_lex_state = 6},
  [234] = {.lex_state = 86, .external_lex_state = 6},
  [235] = {.lex_state = 86, .external_lex_state = 7},
  [236] = {.lex_state = 86, .external_lex_state = 6},
  [237] = {.lex_state = 86, .external_lex_state = 6},
  [238] = {.lex_state = 86, .external_lex_state = 7},
  [239] = {.lex_state = 86, .external_lex_state = 6},
  [240] = {.lex_state = 86, .external_lex_state = 6},
  [241] = {.lex_state = 86, .external_lex_state = 7},
  [242] = {.lex_state = 84, .external_lex_state = 5},
  [243] = {.lex_state = 86, .external_lex_state = 8},
  [244] = {.lex_state = 86, .external_lex_state = 8},
  [245] = {.lex_state = 86, .external_lex_state = 8},
  [246] = {.lex_state = 86, .external_lex_state = 8},
  [247] = {.lex_state = 86, .external_lex_state = 8},
  [248] = {.lex_state = 86, .external_lex_state = 8},
  [249] = {.lex_state = 86, .external_lex_state = 8},
  [250] = {.lex_state = 84, .external_lex_state = 5},
  [251] = {.lex_state = 84, .external_lex_state = 5},
  [252] = {.lex_state = 84, .external_lex_state = 5},
  [253] = {.lex_state = 84, .external_lex_state = 5},
  [254] = {.lex_state = 84, .external_lex_state = 5},
  [255] = {.lex_state = 84, .external_lex_state = 5},
  [256] = {.lex_state = 86, .external_lex_state = 9},
  [257] = {.lex_state = 86, .external_lex_state = 9},
  [258] = {.lex_state = 86, .external_lex_state = 9},
  [259] = {.lex_state = 86, .external_lex_state = 9},
  [260] = {.lex_state = 86, .external_lex_state = 9},
  [261] = {.lex_state = 86, .external_lex_state = 9},
  [262] = {.lex_state = 86, .external_lex_state = 9},
  [263] = {.lex_state = 84, .external_lex_state = 5},
  [264] = {.lex_state = 84, .external_lex_state = 5},
  [265] = {.lex_state = 84, .external_lex_state = 5},
  [266] = {.lex_state = 84, .external_lex_state = 5},
  [267] = {.lex_state = 84, .external_lex_state = 5},
  [268] = {.lex_state = 84, .external_lex_state = 5},
  [269] = {.lex_state = 84, .external_lex_state = 5},
  [270] = {.lex_state = 87, .external_lex_state = 2},
  [271] = {.lex_state = 87, .external_lex_state = 2},
  [272] = {.lex_state = 4, .external_lex_state = 2},
  [273] = {.lex_state = 4, .external_lex_state = 2},
  [274] = {.lex_state = 87, .external_lex_state = 2},
  [275] = {.lex_state = 87, .external_lex_state = 2},
  [276] = {.lex_state = 87, .external_lex_state = 2},
  [277] = {.lex_state = 87, .external_lex_state = 2},
  [278] = {.lex_state = 87, .external_lex_state = 2},
  [279] = {.lex_state = 87, .external_lex_state = 2},
  [280] = {.lex_state = 87, .external_lex_state = 2},
  [281] = {.lex_state = 87, .external_lex_state = 2},
  [282] = {.lex_state = 87, .external_lex_state = 2},
  [283] = {.lex_state = 87, .external_lex_state = 3},
  [284] = {.lex_state = 87, .external_lex_state = 2},
  [285] = {.lex_state = 87, .external_lex_state = 2},
  [286] = {.lex_state = 87, .external_lex_state = 2},
  [287] = {.lex_state = 87, .external_lex_state = 2},
  [288] = {.lex_state = 87, .external_lex_state = 2},
  [289] = {.lex_state = 87, .external_lex_state = 2},
  [290] = {.lex_state = 87, .external_lex_state = 2},
  [291] = {.lex_state = 87, .external_lex_state = 2},
  [292] = {.lex_state = 87, .external_lex_state = 2},
  [293] = {.lex_state = 87, .external_lex_state = 2},
  [294] = {.lex_state = 87, .external_lex_state = 2},
  [295] = {.lex_state = 87, .external_lex_state = 2},
  [296] = {.lex_state = 87, .external_lex_state = 2},
  [297] = {.lex_state = 87, .external_lex_state = 2},
  [298] = {.lex_state = 87, .external_lex_state = 2},
  [299] = {.lex_state = 87, .external_lex_state = 2},
  [300] = {.lex_state = 87, .external_lex_state = 2},
  [301] = {.lex_state = 87, .external_lex_state = 2},
  [302] = {.lex_state = 87, .external_lex_state = 2},
  [303] = {.lex_state = 87, .external_lex_state = 2},
  [304] = {.lex_state = 87, .external_lex_state = 2},
  [305] = {.lex_state = 87, .external_lex_state = 2},
  [306] = {.lex_state = 87, .external_lex_state = 2},
  [307] = {.lex_state = 87, .external_lex_state = 2},
  [308] = {.lex_state = 87, .external_lex_state = 2},
  [309] = {.lex_state = 87, .external_lex_state = 2},
  [310] = {.lex_state = 87, .external_lex_state = 2},
  [311] = {.lex_state = 87, .external_lex_state = 2},
  [312] = {.lex_state = 87, .external_lex_state = 2},
  [313] = {.lex_state = 87, .external_lex_state = 2},
  [314] = {.lex_state = 87, .external_lex_state = 2},
  [315] = {.lex_state = 87, .external_lex_state = 2},
  [316] = {.lex_state = 87, .external_lex_state = 2},
  [317] = {.lex_state = 87, .external_lex_state = 2},
  [318] = {.lex_state = 87, .external_lex_state = 2},
  [319] = {.lex_state = 87, .external_lex_state = 2},
  [320] = {.lex_state = 87, .external_lex_state = 2},
  [321] = {.lex_state = 87, .external_lex_state = 2},
  [322] = {.lex_state = 87, .external_lex_state = 2},
  [323] = {.lex_state = 87, .external_lex_state = 2},
  [324] = {.lex_state = 87, .external_lex_state = 2},
  [325] = {.lex_state = 87, .external_lex_state = 2},
  [326] = {.lex_state = 87, .external_lex_state = 2},
  [327] = {.lex_state = 87, .external_lex_state = 2},
  [328] = {.lex_state = 87, .external_lex_state = 2},
  [329] = {.lex_state = 87, .external_lex_state = 2},
  [330] = {.lex_state = 87, .external_lex_state = 2},
  [331] = {.lex_state = 87, .external_lex_state = 2},
  [332] = {.lex_state = 87, .external_lex_state = 2},
  [333] = {.lex_state = 87, .external_lex_state = 2},
  [334] = {.lex_state = 87, .external_lex_state = 2},
  [335] = {.lex_state = 87, .external_lex_state = 2},
  [336] = {.lex_state = 87, .external_lex_state = 2},
  [337] = {.lex_state = 87, .external_lex_state = 2},
  [338] = {.lex_state = 87, .external_lex_state = 2},
  [339] = {.lex_state = 87, .external_lex_state = 2},
  [340] = {.lex_state = 87, .external_lex_state = 2},
  [341] = {.lex_state = 87, .external_lex_state = 2},
  [342] = {.lex_state = 87, .external_lex_state = 2},
  [343] = {.lex_state = 87, .external_lex_state = 2},
  [344] = {.lex_state = 87, .external_lex_state = 2},
  [345] = {.lex_state = 87, .external_lex_state = 2},
  [346] = {.lex_state = 87, .external_lex_state = 2},
  [347] = {.lex_state = 87, .external_lex_state = 2},
  [348] = {.lex_state = 87, .external_lex_state = 2},
  [349] = {.lex_state = 87, .external_lex_state = 2},
  [350] = {.lex_state = 87, .external_lex_state = 2},
  [351] = {.lex_state = 87, .external_lex_state = 2},
  [352] = {.lex_state = 87, .external_lex_state = 2},
  [353] = {.lex_state = 87, .external_lex_state = 2},
  [354] = {.lex_state = 87, .external_lex_state = 2},
  [355] = {.lex_state = 87, .external_lex_state = 2},
  [356] = {.lex_state = 87, .external_lex_state = 2},
  [357] = {.lex_state = 87, .external_lex_state = 2},
  [358] = {.lex_state = 87, .external_lex_state = 2},
  [359] = {.lex_state = 87, .external_lex_state = 2},
  [360] = {.lex_state = 87, .external_lex_state = 2},
  [361] = {.lex_state = 87, .external_lex_state = 2},
  [362] = {.lex_state = 87, .external_lex_state = 2},
  [363] = {.lex_state = 87, .external_lex_state = 2},
  [364] = {.lex_state = 87, .external_lex_state = 2},
  [365] = {.lex_state = 87, .external_lex_state = 2},
  [366] = {.lex_state = 87, .external_lex_state = 2},
  [367] = {.lex_state = 87, .external_lex_state = 2},
  [368] = {.lex_state = 87, .external_lex_state = 2},
  [369] = {.lex_state = 87, .external_lex_state = 2},
  [370] = {.lex_state = 87, .external_lex_state = 2},
  [371] = {.lex_state = 87, .external_lex_state = 2},
  [372] = {.lex_state = 87, .external_lex_state = 2},
  [373] = {.lex_state = 87, .external_lex_state = 2},
  [374] = {.lex_state = 87, .external_lex_state = 2},
  [375] = {.lex_state = 87, .external_lex_state = 2},
  [376] = {.lex_state = 87, .external_lex_state = 2},
  [377] = {.lex_state = 87, .external_lex_state = 2},
  [378] = {.lex_state = 87, .external_lex_state = 2},
  [379] = {.lex_state = 87, .external_lex_state = 2},
  [380] = {.lex_state = 87, .external_lex_state = 2},
  [381] = {.lex_state = 87, .external_lex_state = 2},
  [382] = {.lex_state = 87, .external_lex_state = 2},
  [383] = {.lex_state = 87, .external_lex_state = 2},
  [384] = {.lex_state = 87, .external_lex_state = 2},
  [385] = {.lex_state = 87, .external_lex_state = 2},
  [386] = {.lex_state = 87, .external_lex_state = 2},
  [387] = {.lex_state = 87, .external_lex_state = 2},
  [388] = {.lex_state = 87, .external_lex_state = 2},
  [389] = {.lex_state = 87, .external_lex_state = 2},
  [390] = {.lex_state = 87, .external_lex_state = 2},
  [391] = {.lex_state = 87, .external_lex_state = 2},
  [392] = {.lex_state = 87, .external_lex_state = 2},
  [393] = {.lex_state = 87, .external_lex_state = 2},
  [394] = {.lex_state = 87, .external_lex_state = 2},
  [395] = {.lex_state = 87, .external_lex_state = 2},
  [396] = {.lex_state = 87, .external_lex_state = 2},
  [397] = {.lex_state = 87, .external_lex_state = 2},
  [398] = {.lex_state = 87, .external_lex_state = 2},
  [399] = {.lex_state = 87, .external_lex_state = 2},
  [400] = {.lex_state = 87, .external_lex_state = 2},
  [401] = {.lex_state = 87, .external_lex_state = 2},
  [402] = {.lex_state = 87, .external_lex_state = 2},
  [403] = {.lex_state = 87, .external_lex_state = 2},
  [404] = {.lex_state = 87, .external_lex_state = 2},
  [405] = {.lex_state = 87, .external_lex_state = 2},
  [406] = {.lex_state = 87, .external_lex_state = 2},
  [407] = {.lex_state = 87, .external_lex_state = 2},
  [408] = {.lex_state = 87, .external_lex_state = 2},
  [409] = {.lex_state = 87, .external_lex_state = 2},
  [410] = {.lex_state = 87, .external_lex_state = 2},
  [411] = {.lex_state = 87, .external_lex_state = 2},
  [412] = {.lex_state = 87, .external_lex_state = 2},
  [413] = {.lex_state = 87, .external_lex_state = 2},
  [414] = {.lex_state = 87, .external_lex_state = 2},
  [415] = {.lex_state = 87, .external_lex_state = 2},
  [416] = {.lex_state = 87, .external_lex_state = 2},
  [417] = {.lex_state = 87, .external_lex_state = 2},
  [418] = {.lex_state = 87, .external_lex_state = 2},
  [419] = {.lex_state = 87, .external_lex_state = 2},
  [420] = {.lex_state = 87, .external_lex_state = 2},
  [421] = {.lex_state = 87, .external_lex_state = 2},
  [422] = {.lex_state = 87, .external_lex_state = 2},
  [423] = {.lex_state = 87, .external_lex_state = 2},
  [424] = {.lex_state = 87, .external_lex_state = 2},
  [425] = {.lex_state = 87, .external_lex_state = 2},
  [426] = {.lex_state = 87, .external_lex_state = 2},
  [427] = {.lex_state = 87, .external_lex_state = 2},
  [428] = {.lex_state = 87, .external_lex_state = 2},
  [429] = {.lex_state = 87, .external_lex_state = 2},
  [430] = {.lex_state = 87, .external_lex_state = 2},
  [431] = {.lex_state = 87, .external_lex_state = 2},
  [432] = {.lex_state = 87, .external_lex_state = 2},
  [433] = {.lex_state = 87, .external_lex_state = 2},
  [434] = {.lex_state = 87, .external_lex_state = 2},
  [435] = {.lex_state = 87, .external_lex_state = 2},
  [436] = {.lex_state = 87, .external_lex_state = 2},
  [437] = {.lex_state = 87, .external_lex_state = 2},
  [438] = {.lex_state = 87, .external_lex_state = 2},
  [439] = {.lex_state = 87, .external_lex_state = 2},
  [440] = {.lex_state = 87, .external_lex_state = 2},
  [441] = {.lex_state = 87, .external_lex_state = 2},
  [442] = {.lex_state = 87, .external_lex_state = 2},
  [443] = {.lex_state = 87, .external_lex_state = 2},
  [444] = {.lex_state = 87, .external_lex_state = 2},
  [445] = {.lex_state = 87, .external_lex_state = 2},
  [446] = {.lex_state = 87, .external_lex_state = 2},
  [447] = {.lex_state = 87, .external_lex_state = 2},
  [448] = {.lex_state = 87, .external_lex_state = 3},
  [449] = {.lex_state = 87, .external_lex_state = 2},
  [450] = {.lex_state = 87, .external_lex_state = 2},
  [451] = {.lex_state = 87, .external_lex_state = 2},
  [452] = {.lex_state = 87, .external_lex_state = 2},
  [453] = {.lex_state = 87, .external_lex_state = 2},
  [454] = {.lex_state = 87, .external_lex_state = 3},
  [455] = {.lex_state = 87, .external_lex_state = 2},
  [456] = {.lex_state = 87, .external_lex_state = 2},
  [457] = {.lex_state = 87, .external_lex_state = 2},
  [458] = {.lex_state = 87, .external_lex_state = 2},
  [459] = {.lex_state = 87, .external_lex_state = 2},
  [460] = {.lex_state = 87, .external_lex_state = 2},
  [461] = {.lex_state = 87, .external_lex_state = 3},
  [462] = {.lex_state = 87, .external_lex_state = 2},
  [463] = {.lex_state = 87, .external_lex_state = 2},
  [464] = {.lex_state = 87, .external_lex_state = 2},
  [465] = {.lex_state = 87, .external_lex_state = 2},
  [466] = {.lex_state = 87, .external_lex_state = 2},
  [467] = {.lex_state = 87, .external_lex_state = 2},
  [468] = {.lex_state = 87, .external_lex_state = 2},
  [469] = {.lex_state = 87, .external_lex_state = 2},
  [470] = {.lex_state = 87, .external_lex_state = 2},
  [471] = {.lex_state = 87, .external_lex_state = 2},
  [472] = {.lex_state = 87, .external_lex_state = 2},
  [473] = {.lex_state = 87, .external_lex_state = 2},
  [474] = {.lex_state = 87, .external_lex_state = 2},
  [475] = {.lex_state = 87, .external_lex_state = 2},
  [476] = {.lex_state = 87, .external_lex_state = 2},
  [477] = {.lex_state = 87, .external_lex_state = 2},
  [478] = {.lex_state = 87, .external_lex_state = 2},
  [479] = {.lex_state = 87, .external_lex_state = 2},
  [480] = {.lex_state = 87, .external_lex_state = 2},
  [481] = {.lex_state = 87, .external_lex_state = 2},
  [482] = {.lex_state = 87, .external_lex_state = 2},
  [483] = {.lex_state = 87, .external_lex_state = 2},
  [484] = {.lex_state = 87, .external_lex_state = 2},
  [485] = {.lex_state = 87, .external_lex_state = 2},
  [486] = {.lex_state = 87, .external_lex_state = 2},
  [487] = {.lex_state = 87, .external_lex_state = 2},
  [488] = {.lex_state = 87, .external_lex_state = 2},
  [489] = {.lex_state = 87, .external_lex_state = 2},
  [490] = {.lex_state = 87, .external_lex_state = 2},
  [491] = {.lex_state = 87, .external_lex_state = 2},
  [492] = {.lex_state = 87, .external_lex_state = 2},
  [493] = {.lex_state = 4, .external_lex_state = 2},
  [494] = {.lex_state = 87, .external_lex_state = 3},
  [495] = {.lex_state = 87, .external_lex_state = 2},
  [496] = {.lex_state = 4, .external_lex_state = 2},
  [497] = {.lex_state = 87, .external_lex_state = 3},
  [498] = {.lex_state = 87, .external_lex_state = 2},
  [499] = {.lex_state = 87, .external_lex_state = 2},
  [500] = {.lex_state = 87, .external_lex_state = 3},
  [501] = {.lex_state = 87, .external_lex_state = 3},
  [502] = {.lex_state = 4, .external_lex_state = 2},
  [503] = {.lex_state = 5, .external_lex_state = 4},
  [504] = {.lex_state = 5, .external_lex_state = 4},
  [505] = {.lex_state = 5, .external_lex_state = 4},
  [506] = {.lex_state = 5, .external_lex_state = 4},
  [507] = {.lex_state = 5, .external_lex_state = 4},
  [508] = {.lex_state = 87, .external_lex_state = 2},
  [509] = {.lex_state = 87, .external_lex_state = 2},
  [510] = {.lex_state = 87, .external_lex_state = 2},
  [511] = {.lex_state = 87, .external_lex_state = 2},
  [512] = {.lex_state = 87, .external_lex_state = 2},
  [513] = {.lex_state = 87, .external_lex_state = 2},
  [514] = {.lex_state = 87, .external_lex_state = 2},
  [515] = {.lex_state = 87, .external_lex_state = 2},
  [516] = {.lex_state = 5, .external_lex_state = 4},
  [517] = {.lex_state = 87, .external_lex_state = 2},
  [518] = {.lex_state = 87, .external_lex_state = 2},
  [519] = {.lex_state = 89, .external_lex_state = 4},
  [520] = {.lex_state = 87, .external_lex_state = 2},
  [521] = {.lex_state = 87, .external_lex_state = 2},
  [522] = {.lex_state = 87, .external_lex_state = 2},
  [523] = {.lex_state = 89, .external_lex_state = 4},
  [524] = {.lex_state = 87, .external_lex_state = 2},
  [525] = {.lex_state = 87, .external_lex_state = 2},
  [526] = {.lex_state = 87, .external_lex_state = 2},
  [527] = {.lex_state = 5, .external_lex_state = 4},
  [528] = {.lex_state = 87, .external_lex_state = 2},
  [529] = {.lex_state = 87, .external_lex_state = 2},
  [530] = {.lex_state = 87, .external_lex_state = 2},
  [531] = {.lex_state = 87, .external_lex_state = 2},
  [532] = {.lex_state = 87, .external_lex_state = 2},
  [533] = {.lex_state = 87, .external_lex_state = 2},
  [534] = {.lex_state = 87, .external_lex_state = 2},
  [535] = {.lex_state = 87, .external_lex_state = 2},
  [536] = {.lex_state = 87, .external_lex_state = 2},
  [537] = {.lex_state = 87, .external_lex_state = 2},
  [538] = {.lex_state = 87, .external_lex_state = 2},
  [539] = {.lex_state = 87, .external_lex_state = 2},
  [540] = {.lex_state = 87, .external_lex_state = 2},
  [541] = {.lex_state = 87, .external_lex_state = 2},
  [542] = {.lex_state = 87, .external_lex_state = 2},
  [543] = {.lex_state = 87, .external_lex_state = 2},
  [544] = {.lex_state = 87, .external_lex_state = 2},
  [545] = {.lex_state = 87, .external_lex_state = 2},
  [546] = {.lex_state = 87, .external_lex_state = 2},
  [547] = {.lex_state = 87, .external_lex_state = 2},
  [548] = {.lex_state = 87, .external_lex_state = 2},
  [549] = {.lex_state = 87, .external_lex_state = 2},
  [550] = {.lex_state = 87, .external_lex_state = 2},
  [551] = {.lex_state = 87, .external_lex_state = 2},
  [552] = {.lex_state = 87, .external_lex_state = 2},
  [553] = {.lex_state = 87, .external_lex_state = 2},
  [554] = {.lex_state = 87, .external_lex_state = 2},
  [555] = {.lex_state = 87, .external_lex_state = 2},
  [556] = {.lex_state = 87, .external_lex_state = 2},
  [557] = {.lex_state = 87, .external_lex_state = 2},
  [558] = {.lex_state = 87, .external_lex_state = 2},
  [559] = {.lex_state = 87, .external_lex_state = 2},
  [560] = {.lex_state = 87, .external_lex_state = 2},
  [561] = {.lex_state = 87, .external_lex_state = 2},
  [562] = {.lex_state = 87, .external_lex_state = 2},
  [563] = {.lex_state = 87, .external_lex_state = 2},
  [564] = {.lex_state = 87, .external_lex_state = 2},
  [565] = {.lex_state = 5, .external_lex_state = 4},
  [566] = {.lex_state = 87, .external_lex_state = 2},
  [567] = {.lex_state = 5, .external_lex_state = 4},
  [568] = {.lex_state = 87, .external_lex_state = 2},
  [569] = {.lex_state = 5, .external_lex_state = 4},
  [570] = {.lex_state = 89, .external_lex_state = 4},
  [571] = {.lex_state = 87, .external_lex_state = 2},
  [572] = {.lex_state = 87, .external_lex_state = 2},
  [573] = {.lex_state = 5, .external_lex_state = 4},
  [574] = {.lex_state = 5, .external_lex_state = 4},
  [575] = {.lex_state = 5, .external_lex_state = 4},
  [576] = {.lex_state = 5, .external_lex_state = 4},
  [577] = {.lex_state = 5, .external_lex_state = 4},
  [578] = {.lex_state = 5, .external_lex_state = 4},
  [579] = {.lex_state = 87, .external_lex_state = 2},
  [580] = {.lex_state = 5, .external_lex_state = 4},
  [581] = {.lex_state = 5, .external_lex_state = 4},
  [582] = {.lex_state = 87, .external_lex_state = 2},
  [583] = {.lex_state = 5, .external_lex_state = 4},
  [584] = {.lex_state = 87, .external_lex_state = 2},
  [585] = {.lex_state = 5, .external_lex_state = 4},
  [586] = {.lex_state = 5, .external_lex_state = 4},
  [587] = {.lex_state = 5, .external_lex_state = 4},
  [588] = {.lex_state = 89, .external_lex_state = 4},
  [589] = {.lex_state = 87, .external_lex_state = 2},
  [590] = {.lex_state = 87, .external_lex_state = 2},
  [591] = {.lex_state = 5, .external_lex_state = 4},
  [592] = {.lex_state = 5, .external_lex_state = 4},
  [593] = {.lex_state = 87, .external_lex_state = 2},
  [594] = {.lex_state = 87, .external_lex_state = 2},
  [595] = {.lex_state = 87, .external_lex_state = 2},
  [596] = {.lex_state = 87, .external_lex_state = 2},
  [597] = {.lex_state = 87, .external_lex_state = 2},
  [598] = {.lex_state = 87, .external_lex_state = 2},
  [599] = {.lex_state = 5, .external_lex_state = 4},
  [600] = {.lex_state = 87, .external_lex_state = 2},
  [601] = {.lex_state = 87, .external_lex_state = 2},
  [602] = {.lex_state = 87, .external_lex_state = 2},
  [603] = {.lex_state = 87, .external_lex_state = 2},
  [604] = {.lex_state = 87, .external_lex_state = 2},
  [605] = {.lex_state = 5, .external_lex_state = 4},
  [606] = {.lex_state = 87, .external_lex_state = 2},
  [607] = {.lex_state = 87, .external_lex_state = 2},
  [608] = {.lex_state = 5, .external_lex_state = 4},
  [609] = {.lex_state = 87, .external_lex_state = 2},
  [610] = {.lex_state = 87, .external_lex_state = 2},
  [611] = {.lex_state = 87, .external_lex_state = 2},
  [612] = {.lex_state = 87, .external_lex_state = 2},
  [613] = {.lex_state = 87, .external_lex_state = 2},
  [614] = {.lex_state = 87, .external_lex_state = 2},
  [615] = {.lex_state = 87, .external_lex_state = 2},
  [616] = {.lex_state = 5, .external_lex_state = 4},
  [617] = {.lex_state = 87, .external_lex_state = 2},
  [618] = {.lex_state = 87, .external_lex_state = 2},
  [619] = {.lex_state = 87, .external_lex_state = 2},
  [620] = {.lex_state = 87, .external_lex_state = 2},
  [621] = {.lex_state = 5, .external_lex_state = 4},
  [622] = {.lex_state = 87, .external_lex_state = 2},
  [623] = {.lex_state = 87, .external_lex_state = 2},
  [624] = {.lex_state = 87, .external_lex_state = 2},
  [625] = {.lex_state = 87, .external_lex_state = 2},
  [626] = {.lex_state = 87, .external_lex_state = 2},
  [627] = {.lex_state = 5, .external_lex_state = 4},
  [628] = {.lex_state = 5, .external_lex_state = 4},
  [629] = {.lex_state = 87, .external_lex_state = 2},
  [630] = {.lex_state = 87, .external_lex_state = 2},
  [631] = {.lex_state = 87, .external_lex_state = 2},
  [632] = {.lex_state = 87, .external_lex_state = 2},
  [633] = {.lex_state = 87, .external_lex_state = 2},
  [634] = {.lex_state = 87, .external_lex_state = 2},
  [635] = {.lex_state = 5, .external_lex_state = 4},
  [636] = {.lex_state = 87, .external_lex_state = 2},
  [637] = {.lex_state = 87, .external_lex_state = 2},
  [638] = {.lex_state = 5, .external_lex_state = 4},
  [639] = {.lex_state = 5, .external_lex_state = 4},
  [640] = {.lex_state = 5, .external_lex_state = 4},
  [641] = {.lex_state = 87, .external_lex_state = 2},
  [642] = {.lex_state = 5, .external_lex_state = 4},
  [643] = {.lex_state = 87, .external_lex_state = 2},
  [644] = {.lex_state = 87, .external_lex_state = 2},
  [645] = {.lex_state = 87, .external_lex_state = 2},
  [646] = {.lex_state = 5, .external_lex_state = 4},
  [647] = {.lex_state = 5, .external_lex_state = 4},
  [648] = {.lex_state = 87, .external_lex_state = 2},
  [649] = {.lex_state = 5, .external_lex_state = 4},
  [650] = {.lex_state = 5, .external_lex_state = 4},
  [651] = {.lex_state = 5, .external_lex_state = 4},
  [652] = {.lex_state = 87, .external_lex_state = 2},
  [653] = {.lex_state = 5, .external_lex_state = 4},
  [654] = {.lex_state = 5, .external_lex_state = 4},
  [655] = {.lex_state = 87, .external_lex_state = 2},
  [656] = {.lex_state = 5, .external_lex_state = 4},
  [657] = {.lex_state = 5, .external_lex_state = 4},
  [658] = {.lex_state = 5, .external_lex_state = 4},
  [659] = {.lex_state = 5, .external_lex_state = 4},
  [660] = {.lex_state = 87, .external_lex_state = 2},
  [661] = {.lex_state = 87, .external_lex_state = 2},
  [662] = {.lex_state = 5, .external_lex_state = 4},
  [663] = {.lex_state = 87, .external_lex_state = 2},
  [664] = {.lex_state = 89, .external_lex_state = 4},
  [665] = {.lex_state = 5, .external_lex_state = 4},
  [666] = {.lex_state = 5, .external_lex_state = 4},
  [667] = {.lex_state = 5, .external_lex_state = 4},
  [668] = {.lex_state = 5, .external_lex_state = 4},
  [669] = {.lex_state = 87, .external_lex_state = 2},
  [670] = {.lex_state = 87, .external_lex_state = 2},
  [671] = {.lex_state = 87, .external_lex_state = 2},
  [672] = {.lex_state = 87, .external_lex_state = 2},
  [673] = {.lex_state = 87, .external_lex_state = 2},
  [674] = {.lex_state = 87, .external_lex_state = 2},
  [675] = {.lex_state = 87, .external_lex_state = 2},
  [676] = {.lex_state = 87, .external_lex_state = 2},
  [677] = {.lex_state = 87, .external_lex_state = 2},
  [678] = {.lex_state = 87, .external_lex_state = 2},
  [679] = {.lex_state = 5, .external_lex_state = 4},
  [680] = {.lex_state = 5, .external_lex_state = 4},
  [681] = {.lex_state = 5, .external_lex_state = 4},
  [682] = {.lex_state = 5, .external_lex_state = 4},
  [683] = {.lex_state = 87, .external_lex_state = 2},
  [684] = {.lex_state = 5, .external_lex_state = 4},
  [685] = {.lex_state = 5, .external_lex_state = 4},
  [686] = {.lex_state = 5, .external_lex_state = 4},
  [687] = {.lex_state = 5, .external_lex_state = 4},
  [688] = {.lex_state = 5, .external_lex_state = 4},
  [689] = {.lex_state = 5, .external_lex_state = 4},
  [690] = {.lex_state = 5, .external_lex_state = 4},
  [691] = {.lex_state = 5, .external_lex_state = 4},
  [692] = {.lex_state = 5, .external_lex_state = 4},
  [693] = {.lex_state = 5, .external_lex_state = 4},
  [694] = {.lex_state = 5, .external_lex_state = 4},
  [695] = {.lex_state = 5, .external_lex_state = 4},
  [696] = {.lex_state = 5, .external_lex_state = 4},
  [697] = {.lex_state = 5, .external_lex_state = 4},
  [698] = {.lex_state = 5, .external_lex_state = 4},
  [699] = {.lex_state = 5, .external_lex_state = 4},
  [700] = {.lex_state = 5, .external_lex_state = 4},
  [701] = {.lex_state = 5, .external_lex_state = 4},
  [702] = {.lex_state = 5, .external_lex_state = 4},
  [703] = {.lex_state = 5, .external_lex_state = 4},
  [704] = {.lex_state = 5, .external_lex_state = 4},
  [705] = {.lex_state = 5, .external_lex_state = 4},
  [706] = {.lex_state = 5, .external_lex_state = 4},
  [707] = {.lex_state = 5, .external_lex_state = 4},
  [708] = {.lex_state = 5, .external_lex_state = 4},
  [709] = {.lex_state = 5, .external_lex_state = 4},
  [710] = {.lex_state = 87, .external_lex_state = 2},
  [711] = {.lex_state = 5, .external_lex_state = 4},
  [712] = {.lex_state = 87, .external_lex_state = 2},
  [713] = {.lex_state = 5, .external_lex_state = 4},
  [714] = {.lex_state = 5, .external_lex_state = 4},
  [715] = {.lex_state = 5, .external_lex_state = 4},
  [716] = {.lex_state = 5, .external_lex_state = 4},
  [717] = {.lex_state = 5, .external_lex_state = 4},
  [718] = {.lex_state = 5, .external_lex_state = 4},
  [719] = {.lex_state = 5, .external_lex_state = 4},
  [720] = {.lex_state = 87, .external_lex_state = 2},
  [721] = {.lex_state = 5, .external_lex_state = 4},
  [722] = {.lex_state = 5, .external_lex_state = 4},
  [723] = {.lex_state = 5, .external_lex_state = 4},
  [724] = {.lex_state = 5, .external_lex_state = 4},
  [725] = {.lex_state = 5, .external_lex_state = 4},
  [726] = {.lex_state = 5, .external_lex_state = 4},
  [727] = {.lex_state = 5, .external_lex_state = 4},
  [728] = {.lex_state = 5, .external_lex_state = 4},
  [729] = {.lex_state = 5, .external_lex_state = 4},
  [730] = {.lex_state = 5, .external_lex_state = 4},
  [731] = {.lex_state = 5, .external_lex_state = 4},
  [732] = {.lex_state = 5, .external_lex_state = 4},
  [733] = {.lex_state = 5, .external_lex_state = 4},
  [734] = {.lex_state = 5, .external_lex_state = 4},
  [735] = {.lex_state = 5, .external_lex_state = 4},
  [736] = {.lex_state = 5, .external_lex_state = 4},
  [737] = {.lex_state = 87, .external_lex_state = 2},
  [738] = {.lex_state = 5, .external_lex_state = 4},
  [739] = {.lex_state = 5, .external_lex_state = 4},
  [740] = {.lex_state = 87, .external_lex_state = 2},
  [741] = {.lex_state = 5, .external_lex_state = 4},
  [742] = {.lex_state = 5, .external_lex_state = 4},
  [743] = {.lex_state = 5, .external_lex_state = 4},
  [744] = {.lex_state = 87, .external_lex_state = 2},
  [745] = {.lex_state = 87, .external_lex_state = 2},
  [746] = {.lex_state = 87, .external_lex_state = 2},
  [747] = {.lex_state = 87, .external_lex_state = 2},
  [748] = {.lex_state = 87, .external_lex_state = 2},
  [749] = {.lex_state = 87, .external_lex_state = 2},
  [750] = {.lex_state = 87, .external_lex_state = 2},
  [751] = {.lex_state = 87, .external_lex_state = 2},
  [752] = {.lex_state = 87, .external_lex_state = 2},
  [753] = {.lex_state = 87, .external_lex_state = 2},
  [754] = {.lex_state = 87, .external_lex_state = 2},
  [755] = {.lex_state = 87, .external_lex_state = 2},
  [756] = {.lex_state = 87, .external_lex_state = 2},
  [757] = {.lex_state = 87, .external_lex_state = 2},
  [758] = {.lex_state = 87, .external_lex_state = 2},
  [759] = {.lex_state = 87, .external_lex_state = 2},
  [760] = {.lex_state = 87, .external_lex_state = 2},
  [761] = {.lex_state = 87, .external_lex_state = 2},
  [762] = {.lex_state = 87, .external_lex_state = 2},
  [763] = {.lex_state = 87, .external_lex_state = 2},
  [764] = {.lex_state = 87, .external_lex_state = 2},
  [765] = {.lex_state = 87, .external_lex_state = 2},
  [766] = {.lex_state = 87, .external_lex_state = 2},
  [767] = {.lex_state = 5, .external_lex_state = 4},
  [768] = {.lex_state = 5, .external_lex_state = 4},
  [769] = {.lex_state = 87, .external_lex_state = 2},
  [770] = {.lex_state = 5, .external_lex_state = 4},
  [771] = {.lex_state = 5, .external_lex_state = 4},
  [772] = {.lex_state = 5, .external_lex_state = 4},
  [773] = {.lex_state = 5, .external_lex_state = 4},
  [774] = {.lex_state = 87, .external_lex_state = 2},
  [775] = {.lex_state = 87, .external_lex_state = 2},
  [776] = {.lex_state = 87, .external_lex_state = 2},
  [777] = {.lex_state = 87, .external_lex_state = 2},
  [778] = {.lex_state = 87, .external_lex_state = 2},
  [779] = {.lex_state = 87, .external_lex_state = 2},
  [780] = {.lex_state = 87, .external_lex_state = 2},
  [781] = {.lex_state = 87, .external_lex_state = 2},
  [782] = {.lex_state = 87, .external_lex_state = 2},
  [783] = {.lex_state = 87, .external_lex_state = 2},
  [784] = {.lex_state = 87, .external_lex_state = 2},
  [785] = {.lex_state = 87, .external_lex_state = 2},
  [786] = {.lex_state = 87, .external_lex_state = 2},
  [787] = {.lex_state = 5, .external_lex_state = 4},
  [788] = {.lex_state = 87, .external_lex_state = 2},
  [789] = {.lex_state = 5, .external_lex_state = 4},
  [790] = {.lex_state = 5, .external_lex_state = 4},
  [791] = {.lex_state = 5, .external_lex_state = 4},
  [792] = {.lex_state = 5, .external_lex_state = 4},
  [793] = {.lex_state = 87, .external_lex_state = 2},
  [794] = {.lex_state = 87, .external_lex_state = 2},
  [795] = {.lex_state = 87, .external_lex_state = 2},
  [796] = {.lex_state = 5, .external_lex_state = 4},
  [797] = {.lex_state = 87, .external_lex_state = 2},
  [798] = {.lex_state = 87, .external_lex_state = 2},
  [799] = {.lex_state = 5, .external_lex_state = 4},
  [800] = {.lex_state = 87, .external_lex_state = 2},
  [801] = {.lex_state = 5, .external_lex_state = 4},
  [802] = {.lex_state = 87, .external_lex_state = 2},
  [803] = {.lex_state = 87, .external_lex_state = 2},
  [804] = {.lex_state = 87, .external_lex_state = 2},
  [805] = {.lex_state = 5, .external_lex_state = 4},
  [806] = {.lex_state = 87, .external_lex_state = 2},
  [807] = {.lex_state = 5, .external_lex_state = 4},
  [808] = {.lex_state = 87, .external_lex_state = 2},
  [809] = {.lex_state = 87, .external_lex_state = 2},
  [810] = {.lex_state = 87, .external_lex_state = 2},
  [811] = {.lex_state = 87, .external_lex_state = 2},
  [812] = {.lex_state = 87, .external_lex_state = 2},
  [813] = {.lex_state = 87, .external_lex_state = 2},
  [814] = {.lex_state = 87, .external_lex_state = 2},
  [815] = {.lex_state = 87, .external_lex_state = 2},
  [816] = {.lex_state = 87, .external_lex_state = 2},
  [817] = {.lex_state = 87, .external_lex_state = 2},
  [818] = {.lex_state = 87, .external_lex_state = 2},
  [819] = {.lex_state = 87, .external_lex_state = 2},
  [820] = {.lex_state = 87, .external_lex_state = 2},
  [821] = {.lex_state = 87, .external_lex_state = 2},
  [822] = {.lex_state = 87, .external_lex_state = 2},
  [823] = {.lex_state = 87, .external_lex_state = 2},
  [824] = {.lex_state = 87, .external_lex_state = 2},
  [825] = {.lex_state = 87, .external_lex_state = 2},
  [826] = {.lex_state = 87, .external_lex_state = 2},
  [827] = {.lex_state = 87, .external_lex_state = 2},
  [828] = {.lex_state = 87, .external_lex_state = 2},
  [829] = {.lex_state = 87, .external_lex_state = 2},
  [830] = {.lex_state = 87, .external_lex_state = 2},
  [831] = {.lex_state = 5, .external_lex_state = 4},
  [832] = {.lex_state = 87, .external_lex_state = 2},
  [833] = {.lex_state = 87, .external_lex_state = 2},
  [834] = {.lex_state = 87, .external_lex_state = 2},
  [835] = {.lex_state = 87, .external_lex_state = 2},
  [836] = {.lex_state = 87, .external_lex_state = 2},
  [837] = {.lex_state = 87, .external_lex_state = 2},
  [838] = {.lex_state = 87, .external_lex_state = 2},
  [839] = {.lex_state = 5, .external_lex_state = 4},
  [840] = {.lex_state = 87, .external_lex_state = 2},
  [841] = {.lex_state = 87, .external_lex_state = 2},
  [842] = {.lex_state = 87, .external_lex_state = 2},
  [843] = {.lex_state = 87, .external_lex_state = 2},
  [844] = {.lex_state = 87, .external_lex_state = 2},
  [845] = {.lex_state = 87, .external_lex_state = 2},
  [846] = {.lex_state = 87, .external_lex_state = 2},
  [847] = {.lex_state = 87, .external_lex_state = 2},
  [848] = {.lex_state = 87, .external_lex_state = 2},
  [849] = {.lex_state = 87, .external_lex_state = 2},
  [850] = {.lex_state = 87, .external_lex_state = 2},
  [851] = {.lex_state = 87, .external_lex_state = 2},
  [852] = {.lex_state = 87, .external_lex_state = 2},
  [853] = {.lex_state = 87, .external_lex_state = 2},
  [854] = {.lex_state = 87, .external_lex_state = 2},
  [855] = {.lex_state = 87, .external_lex_state = 2},
  [856] = {.lex_state = 87, .external_lex_state = 2},
  [857] = {.lex_state = 87, .external_lex_state = 2},
  [858] = {.lex_state = 87, .external_lex_state = 2},
  [859] = {.lex_state = 87, .external_lex_state = 2},
  [860] = {.lex_state = 87, .external_lex_state = 2},
  [861] = {.lex_state = 87, .external_lex_state = 2},
  [862] = {.lex_state = 87, .external_lex_state = 2},
  [863] = {.lex_state = 87, .external_lex_state = 2},
  [864] = {.lex_state = 87, .external_lex_state = 2},
  [865] = {.lex_state = 87, .external_lex_state = 2},
  [866] = {.lex_state = 87, .external_lex_state = 2},
  [867] = {.lex_state = 87, .external_lex_state = 2},
  [868] = {.lex_state = 87, .external_lex_state = 2},
  [869] = {.lex_state = 87, .external_lex_state = 2},
  [870] = {.lex_state = 87, .external_lex_state = 2},
  [871] = {.lex_state = 87, .external_lex_state = 2},
  [872] = {.lex_state = 87, .external_lex_state = 2},
  [873] = {.lex_state = 87, .external_lex_state = 2},
  [874] = {.lex_state = 87, .external_lex_state = 2},
  [875] = {.lex_state = 87, .external_lex_state = 2},
  [876] = {.lex_state = 87, .external_lex_state = 2},
  [877] = {.lex_state = 87, .external_lex_state = 2},
  [878] = {.lex_state = 87, .external_lex_state = 2},
  [879] = {.lex_state = 87, .external_lex_state = 2},
  [880] = {.lex_state = 87, .external_lex_state = 2},
  [881] = {.lex_state = 87, .external_lex_state = 2},
  [882] = {.lex_state = 87, .external_lex_state = 2},
  [883] = {.lex_state = 87, .external_lex_state = 2},
  [884] = {.lex_state = 5, .external_lex_state = 4},
  [885] = {.lex_state = 87, .external_lex_state = 2},
  [886] = {.lex_state = 87, .external_lex_state = 2},
  [887] = {.lex_state = 87, .external_lex_state = 2},
  [888] = {.lex_state = 87, .external_lex_state = 2},
  [889] = {.lex_state = 87, .external_lex_state = 2},
  [890] = {.lex_state = 87, .external_lex_state = 2},
  [891] = {.lex_state = 87, .external_lex_state = 2},
  [892] = {.lex_state = 87, .external_lex_state = 2},
  [893] = {.lex_state = 87, .external_lex_state = 2},
  [894] = {.lex_state = 87, .external_lex_state = 2},
  [895] = {.lex_state = 87, .external_lex_state = 2},
  [896] = {.lex_state = 87, .external_lex_state = 2},
  [897] = {.lex_state = 87, .external_lex_state = 2},
  [898] = {.lex_state = 87, .external_lex_state = 2},
  [899] = {.lex_state = 87, .external_lex_state = 2},
  [900] = {.lex_state = 87, .external_lex_state = 2},
  [901] = {.lex_state = 87, .external_lex_state = 2},
  [902] = {.lex_state = 87, .external_lex_state = 2},
  [903] = {.lex_state = 87, .external_lex_state = 2},
  [904] = {.lex_state = 87, .external_lex_state = 2},
  [905] = {.lex_state = 87, .external_lex_state = 2},
  [906] = {.lex_state = 87, .external_lex_state = 2},
  [907] = {.lex_state = 87, .external_lex_state = 2},
  [908] = {.lex_state = 87, .external_lex_state = 2},
  [909] = {.lex_state = 87, .external_lex_state = 2},
  [910] = {.lex_state = 87, .external_lex_state = 2},
  [911] = {.lex_state = 87, .external_lex_state = 2},
  [912] = {.lex_state = 87, .external_lex_state = 2},
  [913] = {.lex_state = 87, .external_lex_state = 2},
  [914] = {.lex_state = 87, .external_lex_state = 2},
  [915] = {.lex_state = 87, .external_lex_state = 2},
  [916] = {.lex_state = 87, .external_lex_state = 2},
  [917] = {.lex_state = 87, .external_lex_state = 2},
  [918] = {.lex_state = 5, .external_lex_state = 4},
  [919] = {.lex_state = 87, .external_lex_state = 2},
  [920] = {.lex_state = 5, .external_lex_state = 4},
  [921] = {.lex_state = 5, .external_lex_state = 4},
  [922] = {.lex_state = 87, .external_lex_state = 2},
  [923] = {.lex_state = 87, .external_lex_state = 2},
  [924] = {.lex_state = 87, .external_lex_state = 2},
  [925] = {.lex_state = 5, .external_lex_state = 4},
  [926] = {.lex_state = 87, .external_lex_state = 2},
  [927] = {.lex_state = 87, .external_lex_state = 2},
  [928] = {.lex_state = 87, .external_lex_state = 2},
  [929] = {.lex_state = 87, .external_lex_state = 2},
  [930] = {.lex_state = 87, .external_lex_state = 2},
  [931] = {.lex_state = 87, .external_lex_state = 2},
  [932] = {.lex_state = 5, .external_lex_state = 4},
  [933] = {.lex_state = 5, .external_lex_state = 4},
  [934] = {.lex_state = 5, .external_lex_state = 4},
  [935] = {.lex_state = 87, .external_lex_state = 2},
  [936] = {.lex_state = 87, .external_lex_state = 2},
  [937] = {.lex_state = 87, .external_lex_state = 2},
  [938] = {.lex_state = 87, .external_lex_state = 2},
  [939] = {.lex_state = 87, .external_lex_state = 2},
  [940] = {.lex_state = 87, .external_lex_state = 2},
  [941] = {.lex_state = 5, .external_lex_state = 4},
  [942] = {.lex_state = 5, .external_lex_state = 4},
  [943] = {.lex_state = 87, .external_lex_state = 2},
  [944] = {.lex_state = 87, .external_lex_state = 2},
  [945] = {.lex_state = 87, .external_lex_state = 2},
  [946] = {.lex_state = 87, .external_lex_state = 2},
  [947] = {.lex_state = 87, .external_lex_state = 2},
  [948] = {.lex_state = 87, .external_lex_state = 2},
  [949] = {.lex_state = 5, .external_lex_state = 4},
  [950] = {.lex_state = 5, .external_lex_state = 4},
  [951] = {.lex_state = 87, .external_lex_state = 2},
  [952] = {.lex_state = 87, .external_lex_state = 2},
  [953] = {.lex_state = 87, .external_lex_state = 2},
  [954] = {.lex_state = 87, .external_lex_state = 2},
  [955] = {.lex_state = 87, .external_lex_state = 2},
  [956] = {.lex_state = 87, .external_lex_state = 2},
  [957] = {.lex_state = 5, .external_lex_state = 4},
  [958] = {.lex_state = 87, .external_lex_state = 2},
  [959] = {.lex_state = 87, .external_lex_state = 2},
  [960] = {.lex_state = 87, .external_lex_state = 2},
  [961] = {.lex_state = 87, .external_lex_state = 2},
  [962] = {.lex_state = 87, .external_lex_state = 2},
  [963] = {.lex_state = 87, .external_lex_state = 2},
  [964] = {.lex_state = 5, .external_lex_state = 4},
  [965] = {.lex_state = 5, .external_lex_state = 4},
  [966] = {.lex_state = 87, .external_lex_state = 2},
  [967] = {.lex_state = 87, .external_lex_state = 2},
  [968] = {.lex_state = 87, .external_lex_state = 2},
  [969] = {.lex_state = 87, .external_lex_state = 2},
  [970] = {.lex_state = 87, .external_lex_state = 2},
  [971] = {.lex_state = 87, .external_lex_state = 2},
  [972] = {.lex_state = 87, .external_lex_state = 2},
  [973] = {.lex_state = 87, .external_lex_state = 2},
  [974] = {.lex_state = 87, .external_lex_state = 2},
  [975] = {.lex_state = 87, .external_lex_state = 2},
  [976] = {.lex_state = 87, .external_lex_state = 2},
  [977] = {.lex_state = 87, .external_lex_state = 2},
  [978] = {.lex_state = 87, .external_lex_state = 2},
  [979] = {.lex_state = 87, .external_lex_state = 2},
  [980] = {.lex_state = 87, .external_lex_state = 2},
  [981] = {.lex_state = 87, .external_lex_state = 2},
  [982] = {.lex_state = 87, .external_lex_state = 2},
  [983] = {.lex_state = 87, .external_lex_state = 2},
  [984] = {.lex_state = 87, .external_lex_state = 2},
  [985] = {.lex_state = 87, .external_lex_state = 2},
  [986] = {.lex_state = 87, .external_lex_state = 2},
  [987] = {.lex_state = 87, .external_lex_state = 2},
  [988] = {.lex_state = 87, .external_lex_state = 2},
  [989] = {.lex_state = 87, .external_lex_state = 2},
  [990] = {.lex_state = 87, .external_lex_state = 2},
  [991] = {.lex_state = 87, .external_lex_state = 2},
  [992] = {.lex_state = 87, .external_lex_state = 2},
  [993] = {.lex_state = 87, .external_lex_state = 2},
  [994] = {.lex_state = 87, .external_lex_state = 2},
  [995] = {.lex_state = 87, .external_lex_state = 2},
  [996] = {.lex_state = 87, .external_lex_state = 2},
  [997] = {.lex_state = 87, .external_lex_state = 2},
  [998] = {.lex_state = 87, .external_lex_state = 2},
  [999] = {.lex_state = 87, .external_lex_state = 2},
  [1000] = {.lex_state = 87, .external_lex_state = 2},
  [1001] = {.lex_state = 87, .external_lex_state = 2},
  [1002] = {.lex_state = 87, .external_lex_state = 2},
  [1003] = {.lex_state = 87, .external_lex_state = 2},
  [1004] = {.lex_state = 87, .external_lex_state = 2},
  [1005] = {.lex_state = 87, .external_lex_state = 2},
  [1006] = {.lex_state = 87, .external_lex_state = 2},
  [1007] = {.lex_state = 87, .external_lex_state = 2},
  [1008] = {.lex_state = 87, .external_lex_state = 2},
  [1009] = {.lex_state = 87, .external_lex_state = 2},
  [1010] = {.lex_state = 87, .external_lex_state = 2},
  [1011] = {.lex_state = 87, .external_lex_state = 2},
  [1012] = {.lex_state = 87, .external_lex_state = 2},
  [1013] = {.lex_state = 87, .external_lex_state = 2},
  [1014] = {.lex_state = 5, .external_lex_state = 4},
  [1015] = {.lex_state = 87, .external_lex_state = 2},
  [1016] = {.lex_state = 87, .external_lex_state = 2},
  [1017] = {.lex_state = 87, .external_lex_state = 2},
  [1018] = {.lex_state = 87, .external_lex_state = 2},
  [1019] = {.lex_state = 87, .external_lex_state = 2},
  [1020] = {.lex_state = 87, .external_lex_state = 2},
  [1021] = {.lex_state = 87, .external_lex_state = 2},
  [1022] = {.lex_state = 87, .external_lex_state = 2},
  [1023] = {.lex_state = 87, .external_lex_state = 2},
  [1024] = {.lex_state = 87, .external_lex_state = 2},
  [1025] = {.lex_state = 87, .external_lex_state = 2},
  [1026] = {.lex_state = 87, .external_lex_state = 2},
  [1027] = {.lex_state = 87, .external_lex_state = 2},
  [1028] = {.lex_state = 87, .external_lex_state = 2},
  [1029] = {.lex_state = 87, .external_lex_state = 2},
  [1030] = {.lex_state = 87, .external_lex_state = 2},
  [1031] = {.lex_state = 87, .external_lex_state = 2},
  [1032] = {.lex_state = 87, .external_lex_state = 2},
  [1033] = {.lex_state = 87, .external_lex_state = 2},
  [1034] = {.lex_state = 87, .external_lex_state = 2},
  [1035] = {.lex_state = 87, .external_lex_state = 2},
  [1036] = {.lex_state = 87, .external_lex_state = 2},
  [1037] = {.lex_state = 87, .external_lex_state = 2},
  [1038] = {.lex_state = 87, .external_lex_state = 2},
  [1039] = {.lex_state = 87, .external_lex_state = 2},
  [1040] = {.lex_state = 87, .external_lex_state = 2},
  [1041] = {.lex_state = 87, .external_lex_state = 2},
  [1042] = {.lex_state = 87, .external_lex_state = 2},
  [1043] = {.lex_state = 87, .external_lex_state = 2},
  [1044] = {.lex_state = 87, .external_lex_state = 2},
  [1045] = {.lex_state = 87, .external_lex_state = 2},
  [1046] = {.lex_state = 87, .external_lex_state = 2},
  [1047] = {.lex_state = 87, .external_lex_state = 2},
  [1048] = {.lex_state = 87, .external_lex_state = 2},
  [1049] = {.lex_state = 87, .external_lex_state = 2},
  [1050] = {.lex_state = 87, .external_lex_state = 2},
  [1051] = {.lex_state = 87, .external_lex_state = 2},
  [1052] = {.lex_state = 87, .external_lex_state = 2},
  [1053] = {.lex_state = 87, .external_lex_state = 2},
  [1054] = {.lex_state = 87, .external_lex_state = 2},
  [1055] = {.lex_state = 87, .external_lex_state = 2},
  [1056] = {.lex_state = 87, .external_lex_state = 2},
  [1057] = {.lex_state = 87, .external_lex_state = 2},
  [1058] = {.lex_state = 87, .external_lex_state = 2},
  [1059] = {.lex_state = 87, .external_lex_state = 2},
  [1060] = {.lex_state = 87, .external_lex_state = 2},
  [1061] = {.lex_state = 87, .external_lex_state = 2},
  [1062] = {.lex_state = 87, .external_lex_state = 2},
  [1063] = {.lex_state = 87, .external_lex_state = 2},
  [1064] = {.lex_state = 87, .external_lex_state = 2},
  [1065] = {.lex_state = 87, .external_lex_state = 2},
  [1066] = {.lex_state = 87, .external_lex_state = 2},
  [1067] = {.lex_state = 5, .external_lex_state = 4},
  [1068] = {.lex_state = 87, .external_lex_state = 2},
  [1069] = {.lex_state = 5, .external_lex_state = 4},
  [1070] = {.lex_state = 5, .external_lex_state = 4},
  [1071] = {.lex_state = 5, .external_lex_state = 4},
  [1072] = {.lex_state = 5, .external_lex_state = 4},
  [1073] = {.lex_state = 5, .external_lex_state = 4},
  [1074] = {.lex_state = 5, .external_lex_state = 4},
  [1075] = {.lex_state = 5, .external_lex_state = 4},
  [1076] = {.lex_state = 5, .external_lex_state = 4},
  [1077] = {.lex_state = 5, .external_lex_state = 4},
  [1078] = {.lex_state = 5, .external_lex_state = 4},
  [1079] = {.lex_state = 5, .external_lex_state = 4},
  [1080] = {.lex_state = 5, .external_lex_state = 4},
  [1081] = {.lex_state = 5, .external_lex_state = 4},
  [1082] = {.lex_state = 5, .external_lex_state = 4},
  [1083] = {.lex_state = 5, .external_lex_state = 4},
  [1084] = {.lex_state = 5, .external_lex_state = 4},
  [1085] = {.lex_state = 5, .external_lex_state = 4},
  [1086] = {.lex_state = 5, .external_lex_state = 4},
  [1087] = {.lex_state = 5, .external_lex_state = 4},
  [1088] = {.lex_state = 5, .external_lex_state = 4},
  [1089] = {.lex_state = 5, .external_lex_state = 4},
  [1090] = {.lex_state = 5, .external_lex_state = 4},
  [1091] = {.lex_state = 5, .external_lex_state = 4},
  [1092] = {.lex_state = 5, .external_lex_state = 4},
  [1093] = {.lex_state = 5, .external_lex_state = 4},
  [1094] = {.lex_state = 5, .external_lex_state = 4},
  [1095] = {.lex_state = 5, .external_lex_state = 4},
  [1096] = {.lex_state = 87, .external_lex_state = 2},
  [1097] = {.lex_state = 5, .external_lex_state = 4},
  [1098] = {.lex_state = 87, .external_lex_state = 2},
  [1099] = {.lex_state = 5, .external_lex_state = 4},
  [1100] = {.lex_state = 87, .external_lex_state = 2},
  [1101] = {.lex_state = 87, .external_lex_state = 2},
  [1102] = {.lex_state = 87, .external_lex_state = 2},
  [1103] = {.lex_state = 87, .external_lex_state = 2},
  [1104] = {.lex_state = 87, .external_lex_state = 2},
  [1105] = {.lex_state = 87, .external_lex_state = 2},
  [1106] = {.lex_state = 87, .external_lex_state = 2},
  [1107] = {.lex_state = 5, .external_lex_state = 4},
  [1108] = {.lex_state = 87, .external_lex_state = 2},
  [1109] = {.lex_state = 87, .external_lex_state = 2},
  [1110] = {.lex_state = 87, .external_lex_state = 2},
  [1111] = {.lex_state = 87, .external_lex_state = 2},
  [1112] = {.lex_state = 87, .external_lex_state = 2},
  [1113] = {.lex_state = 87, .external_lex_state = 2},
  [1114] = {.lex_state = 87, .external_lex_state = 2},
  [1115] = {.lex_state = 87, .external_lex_state = 2},
  [1116] = {.lex_state = 87, .external_lex_state = 2},
  [1117] = {.lex_state = 87, .external_lex_state = 2},
  [1118] = {.lex_state = 87, .external_lex_state = 2},
  [1119] = {.lex_state = 87, .external_lex_state = 2},
  [1120] = {.lex_state = 87, .external_lex_state = 2},
  [1121] = {.lex_state = 87, .external_lex_state = 2},
  [1122] = {.lex_state = 87, .external_lex_state = 2},
  [1123] = {.lex_state = 87, .external_lex_state = 2},
  [1124] = {.lex_state = 87, .external_lex_state = 2},
  [1125] = {.lex_state = 87, .external_lex_state = 2},
  [1126] = {.lex_state = 87, .external_lex_state = 2},
  [1127] = {.lex_state = 87, .external_lex_state = 2},
  [1128] = {.lex_state = 87, .external_lex_state = 2},
  [1129] = {.lex_state = 5, .external_lex_state = 4},
  [1130] = {.lex_state = 87, .external_lex_state = 2},
  [1131] = {.lex_state = 87, .external_lex_state = 2},
  [1132] = {.lex_state = 5, .external_lex_state = 4},
  [1133] = {.lex_state = 5, .external_lex_state = 4},
  [1134] = {.lex_state = 87, .external_lex_state = 2},
  [1135] = {.lex_state = 5, .external_lex_state = 4},
  [1136] = {.lex_state = 5, .external_lex_state = 4},
  [1137] = {.lex_state = 5, .external_lex_state = 4},
  [1138] = {.lex_state = 5, .external_lex_state = 4},
  [1139] = {.lex_state = 5, .external_lex_state = 4},
  [1140] = {.lex_state = 5, .external_lex_state = 4},
  [1141] = {.lex_state = 5, .external_lex_state = 4},
  [1142] = {.lex_state = 5, .external_lex_state = 4},
  [1143] = {.lex_state = 5, .external_lex_state = 4},
  [1144] = {.lex_state = 5, .external_lex_state = 4},
  [1145] = {.lex_state = 5, .external_lex_state = 4},
  [1146] = {.lex_state = 5, .external_lex_state = 4},
  [1147] = {.lex_state = 5, .external_lex_state = 4},
  [1148] = {.lex_state = 5, .external_lex_state = 4},
  [1149] = {.lex_state = 5, .external_lex_state = 4},
  [1150] = {.lex_state = 5, .external_lex_state = 4},
  [1151] = {.lex_state = 5, .external_lex_state = 4},
  [1152] = {.lex_state = 5, .external_lex_state = 4},
  [1153] = {.lex_state = 5, .external_lex_state = 4},
  [1154] = {.lex_state = 87, .external_lex_state = 2},
  [1155] = {.lex_state = 87, .external_lex_state = 2},
  [1156] = {.lex_state = 87, .external_lex_state = 2},
  [1157] = {.lex_state = 87, .external_lex_state = 2},
  [1158] = {.lex_state = 87, .external_lex_state = 2},
  [1159] = {.lex_state = 87, .external_lex_state = 2},
  [1160] = {.lex_state = 87, .external_lex_state = 2},
  [1161] = {.lex_state = 87, .external_lex_state = 2},
  [1162] = {.lex_state = 87, .external_lex_state = 2},
  [1163] = {.lex_state = 87, .external_lex_state = 2},
  [1164] = {.lex_state = 87, .external_lex_state = 2},
  [1165] = {.lex_state = 87, .external_lex_state = 2},
  [1166] = {.lex_state = 5, .external_lex_state = 4},
  [1167] = {.lex_state = 87, .external_lex_state = 2},
  [1168] = {.lex_state = 5, .external_lex_state = 4},
  [1169] = {.lex_state = 87, .external_lex_state = 2},
  [1170] = {.lex_state = 5, .external_lex_state = 4},
  [1171] = {.lex_state = 87, .external_lex_state = 2},
  [1172] = {.lex_state = 5, .external_lex_state = 4},
  [1173] = {.lex_state = 87, .external_lex_state = 2},
  [1174] = {.lex_state = 5, .external_lex_state = 4},
  [1175] = {.lex_state = 87, .external_lex_state = 2},
  [1176] = {.lex_state = 5, .external_lex_state = 4},
  [1177] = {.lex_state = 87, .external_lex_state = 2},
  [1178] = {.lex_state = 5, .external_lex_state = 4},
  [1179] = {.lex_state = 87, .external_lex_state = 2},
  [1180] = {.lex_state = 5, .external_lex_state = 4},
  [1181] = {.lex_state = 87, .external_lex_state = 2},
  [1182] = {.lex_state = 5, .external_lex_state = 4},
  [1183] = {.lex_state = 87, .external_lex_state = 2},
  [1184] = {.lex_state = 5, .external_lex_state = 4},
  [1185] = {.lex_state = 87, .external_lex_state = 2},
  [1186] = {.lex_state = 87, .external_lex_state = 2},
  [1187] = {.lex_state = 87, .external_lex_state = 2},
  [1188] = {.lex_state = 87, .external_lex_state = 2},
  [1189] = {.lex_state = 5, .external_lex_state = 4},
  [1190] = {.lex_state = 5, .external_lex_state = 4},
  [1191] = {.lex_state = 5, .external_lex_state = 4},
  [1192] = {.lex_state = 5, .external_lex_state = 4},
  [1193] = {.lex_state = 87, .external_lex_state = 2},
  [1194] = {.lex_state = 87, .external_lex_state = 2},
  [1195] = {.lex_state = 87, .external_lex_state = 2},
  [1196] = {.lex_state = 87, .external_lex_state = 2},
  [1197] = {.lex_state = 87, .external_lex_state = 2},
  [1198] = {.lex_state = 87, .external_lex_state = 2},
  [1199] = {.lex_state = 87, .external_lex_state = 2},
  [1200] = {.lex_state = 87, .external_lex_state = 2},
  [1201] = {.lex_state = 87, .external_lex_state = 2},
  [1202] = {.lex_state = 87, .external_lex_state = 2},
  [1203] = {.lex_state = 87, .external_lex_state = 2},
  [1204] = {.lex_state = 87, .external_lex_state = 2},
  [1205] = {.lex_state = 87, .external_lex_state = 2},
  [1206] = {.lex_state = 87, .external_lex_state = 2},
  [1207] = {.lex_state = 87, .external_lex_state = 2},
  [1208] = {.lex_state = 87, .external_lex_state = 2},
  [1209] = {.lex_state = 87, .external_lex_state = 2},
  [1210] = {.lex_state = 87, .external_lex_state = 2},
  [1211] = {.lex_state = 87, .external_lex_state = 2},
  [1212] = {.lex_state = 87, .external_lex_state = 2},
  [1213] = {.lex_state = 87, .external_lex_state = 2},
  [1214] = {.lex_state = 87, .external_lex_state = 2},
  [1215] = {.lex_state = 87, .external_lex_state = 2},
  [1216] = {.lex_state = 87, .external_lex_state = 2},
  [1217] = {.lex_state = 87, .external_lex_state = 2},
  [1218] = {.lex_state = 87, .external_lex_state = 2},
  [1219] = {.lex_state = 87, .external_lex_state = 2},
  [1220] = {.lex_state = 87, .external_lex_state = 2},
  [1221] = {.lex_state = 87, .external_lex_state = 2},
  [1222] = {.lex_state = 87, .external_lex_state = 2},
  [1223] = {.lex_state = 87, .external_lex_state = 2},
  [1224] = {.lex_state = 87, .external_lex_state = 2},
  [1225] = {.lex_state = 87, .external_lex_state = 2},
  [1226] = {.lex_state = 87, .external_lex_state = 2},
  [1227] = {.lex_state = 87, .external_lex_state = 2},
  [1228] = {.lex_state = 87, .external_lex_state = 2},
  [1229] = {.lex_state = 87, .external_lex_state = 2},
  [1230] = {.lex_state = 87, .external_lex_state = 2},
  [1231] = {.lex_state = 87, .external_lex_state = 2},
  [1232] = {.lex_state = 87, .external_lex_state = 2},
  [1233] = {.lex_state = 87, .external_lex_state = 2},
  [1234] = {.lex_state = 87, .external_lex_state = 2},
  [1235] = {.lex_state = 87, .external_lex_state = 2},
  [1236] = {.lex_state = 87, .external_lex_state = 2},
  [1237] = {.lex_state = 87, .external_lex_state = 2},
  [1238] = {.lex_state = 87, .external_lex_state = 2},
  [1239] = {.lex_state = 87, .external_lex_state = 2},
  [1240] = {.lex_state = 87, .external_lex_state = 2},
  [1241] = {.lex_state = 87, .external_lex_state = 2},
  [1242] = {.lex_state = 87, .external_lex_state = 2},
  [1243] = {.lex_state = 87, .external_lex_state = 2},
  [1244] = {.lex_state = 87, .external_lex_state = 2},
  [1245] = {.lex_state = 87, .external_lex_state = 2},
  [1246] = {.lex_state = 87, .external_lex_state = 2},
  [1247] = {.lex_state = 87, .external_lex_state = 2},
  [1248] = {.lex_state = 87, .external_lex_state = 2},
  [1249] = {.lex_state = 87, .external_lex_state = 2},
  [1250] = {.lex_state = 5, .external_lex_state = 4},
  [1251] = {.lex_state = 87, .external_lex_state = 2},
  [1252] = {.lex_state = 87, .external_lex_state = 2},
  [1253] = {.lex_state = 5, .external_lex_state = 4},
  [1254] = {.lex_state = 87, .external_lex_state = 2},
  [1255] = {.lex_state = 6, .external_lex_state = 4},
  [1256] = {.lex_state = 87, .external_lex_state = 2},
  [1257] = {.lex_state = 87, .external_lex_state = 2},
  [1258] = {.lex_state = 87, .external_lex_state = 2},
  [1259] = {.lex_state = 87, .external_lex_state = 2},
  [1260] = {.lex_state = 87, .external_lex_state = 2},
  [1261] = {.lex_state = 5, .external_lex_state = 4},
  [1262] = {.lex_state = 87, .external_lex_state = 2},
  [1263] = {.lex_state = 5, .external_lex_state = 4},
  [1264] = {.lex_state = 87, .external_lex_state = 2},
  [1265] = {.lex_state = 87, .external_lex_state = 2},
  [1266] = {.lex_state = 5, .external_lex_state = 4},
  [1267] = {.lex_state = 5, .external_lex_state = 4},
  [1268] = {.lex_state = 5, .external_lex_state = 4},
  [1269] = {.lex_state = 6, .external_lex_state = 4},
  [1270] = {.lex_state = 87, .external_lex_state = 2},
  [1271] = {.lex_state = 87, .external_lex_state = 2},
  [1272] = {.lex_state = 87, .external_lex_state = 2},
  [1273] = {.lex_state = 87, .external_lex_state = 2},
  [1274] = {.lex_state = 87, .external_lex_state = 2},
  [1275] = {.lex_state = 87, .external_lex_state = 2},
  [1276] = {.lex_state = 87, .external_lex_state = 2},
  [1277] = {.lex_state = 87, .external_lex_state = 2},
  [1278] = {.lex_state = 6, .external_lex_state = 4},
  [1279] = {.lex_state = 87, .external_lex_state = 2},
  [1280] = {.lex_state = 87, .external_lex_state = 2},
  [1281] = {.lex_state = 87, .external_lex_state = 2},
  [1282] = {.lex_state = 87, .external_lex_state = 2},
  [1283] = {.lex_state = 87, .external_lex_state = 2},
  [1284] = {.lex_state = 87, .external_lex_state = 2},
  [1285] = {.lex_state = 87, .external_lex_state = 2},
  [1286] = {.lex_state = 87, .external_lex_state = 2},
  [1287] = {.lex_state = 87, .external_lex_state = 2},
  [1288] = {.lex_state = 87, .external_lex_state = 2},
  [1289] = {.lex_state = 87, .external_lex_state = 2},
  [1290] = {.lex_state = 5, .external_lex_state = 4},
  [1291] = {.lex_state = 87, .external_lex_state = 2},
  [1292] = {.lex_state = 5, .external_lex_state = 4},
  [1293] = {.lex_state = 87, .external_lex_state = 2},
  [1294] = {.lex_state = 5, .external_lex_state = 5},
  [1295] = {.lex_state = 5, .external_lex_state = 5},
  [1296] = {.lex_state = 5, .external_lex_state = 5},
  [1297] = {.lex_state = 5, .external_lex_state = 5},
  [1298] = {.lex_state = 5, .external_lex_state = 5},
  [1299] = {.lex_state = 5, .external_lex_state = 5},
  [1300] = {.lex_state = 5, .external_lex_state = 5},
  [1301] = {.lex_state = 5, .external_lex_state = 5},
  [1302] = {.lex_state = 5, .external_lex_state = 5},
  [1303] = {.lex_state = 5, .external_lex_state = 5},
  [1304] = {.lex_state = 5, .external_lex_state = 5},
  [1305] = {.lex_state = 89, .external_lex_state = 5},
  [1306] = {.lex_state = 5, .external_lex_state = 4},
  [1307] = {.lex_state = 87, .external_lex_state = 2},
  [1308] = {.lex_state = 89, .external_lex_state = 5},
  [1309] = {.lex_state = 87, .external_lex_state = 2},
  [1310] = {.lex_state = 89, .external_lex_state = 5},
  [1311] = {.lex_state = 87, .external_lex_state = 2},
  [1312] = {.lex_state = 87, .external_lex_state = 2},
  [1313] = {.lex_state = 87, .external_lex_state = 2},
  [1314] = {.lex_state = 5, .external_lex_state = 4},
  [1315] = {.lex_state = 5, .external_lex_state = 4},
  [1316] = {.lex_state = 5, .external_lex_state = 4},
  [1317] = {.lex_state = 87, .external_lex_state = 2},
  [1318] = {.lex_state = 87, .external_lex_state = 2},
  [1319] = {.lex_state = 5, .external_lex_state = 4},
  [1320] = {.lex_state = 87, .external_lex_state = 2},
  [1321] = {.lex_state = 87, .external_lex_state = 2},
  [1322] = {.lex_state = 87, .external_lex_state = 2},
  [1323] = {.lex_state = 87, .external_lex_state = 2},
  [1324] = {.lex_state = 87, .external_lex_state = 2},
  [1325] = {.lex_state = 87, .external_lex_state = 2},
  [1326] = {.lex_state = 87, .external_lex_state = 2},
  [1327] = {.lex_state = 87, .external_lex_state = 2},
  [1328] = {.lex_state = 87, .external_lex_state = 2},
  [1329] = {.lex_state = 87, .external_lex_state = 2},
  [1330] = {.lex_state = 87, .external_lex_state = 2},
  [1331] = {.lex_state = 87, .external_lex_state = 2},
  [1332] = {.lex_state = 5, .external_lex_state = 5},
  [1333] = {.lex_state = 5, .external_lex_state = 5},
  [1334] = {.lex_state = 87, .external_lex_state = 2},
  [1335] = {.lex_state = 87, .external_lex_state = 2},
  [1336] = {.lex_state = 87, .external_lex_state = 2},
  [1337] = {.lex_state = 87, .external_lex_state = 2},
  [1338] = {.lex_state = 89, .external_lex_state = 5},
  [1339] = {.lex_state = 87, .external_lex_state = 2},
  [1340] = {.lex_state = 5, .external_lex_state = 5},
  [1341] = {.lex_state = 87, .external_lex_state = 2},
  [1342] = {.lex_state = 5, .external_lex_state = 5},
  [1343] = {.lex_state = 87, .external_lex_state = 2},
  [1344] = {.lex_state = 87, .external_lex_state = 2},
  [1345] = {.lex_state = 5, .external_lex_state = 5},
  [1346] = {.lex_state = 5, .external_lex_state = 5},
  [1347] = {.lex_state = 5, .external_lex_state = 5},
  [1348] = {.lex_state = 5, .external_lex_state = 5},
  [1349] = {.lex_state = 5, .external_lex_state = 5},
  [1350] = {.lex_state = 87, .external_lex_state = 2},
  [1351] = {.lex_state = 5, .external_lex_state = 5},
  [1352] = {.lex_state = 87, .external_lex_state = 2},
  [1353] = {.lex_state = 87, .external_lex_state = 2},
  [1354] = {.lex_state = 87, .external_lex_state = 2},
  [1355] = {.lex_state = 87, .external_lex_state = 2},
  [1356] = {.lex_state = 5, .external_lex_state = 5},
  [1357] = {.lex_state = 87, .external_lex_state = 2},
  [1358] = {.lex_state = 87, .external_lex_state = 2},
  [1359] = {.lex_state = 87, .external_lex_state = 2},
  [1360] = {.lex_state = 87, .external_lex_state = 2},
  [1361] = {.lex_state = 87, .external_lex_state = 2},
  [1362] = {.lex_state = 87, .external_lex_state = 2},
  [1363] = {.lex_state = 87, .external_lex_state = 2},
  [1364] = {.lex_state = 87, .external_lex_state = 2},
  [1365] = {.lex_state = 87, .external_lex_state = 2},
  [1366] = {.lex_state = 87, .external_lex_state = 2},
  [1367] = {.lex_state = 87, .external_lex_state = 2},
  [1368] = {.lex_state = 87, .external_lex_state = 2},
  [1369] = {.lex_state = 87, .external_lex_state = 2},
  [1370] = {.lex_state = 87, .external_lex_state = 2},
  [1371] = {.lex_state = 87, .external_lex_state = 2},
  [1372] = {.lex_state = 87, .external_lex_state = 2},
  [1373] = {.lex_state = 87, .external_lex_state = 2},
  [1374] = {.lex_state = 87, .external_lex_state = 2},
  [1375] = {.lex_state = 87, .external_lex_state = 2},
  [1376] = {.lex_state = 87, .external_lex_state = 2},
  [1377] = {.lex_state = 87, .external_lex_state = 2},
  [1378] = {.lex_state = 87, .external_lex_state = 2},
  [1379] = {.lex_state = 87, .external_lex_state = 2},
  [1380] = {.lex_state = 87, .external_lex_state = 2},
  [1381] = {.lex_state = 87, .external_lex_state = 2},
  [1382] = {.lex_state = 87, .external_lex_state = 2},
  [1383] = {.lex_state = 87, .external_lex_state = 2},
  [1384] = {.lex_state = 87, .external_lex_state = 2},
  [1385] = {.lex_state = 87, .external_lex_state = 2},
  [1386] = {.lex_state = 87, .external_lex_state = 2},
  [1387] = {.lex_state = 87, .external_lex_state = 2},
  [1388] = {.lex_state = 87, .external_lex_state = 2},
  [1389] = {.lex_state = 87, .external_lex_state = 2},
  [1390] = {.lex_state = 7, .external_lex_state = 4},
  [1391] = {.lex_state = 87, .external_lex_state = 2},
  [1392] = {.lex_state = 87, .external_lex_state = 2},
  [1393] = {.lex_state = 87, .external_lex_state = 2},
  [1394] = {.lex_state = 87, .external_lex_state = 2},
  [1395] = {.lex_state = 87, .external_lex_state = 2},
  [1396] = {.lex_state = 87, .external_lex_state = 2},
  [1397] = {.lex_state = 87, .external_lex_state = 2},
  [1398] = {.lex_state = 87, .external_lex_state = 2},
  [1399] = {.lex_state = 87, .external_lex_state = 2},
  [1400] = {.lex_state = 87, .external_lex_state = 2},
  [1401] = {.lex_state = 87, .external_lex_state = 2},
  [1402] = {.lex_state = 87, .external_lex_state = 2},
  [1403] = {.lex_state = 87, .external_lex_state = 2},
  [1404] = {.lex_state = 87, .external_lex_state = 2},
  [1405] = {.lex_state = 87, .external_lex_state = 2},
  [1406] = {.lex_state = 87, .external_lex_state = 2},
  [1407] = {.lex_state = 87, .external_lex_state = 2},
  [1408] = {.lex_state = 87, .external_lex_state = 2},
  [1409] = {.lex_state = 87, .external_lex_state = 2},
  [1410] = {.lex_state = 87, .external_lex_state = 2},
  [1411] = {.lex_state = 87, .external_lex_state = 2},
  [1412] = {.lex_state = 87, .external_lex_state = 2},
  [1413] = {.lex_state = 87, .external_lex_state = 2},
  [1414] = {.lex_state = 87, .external_lex_state = 2},
  [1415] = {.lex_state = 87, .external_lex_state = 2},
  [1416] = {.lex_state = 87, .external_lex_state = 2},
  [1417] = {.lex_state = 87, .external_lex_state = 2},
  [1418] = {.lex_state = 87, .external_lex_state = 2},
  [1419] = {.lex_state = 87, .external_lex_state = 2},
  [1420] = {.lex_state = 87, .external_lex_state = 2},
  [1421] = {.lex_state = 87, .external_lex_state = 2},
  [1422] = {.lex_state = 87, .external_lex_state = 2},
  [1423] = {.lex_state = 87, .external_lex_state = 2},
  [1424] = {.lex_state = 87, .external_lex_state = 2},
  [1425] = {.lex_state = 87, .external_lex_state = 2},
  [1426] = {.lex_state = 87, .external_lex_state = 2},
  [1427] = {.lex_state = 87, .external_lex_state = 2},
  [1428] = {.lex_state = 87, .external_lex_state = 2},
  [1429] = {.lex_state = 87, .external_lex_state = 2},
  [1430] = {.lex_state = 87, .external_lex_state = 2},
  [1431] = {.lex_state = 87, .external_lex_state = 2},
  [1432] = {.lex_state = 87, .external_lex_state = 2},
  [1433] = {.lex_state = 87, .external_lex_state = 2},
  [1434] = {.lex_state = 5, .external_lex_state = 5},
  [1435] = {.lex_state = 87, .external_lex_state = 2},
  [1436] = {.lex_state = 87, .external_lex_state = 2},
  [1437] = {.lex_state = 87, .external_lex_state = 2},
  [1438] = {.lex_state = 87, .external_lex_state = 2},
  [1439] = {.lex_state = 87, .external_lex_state = 2},
  [1440] = {.lex_state = 7, .external_lex_state = 4},
  [1441] = {.lex_state = 87, .external_lex_state = 2},
  [1442] = {.lex_state = 87, .external_lex_state = 2},
  [1443] = {.lex_state = 87, .external_lex_state = 2},
  [1444] = {.lex_state = 87, .external_lex_state = 2},
  [1445] = {.lex_state = 87, .external_lex_state = 2},
  [1446] = {.lex_state = 87, .external_lex_state = 2},
  [1447] = {.lex_state = 87, .external_lex_state = 2},
  [1448] = {.lex_state = 87, .external_lex_state = 2},
  [1449] = {.lex_state = 87, .external_lex_state = 2},
  [1450] = {.lex_state = 87, .external_lex_state = 2},
  [1451] = {.lex_state = 87, .external_lex_state = 2},
  [1452] = {.lex_state = 87, .external_lex_state = 2},
  [1453] = {.lex_state = 87, .external_lex_state = 2},
  [1454] = {.lex_state = 87, .external_lex_state = 2},
  [1455] = {.lex_state = 87, .external_lex_state = 2},
  [1456] = {.lex_state = 87, .external_lex_state = 2},
  [1457] = {.lex_state = 87, .external_lex_state = 2},
  [1458] = {.lex_state = 87, .external_lex_state = 2},
  [1459] = {.lex_state = 87, .external_lex_state = 2},
  [1460] = {.lex_state = 87, .external_lex_state = 2},
  [1461] = {.lex_state = 6, .external_lex_state = 4},
  [1462] = {.lex_state = 87, .external_lex_state = 2},
  [1463] = {.lex_state = 87, .external_lex_state = 2},
  [1464] = {.lex_state = 87, .external_lex_state = 2},
  [1465] = {.lex_state = 87, .external_lex_state = 2},
  [1466] = {.lex_state = 87, .external_lex_state = 2},
  [1467] = {.lex_state = 87, .external_lex_state = 2},
  [1468] = {.lex_state = 87, .external_lex_state = 2},
  [1469] = {.lex_state = 87, .external_lex_state = 2},
  [1470] = {.lex_state = 87, .external_lex_state = 2},
  [1471] = {.lex_state = 87, .external_lex_state = 2},
  [1472] = {.lex_state = 87, .external_lex_state = 2},
  [1473] = {.lex_state = 87, .external_lex_state = 2},
  [1474] = {.lex_state = 87, .external_lex_state = 2},
  [1475] = {.lex_state = 87, .external_lex_state = 2},
  [1476] = {.lex_state = 87, .external_lex_state = 2},
  [1477] = {.lex_state = 87, .external_lex_state = 2},
  [1478] = {.lex_state = 87, .external_lex_state = 2},
  [1479] = {.lex_state = 87, .external_lex_state = 2},
  [1480] = {.lex_state = 87, .external_lex_state = 2},
  [1481] = {.lex_state = 87, .external_lex_state = 2},
  [1482] = {.lex_state = 87, .external_lex_state = 2},
  [1483] = {.lex_state = 7, .external_lex_state = 4},
  [1484] = {.lex_state = 6, .external_lex_state = 6},
  [1485] = {.lex_state = 87, .external_lex_state = 2},
  [1486] = {.lex_state = 87, .external_lex_state = 2},
  [1487] = {.lex_state = 87, .external_lex_state = 2},
  [1488] = {.lex_state = 87, .external_lex_state = 2},
  [1489] = {.lex_state = 7, .external_lex_state = 4},
  [1490] = {.lex_state = 87, .external_lex_state = 2},
  [1491] = {.lex_state = 87, .external_lex_state = 2},
  [1492] = {.lex_state = 87, .external_lex_state = 2},
  [1493] = {.lex_state = 87, .external_lex_state = 2},
  [1494] = {.lex_state = 87, .external_lex_state = 2},
  [1495] = {.lex_state = 87, .external_lex_state = 2},
  [1496] = {.lex_state = 87, .external_lex_state = 2},
  [1497] = {.lex_state = 87, .external_lex_state = 2},
  [1498] = {.lex_state = 87, .external_lex_state = 2},
  [1499] = {.lex_state = 87, .external_lex_state = 2},
  [1500] = {.lex_state = 87, .external_lex_state = 2},
  [1501] = {.lex_state = 87, .external_lex_state = 2},
  [1502] = {.lex_state = 87, .external_lex_state = 2},
  [1503] = {.lex_state = 87, .external_lex_state = 2},
  [1504] = {.lex_state = 87, .external_lex_state = 2},
  [1505] = {.lex_state = 87, .external_lex_state = 2},
  [1506] = {.lex_state = 87, .external_lex_state = 2},
  [1507] = {.lex_state = 87, .external_lex_state = 2},
  [1508] = {.lex_state = 87, .external_lex_state = 2},
  [1509] = {.lex_state = 87, .external_lex_state = 2},
  [1510] = {.lex_state = 87, .external_lex_state = 2},
  [1511] = {.lex_state = 87, .external_lex_state = 2},
  [1512] = {.lex_state = 87, .external_lex_state = 2},
  [1513] = {.lex_state = 87, .external_lex_state = 2},
  [1514] = {.lex_state = 87, .external_lex_state = 2},
  [1515] = {.lex_state = 87, .external_lex_state = 2},
  [1516] = {.lex_state = 87, .external_lex_state = 2},
  [1517] = {.lex_state = 87, .external_lex_state = 2},
  [1518] = {.lex_state = 87, .external_lex_state = 2},
  [1519] = {.lex_state = 87, .external_lex_state = 2},
  [1520] = {.lex_state = 87, .external_lex_state = 2},
  [1521] = {.lex_state = 87, .external_lex_state = 2},
  [1522] = {.lex_state = 87, .external_lex_state = 2},
  [1523] = {.lex_state = 87, .external_lex_state = 2},
  [1524] = {.lex_state = 87, .external_lex_state = 2},
  [1525] = {.lex_state = 87, .external_lex_state = 2},
  [1526] = {.lex_state = 87, .external_lex_state = 2},
  [1527] = {.lex_state = 87, .external_lex_state = 2},
  [1528] = {.lex_state = 87, .external_lex_state = 2},
  [1529] = {.lex_state = 87, .external_lex_state = 2},
  [1530] = {.lex_state = 87, .external_lex_state = 2},
  [1531] = {.lex_state = 87, .external_lex_state = 2},
  [1532] = {.lex_state = 87, .external_lex_state = 2},
  [1533] = {.lex_state = 87, .external_lex_state = 2},
  [1534] = {.lex_state = 5, .external_lex_state = 5},
  [1535] = {.lex_state = 87, .external_lex_state = 2},
  [1536] = {.lex_state = 87, .external_lex_state = 2},
  [1537] = {.lex_state = 87, .external_lex_state = 2},
  [1538] = {.lex_state = 87, .external_lex_state = 2},
  [1539] = {.lex_state = 87, .external_lex_state = 2},
  [1540] = {.lex_state = 87, .external_lex_state = 2},
  [1541] = {.lex_state = 87, .external_lex_state = 2},
  [1542] = {.lex_state = 87, .external_lex_state = 2},
  [1543] = {.lex_state = 87, .external_lex_state = 2},
  [1544] = {.lex_state = 87, .external_lex_state = 2},
  [1545] = {.lex_state = 87, .external_lex_state = 2},
  [1546] = {.lex_state = 87, .external_lex_state = 2},
  [1547] = {.lex_state = 87, .external_lex_state = 2},
  [1548] = {.lex_state = 87, .external_lex_state = 2},
  [1549] = {.lex_state = 87, .external_lex_state = 2},
  [1550] = {.lex_state = 87, .external_lex_state = 2},
  [1551] = {.lex_state = 87, .external_lex_state = 2},
  [1552] = {.lex_state = 87, .external_lex_state = 2},
  [1553] = {.lex_state = 87, .external_lex_state = 2},
  [1554] = {.lex_state = 87, .external_lex_state = 2},
  [1555] = {.lex_state = 87, .external_lex_state = 2},
  [1556] = {.lex_state = 87, .external_lex_state = 2},
  [1557] = {.lex_state = 87, .external_lex_state = 2},
  [1558] = {.lex_state = 87, .external_lex_state = 2},
  [1559] = {.lex_state = 87, .external_lex_state = 2},
  [1560] = {.lex_state = 87, .external_lex_state = 2},
  [1561] = {.lex_state = 87, .external_lex_state = 2},
  [1562] = {.lex_state = 7, .external_lex_state = 4},
  [1563] = {.lex_state = 87, .external_lex_state = 2},
  [1564] = {.lex_state = 6, .external_lex_state = 6},
  [1565] = {.lex_state = 87, .external_lex_state = 2},
  [1566] = {.lex_state = 87, .external_lex_state = 2},
  [1567] = {.lex_state = 87, .external_lex_state = 2},
  [1568] = {.lex_state = 87, .external_lex_state = 2},
  [1569] = {.lex_state = 87, .external_lex_state = 2},
  [1570] = {.lex_state = 87, .external_lex_state = 2},
  [1571] = {.lex_state = 87, .external_lex_state = 2},
  [1572] = {.lex_state = 87, .external_lex_state = 2},
  [1573] = {.lex_state = 87, .external_lex_state = 2},
  [1574] = {.lex_state = 5, .external_lex_state = 5},
  [1575] = {.lex_state = 87, .external_lex_state = 2},
  [1576] = {.lex_state = 87, .external_lex_state = 2},
  [1577] = {.lex_state = 87, .external_lex_state = 2},
  [1578] = {.lex_state = 87, .external_lex_state = 2},
  [1579] = {.lex_state = 7, .external_lex_state = 4},
  [1580] = {.lex_state = 87, .external_lex_state = 2},
  [1581] = {.lex_state = 87, .external_lex_state = 2},
  [1582] = {.lex_state = 87, .external_lex_state = 2},
  [1583] = {.lex_state = 87, .external_lex_state = 2},
  [1584] = {.lex_state = 87, .external_lex_state = 2},
  [1585] = {.lex_state = 87, .external_lex_state = 2},
  [1586] = {.lex_state = 87, .external_lex_state = 2},
  [1587] = {.lex_state = 87, .external_lex_state = 2},
  [1588] = {.lex_state = 87, .external_lex_state = 2},
  [1589] = {.lex_state = 6, .external_lex_state = 6},
  [1590] = {.lex_state = 87, .external_lex_state = 2},
  [1591] = {.lex_state = 87, .external_lex_state = 2},
  [1592] = {.lex_state = 87, .external_lex_state = 2},
  [1593] = {.lex_state = 87, .external_lex_state = 2},
  [1594] = {.lex_state = 87, .external_lex_state = 2},
  [1595] = {.lex_state = 87, .external_lex_state = 2},
  [1596] = {.lex_state = 87, .external_lex_state = 2},
  [1597] = {.lex_state = 87, .external_lex_state = 2},
  [1598] = {.lex_state = 87, .external_lex_state = 2},
  [1599] = {.lex_state = 87, .external_lex_state = 2},
  [1600] = {.lex_state = 87, .external_lex_state = 2},
  [1601] = {.lex_state = 87, .external_lex_state = 2},
  [1602] = {.lex_state = 87, .external_lex_state = 2},
  [1603] = {.lex_state = 87, .external_lex_state = 2},
  [1604] = {.lex_state = 87, .external_lex_state = 2},
  [1605] = {.lex_state = 87, .external_lex_state = 2},
  [1606] = {.lex_state = 87, .external_lex_state = 2},
  [1607] = {.lex_state = 7, .external_lex_state = 4},
  [1608] = {.lex_state = 87, .external_lex_state = 2},
  [1609] = {.lex_state = 87, .external_lex_state = 2},
  [1610] = {.lex_state = 87, .external_lex_state = 2},
  [1611] = {.lex_state = 87, .external_lex_state = 2},
  [1612] = {.lex_state = 87, .external_lex_state = 2},
  [1613] = {.lex_state = 87, .external_lex_state = 2},
  [1614] = {.lex_state = 87, .external_lex_state = 2},
  [1615] = {.lex_state = 87, .external_lex_state = 2},
  [1616] = {.lex_state = 87, .external_lex_state = 2},
  [1617] = {.lex_state = 87, .external_lex_state = 2},
  [1618] = {.lex_state = 5, .external_lex_state = 5},
  [1619] = {.lex_state = 5, .external_lex_state = 5},
  [1620] = {.lex_state = 5, .external_lex_state = 5},
  [1621] = {.lex_state = 5, .external_lex_state = 5},
  [1622] = {.lex_state = 87, .external_lex_state = 2},
  [1623] = {.lex_state = 87, .external_lex_state = 2},
  [1624] = {.lex_state = 87, .external_lex_state = 2},
  [1625] = {.lex_state = 87, .external_lex_state = 2},
  [1626] = {.lex_state = 87, .external_lex_state = 2},
  [1627] = {.lex_state = 87, .external_lex_state = 2},
  [1628] = {.lex_state = 87, .external_lex_state = 2},
  [1629] = {.lex_state = 5, .external_lex_state = 5},
  [1630] = {.lex_state = 87, .external_lex_state = 2},
  [1631] = {.lex_state = 87, .external_lex_state = 2},
  [1632] = {.lex_state = 5, .external_lex_state = 5},
  [1633] = {.lex_state = 5, .external_lex_state = 5},
  [1634] = {.lex_state = 87, .external_lex_state = 2},
  [1635] = {.lex_state = 87, .external_lex_state = 2},
  [1636] = {.lex_state = 5, .external_lex_state = 5},
  [1637] = {.lex_state = 5, .external_lex_state = 5},
  [1638] = {.lex_state = 87, .external_lex_state = 2},
  [1639] = {.lex_state = 87, .external_lex_state = 2},
  [1640] = {.lex_state = 5, .external_lex_state = 5},
  [1641] = {.lex_state = 5, .external_lex_state = 5},
  [1642] = {.lex_state = 5, .external_lex_state = 5},
  [1643] = {.lex_state = 5, .external_lex_state = 5},
  [1644] = {.lex_state = 5, .external_lex_state = 5},
  [1645] = {.lex_state = 87, .external_lex_state = 2},
  [1646] = {.lex_state = 87, .external_lex_state = 2},
  [1647] = {.lex_state = 87, .external_lex_state = 2},
  [1648] = {.lex_state = 87, .external_lex_state = 2},
  [1649] = {.lex_state = 87, .external_lex_state = 2},
  [1650] = {.lex_state = 87, .external_lex_state = 2},
  [1651] = {.lex_state = 5, .external_lex_state = 5},
  [1652] = {.lex_state = 87, .external_lex_state = 2},
  [1653] = {.lex_state = 87, .external_lex_state = 2},
  [1654] = {.lex_state = 87, .external_lex_state = 2},
  [1655] = {.lex_state = 87, .external_lex_state = 2},
  [1656] = {.lex_state = 87, .external_lex_state = 2},
  [1657] = {.lex_state = 87, .external_lex_state = 2},
  [1658] = {.lex_state = 87, .external_lex_state = 2},
  [1659] = {.lex_state = 5, .external_lex_state = 5},
  [1660] = {.lex_state = 89, .external_lex_state = 5},
  [1661] = {.lex_state = 87, .external_lex_state = 2},
  [1662] = {.lex_state = 87, .external_lex_state = 2},
  [1663] = {.lex_state = 87, .external_lex_state = 2},
  [1664] = {.lex_state = 87, .external_lex_state = 2},
  [1665] = {.lex_state = 87, .external_lex_state = 2},
  [1666] = {.lex_state = 87, .external_lex_state = 2},
  [1667] = {.lex_state = 87, .external_lex_state = 2},
  [1668] = {.lex_state = 5, .external_lex_state = 5},
  [1669] = {.lex_state = 87, .external_lex_state = 2},
  [1670] = {.lex_state = 87, .external_lex_state = 2},
  [1671] = {.lex_state = 87, .external_lex_state = 2},
  [1672] = {.lex_state = 87, .external_lex_state = 2},
  [1673] = {.lex_state = 87, .external_lex_state = 2},
  [1674] = {.lex_state = 87, .external_lex_state = 2},
  [1675] = {.lex_state = 87, .external_lex_state = 2},
  [1676] = {.lex_state = 87, .external_lex_state = 2},
  [1677] = {.lex_state = 87, .external_lex_state = 2},
  [1678] = {.lex_state = 87, .external_lex_state = 2},
  [1679] = {.lex_state = 87, .external_lex_state = 2},
  [1680] = {.lex_state = 87, .external_lex_state = 2},
  [1681] = {.lex_state = 87, .external_lex_state = 2},
  [1682] = {.lex_state = 87, .external_lex_state = 2},
  [1683] = {.lex_state = 87, .external_lex_state = 2},
  [1684] = {.lex_state = 87, .external_lex_state = 2},
  [1685] = {.lex_state = 87, .external_lex_state = 2},
  [1686] = {.lex_state = 87, .external_lex_state = 2},
  [1687] = {.lex_state = 87, .external_lex_state = 2},
  [1688] = {.lex_state = 87, .external_lex_state = 2},
  [1689] = {.lex_state = 87, .external_lex_state = 2},
  [1690] = {.lex_state = 87, .external_lex_state = 2},
  [1691] = {.lex_state = 87, .external_lex_state = 2},
  [1692] = {.lex_state = 87, .external_lex_state = 2},
  [1693] = {.lex_state = 87, .external_lex_state = 2},
  [1694] = {.lex_state = 87, .external_lex_state = 2},
  [1695] = {.lex_state = 87, .external_lex_state = 2},
  [1696] = {.lex_state = 87, .external_lex_state = 2},
  [1697] = {.lex_state = 87, .external_lex_state = 2},
  [1698] = {.lex_state = 87, .external_lex_state = 2},
  [1699] = {.lex_state = 87, .external_lex_state = 2},
  [1700] = {.lex_state = 87, .external_lex_state = 2},
  [1701] = {.lex_state = 87, .external_lex_state = 2},
  [1702] = {.lex_state = 87, .external_lex_state = 2},
  [1703] = {.lex_state = 87, .external_lex_state = 2},
  [1704] = {.lex_state = 87, .external_lex_state = 2},
  [1705] = {.lex_state = 87, .external_lex_state = 2},
  [1706] = {.lex_state = 87, .external_lex_state = 2},
  [1707] = {.lex_state = 87, .external_lex_state = 2},
  [1708] = {.lex_state = 87, .external_lex_state = 2},
  [1709] = {.lex_state = 87, .external_lex_state = 2},
  [1710] = {.lex_state = 87, .external_lex_state = 2},
  [1711] = {.lex_state = 87, .external_lex_state = 2},
  [1712] = {.lex_state = 87, .external_lex_state = 2},
  [1713] = {.lex_state = 87, .external_lex_state = 2},
  [1714] = {.lex_state = 87, .external_lex_state = 2},
  [1715] = {.lex_state = 87, .external_lex_state = 2},
  [1716] = {.lex_state = 87, .external_lex_state = 2},
  [1717] = {.lex_state = 87, .external_lex_state = 2},
  [1718] = {.lex_state = 87, .external_lex_state = 2},
  [1719] = {.lex_state = 87, .external_lex_state = 2},
  [1720] = {.lex_state = 87, .external_lex_state = 2},
  [1721] = {.lex_state = 87, .external_lex_state = 2},
  [1722] = {.lex_state = 87, .external_lex_state = 2},
  [1723] = {.lex_state = 87, .external_lex_state = 2},
  [1724] = {.lex_state = 87, .external_lex_state = 2},
  [1725] = {.lex_state = 87, .external_lex_state = 2},
  [1726] = {.lex_state = 87, .external_lex_state = 2},
  [1727] = {.lex_state = 87, .external_lex_state = 2},
  [1728] = {.lex_state = 87, .external_lex_state = 2},
  [1729] = {.lex_state = 87, .external_lex_state = 2},
  [1730] = {.lex_state = 87, .external_lex_state = 2},
  [1731] = {.lex_state = 87, .external_lex_state = 2},
  [1732] = {.lex_state = 87, .external_lex_state = 2},
  [1733] = {.lex_state = 87, .external_lex_state = 2},
  [1734] = {.lex_state = 87, .external_lex_state = 2},
  [1735] = {.lex_state = 87, .external_lex_state = 2},
  [1736] = {.lex_state = 87, .external_lex_state = 2},
  [1737] = {.lex_state = 87, .external_lex_state = 2},
  [1738] = {.lex_state = 87, .external_lex_state = 2},
  [1739] = {.lex_state = 87, .external_lex_state = 2},
  [1740] = {.lex_state = 87, .external_lex_state = 2},
  [1741] = {.lex_state = 87, .external_lex_state = 2},
  [1742] = {.lex_state = 87, .external_lex_state = 2},
  [1743] = {.lex_state = 87, .external_lex_state = 2},
  [1744] = {.lex_state = 87, .external_lex_state = 2},
  [1745] = {.lex_state = 87, .external_lex_state = 2},
  [1746] = {.lex_state = 87, .external_lex_state = 2},
  [1747] = {.lex_state = 87, .external_lex_state = 2},
  [1748] = {.lex_state = 87, .external_lex_state = 2},
  [1749] = {.lex_state = 87, .external_lex_state = 2},
  [1750] = {.lex_state = 87, .external_lex_state = 2},
  [1751] = {.lex_state = 87, .external_lex_state = 2},
  [1752] = {.lex_state = 87, .external_lex_state = 2},
  [1753] = {.lex_state = 87, .external_lex_state = 2},
  [1754] = {.lex_state = 87, .external_lex_state = 2},
  [1755] = {.lex_state = 87, .external_lex_state = 2},
  [1756] = {.lex_state = 87, .external_lex_state = 2},
  [1757] = {.lex_state = 87, .external_lex_state = 2},
  [1758] = {.lex_state = 87, .external_lex_state = 2},
  [1759] = {.lex_state = 87, .external_lex_state = 2},
  [1760] = {.lex_state = 87, .external_lex_state = 2},
  [1761] = {.lex_state = 87, .external_lex_state = 2},
  [1762] = {.lex_state = 87, .external_lex_state = 2},
  [1763] = {.lex_state = 87, .external_lex_state = 2},
  [1764] = {.lex_state = 87, .external_lex_state = 2},
  [1765] = {.lex_state = 87, .external_lex_state = 2},
  [1766] = {.lex_state = 87, .external_lex_state = 2},
  [1767] = {.lex_state = 87, .external_lex_state = 2},
  [1768] = {.lex_state = 87, .external_lex_state = 2},
  [1769] = {.lex_state = 87, .external_lex_state = 2},
  [1770] = {.lex_state = 87, .external_lex_state = 2},
  [1771] = {.lex_state = 87, .external_lex_state = 2},
  [1772] = {.lex_state = 87, .external_lex_state = 2},
  [1773] = {.lex_state = 87, .external_lex_state = 2},
  [1774] = {.lex_state = 87, .external_lex_state = 2},
  [1775] = {.lex_state = 87, .external_lex_state = 2},
  [1776] = {.lex_state = 87, .external_lex_state = 2},
  [1777] = {.lex_state = 87, .external_lex_state = 2},
  [1778] = {.lex_state = 87, .external_lex_state = 2},
  [1779] = {.lex_state = 87, .external_lex_state = 2},
  [1780] = {.lex_state = 87, .external_lex_state = 2},
  [1781] = {.lex_state = 87, .external_lex_state = 2},
  [1782] = {.lex_state = 87, .external_lex_state = 2},
  [1783] = {.lex_state = 87, .external_lex_state = 2},
  [1784] = {.lex_state = 87, .external_lex_state = 2},
  [1785] = {.lex_state = 87, .external_lex_state = 2},
  [1786] = {.lex_state = 87, .external_lex_state = 2},
  [1787] = {.lex_state = 87, .external_lex_state = 2},
  [1788] = {.lex_state = 87, .external_lex_state = 2},
  [1789] = {.lex_state = 87, .external_lex_state = 2},
  [1790] = {.lex_state = 87, .external_lex_state = 2},
  [1791] = {.lex_state = 87, .external_lex_state = 2},
  [1792] = {.lex_state = 87, .external_lex_state = 2},
  [1793] = {.lex_state = 87, .external_lex_state = 2},
  [1794] = {.lex_state = 87, .external_lex_state = 2},
  [1795] = {.lex_state = 87, .external_lex_state = 2},
  [1796] = {.lex_state = 87, .external_lex_state = 2},
  [1797] = {.lex_state = 87, .external_lex_state = 2},
  [1798] = {.lex_state = 87, .external_lex_state = 2},
  [1799] = {.lex_state = 87, .external_lex_state = 2},
  [1800] = {.lex_state = 87, .external_lex_state = 2},
  [1801] = {.lex_state = 87, .external_lex_state = 2},
  [1802] = {.lex_state = 87, .external_lex_state = 2},
  [1803] = {.lex_state = 87, .external_lex_state = 2},
  [1804] = {.lex_state = 87, .external_lex_state = 2},
  [1805] = {.lex_state = 87, .external_lex_state = 2},
  [1806] = {.lex_state = 87, .external_lex_state = 2},
  [1807] = {.lex_state = 87, .external_lex_state = 2},
  [1808] = {.lex_state = 87, .external_lex_state = 2},
  [1809] = {.lex_state = 87, .external_lex_state = 2},
  [1810] = {.lex_state = 87, .external_lex_state = 2},
  [1811] = {.lex_state = 87, .external_lex_state = 2},
  [1812] = {.lex_state = 87, .external_lex_state = 2},
  [1813] = {.lex_state = 87, .external_lex_state = 2},
  [1814] = {.lex_state = 87, .external_lex_state = 2},
  [1815] = {.lex_state = 87, .external_lex_state = 2},
  [1816] = {.lex_state = 87, .external_lex_state = 2},
  [1817] = {.lex_state = 87, .external_lex_state = 2},
  [1818] = {.lex_state = 87, .external_lex_state = 2},
  [1819] = {.lex_state = 87, .external_lex_state = 2},
  [1820] = {.lex_state = 87, .external_lex_state = 2},
  [1821] = {.lex_state = 87, .external_lex_state = 2},
  [1822] = {.lex_state = 87, .external_lex_state = 2},
  [1823] = {.lex_state = 87, .external_lex_state = 2},
  [1824] = {.lex_state = 87, .external_lex_state = 2},
  [1825] = {.lex_state = 87, .external_lex_state = 2},
  [1826] = {.lex_state = 87, .external_lex_state = 2},
  [1827] = {.lex_state = 87, .external_lex_state = 2},
  [1828] = {.lex_state = 87, .external_lex_state = 2},
  [1829] = {.lex_state = 87, .external_lex_state = 2},
  [1830] = {.lex_state = 87, .external_lex_state = 2},
  [1831] = {.lex_state = 87, .external_lex_state = 2},
  [1832] = {.lex_state = 87, .external_lex_state = 2},
  [1833] = {.lex_state = 87, .external_lex_state = 2},
  [1834] = {.lex_state = 87, .external_lex_state = 2},
  [1835] = {.lex_state = 87, .external_lex_state = 2},
  [1836] = {.lex_state = 87, .external_lex_state = 2},
  [1837] = {.lex_state = 87, .external_lex_state = 2},
  [1838] = {.lex_state = 87, .external_lex_state = 2},
  [1839] = {.lex_state = 87, .external_lex_state = 2},
  [1840] = {.lex_state = 87, .external_lex_state = 2},
  [1841] = {.lex_state = 87, .external_lex_state = 2},
  [1842] = {.lex_state = 87, .external_lex_state = 2},
  [1843] = {.lex_state = 87, .external_lex_state = 2},
  [1844] = {.lex_state = 87, .external_lex_state = 2},
  [1845] = {.lex_state = 87, .external_lex_state = 2},
  [1846] = {.lex_state = 87, .external_lex_state = 2},
  [1847] = {.lex_state = 87, .external_lex_state = 2},
  [1848] = {.lex_state = 87, .external_lex_state = 2},
  [1849] = {.lex_state = 87, .external_lex_state = 2},
  [1850] = {.lex_state = 87, .external_lex_state = 2},
  [1851] = {.lex_state = 87, .external_lex_state = 2},
  [1852] = {.lex_state = 87, .external_lex_state = 2},
  [1853] = {.lex_state = 87, .external_lex_state = 2},
  [1854] = {.lex_state = 87, .external_lex_state = 2},
  [1855] = {.lex_state = 87, .external_lex_state = 2},
  [1856] = {.lex_state = 87, .external_lex_state = 2},
  [1857] = {.lex_state = 87, .external_lex_state = 2},
  [1858] = {.lex_state = 87, .external_lex_state = 2},
  [1859] = {.lex_state = 87, .external_lex_state = 2},
  [1860] = {.lex_state = 87, .external_lex_state = 2},
  [1861] = {.lex_state = 87, .external_lex_state = 2},
  [1862] = {.lex_state = 87, .external_lex_state = 2},
  [1863] = {.lex_state = 87, .external_lex_state = 2},
  [1864] = {.lex_state = 87, .external_lex_state = 2},
  [1865] = {.lex_state = 87, .external_lex_state = 2},
  [1866] = {.lex_state = 87, .external_lex_state = 2},
  [1867] = {.lex_state = 87, .external_lex_state = 2},
  [1868] = {.lex_state = 87, .external_lex_state = 2},
  [1869] = {.lex_state = 87, .external_lex_state = 2},
  [1870] = {.lex_state = 87, .external_lex_state = 2},
  [1871] = {.lex_state = 87, .external_lex_state = 2},
  [1872] = {.lex_state = 87, .external_lex_state = 2},
  [1873] = {.lex_state = 87, .external_lex_state = 2},
  [1874] = {.lex_state = 87, .external_lex_state = 2},
  [1875] = {.lex_state = 87, .external_lex_state = 2},
  [1876] = {.lex_state = 87, .external_lex_state = 2},
  [1877] = {.lex_state = 87, .external_lex_state = 2},
  [1878] = {.lex_state = 87, .external_lex_state = 2},
  [1879] = {.lex_state = 87, .external_lex_state = 2},
  [1880] = {.lex_state = 87, .external_lex_state = 2},
  [1881] = {.lex_state = 87, .external_lex_state = 2},
  [1882] = {.lex_state = 87, .external_lex_state = 2},
  [1883] = {.lex_state = 87, .external_lex_state = 2},
  [1884] = {.lex_state = 87, .external_lex_state = 2},
  [1885] = {.lex_state = 87, .external_lex_state = 2},
  [1886] = {.lex_state = 87, .external_lex_state = 2},
  [1887] = {.lex_state = 87, .external_lex_state = 2},
  [1888] = {.lex_state = 87, .external_lex_state = 2},
  [1889] = {.lex_state = 87, .external_lex_state = 2},
  [1890] = {.lex_state = 87, .external_lex_state = 2},
  [1891] = {.lex_state = 87, .external_lex_state = 2},
  [1892] = {.lex_state = 87, .external_lex_state = 2},
  [1893] = {.lex_state = 87, .external_lex_state = 2},
  [1894] = {.lex_state = 87, .external_lex_state = 2},
  [1895] = {.lex_state = 87, .external_lex_state = 2},
  [1896] = {.lex_state = 87, .external_lex_state = 2},
  [1897] = {.lex_state = 87, .external_lex_state = 2},
  [1898] = {.lex_state = 87, .external_lex_state = 2},
  [1899] = {.lex_state = 87, .external_lex_state = 2},
  [1900] = {.lex_state = 87, .external_lex_state = 2},
  [1901] = {.lex_state = 87, .external_lex_state = 2},
  [1902] = {.lex_state = 87, .external_lex_state = 2},
  [1903] = {.lex_state = 87, .external_lex_state = 2},
  [1904] = {.lex_state = 87, .external_lex_state = 2},
  [1905] = {.lex_state = 87, .external_lex_state = 2},
  [1906] = {.lex_state = 87, .external_lex_state = 2},
  [1907] = {.lex_state = 87, .external_lex_state = 2},
  [1908] = {.lex_state = 87, .external_lex_state = 2},
  [1909] = {.lex_state = 87, .external_lex_state = 2},
  [1910] = {.lex_state = 87, .external_lex_state = 2},
  [1911] = {.lex_state = 87, .external_lex_state = 2},
  [1912] = {.lex_state = 87, .external_lex_state = 2},
  [1913] = {.lex_state = 87, .external_lex_state = 2},
  [1914] = {.lex_state = 87, .external_lex_state = 2},
  [1915] = {.lex_state = 87, .external_lex_state = 2},
  [1916] = {.lex_state = 87, .external_lex_state = 2},
  [1917] = {.lex_state = 87, .external_lex_state = 2},
  [1918] = {.lex_state = 87, .external_lex_state = 2},
  [1919] = {.lex_state = 87, .external_lex_state = 2},
  [1920] = {.lex_state = 87, .external_lex_state = 2},
  [1921] = {.lex_state = 87, .external_lex_state = 2},
  [1922] = {.lex_state = 87, .external_lex_state = 2},
  [1923] = {.lex_state = 87, .external_lex_state = 2},
  [1924] = {.lex_state = 87, .external_lex_state = 2},
  [1925] = {.lex_state = 87, .external_lex_state = 2},
  [1926] = {.lex_state = 87, .external_lex_state = 2},
  [1927] = {.lex_state = 87, .external_lex_state = 2},
  [1928] = {.lex_state = 87, .external_lex_state = 2},
  [1929] = {.lex_state = 87, .external_lex_state = 2},
  [1930] = {.lex_state = 87, .external_lex_state = 2},
  [1931] = {.lex_state = 87, .external_lex_state = 2},
  [1932] = {.lex_state = 87, .external_lex_state = 2},
  [1933] = {.lex_state = 87, .external_lex_state = 2},
  [1934] = {.lex_state = 87, .external_lex_state = 2},
  [1935] = {.lex_state = 87, .external_lex_state = 2},
  [1936] = {.lex_state = 87, .external_lex_state = 2},
  [1937] = {.lex_state = 87, .external_lex_state = 2},
  [1938] = {.lex_state = 87, .external_lex_state = 2},
  [1939] = {.lex_state = 87, .external_lex_state = 2},
  [1940] = {.lex_state = 87, .external_lex_state = 2},
  [1941] = {.lex_state = 7, .external_lex_state = 4},
  [1942] = {.lex_state = 87, .external_lex_state = 2},
  [1943] = {.lex_state = 87, .external_lex_state = 2},
  [1944] = {.lex_state = 87, .external_lex_state = 2},
  [1945] = {.lex_state = 5, .external_lex_state = 5},
  [1946] = {.lex_state = 87, .external_lex_state = 2},
  [1947] = {.lex_state = 87, .external_lex_state = 2},
  [1948] = {.lex_state = 87, .external_lex_state = 2},
  [1949] = {.lex_state = 87, .external_lex_state = 2},
  [1950] = {.lex_state = 87, .external_lex_state = 2},
  [1951] = {.lex_state = 87, .external_lex_state = 2},
  [1952] = {.lex_state = 5, .external_lex_state = 5},
  [1953] = {.lex_state = 87, .external_lex_state = 2},
  [1954] = {.lex_state = 87, .external_lex_state = 2},
  [1955] = {.lex_state = 87, .external_lex_state = 2},
  [1956] = {.lex_state = 87, .external_lex_state = 2},
  [1957] = {.lex_state = 87, .external_lex_state = 2},
  [1958] = {.lex_state = 87, .external_lex_state = 2},
  [1959] = {.lex_state = 87, .external_lex_state = 2},
  [1960] = {.lex_state = 87, .external_lex_state = 2},
  [1961] = {.lex_state = 87, .external_lex_state = 2},
  [1962] = {.lex_state = 5, .external_lex_state = 5},
  [1963] = {.lex_state = 87, .external_lex_state = 2},
  [1964] = {.lex_state = 87, .external_lex_state = 2},
  [1965] = {.lex_state = 87, .external_lex_state = 2},
  [1966] = {.lex_state = 87, .external_lex_state = 2},
  [1967] = {.lex_state = 87, .external_lex_state = 2},
  [1968] = {.lex_state = 87, .external_lex_state = 2},
  [1969] = {.lex_state = 87, .external_lex_state = 2},
  [1970] = {.lex_state = 87, .external_lex_state = 2},
  [1971] = {.lex_state = 87, .external_lex_state = 2},
  [1972] = {.lex_state = 87, .external_lex_state = 2},
  [1973] = {.lex_state = 87, .external_lex_state = 2},
  [1974] = {.lex_state = 87, .external_lex_state = 2},
  [1975] = {.lex_state = 87, .external_lex_state = 2},
  [1976] = {.lex_state = 87, .external_lex_state = 2},
  [1977] = {.lex_state = 87, .external_lex_state = 2},
  [1978] = {.lex_state = 87, .external_lex_state = 2},
  [1979] = {.lex_state = 87, .external_lex_state = 2},
  [1980] = {.lex_state = 87, .external_lex_state = 2},
  [1981] = {.lex_state = 87, .external_lex_state = 2},
  [1982] = {.lex_state = 87, .external_lex_state = 2},
  [1983] = {.lex_state = 87, .external_lex_state = 2},
  [1984] = {.lex_state = 87, .external_lex_state = 2},
  [1985] = {.lex_state = 87, .external_lex_state = 2},
  [1986] = {.lex_state = 87, .external_lex_state = 2},
  [1987] = {.lex_state = 87, .external_lex_state = 2},
  [1988] = {.lex_state = 87, .external_lex_state = 2},
  [1989] = {.lex_state = 87, .external_lex_state = 2},
  [1990] = {.lex_state = 87, .external_lex_state = 2},
  [1991] = {.lex_state = 87, .external_lex_state = 2},
  [1992] = {.lex_state = 87, .external_lex_state = 2},
  [1993] = {.lex_state = 87, .external_lex_state = 2},
  [1994] = {.lex_state = 87, .external_lex_state = 2},
  [1995] = {.lex_state = 87, .external_lex_state = 2},
  [1996] = {.lex_state = 87, .external_lex_state = 2},
  [1997] = {.lex_state = 87, .external_lex_state = 2},
  [1998] = {.lex_state = 87, .external_lex_state = 2},
  [1999] = {.lex_state = 87, .external_lex_state = 2},
  [2000] = {.lex_state = 87, .external_lex_state = 2},
  [2001] = {.lex_state = 87, .external_lex_state = 2},
  [2002] = {.lex_state = 87, .external_lex_state = 2},
  [2003] = {.lex_state = 87, .external_lex_state = 2},
  [2004] = {.lex_state = 87, .external_lex_state = 2},
  [2005] = {.lex_state = 87, .external_lex_state = 2},
  [2006] = {.lex_state = 87, .external_lex_state = 2},
  [2007] = {.lex_state = 87, .external_lex_state = 2},
  [2008] = {.lex_state = 87, .external_lex_state = 2},
  [2009] = {.lex_state = 87, .external_lex_state = 2},
  [2010] = {.lex_state = 87, .external_lex_state = 2},
  [2011] = {.lex_state = 87, .external_lex_state = 2},
  [2012] = {.lex_state = 87, .external_lex_state = 2},
  [2013] = {.lex_state = 87, .external_lex_state = 2},
  [2014] = {.lex_state = 87, .external_lex_state = 2},
  [2015] = {.lex_state = 87, .external_lex_state = 2},
  [2016] = {.lex_state = 87, .external_lex_state = 2},
  [2017] = {.lex_state = 87, .external_lex_state = 2},
  [2018] = {.lex_state = 87, .external_lex_state = 2},
  [2019] = {.lex_state = 87, .external_lex_state = 2},
  [2020] = {.lex_state = 87, .external_lex_state = 2},
  [2021] = {.lex_state = 87, .external_lex_state = 2},
  [2022] = {.lex_state = 87, .external_lex_state = 2},
  [2023] = {.lex_state = 87, .external_lex_state = 2},
  [2024] = {.lex_state = 87, .external_lex_state = 2},
  [2025] = {.lex_state = 87, .external_lex_state = 2},
  [2026] = {.lex_state = 87, .external_lex_state = 2},
  [2027] = {.lex_state = 87, .external_lex_state = 2},
  [2028] = {.lex_state = 87, .external_lex_state = 2},
  [2029] = {.lex_state = 87, .external_lex_state = 2},
  [2030] = {.lex_state = 87, .external_lex_state = 2},
  [2031] = {.lex_state = 87, .external_lex_state = 2},
  [2032] = {.lex_state = 87, .external_lex_state = 2},
  [2033] = {.lex_state = 87, .external_lex_state = 2},
  [2034] = {.lex_state = 87, .external_lex_state = 2},
  [2035] = {.lex_state = 5, .external_lex_state = 5},
  [2036] = {.lex_state = 7, .external_lex_state = 4},
  [2037] = {.lex_state = 7, .external_lex_state = 4},
  [2038] = {.lex_state = 5, .external_lex_state = 5},
  [2039] = {.lex_state = 7, .external_lex_state = 4},
  [2040] = {.lex_state = 5, .external_lex_state = 5},
  [2041] = {.lex_state = 5, .external_lex_state = 5},
  [2042] = {.lex_state = 7, .external_lex_state = 4},
  [2043] = {.lex_state = 7, .external_lex_state = 4},
  [2044] = {.lex_state = 7, .external_lex_state = 4},
  [2045] = {.lex_state = 7, .external_lex_state = 4},
  [2046] = {.lex_state = 7, .external_lex_state = 4},
  [2047] = {.lex_state = 7, .external_lex_state = 4},
  [2048] = {.lex_state = 7, .external_lex_state = 4},
  [2049] = {.lex_state = 7, .external_lex_state = 4},
  [2050] = {.lex_state = 7, .external_lex_state = 4},
  [2051] = {.lex_state = 7, .external_lex_state = 4},
  [2052] = {.lex_state = 7, .external_lex_state = 4},
  [2053] = {.lex_state = 7, .external_lex_state = 4},
  [2054] = {.lex_state = 5, .external_lex_state = 5},
  [2055] = {.lex_state = 5, .external_lex_state = 5},
  [2056] = {.lex_state = 5, .external_lex_state = 5},
  [2057] = {.lex_state = 5, .external_lex_state = 5},
  [2058] = {.lex_state = 5, .external_lex_state = 5},
  [2059] = {.lex_state = 5, .external_lex_state = 5},
  [2060] = {.lex_state = 5, .external_lex_state = 5},
  [2061] = {.lex_state = 5, .external_lex_state = 5},
  [2062] = {.lex_state = 5, .external_lex_state = 5},
  [2063] = {.lex_state = 7, .external_lex_state = 4},
  [2064] = {.lex_state = 7, .external_lex_state = 4},
  [2065] = {.lex_state = 7, .external_lex_state = 4},
  [2066] = {.lex_state = 5, .external_lex_state = 5},
  [2067] = {.lex_state = 5, .external_lex_state = 5},
  [2068] = {.lex_state = 5, .external_lex_state = 5},
  [2069] = {.lex_state = 5, .external_lex_state = 5},
  [2070] = {.lex_state = 5, .external_lex_state = 5},
  [2071] = {.lex_state = 5, .external_lex_state = 5},
  [2072] = {.lex_state = 7, .external_lex_state = 4},
  [2073] = {.lex_state = 7, .external_lex_state = 4},
  [2074] = {.lex_state = 7, .external_lex_state = 4},
  [2075] = {.lex_state = 5, .external_lex_state = 5},
  [2076] = {.lex_state = 5, .external_lex_state = 5},
  [2077] = {.lex_state = 5, .external_lex_state = 5},
  [2078] = {.lex_state = 5, .external_lex_state = 5},
  [2079] = {.lex_state = 5, .external_lex_state = 5},
  [2080] = {.lex_state = 5, .external_lex_state = 5},
  [2081] = {.lex_state = 5, .external_lex_state = 5},
  [2082] = {.lex_state = 5, .external_lex_state = 5},
  [2083] = {.lex_state = 5, .external_lex_state = 5},
  [2084] = {.lex_state = 5, .external_lex_state = 5},
  [2085] = {.lex_state = 5, .external_lex_state = 5},
  [2086] = {.lex_state = 5, .external_lex_state = 5},
  [2087] = {.lex_state = 5, .external_lex_state = 5},
  [2088] = {.lex_state = 5, .external_lex_state = 5},
  [2089] = {.lex_state = 5, .external_lex_state = 5},
  [2090] = {.lex_state = 5, .external_lex_state = 5},
  [2091] = {.lex_state = 5, .external_lex_state = 5},
  [2092] = {.lex_state = 5, .external_lex_state = 5},
  [2093] = {.lex_state = 5, .external_lex_state = 5},
  [2094] = {.lex_state = 5, .external_lex_state = 5},
  [2095] = {.lex_state = 5, .external_lex_state = 5},
  [2096] = {.lex_state = 5, .external_lex_state = 5},
  [2097] = {.lex_state = 5, .external_lex_state = 5},
  [2098] = {.lex_state = 7, .external_lex_state = 4},
  [2099] = {.lex_state = 7, .external_lex_state = 4},
  [2100] = {.lex_state = 5, .external_lex_state = 5},
  [2101] = {.lex_state = 5, .external_lex_state = 5},
  [2102] = {.lex_state = 5, .external_lex_state = 5},
  [2103] = {.lex_state = 5, .external_lex_state = 5},
  [2104] = {.lex_state = 5, .external_lex_state = 5},
  [2105] = {.lex_state = 5, .external_lex_state = 5},
  [2106] = {.lex_state = 7, .external_lex_state = 4},
  [2107] = {.lex_state = 7, .external_lex_state = 4},
  [2108] = {.lex_state = 7, .external_lex_state = 4},
  [2109] = {.lex_state = 7, .external_lex_state = 4},
  [2110] = {.lex_state = 7, .external_lex_state = 4},
  [2111] = {.lex_state = 5, .external_lex_state = 5},
  [2112] = {.lex_state = 5, .external_lex_state = 5},
  [2113] = {.lex_state = 5, .external_lex_state = 5},
  [2114] = {.lex_state = 5, .external_lex_state = 5},
  [2115] = {.lex_state = 5, .external_lex_state = 5},
  [2116] = {.lex_state = 5, .external_lex_state = 5},
  [2117] = {.lex_state = 5, .external_lex_state = 5},
  [2118] = {.lex_state = 5, .external_lex_state = 5},
  [2119] = {.lex_state = 5, .external_lex_state = 5},
  [2120] = {.lex_state = 5, .external_lex_state = 5},
  [2121] = {.lex_state = 7, .external_lex_state = 4},
  [2122] = {.lex_state = 7, .external_lex_state = 4},
  [2123] = {.lex_state = 7, .external_lex_state = 4},
  [2124] = {.lex_state = 7, .external_lex_state = 4},
  [2125] = {.lex_state = 7, .external_lex_state = 4},
  [2126] = {.lex_state = 5, .external_lex_state = 5},
  [2127] = {.lex_state = 5, .external_lex_state = 5},
  [2128] = {.lex_state = 5, .external_lex_state = 5},
  [2129] = {.lex_state = 5, .external_lex_state = 5},
  [2130] = {.lex_state = 5, .external_lex_state = 5},
  [2131] = {.lex_state = 5, .external_lex_state = 5},
  [2132] = {.lex_state = 5, .external_lex_state = 5},
  [2133] = {.lex_state = 5, .external_lex_state = 5},
  [2134] = {.lex_state = 5, .external_lex_state = 5},
  [2135] = {.lex_state = 5, .external_lex_state = 5},
  [2136] = {.lex_state = 5, .external_lex_state = 5},
  [2137] = {.lex_state = 5, .external_lex_state = 5},
  [2138] = {.lex_state = 7, .external_lex_state = 4},
  [2139] = {.lex_state = 7, .external_lex_state = 4},
  [2140] = {.lex_state = 7, .external_lex_state = 4},
  [2141] = {.lex_state = 7, .external_lex_state = 4},
  [2142] = {.lex_state = 5, .external_lex_state = 5},
  [2143] = {.lex_state = 5, .external_lex_state = 5},
  [2144] = {.lex_state = 5, .external_lex_state = 5},
  [2145] = {.lex_state = 5, .external_lex_state = 5},
  [2146] = {.lex_state = 5, .external_lex_state = 5},
  [2147] = {.lex_state = 5, .external_lex_state = 5},
  [2148] = {.lex_state = 5, .external_lex_state = 5},
  [2149] = {.lex_state = 7, .external_lex_state = 4},
  [2150] = {.lex_state = 7, .external_lex_state = 4},
  [2151] = {.lex_state = 5, .external_lex_state = 5},
  [2152] = {.lex_state = 5, .external_lex_state = 5},
  [2153] = {.lex_state = 5, .external_lex_state = 5},
  [2154] = {.lex_state = 5, .external_lex_state = 5},
  [2155] = {.lex_state = 7, .external_lex_state = 6},
  [2156] = {.lex_state = 7, .external_lex_state = 4},
  [2157] = {.lex_state = 5, .external_lex_state = 5},
  [2158] = {.lex_state = 5, .external_lex_state = 5},
  [2159] = {.lex_state = 5, .external_lex_state = 5},
  [2160] = {.lex_state = 5, .external_lex_state = 5},
  [2161] = {.lex_state = 5, .external_lex_state = 5},
  [2162] = {.lex_state = 5, .external_lex_state = 5},
  [2163] = {.lex_state = 5, .external_lex_state = 5},
  [2164] = {.lex_state = 7, .external_lex_state = 4},
  [2165] = {.lex_state = 7, .external_lex_state = 4},
  [2166] = {.lex_state = 5, .external_lex_state = 5},
  [2167] = {.lex_state = 7, .external_lex_state = 4},
  [2168] = {.lex_state = 5, .external_lex_state = 5},
  [2169] = {.lex_state = 5, .external_lex_state = 5},
  [2170] = {.lex_state = 7, .external_lex_state = 4},
  [2171] = {.lex_state = 7, .external_lex_state = 4},
  [2172] = {.lex_state = 7, .external_lex_state = 4},
  [2173] = {.lex_state = 5, .external_lex_state = 5},
  [2174] = {.lex_state = 7, .external_lex_state = 4},
  [2175] = {.lex_state = 5, .external_lex_state = 5},
  [2176] = {.lex_state = 5, .external_lex_state = 5},
  [2177] = {.lex_state = 5, .external_lex_state = 5},
  [2178] = {.lex_state = 5, .external_lex_state = 5},
  [2179] = {.lex_state = 5, .external_lex_state = 5},
  [2180] = {.lex_state = 5, .external_lex_state = 5},
  [2181] = {.lex_state = 5, .external_lex_state = 5},
  [2182] = {.lex_state = 5, .external_lex_state = 5},
  [2183] = {.lex_state = 5, .external_lex_state = 5},
  [2184] = {.lex_state = 5, .external_lex_state = 5},
  [2185] = {.lex_state = 5, .external_lex_state = 5},
  [2186] = {.lex_state = 5, .external_lex_state = 5},
  [2187] = {.lex_state = 5, .external_lex_state = 5},
  [2188] = {.lex_state = 5, .external_lex_state = 5},
  [2189] = {.lex_state = 5, .external_lex_state = 5},
  [2190] = {.lex_state = 5, .external_lex_state = 5},
  [2191] = {.lex_state = 5, .external_lex_state = 5},
  [2192] = {.lex_state = 5, .external_lex_state = 5},
  [2193] = {.lex_state = 5, .external_lex_state = 5},
  [2194] = {.lex_state = 5, .external_lex_state = 5},
  [2195] = {.lex_state = 5, .external_lex_state = 5},
  [2196] = {.lex_state = 5, .external_lex_state = 5},
  [2197] = {.lex_state = 5, .external_lex_state = 5},
  [2198] = {.lex_state = 5, .external_lex_state = 5},
  [2199] = {.lex_state = 5, .external_lex_state = 5},
  [2200] = {.lex_state = 5, .external_lex_state = 5},
  [2201] = {.lex_state = 5, .external_lex_state = 5},
  [2202] = {.lex_state = 7, .external_lex_state = 4},
  [2203] = {.lex_state = 5, .external_lex_state = 5},
  [2204] = {.lex_state = 5, .external_lex_state = 5},
  [2205] = {.lex_state = 5, .external_lex_state = 5},
  [2206] = {.lex_state = 5, .external_lex_state = 5},
  [2207] = {.lex_state = 5, .external_lex_state = 5},
  [2208] = {.lex_state = 5, .external_lex_state = 5},
  [2209] = {.lex_state = 5, .external_lex_state = 5},
  [2210] = {.lex_state = 5, .external_lex_state = 5},
  [2211] = {.lex_state = 5, .external_lex_state = 5},
  [2212] = {.lex_state = 5, .external_lex_state = 5},
  [2213] = {.lex_state = 5, .external_lex_state = 5},
  [2214] = {.lex_state = 5, .external_lex_state = 5},
  [2215] = {.lex_state = 5, .external_lex_state = 5},
  [2216] = {.lex_state = 5, .external_lex_state = 5},
  [2217] = {.lex_state = 5, .external_lex_state = 5},
  [2218] = {.lex_state = 5, .external_lex_state = 5},
  [2219] = {.lex_state = 5, .external_lex_state = 5},
  [2220] = {.lex_state = 7, .external_lex_state = 4},
  [2221] = {.lex_state = 5, .external_lex_state = 5},
  [2222] = {.lex_state = 5, .external_lex_state = 5},
  [2223] = {.lex_state = 5, .external_lex_state = 5},
  [2224] = {.lex_state = 5, .external_lex_state = 5},
  [2225] = {.lex_state = 5, .external_lex_state = 5},
  [2226] = {.lex_state = 5, .external_lex_state = 5},
  [2227] = {.lex_state = 5, .external_lex_state = 5},
  [2228] = {.lex_state = 5, .external_lex_state = 5},
  [2229] = {.lex_state = 5, .external_lex_state = 5},
  [2230] = {.lex_state = 5, .external_lex_state = 5},
  [2231] = {.lex_state = 5, .external_lex_state = 5},
  [2232] = {.lex_state = 7, .external_lex_state = 4},
  [2233] = {.lex_state = 7, .external_lex_state = 4},
  [2234] = {.lex_state = 7, .external_lex_state = 6},
  [2235] = {.lex_state = 6, .external_lex_state = 6},
  [2236] = {.lex_state = 7, .external_lex_state = 4},
  [2237] = {.lex_state = 7, .external_lex_state = 4},
  [2238] = {.lex_state = 5, .external_lex_state = 5},
  [2239] = {.lex_state = 5, .external_lex_state = 5},
  [2240] = {.lex_state = 5, .external_lex_state = 5},
  [2241] = {.lex_state = 5, .external_lex_state = 5},
  [2242] = {.lex_state = 5, .external_lex_state = 5},
  [2243] = {.lex_state = 5, .external_lex_state = 5},
  [2244] = {.lex_state = 5, .external_lex_state = 5},
  [2245] = {.lex_state = 5, .external_lex_state = 5},
  [2246] = {.lex_state = 5, .external_lex_state = 5},
  [2247] = {.lex_state = 5, .external_lex_state = 5},
  [2248] = {.lex_state = 5, .external_lex_state = 5},
  [2249] = {.lex_state = 5, .external_lex_state = 5},
  [2250] = {.lex_state = 5, .external_lex_state = 5},
  [2251] = {.lex_state = 5, .external_lex_state = 5},
  [2252] = {.lex_state = 7, .external_lex_state = 6},
  [2253] = {.lex_state = 7, .external_lex_state = 6},
  [2254] = {.lex_state = 7, .external_lex_state = 6},
  [2255] = {.lex_state = 7, .external_lex_state = 6},
  [2256] = {.lex_state = 7, .external_lex_state = 6},
  [2257] = {.lex_state = 7, .external_lex_state = 6},
  [2258] = {.lex_state = 7, .external_lex_state = 6},
  [2259] = {.lex_state = 7, .external_lex_state = 6},
  [2260] = {.lex_state = 7, .external_lex_state = 6},
  [2261] = {.lex_state = 7, .external_lex_state = 6},
  [2262] = {.lex_state = 7, .external_lex_state = 6},
  [2263] = {.lex_state = 7, .external_lex_state = 6},
  [2264] = {.lex_state = 7, .external_lex_state = 6},
  [2265] = {.lex_state = 7, .external_lex_state = 6},
  [2266] = {.lex_state = 7, .external_lex_state = 6},
  [2267] = {.lex_state = 7, .external_lex_state = 6},
  [2268] = {.lex_state = 7, .external_lex_state = 6},
  [2269] = {.lex_state = 7, .external_lex_state = 6},
  [2270] = {.lex_state = 7, .external_lex_state = 6},
  [2271] = {.lex_state = 7, .external_lex_state = 6},
  [2272] = {.lex_state = 7, .external_lex_state = 6},
  [2273] = {.lex_state = 7, .external_lex_state = 6},
  [2274] = {.lex_state = 7, .external_lex_state = 6},
  [2275] = {.lex_state = 7, .external_lex_state = 6},
  [2276] = {.lex_state = 7, .external_lex_state = 6},
  [2277] = {.lex_state = 7, .external_lex_state = 6},
  [2278] = {.lex_state = 7, .external_lex_state = 6},
  [2279] = {.lex_state = 7, .external_lex_state = 6},
  [2280] = {.lex_state = 7, .external_lex_state = 6},
  [2281] = {.lex_state = 7, .external_lex_state = 6},
  [2282] = {.lex_state = 7, .external_lex_state = 6},
  [2283] = {.lex_state = 7, .external_lex_state = 6},
  [2284] = {.lex_state = 7, .external_lex_state = 6},
  [2285] = {.lex_state = 7, .external_lex_state = 6},
  [2286] = {.lex_state = 7, .external_lex_state = 6},
  [2287] = {.lex_state = 7, .external_lex_state = 6},
  [2288] = {.lex_state = 7, .external_lex_state = 6},
  [2289] = {.lex_state = 7, .external_lex_state = 6},
  [2290] = {.lex_state = 7, .external_lex_state = 6},
  [2291] = {.lex_state = 7, .external_lex_state = 4},
  [2292] = {.lex_state = 7, .external_lex_state = 6},
  [2293] = {.lex_state = 7, .external_lex_state = 6},
  [2294] = {.lex_state = 7, .external_lex_state = 6},
  [2295] = {.lex_state = 7, .external_lex_state = 6},
  [2296] = {.lex_state = 7, .external_lex_state = 6},
  [2297] = {.lex_state = 7, .external_lex_state = 6},
  [2298] = {.lex_state = 7, .external_lex_state = 6},
  [2299] = {.lex_state = 7, .external_lex_state = 6},
  [2300] = {.lex_state = 7, .external_lex_state = 6},
  [2301] = {.lex_state = 7, .external_lex_state = 6},
  [2302] = {.lex_state = 7, .external_lex_state = 6},
  [2303] = {.lex_state = 7, .external_lex_state = 6},
  [2304] = {.lex_state = 7, .external_lex_state = 6},
  [2305] = {.lex_state = 7, .external_lex_state = 6},
  [2306] = {.lex_state = 7, .external_lex_state = 6},
  [2307] = {.lex_state = 7, .external_lex_state = 6},
  [2308] = {.lex_state = 7, .external_lex_state = 6},
  [2309] = {.lex_state = 7, .external_lex_state = 6},
  [2310] = {.lex_state = 7, .external_lex_state = 6},
  [2311] = {.lex_state = 7, .external_lex_state = 6},
  [2312] = {.lex_state = 7, .external_lex_state = 6},
  [2313] = {.lex_state = 7, .external_lex_state = 6},
  [2314] = {.lex_state = 7, .external_lex_state = 6},
  [2315] = {.lex_state = 7, .external_lex_state = 6},
  [2316] = {.lex_state = 7, .external_lex_state = 6},
  [2317] = {.lex_state = 7, .external_lex_state = 6},
  [2318] = {.lex_state = 7, .external_lex_state = 6},
  [2319] = {.lex_state = 7, .external_lex_state = 6},
  [2320] = {.lex_state = 7, .external_lex_state = 6},
  [2321] = {.lex_state = 7, .external_lex_state = 6},
  [2322] = {.lex_state = 7, .external_lex_state = 6},
  [2323] = {.lex_state = 7, .external_lex_state = 6},
  [2324] = {.lex_state = 7, .external_lex_state = 6},
  [2325] = {.lex_state = 7, .external_lex_state = 6},
  [2326] = {.lex_state = 7, .external_lex_state = 6},
  [2327] = {.lex_state = 7, .external_lex_state = 6},
  [2328] = {.lex_state = 7, .external_lex_state = 6},
  [2329] = {.lex_state = 7, .external_lex_state = 6},
  [2330] = {.lex_state = 7, .external_lex_state = 6},
  [2331] = {.lex_state = 7, .external_lex_state = 6},
  [2332] = {.lex_state = 7, .external_lex_state = 6},
  [2333] = {.lex_state = 7, .external_lex_state = 6},
  [2334] = {.lex_state = 7, .external_lex_state = 6},
  [2335] = {.lex_state = 7, .external_lex_state = 6},
  [2336] = {.lex_state = 7, .external_lex_state = 6},
  [2337] = {.lex_state = 7, .external_lex_state = 6},
  [2338] = {.lex_state = 7, .external_lex_state = 6},
  [2339] = {.lex_state = 7, .external_lex_state = 6},
  [2340] = {.lex_state = 7, .external_lex_state = 6},
  [2341] = {.lex_state = 7, .external_lex_state = 6},
  [2342] = {.lex_state = 7, .external_lex_state = 6},
  [2343] = {.lex_state = 7, .external_lex_state = 6},
  [2344] = {.lex_state = 7, .external_lex_state = 6},
  [2345] = {.lex_state = 7, .external_lex_state = 6},
  [2346] = {.lex_state = 7, .external_lex_state = 6},
  [2347] = {.lex_state = 7, .external_lex_state = 6},
  [2348] = {.lex_state = 7, .external_lex_state = 6},
  [2349] = {.lex_state = 7, .external_lex_state = 6},
  [2350] = {.lex_state = 7, .external_lex_state = 6},
  [2351] = {.lex_state = 6, .external_lex_state = 5},
  [2352] = {.lex_state = 6, .external_lex_state = 5},
  [2353] = {.lex_state = 7, .external_lex_state = 6},
  [2354] = {.lex_state = 5, .external_lex_state = 5},
  [2355] = {.lex_state = 6, .external_lex_state = 5},
  [2356] = {.lex_state = 7, .external_lex_state = 6},
  [2357] = {.lex_state = 7, .external_lex_state = 6},
  [2358] = {.lex_state = 5, .external_lex_state = 5},
  [2359] = {.lex_state = 7, .external_lex_state = 6},
  [2360] = {.lex_state = 7, .external_lex_state = 6},
  [2361] = {.lex_state = 5, .external_lex_state = 5},
  [2362] = {.lex_state = 7, .external_lex_state = 6},
  [2363] = {.lex_state = 5, .external_lex_state = 5},
  [2364] = {.lex_state = 7, .external_lex_state = 6},
  [2365] = {.lex_state = 7, .external_lex_state = 6},
  [2366] = {.lex_state = 5, .external_lex_state = 5},
  [2367] = {.lex_state = 7, .external_lex_state = 6},
  [2368] = {.lex_state = 5, .external_lex_state = 5},
  [2369] = {.lex_state = 7, .external_lex_state = 6},
  [2370] = {.lex_state = 7, .external_lex_state = 6},
  [2371] = {.lex_state = 5, .external_lex_state = 5},
  [2372] = {.lex_state = 7, .external_lex_state = 6},
  [2373] = {.lex_state = 7, .external_lex_state = 6},
  [2374] = {.lex_state = 7, .external_lex_state = 6},
  [2375] = {.lex_state = 7, .external_lex_state = 6},
  [2376] = {.lex_state = 7, .external_lex_state = 6},
  [2377] = {.lex_state = 7, .external_lex_state = 6},
  [2378] = {.lex_state = 7, .external_lex_state = 6},
  [2379] = {.lex_state = 7, .external_lex_state = 6},
  [2380] = {.lex_state = 7, .external_lex_state = 6},
  [2381] = {.lex_state = 7, .external_lex_state = 6},
  [2382] = {.lex_state = 7, .external_lex_state = 6},
  [2383] = {.lex_state = 7, .external_lex_state = 6},
  [2384] = {.lex_state = 7, .external_lex_state = 6},
  [2385] = {.lex_state = 7, .external_lex_state = 6},
  [2386] = {.lex_state = 7, .external_lex_state = 6},
  [2387] = {.lex_state = 7, .external_lex_state = 6},
  [2388] = {.lex_state = 7, .external_lex_state = 6},
  [2389] = {.lex_state = 7, .external_lex_state = 6},
  [2390] = {.lex_state = 7, .external_lex_state = 6},
  [2391] = {.lex_state = 7, .external_lex_state = 6},
  [2392] = {.lex_state = 7, .external_lex_state = 6},
  [2393] = {.lex_state = 7, .external_lex_state = 6},
  [2394] = {.lex_state = 7, .external_lex_state = 6},
  [2395] = {.lex_state = 7, .external_lex_state = 6},
  [2396] = {.lex_state = 7, .external_lex_state = 6},
  [2397] = {.lex_state = 7, .external_lex_state = 6},
  [2398] = {.lex_state = 7, .external_lex_state = 6},
  [2399] = {.lex_state = 7, .external_lex_state = 6},
  [2400] = {.lex_state = 6, .external_lex_state = 5},
  [2401] = {.lex_state = 7, .external_lex_state = 6},
  [2402] = {.lex_state = 7, .external_lex_state = 6},
  [2403] = {.lex_state = 7, .external_lex_state = 6},
  [2404] = {.lex_state = 7, .external_lex_state = 6},
  [2405] = {.lex_state = 5, .external_lex_state = 5},
  [2406] = {.lex_state = 7, .external_lex_state = 6},
  [2407] = {.lex_state = 7, .external_lex_state = 5},
  [2408] = {.lex_state = 7, .external_lex_state = 6},
  [2409] = {.lex_state = 7, .external_lex_state = 6},
  [2410] = {.lex_state = 7, .external_lex_state = 6},
  [2411] = {.lex_state = 7, .external_lex_state = 6},
  [2412] = {.lex_state = 7, .external_lex_state = 6},
  [2413] = {.lex_state = 7, .external_lex_state = 6},
  [2414] = {.lex_state = 7, .external_lex_state = 6},
  [2415] = {.lex_state = 7, .external_lex_state = 5},
  [2416] = {.lex_state = 5, .external_lex_state = 5},
  [2417] = {.lex_state = 7, .external_lex_state = 6},
  [2418] = {.lex_state = 5, .external_lex_state = 5},
  [2419] = {.lex_state = 7, .external_lex_state = 6},
  [2420] = {.lex_state = 7, .external_lex_state = 6},
  [2421] = {.lex_state = 5, .external_lex_state = 5},
  [2422] = {.lex_state = 7, .external_lex_state = 6},
  [2423] = {.lex_state = 5, .external_lex_state = 5},
  [2424] = {.lex_state = 7, .external_lex_state = 6},
  [2425] = {.lex_state = 7, .external_lex_state = 6},
  [2426] = {.lex_state = 7, .external_lex_state = 6},
  [2427] = {.lex_state = 7, .external_lex_state = 6},
  [2428] = {.lex_state = 5, .external_lex_state = 5},
  [2429] = {.lex_state = 7, .external_lex_state = 6},
  [2430] = {.lex_state = 7, .external_lex_state = 6},
  [2431] = {.lex_state = 7, .external_lex_state = 6},
  [2432] = {.lex_state = 7, .external_lex_state = 5},
  [2433] = {.lex_state = 7, .external_lex_state = 6},
  [2434] = {.lex_state = 7, .external_lex_state = 6},
  [2435] = {.lex_state = 7, .external_lex_state = 6},
  [2436] = {.lex_state = 7, .external_lex_state = 6},
  [2437] = {.lex_state = 7, .external_lex_state = 6},
  [2438] = {.lex_state = 7, .external_lex_state = 5},
  [2439] = {.lex_state = 7, .external_lex_state = 5},
  [2440] = {.lex_state = 7, .external_lex_state = 5},
  [2441] = {.lex_state = 7, .external_lex_state = 5},
  [2442] = {.lex_state = 7, .external_lex_state = 5},
  [2443] = {.lex_state = 7, .external_lex_state = 5},
  [2444] = {.lex_state = 7, .external_lex_state = 5},
  [2445] = {.lex_state = 7, .external_lex_state = 5},
  [2446] = {.lex_state = 7, .external_lex_state = 5},
  [2447] = {.lex_state = 88, .external_lex_state = 2},
  [2448] = {.lex_state = 7, .external_lex_state = 5},
  [2449] = {.lex_state = 7, .external_lex_state = 5},
  [2450] = {.lex_state = 7, .external_lex_state = 5},
  [2451] = {.lex_state = 88, .external_lex_state = 2},
  [2452] = {.lex_state = 7, .external_lex_state = 5},
  [2453] = {.lex_state = 7, .external_lex_state = 5},
  [2454] = {.lex_state = 88, .external_lex_state = 2},
  [2455] = {.lex_state = 88, .external_lex_state = 2},
  [2456] = {.lex_state = 7, .external_lex_state = 5},
  [2457] = {.lex_state = 88, .external_lex_state = 2},
  [2458] = {.lex_state = 7, .external_lex_state = 5},
  [2459] = {.lex_state = 88, .external_lex_state = 2},
  [2460] = {.lex_state = 88, .external_lex_state = 2},
  [2461] = {.lex_state = 7, .external_lex_state = 5},
  [2462] = {.lex_state = 88, .external_lex_state = 2},
  [2463] = {.lex_state = 7, .external_lex_state = 5},
  [2464] = {.lex_state = 88, .external_lex_state = 2},
  [2465] = {.lex_state = 7, .external_lex_state = 5},
  [2466] = {.lex_state = 88, .external_lex_state = 2},
  [2467] = {.lex_state = 7, .external_lex_state = 5},
  [2468] = {.lex_state = 88, .external_lex_state = 2},
  [2469] = {.lex_state = 7, .external_lex_state = 5},
  [2470] = {.lex_state = 7, .external_lex_state = 5},
  [2471] = {.lex_state = 88, .external_lex_state = 2},
  [2472] = {.lex_state = 88, .external_lex_state = 2},
  [2473] = {.lex_state = 7, .external_lex_state = 5},
  [2474] = {.lex_state = 7, .external_lex_state = 5},
  [2475] = {.lex_state = 7, .external_lex_state = 5},
  [2476] = {.lex_state = 5, .external_lex_state = 5},
  [2477] = {.lex_state = 7, .external_lex_state = 5},
  [2478] = {.lex_state = 7, .external_lex_state = 5},
  [2479] = {.lex_state = 88, .external_lex_state = 2},
  [2480] = {.lex_state = 7, .external_lex_state = 5},
  [2481] = {.lex_state = 7, .external_lex_state = 5},
  [2482] = {.lex_state = 7, .external_lex_state = 5},
  [2483] = {.lex_state = 7, .external_lex_state = 5},
  [2484] = {.lex_state = 7, .external_lex_state = 5},
  [2485] = {.lex_state = 7, .external_lex_state = 5},
  [2486] = {.lex_state = 7, .external_lex_state = 5},
  [2487] = {.lex_state = 7, .external_lex_state = 5},
  [2488] = {.lex_state = 7, .external_lex_state = 5},
  [2489] = {.lex_state = 88, .external_lex_state = 2},
  [2490] = {.lex_state = 7, .external_lex_state = 5},
  [2491] = {.lex_state = 5, .external_lex_state = 5},
  [2492] = {.lex_state = 5, .external_lex_state = 5},
  [2493] = {.lex_state = 7, .external_lex_state = 5},
  [2494] = {.lex_state = 7, .external_lex_state = 5},
  [2495] = {.lex_state = 7, .external_lex_state = 5},
  [2496] = {.lex_state = 7, .external_lex_state = 5},
  [2497] = {.lex_state = 7, .external_lex_state = 5},
  [2498] = {.lex_state = 7, .external_lex_state = 5},
  [2499] = {.lex_state = 7, .external_lex_state = 5},
  [2500] = {.lex_state = 5, .external_lex_state = 5},
  [2501] = {.lex_state = 7, .external_lex_state = 5},
  [2502] = {.lex_state = 88, .external_lex_state = 2},
  [2503] = {.lex_state = 7, .external_lex_state = 5},
  [2504] = {.lex_state = 7, .external_lex_state = 5},
  [2505] = {.lex_state = 7, .external_lex_state = 5},
  [2506] = {.lex_state = 7, .external_lex_state = 5},
  [2507] = {.lex_state = 7, .external_lex_state = 5},
  [2508] = {.lex_state = 5, .external_lex_state = 5},
  [2509] = {.lex_state = 7, .external_lex_state = 5},
  [2510] = {.lex_state = 5, .external_lex_state = 5},
  [2511] = {.lex_state = 7, .external_lex_state = 5},
  [2512] = {.lex_state = 5, .external_lex_state = 5},
  [2513] = {.lex_state = 7, .external_lex_state = 5},
  [2514] = {.lex_state = 6, .external_lex_state = 7},
  [2515] = {.lex_state = 7, .external_lex_state = 5},
  [2516] = {.lex_state = 7, .external_lex_state = 5},
  [2517] = {.lex_state = 7, .external_lex_state = 5},
  [2518] = {.lex_state = 7, .external_lex_state = 5},
  [2519] = {.lex_state = 7, .external_lex_state = 5},
  [2520] = {.lex_state = 7, .external_lex_state = 5},
  [2521] = {.lex_state = 7, .external_lex_state = 5},
  [2522] = {.lex_state = 7, .external_lex_state = 5},
  [2523] = {.lex_state = 7, .external_lex_state = 5},
  [2524] = {.lex_state = 7, .external_lex_state = 5},
  [2525] = {.lex_state = 7, .external_lex_state = 5},
  [2526] = {.lex_state = 7, .external_lex_state = 5},
  [2527] = {.lex_state = 7, .external_lex_state = 5},
  [2528] = {.lex_state = 91, .external_lex_state = 5},
  [2529] = {.lex_state = 7, .external_lex_state = 5},
  [2530] = {.lex_state = 7, .external_lex_state = 5},
  [2531] = {.lex_state = 7, .external_lex_state = 5},
  [2532] = {.lex_state = 7, .external_lex_state = 5},
  [2533] = {.lex_state = 7, .external_lex_state = 5},
  [2534] = {.lex_state = 7, .external_lex_state = 5},
  [2535] = {.lex_state = 7, .external_lex_state = 5},
  [2536] = {.lex_state = 7, .external_lex_state = 5},
  [2537] = {.lex_state = 7, .external_lex_state = 5},
  [2538] = {.lex_state = 7, .external_lex_state = 5},
  [2539] = {.lex_state = 7, .external_lex_state = 5},
  [2540] = {.lex_state = 7, .external_lex_state = 5},
  [2541] = {.lex_state = 7, .external_lex_state = 5},
  [2542] = {.lex_state = 7, .external_lex_state = 5},
  [2543] = {.lex_state = 7, .external_lex_state = 5},
  [2544] = {.lex_state = 7, .external_lex_state = 5},
  [2545] = {.lex_state = 7, .external_lex_state = 5},
  [2546] = {.lex_state = 7, .external_lex_state = 5},
  [2547] = {.lex_state = 7, .external_lex_state = 5},
  [2548] = {.lex_state = 7, .external_lex_state = 5},
  [2549] = {.lex_state = 7, .external_lex_state = 5},
  [2550] = {.lex_state = 7, .external_lex_state = 5},
  [2551] = {.lex_state = 7, .external_lex_state = 5},
  [2552] = {.lex_state = 7, .external_lex_state = 5},
  [2553] = {.lex_state = 7, .external_lex_state = 5},
  [2554] = {.lex_state = 7, .external_lex_state = 5},
  [2555] = {.lex_state = 7, .external_lex_state = 5},
  [2556] = {.lex_state = 7, .external_lex_state = 5},
  [2557] = {.lex_state = 7, .external_lex_state = 5},
  [2558] = {.lex_state = 7, .external_lex_state = 5},
  [2559] = {.lex_state = 7, .external_lex_state = 5},
  [2560] = {.lex_state = 7, .external_lex_state = 5},
  [2561] = {.lex_state = 7, .external_lex_state = 5},
  [2562] = {.lex_state = 7, .external_lex_state = 5},
  [2563] = {.lex_state = 6, .external_lex_state = 7},
  [2564] = {.lex_state = 7, .external_lex_state = 5},
  [2565] = {.lex_state = 7, .external_lex_state = 5},
  [2566] = {.lex_state = 7, .external_lex_state = 5},
  [2567] = {.lex_state = 7, .external_lex_state = 5},
  [2568] = {.lex_state = 7, .external_lex_state = 5},
  [2569] = {.lex_state = 7, .external_lex_state = 5},
  [2570] = {.lex_state = 91, .external_lex_state = 5},
  [2571] = {.lex_state = 7, .external_lex_state = 5},
  [2572] = {.lex_state = 91, .external_lex_state = 5},
  [2573] = {.lex_state = 7, .external_lex_state = 5},
  [2574] = {.lex_state = 7, .external_lex_state = 5},
  [2575] = {.lex_state = 7, .external_lex_state = 5},
  [2576] = {.lex_state = 7, .external_lex_state = 5},
  [2577] = {.lex_state = 7, .external_lex_state = 5},
  [2578] = {.lex_state = 7, .external_lex_state = 5},
  [2579] = {.lex_state = 7, .external_lex_state = 5},
  [2580] = {.lex_state = 7, .external_lex_state = 5},
  [2581] = {.lex_state = 7, .external_lex_state = 5},
  [2582] = {.lex_state = 7, .external_lex_state = 5},
  [2583] = {.lex_state = 7, .external_lex_state = 5},
  [2584] = {.lex_state = 7, .external_lex_state = 5},
  [2585] = {.lex_state = 7, .external_lex_state = 5},
  [2586] = {.lex_state = 7, .external_lex_state = 5},
  [2587] = {.lex_state = 7, .external_lex_state = 5},
  [2588] = {.lex_state = 7, .external_lex_state = 5},
  [2589] = {.lex_state = 7, .external_lex_state = 5},
  [2590] = {.lex_state = 7, .external_lex_state = 5},
  [2591] = {.lex_state = 7, .external_lex_state = 5},
  [2592] = {.lex_state = 7, .external_lex_state = 5},
  [2593] = {.lex_state = 7, .external_lex_state = 5},
  [2594] = {.lex_state = 7, .external_lex_state = 5},
  [2595] = {.lex_state = 7, .external_lex_state = 5},
  [2596] = {.lex_state = 7, .external_lex_state = 5},
  [2597] = {.lex_state = 7, .external_lex_state = 5},
  [2598] = {.lex_state = 7, .external_lex_state = 5},
  [2599] = {.lex_state = 7, .external_lex_state = 5},
  [2600] = {.lex_state = 7, .external_lex_state = 5},
  [2601] = {.lex_state = 7, .external_lex_state = 5},
  [2602] = {.lex_state = 6, .external_lex_state = 7},
  [2603] = {.lex_state = 7, .external_lex_state = 5},
  [2604] = {.lex_state = 7, .external_lex_state = 5},
  [2605] = {.lex_state = 7, .external_lex_state = 5},
  [2606] = {.lex_state = 7, .external_lex_state = 5},
  [2607] = {.lex_state = 7, .external_lex_state = 5},
  [2608] = {.lex_state = 7, .external_lex_state = 5},
  [2609] = {.lex_state = 7, .external_lex_state = 5},
  [2610] = {.lex_state = 7, .external_lex_state = 5},
  [2611] = {.lex_state = 7, .external_lex_state = 5},
  [2612] = {.lex_state = 7, .external_lex_state = 5},
  [2613] = {.lex_state = 7, .external_lex_state = 5},
  [2614] = {.lex_state = 7, .external_lex_state = 5},
  [2615] = {.lex_state = 7, .external_lex_state = 5},
  [2616] = {.lex_state = 7, .external_lex_state = 5},
  [2617] = {.lex_state = 7, .external_lex_state = 5},
  [2618] = {.lex_state = 92, .external_lex_state = 5},
  [2619] = {.lex_state = 92, .external_lex_state = 5},
  [2620] = {.lex_state = 92, .external_lex_state = 5},
  [2621] = {.lex_state = 92, .external_lex_state = 5},
  [2622] = {.lex_state = 92, .external_lex_state = 5},
  [2623] = {.lex_state = 92, .external_lex_state = 5},
  [2624] = {.lex_state = 7, .external_lex_state = 5},
  [2625] = {.lex_state = 92, .external_lex_state = 5},
  [2626] = {.lex_state = 92, .external_lex_state = 5},
  [2627] = {.lex_state = 92, .external_lex_state = 5},
  [2628] = {.lex_state = 7, .external_lex_state = 5},
  [2629] = {.lex_state = 7, .external_lex_state = 5},
  [2630] = {.lex_state = 7, .external_lex_state = 5},
  [2631] = {.lex_state = 7, .external_lex_state = 5},
  [2632] = {.lex_state = 7, .external_lex_state = 5},
  [2633] = {.lex_state = 92, .external_lex_state = 5},
  [2634] = {.lex_state = 7, .external_lex_state = 5},
  [2635] = {.lex_state = 7, .external_lex_state = 5},
  [2636] = {.lex_state = 7, .external_lex_state = 5},
  [2637] = {.lex_state = 7, .external_lex_state = 5},
  [2638] = {.lex_state = 7, .external_lex_state = 5},
  [2639] = {.lex_state = 7, .external_lex_state = 5},
  [2640] = {.lex_state = 7, .external_lex_state = 5},
  [2641] = {.lex_state = 7, .external_lex_state = 5},
  [2642] = {.lex_state = 7, .external_lex_state = 5},
  [2643] = {.lex_state = 7, .external_lex_state = 5},
  [2644] = {.lex_state = 7, .external_lex_state = 5},
  [2645] = {.lex_state = 92, .external_lex_state = 5},
  [2646] = {.lex_state = 7, .external_lex_state = 5},
  [2647] = {.lex_state = 7, .external_lex_state = 5},
  [2648] = {.lex_state = 7, .external_lex_state = 5},
  [2649] = {.lex_state = 7, .external_lex_state = 5},
  [2650] = {.lex_state = 7, .external_lex_state = 5},
  [2651] = {.lex_state = 92, .external_lex_state = 5},
  [2652] = {.lex_state = 7, .external_lex_state = 5},
  [2653] = {.lex_state = 7, .external_lex_state = 7},
  [2654] = {.lex_state = 7, .external_lex_state = 5},
  [2655] = {.lex_state = 7, .external_lex_state = 5},
  [2656] = {.lex_state = 92, .external_lex_state = 5},
  [2657] = {.lex_state = 92, .external_lex_state = 5},
  [2658] = {.lex_state = 7, .external_lex_state = 7},
  [2659] = {.lex_state = 7, .external_lex_state = 5},
  [2660] = {.lex_state = 6, .external_lex_state = 7},
  [2661] = {.lex_state = 92, .external_lex_state = 5},
  [2662] = {.lex_state = 7, .external_lex_state = 5},
  [2663] = {.lex_state = 7, .external_lex_state = 5},
  [2664] = {.lex_state = 7, .external_lex_state = 5},
  [2665] = {.lex_state = 92, .external_lex_state = 5},
  [2666] = {.lex_state = 91, .external_lex_state = 5},
  [2667] = {.lex_state = 92, .external_lex_state = 5},
  [2668] = {.lex_state = 92, .external_lex_state = 5},
  [2669] = {.lex_state = 92, .external_lex_state = 5},
  [2670] = {.lex_state = 92, .external_lex_state = 5},
  [2671] = {.lex_state = 92, .external_lex_state = 5},
  [2672] = {.lex_state = 7, .external_lex_state = 7},
  [2673] = {.lex_state = 7, .external_lex_state = 7},
  [2674] = {.lex_state = 92, .external_lex_state = 5},
  [2675] = {.lex_state = 7, .external_lex_state = 7},
  [2676] = {.lex_state = 7, .external_lex_state = 7},
  [2677] = {.lex_state = 7, .external_lex_state = 7},
  [2678] = {.lex_state = 7, .external_lex_state = 7},
  [2679] = {.lex_state = 7, .external_lex_state = 7},
  [2680] = {.lex_state = 7, .external_lex_state = 7},
  [2681] = {.lex_state = 7, .external_lex_state = 7},
  [2682] = {.lex_state = 7, .external_lex_state = 7},
  [2683] = {.lex_state = 7, .external_lex_state = 7},
  [2684] = {.lex_state = 7, .external_lex_state = 7},
  [2685] = {.lex_state = 7, .external_lex_state = 7},
  [2686] = {.lex_state = 7, .external_lex_state = 7},
  [2687] = {.lex_state = 7, .external_lex_state = 7},
  [2688] = {.lex_state = 7, .external_lex_state = 7},
  [2689] = {.lex_state = 92, .external_lex_state = 5},
  [2690] = {.lex_state = 92, .external_lex_state = 5},
  [2691] = {.lex_state = 92, .external_lex_state = 5},
  [2692] = {.lex_state = 7, .external_lex_state = 7},
  [2693] = {.lex_state = 92, .external_lex_state = 5},
  [2694] = {.lex_state = 92, .external_lex_state = 5},
  [2695] = {.lex_state = 92, .external_lex_state = 5},
  [2696] = {.lex_state = 7, .external_lex_state = 7},
  [2697] = {.lex_state = 7, .external_lex_state = 7},
  [2698] = {.lex_state = 7, .external_lex_state = 7},
  [2699] = {.lex_state = 7, .external_lex_state = 7},
  [2700] = {.lex_state = 92, .external_lex_state = 5},
  [2701] = {.lex_state = 92, .external_lex_state = 5},
  [2702] = {.lex_state = 7, .external_lex_state = 7},
  [2703] = {.lex_state = 92, .external_lex_state = 5},
  [2704] = {.lex_state = 92, .external_lex_state = 5},
  [2705] = {.lex_state = 7, .external_lex_state = 7},
  [2706] = {.lex_state = 7, .external_lex_state = 5},
  [2707] = {.lex_state = 92, .external_lex_state = 5},
  [2708] = {.lex_state = 92, .external_lex_state = 5},
  [2709] = {.lex_state = 92, .external_lex_state = 5},
  [2710] = {.lex_state = 7, .external_lex_state = 7},
  [2711] = {.lex_state = 7, .external_lex_state = 7},
  [2712] = {.lex_state = 7, .external_lex_state = 7},
  [2713] = {.lex_state = 7, .external_lex_state = 7},
  [2714] = {.lex_state = 7, .external_lex_state = 7},
  [2715] = {.lex_state = 7, .external_lex_state = 7},
  [2716] = {.lex_state = 7, .external_lex_state = 5},
  [2717] = {.lex_state = 7, .external_lex_state = 7},
  [2718] = {.lex_state = 7, .external_lex_state = 7},
  [2719] = {.lex_state = 7, .external_lex_state = 7},
  [2720] = {.lex_state = 7, .external_lex_state = 7},
  [2721] = {.lex_state = 7, .external_lex_state = 7},
  [2722] = {.lex_state = 7, .external_lex_state = 7},
  [2723] = {.lex_state = 7, .external_lex_state = 7},
  [2724] = {.lex_state = 7, .external_lex_state = 7},
  [2725] = {.lex_state = 7, .external_lex_state = 7},
  [2726] = {.lex_state = 7, .external_lex_state = 7},
  [2727] = {.lex_state = 7, .external_lex_state = 7},
  [2728] = {.lex_state = 7, .external_lex_state = 7},
  [2729] = {.lex_state = 92, .external_lex_state = 5},
  [2730] = {.lex_state = 92, .external_lex_state = 5},
  [2731] = {.lex_state = 7, .external_lex_state = 7},
  [2732] = {.lex_state = 92, .external_lex_state = 5},
  [2733] = {.lex_state = 92, .external_lex_state = 5},
  [2734] = {.lex_state = 7, .external_lex_state = 7},
  [2735] = {.lex_state = 92, .external_lex_state = 5},
  [2736] = {.lex_state = 92, .external_lex_state = 5},
  [2737] = {.lex_state = 92, .external_lex_state = 5},
  [2738] = {.lex_state = 7, .external_lex_state = 7},
  [2739] = {.lex_state = 92, .external_lex_state = 5},
  [2740] = {.lex_state = 92, .external_lex_state = 5},
  [2741] = {.lex_state = 92, .external_lex_state = 5},
  [2742] = {.lex_state = 92, .external_lex_state = 5},
  [2743] = {.lex_state = 92, .external_lex_state = 5},
  [2744] = {.lex_state = 92, .external_lex_state = 5},
  [2745] = {.lex_state = 92, .external_lex_state = 5},
  [2746] = {.lex_state = 92, .external_lex_state = 5},
  [2747] = {.lex_state = 7, .external_lex_state = 7},
  [2748] = {.lex_state = 7, .external_lex_state = 5},
  [2749] = {.lex_state = 7, .external_lex_state = 7},
  [2750] = {.lex_state = 92, .external_lex_state = 5},
  [2751] = {.lex_state = 7, .external_lex_state = 7},
  [2752] = {.lex_state = 7, .external_lex_state = 7},
  [2753] = {.lex_state = 7, .external_lex_state = 7},
  [2754] = {.lex_state = 92, .external_lex_state = 5},
  [2755] = {.lex_state = 7, .external_lex_state = 7},
  [2756] = {.lex_state = 7, .external_lex_state = 7},
  [2757] = {.lex_state = 7, .external_lex_state = 7},
  [2758] = {.lex_state = 7, .external_lex_state = 7},
  [2759] = {.lex_state = 92, .external_lex_state = 5},
  [2760] = {.lex_state = 92, .external_lex_state = 5},
  [2761] = {.lex_state = 7, .external_lex_state = 7},
  [2762] = {.lex_state = 7, .external_lex_state = 7},
  [2763] = {.lex_state = 7, .external_lex_state = 7},
  [2764] = {.lex_state = 7, .external_lex_state = 7},
  [2765] = {.lex_state = 7, .external_lex_state = 7},
  [2766] = {.lex_state = 7, .external_lex_state = 7},
  [2767] = {.lex_state = 7, .external_lex_state = 7},
  [2768] = {.lex_state = 92, .external_lex_state = 5},
  [2769] = {.lex_state = 92, .external_lex_state = 5},
  [2770] = {.lex_state = 7, .external_lex_state = 7},
  [2771] = {.lex_state = 7, .external_lex_state = 7},
  [2772] = {.lex_state = 7, .external_lex_state = 7},
  [2773] = {.lex_state = 7, .external_lex_state = 7},
  [2774] = {.lex_state = 7, .external_lex_state = 7},
  [2775] = {.lex_state = 7, .external_lex_state = 7},
  [2776] = {.lex_state = 7, .external_lex_state = 7},
  [2777] = {.lex_state = 7, .external_lex_state = 7},
  [2778] = {.lex_state = 7, .external_lex_state = 7},
  [2779] = {.lex_state = 7, .external_lex_state = 7},
  [2780] = {.lex_state = 7, .external_lex_state = 7},
  [2781] = {.lex_state = 7, .external_lex_state = 7},
  [2782] = {.lex_state = 7, .external_lex_state = 7},
  [2783] = {.lex_state = 7, .external_lex_state = 7},
  [2784] = {.lex_state = 7, .external_lex_state = 7},
  [2785] = {.lex_state = 7, .external_lex_state = 7},
  [2786] = {.lex_state = 7, .external_lex_state = 7},
  [2787] = {.lex_state = 7, .external_lex_state = 7},
  [2788] = {.lex_state = 7, .external_lex_state = 7},
  [2789] = {.lex_state = 7, .external_lex_state = 7},
  [2790] = {.lex_state = 7, .external_lex_state = 7},
  [2791] = {.lex_state = 7, .external_lex_state = 7},
  [2792] = {.lex_state = 92, .external_lex_state = 5},
  [2793] = {.lex_state = 7, .external_lex_state = 7},
  [2794] = {.lex_state = 92, .external_lex_state = 5},
  [2795] = {.lex_state = 7, .external_lex_state = 7},
  [2796] = {.lex_state = 92, .external_lex_state = 5},
  [2797] = {.lex_state = 92, .external_lex_state = 5},
  [2798] = {.lex_state = 92, .external_lex_state = 5},
  [2799] = {.lex_state = 7, .external_lex_state = 7},
  [2800] = {.lex_state = 92, .external_lex_state = 5},
  [2801] = {.lex_state = 7, .external_lex_state = 7},
  [2802] = {.lex_state = 7, .external_lex_state = 7},
  [2803] = {.lex_state = 7, .external_lex_state = 7},
  [2804] = {.lex_state = 7, .external_lex_state = 7},
  [2805] = {.lex_state = 92, .external_lex_state = 5},
  [2806] = {.lex_state = 92, .external_lex_state = 5},
  [2807] = {.lex_state = 7, .external_lex_state = 7},
  [2808] = {.lex_state = 92, .external_lex_state = 5},
  [2809] = {.lex_state = 92, .external_lex_state = 5},
  [2810] = {.lex_state = 92, .external_lex_state = 5},
  [2811] = {.lex_state = 92, .external_lex_state = 5},
  [2812] = {.lex_state = 92, .external_lex_state = 5},
  [2813] = {.lex_state = 7, .external_lex_state = 7},
  [2814] = {.lex_state = 7, .external_lex_state = 7},
  [2815] = {.lex_state = 7, .external_lex_state = 7},
  [2816] = {.lex_state = 7, .external_lex_state = 7},
  [2817] = {.lex_state = 7, .external_lex_state = 7},
  [2818] = {.lex_state = 7, .external_lex_state = 7},
  [2819] = {.lex_state = 7, .external_lex_state = 7},
  [2820] = {.lex_state = 7, .external_lex_state = 7},
  [2821] = {.lex_state = 92, .external_lex_state = 5},
  [2822] = {.lex_state = 7, .external_lex_state = 7},
  [2823] = {.lex_state = 7, .external_lex_state = 7},
  [2824] = {.lex_state = 92, .external_lex_state = 5},
  [2825] = {.lex_state = 92, .external_lex_state = 5},
  [2826] = {.lex_state = 92, .external_lex_state = 5},
  [2827] = {.lex_state = 92, .external_lex_state = 5},
  [2828] = {.lex_state = 7, .external_lex_state = 7},
  [2829] = {.lex_state = 7, .external_lex_state = 7},
  [2830] = {.lex_state = 7, .external_lex_state = 7},
  [2831] = {.lex_state = 7, .external_lex_state = 7},
  [2832] = {.lex_state = 7, .external_lex_state = 7},
  [2833] = {.lex_state = 7, .external_lex_state = 7},
  [2834] = {.lex_state = 7, .external_lex_state = 7},
  [2835] = {.lex_state = 7, .external_lex_state = 7},
  [2836] = {.lex_state = 92, .external_lex_state = 5},
  [2837] = {.lex_state = 7, .external_lex_state = 7},
  [2838] = {.lex_state = 7, .external_lex_state = 7},
  [2839] = {.lex_state = 7, .external_lex_state = 7},
  [2840] = {.lex_state = 7, .external_lex_state = 7},
  [2841] = {.lex_state = 92, .external_lex_state = 5},
  [2842] = {.lex_state = 92, .external_lex_state = 5},
  [2843] = {.lex_state = 92, .external_lex_state = 5},
  [2844] = {.lex_state = 7, .external_lex_state = 7},
  [2845] = {.lex_state = 7, .external_lex_state = 7},
  [2846] = {.lex_state = 7, .external_lex_state = 7},
  [2847] = {.lex_state = 7, .external_lex_state = 7},
  [2848] = {.lex_state = 7, .external_lex_state = 7},
  [2849] = {.lex_state = 92, .external_lex_state = 5},
  [2850] = {.lex_state = 7, .external_lex_state = 7},
  [2851] = {.lex_state = 7, .external_lex_state = 7},
  [2852] = {.lex_state = 92, .external_lex_state = 5},
  [2853] = {.lex_state = 92, .external_lex_state = 5},
  [2854] = {.lex_state = 7, .external_lex_state = 7},
  [2855] = {.lex_state = 7, .external_lex_state = 7},
  [2856] = {.lex_state = 7, .external_lex_state = 7},
  [2857] = {.lex_state = 92, .external_lex_state = 5},
  [2858] = {.lex_state = 7, .external_lex_state = 7},
  [2859] = {.lex_state = 7, .external_lex_state = 7},
  [2860] = {.lex_state = 92, .external_lex_state = 5},
  [2861] = {.lex_state = 7, .external_lex_state = 7},
  [2862] = {.lex_state = 92, .external_lex_state = 5},
  [2863] = {.lex_state = 7, .external_lex_state = 7},
  [2864] = {.lex_state = 7, .external_lex_state = 7},
  [2865] = {.lex_state = 7, .external_lex_state = 7},
  [2866] = {.lex_state = 92, .external_lex_state = 5},
  [2867] = {.lex_state = 7, .external_lex_state = 7},
  [2868] = {.lex_state = 7, .external_lex_state = 7},
  [2869] = {.lex_state = 7, .external_lex_state = 7},
  [2870] = {.lex_state = 7, .external_lex_state = 7},
  [2871] = {.lex_state = 92, .external_lex_state = 5},
  [2872] = {.lex_state = 92, .external_lex_state = 5},
  [2873] = {.lex_state = 92, .external_lex_state = 5},
  [2874] = {.lex_state = 92, .external_lex_state = 5},
  [2875] = {.lex_state = 92, .external_lex_state = 5},
  [2876] = {.lex_state = 92, .external_lex_state = 5},
  [2877] = {.lex_state = 92, .external_lex_state = 5},
  [2878] = {.lex_state = 92, .external_lex_state = 5},
  [2879] = {.lex_state = 7, .external_lex_state = 5},
  [2880] = {.lex_state = 92, .external_lex_state = 5},
  [2881] = {.lex_state = 92, .external_lex_state = 5},
  [2882] = {.lex_state = 92, .external_lex_state = 5},
  [2883] = {.lex_state = 92, .external_lex_state = 5},
  [2884] = {.lex_state = 92, .external_lex_state = 5},
  [2885] = {.lex_state = 92, .external_lex_state = 5},
  [2886] = {.lex_state = 7, .external_lex_state = 7},
  [2887] = {.lex_state = 92, .external_lex_state = 5},
  [2888] = {.lex_state = 92, .external_lex_state = 5},
  [2889] = {.lex_state = 92, .external_lex_state = 5},
  [2890] = {.lex_state = 92, .external_lex_state = 5},
  [2891] = {.lex_state = 92, .external_lex_state = 5},
  [2892] = {.lex_state = 92, .external_lex_state = 5},
  [2893] = {.lex_state = 92, .external_lex_state = 5},
  [2894] = {.lex_state = 92, .external_lex_state = 5},
  [2895] = {.lex_state = 92, .external_lex_state = 5},
  [2896] = {.lex_state = 92, .external_lex_state = 5},
  [2897] = {.lex_state = 92, .external_lex_state = 5},
  [2898] = {.lex_state = 92, .external_lex_state = 5},
  [2899] = {.lex_state = 92, .external_lex_state = 5},
  [2900] = {.lex_state = 92, .external_lex_state = 5},
  [2901] = {.lex_state = 92, .external_lex_state = 5},
  [2902] = {.lex_state = 92, .external_lex_state = 5},
  [2903] = {.lex_state = 92, .external_lex_state = 5},
  [2904] = {.lex_state = 92, .external_lex_state = 5},
  [2905] = {.lex_state = 92, .external_lex_state = 5},
  [2906] = {.lex_state = 92, .external_lex_state = 5},
  [2907] = {.lex_state = 92, .external_lex_state = 5},
  [2908] = {.lex_state = 92, .external_lex_state = 5},
  [2909] = {.lex_state = 92, .external_lex_state = 5},
  [2910] = {.lex_state = 92, .external_lex_state = 5},
  [2911] = {.lex_state = 92, .external_lex_state = 5},
  [2912] = {.lex_state = 92, .external_lex_state = 5},
  [2913] = {.lex_state = 92, .external_lex_state = 5},
  [2914] = {.lex_state = 92, .external_lex_state = 5},
  [2915] = {.lex_state = 92, .external_lex_state = 5},
  [2916] = {.lex_state = 92, .external_lex_state = 5},
  [2917] = {.lex_state = 92, .external_lex_state = 5},
  [2918] = {.lex_state = 92, .external_lex_state = 5},
  [2919] = {.lex_state = 92, .external_lex_state = 5},
  [2920] = {.lex_state = 92, .external_lex_state = 5},
  [2921] = {.lex_state = 92, .external_lex_state = 5},
  [2922] = {.lex_state = 92, .external_lex_state = 5},
  [2923] = {.lex_state = 92, .external_lex_state = 5},
  [2924] = {.lex_state = 7, .external_lex_state = 7},
  [2925] = {.lex_state = 92, .external_lex_state = 5},
  [2926] = {.lex_state = 7, .external_lex_state = 5},
  [2927] = {.lex_state = 92, .external_lex_state = 4},
  [2928] = {.lex_state = 92, .external_lex_state = 4},
  [2929] = {.lex_state = 91, .external_lex_state = 5},
  [2930] = {.lex_state = 92, .external_lex_state = 4},
  [2931] = {.lex_state = 92, .external_lex_state = 5},
  [2932] = {.lex_state = 92, .external_lex_state = 4},
  [2933] = {.lex_state = 92, .external_lex_state = 4},
  [2934] = {.lex_state = 92, .external_lex_state = 4},
  [2935] = {.lex_state = 92, .external_lex_state = 4},
  [2936] = {.lex_state = 92, .external_lex_state = 4},
  [2937] = {.lex_state = 92, .external_lex_state = 4},
  [2938] = {.lex_state = 92, .external_lex_state = 4},
  [2939] = {.lex_state = 92, .external_lex_state = 4},
  [2940] = {.lex_state = 92, .external_lex_state = 5},
  [2941] = {.lex_state = 92, .external_lex_state = 5},
  [2942] = {.lex_state = 92, .external_lex_state = 5},
  [2943] = {.lex_state = 92, .external_lex_state = 5},
  [2944] = {.lex_state = 92, .external_lex_state = 5},
  [2945] = {.lex_state = 91, .external_lex_state = 4},
  [2946] = {.lex_state = 92, .external_lex_state = 5},
  [2947] = {.lex_state = 7, .external_lex_state = 5},
  [2948] = {.lex_state = 92, .external_lex_state = 5},
  [2949] = {.lex_state = 92, .external_lex_state = 5},
  [2950] = {.lex_state = 92, .external_lex_state = 5},
  [2951] = {.lex_state = 92, .external_lex_state = 5},
  [2952] = {.lex_state = 92, .external_lex_state = 5},
  [2953] = {.lex_state = 92, .external_lex_state = 5},
  [2954] = {.lex_state = 92, .external_lex_state = 5},
  [2955] = {.lex_state = 7, .external_lex_state = 5},
  [2956] = {.lex_state = 92, .external_lex_state = 5},
  [2957] = {.lex_state = 92, .external_lex_state = 5},
  [2958] = {.lex_state = 91, .external_lex_state = 4},
  [2959] = {.lex_state = 92, .external_lex_state = 5},
  [2960] = {.lex_state = 92, .external_lex_state = 5},
  [2961] = {.lex_state = 92, .external_lex_state = 5},
  [2962] = {.lex_state = 92, .external_lex_state = 5},
  [2963] = {.lex_state = 92, .external_lex_state = 5},
  [2964] = {.lex_state = 91, .external_lex_state = 4},
  [2965] = {.lex_state = 92, .external_lex_state = 5},
  [2966] = {.lex_state = 92, .external_lex_state = 5},
  [2967] = {.lex_state = 92, .external_lex_state = 5},
  [2968] = {.lex_state = 92, .external_lex_state = 5},
  [2969] = {.lex_state = 91, .external_lex_state = 4},
  [2970] = {.lex_state = 92, .external_lex_state = 5},
  [2971] = {.lex_state = 92, .external_lex_state = 5},
  [2972] = {.lex_state = 92, .external_lex_state = 4},
  [2973] = {.lex_state = 92, .external_lex_state = 4},
  [2974] = {.lex_state = 92, .external_lex_state = 5},
  [2975] = {.lex_state = 92, .external_lex_state = 5},
  [2976] = {.lex_state = 92, .external_lex_state = 5},
  [2977] = {.lex_state = 92, .external_lex_state = 5},
  [2978] = {.lex_state = 92, .external_lex_state = 5},
  [2979] = {.lex_state = 92, .external_lex_state = 4},
  [2980] = {.lex_state = 94, .external_lex_state = 5},
  [2981] = {.lex_state = 92, .external_lex_state = 5},
  [2982] = {.lex_state = 92, .external_lex_state = 4},
  [2983] = {.lex_state = 92, .external_lex_state = 5},
  [2984] = {.lex_state = 92, .external_lex_state = 5},
  [2985] = {.lex_state = 92, .external_lex_state = 5},
  [2986] = {.lex_state = 92, .external_lex_state = 5},
  [2987] = {.lex_state = 92, .external_lex_state = 5},
  [2988] = {.lex_state = 92, .external_lex_state = 5},
  [2989] = {.lex_state = 92, .external_lex_state = 5},
  [2990] = {.lex_state = 92, .external_lex_state = 5},
  [2991] = {.lex_state = 92, .external_lex_state = 5},
  [2992] = {.lex_state = 92, .external_lex_state = 4},
  [2993] = {.lex_state = 92, .external_lex_state = 4},
  [2994] = {.lex_state = 92, .external_lex_state = 4},
  [2995] = {.lex_state = 92, .external_lex_state = 4},
  [2996] = {.lex_state = 92, .external_lex_state = 4},
  [2997] = {.lex_state = 92, .external_lex_state = 4},
  [2998] = {.lex_state = 92, .external_lex_state = 4},
  [2999] = {.lex_state = 92, .external_lex_state = 4},
  [3000] = {.lex_state = 92, .external_lex_state = 4},
  [3001] = {.lex_state = 92, .external_lex_state = 4},
  [3002] = {.lex_state = 92, .external_lex_state = 4},
  [3003] = {.lex_state = 92, .external_lex_state = 4},
  [3004] = {.lex_state = 92, .external_lex_state = 4},
  [3005] = {.lex_state = 92, .external_lex_state = 4},
  [3006] = {.lex_state = 92, .external_lex_state = 5},
  [3007] = {.lex_state = 92, .external_lex_state = 4},
  [3008] = {.lex_state = 92, .external_lex_state = 4},
  [3009] = {.lex_state = 92, .external_lex_state = 4},
  [3010] = {.lex_state = 92, .external_lex_state = 4},
  [3011] = {.lex_state = 92, .external_lex_state = 4},
  [3012] = {.lex_state = 92, .external_lex_state = 4},
  [3013] = {.lex_state = 92, .external_lex_state = 4},
  [3014] = {.lex_state = 92, .external_lex_state = 4},
  [3015] = {.lex_state = 92, .external_lex_state = 4},
  [3016] = {.lex_state = 92, .external_lex_state = 4},
  [3017] = {.lex_state = 92, .external_lex_state = 4},
  [3018] = {.lex_state = 92, .external_lex_state = 4},
  [3019] = {.lex_state = 92, .external_lex_state = 4},
  [3020] = {.lex_state = 92, .external_lex_state = 4},
  [3021] = {.lex_state = 92, .external_lex_state = 4},
  [3022] = {.lex_state = 92, .external_lex_state = 4},
  [3023] = {.lex_state = 92, .external_lex_state = 5},
  [3024] = {.lex_state = 92, .external_lex_state = 4},
  [3025] = {.lex_state = 92, .external_lex_state = 4},
  [3026] = {.lex_state = 92, .external_lex_state = 4},
  [3027] = {.lex_state = 92, .external_lex_state = 4},
  [3028] = {.lex_state = 7, .external_lex_state = 7},
  [3029] = {.lex_state = 92, .external_lex_state = 4},
  [3030] = {.lex_state = 92, .external_lex_state = 5},
  [3031] = {.lex_state = 92, .external_lex_state = 4},
  [3032] = {.lex_state = 92, .external_lex_state = 4},
  [3033] = {.lex_state = 92, .external_lex_state = 4},
  [3034] = {.lex_state = 92, .external_lex_state = 4},
  [3035] = {.lex_state = 92, .external_lex_state = 4},
  [3036] = {.lex_state = 92, .external_lex_state = 5},
  [3037] = {.lex_state = 92, .external_lex_state = 4},
  [3038] = {.lex_state = 92, .external_lex_state = 5},
  [3039] = {.lex_state = 92, .external_lex_state = 5},
  [3040] = {.lex_state = 91, .external_lex_state = 4},
  [3041] = {.lex_state = 92, .external_lex_state = 4},
  [3042] = {.lex_state = 92, .external_lex_state = 4},
  [3043] = {.lex_state = 92, .external_lex_state = 4},
  [3044] = {.lex_state = 92, .external_lex_state = 4},
  [3045] = {.lex_state = 92, .external_lex_state = 4},
  [3046] = {.lex_state = 92, .external_lex_state = 4},
  [3047] = {.lex_state = 92, .external_lex_state = 4},
  [3048] = {.lex_state = 92, .external_lex_state = 4},
  [3049] = {.lex_state = 92, .external_lex_state = 4},
  [3050] = {.lex_state = 92, .external_lex_state = 4},
  [3051] = {.lex_state = 92, .external_lex_state = 4},
  [3052] = {.lex_state = 92, .external_lex_state = 4},
  [3053] = {.lex_state = 92, .external_lex_state = 4},
  [3054] = {.lex_state = 92, .external_lex_state = 4},
  [3055] = {.lex_state = 92, .external_lex_state = 5},
  [3056] = {.lex_state = 92, .external_lex_state = 4},
  [3057] = {.lex_state = 92, .external_lex_state = 4},
  [3058] = {.lex_state = 92, .external_lex_state = 4},
  [3059] = {.lex_state = 92, .external_lex_state = 4},
  [3060] = {.lex_state = 92, .external_lex_state = 5},
  [3061] = {.lex_state = 92, .external_lex_state = 5},
  [3062] = {.lex_state = 93, .external_lex_state = 7},
  [3063] = {.lex_state = 92, .external_lex_state = 4},
  [3064] = {.lex_state = 92, .external_lex_state = 4},
  [3065] = {.lex_state = 93, .external_lex_state = 7},
  [3066] = {.lex_state = 92, .external_lex_state = 5},
  [3067] = {.lex_state = 92, .external_lex_state = 5},
  [3068] = {.lex_state = 91, .external_lex_state = 8},
  [3069] = {.lex_state = 92, .external_lex_state = 5},
  [3070] = {.lex_state = 92, .external_lex_state = 5},
  [3071] = {.lex_state = 92, .external_lex_state = 5},
  [3072] = {.lex_state = 92, .external_lex_state = 5},
  [3073] = {.lex_state = 92, .external_lex_state = 5},
  [3074] = {.lex_state = 92, .external_lex_state = 4},
  [3075] = {.lex_state = 92, .external_lex_state = 4},
  [3076] = {.lex_state = 92, .external_lex_state = 5},
  [3077] = {.lex_state = 92, .external_lex_state = 4},
  [3078] = {.lex_state = 92, .external_lex_state = 4},
  [3079] = {.lex_state = 92, .external_lex_state = 4},
  [3080] = {.lex_state = 92, .external_lex_state = 5},
  [3081] = {.lex_state = 7, .external_lex_state = 7},
  [3082] = {.lex_state = 92, .external_lex_state = 4},
  [3083] = {.lex_state = 92, .external_lex_state = 4},
  [3084] = {.lex_state = 92, .external_lex_state = 4},
  [3085] = {.lex_state = 92, .external_lex_state = 4},
  [3086] = {.lex_state = 92, .external_lex_state = 4},
  [3087] = {.lex_state = 92, .external_lex_state = 4},
  [3088] = {.lex_state = 92, .external_lex_state = 4},
  [3089] = {.lex_state = 92, .external_lex_state = 4},
  [3090] = {.lex_state = 92, .external_lex_state = 4},
  [3091] = {.lex_state = 92, .external_lex_state = 4},
  [3092] = {.lex_state = 92, .external_lex_state = 4},
  [3093] = {.lex_state = 92, .external_lex_state = 4},
  [3094] = {.lex_state = 92, .external_lex_state = 4},
  [3095] = {.lex_state = 92, .external_lex_state = 4},
  [3096] = {.lex_state = 92, .external_lex_state = 4},
  [3097] = {.lex_state = 92, .external_lex_state = 4},
  [3098] = {.lex_state = 92, .external_lex_state = 4},
  [3099] = {.lex_state = 92, .external_lex_state = 4},
  [3100] = {.lex_state = 92, .external_lex_state = 4},
  [3101] = {.lex_state = 92, .external_lex_state = 4},
  [3102] = {.lex_state = 92, .external_lex_state = 4},
  [3103] = {.lex_state = 92, .external_lex_state = 4},
  [3104] = {.lex_state = 92, .external_lex_state = 4},
  [3105] = {.lex_state = 92, .external_lex_state = 4},
  [3106] = {.lex_state = 92, .external_lex_state = 4},
  [3107] = {.lex_state = 92, .external_lex_state = 4},
  [3108] = {.lex_state = 92, .external_lex_state = 4},
  [3109] = {.lex_state = 92, .external_lex_state = 4},
  [3110] = {.lex_state = 92, .external_lex_state = 4},
  [3111] = {.lex_state = 92, .external_lex_state = 4},
  [3112] = {.lex_state = 92, .external_lex_state = 4},
  [3113] = {.lex_state = 92, .external_lex_state = 4},
  [3114] = {.lex_state = 92, .external_lex_state = 4},
  [3115] = {.lex_state = 92, .external_lex_state = 4},
  [3116] = {.lex_state = 92, .external_lex_state = 4},
  [3117] = {.lex_state = 92, .external_lex_state = 4},
  [3118] = {.lex_state = 92, .external_lex_state = 4},
  [3119] = {.lex_state = 92, .external_lex_state = 4},
  [3120] = {.lex_state = 92, .external_lex_state = 4},
  [3121] = {.lex_state = 92, .external_lex_state = 4},
  [3122] = {.lex_state = 92, .external_lex_state = 4},
  [3123] = {.lex_state = 92, .external_lex_state = 4},
  [3124] = {.lex_state = 92, .external_lex_state = 4},
  [3125] = {.lex_state = 92, .external_lex_state = 4},
  [3126] = {.lex_state = 92, .external_lex_state = 4},
  [3127] = {.lex_state = 92, .external_lex_state = 4},
  [3128] = {.lex_state = 92, .external_lex_state = 4},
  [3129] = {.lex_state = 92, .external_lex_state = 4},
  [3130] = {.lex_state = 92, .external_lex_state = 4},
  [3131] = {.lex_state = 92, .external_lex_state = 4},
  [3132] = {.lex_state = 92, .external_lex_state = 4},
  [3133] = {.lex_state = 92, .external_lex_state = 4},
  [3134] = {.lex_state = 92, .external_lex_state = 4},
  [3135] = {.lex_state = 92, .external_lex_state = 4},
  [3136] = {.lex_state = 92, .external_lex_state = 4},
  [3137] = {.lex_state = 92, .external_lex_state = 4},
  [3138] = {.lex_state = 92, .external_lex_state = 4},
  [3139] = {.lex_state = 92, .external_lex_state = 4},
  [3140] = {.lex_state = 92, .external_lex_state = 4},
  [3141] = {.lex_state = 92, .external_lex_state = 4},
  [3142] = {.lex_state = 92, .external_lex_state = 5},
  [3143] = {.lex_state = 92, .external_lex_state = 4},
  [3144] = {.lex_state = 92, .external_lex_state = 4},
  [3145] = {.lex_state = 92, .external_lex_state = 5},
  [3146] = {.lex_state = 92, .external_lex_state = 4},
  [3147] = {.lex_state = 92, .external_lex_state = 5},
  [3148] = {.lex_state = 92, .external_lex_state = 4},
  [3149] = {.lex_state = 92, .external_lex_state = 5},
  [3150] = {.lex_state = 94, .external_lex_state = 5},
  [3151] = {.lex_state = 7, .external_lex_state = 7},
  [3152] = {.lex_state = 94, .external_lex_state = 5},
  [3153] = {.lex_state = 92, .external_lex_state = 4},
  [3154] = {.lex_state = 92, .external_lex_state = 4},
  [3155] = {.lex_state = 92, .external_lex_state = 4},
  [3156] = {.lex_state = 92, .external_lex_state = 4},
  [3157] = {.lex_state = 92, .external_lex_state = 4},
  [3158] = {.lex_state = 92, .external_lex_state = 4},
  [3159] = {.lex_state = 92, .external_lex_state = 4},
  [3160] = {.lex_state = 92, .external_lex_state = 4},
  [3161] = {.lex_state = 92, .external_lex_state = 4},
  [3162] = {.lex_state = 92, .external_lex_state = 4},
  [3163] = {.lex_state = 92, .external_lex_state = 4},
  [3164] = {.lex_state = 92, .external_lex_state = 4},
  [3165] = {.lex_state = 92, .external_lex_state = 4},
  [3166] = {.lex_state = 92, .external_lex_state = 4},
  [3167] = {.lex_state = 92, .external_lex_state = 4},
  [3168] = {.lex_state = 93, .external_lex_state = 7},
  [3169] = {.lex_state = 92, .external_lex_state = 4},
  [3170] = {.lex_state = 94, .external_lex_state = 5},
  [3171] = {.lex_state = 94, .external_lex_state = 5},
  [3172] = {.lex_state = 92, .external_lex_state = 4},
  [3173] = {.lex_state = 92, .external_lex_state = 4},
  [3174] = {.lex_state = 92, .external_lex_state = 4},
  [3175] = {.lex_state = 92, .external_lex_state = 4},
  [3176] = {.lex_state = 92, .external_lex_state = 4},
  [3177] = {.lex_state = 92, .external_lex_state = 4},
  [3178] = {.lex_state = 92, .external_lex_state = 4},
  [3179] = {.lex_state = 92, .external_lex_state = 4},
  [3180] = {.lex_state = 92, .external_lex_state = 4},
  [3181] = {.lex_state = 92, .external_lex_state = 4},
  [3182] = {.lex_state = 94, .external_lex_state = 5},
  [3183] = {.lex_state = 92, .external_lex_state = 4},
  [3184] = {.lex_state = 92, .external_lex_state = 5},
  [3185] = {.lex_state = 92, .external_lex_state = 5},
  [3186] = {.lex_state = 92, .external_lex_state = 5},
  [3187] = {.lex_state = 92, .external_lex_state = 5},
  [3188] = {.lex_state = 92, .external_lex_state = 5},
  [3189] = {.lex_state = 92, .external_lex_state = 5},
  [3190] = {.lex_state = 92, .external_lex_state = 5},
  [3191] = {.lex_state = 92, .external_lex_state = 4},
  [3192] = {.lex_state = 92, .external_lex_state = 5},
  [3193] = {.lex_state = 92, .external_lex_state = 5},
  [3194] = {.lex_state = 92, .external_lex_state = 5},
  [3195] = {.lex_state = 92, .external_lex_state = 5},
  [3196] = {.lex_state = 92, .external_lex_state = 5},
  [3197] = {.lex_state = 92, .external_lex_state = 4},
  [3198] = {.lex_state = 92, .external_lex_state = 4},
  [3199] = {.lex_state = 92, .external_lex_state = 5},
  [3200] = {.lex_state = 92, .external_lex_state = 4},
  [3201] = {.lex_state = 92, .external_lex_state = 4},
  [3202] = {.lex_state = 92, .external_lex_state = 5},
  [3203] = {.lex_state = 92, .external_lex_state = 4},
  [3204] = {.lex_state = 92, .external_lex_state = 4},
  [3205] = {.lex_state = 92, .external_lex_state = 4},
  [3206] = {.lex_state = 92, .external_lex_state = 4},
  [3207] = {.lex_state = 92, .external_lex_state = 4},
  [3208] = {.lex_state = 92, .external_lex_state = 4},
  [3209] = {.lex_state = 92, .external_lex_state = 4},
  [3210] = {.lex_state = 92, .external_lex_state = 4},
  [3211] = {.lex_state = 92, .external_lex_state = 5},
  [3212] = {.lex_state = 92, .external_lex_state = 4},
  [3213] = {.lex_state = 92, .external_lex_state = 4},
  [3214] = {.lex_state = 92, .external_lex_state = 4},
  [3215] = {.lex_state = 92, .external_lex_state = 4},
  [3216] = {.lex_state = 92, .external_lex_state = 4},
  [3217] = {.lex_state = 92, .external_lex_state = 4},
  [3218] = {.lex_state = 92, .external_lex_state = 5},
  [3219] = {.lex_state = 92, .external_lex_state = 5},
  [3220] = {.lex_state = 92, .external_lex_state = 5},
  [3221] = {.lex_state = 92, .external_lex_state = 4},
  [3222] = {.lex_state = 92, .external_lex_state = 4},
  [3223] = {.lex_state = 92, .external_lex_state = 4},
  [3224] = {.lex_state = 92, .external_lex_state = 4},
  [3225] = {.lex_state = 92, .external_lex_state = 4},
  [3226] = {.lex_state = 92, .external_lex_state = 4},
  [3227] = {.lex_state = 92, .external_lex_state = 4},
  [3228] = {.lex_state = 92, .external_lex_state = 4},
  [3229] = {.lex_state = 92, .external_lex_state = 4},
  [3230] = {.lex_state = 92, .external_lex_state = 4},
  [3231] = {.lex_state = 92, .external_lex_state = 4},
  [3232] = {.lex_state = 92, .external_lex_state = 4},
  [3233] = {.lex_state = 92, .external_lex_state = 4},
  [3234] = {.lex_state = 92, .external_lex_state = 4},
  [3235] = {.lex_state = 92, .external_lex_state = 4},
  [3236] = {.lex_state = 92, .external_lex_state = 4},
  [3237] = {.lex_state = 92, .external_lex_state = 4},
  [3238] = {.lex_state = 92, .external_lex_state = 8},
  [3239] = {.lex_state = 92, .external_lex_state = 4},
  [3240] = {.lex_state = 91, .external_lex_state = 8},
  [3241] = {.lex_state = 92, .external_lex_state = 8},
  [3242] = {.lex_state = 92, .external_lex_state = 8},
  [3243] = {.lex_state = 92, .external_lex_state = 8},
  [3244] = {.lex_state = 92, .external_lex_state = 5},
  [3245] = {.lex_state = 92, .external_lex_state = 8},
  [3246] = {.lex_state = 92, .external_lex_state = 8},
  [3247] = {.lex_state = 91, .external_lex_state = 8},
  [3248] = {.lex_state = 92, .external_lex_state = 8},
  [3249] = {.lex_state = 93, .external_lex_state = 5},
  [3250] = {.lex_state = 92, .external_lex_state = 4},
  [3251] = {.lex_state = 93, .external_lex_state = 7},
  [3252] = {.lex_state = 92, .external_lex_state = 4},
  [3253] = {.lex_state = 92, .external_lex_state = 8},
  [3254] = {.lex_state = 92, .external_lex_state = 8},
  [3255] = {.lex_state = 92, .external_lex_state = 5},
  [3256] = {.lex_state = 93, .external_lex_state = 5},
  [3257] = {.lex_state = 92, .external_lex_state = 4},
  [3258] = {.lex_state = 92, .external_lex_state = 8},
  [3259] = {.lex_state = 92, .external_lex_state = 4},
  [3260] = {.lex_state = 92, .external_lex_state = 4},
  [3261] = {.lex_state = 92, .external_lex_state = 8},
  [3262] = {.lex_state = 92, .external_lex_state = 4},
  [3263] = {.lex_state = 92, .external_lex_state = 4},
  [3264] = {.lex_state = 7, .external_lex_state = 7},
  [3265] = {.lex_state = 92, .external_lex_state = 5},
  [3266] = {.lex_state = 92, .external_lex_state = 5},
  [3267] = {.lex_state = 92, .external_lex_state = 5},
  [3268] = {.lex_state = 93, .external_lex_state = 5},
  [3269] = {.lex_state = 92, .external_lex_state = 4},
  [3270] = {.lex_state = 92, .external_lex_state = 5},
  [3271] = {.lex_state = 92, .external_lex_state = 4},
  [3272] = {.lex_state = 91, .external_lex_state = 8},
  [3273] = {.lex_state = 92, .external_lex_state = 4},
  [3274] = {.lex_state = 92, .external_lex_state = 5},
  [3275] = {.lex_state = 94, .external_lex_state = 7},
  [3276] = {.lex_state = 94, .external_lex_state = 7},
  [3277] = {.lex_state = 94, .external_lex_state = 7},
  [3278] = {.lex_state = 94, .external_lex_state = 7},
  [3279] = {.lex_state = 94, .external_lex_state = 7},
  [3280] = {.lex_state = 93, .external_lex_state = 6},
  [3281] = {.lex_state = 94, .external_lex_state = 7},
  [3282] = {.lex_state = 94, .external_lex_state = 7},
  [3283] = {.lex_state = 93, .external_lex_state = 6},
  [3284] = {.lex_state = 94, .external_lex_state = 7},
  [3285] = {.lex_state = 92, .external_lex_state = 8},
  [3286] = {.lex_state = 92, .external_lex_state = 8},
  [3287] = {.lex_state = 94, .external_lex_state = 5},
  [3288] = {.lex_state = 94, .external_lex_state = 7},
  [3289] = {.lex_state = 94, .external_lex_state = 7},
  [3290] = {.lex_state = 94, .external_lex_state = 7},
  [3291] = {.lex_state = 92, .external_lex_state = 8},
  [3292] = {.lex_state = 91, .external_lex_state = 8},
  [3293] = {.lex_state = 94, .external_lex_state = 7},
  [3294] = {.lex_state = 92, .external_lex_state = 8},
  [3295] = {.lex_state = 92, .external_lex_state = 8},
  [3296] = {.lex_state = 92, .external_lex_state = 8},
  [3297] = {.lex_state = 92, .external_lex_state = 8},
  [3298] = {.lex_state = 92, .external_lex_state = 8},
  [3299] = {.lex_state = 92, .external_lex_state = 8},
  [3300] = {.lex_state = 92, .external_lex_state = 8},
  [3301] = {.lex_state = 92, .external_lex_state = 8},
  [3302] = {.lex_state = 92, .external_lex_state = 8},
  [3303] = {.lex_state = 92, .external_lex_state = 8},
  [3304] = {.lex_state = 92, .external_lex_state = 8},
  [3305] = {.lex_state = 92, .external_lex_state = 8},
  [3306] = {.lex_state = 92, .external_lex_state = 8},
  [3307] = {.lex_state = 94, .external_lex_state = 7},
  [3308] = {.lex_state = 7, .external_lex_state = 7},
  [3309] = {.lex_state = 94, .external_lex_state = 7},
  [3310] = {.lex_state = 92, .external_lex_state = 4},
  [3311] = {.lex_state = 92, .external_lex_state = 4},
  [3312] = {.lex_state = 94, .external_lex_state = 7},
  [3313] = {.lex_state = 94, .external_lex_state = 7},
  [3314] = {.lex_state = 92, .external_lex_state = 4},
  [3315] = {.lex_state = 94, .external_lex_state = 7},
  [3316] = {.lex_state = 92, .external_lex_state = 8},
  [3317] = {.lex_state = 94, .external_lex_state = 7},
  [3318] = {.lex_state = 94, .external_lex_state = 7},
  [3319] = {.lex_state = 94, .external_lex_state = 7},
  [3320] = {.lex_state = 94, .external_lex_state = 4},
  [3321] = {.lex_state = 94, .external_lex_state = 4},
  [3322] = {.lex_state = 94, .external_lex_state = 7},
  [3323] = {.lex_state = 92, .external_lex_state = 4},
  [3324] = {.lex_state = 92, .external_lex_state = 4},
  [3325] = {.lex_state = 92, .external_lex_state = 4},
  [3326] = {.lex_state = 92, .external_lex_state = 4},
  [3327] = {.lex_state = 92, .external_lex_state = 8},
  [3328] = {.lex_state = 92, .external_lex_state = 8},
  [3329] = {.lex_state = 92, .external_lex_state = 8},
  [3330] = {.lex_state = 92, .external_lex_state = 8},
  [3331] = {.lex_state = 92, .external_lex_state = 8},
  [3332] = {.lex_state = 92, .external_lex_state = 8},
  [3333] = {.lex_state = 92, .external_lex_state = 8},
  [3334] = {.lex_state = 94, .external_lex_state = 7},
  [3335] = {.lex_state = 94, .external_lex_state = 4},
  [3336] = {.lex_state = 92, .external_lex_state = 8},
  [3337] = {.lex_state = 94, .external_lex_state = 7},
  [3338] = {.lex_state = 94, .external_lex_state = 7},
  [3339] = {.lex_state = 92, .external_lex_state = 8},
  [3340] = {.lex_state = 92, .external_lex_state = 8},
  [3341] = {.lex_state = 92, .external_lex_state = 8},
  [3342] = {.lex_state = 92, .external_lex_state = 8},
  [3343] = {.lex_state = 94, .external_lex_state = 7},
  [3344] = {.lex_state = 93, .external_lex_state = 4},
  [3345] = {.lex_state = 94, .external_lex_state = 7},
  [3346] = {.lex_state = 94, .external_lex_state = 7},
  [3347] = {.lex_state = 94, .external_lex_state = 7},
  [3348] = {.lex_state = 94, .external_lex_state = 7},
  [3349] = {.lex_state = 94, .external_lex_state = 7},
  [3350] = {.lex_state = 92, .external_lex_state = 8},
  [3351] = {.lex_state = 94, .external_lex_state = 5},
  [3352] = {.lex_state = 93, .external_lex_state = 5},
  [3353] = {.lex_state = 92, .external_lex_state = 8},
  [3354] = {.lex_state = 94, .external_lex_state = 7},
  [3355] = {.lex_state = 94, .external_lex_state = 5},
  [3356] = {.lex_state = 94, .external_lex_state = 7},
  [3357] = {.lex_state = 94, .external_lex_state = 7},
  [3358] = {.lex_state = 88, .external_lex_state = 4},
  [3359] = {.lex_state = 94, .external_lex_state = 7},
  [3360] = {.lex_state = 94, .external_lex_state = 7},
  [3361] = {.lex_state = 88, .external_lex_state = 4},
  [3362] = {.lex_state = 92, .external_lex_state = 4},
  [3363] = {.lex_state = 88, .external_lex_state = 4},
  [3364] = {.lex_state = 94, .external_lex_state = 7},
  [3365] = {.lex_state = 88, .external_lex_state = 4},
  [3366] = {.lex_state = 88, .external_lex_state = 4},
  [3367] = {.lex_state = 88, .external_lex_state = 4},
  [3368] = {.lex_state = 94, .external_lex_state = 7},
  [3369] = {.lex_state = 92, .external_lex_state = 8},
  [3370] = {.lex_state = 92, .external_lex_state = 8},
  [3371] = {.lex_state = 92, .external_lex_state = 8},
  [3372] = {.lex_state = 92, .external_lex_state = 8},
  [3373] = {.lex_state = 92, .external_lex_state = 8},
  [3374] = {.lex_state = 92, .external_lex_state = 8},
  [3375] = {.lex_state = 92, .external_lex_state = 8},
  [3376] = {.lex_state = 92, .external_lex_state = 8},
  [3377] = {.lex_state = 92, .external_lex_state = 8},
  [3378] = {.lex_state = 92, .external_lex_state = 8},
  [3379] = {.lex_state = 92, .external_lex_state = 8},
  [3380] = {.lex_state = 94, .external_lex_state = 7},
  [3381] = {.lex_state = 93, .external_lex_state = 6},
  [3382] = {.lex_state = 94, .external_lex_state = 7},
  [3383] = {.lex_state = 92, .external_lex_state = 8},
  [3384] = {.lex_state = 94, .external_lex_state = 7},
  [3385] = {.lex_state = 93, .external_lex_state = 4},
  [3386] = {.lex_state = 94, .external_lex_state = 7},
  [3387] = {.lex_state = 88, .external_lex_state = 4},
  [3388] = {.lex_state = 7, .external_lex_state = 7},
  [3389] = {.lex_state = 94, .external_lex_state = 4},
  [3390] = {.lex_state = 92, .external_lex_state = 8},
  [3391] = {.lex_state = 93, .external_lex_state = 4},
  [3392] = {.lex_state = 94, .external_lex_state = 7},
  [3393] = {.lex_state = 92, .external_lex_state = 8},
  [3394] = {.lex_state = 92, .external_lex_state = 8},
  [3395] = {.lex_state = 92, .external_lex_state = 8},
  [3396] = {.lex_state = 92, .external_lex_state = 8},
  [3397] = {.lex_state = 92, .external_lex_state = 8},
  [3398] = {.lex_state = 92, .external_lex_state = 8},
  [3399] = {.lex_state = 92, .external_lex_state = 8},
  [3400] = {.lex_state = 92, .external_lex_state = 8},
  [3401] = {.lex_state = 92, .external_lex_state = 8},
  [3402] = {.lex_state = 92, .external_lex_state = 8},
  [3403] = {.lex_state = 92, .external_lex_state = 8},
  [3404] = {.lex_state = 92, .external_lex_state = 8},
  [3405] = {.lex_state = 92, .external_lex_state = 8},
  [3406] = {.lex_state = 92, .external_lex_state = 8},
  [3407] = {.lex_state = 92, .external_lex_state = 8},
  [3408] = {.lex_state = 92, .external_lex_state = 8},
  [3409] = {.lex_state = 92, .external_lex_state = 8},
  [3410] = {.lex_state = 94, .external_lex_state = 4},
  [3411] = {.lex_state = 92, .external_lex_state = 8},
  [3412] = {.lex_state = 92, .external_lex_state = 8},
  [3413] = {.lex_state = 92, .external_lex_state = 8},
  [3414] = {.lex_state = 92, .external_lex_state = 8},
  [3415] = {.lex_state = 92, .external_lex_state = 8},
  [3416] = {.lex_state = 92, .external_lex_state = 8},
  [3417] = {.lex_state = 92, .external_lex_state = 8},
  [3418] = {.lex_state = 92, .external_lex_state = 8},
  [3419] = {.lex_state = 92, .external_lex_state = 8},
  [3420] = {.lex_state = 92, .external_lex_state = 8},
  [3421] = {.lex_state = 92, .external_lex_state = 8},
  [3422] = {.lex_state = 92, .external_lex_state = 8},
  [3423] = {.lex_state = 92, .external_lex_state = 8},
  [3424] = {.lex_state = 92, .external_lex_state = 8},
  [3425] = {.lex_state = 92, .external_lex_state = 8},
  [3426] = {.lex_state = 92, .external_lex_state = 8},
  [3427] = {.lex_state = 92, .external_lex_state = 8},
  [3428] = {.lex_state = 92, .external_lex_state = 8},
  [3429] = {.lex_state = 92, .external_lex_state = 8},
  [3430] = {.lex_state = 94, .external_lex_state = 5},
  [3431] = {.lex_state = 92, .external_lex_state = 8},
  [3432] = {.lex_state = 92, .external_lex_state = 8},
  [3433] = {.lex_state = 92, .external_lex_state = 8},
  [3434] = {.lex_state = 92, .external_lex_state = 8},
  [3435] = {.lex_state = 92, .external_lex_state = 8},
  [3436] = {.lex_state = 92, .external_lex_state = 8},
  [3437] = {.lex_state = 92, .external_lex_state = 8},
  [3438] = {.lex_state = 92, .external_lex_state = 8},
  [3439] = {.lex_state = 92, .external_lex_state = 8},
  [3440] = {.lex_state = 92, .external_lex_state = 8},
  [3441] = {.lex_state = 92, .external_lex_state = 8},
  [3442] = {.lex_state = 94, .external_lex_state = 5},
  [3443] = {.lex_state = 92, .external_lex_state = 8},
  [3444] = {.lex_state = 94, .external_lex_state = 5},
  [3445] = {.lex_state = 92, .external_lex_state = 8},
  [3446] = {.lex_state = 92, .external_lex_state = 8},
  [3447] = {.lex_state = 92, .external_lex_state = 8},
  [3448] = {.lex_state = 92, .external_lex_state = 8},
  [3449] = {.lex_state = 92, .external_lex_state = 8},
  [3450] = {.lex_state = 92, .external_lex_state = 8},
  [3451] = {.lex_state = 94, .external_lex_state = 5},
  [3452] = {.lex_state = 92, .external_lex_state = 8},
  [3453] = {.lex_state = 92, .external_lex_state = 8},
  [3454] = {.lex_state = 92, .external_lex_state = 8},
  [3455] = {.lex_state = 92, .external_lex_state = 8},
  [3456] = {.lex_state = 92, .external_lex_state = 8},
  [3457] = {.lex_state = 92, .external_lex_state = 8},
  [3458] = {.lex_state = 94, .external_lex_state = 5},
  [3459] = {.lex_state = 94, .external_lex_state = 5},
  [3460] = {.lex_state = 94, .external_lex_state = 5},
  [3461] = {.lex_state = 92, .external_lex_state = 8},
  [3462] = {.lex_state = 94, .external_lex_state = 5},
  [3463] = {.lex_state = 94, .external_lex_state = 5},
  [3464] = {.lex_state = 94, .external_lex_state = 5},
  [3465] = {.lex_state = 92, .external_lex_state = 8},
  [3466] = {.lex_state = 92, .external_lex_state = 8},
  [3467] = {.lex_state = 92, .external_lex_state = 8},
  [3468] = {.lex_state = 94, .external_lex_state = 5},
  [3469] = {.lex_state = 92, .external_lex_state = 8},
  [3470] = {.lex_state = 92, .external_lex_state = 8},
  [3471] = {.lex_state = 94, .external_lex_state = 5},
  [3472] = {.lex_state = 92, .external_lex_state = 8},
  [3473] = {.lex_state = 92, .external_lex_state = 8},
  [3474] = {.lex_state = 92, .external_lex_state = 8},
  [3475] = {.lex_state = 92, .external_lex_state = 8},
  [3476] = {.lex_state = 94, .external_lex_state = 5},
  [3477] = {.lex_state = 94, .external_lex_state = 4},
  [3478] = {.lex_state = 94, .external_lex_state = 5},
  [3479] = {.lex_state = 94, .external_lex_state = 5},
  [3480] = {.lex_state = 94, .external_lex_state = 5},
  [3481] = {.lex_state = 94, .external_lex_state = 5},
  [3482] = {.lex_state = 94, .external_lex_state = 5},
  [3483] = {.lex_state = 94, .external_lex_state = 4},
  [3484] = {.lex_state = 92, .external_lex_state = 8},
  [3485] = {.lex_state = 92, .external_lex_state = 8},
  [3486] = {.lex_state = 94, .external_lex_state = 5},
  [3487] = {.lex_state = 92, .external_lex_state = 8},
  [3488] = {.lex_state = 92, .external_lex_state = 8},
  [3489] = {.lex_state = 92, .external_lex_state = 8},
  [3490] = {.lex_state = 92, .external_lex_state = 8},
  [3491] = {.lex_state = 94, .external_lex_state = 5},
  [3492] = {.lex_state = 94, .external_lex_state = 5},
  [3493] = {.lex_state = 94, .external_lex_state = 5},
  [3494] = {.lex_state = 92, .external_lex_state = 8},
  [3495] = {.lex_state = 92, .external_lex_state = 8},
  [3496] = {.lex_state = 92, .external_lex_state = 8},
  [3497] = {.lex_state = 92, .external_lex_state = 8},
  [3498] = {.lex_state = 94, .external_lex_state = 5},
  [3499] = {.lex_state = 92, .external_lex_state = 8},
  [3500] = {.lex_state = 94, .external_lex_state = 5},
  [3501] = {.lex_state = 92, .external_lex_state = 8},
  [3502] = {.lex_state = 92, .external_lex_state = 8},
  [3503] = {.lex_state = 92, .external_lex_state = 8},
  [3504] = {.lex_state = 88, .external_lex_state = 8},
  [3505] = {.lex_state = 92, .external_lex_state = 8},
  [3506] = {.lex_state = 88, .external_lex_state = 8},
  [3507] = {.lex_state = 92, .external_lex_state = 8},
  [3508] = {.lex_state = 88, .external_lex_state = 8},
  [3509] = {.lex_state = 92, .external_lex_state = 8},
  [3510] = {.lex_state = 92, .external_lex_state = 8},
  [3511] = {.lex_state = 92, .external_lex_state = 8},
  [3512] = {.lex_state = 92, .external_lex_state = 8},
  [3513] = {.lex_state = 92, .external_lex_state = 8},
  [3514] = {.lex_state = 92, .external_lex_state = 8},
  [3515] = {.lex_state = 92, .external_lex_state = 8},
  [3516] = {.lex_state = 94, .external_lex_state = 5},
  [3517] = {.lex_state = 92, .external_lex_state = 8},
  [3518] = {.lex_state = 92, .external_lex_state = 8},
  [3519] = {.lex_state = 92, .external_lex_state = 8},
  [3520] = {.lex_state = 92, .external_lex_state = 8},
  [3521] = {.lex_state = 92, .external_lex_state = 8},
  [3522] = {.lex_state = 92, .external_lex_state = 8},
  [3523] = {.lex_state = 94, .external_lex_state = 5},
  [3524] = {.lex_state = 92, .external_lex_state = 8},
  [3525] = {.lex_state = 94, .external_lex_state = 5},
  [3526] = {.lex_state = 92, .external_lex_state = 8},
  [3527] = {.lex_state = 94, .external_lex_state = 5},
  [3528] = {.lex_state = 94, .external_lex_state = 5},
  [3529] = {.lex_state = 94, .external_lex_state = 5},
  [3530] = {.lex_state = 94, .external_lex_state = 5},
  [3531] = {.lex_state = 94, .external_lex_state = 5},
  [3532] = {.lex_state = 94, .external_lex_state = 5},
  [3533] = {.lex_state = 93, .external_lex_state = 6},
  [3534] = {.lex_state = 92, .external_lex_state = 8},
  [3535] = {.lex_state = 92, .external_lex_state = 8},
  [3536] = {.lex_state = 94, .external_lex_state = 5},
  [3537] = {.lex_state = 94, .external_lex_state = 5},
  [3538] = {.lex_state = 94, .external_lex_state = 5},
  [3539] = {.lex_state = 94, .external_lex_state = 5},
  [3540] = {.lex_state = 94, .external_lex_state = 5},
  [3541] = {.lex_state = 94, .external_lex_state = 5},
  [3542] = {.lex_state = 94, .external_lex_state = 5},
  [3543] = {.lex_state = 94, .external_lex_state = 5},
  [3544] = {.lex_state = 94, .external_lex_state = 5},
  [3545] = {.lex_state = 94, .external_lex_state = 5},
  [3546] = {.lex_state = 94, .external_lex_state = 5},
  [3547] = {.lex_state = 94, .external_lex_state = 5},
  [3548] = {.lex_state = 94, .external_lex_state = 5},
  [3549] = {.lex_state = 94, .external_lex_state = 4},
  [3550] = {.lex_state = 94, .external_lex_state = 5},
  [3551] = {.lex_state = 92, .external_lex_state = 8},
  [3552] = {.lex_state = 92, .external_lex_state = 8},
  [3553] = {.lex_state = 92, .external_lex_state = 8},
  [3554] = {.lex_state = 88, .external_lex_state = 8},
  [3555] = {.lex_state = 92, .external_lex_state = 8},
  [3556] = {.lex_state = 92, .external_lex_state = 8},
  [3557] = {.lex_state = 92, .external_lex_state = 8},
  [3558] = {.lex_state = 92, .external_lex_state = 8},
  [3559] = {.lex_state = 92, .external_lex_state = 8},
  [3560] = {.lex_state = 92, .external_lex_state = 8},
  [3561] = {.lex_state = 92, .external_lex_state = 8},
  [3562] = {.lex_state = 92, .external_lex_state = 8},
  [3563] = {.lex_state = 92, .external_lex_state = 8},
  [3564] = {.lex_state = 88, .external_lex_state = 8},
  [3565] = {.lex_state = 94, .external_lex_state = 5},
  [3566] = {.lex_state = 92, .external_lex_state = 8},
  [3567] = {.lex_state = 92, .external_lex_state = 8},
  [3568] = {.lex_state = 92, .external_lex_state = 8},
  [3569] = {.lex_state = 92, .external_lex_state = 8},
  [3570] = {.lex_state = 91, .external_lex_state = 5},
  [3571] = {.lex_state = 92, .external_lex_state = 8},
  [3572] = {.lex_state = 92, .external_lex_state = 8},
  [3573] = {.lex_state = 94, .external_lex_state = 4},
  [3574] = {.lex_state = 92, .external_lex_state = 8},
  [3575] = {.lex_state = 92, .external_lex_state = 8},
  [3576] = {.lex_state = 93, .external_lex_state = 4},
  [3577] = {.lex_state = 92, .external_lex_state = 8},
  [3578] = {.lex_state = 92, .external_lex_state = 8},
  [3579] = {.lex_state = 92, .external_lex_state = 8},
  [3580] = {.lex_state = 92, .external_lex_state = 8},
  [3581] = {.lex_state = 92, .external_lex_state = 8},
  [3582] = {.lex_state = 92, .external_lex_state = 8},
  [3583] = {.lex_state = 92, .external_lex_state = 8},
  [3584] = {.lex_state = 92, .external_lex_state = 8},
  [3585] = {.lex_state = 92, .external_lex_state = 8},
  [3586] = {.lex_state = 92, .external_lex_state = 8},
  [3587] = {.lex_state = 92, .external_lex_state = 8},
  [3588] = {.lex_state = 94, .external_lex_state = 4},
  [3589] = {.lex_state = 92, .external_lex_state = 8},
  [3590] = {.lex_state = 92, .external_lex_state = 8},
  [3591] = {.lex_state = 92, .external_lex_state = 8},
  [3592] = {.lex_state = 92, .external_lex_state = 8},
  [3593] = {.lex_state = 92, .external_lex_state = 8},
  [3594] = {.lex_state = 92, .external_lex_state = 8},
  [3595] = {.lex_state = 88, .external_lex_state = 8},
  [3596] = {.lex_state = 92, .external_lex_state = 8},
  [3597] = {.lex_state = 92, .external_lex_state = 8},
  [3598] = {.lex_state = 92, .external_lex_state = 8},
  [3599] = {.lex_state = 92, .external_lex_state = 8},
  [3600] = {.lex_state = 92, .external_lex_state = 8},
  [3601] = {.lex_state = 92, .external_lex_state = 8},
  [3602] = {.lex_state = 88, .external_lex_state = 8},
  [3603] = {.lex_state = 94, .external_lex_state = 4},
  [3604] = {.lex_state = 88, .external_lex_state = 5},
  [3605] = {.lex_state = 92, .external_lex_state = 8},
  [3606] = {.lex_state = 94, .external_lex_state = 6},
  [3607] = {.lex_state = 94, .external_lex_state = 4},
  [3608] = {.lex_state = 94, .external_lex_state = 7},
  [3609] = {.lex_state = 94, .external_lex_state = 4},
  [3610] = {.lex_state = 94, .external_lex_state = 6},
  [3611] = {.lex_state = 94, .external_lex_state = 6},
  [3612] = {.lex_state = 94, .external_lex_state = 6},
  [3613] = {.lex_state = 94, .external_lex_state = 6},
  [3614] = {.lex_state = 94, .external_lex_state = 6},
  [3615] = {.lex_state = 94, .external_lex_state = 6},
  [3616] = {.lex_state = 94, .external_lex_state = 4},
  [3617] = {.lex_state = 94, .external_lex_state = 4},
  [3618] = {.lex_state = 94, .external_lex_state = 4},
  [3619] = {.lex_state = 94, .external_lex_state = 6},
  [3620] = {.lex_state = 94, .external_lex_state = 7},
  [3621] = {.lex_state = 94, .external_lex_state = 4},
  [3622] = {.lex_state = 94, .external_lex_state = 6},
  [3623] = {.lex_state = 94, .external_lex_state = 4},
  [3624] = {.lex_state = 94, .external_lex_state = 6},
  [3625] = {.lex_state = 94, .external_lex_state = 6},
  [3626] = {.lex_state = 94, .external_lex_state = 4},
  [3627] = {.lex_state = 94, .external_lex_state = 6},
  [3628] = {.lex_state = 88, .external_lex_state = 5},
  [3629] = {.lex_state = 94, .external_lex_state = 4},
  [3630] = {.lex_state = 92, .external_lex_state = 8},
  [3631] = {.lex_state = 94, .external_lex_state = 4},
  [3632] = {.lex_state = 94, .external_lex_state = 4},
  [3633] = {.lex_state = 94, .external_lex_state = 6},
  [3634] = {.lex_state = 94, .external_lex_state = 6},
  [3635] = {.lex_state = 94, .external_lex_state = 6},
  [3636] = {.lex_state = 94, .external_lex_state = 6},
  [3637] = {.lex_state = 94, .external_lex_state = 4},
  [3638] = {.lex_state = 94, .external_lex_state = 6},
  [3639] = {.lex_state = 94, .external_lex_state = 4},
  [3640] = {.lex_state = 94, .external_lex_state = 6},
  [3641] = {.lex_state = 94, .external_lex_state = 6},
  [3642] = {.lex_state = 94, .external_lex_state = 6},
  [3643] = {.lex_state = 94, .external_lex_state = 6},
  [3644] = {.lex_state = 94, .external_lex_state = 6},
  [3645] = {.lex_state = 94, .external_lex_state = 6},
  [3646] = {.lex_state = 92, .external_lex_state = 5},
  [3647] = {.lex_state = 94, .external_lex_state = 4},
  [3648] = {.lex_state = 94, .external_lex_state = 6},
  [3649] = {.lex_state = 94, .external_lex_state = 6},
  [3650] = {.lex_state = 94, .external_lex_state = 6},
  [3651] = {.lex_state = 94, .external_lex_state = 6},
  [3652] = {.lex_state = 94, .external_lex_state = 4},
  [3653] = {.lex_state = 94, .external_lex_state = 4},
  [3654] = {.lex_state = 88, .external_lex_state = 5},
  [3655] = {.lex_state = 94, .external_lex_state = 6},
  [3656] = {.lex_state = 94, .external_lex_state = 6},
  [3657] = {.lex_state = 94, .external_lex_state = 5},
  [3658] = {.lex_state = 94, .external_lex_state = 4},
  [3659] = {.lex_state = 92, .external_lex_state = 8},
  [3660] = {.lex_state = 92, .external_lex_state = 8},
  [3661] = {.lex_state = 88, .external_lex_state = 5},
  [3662] = {.lex_state = 92, .external_lex_state = 8},
  [3663] = {.lex_state = 94, .external_lex_state = 4},
  [3664] = {.lex_state = 92, .external_lex_state = 8},
  [3665] = {.lex_state = 92, .external_lex_state = 8},
  [3666] = {.lex_state = 92, .external_lex_state = 8},
  [3667] = {.lex_state = 94, .external_lex_state = 6},
  [3668] = {.lex_state = 92, .external_lex_state = 8},
  [3669] = {.lex_state = 92, .external_lex_state = 5},
  [3670] = {.lex_state = 92, .external_lex_state = 5},
  [3671] = {.lex_state = 92, .external_lex_state = 5},
  [3672] = {.lex_state = 92, .external_lex_state = 5},
  [3673] = {.lex_state = 92, .external_lex_state = 5},
  [3674] = {.lex_state = 92, .external_lex_state = 5},
  [3675] = {.lex_state = 88, .external_lex_state = 5},
  [3676] = {.lex_state = 92, .external_lex_state = 5},
  [3677] = {.lex_state = 92, .external_lex_state = 5},
  [3678] = {.lex_state = 92, .external_lex_state = 5},
  [3679] = {.lex_state = 92, .external_lex_state = 5},
  [3680] = {.lex_state = 88, .external_lex_state = 5},
  [3681] = {.lex_state = 94, .external_lex_state = 4},
  [3682] = {.lex_state = 91, .external_lex_state = 5},
  [3683] = {.lex_state = 92, .external_lex_state = 8},
  [3684] = {.lex_state = 94, .external_lex_state = 4},
  [3685] = {.lex_state = 94, .external_lex_state = 4},
  [3686] = {.lex_state = 94, .external_lex_state = 4},
  [3687] = {.lex_state = 94, .external_lex_state = 6},
  [3688] = {.lex_state = 92, .external_lex_state = 8},
  [3689] = {.lex_state = 94, .external_lex_state = 4},
  [3690] = {.lex_state = 92, .external_lex_state = 8},
  [3691] = {.lex_state = 94, .external_lex_state = 6},
  [3692] = {.lex_state = 94, .external_lex_state = 4},
  [3693] = {.lex_state = 94, .external_lex_state = 4},
  [3694] = {.lex_state = 94, .external_lex_state = 5},
  [3695] = {.lex_state = 94, .external_lex_state = 4},
  [3696] = {.lex_state = 94, .external_lex_state = 4},
  [3697] = {.lex_state = 94, .external_lex_state = 4},
  [3698] = {.lex_state = 94, .external_lex_state = 4},
  [3699] = {.lex_state = 94, .external_lex_state = 6},
  [3700] = {.lex_state = 94, .external_lex_state = 6},
  [3701] = {.lex_state = 94, .external_lex_state = 6},
  [3702] = {.lex_state = 94, .external_lex_state = 6},
  [3703] = {.lex_state = 94, .external_lex_state = 4},
  [3704] = {.lex_state = 94, .external_lex_state = 4},
  [3705] = {.lex_state = 94, .external_lex_state = 6},
  [3706] = {.lex_state = 94, .external_lex_state = 4},
  [3707] = {.lex_state = 94, .external_lex_state = 6},
  [3708] = {.lex_state = 94, .external_lex_state = 4},
  [3709] = {.lex_state = 94, .external_lex_state = 6},
  [3710] = {.lex_state = 94, .external_lex_state = 6},
  [3711] = {.lex_state = 94, .external_lex_state = 4},
  [3712] = {.lex_state = 94, .external_lex_state = 4},
  [3713] = {.lex_state = 94, .external_lex_state = 6},
  [3714] = {.lex_state = 94, .external_lex_state = 4},
  [3715] = {.lex_state = 94, .external_lex_state = 4},
  [3716] = {.lex_state = 94, .external_lex_state = 4},
  [3717] = {.lex_state = 94, .external_lex_state = 4},
  [3718] = {.lex_state = 94, .external_lex_state = 4},
  [3719] = {.lex_state = 94, .external_lex_state = 4},
  [3720] = {.lex_state = 88, .external_lex_state = 5},
  [3721] = {.lex_state = 94, .external_lex_state = 4},
  [3722] = {.lex_state = 94, .external_lex_state = 4},
  [3723] = {.lex_state = 94, .external_lex_state = 4},
  [3724] = {.lex_state = 94, .external_lex_state = 4},
  [3725] = {.lex_state = 94, .external_lex_state = 6},
  [3726] = {.lex_state = 94, .external_lex_state = 4},
  [3727] = {.lex_state = 94, .external_lex_state = 6},
  [3728] = {.lex_state = 94, .external_lex_state = 6},
  [3729] = {.lex_state = 92, .external_lex_state = 4},
  [3730] = {.lex_state = 94, .external_lex_state = 4},
  [3731] = {.lex_state = 94, .external_lex_state = 4},
  [3732] = {.lex_state = 92, .external_lex_state = 5},
  [3733] = {.lex_state = 94, .external_lex_state = 6},
  [3734] = {.lex_state = 92, .external_lex_state = 5},
  [3735] = {.lex_state = 92, .external_lex_state = 5},
  [3736] = {.lex_state = 92, .external_lex_state = 5},
  [3737] = {.lex_state = 92, .external_lex_state = 5},
  [3738] = {.lex_state = 92, .external_lex_state = 5},
  [3739] = {.lex_state = 92, .external_lex_state = 5},
  [3740] = {.lex_state = 92, .external_lex_state = 5},
  [3741] = {.lex_state = 92, .external_lex_state = 5},
  [3742] = {.lex_state = 92, .external_lex_state = 5},
  [3743] = {.lex_state = 92, .external_lex_state = 5},
  [3744] = {.lex_state = 94, .external_lex_state = 6},
  [3745] = {.lex_state = 88, .external_lex_state = 6},
  [3746] = {.lex_state = 94, .external_lex_state = 6},
  [3747] = {.lex_state = 94, .external_lex_state = 6},
  [3748] = {.lex_state = 94, .external_lex_state = 7},
  [3749] = {.lex_state = 94, .external_lex_state = 6},
  [3750] = {.lex_state = 88, .external_lex_state = 6},
  [3751] = {.lex_state = 94, .external_lex_state = 6},
  [3752] = {.lex_state = 94, .external_lex_state = 7},
  [3753] = {.lex_state = 94, .external_lex_state = 7},
  [3754] = {.lex_state = 94, .external_lex_state = 6},
  [3755] = {.lex_state = 94, .external_lex_state = 6},
  [3756] = {.lex_state = 94, .external_lex_state = 7},
  [3757] = {.lex_state = 94, .external_lex_state = 7},
  [3758] = {.lex_state = 94, .external_lex_state = 7},
  [3759] = {.lex_state = 92, .external_lex_state = 4},
  [3760] = {.lex_state = 92, .external_lex_state = 8},
  [3761] = {.lex_state = 94, .external_lex_state = 7},
  [3762] = {.lex_state = 94, .external_lex_state = 7},
  [3763] = {.lex_state = 92, .external_lex_state = 8},
  [3764] = {.lex_state = 94, .external_lex_state = 7},
  [3765] = {.lex_state = 94, .external_lex_state = 6},
  [3766] = {.lex_state = 94, .external_lex_state = 7},
  [3767] = {.lex_state = 94, .external_lex_state = 7},
  [3768] = {.lex_state = 94, .external_lex_state = 7},
  [3769] = {.lex_state = 92, .external_lex_state = 8},
  [3770] = {.lex_state = 94, .external_lex_state = 7},
  [3771] = {.lex_state = 94, .external_lex_state = 6},
  [3772] = {.lex_state = 94, .external_lex_state = 7},
  [3773] = {.lex_state = 94, .external_lex_state = 6},
  [3774] = {.lex_state = 94, .external_lex_state = 7},
  [3775] = {.lex_state = 94, .external_lex_state = 7},
  [3776] = {.lex_state = 92, .external_lex_state = 8},
  [3777] = {.lex_state = 94, .external_lex_state = 6},
  [3778] = {.lex_state = 94, .external_lex_state = 6},
  [3779] = {.lex_state = 92, .external_lex_state = 8},
  [3780] = {.lex_state = 92, .external_lex_state = 8},
  [3781] = {.lex_state = 94, .external_lex_state = 7},
  [3782] = {.lex_state = 92, .external_lex_state = 8},
  [3783] = {.lex_state = 94, .external_lex_state = 6},
  [3784] = {.lex_state = 94, .external_lex_state = 6},
  [3785] = {.lex_state = 94, .external_lex_state = 6},
  [3786] = {.lex_state = 94, .external_lex_state = 6},
  [3787] = {.lex_state = 94, .external_lex_state = 6},
  [3788] = {.lex_state = 92, .external_lex_state = 8},
  [3789] = {.lex_state = 94, .external_lex_state = 6},
  [3790] = {.lex_state = 94, .external_lex_state = 6},
  [3791] = {.lex_state = 94, .external_lex_state = 7},
  [3792] = {.lex_state = 94, .external_lex_state = 7},
  [3793] = {.lex_state = 94, .external_lex_state = 7},
  [3794] = {.lex_state = 94, .external_lex_state = 7},
  [3795] = {.lex_state = 92, .external_lex_state = 8},
  [3796] = {.lex_state = 92, .external_lex_state = 8},
  [3797] = {.lex_state = 88, .external_lex_state = 6},
  [3798] = {.lex_state = 94, .external_lex_state = 6},
  [3799] = {.lex_state = 94, .external_lex_state = 6},
  [3800] = {.lex_state = 94, .external_lex_state = 7},
  [3801] = {.lex_state = 92, .external_lex_state = 5},
  [3802] = {.lex_state = 92, .external_lex_state = 5},
  [3803] = {.lex_state = 94, .external_lex_state = 7},
  [3804] = {.lex_state = 94, .external_lex_state = 7},
  [3805] = {.lex_state = 94, .external_lex_state = 6},
  [3806] = {.lex_state = 94, .external_lex_state = 6},
  [3807] = {.lex_state = 94, .external_lex_state = 7},
  [3808] = {.lex_state = 94, .external_lex_state = 7},
  [3809] = {.lex_state = 94, .external_lex_state = 6},
  [3810] = {.lex_state = 94, .external_lex_state = 7},
  [3811] = {.lex_state = 94, .external_lex_state = 7},
  [3812] = {.lex_state = 94, .external_lex_state = 6},
  [3813] = {.lex_state = 94, .external_lex_state = 7},
  [3814] = {.lex_state = 94, .external_lex_state = 7},
  [3815] = {.lex_state = 94, .external_lex_state = 6},
  [3816] = {.lex_state = 94, .external_lex_state = 7},
  [3817] = {.lex_state = 94, .external_lex_state = 7},
  [3818] = {.lex_state = 94, .external_lex_state = 6},
  [3819] = {.lex_state = 92, .external_lex_state = 8},
  [3820] = {.lex_state = 94, .external_lex_state = 7},
  [3821] = {.lex_state = 94, .external_lex_state = 6},
  [3822] = {.lex_state = 94, .external_lex_state = 6},
  [3823] = {.lex_state = 94, .external_lex_state = 6},
  [3824] = {.lex_state = 94, .external_lex_state = 7},
  [3825] = {.lex_state = 94, .external_lex_state = 7},
  [3826] = {.lex_state = 94, .external_lex_state = 6},
  [3827] = {.lex_state = 94, .external_lex_state = 7},
  [3828] = {.lex_state = 94, .external_lex_state = 7},
  [3829] = {.lex_state = 94, .external_lex_state = 6},
  [3830] = {.lex_state = 94, .external_lex_state = 7},
  [3831] = {.lex_state = 94, .external_lex_state = 6},
  [3832] = {.lex_state = 94, .external_lex_state = 6},
  [3833] = {.lex_state = 94, .external_lex_state = 7},
  [3834] = {.lex_state = 94, .external_lex_state = 6},
  [3835] = {.lex_state = 92, .external_lex_state = 8},
  [3836] = {.lex_state = 94, .external_lex_state = 6},
  [3837] = {.lex_state = 94, .external_lex_state = 6},
  [3838] = {.lex_state = 94, .external_lex_state = 6},
  [3839] = {.lex_state = 94, .external_lex_state = 7},
  [3840] = {.lex_state = 94, .external_lex_state = 7},
  [3841] = {.lex_state = 92, .external_lex_state = 8},
  [3842] = {.lex_state = 94, .external_lex_state = 6},
  [3843] = {.lex_state = 94, .external_lex_state = 6},
  [3844] = {.lex_state = 94, .external_lex_state = 7},
  [3845] = {.lex_state = 92, .external_lex_state = 8},
  [3846] = {.lex_state = 94, .external_lex_state = 7},
  [3847] = {.lex_state = 94, .external_lex_state = 7},
  [3848] = {.lex_state = 94, .external_lex_state = 6},
  [3849] = {.lex_state = 94, .external_lex_state = 7},
  [3850] = {.lex_state = 94, .external_lex_state = 7},
  [3851] = {.lex_state = 94, .external_lex_state = 7},
  [3852] = {.lex_state = 94, .external_lex_state = 7},
  [3853] = {.lex_state = 92, .external_lex_state = 5},
  [3854] = {.lex_state = 94, .external_lex_state = 6},
  [3855] = {.lex_state = 94, .external_lex_state = 6},
  [3856] = {.lex_state = 94, .external_lex_state = 7},
  [3857] = {.lex_state = 94, .external_lex_state = 7},
  [3858] = {.lex_state = 94, .external_lex_state = 7},
  [3859] = {.lex_state = 94, .external_lex_state = 6},
  [3860] = {.lex_state = 94, .external_lex_state = 6},
  [3861] = {.lex_state = 94, .external_lex_state = 6},
  [3862] = {.lex_state = 94, .external_lex_state = 7},
  [3863] = {.lex_state = 94, .external_lex_state = 7},
  [3864] = {.lex_state = 94, .external_lex_state = 6},
  [3865] = {.lex_state = 94, .external_lex_state = 6},
  [3866] = {.lex_state = 94, .external_lex_state = 6},
  [3867] = {.lex_state = 94, .external_lex_state = 6},
  [3868] = {.lex_state = 94, .external_lex_state = 7},
  [3869] = {.lex_state = 94, .external_lex_state = 6},
  [3870] = {.lex_state = 94, .external_lex_state = 6},
  [3871] = {.lex_state = 94, .external_lex_state = 6},
  [3872] = {.lex_state = 94, .external_lex_state = 6},
  [3873] = {.lex_state = 94, .external_lex_state = 6},
  [3874] = {.lex_state = 94, .external_lex_state = 6},
  [3875] = {.lex_state = 94, .external_lex_state = 6},
  [3876] = {.lex_state = 94, .external_lex_state = 6},
  [3877] = {.lex_state = 94, .external_lex_state = 6},
  [3878] = {.lex_state = 94, .external_lex_state = 6},
  [3879] = {.lex_state = 94, .external_lex_state = 7},
  [3880] = {.lex_state = 94, .external_lex_state = 6},
  [3881] = {.lex_state = 94, .external_lex_state = 6},
  [3882] = {.lex_state = 94, .external_lex_state = 7},
  [3883] = {.lex_state = 94, .external_lex_state = 6},
  [3884] = {.lex_state = 94, .external_lex_state = 7},
  [3885] = {.lex_state = 94, .external_lex_state = 6},
  [3886] = {.lex_state = 94, .external_lex_state = 6},
  [3887] = {.lex_state = 94, .external_lex_state = 6},
  [3888] = {.lex_state = 93, .external_lex_state = 8},
  [3889] = {.lex_state = 94, .external_lex_state = 7},
  [3890] = {.lex_state = 94, .external_lex_state = 6},
  [3891] = {.lex_state = 94, .external_lex_state = 7},
  [3892] = {.lex_state = 94, .external_lex_state = 7},
  [3893] = {.lex_state = 94, .external_lex_state = 7},
  [3894] = {.lex_state = 94, .external_lex_state = 6},
  [3895] = {.lex_state = 88, .external_lex_state = 6},
  [3896] = {.lex_state = 94, .external_lex_state = 7},
  [3897] = {.lex_state = 94, .external_lex_state = 7},
  [3898] = {.lex_state = 94, .external_lex_state = 7},
  [3899] = {.lex_state = 94, .external_lex_state = 7},
  [3900] = {.lex_state = 94, .external_lex_state = 6},
  [3901] = {.lex_state = 92, .external_lex_state = 5},
  [3902] = {.lex_state = 94, .external_lex_state = 6},
  [3903] = {.lex_state = 94, .external_lex_state = 6},
  [3904] = {.lex_state = 94, .external_lex_state = 7},
  [3905] = {.lex_state = 94, .external_lex_state = 7},
  [3906] = {.lex_state = 94, .external_lex_state = 7},
  [3907] = {.lex_state = 94, .external_lex_state = 6},
  [3908] = {.lex_state = 94, .external_lex_state = 7},
  [3909] = {.lex_state = 94, .external_lex_state = 7},
  [3910] = {.lex_state = 92, .external_lex_state = 8},
  [3911] = {.lex_state = 94, .external_lex_state = 6},
  [3912] = {.lex_state = 93, .external_lex_state = 8},
  [3913] = {.lex_state = 94, .external_lex_state = 7},
  [3914] = {.lex_state = 88, .external_lex_state = 6},
  [3915] = {.lex_state = 94, .external_lex_state = 7},
  [3916] = {.lex_state = 94, .external_lex_state = 7},
  [3917] = {.lex_state = 94, .external_lex_state = 7},
  [3918] = {.lex_state = 94, .external_lex_state = 6},
  [3919] = {.lex_state = 94, .external_lex_state = 7},
  [3920] = {.lex_state = 94, .external_lex_state = 7},
  [3921] = {.lex_state = 94, .external_lex_state = 6},
  [3922] = {.lex_state = 94, .external_lex_state = 6},
  [3923] = {.lex_state = 94, .external_lex_state = 7},
  [3924] = {.lex_state = 94, .external_lex_state = 7},
  [3925] = {.lex_state = 94, .external_lex_state = 7},
  [3926] = {.lex_state = 94, .external_lex_state = 7},
  [3927] = {.lex_state = 94, .external_lex_state = 7},
  [3928] = {.lex_state = 94, .external_lex_state = 7},
  [3929] = {.lex_state = 94, .external_lex_state = 6},
  [3930] = {.lex_state = 94, .external_lex_state = 6},
  [3931] = {.lex_state = 93, .external_lex_state = 8},
  [3932] = {.lex_state = 94, .external_lex_state = 6},
  [3933] = {.lex_state = 94, .external_lex_state = 6},
  [3934] = {.lex_state = 94, .external_lex_state = 6},
  [3935] = {.lex_state = 94, .external_lex_state = 6},
  [3936] = {.lex_state = 88, .external_lex_state = 6},
  [3937] = {.lex_state = 94, .external_lex_state = 6},
  [3938] = {.lex_state = 94, .external_lex_state = 7},
  [3939] = {.lex_state = 94, .external_lex_state = 6},
  [3940] = {.lex_state = 88, .external_lex_state = 6},
  [3941] = {.lex_state = 94, .external_lex_state = 6},
  [3942] = {.lex_state = 94, .external_lex_state = 6},
  [3943] = {.lex_state = 94, .external_lex_state = 7},
  [3944] = {.lex_state = 94, .external_lex_state = 7},
  [3945] = {.lex_state = 94, .external_lex_state = 7},
  [3946] = {.lex_state = 94, .external_lex_state = 7},
  [3947] = {.lex_state = 94, .external_lex_state = 7},
  [3948] = {.lex_state = 94, .external_lex_state = 7},
  [3949] = {.lex_state = 94, .external_lex_state = 6},
  [3950] = {.lex_state = 94, .external_lex_state = 7},
  [3951] = {.lex_state = 94, .external_lex_state = 6},
  [3952] = {.lex_state = 94, .external_lex_state = 7},
  [3953] = {.lex_state = 94, .external_lex_state = 6},
  [3954] = {.lex_state = 94, .external_lex_state = 7},
  [3955] = {.lex_state = 94, .external_lex_state = 6},
  [3956] = {.lex_state = 92, .external_lex_state = 5},
  [3957] = {.lex_state = 94, .external_lex_state = 8},
  [3958] = {.lex_state = 94, .external_lex_state = 8},
  [3959] = {.lex_state = 88, .external_lex_state = 4},
  [3960] = {.lex_state = 88, .external_lex_state = 4},
  [3961] = {.lex_state = 88, .external_lex_state = 4},
  [3962] = {.lex_state = 88, .external_lex_state = 4},
  [3963] = {.lex_state = 94, .external_lex_state = 4},
  [3964] = {.lex_state = 94, .external_lex_state = 8},
  [3965] = {.lex_state = 93, .external_lex_state = 9},
  [3966] = {.lex_state = 94, .external_lex_state = 8},
  [3967] = {.lex_state = 93, .external_lex_state = 9},
  [3968] = {.lex_state = 94, .external_lex_state = 8},
  [3969] = {.lex_state = 93, .external_lex_state = 9},
  [3970] = {.lex_state = 94, .external_lex_state = 8},
  [3971] = {.lex_state = 92, .external_lex_state = 8},
  [3972] = {.lex_state = 92, .external_lex_state = 5},
  [3973] = {.lex_state = 88, .external_lex_state = 4},
  [3974] = {.lex_state = 88, .external_lex_state = 4},
  [3975] = {.lex_state = 94, .external_lex_state = 8},
  [3976] = {.lex_state = 94, .external_lex_state = 8},
  [3977] = {.lex_state = 92, .external_lex_state = 5},
  [3978] = {.lex_state = 92, .external_lex_state = 5},
  [3979] = {.lex_state = 88, .external_lex_state = 4},
  [3980] = {.lex_state = 92, .external_lex_state = 5},
  [3981] = {.lex_state = 92, .external_lex_state = 5},
  [3982] = {.lex_state = 92, .external_lex_state = 5},
  [3983] = {.lex_state = 92, .external_lex_state = 5},
  [3984] = {.lex_state = 92, .external_lex_state = 5},
  [3985] = {.lex_state = 92, .external_lex_state = 5},
  [3986] = {.lex_state = 92, .external_lex_state = 5},
  [3987] = {.lex_state = 92, .external_lex_state = 5},
  [3988] = {.lex_state = 92, .external_lex_state = 5},
  [3989] = {.lex_state = 92, .external_lex_state = 5},
  [3990] = {.lex_state = 92, .external_lex_state = 5},
  [3991] = {.lex_state = 92, .external_lex_state = 5},
  [3992] = {.lex_state = 92, .external_lex_state = 5},
  [3993] = {.lex_state = 92, .external_lex_state = 5},
  [3994] = {.lex_state = 92, .external_lex_state = 5},
  [3995] = {.lex_state = 92, .external_lex_state = 5},
  [3996] = {.lex_state = 92, .external_lex_state = 5},
  [3997] = {.lex_state = 92, .external_lex_state = 5},
  [3998] = {.lex_state = 92, .external_lex_state = 5},
  [3999] = {.lex_state = 88, .external_lex_state = 5},
  [4000] = {.lex_state = 88, .external_lex_state = 5},
  [4001] = {.lex_state = 88, .external_lex_state = 5},
  [4002] = {.lex_state = 88, .external_lex_state = 5},
  [4003] = {.lex_state = 88, .external_lex_state = 5},
  [4004] = {.lex_state = 88, .external_lex_state = 5},
  [4005] = {.lex_state = 88, .external_lex_state = 5},
  [4006] = {.lex_state = 92, .external_lex_state = 5},
  [4007] = {.lex_state = 92, .external_lex_state = 5},
  [4008] = {.lex_state = 92, .external_lex_state = 5},
  [4009] = {.lex_state = 92, .external_lex_state = 5},
  [4010] = {.lex_state = 92, .external_lex_state = 5},
  [4011] = {.lex_state = 94, .external_lex_state = 8},
  [4012] = {.lex_state = 92, .external_lex_state = 5},
  [4013] = {.lex_state = 92, .external_lex_state = 5},
  [4014] = {.lex_state = 92, .external_lex_state = 5},
  [4015] = {.lex_state = 92, .external_lex_state = 5},
  [4016] = {.lex_state = 92, .external_lex_state = 5},
  [4017] = {.lex_state = 93, .external_lex_state = 8},
  [4018] = {.lex_state = 92, .external_lex_state = 5},
  [4019] = {.lex_state = 94, .external_lex_state = 4},
  [4020] = {.lex_state = 88, .external_lex_state = 5},
  [4021] = {.lex_state = 94, .external_lex_state = 9},
  [4022] = {.lex_state = 94, .external_lex_state = 8},
  [4023] = {.lex_state = 94, .external_lex_state = 8},
  [4024] = {.lex_state = 94, .external_lex_state = 8},
  [4025] = {.lex_state = 94, .external_lex_state = 8},
  [4026] = {.lex_state = 94, .external_lex_state = 8},
  [4027] = {.lex_state = 94, .external_lex_state = 8},
  [4028] = {.lex_state = 94, .external_lex_state = 8},
  [4029] = {.lex_state = 93, .external_lex_state = 9},
  [4030] = {.lex_state = 94, .external_lex_state = 8},
  [4031] = {.lex_state = 88, .external_lex_state = 5},
  [4032] = {.lex_state = 94, .external_lex_state = 8},
  [4033] = {.lex_state = 94, .external_lex_state = 8},
  [4034] = {.lex_state = 94, .external_lex_state = 8},
  [4035] = {.lex_state = 94, .external_lex_state = 8},
  [4036] = {.lex_state = 94, .external_lex_state = 8},
  [4037] = {.lex_state = 94, .external_lex_state = 8},
  [4038] = {.lex_state = 94, .external_lex_state = 8},
  [4039] = {.lex_state = 94, .external_lex_state = 8},
  [4040] = {.lex_state = 94, .external_lex_state = 8},
  [4041] = {.lex_state = 94, .external_lex_state = 8},
  [4042] = {.lex_state = 94, .external_lex_state = 8},
  [4043] = {.lex_state = 94, .external_lex_state = 8},
  [4044] = {.lex_state = 94, .external_lex_state = 8},
  [4045] = {.lex_state = 94, .external_lex_state = 8},
  [4046] = {.lex_state = 88, .external_lex_state = 7},
  [4047] = {.lex_state = 88, .external_lex_state = 7},
  [4048] = {.lex_state = 94, .external_lex_state = 8},
  [4049] = {.lex_state = 94, .external_lex_state = 8},
  [4050] = {.lex_state = 88, .external_lex_state = 7},
  [4051] = {.lex_state = 92, .external_lex_state = 5},
  [4052] = {.lex_state = 88, .external_lex_state = 7},
  [4053] = {.lex_state = 88, .external_lex_state = 7},
  [4054] = {.lex_state = 92, .external_lex_state = 5},
  [4055] = {.lex_state = 92, .external_lex_state = 5},
  [4056] = {.lex_state = 92, .external_lex_state = 5},
  [4057] = {.lex_state = 92, .external_lex_state = 5},
  [4058] = {.lex_state = 92, .external_lex_state = 5},
  [4059] = {.lex_state = 92, .external_lex_state = 5},
  [4060] = {.lex_state = 92, .external_lex_state = 5},
  [4061] = {.lex_state = 92, .external_lex_state = 5},
  [4062] = {.lex_state = 92, .external_lex_state = 5},
  [4063] = {.lex_state = 92, .external_lex_state = 5},
  [4064] = {.lex_state = 92, .external_lex_state = 5},
  [4065] = {.lex_state = 92, .external_lex_state = 5},
  [4066] = {.lex_state = 92, .external_lex_state = 5},
  [4067] = {.lex_state = 92, .external_lex_state = 5},
  [4068] = {.lex_state = 92, .external_lex_state = 5},
  [4069] = {.lex_state = 92, .external_lex_state = 5},
  [4070] = {.lex_state = 92, .external_lex_state = 5},
  [4071] = {.lex_state = 94, .external_lex_state = 8},
  [4072] = {.lex_state = 94, .external_lex_state = 8},
  [4073] = {.lex_state = 88, .external_lex_state = 5},
  [4074] = {.lex_state = 88, .external_lex_state = 5},
  [4075] = {.lex_state = 88, .external_lex_state = 5},
  [4076] = {.lex_state = 88, .external_lex_state = 5},
  [4077] = {.lex_state = 88, .external_lex_state = 5},
  [4078] = {.lex_state = 94, .external_lex_state = 8},
  [4079] = {.lex_state = 94, .external_lex_state = 8},
  [4080] = {.lex_state = 94, .external_lex_state = 8},
  [4081] = {.lex_state = 94, .external_lex_state = 8},
  [4082] = {.lex_state = 94, .external_lex_state = 8},
  [4083] = {.lex_state = 94, .external_lex_state = 8},
  [4084] = {.lex_state = 94, .external_lex_state = 6},
  [4085] = {.lex_state = 94, .external_lex_state = 8},
  [4086] = {.lex_state = 94, .external_lex_state = 8},
  [4087] = {.lex_state = 94, .external_lex_state = 8},
  [4088] = {.lex_state = 94, .external_lex_state = 8},
  [4089] = {.lex_state = 94, .external_lex_state = 8},
  [4090] = {.lex_state = 88, .external_lex_state = 7},
  [4091] = {.lex_state = 94, .external_lex_state = 8},
  [4092] = {.lex_state = 94, .external_lex_state = 8},
  [4093] = {.lex_state = 94, .external_lex_state = 8},
  [4094] = {.lex_state = 94, .external_lex_state = 8},
  [4095] = {.lex_state = 92, .external_lex_state = 5},
  [4096] = {.lex_state = 92, .external_lex_state = 5},
  [4097] = {.lex_state = 94, .external_lex_state = 8},
  [4098] = {.lex_state = 88, .external_lex_state = 5},
  [4099] = {.lex_state = 94, .external_lex_state = 8},
  [4100] = {.lex_state = 94, .external_lex_state = 8},
  [4101] = {.lex_state = 94, .external_lex_state = 8},
  [4102] = {.lex_state = 92, .external_lex_state = 5},
  [4103] = {.lex_state = 92, .external_lex_state = 5},
  [4104] = {.lex_state = 94, .external_lex_state = 8},
  [4105] = {.lex_state = 92, .external_lex_state = 5},
  [4106] = {.lex_state = 92, .external_lex_state = 5},
  [4107] = {.lex_state = 92, .external_lex_state = 5},
  [4108] = {.lex_state = 92, .external_lex_state = 5},
  [4109] = {.lex_state = 92, .external_lex_state = 5},
  [4110] = {.lex_state = 92, .external_lex_state = 5},
  [4111] = {.lex_state = 94, .external_lex_state = 8},
  [4112] = {.lex_state = 92, .external_lex_state = 5},
  [4113] = {.lex_state = 94, .external_lex_state = 8},
  [4114] = {.lex_state = 94, .external_lex_state = 9},
  [4115] = {.lex_state = 94, .external_lex_state = 8},
  [4116] = {.lex_state = 94, .external_lex_state = 4},
  [4117] = {.lex_state = 94, .external_lex_state = 8},
  [4118] = {.lex_state = 88, .external_lex_state = 7},
  [4119] = {.lex_state = 94, .external_lex_state = 8},
  [4120] = {.lex_state = 94, .external_lex_state = 8},
  [4121] = {.lex_state = 88, .external_lex_state = 5},
  [4122] = {.lex_state = 88, .external_lex_state = 6},
  [4123] = {.lex_state = 94, .external_lex_state = 9},
  [4124] = {.lex_state = 94, .external_lex_state = 9},
  [4125] = {.lex_state = 94, .external_lex_state = 9},
  [4126] = {.lex_state = 94, .external_lex_state = 9},
  [4127] = {.lex_state = 94, .external_lex_state = 9},
  [4128] = {.lex_state = 94, .external_lex_state = 9},
  [4129] = {.lex_state = 94, .external_lex_state = 9},
  [4130] = {.lex_state = 94, .external_lex_state = 9},
  [4131] = {.lex_state = 94, .external_lex_state = 9},
  [4132] = {.lex_state = 94, .external_lex_state = 9},
  [4133] = {.lex_state = 94, .external_lex_state = 9},
  [4134] = {.lex_state = 94, .external_lex_state = 9},
  [4135] = {.lex_state = 94, .external_lex_state = 9},
  [4136] = {.lex_state = 94, .external_lex_state = 9},
  [4137] = {.lex_state = 94, .external_lex_state = 9},
  [4138] = {.lex_state = 94, .external_lex_state = 9},
  [4139] = {.lex_state = 94, .external_lex_state = 9},
  [4140] = {.lex_state = 94, .external_lex_state = 9},
  [4141] = {.lex_state = 94, .external_lex_state = 6},
  [4142] = {.lex_state = 94, .external_lex_state = 6},
  [4143] = {.lex_state = 94, .external_lex_state = 6},
  [4144] = {.lex_state = 94, .external_lex_state = 6},
  [4145] = {.lex_state = 94, .external_lex_state = 6},
  [4146] = {.lex_state = 94, .external_lex_state = 6},
  [4147] = {.lex_state = 94, .external_lex_state = 6},
  [4148] = {.lex_state = 94, .external_lex_state = 6},
  [4149] = {.lex_state = 94, .external_lex_state = 6},
  [4150] = {.lex_state = 94, .external_lex_state = 6},
  [4151] = {.lex_state = 94, .external_lex_state = 6},
  [4152] = {.lex_state = 94, .external_lex_state = 6},
  [4153] = {.lex_state = 94, .external_lex_state = 6},
  [4154] = {.lex_state = 94, .external_lex_state = 9},
  [4155] = {.lex_state = 94, .external_lex_state = 6},
  [4156] = {.lex_state = 94, .external_lex_state = 9},
  [4157] = {.lex_state = 94, .external_lex_state = 9},
  [4158] = {.lex_state = 94, .external_lex_state = 9},
  [4159] = {.lex_state = 94, .external_lex_state = 9},
  [4160] = {.lex_state = 94, .external_lex_state = 6},
  [4161] = {.lex_state = 94, .external_lex_state = 6},
  [4162] = {.lex_state = 94, .external_lex_state = 6},
  [4163] = {.lex_state = 94, .external_lex_state = 9},
  [4164] = {.lex_state = 94, .external_lex_state = 9},
  [4165] = {.lex_state = 94, .external_lex_state = 9},
  [4166] = {.lex_state = 94, .external_lex_state = 9},
  [4167] = {.lex_state = 94, .external_lex_state = 9},
  [4168] = {.lex_state = 88, .external_lex_state = 6},
  [4169] = {.lex_state = 94, .external_lex_state = 9},
  [4170] = {.lex_state = 94, .external_lex_state = 9},
  [4171] = {.lex_state = 94, .external_lex_state = 6},
  [4172] = {.lex_state = 94, .external_lex_state = 9},
  [4173] = {.lex_state = 94, .external_lex_state = 5},
  [4174] = {.lex_state = 92, .external_lex_state = 5},
  [4175] = {.lex_state = 94, .external_lex_state = 9},
  [4176] = {.lex_state = 94, .external_lex_state = 9},
  [4177] = {.lex_state = 94, .external_lex_state = 9},
  [4178] = {.lex_state = 94, .external_lex_state = 9},
  [4179] = {.lex_state = 88, .external_lex_state = 5},
  [4180] = {.lex_state = 88, .external_lex_state = 5},
  [4181] = {.lex_state = 94, .external_lex_state = 9},
  [4182] = {.lex_state = 88, .external_lex_state = 5},
  [4183] = {.lex_state = 94, .external_lex_state = 9},
  [4184] = {.lex_state = 94, .external_lex_state = 9},
  [4185] = {.lex_state = 94, .external_lex_state = 9},
  [4186] = {.lex_state = 94, .external_lex_state = 9},
  [4187] = {.lex_state = 94, .external_lex_state = 9},
  [4188] = {.lex_state = 88, .external_lex_state = 5},
  [4189] = {.lex_state = 94, .external_lex_state = 9},
  [4190] = {.lex_state = 88, .external_lex_state = 6},
  [4191] = {.lex_state = 94, .external_lex_state = 9},
  [4192] = {.lex_state = 94, .external_lex_state = 9},
  [4193] = {.lex_state = 94, .external_lex_state = 9},
  [4194] = {.lex_state = 94, .external_lex_state = 9},
  [4195] = {.lex_state = 94, .external_lex_state = 9},
  [4196] = {.lex_state = 94, .external_lex_state = 9},
  [4197] = {.lex_state = 94, .external_lex_state = 9},
  [4198] = {.lex_state = 94, .external_lex_state = 9},
  [4199] = {.lex_state = 94, .external_lex_state = 9},
  [4200] = {.lex_state = 94, .external_lex_state = 9},
  [4201] = {.lex_state = 94, .external_lex_state = 9},
  [4202] = {.lex_state = 94, .external_lex_state = 9},
  [4203] = {.lex_state = 94, .external_lex_state = 9},
  [4204] = {.lex_state = 94, .external_lex_state = 9},
  [4205] = {.lex_state = 94, .external_lex_state = 9},
  [4206] = {.lex_state = 94, .external_lex_state = 9},
  [4207] = {.lex_state = 94, .external_lex_state = 9},
  [4208] = {.lex_state = 88, .external_lex_state = 5},
  [4209] = {.lex_state = 94, .external_lex_state = 9},
  [4210] = {.lex_state = 94, .external_lex_state = 9},
  [4211] = {.lex_state = 94, .external_lex_state = 9},
  [4212] = {.lex_state = 88, .external_lex_state = 6},
  [4213] = {.lex_state = 94, .external_lex_state = 9},
  [4214] = {.lex_state = 94, .external_lex_state = 9},
  [4215] = {.lex_state = 94, .external_lex_state = 9},
  [4216] = {.lex_state = 94, .external_lex_state = 6},
  [4217] = {.lex_state = 94, .external_lex_state = 9},
  [4218] = {.lex_state = 94, .external_lex_state = 9},
  [4219] = {.lex_state = 88, .external_lex_state = 5},
  [4220] = {.lex_state = 88, .external_lex_state = 5},
  [4221] = {.lex_state = 94, .external_lex_state = 9},
  [4222] = {.lex_state = 94, .external_lex_state = 9},
  [4223] = {.lex_state = 94, .external_lex_state = 9},
  [4224] = {.lex_state = 94, .external_lex_state = 5},
  [4225] = {.lex_state = 88, .external_lex_state = 6},
  [4226] = {.lex_state = 94, .external_lex_state = 9},
  [4227] = {.lex_state = 94, .external_lex_state = 9},
  [4228] = {.lex_state = 94, .external_lex_state = 6},
  [4229] = {.lex_state = 94, .external_lex_state = 9},
  [4230] = {.lex_state = 94, .external_lex_state = 9},
  [4231] = {.lex_state = 88, .external_lex_state = 6},
  [4232] = {.lex_state = 94, .external_lex_state = 9},
  [4233] = {.lex_state = 94, .external_lex_state = 9},
  [4234] = {.lex_state = 94, .external_lex_state = 9},
  [4235] = {.lex_state = 94, .external_lex_state = 9},
  [4236] = {.lex_state = 94, .external_lex_state = 9},
  [4237] = {.lex_state = 94, .external_lex_state = 6},
  [4238] = {.lex_state = 94, .external_lex_state = 9},
  [4239] = {.lex_state = 94, .external_lex_state = 9},
  [4240] = {.lex_state = 94, .external_lex_state = 9},
  [4241] = {.lex_state = 94, .external_lex_state = 9},
  [4242] = {.lex_state = 94, .external_lex_state = 9},
  [4243] = {.lex_state = 94, .external_lex_state = 9},
  [4244] = {.lex_state = 94, .external_lex_state = 9},
  [4245] = {.lex_state = 94, .external_lex_state = 9},
  [4246] = {.lex_state = 94, .external_lex_state = 7},
  [4247] = {.lex_state = 94, .external_lex_state = 9},
  [4248] = {.lex_state = 94, .external_lex_state = 9},
  [4249] = {.lex_state = 94, .external_lex_state = 9},
  [4250] = {.lex_state = 94, .external_lex_state = 9},
  [4251] = {.lex_state = 94, .external_lex_state = 9},
  [4252] = {.lex_state = 94, .external_lex_state = 9},
  [4253] = {.lex_state = 94, .external_lex_state = 9},
  [4254] = {.lex_state = 94, .external_lex_state = 9},
  [4255] = {.lex_state = 94, .external_lex_state = 9},
  [4256] = {.lex_state = 94, .external_lex_state = 9},
  [4257] = {.lex_state = 94, .external_lex_state = 6},
  [4258] = {.lex_state = 94, .external_lex_state = 6},
  [4259] = {.lex_state = 94, .external_lex_state = 9},
  [4260] = {.lex_state = 94, .external_lex_state = 9},
  [4261] = {.lex_state = 94, .external_lex_state = 9},
  [4262] = {.lex_state = 94, .external_lex_state = 9},
  [4263] = {.lex_state = 94, .external_lex_state = 9},
  [4264] = {.lex_state = 94, .external_lex_state = 9},
  [4265] = {.lex_state = 94, .external_lex_state = 9},
  [4266] = {.lex_state = 94, .external_lex_state = 9},
  [4267] = {.lex_state = 94, .external_lex_state = 9},
  [4268] = {.lex_state = 94, .external_lex_state = 9},
  [4269] = {.lex_state = 94, .external_lex_state = 9},
  [4270] = {.lex_state = 94, .external_lex_state = 9},
  [4271] = {.lex_state = 94, .external_lex_state = 9},
  [4272] = {.lex_state = 94, .external_lex_state = 9},
  [4273] = {.lex_state = 94, .external_lex_state = 9},
  [4274] = {.lex_state = 94, .external_lex_state = 4},
  [4275] = {.lex_state = 94, .external_lex_state = 9},
  [4276] = {.lex_state = 94, .external_lex_state = 9},
  [4277] = {.lex_state = 94, .external_lex_state = 9},
  [4278] = {.lex_state = 94, .external_lex_state = 9},
  [4279] = {.lex_state = 94, .external_lex_state = 9},
  [4280] = {.lex_state = 94, .external_lex_state = 6},
  [4281] = {.lex_state = 94, .external_lex_state = 9},
  [4282] = {.lex_state = 94, .external_lex_state = 9},
  [4283] = {.lex_state = 94, .external_lex_state = 9},
  [4284] = {.lex_state = 94, .external_lex_state = 6},
  [4285] = {.lex_state = 94, .external_lex_state = 9},
  [4286] = {.lex_state = 94, .external_lex_state = 6},
  [4287] = {.lex_state = 88, .external_lex_state = 6},
  [4288] = {.lex_state = 94, .external_lex_state = 6},
  [4289] = {.lex_state = 94, .external_lex_state = 9},
  [4290] = {.lex_state = 94, .external_lex_state = 9},
  [4291] = {.lex_state = 94, .external_lex_state = 5},
  [4292] = {.lex_state = 94, .external_lex_state = 9},
  [4293] = {.lex_state = 94, .external_lex_state = 9},
  [4294] = {.lex_state = 92, .external_lex_state = 5},
  [4295] = {.lex_state = 94, .external_lex_state = 9},
  [4296] = {.lex_state = 94, .external_lex_state = 6},
  [4297] = {.lex_state = 94, .external_lex_state = 9},
  [4298] = {.lex_state = 94, .external_lex_state = 9},
  [4299] = {.lex_state = 94, .external_lex_state = 6},
  [4300] = {.lex_state = 94, .external_lex_state = 9},
  [4301] = {.lex_state = 94, .external_lex_state = 5},
  [4302] = {.lex_state = 94, .external_lex_state = 9},
  [4303] = {.lex_state = 94, .external_lex_state = 9},
  [4304] = {.lex_state = 94, .external_lex_state = 9},
  [4305] = {.lex_state = 94, .external_lex_state = 9},
  [4306] = {.lex_state = 94, .external_lex_state = 9},
  [4307] = {.lex_state = 94, .external_lex_state = 9},
  [4308] = {.lex_state = 94, .external_lex_state = 9},
  [4309] = {.lex_state = 94, .external_lex_state = 9},
  [4310] = {.lex_state = 94, .external_lex_state = 9},
  [4311] = {.lex_state = 94, .external_lex_state = 6},
  [4312] = {.lex_state = 94, .external_lex_state = 9},
  [4313] = {.lex_state = 94, .external_lex_state = 9},
  [4314] = {.lex_state = 94, .external_lex_state = 9},
  [4315] = {.lex_state = 88, .external_lex_state = 6},
  [4316] = {.lex_state = 94, .external_lex_state = 7},
  [4317] = {.lex_state = 94, .external_lex_state = 7},
  [4318] = {.lex_state = 94, .external_lex_state = 5},
  [4319] = {.lex_state = 94, .external_lex_state = 7},
  [4320] = {.lex_state = 94, .external_lex_state = 5},
  [4321] = {.lex_state = 94, .external_lex_state = 7},
  [4322] = {.lex_state = 94, .external_lex_state = 7},
  [4323] = {.lex_state = 94, .external_lex_state = 5},
  [4324] = {.lex_state = 94, .external_lex_state = 5},
  [4325] = {.lex_state = 94, .external_lex_state = 5},
  [4326] = {.lex_state = 94, .external_lex_state = 5},
  [4327] = {.lex_state = 94, .external_lex_state = 5},
  [4328] = {.lex_state = 94, .external_lex_state = 5},
  [4329] = {.lex_state = 94, .external_lex_state = 5},
  [4330] = {.lex_state = 94, .external_lex_state = 5},
  [4331] = {.lex_state = 94, .external_lex_state = 5},
  [4332] = {.lex_state = 94, .external_lex_state = 5},
  [4333] = {.lex_state = 94, .external_lex_state = 5},
  [4334] = {.lex_state = 94, .external_lex_state = 5},
  [4335] = {.lex_state = 88, .external_lex_state = 5},
  [4336] = {.lex_state = 94, .external_lex_state = 5},
  [4337] = {.lex_state = 94, .external_lex_state = 7},
  [4338] = {.lex_state = 94, .external_lex_state = 5},
  [4339] = {.lex_state = 94, .external_lex_state = 5},
  [4340] = {.lex_state = 94, .external_lex_state = 5},
  [4341] = {.lex_state = 94, .external_lex_state = 7},
  [4342] = {.lex_state = 94, .external_lex_state = 7},
  [4343] = {.lex_state = 94, .external_lex_state = 5},
  [4344] = {.lex_state = 94, .external_lex_state = 5},
  [4345] = {.lex_state = 94, .external_lex_state = 7},
  [4346] = {.lex_state = 94, .external_lex_state = 5},
  [4347] = {.lex_state = 94, .external_lex_state = 5},
  [4348] = {.lex_state = 94, .external_lex_state = 5},
  [4349] = {.lex_state = 94, .external_lex_state = 5},
  [4350] = {.lex_state = 94, .external_lex_state = 5},
  [4351] = {.lex_state = 94, .external_lex_state = 5},
  [4352] = {.lex_state = 94, .external_lex_state = 5},
  [4353] = {.lex_state = 94, .external_lex_state = 5},
  [4354] = {.lex_state = 94, .external_lex_state = 5},
  [4355] = {.lex_state = 94, .external_lex_state = 5},
  [4356] = {.lex_state = 94, .external_lex_state = 5},
  [4357] = {.lex_state = 94, .external_lex_state = 5},
  [4358] = {.lex_state = 94, .external_lex_state = 5},
  [4359] = {.lex_state = 94, .external_lex_state = 5},
  [4360] = {.lex_state = 94, .external_lex_state = 5},
  [4361] = {.lex_state = 94, .external_lex_state = 5},
  [4362] = {.lex_state = 88, .external_lex_state = 5},
  [4363] = {.lex_state = 94, .external_lex_state = 5},
  [4364] = {.lex_state = 94, .external_lex_state = 5},
  [4365] = {.lex_state = 94, .external_lex_state = 5},
  [4366] = {.lex_state = 94, .external_lex_state = 5},
  [4367] = {.lex_state = 94, .external_lex_state = 5},
  [4368] = {.lex_state = 94, .external_lex_state = 5},
  [4369] = {.lex_state = 94, .external_lex_state = 5},
  [4370] = {.lex_state = 94, .external_lex_state = 5},
  [4371] = {.lex_state = 94, .external_lex_state = 7},
  [4372] = {.lex_state = 94, .external_lex_state = 5},
  [4373] = {.lex_state = 94, .external_lex_state = 5},
  [4374] = {.lex_state = 94, .external_lex_state = 5},
  [4375] = {.lex_state = 94, .external_lex_state = 5},
  [4376] = {.lex_state = 88, .external_lex_state = 5},
  [4377] = {.lex_state = 94, .external_lex_state = 5},
  [4378] = {.lex_state = 94, .external_lex_state = 5},
  [4379] = {.lex_state = 94, .external_lex_state = 5},
  [4380] = {.lex_state = 94, .external_lex_state = 5},
  [4381] = {.lex_state = 94, .external_lex_state = 4},
  [4382] = {.lex_state = 94, .external_lex_state = 5},
  [4383] = {.lex_state = 94, .external_lex_state = 5},
  [4384] = {.lex_state = 94, .external_lex_state = 5},
  [4385] = {.lex_state = 94, .external_lex_state = 7},
  [4386] = {.lex_state = 94, .external_lex_state = 5},
  [4387] = {.lex_state = 94, .external_lex_state = 5},
  [4388] = {.lex_state = 94, .external_lex_state = 5},
  [4389] = {.lex_state = 94, .external_lex_state = 5},
  [4390] = {.lex_state = 94, .external_lex_state = 5},
  [4391] = {.lex_state = 88, .external_lex_state = 5},
  [4392] = {.lex_state = 94, .external_lex_state = 7},
  [4393] = {.lex_state = 92, .external_lex_state = 5},
  [4394] = {.lex_state = 94, .external_lex_state = 7},
  [4395] = {.lex_state = 94, .external_lex_state = 7},
  [4396] = {.lex_state = 94, .external_lex_state = 7},
  [4397] = {.lex_state = 94, .external_lex_state = 5},
  [4398] = {.lex_state = 94, .external_lex_state = 5},
  [4399] = {.lex_state = 94, .external_lex_state = 7},
  [4400] = {.lex_state = 94, .external_lex_state = 4},
  [4401] = {.lex_state = 94, .external_lex_state = 7},
  [4402] = {.lex_state = 94, .external_lex_state = 7},
  [4403] = {.lex_state = 92, .external_lex_state = 5},
  [4404] = {.lex_state = 94, .external_lex_state = 5},
  [4405] = {.lex_state = 94, .external_lex_state = 5},
  [4406] = {.lex_state = 94, .external_lex_state = 5},
  [4407] = {.lex_state = 94, .external_lex_state = 5},
  [4408] = {.lex_state = 94, .external_lex_state = 5},
  [4409] = {.lex_state = 94, .external_lex_state = 5},
  [4410] = {.lex_state = 94, .external_lex_state = 5},
  [4411] = {.lex_state = 94, .external_lex_state = 5},
  [4412] = {.lex_state = 94, .external_lex_state = 5},
  [4413] = {.lex_state = 94, .external_lex_state = 5},
  [4414] = {.lex_state = 94, .external_lex_state = 5},
  [4415] = {.lex_state = 94, .external_lex_state = 5},
  [4416] = {.lex_state = 94, .external_lex_state = 5},
  [4417] = {.lex_state = 94, .external_lex_state = 6},
  [4418] = {.lex_state = 94, .external_lex_state = 5},
  [4419] = {.lex_state = 94, .external_lex_state = 5},
  [4420] = {.lex_state = 94, .external_lex_state = 5},
  [4421] = {.lex_state = 94, .external_lex_state = 5},
  [4422] = {.lex_state = 94, .external_lex_state = 5},
  [4423] = {.lex_state = 94, .external_lex_state = 5},
  [4424] = {.lex_state = 94, .external_lex_state = 5},
  [4425] = {.lex_state = 94, .external_lex_state = 5},
  [4426] = {.lex_state = 88, .external_lex_state = 5},
  [4427] = {.lex_state = 94, .external_lex_state = 5},
  [4428] = {.lex_state = 94, .external_lex_state = 5},
  [4429] = {.lex_state = 94, .external_lex_state = 5},
  [4430] = {.lex_state = 92, .external_lex_state = 5},
  [4431] = {.lex_state = 94, .external_lex_state = 5},
  [4432] = {.lex_state = 94, .external_lex_state = 5},
  [4433] = {.lex_state = 94, .external_lex_state = 5},
  [4434] = {.lex_state = 94, .external_lex_state = 5},
  [4435] = {.lex_state = 88, .external_lex_state = 5},
  [4436] = {.lex_state = 94, .external_lex_state = 5},
  [4437] = {.lex_state = 94, .external_lex_state = 7},
  [4438] = {.lex_state = 88, .external_lex_state = 5},
  [4439] = {.lex_state = 94, .external_lex_state = 5},
  [4440] = {.lex_state = 94, .external_lex_state = 7},
  [4441] = {.lex_state = 94, .external_lex_state = 7},
  [4442] = {.lex_state = 94, .external_lex_state = 5},
  [4443] = {.lex_state = 94, .external_lex_state = 7},
  [4444] = {.lex_state = 94, .external_lex_state = 7},
  [4445] = {.lex_state = 94, .external_lex_state = 7},
  [4446] = {.lex_state = 94, .external_lex_state = 7},
  [4447] = {.lex_state = 94, .external_lex_state = 7},
  [4448] = {.lex_state = 94, .external_lex_state = 5},
  [4449] = {.lex_state = 94, .external_lex_state = 7},
  [4450] = {.lex_state = 94, .external_lex_state = 7},
  [4451] = {.lex_state = 94, .external_lex_state = 7},
  [4452] = {.lex_state = 94, .external_lex_state = 5},
  [4453] = {.lex_state = 88, .external_lex_state = 7},
  [4454] = {.lex_state = 88, .external_lex_state = 7},
  [4455] = {.lex_state = 92, .external_lex_state = 5},
  [4456] = {.lex_state = 94, .external_lex_state = 6},
  [4457] = {.lex_state = 88, .external_lex_state = 7},
  [4458] = {.lex_state = 88, .external_lex_state = 7},
  [4459] = {.lex_state = 88, .external_lex_state = 7},
  [4460] = {.lex_state = 88, .external_lex_state = 7},
  [4461] = {.lex_state = 88, .external_lex_state = 7},
  [4462] = {.lex_state = 88, .external_lex_state = 7},
  [4463] = {.lex_state = 88, .external_lex_state = 7},
  [4464] = {.lex_state = 88, .external_lex_state = 7},
  [4465] = {.lex_state = 94, .external_lex_state = 6},
  [4466] = {.lex_state = 94, .external_lex_state = 6},
  [4467] = {.lex_state = 88, .external_lex_state = 7},
  [4468] = {.lex_state = 94, .external_lex_state = 6},
  [4469] = {.lex_state = 94, .external_lex_state = 6},
  [4470] = {.lex_state = 88, .external_lex_state = 7},
  [4471] = {.lex_state = 94, .external_lex_state = 9},
  [4472] = {.lex_state = 88, .external_lex_state = 7},
  [4473] = {.lex_state = 88, .external_lex_state = 7},
  [4474] = {.lex_state = 88, .external_lex_state = 7},
  [4475] = {.lex_state = 88, .external_lex_state = 7},
  [4476] = {.lex_state = 88, .external_lex_state = 7},
  [4477] = {.lex_state = 88, .external_lex_state = 7},
  [4478] = {.lex_state = 94, .external_lex_state = 6},
  [4479] = {.lex_state = 88, .external_lex_state = 7},
  [4480] = {.lex_state = 94, .external_lex_state = 9},
  [4481] = {.lex_state = 88, .external_lex_state = 7},
  [4482] = {.lex_state = 88, .external_lex_state = 7},
  [4483] = {.lex_state = 88, .external_lex_state = 7},
  [4484] = {.lex_state = 88, .external_lex_state = 7},
  [4485] = {.lex_state = 94, .external_lex_state = 6},
  [4486] = {.lex_state = 88, .external_lex_state = 7},
  [4487] = {.lex_state = 88, .external_lex_state = 7},
  [4488] = {.lex_state = 94, .external_lex_state = 6},
  [4489] = {.lex_state = 88, .external_lex_state = 7},
  [4490] = {.lex_state = 94, .external_lex_state = 6},
  [4491] = {.lex_state = 88, .external_lex_state = 7},
  [4492] = {.lex_state = 88, .external_lex_state = 7},
  [4493] = {.lex_state = 88, .external_lex_state = 7},
  [4494] = {.lex_state = 88, .external_lex_state = 7},
  [4495] = {.lex_state = 88, .external_lex_state = 7},
  [4496] = {.lex_state = 88, .external_lex_state = 7},
  [4497] = {.lex_state = 88, .external_lex_state = 7},
  [4498] = {.lex_state = 88, .external_lex_state = 7},
  [4499] = {.lex_state = 94, .external_lex_state = 6},
  [4500] = {.lex_state = 88, .external_lex_state = 7},
  [4501] = {.lex_state = 88, .external_lex_state = 7},
  [4502] = {.lex_state = 88, .external_lex_state = 7},
  [4503] = {.lex_state = 88, .external_lex_state = 7},
  [4504] = {.lex_state = 88, .external_lex_state = 7},
  [4505] = {.lex_state = 94, .external_lex_state = 5},
  [4506] = {.lex_state = 88, .external_lex_state = 7},
  [4507] = {.lex_state = 88, .external_lex_state = 7},
  [4508] = {.lex_state = 88, .external_lex_state = 7},
  [4509] = {.lex_state = 88, .external_lex_state = 7},
  [4510] = {.lex_state = 88, .external_lex_state = 7},
  [4511] = {.lex_state = 88, .external_lex_state = 7},
  [4512] = {.lex_state = 88, .external_lex_state = 7},
  [4513] = {.lex_state = 88, .external_lex_state = 7},
  [4514] = {.lex_state = 88, .external_lex_state = 7},
  [4515] = {.lex_state = 88, .external_lex_state = 7},
  [4516] = {.lex_state = 88, .external_lex_state = 7},
  [4517] = {.lex_state = 88, .external_lex_state = 7},
  [4518] = {.lex_state = 88, .external_lex_state = 7},
  [4519] = {.lex_state = 94, .external_lex_state = 6},
  [4520] = {.lex_state = 94, .external_lex_state = 6},
  [4521] = {.lex_state = 88, .external_lex_state = 7},
  [4522] = {.lex_state = 88, .external_lex_state = 7},
  [4523] = {.lex_state = 88, .external_lex_state = 7},
  [4524] = {.lex_state = 88, .external_lex_state = 7},
  [4525] = {.lex_state = 88, .external_lex_state = 7},
  [4526] = {.lex_state = 94, .external_lex_state = 6},
  [4527] = {.lex_state = 94, .external_lex_state = 6},
  [4528] = {.lex_state = 94, .external_lex_state = 6},
  [4529] = {.lex_state = 88, .external_lex_state = 7},
  [4530] = {.lex_state = 88, .external_lex_state = 7},
  [4531] = {.lex_state = 94, .external_lex_state = 5},
  [4532] = {.lex_state = 88, .external_lex_state = 7},
  [4533] = {.lex_state = 94, .external_lex_state = 5},
  [4534] = {.lex_state = 88, .external_lex_state = 7},
  [4535] = {.lex_state = 88, .external_lex_state = 7},
  [4536] = {.lex_state = 88, .external_lex_state = 7},
  [4537] = {.lex_state = 88, .external_lex_state = 7},
  [4538] = {.lex_state = 88, .external_lex_state = 7},
  [4539] = {.lex_state = 94, .external_lex_state = 9},
  [4540] = {.lex_state = 88, .external_lex_state = 7},
  [4541] = {.lex_state = 88, .external_lex_state = 7},
  [4542] = {.lex_state = 88, .external_lex_state = 7},
  [4543] = {.lex_state = 88, .external_lex_state = 7},
  [4544] = {.lex_state = 94, .external_lex_state = 6},
  [4545] = {.lex_state = 94, .external_lex_state = 6},
  [4546] = {.lex_state = 88, .external_lex_state = 7},
  [4547] = {.lex_state = 88, .external_lex_state = 7},
  [4548] = {.lex_state = 88, .external_lex_state = 7},
  [4549] = {.lex_state = 88, .external_lex_state = 7},
  [4550] = {.lex_state = 88, .external_lex_state = 7},
  [4551] = {.lex_state = 88, .external_lex_state = 7},
  [4552] = {.lex_state = 94, .external_lex_state = 6},
  [4553] = {.lex_state = 94, .external_lex_state = 6},
  [4554] = {.lex_state = 88, .external_lex_state = 7},
  [4555] = {.lex_state = 88, .external_lex_state = 7},
  [4556] = {.lex_state = 94, .external_lex_state = 5},
  [4557] = {.lex_state = 94, .external_lex_state = 5},
  [4558] = {.lex_state = 94, .external_lex_state = 5},
  [4559] = {.lex_state = 94, .external_lex_state = 5},
  [4560] = {.lex_state = 94, .external_lex_state = 5},
  [4561] = {.lex_state = 94, .external_lex_state = 7},
  [4562] = {.lex_state = 94, .external_lex_state = 5},
  [4563] = {.lex_state = 94, .external_lex_state = 5},
  [4564] = {.lex_state = 94, .external_lex_state = 5},
  [4565] = {.lex_state = 88, .external_lex_state = 7},
  [4566] = {.lex_state = 94, .external_lex_state = 5},
  [4567] = {.lex_state = 94, .external_lex_state = 5},
  [4568] = {.lex_state = 94, .external_lex_state = 5},
  [4569] = {.lex_state = 94, .external_lex_state = 5},
  [4570] = {.lex_state = 94, .external_lex_state = 7},
  [4571] = {.lex_state = 94, .external_lex_state = 5},
  [4572] = {.lex_state = 94, .external_lex_state = 5},
  [4573] = {.lex_state = 94, .external_lex_state = 5},
  [4574] = {.lex_state = 94, .external_lex_state = 6},
  [4575] = {.lex_state = 94, .external_lex_state = 7},
  [4576] = {.lex_state = 94, .external_lex_state = 5},
  [4577] = {.lex_state = 94, .external_lex_state = 5},
  [4578] = {.lex_state = 94, .external_lex_state = 5},
  [4579] = {.lex_state = 94, .external_lex_state = 5},
  [4580] = {.lex_state = 94, .external_lex_state = 5},
  [4581] = {.lex_state = 94, .external_lex_state = 5},
  [4582] = {.lex_state = 94, .external_lex_state = 5},
  [4583] = {.lex_state = 94, .external_lex_state = 5},
  [4584] = {.lex_state = 94, .external_lex_state = 5},
  [4585] = {.lex_state = 94, .external_lex_state = 5},
  [4586] = {.lex_state = 94, .external_lex_state = 5},
  [4587] = {.lex_state = 94, .external_lex_state = 5},
  [4588] = {.lex_state = 94, .external_lex_state = 7},
  [4589] = {.lex_state = 94, .external_lex_state = 5},
  [4590] = {.lex_state = 94, .external_lex_state = 5},
  [4591] = {.lex_state = 94, .external_lex_state = 5},
  [4592] = {.lex_state = 94, .external_lex_state = 5},
  [4593] = {.lex_state = 88, .external_lex_state = 7},
  [4594] = {.lex_state = 88, .external_lex_state = 7},
  [4595] = {.lex_state = 94, .external_lex_state = 7},
  [4596] = {.lex_state = 94, .external_lex_state = 7},
  [4597] = {.lex_state = 94, .external_lex_state = 7},
  [4598] = {.lex_state = 94, .external_lex_state = 7},
  [4599] = {.lex_state = 88, .external_lex_state = 7},
  [4600] = {.lex_state = 94, .external_lex_state = 7},
  [4601] = {.lex_state = 94, .external_lex_state = 6},
  [4602] = {.lex_state = 88, .external_lex_state = 7},
  [4603] = {.lex_state = 94, .external_lex_state = 7},
  [4604] = {.lex_state = 88, .external_lex_state = 7},
  [4605] = {.lex_state = 88, .external_lex_state = 7},
  [4606] = {.lex_state = 94, .external_lex_state = 7},
  [4607] = {.lex_state = 94, .external_lex_state = 7},
  [4608] = {.lex_state = 88, .external_lex_state = 7},
  [4609] = {.lex_state = 94, .external_lex_state = 7},
  [4610] = {.lex_state = 88, .external_lex_state = 7},
  [4611] = {.lex_state = 94, .external_lex_state = 7},
  [4612] = {.lex_state = 94, .external_lex_state = 7},
  [4613] = {.lex_state = 94, .external_lex_state = 7},
  [4614] = {.lex_state = 94, .external_lex_state = 7},
  [4615] = {.lex_state = 94, .external_lex_state = 7},
  [4616] = {.lex_state = 94, .external_lex_state = 7},
  [4617] = {.lex_state = 88, .external_lex_state = 7},
  [4618] = {.lex_state = 94, .external_lex_state = 7},
  [4619] = {.lex_state = 94, .external_lex_state = 7},
  [4620] = {.lex_state = 94, .external_lex_state = 7},
  [4621] = {.lex_state = 94, .external_lex_state = 7},
  [4622] = {.lex_state = 94, .external_lex_state = 7},
  [4623] = {.lex_state = 94, .external_lex_state = 7},
  [4624] = {.lex_state = 88, .external_lex_state = 7},
  [4625] = {.lex_state = 88, .external_lex_state = 7},
  [4626] = {.lex_state = 94, .external_lex_state = 7},
  [4627] = {.lex_state = 88, .external_lex_state = 7},
  [4628] = {.lex_state = 94, .external_lex_state = 7},
  [4629] = {.lex_state = 94, .external_lex_state = 7},
  [4630] = {.lex_state = 94, .external_lex_state = 7},
  [4631] = {.lex_state = 94, .external_lex_state = 7},
  [4632] = {.lex_state = 94, .external_lex_state = 7},
  [4633] = {.lex_state = 94, .external_lex_state = 7},
  [4634] = {.lex_state = 94, .external_lex_state = 7},
  [4635] = {.lex_state = 94, .external_lex_state = 7},
  [4636] = {.lex_state = 94, .external_lex_state = 7},
  [4637] = {.lex_state = 94, .external_lex_state = 7},
  [4638] = {.lex_state = 88, .external_lex_state = 5},
  [4639] = {.lex_state = 94, .external_lex_state = 7},
  [4640] = {.lex_state = 94, .external_lex_state = 7},
  [4641] = {.lex_state = 94, .external_lex_state = 7},
  [4642] = {.lex_state = 88, .external_lex_state = 7},
  [4643] = {.lex_state = 88, .external_lex_state = 7},
  [4644] = {.lex_state = 94, .external_lex_state = 7},
  [4645] = {.lex_state = 88, .external_lex_state = 7},
  [4646] = {.lex_state = 94, .external_lex_state = 7},
  [4647] = {.lex_state = 94, .external_lex_state = 7},
  [4648] = {.lex_state = 88, .external_lex_state = 7},
  [4649] = {.lex_state = 88, .external_lex_state = 7},
  [4650] = {.lex_state = 94, .external_lex_state = 6},
  [4651] = {.lex_state = 94, .external_lex_state = 7},
  [4652] = {.lex_state = 88, .external_lex_state = 7},
  [4653] = {.lex_state = 88, .external_lex_state = 7},
  [4654] = {.lex_state = 88, .external_lex_state = 7},
  [4655] = {.lex_state = 94, .external_lex_state = 7},
  [4656] = {.lex_state = 88, .external_lex_state = 7},
  [4657] = {.lex_state = 94, .external_lex_state = 7},
  [4658] = {.lex_state = 88, .external_lex_state = 7},
  [4659] = {.lex_state = 88, .external_lex_state = 7},
  [4660] = {.lex_state = 88, .external_lex_state = 7},
  [4661] = {.lex_state = 88, .external_lex_state = 7},
  [4662] = {.lex_state = 94, .external_lex_state = 7},
  [4663] = {.lex_state = 94, .external_lex_state = 7},
  [4664] = {.lex_state = 88, .external_lex_state = 7},
  [4665] = {.lex_state = 94, .external_lex_state = 7},
  [4666] = {.lex_state = 94, .external_lex_state = 7},
  [4667] = {.lex_state = 88, .external_lex_state = 7},
  [4668] = {.lex_state = 88, .external_lex_state = 7},
  [4669] = {.lex_state = 88, .external_lex_state = 7},
  [4670] = {.lex_state = 94, .external_lex_state = 7},
  [4671] = {.lex_state = 94, .external_lex_state = 7},
  [4672] = {.lex_state = 88, .external_lex_state = 7},
  [4673] = {.lex_state = 94, .external_lex_state = 7},
  [4674] = {.lex_state = 88, .external_lex_state = 7},
  [4675] = {.lex_state = 94, .external_lex_state = 7},
  [4676] = {.lex_state = 88, .external_lex_state = 7},
  [4677] = {.lex_state = 88, .external_lex_state = 7},
  [4678] = {.lex_state = 88, .external_lex_state = 7},
  [4679] = {.lex_state = 94, .external_lex_state = 7},
  [4680] = {.lex_state = 88, .external_lex_state = 7},
  [4681] = {.lex_state = 94, .external_lex_state = 7},
  [4682] = {.lex_state = 88, .external_lex_state = 7},
  [4683] = {.lex_state = 94, .external_lex_state = 7},
  [4684] = {.lex_state = 88, .external_lex_state = 7},
  [4685] = {.lex_state = 88, .external_lex_state = 7},
  [4686] = {.lex_state = 88, .external_lex_state = 7},
  [4687] = {.lex_state = 94, .external_lex_state = 7},
  [4688] = {.lex_state = 88, .external_lex_state = 7},
  [4689] = {.lex_state = 94, .external_lex_state = 7},
  [4690] = {.lex_state = 88, .external_lex_state = 7},
  [4691] = {.lex_state = 88, .external_lex_state = 7},
  [4692] = {.lex_state = 94, .external_lex_state = 7},
  [4693] = {.lex_state = 94, .external_lex_state = 7},
  [4694] = {.lex_state = 88, .external_lex_state = 7},
  [4695] = {.lex_state = 88, .external_lex_state = 7},
  [4696] = {.lex_state = 88, .external_lex_state = 7},
  [4697] = {.lex_state = 88, .external_lex_state = 7},
  [4698] = {.lex_state = 88, .external_lex_state = 7},
  [4699] = {.lex_state = 88, .external_lex_state = 7},
  [4700] = {.lex_state = 94, .external_lex_state = 7},
  [4701] = {.lex_state = 94, .external_lex_state = 7},
  [4702] = {.lex_state = 88, .external_lex_state = 7},
  [4703] = {.lex_state = 88, .external_lex_state = 7},
  [4704] = {.lex_state = 88, .external_lex_state = 7},
  [4705] = {.lex_state = 88, .external_lex_state = 7},
  [4706] = {.lex_state = 94, .external_lex_state = 7},
  [4707] = {.lex_state = 94, .external_lex_state = 7},
  [4708] = {.lex_state = 88, .external_lex_state = 7},
  [4709] = {.lex_state = 94, .external_lex_state = 7},
  [4710] = {.lex_state = 88, .external_lex_state = 7},
  [4711] = {.lex_state = 94, .external_lex_state = 6},
  [4712] = {.lex_state = 94, .external_lex_state = 7},
  [4713] = {.lex_state = 88, .external_lex_state = 7},
  [4714] = {.lex_state = 88, .external_lex_state = 7},
  [4715] = {.lex_state = 88, .external_lex_state = 7},
  [4716] = {.lex_state = 94, .external_lex_state = 7},
  [4717] = {.lex_state = 94, .external_lex_state = 6},
  [4718] = {.lex_state = 88, .external_lex_state = 7},
  [4719] = {.lex_state = 88, .external_lex_state = 5},
  [4720] = {.lex_state = 94, .external_lex_state = 7},
  [4721] = {.lex_state = 88, .external_lex_state = 7},
  [4722] = {.lex_state = 88, .external_lex_state = 7},
  [4723] = {.lex_state = 94, .external_lex_state = 7},
  [4724] = {.lex_state = 88, .external_lex_state = 7},
  [4725] = {.lex_state = 88, .external_lex_state = 7},
  [4726] = {.lex_state = 88, .external_lex_state = 7},
  [4727] = {.lex_state = 94, .external_lex_state = 7},
  [4728] = {.lex_state = 94, .external_lex_state = 7},
  [4729] = {.lex_state = 88, .external_lex_state = 7},
  [4730] = {.lex_state = 88, .external_lex_state = 7},
  [4731] = {.lex_state = 94, .external_lex_state = 7},
  [4732] = {.lex_state = 88, .external_lex_state = 7},
  [4733] = {.lex_state = 88, .external_lex_state = 7},
  [4734] = {.lex_state = 94, .external_lex_state = 7},
  [4735] = {.lex_state = 94, .external_lex_state = 7},
  [4736] = {.lex_state = 88, .external_lex_state = 7},
  [4737] = {.lex_state = 94, .external_lex_state = 7},
  [4738] = {.lex_state = 88, .external_lex_state = 7},
  [4739] = {.lex_state = 88, .external_lex_state = 7},
  [4740] = {.lex_state = 88, .external_lex_state = 7},
  [4741] = {.lex_state = 88, .external_lex_state = 7},
  [4742] = {.lex_state = 88, .external_lex_state = 7},
  [4743] = {.lex_state = 88, .external_lex_state = 7},
  [4744] = {.lex_state = 88, .external_lex_state = 7},
  [4745] = {.lex_state = 88, .external_lex_state = 7},
  [4746] = {.lex_state = 94, .external_lex_state = 7},
  [4747] = {.lex_state = 88, .external_lex_state = 7},
  [4748] = {.lex_state = 88, .external_lex_state = 7},
  [4749] = {.lex_state = 94, .external_lex_state = 7},
  [4750] = {.lex_state = 88, .external_lex_state = 7},
  [4751] = {.lex_state = 94, .external_lex_state = 7},
  [4752] = {.lex_state = 94, .external_lex_state = 7},
  [4753] = {.lex_state = 94, .external_lex_state = 7},
  [4754] = {.lex_state = 94, .external_lex_state = 7},
  [4755] = {.lex_state = 94, .external_lex_state = 7},
  [4756] = {.lex_state = 94, .external_lex_state = 7},
  [4757] = {.lex_state = 94, .external_lex_state = 7},
  [4758] = {.lex_state = 94, .external_lex_state = 7},
  [4759] = {.lex_state = 94, .external_lex_state = 7},
  [4760] = {.lex_state = 88, .external_lex_state = 7},
  [4761] = {.lex_state = 94, .external_lex_state = 7},
  [4762] = {.lex_state = 88, .external_lex_state = 7},
  [4763] = {.lex_state = 94, .external_lex_state = 7},
  [4764] = {.lex_state = 94, .external_lex_state = 7},
  [4765] = {.lex_state = 94, .external_lex_state = 5},
  [4766] = {.lex_state = 88, .external_lex_state = 7},
  [4767] = {.lex_state = 88, .external_lex_state = 7},
  [4768] = {.lex_state = 88, .external_lex_state = 7},
  [4769] = {.lex_state = 88, .external_lex_state = 7},
  [4770] = {.lex_state = 88, .external_lex_state = 7},
  [4771] = {.lex_state = 88, .external_lex_state = 7},
  [4772] = {.lex_state = 88, .external_lex_state = 7},
  [4773] = {.lex_state = 88, .external_lex_state = 7},
  [4774] = {.lex_state = 88, .external_lex_state = 7},
  [4775] = {.lex_state = 88, .external_lex_state = 7},
  [4776] = {.lex_state = 94, .external_lex_state = 7},
  [4777] = {.lex_state = 94, .external_lex_state = 7},
  [4778] = {.lex_state = 94, .external_lex_state = 7},
  [4779] = {.lex_state = 88, .external_lex_state = 7},
  [4780] = {.lex_state = 94, .external_lex_state = 7},
  [4781] = {.lex_state = 88, .external_lex_state = 7},
  [4782] = {.lex_state = 88, .external_lex_state = 7},
  [4783] = {.lex_state = 94, .external_lex_state = 7},
  [4784] = {.lex_state = 88, .external_lex_state = 7},
  [4785] = {.lex_state = 88, .external_lex_state = 7},
  [4786] = {.lex_state = 94, .external_lex_state = 7},
  [4787] = {.lex_state = 88, .external_lex_state = 7},
  [4788] = {.lex_state = 94, .external_lex_state = 7},
  [4789] = {.lex_state = 88, .external_lex_state = 7},
  [4790] = {.lex_state = 94, .external_lex_state = 7},
  [4791] = {.lex_state = 88, .external_lex_state = 7},
  [4792] = {.lex_state = 88, .external_lex_state = 7},
  [4793] = {.lex_state = 94, .external_lex_state = 7},
  [4794] = {.lex_state = 88, .external_lex_state = 7},
  [4795] = {.lex_state = 88, .external_lex_state = 7},
  [4796] = {.lex_state = 88, .external_lex_state = 7},
  [4797] = {.lex_state = 94, .external_lex_state = 7},
  [4798] = {.lex_state = 88, .external_lex_state = 7},
  [4799] = {.lex_state = 88, .external_lex_state = 7},
  [4800] = {.lex_state = 88, .external_lex_state = 7},
  [4801] = {.lex_state = 88, .external_lex_state = 7},
  [4802] = {.lex_state = 88, .external_lex_state = 7},
  [4803] = {.lex_state = 94, .external_lex_state = 7},
  [4804] = {.lex_state = 88, .external_lex_state = 7},
  [4805] = {.lex_state = 88, .external_lex_state = 7},
  [4806] = {.lex_state = 94, .external_lex_state = 7},
  [4807] = {.lex_state = 88, .external_lex_state = 7},
  [4808] = {.lex_state = 88, .external_lex_state = 5},
  [4809] = {.lex_state = 88, .external_lex_state = 7},
  [4810] = {.lex_state = 88, .external_lex_state = 7},
  [4811] = {.lex_state = 94, .external_lex_state = 7},
  [4812] = {.lex_state = 94, .external_lex_state = 7},
  [4813] = {.lex_state = 88, .external_lex_state = 7},
  [4814] = {.lex_state = 88, .external_lex_state = 7},
  [4815] = {.lex_state = 94, .external_lex_state = 7},
  [4816] = {.lex_state = 94, .external_lex_state = 7},
  [4817] = {.lex_state = 88, .external_lex_state = 7},
  [4818] = {.lex_state = 88, .external_lex_state = 7},
  [4819] = {.lex_state = 94, .external_lex_state = 7},
  [4820] = {.lex_state = 94, .external_lex_state = 7},
  [4821] = {.lex_state = 94, .external_lex_state = 7},
  [4822] = {.lex_state = 88, .external_lex_state = 7},
  [4823] = {.lex_state = 88, .external_lex_state = 7},
  [4824] = {.lex_state = 88, .external_lex_state = 7},
  [4825] = {.lex_state = 94, .external_lex_state = 7},
  [4826] = {.lex_state = 94, .external_lex_state = 7},
  [4827] = {.lex_state = 88, .external_lex_state = 7},
  [4828] = {.lex_state = 88, .external_lex_state = 7},
  [4829] = {.lex_state = 88, .external_lex_state = 7},
  [4830] = {.lex_state = 88, .external_lex_state = 7},
  [4831] = {.lex_state = 88, .external_lex_state = 7},
  [4832] = {.lex_state = 88, .external_lex_state = 7},
  [4833] = {.lex_state = 94, .external_lex_state = 7},
  [4834] = {.lex_state = 94, .external_lex_state = 7},
  [4835] = {.lex_state = 94, .external_lex_state = 7},
  [4836] = {.lex_state = 94, .external_lex_state = 7},
  [4837] = {.lex_state = 94, .external_lex_state = 7},
  [4838] = {.lex_state = 94, .external_lex_state = 6},
  [4839] = {.lex_state = 88, .external_lex_state = 7},
  [4840] = {.lex_state = 94, .external_lex_state = 7},
  [4841] = {.lex_state = 88, .external_lex_state = 7},
  [4842] = {.lex_state = 94, .external_lex_state = 7},
  [4843] = {.lex_state = 88, .external_lex_state = 7},
  [4844] = {.lex_state = 88, .external_lex_state = 7},
  [4845] = {.lex_state = 94, .external_lex_state = 7},
  [4846] = {.lex_state = 88, .external_lex_state = 7},
  [4847] = {.lex_state = 88, .external_lex_state = 7},
  [4848] = {.lex_state = 94, .external_lex_state = 7},
  [4849] = {.lex_state = 94, .external_lex_state = 7},
  [4850] = {.lex_state = 94, .external_lex_state = 7},
  [4851] = {.lex_state = 94, .external_lex_state = 7},
  [4852] = {.lex_state = 88, .external_lex_state = 7},
  [4853] = {.lex_state = 88, .external_lex_state = 7},
  [4854] = {.lex_state = 94, .external_lex_state = 7},
  [4855] = {.lex_state = 94, .external_lex_state = 7},
  [4856] = {.lex_state = 94, .external_lex_state = 5},
  [4857] = {.lex_state = 88, .external_lex_state = 7},
  [4858] = {.lex_state = 94, .external_lex_state = 7},
  [4859] = {.lex_state = 88, .external_lex_state = 7},
  [4860] = {.lex_state = 94, .external_lex_state = 7},
  [4861] = {.lex_state = 88, .external_lex_state = 7},
  [4862] = {.lex_state = 94, .external_lex_state = 7},
  [4863] = {.lex_state = 94, .external_lex_state = 7},
  [4864] = {.lex_state = 94, .external_lex_state = 7},
  [4865] = {.lex_state = 94, .external_lex_state = 7},
  [4866] = {.lex_state = 94, .external_lex_state = 7},
  [4867] = {.lex_state = 94, .external_lex_state = 7},
  [4868] = {.lex_state = 94, .external_lex_state = 7},
  [4869] = {.lex_state = 88, .external_lex_state = 7},
  [4870] = {.lex_state = 94, .external_lex_state = 7},
  [4871] = {.lex_state = 94, .external_lex_state = 7},
  [4872] = {.lex_state = 94, .external_lex_state = 7},
  [4873] = {.lex_state = 94, .external_lex_state = 7},
  [4874] = {.lex_state = 94, .external_lex_state = 7},
  [4875] = {.lex_state = 88, .external_lex_state = 7},
  [4876] = {.lex_state = 94, .external_lex_state = 7},
  [4877] = {.lex_state = 88, .external_lex_state = 7},
  [4878] = {.lex_state = 88, .external_lex_state = 7},
  [4879] = {.lex_state = 94, .external_lex_state = 7},
  [4880] = {.lex_state = 94, .external_lex_state = 7},
  [4881] = {.lex_state = 88, .external_lex_state = 7},
  [4882] = {.lex_state = 94, .external_lex_state = 7},
  [4883] = {.lex_state = 94, .external_lex_state = 6},
  [4884] = {.lex_state = 94, .external_lex_state = 7},
  [4885] = {.lex_state = 94, .external_lex_state = 7},
  [4886] = {.lex_state = 94, .external_lex_state = 7},
  [4887] = {.lex_state = 94, .external_lex_state = 7},
  [4888] = {.lex_state = 94, .external_lex_state = 7},
  [4889] = {.lex_state = 94, .external_lex_state = 7},
  [4890] = {.lex_state = 88, .external_lex_state = 7},
  [4891] = {.lex_state = 88, .external_lex_state = 7},
  [4892] = {.lex_state = 94, .external_lex_state = 7},
  [4893] = {.lex_state = 94, .external_lex_state = 7},
  [4894] = {.lex_state = 94, .external_lex_state = 7},
  [4895] = {.lex_state = 88, .external_lex_state = 7},
  [4896] = {.lex_state = 88, .external_lex_state = 7},
  [4897] = {.lex_state = 94, .external_lex_state = 7},
  [4898] = {.lex_state = 88, .external_lex_state = 7},
  [4899] = {.lex_state = 94, .external_lex_state = 7},
  [4900] = {.lex_state = 88, .external_lex_state = 7},
  [4901] = {.lex_state = 94, .external_lex_state = 7},
  [4902] = {.lex_state = 94, .external_lex_state = 7},
  [4903] = {.lex_state = 88, .external_lex_state = 7},
  [4904] = {.lex_state = 88, .external_lex_state = 7},
  [4905] = {.lex_state = 94, .external_lex_state = 7},
  [4906] = {.lex_state = 94, .external_lex_state = 7},
  [4907] = {.lex_state = 88, .external_lex_state = 7},
  [4908] = {.lex_state = 94, .external_lex_state = 7},
  [4909] = {.lex_state = 94, .external_lex_state = 7},
  [4910] = {.lex_state = 94, .external_lex_state = 7},
  [4911] = {.lex_state = 94, .external_lex_state = 7},
  [4912] = {.lex_state = 88, .external_lex_state = 7},
  [4913] = {.lex_state = 94, .external_lex_state = 7},
  [4914] = {.lex_state = 94, .external_lex_state = 7},
  [4915] = {.lex_state = 94, .external_lex_state = 7},
  [4916] = {.lex_state = 94, .external_lex_state = 7},
  [4917] = {.lex_state = 94, .external_lex_state = 7},
  [4918] = {.lex_state = 94, .external_lex_state = 7},
  [4919] = {.lex_state = 88, .external_lex_state = 7},
  [4920] = {.lex_state = 94, .external_lex_state = 7},
  [4921] = {.lex_state = 88, .external_lex_state = 7},
  [4922] = {.lex_state = 94, .external_lex_state = 7},
  [4923] = {.lex_state = 94, .external_lex_state = 7},
  [4924] = {.lex_state = 94, .external_lex_state = 7},
  [4925] = {.lex_state = 88, .external_lex_state = 7},
  [4926] = {.lex_state = 94, .external_lex_state = 7},
  [4927] = {.lex_state = 94, .external_lex_state = 7},
  [4928] = {.lex_state = 94, .external_lex_state = 7},
  [4929] = {.lex_state = 94, .external_lex_state = 7},
  [4930] = {.lex_state = 94, .external_lex_state = 7},
  [4931] = {.lex_state = 94, .external_lex_state = 7},
  [4932] = {.lex_state = 94, .external_lex_state = 7},
  [4933] = {.lex_state = 94, .external_lex_state = 7},
  [4934] = {.lex_state = 88, .external_lex_state = 7},
  [4935] = {.lex_state = 88, .external_lex_state = 7},
  [4936] = {.lex_state = 88, .external_lex_state = 7},
  [4937] = {.lex_state = 88, .external_lex_state = 7},
  [4938] = {.lex_state = 88, .external_lex_state = 7},
  [4939] = {.lex_state = 94, .external_lex_state = 7},
  [4940] = {.lex_state = 88, .external_lex_state = 7},
  [4941] = {.lex_state = 88, .external_lex_state = 7},
  [4942] = {.lex_state = 94, .external_lex_state = 7},
  [4943] = {.lex_state = 88, .external_lex_state = 7},
  [4944] = {.lex_state = 94, .external_lex_state = 7},
  [4945] = {.lex_state = 88, .external_lex_state = 7},
  [4946] = {.lex_state = 88, .external_lex_state = 7},
  [4947] = {.lex_state = 88, .external_lex_state = 7},
  [4948] = {.lex_state = 88, .external_lex_state = 7},
  [4949] = {.lex_state = 88, .external_lex_state = 7},
  [4950] = {.lex_state = 88, .external_lex_state = 7},
  [4951] = {.lex_state = 88, .external_lex_state = 7},
  [4952] = {.lex_state = 88, .external_lex_state = 7},
  [4953] = {.lex_state = 88, .external_lex_state = 7},
  [4954] = {.lex_state = 88, .external_lex_state = 7},
  [4955] = {.lex_state = 88, .external_lex_state = 7},
  [4956] = {.lex_state = 88, .external_lex_state = 7},
  [4957] = {.lex_state = 94, .external_lex_state = 7},
  [4958] = {.lex_state = 88, .external_lex_state = 7},
  [4959] = {.lex_state = 88, .external_lex_state = 7},
  [4960] = {.lex_state = 88, .external_lex_state = 7},
  [4961] = {.lex_state = 94, .external_lex_state = 7},
  [4962] = {.lex_state = 88, .external_lex_state = 7},
  [4963] = {.lex_state = 88, .external_lex_state = 7},
  [4964] = {.lex_state = 88, .external_lex_state = 7},
  [4965] = {.lex_state = 88, .external_lex_state = 7},
  [4966] = {.lex_state = 88, .external_lex_state = 7},
  [4967] = {.lex_state = 88, .external_lex_state = 7},
  [4968] = {.lex_state = 88, .external_lex_state = 7},
  [4969] = {.lex_state = 94, .external_lex_state = 7},
  [4970] = {.lex_state = 88, .external_lex_state = 7},
  [4971] = {.lex_state = 88, .external_lex_state = 7},
  [4972] = {.lex_state = 88, .external_lex_state = 7},
  [4973] = {.lex_state = 88, .external_lex_state = 7},
  [4974] = {.lex_state = 88, .external_lex_state = 7},
  [4975] = {.lex_state = 88, .external_lex_state = 7},
  [4976] = {.lex_state = 88, .external_lex_state = 7},
  [4977] = {.lex_state = 88, .external_lex_state = 7},
  [4978] = {.lex_state = 94, .external_lex_state = 7},
  [4979] = {.lex_state = 88, .external_lex_state = 7},
  [4980] = {.lex_state = 88, .external_lex_state = 7},
  [4981] = {.lex_state = 88, .external_lex_state = 7},
  [4982] = {.lex_state = 88, .external_lex_state = 7},
  [4983] = {.lex_state = 88, .external_lex_state = 7},
  [4984] = {.lex_state = 88, .external_lex_state = 7},
  [4985] = {.lex_state = 88, .external_lex_state = 7},
  [4986] = {.lex_state = 88, .external_lex_state = 7},
  [4987] = {.lex_state = 88, .external_lex_state = 7},
  [4988] = {.lex_state = 88, .external_lex_state = 7},
  [4989] = {.lex_state = 94, .external_lex_state = 7},
  [4990] = {.lex_state = 88, .external_lex_state = 7},
  [4991] = {.lex_state = 88, .external_lex_state = 7},
  [4992] = {.lex_state = 88, .external_lex_state = 7},
  [4993] = {.lex_state = 88, .external_lex_state = 7},
  [4994] = {.lex_state = 88, .external_lex_state = 7},
  [4995] = {.lex_state = 88, .external_lex_state = 7},
  [4996] = {.lex_state = 88, .external_lex_state = 7},
  [4997] = {.lex_state = 88, .external_lex_state = 7},
  [4998] = {.lex_state = 88, .external_lex_state = 7},
  [4999] = {.lex_state = 88, .external_lex_state = 7},
  [5000] = {.lex_state = 94, .external_lex_state = 7},
  [5001] = {.lex_state = 88, .external_lex_state = 7},
  [5002] = {.lex_state = 88, .external_lex_state = 7},
  [5003] = {.lex_state = 88, .external_lex_state = 7},
  [5004] = {.lex_state = 88, .external_lex_state = 7},
  [5005] = {.lex_state = 88, .external_lex_state = 7},
  [5006] = {.lex_state = 88, .external_lex_state = 7},
  [5007] = {.lex_state = 88, .external_lex_state = 7},
  [5008] = {.lex_state = 88, .external_lex_state = 7},
  [5009] = {.lex_state = 88, .external_lex_state = 7},
  [5010] = {.lex_state = 88, .external_lex_state = 7},
  [5011] = {.lex_state = 88, .external_lex_state = 7},
  [5012] = {.lex_state = 88, .external_lex_state = 7},
  [5013] = {.lex_state = 88, .external_lex_state = 7},
  [5014] = {.lex_state = 88, .external_lex_state = 7},
  [5015] = {.lex_state = 88, .external_lex_state = 7},
  [5016] = {.lex_state = 88, .external_lex_state = 7},
  [5017] = {.lex_state = 88, .external_lex_state = 7},
  [5018] = {.lex_state = 88, .external_lex_state = 7},
  [5019] = {.lex_state = 88, .external_lex_state = 7},
  [5020] = {.lex_state = 88, .external_lex_state = 7},
  [5021] = {.lex_state = 88, .external_lex_state = 7},
  [5022] = {.lex_state = 94, .external_lex_state = 5},
  [5023] = {.lex_state = 88, .external_lex_state = 7},
  [5024] = {.lex_state = 88, .external_lex_state = 7},
  [5025] = {.lex_state = 88, .external_lex_state = 7},
  [5026] = {.lex_state = 88, .external_lex_state = 7},
  [5027] = {.lex_state = 88, .external_lex_state = 7},
  [5028] = {.lex_state = 88, .external_lex_state = 7},
  [5029] = {.lex_state = 88, .external_lex_state = 7},
  [5030] = {.lex_state = 88, .external_lex_state = 7},
  [5031] = {.lex_state = 88, .external_lex_state = 7},
  [5032] = {.lex_state = 88, .external_lex_state = 7},
  [5033] = {.lex_state = 88, .external_lex_state = 7},
  [5034] = {.lex_state = 88, .external_lex_state = 7},
  [5035] = {.lex_state = 88, .external_lex_state = 7},
  [5036] = {.lex_state = 88, .external_lex_state = 7},
  [5037] = {.lex_state = 94, .external_lex_state = 7},
  [5038] = {.lex_state = 94, .external_lex_state = 7},
  [5039] = {.lex_state = 88, .external_lex_state = 7},
  [5040] = {.lex_state = 88, .external_lex_state = 7},
  [5041] = {.lex_state = 88, .external_lex_state = 7},
  [5042] = {.lex_state = 88, .external_lex_state = 7},
  [5043] = {.lex_state = 88, .external_lex_state = 7},
  [5044] = {.lex_state = 88, .external_lex_state = 7},
  [5045] = {.lex_state = 88, .external_lex_state = 7},
  [5046] = {.lex_state = 88, .external_lex_state = 7},
  [5047] = {.lex_state = 88, .external_lex_state = 7},
  [5048] = {.lex_state = 88, .external_lex_state = 7},
  [5049] = {.lex_state = 88, .external_lex_state = 7},
  [5050] = {.lex_state = 88, .external_lex_state = 7},
  [5051] = {.lex_state = 88, .external_lex_state = 7},
  [5052] = {.lex_state = 88, .external_lex_state = 7},
  [5053] = {.lex_state = 88, .external_lex_state = 7},
  [5054] = {.lex_state = 88, .external_lex_state = 7},
  [5055] = {.lex_state = 88, .external_lex_state = 7},
  [5056] = {.lex_state = 88, .external_lex_state = 7},
  [5057] = {.lex_state = 88, .external_lex_state = 7},
  [5058] = {.lex_state = 88, .external_lex_state = 7},
  [5059] = {.lex_state = 88, .external_lex_state = 7},
  [5060] = {.lex_state = 88, .external_lex_state = 7},
  [5061] = {.lex_state = 88, .external_lex_state = 7},
  [5062] = {.lex_state = 88, .external_lex_state = 7},
  [5063] = {.lex_state = 94, .external_lex_state = 5},
  [5064] = {.lex_state = 88, .external_lex_state = 7},
  [5065] = {.lex_state = 88, .external_lex_state = 7},
  [5066] = {.lex_state = 94, .external_lex_state = 7},
  [5067] = {.lex_state = 88, .external_lex_state = 7},
  [5068] = {.lex_state = 88, .external_lex_state = 7},
  [5069] = {.lex_state = 88, .external_lex_state = 7},
  [5070] = {.lex_state = 94, .external_lex_state = 7},
  [5071] = {.lex_state = 88, .external_lex_state = 7},
  [5072] = {.lex_state = 88, .external_lex_state = 7},
  [5073] = {.lex_state = 88, .external_lex_state = 7},
  [5074] = {.lex_state = 88, .external_lex_state = 7},
  [5075] = {.lex_state = 88, .external_lex_state = 7},
  [5076] = {.lex_state = 88, .external_lex_state = 7},
  [5077] = {.lex_state = 88, .external_lex_state = 7},
  [5078] = {.lex_state = 88, .external_lex_state = 7},
  [5079] = {.lex_state = 88, .external_lex_state = 7},
  [5080] = {.lex_state = 88, .external_lex_state = 7},
  [5081] = {.lex_state = 88, .external_lex_state = 7},
  [5082] = {.lex_state = 88, .external_lex_state = 7},
  [5083] = {.lex_state = 88, .external_lex_state = 7},
  [5084] = {.lex_state = 88, .external_lex_state = 7},
  [5085] = {.lex_state = 94, .external_lex_state = 7},
  [5086] = {.lex_state = 88, .external_lex_state = 7},
  [5087] = {.lex_state = 94, .external_lex_state = 7},
  [5088] = {.lex_state = 88, .external_lex_state = 7},
  [5089] = {.lex_state = 94, .external_lex_state = 7},
  [5090] = {.lex_state = 88, .external_lex_state = 7},
  [5091] = {.lex_state = 88, .external_lex_state = 7},
  [5092] = {.lex_state = 88, .external_lex_state = 7},
  [5093] = {.lex_state = 88, .external_lex_state = 7},
  [5094] = {.lex_state = 88, .external_lex_state = 7},
  [5095] = {.lex_state = 88, .external_lex_state = 7},
  [5096] = {.lex_state = 88, .external_lex_state = 7},
  [5097] = {.lex_state = 88, .external_lex_state = 7},
  [5098] = {.lex_state = 88, .external_lex_state = 7},
  [5099] = {.lex_state = 88, .external_lex_state = 7},
  [5100] = {.lex_state = 94, .external_lex_state = 7},
  [5101] = {.lex_state = 94, .external_lex_state = 7},
  [5102] = {.lex_state = 94, .external_lex_state = 7},
  [5103] = {.lex_state = 88, .external_lex_state = 7},
  [5104] = {.lex_state = 88, .external_lex_state = 7},
  [5105] = {.lex_state = 88, .external_lex_state = 7},
  [5106] = {.lex_state = 88, .external_lex_state = 7},
  [5107] = {.lex_state = 88, .external_lex_state = 7},
  [5108] = {.lex_state = 88, .external_lex_state = 7},
  [5109] = {.lex_state = 88, .external_lex_state = 7},
  [5110] = {.lex_state = 88, .external_lex_state = 7},
  [5111] = {.lex_state = 88, .external_lex_state = 7},
  [5112] = {.lex_state = 88, .external_lex_state = 7},
  [5113] = {.lex_state = 88, .external_lex_state = 7},
  [5114] = {.lex_state = 94, .external_lex_state = 7},
  [5115] = {.lex_state = 88, .external_lex_state = 7},
  [5116] = {.lex_state = 88, .external_lex_state = 7},
  [5117] = {.lex_state = 88, .external_lex_state = 7},
  [5118] = {.lex_state = 88, .external_lex_state = 7},
  [5119] = {.lex_state = 88, .external_lex_state = 7},
  [5120] = {.lex_state = 88, .external_lex_state = 7},
  [5121] = {.lex_state = 88, .external_lex_state = 7},
  [5122] = {.lex_state = 88, .external_lex_state = 7},
  [5123] = {.lex_state = 94, .external_lex_state = 7},
  [5124] = {.lex_state = 88, .external_lex_state = 7},
  [5125] = {.lex_state = 88, .external_lex_state = 7},
  [5126] = {.lex_state = 88, .external_lex_state = 7},
  [5127] = {.lex_state = 88, .external_lex_state = 7},
  [5128] = {.lex_state = 88, .external_lex_state = 7},
  [5129] = {.lex_state = 88, .external_lex_state = 7},
  [5130] = {.lex_state = 88, .external_lex_state = 7},
  [5131] = {.lex_state = 88, .external_lex_state = 7},
  [5132] = {.lex_state = 88, .external_lex_state = 7},
  [5133] = {.lex_state = 88, .external_lex_state = 7},
  [5134] = {.lex_state = 88, .external_lex_state = 7},
  [5135] = {.lex_state = 94, .external_lex_state = 7},
  [5136] = {.lex_state = 88, .external_lex_state = 7},
  [5137] = {.lex_state = 94, .external_lex_state = 5},
  [5138] = {.lex_state = 88, .external_lex_state = 7},
  [5139] = {.lex_state = 88, .external_lex_state = 7},
  [5140] = {.lex_state = 88, .external_lex_state = 7},
  [5141] = {.lex_state = 94, .external_lex_state = 7},
  [5142] = {.lex_state = 94, .external_lex_state = 7},
  [5143] = {.lex_state = 88, .external_lex_state = 7},
  [5144] = {.lex_state = 94, .external_lex_state = 7},
  [5145] = {.lex_state = 88, .external_lex_state = 7},
  [5146] = {.lex_state = 88, .external_lex_state = 7},
  [5147] = {.lex_state = 88, .external_lex_state = 7},
  [5148] = {.lex_state = 88, .external_lex_state = 7},
  [5149] = {.lex_state = 88, .external_lex_state = 7},
  [5150] = {.lex_state = 88, .external_lex_state = 7},
  [5151] = {.lex_state = 88, .external_lex_state = 7},
  [5152] = {.lex_state = 88, .external_lex_state = 7},
  [5153] = {.lex_state = 88, .external_lex_state = 7},
  [5154] = {.lex_state = 88, .external_lex_state = 7},
  [5155] = {.lex_state = 88, .external_lex_state = 7},
  [5156] = {.lex_state = 88, .external_lex_state = 7},
  [5157] = {.lex_state = 88, .external_lex_state = 7},
  [5158] = {.lex_state = 88, .external_lex_state = 7},
  [5159] = {.lex_state = 88, .external_lex_state = 7},
  [5160] = {.lex_state = 88, .external_lex_state = 7},
  [5161] = {.lex_state = 88, .external_lex_state = 7},
  [5162] = {.lex_state = 88, .external_lex_state = 7},
  [5163] = {.lex_state = 88, .external_lex_state = 7},
  [5164] = {.lex_state = 88, .external_lex_state = 7},
  [5165] = {.lex_state = 88, .external_lex_state = 7},
  [5166] = {.lex_state = 88, .external_lex_state = 7},
  [5167] = {.lex_state = 88, .external_lex_state = 7},
  [5168] = {.lex_state = 88, .external_lex_state = 7},
  [5169] = {.lex_state = 88, .external_lex_state = 7},
  [5170] = {.lex_state = 88, .external_lex_state = 7},
  [5171] = {.lex_state = 88, .external_lex_state = 7},
  [5172] = {.lex_state = 88, .external_lex_state = 7},
  [5173] = {.lex_state = 88, .external_lex_state = 7},
  [5174] = {.lex_state = 88, .external_lex_state = 7},
  [5175] = {.lex_state = 88, .external_lex_state = 7},
  [5176] = {.lex_state = 88, .external_lex_state = 7},
  [5177] = {.lex_state = 88, .external_lex_state = 7},
  [5178] = {.lex_state = 88, .external_lex_state = 7},
  [5179] = {.lex_state = 88, .external_lex_state = 7},
  [5180] = {.lex_state = 88, .external_lex_state = 7},
  [5181] = {.lex_state = 88, .external_lex_state = 7},
  [5182] = {.lex_state = 88, .external_lex_state = 7},
  [5183] = {.lex_state = 88, .external_lex_state = 7},
  [5184] = {.lex_state = 88, .external_lex_state = 7},
  [5185] = {.lex_state = 88, .external_lex_state = 7},
  [5186] = {.lex_state = 88, .external_lex_state = 7},
  [5187] = {.lex_state = 88, .external_lex_state = 7},
  [5188] = {.lex_state = 88, .external_lex_state = 7},
  [5189] = {.lex_state = 88, .external_lex_state = 7},
  [5190] = {.lex_state = 88, .external_lex_state = 7},
  [5191] = {.lex_state = 88, .external_lex_state = 7},
  [5192] = {.lex_state = 88, .external_lex_state = 7},
  [5193] = {.lex_state = 88, .external_lex_state = 7},
  [5194] = {.lex_state = 88, .external_lex_state = 7},
  [5195] = {.lex_state = 88, .external_lex_state = 7},
  [5196] = {.lex_state = 88, .external_lex_state = 7},
  [5197] = {.lex_state = 88, .external_lex_state = 7},
  [5198] = {.lex_state = 88, .external_lex_state = 7},
  [5199] = {.lex_state = 88, .external_lex_state = 7},
  [5200] = {.lex_state = 88, .external_lex_state = 7},
  [5201] = {.lex_state = 88, .external_lex_state = 7},
  [5202] = {.lex_state = 88, .external_lex_state = 7},
  [5203] = {.lex_state = 88, .external_lex_state = 7},
  [5204] = {.lex_state = 88, .external_lex_state = 7},
  [5205] = {.lex_state = 94, .external_lex_state = 7},
  [5206] = {.lex_state = 94, .external_lex_state = 7},
  [5207] = {.lex_state = 94, .external_lex_state = 7},
  [5208] = {.lex_state = 88, .external_lex_state = 7},
  [5209] = {.lex_state = 88, .external_lex_state = 7},
  [5210] = {.lex_state = 88, .external_lex_state = 7},
  [5211] = {.lex_state = 88, .external_lex_state = 7},
  [5212] = {.lex_state = 88, .external_lex_state = 7},
  [5213] = {.lex_state = 88, .external_lex_state = 7},
  [5214] = {.lex_state = 88, .external_lex_state = 7},
  [5215] = {.lex_state = 94, .external_lex_state = 7},
  [5216] = {.lex_state = 88, .external_lex_state = 7},
  [5217] = {.lex_state = 88, .external_lex_state = 7},
  [5218] = {.lex_state = 88, .external_lex_state = 7},
  [5219] = {.lex_state = 88, .external_lex_state = 7},
  [5220] = {.lex_state = 88, .external_lex_state = 7},
  [5221] = {.lex_state = 88, .external_lex_state = 7},
  [5222] = {.lex_state = 88, .external_lex_state = 7},
  [5223] = {.lex_state = 88, .external_lex_state = 7},
  [5224] = {.lex_state = 88, .external_lex_state = 7},
  [5225] = {.lex_state = 94, .external_lex_state = 7},
  [5226] = {.lex_state = 88, .external_lex_state = 7},
  [5227] = {.lex_state = 88, .external_lex_state = 7},
  [5228] = {.lex_state = 88, .external_lex_state = 7},
  [5229] = {.lex_state = 94, .external_lex_state = 7},
  [5230] = {.lex_state = 88, .external_lex_state = 7},
  [5231] = {.lex_state = 88, .external_lex_state = 7},
  [5232] = {.lex_state = 88, .external_lex_state = 7},
  [5233] = {.lex_state = 88, .external_lex_state = 7},
  [5234] = {.lex_state = 88, .external_lex_state = 7},
  [5235] = {.lex_state = 88, .external_lex_state = 7},
  [5236] = {.lex_state = 88, .external_lex_state = 7},
  [5237] = {.lex_state = 88, .external_lex_state = 7},
  [5238] = {.lex_state = 88, .external_lex_state = 7},
  [5239] = {.lex_state = 88, .external_lex_state = 7},
  [5240] = {.lex_state = 88, .external_lex_state = 7},
  [5241] = {.lex_state = 88, .external_lex_state = 7},
  [5242] = {.lex_state = 94, .external_lex_state = 5},
  [5243] = {.lex_state = 88, .external_lex_state = 7},
  [5244] = {.lex_state = 94, .external_lex_state = 5},
  [5245] = {.lex_state = 88, .external_lex_state = 7},
  [5246] = {.lex_state = 94, .external_lex_state = 7},
  [5247] = {.lex_state = 88, .external_lex_state = 7},
  [5248] = {.lex_state = 88, .external_lex_state = 7},
  [5249] = {.lex_state = 88, .external_lex_state = 7},
  [5250] = {.lex_state = 88, .external_lex_state = 7},
  [5251] = {.lex_state = 88, .external_lex_state = 7},
  [5252] = {.lex_state = 88, .external_lex_state = 7},
  [5253] = {.lex_state = 88, .external_lex_state = 7},
  [5254] = {.lex_state = 88, .external_lex_state = 7},
  [5255] = {.lex_state = 94, .external_lex_state = 7},
  [5256] = {.lex_state = 88, .external_lex_state = 7},
  [5257] = {.lex_state = 88, .external_lex_state = 7},
  [5258] = {.lex_state = 88, .external_lex_state = 7},
  [5259] = {.lex_state = 88, .external_lex_state = 7},
  [5260] = {.lex_state = 88, .external_lex_state = 7},
  [5261] = {.lex_state = 94, .external_lex_state = 7},
  [5262] = {.lex_state = 88, .external_lex_state = 7},
  [5263] = {.lex_state = 88, .external_lex_state = 7},
  [5264] = {.lex_state = 88, .external_lex_state = 7},
  [5265] = {.lex_state = 88, .external_lex_state = 7},
  [5266] = {.lex_state = 88, .external_lex_state = 7},
  [5267] = {.lex_state = 88, .external_lex_state = 7},
  [5268] = {.lex_state = 88, .external_lex_state = 7},
  [5269] = {.lex_state = 88, .external_lex_state = 7},
  [5270] = {.lex_state = 88, .external_lex_state = 7},
  [5271] = {.lex_state = 94, .external_lex_state = 7},
  [5272] = {.lex_state = 88, .external_lex_state = 7},
  [5273] = {.lex_state = 88, .external_lex_state = 7},
  [5274] = {.lex_state = 88, .external_lex_state = 7},
  [5275] = {.lex_state = 94, .external_lex_state = 7},
  [5276] = {.lex_state = 88, .external_lex_state = 7},
  [5277] = {.lex_state = 88, .external_lex_state = 7},
  [5278] = {.lex_state = 88, .external_lex_state = 7},
  [5279] = {.lex_state = 94, .external_lex_state = 7},
  [5280] = {.lex_state = 88, .external_lex_state = 7},
  [5281] = {.lex_state = 88, .external_lex_state = 7},
  [5282] = {.lex_state = 88, .external_lex_state = 7},
  [5283] = {.lex_state = 88, .external_lex_state = 7},
  [5284] = {.lex_state = 88, .external_lex_state = 7},
  [5285] = {.lex_state = 88, .external_lex_state = 7},
  [5286] = {.lex_state = 88, .external_lex_state = 7},
  [5287] = {.lex_state = 88, .external_lex_state = 7},
  [5288] = {.lex_state = 88, .external_lex_state = 7},
  [5289] = {.lex_state = 88, .external_lex_state = 7},
  [5290] = {.lex_state = 88, .external_lex_state = 7},
  [5291] = {.lex_state = 94, .external_lex_state = 7},
  [5292] = {.lex_state = 88, .external_lex_state = 7},
  [5293] = {.lex_state = 88, .external_lex_state = 7},
  [5294] = {.lex_state = 88, .external_lex_state = 7},
  [5295] = {.lex_state = 94, .external_lex_state = 7},
  [5296] = {.lex_state = 88, .external_lex_state = 7},
  [5297] = {.lex_state = 94, .external_lex_state = 7},
  [5298] = {.lex_state = 88, .external_lex_state = 7},
  [5299] = {.lex_state = 88, .external_lex_state = 7},
  [5300] = {.lex_state = 88, .external_lex_state = 7},
  [5301] = {.lex_state = 88, .external_lex_state = 7},
  [5302] = {.lex_state = 88, .external_lex_state = 7},
  [5303] = {.lex_state = 94, .external_lex_state = 7},
  [5304] = {.lex_state = 88, .external_lex_state = 7},
  [5305] = {.lex_state = 88, .external_lex_state = 7},
  [5306] = {.lex_state = 88, .external_lex_state = 7},
  [5307] = {.lex_state = 88, .external_lex_state = 7},
  [5308] = {.lex_state = 88, .external_lex_state = 7},
  [5309] = {.lex_state = 88, .external_lex_state = 7},
  [5310] = {.lex_state = 88, .external_lex_state = 7},
  [5311] = {.lex_state = 88, .external_lex_state = 7},
  [5312] = {.lex_state = 88, .external_lex_state = 7},
  [5313] = {.lex_state = 88, .external_lex_state = 7},
  [5314] = {.lex_state = 88, .external_lex_state = 7},
  [5315] = {.lex_state = 88, .external_lex_state = 7},
  [5316] = {.lex_state = 88, .external_lex_state = 7},
  [5317] = {.lex_state = 88, .external_lex_state = 7},
  [5318] = {.lex_state = 88, .external_lex_state = 7},
  [5319] = {.lex_state = 88, .external_lex_state = 7},
  [5320] = {.lex_state = 88, .external_lex_state = 7},
  [5321] = {.lex_state = 88, .external_lex_state = 7},
  [5322] = {.lex_state = 88, .external_lex_state = 7},
  [5323] = {.lex_state = 88, .external_lex_state = 7},
  [5324] = {.lex_state = 88, .external_lex_state = 7},
  [5325] = {.lex_state = 88, .external_lex_state = 7},
  [5326] = {.lex_state = 88, .external_lex_state = 7},
  [5327] = {.lex_state = 94, .external_lex_state = 7},
  [5328] = {.lex_state = 88, .external_lex_state = 7},
  [5329] = {.lex_state = 88, .external_lex_state = 7},
  [5330] = {.lex_state = 94, .external_lex_state = 7},
  [5331] = {.lex_state = 88, .external_lex_state = 7},
  [5332] = {.lex_state = 88, .external_lex_state = 7},
  [5333] = {.lex_state = 88, .external_lex_state = 7},
  [5334] = {.lex_state = 88, .external_lex_state = 7},
  [5335] = {.lex_state = 94, .external_lex_state = 7},
  [5336] = {.lex_state = 88, .external_lex_state = 7},
  [5337] = {.lex_state = 88, .external_lex_state = 7},
  [5338] = {.lex_state = 88, .external_lex_state = 7},
  [5339] = {.lex_state = 88, .external_lex_state = 7},
  [5340] = {.lex_state = 88, .external_lex_state = 7},
  [5341] = {.lex_state = 88, .external_lex_state = 7},
  [5342] = {.lex_state = 88, .external_lex_state = 7},
  [5343] = {.lex_state = 88, .external_lex_state = 7},
  [5344] = {.lex_state = 88, .external_lex_state = 7},
  [5345] = {.lex_state = 88, .external_lex_state = 7},
  [5346] = {.lex_state = 88, .external_lex_state = 7},
  [5347] = {.lex_state = 88, .external_lex_state = 7},
  [5348] = {.lex_state = 88, .external_lex_state = 7},
  [5349] = {.lex_state = 94, .external_lex_state = 5},
  [5350] = {.lex_state = 88, .external_lex_state = 7},
  [5351] = {.lex_state = 88, .external_lex_state = 7},
  [5352] = {.lex_state = 88, .external_lex_state = 7},
  [5353] = {.lex_state = 88, .external_lex_state = 7},
  [5354] = {.lex_state = 88, .external_lex_state = 7},
  [5355] = {.lex_state = 88, .external_lex_state = 7},
  [5356] = {.lex_state = 88, .external_lex_state = 7},
  [5357] = {.lex_state = 88, .external_lex_state = 7},
  [5358] = {.lex_state = 88, .external_lex_state = 7},
  [5359] = {.lex_state = 88, .external_lex_state = 7},
  [5360] = {.lex_state = 94, .external_lex_state = 7},
  [5361] = {.lex_state = 88, .external_lex_state = 7},
  [5362] = {.lex_state = 88, .external_lex_state = 7},
  [5363] = {.lex_state = 88, .external_lex_state = 7},
  [5364] = {.lex_state = 94, .external_lex_state = 7},
  [5365] = {.lex_state = 88, .external_lex_state = 7},
  [5366] = {.lex_state = 88, .external_lex_state = 7},
  [5367] = {.lex_state = 88, .external_lex_state = 7},
  [5368] = {.lex_state = 88, .external_lex_state = 7},
  [5369] = {.lex_state = 88, .external_lex_state = 7},
  [5370] = {.lex_state = 94, .external_lex_state = 7},
  [5371] = {.lex_state = 88, .external_lex_state = 7},
  [5372] = {.lex_state = 88, .external_lex_state = 7},
  [5373] = {.lex_state = 88, .external_lex_state = 7},
  [5374] = {.lex_state = 88, .external_lex_state = 7},
  [5375] = {.lex_state = 88, .external_lex_state = 7},
  [5376] = {.lex_state = 88, .external_lex_state = 7},
  [5377] = {.lex_state = 88, .external_lex_state = 7},
  [5378] = {.lex_state = 88, .external_lex_state = 7},
  [5379] = {.lex_state = 88, .external_lex_state = 7},
  [5380] = {.lex_state = 88, .external_lex_state = 7},
  [5381] = {.lex_state = 88, .external_lex_state = 7},
  [5382] = {.lex_state = 94, .external_lex_state = 7},
  [5383] = {.lex_state = 88, .external_lex_state = 7},
  [5384] = {.lex_state = 88, .external_lex_state = 7},
  [5385] = {.lex_state = 88, .external_lex_state = 7},
  [5386] = {.lex_state = 88, .external_lex_state = 7},
  [5387] = {.lex_state = 88, .external_lex_state = 7},
  [5388] = {.lex_state = 94, .external_lex_state = 7},
  [5389] = {.lex_state = 88, .external_lex_state = 7},
  [5390] = {.lex_state = 88, .external_lex_state = 7},
  [5391] = {.lex_state = 88, .external_lex_state = 7},
  [5392] = {.lex_state = 88, .external_lex_state = 7},
  [5393] = {.lex_state = 88, .external_lex_state = 7},
  [5394] = {.lex_state = 88, .external_lex_state = 7},
  [5395] = {.lex_state = 88, .external_lex_state = 7},
  [5396] = {.lex_state = 94, .external_lex_state = 7},
  [5397] = {.lex_state = 88, .external_lex_state = 7},
  [5398] = {.lex_state = 88, .external_lex_state = 7},
  [5399] = {.lex_state = 94, .external_lex_state = 7},
  [5400] = {.lex_state = 94, .external_lex_state = 7},
  [5401] = {.lex_state = 88, .external_lex_state = 7},
  [5402] = {.lex_state = 94, .external_lex_state = 7},
  [5403] = {.lex_state = 88, .external_lex_state = 7},
  [5404] = {.lex_state = 88, .external_lex_state = 7},
  [5405] = {.lex_state = 88, .external_lex_state = 7},
  [5406] = {.lex_state = 88, .external_lex_state = 7},
  [5407] = {.lex_state = 88, .external_lex_state = 7},
  [5408] = {.lex_state = 88, .external_lex_state = 7},
  [5409] = {.lex_state = 88, .external_lex_state = 7},
  [5410] = {.lex_state = 88, .external_lex_state = 7},
  [5411] = {.lex_state = 88, .external_lex_state = 7},
  [5412] = {.lex_state = 88, .external_lex_state = 7},
  [5413] = {.lex_state = 88, .external_lex_state = 7},
  [5414] = {.lex_state = 88, .external_lex_state = 7},
  [5415] = {.lex_state = 88, .external_lex_state = 7},
  [5416] = {.lex_state = 94, .external_lex_state = 5},
  [5417] = {.lex_state = 88, .external_lex_state = 7},
  [5418] = {.lex_state = 88, .external_lex_state = 7},
  [5419] = {.lex_state = 88, .external_lex_state = 7},
  [5420] = {.lex_state = 88, .external_lex_state = 7},
  [5421] = {.lex_state = 88, .external_lex_state = 7},
  [5422] = {.lex_state = 88, .external_lex_state = 7},
  [5423] = {.lex_state = 88, .external_lex_state = 7},
  [5424] = {.lex_state = 88, .external_lex_state = 7},
  [5425] = {.lex_state = 88, .external_lex_state = 7},
  [5426] = {.lex_state = 88, .external_lex_state = 7},
  [5427] = {.lex_state = 88, .external_lex_state = 7},
  [5428] = {.lex_state = 88, .external_lex_state = 7},
  [5429] = {.lex_state = 88, .external_lex_state = 7},
  [5430] = {.lex_state = 94, .external_lex_state = 7},
  [5431] = {.lex_state = 88, .external_lex_state = 7},
  [5432] = {.lex_state = 88, .external_lex_state = 7},
  [5433] = {.lex_state = 88, .external_lex_state = 7},
  [5434] = {.lex_state = 88, .external_lex_state = 7},
  [5435] = {.lex_state = 88, .external_lex_state = 7},
  [5436] = {.lex_state = 88, .external_lex_state = 7},
  [5437] = {.lex_state = 88, .external_lex_state = 7},
  [5438] = {.lex_state = 88, .external_lex_state = 7},
  [5439] = {.lex_state = 88, .external_lex_state = 7},
  [5440] = {.lex_state = 88, .external_lex_state = 7},
  [5441] = {.lex_state = 88, .external_lex_state = 7},
  [5442] = {.lex_state = 88, .external_lex_state = 7},
  [5443] = {.lex_state = 94, .external_lex_state = 7},
  [5444] = {.lex_state = 88, .external_lex_state = 7},
  [5445] = {.lex_state = 88, .external_lex_state = 7},
  [5446] = {.lex_state = 88, .external_lex_state = 7},
  [5447] = {.lex_state = 88, .external_lex_state = 7},
  [5448] = {.lex_state = 88, .external_lex_state = 7},
  [5449] = {.lex_state = 88, .external_lex_state = 7},
  [5450] = {.lex_state = 88, .external_lex_state = 7},
  [5451] = {.lex_state = 88, .external_lex_state = 7},
  [5452] = {.lex_state = 88, .external_lex_state = 7},
  [5453] = {.lex_state = 88, .external_lex_state = 7},
  [5454] = {.lex_state = 88, .external_lex_state = 7},
  [5455] = {.lex_state = 88, .external_lex_state = 7},
  [5456] = {.lex_state = 88, .external_lex_state = 7},
  [5457] = {.lex_state = 88, .external_lex_state = 7},
  [5458] = {.lex_state = 88, .external_lex_state = 7},
  [5459] = {.lex_state = 88, .external_lex_state = 7},
  [5460] = {.lex_state = 88, .external_lex_state = 7},
  [5461] = {.lex_state = 88, .external_lex_state = 7},
  [5462] = {.lex_state = 88, .external_lex_state = 7},
  [5463] = {.lex_state = 88, .external_lex_state = 7},
  [5464] = {.lex_state = 88, .external_lex_state = 7},
  [5465] = {.lex_state = 88, .external_lex_state = 7},
  [5466] = {.lex_state = 88, .external_lex_state = 7},
  [5467] = {.lex_state = 88, .external_lex_state = 7},
  [5468] = {.lex_state = 88, .external_lex_state = 7},
  [5469] = {.lex_state = 88, .external_lex_state = 7},
  [5470] = {.lex_state = 88, .external_lex_state = 7},
  [5471] = {.lex_state = 88, .external_lex_state = 7},
  [5472] = {.lex_state = 88, .external_lex_state = 7},
  [5473] = {.lex_state = 88, .external_lex_state = 7},
  [5474] = {.lex_state = 88, .external_lex_state = 7},
  [5475] = {.lex_state = 88, .external_lex_state = 7},
  [5476] = {.lex_state = 88, .external_lex_state = 7},
  [5477] = {.lex_state = 94, .external_lex_state = 7},
  [5478] = {.lex_state = 88, .external_lex_state = 7},
  [5479] = {.lex_state = 88, .external_lex_state = 7},
  [5480] = {.lex_state = 94, .external_lex_state = 7},
  [5481] = {.lex_state = 88, .external_lex_state = 7},
  [5482] = {.lex_state = 88, .external_lex_state = 7},
  [5483] = {.lex_state = 88, .external_lex_state = 7},
  [5484] = {.lex_state = 94, .external_lex_state = 7},
  [5485] = {.lex_state = 88, .external_lex_state = 7},
  [5486] = {.lex_state = 88, .external_lex_state = 7},
  [5487] = {.lex_state = 88, .external_lex_state = 7},
  [5488] = {.lex_state = 88, .external_lex_state = 7},
  [5489] = {.lex_state = 88, .external_lex_state = 7},
  [5490] = {.lex_state = 88, .external_lex_state = 7},
  [5491] = {.lex_state = 88, .external_lex_state = 7},
  [5492] = {.lex_state = 94, .external_lex_state = 7},
  [5493] = {.lex_state = 88, .external_lex_state = 7},
  [5494] = {.lex_state = 88, .external_lex_state = 7},
  [5495] = {.lex_state = 94, .external_lex_state = 7},
  [5496] = {.lex_state = 94, .external_lex_state = 7},
  [5497] = {.lex_state = 94, .external_lex_state = 7},
  [5498] = {.lex_state = 94, .external_lex_state = 7},
  [5499] = {.lex_state = 94, .external_lex_state = 5},
  [5500] = {.lex_state = 94, .external_lex_state = 7},
  [5501] = {.lex_state = 94, .external_lex_state = 7},
  [5502] = {.lex_state = 94, .external_lex_state = 7},
  [5503] = {.lex_state = 94, .external_lex_state = 7},
  [5504] = {.lex_state = 94, .external_lex_state = 7},
  [5505] = {.lex_state = 94, .external_lex_state = 7},
  [5506] = {.lex_state = 94, .external_lex_state = 7},
  [5507] = {.lex_state = 94, .external_lex_state = 7},
  [5508] = {.lex_state = 94, .external_lex_state = 7},
  [5509] = {.lex_state = 94, .external_lex_state = 7},
  [5510] = {.lex_state = 94, .external_lex_state = 7},
  [5511] = {.lex_state = 94, .external_lex_state = 7},
  [5512] = {.lex_state = 94, .external_lex_state = 7},
  [5513] = {.lex_state = 94, .external_lex_state = 7},
  [5514] = {.lex_state = 94, .external_lex_state = 7},
  [5515] = {.lex_state = 94, .external_lex_state = 7},
  [5516] = {.lex_state = 94, .external_lex_state = 5},
  [5517] = {.lex_state = 94, .external_lex_state = 7},
  [5518] = {.lex_state = 94, .external_lex_state = 7},
  [5519] = {.lex_state = 94, .external_lex_state = 7},
  [5520] = {.lex_state = 94, .external_lex_state = 7},
  [5521] = {.lex_state = 94, .external_lex_state = 7},
  [5522] = {.lex_state = 94, .external_lex_state = 7},
  [5523] = {.lex_state = 94, .external_lex_state = 7},
  [5524] = {.lex_state = 94, .external_lex_state = 7},
  [5525] = {.lex_state = 94, .external_lex_state = 7},
  [5526] = {.lex_state = 94, .external_lex_state = 7},
  [5527] = {.lex_state = 94, .external_lex_state = 7},
  [5528] = {.lex_state = 87, .external_lex_state = 2},
  [5529] = {.lex_state = 94, .external_lex_state = 7},
  [5530] = {.lex_state = 94, .external_lex_state = 7},
  [5531] = {.lex_state = 94, .external_lex_state = 7},
  [5532] = {.lex_state = 94, .external_lex_state = 7},
  [5533] = {.lex_state = 94, .external_lex_state = 7},
  [5534] = {.lex_state = 94, .external_lex_state = 7},
  [5535] = {.lex_state = 94, .external_lex_state = 5},
  [5536] = {.lex_state = 94, .external_lex_state = 5},
  [5537] = {.lex_state = 94, .external_lex_state = 7},
  [5538] = {.lex_state = 94, .external_lex_state = 7},
  [5539] = {.lex_state = 94, .external_lex_state = 7},
  [5540] = {.lex_state = 94, .external_lex_state = 7},
  [5541] = {.lex_state = 94, .external_lex_state = 7},
  [5542] = {.lex_state = 94, .external_lex_state = 7},
  [5543] = {.lex_state = 94, .external_lex_state = 7},
  [5544] = {.lex_state = 94, .external_lex_state = 7},
  [5545] = {.lex_state = 94, .external_lex_state = 7},
  [5546] = {.lex_state = 94, .external_lex_state = 7},
  [5547] = {.lex_state = 94, .external_lex_state = 7},
  [5548] = {.lex_state = 94, .external_lex_state = 7},
  [5549] = {.lex_state = 94, .external_lex_state = 7},
  [5550] = {.lex_state = 94, .external_lex_state = 7},
  [5551] = {.lex_state = 94, .external_lex_state = 7},
  [5552] = {.lex_state = 94, .external_lex_state = 7},
  [5553] = {.lex_state = 94, .external_lex_state = 7},
  [5554] = {.lex_state = 94, .external_lex_state = 7},
  [5555] = {.lex_state = 94, .external_lex_state = 7},
  [5556] = {.lex_state = 94, .external_lex_state = 7},
  [5557] = {.lex_state = 94, .external_lex_state = 7},
  [5558] = {.lex_state = 94, .external_lex_state = 7},
  [5559] = {.lex_state = 94, .external_lex_state = 7},
  [5560] = {.lex_state = 94, .external_lex_state = 7},
  [5561] = {.lex_state = 94, .external_lex_state = 7},
  [5562] = {.lex_state = 94, .external_lex_state = 7},
  [5563] = {.lex_state = 94, .external_lex_state = 7},
  [5564] = {.lex_state = 94, .external_lex_state = 5},
  [5565] = {.lex_state = 94, .external_lex_state = 7},
  [5566] = {.lex_state = 94, .external_lex_state = 7},
  [5567] = {.lex_state = 94, .external_lex_state = 7},
  [5568] = {.lex_state = 94, .external_lex_state = 5},
  [5569] = {.lex_state = 94, .external_lex_state = 7},
  [5570] = {.lex_state = 94, .external_lex_state = 7},
  [5571] = {.lex_state = 94, .external_lex_state = 7},
  [5572] = {.lex_state = 94, .external_lex_state = 7},
  [5573] = {.lex_state = 94, .external_lex_state = 7},
  [5574] = {.lex_state = 94, .external_lex_state = 5},
  [5575] = {.lex_state = 94, .external_lex_state = 7},
  [5576] = {.lex_state = 94, .external_lex_state = 7},
  [5577] = {.lex_state = 94, .external_lex_state = 7},
  [5578] = {.lex_state = 94, .external_lex_state = 7},
  [5579] = {.lex_state = 94, .external_lex_state = 7},
  [5580] = {.lex_state = 94, .external_lex_state = 7},
  [5581] = {.lex_state = 94, .external_lex_state = 7},
  [5582] = {.lex_state = 94, .external_lex_state = 7},
  [5583] = {.lex_state = 94, .external_lex_state = 7},
  [5584] = {.lex_state = 94, .external_lex_state = 7},
  [5585] = {.lex_state = 94, .external_lex_state = 7},
  [5586] = {.lex_state = 94, .external_lex_state = 7},
  [5587] = {.lex_state = 94, .external_lex_state = 7},
  [5588] = {.lex_state = 94, .external_lex_state = 7},
  [5589] = {.lex_state = 94, .external_lex_state = 7},
  [5590] = {.lex_state = 94, .external_lex_state = 7},
  [5591] = {.lex_state = 94, .external_lex_state = 7},
  [5592] = {.lex_state = 94, .external_lex_state = 7},
  [5593] = {.lex_state = 94, .external_lex_state = 7},
  [5594] = {.lex_state = 94, .external_lex_state = 7},
  [5595] = {.lex_state = 94, .external_lex_state = 7},
  [5596] = {.lex_state = 94, .external_lex_state = 7},
  [5597] = {.lex_state = 94, .external_lex_state = 7},
  [5598] = {.lex_state = 94, .external_lex_state = 7},
  [5599] = {.lex_state = 94, .external_lex_state = 7},
  [5600] = {.lex_state = 94, .external_lex_state = 7},
  [5601] = {.lex_state = 94, .external_lex_state = 7},
  [5602] = {.lex_state = 94, .external_lex_state = 7},
  [5603] = {.lex_state = 94, .external_lex_state = 5},
  [5604] = {.lex_state = 94, .external_lex_state = 5},
  [5605] = {.lex_state = 94, .external_lex_state = 7},
  [5606] = {.lex_state = 94, .external_lex_state = 7},
  [5607] = {.lex_state = 94, .external_lex_state = 5},
  [5608] = {.lex_state = 94, .external_lex_state = 5},
  [5609] = {.lex_state = 94, .external_lex_state = 7},
  [5610] = {.lex_state = 94, .external_lex_state = 7},
  [5611] = {.lex_state = 94, .external_lex_state = 7},
  [5612] = {.lex_state = 94, .external_lex_state = 7},
  [5613] = {.lex_state = 94, .external_lex_state = 7},
  [5614] = {.lex_state = 94, .external_lex_state = 7},
  [5615] = {.lex_state = 94, .external_lex_state = 7},
  [5616] = {.lex_state = 94, .external_lex_state = 7},
  [5617] = {.lex_state = 94, .external_lex_state = 7},
  [5618] = {.lex_state = 87, .external_lex_state = 2},
  [5619] = {.lex_state = 94, .external_lex_state = 7},
  [5620] = {.lex_state = 94, .external_lex_state = 7},
  [5621] = {.lex_state = 94, .external_lex_state = 7},
  [5622] = {.lex_state = 94, .external_lex_state = 7},
  [5623] = {.lex_state = 94, .external_lex_state = 7},
  [5624] = {.lex_state = 94, .external_lex_state = 7},
  [5625] = {.lex_state = 94, .external_lex_state = 5},
  [5626] = {.lex_state = 94, .external_lex_state = 5},
  [5627] = {.lex_state = 94, .external_lex_state = 7},
  [5628] = {.lex_state = 94, .external_lex_state = 7},
  [5629] = {.lex_state = 94, .external_lex_state = 7},
  [5630] = {.lex_state = 94, .external_lex_state = 7},
  [5631] = {.lex_state = 94, .external_lex_state = 7},
  [5632] = {.lex_state = 94, .external_lex_state = 7},
  [5633] = {.lex_state = 94, .external_lex_state = 7},
  [5634] = {.lex_state = 94, .external_lex_state = 7},
  [5635] = {.lex_state = 94, .external_lex_state = 7},
  [5636] = {.lex_state = 94, .external_lex_state = 7},
  [5637] = {.lex_state = 87, .external_lex_state = 2},
  [5638] = {.lex_state = 94, .external_lex_state = 7},
  [5639] = {.lex_state = 94, .external_lex_state = 7},
  [5640] = {.lex_state = 94, .external_lex_state = 7},
  [5641] = {.lex_state = 94, .external_lex_state = 7},
  [5642] = {.lex_state = 94, .external_lex_state = 7},
  [5643] = {.lex_state = 94, .external_lex_state = 7},
  [5644] = {.lex_state = 94, .external_lex_state = 7},
  [5645] = {.lex_state = 94, .external_lex_state = 7},
  [5646] = {.lex_state = 94, .external_lex_state = 7},
  [5647] = {.lex_state = 94, .external_lex_state = 7},
  [5648] = {.lex_state = 94, .external_lex_state = 7},
  [5649] = {.lex_state = 94, .external_lex_state = 7},
  [5650] = {.lex_state = 94, .external_lex_state = 7},
  [5651] = {.lex_state = 94, .external_lex_state = 7},
  [5652] = {.lex_state = 94, .external_lex_state = 5},
  [5653] = {.lex_state = 94, .external_lex_state = 7},
  [5654] = {.lex_state = 94, .external_lex_state = 7},
  [5655] = {.lex_state = 94, .external_lex_state = 7},
  [5656] = {.lex_state = 94, .external_lex_state = 7},
  [5657] = {.lex_state = 94, .external_lex_state = 7},
  [5658] = {.lex_state = 94, .external_lex_state = 7},
  [5659] = {.lex_state = 94, .external_lex_state = 7},
  [5660] = {.lex_state = 94, .external_lex_state = 7},
  [5661] = {.lex_state = 94, .external_lex_state = 7},
  [5662] = {.lex_state = 94, .external_lex_state = 7},
  [5663] = {.lex_state = 94, .external_lex_state = 7},
  [5664] = {.lex_state = 94, .external_lex_state = 7},
  [5665] = {.lex_state = 94, .external_lex_state = 7},
  [5666] = {.lex_state = 94, .external_lex_state = 7},
  [5667] = {.lex_state = 94, .external_lex_state = 7},
  [5668] = {.lex_state = 94, .external_lex_state = 7},
  [5669] = {.lex_state = 94, .external_lex_state = 7},
  [5670] = {.lex_state = 94, .external_lex_state = 7},
  [5671] = {.lex_state = 94, .external_lex_state = 7},
  [5672] = {.lex_state = 94, .external_lex_state = 7},
  [5673] = {.lex_state = 94, .external_lex_state = 7},
  [5674] = {.lex_state = 94, .external_lex_state = 7},
  [5675] = {.lex_state = 94, .external_lex_state = 7},
  [5676] = {.lex_state = 94, .external_lex_state = 7},
  [5677] = {.lex_state = 94, .external_lex_state = 7},
  [5678] = {.lex_state = 94, .external_lex_state = 7},
  [5679] = {.lex_state = 94, .external_lex_state = 7},
  [5680] = {.lex_state = 94, .external_lex_state = 7},
  [5681] = {.lex_state = 94, .external_lex_state = 7},
  [5682] = {.lex_state = 94, .external_lex_state = 7},
  [5683] = {.lex_state = 94, .external_lex_state = 7},
  [5684] = {.lex_state = 94, .external_lex_state = 7},
  [5685] = {.lex_state = 94, .external_lex_state = 7},
  [5686] = {.lex_state = 94, .external_lex_state = 7},
  [5687] = {.lex_state = 94, .external_lex_state = 7},
  [5688] = {.lex_state = 94, .external_lex_state = 7},
  [5689] = {.lex_state = 94, .external_lex_state = 7},
  [5690] = {.lex_state = 94, .external_lex_state = 7},
  [5691] = {.lex_state = 94, .external_lex_state = 7},
  [5692] = {.lex_state = 94, .external_lex_state = 7},
  [5693] = {.lex_state = 94, .external_lex_state = 7},
  [5694] = {.lex_state = 94, .external_lex_state = 7},
  [5695] = {.lex_state = 94, .external_lex_state = 7},
  [5696] = {.lex_state = 94, .external_lex_state = 7},
  [5697] = {.lex_state = 94, .external_lex_state = 7},
  [5698] = {.lex_state = 94, .external_lex_state = 7},
  [5699] = {.lex_state = 94, .external_lex_state = 7},
  [5700] = {.lex_state = 94, .external_lex_state = 7},
  [5701] = {.lex_state = 94, .external_lex_state = 7},
  [5702] = {.lex_state = 94, .external_lex_state = 7},
  [5703] = {.lex_state = 94, .external_lex_state = 7},
  [5704] = {.lex_state = 94, .external_lex_state = 7},
  [5705] = {.lex_state = 94, .external_lex_state = 7},
  [5706] = {.lex_state = 94, .external_lex_state = 7},
  [5707] = {.lex_state = 94, .external_lex_state = 7},
  [5708] = {.lex_state = 94, .external_lex_state = 7},
  [5709] = {.lex_state = 94, .external_lex_state = 7},
  [5710] = {.lex_state = 94, .external_lex_state = 7},
  [5711] = {.lex_state = 94, .external_lex_state = 7},
  [5712] = {.lex_state = 94, .external_lex_state = 7},
  [5713] = {.lex_state = 94, .external_lex_state = 7},
  [5714] = {.lex_state = 94, .external_lex_state = 7},
  [5715] = {.lex_state = 94, .external_lex_state = 7},
  [5716] = {.lex_state = 94, .external_lex_state = 7},
  [5717] = {.lex_state = 94, .external_lex_state = 5},
  [5718] = {.lex_state = 94, .external_lex_state = 7},
  [5719] = {.lex_state = 94, .external_lex_state = 7},
  [5720] = {.lex_state = 94, .external_lex_state = 7},
  [5721] = {.lex_state = 94, .external_lex_state = 7},
  [5722] = {.lex_state = 94, .external_lex_state = 7},
  [5723] = {.lex_state = 94, .external_lex_state = 7},
  [5724] = {.lex_state = 94, .external_lex_state = 7},
  [5725] = {.lex_state = 94, .external_lex_state = 7},
  [5726] = {.lex_state = 94, .external_lex_state = 7},
  [5727] = {.lex_state = 94, .external_lex_state = 7},
  [5728] = {.lex_state = 94, .external_lex_state = 7},
  [5729] = {.lex_state = 94, .external_lex_state = 7},
  [5730] = {.lex_state = 94, .external_lex_state = 7},
  [5731] = {.lex_state = 94, .external_lex_state = 7},
  [5732] = {.lex_state = 94, .external_lex_state = 7},
  [5733] = {.lex_state = 94, .external_lex_state = 7},
  [5734] = {.lex_state = 94, .external_lex_state = 7},
  [5735] = {.lex_state = 94, .external_lex_state = 7},
  [5736] = {.lex_state = 94, .external_lex_state = 7},
  [5737] = {.lex_state = 94, .external_lex_state = 7},
  [5738] = {.lex_state = 94, .external_lex_state = 7},
  [5739] = {.lex_state = 94, .external_lex_state = 7},
  [5740] = {.lex_state = 94, .external_lex_state = 7},
  [5741] = {.lex_state = 94, .external_lex_state = 7},
  [5742] = {.lex_state = 94, .external_lex_state = 7},
  [5743] = {.lex_state = 94, .external_lex_state = 7},
  [5744] = {.lex_state = 94, .external_lex_state = 7},
  [5745] = {.lex_state = 94, .external_lex_state = 7},
  [5746] = {.lex_state = 94, .external_lex_state = 7},
  [5747] = {.lex_state = 94, .external_lex_state = 7},
  [5748] = {.lex_state = 94, .external_lex_state = 7},
  [5749] = {.lex_state = 94, .external_lex_state = 7},
  [5750] = {.lex_state = 94, .external_lex_state = 7},
  [5751] = {.lex_state = 94, .external_lex_state = 7},
  [5752] = {.lex_state = 94, .external_lex_state = 7},
  [5753] = {.lex_state = 94, .external_lex_state = 7},
  [5754] = {.lex_state = 94, .external_lex_state = 7},
  [5755] = {.lex_state = 94, .external_lex_state = 7},
  [5756] = {.lex_state = 94, .external_lex_state = 7},
  [5757] = {.lex_state = 94, .external_lex_state = 7},
  [5758] = {.lex_state = 94, .external_lex_state = 7},
  [5759] = {.lex_state = 94, .external_lex_state = 7},
  [5760] = {.lex_state = 94, .external_lex_state = 7},
  [5761] = {.lex_state = 94, .external_lex_state = 7},
  [5762] = {.lex_state = 94, .external_lex_state = 7},
  [5763] = {.lex_state = 94, .external_lex_state = 7},
  [5764] = {.lex_state = 94, .external_lex_state = 7},
  [5765] = {.lex_state = 94, .external_lex_state = 7},
  [5766] = {.lex_state = 94, .external_lex_state = 7},
  [5767] = {.lex_state = 94, .external_lex_state = 7},
  [5768] = {.lex_state = 94, .external_lex_state = 7},
  [5769] = {.lex_state = 94, .external_lex_state = 7},
  [5770] = {.lex_state = 94, .external_lex_state = 7},
  [5771] = {.lex_state = 94, .external_lex_state = 7},
  [5772] = {.lex_state = 94, .external_lex_state = 7},
  [5773] = {.lex_state = 94, .external_lex_state = 7},
  [5774] = {.lex_state = 94, .external_lex_state = 7},
  [5775] = {.lex_state = 94, .external_lex_state = 7},
  [5776] = {.lex_state = 94, .external_lex_state = 7},
  [5777] = {.lex_state = 94, .external_lex_state = 7},
  [5778] = {.lex_state = 94, .external_lex_state = 7},
  [5779] = {.lex_state = 94, .external_lex_state = 7},
  [5780] = {.lex_state = 94, .external_lex_state = 7},
  [5781] = {.lex_state = 94, .external_lex_state = 7},
  [5782] = {.lex_state = 94, .external_lex_state = 7},
  [5783] = {.lex_state = 94, .external_lex_state = 7},
  [5784] = {.lex_state = 94, .external_lex_state = 7},
  [5785] = {.lex_state = 94, .external_lex_state = 7},
  [5786] = {.lex_state = 94, .external_lex_state = 7},
  [5787] = {.lex_state = 94, .external_lex_state = 7},
  [5788] = {.lex_state = 94, .external_lex_state = 7},
  [5789] = {.lex_state = 94, .external_lex_state = 7},
  [5790] = {.lex_state = 94, .external_lex_state = 7},
  [5791] = {.lex_state = 94, .external_lex_state = 7},
  [5792] = {.lex_state = 94, .external_lex_state = 7},
  [5793] = {.lex_state = 94, .external_lex_state = 7},
  [5794] = {.lex_state = 94, .external_lex_state = 7},
  [5795] = {.lex_state = 94, .external_lex_state = 7},
  [5796] = {.lex_state = 94, .external_lex_state = 7},
  [5797] = {.lex_state = 94, .external_lex_state = 7},
  [5798] = {.lex_state = 94, .external_lex_state = 7},
  [5799] = {.lex_state = 94, .external_lex_state = 7},
  [5800] = {.lex_state = 94, .external_lex_state = 7},
  [5801] = {.lex_state = 94, .external_lex_state = 7},
  [5802] = {.lex_state = 94, .external_lex_state = 7},
  [5803] = {.lex_state = 94, .external_lex_state = 7},
  [5804] = {.lex_state = 94, .external_lex_state = 7},
  [5805] = {.lex_state = 94, .external_lex_state = 7},
  [5806] = {.lex_state = 94, .external_lex_state = 7},
  [5807] = {.lex_state = 94, .external_lex_state = 7},
  [5808] = {.lex_state = 94, .external_lex_state = 7},
  [5809] = {.lex_state = 94, .external_lex_state = 7},
  [5810] = {.lex_state = 94, .external_lex_state = 7},
  [5811] = {.lex_state = 94, .external_lex_state = 7},
  [5812] = {.lex_state = 94, .external_lex_state = 7},
  [5813] = {.lex_state = 94, .external_lex_state = 7},
  [5814] = {.lex_state = 94, .external_lex_state = 7},
  [5815] = {.lex_state = 94, .external_lex_state = 7},
  [5816] = {.lex_state = 94, .external_lex_state = 7},
  [5817] = {.lex_state = 94, .external_lex_state = 7},
  [5818] = {.lex_state = 94, .external_lex_state = 7},
  [5819] = {.lex_state = 94, .external_lex_state = 7},
  [5820] = {.lex_state = 94, .external_lex_state = 7},
  [5821] = {.lex_state = 94, .external_lex_state = 7},
  [5822] = {.lex_state = 94, .external_lex_state = 7},
  [5823] = {.lex_state = 94, .external_lex_state = 7},
  [5824] = {.lex_state = 94, .external_lex_state = 5},
  [5825] = {.lex_state = 94, .external_lex_state = 7},
  [5826] = {.lex_state = 94, .external_lex_state = 7},
  [5827] = {.lex_state = 94, .external_lex_state = 7},
  [5828] = {.lex_state = 94, .external_lex_state = 7},
  [5829] = {.lex_state = 94, .external_lex_state = 7},
  [5830] = {.lex_state = 94, .external_lex_state = 7},
  [5831] = {.lex_state = 94, .external_lex_state = 7},
  [5832] = {.lex_state = 94, .external_lex_state = 7},
  [5833] = {.lex_state = 94, .external_lex_state = 7},
  [5834] = {.lex_state = 94, .external_lex_state = 7},
  [5835] = {.lex_state = 94, .external_lex_state = 7},
  [5836] = {.lex_state = 94, .external_lex_state = 7},
  [5837] = {.lex_state = 94, .external_lex_state = 7},
  [5838] = {.lex_state = 94, .external_lex_state = 7},
  [5839] = {.lex_state = 94, .external_lex_state = 7},
  [5840] = {.lex_state = 94, .external_lex_state = 7},
  [5841] = {.lex_state = 94, .external_lex_state = 7},
  [5842] = {.lex_state = 94, .external_lex_state = 7},
  [5843] = {.lex_state = 94, .external_lex_state = 7},
  [5844] = {.lex_state = 94, .external_lex_state = 7},
  [5845] = {.lex_state = 94, .external_lex_state = 7},
  [5846] = {.lex_state = 94, .external_lex_state = 7},
  [5847] = {.lex_state = 94, .external_lex_state = 7},
  [5848] = {.lex_state = 94, .external_lex_state = 7},
  [5849] = {.lex_state = 94, .external_lex_state = 7},
  [5850] = {.lex_state = 94, .external_lex_state = 7},
  [5851] = {.lex_state = 94, .external_lex_state = 7},
  [5852] = {.lex_state = 94, .external_lex_state = 7},
  [5853] = {.lex_state = 94, .external_lex_state = 7},
  [5854] = {.lex_state = 94, .external_lex_state = 7},
  [5855] = {.lex_state = 94, .external_lex_state = 7},
  [5856] = {.lex_state = 94, .external_lex_state = 7},
  [5857] = {.lex_state = 94, .external_lex_state = 7},
  [5858] = {.lex_state = 94, .external_lex_state = 7},
  [5859] = {.lex_state = 94, .external_lex_state = 7},
  [5860] = {.lex_state = 94, .external_lex_state = 7},
  [5861] = {.lex_state = 94, .external_lex_state = 7},
  [5862] = {.lex_state = 94, .external_lex_state = 7},
  [5863] = {.lex_state = 94, .external_lex_state = 7},
  [5864] = {.lex_state = 94, .external_lex_state = 7},
  [5865] = {.lex_state = 94, .external_lex_state = 7},
  [5866] = {.lex_state = 94, .external_lex_state = 7},
  [5867] = {.lex_state = 94, .external_lex_state = 7},
  [5868] = {.lex_state = 94, .external_lex_state = 7},
  [5869] = {.lex_state = 94, .external_lex_state = 7},
  [5870] = {.lex_state = 94, .external_lex_state = 7},
  [5871] = {.lex_state = 94, .external_lex_state = 7},
  [5872] = {.lex_state = 94, .external_lex_state = 7},
  [5873] = {.lex_state = 94, .external_lex_state = 7},
  [5874] = {.lex_state = 94, .external_lex_state = 7},
  [5875] = {.lex_state = 94, .external_lex_state = 7},
  [5876] = {.lex_state = 94, .external_lex_state = 7},
  [5877] = {.lex_state = 94, .external_lex_state = 7},
  [5878] = {.lex_state = 94, .external_lex_state = 7},
  [5879] = {.lex_state = 94, .external_lex_state = 7},
  [5880] = {.lex_state = 94, .external_lex_state = 7},
  [5881] = {.lex_state = 94, .external_lex_state = 7},
  [5882] = {.lex_state = 94, .external_lex_state = 7},
  [5883] = {.lex_state = 94, .external_lex_state = 7},
  [5884] = {.lex_state = 94, .external_lex_state = 7},
  [5885] = {.lex_state = 94, .external_lex_state = 7},
  [5886] = {.lex_state = 94, .external_lex_state = 7},
  [5887] = {.lex_state = 94, .external_lex_state = 7},
  [5888] = {.lex_state = 94, .external_lex_state = 7},
  [5889] = {.lex_state = 94, .external_lex_state = 7},
  [5890] = {.lex_state = 94, .external_lex_state = 7},
  [5891] = {.lex_state = 94, .external_lex_state = 7},
  [5892] = {.lex_state = 94, .external_lex_state = 7},
  [5893] = {.lex_state = 94, .external_lex_state = 7},
  [5894] = {.lex_state = 94, .external_lex_state = 7},
  [5895] = {.lex_state = 94, .external_lex_state = 7},
  [5896] = {.lex_state = 94, .external_lex_state = 7},
  [5897] = {.lex_state = 94, .external_lex_state = 7},
  [5898] = {.lex_state = 94, .external_lex_state = 7},
  [5899] = {.lex_state = 94, .external_lex_state = 7},
  [5900] = {.lex_state = 94, .external_lex_state = 7},
  [5901] = {.lex_state = 94, .external_lex_state = 7},
  [5902] = {.lex_state = 94, .external_lex_state = 7},
  [5903] = {.lex_state = 94, .external_lex_state = 7},
  [5904] = {.lex_state = 94, .external_lex_state = 7},
  [5905] = {.lex_state = 94, .external_lex_state = 7},
  [5906] = {.lex_state = 94, .external_lex_state = 7},
  [5907] = {.lex_state = 94, .external_lex_state = 7},
  [5908] = {.lex_state = 94, .external_lex_state = 7},
  [5909] = {.lex_state = 94, .external_lex_state = 7},
  [5910] = {.lex_state = 94, .external_lex_state = 7},
  [5911] = {.lex_state = 94, .external_lex_state = 7},
  [5912] = {.lex_state = 94, .external_lex_state = 7},
  [5913] = {.lex_state = 94, .external_lex_state = 7},
  [5914] = {.lex_state = 94, .external_lex_state = 7},
  [5915] = {.lex_state = 94, .external_lex_state = 7},
  [5916] = {.lex_state = 94, .external_lex_state = 7},
  [5917] = {.lex_state = 94, .external_lex_state = 7},
  [5918] = {.lex_state = 94, .external_lex_state = 7},
  [5919] = {.lex_state = 94, .external_lex_state = 7},
  [5920] = {.lex_state = 94, .external_lex_state = 7},
  [5921] = {.lex_state = 94, .external_lex_state = 7},
  [5922] = {.lex_state = 94, .external_lex_state = 7},
  [5923] = {.lex_state = 94, .external_lex_state = 7},
  [5924] = {.lex_state = 94, .external_lex_state = 7},
  [5925] = {.lex_state = 94, .external_lex_state = 7},
  [5926] = {.lex_state = 94, .external_lex_state = 7},
  [5927] = {.lex_state = 94, .external_lex_state = 7},
  [5928] = {.lex_state = 94, .external_lex_state = 7},
  [5929] = {.lex_state = 94, .external_lex_state = 7},
  [5930] = {.lex_state = 94, .external_lex_state = 7},
  [5931] = {.lex_state = 94, .external_lex_state = 7},
  [5932] = {.lex_state = 94, .external_lex_state = 7},
  [5933] = {.lex_state = 94, .external_lex_state = 7},
  [5934] = {.lex_state = 94, .external_lex_state = 7},
  [5935] = {.lex_state = 94, .external_lex_state = 7},
  [5936] = {.lex_state = 94, .external_lex_state = 7},
  [5937] = {.lex_state = 94, .external_lex_state = 7},
  [5938] = {.lex_state = 94, .external_lex_state = 7},
  [5939] = {.lex_state = 94, .external_lex_state = 7},
  [5940] = {.lex_state = 94, .external_lex_state = 7},
  [5941] = {.lex_state = 94, .external_lex_state = 7},
  [5942] = {.lex_state = 94, .external_lex_state = 7},
  [5943] = {.lex_state = 94, .external_lex_state = 7},
  [5944] = {.lex_state = 94, .external_lex_state = 7},
  [5945] = {.lex_state = 94, .external_lex_state = 7},
  [5946] = {.lex_state = 94, .external_lex_state = 7},
  [5947] = {.lex_state = 94, .external_lex_state = 7},
  [5948] = {.lex_state = 94, .external_lex_state = 7},
  [5949] = {.lex_state = 94, .external_lex_state = 7},
  [5950] = {.lex_state = 94, .external_lex_state = 7},
  [5951] = {.lex_state = 94, .external_lex_state = 7},
  [5952] = {.lex_state = 94, .external_lex_state = 7},
  [5953] = {.lex_state = 94, .external_lex_state = 7},
  [5954] = {.lex_state = 94, .external_lex_state = 7},
  [5955] = {.lex_state = 94, .external_lex_state = 7},
  [5956] = {.lex_state = 94, .external_lex_state = 7},
  [5957] = {.lex_state = 94, .external_lex_state = 7},
  [5958] = {.lex_state = 94, .external_lex_state = 7},
  [5959] = {.lex_state = 94, .external_lex_state = 7},
  [5960] = {.lex_state = 94, .external_lex_state = 7},
  [5961] = {.lex_state = 94, .external_lex_state = 7},
  [5962] = {.lex_state = 94, .external_lex_state = 7},
  [5963] = {.lex_state = 94, .external_lex_state = 7},
  [5964] = {.lex_state = 94, .external_lex_state = 7},
  [5965] = {.lex_state = 94, .external_lex_state = 7},
  [5966] = {.lex_state = 94, .external_lex_state = 7},
  [5967] = {.lex_state = 94, .external_lex_state = 7},
  [5968] = {.lex_state = 94, .external_lex_state = 7},
  [5969] = {.lex_state = 94, .external_lex_state = 7},
  [5970] = {.lex_state = 94, .external_lex_state = 7},
  [5971] = {.lex_state = 94, .external_lex_state = 7},
  [5972] = {.lex_state = 94, .external_lex_state = 7},
  [5973] = {.lex_state = 94, .external_lex_state = 7},
  [5974] = {.lex_state = 94, .external_lex_state = 7},
  [5975] = {.lex_state = 94, .external_lex_state = 7},
  [5976] = {.lex_state = 94, .external_lex_state = 7},
  [5977] = {.lex_state = 94, .external_lex_state = 7},
  [5978] = {.lex_state = 94, .external_lex_state = 7},
  [5979] = {.lex_state = 94, .external_lex_state = 7},
  [5980] = {.lex_state = 94, .external_lex_state = 7},
  [5981] = {.lex_state = 94, .external_lex_state = 7},
  [5982] = {.lex_state = 94, .external_lex_state = 7},
  [5983] = {.lex_state = 94, .external_lex_state = 7},
  [5984] = {.lex_state = 94, .external_lex_state = 7},
  [5985] = {.lex_state = 94, .external_lex_state = 7},
  [5986] = {.lex_state = 94, .external_lex_state = 7},
  [5987] = {.lex_state = 94, .external_lex_state = 7},
  [5988] = {.lex_state = 94, .external_lex_state = 7},
  [5989] = {.lex_state = 94, .external_lex_state = 7},
  [5990] = {.lex_state = 94, .external_lex_state = 7},
  [5991] = {.lex_state = 94, .external_lex_state = 7},
  [5992] = {.lex_state = 94, .external_lex_state = 7},
  [5993] = {.lex_state = 94, .external_lex_state = 7},
  [5994] = {.lex_state = 94, .external_lex_state = 7},
  [5995] = {.lex_state = 94, .external_lex_state = 7},
  [5996] = {.lex_state = 94, .external_lex_state = 7},
  [5997] = {.lex_state = 94, .external_lex_state = 7},
  [5998] = {.lex_state = 94, .external_lex_state = 7},
  [5999] = {.lex_state = 94, .external_lex_state = 7},
  [6000] = {.lex_state = 94, .external_lex_state = 7},
  [6001] = {.lex_state = 94, .external_lex_state = 7},
  [6002] = {.lex_state = 94, .external_lex_state = 7},
  [6003] = {.lex_state = 94, .external_lex_state = 7},
  [6004] = {.lex_state = 94, .external_lex_state = 7},
  [6005] = {.lex_state = 94, .external_lex_state = 7},
  [6006] = {.lex_state = 94, .external_lex_state = 7},
  [6007] = {.lex_state = 94, .external_lex_state = 7},
  [6008] = {.lex_state = 94, .external_lex_state = 7},
  [6009] = {.lex_state = 94, .external_lex_state = 7},
  [6010] = {.lex_state = 94, .external_lex_state = 7},
  [6011] = {.lex_state = 94, .external_lex_state = 7},
  [6012] = {.lex_state = 94, .external_lex_state = 7},
  [6013] = {.lex_state = 94, .external_lex_state = 7},
  [6014] = {.lex_state = 94, .external_lex_state = 7},
  [6015] = {.lex_state = 94, .external_lex_state = 7},
  [6016] = {.lex_state = 94, .external_lex_state = 7},
  [6017] = {.lex_state = 94, .external_lex_state = 7},
  [6018] = {.lex_state = 94, .external_lex_state = 7},
  [6019] = {.lex_state = 94, .external_lex_state = 7},
  [6020] = {.lex_state = 94, .external_lex_state = 7},
  [6021] = {.lex_state = 94, .external_lex_state = 7},
  [6022] = {.lex_state = 94, .external_lex_state = 7},
  [6023] = {.lex_state = 94, .external_lex_state = 7},
  [6024] = {.lex_state = 94, .external_lex_state = 7},
  [6025] = {.lex_state = 94, .external_lex_state = 7},
  [6026] = {.lex_state = 94, .external_lex_state = 7},
  [6027] = {.lex_state = 94, .external_lex_state = 7},
  [6028] = {.lex_state = 94, .external_lex_state = 7},
  [6029] = {.lex_state = 94, .external_lex_state = 7},
  [6030] = {.lex_state = 94, .external_lex_state = 7},
  [6031] = {.lex_state = 94, .external_lex_state = 7},
  [6032] = {.lex_state = 94, .external_lex_state = 7},
  [6033] = {.lex_state = 94, .external_lex_state = 7},
  [6034] = {.lex_state = 94, .external_lex_state = 7},
  [6035] = {.lex_state = 94, .external_lex_state = 7},
  [6036] = {.lex_state = 94, .external_lex_state = 7},
  [6037] = {.lex_state = 94, .external_lex_state = 7},
  [6038] = {.lex_state = 94, .external_lex_state = 7},
  [6039] = {.lex_state = 94, .external_lex_state = 7},
  [6040] = {.lex_state = 94, .external_lex_state = 7},
  [6041] = {.lex_state = 94, .external_lex_state = 7},
  [6042] = {.lex_state = 94, .external_lex_state = 7},
  [6043] = {.lex_state = 94, .external_lex_state = 7},
  [6044] = {.lex_state = 94, .external_lex_state = 7},
  [6045] = {.lex_state = 94, .external_lex_state = 7},
  [6046] = {.lex_state = 94, .external_lex_state = 7},
  [6047] = {.lex_state = 94, .external_lex_state = 7},
  [6048] = {.lex_state = 94, .external_lex_state = 7},
  [6049] = {.lex_state = 94, .external_lex_state = 7},
  [6050] = {.lex_state = 94, .external_lex_state = 7},
  [6051] = {.lex_state = 94, .external_lex_state = 7},
  [6052] = {.lex_state = 94, .external_lex_state = 7},
  [6053] = {.lex_state = 94, .external_lex_state = 7},
  [6054] = {.lex_state = 94, .external_lex_state = 7},
  [6055] = {.lex_state = 94, .external_lex_state = 7},
  [6056] = {.lex_state = 94, .external_lex_state = 7},
  [6057] = {.lex_state = 94, .external_lex_state = 7},
  [6058] = {.lex_state = 94, .external_lex_state = 7},
  [6059] = {.lex_state = 87, .external_lex_state = 2},
  [6060] = {.lex_state = 87, .external_lex_state = 2},
  [6061] = {.lex_state = 94, .external_lex_state = 7},
  [6062] = {.lex_state = 87, .external_lex_state = 2},
  [6063] = {.lex_state = 87, .external_lex_state = 2},
  [6064] = {.lex_state = 87, .external_lex_state = 2},
  [6065] = {.lex_state = 0, .external_lex_state = 2},
  [6066] = {.lex_state = 0, .external_lex_state = 2},
  [6067] = {.lex_state = 0, .external_lex_state = 2},
  [6068] = {.lex_state = 0, .external_lex_state = 2},
  [6069] = {.lex_state = 0, .external_lex_state = 2},
  [6070] = {.lex_state = 0, .external_lex_state = 2},
  [6071] = {.lex_state = 0, .external_lex_state = 2},
  [6072] = {.lex_state = 0, .external_lex_state = 2},
  [6073] = {.lex_state = 0, .external_lex_state = 2},
  [6074] = {.lex_state = 0, .external_lex_state = 2},
  [6075] = {.lex_state = 0, .external_lex_state = 2},
  [6076] = {.lex_state = 0, .external_lex_state = 2},
  [6077] = {.lex_state = 0, .external_lex_state = 2},
  [6078] = {.lex_state = 0, .external_lex_state = 2},
  [6079] = {.lex_state = 0, .external_lex_state = 2},
  [6080] = {.lex_state = 0, .external_lex_state = 2},
  [6081] = {.lex_state = 0, .external_lex_state = 2},
  [6082] = {.lex_state = 0, .external_lex_state = 2},
  [6083] = {.lex_state = 0, .external_lex_state = 2},
  [6084] = {.lex_state = 0, .external_lex_state = 2},
  [6085] = {.lex_state = 0, .external_lex_state = 2},
  [6086] = {.lex_state = 0, .external_lex_state = 7},
  [6087] = {.lex_state = 0, .external_lex_state = 7},
  [6088] = {.lex_state = 0, .external_lex_state = 7},
  [6089] = {.lex_state = 0, .external_lex_state = 7},
  [6090] = {.lex_state = 87, .external_lex_state = 4},
  [6091] = {.lex_state = 87, .external_lex_state = 4},
  [6092] = {.lex_state = 87, .external_lex_state = 4},
  [6093] = {.lex_state = 87, .external_lex_state = 4},
  [6094] = {.lex_state = 0, .external_lex_state = 7},
  [6095] = {.lex_state = 87, .external_lex_state = 7},
  [6096] = {.lex_state = 87, .external_lex_state = 7},
  [6097] = {.lex_state = 87, .external_lex_state = 7},
  [6098] = {.lex_state = 87, .external_lex_state = 4},
  [6099] = {.lex_state = 87, .external_lex_state = 4},
  [6100] = {.lex_state = 87, .external_lex_state = 4},
  [6101] = {.lex_state = 87, .external_lex_state = 4},
  [6102] = {.lex_state = 89, .external_lex_state = 8},
  [6103] = {.lex_state = 87, .external_lex_state = 4},
  [6104] = {.lex_state = 89, .external_lex_state = 4},
  [6105] = {.lex_state = 87, .external_lex_state = 4},
  [6106] = {.lex_state = 87, .external_lex_state = 4},
  [6107] = {.lex_state = 87, .external_lex_state = 4},
  [6108] = {.lex_state = 87, .external_lex_state = 4},
  [6109] = {.lex_state = 87, .external_lex_state = 7},
  [6110] = {.lex_state = 87, .external_lex_state = 4},
  [6111] = {.lex_state = 87, .external_lex_state = 7},
  [6112] = {.lex_state = 87, .external_lex_state = 4},
  [6113] = {.lex_state = 87, .external_lex_state = 4},
  [6114] = {.lex_state = 87, .external_lex_state = 4},
  [6115] = {.lex_state = 87, .external_lex_state = 4},
  [6116] = {.lex_state = 87, .external_lex_state = 4},
  [6117] = {.lex_state = 87, .external_lex_state = 4},
  [6118] = {.lex_state = 87, .external_lex_state = 4},
  [6119] = {.lex_state = 87, .external_lex_state = 7},
  [6120] = {.lex_state = 0, .external_lex_state = 7},
  [6121] = {.lex_state = 87, .external_lex_state = 7},
  [6122] = {.lex_state = 87, .external_lex_state = 7},
  [6123] = {.lex_state = 87, .external_lex_state = 7},
  [6124] = {.lex_state = 87, .external_lex_state = 7},
  [6125] = {.lex_state = 87, .external_lex_state = 7},
  [6126] = {.lex_state = 87, .external_lex_state = 7},
  [6127] = {.lex_state = 87, .external_lex_state = 7},
  [6128] = {.lex_state = 87, .external_lex_state = 7},
  [6129] = {.lex_state = 87, .external_lex_state = 7},
  [6130] = {.lex_state = 87, .external_lex_state = 8},
  [6131] = {.lex_state = 87, .external_lex_state = 8},
  [6132] = {.lex_state = 87, .external_lex_state = 4},
  [6133] = {.lex_state = 87, .external_lex_state = 5},
  [6134] = {.lex_state = 87, .external_lex_state = 4},
  [6135] = {.lex_state = 87, .external_lex_state = 5},
  [6136] = {.lex_state = 87, .external_lex_state = 4},
  [6137] = {.lex_state = 87, .external_lex_state = 4},
  [6138] = {.lex_state = 87, .external_lex_state = 8},
  [6139] = {.lex_state = 87, .external_lex_state = 7},
  [6140] = {.lex_state = 87, .external_lex_state = 4},
  [6141] = {.lex_state = 87, .external_lex_state = 5},
  [6142] = {.lex_state = 87, .external_lex_state = 8},
  [6143] = {.lex_state = 87, .external_lex_state = 8},
  [6144] = {.lex_state = 87, .external_lex_state = 8},
  [6145] = {.lex_state = 87, .external_lex_state = 8},
  [6146] = {.lex_state = 87, .external_lex_state = 8},
  [6147] = {.lex_state = 87, .external_lex_state = 8},
  [6148] = {.lex_state = 87, .external_lex_state = 5},
  [6149] = {.lex_state = 87, .external_lex_state = 8},
  [6150] = {.lex_state = 87, .external_lex_state = 8},
  [6151] = {.lex_state = 87, .external_lex_state = 4},
  [6152] = {.lex_state = 87, .external_lex_state = 4},
  [6153] = {.lex_state = 87, .external_lex_state = 4},
  [6154] = {.lex_state = 87, .external_lex_state = 4},
  [6155] = {.lex_state = 87, .external_lex_state = 8},
  [6156] = {.lex_state = 87, .external_lex_state = 8},
  [6157] = {.lex_state = 87, .external_lex_state = 4},
  [6158] = {.lex_state = 87, .external_lex_state = 5},
  [6159] = {.lex_state = 87, .external_lex_state = 5},
  [6160] = {.lex_state = 87, .external_lex_state = 5},
  [6161] = {.lex_state = 87, .external_lex_state = 4},
  [6162] = {.lex_state = 87, .external_lex_state = 4},
  [6163] = {.lex_state = 87, .external_lex_state = 4},
  [6164] = {.lex_state = 87, .external_lex_state = 4},
  [6165] = {.lex_state = 87, .external_lex_state = 4},
  [6166] = {.lex_state = 87, .external_lex_state = 4},
  [6167] = {.lex_state = 87, .external_lex_state = 4},
  [6168] = {.lex_state = 87, .external_lex_state = 5},
  [6169] = {.lex_state = 87, .external_lex_state = 8},
  [6170] = {.lex_state = 87, .external_lex_state = 5},
  [6171] = {.lex_state = 87, .external_lex_state = 4},
  [6172] = {.lex_state = 87, .external_lex_state = 4},
  [6173] = {.lex_state = 87, .external_lex_state = 5},
  [6174] = {.lex_state = 87, .external_lex_state = 5},
  [6175] = {.lex_state = 87, .external_lex_state = 5},
  [6176] = {.lex_state = 89, .external_lex_state = 5},
  [6177] = {.lex_state = 87, .external_lex_state = 5},
  [6178] = {.lex_state = 87, .external_lex_state = 5},
  [6179] = {.lex_state = 87, .external_lex_state = 5},
  [6180] = {.lex_state = 87, .external_lex_state = 5},
  [6181] = {.lex_state = 87, .external_lex_state = 5},
  [6182] = {.lex_state = 87, .external_lex_state = 4},
  [6183] = {.lex_state = 87, .external_lex_state = 5},
  [6184] = {.lex_state = 87, .external_lex_state = 5},
  [6185] = {.lex_state = 87, .external_lex_state = 5},
  [6186] = {.lex_state = 87, .external_lex_state = 5},
  [6187] = {.lex_state = 87, .external_lex_state = 8},
  [6188] = {.lex_state = 87, .external_lex_state = 5},
  [6189] = {.lex_state = 87, .external_lex_state = 8},
  [6190] = {.lex_state = 87, .external_lex_state = 8},
  [6191] = {.lex_state = 87, .external_lex_state = 5},
  [6192] = {.lex_state = 87, .external_lex_state = 8},
  [6193] = {.lex_state = 87, .external_lex_state = 5},
  [6194] = {.lex_state = 87, .external_lex_state = 5},
  [6195] = {.lex_state = 87, .external_lex_state = 8},
  [6196] = {.lex_state = 87, .external_lex_state = 8},
  [6197] = {.lex_state = 87, .external_lex_state = 8},
  [6198] = {.lex_state = 87, .external_lex_state = 5},
  [6199] = {.lex_state = 87, .external_lex_state = 8},
  [6200] = {.lex_state = 87, .external_lex_state = 8},
  [6201] = {.lex_state = 2, .external_lex_state = 5},
  [6202] = {.lex_state = 87, .external_lex_state = 7},
  [6203] = {.lex_state = 87, .external_lex_state = 8},
  [6204] = {.lex_state = 89, .external_lex_state = 5},
  [6205] = {.lex_state = 2, .external_lex_state = 5},
  [6206] = {.lex_state = 89, .external_lex_state = 5},
  [6207] = {.lex_state = 87, .external_lex_state = 5},
  [6208] = {.lex_state = 87, .external_lex_state = 5},
  [6209] = {.lex_state = 87, .external_lex_state = 5},
  [6210] = {.lex_state = 87, .external_lex_state = 5},
  [6211] = {.lex_state = 2, .external_lex_state = 7},
  [6212] = {.lex_state = 2, .external_lex_state = 7},
  [6213] = {.lex_state = 2, .external_lex_state = 7},
  [6214] = {.lex_state = 87, .external_lex_state = 5},
  [6215] = {.lex_state = 2, .external_lex_state = 7},
  [6216] = {.lex_state = 87, .external_lex_state = 5},
  [6217] = {.lex_state = 87, .external_lex_state = 7},
  [6218] = {.lex_state = 2, .external_lex_state = 7},
  [6219] = {.lex_state = 87, .external_lex_state = 7},
  [6220] = {.lex_state = 87, .external_lex_state = 8},
  [6221] = {.lex_state = 2, .external_lex_state = 7},
  [6222] = {.lex_state = 2, .external_lex_state = 7},
  [6223] = {.lex_state = 2, .external_lex_state = 7},
  [6224] = {.lex_state = 2, .external_lex_state = 7},
  [6225] = {.lex_state = 87, .external_lex_state = 8},
  [6226] = {.lex_state = 2, .external_lex_state = 7},
  [6227] = {.lex_state = 2, .external_lex_state = 7},
  [6228] = {.lex_state = 2, .external_lex_state = 7},
  [6229] = {.lex_state = 87, .external_lex_state = 8},
  [6230] = {.lex_state = 87, .external_lex_state = 5},
  [6231] = {.lex_state = 87, .external_lex_state = 5},
  [6232] = {.lex_state = 2, .external_lex_state = 7},
  [6233] = {.lex_state = 2, .external_lex_state = 7},
  [6234] = {.lex_state = 2, .external_lex_state = 7},
  [6235] = {.lex_state = 87, .external_lex_state = 5},
  [6236] = {.lex_state = 87, .external_lex_state = 5},
  [6237] = {.lex_state = 2, .external_lex_state = 7},
  [6238] = {.lex_state = 2, .external_lex_state = 7},
  [6239] = {.lex_state = 2, .external_lex_state = 7},
  [6240] = {.lex_state = 89, .external_lex_state = 5},
  [6241] = {.lex_state = 2, .external_lex_state = 7},
  [6242] = {.lex_state = 87, .external_lex_state = 5},
  [6243] = {.lex_state = 2, .external_lex_state = 7},
  [6244] = {.lex_state = 87, .external_lex_state = 5},
  [6245] = {.lex_state = 2, .external_lex_state = 7},
  [6246] = {.lex_state = 2, .external_lex_state = 7},
  [6247] = {.lex_state = 87, .external_lex_state = 7},
  [6248] = {.lex_state = 87, .external_lex_state = 5},
  [6249] = {.lex_state = 87, .external_lex_state = 5},
  [6250] = {.lex_state = 2, .external_lex_state = 7},
  [6251] = {.lex_state = 2, .external_lex_state = 7},
  [6252] = {.lex_state = 87, .external_lex_state = 5},
  [6253] = {.lex_state = 87, .external_lex_state = 5},
  [6254] = {.lex_state = 87, .external_lex_state = 8},
  [6255] = {.lex_state = 87, .external_lex_state = 5},
  [6256] = {.lex_state = 2, .external_lex_state = 7},
  [6257] = {.lex_state = 87, .external_lex_state = 5},
  [6258] = {.lex_state = 2, .external_lex_state = 7},
  [6259] = {.lex_state = 87, .external_lex_state = 5},
  [6260] = {.lex_state = 2, .external_lex_state = 7},
  [6261] = {.lex_state = 87, .external_lex_state = 8},
  [6262] = {.lex_state = 87, .external_lex_state = 8},
  [6263] = {.lex_state = 87, .external_lex_state = 5},
  [6264] = {.lex_state = 87, .external_lex_state = 5},
  [6265] = {.lex_state = 2, .external_lex_state = 7},
  [6266] = {.lex_state = 2, .external_lex_state = 7},
  [6267] = {.lex_state = 2, .external_lex_state = 7},
  [6268] = {.lex_state = 87, .external_lex_state = 5},
  [6269] = {.lex_state = 87, .external_lex_state = 5},
  [6270] = {.lex_state = 2, .external_lex_state = 7},
  [6271] = {.lex_state = 87, .external_lex_state = 5},
  [6272] = {.lex_state = 87, .external_lex_state = 5},
  [6273] = {.lex_state = 87, .external_lex_state = 5},
  [6274] = {.lex_state = 87, .external_lex_state = 5},
  [6275] = {.lex_state = 87, .external_lex_state = 5},
  [6276] = {.lex_state = 87, .external_lex_state = 5},
  [6277] = {.lex_state = 87, .external_lex_state = 5},
  [6278] = {.lex_state = 87, .external_lex_state = 5},
  [6279] = {.lex_state = 87, .external_lex_state = 5},
  [6280] = {.lex_state = 87, .external_lex_state = 5},
  [6281] = {.lex_state = 87, .external_lex_state = 5},
  [6282] = {.lex_state = 87, .external_lex_state = 5},
  [6283] = {.lex_state = 87, .external_lex_state = 5},
  [6284] = {.lex_state = 87, .external_lex_state = 5},
  [6285] = {.lex_state = 87, .external_lex_state = 5},
  [6286] = {.lex_state = 87, .external_lex_state = 5},
  [6287] = {.lex_state = 87, .external_lex_state = 5},
  [6288] = {.lex_state = 87, .external_lex_state = 5},
  [6289] = {.lex_state = 87, .external_lex_state = 5},
  [6290] = {.lex_state = 87, .external_lex_state = 7},
  [6291] = {.lex_state = 87, .external_lex_state = 5},
  [6292] = {.lex_state = 87, .external_lex_state = 7},
  [6293] = {.lex_state = 87, .external_lex_state = 5},
  [6294] = {.lex_state = 87, .external_lex_state = 5},
  [6295] = {.lex_state = 87, .external_lex_state = 5},
  [6296] = {.lex_state = 87, .external_lex_state = 5},
  [6297] = {.lex_state = 87, .external_lex_state = 5},
  [6298] = {.lex_state = 87, .external_lex_state = 5},
  [6299] = {.lex_state = 87, .external_lex_state = 5},
  [6300] = {.lex_state = 87, .external_lex_state = 5},
  [6301] = {.lex_state = 87, .external_lex_state = 5},
  [6302] = {.lex_state = 87, .external_lex_state = 5},
  [6303] = {.lex_state = 87, .external_lex_state = 5},
  [6304] = {.lex_state = 87, .external_lex_state = 5},
  [6305] = {.lex_state = 87, .external_lex_state = 5},
  [6306] = {.lex_state = 87, .external_lex_state = 5},
  [6307] = {.lex_state = 87, .external_lex_state = 5},
  [6308] = {.lex_state = 87, .external_lex_state = 5},
  [6309] = {.lex_state = 87, .external_lex_state = 5},
  [6310] = {.lex_state = 87, .external_lex_state = 5},
  [6311] = {.lex_state = 87, .external_lex_state = 5},
  [6312] = {.lex_state = 87, .external_lex_state = 5},
  [6313] = {.lex_state = 87, .external_lex_state = 5},
  [6314] = {.lex_state = 87, .external_lex_state = 5},
  [6315] = {.lex_state = 87, .external_lex_state = 5},
  [6316] = {.lex_state = 87, .external_lex_state = 5},
  [6317] = {.lex_state = 87, .external_lex_state = 5},
  [6318] = {.lex_state = 87, .external_lex_state = 5},
  [6319] = {.lex_state = 87, .external_lex_state = 5},
  [6320] = {.lex_state = 87, .external_lex_state = 5},
  [6321] = {.lex_state = 87, .external_lex_state = 7},
  [6322] = {.lex_state = 87, .external_lex_state = 7},
  [6323] = {.lex_state = 87, .external_lex_state = 5},
  [6324] = {.lex_state = 87, .external_lex_state = 5},
  [6325] = {.lex_state = 87, .external_lex_state = 5},
  [6326] = {.lex_state = 87, .external_lex_state = 5},
  [6327] = {.lex_state = 87, .external_lex_state = 5},
  [6328] = {.lex_state = 87, .external_lex_state = 5},
  [6329] = {.lex_state = 87, .external_lex_state = 5},
  [6330] = {.lex_state = 87, .external_lex_state = 5},
  [6331] = {.lex_state = 87, .external_lex_state = 5},
  [6332] = {.lex_state = 87, .external_lex_state = 5},
  [6333] = {.lex_state = 87, .external_lex_state = 5},
  [6334] = {.lex_state = 87, .external_lex_state = 5},
  [6335] = {.lex_state = 87, .external_lex_state = 5},
  [6336] = {.lex_state = 87, .external_lex_state = 5},
  [6337] = {.lex_state = 0, .external_lex_state = 6},
  [6338] = {.lex_state = 0, .external_lex_state = 6},
  [6339] = {.lex_state = 87, .external_lex_state = 5},
  [6340] = {.lex_state = 87, .external_lex_state = 5},
  [6341] = {.lex_state = 87, .external_lex_state = 5},
  [6342] = {.lex_state = 87, .external_lex_state = 5},
  [6343] = {.lex_state = 87, .external_lex_state = 5},
  [6344] = {.lex_state = 87, .external_lex_state = 5},
  [6345] = {.lex_state = 0, .external_lex_state = 6},
  [6346] = {.lex_state = 0, .external_lex_state = 6},
  [6347] = {.lex_state = 87, .external_lex_state = 5},
  [6348] = {.lex_state = 0, .external_lex_state = 6},
  [6349] = {.lex_state = 87, .external_lex_state = 5},
  [6350] = {.lex_state = 0, .external_lex_state = 4},
  [6351] = {.lex_state = 0, .external_lex_state = 6},
  [6352] = {.lex_state = 87, .external_lex_state = 5},
  [6353] = {.lex_state = 0, .external_lex_state = 6},
  [6354] = {.lex_state = 0, .external_lex_state = 4},
  [6355] = {.lex_state = 0, .external_lex_state = 4},
  [6356] = {.lex_state = 0, .external_lex_state = 6},
  [6357] = {.lex_state = 0, .external_lex_state = 6},
  [6358] = {.lex_state = 0, .external_lex_state = 4},
  [6359] = {.lex_state = 0, .external_lex_state = 4},
  [6360] = {.lex_state = 87, .external_lex_state = 5},
  [6361] = {.lex_state = 0, .external_lex_state = 4},
  [6362] = {.lex_state = 87, .external_lex_state = 5},
  [6363] = {.lex_state = 0, .external_lex_state = 6},
  [6364] = {.lex_state = 87, .external_lex_state = 5},
  [6365] = {.lex_state = 87, .external_lex_state = 5},
  [6366] = {.lex_state = 0, .external_lex_state = 6},
  [6367] = {.lex_state = 87, .external_lex_state = 5},
  [6368] = {.lex_state = 87, .external_lex_state = 5},
  [6369] = {.lex_state = 0, .external_lex_state = 4},
  [6370] = {.lex_state = 87, .external_lex_state = 5},
  [6371] = {.lex_state = 87, .external_lex_state = 5},
  [6372] = {.lex_state = 87, .external_lex_state = 5},
  [6373] = {.lex_state = 87, .external_lex_state = 5},
  [6374] = {.lex_state = 0, .external_lex_state = 4},
  [6375] = {.lex_state = 87, .external_lex_state = 5},
  [6376] = {.lex_state = 0, .external_lex_state = 6},
  [6377] = {.lex_state = 0, .external_lex_state = 4},
  [6378] = {.lex_state = 0, .external_lex_state = 7},
  [6379] = {.lex_state = 0, .external_lex_state = 6},
  [6380] = {.lex_state = 0, .external_lex_state = 6},
  [6381] = {.lex_state = 0, .external_lex_state = 7},
  [6382] = {.lex_state = 0, .external_lex_state = 6},
  [6383] = {.lex_state = 89, .external_lex_state = 7},
  [6384] = {.lex_state = 0, .external_lex_state = 7},
  [6385] = {.lex_state = 0, .external_lex_state = 7},
  [6386] = {.lex_state = 0, .external_lex_state = 6},
  [6387] = {.lex_state = 0, .external_lex_state = 7},
  [6388] = {.lex_state = 0, .external_lex_state = 7},
  [6389] = {.lex_state = 0, .external_lex_state = 7},
  [6390] = {.lex_state = 0, .external_lex_state = 7},
  [6391] = {.lex_state = 0, .external_lex_state = 6},
  [6392] = {.lex_state = 0, .external_lex_state = 7},
  [6393] = {.lex_state = 0, .external_lex_state = 6},
  [6394] = {.lex_state = 0, .external_lex_state = 7},
  [6395] = {.lex_state = 0, .external_lex_state = 7},
  [6396] = {.lex_state = 0, .external_lex_state = 7},
  [6397] = {.lex_state = 0, .external_lex_state = 6},
  [6398] = {.lex_state = 0, .external_lex_state = 6},
  [6399] = {.lex_state = 0, .external_lex_state = 7},
  [6400] = {.lex_state = 0, .external_lex_state = 7},
  [6401] = {.lex_state = 19, .external_lex_state = 5},
  [6402] = {.lex_state = 0, .external_lex_state = 6},
  [6403] = {.lex_state = 0, .external_lex_state = 6},
  [6404] = {.lex_state = 0, .external_lex_state = 6},
  [6405] = {.lex_state = 0, .external_lex_state = 6},
  [6406] = {.lex_state = 0, .external_lex_state = 6},
  [6407] = {.lex_state = 0, .external_lex_state = 6},
  [6408] = {.lex_state = 0, .external_lex_state = 6},
  [6409] = {.lex_state = 0, .external_lex_state = 6},
  [6410] = {.lex_state = 0, .external_lex_state = 9},
  [6411] = {.lex_state = 0, .external_lex_state = 6},
  [6412] = {.lex_state = 0, .external_lex_state = 6},
  [6413] = {.lex_state = 0, .external_lex_state = 6},
  [6414] = {.lex_state = 0, .external_lex_state = 6},
  [6415] = {.lex_state = 0, .external_lex_state = 6},
  [6416] = {.lex_state = 0, .external_lex_state = 6},
  [6417] = {.lex_state = 0, .external_lex_state = 6},
  [6418] = {.lex_state = 0, .external_lex_state = 6},
  [6419] = {.lex_state = 0, .external_lex_state = 6},
  [6420] = {.lex_state = 0, .external_lex_state = 6},
  [6421] = {.lex_state = 0, .external_lex_state = 6},
  [6422] = {.lex_state = 0, .external_lex_state = 6},
  [6423] = {.lex_state = 0, .external_lex_state = 9},
  [6424] = {.lex_state = 0, .external_lex_state = 6},
  [6425] = {.lex_state = 0, .external_lex_state = 6},
  [6426] = {.lex_state = 0, .external_lex_state = 6},
  [6427] = {.lex_state = 0, .external_lex_state = 6},
  [6428] = {.lex_state = 0, .external_lex_state = 6},
  [6429] = {.lex_state = 0, .external_lex_state = 6},
  [6430] = {.lex_state = 0, .external_lex_state = 6},
  [6431] = {.lex_state = 0, .external_lex_state = 6},
  [6432] = {.lex_state = 0, .external_lex_state = 6},
  [6433] = {.lex_state = 0, .external_lex_state = 6},
  [6434] = {.lex_state = 0, .external_lex_state = 6},
  [6435] = {.lex_state = 0, .external_lex_state = 9},
  [6436] = {.lex_state = 0, .external_lex_state = 6},
  [6437] = {.lex_state = 0, .external_lex_state = 6},
  [6438] = {.lex_state = 0, .external_lex_state = 6},
  [6439] = {.lex_state = 0, .external_lex_state = 9},
  [6440] = {.lex_state = 0, .external_lex_state = 6},
  [6441] = {.lex_state = 0, .external_lex_state = 4},
  [6442] = {.lex_state = 0, .external_lex_state = 6},
  [6443] = {.lex_state = 0, .external_lex_state = 6},
  [6444] = {.lex_state = 0, .external_lex_state = 9},
  [6445] = {.lex_state = 0, .external_lex_state = 6},
  [6446] = {.lex_state = 89, .external_lex_state = 7},
  [6447] = {.lex_state = 0, .external_lex_state = 6},
  [6448] = {.lex_state = 87, .external_lex_state = 5},
  [6449] = {.lex_state = 0, .external_lex_state = 6},
  [6450] = {.lex_state = 0, .external_lex_state = 6},
  [6451] = {.lex_state = 0, .external_lex_state = 6},
  [6452] = {.lex_state = 0, .external_lex_state = 6},
  [6453] = {.lex_state = 0, .external_lex_state = 6},
  [6454] = {.lex_state = 0, .external_lex_state = 6},
  [6455] = {.lex_state = 0, .external_lex_state = 6},
  [6456] = {.lex_state = 0, .external_lex_state = 5},
  [6457] = {.lex_state = 0, .external_lex_state = 5},
  [6458] = {.lex_state = 0, .external_lex_state = 5},
  [6459] = {.lex_state = 0, .external_lex_state = 5},
  [6460] = {.lex_state = 0, .external_lex_state = 6},
  [6461] = {.lex_state = 0, .external_lex_state = 7},
  [6462] = {.lex_state = 0, .external_lex_state = 5},
  [6463] = {.lex_state = 0, .external_lex_state = 6},
  [6464] = {.lex_state = 21, .external_lex_state = 5},
  [6465] = {.lex_state = 0, .external_lex_state = 9},
  [6466] = {.lex_state = 0, .external_lex_state = 5},
  [6467] = {.lex_state = 0, .external_lex_state = 5},
  [6468] = {.lex_state = 0, .external_lex_state = 5},
  [6469] = {.lex_state = 0, .external_lex_state = 6},
  [6470] = {.lex_state = 0, .external_lex_state = 6},
  [6471] = {.lex_state = 0, .external_lex_state = 5},
  [6472] = {.lex_state = 0, .external_lex_state = 6},
  [6473] = {.lex_state = 0, .external_lex_state = 6},
  [6474] = {.lex_state = 0, .external_lex_state = 5},
  [6475] = {.lex_state = 0, .external_lex_state = 6},
  [6476] = {.lex_state = 0, .external_lex_state = 6},
  [6477] = {.lex_state = 87, .external_lex_state = 5},
  [6478] = {.lex_state = 89, .external_lex_state = 7},
  [6479] = {.lex_state = 0, .external_lex_state = 6},
  [6480] = {.lex_state = 0, .external_lex_state = 6},
  [6481] = {.lex_state = 0, .external_lex_state = 6},
  [6482] = {.lex_state = 0, .external_lex_state = 7},
  [6483] = {.lex_state = 0, .external_lex_state = 6},
  [6484] = {.lex_state = 87, .external_lex_state = 5},
  [6485] = {.lex_state = 0, .external_lex_state = 7},
  [6486] = {.lex_state = 0, .external_lex_state = 6},
  [6487] = {.lex_state = 0, .external_lex_state = 7},
  [6488] = {.lex_state = 0, .external_lex_state = 6},
  [6489] = {.lex_state = 0, .external_lex_state = 6},
  [6490] = {.lex_state = 0, .external_lex_state = 6},
  [6491] = {.lex_state = 0, .external_lex_state = 6},
  [6492] = {.lex_state = 0, .external_lex_state = 6},
  [6493] = {.lex_state = 0, .external_lex_state = 7},
  [6494] = {.lex_state = 0, .external_lex_state = 7},
  [6495] = {.lex_state = 0, .external_lex_state = 6},
  [6496] = {.lex_state = 0, .external_lex_state = 7},
  [6497] = {.lex_state = 87, .external_lex_state = 5},
  [6498] = {.lex_state = 87, .external_lex_state = 5},
  [6499] = {.lex_state = 0, .external_lex_state = 6},
  [6500] = {.lex_state = 0, .external_lex_state = 6},
  [6501] = {.lex_state = 0, .external_lex_state = 7},
  [6502] = {.lex_state = 87, .external_lex_state = 5},
  [6503] = {.lex_state = 0, .external_lex_state = 6},
  [6504] = {.lex_state = 0, .external_lex_state = 7},
  [6505] = {.lex_state = 0, .external_lex_state = 6},
  [6506] = {.lex_state = 0, .external_lex_state = 7},
  [6507] = {.lex_state = 0, .external_lex_state = 6},
  [6508] = {.lex_state = 0, .external_lex_state = 6},
  [6509] = {.lex_state = 0, .external_lex_state = 7},
  [6510] = {.lex_state = 87, .external_lex_state = 5},
  [6511] = {.lex_state = 0, .external_lex_state = 6},
  [6512] = {.lex_state = 0, .external_lex_state = 6},
  [6513] = {.lex_state = 89, .external_lex_state = 7},
  [6514] = {.lex_state = 0, .external_lex_state = 6},
  [6515] = {.lex_state = 0, .external_lex_state = 6},
  [6516] = {.lex_state = 0, .external_lex_state = 6},
  [6517] = {.lex_state = 0, .external_lex_state = 6},
  [6518] = {.lex_state = 89, .external_lex_state = 7},
  [6519] = {.lex_state = 0, .external_lex_state = 6},
  [6520] = {.lex_state = 0, .external_lex_state = 6},
  [6521] = {.lex_state = 0, .external_lex_state = 6},
  [6522] = {.lex_state = 87, .external_lex_state = 5},
  [6523] = {.lex_state = 0, .external_lex_state = 6},
  [6524] = {.lex_state = 87, .external_lex_state = 5},
  [6525] = {.lex_state = 0, .external_lex_state = 6},
  [6526] = {.lex_state = 0, .external_lex_state = 5},
  [6527] = {.lex_state = 0, .external_lex_state = 7},
  [6528] = {.lex_state = 0, .external_lex_state = 6},
  [6529] = {.lex_state = 0, .external_lex_state = 7},
  [6530] = {.lex_state = 0, .external_lex_state = 6},
  [6531] = {.lex_state = 0, .external_lex_state = 6},
  [6532] = {.lex_state = 0, .external_lex_state = 7},
  [6533] = {.lex_state = 0, .external_lex_state = 6},
  [6534] = {.lex_state = 0, .external_lex_state = 7},
  [6535] = {.lex_state = 0, .external_lex_state = 6},
  [6536] = {.lex_state = 0, .external_lex_state = 7},
  [6537] = {.lex_state = 0, .external_lex_state = 6},
  [6538] = {.lex_state = 0, .external_lex_state = 6},
  [6539] = {.lex_state = 0, .external_lex_state = 6},
  [6540] = {.lex_state = 87, .external_lex_state = 5},
  [6541] = {.lex_state = 0, .external_lex_state = 6},
  [6542] = {.lex_state = 0, .external_lex_state = 6},
  [6543] = {.lex_state = 0, .external_lex_state = 6},
  [6544] = {.lex_state = 87, .external_lex_state = 5},
  [6545] = {.lex_state = 0, .external_lex_state = 6},
  [6546] = {.lex_state = 87, .external_lex_state = 5},
  [6547] = {.lex_state = 0, .external_lex_state = 6},
  [6548] = {.lex_state = 0, .external_lex_state = 5},
  [6549] = {.lex_state = 0, .external_lex_state = 6},
  [6550] = {.lex_state = 87, .external_lex_state = 5},
  [6551] = {.lex_state = 0, .external_lex_state = 6},
  [6552] = {.lex_state = 0, .external_lex_state = 6},
  [6553] = {.lex_state = 0, .external_lex_state = 7},
  [6554] = {.lex_state = 0, .external_lex_state = 7},
  [6555] = {.lex_state = 0, .external_lex_state = 7},
  [6556] = {.lex_state = 0, .external_lex_state = 7},
  [6557] = {.lex_state = 0, .external_lex_state = 6},
  [6558] = {.lex_state = 0, .external_lex_state = 6},
  [6559] = {.lex_state = 0, .external_lex_state = 6},
  [6560] = {.lex_state = 0, .external_lex_state = 6},
  [6561] = {.lex_state = 0, .external_lex_state = 6},
  [6562] = {.lex_state = 0, .external_lex_state = 6},
  [6563] = {.lex_state = 0, .external_lex_state = 7},
  [6564] = {.lex_state = 0, .external_lex_state = 6},
  [6565] = {.lex_state = 0, .external_lex_state = 7},
  [6566] = {.lex_state = 21, .external_lex_state = 5},
  [6567] = {.lex_state = 0, .external_lex_state = 6},
  [6568] = {.lex_state = 0, .external_lex_state = 7},
  [6569] = {.lex_state = 0, .external_lex_state = 7},
  [6570] = {.lex_state = 0, .external_lex_state = 6},
  [6571] = {.lex_state = 89, .external_lex_state = 7},
  [6572] = {.lex_state = 0, .external_lex_state = 7},
  [6573] = {.lex_state = 0, .external_lex_state = 6},
  [6574] = {.lex_state = 0, .external_lex_state = 6},
  [6575] = {.lex_state = 87, .external_lex_state = 5},
  [6576] = {.lex_state = 0, .external_lex_state = 7},
  [6577] = {.lex_state = 0, .external_lex_state = 6},
  [6578] = {.lex_state = 0, .external_lex_state = 7},
  [6579] = {.lex_state = 0, .external_lex_state = 6},
  [6580] = {.lex_state = 87, .external_lex_state = 5},
  [6581] = {.lex_state = 87, .external_lex_state = 5},
  [6582] = {.lex_state = 87, .external_lex_state = 5},
  [6583] = {.lex_state = 0, .external_lex_state = 6},
  [6584] = {.lex_state = 0, .external_lex_state = 7},
  [6585] = {.lex_state = 0, .external_lex_state = 6},
  [6586] = {.lex_state = 0, .external_lex_state = 7},
  [6587] = {.lex_state = 0, .external_lex_state = 7},
  [6588] = {.lex_state = 0, .external_lex_state = 7},
  [6589] = {.lex_state = 0, .external_lex_state = 7},
  [6590] = {.lex_state = 0, .external_lex_state = 7},
  [6591] = {.lex_state = 0, .external_lex_state = 7},
  [6592] = {.lex_state = 0, .external_lex_state = 6},
  [6593] = {.lex_state = 0, .external_lex_state = 6},
  [6594] = {.lex_state = 0, .external_lex_state = 6},
  [6595] = {.lex_state = 0, .external_lex_state = 6},
  [6596] = {.lex_state = 0, .external_lex_state = 7},
  [6597] = {.lex_state = 0, .external_lex_state = 6},
  [6598] = {.lex_state = 0, .external_lex_state = 5},
  [6599] = {.lex_state = 0, .external_lex_state = 6},
  [6600] = {.lex_state = 0, .external_lex_state = 7},
  [6601] = {.lex_state = 0, .external_lex_state = 7},
  [6602] = {.lex_state = 0, .external_lex_state = 6},
  [6603] = {.lex_state = 0, .external_lex_state = 7},
  [6604] = {.lex_state = 0, .external_lex_state = 6},
  [6605] = {.lex_state = 0, .external_lex_state = 6},
  [6606] = {.lex_state = 0, .external_lex_state = 6},
  [6607] = {.lex_state = 0, .external_lex_state = 6},
  [6608] = {.lex_state = 0, .external_lex_state = 7},
  [6609] = {.lex_state = 0, .external_lex_state = 7},
  [6610] = {.lex_state = 0, .external_lex_state = 7},
  [6611] = {.lex_state = 0, .external_lex_state = 7},
  [6612] = {.lex_state = 0, .external_lex_state = 7},
  [6613] = {.lex_state = 0, .external_lex_state = 7},
  [6614] = {.lex_state = 0, .external_lex_state = 7},
  [6615] = {.lex_state = 0, .external_lex_state = 6},
  [6616] = {.lex_state = 0, .external_lex_state = 7},
  [6617] = {.lex_state = 0, .external_lex_state = 6},
  [6618] = {.lex_state = 0, .external_lex_state = 7},
  [6619] = {.lex_state = 0, .external_lex_state = 6},
  [6620] = {.lex_state = 0, .external_lex_state = 6},
  [6621] = {.lex_state = 0, .external_lex_state = 6},
  [6622] = {.lex_state = 0, .external_lex_state = 7},
  [6623] = {.lex_state = 0, .external_lex_state = 6},
  [6624] = {.lex_state = 0, .external_lex_state = 6},
  [6625] = {.lex_state = 0, .external_lex_state = 6},
  [6626] = {.lex_state = 0, .external_lex_state = 6},
  [6627] = {.lex_state = 0, .external_lex_state = 7},
  [6628] = {.lex_state = 0, .external_lex_state = 6},
  [6629] = {.lex_state = 0, .external_lex_state = 7},
  [6630] = {.lex_state = 0, .external_lex_state = 6},
  [6631] = {.lex_state = 0, .external_lex_state = 7},
  [6632] = {.lex_state = 0, .external_lex_state = 7},
  [6633] = {.lex_state = 0, .external_lex_state = 6},
  [6634] = {.lex_state = 0, .external_lex_state = 6},
  [6635] = {.lex_state = 0, .external_lex_state = 6},
  [6636] = {.lex_state = 0, .external_lex_state = 6},
  [6637] = {.lex_state = 0, .external_lex_state = 7},
  [6638] = {.lex_state = 87, .external_lex_state = 7},
  [6639] = {.lex_state = 0, .external_lex_state = 7},
  [6640] = {.lex_state = 0, .external_lex_state = 7},
  [6641] = {.lex_state = 0, .external_lex_state = 5},
  [6642] = {.lex_state = 89, .external_lex_state = 7},
  [6643] = {.lex_state = 0, .external_lex_state = 7},
  [6644] = {.lex_state = 0, .external_lex_state = 6},
  [6645] = {.lex_state = 0, .external_lex_state = 6},
  [6646] = {.lex_state = 0, .external_lex_state = 6},
  [6647] = {.lex_state = 0, .external_lex_state = 7},
  [6648] = {.lex_state = 0, .external_lex_state = 7},
  [6649] = {.lex_state = 0, .external_lex_state = 7},
  [6650] = {.lex_state = 0, .external_lex_state = 7},
  [6651] = {.lex_state = 0, .external_lex_state = 7},
  [6652] = {.lex_state = 0, .external_lex_state = 7},
  [6653] = {.lex_state = 0, .external_lex_state = 6},
  [6654] = {.lex_state = 0, .external_lex_state = 7},
  [6655] = {.lex_state = 87, .external_lex_state = 7},
  [6656] = {.lex_state = 87, .external_lex_state = 5},
  [6657] = {.lex_state = 0, .external_lex_state = 6},
  [6658] = {.lex_state = 0, .external_lex_state = 6},
  [6659] = {.lex_state = 0, .external_lex_state = 7},
  [6660] = {.lex_state = 0, .external_lex_state = 7},
  [6661] = {.lex_state = 0, .external_lex_state = 6},
  [6662] = {.lex_state = 0, .external_lex_state = 6},
  [6663] = {.lex_state = 0, .external_lex_state = 6},
  [6664] = {.lex_state = 0, .external_lex_state = 7},
  [6665] = {.lex_state = 0, .external_lex_state = 6},
  [6666] = {.lex_state = 0, .external_lex_state = 6},
  [6667] = {.lex_state = 0, .external_lex_state = 7},
  [6668] = {.lex_state = 0, .external_lex_state = 6},
  [6669] = {.lex_state = 0, .external_lex_state = 6},
  [6670] = {.lex_state = 87, .external_lex_state = 7},
  [6671] = {.lex_state = 0, .external_lex_state = 6},
  [6672] = {.lex_state = 0, .external_lex_state = 6},
  [6673] = {.lex_state = 0, .external_lex_state = 6},
  [6674] = {.lex_state = 0, .external_lex_state = 7},
  [6675] = {.lex_state = 0, .external_lex_state = 6},
  [6676] = {.lex_state = 0, .external_lex_state = 6},
  [6677] = {.lex_state = 87, .external_lex_state = 7},
  [6678] = {.lex_state = 0, .external_lex_state = 7},
  [6679] = {.lex_state = 87, .external_lex_state = 7},
  [6680] = {.lex_state = 87, .external_lex_state = 5},
  [6681] = {.lex_state = 0, .external_lex_state = 6},
  [6682] = {.lex_state = 0, .external_lex_state = 7},
  [6683] = {.lex_state = 0, .external_lex_state = 6},
  [6684] = {.lex_state = 0, .external_lex_state = 6},
  [6685] = {.lex_state = 87, .external_lex_state = 5},
  [6686] = {.lex_state = 0, .external_lex_state = 6},
  [6687] = {.lex_state = 0, .external_lex_state = 6},
  [6688] = {.lex_state = 87, .external_lex_state = 5},
  [6689] = {.lex_state = 0, .external_lex_state = 6},
  [6690] = {.lex_state = 0, .external_lex_state = 6},
  [6691] = {.lex_state = 0, .external_lex_state = 5},
  [6692] = {.lex_state = 0, .external_lex_state = 6},
  [6693] = {.lex_state = 0, .external_lex_state = 6},
  [6694] = {.lex_state = 0, .external_lex_state = 6},
  [6695] = {.lex_state = 0, .external_lex_state = 6},
  [6696] = {.lex_state = 0, .external_lex_state = 6},
  [6697] = {.lex_state = 0, .external_lex_state = 6},
  [6698] = {.lex_state = 0, .external_lex_state = 7},
  [6699] = {.lex_state = 0, .external_lex_state = 6},
  [6700] = {.lex_state = 0, .external_lex_state = 6},
  [6701] = {.lex_state = 0, .external_lex_state = 6},
  [6702] = {.lex_state = 0, .external_lex_state = 6},
  [6703] = {.lex_state = 0, .external_lex_state = 6},
  [6704] = {.lex_state = 0, .external_lex_state = 7},
  [6705] = {.lex_state = 0, .external_lex_state = 7},
  [6706] = {.lex_state = 0, .external_lex_state = 6},
  [6707] = {.lex_state = 0, .external_lex_state = 6},
  [6708] = {.lex_state = 0, .external_lex_state = 6},
  [6709] = {.lex_state = 0, .external_lex_state = 7},
  [6710] = {.lex_state = 0, .external_lex_state = 7},
  [6711] = {.lex_state = 0, .external_lex_state = 7},
  [6712] = {.lex_state = 0, .external_lex_state = 6},
  [6713] = {.lex_state = 0, .external_lex_state = 6},
  [6714] = {.lex_state = 0, .external_lex_state = 6},
  [6715] = {.lex_state = 0, .external_lex_state = 7},
  [6716] = {.lex_state = 0, .external_lex_state = 6},
  [6717] = {.lex_state = 0, .external_lex_state = 6},
  [6718] = {.lex_state = 0, .external_lex_state = 5},
  [6719] = {.lex_state = 0, .external_lex_state = 7},
  [6720] = {.lex_state = 0, .external_lex_state = 6},
  [6721] = {.lex_state = 0, .external_lex_state = 5},
  [6722] = {.lex_state = 0, .external_lex_state = 6},
  [6723] = {.lex_state = 0, .external_lex_state = 6},
  [6724] = {.lex_state = 0, .external_lex_state = 6},
  [6725] = {.lex_state = 0, .external_lex_state = 6},
  [6726] = {.lex_state = 0, .external_lex_state = 6},
  [6727] = {.lex_state = 0, .external_lex_state = 6},
  [6728] = {.lex_state = 0, .external_lex_state = 6},
  [6729] = {.lex_state = 0, .external_lex_state = 6},
  [6730] = {.lex_state = 0, .external_lex_state = 6},
  [6731] = {.lex_state = 0, .external_lex_state = 6},
  [6732] = {.lex_state = 89, .external_lex_state = 7},
  [6733] = {.lex_state = 0, .external_lex_state = 6},
  [6734] = {.lex_state = 0, .external_lex_state = 6},
  [6735] = {.lex_state = 0, .external_lex_state = 7},
  [6736] = {.lex_state = 0, .external_lex_state = 6},
  [6737] = {.lex_state = 0, .external_lex_state = 6},
  [6738] = {.lex_state = 0, .external_lex_state = 6},
  [6739] = {.lex_state = 0, .external_lex_state = 7},
  [6740] = {.lex_state = 0, .external_lex_state = 6},
  [6741] = {.lex_state = 0, .external_lex_state = 7},
  [6742] = {.lex_state = 0, .external_lex_state = 7},
  [6743] = {.lex_state = 0, .external_lex_state = 6},
  [6744] = {.lex_state = 0, .external_lex_state = 6},
  [6745] = {.lex_state = 0, .external_lex_state = 6},
  [6746] = {.lex_state = 0, .external_lex_state = 6},
  [6747] = {.lex_state = 0, .external_lex_state = 6},
  [6748] = {.lex_state = 0, .external_lex_state = 6},
  [6749] = {.lex_state = 0, .external_lex_state = 6},
  [6750] = {.lex_state = 0, .external_lex_state = 6},
  [6751] = {.lex_state = 0, .external_lex_state = 6},
  [6752] = {.lex_state = 0, .external_lex_state = 7},
  [6753] = {.lex_state = 0, .external_lex_state = 7},
  [6754] = {.lex_state = 0, .external_lex_state = 7},
  [6755] = {.lex_state = 0, .external_lex_state = 7},
  [6756] = {.lex_state = 0, .external_lex_state = 6},
  [6757] = {.lex_state = 0, .external_lex_state = 7},
  [6758] = {.lex_state = 0, .external_lex_state = 7},
  [6759] = {.lex_state = 0, .external_lex_state = 7},
  [6760] = {.lex_state = 0, .external_lex_state = 6},
  [6761] = {.lex_state = 0, .external_lex_state = 7},
  [6762] = {.lex_state = 0, .external_lex_state = 7},
  [6763] = {.lex_state = 87, .external_lex_state = 7},
  [6764] = {.lex_state = 0, .external_lex_state = 7},
  [6765] = {.lex_state = 0, .external_lex_state = 7},
  [6766] = {.lex_state = 0, .external_lex_state = 7},
  [6767] = {.lex_state = 0, .external_lex_state = 6},
  [6768] = {.lex_state = 87, .external_lex_state = 5},
  [6769] = {.lex_state = 87, .external_lex_state = 5},
  [6770] = {.lex_state = 0, .external_lex_state = 6},
  [6771] = {.lex_state = 87, .external_lex_state = 7},
  [6772] = {.lex_state = 87, .external_lex_state = 7},
  [6773] = {.lex_state = 0, .external_lex_state = 6},
  [6774] = {.lex_state = 0, .external_lex_state = 7},
  [6775] = {.lex_state = 0, .external_lex_state = 6},
  [6776] = {.lex_state = 0, .external_lex_state = 7},
  [6777] = {.lex_state = 0, .external_lex_state = 7},
  [6778] = {.lex_state = 0, .external_lex_state = 6},
  [6779] = {.lex_state = 0, .external_lex_state = 6},
  [6780] = {.lex_state = 0, .external_lex_state = 6},
  [6781] = {.lex_state = 0, .external_lex_state = 6},
  [6782] = {.lex_state = 0, .external_lex_state = 6},
  [6783] = {.lex_state = 0, .external_lex_state = 6},
  [6784] = {.lex_state = 0, .external_lex_state = 7},
  [6785] = {.lex_state = 0, .external_lex_state = 6},
  [6786] = {.lex_state = 0, .external_lex_state = 7},
  [6787] = {.lex_state = 0, .external_lex_state = 6},
  [6788] = {.lex_state = 0, .external_lex_state = 6},
  [6789] = {.lex_state = 0, .external_lex_state = 6},
  [6790] = {.lex_state = 87, .external_lex_state = 7},
  [6791] = {.lex_state = 0, .external_lex_state = 6},
  [6792] = {.lex_state = 0, .external_lex_state = 7},
  [6793] = {.lex_state = 0, .external_lex_state = 7},
  [6794] = {.lex_state = 0, .external_lex_state = 6},
  [6795] = {.lex_state = 0, .external_lex_state = 6},
  [6796] = {.lex_state = 0, .external_lex_state = 6},
  [6797] = {.lex_state = 0, .external_lex_state = 6},
  [6798] = {.lex_state = 0, .external_lex_state = 6},
  [6799] = {.lex_state = 0, .external_lex_state = 6},
  [6800] = {.lex_state = 0, .external_lex_state = 6},
  [6801] = {.lex_state = 0, .external_lex_state = 6},
  [6802] = {.lex_state = 0, .external_lex_state = 7},
  [6803] = {.lex_state = 0, .external_lex_state = 6},
  [6804] = {.lex_state = 0, .external_lex_state = 7},
  [6805] = {.lex_state = 0, .external_lex_state = 6},
  [6806] = {.lex_state = 0, .external_lex_state = 6},
  [6807] = {.lex_state = 0, .external_lex_state = 6},
  [6808] = {.lex_state = 0, .external_lex_state = 6},
  [6809] = {.lex_state = 0, .external_lex_state = 6},
  [6810] = {.lex_state = 0, .external_lex_state = 6},
  [6811] = {.lex_state = 0, .external_lex_state = 6},
  [6812] = {.lex_state = 0, .external_lex_state = 6},
  [6813] = {.lex_state = 0, .external_lex_state = 6},
  [6814] = {.lex_state = 0, .external_lex_state = 7},
  [6815] = {.lex_state = 0, .external_lex_state = 6},
  [6816] = {.lex_state = 0, .external_lex_state = 6},
  [6817] = {.lex_state = 0, .external_lex_state = 7},
  [6818] = {.lex_state = 0, .external_lex_state = 7},
  [6819] = {.lex_state = 0, .external_lex_state = 7},
  [6820] = {.lex_state = 0, .external_lex_state = 6},
  [6821] = {.lex_state = 0, .external_lex_state = 6},
  [6822] = {.lex_state = 0, .external_lex_state = 6},
  [6823] = {.lex_state = 0, .external_lex_state = 6},
  [6824] = {.lex_state = 0, .external_lex_state = 6},
  [6825] = {.lex_state = 0, .external_lex_state = 6},
  [6826] = {.lex_state = 0, .external_lex_state = 6},
  [6827] = {.lex_state = 0, .external_lex_state = 7},
  [6828] = {.lex_state = 0, .external_lex_state = 6},
  [6829] = {.lex_state = 0, .external_lex_state = 7},
  [6830] = {.lex_state = 0, .external_lex_state = 6},
  [6831] = {.lex_state = 0, .external_lex_state = 7},
  [6832] = {.lex_state = 0, .external_lex_state = 6},
  [6833] = {.lex_state = 0, .external_lex_state = 6},
  [6834] = {.lex_state = 0, .external_lex_state = 6},
  [6835] = {.lex_state = 0, .external_lex_state = 6},
  [6836] = {.lex_state = 0, .external_lex_state = 6},
  [6837] = {.lex_state = 0, .external_lex_state = 6},
  [6838] = {.lex_state = 0, .external_lex_state = 6},
  [6839] = {.lex_state = 0, .external_lex_state = 6},
  [6840] = {.lex_state = 0, .external_lex_state = 6},
  [6841] = {.lex_state = 0, .external_lex_state = 7},
  [6842] = {.lex_state = 0, .external_lex_state = 7},
  [6843] = {.lex_state = 0, .external_lex_state = 6},
  [6844] = {.lex_state = 0, .external_lex_state = 6},
  [6845] = {.lex_state = 0, .external_lex_state = 6},
  [6846] = {.lex_state = 0, .external_lex_state = 7},
  [6847] = {.lex_state = 0, .external_lex_state = 7},
  [6848] = {.lex_state = 0, .external_lex_state = 7},
  [6849] = {.lex_state = 0, .external_lex_state = 6},
  [6850] = {.lex_state = 0, .external_lex_state = 6},
  [6851] = {.lex_state = 0, .external_lex_state = 7},
  [6852] = {.lex_state = 0, .external_lex_state = 6},
  [6853] = {.lex_state = 87, .external_lex_state = 7},
  [6854] = {.lex_state = 0, .external_lex_state = 7},
  [6855] = {.lex_state = 87, .external_lex_state = 7},
  [6856] = {.lex_state = 0, .external_lex_state = 6},
  [6857] = {.lex_state = 0, .external_lex_state = 6},
  [6858] = {.lex_state = 0, .external_lex_state = 7},
  [6859] = {.lex_state = 0, .external_lex_state = 7},
  [6860] = {.lex_state = 0, .external_lex_state = 6},
  [6861] = {.lex_state = 0, .external_lex_state = 7},
  [6862] = {.lex_state = 0, .external_lex_state = 7},
  [6863] = {.lex_state = 0, .external_lex_state = 7},
  [6864] = {.lex_state = 0, .external_lex_state = 7},
  [6865] = {.lex_state = 0, .external_lex_state = 7},
  [6866] = {.lex_state = 0, .external_lex_state = 7},
  [6867] = {.lex_state = 0, .external_lex_state = 7},
  [6868] = {.lex_state = 87, .external_lex_state = 7},
  [6869] = {.lex_state = 0, .external_lex_state = 7},
  [6870] = {.lex_state = 87, .external_lex_state = 5},
  [6871] = {.lex_state = 0, .external_lex_state = 7},
  [6872] = {.lex_state = 0, .external_lex_state = 7},
  [6873] = {.lex_state = 0, .external_lex_state = 7},
  [6874] = {.lex_state = 21, .external_lex_state = 5},
  [6875] = {.lex_state = 0, .external_lex_state = 7},
  [6876] = {.lex_state = 8, .external_lex_state = 7},
  [6877] = {.lex_state = 87, .external_lex_state = 5},
  [6878] = {.lex_state = 8, .external_lex_state = 7},
  [6879] = {.lex_state = 21, .external_lex_state = 5},
  [6880] = {.lex_state = 87, .external_lex_state = 5},
  [6881] = {.lex_state = 0, .external_lex_state = 7},
  [6882] = {.lex_state = 87, .external_lex_state = 5},
  [6883] = {.lex_state = 8, .external_lex_state = 7},
  [6884] = {.lex_state = 87, .external_lex_state = 5},
  [6885] = {.lex_state = 8, .external_lex_state = 7},
  [6886] = {.lex_state = 0, .external_lex_state = 5},
  [6887] = {.lex_state = 8, .external_lex_state = 7},
  [6888] = {.lex_state = 87, .external_lex_state = 5},
  [6889] = {.lex_state = 8, .external_lex_state = 7},
  [6890] = {.lex_state = 87, .external_lex_state = 5},
  [6891] = {.lex_state = 0, .external_lex_state = 7},
  [6892] = {.lex_state = 0, .external_lex_state = 7},
  [6893] = {.lex_state = 87, .external_lex_state = 5},
  [6894] = {.lex_state = 87, .external_lex_state = 5},
  [6895] = {.lex_state = 0, .external_lex_state = 7},
  [6896] = {.lex_state = 8, .external_lex_state = 7},
  [6897] = {.lex_state = 0, .external_lex_state = 5},
  [6898] = {.lex_state = 8, .external_lex_state = 7},
  [6899] = {.lex_state = 0, .external_lex_state = 7},
  [6900] = {.lex_state = 0, .external_lex_state = 7},
  [6901] = {.lex_state = 0, .external_lex_state = 7},
  [6902] = {.lex_state = 0, .external_lex_state = 7},
  [6903] = {.lex_state = 87, .external_lex_state = 5},
  [6904] = {.lex_state = 87, .external_lex_state = 5},
  [6905] = {.lex_state = 87, .external_lex_state = 5},
  [6906] = {.lex_state = 87, .external_lex_state = 5},
  [6907] = {.lex_state = 0, .external_lex_state = 7},
  [6908] = {.lex_state = 87, .external_lex_state = 5},
  [6909] = {.lex_state = 0, .external_lex_state = 7},
  [6910] = {.lex_state = 0, .external_lex_state = 7},
  [6911] = {.lex_state = 87, .external_lex_state = 5},
  [6912] = {.lex_state = 21, .external_lex_state = 5},
  [6913] = {.lex_state = 0, .external_lex_state = 7},
  [6914] = {.lex_state = 0, .external_lex_state = 7},
  [6915] = {.lex_state = 0, .external_lex_state = 7},
  [6916] = {.lex_state = 0, .external_lex_state = 7},
  [6917] = {.lex_state = 21, .external_lex_state = 5},
  [6918] = {.lex_state = 87, .external_lex_state = 5},
  [6919] = {.lex_state = 0, .external_lex_state = 7},
  [6920] = {.lex_state = 0, .external_lex_state = 7},
  [6921] = {.lex_state = 0, .external_lex_state = 7},
  [6922] = {.lex_state = 87, .external_lex_state = 5},
  [6923] = {.lex_state = 0, .external_lex_state = 7},
  [6924] = {.lex_state = 0, .external_lex_state = 7},
  [6925] = {.lex_state = 0, .external_lex_state = 7},
  [6926] = {.lex_state = 87, .external_lex_state = 5},
  [6927] = {.lex_state = 21, .external_lex_state = 5},
  [6928] = {.lex_state = 87, .external_lex_state = 5},
  [6929] = {.lex_state = 0, .external_lex_state = 7},
  [6930] = {.lex_state = 0, .external_lex_state = 7},
  [6931] = {.lex_state = 0, .external_lex_state = 7},
  [6932] = {.lex_state = 87, .external_lex_state = 5},
  [6933] = {.lex_state = 0, .external_lex_state = 7},
  [6934] = {.lex_state = 8, .external_lex_state = 7},
  [6935] = {.lex_state = 0, .external_lex_state = 7},
  [6936] = {.lex_state = 0, .external_lex_state = 7},
  [6937] = {.lex_state = 0, .external_lex_state = 7},
  [6938] = {.lex_state = 0, .external_lex_state = 7},
  [6939] = {.lex_state = 87, .external_lex_state = 5},
  [6940] = {.lex_state = 87, .external_lex_state = 5},
  [6941] = {.lex_state = 21, .external_lex_state = 5},
  [6942] = {.lex_state = 0, .external_lex_state = 7},
  [6943] = {.lex_state = 87, .external_lex_state = 5},
  [6944] = {.lex_state = 0, .external_lex_state = 7},
  [6945] = {.lex_state = 0, .external_lex_state = 7},
  [6946] = {.lex_state = 0, .external_lex_state = 7},
  [6947] = {.lex_state = 0, .external_lex_state = 7},
  [6948] = {.lex_state = 0, .external_lex_state = 7},
  [6949] = {.lex_state = 87, .external_lex_state = 5},
  [6950] = {.lex_state = 0, .external_lex_state = 7},
  [6951] = {.lex_state = 87, .external_lex_state = 5},
  [6952] = {.lex_state = 0, .external_lex_state = 5},
  [6953] = {.lex_state = 0, .external_lex_state = 7},
  [6954] = {.lex_state = 21, .external_lex_state = 5},
  [6955] = {.lex_state = 87, .external_lex_state = 5},
  [6956] = {.lex_state = 0, .external_lex_state = 7},
  [6957] = {.lex_state = 0, .external_lex_state = 7},
  [6958] = {.lex_state = 8, .external_lex_state = 7},
  [6959] = {.lex_state = 0, .external_lex_state = 6},
  [6960] = {.lex_state = 8, .external_lex_state = 7},
  [6961] = {.lex_state = 8, .external_lex_state = 7},
  [6962] = {.lex_state = 0, .external_lex_state = 7},
  [6963] = {.lex_state = 0, .external_lex_state = 7},
  [6964] = {.lex_state = 8, .external_lex_state = 7},
  [6965] = {.lex_state = 0, .external_lex_state = 5},
  [6966] = {.lex_state = 0, .external_lex_state = 7},
  [6967] = {.lex_state = 0, .external_lex_state = 7},
  [6968] = {.lex_state = 0, .external_lex_state = 7},
  [6969] = {.lex_state = 87, .external_lex_state = 5},
  [6970] = {.lex_state = 0, .external_lex_state = 7},
  [6971] = {.lex_state = 87, .external_lex_state = 5},
  [6972] = {.lex_state = 0, .external_lex_state = 7},
  [6973] = {.lex_state = 0, .external_lex_state = 7},
  [6974] = {.lex_state = 0, .external_lex_state = 5},
  [6975] = {.lex_state = 0, .external_lex_state = 7},
  [6976] = {.lex_state = 0, .external_lex_state = 7},
  [6977] = {.lex_state = 0, .external_lex_state = 6},
  [6978] = {.lex_state = 8, .external_lex_state = 7},
  [6979] = {.lex_state = 0, .external_lex_state = 7},
  [6980] = {.lex_state = 0, .external_lex_state = 7},
  [6981] = {.lex_state = 0, .external_lex_state = 7},
  [6982] = {.lex_state = 0, .external_lex_state = 7},
  [6983] = {.lex_state = 0, .external_lex_state = 7},
  [6984] = {.lex_state = 8, .external_lex_state = 7},
  [6985] = {.lex_state = 0, .external_lex_state = 5},
  [6986] = {.lex_state = 0, .external_lex_state = 7},
  [6987] = {.lex_state = 0, .external_lex_state = 7},
  [6988] = {.lex_state = 0, .external_lex_state = 7},
  [6989] = {.lex_state = 8, .external_lex_state = 7},
  [6990] = {.lex_state = 87, .external_lex_state = 5},
  [6991] = {.lex_state = 0, .external_lex_state = 7},
  [6992] = {.lex_state = 8, .external_lex_state = 7},
  [6993] = {.lex_state = 0, .external_lex_state = 5},
  [6994] = {.lex_state = 21, .external_lex_state = 5},
  [6995] = {.lex_state = 0, .external_lex_state = 7},
  [6996] = {.lex_state = 0, .external_lex_state = 7},
  [6997] = {.lex_state = 0, .external_lex_state = 6},
  [6998] = {.lex_state = 0, .external_lex_state = 7},
  [6999] = {.lex_state = 0, .external_lex_state = 5},
  [7000] = {.lex_state = 8, .external_lex_state = 7},
  [7001] = {.lex_state = 8, .external_lex_state = 7},
  [7002] = {.lex_state = 0, .external_lex_state = 7},
  [7003] = {.lex_state = 87, .external_lex_state = 5},
  [7004] = {.lex_state = 87, .external_lex_state = 5},
  [7005] = {.lex_state = 87, .external_lex_state = 5},
  [7006] = {.lex_state = 87, .external_lex_state = 5},
  [7007] = {.lex_state = 0, .external_lex_state = 7},
  [7008] = {.lex_state = 8, .external_lex_state = 7},
  [7009] = {.lex_state = 0, .external_lex_state = 7},
  [7010] = {.lex_state = 0, .external_lex_state = 7},
  [7011] = {.lex_state = 0, .external_lex_state = 7},
  [7012] = {.lex_state = 0, .external_lex_state = 6},
  [7013] = {.lex_state = 87, .external_lex_state = 5},
  [7014] = {.lex_state = 87, .external_lex_state = 5},
  [7015] = {.lex_state = 87, .external_lex_state = 5},
  [7016] = {.lex_state = 87, .external_lex_state = 5},
  [7017] = {.lex_state = 87, .external_lex_state = 5},
  [7018] = {.lex_state = 8, .external_lex_state = 7},
  [7019] = {.lex_state = 0, .external_lex_state = 7},
  [7020] = {.lex_state = 8, .external_lex_state = 7},
  [7021] = {.lex_state = 87, .external_lex_state = 5},
  [7022] = {.lex_state = 8, .external_lex_state = 7},
  [7023] = {.lex_state = 0, .external_lex_state = 7},
  [7024] = {.lex_state = 0, .external_lex_state = 7},
  [7025] = {.lex_state = 0, .external_lex_state = 7},
  [7026] = {.lex_state = 87, .external_lex_state = 5},
  [7027] = {.lex_state = 87, .external_lex_state = 5},
  [7028] = {.lex_state = 87, .external_lex_state = 5},
  [7029] = {.lex_state = 87, .external_lex_state = 5},
  [7030] = {.lex_state = 8, .external_lex_state = 7},
  [7031] = {.lex_state = 87, .external_lex_state = 5},
  [7032] = {.lex_state = 0, .external_lex_state = 7},
  [7033] = {.lex_state = 0, .external_lex_state = 7},
  [7034] = {.lex_state = 0, .external_lex_state = 7},
  [7035] = {.lex_state = 0, .external_lex_state = 7},
  [7036] = {.lex_state = 0, .external_lex_state = 7},
  [7037] = {.lex_state = 0, .external_lex_state = 7},
  [7038] = {.lex_state = 0, .external_lex_state = 7},
  [7039] = {.lex_state = 87, .external_lex_state = 5},
  [7040] = {.lex_state = 0, .external_lex_state = 5},
  [7041] = {.lex_state = 0, .external_lex_state = 7},
  [7042] = {.lex_state = 87, .external_lex_state = 5},
  [7043] = {.lex_state = 0, .external_lex_state = 7},
  [7044] = {.lex_state = 8, .external_lex_state = 7},
  [7045] = {.lex_state = 0, .external_lex_state = 7},
  [7046] = {.lex_state = 87, .external_lex_state = 5},
  [7047] = {.lex_state = 0, .external_lex_state = 7},
  [7048] = {.lex_state = 0, .external_lex_state = 7},
  [7049] = {.lex_state = 0, .external_lex_state = 7},
  [7050] = {.lex_state = 0, .external_lex_state = 6},
  [7051] = {.lex_state = 0, .external_lex_state = 7},
  [7052] = {.lex_state = 0, .external_lex_state = 7},
  [7053] = {.lex_state = 0, .external_lex_state = 7},
  [7054] = {.lex_state = 87, .external_lex_state = 5},
  [7055] = {.lex_state = 0, .external_lex_state = 7},
  [7056] = {.lex_state = 0, .external_lex_state = 7},
  [7057] = {.lex_state = 0, .external_lex_state = 7},
  [7058] = {.lex_state = 0, .external_lex_state = 7},
  [7059] = {.lex_state = 0, .external_lex_state = 7},
  [7060] = {.lex_state = 0, .external_lex_state = 7},
  [7061] = {.lex_state = 0, .external_lex_state = 7},
  [7062] = {.lex_state = 0, .external_lex_state = 5},
  [7063] = {.lex_state = 0, .external_lex_state = 7},
  [7064] = {.lex_state = 0, .external_lex_state = 7},
  [7065] = {.lex_state = 0, .external_lex_state = 7},
  [7066] = {.lex_state = 0, .external_lex_state = 7},
  [7067] = {.lex_state = 0, .external_lex_state = 5},
  [7068] = {.lex_state = 0, .external_lex_state = 7},
  [7069] = {.lex_state = 0, .external_lex_state = 7},
  [7070] = {.lex_state = 0, .external_lex_state = 7},
  [7071] = {.lex_state = 0, .external_lex_state = 7},
  [7072] = {.lex_state = 0, .external_lex_state = 7},
  [7073] = {.lex_state = 0, .external_lex_state = 7},
  [7074] = {.lex_state = 0, .external_lex_state = 7},
  [7075] = {.lex_state = 0, .external_lex_state = 7},
  [7076] = {.lex_state = 0, .external_lex_state = 7},
  [7077] = {.lex_state = 0, .external_lex_state = 7},
  [7078] = {.lex_state = 0, .external_lex_state = 7},
  [7079] = {.lex_state = 0, .external_lex_state = 7},
  [7080] = {.lex_state = 0, .external_lex_state = 7},
  [7081] = {.lex_state = 0, .external_lex_state = 7},
  [7082] = {.lex_state = 21, .external_lex_state = 5},
  [7083] = {.lex_state = 0, .external_lex_state = 5},
  [7084] = {.lex_state = 0, .external_lex_state = 7},
  [7085] = {.lex_state = 0, .external_lex_state = 7},
  [7086] = {.lex_state = 0, .external_lex_state = 7},
  [7087] = {.lex_state = 0, .external_lex_state = 5},
  [7088] = {.lex_state = 0, .external_lex_state = 7},
  [7089] = {.lex_state = 0, .external_lex_state = 7},
  [7090] = {.lex_state = 0, .external_lex_state = 7},
  [7091] = {.lex_state = 0, .external_lex_state = 7},
  [7092] = {.lex_state = 0, .external_lex_state = 7},
  [7093] = {.lex_state = 0, .external_lex_state = 7},
  [7094] = {.lex_state = 0, .external_lex_state = 7},
  [7095] = {.lex_state = 0, .external_lex_state = 7},
  [7096] = {.lex_state = 0, .external_lex_state = 7},
  [7097] = {.lex_state = 0, .external_lex_state = 7},
  [7098] = {.lex_state = 0, .external_lex_state = 7},
  [7099] = {.lex_state = 0, .external_lex_state = 7},
  [7100] = {.lex_state = 0, .external_lex_state = 7},
  [7101] = {.lex_state = 0, .external_lex_state = 7},
  [7102] = {.lex_state = 0, .external_lex_state = 7},
  [7103] = {.lex_state = 87, .external_lex_state = 7},
  [7104] = {.lex_state = 0, .external_lex_state = 7},
  [7105] = {.lex_state = 0, .external_lex_state = 7},
  [7106] = {.lex_state = 0, .external_lex_state = 7},
  [7107] = {.lex_state = 0, .external_lex_state = 7},
  [7108] = {.lex_state = 0, .external_lex_state = 7},
  [7109] = {.lex_state = 0, .external_lex_state = 7},
  [7110] = {.lex_state = 0, .external_lex_state = 7},
  [7111] = {.lex_state = 0, .external_lex_state = 7},
  [7112] = {.lex_state = 0, .external_lex_state = 7},
  [7113] = {.lex_state = 0, .external_lex_state = 7},
  [7114] = {.lex_state = 0, .external_lex_state = 7},
  [7115] = {.lex_state = 0, .external_lex_state = 7},
  [7116] = {.lex_state = 0, .external_lex_state = 7},
  [7117] = {.lex_state = 0, .external_lex_state = 7},
  [7118] = {.lex_state = 0, .external_lex_state = 7},
  [7119] = {.lex_state = 0, .external_lex_state = 7},
  [7120] = {.lex_state = 0, .external_lex_state = 7},
  [7121] = {.lex_state = 0, .external_lex_state = 7},
  [7122] = {.lex_state = 0, .external_lex_state = 7},
  [7123] = {.lex_state = 0, .external_lex_state = 7},
  [7124] = {.lex_state = 0, .external_lex_state = 7},
  [7125] = {.lex_state = 0, .external_lex_state = 7},
  [7126] = {.lex_state = 0, .external_lex_state = 7},
  [7127] = {.lex_state = 0, .external_lex_state = 7},
  [7128] = {.lex_state = 0, .external_lex_state = 7},
  [7129] = {.lex_state = 0, .external_lex_state = 7},
  [7130] = {.lex_state = 0, .external_lex_state = 7},
  [7131] = {.lex_state = 0, .external_lex_state = 7},
  [7132] = {.lex_state = 0, .external_lex_state = 7},
  [7133] = {.lex_state = 0, .external_lex_state = 5},
  [7134] = {.lex_state = 0, .external_lex_state = 7},
  [7135] = {.lex_state = 0, .external_lex_state = 7},
  [7136] = {.lex_state = 0, .external_lex_state = 7},
  [7137] = {.lex_state = 0, .external_lex_state = 7},
  [7138] = {.lex_state = 0, .external_lex_state = 7},
  [7139] = {.lex_state = 0, .external_lex_state = 7},
  [7140] = {.lex_state = 0, .external_lex_state = 7},
  [7141] = {.lex_state = 0, .external_lex_state = 7},
  [7142] = {.lex_state = 0, .external_lex_state = 7},
  [7143] = {.lex_state = 0, .external_lex_state = 7},
  [7144] = {.lex_state = 0, .external_lex_state = 7},
  [7145] = {.lex_state = 0, .external_lex_state = 7},
  [7146] = {.lex_state = 87, .external_lex_state = 5},
  [7147] = {.lex_state = 0, .external_lex_state = 7},
  [7148] = {.lex_state = 0, .external_lex_state = 7},
  [7149] = {.lex_state = 0, .external_lex_state = 7},
  [7150] = {.lex_state = 0, .external_lex_state = 7},
  [7151] = {.lex_state = 0, .external_lex_state = 7},
  [7152] = {.lex_state = 0, .external_lex_state = 7},
  [7153] = {.lex_state = 0, .external_lex_state = 7},
  [7154] = {.lex_state = 0, .external_lex_state = 7},
  [7155] = {.lex_state = 0, .external_lex_state = 7},
  [7156] = {.lex_state = 0, .external_lex_state = 7},
  [7157] = {.lex_state = 0, .external_lex_state = 7},
  [7158] = {.lex_state = 0, .external_lex_state = 7},
  [7159] = {.lex_state = 0, .external_lex_state = 7},
  [7160] = {.lex_state = 0, .external_lex_state = 7},
  [7161] = {.lex_state = 0, .external_lex_state = 6},
  [7162] = {.lex_state = 0, .external_lex_state = 7},
  [7163] = {.lex_state = 0, .external_lex_state = 7},
  [7164] = {.lex_state = 0, .external_lex_state = 7},
  [7165] = {.lex_state = 0, .external_lex_state = 7},
  [7166] = {.lex_state = 0, .external_lex_state = 7},
  [7167] = {.lex_state = 0, .external_lex_state = 7},
  [7168] = {.lex_state = 0, .external_lex_state = 5},
  [7169] = {.lex_state = 0, .external_lex_state = 7},
  [7170] = {.lex_state = 27, .external_lex_state = 7},
  [7171] = {.lex_state = 0, .external_lex_state = 7},
  [7172] = {.lex_state = 0, .external_lex_state = 5},
  [7173] = {.lex_state = 0, .external_lex_state = 7},
  [7174] = {.lex_state = 0, .external_lex_state = 7},
  [7175] = {.lex_state = 0, .external_lex_state = 7},
  [7176] = {.lex_state = 0, .external_lex_state = 7},
  [7177] = {.lex_state = 0, .external_lex_state = 7},
  [7178] = {.lex_state = 0, .external_lex_state = 7},
  [7179] = {.lex_state = 0, .external_lex_state = 7},
  [7180] = {.lex_state = 0, .external_lex_state = 5},
  [7181] = {.lex_state = 0, .external_lex_state = 6},
  [7182] = {.lex_state = 27, .external_lex_state = 7},
  [7183] = {.lex_state = 0, .external_lex_state = 7},
  [7184] = {.lex_state = 0, .external_lex_state = 5},
  [7185] = {.lex_state = 0, .external_lex_state = 7},
  [7186] = {.lex_state = 0, .external_lex_state = 7},
  [7187] = {.lex_state = 0, .external_lex_state = 7},
  [7188] = {.lex_state = 0, .external_lex_state = 7},
  [7189] = {.lex_state = 0, .external_lex_state = 7},
  [7190] = {.lex_state = 0, .external_lex_state = 7},
  [7191] = {.lex_state = 0, .external_lex_state = 7},
  [7192] = {.lex_state = 0, .external_lex_state = 7},
  [7193] = {.lex_state = 0, .external_lex_state = 7},
  [7194] = {.lex_state = 0, .external_lex_state = 7},
  [7195] = {.lex_state = 0, .external_lex_state = 7},
  [7196] = {.lex_state = 0, .external_lex_state = 7},
  [7197] = {.lex_state = 0, .external_lex_state = 7},
  [7198] = {.lex_state = 0, .external_lex_state = 7},
  [7199] = {.lex_state = 0, .external_lex_state = 5},
  [7200] = {.lex_state = 0, .external_lex_state = 5},
  [7201] = {.lex_state = 0, .external_lex_state = 7},
  [7202] = {.lex_state = 0, .external_lex_state = 7},
  [7203] = {.lex_state = 0, .external_lex_state = 7},
  [7204] = {.lex_state = 0, .external_lex_state = 7},
  [7205] = {.lex_state = 0, .external_lex_state = 7},
  [7206] = {.lex_state = 0, .external_lex_state = 7},
  [7207] = {.lex_state = 0, .external_lex_state = 7},
  [7208] = {.lex_state = 0, .external_lex_state = 7},
  [7209] = {.lex_state = 0, .external_lex_state = 7},
  [7210] = {.lex_state = 0, .external_lex_state = 7},
  [7211] = {.lex_state = 0, .external_lex_state = 7},
  [7212] = {.lex_state = 0, .external_lex_state = 7},
  [7213] = {.lex_state = 0, .external_lex_state = 7},
  [7214] = {.lex_state = 0, .external_lex_state = 7},
  [7215] = {.lex_state = 0, .external_lex_state = 7},
  [7216] = {.lex_state = 0, .external_lex_state = 7},
  [7217] = {.lex_state = 0, .external_lex_state = 7},
  [7218] = {.lex_state = 0, .external_lex_state = 7},
  [7219] = {.lex_state = 27, .external_lex_state = 7},
  [7220] = {.lex_state = 0, .external_lex_state = 7},
  [7221] = {.lex_state = 0, .external_lex_state = 7},
  [7222] = {.lex_state = 0, .external_lex_state = 7},
  [7223] = {.lex_state = 0, .external_lex_state = 7},
  [7224] = {.lex_state = 0, .external_lex_state = 7},
  [7225] = {.lex_state = 0, .external_lex_state = 7},
  [7226] = {.lex_state = 0, .external_lex_state = 7},
  [7227] = {.lex_state = 0, .external_lex_state = 7},
  [7228] = {.lex_state = 0, .external_lex_state = 7},
  [7229] = {.lex_state = 0, .external_lex_state = 7},
  [7230] = {.lex_state = 0, .external_lex_state = 7},
  [7231] = {.lex_state = 0, .external_lex_state = 7},
  [7232] = {.lex_state = 0, .external_lex_state = 7},
  [7233] = {.lex_state = 0, .external_lex_state = 7},
  [7234] = {.lex_state = 0, .external_lex_state = 7},
  [7235] = {.lex_state = 0, .external_lex_state = 7},
  [7236] = {.lex_state = 0, .external_lex_state = 7},
  [7237] = {.lex_state = 0, .external_lex_state = 7},
  [7238] = {.lex_state = 0, .external_lex_state = 7},
  [7239] = {.lex_state = 0, .external_lex_state = 7},
  [7240] = {.lex_state = 0, .external_lex_state = 7},
  [7241] = {.lex_state = 0, .external_lex_state = 7},
  [7242] = {.lex_state = 0, .external_lex_state = 7},
  [7243] = {.lex_state = 0, .external_lex_state = 7},
  [7244] = {.lex_state = 0, .external_lex_state = 7},
  [7245] = {.lex_state = 0, .external_lex_state = 7},
  [7246] = {.lex_state = 0, .external_lex_state = 7},
  [7247] = {.lex_state = 0, .external_lex_state = 7},
  [7248] = {.lex_state = 0, .external_lex_state = 7},
  [7249] = {.lex_state = 0, .external_lex_state = 5},
  [7250] = {.lex_state = 0, .external_lex_state = 7},
  [7251] = {.lex_state = 0, .external_lex_state = 7},
  [7252] = {.lex_state = 0, .external_lex_state = 7},
  [7253] = {.lex_state = 0, .external_lex_state = 6},
  [7254] = {.lex_state = 0, .external_lex_state = 7},
  [7255] = {.lex_state = 0, .external_lex_state = 7},
  [7256] = {.lex_state = 0, .external_lex_state = 7},
  [7257] = {.lex_state = 0, .external_lex_state = 7},
  [7258] = {.lex_state = 0, .external_lex_state = 7},
  [7259] = {.lex_state = 0, .external_lex_state = 7},
  [7260] = {.lex_state = 0, .external_lex_state = 7},
  [7261] = {.lex_state = 0, .external_lex_state = 7},
  [7262] = {.lex_state = 0, .external_lex_state = 7},
  [7263] = {.lex_state = 0, .external_lex_state = 7},
  [7264] = {.lex_state = 0, .external_lex_state = 7},
  [7265] = {.lex_state = 0, .external_lex_state = 7},
  [7266] = {.lex_state = 0, .external_lex_state = 7},
  [7267] = {.lex_state = 27, .external_lex_state = 7},
  [7268] = {.lex_state = 0, .external_lex_state = 7},
  [7269] = {.lex_state = 0, .external_lex_state = 7},
  [7270] = {.lex_state = 0, .external_lex_state = 7},
  [7271] = {.lex_state = 0, .external_lex_state = 7},
  [7272] = {.lex_state = 0, .external_lex_state = 7},
  [7273] = {.lex_state = 0, .external_lex_state = 7},
  [7274] = {.lex_state = 0, .external_lex_state = 7},
  [7275] = {.lex_state = 0, .external_lex_state = 7},
  [7276] = {.lex_state = 0, .external_lex_state = 7},
  [7277] = {.lex_state = 0, .external_lex_state = 7},
  [7278] = {.lex_state = 0, .external_lex_state = 7},
  [7279] = {.lex_state = 0, .external_lex_state = 7},
  [7280] = {.lex_state = 0, .external_lex_state = 7},
  [7281] = {.lex_state = 0, .external_lex_state = 7},
  [7282] = {.lex_state = 0, .external_lex_state = 5},
  [7283] = {.lex_state = 0, .external_lex_state = 7},
  [7284] = {.lex_state = 0, .external_lex_state = 7},
  [7285] = {.lex_state = 0, .external_lex_state = 7},
  [7286] = {.lex_state = 0, .external_lex_state = 7},
  [7287] = {.lex_state = 0, .external_lex_state = 7},
  [7288] = {.lex_state = 0, .external_lex_state = 7},
  [7289] = {.lex_state = 0, .external_lex_state = 7},
  [7290] = {.lex_state = 0, .external_lex_state = 7},
  [7291] = {.lex_state = 0, .external_lex_state = 7},
  [7292] = {.lex_state = 0, .external_lex_state = 7},
  [7293] = {.lex_state = 0, .external_lex_state = 7},
  [7294] = {.lex_state = 0, .external_lex_state = 7},
  [7295] = {.lex_state = 0, .external_lex_state = 5},
  [7296] = {.lex_state = 0, .external_lex_state = 7},
  [7297] = {.lex_state = 0, .external_lex_state = 5},
  [7298] = {.lex_state = 27, .external_lex_state = 7},
  [7299] = {.lex_state = 0, .external_lex_state = 7},
  [7300] = {.lex_state = 27, .external_lex_state = 7},
  [7301] = {.lex_state = 0, .external_lex_state = 7},
  [7302] = {.lex_state = 0, .external_lex_state = 7},
  [7303] = {.lex_state = 0, .external_lex_state = 7},
  [7304] = {.lex_state = 0, .external_lex_state = 7},
  [7305] = {.lex_state = 0, .external_lex_state = 7},
  [7306] = {.lex_state = 0, .external_lex_state = 7},
  [7307] = {.lex_state = 27, .external_lex_state = 7},
  [7308] = {.lex_state = 0, .external_lex_state = 7},
  [7309] = {.lex_state = 0, .external_lex_state = 7},
  [7310] = {.lex_state = 0, .external_lex_state = 5},
  [7311] = {.lex_state = 0, .external_lex_state = 7},
  [7312] = {.lex_state = 0, .external_lex_state = 5},
  [7313] = {.lex_state = 0, .external_lex_state = 7},
  [7314] = {.lex_state = 0, .external_lex_state = 7},
  [7315] = {.lex_state = 0, .external_lex_state = 7},
  [7316] = {.lex_state = 0, .external_lex_state = 7},
  [7317] = {.lex_state = 0, .external_lex_state = 7},
  [7318] = {.lex_state = 0, .external_lex_state = 7},
  [7319] = {.lex_state = 0, .external_lex_state = 7},
  [7320] = {.lex_state = 0, .external_lex_state = 7},
  [7321] = {.lex_state = 0, .external_lex_state = 7},
  [7322] = {.lex_state = 0, .external_lex_state = 7},
  [7323] = {.lex_state = 0, .external_lex_state = 7},
  [7324] = {.lex_state = 0, .external_lex_state = 7},
  [7325] = {.lex_state = 0, .external_lex_state = 7},
  [7326] = {.lex_state = 27, .external_lex_state = 7},
  [7327] = {.lex_state = 0, .external_lex_state = 7},
  [7328] = {.lex_state = 0, .external_lex_state = 7},
  [7329] = {.lex_state = 0, .external_lex_state = 7},
  [7330] = {.lex_state = 0, .external_lex_state = 7},
  [7331] = {.lex_state = 0, .external_lex_state = 7},
  [7332] = {.lex_state = 0, .external_lex_state = 7},
  [7333] = {.lex_state = 0, .external_lex_state = 7},
  [7334] = {.lex_state = 0, .external_lex_state = 7},
  [7335] = {.lex_state = 0, .external_lex_state = 7},
  [7336] = {.lex_state = 0, .external_lex_state = 5},
  [7337] = {.lex_state = 0, .external_lex_state = 7},
  [7338] = {.lex_state = 0, .external_lex_state = 7},
  [7339] = {.lex_state = 0, .external_lex_state = 7},
  [7340] = {.lex_state = 0, .external_lex_state = 7},
  [7341] = {.lex_state = 0, .external_lex_state = 5},
  [7342] = {.lex_state = 0, .external_lex_state = 7},
  [7343] = {.lex_state = 0, .external_lex_state = 7},
  [7344] = {.lex_state = 0, .external_lex_state = 7},
  [7345] = {.lex_state = 0, .external_lex_state = 7},
  [7346] = {.lex_state = 0, .external_lex_state = 7},
  [7347] = {.lex_state = 0, .external_lex_state = 7},
  [7348] = {.lex_state = 0, .external_lex_state = 7},
  [7349] = {.lex_state = 0, .external_lex_state = 7},
  [7350] = {.lex_state = 0, .external_lex_state = 7},
  [7351] = {.lex_state = 0, .external_lex_state = 5},
  [7352] = {.lex_state = 0, .external_lex_state = 7},
  [7353] = {.lex_state = 0, .external_lex_state = 7},
  [7354] = {.lex_state = 0, .external_lex_state = 7},
  [7355] = {.lex_state = 0, .external_lex_state = 7},
  [7356] = {.lex_state = 87, .external_lex_state = 5},
  [7357] = {.lex_state = 0, .external_lex_state = 7},
  [7358] = {.lex_state = 0, .external_lex_state = 7},
  [7359] = {.lex_state = 0, .external_lex_state = 5},
  [7360] = {.lex_state = 0, .external_lex_state = 7},
  [7361] = {.lex_state = 0, .external_lex_state = 7},
  [7362] = {.lex_state = 0, .external_lex_state = 7},
  [7363] = {.lex_state = 0, .external_lex_state = 7},
  [7364] = {.lex_state = 0, .external_lex_state = 7},
  [7365] = {.lex_state = 0, .external_lex_state = 7},
  [7366] = {.lex_state = 0, .external_lex_state = 7},
  [7367] = {.lex_state = 0, .external_lex_state = 7},
  [7368] = {.lex_state = 0, .external_lex_state = 7},
  [7369] = {.lex_state = 0, .external_lex_state = 7},
  [7370] = {.lex_state = 0, .external_lex_state = 7},
  [7371] = {.lex_state = 0, .external_lex_state = 7},
  [7372] = {.lex_state = 0, .external_lex_state = 7},
  [7373] = {.lex_state = 0, .external_lex_state = 7},
  [7374] = {.lex_state = 0, .external_lex_state = 7},
  [7375] = {.lex_state = 0, .external_lex_state = 5},
  [7376] = {.lex_state = 0, .external_lex_state = 7},
  [7377] = {.lex_state = 0, .external_lex_state = 7},
  [7378] = {.lex_state = 0, .external_lex_state = 7},
  [7379] = {.lex_state = 0, .external_lex_state = 7},
  [7380] = {.lex_state = 0, .external_lex_state = 7},
  [7381] = {.lex_state = 0, .external_lex_state = 7},
  [7382] = {.lex_state = 0, .external_lex_state = 7},
  [7383] = {.lex_state = 0, .external_lex_state = 7},
  [7384] = {.lex_state = 0, .external_lex_state = 7},
  [7385] = {.lex_state = 0, .external_lex_state = 7},
  [7386] = {.lex_state = 87, .external_lex_state = 5},
  [7387] = {.lex_state = 0, .external_lex_state = 7},
  [7388] = {.lex_state = 0, .external_lex_state = 7},
  [7389] = {.lex_state = 0, .external_lex_state = 7},
  [7390] = {.lex_state = 0, .external_lex_state = 7},
  [7391] = {.lex_state = 0, .external_lex_state = 7},
  [7392] = {.lex_state = 0, .external_lex_state = 7},
  [7393] = {.lex_state = 0, .external_lex_state = 7},
  [7394] = {.lex_state = 0, .external_lex_state = 7},
  [7395] = {.lex_state = 0, .external_lex_state = 7},
  [7396] = {.lex_state = 0, .external_lex_state = 7},
  [7397] = {.lex_state = 0, .external_lex_state = 7},
  [7398] = {.lex_state = 0, .external_lex_state = 7},
  [7399] = {.lex_state = 0, .external_lex_state = 7},
  [7400] = {.lex_state = 0, .external_lex_state = 7},
  [7401] = {.lex_state = 0, .external_lex_state = 7},
  [7402] = {.lex_state = 0, .external_lex_state = 7},
  [7403] = {.lex_state = 0, .external_lex_state = 7},
  [7404] = {.lex_state = 0, .external_lex_state = 7},
  [7405] = {.lex_state = 0, .external_lex_state = 7},
  [7406] = {.lex_state = 0, .external_lex_state = 7},
  [7407] = {.lex_state = 0, .external_lex_state = 7},
  [7408] = {.lex_state = 0, .external_lex_state = 7},
  [7409] = {.lex_state = 0, .external_lex_state = 7},
  [7410] = {.lex_state = 0, .external_lex_state = 7},
  [7411] = {.lex_state = 0, .external_lex_state = 7},
  [7412] = {.lex_state = 0, .external_lex_state = 7},
  [7413] = {.lex_state = 0, .external_lex_state = 7},
  [7414] = {.lex_state = 0, .external_lex_state = 7},
  [7415] = {.lex_state = 0, .external_lex_state = 5},
  [7416] = {.lex_state = 0, .external_lex_state = 5},
  [7417] = {.lex_state = 0, .external_lex_state = 7},
  [7418] = {.lex_state = 0, .external_lex_state = 5},
  [7419] = {.lex_state = 0, .external_lex_state = 7},
  [7420] = {.lex_state = 0, .external_lex_state = 7},
  [7421] = {.lex_state = 0, .external_lex_state = 7},
  [7422] = {.lex_state = 0, .external_lex_state = 7},
  [7423] = {.lex_state = 0, .external_lex_state = 7},
  [7424] = {.lex_state = 0, .external_lex_state = 7},
  [7425] = {.lex_state = 0, .external_lex_state = 7},
  [7426] = {.lex_state = 0, .external_lex_state = 7},
  [7427] = {.lex_state = 0, .external_lex_state = 6},
  [7428] = {.lex_state = 0, .external_lex_state = 7},
  [7429] = {.lex_state = 27, .external_lex_state = 7},
  [7430] = {.lex_state = 0, .external_lex_state = 7},
  [7431] = {.lex_state = 0, .external_lex_state = 7},
  [7432] = {.lex_state = 0, .external_lex_state = 7},
  [7433] = {.lex_state = 27, .external_lex_state = 7},
  [7434] = {.lex_state = 0, .external_lex_state = 7},
  [7435] = {.lex_state = 0, .external_lex_state = 7},
  [7436] = {.lex_state = 0, .external_lex_state = 7},
  [7437] = {.lex_state = 0, .external_lex_state = 7},
  [7438] = {.lex_state = 0, .external_lex_state = 7},
  [7439] = {.lex_state = 27, .external_lex_state = 7},
  [7440] = {.lex_state = 0, .external_lex_state = 7},
  [7441] = {.lex_state = 0, .external_lex_state = 7},
  [7442] = {.lex_state = 0, .external_lex_state = 7},
  [7443] = {.lex_state = 0, .external_lex_state = 7},
  [7444] = {.lex_state = 0, .external_lex_state = 5},
  [7445] = {.lex_state = 0, .external_lex_state = 7},
  [7446] = {.lex_state = 0, .external_lex_state = 7},
  [7447] = {.lex_state = 0, .external_lex_state = 7},
  [7448] = {.lex_state = 0, .external_lex_state = 7},
  [7449] = {.lex_state = 0, .external_lex_state = 7},
  [7450] = {.lex_state = 0, .external_lex_state = 7},
  [7451] = {.lex_state = 0, .external_lex_state = 7},
  [7452] = {.lex_state = 0, .external_lex_state = 7},
  [7453] = {.lex_state = 0, .external_lex_state = 7},
  [7454] = {.lex_state = 0, .external_lex_state = 7},
  [7455] = {.lex_state = 0, .external_lex_state = 7},
  [7456] = {.lex_state = 0, .external_lex_state = 7},
  [7457] = {.lex_state = 0, .external_lex_state = 7},
  [7458] = {.lex_state = 0, .external_lex_state = 7},
  [7459] = {.lex_state = 0, .external_lex_state = 7},
  [7460] = {.lex_state = 0, .external_lex_state = 7},
  [7461] = {.lex_state = 0, .external_lex_state = 7},
  [7462] = {.lex_state = 0, .external_lex_state = 7},
  [7463] = {.lex_state = 0, .external_lex_state = 5},
  [7464] = {.lex_state = 0, .external_lex_state = 7},
  [7465] = {.lex_state = 0, .external_lex_state = 7},
  [7466] = {.lex_state = 0, .external_lex_state = 7},
  [7467] = {.lex_state = 0, .external_lex_state = 7},
  [7468] = {.lex_state = 0, .external_lex_state = 7},
  [7469] = {.lex_state = 0, .external_lex_state = 7},
  [7470] = {.lex_state = 0, .external_lex_state = 7},
  [7471] = {.lex_state = 0, .external_lex_state = 7},
  [7472] = {.lex_state = 0, .external_lex_state = 7},
  [7473] = {.lex_state = 0, .external_lex_state = 7},
  [7474] = {.lex_state = 0, .external_lex_state = 7},
  [7475] = {.lex_state = 0, .external_lex_state = 7},
  [7476] = {.lex_state = 0, .external_lex_state = 7},
  [7477] = {.lex_state = 0, .external_lex_state = 7},
  [7478] = {.lex_state = 0, .external_lex_state = 7},
  [7479] = {.lex_state = 0, .external_lex_state = 7},
  [7480] = {.lex_state = 0, .external_lex_state = 7},
  [7481] = {.lex_state = 87, .external_lex_state = 5},
  [7482] = {.lex_state = 0, .external_lex_state = 7},
  [7483] = {.lex_state = 0, .external_lex_state = 5},
  [7484] = {.lex_state = 0, .external_lex_state = 7},
  [7485] = {.lex_state = 0, .external_lex_state = 7},
  [7486] = {.lex_state = 0, .external_lex_state = 7},
  [7487] = {.lex_state = 0, .external_lex_state = 7},
  [7488] = {.lex_state = 0, .external_lex_state = 7},
  [7489] = {.lex_state = 0, .external_lex_state = 7},
  [7490] = {.lex_state = 0, .external_lex_state = 7},
  [7491] = {.lex_state = 0, .external_lex_state = 7},
  [7492] = {.lex_state = 0, .external_lex_state = 7},
  [7493] = {.lex_state = 0, .external_lex_state = 7},
  [7494] = {.lex_state = 0, .external_lex_state = 7},
  [7495] = {.lex_state = 0, .external_lex_state = 7},
  [7496] = {.lex_state = 0, .external_lex_state = 7},
  [7497] = {.lex_state = 0, .external_lex_state = 7},
  [7498] = {.lex_state = 0, .external_lex_state = 7},
  [7499] = {.lex_state = 87, .external_lex_state = 5},
  [7500] = {.lex_state = 0, .external_lex_state = 7},
  [7501] = {.lex_state = 0, .external_lex_state = 7},
  [7502] = {.lex_state = 0, .external_lex_state = 7},
  [7503] = {.lex_state = 0, .external_lex_state = 7},
  [7504] = {.lex_state = 0, .external_lex_state = 7},
  [7505] = {.lex_state = 0, .external_lex_state = 7},
  [7506] = {.lex_state = 0, .external_lex_state = 7},
  [7507] = {.lex_state = 0, .external_lex_state = 7},
  [7508] = {.lex_state = 0, .external_lex_state = 7},
  [7509] = {.lex_state = 0, .external_lex_state = 7},
  [7510] = {.lex_state = 0, .external_lex_state = 7},
  [7511] = {.lex_state = 0, .external_lex_state = 7},
  [7512] = {.lex_state = 0, .external_lex_state = 7},
  [7513] = {.lex_state = 0, .external_lex_state = 7},
  [7514] = {.lex_state = 0, .external_lex_state = 7},
  [7515] = {.lex_state = 0, .external_lex_state = 7},
  [7516] = {.lex_state = 0, .external_lex_state = 7},
  [7517] = {.lex_state = 0, .external_lex_state = 5},
  [7518] = {.lex_state = 0, .external_lex_state = 7},
  [7519] = {.lex_state = 0, .external_lex_state = 7},
  [7520] = {.lex_state = 0, .external_lex_state = 7},
  [7521] = {.lex_state = 0, .external_lex_state = 7},
  [7522] = {.lex_state = 0, .external_lex_state = 7},
  [7523] = {.lex_state = 0, .external_lex_state = 7},
  [7524] = {.lex_state = 0, .external_lex_state = 5},
  [7525] = {.lex_state = 0, .external_lex_state = 7},
  [7526] = {.lex_state = 0, .external_lex_state = 7},
  [7527] = {.lex_state = 0, .external_lex_state = 7},
  [7528] = {.lex_state = 0, .external_lex_state = 7},
  [7529] = {.lex_state = 0, .external_lex_state = 5},
  [7530] = {.lex_state = 0, .external_lex_state = 7},
  [7531] = {.lex_state = 0, .external_lex_state = 7},
  [7532] = {.lex_state = 0, .external_lex_state = 7},
  [7533] = {.lex_state = 0, .external_lex_state = 7},
  [7534] = {.lex_state = 0, .external_lex_state = 7},
  [7535] = {.lex_state = 0, .external_lex_state = 7},
  [7536] = {.lex_state = 0, .external_lex_state = 7},
  [7537] = {.lex_state = 0, .external_lex_state = 7},
  [7538] = {.lex_state = 0, .external_lex_state = 7},
  [7539] = {.lex_state = 0, .external_lex_state = 7},
  [7540] = {.lex_state = 0, .external_lex_state = 7},
  [7541] = {.lex_state = 27, .external_lex_state = 7},
  [7542] = {.lex_state = 0, .external_lex_state = 7},
  [7543] = {.lex_state = 0, .external_lex_state = 7},
  [7544] = {.lex_state = 0, .external_lex_state = 7},
  [7545] = {.lex_state = 0, .external_lex_state = 7},
  [7546] = {.lex_state = 0, .external_lex_state = 7},
  [7547] = {.lex_state = 0, .external_lex_state = 7},
  [7548] = {.lex_state = 87, .external_lex_state = 5},
  [7549] = {.lex_state = 0, .external_lex_state = 7},
  [7550] = {.lex_state = 0, .external_lex_state = 5},
  [7551] = {.lex_state = 0, .external_lex_state = 7},
  [7552] = {.lex_state = 0, .external_lex_state = 7},
  [7553] = {.lex_state = 0, .external_lex_state = 5},
  [7554] = {.lex_state = 0, .external_lex_state = 7},
  [7555] = {.lex_state = 0, .external_lex_state = 5},
  [7556] = {.lex_state = 0, .external_lex_state = 7},
  [7557] = {.lex_state = 0, .external_lex_state = 5},
  [7558] = {.lex_state = 0, .external_lex_state = 5},
  [7559] = {.lex_state = 0, .external_lex_state = 7},
  [7560] = {.lex_state = 0, .external_lex_state = 5},
  [7561] = {.lex_state = 0, .external_lex_state = 7},
  [7562] = {.lex_state = 0, .external_lex_state = 5},
  [7563] = {.lex_state = 0, .external_lex_state = 5},
  [7564] = {.lex_state = 0, .external_lex_state = 5},
  [7565] = {.lex_state = 0, .external_lex_state = 7},
  [7566] = {.lex_state = 0, .external_lex_state = 7},
  [7567] = {.lex_state = 0, .external_lex_state = 7},
  [7568] = {.lex_state = 0, .external_lex_state = 5},
  [7569] = {.lex_state = 0, .external_lex_state = 7},
  [7570] = {.lex_state = 0, .external_lex_state = 7},
  [7571] = {.lex_state = 0, .external_lex_state = 7},
  [7572] = {.lex_state = 0, .external_lex_state = 7},
  [7573] = {.lex_state = 0, .external_lex_state = 7},
  [7574] = {.lex_state = 0, .external_lex_state = 7},
  [7575] = {.lex_state = 0, .external_lex_state = 7},
  [7576] = {.lex_state = 0, .external_lex_state = 7},
  [7577] = {.lex_state = 0, .external_lex_state = 7},
  [7578] = {.lex_state = 0, .external_lex_state = 7},
  [7579] = {.lex_state = 0, .external_lex_state = 7},
  [7580] = {.lex_state = 0, .external_lex_state = 7},
  [7581] = {.lex_state = 0, .external_lex_state = 5},
  [7582] = {.lex_state = 0, .external_lex_state = 7},
  [7583] = {.lex_state = 0, .external_lex_state = 7},
  [7584] = {.lex_state = 0, .external_lex_state = 7},
  [7585] = {.lex_state = 0, .external_lex_state = 7},
  [7586] = {.lex_state = 0, .external_lex_state = 7},
  [7587] = {.lex_state = 0, .external_lex_state = 7},
  [7588] = {.lex_state = 27, .external_lex_state = 7},
  [7589] = {.lex_state = 0, .external_lex_state = 7},
  [7590] = {.lex_state = 0, .external_lex_state = 7},
  [7591] = {.lex_state = 0, .external_lex_state = 5},
  [7592] = {.lex_state = 0, .external_lex_state = 7},
  [7593] = {.lex_state = 0, .external_lex_state = 7},
  [7594] = {.lex_state = 27, .external_lex_state = 7},
  [7595] = {.lex_state = 27, .external_lex_state = 7},
  [7596] = {.lex_state = 0, .external_lex_state = 7},
  [7597] = {.lex_state = 0, .external_lex_state = 7},
  [7598] = {.lex_state = 0, .external_lex_state = 7},
  [7599] = {.lex_state = 0, .external_lex_state = 7},
  [7600] = {.lex_state = 27, .external_lex_state = 7},
  [7601] = {.lex_state = 0, .external_lex_state = 7},
  [7602] = {.lex_state = 0, .external_lex_state = 7},
  [7603] = {.lex_state = 0, .external_lex_state = 7},
  [7604] = {.lex_state = 0, .external_lex_state = 7},
  [7605] = {.lex_state = 0, .external_lex_state = 7},
  [7606] = {.lex_state = 0, .external_lex_state = 7},
  [7607] = {.lex_state = 0, .external_lex_state = 5},
  [7608] = {.lex_state = 0, .external_lex_state = 7},
  [7609] = {.lex_state = 0, .external_lex_state = 6},
  [7610] = {.lex_state = 0, .external_lex_state = 7},
  [7611] = {.lex_state = 27, .external_lex_state = 7},
  [7612] = {.lex_state = 0, .external_lex_state = 7},
  [7613] = {.lex_state = 0, .external_lex_state = 7},
  [7614] = {.lex_state = 0, .external_lex_state = 7},
  [7615] = {.lex_state = 0, .external_lex_state = 7},
  [7616] = {.lex_state = 0, .external_lex_state = 7},
  [7617] = {.lex_state = 0, .external_lex_state = 5},
  [7618] = {.lex_state = 0, .external_lex_state = 7},
  [7619] = {.lex_state = 0, .external_lex_state = 7},
  [7620] = {.lex_state = 0, .external_lex_state = 5},
  [7621] = {.lex_state = 0, .external_lex_state = 7},
  [7622] = {.lex_state = 0, .external_lex_state = 7},
  [7623] = {.lex_state = 0, .external_lex_state = 7},
  [7624] = {.lex_state = 0, .external_lex_state = 7},
  [7625] = {.lex_state = 0, .external_lex_state = 5},
  [7626] = {.lex_state = 27, .external_lex_state = 7},
  [7627] = {.lex_state = 0, .external_lex_state = 7},
  [7628] = {.lex_state = 0, .external_lex_state = 7},
  [7629] = {.lex_state = 0, .external_lex_state = 7},
  [7630] = {.lex_state = 27, .external_lex_state = 7},
  [7631] = {.lex_state = 0, .external_lex_state = 7},
  [7632] = {.lex_state = 0, .external_lex_state = 7},
  [7633] = {.lex_state = 0, .external_lex_state = 5},
  [7634] = {.lex_state = 0, .external_lex_state = 5},
  [7635] = {.lex_state = 0, .external_lex_state = 7},
  [7636] = {.lex_state = 0, .external_lex_state = 7},
  [7637] = {.lex_state = 0, .external_lex_state = 7},
  [7638] = {.lex_state = 0, .external_lex_state = 7},
  [7639] = {.lex_state = 0, .external_lex_state = 7},
  [7640] = {.lex_state = 0, .external_lex_state = 7},
  [7641] = {.lex_state = 27, .external_lex_state = 7},
  [7642] = {.lex_state = 0, .external_lex_state = 7},
  [7643] = {.lex_state = 0, .external_lex_state = 7},
  [7644] = {.lex_state = 0, .external_lex_state = 7},
  [7645] = {.lex_state = 0, .external_lex_state = 7},
  [7646] = {.lex_state = 0, .external_lex_state = 7},
  [7647] = {.lex_state = 0, .external_lex_state = 7},
  [7648] = {.lex_state = 0, .external_lex_state = 5},
  [7649] = {.lex_state = 0, .external_lex_state = 7},
  [7650] = {.lex_state = 0, .external_lex_state = 7},
  [7651] = {.lex_state = 0, .external_lex_state = 7},
  [7652] = {.lex_state = 0, .external_lex_state = 7},
  [7653] = {.lex_state = 0, .external_lex_state = 5},
  [7654] = {.lex_state = 0, .external_lex_state = 7},
  [7655] = {.lex_state = 0, .external_lex_state = 7},
  [7656] = {.lex_state = 0, .external_lex_state = 7},
  [7657] = {.lex_state = 0, .external_lex_state = 7},
  [7658] = {.lex_state = 0, .external_lex_state = 7},
  [7659] = {.lex_state = 0, .external_lex_state = 7},
  [7660] = {.lex_state = 0, .external_lex_state = 7},
  [7661] = {.lex_state = 0, .external_lex_state = 5},
  [7662] = {.lex_state = 27, .external_lex_state = 7},
  [7663] = {.lex_state = 0, .external_lex_state = 7},
  [7664] = {.lex_state = 0, .external_lex_state = 7},
  [7665] = {.lex_state = 0, .external_lex_state = 7},
  [7666] = {.lex_state = 0, .external_lex_state = 7},
  [7667] = {.lex_state = 0, .external_lex_state = 5},
  [7668] = {.lex_state = 0, .external_lex_state = 7},
  [7669] = {.lex_state = 0, .external_lex_state = 7},
  [7670] = {.lex_state = 0, .external_lex_state = 7},
  [7671] = {.lex_state = 0, .external_lex_state = 7},
  [7672] = {.lex_state = 0, .external_lex_state = 7},
  [7673] = {.lex_state = 0, .external_lex_state = 7},
  [7674] = {.lex_state = 0, .external_lex_state = 7},
  [7675] = {.lex_state = 0, .external_lex_state = 7},
  [7676] = {.lex_state = 0, .external_lex_state = 7},
  [7677] = {.lex_state = 0, .external_lex_state = 7},
  [7678] = {.lex_state = 0, .external_lex_state = 7},
  [7679] = {.lex_state = 0, .external_lex_state = 7},
  [7680] = {.lex_state = 0, .external_lex_state = 7},
  [7681] = {.lex_state = 0, .external_lex_state = 7},
  [7682] = {.lex_state = 0, .external_lex_state = 7},
  [7683] = {.lex_state = 0, .external_lex_state = 7},
  [7684] = {.lex_state = 0, .external_lex_state = 7},
  [7685] = {.lex_state = 0, .external_lex_state = 7},
  [7686] = {.lex_state = 0, .external_lex_state = 7},
  [7687] = {.lex_state = 0, .external_lex_state = 7},
  [7688] = {.lex_state = 0, .external_lex_state = 7},
  [7689] = {.lex_state = 0, .external_lex_state = 7},
  [7690] = {.lex_state = 0, .external_lex_state = 7},
  [7691] = {.lex_state = 0, .external_lex_state = 7},
  [7692] = {.lex_state = 0, .external_lex_state = 7},
  [7693] = {.lex_state = 0, .external_lex_state = 7},
  [7694] = {.lex_state = 0, .external_lex_state = 7},
  [7695] = {.lex_state = 0, .external_lex_state = 7},
  [7696] = {.lex_state = 0, .external_lex_state = 5},
  [7697] = {.lex_state = 0, .external_lex_state = 7},
  [7698] = {.lex_state = 87, .external_lex_state = 5},
  [7699] = {.lex_state = 0, .external_lex_state = 7},
  [7700] = {.lex_state = 0, .external_lex_state = 7},
  [7701] = {.lex_state = 0, .external_lex_state = 7},
  [7702] = {.lex_state = 0, .external_lex_state = 7},
  [7703] = {.lex_state = 27, .external_lex_state = 7},
  [7704] = {.lex_state = 0, .external_lex_state = 7},
  [7705] = {.lex_state = 0, .external_lex_state = 7},
  [7706] = {.lex_state = 27, .external_lex_state = 7},
  [7707] = {.lex_state = 0, .external_lex_state = 7},
  [7708] = {.lex_state = 0, .external_lex_state = 7},
  [7709] = {.lex_state = 0, .external_lex_state = 7},
  [7710] = {.lex_state = 0, .external_lex_state = 7},
  [7711] = {.lex_state = 0, .external_lex_state = 7},
  [7712] = {.lex_state = 0, .external_lex_state = 7},
  [7713] = {.lex_state = 27, .external_lex_state = 7},
  [7714] = {.lex_state = 0, .external_lex_state = 7},
  [7715] = {.lex_state = 0, .external_lex_state = 7},
  [7716] = {.lex_state = 0, .external_lex_state = 7},
  [7717] = {.lex_state = 0, .external_lex_state = 7},
  [7718] = {.lex_state = 0, .external_lex_state = 7},
  [7719] = {.lex_state = 0, .external_lex_state = 7},
  [7720] = {.lex_state = 0, .external_lex_state = 5},
  [7721] = {.lex_state = 0, .external_lex_state = 7},
  [7722] = {.lex_state = 0, .external_lex_state = 5},
  [7723] = {.lex_state = 0, .external_lex_state = 7},
  [7724] = {.lex_state = 0, .external_lex_state = 7},
  [7725] = {.lex_state = 0, .external_lex_state = 7},
  [7726] = {.lex_state = 0, .external_lex_state = 7},
  [7727] = {.lex_state = 0, .external_lex_state = 7},
  [7728] = {.lex_state = 0, .external_lex_state = 5},
  [7729] = {.lex_state = 0, .external_lex_state = 7},
  [7730] = {.lex_state = 0, .external_lex_state = 7},
  [7731] = {.lex_state = 0, .external_lex_state = 7},
  [7732] = {.lex_state = 27, .external_lex_state = 7},
  [7733] = {.lex_state = 0, .external_lex_state = 7},
  [7734] = {.lex_state = 0, .external_lex_state = 7},
  [7735] = {.lex_state = 0, .external_lex_state = 7},
  [7736] = {.lex_state = 0, .external_lex_state = 7},
  [7737] = {.lex_state = 0, .external_lex_state = 7},
  [7738] = {.lex_state = 0, .external_lex_state = 7},
  [7739] = {.lex_state = 0, .external_lex_state = 7},
  [7740] = {.lex_state = 0, .external_lex_state = 7},
  [7741] = {.lex_state = 0, .external_lex_state = 7},
  [7742] = {.lex_state = 0, .external_lex_state = 7},
  [7743] = {.lex_state = 0, .external_lex_state = 7},
  [7744] = {.lex_state = 0, .external_lex_state = 7},
  [7745] = {.lex_state = 0, .external_lex_state = 7},
  [7746] = {.lex_state = 0, .external_lex_state = 7},
  [7747] = {.lex_state = 0, .external_lex_state = 7},
  [7748] = {.lex_state = 0, .external_lex_state = 7},
  [7749] = {.lex_state = 0, .external_lex_state = 7},
  [7750] = {.lex_state = 0, .external_lex_state = 7},
  [7751] = {.lex_state = 0, .external_lex_state = 7},
  [7752] = {.lex_state = 0, .external_lex_state = 7},
  [7753] = {.lex_state = 0, .external_lex_state = 7},
  [7754] = {.lex_state = 0, .external_lex_state = 7},
  [7755] = {.lex_state = 0, .external_lex_state = 7},
  [7756] = {.lex_state = 0, .external_lex_state = 7},
  [7757] = {.lex_state = 0, .external_lex_state = 7},
  [7758] = {.lex_state = 0, .external_lex_state = 7},
  [7759] = {.lex_state = 0, .external_lex_state = 7},
  [7760] = {.lex_state = 0, .external_lex_state = 7},
  [7761] = {.lex_state = 0, .external_lex_state = 7},
  [7762] = {.lex_state = 0, .external_lex_state = 7},
  [7763] = {.lex_state = 0, .external_lex_state = 7},
  [7764] = {.lex_state = 87, .external_lex_state = 5},
  [7765] = {.lex_state = 0, .external_lex_state = 7},
  [7766] = {.lex_state = 0, .external_lex_state = 7},
  [7767] = {.lex_state = 0, .external_lex_state = 7},
  [7768] = {.lex_state = 0, .external_lex_state = 7},
  [7769] = {.lex_state = 0, .external_lex_state = 7},
  [7770] = {.lex_state = 0, .external_lex_state = 7},
  [7771] = {.lex_state = 0, .external_lex_state = 7},
  [7772] = {.lex_state = 0, .external_lex_state = 7},
  [7773] = {.lex_state = 0, .external_lex_state = 7},
  [7774] = {.lex_state = 0, .external_lex_state = 7},
  [7775] = {.lex_state = 0, .external_lex_state = 7},
  [7776] = {.lex_state = 0, .external_lex_state = 7},
  [7777] = {.lex_state = 0, .external_lex_state = 5},
  [7778] = {.lex_state = 0, .external_lex_state = 7},
  [7779] = {.lex_state = 0, .external_lex_state = 7},
  [7780] = {.lex_state = 0, .external_lex_state = 7},
  [7781] = {.lex_state = 0, .external_lex_state = 7},
  [7782] = {.lex_state = 0, .external_lex_state = 7},
  [7783] = {.lex_state = 0, .external_lex_state = 5},
  [7784] = {.lex_state = 0, .external_lex_state = 7},
  [7785] = {.lex_state = 0, .external_lex_state = 7},
  [7786] = {.lex_state = 0, .external_lex_state = 7},
  [7787] = {.lex_state = 0, .external_lex_state = 7},
  [7788] = {.lex_state = 0, .external_lex_state = 7},
  [7789] = {.lex_state = 0, .external_lex_state = 7},
  [7790] = {.lex_state = 0, .external_lex_state = 7},
  [7791] = {.lex_state = 0, .external_lex_state = 7},
  [7792] = {.lex_state = 0, .external_lex_state = 7},
  [7793] = {.lex_state = 0, .external_lex_state = 7},
  [7794] = {.lex_state = 0, .external_lex_state = 7},
  [7795] = {.lex_state = 0, .external_lex_state = 7},
  [7796] = {.lex_state = 0, .external_lex_state = 7},
  [7797] = {.lex_state = 0, .external_lex_state = 7},
  [7798] = {.lex_state = 0, .external_lex_state = 7},
  [7799] = {.lex_state = 0, .external_lex_state = 7},
  [7800] = {.lex_state = 0, .external_lex_state = 5},
  [7801] = {.lex_state = 0, .external_lex_state = 7},
  [7802] = {.lex_state = 0, .external_lex_state = 7},
  [7803] = {.lex_state = 0, .external_lex_state = 7},
  [7804] = {.lex_state = 0, .external_lex_state = 7},
  [7805] = {.lex_state = 28, .external_lex_state = 7},
  [7806] = {.lex_state = 0, .external_lex_state = 7},
  [7807] = {.lex_state = 0, .external_lex_state = 5},
  [7808] = {.lex_state = 0, .external_lex_state = 7},
  [7809] = {.lex_state = 0, .external_lex_state = 7},
  [7810] = {.lex_state = 0, .external_lex_state = 7},
  [7811] = {.lex_state = 0, .external_lex_state = 7},
  [7812] = {.lex_state = 0, .external_lex_state = 7},
  [7813] = {.lex_state = 0, .external_lex_state = 7},
  [7814] = {.lex_state = 0, .external_lex_state = 7},
  [7815] = {.lex_state = 0, .external_lex_state = 7},
  [7816] = {.lex_state = 0, .external_lex_state = 7},
  [7817] = {.lex_state = 0, .external_lex_state = 7},
  [7818] = {.lex_state = 0, .external_lex_state = 7},
  [7819] = {.lex_state = 0, .external_lex_state = 7},
  [7820] = {.lex_state = 0, .external_lex_state = 7},
  [7821] = {.lex_state = 28, .external_lex_state = 7},
  [7822] = {.lex_state = 0, .external_lex_state = 7},
  [7823] = {.lex_state = 0, .external_lex_state = 7},
  [7824] = {.lex_state = 0, .external_lex_state = 7},
  [7825] = {.lex_state = 0, .external_lex_state = 5},
  [7826] = {.lex_state = 0, .external_lex_state = 7},
  [7827] = {.lex_state = 87, .external_lex_state = 5},
  [7828] = {.lex_state = 0, .external_lex_state = 7},
  [7829] = {.lex_state = 0, .external_lex_state = 7},
  [7830] = {.lex_state = 0, .external_lex_state = 7},
  [7831] = {.lex_state = 0, .external_lex_state = 7},
  [7832] = {.lex_state = 0, .external_lex_state = 7},
  [7833] = {.lex_state = 87, .external_lex_state = 5},
  [7834] = {.lex_state = 0, .external_lex_state = 7},
  [7835] = {.lex_state = 28, .external_lex_state = 7},
  [7836] = {.lex_state = 0, .external_lex_state = 7},
  [7837] = {.lex_state = 0, .external_lex_state = 7},
  [7838] = {.lex_state = 0, .external_lex_state = 5},
  [7839] = {.lex_state = 0, .external_lex_state = 7},
  [7840] = {.lex_state = 0, .external_lex_state = 7},
  [7841] = {.lex_state = 0, .external_lex_state = 7},
  [7842] = {.lex_state = 0, .external_lex_state = 7},
  [7843] = {.lex_state = 0, .external_lex_state = 7},
  [7844] = {.lex_state = 0, .external_lex_state = 7},
  [7845] = {.lex_state = 0, .external_lex_state = 5},
  [7846] = {.lex_state = 0, .external_lex_state = 7},
  [7847] = {.lex_state = 28, .external_lex_state = 7},
  [7848] = {.lex_state = 0, .external_lex_state = 7},
  [7849] = {.lex_state = 0, .external_lex_state = 7},
  [7850] = {.lex_state = 0, .external_lex_state = 7},
  [7851] = {.lex_state = 0, .external_lex_state = 7},
  [7852] = {.lex_state = 0, .external_lex_state = 7},
  [7853] = {.lex_state = 0, .external_lex_state = 7},
  [7854] = {.lex_state = 0, .external_lex_state = 7},
  [7855] = {.lex_state = 0, .external_lex_state = 7},
  [7856] = {.lex_state = 0, .external_lex_state = 7},
  [7857] = {.lex_state = 0, .external_lex_state = 7},
  [7858] = {.lex_state = 0, .external_lex_state = 7},
  [7859] = {.lex_state = 0, .external_lex_state = 7},
  [7860] = {.lex_state = 0, .external_lex_state = 7},
  [7861] = {.lex_state = 28, .external_lex_state = 7},
  [7862] = {.lex_state = 0, .external_lex_state = 7},
  [7863] = {.lex_state = 28, .external_lex_state = 7},
  [7864] = {.lex_state = 0, .external_lex_state = 5},
  [7865] = {.lex_state = 0, .external_lex_state = 7},
  [7866] = {.lex_state = 28, .external_lex_state = 7},
  [7867] = {.lex_state = 0, .external_lex_state = 7},
  [7868] = {.lex_state = 0, .external_lex_state = 7},
  [7869] = {.lex_state = 0, .external_lex_state = 5},
  [7870] = {.lex_state = 0, .external_lex_state = 7},
  [7871] = {.lex_state = 0, .external_lex_state = 5},
  [7872] = {.lex_state = 0, .external_lex_state = 7},
  [7873] = {.lex_state = 0, .external_lex_state = 7},
  [7874] = {.lex_state = 0, .external_lex_state = 5},
  [7875] = {.lex_state = 0, .external_lex_state = 7},
  [7876] = {.lex_state = 0, .external_lex_state = 7},
  [7877] = {.lex_state = 0, .external_lex_state = 7},
  [7878] = {.lex_state = 0, .external_lex_state = 7},
  [7879] = {.lex_state = 0, .external_lex_state = 7},
  [7880] = {.lex_state = 0, .external_lex_state = 7},
  [7881] = {.lex_state = 0, .external_lex_state = 7},
  [7882] = {.lex_state = 0, .external_lex_state = 7},
  [7883] = {.lex_state = 0, .external_lex_state = 7},
  [7884] = {.lex_state = 0, .external_lex_state = 7},
  [7885] = {.lex_state = 0, .external_lex_state = 7},
  [7886] = {.lex_state = 0, .external_lex_state = 7},
  [7887] = {.lex_state = 28, .external_lex_state = 7},
  [7888] = {.lex_state = 0, .external_lex_state = 7},
  [7889] = {.lex_state = 0, .external_lex_state = 7},
  [7890] = {.lex_state = 0, .external_lex_state = 7},
  [7891] = {.lex_state = 0, .external_lex_state = 7},
  [7892] = {.lex_state = 0, .external_lex_state = 7},
  [7893] = {.lex_state = 0, .external_lex_state = 7},
  [7894] = {.lex_state = 28, .external_lex_state = 7},
  [7895] = {.lex_state = 0, .external_lex_state = 7},
  [7896] = {.lex_state = 0, .external_lex_state = 7},
  [7897] = {.lex_state = 0, .external_lex_state = 7},
  [7898] = {.lex_state = 0, .external_lex_state = 7},
  [7899] = {.lex_state = 0, .external_lex_state = 7},
  [7900] = {.lex_state = 0, .external_lex_state = 7},
  [7901] = {.lex_state = 0, .external_lex_state = 7},
  [7902] = {.lex_state = 0, .external_lex_state = 5},
  [7903] = {.lex_state = 0, .external_lex_state = 5},
  [7904] = {.lex_state = 0, .external_lex_state = 7},
  [7905] = {.lex_state = 0, .external_lex_state = 7},
  [7906] = {.lex_state = 0, .external_lex_state = 7},
  [7907] = {.lex_state = 0, .external_lex_state = 7},
  [7908] = {.lex_state = 0, .external_lex_state = 7},
  [7909] = {.lex_state = 0, .external_lex_state = 7},
  [7910] = {.lex_state = 0, .external_lex_state = 7},
  [7911] = {.lex_state = 0, .external_lex_state = 7},
  [7912] = {.lex_state = 0, .external_lex_state = 7},
  [7913] = {.lex_state = 0, .external_lex_state = 7},
  [7914] = {.lex_state = 0, .external_lex_state = 7},
  [7915] = {.lex_state = 0, .external_lex_state = 7},
  [7916] = {.lex_state = 0, .external_lex_state = 7},
  [7917] = {.lex_state = 0, .external_lex_state = 7},
  [7918] = {.lex_state = 0, .external_lex_state = 7},
  [7919] = {.lex_state = 0, .external_lex_state = 7},
  [7920] = {.lex_state = 0, .external_lex_state = 7},
  [7921] = {.lex_state = 0, .external_lex_state = 7},
  [7922] = {.lex_state = 0, .external_lex_state = 7},
  [7923] = {.lex_state = 0, .external_lex_state = 7},
  [7924] = {.lex_state = 0, .external_lex_state = 7},
  [7925] = {.lex_state = 0, .external_lex_state = 7},
  [7926] = {.lex_state = 0, .external_lex_state = 7},
  [7927] = {.lex_state = 0, .external_lex_state = 7},
  [7928] = {.lex_state = 0, .external_lex_state = 7},
  [7929] = {.lex_state = 0, .external_lex_state = 7},
  [7930] = {.lex_state = 0, .external_lex_state = 7},
  [7931] = {.lex_state = 0, .external_lex_state = 7},
  [7932] = {.lex_state = 0, .external_lex_state = 7},
  [7933] = {.lex_state = 0, .external_lex_state = 7},
  [7934] = {.lex_state = 0, .external_lex_state = 7},
  [7935] = {.lex_state = 0, .external_lex_state = 7},
  [7936] = {.lex_state = 0, .external_lex_state = 7},
  [7937] = {.lex_state = 0, .external_lex_state = 7},
  [7938] = {.lex_state = 0, .external_lex_state = 7},
  [7939] = {.lex_state = 28, .external_lex_state = 7},
  [7940] = {.lex_state = 0, .external_lex_state = 7},
  [7941] = {.lex_state = 0, .external_lex_state = 7},
  [7942] = {.lex_state = 0, .external_lex_state = 7},
  [7943] = {.lex_state = 28, .external_lex_state = 7},
  [7944] = {.lex_state = 0, .external_lex_state = 7},
  [7945] = {.lex_state = 0, .external_lex_state = 7},
  [7946] = {.lex_state = 0, .external_lex_state = 5},
  [7947] = {.lex_state = 0, .external_lex_state = 7},
  [7948] = {.lex_state = 0, .external_lex_state = 7},
  [7949] = {.lex_state = 0, .external_lex_state = 7},
  [7950] = {.lex_state = 28, .external_lex_state = 7},
  [7951] = {.lex_state = 0, .external_lex_state = 7},
  [7952] = {.lex_state = 0, .external_lex_state = 7},
  [7953] = {.lex_state = 0, .external_lex_state = 7},
  [7954] = {.lex_state = 0, .external_lex_state = 5},
  [7955] = {.lex_state = 0, .external_lex_state = 7},
  [7956] = {.lex_state = 0, .external_lex_state = 7},
  [7957] = {.lex_state = 0, .external_lex_state = 7},
  [7958] = {.lex_state = 0, .external_lex_state = 7},
  [7959] = {.lex_state = 0, .external_lex_state = 7},
  [7960] = {.lex_state = 0, .external_lex_state = 5},
  [7961] = {.lex_state = 0, .external_lex_state = 5},
  [7962] = {.lex_state = 0, .external_lex_state = 7},
  [7963] = {.lex_state = 0, .external_lex_state = 7},
  [7964] = {.lex_state = 0, .external_lex_state = 7},
  [7965] = {.lex_state = 0, .external_lex_state = 7},
  [7966] = {.lex_state = 0, .external_lex_state = 5},
  [7967] = {.lex_state = 0, .external_lex_state = 5},
  [7968] = {.lex_state = 0, .external_lex_state = 7},
  [7969] = {.lex_state = 0, .external_lex_state = 7},
  [7970] = {.lex_state = 0, .external_lex_state = 7},
  [7971] = {.lex_state = 0, .external_lex_state = 7},
  [7972] = {.lex_state = 0, .external_lex_state = 7},
  [7973] = {.lex_state = 0, .external_lex_state = 7},
  [7974] = {.lex_state = 0, .external_lex_state = 7},
  [7975] = {.lex_state = 0, .external_lex_state = 5},
  [7976] = {.lex_state = 0, .external_lex_state = 7},
  [7977] = {.lex_state = 0, .external_lex_state = 7},
  [7978] = {.lex_state = 0, .external_lex_state = 7},
  [7979] = {.lex_state = 0, .external_lex_state = 5},
  [7980] = {.lex_state = 0, .external_lex_state = 7},
  [7981] = {.lex_state = 0, .external_lex_state = 7},
  [7982] = {.lex_state = 0, .external_lex_state = 7},
  [7983] = {.lex_state = 0, .external_lex_state = 7},
  [7984] = {.lex_state = 0, .external_lex_state = 5},
  [7985] = {.lex_state = 0, .external_lex_state = 5},
  [7986] = {.lex_state = 0, .external_lex_state = 7},
  [7987] = {.lex_state = 0, .external_lex_state = 7},
  [7988] = {.lex_state = 0, .external_lex_state = 7},
  [7989] = {.lex_state = 0, .external_lex_state = 7},
  [7990] = {.lex_state = 0, .external_lex_state = 7},
  [7991] = {.lex_state = 0, .external_lex_state = 7},
  [7992] = {.lex_state = 0, .external_lex_state = 7},
  [7993] = {.lex_state = 0, .external_lex_state = 7},
  [7994] = {.lex_state = 0, .external_lex_state = 7},
  [7995] = {.lex_state = 0, .external_lex_state = 5},
  [7996] = {.lex_state = 0, .external_lex_state = 7},
  [7997] = {.lex_state = 0, .external_lex_state = 7},
  [7998] = {.lex_state = 0, .external_lex_state = 7},
  [7999] = {.lex_state = 0, .external_lex_state = 7},
  [8000] = {.lex_state = 0, .external_lex_state = 7},
  [8001] = {.lex_state = 0, .external_lex_state = 5},
  [8002] = {.lex_state = 0, .external_lex_state = 5},
  [8003] = {.lex_state = 0, .external_lex_state = 7},
  [8004] = {.lex_state = 0, .external_lex_state = 7},
  [8005] = {.lex_state = 0, .external_lex_state = 7},
  [8006] = {.lex_state = 0, .external_lex_state = 7},
  [8007] = {.lex_state = 0, .external_lex_state = 5},
  [8008] = {.lex_state = 0, .external_lex_state = 7},
  [8009] = {.lex_state = 0, .external_lex_state = 5},
  [8010] = {.lex_state = 0, .external_lex_state = 7},
  [8011] = {.lex_state = 0, .external_lex_state = 7},
  [8012] = {.lex_state = 0, .external_lex_state = 5},
  [8013] = {.lex_state = 0, .external_lex_state = 5},
  [8014] = {.lex_state = 0, .external_lex_state = 7},
  [8015] = {.lex_state = 0, .external_lex_state = 7},
  [8016] = {.lex_state = 0, .external_lex_state = 7},
  [8017] = {.lex_state = 0, .external_lex_state = 7},
  [8018] = {.lex_state = 0, .external_lex_state = 7},
  [8019] = {.lex_state = 0, .external_lex_state = 5},
  [8020] = {.lex_state = 0, .external_lex_state = 7},
  [8021] = {.lex_state = 0, .external_lex_state = 7},
  [8022] = {.lex_state = 0, .external_lex_state = 5},
  [8023] = {.lex_state = 0, .external_lex_state = 5},
  [8024] = {.lex_state = 0, .external_lex_state = 7},
  [8025] = {.lex_state = 0, .external_lex_state = 7},
  [8026] = {.lex_state = 0, .external_lex_state = 7},
  [8027] = {.lex_state = 0, .external_lex_state = 5},
  [8028] = {.lex_state = 0, .external_lex_state = 7},
  [8029] = {.lex_state = 0, .external_lex_state = 7},
  [8030] = {.lex_state = 0, .external_lex_state = 7},
  [8031] = {.lex_state = 0, .external_lex_state = 7},
  [8032] = {.lex_state = 0, .external_lex_state = 7},
  [8033] = {.lex_state = 0, .external_lex_state = 7},
  [8034] = {.lex_state = 0, .external_lex_state = 7},
  [8035] = {.lex_state = 0, .external_lex_state = 7},
  [8036] = {.lex_state = 0, .external_lex_state = 7},
  [8037] = {.lex_state = 0, .external_lex_state = 7},
  [8038] = {.lex_state = 0, .external_lex_state = 7},
  [8039] = {.lex_state = 0, .external_lex_state = 7},
  [8040] = {.lex_state = 0, .external_lex_state = 7},
  [8041] = {.lex_state = 0, .external_lex_state = 7},
  [8042] = {.lex_state = 0, .external_lex_state = 7},
  [8043] = {.lex_state = 0, .external_lex_state = 5},
  [8044] = {.lex_state = 0, .external_lex_state = 7},
  [8045] = {.lex_state = 0, .external_lex_state = 7},
  [8046] = {.lex_state = 0, .external_lex_state = 5},
  [8047] = {.lex_state = 0, .external_lex_state = 7},
  [8048] = {.lex_state = 0, .external_lex_state = 7},
  [8049] = {.lex_state = 0, .external_lex_state = 7},
  [8050] = {.lex_state = 0, .external_lex_state = 5},
  [8051] = {.lex_state = 0, .external_lex_state = 7},
  [8052] = {.lex_state = 0, .external_lex_state = 7},
  [8053] = {.lex_state = 0, .external_lex_state = 7},
  [8054] = {.lex_state = 0, .external_lex_state = 7},
  [8055] = {.lex_state = 0, .external_lex_state = 7},
  [8056] = {.lex_state = 0, .external_lex_state = 7},
  [8057] = {.lex_state = 0, .external_lex_state = 7},
  [8058] = {.lex_state = 0, .external_lex_state = 7},
  [8059] = {.lex_state = 0, .external_lex_state = 7},
  [8060] = {.lex_state = 0, .external_lex_state = 7},
  [8061] = {.lex_state = 0, .external_lex_state = 7},
  [8062] = {.lex_state = 0, .external_lex_state = 5},
  [8063] = {.lex_state = 0, .external_lex_state = 7},
  [8064] = {.lex_state = 0, .external_lex_state = 7},
  [8065] = {.lex_state = 0, .external_lex_state = 7},
  [8066] = {.lex_state = 0, .external_lex_state = 7},
  [8067] = {.lex_state = 0, .external_lex_state = 7},
  [8068] = {.lex_state = 0, .external_lex_state = 7},
  [8069] = {.lex_state = 0, .external_lex_state = 7},
  [8070] = {.lex_state = 0, .external_lex_state = 7},
  [8071] = {.lex_state = 0, .external_lex_state = 7},
  [8072] = {.lex_state = 0, .external_lex_state = 7},
  [8073] = {.lex_state = 0, .external_lex_state = 5},
  [8074] = {.lex_state = 0, .external_lex_state = 7},
  [8075] = {.lex_state = 0, .external_lex_state = 7},
  [8076] = {.lex_state = 0, .external_lex_state = 7},
  [8077] = {.lex_state = 0, .external_lex_state = 7},
  [8078] = {.lex_state = 0, .external_lex_state = 7},
  [8079] = {.lex_state = 0, .external_lex_state = 7},
  [8080] = {.lex_state = 0, .external_lex_state = 7},
  [8081] = {.lex_state = 0, .external_lex_state = 7},
  [8082] = {.lex_state = 0, .external_lex_state = 7},
  [8083] = {.lex_state = 0, .external_lex_state = 7},
  [8084] = {.lex_state = 0, .external_lex_state = 7},
  [8085] = {.lex_state = 0, .external_lex_state = 7},
  [8086] = {.lex_state = 0, .external_lex_state = 7},
  [8087] = {.lex_state = 0, .external_lex_state = 7},
  [8088] = {.lex_state = 0, .external_lex_state = 7},
  [8089] = {.lex_state = 0, .external_lex_state = 7},
  [8090] = {.lex_state = 0, .external_lex_state = 7},
  [8091] = {.lex_state = 0, .external_lex_state = 7},
  [8092] = {.lex_state = 0, .external_lex_state = 7},
  [8093] = {.lex_state = 0, .external_lex_state = 7},
  [8094] = {.lex_state = 0, .external_lex_state = 5},
  [8095] = {.lex_state = 0, .external_lex_state = 7},
  [8096] = {.lex_state = 0, .external_lex_state = 7},
  [8097] = {.lex_state = 0, .external_lex_state = 5},
  [8098] = {.lex_state = 0, .external_lex_state = 7},
  [8099] = {.lex_state = 0, .external_lex_state = 7},
  [8100] = {.lex_state = 0, .external_lex_state = 5},
  [8101] = {.lex_state = 0, .external_lex_state = 7},
  [8102] = {.lex_state = 0, .external_lex_state = 7},
  [8103] = {.lex_state = 0, .external_lex_state = 7},
  [8104] = {.lex_state = 0, .external_lex_state = 7},
  [8105] = {.lex_state = 0, .external_lex_state = 7},
  [8106] = {.lex_state = 0, .external_lex_state = 7},
  [8107] = {.lex_state = 0, .external_lex_state = 7},
  [8108] = {.lex_state = 0, .external_lex_state = 7},
  [8109] = {.lex_state = 0, .external_lex_state = 7},
  [8110] = {.lex_state = 0, .external_lex_state = 7},
  [8111] = {.lex_state = 0, .external_lex_state = 7},
  [8112] = {.lex_state = 0, .external_lex_state = 7},
  [8113] = {.lex_state = 0, .external_lex_state = 5},
  [8114] = {.lex_state = 0, .external_lex_state = 7},
  [8115] = {.lex_state = 0, .external_lex_state = 7},
  [8116] = {.lex_state = 0, .external_lex_state = 7},
  [8117] = {.lex_state = 0, .external_lex_state = 7},
  [8118] = {.lex_state = 0, .external_lex_state = 7},
  [8119] = {.lex_state = 0, .external_lex_state = 7},
  [8120] = {.lex_state = 0, .external_lex_state = 7},
  [8121] = {.lex_state = 0, .external_lex_state = 7},
  [8122] = {.lex_state = 0, .external_lex_state = 7},
  [8123] = {.lex_state = 0, .external_lex_state = 7},
  [8124] = {.lex_state = 0, .external_lex_state = 7},
  [8125] = {.lex_state = 0, .external_lex_state = 7},
  [8126] = {.lex_state = 0, .external_lex_state = 7},
  [8127] = {.lex_state = 0, .external_lex_state = 7},
  [8128] = {.lex_state = 0, .external_lex_state = 5},
  [8129] = {.lex_state = 0, .external_lex_state = 7},
  [8130] = {.lex_state = 0, .external_lex_state = 7},
  [8131] = {.lex_state = 0, .external_lex_state = 7},
  [8132] = {.lex_state = 0, .external_lex_state = 7},
  [8133] = {.lex_state = 0, .external_lex_state = 7},
  [8134] = {.lex_state = 0, .external_lex_state = 7},
  [8135] = {.lex_state = 0, .external_lex_state = 7},
  [8136] = {.lex_state = 0, .external_lex_state = 5},
  [8137] = {.lex_state = 0, .external_lex_state = 7},
  [8138] = {.lex_state = 0, .external_lex_state = 7},
  [8139] = {.lex_state = 0, .external_lex_state = 7},
  [8140] = {.lex_state = 0, .external_lex_state = 7},
  [8141] = {.lex_state = 0, .external_lex_state = 7},
  [8142] = {.lex_state = 0, .external_lex_state = 5},
  [8143] = {.lex_state = 0, .external_lex_state = 7},
  [8144] = {.lex_state = 0, .external_lex_state = 7},
  [8145] = {.lex_state = 0, .external_lex_state = 7},
  [8146] = {.lex_state = 0, .external_lex_state = 5},
  [8147] = {.lex_state = 0, .external_lex_state = 5},
  [8148] = {.lex_state = 0, .external_lex_state = 7},
  [8149] = {.lex_state = 0, .external_lex_state = 7},
  [8150] = {.lex_state = 0, .external_lex_state = 7},
  [8151] = {.lex_state = 0, .external_lex_state = 5},
  [8152] = {.lex_state = 0, .external_lex_state = 7},
  [8153] = {.lex_state = 0, .external_lex_state = 5},
  [8154] = {.lex_state = 0, .external_lex_state = 7},
  [8155] = {.lex_state = 0, .external_lex_state = 7},
  [8156] = {.lex_state = 0, .external_lex_state = 7},
  [8157] = {.lex_state = 0, .external_lex_state = 7},
  [8158] = {.lex_state = 0, .external_lex_state = 7},
  [8159] = {.lex_state = 0, .external_lex_state = 7},
  [8160] = {.lex_state = 0, .external_lex_state = 7},
  [8161] = {.lex_state = 0, .external_lex_state = 7},
  [8162] = {.lex_state = 0, .external_lex_state = 7},
  [8163] = {.lex_state = 0, .external_lex_state = 7},
  [8164] = {.lex_state = 0, .external_lex_state = 7},
  [8165] = {.lex_state = 0, .external_lex_state = 5},
  [8166] = {.lex_state = 0, .external_lex_state = 7},
  [8167] = {.lex_state = 0, .external_lex_state = 7},
  [8168] = {.lex_state = 0, .external_lex_state = 7},
  [8169] = {.lex_state = 0, .external_lex_state = 7},
  [8170] = {.lex_state = 0, .external_lex_state = 5},
  [8171] = {.lex_state = 0, .external_lex_state = 7},
  [8172] = {.lex_state = 0, .external_lex_state = 7},
  [8173] = {.lex_state = 0, .external_lex_state = 5},
  [8174] = {.lex_state = 0, .external_lex_state = 7},
  [8175] = {.lex_state = 0, .external_lex_state = 7},
  [8176] = {.lex_state = 0, .external_lex_state = 7},
  [8177] = {.lex_state = 0, .external_lex_state = 7},
  [8178] = {.lex_state = 0, .external_lex_state = 7},
  [8179] = {.lex_state = 0, .external_lex_state = 7},
  [8180] = {.lex_state = 0, .external_lex_state = 5},
  [8181] = {.lex_state = 0, .external_lex_state = 7},
  [8182] = {.lex_state = 0, .external_lex_state = 5},
  [8183] = {.lex_state = 0, .external_lex_state = 7},
  [8184] = {.lex_state = 0, .external_lex_state = 7},
  [8185] = {.lex_state = 0, .external_lex_state = 7},
  [8186] = {.lex_state = 0, .external_lex_state = 7},
  [8187] = {.lex_state = 0, .external_lex_state = 7},
  [8188] = {.lex_state = 0, .external_lex_state = 7},
  [8189] = {.lex_state = 0, .external_lex_state = 7},
  [8190] = {.lex_state = 0, .external_lex_state = 7},
  [8191] = {.lex_state = 0, .external_lex_state = 7},
  [8192] = {.lex_state = 0, .external_lex_state = 7},
  [8193] = {.lex_state = 0, .external_lex_state = 7},
  [8194] = {.lex_state = 0, .external_lex_state = 5},
  [8195] = {.lex_state = 0, .external_lex_state = 7},
  [8196] = {.lex_state = 0, .external_lex_state = 7},
  [8197] = {.lex_state = 0, .external_lex_state = 7},
  [8198] = {.lex_state = 0, .external_lex_state = 7},
  [8199] = {.lex_state = 0, .external_lex_state = 7},
  [8200] = {.lex_state = 0, .external_lex_state = 7},
  [8201] = {.lex_state = 0, .external_lex_state = 5},
  [8202] = {.lex_state = 0, .external_lex_state = 7},
  [8203] = {.lex_state = 0, .external_lex_state = 7},
  [8204] = {.lex_state = 0, .external_lex_state = 7},
  [8205] = {.lex_state = 0, .external_lex_state = 7},
  [8206] = {.lex_state = 0, .external_lex_state = 7},
  [8207] = {.lex_state = 0, .external_lex_state = 7},
  [8208] = {.lex_state = 0, .external_lex_state = 7},
  [8209] = {.lex_state = 0, .external_lex_state = 7},
  [8210] = {.lex_state = 0, .external_lex_state = 7},
  [8211] = {.lex_state = 0, .external_lex_state = 7},
  [8212] = {.lex_state = 0, .external_lex_state = 7},
  [8213] = {.lex_state = 0, .external_lex_state = 7},
  [8214] = {.lex_state = 0, .external_lex_state = 5},
  [8215] = {.lex_state = 0, .external_lex_state = 7},
  [8216] = {.lex_state = 0, .external_lex_state = 7},
  [8217] = {.lex_state = 0, .external_lex_state = 5},
  [8218] = {.lex_state = 0, .external_lex_state = 5},
  [8219] = {.lex_state = 0, .external_lex_state = 7},
  [8220] = {.lex_state = 0, .external_lex_state = 7},
  [8221] = {.lex_state = 0, .external_lex_state = 7},
  [8222] = {.lex_state = 0, .external_lex_state = 7},
  [8223] = {.lex_state = 0, .external_lex_state = 7},
  [8224] = {.lex_state = 0, .external_lex_state = 7},
  [8225] = {.lex_state = 0, .external_lex_state = 7},
  [8226] = {.lex_state = 0, .external_lex_state = 7},
  [8227] = {.lex_state = 0, .external_lex_state = 7},
  [8228] = {.lex_state = 0, .external_lex_state = 7},
  [8229] = {.lex_state = 0, .external_lex_state = 7},
  [8230] = {.lex_state = 0, .external_lex_state = 5},
  [8231] = {.lex_state = 0, .external_lex_state = 5},
  [8232] = {.lex_state = 0, .external_lex_state = 7},
  [8233] = {.lex_state = 0, .external_lex_state = 5},
  [8234] = {.lex_state = 0, .external_lex_state = 7},
  [8235] = {.lex_state = 0, .external_lex_state = 7},
  [8236] = {.lex_state = 0, .external_lex_state = 7},
  [8237] = {.lex_state = 0, .external_lex_state = 7},
  [8238] = {.lex_state = 0, .external_lex_state = 5},
  [8239] = {.lex_state = 0, .external_lex_state = 7},
  [8240] = {.lex_state = 0, .external_lex_state = 7},
  [8241] = {.lex_state = 0, .external_lex_state = 5},
  [8242] = {.lex_state = 0, .external_lex_state = 7},
  [8243] = {.lex_state = 0, .external_lex_state = 7},
  [8244] = {.lex_state = 0, .external_lex_state = 7},
  [8245] = {.lex_state = 0, .external_lex_state = 7},
  [8246] = {.lex_state = 0, .external_lex_state = 7},
  [8247] = {.lex_state = 0, .external_lex_state = 7},
  [8248] = {.lex_state = 0, .external_lex_state = 5},
  [8249] = {.lex_state = 0, .external_lex_state = 7},
  [8250] = {.lex_state = 0, .external_lex_state = 7},
  [8251] = {.lex_state = 0, .external_lex_state = 5},
  [8252] = {.lex_state = 0, .external_lex_state = 7},
  [8253] = {.lex_state = 0, .external_lex_state = 7},
  [8254] = {.lex_state = 0, .external_lex_state = 7},
  [8255] = {.lex_state = 0, .external_lex_state = 7},
  [8256] = {.lex_state = 0, .external_lex_state = 5},
  [8257] = {.lex_state = 0, .external_lex_state = 7},
  [8258] = {.lex_state = 0, .external_lex_state = 7},
  [8259] = {.lex_state = 0, .external_lex_state = 7},
  [8260] = {.lex_state = 0, .external_lex_state = 7},
  [8261] = {.lex_state = 0, .external_lex_state = 7},
  [8262] = {.lex_state = 0, .external_lex_state = 7},
  [8263] = {.lex_state = 0, .external_lex_state = 7},
  [8264] = {.lex_state = 0, .external_lex_state = 7},
  [8265] = {.lex_state = 0, .external_lex_state = 7},
  [8266] = {.lex_state = 0, .external_lex_state = 7},
  [8267] = {.lex_state = 0, .external_lex_state = 7},
  [8268] = {.lex_state = 0, .external_lex_state = 7},
  [8269] = {.lex_state = 0, .external_lex_state = 7},
  [8270] = {.lex_state = 0, .external_lex_state = 7},
  [8271] = {.lex_state = 0, .external_lex_state = 7},
  [8272] = {.lex_state = 0, .external_lex_state = 7},
  [8273] = {.lex_state = 0, .external_lex_state = 7},
  [8274] = {.lex_state = 0, .external_lex_state = 7},
  [8275] = {.lex_state = 0, .external_lex_state = 7},
  [8276] = {.lex_state = 0, .external_lex_state = 7},
  [8277] = {.lex_state = 0, .external_lex_state = 7},
  [8278] = {.lex_state = 0, .external_lex_state = 7},
  [8279] = {.lex_state = 0, .external_lex_state = 7},
  [8280] = {.lex_state = 0, .external_lex_state = 7},
  [8281] = {.lex_state = 0, .external_lex_state = 7},
  [8282] = {.lex_state = 0, .external_lex_state = 7},
  [8283] = {.lex_state = 0, .external_lex_state = 7},
  [8284] = {.lex_state = 0, .external_lex_state = 7},
  [8285] = {.lex_state = 0, .external_lex_state = 7},
  [8286] = {.lex_state = 0, .external_lex_state = 7},
  [8287] = {.lex_state = 0, .external_lex_state = 7},
  [8288] = {.lex_state = 0, .external_lex_state = 5},
  [8289] = {.lex_state = 0, .external_lex_state = 7},
  [8290] = {.lex_state = 0, .external_lex_state = 7},
  [8291] = {.lex_state = 0, .external_lex_state = 7},
  [8292] = {.lex_state = 0, .external_lex_state = 7},
  [8293] = {.lex_state = 0, .external_lex_state = 7},
  [8294] = {.lex_state = 0, .external_lex_state = 7},
  [8295] = {.lex_state = 0, .external_lex_state = 7},
  [8296] = {.lex_state = 0, .external_lex_state = 7},
  [8297] = {.lex_state = 0, .external_lex_state = 7},
  [8298] = {.lex_state = 0, .external_lex_state = 7},
  [8299] = {.lex_state = 0, .external_lex_state = 7},
  [8300] = {.lex_state = 0, .external_lex_state = 7},
  [8301] = {.lex_state = 0, .external_lex_state = 7},
  [8302] = {.lex_state = 0, .external_lex_state = 7},
  [8303] = {.lex_state = 0, .external_lex_state = 7},
  [8304] = {.lex_state = 0, .external_lex_state = 7},
  [8305] = {.lex_state = 0, .external_lex_state = 7},
  [8306] = {.lex_state = 0, .external_lex_state = 7},
  [8307] = {.lex_state = 0, .external_lex_state = 7},
  [8308] = {.lex_state = 0, .external_lex_state = 7},
  [8309] = {.lex_state = 0, .external_lex_state = 7},
  [8310] = {.lex_state = 0, .external_lex_state = 7},
  [8311] = {.lex_state = 0, .external_lex_state = 5},
  [8312] = {.lex_state = 0, .external_lex_state = 7},
  [8313] = {.lex_state = 0, .external_lex_state = 7},
  [8314] = {.lex_state = 0, .external_lex_state = 7},
  [8315] = {.lex_state = 0, .external_lex_state = 7},
  [8316] = {.lex_state = 0, .external_lex_state = 5},
  [8317] = {.lex_state = 0, .external_lex_state = 7},
  [8318] = {.lex_state = 0, .external_lex_state = 7},
  [8319] = {.lex_state = 0, .external_lex_state = 5},
  [8320] = {.lex_state = 0, .external_lex_state = 7},
  [8321] = {.lex_state = 0, .external_lex_state = 7},
  [8322] = {.lex_state = 0, .external_lex_state = 7},
  [8323] = {.lex_state = 0, .external_lex_state = 7},
  [8324] = {.lex_state = 0, .external_lex_state = 7},
  [8325] = {.lex_state = 0, .external_lex_state = 7},
  [8326] = {.lex_state = 0, .external_lex_state = 7},
  [8327] = {.lex_state = 0, .external_lex_state = 7},
  [8328] = {.lex_state = 0, .external_lex_state = 7},
  [8329] = {.lex_state = 0, .external_lex_state = 7},
  [8330] = {.lex_state = 0, .external_lex_state = 7},
  [8331] = {.lex_state = 0, .external_lex_state = 7},
  [8332] = {.lex_state = 0, .external_lex_state = 5},
  [8333] = {.lex_state = 0, .external_lex_state = 7},
  [8334] = {.lex_state = 0, .external_lex_state = 7},
  [8335] = {.lex_state = 0, .external_lex_state = 5},
  [8336] = {.lex_state = 0, .external_lex_state = 5},
  [8337] = {.lex_state = 0, .external_lex_state = 7},
  [8338] = {.lex_state = 0, .external_lex_state = 7},
  [8339] = {.lex_state = 0, .external_lex_state = 7},
  [8340] = {.lex_state = 0, .external_lex_state = 7},
  [8341] = {.lex_state = 0, .external_lex_state = 7},
  [8342] = {.lex_state = 0, .external_lex_state = 5},
  [8343] = {.lex_state = 0, .external_lex_state = 7},
  [8344] = {.lex_state = 0, .external_lex_state = 7},
  [8345] = {.lex_state = 0, .external_lex_state = 7},
  [8346] = {.lex_state = 0, .external_lex_state = 7},
  [8347] = {.lex_state = 0, .external_lex_state = 5},
  [8348] = {.lex_state = 0, .external_lex_state = 7},
  [8349] = {.lex_state = 0, .external_lex_state = 7},
  [8350] = {.lex_state = 0, .external_lex_state = 7},
  [8351] = {.lex_state = 0, .external_lex_state = 7},
  [8352] = {.lex_state = 0, .external_lex_state = 7},
  [8353] = {.lex_state = 0, .external_lex_state = 7},
  [8354] = {.lex_state = 0, .external_lex_state = 5},
  [8355] = {.lex_state = 0, .external_lex_state = 7},
  [8356] = {.lex_state = 0, .external_lex_state = 5},
  [8357] = {.lex_state = 0, .external_lex_state = 5},
  [8358] = {.lex_state = 0, .external_lex_state = 7},
  [8359] = {.lex_state = 0, .external_lex_state = 7},
  [8360] = {.lex_state = 0, .external_lex_state = 7},
  [8361] = {.lex_state = 0, .external_lex_state = 7},
  [8362] = {.lex_state = 0, .external_lex_state = 7},
  [8363] = {.lex_state = 0, .external_lex_state = 7},
  [8364] = {.lex_state = 0, .external_lex_state = 7},
  [8365] = {.lex_state = 0, .external_lex_state = 7},
  [8366] = {.lex_state = 0, .external_lex_state = 7},
  [8367] = {.lex_state = 0, .external_lex_state = 7},
  [8368] = {.lex_state = 0, .external_lex_state = 7},
  [8369] = {.lex_state = 0, .external_lex_state = 7},
  [8370] = {.lex_state = 0, .external_lex_state = 7},
  [8371] = {.lex_state = 0, .external_lex_state = 7},
  [8372] = {.lex_state = 0, .external_lex_state = 7},
  [8373] = {.lex_state = 0, .external_lex_state = 7},
  [8374] = {.lex_state = 0, .external_lex_state = 7},
  [8375] = {.lex_state = 0, .external_lex_state = 7},
  [8376] = {.lex_state = 0, .external_lex_state = 7},
  [8377] = {.lex_state = 0, .external_lex_state = 7},
  [8378] = {.lex_state = 0, .external_lex_state = 7},
  [8379] = {.lex_state = 0, .external_lex_state = 7},
  [8380] = {.lex_state = 0, .external_lex_state = 7},
  [8381] = {.lex_state = 0, .external_lex_state = 7},
  [8382] = {.lex_state = 0, .external_lex_state = 7},
  [8383] = {.lex_state = 0, .external_lex_state = 7},
  [8384] = {.lex_state = 0, .external_lex_state = 7},
  [8385] = {.lex_state = 0, .external_lex_state = 5},
  [8386] = {.lex_state = 0, .external_lex_state = 7},
  [8387] = {.lex_state = 0, .external_lex_state = 7},
  [8388] = {.lex_state = 0, .external_lex_state = 7},
  [8389] = {.lex_state = 0, .external_lex_state = 7},
  [8390] = {.lex_state = 0, .external_lex_state = 7},
  [8391] = {.lex_state = 0, .external_lex_state = 7},
  [8392] = {.lex_state = 0, .external_lex_state = 7},
  [8393] = {.lex_state = 0, .external_lex_state = 7},
  [8394] = {.lex_state = 0, .external_lex_state = 7},
  [8395] = {.lex_state = 0, .external_lex_state = 7},
  [8396] = {.lex_state = 0, .external_lex_state = 7},
  [8397] = {.lex_state = 0, .external_lex_state = 7},
  [8398] = {.lex_state = 0, .external_lex_state = 7},
  [8399] = {.lex_state = 0, .external_lex_state = 7},
  [8400] = {.lex_state = 0, .external_lex_state = 7},
  [8401] = {.lex_state = 0, .external_lex_state = 7},
  [8402] = {.lex_state = 0, .external_lex_state = 7},
  [8403] = {.lex_state = 0, .external_lex_state = 7},
  [8404] = {.lex_state = 0, .external_lex_state = 7},
  [8405] = {.lex_state = 0, .external_lex_state = 7},
  [8406] = {.lex_state = 0, .external_lex_state = 5},
  [8407] = {.lex_state = 0, .external_lex_state = 7},
  [8408] = {.lex_state = 0, .external_lex_state = 7},
  [8409] = {.lex_state = 0, .external_lex_state = 7},
  [8410] = {.lex_state = 0, .external_lex_state = 7},
  [8411] = {.lex_state = 0, .external_lex_state = 7},
  [8412] = {.lex_state = 0, .external_lex_state = 5},
  [8413] = {.lex_state = 0, .external_lex_state = 7},
  [8414] = {.lex_state = 0, .external_lex_state = 5},
  [8415] = {.lex_state = 0, .external_lex_state = 7},
  [8416] = {.lex_state = 0, .external_lex_state = 7},
  [8417] = {.lex_state = 0, .external_lex_state = 7},
  [8418] = {.lex_state = 0, .external_lex_state = 7},
  [8419] = {.lex_state = 0, .external_lex_state = 7},
  [8420] = {.lex_state = 0, .external_lex_state = 7},
  [8421] = {.lex_state = 0, .external_lex_state = 7},
  [8422] = {.lex_state = 0, .external_lex_state = 7},
  [8423] = {.lex_state = 0, .external_lex_state = 7},
  [8424] = {.lex_state = 0, .external_lex_state = 7},
  [8425] = {.lex_state = 0, .external_lex_state = 7},
  [8426] = {.lex_state = 0, .external_lex_state = 7},
  [8427] = {.lex_state = 0, .external_lex_state = 7},
  [8428] = {.lex_state = 0, .external_lex_state = 7},
  [8429] = {.lex_state = 0, .external_lex_state = 7},
  [8430] = {.lex_state = 0, .external_lex_state = 7},
  [8431] = {.lex_state = 0, .external_lex_state = 7},
  [8432] = {.lex_state = 0, .external_lex_state = 7},
  [8433] = {.lex_state = 0, .external_lex_state = 7},
  [8434] = {.lex_state = 0, .external_lex_state = 7},
  [8435] = {.lex_state = 0, .external_lex_state = 7},
  [8436] = {.lex_state = 0, .external_lex_state = 7},
  [8437] = {.lex_state = 0, .external_lex_state = 7},
  [8438] = {.lex_state = 0, .external_lex_state = 7},
  [8439] = {.lex_state = 0, .external_lex_state = 7},
  [8440] = {.lex_state = 0, .external_lex_state = 7},
  [8441] = {.lex_state = 0, .external_lex_state = 7},
  [8442] = {.lex_state = 0, .external_lex_state = 7},
  [8443] = {.lex_state = 0, .external_lex_state = 7},
  [8444] = {.lex_state = 0, .external_lex_state = 7},
  [8445] = {.lex_state = 0, .external_lex_state = 5},
  [8446] = {.lex_state = 0, .external_lex_state = 5},
  [8447] = {.lex_state = 0, .external_lex_state = 7},
  [8448] = {.lex_state = 0, .external_lex_state = 7},
  [8449] = {.lex_state = 0, .external_lex_state = 7},
  [8450] = {.lex_state = 0, .external_lex_state = 7},
  [8451] = {.lex_state = 0, .external_lex_state = 5},
  [8452] = {.lex_state = 0, .external_lex_state = 7},
  [8453] = {.lex_state = 0, .external_lex_state = 7},
  [8454] = {.lex_state = 0, .external_lex_state = 7},
  [8455] = {.lex_state = 0, .external_lex_state = 5},
  [8456] = {.lex_state = 0, .external_lex_state = 7},
  [8457] = {.lex_state = 0, .external_lex_state = 7},
  [8458] = {.lex_state = 0, .external_lex_state = 7},
  [8459] = {.lex_state = 0, .external_lex_state = 7},
  [8460] = {.lex_state = 0, .external_lex_state = 7},
  [8461] = {.lex_state = 0, .external_lex_state = 7},
  [8462] = {.lex_state = 0, .external_lex_state = 5},
  [8463] = {.lex_state = 0, .external_lex_state = 7},
  [8464] = {.lex_state = 0, .external_lex_state = 7},
  [8465] = {.lex_state = 0, .external_lex_state = 7},
  [8466] = {.lex_state = 0, .external_lex_state = 7},
  [8467] = {.lex_state = 0, .external_lex_state = 7},
  [8468] = {.lex_state = 0, .external_lex_state = 7},
  [8469] = {.lex_state = 0, .external_lex_state = 7},
  [8470] = {.lex_state = 0, .external_lex_state = 7},
  [8471] = {.lex_state = 0, .external_lex_state = 7},
  [8472] = {.lex_state = 0, .external_lex_state = 7},
  [8473] = {.lex_state = 0, .external_lex_state = 7},
  [8474] = {.lex_state = 0, .external_lex_state = 5},
  [8475] = {.lex_state = 0, .external_lex_state = 7},
  [8476] = {.lex_state = 0, .external_lex_state = 7},
  [8477] = {.lex_state = 0, .external_lex_state = 7},
  [8478] = {.lex_state = 0, .external_lex_state = 7},
  [8479] = {.lex_state = 0, .external_lex_state = 7},
  [8480] = {.lex_state = 0, .external_lex_state = 7},
  [8481] = {.lex_state = 0, .external_lex_state = 7},
  [8482] = {.lex_state = 0, .external_lex_state = 7},
  [8483] = {.lex_state = 0, .external_lex_state = 7},
  [8484] = {.lex_state = 0, .external_lex_state = 7},
  [8485] = {.lex_state = 0, .external_lex_state = 5},
  [8486] = {.lex_state = 0, .external_lex_state = 7},
  [8487] = {.lex_state = 0, .external_lex_state = 7},
  [8488] = {.lex_state = 0, .external_lex_state = 7},
  [8489] = {.lex_state = 0, .external_lex_state = 7},
  [8490] = {.lex_state = 0, .external_lex_state = 5},
  [8491] = {.lex_state = 0, .external_lex_state = 7},
  [8492] = {.lex_state = 0, .external_lex_state = 7},
  [8493] = {.lex_state = 0, .external_lex_state = 7},
  [8494] = {.lex_state = 0, .external_lex_state = 7},
  [8495] = {.lex_state = 0, .external_lex_state = 7},
  [8496] = {.lex_state = 0, .external_lex_state = 7},
  [8497] = {.lex_state = 0, .external_lex_state = 5},
  [8498] = {.lex_state = 0, .external_lex_state = 7},
  [8499] = {.lex_state = 0, .external_lex_state = 7},
  [8500] = {.lex_state = 0, .external_lex_state = 7},
  [8501] = {.lex_state = 0, .external_lex_state = 7},
  [8502] = {.lex_state = 0, .external_lex_state = 7},
  [8503] = {.lex_state = 0, .external_lex_state = 7},
  [8504] = {.lex_state = 0, .external_lex_state = 7},
  [8505] = {.lex_state = 0, .external_lex_state = 7},
  [8506] = {.lex_state = 0, .external_lex_state = 7},
  [8507] = {.lex_state = 0, .external_lex_state = 7},
  [8508] = {.lex_state = 0, .external_lex_state = 7},
  [8509] = {.lex_state = 0, .external_lex_state = 7},
  [8510] = {.lex_state = 0, .external_lex_state = 7},
  [8511] = {.lex_state = 0, .external_lex_state = 7},
  [8512] = {.lex_state = 0, .external_lex_state = 7},
  [8513] = {.lex_state = 0, .external_lex_state = 5},
  [8514] = {.lex_state = 0, .external_lex_state = 5},
  [8515] = {.lex_state = 0, .external_lex_state = 7},
  [8516] = {.lex_state = 0, .external_lex_state = 7},
  [8517] = {.lex_state = 0, .external_lex_state = 5},
  [8518] = {.lex_state = 0, .external_lex_state = 7},
  [8519] = {.lex_state = 0, .external_lex_state = 7},
  [8520] = {.lex_state = 0, .external_lex_state = 7},
  [8521] = {.lex_state = 0, .external_lex_state = 7},
  [8522] = {.lex_state = 0, .external_lex_state = 7},
  [8523] = {.lex_state = 0, .external_lex_state = 7},
  [8524] = {.lex_state = 0, .external_lex_state = 7},
  [8525] = {.lex_state = 0, .external_lex_state = 7},
  [8526] = {.lex_state = 0, .external_lex_state = 7},
  [8527] = {.lex_state = 0, .external_lex_state = 7},
  [8528] = {.lex_state = 0, .external_lex_state = 7},
  [8529] = {.lex_state = 0, .external_lex_state = 7},
  [8530] = {.lex_state = 0, .external_lex_state = 7},
  [8531] = {.lex_state = 0, .external_lex_state = 7},
  [8532] = {.lex_state = 0, .external_lex_state = 7},
  [8533] = {.lex_state = 0, .external_lex_state = 7},
  [8534] = {.lex_state = 0, .external_lex_state = 7},
  [8535] = {.lex_state = 0, .external_lex_state = 7},
  [8536] = {.lex_state = 0, .external_lex_state = 7},
  [8537] = {.lex_state = 0, .external_lex_state = 7},
  [8538] = {.lex_state = 0, .external_lex_state = 7},
  [8539] = {.lex_state = 0, .external_lex_state = 5},
  [8540] = {.lex_state = 0, .external_lex_state = 5},
  [8541] = {.lex_state = 0, .external_lex_state = 7},
  [8542] = {.lex_state = 0, .external_lex_state = 7},
  [8543] = {.lex_state = 0, .external_lex_state = 7},
  [8544] = {.lex_state = 0, .external_lex_state = 7},
  [8545] = {.lex_state = 0, .external_lex_state = 5},
  [8546] = {.lex_state = 0, .external_lex_state = 7},
  [8547] = {.lex_state = 0, .external_lex_state = 7},
  [8548] = {.lex_state = 0, .external_lex_state = 7},
  [8549] = {.lex_state = 0, .external_lex_state = 7},
  [8550] = {.lex_state = 0, .external_lex_state = 7},
  [8551] = {.lex_state = 0, .external_lex_state = 7},
  [8552] = {.lex_state = 0, .external_lex_state = 7},
  [8553] = {.lex_state = 0, .external_lex_state = 7},
  [8554] = {.lex_state = 0, .external_lex_state = 7},
  [8555] = {.lex_state = 0, .external_lex_state = 7},
  [8556] = {.lex_state = 0, .external_lex_state = 7},
  [8557] = {.lex_state = 0, .external_lex_state = 7},
  [8558] = {.lex_state = 0, .external_lex_state = 7},
  [8559] = {.lex_state = 0, .external_lex_state = 7},
  [8560] = {.lex_state = 0, .external_lex_state = 7},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_identifier] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_package] = ACTIONS(1),
    [anon_sym_foreign] = ACTIONS(1),
    [anon_sym_import] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_COLON_COLON] = ACTIONS(1),
    [anon_sym_proc] = ACTIONS(1),
    [anon_sym_DASH_GT] = ACTIONS(1),
    [anon_sym_where] = ACTIONS(1),
    [anon_sym_struct] = ACTIONS(1),
    [anon_sym_using] = ACTIONS(1),
    [anon_sym_enum] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_union] = ACTIONS(1),
    [anon_sym_COLON_EQ] = ACTIONS(1),
    [anon_sym_POUNDtype] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_DOLLAR] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_SLASH_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_LT_LT_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_do] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_when] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_in] = ACTIONS(1),
    [anon_sym_switch] = ACTIONS(1),
    [anon_sym_case] = ACTIONS(1),
    [anon_sym_defer] = ACTIONS(1),
    [anon_sym_break] = ACTIONS(1),
    [anon_sym_continue] = ACTIONS(1),
    [sym_fallthrough_statement] = ACTIONS(1),
    [anon_sym_return] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_or_else] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_TILDE_EQ] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_AMP_TILDE] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(1),
    [anon_sym_DOT_DOT_LT] = ACTIONS(1),
    [anon_sym_cast] = ACTIONS(1),
    [anon_sym_transmute] = ACTIONS(1),
    [anon_sym_auto_cast] = ACTIONS(1),
    [anon_sym_not_in] = ACTIONS(1),
    [anon_sym_DOT_DOT] = ACTIONS(1),
    [anon_sym_or_return] = ACTIONS(1),
    [anon_sym_or_continue] = ACTIONS(1),
    [anon_sym_or_break] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1),
    [anon_sym_dynamic] = ACTIONS(1),
    [anon_sym_map] = ACTIONS(1),
    [anon_sym_bit_set] = ACTIONS(1),
    [anon_sym_matrix] = ACTIONS(1),
    [anon_sym_DOT2] = ACTIONS(1),
    [anon_sym_distinct] = ACTIONS(1),
    [sym_number] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [anon_sym_BQUOTE] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [sym_escape_sequence] = ACTIONS(1),
    [anon_sym_true] = ACTIONS(1),
    [anon_sym_false] = ACTIONS(1),
    [sym_nil] = ACTIONS(1),
    [sym_uninitialized] = ACTIONS(1),
    [sym_tag] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1),
    [sym__backslash] = ACTIONS(3),
    [sym__nl_comma] = ACTIONS(1),
    [sym_float] = ACTIONS(1),
    [sym_block_comment] = ACTIONS(3),
  },
  [1] = {
    [sym_source_file] = STATE(8237),
    [sym_declaration] = STATE(7012),
    [sym_package_declaration] = STATE(7181),
    [sym_import_declaration] = STATE(7181),
    [sym_procedure_declaration] = STATE(7181),
    [sym_overloaded_procedure_declaration] = STATE(7181),
    [sym_struct_declaration] = STATE(7181),
    [sym_enum_declaration] = STATE(7181),
    [sym_union_declaration] = STATE(7181),
    [sym_variable_declaration] = STATE(7181),
    [sym_const_declaration] = STATE(7181),
    [sym_const_type_declaration] = STATE(7181),
    [sym_foreign_block] = STATE(7181),
    [sym_attributes] = STATE(644),
    [sym_attribute] = STATE(5637),
    [sym_when_statement] = STATE(7181),
    [sym_var_declaration] = STATE(7181),
    [sym_expression] = STATE(4700),
    [sym__expression_no_tag] = STATE(4228),
    [sym_unary_expression] = STATE(4228),
    [sym_binary_expression] = STATE(4228),
    [sym_ternary_expression] = STATE(4228),
    [sym_call_expression] = STATE(4228),
    [sym_selector_call_expression] = STATE(4228),
    [sym_member_expression] = STATE(4228),
    [sym_index_expression] = STATE(4228),
    [sym_slice_expression] = STATE(4228),
    [sym_range_expression] = STATE(4228),
    [sym_cast_expression] = STATE(4228),
    [sym_in_expression] = STATE(4228),
    [sym_variadic_expression] = STATE(4228),
    [sym_parenthesized_expression] = STATE(4228),
    [sym_or_return_expression] = STATE(4228),
    [sym_or_continue_expression] = STATE(4228),
    [sym_or_break_expression] = STATE(4228),
    [sym_address] = STATE(4228),
    [sym_map_type] = STATE(4228),
    [sym_matrix_type] = STATE(4228),
    [sym_distinct_type] = STATE(4228),
    [sym_literal] = STATE(4228),
    [sym_struct] = STATE(3866),
    [sym_map] = STATE(3787),
    [sym_bit_set] = STATE(3787),
    [sym_matrix] = STATE(3787),
    [sym_string] = STATE(3787),
    [sym__string_literal] = STATE(3867),
    [sym__raw_string_literal] = STATE(3867),
    [sym_character] = STATE(3787),
    [sym_boolean] = STATE(3787),
    [sym_field_identifier] = STATE(7783),
    [aux_sym_source_file_repeat1] = STATE(192),
    [aux_sym_attributes_repeat1] = STATE(5637),
    [ts_builtin_sym_end] = ACTIONS(5),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_package] = ACTIONS(11),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_using] = ACTIONS(17),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_QMARK] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(27),
    [anon_sym_DASH] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(27),
    [anon_sym_DOT] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_cast] = ACTIONS(35),
    [anon_sym_transmute] = ACTIONS(35),
    [anon_sym_auto_cast] = ACTIONS(37),
    [anon_sym_DOT_DOT] = ACTIONS(39),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [2] = {
    [sym_block] = STATE(6997),
    [sym_tagged_block] = STATE(6767),
    [sym_import_declaration] = STATE(6767),
    [sym_procedure_declaration] = STATE(6767),
    [sym_overloaded_procedure_declaration] = STATE(6767),
    [sym_struct_declaration] = STATE(6767),
    [sym_enum_declaration] = STATE(6767),
    [sym_union_declaration] = STATE(6767),
    [sym_const_declaration] = STATE(6767),
    [sym_foreign_block] = STATE(6767),
    [sym_attributes] = STATE(645),
    [sym_attribute] = STATE(5637),
    [sym_statement] = STATE(6736),
    [sym_assignment_statement] = STATE(6767),
    [sym_update_statement] = STATE(6767),
    [sym_if_statement] = STATE(6767),
    [sym_when_statement] = STATE(6767),
    [sym_for_statement] = STATE(6767),
    [sym_switch_statement] = STATE(6767),
    [sym_defer_statement] = STATE(6767),
    [sym_break_statement] = STATE(6767),
    [sym_continue_statement] = STATE(6767),
    [sym_var_declaration] = STATE(6767),
    [sym_return_statement] = STATE(6767),
    [sym_label_statement] = STATE(6767),
    [sym_using_statement] = STATE(6767),
    [sym_expression] = STATE(3081),
    [sym__expression_no_tag] = STATE(2426),
    [sym_unary_expression] = STATE(2426),
    [sym_binary_expression] = STATE(2426),
    [sym_ternary_expression] = STATE(2426),
    [sym_call_expression] = STATE(2426),
    [sym_selector_call_expression] = STATE(2426),
    [sym_member_expression] = STATE(2426),
    [sym_index_expression] = STATE(2426),
    [sym_slice_expression] = STATE(2426),
    [sym_range_expression] = STATE(2426),
    [sym_cast_expression] = STATE(2426),
    [sym_in_expression] = STATE(2426),
    [sym_variadic_expression] = STATE(2426),
    [sym_parenthesized_expression] = STATE(2426),
    [sym_or_return_expression] = STATE(2426),
    [sym_or_continue_expression] = STATE(2426),
    [sym_or_break_expression] = STATE(2426),
    [sym_address] = STATE(2426),
    [sym_map_type] = STATE(2426),
    [sym_matrix_type] = STATE(2426),
    [sym_distinct_type] = STATE(2426),
    [sym_literal] = STATE(2426),
    [sym_struct] = STATE(2413),
    [sym_map] = STATE(2256),
    [sym_bit_set] = STATE(2256),
    [sym_matrix] = STATE(2256),
    [sym_string] = STATE(2256),
    [sym__string_literal] = STATE(2258),
    [sym__raw_string_literal] = STATE(2258),
    [sym_character] = STATE(2256),
    [sym_boolean] = STATE(2256),
    [sym_field_identifier] = STATE(7777),
    [aux_sym_attributes_repeat1] = STATE(5637),
    [sym_identifier] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_RBRACE] = ACTIONS(67),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(67),
    [anon_sym_COLON_COLON] = ACTIONS(67),
    [anon_sym_DASH_GT] = ACTIONS(67),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_EQ] = ACTIONS(71),
    [anon_sym_COLON_EQ] = ACTIONS(67),
    [anon_sym_COLON] = ACTIONS(71),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(73),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_in] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(81),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_PLUS] = ACTIONS(93),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(93),
    [anon_sym_PIPE_PIPE] = ACTIONS(71),
    [anon_sym_or_else] = ACTIONS(71),
    [anon_sym_AMP_AMP] = ACTIONS(71),
    [anon_sym_GT] = ACTIONS(71),
    [anon_sym_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_EQ] = ACTIONS(67),
    [anon_sym_LT] = ACTIONS(71),
    [anon_sym_EQ_EQ] = ACTIONS(67),
    [anon_sym_BANG_EQ] = ACTIONS(67),
    [anon_sym_TILDE_EQ] = ACTIONS(67),
    [anon_sym_PIPE] = ACTIONS(71),
    [anon_sym_AMP_TILDE] = ACTIONS(71),
    [anon_sym_LT_LT] = ACTIONS(71),
    [anon_sym_GT_GT] = ACTIONS(71),
    [anon_sym_STAR] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(71),
    [anon_sym_PERCENT] = ACTIONS(71),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(67),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(67),
    [anon_sym_DOT_DOT_LT] = ACTIONS(67),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_not_in] = ACTIONS(71),
    [anon_sym_DOT_DOT] = ACTIONS(103),
    [anon_sym_or_return] = ACTIONS(71),
    [anon_sym_or_continue] = ACTIONS(71),
    [anon_sym_or_break] = ACTIONS(71),
    [anon_sym_CARET] = ACTIONS(71),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(125),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [3] = {
    [sym_block] = STATE(6997),
    [sym_tagged_block] = STATE(6767),
    [sym_import_declaration] = STATE(6767),
    [sym_procedure_declaration] = STATE(6767),
    [sym_overloaded_procedure_declaration] = STATE(6767),
    [sym_struct_declaration] = STATE(6767),
    [sym_enum_declaration] = STATE(6767),
    [sym_union_declaration] = STATE(6767),
    [sym_const_declaration] = STATE(6767),
    [sym_foreign_block] = STATE(6767),
    [sym_attributes] = STATE(645),
    [sym_attribute] = STATE(5637),
    [sym_statement] = STATE(7050),
    [sym_assignment_statement] = STATE(6767),
    [sym_update_statement] = STATE(6767),
    [sym_if_statement] = STATE(6767),
    [sym_when_statement] = STATE(6767),
    [sym_for_statement] = STATE(6767),
    [sym_switch_statement] = STATE(6767),
    [sym_defer_statement] = STATE(6767),
    [sym_break_statement] = STATE(6767),
    [sym_continue_statement] = STATE(6767),
    [sym_var_declaration] = STATE(6767),
    [sym_return_statement] = STATE(6767),
    [sym_label_statement] = STATE(6767),
    [sym_using_statement] = STATE(6767),
    [sym_expression] = STATE(3081),
    [sym__expression_no_tag] = STATE(2426),
    [sym_unary_expression] = STATE(2426),
    [sym_binary_expression] = STATE(2426),
    [sym_ternary_expression] = STATE(2426),
    [sym_call_expression] = STATE(2426),
    [sym_selector_call_expression] = STATE(2426),
    [sym_member_expression] = STATE(2426),
    [sym_index_expression] = STATE(2426),
    [sym_slice_expression] = STATE(2426),
    [sym_range_expression] = STATE(2426),
    [sym_cast_expression] = STATE(2426),
    [sym_in_expression] = STATE(2426),
    [sym_variadic_expression] = STATE(2426),
    [sym_parenthesized_expression] = STATE(2426),
    [sym_or_return_expression] = STATE(2426),
    [sym_or_continue_expression] = STATE(2426),
    [sym_or_break_expression] = STATE(2426),
    [sym_address] = STATE(2426),
    [sym_map_type] = STATE(2426),
    [sym_matrix_type] = STATE(2426),
    [sym_distinct_type] = STATE(2426),
    [sym_literal] = STATE(2426),
    [sym_struct] = STATE(2413),
    [sym_map] = STATE(2256),
    [sym_bit_set] = STATE(2256),
    [sym_matrix] = STATE(2256),
    [sym_string] = STATE(2256),
    [sym__string_literal] = STATE(2258),
    [sym__raw_string_literal] = STATE(2258),
    [sym_character] = STATE(2256),
    [sym_boolean] = STATE(2256),
    [sym_field_identifier] = STATE(7777),
    [aux_sym_attributes_repeat1] = STATE(5637),
    [sym_identifier] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(67),
    [anon_sym_COLON_COLON] = ACTIONS(67),
    [anon_sym_DASH_GT] = ACTIONS(67),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_EQ] = ACTIONS(71),
    [anon_sym_COLON_EQ] = ACTIONS(67),
    [anon_sym_COLON] = ACTIONS(71),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(73),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_in] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(81),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(71),
    [anon_sym_PIPE_PIPE] = ACTIONS(71),
    [anon_sym_or_else] = ACTIONS(71),
    [anon_sym_AMP_AMP] = ACTIONS(71),
    [anon_sym_GT] = ACTIONS(71),
    [anon_sym_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_EQ] = ACTIONS(67),
    [anon_sym_LT] = ACTIONS(71),
    [anon_sym_EQ_EQ] = ACTIONS(67),
    [anon_sym_BANG_EQ] = ACTIONS(67),
    [anon_sym_TILDE_EQ] = ACTIONS(67),
    [anon_sym_PIPE] = ACTIONS(71),
    [anon_sym_AMP_TILDE] = ACTIONS(71),
    [anon_sym_LT_LT] = ACTIONS(71),
    [anon_sym_GT_GT] = ACTIONS(71),
    [anon_sym_STAR] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(71),
    [anon_sym_PERCENT] = ACTIONS(71),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(67),
    [anon_sym_DOT] = ACTIONS(71),
    [anon_sym_LBRACK] = ACTIONS(67),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(67),
    [anon_sym_DOT_DOT_LT] = ACTIONS(67),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_not_in] = ACTIONS(71),
    [anon_sym_DOT_DOT] = ACTIONS(103),
    [anon_sym_or_return] = ACTIONS(71),
    [anon_sym_or_continue] = ACTIONS(71),
    [anon_sym_or_break] = ACTIONS(71),
    [anon_sym_CARET] = ACTIONS(71),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(125),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [4] = {
    [sym_block] = STATE(6997),
    [sym_tagged_block] = STATE(6767),
    [sym_import_declaration] = STATE(6767),
    [sym_procedure_declaration] = STATE(6767),
    [sym_overloaded_procedure_declaration] = STATE(6767),
    [sym_struct_declaration] = STATE(6767),
    [sym_enum_declaration] = STATE(6767),
    [sym_union_declaration] = STATE(6767),
    [sym_const_declaration] = STATE(6767),
    [sym_foreign_block] = STATE(6767),
    [sym_attributes] = STATE(645),
    [sym_attribute] = STATE(5637),
    [sym_statement] = STATE(6499),
    [sym_assignment_statement] = STATE(6767),
    [sym_update_statement] = STATE(6767),
    [sym_if_statement] = STATE(6767),
    [sym_when_statement] = STATE(6767),
    [sym_for_statement] = STATE(6767),
    [sym_switch_statement] = STATE(6767),
    [sym_defer_statement] = STATE(6767),
    [sym_break_statement] = STATE(6767),
    [sym_continue_statement] = STATE(6767),
    [sym_var_declaration] = STATE(6767),
    [sym_return_statement] = STATE(6767),
    [sym_label_statement] = STATE(6767),
    [sym_using_statement] = STATE(6767),
    [sym_expression] = STATE(3081),
    [sym__expression_no_tag] = STATE(2426),
    [sym_unary_expression] = STATE(2426),
    [sym_binary_expression] = STATE(2426),
    [sym_ternary_expression] = STATE(2426),
    [sym_call_expression] = STATE(2426),
    [sym_selector_call_expression] = STATE(2426),
    [sym_member_expression] = STATE(2426),
    [sym_index_expression] = STATE(2426),
    [sym_slice_expression] = STATE(2426),
    [sym_range_expression] = STATE(2426),
    [sym_cast_expression] = STATE(2426),
    [sym_in_expression] = STATE(2426),
    [sym_variadic_expression] = STATE(2426),
    [sym_parenthesized_expression] = STATE(2426),
    [sym_or_return_expression] = STATE(2426),
    [sym_or_continue_expression] = STATE(2426),
    [sym_or_break_expression] = STATE(2426),
    [sym_address] = STATE(2426),
    [sym_map_type] = STATE(2426),
    [sym_matrix_type] = STATE(2426),
    [sym_distinct_type] = STATE(2426),
    [sym_literal] = STATE(2426),
    [sym_struct] = STATE(2413),
    [sym_map] = STATE(2256),
    [sym_bit_set] = STATE(2256),
    [sym_matrix] = STATE(2256),
    [sym_string] = STATE(2256),
    [sym__string_literal] = STATE(2258),
    [sym__raw_string_literal] = STATE(2258),
    [sym_character] = STATE(2256),
    [sym_boolean] = STATE(2256),
    [sym_field_identifier] = STATE(7777),
    [aux_sym_attributes_repeat1] = STATE(5637),
    [sym_identifier] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(67),
    [anon_sym_COLON_COLON] = ACTIONS(67),
    [anon_sym_DASH_GT] = ACTIONS(67),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_EQ] = ACTIONS(71),
    [anon_sym_COLON_EQ] = ACTIONS(67),
    [anon_sym_COLON] = ACTIONS(71),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(73),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_in] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(81),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(71),
    [anon_sym_PIPE_PIPE] = ACTIONS(71),
    [anon_sym_or_else] = ACTIONS(71),
    [anon_sym_AMP_AMP] = ACTIONS(71),
    [anon_sym_GT] = ACTIONS(71),
    [anon_sym_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_EQ] = ACTIONS(67),
    [anon_sym_LT] = ACTIONS(71),
    [anon_sym_EQ_EQ] = ACTIONS(67),
    [anon_sym_BANG_EQ] = ACTIONS(67),
    [anon_sym_TILDE_EQ] = ACTIONS(67),
    [anon_sym_PIPE] = ACTIONS(71),
    [anon_sym_AMP_TILDE] = ACTIONS(71),
    [anon_sym_LT_LT] = ACTIONS(71),
    [anon_sym_GT_GT] = ACTIONS(71),
    [anon_sym_STAR] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(71),
    [anon_sym_PERCENT] = ACTIONS(71),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(67),
    [anon_sym_DOT] = ACTIONS(71),
    [anon_sym_LBRACK] = ACTIONS(67),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(67),
    [anon_sym_DOT_DOT_LT] = ACTIONS(67),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_not_in] = ACTIONS(71),
    [anon_sym_DOT_DOT] = ACTIONS(103),
    [anon_sym_or_return] = ACTIONS(71),
    [anon_sym_or_continue] = ACTIONS(71),
    [anon_sym_or_break] = ACTIONS(71),
    [anon_sym_CARET] = ACTIONS(71),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(125),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [5] = {
    [sym_block] = STATE(6997),
    [sym_tagged_block] = STATE(6767),
    [sym_import_declaration] = STATE(6767),
    [sym_procedure_declaration] = STATE(6767),
    [sym_overloaded_procedure_declaration] = STATE(6767),
    [sym_struct_declaration] = STATE(6767),
    [sym_enum_declaration] = STATE(6767),
    [sym_union_declaration] = STATE(6767),
    [sym_const_declaration] = STATE(6767),
    [sym_foreign_block] = STATE(6767),
    [sym_attributes] = STATE(645),
    [sym_attribute] = STATE(5637),
    [sym_statement] = STATE(6483),
    [sym_assignment_statement] = STATE(6767),
    [sym_update_statement] = STATE(6767),
    [sym_if_statement] = STATE(6767),
    [sym_when_statement] = STATE(6767),
    [sym_for_statement] = STATE(6767),
    [sym_switch_statement] = STATE(6767),
    [sym_defer_statement] = STATE(6767),
    [sym_break_statement] = STATE(6767),
    [sym_continue_statement] = STATE(6767),
    [sym_var_declaration] = STATE(6767),
    [sym_return_statement] = STATE(6767),
    [sym_label_statement] = STATE(6767),
    [sym_using_statement] = STATE(6767),
    [sym_expression] = STATE(3081),
    [sym__expression_no_tag] = STATE(2426),
    [sym_unary_expression] = STATE(2426),
    [sym_binary_expression] = STATE(2426),
    [sym_ternary_expression] = STATE(2426),
    [sym_call_expression] = STATE(2426),
    [sym_selector_call_expression] = STATE(2426),
    [sym_member_expression] = STATE(2426),
    [sym_index_expression] = STATE(2426),
    [sym_slice_expression] = STATE(2426),
    [sym_range_expression] = STATE(2426),
    [sym_cast_expression] = STATE(2426),
    [sym_in_expression] = STATE(2426),
    [sym_variadic_expression] = STATE(2426),
    [sym_parenthesized_expression] = STATE(2426),
    [sym_or_return_expression] = STATE(2426),
    [sym_or_continue_expression] = STATE(2426),
    [sym_or_break_expression] = STATE(2426),
    [sym_address] = STATE(2426),
    [sym_map_type] = STATE(2426),
    [sym_matrix_type] = STATE(2426),
    [sym_distinct_type] = STATE(2426),
    [sym_literal] = STATE(2426),
    [sym_struct] = STATE(2413),
    [sym_map] = STATE(2256),
    [sym_bit_set] = STATE(2256),
    [sym_matrix] = STATE(2256),
    [sym_string] = STATE(2256),
    [sym__string_literal] = STATE(2258),
    [sym__raw_string_literal] = STATE(2258),
    [sym_character] = STATE(2256),
    [sym_boolean] = STATE(2256),
    [sym_field_identifier] = STATE(7777),
    [aux_sym_attributes_repeat1] = STATE(5637),
    [sym_identifier] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(67),
    [anon_sym_COLON_COLON] = ACTIONS(67),
    [anon_sym_DASH_GT] = ACTIONS(67),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_EQ] = ACTIONS(71),
    [anon_sym_COLON_EQ] = ACTIONS(67),
    [anon_sym_COLON] = ACTIONS(71),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(73),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_in] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(81),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(71),
    [anon_sym_PIPE_PIPE] = ACTIONS(71),
    [anon_sym_or_else] = ACTIONS(71),
    [anon_sym_AMP_AMP] = ACTIONS(71),
    [anon_sym_GT] = ACTIONS(71),
    [anon_sym_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_EQ] = ACTIONS(67),
    [anon_sym_LT] = ACTIONS(71),
    [anon_sym_EQ_EQ] = ACTIONS(67),
    [anon_sym_BANG_EQ] = ACTIONS(67),
    [anon_sym_TILDE_EQ] = ACTIONS(67),
    [anon_sym_PIPE] = ACTIONS(71),
    [anon_sym_AMP_TILDE] = ACTIONS(71),
    [anon_sym_LT_LT] = ACTIONS(71),
    [anon_sym_GT_GT] = ACTIONS(71),
    [anon_sym_STAR] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(71),
    [anon_sym_PERCENT] = ACTIONS(71),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(67),
    [anon_sym_DOT] = ACTIONS(71),
    [anon_sym_LBRACK] = ACTIONS(67),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(67),
    [anon_sym_DOT_DOT_LT] = ACTIONS(67),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_not_in] = ACTIONS(71),
    [anon_sym_DOT_DOT] = ACTIONS(103),
    [anon_sym_or_return] = ACTIONS(71),
    [anon_sym_or_continue] = ACTIONS(71),
    [anon_sym_or_break] = ACTIONS(71),
    [anon_sym_CARET] = ACTIONS(71),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(125),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [6] = {
    [sym_block] = STATE(6997),
    [sym_tagged_block] = STATE(6767),
    [sym_import_declaration] = STATE(6767),
    [sym_procedure_declaration] = STATE(6767),
    [sym_overloaded_procedure_declaration] = STATE(6767),
    [sym_struct_declaration] = STATE(6767),
    [sym_enum_declaration] = STATE(6767),
    [sym_union_declaration] = STATE(6767),
    [sym_const_declaration] = STATE(6767),
    [sym_foreign_block] = STATE(6767),
    [sym_attributes] = STATE(645),
    [sym_attribute] = STATE(5637),
    [sym_statement] = STATE(6579),
    [sym_assignment_statement] = STATE(6767),
    [sym_update_statement] = STATE(6767),
    [sym_if_statement] = STATE(6767),
    [sym_when_statement] = STATE(6767),
    [sym_for_statement] = STATE(6767),
    [sym_switch_statement] = STATE(6767),
    [sym_defer_statement] = STATE(6767),
    [sym_break_statement] = STATE(6767),
    [sym_continue_statement] = STATE(6767),
    [sym_var_declaration] = STATE(6767),
    [sym_return_statement] = STATE(6767),
    [sym_label_statement] = STATE(6767),
    [sym_using_statement] = STATE(6767),
    [sym_expression] = STATE(3081),
    [sym__expression_no_tag] = STATE(2426),
    [sym_unary_expression] = STATE(2426),
    [sym_binary_expression] = STATE(2426),
    [sym_ternary_expression] = STATE(2426),
    [sym_call_expression] = STATE(2426),
    [sym_selector_call_expression] = STATE(2426),
    [sym_member_expression] = STATE(2426),
    [sym_index_expression] = STATE(2426),
    [sym_slice_expression] = STATE(2426),
    [sym_range_expression] = STATE(2426),
    [sym_cast_expression] = STATE(2426),
    [sym_in_expression] = STATE(2426),
    [sym_variadic_expression] = STATE(2426),
    [sym_parenthesized_expression] = STATE(2426),
    [sym_or_return_expression] = STATE(2426),
    [sym_or_continue_expression] = STATE(2426),
    [sym_or_break_expression] = STATE(2426),
    [sym_address] = STATE(2426),
    [sym_map_type] = STATE(2426),
    [sym_matrix_type] = STATE(2426),
    [sym_distinct_type] = STATE(2426),
    [sym_literal] = STATE(2426),
    [sym_struct] = STATE(2413),
    [sym_map] = STATE(2256),
    [sym_bit_set] = STATE(2256),
    [sym_matrix] = STATE(2256),
    [sym_string] = STATE(2256),
    [sym__string_literal] = STATE(2258),
    [sym__raw_string_literal] = STATE(2258),
    [sym_character] = STATE(2256),
    [sym_boolean] = STATE(2256),
    [sym_field_identifier] = STATE(7777),
    [aux_sym_attributes_repeat1] = STATE(5637),
    [sym_identifier] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(67),
    [anon_sym_COLON_COLON] = ACTIONS(67),
    [anon_sym_DASH_GT] = ACTIONS(67),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_EQ] = ACTIONS(71),
    [anon_sym_COLON_EQ] = ACTIONS(67),
    [anon_sym_COLON] = ACTIONS(71),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(73),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_in] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(81),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(71),
    [anon_sym_PIPE_PIPE] = ACTIONS(71),
    [anon_sym_or_else] = ACTIONS(71),
    [anon_sym_AMP_AMP] = ACTIONS(71),
    [anon_sym_GT] = ACTIONS(71),
    [anon_sym_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_EQ] = ACTIONS(67),
    [anon_sym_LT] = ACTIONS(71),
    [anon_sym_EQ_EQ] = ACTIONS(67),
    [anon_sym_BANG_EQ] = ACTIONS(67),
    [anon_sym_TILDE_EQ] = ACTIONS(67),
    [anon_sym_PIPE] = ACTIONS(71),
    [anon_sym_AMP_TILDE] = ACTIONS(71),
    [anon_sym_LT_LT] = ACTIONS(71),
    [anon_sym_GT_GT] = ACTIONS(71),
    [anon_sym_STAR] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(71),
    [anon_sym_PERCENT] = ACTIONS(71),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(67),
    [anon_sym_DOT] = ACTIONS(71),
    [anon_sym_LBRACK] = ACTIONS(67),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(67),
    [anon_sym_DOT_DOT_LT] = ACTIONS(67),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_not_in] = ACTIONS(71),
    [anon_sym_DOT_DOT] = ACTIONS(103),
    [anon_sym_or_return] = ACTIONS(71),
    [anon_sym_or_continue] = ACTIONS(71),
    [anon_sym_or_break] = ACTIONS(71),
    [anon_sym_CARET] = ACTIONS(71),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(125),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [7] = {
    [sym_block] = STATE(6997),
    [sym_tagged_block] = STATE(6767),
    [sym_import_declaration] = STATE(6767),
    [sym_procedure_declaration] = STATE(6767),
    [sym_overloaded_procedure_declaration] = STATE(6767),
    [sym_struct_declaration] = STATE(6767),
    [sym_enum_declaration] = STATE(6767),
    [sym_union_declaration] = STATE(6767),
    [sym_const_declaration] = STATE(6767),
    [sym_foreign_block] = STATE(6767),
    [sym_attributes] = STATE(645),
    [sym_attribute] = STATE(5637),
    [sym_statement] = STATE(6619),
    [sym_assignment_statement] = STATE(6767),
    [sym_update_statement] = STATE(6767),
    [sym_if_statement] = STATE(6767),
    [sym_when_statement] = STATE(6767),
    [sym_for_statement] = STATE(6767),
    [sym_switch_statement] = STATE(6767),
    [sym_defer_statement] = STATE(6767),
    [sym_break_statement] = STATE(6767),
    [sym_continue_statement] = STATE(6767),
    [sym_var_declaration] = STATE(6767),
    [sym_return_statement] = STATE(6767),
    [sym_label_statement] = STATE(6767),
    [sym_using_statement] = STATE(6767),
    [sym_expression] = STATE(3081),
    [sym__expression_no_tag] = STATE(2426),
    [sym_unary_expression] = STATE(2426),
    [sym_binary_expression] = STATE(2426),
    [sym_ternary_expression] = STATE(2426),
    [sym_call_expression] = STATE(2426),
    [sym_selector_call_expression] = STATE(2426),
    [sym_member_expression] = STATE(2426),
    [sym_index_expression] = STATE(2426),
    [sym_slice_expression] = STATE(2426),
    [sym_range_expression] = STATE(2426),
    [sym_cast_expression] = STATE(2426),
    [sym_in_expression] = STATE(2426),
    [sym_variadic_expression] = STATE(2426),
    [sym_parenthesized_expression] = STATE(2426),
    [sym_or_return_expression] = STATE(2426),
    [sym_or_continue_expression] = STATE(2426),
    [sym_or_break_expression] = STATE(2426),
    [sym_address] = STATE(2426),
    [sym_map_type] = STATE(2426),
    [sym_matrix_type] = STATE(2426),
    [sym_distinct_type] = STATE(2426),
    [sym_literal] = STATE(2426),
    [sym_struct] = STATE(2413),
    [sym_map] = STATE(2256),
    [sym_bit_set] = STATE(2256),
    [sym_matrix] = STATE(2256),
    [sym_string] = STATE(2256),
    [sym__string_literal] = STATE(2258),
    [sym__raw_string_literal] = STATE(2258),
    [sym_character] = STATE(2256),
    [sym_boolean] = STATE(2256),
    [sym_field_identifier] = STATE(7777),
    [aux_sym_attributes_repeat1] = STATE(5637),
    [sym_identifier] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(67),
    [anon_sym_COLON_COLON] = ACTIONS(67),
    [anon_sym_DASH_GT] = ACTIONS(67),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_EQ] = ACTIONS(71),
    [anon_sym_COLON_EQ] = ACTIONS(67),
    [anon_sym_COLON] = ACTIONS(71),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(73),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_in] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(81),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(71),
    [anon_sym_PIPE_PIPE] = ACTIONS(71),
    [anon_sym_or_else] = ACTIONS(71),
    [anon_sym_AMP_AMP] = ACTIONS(71),
    [anon_sym_GT] = ACTIONS(71),
    [anon_sym_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_EQ] = ACTIONS(67),
    [anon_sym_LT] = ACTIONS(71),
    [anon_sym_EQ_EQ] = ACTIONS(67),
    [anon_sym_BANG_EQ] = ACTIONS(67),
    [anon_sym_TILDE_EQ] = ACTIONS(67),
    [anon_sym_PIPE] = ACTIONS(71),
    [anon_sym_AMP_TILDE] = ACTIONS(71),
    [anon_sym_LT_LT] = ACTIONS(71),
    [anon_sym_GT_GT] = ACTIONS(71),
    [anon_sym_STAR] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(71),
    [anon_sym_PERCENT] = ACTIONS(71),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(67),
    [anon_sym_DOT] = ACTIONS(71),
    [anon_sym_LBRACK] = ACTIONS(67),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(67),
    [anon_sym_DOT_DOT_LT] = ACTIONS(67),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_not_in] = ACTIONS(71),
    [anon_sym_DOT_DOT] = ACTIONS(103),
    [anon_sym_or_return] = ACTIONS(71),
    [anon_sym_or_continue] = ACTIONS(71),
    [anon_sym_or_break] = ACTIONS(71),
    [anon_sym_CARET] = ACTIONS(71),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(125),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [8] = {
    [sym_block] = STATE(6997),
    [sym_tagged_block] = STATE(6767),
    [sym_import_declaration] = STATE(6767),
    [sym_procedure_declaration] = STATE(6767),
    [sym_overloaded_procedure_declaration] = STATE(6767),
    [sym_struct_declaration] = STATE(6767),
    [sym_enum_declaration] = STATE(6767),
    [sym_union_declaration] = STATE(6767),
    [sym_const_declaration] = STATE(6767),
    [sym_foreign_block] = STATE(6767),
    [sym_attributes] = STATE(645),
    [sym_attribute] = STATE(5637),
    [sym_statement] = STATE(6635),
    [sym_assignment_statement] = STATE(6767),
    [sym_update_statement] = STATE(6767),
    [sym_if_statement] = STATE(6767),
    [sym_when_statement] = STATE(6767),
    [sym_for_statement] = STATE(6767),
    [sym_switch_statement] = STATE(6767),
    [sym_defer_statement] = STATE(6767),
    [sym_break_statement] = STATE(6767),
    [sym_continue_statement] = STATE(6767),
    [sym_var_declaration] = STATE(6767),
    [sym_return_statement] = STATE(6767),
    [sym_label_statement] = STATE(6767),
    [sym_using_statement] = STATE(6767),
    [sym_expression] = STATE(3081),
    [sym__expression_no_tag] = STATE(2426),
    [sym_unary_expression] = STATE(2426),
    [sym_binary_expression] = STATE(2426),
    [sym_ternary_expression] = STATE(2426),
    [sym_call_expression] = STATE(2426),
    [sym_selector_call_expression] = STATE(2426),
    [sym_member_expression] = STATE(2426),
    [sym_index_expression] = STATE(2426),
    [sym_slice_expression] = STATE(2426),
    [sym_range_expression] = STATE(2426),
    [sym_cast_expression] = STATE(2426),
    [sym_in_expression] = STATE(2426),
    [sym_variadic_expression] = STATE(2426),
    [sym_parenthesized_expression] = STATE(2426),
    [sym_or_return_expression] = STATE(2426),
    [sym_or_continue_expression] = STATE(2426),
    [sym_or_break_expression] = STATE(2426),
    [sym_address] = STATE(2426),
    [sym_map_type] = STATE(2426),
    [sym_matrix_type] = STATE(2426),
    [sym_distinct_type] = STATE(2426),
    [sym_literal] = STATE(2426),
    [sym_struct] = STATE(2413),
    [sym_map] = STATE(2256),
    [sym_bit_set] = STATE(2256),
    [sym_matrix] = STATE(2256),
    [sym_string] = STATE(2256),
    [sym__string_literal] = STATE(2258),
    [sym__raw_string_literal] = STATE(2258),
    [sym_character] = STATE(2256),
    [sym_boolean] = STATE(2256),
    [sym_field_identifier] = STATE(7777),
    [aux_sym_attributes_repeat1] = STATE(5637),
    [sym_identifier] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(67),
    [anon_sym_COLON_COLON] = ACTIONS(67),
    [anon_sym_DASH_GT] = ACTIONS(67),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_EQ] = ACTIONS(71),
    [anon_sym_COLON_EQ] = ACTIONS(67),
    [anon_sym_COLON] = ACTIONS(71),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(73),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_in] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(81),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_PLUS] = ACTIONS(93),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(93),
    [anon_sym_PIPE_PIPE] = ACTIONS(71),
    [anon_sym_or_else] = ACTIONS(71),
    [anon_sym_AMP_AMP] = ACTIONS(71),
    [anon_sym_GT] = ACTIONS(71),
    [anon_sym_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_EQ] = ACTIONS(67),
    [anon_sym_LT] = ACTIONS(71),
    [anon_sym_EQ_EQ] = ACTIONS(67),
    [anon_sym_BANG_EQ] = ACTIONS(67),
    [anon_sym_TILDE_EQ] = ACTIONS(67),
    [anon_sym_PIPE] = ACTIONS(71),
    [anon_sym_AMP_TILDE] = ACTIONS(71),
    [anon_sym_LT_LT] = ACTIONS(71),
    [anon_sym_GT_GT] = ACTIONS(71),
    [anon_sym_STAR] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(71),
    [anon_sym_PERCENT] = ACTIONS(71),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(67),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(67),
    [anon_sym_DOT_DOT_LT] = ACTIONS(67),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_not_in] = ACTIONS(71),
    [anon_sym_DOT_DOT] = ACTIONS(103),
    [anon_sym_or_return] = ACTIONS(71),
    [anon_sym_or_continue] = ACTIONS(71),
    [anon_sym_or_break] = ACTIONS(71),
    [anon_sym_CARET] = ACTIONS(71),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(125),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [9] = {
    [sym_block] = STATE(6997),
    [sym_tagged_block] = STATE(6767),
    [sym_import_declaration] = STATE(6767),
    [sym_procedure_declaration] = STATE(6767),
    [sym_overloaded_procedure_declaration] = STATE(6767),
    [sym_struct_declaration] = STATE(6767),
    [sym_enum_declaration] = STATE(6767),
    [sym_union_declaration] = STATE(6767),
    [sym_const_declaration] = STATE(6767),
    [sym_foreign_block] = STATE(6767),
    [sym_attributes] = STATE(645),
    [sym_attribute] = STATE(5637),
    [sym_statement] = STATE(6856),
    [sym_assignment_statement] = STATE(6767),
    [sym_update_statement] = STATE(6767),
    [sym_if_statement] = STATE(6767),
    [sym_when_statement] = STATE(6767),
    [sym_for_statement] = STATE(6767),
    [sym_switch_statement] = STATE(6767),
    [sym_defer_statement] = STATE(6767),
    [sym_break_statement] = STATE(6767),
    [sym_continue_statement] = STATE(6767),
    [sym_var_declaration] = STATE(6767),
    [sym_return_statement] = STATE(6767),
    [sym_label_statement] = STATE(6767),
    [sym_using_statement] = STATE(6767),
    [sym_expression] = STATE(3081),
    [sym__expression_no_tag] = STATE(2426),
    [sym_unary_expression] = STATE(2426),
    [sym_binary_expression] = STATE(2426),
    [sym_ternary_expression] = STATE(2426),
    [sym_call_expression] = STATE(2426),
    [sym_selector_call_expression] = STATE(2426),
    [sym_member_expression] = STATE(2426),
    [sym_index_expression] = STATE(2426),
    [sym_slice_expression] = STATE(2426),
    [sym_range_expression] = STATE(2426),
    [sym_cast_expression] = STATE(2426),
    [sym_in_expression] = STATE(2426),
    [sym_variadic_expression] = STATE(2426),
    [sym_parenthesized_expression] = STATE(2426),
    [sym_or_return_expression] = STATE(2426),
    [sym_or_continue_expression] = STATE(2426),
    [sym_or_break_expression] = STATE(2426),
    [sym_address] = STATE(2426),
    [sym_map_type] = STATE(2426),
    [sym_matrix_type] = STATE(2426),
    [sym_distinct_type] = STATE(2426),
    [sym_literal] = STATE(2426),
    [sym_struct] = STATE(2413),
    [sym_map] = STATE(2256),
    [sym_bit_set] = STATE(2256),
    [sym_matrix] = STATE(2256),
    [sym_string] = STATE(2256),
    [sym__string_literal] = STATE(2258),
    [sym__raw_string_literal] = STATE(2258),
    [sym_character] = STATE(2256),
    [sym_boolean] = STATE(2256),
    [sym_field_identifier] = STATE(7777),
    [aux_sym_attributes_repeat1] = STATE(5637),
    [sym_identifier] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(67),
    [anon_sym_COLON_COLON] = ACTIONS(67),
    [anon_sym_DASH_GT] = ACTIONS(67),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_EQ] = ACTIONS(71),
    [anon_sym_COLON_EQ] = ACTIONS(67),
    [anon_sym_COLON] = ACTIONS(71),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(73),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_in] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(81),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_PLUS] = ACTIONS(93),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(93),
    [anon_sym_PIPE_PIPE] = ACTIONS(71),
    [anon_sym_or_else] = ACTIONS(71),
    [anon_sym_AMP_AMP] = ACTIONS(71),
    [anon_sym_GT] = ACTIONS(71),
    [anon_sym_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_EQ] = ACTIONS(67),
    [anon_sym_LT] = ACTIONS(71),
    [anon_sym_EQ_EQ] = ACTIONS(67),
    [anon_sym_BANG_EQ] = ACTIONS(67),
    [anon_sym_TILDE_EQ] = ACTIONS(67),
    [anon_sym_PIPE] = ACTIONS(71),
    [anon_sym_AMP_TILDE] = ACTIONS(71),
    [anon_sym_LT_LT] = ACTIONS(71),
    [anon_sym_GT_GT] = ACTIONS(71),
    [anon_sym_STAR] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(71),
    [anon_sym_PERCENT] = ACTIONS(71),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(67),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(67),
    [anon_sym_DOT_DOT_LT] = ACTIONS(67),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_not_in] = ACTIONS(71),
    [anon_sym_DOT_DOT] = ACTIONS(103),
    [anon_sym_or_return] = ACTIONS(71),
    [anon_sym_or_continue] = ACTIONS(71),
    [anon_sym_or_break] = ACTIONS(71),
    [anon_sym_CARET] = ACTIONS(71),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(125),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [10] = {
    [sym_block] = STATE(6997),
    [sym_tagged_block] = STATE(6767),
    [sym_import_declaration] = STATE(6767),
    [sym_procedure_declaration] = STATE(6767),
    [sym_overloaded_procedure_declaration] = STATE(6767),
    [sym_struct_declaration] = STATE(6767),
    [sym_enum_declaration] = STATE(6767),
    [sym_union_declaration] = STATE(6767),
    [sym_const_declaration] = STATE(6767),
    [sym_foreign_block] = STATE(6767),
    [sym_attributes] = STATE(645),
    [sym_attribute] = STATE(5637),
    [sym_statement] = STATE(6661),
    [sym_assignment_statement] = STATE(6767),
    [sym_update_statement] = STATE(6767),
    [sym_if_statement] = STATE(6767),
    [sym_when_statement] = STATE(6767),
    [sym_for_statement] = STATE(6767),
    [sym_switch_statement] = STATE(6767),
    [sym_defer_statement] = STATE(6767),
    [sym_break_statement] = STATE(6767),
    [sym_continue_statement] = STATE(6767),
    [sym_var_declaration] = STATE(6767),
    [sym_return_statement] = STATE(6767),
    [sym_label_statement] = STATE(6767),
    [sym_using_statement] = STATE(6767),
    [sym_expression] = STATE(3081),
    [sym__expression_no_tag] = STATE(2426),
    [sym_unary_expression] = STATE(2426),
    [sym_binary_expression] = STATE(2426),
    [sym_ternary_expression] = STATE(2426),
    [sym_call_expression] = STATE(2426),
    [sym_selector_call_expression] = STATE(2426),
    [sym_member_expression] = STATE(2426),
    [sym_index_expression] = STATE(2426),
    [sym_slice_expression] = STATE(2426),
    [sym_range_expression] = STATE(2426),
    [sym_cast_expression] = STATE(2426),
    [sym_in_expression] = STATE(2426),
    [sym_variadic_expression] = STATE(2426),
    [sym_parenthesized_expression] = STATE(2426),
    [sym_or_return_expression] = STATE(2426),
    [sym_or_continue_expression] = STATE(2426),
    [sym_or_break_expression] = STATE(2426),
    [sym_address] = STATE(2426),
    [sym_map_type] = STATE(2426),
    [sym_matrix_type] = STATE(2426),
    [sym_distinct_type] = STATE(2426),
    [sym_literal] = STATE(2426),
    [sym_struct] = STATE(2413),
    [sym_map] = STATE(2256),
    [sym_bit_set] = STATE(2256),
    [sym_matrix] = STATE(2256),
    [sym_string] = STATE(2256),
    [sym__string_literal] = STATE(2258),
    [sym__raw_string_literal] = STATE(2258),
    [sym_character] = STATE(2256),
    [sym_boolean] = STATE(2256),
    [sym_field_identifier] = STATE(7777),
    [aux_sym_attributes_repeat1] = STATE(5637),
    [sym_identifier] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(67),
    [anon_sym_COLON_COLON] = ACTIONS(67),
    [anon_sym_DASH_GT] = ACTIONS(67),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_EQ] = ACTIONS(71),
    [anon_sym_COLON_EQ] = ACTIONS(67),
    [anon_sym_COLON] = ACTIONS(71),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(73),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_in] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(81),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_PLUS] = ACTIONS(93),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(93),
    [anon_sym_PIPE_PIPE] = ACTIONS(71),
    [anon_sym_or_else] = ACTIONS(71),
    [anon_sym_AMP_AMP] = ACTIONS(71),
    [anon_sym_GT] = ACTIONS(71),
    [anon_sym_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_EQ] = ACTIONS(67),
    [anon_sym_LT] = ACTIONS(71),
    [anon_sym_EQ_EQ] = ACTIONS(67),
    [anon_sym_BANG_EQ] = ACTIONS(67),
    [anon_sym_TILDE_EQ] = ACTIONS(67),
    [anon_sym_PIPE] = ACTIONS(71),
    [anon_sym_AMP_TILDE] = ACTIONS(71),
    [anon_sym_LT_LT] = ACTIONS(71),
    [anon_sym_GT_GT] = ACTIONS(71),
    [anon_sym_STAR] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(71),
    [anon_sym_PERCENT] = ACTIONS(71),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(67),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(67),
    [anon_sym_DOT_DOT_LT] = ACTIONS(67),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_not_in] = ACTIONS(71),
    [anon_sym_DOT_DOT] = ACTIONS(103),
    [anon_sym_or_return] = ACTIONS(71),
    [anon_sym_or_continue] = ACTIONS(71),
    [anon_sym_or_break] = ACTIONS(71),
    [anon_sym_CARET] = ACTIONS(71),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(125),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [11] = {
    [sym_block] = STATE(6997),
    [sym_tagged_block] = STATE(6767),
    [sym_import_declaration] = STATE(6767),
    [sym_procedure_declaration] = STATE(6767),
    [sym_overloaded_procedure_declaration] = STATE(6767),
    [sym_struct_declaration] = STATE(6767),
    [sym_enum_declaration] = STATE(6767),
    [sym_union_declaration] = STATE(6767),
    [sym_const_declaration] = STATE(6767),
    [sym_foreign_block] = STATE(6767),
    [sym_attributes] = STATE(645),
    [sym_attribute] = STATE(5637),
    [sym_statement] = STATE(6706),
    [sym_assignment_statement] = STATE(6767),
    [sym_update_statement] = STATE(6767),
    [sym_if_statement] = STATE(6767),
    [sym_when_statement] = STATE(6767),
    [sym_for_statement] = STATE(6767),
    [sym_switch_statement] = STATE(6767),
    [sym_defer_statement] = STATE(6767),
    [sym_break_statement] = STATE(6767),
    [sym_continue_statement] = STATE(6767),
    [sym_var_declaration] = STATE(6767),
    [sym_return_statement] = STATE(6767),
    [sym_label_statement] = STATE(6767),
    [sym_using_statement] = STATE(6767),
    [sym_expression] = STATE(3081),
    [sym__expression_no_tag] = STATE(2426),
    [sym_unary_expression] = STATE(2426),
    [sym_binary_expression] = STATE(2426),
    [sym_ternary_expression] = STATE(2426),
    [sym_call_expression] = STATE(2426),
    [sym_selector_call_expression] = STATE(2426),
    [sym_member_expression] = STATE(2426),
    [sym_index_expression] = STATE(2426),
    [sym_slice_expression] = STATE(2426),
    [sym_range_expression] = STATE(2426),
    [sym_cast_expression] = STATE(2426),
    [sym_in_expression] = STATE(2426),
    [sym_variadic_expression] = STATE(2426),
    [sym_parenthesized_expression] = STATE(2426),
    [sym_or_return_expression] = STATE(2426),
    [sym_or_continue_expression] = STATE(2426),
    [sym_or_break_expression] = STATE(2426),
    [sym_address] = STATE(2426),
    [sym_map_type] = STATE(2426),
    [sym_matrix_type] = STATE(2426),
    [sym_distinct_type] = STATE(2426),
    [sym_literal] = STATE(2426),
    [sym_struct] = STATE(2413),
    [sym_map] = STATE(2256),
    [sym_bit_set] = STATE(2256),
    [sym_matrix] = STATE(2256),
    [sym_string] = STATE(2256),
    [sym__string_literal] = STATE(2258),
    [sym__raw_string_literal] = STATE(2258),
    [sym_character] = STATE(2256),
    [sym_boolean] = STATE(2256),
    [sym_field_identifier] = STATE(7777),
    [aux_sym_attributes_repeat1] = STATE(5637),
    [sym_identifier] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(67),
    [anon_sym_COLON_COLON] = ACTIONS(67),
    [anon_sym_DASH_GT] = ACTIONS(67),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_EQ] = ACTIONS(71),
    [anon_sym_COLON_EQ] = ACTIONS(67),
    [anon_sym_COLON] = ACTIONS(71),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(73),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_in] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(81),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_PLUS] = ACTIONS(93),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(93),
    [anon_sym_PIPE_PIPE] = ACTIONS(71),
    [anon_sym_or_else] = ACTIONS(71),
    [anon_sym_AMP_AMP] = ACTIONS(71),
    [anon_sym_GT] = ACTIONS(71),
    [anon_sym_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_EQ] = ACTIONS(67),
    [anon_sym_LT] = ACTIONS(71),
    [anon_sym_EQ_EQ] = ACTIONS(67),
    [anon_sym_BANG_EQ] = ACTIONS(67),
    [anon_sym_TILDE_EQ] = ACTIONS(67),
    [anon_sym_PIPE] = ACTIONS(71),
    [anon_sym_AMP_TILDE] = ACTIONS(71),
    [anon_sym_LT_LT] = ACTIONS(71),
    [anon_sym_GT_GT] = ACTIONS(71),
    [anon_sym_STAR] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(71),
    [anon_sym_PERCENT] = ACTIONS(71),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(67),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(67),
    [anon_sym_DOT_DOT_LT] = ACTIONS(67),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_not_in] = ACTIONS(71),
    [anon_sym_DOT_DOT] = ACTIONS(103),
    [anon_sym_or_return] = ACTIONS(71),
    [anon_sym_or_continue] = ACTIONS(71),
    [anon_sym_or_break] = ACTIONS(71),
    [anon_sym_CARET] = ACTIONS(71),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(125),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [12] = {
    [sym_block] = STATE(6997),
    [sym_tagged_block] = STATE(6767),
    [sym_import_declaration] = STATE(6767),
    [sym_procedure_declaration] = STATE(6767),
    [sym_overloaded_procedure_declaration] = STATE(6767),
    [sym_struct_declaration] = STATE(6767),
    [sym_enum_declaration] = STATE(6767),
    [sym_union_declaration] = STATE(6767),
    [sym_const_declaration] = STATE(6767),
    [sym_foreign_block] = STATE(6767),
    [sym_attributes] = STATE(645),
    [sym_attribute] = STATE(5637),
    [sym_statement] = STATE(6737),
    [sym_assignment_statement] = STATE(6767),
    [sym_update_statement] = STATE(6767),
    [sym_if_statement] = STATE(6767),
    [sym_when_statement] = STATE(6767),
    [sym_for_statement] = STATE(6767),
    [sym_switch_statement] = STATE(6767),
    [sym_defer_statement] = STATE(6767),
    [sym_break_statement] = STATE(6767),
    [sym_continue_statement] = STATE(6767),
    [sym_var_declaration] = STATE(6767),
    [sym_return_statement] = STATE(6767),
    [sym_label_statement] = STATE(6767),
    [sym_using_statement] = STATE(6767),
    [sym_expression] = STATE(3081),
    [sym__expression_no_tag] = STATE(2426),
    [sym_unary_expression] = STATE(2426),
    [sym_binary_expression] = STATE(2426),
    [sym_ternary_expression] = STATE(2426),
    [sym_call_expression] = STATE(2426),
    [sym_selector_call_expression] = STATE(2426),
    [sym_member_expression] = STATE(2426),
    [sym_index_expression] = STATE(2426),
    [sym_slice_expression] = STATE(2426),
    [sym_range_expression] = STATE(2426),
    [sym_cast_expression] = STATE(2426),
    [sym_in_expression] = STATE(2426),
    [sym_variadic_expression] = STATE(2426),
    [sym_parenthesized_expression] = STATE(2426),
    [sym_or_return_expression] = STATE(2426),
    [sym_or_continue_expression] = STATE(2426),
    [sym_or_break_expression] = STATE(2426),
    [sym_address] = STATE(2426),
    [sym_map_type] = STATE(2426),
    [sym_matrix_type] = STATE(2426),
    [sym_distinct_type] = STATE(2426),
    [sym_literal] = STATE(2426),
    [sym_struct] = STATE(2413),
    [sym_map] = STATE(2256),
    [sym_bit_set] = STATE(2256),
    [sym_matrix] = STATE(2256),
    [sym_string] = STATE(2256),
    [sym__string_literal] = STATE(2258),
    [sym__raw_string_literal] = STATE(2258),
    [sym_character] = STATE(2256),
    [sym_boolean] = STATE(2256),
    [sym_field_identifier] = STATE(7777),
    [aux_sym_attributes_repeat1] = STATE(5637),
    [sym_identifier] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(67),
    [anon_sym_COLON_COLON] = ACTIONS(67),
    [anon_sym_DASH_GT] = ACTIONS(67),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_EQ] = ACTIONS(71),
    [anon_sym_COLON_EQ] = ACTIONS(67),
    [anon_sym_COLON] = ACTIONS(71),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(73),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_in] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(81),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_PLUS] = ACTIONS(93),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(93),
    [anon_sym_PIPE_PIPE] = ACTIONS(71),
    [anon_sym_or_else] = ACTIONS(71),
    [anon_sym_AMP_AMP] = ACTIONS(71),
    [anon_sym_GT] = ACTIONS(71),
    [anon_sym_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_EQ] = ACTIONS(67),
    [anon_sym_LT] = ACTIONS(71),
    [anon_sym_EQ_EQ] = ACTIONS(67),
    [anon_sym_BANG_EQ] = ACTIONS(67),
    [anon_sym_TILDE_EQ] = ACTIONS(67),
    [anon_sym_PIPE] = ACTIONS(71),
    [anon_sym_AMP_TILDE] = ACTIONS(71),
    [anon_sym_LT_LT] = ACTIONS(71),
    [anon_sym_GT_GT] = ACTIONS(71),
    [anon_sym_STAR] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(71),
    [anon_sym_PERCENT] = ACTIONS(71),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(67),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(67),
    [anon_sym_DOT_DOT_LT] = ACTIONS(67),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_not_in] = ACTIONS(71),
    [anon_sym_DOT_DOT] = ACTIONS(103),
    [anon_sym_or_return] = ACTIONS(71),
    [anon_sym_or_continue] = ACTIONS(71),
    [anon_sym_or_break] = ACTIONS(71),
    [anon_sym_CARET] = ACTIONS(71),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(125),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [13] = {
    [sym_block] = STATE(6997),
    [sym_tagged_block] = STATE(6767),
    [sym_import_declaration] = STATE(6767),
    [sym_procedure_declaration] = STATE(6767),
    [sym_overloaded_procedure_declaration] = STATE(6767),
    [sym_struct_declaration] = STATE(6767),
    [sym_enum_declaration] = STATE(6767),
    [sym_union_declaration] = STATE(6767),
    [sym_const_declaration] = STATE(6767),
    [sym_foreign_block] = STATE(6767),
    [sym_attributes] = STATE(645),
    [sym_attribute] = STATE(5637),
    [sym_statement] = STATE(6779),
    [sym_assignment_statement] = STATE(6767),
    [sym_update_statement] = STATE(6767),
    [sym_if_statement] = STATE(6767),
    [sym_when_statement] = STATE(6767),
    [sym_for_statement] = STATE(6767),
    [sym_switch_statement] = STATE(6767),
    [sym_defer_statement] = STATE(6767),
    [sym_break_statement] = STATE(6767),
    [sym_continue_statement] = STATE(6767),
    [sym_var_declaration] = STATE(6767),
    [sym_return_statement] = STATE(6767),
    [sym_label_statement] = STATE(6767),
    [sym_using_statement] = STATE(6767),
    [sym_expression] = STATE(3081),
    [sym__expression_no_tag] = STATE(2426),
    [sym_unary_expression] = STATE(2426),
    [sym_binary_expression] = STATE(2426),
    [sym_ternary_expression] = STATE(2426),
    [sym_call_expression] = STATE(2426),
    [sym_selector_call_expression] = STATE(2426),
    [sym_member_expression] = STATE(2426),
    [sym_index_expression] = STATE(2426),
    [sym_slice_expression] = STATE(2426),
    [sym_range_expression] = STATE(2426),
    [sym_cast_expression] = STATE(2426),
    [sym_in_expression] = STATE(2426),
    [sym_variadic_expression] = STATE(2426),
    [sym_parenthesized_expression] = STATE(2426),
    [sym_or_return_expression] = STATE(2426),
    [sym_or_continue_expression] = STATE(2426),
    [sym_or_break_expression] = STATE(2426),
    [sym_address] = STATE(2426),
    [sym_map_type] = STATE(2426),
    [sym_matrix_type] = STATE(2426),
    [sym_distinct_type] = STATE(2426),
    [sym_literal] = STATE(2426),
    [sym_struct] = STATE(2413),
    [sym_map] = STATE(2256),
    [sym_bit_set] = STATE(2256),
    [sym_matrix] = STATE(2256),
    [sym_string] = STATE(2256),
    [sym__string_literal] = STATE(2258),
    [sym__raw_string_literal] = STATE(2258),
    [sym_character] = STATE(2256),
    [sym_boolean] = STATE(2256),
    [sym_field_identifier] = STATE(7777),
    [aux_sym_attributes_repeat1] = STATE(5637),
    [sym_identifier] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(67),
    [anon_sym_COLON_COLON] = ACTIONS(67),
    [anon_sym_DASH_GT] = ACTIONS(67),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_EQ] = ACTIONS(71),
    [anon_sym_COLON_EQ] = ACTIONS(67),
    [anon_sym_COLON] = ACTIONS(71),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(73),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_in] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(81),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_PLUS] = ACTIONS(93),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(93),
    [anon_sym_PIPE_PIPE] = ACTIONS(71),
    [anon_sym_or_else] = ACTIONS(71),
    [anon_sym_AMP_AMP] = ACTIONS(71),
    [anon_sym_GT] = ACTIONS(71),
    [anon_sym_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_EQ] = ACTIONS(67),
    [anon_sym_LT] = ACTIONS(71),
    [anon_sym_EQ_EQ] = ACTIONS(67),
    [anon_sym_BANG_EQ] = ACTIONS(67),
    [anon_sym_TILDE_EQ] = ACTIONS(67),
    [anon_sym_PIPE] = ACTIONS(71),
    [anon_sym_AMP_TILDE] = ACTIONS(71),
    [anon_sym_LT_LT] = ACTIONS(71),
    [anon_sym_GT_GT] = ACTIONS(71),
    [anon_sym_STAR] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(71),
    [anon_sym_PERCENT] = ACTIONS(71),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(67),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(67),
    [anon_sym_DOT_DOT_LT] = ACTIONS(67),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_not_in] = ACTIONS(71),
    [anon_sym_DOT_DOT] = ACTIONS(103),
    [anon_sym_or_return] = ACTIONS(71),
    [anon_sym_or_continue] = ACTIONS(71),
    [anon_sym_or_break] = ACTIONS(71),
    [anon_sym_CARET] = ACTIONS(71),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(125),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [14] = {
    [sym_block] = STATE(6997),
    [sym_tagged_block] = STATE(6767),
    [sym_import_declaration] = STATE(6767),
    [sym_procedure_declaration] = STATE(6767),
    [sym_overloaded_procedure_declaration] = STATE(6767),
    [sym_struct_declaration] = STATE(6767),
    [sym_enum_declaration] = STATE(6767),
    [sym_union_declaration] = STATE(6767),
    [sym_const_declaration] = STATE(6767),
    [sym_foreign_block] = STATE(6767),
    [sym_attributes] = STATE(645),
    [sym_attribute] = STATE(5637),
    [sym_statement] = STATE(6821),
    [sym_assignment_statement] = STATE(6767),
    [sym_update_statement] = STATE(6767),
    [sym_if_statement] = STATE(6767),
    [sym_when_statement] = STATE(6767),
    [sym_for_statement] = STATE(6767),
    [sym_switch_statement] = STATE(6767),
    [sym_defer_statement] = STATE(6767),
    [sym_break_statement] = STATE(6767),
    [sym_continue_statement] = STATE(6767),
    [sym_var_declaration] = STATE(6767),
    [sym_return_statement] = STATE(6767),
    [sym_label_statement] = STATE(6767),
    [sym_using_statement] = STATE(6767),
    [sym_expression] = STATE(3081),
    [sym__expression_no_tag] = STATE(2426),
    [sym_unary_expression] = STATE(2426),
    [sym_binary_expression] = STATE(2426),
    [sym_ternary_expression] = STATE(2426),
    [sym_call_expression] = STATE(2426),
    [sym_selector_call_expression] = STATE(2426),
    [sym_member_expression] = STATE(2426),
    [sym_index_expression] = STATE(2426),
    [sym_slice_expression] = STATE(2426),
    [sym_range_expression] = STATE(2426),
    [sym_cast_expression] = STATE(2426),
    [sym_in_expression] = STATE(2426),
    [sym_variadic_expression] = STATE(2426),
    [sym_parenthesized_expression] = STATE(2426),
    [sym_or_return_expression] = STATE(2426),
    [sym_or_continue_expression] = STATE(2426),
    [sym_or_break_expression] = STATE(2426),
    [sym_address] = STATE(2426),
    [sym_map_type] = STATE(2426),
    [sym_matrix_type] = STATE(2426),
    [sym_distinct_type] = STATE(2426),
    [sym_literal] = STATE(2426),
    [sym_struct] = STATE(2413),
    [sym_map] = STATE(2256),
    [sym_bit_set] = STATE(2256),
    [sym_matrix] = STATE(2256),
    [sym_string] = STATE(2256),
    [sym__string_literal] = STATE(2258),
    [sym__raw_string_literal] = STATE(2258),
    [sym_character] = STATE(2256),
    [sym_boolean] = STATE(2256),
    [sym_field_identifier] = STATE(7777),
    [aux_sym_attributes_repeat1] = STATE(5637),
    [sym_identifier] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(67),
    [anon_sym_COLON_COLON] = ACTIONS(67),
    [anon_sym_DASH_GT] = ACTIONS(67),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_EQ] = ACTIONS(71),
    [anon_sym_COLON_EQ] = ACTIONS(67),
    [anon_sym_COLON] = ACTIONS(71),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(73),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_in] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(81),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_PLUS] = ACTIONS(93),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(93),
    [anon_sym_PIPE_PIPE] = ACTIONS(71),
    [anon_sym_or_else] = ACTIONS(71),
    [anon_sym_AMP_AMP] = ACTIONS(71),
    [anon_sym_GT] = ACTIONS(71),
    [anon_sym_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_EQ] = ACTIONS(67),
    [anon_sym_LT] = ACTIONS(71),
    [anon_sym_EQ_EQ] = ACTIONS(67),
    [anon_sym_BANG_EQ] = ACTIONS(67),
    [anon_sym_TILDE_EQ] = ACTIONS(67),
    [anon_sym_PIPE] = ACTIONS(71),
    [anon_sym_AMP_TILDE] = ACTIONS(71),
    [anon_sym_LT_LT] = ACTIONS(71),
    [anon_sym_GT_GT] = ACTIONS(71),
    [anon_sym_STAR] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(71),
    [anon_sym_PERCENT] = ACTIONS(71),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(67),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(67),
    [anon_sym_DOT_DOT_LT] = ACTIONS(67),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_not_in] = ACTIONS(71),
    [anon_sym_DOT_DOT] = ACTIONS(103),
    [anon_sym_or_return] = ACTIONS(71),
    [anon_sym_or_continue] = ACTIONS(71),
    [anon_sym_or_break] = ACTIONS(71),
    [anon_sym_CARET] = ACTIONS(71),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(125),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [15] = {
    [sym_block] = STATE(6997),
    [sym_tagged_block] = STATE(6767),
    [sym_import_declaration] = STATE(6767),
    [sym_procedure_declaration] = STATE(6767),
    [sym_overloaded_procedure_declaration] = STATE(6767),
    [sym_struct_declaration] = STATE(6767),
    [sym_enum_declaration] = STATE(6767),
    [sym_union_declaration] = STATE(6767),
    [sym_const_declaration] = STATE(6767),
    [sym_foreign_block] = STATE(6767),
    [sym_attributes] = STATE(645),
    [sym_attribute] = STATE(5637),
    [sym_statement] = STATE(6850),
    [sym_assignment_statement] = STATE(6767),
    [sym_update_statement] = STATE(6767),
    [sym_if_statement] = STATE(6767),
    [sym_when_statement] = STATE(6767),
    [sym_for_statement] = STATE(6767),
    [sym_switch_statement] = STATE(6767),
    [sym_defer_statement] = STATE(6767),
    [sym_break_statement] = STATE(6767),
    [sym_continue_statement] = STATE(6767),
    [sym_var_declaration] = STATE(6767),
    [sym_return_statement] = STATE(6767),
    [sym_label_statement] = STATE(6767),
    [sym_using_statement] = STATE(6767),
    [sym_expression] = STATE(3081),
    [sym__expression_no_tag] = STATE(2426),
    [sym_unary_expression] = STATE(2426),
    [sym_binary_expression] = STATE(2426),
    [sym_ternary_expression] = STATE(2426),
    [sym_call_expression] = STATE(2426),
    [sym_selector_call_expression] = STATE(2426),
    [sym_member_expression] = STATE(2426),
    [sym_index_expression] = STATE(2426),
    [sym_slice_expression] = STATE(2426),
    [sym_range_expression] = STATE(2426),
    [sym_cast_expression] = STATE(2426),
    [sym_in_expression] = STATE(2426),
    [sym_variadic_expression] = STATE(2426),
    [sym_parenthesized_expression] = STATE(2426),
    [sym_or_return_expression] = STATE(2426),
    [sym_or_continue_expression] = STATE(2426),
    [sym_or_break_expression] = STATE(2426),
    [sym_address] = STATE(2426),
    [sym_map_type] = STATE(2426),
    [sym_matrix_type] = STATE(2426),
    [sym_distinct_type] = STATE(2426),
    [sym_literal] = STATE(2426),
    [sym_struct] = STATE(2413),
    [sym_map] = STATE(2256),
    [sym_bit_set] = STATE(2256),
    [sym_matrix] = STATE(2256),
    [sym_string] = STATE(2256),
    [sym__string_literal] = STATE(2258),
    [sym__raw_string_literal] = STATE(2258),
    [sym_character] = STATE(2256),
    [sym_boolean] = STATE(2256),
    [sym_field_identifier] = STATE(7777),
    [aux_sym_attributes_repeat1] = STATE(5637),
    [sym_identifier] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(67),
    [anon_sym_COLON_COLON] = ACTIONS(67),
    [anon_sym_DASH_GT] = ACTIONS(67),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_EQ] = ACTIONS(71),
    [anon_sym_COLON_EQ] = ACTIONS(67),
    [anon_sym_COLON] = ACTIONS(71),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(73),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_in] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(81),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_PLUS] = ACTIONS(93),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(93),
    [anon_sym_PIPE_PIPE] = ACTIONS(71),
    [anon_sym_or_else] = ACTIONS(71),
    [anon_sym_AMP_AMP] = ACTIONS(71),
    [anon_sym_GT] = ACTIONS(71),
    [anon_sym_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_EQ] = ACTIONS(67),
    [anon_sym_LT] = ACTIONS(71),
    [anon_sym_EQ_EQ] = ACTIONS(67),
    [anon_sym_BANG_EQ] = ACTIONS(67),
    [anon_sym_TILDE_EQ] = ACTIONS(67),
    [anon_sym_PIPE] = ACTIONS(71),
    [anon_sym_AMP_TILDE] = ACTIONS(71),
    [anon_sym_LT_LT] = ACTIONS(71),
    [anon_sym_GT_GT] = ACTIONS(71),
    [anon_sym_STAR] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(71),
    [anon_sym_PERCENT] = ACTIONS(71),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(67),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(67),
    [anon_sym_DOT_DOT_LT] = ACTIONS(67),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_not_in] = ACTIONS(71),
    [anon_sym_DOT_DOT] = ACTIONS(103),
    [anon_sym_or_return] = ACTIONS(71),
    [anon_sym_or_continue] = ACTIONS(71),
    [anon_sym_or_break] = ACTIONS(71),
    [anon_sym_CARET] = ACTIONS(71),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(125),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [16] = {
    [sym_block] = STATE(6997),
    [sym_tagged_block] = STATE(6767),
    [sym_import_declaration] = STATE(6767),
    [sym_procedure_declaration] = STATE(6767),
    [sym_overloaded_procedure_declaration] = STATE(6767),
    [sym_struct_declaration] = STATE(6767),
    [sym_enum_declaration] = STATE(6767),
    [sym_union_declaration] = STATE(6767),
    [sym_const_declaration] = STATE(6767),
    [sym_foreign_block] = STATE(6767),
    [sym_attributes] = STATE(645),
    [sym_attribute] = STATE(5637),
    [sym_statement] = STATE(6789),
    [sym_assignment_statement] = STATE(6767),
    [sym_update_statement] = STATE(6767),
    [sym_if_statement] = STATE(6767),
    [sym_when_statement] = STATE(6767),
    [sym_for_statement] = STATE(6767),
    [sym_switch_statement] = STATE(6767),
    [sym_defer_statement] = STATE(6767),
    [sym_break_statement] = STATE(6767),
    [sym_continue_statement] = STATE(6767),
    [sym_var_declaration] = STATE(6767),
    [sym_return_statement] = STATE(6767),
    [sym_label_statement] = STATE(6767),
    [sym_using_statement] = STATE(6767),
    [sym_expression] = STATE(3081),
    [sym__expression_no_tag] = STATE(2426),
    [sym_unary_expression] = STATE(2426),
    [sym_binary_expression] = STATE(2426),
    [sym_ternary_expression] = STATE(2426),
    [sym_call_expression] = STATE(2426),
    [sym_selector_call_expression] = STATE(2426),
    [sym_member_expression] = STATE(2426),
    [sym_index_expression] = STATE(2426),
    [sym_slice_expression] = STATE(2426),
    [sym_range_expression] = STATE(2426),
    [sym_cast_expression] = STATE(2426),
    [sym_in_expression] = STATE(2426),
    [sym_variadic_expression] = STATE(2426),
    [sym_parenthesized_expression] = STATE(2426),
    [sym_or_return_expression] = STATE(2426),
    [sym_or_continue_expression] = STATE(2426),
    [sym_or_break_expression] = STATE(2426),
    [sym_address] = STATE(2426),
    [sym_map_type] = STATE(2426),
    [sym_matrix_type] = STATE(2426),
    [sym_distinct_type] = STATE(2426),
    [sym_literal] = STATE(2426),
    [sym_struct] = STATE(2413),
    [sym_map] = STATE(2256),
    [sym_bit_set] = STATE(2256),
    [sym_matrix] = STATE(2256),
    [sym_string] = STATE(2256),
    [sym__string_literal] = STATE(2258),
    [sym__raw_string_literal] = STATE(2258),
    [sym_character] = STATE(2256),
    [sym_boolean] = STATE(2256),
    [sym_field_identifier] = STATE(7777),
    [aux_sym_attributes_repeat1] = STATE(5637),
    [sym_identifier] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(67),
    [anon_sym_COLON_COLON] = ACTIONS(67),
    [anon_sym_DASH_GT] = ACTIONS(67),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_EQ] = ACTIONS(71),
    [anon_sym_COLON_EQ] = ACTIONS(67),
    [anon_sym_COLON] = ACTIONS(71),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(73),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_in] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(81),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_PLUS] = ACTIONS(93),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(93),
    [anon_sym_PIPE_PIPE] = ACTIONS(71),
    [anon_sym_or_else] = ACTIONS(71),
    [anon_sym_AMP_AMP] = ACTIONS(71),
    [anon_sym_GT] = ACTIONS(71),
    [anon_sym_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_EQ] = ACTIONS(67),
    [anon_sym_LT] = ACTIONS(71),
    [anon_sym_EQ_EQ] = ACTIONS(67),
    [anon_sym_BANG_EQ] = ACTIONS(67),
    [anon_sym_TILDE_EQ] = ACTIONS(67),
    [anon_sym_PIPE] = ACTIONS(71),
    [anon_sym_AMP_TILDE] = ACTIONS(71),
    [anon_sym_LT_LT] = ACTIONS(71),
    [anon_sym_GT_GT] = ACTIONS(71),
    [anon_sym_STAR] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(71),
    [anon_sym_PERCENT] = ACTIONS(71),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(67),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(67),
    [anon_sym_DOT_DOT_LT] = ACTIONS(67),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_not_in] = ACTIONS(71),
    [anon_sym_DOT_DOT] = ACTIONS(103),
    [anon_sym_or_return] = ACTIONS(71),
    [anon_sym_or_continue] = ACTIONS(71),
    [anon_sym_or_break] = ACTIONS(71),
    [anon_sym_CARET] = ACTIONS(71),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(125),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [17] = {
    [sym_block] = STATE(6997),
    [sym_tagged_block] = STATE(6767),
    [sym_import_declaration] = STATE(6767),
    [sym_procedure_declaration] = STATE(6767),
    [sym_overloaded_procedure_declaration] = STATE(6767),
    [sym_struct_declaration] = STATE(6767),
    [sym_enum_declaration] = STATE(6767),
    [sym_union_declaration] = STATE(6767),
    [sym_const_declaration] = STATE(6767),
    [sym_foreign_block] = STATE(6767),
    [sym_attributes] = STATE(645),
    [sym_attribute] = STATE(5637),
    [sym_statement] = STATE(6748),
    [sym_assignment_statement] = STATE(6767),
    [sym_update_statement] = STATE(6767),
    [sym_if_statement] = STATE(6767),
    [sym_when_statement] = STATE(6767),
    [sym_for_statement] = STATE(6767),
    [sym_switch_statement] = STATE(6767),
    [sym_defer_statement] = STATE(6767),
    [sym_break_statement] = STATE(6767),
    [sym_continue_statement] = STATE(6767),
    [sym_var_declaration] = STATE(6767),
    [sym_return_statement] = STATE(6767),
    [sym_label_statement] = STATE(6767),
    [sym_using_statement] = STATE(6767),
    [sym_expression] = STATE(3081),
    [sym__expression_no_tag] = STATE(2426),
    [sym_unary_expression] = STATE(2426),
    [sym_binary_expression] = STATE(2426),
    [sym_ternary_expression] = STATE(2426),
    [sym_call_expression] = STATE(2426),
    [sym_selector_call_expression] = STATE(2426),
    [sym_member_expression] = STATE(2426),
    [sym_index_expression] = STATE(2426),
    [sym_slice_expression] = STATE(2426),
    [sym_range_expression] = STATE(2426),
    [sym_cast_expression] = STATE(2426),
    [sym_in_expression] = STATE(2426),
    [sym_variadic_expression] = STATE(2426),
    [sym_parenthesized_expression] = STATE(2426),
    [sym_or_return_expression] = STATE(2426),
    [sym_or_continue_expression] = STATE(2426),
    [sym_or_break_expression] = STATE(2426),
    [sym_address] = STATE(2426),
    [sym_map_type] = STATE(2426),
    [sym_matrix_type] = STATE(2426),
    [sym_distinct_type] = STATE(2426),
    [sym_literal] = STATE(2426),
    [sym_struct] = STATE(2413),
    [sym_map] = STATE(2256),
    [sym_bit_set] = STATE(2256),
    [sym_matrix] = STATE(2256),
    [sym_string] = STATE(2256),
    [sym__string_literal] = STATE(2258),
    [sym__raw_string_literal] = STATE(2258),
    [sym_character] = STATE(2256),
    [sym_boolean] = STATE(2256),
    [sym_field_identifier] = STATE(7777),
    [aux_sym_attributes_repeat1] = STATE(5637),
    [sym_identifier] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(67),
    [anon_sym_COLON_COLON] = ACTIONS(67),
    [anon_sym_DASH_GT] = ACTIONS(67),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_EQ] = ACTIONS(71),
    [anon_sym_COLON_EQ] = ACTIONS(67),
    [anon_sym_COLON] = ACTIONS(71),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(73),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_in] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(81),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_PLUS] = ACTIONS(93),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(93),
    [anon_sym_PIPE_PIPE] = ACTIONS(71),
    [anon_sym_or_else] = ACTIONS(71),
    [anon_sym_AMP_AMP] = ACTIONS(71),
    [anon_sym_GT] = ACTIONS(71),
    [anon_sym_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_EQ] = ACTIONS(67),
    [anon_sym_LT] = ACTIONS(71),
    [anon_sym_EQ_EQ] = ACTIONS(67),
    [anon_sym_BANG_EQ] = ACTIONS(67),
    [anon_sym_TILDE_EQ] = ACTIONS(67),
    [anon_sym_PIPE] = ACTIONS(71),
    [anon_sym_AMP_TILDE] = ACTIONS(71),
    [anon_sym_LT_LT] = ACTIONS(71),
    [anon_sym_GT_GT] = ACTIONS(71),
    [anon_sym_STAR] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(71),
    [anon_sym_PERCENT] = ACTIONS(71),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(67),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(67),
    [anon_sym_DOT_DOT_LT] = ACTIONS(67),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_not_in] = ACTIONS(71),
    [anon_sym_DOT_DOT] = ACTIONS(103),
    [anon_sym_or_return] = ACTIONS(71),
    [anon_sym_or_continue] = ACTIONS(71),
    [anon_sym_or_break] = ACTIONS(71),
    [anon_sym_CARET] = ACTIONS(71),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(125),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [18] = {
    [sym_block] = STATE(6997),
    [sym_tagged_block] = STATE(6767),
    [sym_import_declaration] = STATE(6767),
    [sym_procedure_declaration] = STATE(6767),
    [sym_overloaded_procedure_declaration] = STATE(6767),
    [sym_struct_declaration] = STATE(6767),
    [sym_enum_declaration] = STATE(6767),
    [sym_union_declaration] = STATE(6767),
    [sym_const_declaration] = STATE(6767),
    [sym_foreign_block] = STATE(6767),
    [sym_attributes] = STATE(645),
    [sym_attribute] = STATE(5637),
    [sym_statement] = STATE(6843),
    [sym_assignment_statement] = STATE(6767),
    [sym_update_statement] = STATE(6767),
    [sym_if_statement] = STATE(6767),
    [sym_when_statement] = STATE(6767),
    [sym_for_statement] = STATE(6767),
    [sym_switch_statement] = STATE(6767),
    [sym_defer_statement] = STATE(6767),
    [sym_break_statement] = STATE(6767),
    [sym_continue_statement] = STATE(6767),
    [sym_var_declaration] = STATE(6767),
    [sym_return_statement] = STATE(6767),
    [sym_label_statement] = STATE(6767),
    [sym_using_statement] = STATE(6767),
    [sym_expression] = STATE(3081),
    [sym__expression_no_tag] = STATE(2426),
    [sym_unary_expression] = STATE(2426),
    [sym_binary_expression] = STATE(2426),
    [sym_ternary_expression] = STATE(2426),
    [sym_call_expression] = STATE(2426),
    [sym_selector_call_expression] = STATE(2426),
    [sym_member_expression] = STATE(2426),
    [sym_index_expression] = STATE(2426),
    [sym_slice_expression] = STATE(2426),
    [sym_range_expression] = STATE(2426),
    [sym_cast_expression] = STATE(2426),
    [sym_in_expression] = STATE(2426),
    [sym_variadic_expression] = STATE(2426),
    [sym_parenthesized_expression] = STATE(2426),
    [sym_or_return_expression] = STATE(2426),
    [sym_or_continue_expression] = STATE(2426),
    [sym_or_break_expression] = STATE(2426),
    [sym_address] = STATE(2426),
    [sym_map_type] = STATE(2426),
    [sym_matrix_type] = STATE(2426),
    [sym_distinct_type] = STATE(2426),
    [sym_literal] = STATE(2426),
    [sym_struct] = STATE(2413),
    [sym_map] = STATE(2256),
    [sym_bit_set] = STATE(2256),
    [sym_matrix] = STATE(2256),
    [sym_string] = STATE(2256),
    [sym__string_literal] = STATE(2258),
    [sym__raw_string_literal] = STATE(2258),
    [sym_character] = STATE(2256),
    [sym_boolean] = STATE(2256),
    [sym_field_identifier] = STATE(7777),
    [aux_sym_attributes_repeat1] = STATE(5637),
    [sym_identifier] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(67),
    [anon_sym_COLON_COLON] = ACTIONS(67),
    [anon_sym_DASH_GT] = ACTIONS(67),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_EQ] = ACTIONS(71),
    [anon_sym_COLON_EQ] = ACTIONS(67),
    [anon_sym_COLON] = ACTIONS(71),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(73),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_in] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(81),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_PLUS] = ACTIONS(93),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(93),
    [anon_sym_PIPE_PIPE] = ACTIONS(71),
    [anon_sym_or_else] = ACTIONS(71),
    [anon_sym_AMP_AMP] = ACTIONS(71),
    [anon_sym_GT] = ACTIONS(71),
    [anon_sym_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_EQ] = ACTIONS(67),
    [anon_sym_LT] = ACTIONS(71),
    [anon_sym_EQ_EQ] = ACTIONS(67),
    [anon_sym_BANG_EQ] = ACTIONS(67),
    [anon_sym_TILDE_EQ] = ACTIONS(67),
    [anon_sym_PIPE] = ACTIONS(71),
    [anon_sym_AMP_TILDE] = ACTIONS(71),
    [anon_sym_LT_LT] = ACTIONS(71),
    [anon_sym_GT_GT] = ACTIONS(71),
    [anon_sym_STAR] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(71),
    [anon_sym_PERCENT] = ACTIONS(71),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(67),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(67),
    [anon_sym_DOT_DOT_LT] = ACTIONS(67),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_not_in] = ACTIONS(71),
    [anon_sym_DOT_DOT] = ACTIONS(103),
    [anon_sym_or_return] = ACTIONS(71),
    [anon_sym_or_continue] = ACTIONS(71),
    [anon_sym_or_break] = ACTIONS(71),
    [anon_sym_CARET] = ACTIONS(71),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(125),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [19] = {
    [sym_block] = STATE(6997),
    [sym_tagged_block] = STATE(6767),
    [sym_import_declaration] = STATE(6767),
    [sym_procedure_declaration] = STATE(6767),
    [sym_overloaded_procedure_declaration] = STATE(6767),
    [sym_struct_declaration] = STATE(6767),
    [sym_enum_declaration] = STATE(6767),
    [sym_union_declaration] = STATE(6767),
    [sym_const_declaration] = STATE(6767),
    [sym_foreign_block] = STATE(6767),
    [sym_attributes] = STATE(645),
    [sym_attribute] = STATE(5637),
    [sym_statement] = STATE(6645),
    [sym_assignment_statement] = STATE(6767),
    [sym_update_statement] = STATE(6767),
    [sym_if_statement] = STATE(6767),
    [sym_when_statement] = STATE(6767),
    [sym_for_statement] = STATE(6767),
    [sym_switch_statement] = STATE(6767),
    [sym_defer_statement] = STATE(6767),
    [sym_break_statement] = STATE(6767),
    [sym_continue_statement] = STATE(6767),
    [sym_var_declaration] = STATE(6767),
    [sym_return_statement] = STATE(6767),
    [sym_label_statement] = STATE(6767),
    [sym_using_statement] = STATE(6767),
    [sym_expression] = STATE(3081),
    [sym__expression_no_tag] = STATE(2426),
    [sym_unary_expression] = STATE(2426),
    [sym_binary_expression] = STATE(2426),
    [sym_ternary_expression] = STATE(2426),
    [sym_call_expression] = STATE(2426),
    [sym_selector_call_expression] = STATE(2426),
    [sym_member_expression] = STATE(2426),
    [sym_index_expression] = STATE(2426),
    [sym_slice_expression] = STATE(2426),
    [sym_range_expression] = STATE(2426),
    [sym_cast_expression] = STATE(2426),
    [sym_in_expression] = STATE(2426),
    [sym_variadic_expression] = STATE(2426),
    [sym_parenthesized_expression] = STATE(2426),
    [sym_or_return_expression] = STATE(2426),
    [sym_or_continue_expression] = STATE(2426),
    [sym_or_break_expression] = STATE(2426),
    [sym_address] = STATE(2426),
    [sym_map_type] = STATE(2426),
    [sym_matrix_type] = STATE(2426),
    [sym_distinct_type] = STATE(2426),
    [sym_literal] = STATE(2426),
    [sym_struct] = STATE(2413),
    [sym_map] = STATE(2256),
    [sym_bit_set] = STATE(2256),
    [sym_matrix] = STATE(2256),
    [sym_string] = STATE(2256),
    [sym__string_literal] = STATE(2258),
    [sym__raw_string_literal] = STATE(2258),
    [sym_character] = STATE(2256),
    [sym_boolean] = STATE(2256),
    [sym_field_identifier] = STATE(7777),
    [aux_sym_attributes_repeat1] = STATE(5637),
    [sym_identifier] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(67),
    [anon_sym_COLON_COLON] = ACTIONS(67),
    [anon_sym_DASH_GT] = ACTIONS(67),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_EQ] = ACTIONS(71),
    [anon_sym_COLON_EQ] = ACTIONS(67),
    [anon_sym_COLON] = ACTIONS(71),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(73),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_in] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(81),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_PLUS] = ACTIONS(93),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(93),
    [anon_sym_PIPE_PIPE] = ACTIONS(71),
    [anon_sym_or_else] = ACTIONS(71),
    [anon_sym_AMP_AMP] = ACTIONS(71),
    [anon_sym_GT] = ACTIONS(71),
    [anon_sym_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_EQ] = ACTIONS(67),
    [anon_sym_LT] = ACTIONS(71),
    [anon_sym_EQ_EQ] = ACTIONS(67),
    [anon_sym_BANG_EQ] = ACTIONS(67),
    [anon_sym_TILDE_EQ] = ACTIONS(67),
    [anon_sym_PIPE] = ACTIONS(71),
    [anon_sym_AMP_TILDE] = ACTIONS(71),
    [anon_sym_LT_LT] = ACTIONS(71),
    [anon_sym_GT_GT] = ACTIONS(71),
    [anon_sym_STAR] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(71),
    [anon_sym_PERCENT] = ACTIONS(71),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(67),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(67),
    [anon_sym_DOT_DOT_LT] = ACTIONS(67),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_not_in] = ACTIONS(71),
    [anon_sym_DOT_DOT] = ACTIONS(103),
    [anon_sym_or_return] = ACTIONS(71),
    [anon_sym_or_continue] = ACTIONS(71),
    [anon_sym_or_break] = ACTIONS(71),
    [anon_sym_CARET] = ACTIONS(71),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(125),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [20] = {
    [sym_block] = STATE(6997),
    [sym_tagged_block] = STATE(6767),
    [sym_import_declaration] = STATE(6767),
    [sym_procedure_declaration] = STATE(6767),
    [sym_overloaded_procedure_declaration] = STATE(6767),
    [sym_struct_declaration] = STATE(6767),
    [sym_enum_declaration] = STATE(6767),
    [sym_union_declaration] = STATE(6767),
    [sym_const_declaration] = STATE(6767),
    [sym_foreign_block] = STATE(6767),
    [sym_attributes] = STATE(645),
    [sym_attribute] = STATE(5637),
    [sym_statement] = STATE(6671),
    [sym_assignment_statement] = STATE(6767),
    [sym_update_statement] = STATE(6767),
    [sym_if_statement] = STATE(6767),
    [sym_when_statement] = STATE(6767),
    [sym_for_statement] = STATE(6767),
    [sym_switch_statement] = STATE(6767),
    [sym_defer_statement] = STATE(6767),
    [sym_break_statement] = STATE(6767),
    [sym_continue_statement] = STATE(6767),
    [sym_var_declaration] = STATE(6767),
    [sym_return_statement] = STATE(6767),
    [sym_label_statement] = STATE(6767),
    [sym_using_statement] = STATE(6767),
    [sym_expression] = STATE(3081),
    [sym__expression_no_tag] = STATE(2426),
    [sym_unary_expression] = STATE(2426),
    [sym_binary_expression] = STATE(2426),
    [sym_ternary_expression] = STATE(2426),
    [sym_call_expression] = STATE(2426),
    [sym_selector_call_expression] = STATE(2426),
    [sym_member_expression] = STATE(2426),
    [sym_index_expression] = STATE(2426),
    [sym_slice_expression] = STATE(2426),
    [sym_range_expression] = STATE(2426),
    [sym_cast_expression] = STATE(2426),
    [sym_in_expression] = STATE(2426),
    [sym_variadic_expression] = STATE(2426),
    [sym_parenthesized_expression] = STATE(2426),
    [sym_or_return_expression] = STATE(2426),
    [sym_or_continue_expression] = STATE(2426),
    [sym_or_break_expression] = STATE(2426),
    [sym_address] = STATE(2426),
    [sym_map_type] = STATE(2426),
    [sym_matrix_type] = STATE(2426),
    [sym_distinct_type] = STATE(2426),
    [sym_literal] = STATE(2426),
    [sym_struct] = STATE(2413),
    [sym_map] = STATE(2256),
    [sym_bit_set] = STATE(2256),
    [sym_matrix] = STATE(2256),
    [sym_string] = STATE(2256),
    [sym__string_literal] = STATE(2258),
    [sym__raw_string_literal] = STATE(2258),
    [sym_character] = STATE(2256),
    [sym_boolean] = STATE(2256),
    [sym_field_identifier] = STATE(7777),
    [aux_sym_attributes_repeat1] = STATE(5637),
    [sym_identifier] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(67),
    [anon_sym_COLON_COLON] = ACTIONS(67),
    [anon_sym_DASH_GT] = ACTIONS(67),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_EQ] = ACTIONS(71),
    [anon_sym_COLON_EQ] = ACTIONS(67),
    [anon_sym_COLON] = ACTIONS(71),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(73),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_in] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(81),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_PLUS] = ACTIONS(93),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(93),
    [anon_sym_PIPE_PIPE] = ACTIONS(71),
    [anon_sym_or_else] = ACTIONS(71),
    [anon_sym_AMP_AMP] = ACTIONS(71),
    [anon_sym_GT] = ACTIONS(71),
    [anon_sym_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_EQ] = ACTIONS(67),
    [anon_sym_LT] = ACTIONS(71),
    [anon_sym_EQ_EQ] = ACTIONS(67),
    [anon_sym_BANG_EQ] = ACTIONS(67),
    [anon_sym_TILDE_EQ] = ACTIONS(67),
    [anon_sym_PIPE] = ACTIONS(71),
    [anon_sym_AMP_TILDE] = ACTIONS(71),
    [anon_sym_LT_LT] = ACTIONS(71),
    [anon_sym_GT_GT] = ACTIONS(71),
    [anon_sym_STAR] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(71),
    [anon_sym_PERCENT] = ACTIONS(71),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(67),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(67),
    [anon_sym_DOT_DOT_LT] = ACTIONS(67),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_not_in] = ACTIONS(71),
    [anon_sym_DOT_DOT] = ACTIONS(103),
    [anon_sym_or_return] = ACTIONS(71),
    [anon_sym_or_continue] = ACTIONS(71),
    [anon_sym_or_break] = ACTIONS(71),
    [anon_sym_CARET] = ACTIONS(71),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(125),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [21] = {
    [sym_block] = STATE(6997),
    [sym_tagged_block] = STATE(6767),
    [sym_import_declaration] = STATE(6767),
    [sym_procedure_declaration] = STATE(6767),
    [sym_overloaded_procedure_declaration] = STATE(6767),
    [sym_struct_declaration] = STATE(6767),
    [sym_enum_declaration] = STATE(6767),
    [sym_union_declaration] = STATE(6767),
    [sym_const_declaration] = STATE(6767),
    [sym_foreign_block] = STATE(6767),
    [sym_attributes] = STATE(645),
    [sym_attribute] = STATE(5637),
    [sym_statement] = STATE(6702),
    [sym_assignment_statement] = STATE(6767),
    [sym_update_statement] = STATE(6767),
    [sym_if_statement] = STATE(6767),
    [sym_when_statement] = STATE(6767),
    [sym_for_statement] = STATE(6767),
    [sym_switch_statement] = STATE(6767),
    [sym_defer_statement] = STATE(6767),
    [sym_break_statement] = STATE(6767),
    [sym_continue_statement] = STATE(6767),
    [sym_var_declaration] = STATE(6767),
    [sym_return_statement] = STATE(6767),
    [sym_label_statement] = STATE(6767),
    [sym_using_statement] = STATE(6767),
    [sym_expression] = STATE(3081),
    [sym__expression_no_tag] = STATE(2426),
    [sym_unary_expression] = STATE(2426),
    [sym_binary_expression] = STATE(2426),
    [sym_ternary_expression] = STATE(2426),
    [sym_call_expression] = STATE(2426),
    [sym_selector_call_expression] = STATE(2426),
    [sym_member_expression] = STATE(2426),
    [sym_index_expression] = STATE(2426),
    [sym_slice_expression] = STATE(2426),
    [sym_range_expression] = STATE(2426),
    [sym_cast_expression] = STATE(2426),
    [sym_in_expression] = STATE(2426),
    [sym_variadic_expression] = STATE(2426),
    [sym_parenthesized_expression] = STATE(2426),
    [sym_or_return_expression] = STATE(2426),
    [sym_or_continue_expression] = STATE(2426),
    [sym_or_break_expression] = STATE(2426),
    [sym_address] = STATE(2426),
    [sym_map_type] = STATE(2426),
    [sym_matrix_type] = STATE(2426),
    [sym_distinct_type] = STATE(2426),
    [sym_literal] = STATE(2426),
    [sym_struct] = STATE(2413),
    [sym_map] = STATE(2256),
    [sym_bit_set] = STATE(2256),
    [sym_matrix] = STATE(2256),
    [sym_string] = STATE(2256),
    [sym__string_literal] = STATE(2258),
    [sym__raw_string_literal] = STATE(2258),
    [sym_character] = STATE(2256),
    [sym_boolean] = STATE(2256),
    [sym_field_identifier] = STATE(7777),
    [aux_sym_attributes_repeat1] = STATE(5637),
    [sym_identifier] = ACTIONS(63),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_COMMA] = ACTIONS(67),
    [anon_sym_COLON_COLON] = ACTIONS(67),
    [anon_sym_DASH_GT] = ACTIONS(67),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_EQ] = ACTIONS(71),
    [anon_sym_COLON_EQ] = ACTIONS(67),
    [anon_sym_COLON] = ACTIONS(71),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(73),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_in] = ACTIONS(71),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(81),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_PLUS] = ACTIONS(93),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(93),
    [anon_sym_PIPE_PIPE] = ACTIONS(71),
    [anon_sym_or_else] = ACTIONS(71),
    [anon_sym_AMP_AMP] = ACTIONS(71),
    [anon_sym_GT] = ACTIONS(71),
    [anon_sym_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_EQ] = ACTIONS(67),
    [anon_sym_LT] = ACTIONS(71),
    [anon_sym_EQ_EQ] = ACTIONS(67),
    [anon_sym_BANG_EQ] = ACTIONS(67),
    [anon_sym_TILDE_EQ] = ACTIONS(67),
    [anon_sym_PIPE] = ACTIONS(71),
    [anon_sym_AMP_TILDE] = ACTIONS(71),
    [anon_sym_LT_LT] = ACTIONS(71),
    [anon_sym_GT_GT] = ACTIONS(71),
    [anon_sym_STAR] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(71),
    [anon_sym_PERCENT] = ACTIONS(71),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(67),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(67),
    [anon_sym_DOT_DOT_LT] = ACTIONS(67),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_not_in] = ACTIONS(71),
    [anon_sym_DOT_DOT] = ACTIONS(103),
    [anon_sym_or_return] = ACTIONS(71),
    [anon_sym_or_continue] = ACTIONS(71),
    [anon_sym_or_break] = ACTIONS(71),
    [anon_sym_CARET] = ACTIONS(71),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(125),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [22] = {
    [sym_expression] = STATE(1092),
    [sym__expression_no_tag] = STATE(743),
    [sym_unary_expression] = STATE(743),
    [sym_binary_expression] = STATE(743),
    [sym_ternary_expression] = STATE(743),
    [sym_call_expression] = STATE(743),
    [sym_selector_call_expression] = STATE(743),
    [sym_member_expression] = STATE(743),
    [sym_index_expression] = STATE(743),
    [sym_slice_expression] = STATE(743),
    [sym_range_expression] = STATE(743),
    [sym_cast_expression] = STATE(743),
    [sym_in_expression] = STATE(743),
    [sym_variadic_expression] = STATE(743),
    [sym_parenthesized_expression] = STATE(743),
    [sym_or_return_expression] = STATE(743),
    [sym_or_continue_expression] = STATE(743),
    [sym_or_break_expression] = STATE(743),
    [sym_address] = STATE(743),
    [sym_map_type] = STATE(743),
    [sym_matrix_type] = STATE(743),
    [sym_distinct_type] = STATE(743),
    [sym_literal] = STATE(743),
    [sym_struct] = STATE(933),
    [sym_map] = STATE(925),
    [sym_bit_set] = STATE(925),
    [sym_matrix] = STATE(925),
    [sym_string] = STATE(925),
    [sym__string_literal] = STATE(934),
    [sym__raw_string_literal] = STATE(934),
    [sym_character] = STATE(925),
    [sym_boolean] = STATE(925),
    [sym_field_identifier] = STATE(7874),
    [sym_identifier] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(129),
    [anon_sym_RBRACE] = ACTIONS(131),
    [anon_sym_COMMA] = ACTIONS(131),
    [anon_sym_COLON_COLON] = ACTIONS(131),
    [anon_sym_DASH_GT] = ACTIONS(131),
    [anon_sym_where] = ACTIONS(133),
    [anon_sym_EQ] = ACTIONS(133),
    [anon_sym_COLON_EQ] = ACTIONS(131),
    [anon_sym_COLON] = ACTIONS(133),
    [anon_sym_LPAREN] = ACTIONS(135),
    [anon_sym_PLUS_EQ] = ACTIONS(131),
    [anon_sym_DASH_EQ] = ACTIONS(131),
    [anon_sym_STAR_EQ] = ACTIONS(131),
    [anon_sym_SLASH_EQ] = ACTIONS(131),
    [anon_sym_PERCENT_EQ] = ACTIONS(131),
    [anon_sym_AMP_EQ] = ACTIONS(131),
    [anon_sym_PIPE_EQ] = ACTIONS(131),
    [anon_sym_CARET_EQ] = ACTIONS(131),
    [anon_sym_LT_LT_EQ] = ACTIONS(131),
    [anon_sym_GT_GT_EQ] = ACTIONS(131),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(131),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(131),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(131),
    [anon_sym_if] = ACTIONS(133),
    [anon_sym_SEMI] = ACTIONS(131),
    [anon_sym_else] = ACTIONS(133),
    [anon_sym_when] = ACTIONS(133),
    [anon_sym_in] = ACTIONS(133),
    [anon_sym_case] = ACTIONS(133),
    [anon_sym_QMARK] = ACTIONS(137),
    [anon_sym_PLUS] = ACTIONS(139),
    [anon_sym_DASH] = ACTIONS(139),
    [anon_sym_TILDE] = ACTIONS(139),
    [anon_sym_BANG] = ACTIONS(139),
    [anon_sym_AMP] = ACTIONS(139),
    [anon_sym_PIPE_PIPE] = ACTIONS(133),
    [anon_sym_or_else] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_GT] = ACTIONS(133),
    [anon_sym_GT_EQ] = ACTIONS(131),
    [anon_sym_LT_EQ] = ACTIONS(131),
    [anon_sym_LT] = ACTIONS(133),
    [anon_sym_EQ_EQ] = ACTIONS(131),
    [anon_sym_BANG_EQ] = ACTIONS(131),
    [anon_sym_TILDE_EQ] = ACTIONS(131),
    [anon_sym_PIPE] = ACTIONS(133),
    [anon_sym_AMP_TILDE] = ACTIONS(133),
    [anon_sym_LT_LT] = ACTIONS(133),
    [anon_sym_GT_GT] = ACTIONS(133),
    [anon_sym_STAR] = ACTIONS(133),
    [anon_sym_SLASH] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(131),
    [anon_sym_DOT] = ACTIONS(141),
    [anon_sym_LBRACK] = ACTIONS(143),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(131),
    [anon_sym_DOT_DOT_LT] = ACTIONS(131),
    [anon_sym_cast] = ACTIONS(145),
    [anon_sym_transmute] = ACTIONS(145),
    [anon_sym_auto_cast] = ACTIONS(147),
    [anon_sym_not_in] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(149),
    [anon_sym_or_return] = ACTIONS(133),
    [anon_sym_or_continue] = ACTIONS(133),
    [anon_sym_or_break] = ACTIONS(133),
    [anon_sym_CARET] = ACTIONS(133),
    [anon_sym_map] = ACTIONS(151),
    [anon_sym_bit_set] = ACTIONS(153),
    [anon_sym_matrix] = ACTIONS(155),
    [anon_sym_distinct] = ACTIONS(157),
    [sym_number] = ACTIONS(159),
    [anon_sym_DQUOTE] = ACTIONS(161),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [anon_sym_SQUOTE] = ACTIONS(165),
    [anon_sym_true] = ACTIONS(167),
    [anon_sym_false] = ACTIONS(167),
    [sym_nil] = ACTIONS(169),
    [sym_uninitialized] = ACTIONS(159),
    [sym_tag] = ACTIONS(171),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(131),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(159),
    [sym_block_comment] = ACTIONS(3),
  },
  [23] = {
    [sym_expression] = STATE(1095),
    [sym__expression_no_tag] = STATE(743),
    [sym_unary_expression] = STATE(743),
    [sym_binary_expression] = STATE(743),
    [sym_ternary_expression] = STATE(743),
    [sym_call_expression] = STATE(743),
    [sym_selector_call_expression] = STATE(743),
    [sym_member_expression] = STATE(743),
    [sym_index_expression] = STATE(743),
    [sym_slice_expression] = STATE(743),
    [sym_range_expression] = STATE(743),
    [sym_cast_expression] = STATE(743),
    [sym_in_expression] = STATE(743),
    [sym_variadic_expression] = STATE(743),
    [sym_parenthesized_expression] = STATE(743),
    [sym_or_return_expression] = STATE(743),
    [sym_or_continue_expression] = STATE(743),
    [sym_or_break_expression] = STATE(743),
    [sym_address] = STATE(743),
    [sym_map_type] = STATE(743),
    [sym_matrix_type] = STATE(743),
    [sym_distinct_type] = STATE(743),
    [sym_literal] = STATE(743),
    [sym_struct] = STATE(933),
    [sym_map] = STATE(925),
    [sym_bit_set] = STATE(925),
    [sym_matrix] = STATE(925),
    [sym_string] = STATE(925),
    [sym__string_literal] = STATE(934),
    [sym__raw_string_literal] = STATE(934),
    [sym_character] = STATE(925),
    [sym_boolean] = STATE(925),
    [sym_field_identifier] = STATE(7874),
    [sym_identifier] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(173),
    [anon_sym_RBRACE] = ACTIONS(173),
    [anon_sym_COMMA] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(173),
    [anon_sym_DASH_GT] = ACTIONS(173),
    [anon_sym_where] = ACTIONS(175),
    [anon_sym_EQ] = ACTIONS(175),
    [anon_sym_COLON_EQ] = ACTIONS(173),
    [anon_sym_COLON] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(173),
    [anon_sym_PLUS_EQ] = ACTIONS(173),
    [anon_sym_DASH_EQ] = ACTIONS(173),
    [anon_sym_STAR_EQ] = ACTIONS(173),
    [anon_sym_SLASH_EQ] = ACTIONS(173),
    [anon_sym_PERCENT_EQ] = ACTIONS(173),
    [anon_sym_AMP_EQ] = ACTIONS(173),
    [anon_sym_PIPE_EQ] = ACTIONS(173),
    [anon_sym_CARET_EQ] = ACTIONS(173),
    [anon_sym_LT_LT_EQ] = ACTIONS(173),
    [anon_sym_GT_GT_EQ] = ACTIONS(173),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(173),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(173),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(173),
    [anon_sym_if] = ACTIONS(175),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_else] = ACTIONS(175),
    [anon_sym_when] = ACTIONS(175),
    [anon_sym_in] = ACTIONS(175),
    [anon_sym_case] = ACTIONS(175),
    [anon_sym_QMARK] = ACTIONS(173),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_BANG] = ACTIONS(139),
    [anon_sym_AMP] = ACTIONS(175),
    [anon_sym_PIPE_PIPE] = ACTIONS(175),
    [anon_sym_or_else] = ACTIONS(175),
    [anon_sym_AMP_AMP] = ACTIONS(175),
    [anon_sym_GT] = ACTIONS(175),
    [anon_sym_GT_EQ] = ACTIONS(173),
    [anon_sym_LT_EQ] = ACTIONS(173),
    [anon_sym_LT] = ACTIONS(175),
    [anon_sym_EQ_EQ] = ACTIONS(173),
    [anon_sym_BANG_EQ] = ACTIONS(173),
    [anon_sym_TILDE_EQ] = ACTIONS(173),
    [anon_sym_PIPE] = ACTIONS(175),
    [anon_sym_AMP_TILDE] = ACTIONS(175),
    [anon_sym_LT_LT] = ACTIONS(175),
    [anon_sym_GT_GT] = ACTIONS(175),
    [anon_sym_STAR] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(175),
    [anon_sym_PERCENT] = ACTIONS(175),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(173),
    [anon_sym_DOT] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(173),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(173),
    [anon_sym_DOT_DOT_LT] = ACTIONS(173),
    [anon_sym_cast] = ACTIONS(145),
    [anon_sym_transmute] = ACTIONS(145),
    [anon_sym_auto_cast] = ACTIONS(147),
    [anon_sym_not_in] = ACTIONS(175),
    [anon_sym_DOT_DOT] = ACTIONS(149),
    [anon_sym_or_return] = ACTIONS(175),
    [anon_sym_or_continue] = ACTIONS(175),
    [anon_sym_or_break] = ACTIONS(175),
    [anon_sym_CARET] = ACTIONS(175),
    [anon_sym_map] = ACTIONS(151),
    [anon_sym_bit_set] = ACTIONS(153),
    [anon_sym_matrix] = ACTIONS(155),
    [anon_sym_distinct] = ACTIONS(157),
    [sym_number] = ACTIONS(159),
    [anon_sym_DQUOTE] = ACTIONS(161),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [anon_sym_SQUOTE] = ACTIONS(165),
    [anon_sym_true] = ACTIONS(167),
    [anon_sym_false] = ACTIONS(167),
    [sym_nil] = ACTIONS(169),
    [sym_uninitialized] = ACTIONS(173),
    [sym_tag] = ACTIONS(173),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(173),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(159),
    [sym_block_comment] = ACTIONS(3),
  },
  [24] = {
    [sym_expression] = STATE(2393),
    [sym__expression_no_tag] = STATE(2378),
    [sym_unary_expression] = STATE(2378),
    [sym_binary_expression] = STATE(2378),
    [sym_ternary_expression] = STATE(2378),
    [sym_call_expression] = STATE(2378),
    [sym_selector_call_expression] = STATE(2378),
    [sym_member_expression] = STATE(2378),
    [sym_index_expression] = STATE(2378),
    [sym_slice_expression] = STATE(2378),
    [sym_range_expression] = STATE(2378),
    [sym_cast_expression] = STATE(2378),
    [sym_in_expression] = STATE(2378),
    [sym_variadic_expression] = STATE(2378),
    [sym_parenthesized_expression] = STATE(2378),
    [sym_or_return_expression] = STATE(2378),
    [sym_or_continue_expression] = STATE(2378),
    [sym_or_break_expression] = STATE(2378),
    [sym_address] = STATE(2378),
    [sym_map_type] = STATE(2378),
    [sym_matrix_type] = STATE(2378),
    [sym_distinct_type] = STATE(2378),
    [sym_literal] = STATE(2378),
    [sym_struct] = STATE(2253),
    [sym_map] = STATE(2256),
    [sym_bit_set] = STATE(2256),
    [sym_matrix] = STATE(2256),
    [sym_string] = STATE(2256),
    [sym__string_literal] = STATE(2258),
    [sym__raw_string_literal] = STATE(2258),
    [sym_character] = STATE(2256),
    [sym_boolean] = STATE(2256),
    [sym_field_identifier] = STATE(7777),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(179),
    [anon_sym_RBRACE] = ACTIONS(131),
    [anon_sym_COMMA] = ACTIONS(131),
    [anon_sym_COLON_COLON] = ACTIONS(131),
    [anon_sym_DASH_GT] = ACTIONS(131),
    [anon_sym_EQ] = ACTIONS(133),
    [anon_sym_COLON_EQ] = ACTIONS(131),
    [anon_sym_COLON] = ACTIONS(133),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym_PLUS_EQ] = ACTIONS(131),
    [anon_sym_DASH_EQ] = ACTIONS(131),
    [anon_sym_STAR_EQ] = ACTIONS(131),
    [anon_sym_SLASH_EQ] = ACTIONS(131),
    [anon_sym_PERCENT_EQ] = ACTIONS(131),
    [anon_sym_AMP_EQ] = ACTIONS(131),
    [anon_sym_PIPE_EQ] = ACTIONS(131),
    [anon_sym_CARET_EQ] = ACTIONS(131),
    [anon_sym_LT_LT_EQ] = ACTIONS(131),
    [anon_sym_GT_GT_EQ] = ACTIONS(131),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(131),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(131),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(131),
    [anon_sym_if] = ACTIONS(133),
    [anon_sym_SEMI] = ACTIONS(131),
    [anon_sym_else] = ACTIONS(133),
    [anon_sym_when] = ACTIONS(133),
    [anon_sym_in] = ACTIONS(133),
    [anon_sym_case] = ACTIONS(133),
    [anon_sym_QMARK] = ACTIONS(183),
    [anon_sym_PLUS] = ACTIONS(185),
    [anon_sym_DASH] = ACTIONS(185),
    [anon_sym_TILDE] = ACTIONS(185),
    [anon_sym_BANG] = ACTIONS(185),
    [anon_sym_AMP] = ACTIONS(185),
    [anon_sym_PIPE_PIPE] = ACTIONS(133),
    [anon_sym_or_else] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_GT] = ACTIONS(133),
    [anon_sym_GT_EQ] = ACTIONS(131),
    [anon_sym_LT_EQ] = ACTIONS(131),
    [anon_sym_LT] = ACTIONS(133),
    [anon_sym_EQ_EQ] = ACTIONS(131),
    [anon_sym_BANG_EQ] = ACTIONS(131),
    [anon_sym_TILDE_EQ] = ACTIONS(131),
    [anon_sym_PIPE] = ACTIONS(133),
    [anon_sym_AMP_TILDE] = ACTIONS(133),
    [anon_sym_LT_LT] = ACTIONS(133),
    [anon_sym_GT_GT] = ACTIONS(133),
    [anon_sym_STAR] = ACTIONS(133),
    [anon_sym_SLASH] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(131),
    [anon_sym_DOT] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(131),
    [anon_sym_DOT_DOT_LT] = ACTIONS(131),
    [anon_sym_cast] = ACTIONS(189),
    [anon_sym_transmute] = ACTIONS(189),
    [anon_sym_auto_cast] = ACTIONS(191),
    [anon_sym_not_in] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(193),
    [anon_sym_or_return] = ACTIONS(133),
    [anon_sym_or_continue] = ACTIONS(133),
    [anon_sym_or_break] = ACTIONS(133),
    [anon_sym_CARET] = ACTIONS(133),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(195),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(131),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [25] = {
    [sym_expression] = STATE(2394),
    [sym__expression_no_tag] = STATE(2378),
    [sym_unary_expression] = STATE(2378),
    [sym_binary_expression] = STATE(2378),
    [sym_ternary_expression] = STATE(2378),
    [sym_call_expression] = STATE(2378),
    [sym_selector_call_expression] = STATE(2378),
    [sym_member_expression] = STATE(2378),
    [sym_index_expression] = STATE(2378),
    [sym_slice_expression] = STATE(2378),
    [sym_range_expression] = STATE(2378),
    [sym_cast_expression] = STATE(2378),
    [sym_in_expression] = STATE(2378),
    [sym_variadic_expression] = STATE(2378),
    [sym_parenthesized_expression] = STATE(2378),
    [sym_or_return_expression] = STATE(2378),
    [sym_or_continue_expression] = STATE(2378),
    [sym_or_break_expression] = STATE(2378),
    [sym_address] = STATE(2378),
    [sym_map_type] = STATE(2378),
    [sym_matrix_type] = STATE(2378),
    [sym_distinct_type] = STATE(2378),
    [sym_literal] = STATE(2378),
    [sym_struct] = STATE(2253),
    [sym_map] = STATE(2256),
    [sym_bit_set] = STATE(2256),
    [sym_matrix] = STATE(2256),
    [sym_string] = STATE(2256),
    [sym__string_literal] = STATE(2258),
    [sym__raw_string_literal] = STATE(2258),
    [sym_character] = STATE(2256),
    [sym_boolean] = STATE(2256),
    [sym_field_identifier] = STATE(7777),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(179),
    [anon_sym_RBRACE] = ACTIONS(173),
    [anon_sym_COMMA] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(173),
    [anon_sym_DASH_GT] = ACTIONS(173),
    [anon_sym_EQ] = ACTIONS(175),
    [anon_sym_COLON_EQ] = ACTIONS(173),
    [anon_sym_COLON] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(173),
    [anon_sym_PLUS_EQ] = ACTIONS(173),
    [anon_sym_DASH_EQ] = ACTIONS(173),
    [anon_sym_STAR_EQ] = ACTIONS(173),
    [anon_sym_SLASH_EQ] = ACTIONS(173),
    [anon_sym_PERCENT_EQ] = ACTIONS(173),
    [anon_sym_AMP_EQ] = ACTIONS(173),
    [anon_sym_PIPE_EQ] = ACTIONS(173),
    [anon_sym_CARET_EQ] = ACTIONS(173),
    [anon_sym_LT_LT_EQ] = ACTIONS(173),
    [anon_sym_GT_GT_EQ] = ACTIONS(173),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(173),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(173),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(173),
    [anon_sym_if] = ACTIONS(175),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_else] = ACTIONS(175),
    [anon_sym_when] = ACTIONS(175),
    [anon_sym_in] = ACTIONS(175),
    [anon_sym_case] = ACTIONS(175),
    [anon_sym_QMARK] = ACTIONS(173),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_BANG] = ACTIONS(185),
    [anon_sym_AMP] = ACTIONS(175),
    [anon_sym_PIPE_PIPE] = ACTIONS(175),
    [anon_sym_or_else] = ACTIONS(175),
    [anon_sym_AMP_AMP] = ACTIONS(175),
    [anon_sym_GT] = ACTIONS(175),
    [anon_sym_GT_EQ] = ACTIONS(173),
    [anon_sym_LT_EQ] = ACTIONS(173),
    [anon_sym_LT] = ACTIONS(175),
    [anon_sym_EQ_EQ] = ACTIONS(173),
    [anon_sym_BANG_EQ] = ACTIONS(173),
    [anon_sym_TILDE_EQ] = ACTIONS(173),
    [anon_sym_PIPE] = ACTIONS(175),
    [anon_sym_AMP_TILDE] = ACTIONS(175),
    [anon_sym_LT_LT] = ACTIONS(175),
    [anon_sym_GT_GT] = ACTIONS(175),
    [anon_sym_STAR] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(175),
    [anon_sym_PERCENT] = ACTIONS(175),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(173),
    [anon_sym_DOT] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(173),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(173),
    [anon_sym_DOT_DOT_LT] = ACTIONS(173),
    [anon_sym_cast] = ACTIONS(189),
    [anon_sym_transmute] = ACTIONS(189),
    [anon_sym_auto_cast] = ACTIONS(191),
    [anon_sym_not_in] = ACTIONS(175),
    [anon_sym_DOT_DOT] = ACTIONS(193),
    [anon_sym_or_return] = ACTIONS(175),
    [anon_sym_or_continue] = ACTIONS(175),
    [anon_sym_or_break] = ACTIONS(175),
    [anon_sym_CARET] = ACTIONS(175),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(195),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(173),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [26] = {
    [sym_expression] = STATE(2414),
    [sym__expression_no_tag] = STATE(2425),
    [sym_unary_expression] = STATE(2425),
    [sym_binary_expression] = STATE(2425),
    [sym_ternary_expression] = STATE(2425),
    [sym_call_expression] = STATE(2425),
    [sym_selector_call_expression] = STATE(2425),
    [sym_member_expression] = STATE(2425),
    [sym_index_expression] = STATE(2425),
    [sym_slice_expression] = STATE(2425),
    [sym_range_expression] = STATE(2425),
    [sym_cast_expression] = STATE(2425),
    [sym_in_expression] = STATE(2425),
    [sym_variadic_expression] = STATE(2425),
    [sym_parenthesized_expression] = STATE(2425),
    [sym_or_return_expression] = STATE(2425),
    [sym_or_continue_expression] = STATE(2425),
    [sym_or_break_expression] = STATE(2425),
    [sym_address] = STATE(2425),
    [sym_map_type] = STATE(2425),
    [sym_matrix_type] = STATE(2425),
    [sym_distinct_type] = STATE(2425),
    [sym_literal] = STATE(2425),
    [sym_struct] = STATE(2413),
    [sym_map] = STATE(2256),
    [sym_bit_set] = STATE(2256),
    [sym_matrix] = STATE(2256),
    [sym_string] = STATE(2256),
    [sym__string_literal] = STATE(2258),
    [sym__raw_string_literal] = STATE(2258),
    [sym_character] = STATE(2256),
    [sym_boolean] = STATE(2256),
    [sym_field_identifier] = STATE(7777),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(179),
    [anon_sym_RBRACE] = ACTIONS(197),
    [anon_sym_COMMA] = ACTIONS(197),
    [anon_sym_COLON_COLON] = ACTIONS(197),
    [anon_sym_DASH_GT] = ACTIONS(197),
    [anon_sym_EQ] = ACTIONS(199),
    [anon_sym_COLON_EQ] = ACTIONS(197),
    [anon_sym_COLON] = ACTIONS(199),
    [anon_sym_LPAREN] = ACTIONS(197),
    [anon_sym_PLUS_EQ] = ACTIONS(197),
    [anon_sym_DASH_EQ] = ACTIONS(197),
    [anon_sym_STAR_EQ] = ACTIONS(197),
    [anon_sym_SLASH_EQ] = ACTIONS(197),
    [anon_sym_PERCENT_EQ] = ACTIONS(197),
    [anon_sym_AMP_EQ] = ACTIONS(197),
    [anon_sym_PIPE_EQ] = ACTIONS(197),
    [anon_sym_CARET_EQ] = ACTIONS(197),
    [anon_sym_LT_LT_EQ] = ACTIONS(197),
    [anon_sym_GT_GT_EQ] = ACTIONS(197),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(197),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(197),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(199),
    [anon_sym_SEMI] = ACTIONS(197),
    [anon_sym_when] = ACTIONS(199),
    [anon_sym_in] = ACTIONS(199),
    [anon_sym_case] = ACTIONS(199),
    [anon_sym_QMARK] = ACTIONS(197),
    [anon_sym_PLUS] = ACTIONS(199),
    [anon_sym_DASH] = ACTIONS(199),
    [anon_sym_TILDE] = ACTIONS(199),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(199),
    [anon_sym_PIPE_PIPE] = ACTIONS(199),
    [anon_sym_or_else] = ACTIONS(199),
    [anon_sym_AMP_AMP] = ACTIONS(199),
    [anon_sym_GT] = ACTIONS(199),
    [anon_sym_GT_EQ] = ACTIONS(197),
    [anon_sym_LT_EQ] = ACTIONS(197),
    [anon_sym_LT] = ACTIONS(199),
    [anon_sym_EQ_EQ] = ACTIONS(197),
    [anon_sym_BANG_EQ] = ACTIONS(197),
    [anon_sym_TILDE_EQ] = ACTIONS(197),
    [anon_sym_PIPE] = ACTIONS(199),
    [anon_sym_AMP_TILDE] = ACTIONS(199),
    [anon_sym_LT_LT] = ACTIONS(199),
    [anon_sym_GT_GT] = ACTIONS(199),
    [anon_sym_STAR] = ACTIONS(199),
    [anon_sym_SLASH] = ACTIONS(199),
    [anon_sym_PERCENT] = ACTIONS(199),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(197),
    [anon_sym_DOT] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(197),
    [anon_sym_DOT_DOT_LT] = ACTIONS(197),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_not_in] = ACTIONS(199),
    [anon_sym_DOT_DOT] = ACTIONS(103),
    [anon_sym_or_return] = ACTIONS(199),
    [anon_sym_or_continue] = ACTIONS(199),
    [anon_sym_or_break] = ACTIONS(199),
    [anon_sym_CARET] = ACTIONS(199),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(201),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(197),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [27] = {
    [sym_expression] = STATE(2412),
    [sym__expression_no_tag] = STATE(2425),
    [sym_unary_expression] = STATE(2425),
    [sym_binary_expression] = STATE(2425),
    [sym_ternary_expression] = STATE(2425),
    [sym_call_expression] = STATE(2425),
    [sym_selector_call_expression] = STATE(2425),
    [sym_member_expression] = STATE(2425),
    [sym_index_expression] = STATE(2425),
    [sym_slice_expression] = STATE(2425),
    [sym_range_expression] = STATE(2425),
    [sym_cast_expression] = STATE(2425),
    [sym_in_expression] = STATE(2425),
    [sym_variadic_expression] = STATE(2425),
    [sym_parenthesized_expression] = STATE(2425),
    [sym_or_return_expression] = STATE(2425),
    [sym_or_continue_expression] = STATE(2425),
    [sym_or_break_expression] = STATE(2425),
    [sym_address] = STATE(2425),
    [sym_map_type] = STATE(2425),
    [sym_matrix_type] = STATE(2425),
    [sym_distinct_type] = STATE(2425),
    [sym_literal] = STATE(2425),
    [sym_struct] = STATE(2413),
    [sym_map] = STATE(2256),
    [sym_bit_set] = STATE(2256),
    [sym_matrix] = STATE(2256),
    [sym_string] = STATE(2256),
    [sym__string_literal] = STATE(2258),
    [sym__raw_string_literal] = STATE(2258),
    [sym_character] = STATE(2256),
    [sym_boolean] = STATE(2256),
    [sym_field_identifier] = STATE(7777),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(179),
    [anon_sym_RBRACE] = ACTIONS(131),
    [anon_sym_COMMA] = ACTIONS(131),
    [anon_sym_COLON_COLON] = ACTIONS(131),
    [anon_sym_DASH_GT] = ACTIONS(131),
    [anon_sym_EQ] = ACTIONS(133),
    [anon_sym_COLON_EQ] = ACTIONS(131),
    [anon_sym_COLON] = ACTIONS(133),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_PLUS_EQ] = ACTIONS(131),
    [anon_sym_DASH_EQ] = ACTIONS(131),
    [anon_sym_STAR_EQ] = ACTIONS(131),
    [anon_sym_SLASH_EQ] = ACTIONS(131),
    [anon_sym_PERCENT_EQ] = ACTIONS(131),
    [anon_sym_AMP_EQ] = ACTIONS(131),
    [anon_sym_PIPE_EQ] = ACTIONS(131),
    [anon_sym_CARET_EQ] = ACTIONS(131),
    [anon_sym_LT_LT_EQ] = ACTIONS(131),
    [anon_sym_GT_GT_EQ] = ACTIONS(131),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(131),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(131),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(131),
    [anon_sym_if] = ACTIONS(133),
    [anon_sym_SEMI] = ACTIONS(131),
    [anon_sym_when] = ACTIONS(133),
    [anon_sym_in] = ACTIONS(133),
    [anon_sym_case] = ACTIONS(133),
    [anon_sym_QMARK] = ACTIONS(205),
    [anon_sym_PLUS] = ACTIONS(93),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(93),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(93),
    [anon_sym_PIPE_PIPE] = ACTIONS(133),
    [anon_sym_or_else] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_GT] = ACTIONS(133),
    [anon_sym_GT_EQ] = ACTIONS(131),
    [anon_sym_LT_EQ] = ACTIONS(131),
    [anon_sym_LT] = ACTIONS(133),
    [anon_sym_EQ_EQ] = ACTIONS(131),
    [anon_sym_BANG_EQ] = ACTIONS(131),
    [anon_sym_TILDE_EQ] = ACTIONS(131),
    [anon_sym_PIPE] = ACTIONS(133),
    [anon_sym_AMP_TILDE] = ACTIONS(133),
    [anon_sym_LT_LT] = ACTIONS(133),
    [anon_sym_GT_GT] = ACTIONS(133),
    [anon_sym_STAR] = ACTIONS(133),
    [anon_sym_SLASH] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(131),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(131),
    [anon_sym_DOT_DOT_LT] = ACTIONS(131),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_not_in] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(103),
    [anon_sym_or_return] = ACTIONS(133),
    [anon_sym_or_continue] = ACTIONS(133),
    [anon_sym_or_break] = ACTIONS(133),
    [anon_sym_CARET] = ACTIONS(133),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(201),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(131),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [28] = {
    [sym_expression] = STATE(2414),
    [sym__expression_no_tag] = STATE(2425),
    [sym_unary_expression] = STATE(2425),
    [sym_binary_expression] = STATE(2425),
    [sym_ternary_expression] = STATE(2425),
    [sym_call_expression] = STATE(2425),
    [sym_selector_call_expression] = STATE(2425),
    [sym_member_expression] = STATE(2425),
    [sym_index_expression] = STATE(2425),
    [sym_slice_expression] = STATE(2425),
    [sym_range_expression] = STATE(2425),
    [sym_cast_expression] = STATE(2425),
    [sym_in_expression] = STATE(2425),
    [sym_variadic_expression] = STATE(2425),
    [sym_parenthesized_expression] = STATE(2425),
    [sym_or_return_expression] = STATE(2425),
    [sym_or_continue_expression] = STATE(2425),
    [sym_or_break_expression] = STATE(2425),
    [sym_address] = STATE(2425),
    [sym_map_type] = STATE(2425),
    [sym_matrix_type] = STATE(2425),
    [sym_distinct_type] = STATE(2425),
    [sym_literal] = STATE(2425),
    [sym_struct] = STATE(2413),
    [sym_map] = STATE(2256),
    [sym_bit_set] = STATE(2256),
    [sym_matrix] = STATE(2256),
    [sym_string] = STATE(2256),
    [sym__string_literal] = STATE(2258),
    [sym__raw_string_literal] = STATE(2258),
    [sym_character] = STATE(2256),
    [sym_boolean] = STATE(2256),
    [sym_field_identifier] = STATE(7777),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(179),
    [anon_sym_RBRACE] = ACTIONS(173),
    [anon_sym_COMMA] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(173),
    [anon_sym_DASH_GT] = ACTIONS(173),
    [anon_sym_EQ] = ACTIONS(175),
    [anon_sym_COLON_EQ] = ACTIONS(173),
    [anon_sym_COLON] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(173),
    [anon_sym_PLUS_EQ] = ACTIONS(173),
    [anon_sym_DASH_EQ] = ACTIONS(173),
    [anon_sym_STAR_EQ] = ACTIONS(173),
    [anon_sym_SLASH_EQ] = ACTIONS(173),
    [anon_sym_PERCENT_EQ] = ACTIONS(173),
    [anon_sym_AMP_EQ] = ACTIONS(173),
    [anon_sym_PIPE_EQ] = ACTIONS(173),
    [anon_sym_CARET_EQ] = ACTIONS(173),
    [anon_sym_LT_LT_EQ] = ACTIONS(173),
    [anon_sym_GT_GT_EQ] = ACTIONS(173),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(173),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(173),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(173),
    [anon_sym_if] = ACTIONS(175),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_when] = ACTIONS(175),
    [anon_sym_in] = ACTIONS(175),
    [anon_sym_case] = ACTIONS(175),
    [anon_sym_QMARK] = ACTIONS(173),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_BANG] = ACTIONS(93),
    [anon_sym_AMP] = ACTIONS(175),
    [anon_sym_PIPE_PIPE] = ACTIONS(175),
    [anon_sym_or_else] = ACTIONS(175),
    [anon_sym_AMP_AMP] = ACTIONS(175),
    [anon_sym_GT] = ACTIONS(175),
    [anon_sym_GT_EQ] = ACTIONS(173),
    [anon_sym_LT_EQ] = ACTIONS(173),
    [anon_sym_LT] = ACTIONS(175),
    [anon_sym_EQ_EQ] = ACTIONS(173),
    [anon_sym_BANG_EQ] = ACTIONS(173),
    [anon_sym_TILDE_EQ] = ACTIONS(173),
    [anon_sym_PIPE] = ACTIONS(175),
    [anon_sym_AMP_TILDE] = ACTIONS(175),
    [anon_sym_LT_LT] = ACTIONS(175),
    [anon_sym_GT_GT] = ACTIONS(175),
    [anon_sym_STAR] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(175),
    [anon_sym_PERCENT] = ACTIONS(175),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(173),
    [anon_sym_DOT] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(173),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(173),
    [anon_sym_DOT_DOT_LT] = ACTIONS(173),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_not_in] = ACTIONS(175),
    [anon_sym_DOT_DOT] = ACTIONS(103),
    [anon_sym_or_return] = ACTIONS(175),
    [anon_sym_or_continue] = ACTIONS(175),
    [anon_sym_or_break] = ACTIONS(175),
    [anon_sym_CARET] = ACTIONS(175),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(201),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(173),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [29] = {
    [sym_expression] = STATE(2097),
    [sym__expression_no_tag] = STATE(2219),
    [sym_unary_expression] = STATE(2219),
    [sym_binary_expression] = STATE(2219),
    [sym_ternary_expression] = STATE(2219),
    [sym_call_expression] = STATE(2219),
    [sym_selector_call_expression] = STATE(2219),
    [sym_member_expression] = STATE(2219),
    [sym_index_expression] = STATE(2219),
    [sym_slice_expression] = STATE(2219),
    [sym_range_expression] = STATE(2219),
    [sym_cast_expression] = STATE(2219),
    [sym_in_expression] = STATE(2219),
    [sym_variadic_expression] = STATE(2219),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_or_return_expression] = STATE(2219),
    [sym_or_continue_expression] = STATE(2219),
    [sym_or_break_expression] = STATE(2219),
    [sym_address] = STATE(2219),
    [sym_map_type] = STATE(2219),
    [sym_matrix_type] = STATE(2219),
    [sym_distinct_type] = STATE(2219),
    [sym_literal] = STATE(2219),
    [sym_struct] = STATE(2056),
    [sym_map] = STATE(2054),
    [sym_bit_set] = STATE(2054),
    [sym_matrix] = STATE(2054),
    [sym_string] = STATE(2054),
    [sym__string_literal] = STATE(2057),
    [sym__raw_string_literal] = STATE(2057),
    [sym_character] = STATE(2054),
    [sym_boolean] = STATE(2054),
    [sym_field_identifier] = STATE(7869),
    [sym_identifier] = ACTIONS(207),
    [anon_sym_LBRACE] = ACTIONS(173),
    [anon_sym_COMMA] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(173),
    [anon_sym_DASH_GT] = ACTIONS(173),
    [anon_sym_where] = ACTIONS(175),
    [anon_sym_EQ] = ACTIONS(175),
    [anon_sym_COLON_EQ] = ACTIONS(173),
    [anon_sym_COLON] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(173),
    [anon_sym_PLUS_EQ] = ACTIONS(173),
    [anon_sym_DASH_EQ] = ACTIONS(173),
    [anon_sym_STAR_EQ] = ACTIONS(173),
    [anon_sym_SLASH_EQ] = ACTIONS(173),
    [anon_sym_PERCENT_EQ] = ACTIONS(173),
    [anon_sym_AMP_EQ] = ACTIONS(173),
    [anon_sym_PIPE_EQ] = ACTIONS(173),
    [anon_sym_CARET_EQ] = ACTIONS(173),
    [anon_sym_LT_LT_EQ] = ACTIONS(173),
    [anon_sym_GT_GT_EQ] = ACTIONS(173),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(173),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(173),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(173),
    [anon_sym_if] = ACTIONS(175),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_do] = ACTIONS(175),
    [anon_sym_when] = ACTIONS(175),
    [anon_sym_in] = ACTIONS(175),
    [anon_sym_QMARK] = ACTIONS(173),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_BANG] = ACTIONS(209),
    [anon_sym_AMP] = ACTIONS(175),
    [anon_sym_PIPE_PIPE] = ACTIONS(175),
    [anon_sym_or_else] = ACTIONS(175),
    [anon_sym_AMP_AMP] = ACTIONS(175),
    [anon_sym_GT] = ACTIONS(175),
    [anon_sym_GT_EQ] = ACTIONS(173),
    [anon_sym_LT_EQ] = ACTIONS(173),
    [anon_sym_LT] = ACTIONS(175),
    [anon_sym_EQ_EQ] = ACTIONS(173),
    [anon_sym_BANG_EQ] = ACTIONS(173),
    [anon_sym_TILDE_EQ] = ACTIONS(173),
    [anon_sym_PIPE] = ACTIONS(175),
    [anon_sym_AMP_TILDE] = ACTIONS(175),
    [anon_sym_LT_LT] = ACTIONS(175),
    [anon_sym_GT_GT] = ACTIONS(175),
    [anon_sym_STAR] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(175),
    [anon_sym_PERCENT] = ACTIONS(175),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(173),
    [anon_sym_DOT] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(173),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(173),
    [anon_sym_DOT_DOT_LT] = ACTIONS(173),
    [anon_sym_cast] = ACTIONS(211),
    [anon_sym_transmute] = ACTIONS(211),
    [anon_sym_auto_cast] = ACTIONS(213),
    [anon_sym_not_in] = ACTIONS(175),
    [anon_sym_DOT_DOT] = ACTIONS(215),
    [anon_sym_or_return] = ACTIONS(175),
    [anon_sym_or_continue] = ACTIONS(175),
    [anon_sym_or_break] = ACTIONS(175),
    [anon_sym_CARET] = ACTIONS(175),
    [anon_sym_map] = ACTIONS(217),
    [anon_sym_bit_set] = ACTIONS(219),
    [anon_sym_matrix] = ACTIONS(221),
    [anon_sym_distinct] = ACTIONS(223),
    [sym_number] = ACTIONS(225),
    [anon_sym_DQUOTE] = ACTIONS(227),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_SQUOTE] = ACTIONS(231),
    [anon_sym_true] = ACTIONS(233),
    [anon_sym_false] = ACTIONS(233),
    [sym_nil] = ACTIONS(235),
    [sym_uninitialized] = ACTIONS(173),
    [sym_tag] = ACTIONS(173),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(225),
    [sym_block_comment] = ACTIONS(3),
  },
  [30] = {
    [sym_expression] = STATE(2095),
    [sym__expression_no_tag] = STATE(2219),
    [sym_unary_expression] = STATE(2219),
    [sym_binary_expression] = STATE(2219),
    [sym_ternary_expression] = STATE(2219),
    [sym_call_expression] = STATE(2219),
    [sym_selector_call_expression] = STATE(2219),
    [sym_member_expression] = STATE(2219),
    [sym_index_expression] = STATE(2219),
    [sym_slice_expression] = STATE(2219),
    [sym_range_expression] = STATE(2219),
    [sym_cast_expression] = STATE(2219),
    [sym_in_expression] = STATE(2219),
    [sym_variadic_expression] = STATE(2219),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_or_return_expression] = STATE(2219),
    [sym_or_continue_expression] = STATE(2219),
    [sym_or_break_expression] = STATE(2219),
    [sym_address] = STATE(2219),
    [sym_map_type] = STATE(2219),
    [sym_matrix_type] = STATE(2219),
    [sym_distinct_type] = STATE(2219),
    [sym_literal] = STATE(2219),
    [sym_struct] = STATE(2056),
    [sym_map] = STATE(2054),
    [sym_bit_set] = STATE(2054),
    [sym_matrix] = STATE(2054),
    [sym_string] = STATE(2054),
    [sym__string_literal] = STATE(2057),
    [sym__raw_string_literal] = STATE(2057),
    [sym_character] = STATE(2054),
    [sym_boolean] = STATE(2054),
    [sym_field_identifier] = STATE(7869),
    [sym_identifier] = ACTIONS(207),
    [anon_sym_LBRACE] = ACTIONS(237),
    [anon_sym_COMMA] = ACTIONS(131),
    [anon_sym_COLON_COLON] = ACTIONS(131),
    [anon_sym_DASH_GT] = ACTIONS(131),
    [anon_sym_where] = ACTIONS(133),
    [anon_sym_EQ] = ACTIONS(133),
    [anon_sym_COLON_EQ] = ACTIONS(131),
    [anon_sym_COLON] = ACTIONS(133),
    [anon_sym_LPAREN] = ACTIONS(239),
    [anon_sym_PLUS_EQ] = ACTIONS(131),
    [anon_sym_DASH_EQ] = ACTIONS(131),
    [anon_sym_STAR_EQ] = ACTIONS(131),
    [anon_sym_SLASH_EQ] = ACTIONS(131),
    [anon_sym_PERCENT_EQ] = ACTIONS(131),
    [anon_sym_AMP_EQ] = ACTIONS(131),
    [anon_sym_PIPE_EQ] = ACTIONS(131),
    [anon_sym_CARET_EQ] = ACTIONS(131),
    [anon_sym_LT_LT_EQ] = ACTIONS(131),
    [anon_sym_GT_GT_EQ] = ACTIONS(131),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(131),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(131),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(131),
    [anon_sym_if] = ACTIONS(133),
    [anon_sym_SEMI] = ACTIONS(131),
    [anon_sym_do] = ACTIONS(133),
    [anon_sym_when] = ACTIONS(133),
    [anon_sym_in] = ACTIONS(133),
    [anon_sym_QMARK] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(209),
    [anon_sym_DASH] = ACTIONS(209),
    [anon_sym_TILDE] = ACTIONS(209),
    [anon_sym_BANG] = ACTIONS(209),
    [anon_sym_AMP] = ACTIONS(209),
    [anon_sym_PIPE_PIPE] = ACTIONS(133),
    [anon_sym_or_else] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_GT] = ACTIONS(133),
    [anon_sym_GT_EQ] = ACTIONS(131),
    [anon_sym_LT_EQ] = ACTIONS(131),
    [anon_sym_LT] = ACTIONS(133),
    [anon_sym_EQ_EQ] = ACTIONS(131),
    [anon_sym_BANG_EQ] = ACTIONS(131),
    [anon_sym_TILDE_EQ] = ACTIONS(131),
    [anon_sym_PIPE] = ACTIONS(133),
    [anon_sym_AMP_TILDE] = ACTIONS(133),
    [anon_sym_LT_LT] = ACTIONS(133),
    [anon_sym_GT_GT] = ACTIONS(133),
    [anon_sym_STAR] = ACTIONS(133),
    [anon_sym_SLASH] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(131),
    [anon_sym_DOT] = ACTIONS(243),
    [anon_sym_LBRACK] = ACTIONS(245),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(131),
    [anon_sym_DOT_DOT_LT] = ACTIONS(131),
    [anon_sym_cast] = ACTIONS(211),
    [anon_sym_transmute] = ACTIONS(211),
    [anon_sym_auto_cast] = ACTIONS(213),
    [anon_sym_not_in] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(215),
    [anon_sym_or_return] = ACTIONS(133),
    [anon_sym_or_continue] = ACTIONS(133),
    [anon_sym_or_break] = ACTIONS(133),
    [anon_sym_CARET] = ACTIONS(133),
    [anon_sym_map] = ACTIONS(217),
    [anon_sym_bit_set] = ACTIONS(219),
    [anon_sym_matrix] = ACTIONS(221),
    [anon_sym_distinct] = ACTIONS(223),
    [sym_number] = ACTIONS(225),
    [anon_sym_DQUOTE] = ACTIONS(227),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_SQUOTE] = ACTIONS(231),
    [anon_sym_true] = ACTIONS(233),
    [anon_sym_false] = ACTIONS(233),
    [sym_nil] = ACTIONS(235),
    [sym_uninitialized] = ACTIONS(225),
    [sym_tag] = ACTIONS(247),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(225),
    [sym_block_comment] = ACTIONS(3),
  },
  [31] = {
    [sym_expression] = STATE(2585),
    [sym__expression_no_tag] = STATE(2592),
    [sym_unary_expression] = STATE(2592),
    [sym_binary_expression] = STATE(2592),
    [sym_ternary_expression] = STATE(2592),
    [sym_call_expression] = STATE(2592),
    [sym_selector_call_expression] = STATE(2592),
    [sym_member_expression] = STATE(2592),
    [sym_index_expression] = STATE(2592),
    [sym_slice_expression] = STATE(2592),
    [sym_range_expression] = STATE(2592),
    [sym_cast_expression] = STATE(2592),
    [sym_in_expression] = STATE(2592),
    [sym_variadic_expression] = STATE(2592),
    [sym_parenthesized_expression] = STATE(2592),
    [sym_or_return_expression] = STATE(2592),
    [sym_or_continue_expression] = STATE(2592),
    [sym_or_break_expression] = STATE(2592),
    [sym_address] = STATE(2592),
    [sym_map_type] = STATE(2592),
    [sym_matrix_type] = STATE(2592),
    [sym_distinct_type] = STATE(2592),
    [sym_literal] = STATE(2592),
    [sym_struct] = STATE(2608),
    [sym_map] = STATE(2566),
    [sym_bit_set] = STATE(2566),
    [sym_matrix] = STATE(2566),
    [sym_string] = STATE(2566),
    [sym__string_literal] = STATE(2591),
    [sym__raw_string_literal] = STATE(2591),
    [sym_character] = STATE(2566),
    [sym_boolean] = STATE(2566),
    [sym_field_identifier] = STATE(7902),
    [sym_identifier] = ACTIONS(249),
    [anon_sym_LBRACE] = ACTIONS(251),
    [anon_sym_COMMA] = ACTIONS(131),
    [anon_sym_DASH_GT] = ACTIONS(131),
    [anon_sym_EQ] = ACTIONS(133),
    [anon_sym_COLON_EQ] = ACTIONS(131),
    [anon_sym_COLON] = ACTIONS(133),
    [anon_sym_LPAREN] = ACTIONS(253),
    [anon_sym_PLUS_EQ] = ACTIONS(131),
    [anon_sym_DASH_EQ] = ACTIONS(131),
    [anon_sym_STAR_EQ] = ACTIONS(131),
    [anon_sym_SLASH_EQ] = ACTIONS(131),
    [anon_sym_PERCENT_EQ] = ACTIONS(131),
    [anon_sym_AMP_EQ] = ACTIONS(131),
    [anon_sym_PIPE_EQ] = ACTIONS(131),
    [anon_sym_CARET_EQ] = ACTIONS(131),
    [anon_sym_LT_LT_EQ] = ACTIONS(131),
    [anon_sym_GT_GT_EQ] = ACTIONS(131),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(131),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(131),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(131),
    [anon_sym_if] = ACTIONS(133),
    [anon_sym_SEMI] = ACTIONS(131),
    [anon_sym_do] = ACTIONS(133),
    [anon_sym_when] = ACTIONS(133),
    [anon_sym_in] = ACTIONS(133),
    [anon_sym_QMARK] = ACTIONS(255),
    [anon_sym_PLUS] = ACTIONS(257),
    [anon_sym_DASH] = ACTIONS(257),
    [anon_sym_TILDE] = ACTIONS(257),
    [anon_sym_BANG] = ACTIONS(257),
    [anon_sym_AMP] = ACTIONS(257),
    [anon_sym_PIPE_PIPE] = ACTIONS(133),
    [anon_sym_or_else] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_GT] = ACTIONS(133),
    [anon_sym_GT_EQ] = ACTIONS(131),
    [anon_sym_LT_EQ] = ACTIONS(131),
    [anon_sym_LT] = ACTIONS(133),
    [anon_sym_EQ_EQ] = ACTIONS(131),
    [anon_sym_BANG_EQ] = ACTIONS(131),
    [anon_sym_TILDE_EQ] = ACTIONS(131),
    [anon_sym_PIPE] = ACTIONS(133),
    [anon_sym_AMP_TILDE] = ACTIONS(133),
    [anon_sym_LT_LT] = ACTIONS(133),
    [anon_sym_GT_GT] = ACTIONS(133),
    [anon_sym_STAR] = ACTIONS(133),
    [anon_sym_SLASH] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(131),
    [anon_sym_DOT] = ACTIONS(259),
    [anon_sym_LBRACK] = ACTIONS(261),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(131),
    [anon_sym_DOT_DOT_LT] = ACTIONS(131),
    [anon_sym_cast] = ACTIONS(263),
    [anon_sym_transmute] = ACTIONS(263),
    [anon_sym_auto_cast] = ACTIONS(265),
    [anon_sym_not_in] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(267),
    [anon_sym_or_return] = ACTIONS(133),
    [anon_sym_or_continue] = ACTIONS(133),
    [anon_sym_or_break] = ACTIONS(133),
    [anon_sym_CARET] = ACTIONS(133),
    [anon_sym_map] = ACTIONS(269),
    [anon_sym_bit_set] = ACTIONS(271),
    [anon_sym_matrix] = ACTIONS(273),
    [anon_sym_distinct] = ACTIONS(275),
    [sym_number] = ACTIONS(277),
    [anon_sym_DQUOTE] = ACTIONS(279),
    [anon_sym_BQUOTE] = ACTIONS(281),
    [anon_sym_SQUOTE] = ACTIONS(283),
    [anon_sym_true] = ACTIONS(285),
    [anon_sym_false] = ACTIONS(285),
    [sym_nil] = ACTIONS(287),
    [sym_uninitialized] = ACTIONS(277),
    [sym_tag] = ACTIONS(289),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(277),
    [sym_block_comment] = ACTIONS(3),
  },
  [32] = {
    [sym_expression] = STATE(2586),
    [sym__expression_no_tag] = STATE(2592),
    [sym_unary_expression] = STATE(2592),
    [sym_binary_expression] = STATE(2592),
    [sym_ternary_expression] = STATE(2592),
    [sym_call_expression] = STATE(2592),
    [sym_selector_call_expression] = STATE(2592),
    [sym_member_expression] = STATE(2592),
    [sym_index_expression] = STATE(2592),
    [sym_slice_expression] = STATE(2592),
    [sym_range_expression] = STATE(2592),
    [sym_cast_expression] = STATE(2592),
    [sym_in_expression] = STATE(2592),
    [sym_variadic_expression] = STATE(2592),
    [sym_parenthesized_expression] = STATE(2592),
    [sym_or_return_expression] = STATE(2592),
    [sym_or_continue_expression] = STATE(2592),
    [sym_or_break_expression] = STATE(2592),
    [sym_address] = STATE(2592),
    [sym_map_type] = STATE(2592),
    [sym_matrix_type] = STATE(2592),
    [sym_distinct_type] = STATE(2592),
    [sym_literal] = STATE(2592),
    [sym_struct] = STATE(2608),
    [sym_map] = STATE(2566),
    [sym_bit_set] = STATE(2566),
    [sym_matrix] = STATE(2566),
    [sym_string] = STATE(2566),
    [sym__string_literal] = STATE(2591),
    [sym__raw_string_literal] = STATE(2591),
    [sym_character] = STATE(2566),
    [sym_boolean] = STATE(2566),
    [sym_field_identifier] = STATE(7902),
    [sym_identifier] = ACTIONS(249),
    [anon_sym_LBRACE] = ACTIONS(173),
    [anon_sym_COMMA] = ACTIONS(173),
    [anon_sym_DASH_GT] = ACTIONS(173),
    [anon_sym_EQ] = ACTIONS(175),
    [anon_sym_COLON_EQ] = ACTIONS(173),
    [anon_sym_COLON] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(173),
    [anon_sym_PLUS_EQ] = ACTIONS(173),
    [anon_sym_DASH_EQ] = ACTIONS(173),
    [anon_sym_STAR_EQ] = ACTIONS(173),
    [anon_sym_SLASH_EQ] = ACTIONS(173),
    [anon_sym_PERCENT_EQ] = ACTIONS(173),
    [anon_sym_AMP_EQ] = ACTIONS(173),
    [anon_sym_PIPE_EQ] = ACTIONS(173),
    [anon_sym_CARET_EQ] = ACTIONS(173),
    [anon_sym_LT_LT_EQ] = ACTIONS(173),
    [anon_sym_GT_GT_EQ] = ACTIONS(173),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(173),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(173),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(173),
    [anon_sym_if] = ACTIONS(175),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_do] = ACTIONS(175),
    [anon_sym_when] = ACTIONS(175),
    [anon_sym_in] = ACTIONS(175),
    [anon_sym_QMARK] = ACTIONS(173),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_BANG] = ACTIONS(257),
    [anon_sym_AMP] = ACTIONS(175),
    [anon_sym_PIPE_PIPE] = ACTIONS(175),
    [anon_sym_or_else] = ACTIONS(175),
    [anon_sym_AMP_AMP] = ACTIONS(175),
    [anon_sym_GT] = ACTIONS(175),
    [anon_sym_GT_EQ] = ACTIONS(173),
    [anon_sym_LT_EQ] = ACTIONS(173),
    [anon_sym_LT] = ACTIONS(175),
    [anon_sym_EQ_EQ] = ACTIONS(173),
    [anon_sym_BANG_EQ] = ACTIONS(173),
    [anon_sym_TILDE_EQ] = ACTIONS(173),
    [anon_sym_PIPE] = ACTIONS(175),
    [anon_sym_AMP_TILDE] = ACTIONS(175),
    [anon_sym_LT_LT] = ACTIONS(175),
    [anon_sym_GT_GT] = ACTIONS(175),
    [anon_sym_STAR] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(175),
    [anon_sym_PERCENT] = ACTIONS(175),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(173),
    [anon_sym_DOT] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(173),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(173),
    [anon_sym_DOT_DOT_LT] = ACTIONS(173),
    [anon_sym_cast] = ACTIONS(263),
    [anon_sym_transmute] = ACTIONS(263),
    [anon_sym_auto_cast] = ACTIONS(265),
    [anon_sym_not_in] = ACTIONS(175),
    [anon_sym_DOT_DOT] = ACTIONS(267),
    [anon_sym_or_return] = ACTIONS(175),
    [anon_sym_or_continue] = ACTIONS(175),
    [anon_sym_or_break] = ACTIONS(175),
    [anon_sym_CARET] = ACTIONS(175),
    [anon_sym_map] = ACTIONS(269),
    [anon_sym_bit_set] = ACTIONS(271),
    [anon_sym_matrix] = ACTIONS(273),
    [anon_sym_distinct] = ACTIONS(275),
    [sym_number] = ACTIONS(277),
    [anon_sym_DQUOTE] = ACTIONS(279),
    [anon_sym_BQUOTE] = ACTIONS(281),
    [anon_sym_SQUOTE] = ACTIONS(283),
    [anon_sym_true] = ACTIONS(285),
    [anon_sym_false] = ACTIONS(285),
    [sym_nil] = ACTIONS(287),
    [sym_uninitialized] = ACTIONS(277),
    [sym_tag] = ACTIONS(289),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(277),
    [sym_block_comment] = ACTIONS(3),
  },
  [33] = {
    [sym_expression] = STATE(2616),
    [sym__expression_no_tag] = STATE(2664),
    [sym_unary_expression] = STATE(2664),
    [sym_binary_expression] = STATE(2664),
    [sym_ternary_expression] = STATE(2664),
    [sym_call_expression] = STATE(2664),
    [sym_selector_call_expression] = STATE(2664),
    [sym_member_expression] = STATE(2664),
    [sym_index_expression] = STATE(2664),
    [sym_slice_expression] = STATE(2664),
    [sym_range_expression] = STATE(2664),
    [sym_cast_expression] = STATE(2664),
    [sym_in_expression] = STATE(2664),
    [sym_variadic_expression] = STATE(2664),
    [sym_parenthesized_expression] = STATE(2664),
    [sym_or_return_expression] = STATE(2664),
    [sym_or_continue_expression] = STATE(2664),
    [sym_or_break_expression] = STATE(2664),
    [sym_address] = STATE(2664),
    [sym_map_type] = STATE(2664),
    [sym_matrix_type] = STATE(2664),
    [sym_distinct_type] = STATE(2664),
    [sym_literal] = STATE(2664),
    [sym_struct] = STATE(2632),
    [sym_map] = STATE(2566),
    [sym_bit_set] = STATE(2566),
    [sym_matrix] = STATE(2566),
    [sym_string] = STATE(2566),
    [sym__string_literal] = STATE(2591),
    [sym__raw_string_literal] = STATE(2591),
    [sym_character] = STATE(2566),
    [sym_boolean] = STATE(2566),
    [sym_field_identifier] = STATE(7902),
    [sym_identifier] = ACTIONS(249),
    [anon_sym_LBRACE] = ACTIONS(251),
    [anon_sym_COMMA] = ACTIONS(131),
    [anon_sym_DASH_GT] = ACTIONS(131),
    [anon_sym_EQ] = ACTIONS(133),
    [anon_sym_COLON_EQ] = ACTIONS(131),
    [anon_sym_COLON] = ACTIONS(133),
    [anon_sym_LPAREN] = ACTIONS(291),
    [anon_sym_PLUS_EQ] = ACTIONS(131),
    [anon_sym_DASH_EQ] = ACTIONS(131),
    [anon_sym_STAR_EQ] = ACTIONS(131),
    [anon_sym_SLASH_EQ] = ACTIONS(131),
    [anon_sym_PERCENT_EQ] = ACTIONS(131),
    [anon_sym_AMP_EQ] = ACTIONS(131),
    [anon_sym_PIPE_EQ] = ACTIONS(131),
    [anon_sym_CARET_EQ] = ACTIONS(131),
    [anon_sym_LT_LT_EQ] = ACTIONS(131),
    [anon_sym_GT_GT_EQ] = ACTIONS(131),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(131),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(131),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(131),
    [anon_sym_if] = ACTIONS(133),
    [anon_sym_do] = ACTIONS(133),
    [anon_sym_when] = ACTIONS(133),
    [anon_sym_in] = ACTIONS(133),
    [anon_sym_QMARK] = ACTIONS(293),
    [anon_sym_PLUS] = ACTIONS(295),
    [anon_sym_DASH] = ACTIONS(295),
    [anon_sym_TILDE] = ACTIONS(295),
    [anon_sym_BANG] = ACTIONS(295),
    [anon_sym_AMP] = ACTIONS(295),
    [anon_sym_PIPE_PIPE] = ACTIONS(133),
    [anon_sym_or_else] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_GT] = ACTIONS(133),
    [anon_sym_GT_EQ] = ACTIONS(131),
    [anon_sym_LT_EQ] = ACTIONS(131),
    [anon_sym_LT] = ACTIONS(133),
    [anon_sym_EQ_EQ] = ACTIONS(131),
    [anon_sym_BANG_EQ] = ACTIONS(131),
    [anon_sym_TILDE_EQ] = ACTIONS(131),
    [anon_sym_PIPE] = ACTIONS(133),
    [anon_sym_AMP_TILDE] = ACTIONS(133),
    [anon_sym_LT_LT] = ACTIONS(133),
    [anon_sym_GT_GT] = ACTIONS(133),
    [anon_sym_STAR] = ACTIONS(133),
    [anon_sym_SLASH] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(131),
    [anon_sym_DOT] = ACTIONS(297),
    [anon_sym_LBRACK] = ACTIONS(261),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(131),
    [anon_sym_DOT_DOT_LT] = ACTIONS(131),
    [anon_sym_cast] = ACTIONS(299),
    [anon_sym_transmute] = ACTIONS(299),
    [anon_sym_auto_cast] = ACTIONS(301),
    [anon_sym_not_in] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(303),
    [anon_sym_or_return] = ACTIONS(133),
    [anon_sym_or_continue] = ACTIONS(133),
    [anon_sym_or_break] = ACTIONS(133),
    [anon_sym_CARET] = ACTIONS(133),
    [anon_sym_map] = ACTIONS(269),
    [anon_sym_bit_set] = ACTIONS(271),
    [anon_sym_matrix] = ACTIONS(273),
    [anon_sym_distinct] = ACTIONS(275),
    [sym_number] = ACTIONS(277),
    [anon_sym_DQUOTE] = ACTIONS(279),
    [anon_sym_BQUOTE] = ACTIONS(281),
    [anon_sym_SQUOTE] = ACTIONS(283),
    [anon_sym_true] = ACTIONS(285),
    [anon_sym_false] = ACTIONS(285),
    [sym_nil] = ACTIONS(287),
    [sym_uninitialized] = ACTIONS(277),
    [sym_tag] = ACTIONS(305),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(277),
    [sym_block_comment] = ACTIONS(3),
  },
  [34] = {
    [sym_expression] = STATE(2793),
    [sym__expression_no_tag] = STATE(2692),
    [sym_unary_expression] = STATE(2692),
    [sym_binary_expression] = STATE(2692),
    [sym_ternary_expression] = STATE(2692),
    [sym_call_expression] = STATE(2692),
    [sym_selector_call_expression] = STATE(2692),
    [sym_member_expression] = STATE(2692),
    [sym_index_expression] = STATE(2692),
    [sym_slice_expression] = STATE(2692),
    [sym_range_expression] = STATE(2692),
    [sym_cast_expression] = STATE(2692),
    [sym_in_expression] = STATE(2692),
    [sym_variadic_expression] = STATE(2692),
    [sym_parenthesized_expression] = STATE(2692),
    [sym_or_return_expression] = STATE(2692),
    [sym_or_continue_expression] = STATE(2692),
    [sym_or_break_expression] = STATE(2692),
    [sym_address] = STATE(2692),
    [sym_map_type] = STATE(2692),
    [sym_matrix_type] = STATE(2692),
    [sym_distinct_type] = STATE(2692),
    [sym_literal] = STATE(2692),
    [sym_struct] = STATE(2751),
    [sym_map] = STATE(2747),
    [sym_bit_set] = STATE(2747),
    [sym_matrix] = STATE(2747),
    [sym_string] = STATE(2747),
    [sym__string_literal] = STATE(2752),
    [sym__raw_string_literal] = STATE(2752),
    [sym_character] = STATE(2747),
    [sym_boolean] = STATE(2747),
    [sym_field_identifier] = STATE(7946),
    [sym_identifier] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(309),
    [anon_sym_COMMA] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(173),
    [anon_sym_DASH_GT] = ACTIONS(173),
    [anon_sym_EQ] = ACTIONS(175),
    [anon_sym_COLON_EQ] = ACTIONS(173),
    [anon_sym_COLON] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(173),
    [anon_sym_PLUS_EQ] = ACTIONS(173),
    [anon_sym_DASH_EQ] = ACTIONS(173),
    [anon_sym_STAR_EQ] = ACTIONS(173),
    [anon_sym_SLASH_EQ] = ACTIONS(173),
    [anon_sym_PERCENT_EQ] = ACTIONS(173),
    [anon_sym_AMP_EQ] = ACTIONS(173),
    [anon_sym_PIPE_EQ] = ACTIONS(173),
    [anon_sym_CARET_EQ] = ACTIONS(173),
    [anon_sym_LT_LT_EQ] = ACTIONS(173),
    [anon_sym_GT_GT_EQ] = ACTIONS(173),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(173),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(173),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(173),
    [anon_sym_if] = ACTIONS(175),
    [anon_sym_when] = ACTIONS(175),
    [anon_sym_in] = ACTIONS(175),
    [anon_sym_QMARK] = ACTIONS(173),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_BANG] = ACTIONS(311),
    [anon_sym_AMP] = ACTIONS(175),
    [anon_sym_PIPE_PIPE] = ACTIONS(175),
    [anon_sym_or_else] = ACTIONS(175),
    [anon_sym_AMP_AMP] = ACTIONS(175),
    [anon_sym_GT] = ACTIONS(175),
    [anon_sym_GT_EQ] = ACTIONS(173),
    [anon_sym_LT_EQ] = ACTIONS(173),
    [anon_sym_LT] = ACTIONS(175),
    [anon_sym_EQ_EQ] = ACTIONS(173),
    [anon_sym_BANG_EQ] = ACTIONS(173),
    [anon_sym_TILDE_EQ] = ACTIONS(173),
    [anon_sym_PIPE] = ACTIONS(175),
    [anon_sym_AMP_TILDE] = ACTIONS(175),
    [anon_sym_LT_LT] = ACTIONS(175),
    [anon_sym_GT_GT] = ACTIONS(175),
    [anon_sym_STAR] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(175),
    [anon_sym_PERCENT] = ACTIONS(175),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(173),
    [anon_sym_DOT] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(173),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(173),
    [anon_sym_DOT_DOT_LT] = ACTIONS(173),
    [anon_sym_cast] = ACTIONS(313),
    [anon_sym_transmute] = ACTIONS(313),
    [anon_sym_auto_cast] = ACTIONS(315),
    [anon_sym_not_in] = ACTIONS(175),
    [anon_sym_DOT_DOT] = ACTIONS(317),
    [anon_sym_or_return] = ACTIONS(175),
    [anon_sym_or_continue] = ACTIONS(175),
    [anon_sym_or_break] = ACTIONS(175),
    [anon_sym_CARET] = ACTIONS(175),
    [anon_sym_map] = ACTIONS(319),
    [anon_sym_bit_set] = ACTIONS(321),
    [anon_sym_matrix] = ACTIONS(323),
    [anon_sym_distinct] = ACTIONS(325),
    [sym_number] = ACTIONS(327),
    [anon_sym_DQUOTE] = ACTIONS(329),
    [anon_sym_BQUOTE] = ACTIONS(331),
    [anon_sym_SQUOTE] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym_nil] = ACTIONS(337),
    [sym_uninitialized] = ACTIONS(327),
    [sym_tag] = ACTIONS(339),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(327),
    [sym_block_comment] = ACTIONS(3),
  },
  [35] = {
    [sym_expression] = STATE(2624),
    [sym__expression_no_tag] = STATE(2664),
    [sym_unary_expression] = STATE(2664),
    [sym_binary_expression] = STATE(2664),
    [sym_ternary_expression] = STATE(2664),
    [sym_call_expression] = STATE(2664),
    [sym_selector_call_expression] = STATE(2664),
    [sym_member_expression] = STATE(2664),
    [sym_index_expression] = STATE(2664),
    [sym_slice_expression] = STATE(2664),
    [sym_range_expression] = STATE(2664),
    [sym_cast_expression] = STATE(2664),
    [sym_in_expression] = STATE(2664),
    [sym_variadic_expression] = STATE(2664),
    [sym_parenthesized_expression] = STATE(2664),
    [sym_or_return_expression] = STATE(2664),
    [sym_or_continue_expression] = STATE(2664),
    [sym_or_break_expression] = STATE(2664),
    [sym_address] = STATE(2664),
    [sym_map_type] = STATE(2664),
    [sym_matrix_type] = STATE(2664),
    [sym_distinct_type] = STATE(2664),
    [sym_literal] = STATE(2664),
    [sym_struct] = STATE(2632),
    [sym_map] = STATE(2566),
    [sym_bit_set] = STATE(2566),
    [sym_matrix] = STATE(2566),
    [sym_string] = STATE(2566),
    [sym__string_literal] = STATE(2591),
    [sym__raw_string_literal] = STATE(2591),
    [sym_character] = STATE(2566),
    [sym_boolean] = STATE(2566),
    [sym_field_identifier] = STATE(7902),
    [sym_identifier] = ACTIONS(249),
    [anon_sym_LBRACE] = ACTIONS(173),
    [anon_sym_COMMA] = ACTIONS(173),
    [anon_sym_DASH_GT] = ACTIONS(173),
    [anon_sym_EQ] = ACTIONS(175),
    [anon_sym_COLON_EQ] = ACTIONS(173),
    [anon_sym_COLON] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(173),
    [anon_sym_PLUS_EQ] = ACTIONS(173),
    [anon_sym_DASH_EQ] = ACTIONS(173),
    [anon_sym_STAR_EQ] = ACTIONS(173),
    [anon_sym_SLASH_EQ] = ACTIONS(173),
    [anon_sym_PERCENT_EQ] = ACTIONS(173),
    [anon_sym_AMP_EQ] = ACTIONS(173),
    [anon_sym_PIPE_EQ] = ACTIONS(173),
    [anon_sym_CARET_EQ] = ACTIONS(173),
    [anon_sym_LT_LT_EQ] = ACTIONS(173),
    [anon_sym_GT_GT_EQ] = ACTIONS(173),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(173),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(173),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(173),
    [anon_sym_if] = ACTIONS(175),
    [anon_sym_do] = ACTIONS(175),
    [anon_sym_when] = ACTIONS(175),
    [anon_sym_in] = ACTIONS(175),
    [anon_sym_QMARK] = ACTIONS(173),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_BANG] = ACTIONS(295),
    [anon_sym_AMP] = ACTIONS(175),
    [anon_sym_PIPE_PIPE] = ACTIONS(175),
    [anon_sym_or_else] = ACTIONS(175),
    [anon_sym_AMP_AMP] = ACTIONS(175),
    [anon_sym_GT] = ACTIONS(175),
    [anon_sym_GT_EQ] = ACTIONS(173),
    [anon_sym_LT_EQ] = ACTIONS(173),
    [anon_sym_LT] = ACTIONS(175),
    [anon_sym_EQ_EQ] = ACTIONS(173),
    [anon_sym_BANG_EQ] = ACTIONS(173),
    [anon_sym_TILDE_EQ] = ACTIONS(173),
    [anon_sym_PIPE] = ACTIONS(175),
    [anon_sym_AMP_TILDE] = ACTIONS(175),
    [anon_sym_LT_LT] = ACTIONS(175),
    [anon_sym_GT_GT] = ACTIONS(175),
    [anon_sym_STAR] = ACTIONS(175),
    [anon_sym_SLASH] = ACTIONS(175),
    [anon_sym_PERCENT] = ACTIONS(175),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(173),
    [anon_sym_DOT] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(173),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(173),
    [anon_sym_DOT_DOT_LT] = ACTIONS(173),
    [anon_sym_cast] = ACTIONS(299),
    [anon_sym_transmute] = ACTIONS(299),
    [anon_sym_auto_cast] = ACTIONS(301),
    [anon_sym_not_in] = ACTIONS(175),
    [anon_sym_DOT_DOT] = ACTIONS(303),
    [anon_sym_or_return] = ACTIONS(175),
    [anon_sym_or_continue] = ACTIONS(175),
    [anon_sym_or_break] = ACTIONS(175),
    [anon_sym_CARET] = ACTIONS(175),
    [anon_sym_map] = ACTIONS(269),
    [anon_sym_bit_set] = ACTIONS(271),
    [anon_sym_matrix] = ACTIONS(273),
    [anon_sym_distinct] = ACTIONS(275),
    [sym_number] = ACTIONS(277),
    [anon_sym_DQUOTE] = ACTIONS(279),
    [anon_sym_BQUOTE] = ACTIONS(281),
    [anon_sym_SQUOTE] = ACTIONS(283),
    [anon_sym_true] = ACTIONS(285),
    [anon_sym_false] = ACTIONS(285),
    [sym_nil] = ACTIONS(287),
    [sym_uninitialized] = ACTIONS(277),
    [sym_tag] = ACTIONS(305),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(277),
    [sym_block_comment] = ACTIONS(3),
  },
  [36] = {
    [sym_expression] = STATE(4583),
    [sym__expression_no_tag] = STATE(4564),
    [sym_unary_expression] = STATE(4564),
    [sym_binary_expression] = STATE(4564),
    [sym_ternary_expression] = STATE(4564),
    [sym_call_expression] = STATE(4564),
    [sym_selector_call_expression] = STATE(4564),
    [sym_member_expression] = STATE(4564),
    [sym_index_expression] = STATE(4564),
    [sym_slice_expression] = STATE(4564),
    [sym_range_expression] = STATE(4564),
    [sym_cast_expression] = STATE(4564),
    [sym_in_expression] = STATE(4564),
    [sym_variadic_expression] = STATE(4564),
    [sym_parenthesized_expression] = STATE(4564),
    [sym_or_return_expression] = STATE(4564),
    [sym_or_continue_expression] = STATE(4564),
    [sym_or_break_expression] = STATE(4564),
    [sym_address] = STATE(4564),
    [sym_map_type] = STATE(4564),
    [sym_matrix_type] = STATE(4564),
    [sym_distinct_type] = STATE(4564),
    [sym_literal] = STATE(4564),
    [sym_struct] = STATE(4562),
    [sym_map] = STATE(4320),
    [sym_bit_set] = STATE(4320),
    [sym_matrix] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym__string_literal] = STATE(4334),
    [sym__raw_string_literal] = STATE(4334),
    [sym_character] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_field_identifier] = STATE(7845),
    [sym_identifier] = ACTIONS(341),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_COMMA] = ACTIONS(197),
    [anon_sym_DASH_GT] = ACTIONS(197),
    [anon_sym_EQ] = ACTIONS(199),
    [anon_sym_COLON_EQ] = ACTIONS(197),
    [anon_sym_COLON] = ACTIONS(199),
    [anon_sym_LPAREN] = ACTIONS(197),
    [anon_sym_PLUS_EQ] = ACTIONS(197),
    [anon_sym_DASH_EQ] = ACTIONS(197),
    [anon_sym_STAR_EQ] = ACTIONS(197),
    [anon_sym_SLASH_EQ] = ACTIONS(197),
    [anon_sym_PERCENT_EQ] = ACTIONS(197),
    [anon_sym_AMP_EQ] = ACTIONS(197),
    [anon_sym_PIPE_EQ] = ACTIONS(197),
    [anon_sym_CARET_EQ] = ACTIONS(197),
    [anon_sym_LT_LT_EQ] = ACTIONS(197),
    [anon_sym_GT_GT_EQ] = ACTIONS(197),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(197),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(197),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_when] = ACTIONS(199),
    [anon_sym_in] = ACTIONS(199),
    [anon_sym_QMARK] = ACTIONS(197),
    [anon_sym_PLUS] = ACTIONS(199),
    [anon_sym_DASH] = ACTIONS(199),
    [anon_sym_TILDE] = ACTIONS(199),
    [anon_sym_BANG] = ACTIONS(343),
    [anon_sym_AMP] = ACTIONS(199),
    [anon_sym_PIPE_PIPE] = ACTIONS(199),
    [anon_sym_or_else] = ACTIONS(199),
    [anon_sym_AMP_AMP] = ACTIONS(199),
    [anon_sym_GT] = ACTIONS(199),
    [anon_sym_GT_EQ] = ACTIONS(197),
    [anon_sym_LT_EQ] = ACTIONS(197),
    [anon_sym_LT] = ACTIONS(199),
    [anon_sym_EQ_EQ] = ACTIONS(197),
    [anon_sym_BANG_EQ] = ACTIONS(197),
    [anon_sym_TILDE_EQ] = ACTIONS(197),
    [anon_sym_PIPE] = ACTIONS(199),
    [anon_sym_AMP_TILDE] = ACTIONS(199),
    [anon_sym_LT_LT] = ACTIONS(199),
    [anon_sym_GT_GT] = ACTIONS(199),
    [anon_sym_STAR] = ACTIONS(199),
    [anon_sym_SLASH] = ACTIONS(199),
    [anon_sym_PERCENT] = ACTIONS(199),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(197),
    [anon_sym_DOT] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(197),
    [anon_sym_DOT_DOT_LT] = ACTIONS(197),
    [anon_sym_cast] = ACTIONS(345),
    [anon_sym_transmute] = ACTIONS(345),
    [anon_sym_auto_cast] = ACTIONS(347),
    [anon_sym_not_in] = ACTIONS(199),
    [anon_sym_DOT_DOT] = ACTIONS(349),
    [anon_sym_or_return] = ACTIONS(199),
    [anon_sym_or_continue] = ACTIONS(199),
    [anon_sym_or_break] = ACTIONS(199),
    [anon_sym_CARET] = ACTIONS(199),
    [anon_sym_map] = ACTIONS(351),
    [anon_sym_bit_set] = ACTIONS(353),
    [anon_sym_matrix] = ACTIONS(355),
    [anon_sym_distinct] = ACTIONS(357),
    [sym_number] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(361),
    [anon_sym_BQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [anon_sym_true] = ACTIONS(367),
    [anon_sym_false] = ACTIONS(367),
    [sym_nil] = ACTIONS(369),
    [sym_uninitialized] = ACTIONS(359),
    [sym_tag] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(359),
    [sym_block_comment] = ACTIONS(3),
  },
  [37] = {
    [sym_expression] = STATE(2790),
    [sym__expression_no_tag] = STATE(2692),
    [sym_unary_expression] = STATE(2692),
    [sym_binary_expression] = STATE(2692),
    [sym_ternary_expression] = STATE(2692),
    [sym_call_expression] = STATE(2692),
    [sym_selector_call_expression] = STATE(2692),
    [sym_member_expression] = STATE(2692),
    [sym_index_expression] = STATE(2692),
    [sym_slice_expression] = STATE(2692),
    [sym_range_expression] = STATE(2692),
    [sym_cast_expression] = STATE(2692),
    [sym_in_expression] = STATE(2692),
    [sym_variadic_expression] = STATE(2692),
    [sym_parenthesized_expression] = STATE(2692),
    [sym_or_return_expression] = STATE(2692),
    [sym_or_continue_expression] = STATE(2692),
    [sym_or_break_expression] = STATE(2692),
    [sym_address] = STATE(2692),
    [sym_map_type] = STATE(2692),
    [sym_matrix_type] = STATE(2692),
    [sym_distinct_type] = STATE(2692),
    [sym_literal] = STATE(2692),
    [sym_struct] = STATE(2751),
    [sym_map] = STATE(2747),
    [sym_bit_set] = STATE(2747),
    [sym_matrix] = STATE(2747),
    [sym_string] = STATE(2747),
    [sym__string_literal] = STATE(2752),
    [sym__raw_string_literal] = STATE(2752),
    [sym_character] = STATE(2747),
    [sym_boolean] = STATE(2747),
    [sym_field_identifier] = STATE(7946),
    [sym_identifier] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(309),
    [anon_sym_COMMA] = ACTIONS(131),
    [anon_sym_COLON_COLON] = ACTIONS(131),
    [anon_sym_DASH_GT] = ACTIONS(131),
    [anon_sym_EQ] = ACTIONS(133),
    [anon_sym_COLON_EQ] = ACTIONS(131),
    [anon_sym_COLON] = ACTIONS(133),
    [anon_sym_LPAREN] = ACTIONS(373),
    [anon_sym_PLUS_EQ] = ACTIONS(131),
    [anon_sym_DASH_EQ] = ACTIONS(131),
    [anon_sym_STAR_EQ] = ACTIONS(131),
    [anon_sym_SLASH_EQ] = ACTIONS(131),
    [anon_sym_PERCENT_EQ] = ACTIONS(131),
    [anon_sym_AMP_EQ] = ACTIONS(131),
    [anon_sym_PIPE_EQ] = ACTIONS(131),
    [anon_sym_CARET_EQ] = ACTIONS(131),
    [anon_sym_LT_LT_EQ] = ACTIONS(131),
    [anon_sym_GT_GT_EQ] = ACTIONS(131),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(131),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(131),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(131),
    [anon_sym_if] = ACTIONS(133),
    [anon_sym_when] = ACTIONS(133),
    [anon_sym_in] = ACTIONS(133),
    [anon_sym_QMARK] = ACTIONS(375),
    [anon_sym_PLUS] = ACTIONS(311),
    [anon_sym_DASH] = ACTIONS(311),
    [anon_sym_TILDE] = ACTIONS(311),
    [anon_sym_BANG] = ACTIONS(311),
    [anon_sym_AMP] = ACTIONS(311),
    [anon_sym_PIPE_PIPE] = ACTIONS(133),
    [anon_sym_or_else] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(133),
    [anon_sym_GT] = ACTIONS(133),
    [anon_sym_GT_EQ] = ACTIONS(131),
    [anon_sym_LT_EQ] = ACTIONS(131),
    [anon_sym_LT] = ACTIONS(133),
    [anon_sym_EQ_EQ] = ACTIONS(131),
    [anon_sym_BANG_EQ] = ACTIONS(131),
    [anon_sym_TILDE_EQ] = ACTIONS(131),
    [anon_sym_PIPE] = ACTIONS(133),
    [anon_sym_AMP_TILDE] = ACTIONS(133),
    [anon_sym_LT_LT] = ACTIONS(133),
    [anon_sym_GT_GT] = ACTIONS(133),
    [anon_sym_STAR] = ACTIONS(133),
    [anon_sym_SLASH] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(131),
    [anon_sym_DOT] = ACTIONS(377),
    [anon_sym_LBRACK] = ACTIONS(379),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(131),
    [anon_sym_DOT_DOT_LT] = ACTIONS(131),
    [anon_sym_cast] = ACTIONS(313),
    [anon_sym_transmute] = ACTIONS(313),
    [anon_sym_auto_cast] = ACTIONS(315),
    [anon_sym_not_in] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(317),
    [anon_sym_or_return] = ACTIONS(133),
    [anon_sym_or_continue] = ACTIONS(133),
    [anon_sym_or_break] = ACTIONS(133),
    [anon_sym_CARET] = ACTIONS(133),
    [anon_sym_map] = ACTIONS(319),
    [anon_sym_bit_set] = ACTIONS(321),
    [anon_sym_matrix] = ACTIONS(323),
    [anon_sym_distinct] = ACTIONS(325),
    [sym_number] = ACTIONS(327),
    [anon_sym_DQUOTE] = ACTIONS(329),
    [anon_sym_BQUOTE] = ACTIONS(331),
    [anon_sym_SQUOTE] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym_nil] = ACTIONS(337),
    [sym_uninitialized] = ACTIONS(327),
    [sym_tag] = ACTIONS(339),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(327),
    [sym_block_comment] = ACTIONS(3),
  },
  [38] = {
    [sym_expression] = STATE(5574),
    [sym__expression_no_tag] = STATE(4572),
    [sym_unary_expression] = STATE(4572),
    [sym_binary_expression] = STATE(4572),
    [sym_ternary_expression] = STATE(4572),
    [sym_call_expression] = STATE(4572),
    [sym_selector_call_expression] = STATE(4572),
    [sym_member_expression] = STATE(4572),
    [sym_index_expression] = STATE(4572),
    [sym_slice_expression] = STATE(4572),
    [sym_range_expression] = STATE(4572),
    [sym_cast_expression] = STATE(4572),
    [sym_in_expression] = STATE(4572),
    [sym_variadic_expression] = STATE(4572),
    [sym_parenthesized_expression] = STATE(4572),
    [sym_or_return_expression] = STATE(4572),
    [sym_or_continue_expression] = STATE(4572),
    [sym_or_break_expression] = STATE(4572),
    [sym_address] = STATE(4572),
    [sym_map_type] = STATE(4572),
    [sym_matrix_type] = STATE(4572),
    [sym_distinct_type] = STATE(4572),
    [sym_literal] = STATE(4572),
    [sym_struct] = STATE(4562),
    [sym_map] = STATE(4320),
    [sym_bit_set] = STATE(4320),
    [sym_matrix] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym__string_literal] = STATE(4334),
    [sym__raw_string_literal] = STATE(4334),
    [sym_character] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_field_identifier] = STATE(7845),
    [sym_identifier] = ACTIONS(381),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_COMMA] = ACTIONS(67),
    [anon_sym_DASH_GT] = ACTIONS(67),
    [anon_sym_EQ] = ACTIONS(71),
    [anon_sym_COLON_EQ] = ACTIONS(67),
    [anon_sym_COLON] = ACTIONS(71),
    [anon_sym_LPAREN] = ACTIONS(383),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(67),
    [anon_sym_do] = ACTIONS(71),
    [anon_sym_in] = ACTIONS(71),
    [anon_sym_QMARK] = ACTIONS(385),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(343),
    [anon_sym_AMP] = ACTIONS(71),
    [anon_sym_PIPE_PIPE] = ACTIONS(71),
    [anon_sym_or_else] = ACTIONS(71),
    [anon_sym_AMP_AMP] = ACTIONS(71),
    [anon_sym_GT] = ACTIONS(71),
    [anon_sym_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_EQ] = ACTIONS(67),
    [anon_sym_LT] = ACTIONS(71),
    [anon_sym_EQ_EQ] = ACTIONS(67),
    [anon_sym_BANG_EQ] = ACTIONS(67),
    [anon_sym_TILDE_EQ] = ACTIONS(67),
    [anon_sym_PIPE] = ACTIONS(71),
    [anon_sym_AMP_TILDE] = ACTIONS(71),
    [anon_sym_LT_LT] = ACTIONS(71),
    [anon_sym_GT_GT] = ACTIONS(71),
    [anon_sym_STAR] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(71),
    [anon_sym_PERCENT] = ACTIONS(71),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(67),
    [anon_sym_DOT] = ACTIONS(71),
    [anon_sym_LBRACK] = ACTIONS(67),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(67),
    [anon_sym_DOT_DOT_LT] = ACTIONS(67),
    [anon_sym_cast] = ACTIONS(345),
    [anon_sym_transmute] = ACTIONS(345),
    [anon_sym_auto_cast] = ACTIONS(347),
    [anon_sym_not_in] = ACTIONS(71),
    [anon_sym_DOT_DOT] = ACTIONS(349),
    [anon_sym_or_return] = ACTIONS(71),
    [anon_sym_or_continue] = ACTIONS(71),
    [anon_sym_or_break] = ACTIONS(71),
    [anon_sym_CARET] = ACTIONS(71),
    [anon_sym_map] = ACTIONS(351),
    [anon_sym_bit_set] = ACTIONS(353),
    [anon_sym_matrix] = ACTIONS(355),
    [anon_sym_distinct] = ACTIONS(357),
    [sym_number] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(361),
    [anon_sym_BQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [anon_sym_true] = ACTIONS(367),
    [anon_sym_false] = ACTIONS(367),
    [sym_nil] = ACTIONS(369),
    [sym_uninitialized] = ACTIONS(359),
    [sym_tag] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(359),
    [sym_block_comment] = ACTIONS(3),
  },
  [39] = {
    [sym_block] = STATE(6767),
    [sym_tagged_block] = STATE(6767),
    [sym_import_declaration] = STATE(6767),
    [sym_procedure_declaration] = STATE(6767),
    [sym_overloaded_procedure_declaration] = STATE(6767),
    [sym_struct_declaration] = STATE(6767),
    [sym_enum_declaration] = STATE(6767),
    [sym_union_declaration] = STATE(6767),
    [sym_const_declaration] = STATE(6767),
    [sym_foreign_block] = STATE(6767),
    [sym_attributes] = STATE(645),
    [sym_attribute] = STATE(5637),
    [sym_statement] = STATE(6977),
    [sym_assignment_statement] = STATE(6767),
    [sym_update_statement] = STATE(6767),
    [sym_if_statement] = STATE(6767),
    [sym_when_statement] = STATE(6767),
    [sym_for_statement] = STATE(6767),
    [sym_switch_statement] = STATE(6767),
    [sym_defer_statement] = STATE(6767),
    [sym_break_statement] = STATE(6767),
    [sym_continue_statement] = STATE(6767),
    [sym_var_declaration] = STATE(6767),
    [sym_return_statement] = STATE(6767),
    [sym_label_statement] = STATE(6767),
    [sym_using_statement] = STATE(6767),
    [sym_expression] = STATE(3081),
    [sym__expression_no_tag] = STATE(2426),
    [sym_unary_expression] = STATE(2426),
    [sym_binary_expression] = STATE(2426),
    [sym_ternary_expression] = STATE(2426),
    [sym_call_expression] = STATE(2426),
    [sym_selector_call_expression] = STATE(2426),
    [sym_member_expression] = STATE(2426),
    [sym_index_expression] = STATE(2426),
    [sym_slice_expression] = STATE(2426),
    [sym_range_expression] = STATE(2426),
    [sym_cast_expression] = STATE(2426),
    [sym_in_expression] = STATE(2426),
    [sym_variadic_expression] = STATE(2426),
    [sym_parenthesized_expression] = STATE(2426),
    [sym_or_return_expression] = STATE(2426),
    [sym_or_continue_expression] = STATE(2426),
    [sym_or_break_expression] = STATE(2426),
    [sym_address] = STATE(2426),
    [sym_map_type] = STATE(2426),
    [sym_matrix_type] = STATE(2426),
    [sym_distinct_type] = STATE(2426),
    [sym_literal] = STATE(2426),
    [sym_struct] = STATE(2413),
    [sym_map] = STATE(2256),
    [sym_bit_set] = STATE(2256),
    [sym_matrix] = STATE(2256),
    [sym_string] = STATE(2256),
    [sym__string_literal] = STATE(2258),
    [sym__raw_string_literal] = STATE(2258),
    [sym_character] = STATE(2256),
    [sym_boolean] = STATE(2256),
    [sym_field_identifier] = STATE(7777),
    [aux_sym_attributes_repeat1] = STATE(5637),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_RBRACE] = ACTIONS(387),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_SEMI] = ACTIONS(387),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_case] = ACTIONS(389),
    [anon_sym_defer] = ACTIONS(81),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_PLUS] = ACTIONS(391),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(391),
    [anon_sym_BANG] = ACTIONS(391),
    [anon_sym_AMP] = ACTIONS(391),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_DOT_DOT] = ACTIONS(393),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(395),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(387),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [40] = {
    [sym_block] = STATE(6767),
    [sym_tagged_block] = STATE(6767),
    [sym_import_declaration] = STATE(6767),
    [sym_procedure_declaration] = STATE(6767),
    [sym_overloaded_procedure_declaration] = STATE(6767),
    [sym_struct_declaration] = STATE(6767),
    [sym_enum_declaration] = STATE(6767),
    [sym_union_declaration] = STATE(6767),
    [sym_const_declaration] = STATE(6767),
    [sym_foreign_block] = STATE(6767),
    [sym_attributes] = STATE(645),
    [sym_attribute] = STATE(5637),
    [sym_statement] = STATE(6491),
    [sym_assignment_statement] = STATE(6767),
    [sym_update_statement] = STATE(6767),
    [sym_if_statement] = STATE(6767),
    [sym_when_statement] = STATE(6767),
    [sym_for_statement] = STATE(6767),
    [sym_switch_statement] = STATE(6767),
    [sym_defer_statement] = STATE(6767),
    [sym_break_statement] = STATE(6767),
    [sym_continue_statement] = STATE(6767),
    [sym_var_declaration] = STATE(6767),
    [sym_return_statement] = STATE(6767),
    [sym_label_statement] = STATE(6767),
    [sym_using_statement] = STATE(6767),
    [sym_expression] = STATE(3081),
    [sym__expression_no_tag] = STATE(2426),
    [sym_unary_expression] = STATE(2426),
    [sym_binary_expression] = STATE(2426),
    [sym_ternary_expression] = STATE(2426),
    [sym_call_expression] = STATE(2426),
    [sym_selector_call_expression] = STATE(2426),
    [sym_member_expression] = STATE(2426),
    [sym_index_expression] = STATE(2426),
    [sym_slice_expression] = STATE(2426),
    [sym_range_expression] = STATE(2426),
    [sym_cast_expression] = STATE(2426),
    [sym_in_expression] = STATE(2426),
    [sym_variadic_expression] = STATE(2426),
    [sym_parenthesized_expression] = STATE(2426),
    [sym_or_return_expression] = STATE(2426),
    [sym_or_continue_expression] = STATE(2426),
    [sym_or_break_expression] = STATE(2426),
    [sym_address] = STATE(2426),
    [sym_map_type] = STATE(2426),
    [sym_matrix_type] = STATE(2426),
    [sym_distinct_type] = STATE(2426),
    [sym_literal] = STATE(2426),
    [sym_struct] = STATE(2413),
    [sym_map] = STATE(2256),
    [sym_bit_set] = STATE(2256),
    [sym_matrix] = STATE(2256),
    [sym_string] = STATE(2256),
    [sym__string_literal] = STATE(2258),
    [sym__raw_string_literal] = STATE(2258),
    [sym_character] = STATE(2256),
    [sym_boolean] = STATE(2256),
    [sym_field_identifier] = STATE(7777),
    [aux_sym_attributes_repeat1] = STATE(5637),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_RBRACE] = ACTIONS(397),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_case] = ACTIONS(399),
    [anon_sym_defer] = ACTIONS(81),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_PLUS] = ACTIONS(391),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(391),
    [anon_sym_BANG] = ACTIONS(391),
    [anon_sym_AMP] = ACTIONS(391),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_DOT_DOT] = ACTIONS(393),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(401),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [41] = {
    [sym_block] = STATE(6767),
    [sym_tagged_block] = STATE(6767),
    [sym_import_declaration] = STATE(6767),
    [sym_procedure_declaration] = STATE(6767),
    [sym_overloaded_procedure_declaration] = STATE(6767),
    [sym_struct_declaration] = STATE(6767),
    [sym_enum_declaration] = STATE(6767),
    [sym_union_declaration] = STATE(6767),
    [sym_const_declaration] = STATE(6767),
    [sym_foreign_block] = STATE(6767),
    [sym_attributes] = STATE(645),
    [sym_attribute] = STATE(5637),
    [sym_statement] = STATE(6788),
    [sym_assignment_statement] = STATE(6767),
    [sym_update_statement] = STATE(6767),
    [sym_if_statement] = STATE(6767),
    [sym_when_statement] = STATE(6767),
    [sym_for_statement] = STATE(6767),
    [sym_switch_statement] = STATE(6767),
    [sym_defer_statement] = STATE(6767),
    [sym_break_statement] = STATE(6767),
    [sym_continue_statement] = STATE(6767),
    [sym_var_declaration] = STATE(6767),
    [sym_return_statement] = STATE(6767),
    [sym_label_statement] = STATE(6767),
    [sym_using_statement] = STATE(6767),
    [sym_expression] = STATE(3028),
    [sym__expression_no_tag] = STATE(2426),
    [sym_unary_expression] = STATE(2426),
    [sym_binary_expression] = STATE(2426),
    [sym_ternary_expression] = STATE(2426),
    [sym_call_expression] = STATE(2426),
    [sym_selector_call_expression] = STATE(2426),
    [sym_member_expression] = STATE(2426),
    [sym_index_expression] = STATE(2426),
    [sym_slice_expression] = STATE(2426),
    [sym_range_expression] = STATE(2426),
    [sym_cast_expression] = STATE(2426),
    [sym_in_expression] = STATE(2426),
    [sym_variadic_expression] = STATE(2426),
    [sym_parenthesized_expression] = STATE(2426),
    [sym_or_return_expression] = STATE(2426),
    [sym_or_continue_expression] = STATE(2426),
    [sym_or_break_expression] = STATE(2426),
    [sym_address] = STATE(2426),
    [sym_map_type] = STATE(2426),
    [sym_matrix_type] = STATE(2426),
    [sym_distinct_type] = STATE(2426),
    [sym_literal] = STATE(2426),
    [sym_struct] = STATE(2413),
    [sym_map] = STATE(2256),
    [sym_bit_set] = STATE(2256),
    [sym_matrix] = STATE(2256),
    [sym_struct_field] = STATE(7712),
    [sym_string] = STATE(2256),
    [sym__string_literal] = STATE(2258),
    [sym__raw_string_literal] = STATE(2258),
    [sym_character] = STATE(2256),
    [sym_boolean] = STATE(2256),
    [sym_field_identifier] = STATE(7777),
    [aux_sym_attributes_repeat1] = STATE(5637),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_RBRACE] = ACTIONS(403),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(81),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_PLUS] = ACTIONS(391),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(391),
    [anon_sym_BANG] = ACTIONS(391),
    [anon_sym_AMP] = ACTIONS(391),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_DOT_DOT] = ACTIONS(393),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(405),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [42] = {
    [sym_block] = STATE(6767),
    [sym_tagged_block] = STATE(6767),
    [sym_import_declaration] = STATE(6767),
    [sym_procedure_declaration] = STATE(6767),
    [sym_overloaded_procedure_declaration] = STATE(6767),
    [sym_struct_declaration] = STATE(6767),
    [sym_enum_declaration] = STATE(6767),
    [sym_union_declaration] = STATE(6767),
    [sym_const_declaration] = STATE(6767),
    [sym_foreign_block] = STATE(6767),
    [sym_attributes] = STATE(645),
    [sym_attribute] = STATE(5637),
    [sym_statement] = STATE(6788),
    [sym_assignment_statement] = STATE(6767),
    [sym_update_statement] = STATE(6767),
    [sym_if_statement] = STATE(6767),
    [sym_when_statement] = STATE(6767),
    [sym_for_statement] = STATE(6767),
    [sym_switch_statement] = STATE(6767),
    [sym_defer_statement] = STATE(6767),
    [sym_break_statement] = STATE(6767),
    [sym_continue_statement] = STATE(6767),
    [sym_var_declaration] = STATE(6767),
    [sym_return_statement] = STATE(6767),
    [sym_label_statement] = STATE(6767),
    [sym_using_statement] = STATE(6767),
    [sym_expression] = STATE(3028),
    [sym__expression_no_tag] = STATE(2426),
    [sym_unary_expression] = STATE(2426),
    [sym_binary_expression] = STATE(2426),
    [sym_ternary_expression] = STATE(2426),
    [sym_call_expression] = STATE(2426),
    [sym_selector_call_expression] = STATE(2426),
    [sym_member_expression] = STATE(2426),
    [sym_index_expression] = STATE(2426),
    [sym_slice_expression] = STATE(2426),
    [sym_range_expression] = STATE(2426),
    [sym_cast_expression] = STATE(2426),
    [sym_in_expression] = STATE(2426),
    [sym_variadic_expression] = STATE(2426),
    [sym_parenthesized_expression] = STATE(2426),
    [sym_or_return_expression] = STATE(2426),
    [sym_or_continue_expression] = STATE(2426),
    [sym_or_break_expression] = STATE(2426),
    [sym_address] = STATE(2426),
    [sym_map_type] = STATE(2426),
    [sym_matrix_type] = STATE(2426),
    [sym_distinct_type] = STATE(2426),
    [sym_literal] = STATE(2426),
    [sym_struct] = STATE(2413),
    [sym_map] = STATE(2256),
    [sym_bit_set] = STATE(2256),
    [sym_matrix] = STATE(2256),
    [sym_struct_field] = STATE(7434),
    [sym_string] = STATE(2256),
    [sym__string_literal] = STATE(2258),
    [sym__raw_string_literal] = STATE(2258),
    [sym_character] = STATE(2256),
    [sym_boolean] = STATE(2256),
    [sym_field_identifier] = STATE(7777),
    [aux_sym_attributes_repeat1] = STATE(5637),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_RBRACE] = ACTIONS(403),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(81),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_PLUS] = ACTIONS(391),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(391),
    [anon_sym_BANG] = ACTIONS(391),
    [anon_sym_AMP] = ACTIONS(391),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_DOT_DOT] = ACTIONS(393),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(405),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [43] = {
    [sym_block] = STATE(6767),
    [sym_tagged_block] = STATE(6767),
    [sym_import_declaration] = STATE(6767),
    [sym_procedure_declaration] = STATE(6767),
    [sym_overloaded_procedure_declaration] = STATE(6767),
    [sym_struct_declaration] = STATE(6767),
    [sym_enum_declaration] = STATE(6767),
    [sym_union_declaration] = STATE(6767),
    [sym_const_declaration] = STATE(6767),
    [sym_foreign_block] = STATE(6767),
    [sym_attributes] = STATE(645),
    [sym_attribute] = STATE(5637),
    [sym_statement] = STATE(6525),
    [sym_assignment_statement] = STATE(6767),
    [sym_update_statement] = STATE(6767),
    [sym_if_statement] = STATE(6767),
    [sym_when_statement] = STATE(6767),
    [sym_for_statement] = STATE(6767),
    [sym_switch_statement] = STATE(6767),
    [sym_defer_statement] = STATE(6767),
    [sym_break_statement] = STATE(6767),
    [sym_continue_statement] = STATE(6767),
    [sym_var_declaration] = STATE(6767),
    [sym_return_statement] = STATE(6767),
    [sym_label_statement] = STATE(6767),
    [sym_using_statement] = STATE(6767),
    [sym_expression] = STATE(3081),
    [sym__expression_no_tag] = STATE(2426),
    [sym_unary_expression] = STATE(2426),
    [sym_binary_expression] = STATE(2426),
    [sym_ternary_expression] = STATE(2426),
    [sym_call_expression] = STATE(2426),
    [sym_selector_call_expression] = STATE(2426),
    [sym_member_expression] = STATE(2426),
    [sym_index_expression] = STATE(2426),
    [sym_slice_expression] = STATE(2426),
    [sym_range_expression] = STATE(2426),
    [sym_cast_expression] = STATE(2426),
    [sym_in_expression] = STATE(2426),
    [sym_variadic_expression] = STATE(2426),
    [sym_parenthesized_expression] = STATE(2426),
    [sym_or_return_expression] = STATE(2426),
    [sym_or_continue_expression] = STATE(2426),
    [sym_or_break_expression] = STATE(2426),
    [sym_address] = STATE(2426),
    [sym_map_type] = STATE(2426),
    [sym_matrix_type] = STATE(2426),
    [sym_distinct_type] = STATE(2426),
    [sym_literal] = STATE(2426),
    [sym_struct] = STATE(2413),
    [sym_map] = STATE(2256),
    [sym_bit_set] = STATE(2256),
    [sym_matrix] = STATE(2256),
    [sym_string] = STATE(2256),
    [sym__string_literal] = STATE(2258),
    [sym__raw_string_literal] = STATE(2258),
    [sym_character] = STATE(2256),
    [sym_boolean] = STATE(2256),
    [sym_field_identifier] = STATE(7777),
    [aux_sym_attributes_repeat1] = STATE(5637),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_RBRACE] = ACTIONS(407),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_case] = ACTIONS(409),
    [anon_sym_defer] = ACTIONS(81),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_PLUS] = ACTIONS(391),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(391),
    [anon_sym_BANG] = ACTIONS(391),
    [anon_sym_AMP] = ACTIONS(391),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_DOT_DOT] = ACTIONS(393),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(411),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [44] = {
    [sym_block] = STATE(6767),
    [sym_tagged_block] = STATE(6767),
    [sym_import_declaration] = STATE(6767),
    [sym_procedure_declaration] = STATE(6767),
    [sym_overloaded_procedure_declaration] = STATE(6767),
    [sym_struct_declaration] = STATE(6767),
    [sym_enum_declaration] = STATE(6767),
    [sym_union_declaration] = STATE(6767),
    [sym_const_declaration] = STATE(6767),
    [sym_foreign_block] = STATE(6767),
    [sym_attributes] = STATE(645),
    [sym_attribute] = STATE(5637),
    [sym_statement] = STATE(6551),
    [sym_assignment_statement] = STATE(6767),
    [sym_update_statement] = STATE(6767),
    [sym_if_statement] = STATE(6767),
    [sym_when_statement] = STATE(6767),
    [sym_for_statement] = STATE(6767),
    [sym_switch_statement] = STATE(6767),
    [sym_defer_statement] = STATE(6767),
    [sym_break_statement] = STATE(6767),
    [sym_continue_statement] = STATE(6767),
    [sym_var_declaration] = STATE(6767),
    [sym_return_statement] = STATE(6767),
    [sym_label_statement] = STATE(6767),
    [sym_using_statement] = STATE(6767),
    [sym_expression] = STATE(3081),
    [sym__expression_no_tag] = STATE(2426),
    [sym_unary_expression] = STATE(2426),
    [sym_binary_expression] = STATE(2426),
    [sym_ternary_expression] = STATE(2426),
    [sym_call_expression] = STATE(2426),
    [sym_selector_call_expression] = STATE(2426),
    [sym_member_expression] = STATE(2426),
    [sym_index_expression] = STATE(2426),
    [sym_slice_expression] = STATE(2426),
    [sym_range_expression] = STATE(2426),
    [sym_cast_expression] = STATE(2426),
    [sym_in_expression] = STATE(2426),
    [sym_variadic_expression] = STATE(2426),
    [sym_parenthesized_expression] = STATE(2426),
    [sym_or_return_expression] = STATE(2426),
    [sym_or_continue_expression] = STATE(2426),
    [sym_or_break_expression] = STATE(2426),
    [sym_address] = STATE(2426),
    [sym_map_type] = STATE(2426),
    [sym_matrix_type] = STATE(2426),
    [sym_distinct_type] = STATE(2426),
    [sym_literal] = STATE(2426),
    [sym_struct] = STATE(2413),
    [sym_map] = STATE(2256),
    [sym_bit_set] = STATE(2256),
    [sym_matrix] = STATE(2256),
    [sym_string] = STATE(2256),
    [sym__string_literal] = STATE(2258),
    [sym__raw_string_literal] = STATE(2258),
    [sym_character] = STATE(2256),
    [sym_boolean] = STATE(2256),
    [sym_field_identifier] = STATE(7777),
    [aux_sym_attributes_repeat1] = STATE(5637),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_RBRACE] = ACTIONS(407),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_case] = ACTIONS(409),
    [anon_sym_defer] = ACTIONS(81),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_PLUS] = ACTIONS(391),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(391),
    [anon_sym_BANG] = ACTIONS(391),
    [anon_sym_AMP] = ACTIONS(391),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_DOT_DOT] = ACTIONS(393),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(413),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [45] = {
    [sym_block] = STATE(6767),
    [sym_tagged_block] = STATE(6767),
    [sym_import_declaration] = STATE(6767),
    [sym_procedure_declaration] = STATE(6767),
    [sym_overloaded_procedure_declaration] = STATE(6767),
    [sym_struct_declaration] = STATE(6767),
    [sym_enum_declaration] = STATE(6767),
    [sym_union_declaration] = STATE(6767),
    [sym_const_declaration] = STATE(6767),
    [sym_foreign_block] = STATE(6767),
    [sym_attributes] = STATE(645),
    [sym_attribute] = STATE(5637),
    [sym_statement] = STATE(6507),
    [sym_assignment_statement] = STATE(6767),
    [sym_update_statement] = STATE(6767),
    [sym_if_statement] = STATE(6767),
    [sym_when_statement] = STATE(6767),
    [sym_for_statement] = STATE(6767),
    [sym_switch_statement] = STATE(6767),
    [sym_defer_statement] = STATE(6767),
    [sym_break_statement] = STATE(6767),
    [sym_continue_statement] = STATE(6767),
    [sym_var_declaration] = STATE(6767),
    [sym_return_statement] = STATE(6767),
    [sym_label_statement] = STATE(6767),
    [sym_using_statement] = STATE(6767),
    [sym_expression] = STATE(3081),
    [sym__expression_no_tag] = STATE(2426),
    [sym_unary_expression] = STATE(2426),
    [sym_binary_expression] = STATE(2426),
    [sym_ternary_expression] = STATE(2426),
    [sym_call_expression] = STATE(2426),
    [sym_selector_call_expression] = STATE(2426),
    [sym_member_expression] = STATE(2426),
    [sym_index_expression] = STATE(2426),
    [sym_slice_expression] = STATE(2426),
    [sym_range_expression] = STATE(2426),
    [sym_cast_expression] = STATE(2426),
    [sym_in_expression] = STATE(2426),
    [sym_variadic_expression] = STATE(2426),
    [sym_parenthesized_expression] = STATE(2426),
    [sym_or_return_expression] = STATE(2426),
    [sym_or_continue_expression] = STATE(2426),
    [sym_or_break_expression] = STATE(2426),
    [sym_address] = STATE(2426),
    [sym_map_type] = STATE(2426),
    [sym_matrix_type] = STATE(2426),
    [sym_distinct_type] = STATE(2426),
    [sym_literal] = STATE(2426),
    [sym_struct] = STATE(2413),
    [sym_map] = STATE(2256),
    [sym_bit_set] = STATE(2256),
    [sym_matrix] = STATE(2256),
    [sym_string] = STATE(2256),
    [sym__string_literal] = STATE(2258),
    [sym__raw_string_literal] = STATE(2258),
    [sym_character] = STATE(2256),
    [sym_boolean] = STATE(2256),
    [sym_field_identifier] = STATE(7777),
    [aux_sym_attributes_repeat1] = STATE(5637),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_RBRACE] = ACTIONS(415),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_case] = ACTIONS(417),
    [anon_sym_defer] = ACTIONS(81),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_PLUS] = ACTIONS(391),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(391),
    [anon_sym_BANG] = ACTIONS(391),
    [anon_sym_AMP] = ACTIONS(391),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_DOT_DOT] = ACTIONS(393),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(419),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [46] = {
    [sym_block] = STATE(6767),
    [sym_tagged_block] = STATE(6767),
    [sym_import_declaration] = STATE(6767),
    [sym_procedure_declaration] = STATE(6767),
    [sym_overloaded_procedure_declaration] = STATE(6767),
    [sym_struct_declaration] = STATE(6767),
    [sym_enum_declaration] = STATE(6767),
    [sym_union_declaration] = STATE(6767),
    [sym_const_declaration] = STATE(6767),
    [sym_foreign_block] = STATE(6767),
    [sym_attributes] = STATE(645),
    [sym_attribute] = STATE(5637),
    [sym_statement] = STATE(6788),
    [sym_assignment_statement] = STATE(6767),
    [sym_update_statement] = STATE(6767),
    [sym_if_statement] = STATE(6767),
    [sym_when_statement] = STATE(6767),
    [sym_for_statement] = STATE(6767),
    [sym_switch_statement] = STATE(6767),
    [sym_defer_statement] = STATE(6767),
    [sym_break_statement] = STATE(6767),
    [sym_continue_statement] = STATE(6767),
    [sym_var_declaration] = STATE(6767),
    [sym_return_statement] = STATE(6767),
    [sym_label_statement] = STATE(6767),
    [sym_using_statement] = STATE(6767),
    [sym_expression] = STATE(3028),
    [sym__expression_no_tag] = STATE(2426),
    [sym_unary_expression] = STATE(2426),
    [sym_binary_expression] = STATE(2426),
    [sym_ternary_expression] = STATE(2426),
    [sym_call_expression] = STATE(2426),
    [sym_selector_call_expression] = STATE(2426),
    [sym_member_expression] = STATE(2426),
    [sym_index_expression] = STATE(2426),
    [sym_slice_expression] = STATE(2426),
    [sym_range_expression] = STATE(2426),
    [sym_cast_expression] = STATE(2426),
    [sym_in_expression] = STATE(2426),
    [sym_variadic_expression] = STATE(2426),
    [sym_parenthesized_expression] = STATE(2426),
    [sym_or_return_expression] = STATE(2426),
    [sym_or_continue_expression] = STATE(2426),
    [sym_or_break_expression] = STATE(2426),
    [sym_address] = STATE(2426),
    [sym_map_type] = STATE(2426),
    [sym_matrix_type] = STATE(2426),
    [sym_distinct_type] = STATE(2426),
    [sym_literal] = STATE(2426),
    [sym_struct] = STATE(2413),
    [sym_map] = STATE(2256),
    [sym_bit_set] = STATE(2256),
    [sym_matrix] = STATE(2256),
    [sym_struct_field] = STATE(7171),
    [sym_string] = STATE(2256),
    [sym__string_literal] = STATE(2258),
    [sym__raw_string_literal] = STATE(2258),
    [sym_character] = STATE(2256),
    [sym_boolean] = STATE(2256),
    [sym_field_identifier] = STATE(7777),
    [aux_sym_attributes_repeat1] = STATE(5637),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_RBRACE] = ACTIONS(421),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(81),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_PLUS] = ACTIONS(391),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(391),
    [anon_sym_BANG] = ACTIONS(391),
    [anon_sym_AMP] = ACTIONS(391),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_DOT_DOT] = ACTIONS(393),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(405),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [47] = {
    [sym_block] = STATE(6767),
    [sym_tagged_block] = STATE(6767),
    [sym_import_declaration] = STATE(6767),
    [sym_procedure_declaration] = STATE(6767),
    [sym_overloaded_procedure_declaration] = STATE(6767),
    [sym_struct_declaration] = STATE(6767),
    [sym_enum_declaration] = STATE(6767),
    [sym_union_declaration] = STATE(6767),
    [sym_const_declaration] = STATE(6767),
    [sym_foreign_block] = STATE(6767),
    [sym_attributes] = STATE(645),
    [sym_attribute] = STATE(5637),
    [sym_statement] = STATE(6788),
    [sym_assignment_statement] = STATE(6767),
    [sym_update_statement] = STATE(6767),
    [sym_if_statement] = STATE(6767),
    [sym_when_statement] = STATE(6767),
    [sym_for_statement] = STATE(6767),
    [sym_switch_statement] = STATE(6767),
    [sym_defer_statement] = STATE(6767),
    [sym_break_statement] = STATE(6767),
    [sym_continue_statement] = STATE(6767),
    [sym_var_declaration] = STATE(6767),
    [sym_return_statement] = STATE(6767),
    [sym_label_statement] = STATE(6767),
    [sym_using_statement] = STATE(6767),
    [sym_expression] = STATE(3028),
    [sym__expression_no_tag] = STATE(2426),
    [sym_unary_expression] = STATE(2426),
    [sym_binary_expression] = STATE(2426),
    [sym_ternary_expression] = STATE(2426),
    [sym_call_expression] = STATE(2426),
    [sym_selector_call_expression] = STATE(2426),
    [sym_member_expression] = STATE(2426),
    [sym_index_expression] = STATE(2426),
    [sym_slice_expression] = STATE(2426),
    [sym_range_expression] = STATE(2426),
    [sym_cast_expression] = STATE(2426),
    [sym_in_expression] = STATE(2426),
    [sym_variadic_expression] = STATE(2426),
    [sym_parenthesized_expression] = STATE(2426),
    [sym_or_return_expression] = STATE(2426),
    [sym_or_continue_expression] = STATE(2426),
    [sym_or_break_expression] = STATE(2426),
    [sym_address] = STATE(2426),
    [sym_map_type] = STATE(2426),
    [sym_matrix_type] = STATE(2426),
    [sym_distinct_type] = STATE(2426),
    [sym_literal] = STATE(2426),
    [sym_struct] = STATE(2413),
    [sym_map] = STATE(2256),
    [sym_bit_set] = STATE(2256),
    [sym_matrix] = STATE(2256),
    [sym_struct_field] = STATE(7643),
    [sym_string] = STATE(2256),
    [sym__string_literal] = STATE(2258),
    [sym__raw_string_literal] = STATE(2258),
    [sym_character] = STATE(2256),
    [sym_boolean] = STATE(2256),
    [sym_field_identifier] = STATE(7777),
    [aux_sym_attributes_repeat1] = STATE(5637),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_RBRACE] = ACTIONS(423),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(81),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_PLUS] = ACTIONS(391),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(391),
    [anon_sym_BANG] = ACTIONS(391),
    [anon_sym_AMP] = ACTIONS(391),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_DOT_DOT] = ACTIONS(393),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(405),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [48] = {
    [sym_block] = STATE(6767),
    [sym_tagged_block] = STATE(6767),
    [sym_import_declaration] = STATE(6767),
    [sym_procedure_declaration] = STATE(6767),
    [sym_overloaded_procedure_declaration] = STATE(6767),
    [sym_struct_declaration] = STATE(6767),
    [sym_enum_declaration] = STATE(6767),
    [sym_union_declaration] = STATE(6767),
    [sym_const_declaration] = STATE(6767),
    [sym_foreign_block] = STATE(6767),
    [sym_attributes] = STATE(645),
    [sym_attribute] = STATE(5637),
    [sym_statement] = STATE(6746),
    [sym_assignment_statement] = STATE(6767),
    [sym_update_statement] = STATE(6767),
    [sym_if_statement] = STATE(6767),
    [sym_when_statement] = STATE(6767),
    [sym_for_statement] = STATE(6767),
    [sym_switch_statement] = STATE(6767),
    [sym_defer_statement] = STATE(6767),
    [sym_break_statement] = STATE(6767),
    [sym_continue_statement] = STATE(6767),
    [sym_var_declaration] = STATE(6767),
    [sym_return_statement] = STATE(6767),
    [sym_label_statement] = STATE(6767),
    [sym_using_statement] = STATE(6767),
    [sym_expression] = STATE(3081),
    [sym__expression_no_tag] = STATE(2426),
    [sym_unary_expression] = STATE(2426),
    [sym_binary_expression] = STATE(2426),
    [sym_ternary_expression] = STATE(2426),
    [sym_call_expression] = STATE(2426),
    [sym_selector_call_expression] = STATE(2426),
    [sym_member_expression] = STATE(2426),
    [sym_index_expression] = STATE(2426),
    [sym_slice_expression] = STATE(2426),
    [sym_range_expression] = STATE(2426),
    [sym_cast_expression] = STATE(2426),
    [sym_in_expression] = STATE(2426),
    [sym_variadic_expression] = STATE(2426),
    [sym_parenthesized_expression] = STATE(2426),
    [sym_or_return_expression] = STATE(2426),
    [sym_or_continue_expression] = STATE(2426),
    [sym_or_break_expression] = STATE(2426),
    [sym_address] = STATE(2426),
    [sym_map_type] = STATE(2426),
    [sym_matrix_type] = STATE(2426),
    [sym_distinct_type] = STATE(2426),
    [sym_literal] = STATE(2426),
    [sym_struct] = STATE(2413),
    [sym_map] = STATE(2256),
    [sym_bit_set] = STATE(2256),
    [sym_matrix] = STATE(2256),
    [sym_string] = STATE(2256),
    [sym__string_literal] = STATE(2258),
    [sym__raw_string_literal] = STATE(2258),
    [sym_character] = STATE(2256),
    [sym_boolean] = STATE(2256),
    [sym_field_identifier] = STATE(7777),
    [aux_sym_attributes_repeat1] = STATE(5637),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_RBRACE] = ACTIONS(425),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(81),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_PLUS] = ACTIONS(391),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(391),
    [anon_sym_BANG] = ACTIONS(391),
    [anon_sym_AMP] = ACTIONS(391),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_DOT_DOT] = ACTIONS(393),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(427),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [49] = {
    [sym_block] = STATE(6767),
    [sym_tagged_block] = STATE(6767),
    [sym_import_declaration] = STATE(6767),
    [sym_procedure_declaration] = STATE(6767),
    [sym_overloaded_procedure_declaration] = STATE(6767),
    [sym_struct_declaration] = STATE(6767),
    [sym_enum_declaration] = STATE(6767),
    [sym_union_declaration] = STATE(6767),
    [sym_const_declaration] = STATE(6767),
    [sym_foreign_block] = STATE(6767),
    [sym_attributes] = STATE(645),
    [sym_attribute] = STATE(5637),
    [sym_statement] = STATE(6644),
    [sym_assignment_statement] = STATE(6767),
    [sym_update_statement] = STATE(6767),
    [sym_if_statement] = STATE(6767),
    [sym_when_statement] = STATE(6767),
    [sym_for_statement] = STATE(6767),
    [sym_switch_statement] = STATE(6767),
    [sym_defer_statement] = STATE(6767),
    [sym_break_statement] = STATE(6767),
    [sym_continue_statement] = STATE(6767),
    [sym_var_declaration] = STATE(6767),
    [sym_return_statement] = STATE(6767),
    [sym_label_statement] = STATE(6767),
    [sym_using_statement] = STATE(6767),
    [sym_expression] = STATE(3081),
    [sym__expression_no_tag] = STATE(2426),
    [sym_unary_expression] = STATE(2426),
    [sym_binary_expression] = STATE(2426),
    [sym_ternary_expression] = STATE(2426),
    [sym_call_expression] = STATE(2426),
    [sym_selector_call_expression] = STATE(2426),
    [sym_member_expression] = STATE(2426),
    [sym_index_expression] = STATE(2426),
    [sym_slice_expression] = STATE(2426),
    [sym_range_expression] = STATE(2426),
    [sym_cast_expression] = STATE(2426),
    [sym_in_expression] = STATE(2426),
    [sym_variadic_expression] = STATE(2426),
    [sym_parenthesized_expression] = STATE(2426),
    [sym_or_return_expression] = STATE(2426),
    [sym_or_continue_expression] = STATE(2426),
    [sym_or_break_expression] = STATE(2426),
    [sym_address] = STATE(2426),
    [sym_map_type] = STATE(2426),
    [sym_matrix_type] = STATE(2426),
    [sym_distinct_type] = STATE(2426),
    [sym_literal] = STATE(2426),
    [sym_struct] = STATE(2413),
    [sym_map] = STATE(2256),
    [sym_bit_set] = STATE(2256),
    [sym_matrix] = STATE(2256),
    [sym_string] = STATE(2256),
    [sym__string_literal] = STATE(2258),
    [sym__raw_string_literal] = STATE(2258),
    [sym_character] = STATE(2256),
    [sym_boolean] = STATE(2256),
    [sym_field_identifier] = STATE(7777),
    [aux_sym_attributes_repeat1] = STATE(5637),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_RBRACE] = ACTIONS(429),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(81),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_PLUS] = ACTIONS(391),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(391),
    [anon_sym_BANG] = ACTIONS(391),
    [anon_sym_AMP] = ACTIONS(391),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_DOT_DOT] = ACTIONS(393),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(431),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [50] = {
    [sym_block] = STATE(6767),
    [sym_tagged_block] = STATE(6767),
    [sym_import_declaration] = STATE(6767),
    [sym_procedure_declaration] = STATE(6767),
    [sym_overloaded_procedure_declaration] = STATE(6767),
    [sym_struct_declaration] = STATE(6767),
    [sym_enum_declaration] = STATE(6767),
    [sym_union_declaration] = STATE(6767),
    [sym_const_declaration] = STATE(6767),
    [sym_foreign_block] = STATE(6767),
    [sym_attributes] = STATE(645),
    [sym_attribute] = STATE(5637),
    [sym_statement] = STATE(6666),
    [sym_assignment_statement] = STATE(6767),
    [sym_update_statement] = STATE(6767),
    [sym_if_statement] = STATE(6767),
    [sym_when_statement] = STATE(6767),
    [sym_for_statement] = STATE(6767),
    [sym_switch_statement] = STATE(6767),
    [sym_defer_statement] = STATE(6767),
    [sym_break_statement] = STATE(6767),
    [sym_continue_statement] = STATE(6767),
    [sym_var_declaration] = STATE(6767),
    [sym_return_statement] = STATE(6767),
    [sym_label_statement] = STATE(6767),
    [sym_using_statement] = STATE(6767),
    [sym_expression] = STATE(3081),
    [sym__expression_no_tag] = STATE(2426),
    [sym_unary_expression] = STATE(2426),
    [sym_binary_expression] = STATE(2426),
    [sym_ternary_expression] = STATE(2426),
    [sym_call_expression] = STATE(2426),
    [sym_selector_call_expression] = STATE(2426),
    [sym_member_expression] = STATE(2426),
    [sym_index_expression] = STATE(2426),
    [sym_slice_expression] = STATE(2426),
    [sym_range_expression] = STATE(2426),
    [sym_cast_expression] = STATE(2426),
    [sym_in_expression] = STATE(2426),
    [sym_variadic_expression] = STATE(2426),
    [sym_parenthesized_expression] = STATE(2426),
    [sym_or_return_expression] = STATE(2426),
    [sym_or_continue_expression] = STATE(2426),
    [sym_or_break_expression] = STATE(2426),
    [sym_address] = STATE(2426),
    [sym_map_type] = STATE(2426),
    [sym_matrix_type] = STATE(2426),
    [sym_distinct_type] = STATE(2426),
    [sym_literal] = STATE(2426),
    [sym_struct] = STATE(2413),
    [sym_map] = STATE(2256),
    [sym_bit_set] = STATE(2256),
    [sym_matrix] = STATE(2256),
    [sym_string] = STATE(2256),
    [sym__string_literal] = STATE(2258),
    [sym__raw_string_literal] = STATE(2258),
    [sym_character] = STATE(2256),
    [sym_boolean] = STATE(2256),
    [sym_field_identifier] = STATE(7777),
    [aux_sym_attributes_repeat1] = STATE(5637),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_RBRACE] = ACTIONS(433),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(81),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_PLUS] = ACTIONS(391),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(391),
    [anon_sym_BANG] = ACTIONS(391),
    [anon_sym_AMP] = ACTIONS(391),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_DOT_DOT] = ACTIONS(393),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(435),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [51] = {
    [sym_block] = STATE(6767),
    [sym_tagged_block] = STATE(6767),
    [sym_import_declaration] = STATE(6767),
    [sym_procedure_declaration] = STATE(6767),
    [sym_overloaded_procedure_declaration] = STATE(6767),
    [sym_struct_declaration] = STATE(6767),
    [sym_enum_declaration] = STATE(6767),
    [sym_union_declaration] = STATE(6767),
    [sym_const_declaration] = STATE(6767),
    [sym_foreign_block] = STATE(6767),
    [sym_attributes] = STATE(645),
    [sym_attribute] = STATE(5637),
    [sym_statement] = STATE(6692),
    [sym_assignment_statement] = STATE(6767),
    [sym_update_statement] = STATE(6767),
    [sym_if_statement] = STATE(6767),
    [sym_when_statement] = STATE(6767),
    [sym_for_statement] = STATE(6767),
    [sym_switch_statement] = STATE(6767),
    [sym_defer_statement] = STATE(6767),
    [sym_break_statement] = STATE(6767),
    [sym_continue_statement] = STATE(6767),
    [sym_var_declaration] = STATE(6767),
    [sym_return_statement] = STATE(6767),
    [sym_label_statement] = STATE(6767),
    [sym_using_statement] = STATE(6767),
    [sym_expression] = STATE(3081),
    [sym__expression_no_tag] = STATE(2426),
    [sym_unary_expression] = STATE(2426),
    [sym_binary_expression] = STATE(2426),
    [sym_ternary_expression] = STATE(2426),
    [sym_call_expression] = STATE(2426),
    [sym_selector_call_expression] = STATE(2426),
    [sym_member_expression] = STATE(2426),
    [sym_index_expression] = STATE(2426),
    [sym_slice_expression] = STATE(2426),
    [sym_range_expression] = STATE(2426),
    [sym_cast_expression] = STATE(2426),
    [sym_in_expression] = STATE(2426),
    [sym_variadic_expression] = STATE(2426),
    [sym_parenthesized_expression] = STATE(2426),
    [sym_or_return_expression] = STATE(2426),
    [sym_or_continue_expression] = STATE(2426),
    [sym_or_break_expression] = STATE(2426),
    [sym_address] = STATE(2426),
    [sym_map_type] = STATE(2426),
    [sym_matrix_type] = STATE(2426),
    [sym_distinct_type] = STATE(2426),
    [sym_literal] = STATE(2426),
    [sym_struct] = STATE(2413),
    [sym_map] = STATE(2256),
    [sym_bit_set] = STATE(2256),
    [sym_matrix] = STATE(2256),
    [sym_string] = STATE(2256),
    [sym__string_literal] = STATE(2258),
    [sym__raw_string_literal] = STATE(2258),
    [sym_character] = STATE(2256),
    [sym_boolean] = STATE(2256),
    [sym_field_identifier] = STATE(7777),
    [aux_sym_attributes_repeat1] = STATE(5637),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_RBRACE] = ACTIONS(437),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(81),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_PLUS] = ACTIONS(391),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(391),
    [anon_sym_BANG] = ACTIONS(391),
    [anon_sym_AMP] = ACTIONS(391),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_DOT_DOT] = ACTIONS(393),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(439),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [52] = {
    [sym_block] = STATE(6767),
    [sym_tagged_block] = STATE(6767),
    [sym_import_declaration] = STATE(6767),
    [sym_procedure_declaration] = STATE(6767),
    [sym_overloaded_procedure_declaration] = STATE(6767),
    [sym_struct_declaration] = STATE(6767),
    [sym_enum_declaration] = STATE(6767),
    [sym_union_declaration] = STATE(6767),
    [sym_const_declaration] = STATE(6767),
    [sym_foreign_block] = STATE(6767),
    [sym_attributes] = STATE(645),
    [sym_attribute] = STATE(5637),
    [sym_statement] = STATE(6833),
    [sym_assignment_statement] = STATE(6767),
    [sym_update_statement] = STATE(6767),
    [sym_if_statement] = STATE(6767),
    [sym_when_statement] = STATE(6767),
    [sym_for_statement] = STATE(6767),
    [sym_switch_statement] = STATE(6767),
    [sym_defer_statement] = STATE(6767),
    [sym_break_statement] = STATE(6767),
    [sym_continue_statement] = STATE(6767),
    [sym_var_declaration] = STATE(6767),
    [sym_return_statement] = STATE(6767),
    [sym_label_statement] = STATE(6767),
    [sym_using_statement] = STATE(6767),
    [sym_expression] = STATE(3081),
    [sym__expression_no_tag] = STATE(2426),
    [sym_unary_expression] = STATE(2426),
    [sym_binary_expression] = STATE(2426),
    [sym_ternary_expression] = STATE(2426),
    [sym_call_expression] = STATE(2426),
    [sym_selector_call_expression] = STATE(2426),
    [sym_member_expression] = STATE(2426),
    [sym_index_expression] = STATE(2426),
    [sym_slice_expression] = STATE(2426),
    [sym_range_expression] = STATE(2426),
    [sym_cast_expression] = STATE(2426),
    [sym_in_expression] = STATE(2426),
    [sym_variadic_expression] = STATE(2426),
    [sym_parenthesized_expression] = STATE(2426),
    [sym_or_return_expression] = STATE(2426),
    [sym_or_continue_expression] = STATE(2426),
    [sym_or_break_expression] = STATE(2426),
    [sym_address] = STATE(2426),
    [sym_map_type] = STATE(2426),
    [sym_matrix_type] = STATE(2426),
    [sym_distinct_type] = STATE(2426),
    [sym_literal] = STATE(2426),
    [sym_struct] = STATE(2413),
    [sym_map] = STATE(2256),
    [sym_bit_set] = STATE(2256),
    [sym_matrix] = STATE(2256),
    [sym_string] = STATE(2256),
    [sym__string_literal] = STATE(2258),
    [sym__raw_string_literal] = STATE(2258),
    [sym_character] = STATE(2256),
    [sym_boolean] = STATE(2256),
    [sym_field_identifier] = STATE(7777),
    [aux_sym_attributes_repeat1] = STATE(5637),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_RBRACE] = ACTIONS(441),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(81),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_PLUS] = ACTIONS(391),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(391),
    [anon_sym_BANG] = ACTIONS(391),
    [anon_sym_AMP] = ACTIONS(391),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_DOT_DOT] = ACTIONS(393),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(443),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [53] = {
    [sym_block] = STATE(6767),
    [sym_tagged_block] = STATE(6767),
    [sym_import_declaration] = STATE(6767),
    [sym_procedure_declaration] = STATE(6767),
    [sym_overloaded_procedure_declaration] = STATE(6767),
    [sym_struct_declaration] = STATE(6767),
    [sym_enum_declaration] = STATE(6767),
    [sym_union_declaration] = STATE(6767),
    [sym_const_declaration] = STATE(6767),
    [sym_foreign_block] = STATE(6767),
    [sym_attributes] = STATE(645),
    [sym_attribute] = STATE(5637),
    [sym_statement] = STATE(6731),
    [sym_assignment_statement] = STATE(6767),
    [sym_update_statement] = STATE(6767),
    [sym_if_statement] = STATE(6767),
    [sym_when_statement] = STATE(6767),
    [sym_for_statement] = STATE(6767),
    [sym_switch_statement] = STATE(6767),
    [sym_defer_statement] = STATE(6767),
    [sym_break_statement] = STATE(6767),
    [sym_continue_statement] = STATE(6767),
    [sym_var_declaration] = STATE(6767),
    [sym_return_statement] = STATE(6767),
    [sym_label_statement] = STATE(6767),
    [sym_using_statement] = STATE(6767),
    [sym_expression] = STATE(3081),
    [sym__expression_no_tag] = STATE(2426),
    [sym_unary_expression] = STATE(2426),
    [sym_binary_expression] = STATE(2426),
    [sym_ternary_expression] = STATE(2426),
    [sym_call_expression] = STATE(2426),
    [sym_selector_call_expression] = STATE(2426),
    [sym_member_expression] = STATE(2426),
    [sym_index_expression] = STATE(2426),
    [sym_slice_expression] = STATE(2426),
    [sym_range_expression] = STATE(2426),
    [sym_cast_expression] = STATE(2426),
    [sym_in_expression] = STATE(2426),
    [sym_variadic_expression] = STATE(2426),
    [sym_parenthesized_expression] = STATE(2426),
    [sym_or_return_expression] = STATE(2426),
    [sym_or_continue_expression] = STATE(2426),
    [sym_or_break_expression] = STATE(2426),
    [sym_address] = STATE(2426),
    [sym_map_type] = STATE(2426),
    [sym_matrix_type] = STATE(2426),
    [sym_distinct_type] = STATE(2426),
    [sym_literal] = STATE(2426),
    [sym_struct] = STATE(2413),
    [sym_map] = STATE(2256),
    [sym_bit_set] = STATE(2256),
    [sym_matrix] = STATE(2256),
    [sym_string] = STATE(2256),
    [sym__string_literal] = STATE(2258),
    [sym__raw_string_literal] = STATE(2258),
    [sym_character] = STATE(2256),
    [sym_boolean] = STATE(2256),
    [sym_field_identifier] = STATE(7777),
    [aux_sym_attributes_repeat1] = STATE(5637),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_RBRACE] = ACTIONS(445),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(81),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_PLUS] = ACTIONS(391),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(391),
    [anon_sym_BANG] = ACTIONS(391),
    [anon_sym_AMP] = ACTIONS(391),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_DOT_DOT] = ACTIONS(393),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(447),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [54] = {
    [sym_expression] = STATE(3110),
    [sym__expression_no_tag] = STATE(3174),
    [sym_unary_expression] = STATE(3174),
    [sym_binary_expression] = STATE(3174),
    [sym_ternary_expression] = STATE(3174),
    [sym_call_expression] = STATE(3174),
    [sym_selector_call_expression] = STATE(3174),
    [sym_member_expression] = STATE(3174),
    [sym_index_expression] = STATE(3174),
    [sym_slice_expression] = STATE(3174),
    [sym_range_expression] = STATE(3174),
    [sym_cast_expression] = STATE(3174),
    [sym_in_expression] = STATE(3174),
    [sym_variadic_expression] = STATE(3174),
    [sym_parenthesized_expression] = STATE(3174),
    [sym_or_return_expression] = STATE(3174),
    [sym_or_continue_expression] = STATE(3174),
    [sym_or_break_expression] = STATE(3174),
    [sym_address] = STATE(3174),
    [sym_map_type] = STATE(3174),
    [sym_matrix_type] = STATE(3174),
    [sym_distinct_type] = STATE(3174),
    [sym_literal] = STATE(3174),
    [sym_struct] = STATE(3165),
    [sym_map] = STATE(3078),
    [sym_bit_set] = STATE(3078),
    [sym_matrix] = STATE(3078),
    [sym_string] = STATE(3078),
    [sym__string_literal] = STATE(3166),
    [sym__raw_string_literal] = STATE(3166),
    [sym_character] = STATE(3078),
    [sym_boolean] = STATE(3078),
    [sym_field_identifier] = STATE(7864),
    [ts_builtin_sym_end] = ACTIONS(131),
    [sym_identifier] = ACTIONS(449),
    [anon_sym_LBRACE] = ACTIONS(451),
    [anon_sym_RBRACE] = ACTIONS(131),
    [anon_sym_COMMA] = ACTIONS(131),
    [anon_sym_COLON_COLON] = ACTIONS(131),
    [anon_sym_DASH_GT] = ACTIONS(131),
    [anon_sym_where] = ACTIONS(133),
    [anon_sym_EQ] = ACTIONS(133),
    [anon_sym_COLON_EQ] = ACTIONS(131),
    [anon_sym_COLON] = ACTIONS(133),
    [anon_sym_LPAREN] = ACTIONS(453),
    [anon_sym_if] = ACTIONS(133),
    [anon_sym_SEMI] = ACTIONS(131),
    [anon_sym_else] = ACTIONS(133),
    [anon_sym_when] = ACTIONS(133),
    [anon_sym_in] = ACTIONS(133),
    [anon_sym_case] = ACTIONS(133),
    [anon_sym_QMARK] = ACTIONS(455),
    [anon_sym_PLUS] = ACTIONS(457),
    [anon_sym_DASH] = ACTIONS(459),
    [anon_sym_TILDE] = ACTIONS(459),
    [anon_sym_BANG] = ACTIONS(459),
    [anon_sym_AMP] = ACTIONS(459),
    [anon_sym_PIPE_PIPE] = ACTIONS(131),
    [anon_sym_or_else] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(131),
    [anon_sym_GT] = ACTIONS(133),
    [anon_sym_GT_EQ] = ACTIONS(131),
    [anon_sym_LT_EQ] = ACTIONS(131),
    [anon_sym_LT] = ACTIONS(133),
    [anon_sym_EQ_EQ] = ACTIONS(131),
    [anon_sym_BANG_EQ] = ACTIONS(131),
    [anon_sym_TILDE_EQ] = ACTIONS(131),
    [anon_sym_PIPE] = ACTIONS(133),
    [anon_sym_AMP_TILDE] = ACTIONS(131),
    [anon_sym_LT_LT] = ACTIONS(131),
    [anon_sym_GT_GT] = ACTIONS(131),
    [anon_sym_STAR] = ACTIONS(131),
    [anon_sym_SLASH] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(131),
    [anon_sym_DOT] = ACTIONS(461),
    [anon_sym_LBRACK] = ACTIONS(463),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(131),
    [anon_sym_DOT_DOT_LT] = ACTIONS(131),
    [anon_sym_cast] = ACTIONS(465),
    [anon_sym_transmute] = ACTIONS(465),
    [anon_sym_auto_cast] = ACTIONS(467),
    [anon_sym_not_in] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(469),
    [anon_sym_or_return] = ACTIONS(133),
    [anon_sym_or_continue] = ACTIONS(133),
    [anon_sym_or_break] = ACTIONS(133),
    [anon_sym_CARET] = ACTIONS(131),
    [anon_sym_map] = ACTIONS(471),
    [anon_sym_bit_set] = ACTIONS(473),
    [anon_sym_matrix] = ACTIONS(475),
    [anon_sym_distinct] = ACTIONS(477),
    [sym_number] = ACTIONS(479),
    [anon_sym_DQUOTE] = ACTIONS(481),
    [anon_sym_BQUOTE] = ACTIONS(483),
    [anon_sym_SQUOTE] = ACTIONS(485),
    [anon_sym_true] = ACTIONS(487),
    [anon_sym_false] = ACTIONS(487),
    [sym_nil] = ACTIONS(489),
    [sym_uninitialized] = ACTIONS(479),
    [sym_tag] = ACTIONS(491),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(131),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(479),
    [sym_block_comment] = ACTIONS(3),
  },
  [55] = {
    [sym_expression] = STATE(3114),
    [sym__expression_no_tag] = STATE(3174),
    [sym_unary_expression] = STATE(3174),
    [sym_binary_expression] = STATE(3174),
    [sym_ternary_expression] = STATE(3174),
    [sym_call_expression] = STATE(3174),
    [sym_selector_call_expression] = STATE(3174),
    [sym_member_expression] = STATE(3174),
    [sym_index_expression] = STATE(3174),
    [sym_slice_expression] = STATE(3174),
    [sym_range_expression] = STATE(3174),
    [sym_cast_expression] = STATE(3174),
    [sym_in_expression] = STATE(3174),
    [sym_variadic_expression] = STATE(3174),
    [sym_parenthesized_expression] = STATE(3174),
    [sym_or_return_expression] = STATE(3174),
    [sym_or_continue_expression] = STATE(3174),
    [sym_or_break_expression] = STATE(3174),
    [sym_address] = STATE(3174),
    [sym_map_type] = STATE(3174),
    [sym_matrix_type] = STATE(3174),
    [sym_distinct_type] = STATE(3174),
    [sym_literal] = STATE(3174),
    [sym_struct] = STATE(3165),
    [sym_map] = STATE(3078),
    [sym_bit_set] = STATE(3078),
    [sym_matrix] = STATE(3078),
    [sym_string] = STATE(3078),
    [sym__string_literal] = STATE(3166),
    [sym__raw_string_literal] = STATE(3166),
    [sym_character] = STATE(3078),
    [sym_boolean] = STATE(3078),
    [sym_field_identifier] = STATE(7864),
    [ts_builtin_sym_end] = ACTIONS(173),
    [sym_identifier] = ACTIONS(449),
    [anon_sym_LBRACE] = ACTIONS(173),
    [anon_sym_RBRACE] = ACTIONS(173),
    [anon_sym_COMMA] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(173),
    [anon_sym_DASH_GT] = ACTIONS(173),
    [anon_sym_where] = ACTIONS(175),
    [anon_sym_EQ] = ACTIONS(175),
    [anon_sym_COLON_EQ] = ACTIONS(173),
    [anon_sym_COLON] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(173),
    [anon_sym_if] = ACTIONS(175),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_else] = ACTIONS(175),
    [anon_sym_when] = ACTIONS(175),
    [anon_sym_in] = ACTIONS(175),
    [anon_sym_case] = ACTIONS(175),
    [anon_sym_QMARK] = ACTIONS(173),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_BANG] = ACTIONS(459),
    [anon_sym_AMP] = ACTIONS(175),
    [anon_sym_PIPE_PIPE] = ACTIONS(173),
    [anon_sym_or_else] = ACTIONS(175),
    [anon_sym_AMP_AMP] = ACTIONS(173),
    [anon_sym_GT] = ACTIONS(175),
    [anon_sym_GT_EQ] = ACTIONS(173),
    [anon_sym_LT_EQ] = ACTIONS(173),
    [anon_sym_LT] = ACTIONS(175),
    [anon_sym_EQ_EQ] = ACTIONS(173),
    [anon_sym_BANG_EQ] = ACTIONS(173),
    [anon_sym_TILDE_EQ] = ACTIONS(173),
    [anon_sym_PIPE] = ACTIONS(175),
    [anon_sym_AMP_TILDE] = ACTIONS(173),
    [anon_sym_LT_LT] = ACTIONS(173),
    [anon_sym_GT_GT] = ACTIONS(173),
    [anon_sym_STAR] = ACTIONS(173),
    [anon_sym_SLASH] = ACTIONS(175),
    [anon_sym_PERCENT] = ACTIONS(175),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(173),
    [anon_sym_DOT] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(173),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(173),
    [anon_sym_DOT_DOT_LT] = ACTIONS(173),
    [anon_sym_cast] = ACTIONS(465),
    [anon_sym_transmute] = ACTIONS(465),
    [anon_sym_auto_cast] = ACTIONS(467),
    [anon_sym_not_in] = ACTIONS(175),
    [anon_sym_DOT_DOT] = ACTIONS(469),
    [anon_sym_or_return] = ACTIONS(175),
    [anon_sym_or_continue] = ACTIONS(175),
    [anon_sym_or_break] = ACTIONS(175),
    [anon_sym_CARET] = ACTIONS(173),
    [anon_sym_map] = ACTIONS(471),
    [anon_sym_bit_set] = ACTIONS(473),
    [anon_sym_matrix] = ACTIONS(475),
    [anon_sym_distinct] = ACTIONS(477),
    [sym_number] = ACTIONS(479),
    [anon_sym_DQUOTE] = ACTIONS(481),
    [anon_sym_BQUOTE] = ACTIONS(483),
    [anon_sym_SQUOTE] = ACTIONS(485),
    [anon_sym_true] = ACTIONS(487),
    [anon_sym_false] = ACTIONS(487),
    [sym_nil] = ACTIONS(489),
    [sym_uninitialized] = ACTIONS(173),
    [sym_tag] = ACTIONS(173),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(173),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(479),
    [sym_block_comment] = ACTIONS(3),
  },
  [56] = {
    [sym_expression] = STATE(3202),
    [sym__expression_no_tag] = STATE(2689),
    [sym_unary_expression] = STATE(2689),
    [sym_binary_expression] = STATE(2689),
    [sym_ternary_expression] = STATE(2689),
    [sym_call_expression] = STATE(2689),
    [sym_selector_call_expression] = STATE(2689),
    [sym_member_expression] = STATE(2689),
    [sym_index_expression] = STATE(2689),
    [sym_slice_expression] = STATE(2689),
    [sym_range_expression] = STATE(2689),
    [sym_cast_expression] = STATE(2689),
    [sym_in_expression] = STATE(2689),
    [sym_variadic_expression] = STATE(2689),
    [sym_parenthesized_expression] = STATE(2689),
    [sym_or_return_expression] = STATE(2689),
    [sym_or_continue_expression] = STATE(2689),
    [sym_or_break_expression] = STATE(2689),
    [sym_address] = STATE(2689),
    [sym_map_type] = STATE(2689),
    [sym_matrix_type] = STATE(2689),
    [sym_distinct_type] = STATE(2689),
    [sym_literal] = STATE(2689),
    [sym_struct] = STATE(3145),
    [sym_map] = STATE(2871),
    [sym_bit_set] = STATE(2871),
    [sym_matrix] = STATE(2871),
    [sym_string] = STATE(2871),
    [sym__string_literal] = STATE(2874),
    [sym__raw_string_literal] = STATE(2874),
    [sym_character] = STATE(2871),
    [sym_boolean] = STATE(2871),
    [sym_field_identifier] = STATE(7825),
    [sym_identifier] = ACTIONS(493),
    [anon_sym_LBRACE] = ACTIONS(173),
    [anon_sym_RBRACE] = ACTIONS(173),
    [anon_sym_COMMA] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(173),
    [anon_sym_DASH_GT] = ACTIONS(173),
    [anon_sym_where] = ACTIONS(175),
    [anon_sym_EQ] = ACTIONS(175),
    [anon_sym_COLON_EQ] = ACTIONS(173),
    [anon_sym_COLON] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(173),
    [anon_sym_RPAREN] = ACTIONS(173),
    [anon_sym_if] = ACTIONS(175),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_do] = ACTIONS(175),
    [anon_sym_else] = ACTIONS(175),
    [anon_sym_when] = ACTIONS(175),
    [anon_sym_in] = ACTIONS(175),
    [anon_sym_QMARK] = ACTIONS(173),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_AMP] = ACTIONS(175),
    [anon_sym_PIPE_PIPE] = ACTIONS(173),
    [anon_sym_or_else] = ACTIONS(175),
    [anon_sym_AMP_AMP] = ACTIONS(173),
    [anon_sym_GT] = ACTIONS(175),
    [anon_sym_GT_EQ] = ACTIONS(173),
    [anon_sym_LT_EQ] = ACTIONS(173),
    [anon_sym_LT] = ACTIONS(175),
    [anon_sym_EQ_EQ] = ACTIONS(173),
    [anon_sym_BANG_EQ] = ACTIONS(173),
    [anon_sym_TILDE_EQ] = ACTIONS(173),
    [anon_sym_PIPE] = ACTIONS(175),
    [anon_sym_AMP_TILDE] = ACTIONS(173),
    [anon_sym_LT_LT] = ACTIONS(173),
    [anon_sym_GT_GT] = ACTIONS(173),
    [anon_sym_STAR] = ACTIONS(173),
    [anon_sym_SLASH] = ACTIONS(175),
    [anon_sym_PERCENT] = ACTIONS(175),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(173),
    [anon_sym_DOT] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(173),
    [anon_sym_RBRACK] = ACTIONS(173),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(173),
    [anon_sym_DOT_DOT_LT] = ACTIONS(173),
    [anon_sym_cast] = ACTIONS(497),
    [anon_sym_transmute] = ACTIONS(497),
    [anon_sym_auto_cast] = ACTIONS(499),
    [anon_sym_not_in] = ACTIONS(175),
    [anon_sym_DOT_DOT] = ACTIONS(501),
    [anon_sym_or_return] = ACTIONS(175),
    [anon_sym_or_continue] = ACTIONS(175),
    [anon_sym_or_break] = ACTIONS(175),
    [anon_sym_CARET] = ACTIONS(173),
    [anon_sym_map] = ACTIONS(503),
    [anon_sym_bit_set] = ACTIONS(505),
    [anon_sym_matrix] = ACTIONS(507),
    [anon_sym_distinct] = ACTIONS(509),
    [sym_number] = ACTIONS(511),
    [anon_sym_DQUOTE] = ACTIONS(513),
    [anon_sym_BQUOTE] = ACTIONS(515),
    [anon_sym_SQUOTE] = ACTIONS(517),
    [anon_sym_true] = ACTIONS(519),
    [anon_sym_false] = ACTIONS(519),
    [sym_nil] = ACTIONS(521),
    [sym_uninitialized] = ACTIONS(173),
    [sym_tag] = ACTIONS(173),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(511),
    [sym_block_comment] = ACTIONS(3),
  },
  [57] = {
    [sym_block] = STATE(6767),
    [sym_tagged_block] = STATE(6767),
    [sym_import_declaration] = STATE(6767),
    [sym_procedure_declaration] = STATE(6767),
    [sym_overloaded_procedure_declaration] = STATE(6767),
    [sym_struct_declaration] = STATE(6767),
    [sym_enum_declaration] = STATE(6767),
    [sym_union_declaration] = STATE(6767),
    [sym_const_declaration] = STATE(6767),
    [sym_foreign_block] = STATE(6767),
    [sym_attributes] = STATE(645),
    [sym_attribute] = STATE(5637),
    [sym_statement] = STATE(6788),
    [sym_assignment_statement] = STATE(6767),
    [sym_update_statement] = STATE(6767),
    [sym_if_statement] = STATE(6767),
    [sym_when_statement] = STATE(6767),
    [sym_for_statement] = STATE(6767),
    [sym_switch_statement] = STATE(6767),
    [sym_defer_statement] = STATE(6767),
    [sym_break_statement] = STATE(6767),
    [sym_continue_statement] = STATE(6767),
    [sym_var_declaration] = STATE(6767),
    [sym_return_statement] = STATE(6767),
    [sym_label_statement] = STATE(6767),
    [sym_using_statement] = STATE(6767),
    [sym_expression] = STATE(3081),
    [sym__expression_no_tag] = STATE(2426),
    [sym_unary_expression] = STATE(2426),
    [sym_binary_expression] = STATE(2426),
    [sym_ternary_expression] = STATE(2426),
    [sym_call_expression] = STATE(2426),
    [sym_selector_call_expression] = STATE(2426),
    [sym_member_expression] = STATE(2426),
    [sym_index_expression] = STATE(2426),
    [sym_slice_expression] = STATE(2426),
    [sym_range_expression] = STATE(2426),
    [sym_cast_expression] = STATE(2426),
    [sym_in_expression] = STATE(2426),
    [sym_variadic_expression] = STATE(2426),
    [sym_parenthesized_expression] = STATE(2426),
    [sym_or_return_expression] = STATE(2426),
    [sym_or_continue_expression] = STATE(2426),
    [sym_or_break_expression] = STATE(2426),
    [sym_address] = STATE(2426),
    [sym_map_type] = STATE(2426),
    [sym_matrix_type] = STATE(2426),
    [sym_distinct_type] = STATE(2426),
    [sym_literal] = STATE(2426),
    [sym_struct] = STATE(2413),
    [sym_map] = STATE(2256),
    [sym_bit_set] = STATE(2256),
    [sym_matrix] = STATE(2256),
    [sym_string] = STATE(2256),
    [sym__string_literal] = STATE(2258),
    [sym__raw_string_literal] = STATE(2258),
    [sym_character] = STATE(2256),
    [sym_boolean] = STATE(2256),
    [sym_field_identifier] = STATE(7777),
    [aux_sym_attributes_repeat1] = STATE(5637),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_RBRACE] = ACTIONS(523),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(81),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_PLUS] = ACTIONS(391),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(391),
    [anon_sym_BANG] = ACTIONS(391),
    [anon_sym_AMP] = ACTIONS(391),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_DOT_DOT] = ACTIONS(393),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(405),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [58] = {
    [sym_expression] = STATE(3199),
    [sym__expression_no_tag] = STATE(2689),
    [sym_unary_expression] = STATE(2689),
    [sym_binary_expression] = STATE(2689),
    [sym_ternary_expression] = STATE(2689),
    [sym_call_expression] = STATE(2689),
    [sym_selector_call_expression] = STATE(2689),
    [sym_member_expression] = STATE(2689),
    [sym_index_expression] = STATE(2689),
    [sym_slice_expression] = STATE(2689),
    [sym_range_expression] = STATE(2689),
    [sym_cast_expression] = STATE(2689),
    [sym_in_expression] = STATE(2689),
    [sym_variadic_expression] = STATE(2689),
    [sym_parenthesized_expression] = STATE(2689),
    [sym_or_return_expression] = STATE(2689),
    [sym_or_continue_expression] = STATE(2689),
    [sym_or_break_expression] = STATE(2689),
    [sym_address] = STATE(2689),
    [sym_map_type] = STATE(2689),
    [sym_matrix_type] = STATE(2689),
    [sym_distinct_type] = STATE(2689),
    [sym_literal] = STATE(2689),
    [sym_struct] = STATE(3145),
    [sym_map] = STATE(2871),
    [sym_bit_set] = STATE(2871),
    [sym_matrix] = STATE(2871),
    [sym_string] = STATE(2871),
    [sym__string_literal] = STATE(2874),
    [sym__raw_string_literal] = STATE(2874),
    [sym_character] = STATE(2871),
    [sym_boolean] = STATE(2871),
    [sym_field_identifier] = STATE(7825),
    [sym_identifier] = ACTIONS(493),
    [anon_sym_LBRACE] = ACTIONS(525),
    [anon_sym_RBRACE] = ACTIONS(131),
    [anon_sym_COMMA] = ACTIONS(131),
    [anon_sym_COLON_COLON] = ACTIONS(131),
    [anon_sym_DASH_GT] = ACTIONS(131),
    [anon_sym_where] = ACTIONS(133),
    [anon_sym_EQ] = ACTIONS(133),
    [anon_sym_COLON_EQ] = ACTIONS(131),
    [anon_sym_COLON] = ACTIONS(133),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_RPAREN] = ACTIONS(131),
    [anon_sym_if] = ACTIONS(133),
    [anon_sym_SEMI] = ACTIONS(131),
    [anon_sym_do] = ACTIONS(133),
    [anon_sym_else] = ACTIONS(133),
    [anon_sym_when] = ACTIONS(133),
    [anon_sym_in] = ACTIONS(133),
    [anon_sym_QMARK] = ACTIONS(529),
    [anon_sym_PLUS] = ACTIONS(531),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(495),
    [anon_sym_BANG] = ACTIONS(495),
    [anon_sym_AMP] = ACTIONS(495),
    [anon_sym_PIPE_PIPE] = ACTIONS(131),
    [anon_sym_or_else] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(131),
    [anon_sym_GT] = ACTIONS(133),
    [anon_sym_GT_EQ] = ACTIONS(131),
    [anon_sym_LT_EQ] = ACTIONS(131),
    [anon_sym_LT] = ACTIONS(133),
    [anon_sym_EQ_EQ] = ACTIONS(131),
    [anon_sym_BANG_EQ] = ACTIONS(131),
    [anon_sym_TILDE_EQ] = ACTIONS(131),
    [anon_sym_PIPE] = ACTIONS(133),
    [anon_sym_AMP_TILDE] = ACTIONS(131),
    [anon_sym_LT_LT] = ACTIONS(131),
    [anon_sym_GT_GT] = ACTIONS(131),
    [anon_sym_STAR] = ACTIONS(131),
    [anon_sym_SLASH] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(131),
    [anon_sym_DOT] = ACTIONS(533),
    [anon_sym_LBRACK] = ACTIONS(535),
    [anon_sym_RBRACK] = ACTIONS(131),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(131),
    [anon_sym_DOT_DOT_LT] = ACTIONS(131),
    [anon_sym_cast] = ACTIONS(497),
    [anon_sym_transmute] = ACTIONS(497),
    [anon_sym_auto_cast] = ACTIONS(499),
    [anon_sym_not_in] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(501),
    [anon_sym_or_return] = ACTIONS(133),
    [anon_sym_or_continue] = ACTIONS(133),
    [anon_sym_or_break] = ACTIONS(133),
    [anon_sym_CARET] = ACTIONS(131),
    [anon_sym_map] = ACTIONS(503),
    [anon_sym_bit_set] = ACTIONS(505),
    [anon_sym_matrix] = ACTIONS(507),
    [anon_sym_distinct] = ACTIONS(509),
    [sym_number] = ACTIONS(511),
    [anon_sym_DQUOTE] = ACTIONS(513),
    [anon_sym_BQUOTE] = ACTIONS(515),
    [anon_sym_SQUOTE] = ACTIONS(517),
    [anon_sym_true] = ACTIONS(519),
    [anon_sym_false] = ACTIONS(519),
    [sym_nil] = ACTIONS(521),
    [sym_uninitialized] = ACTIONS(511),
    [sym_tag] = ACTIONS(537),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(511),
    [sym_block_comment] = ACTIONS(3),
  },
  [59] = {
    [sym_block] = STATE(6767),
    [sym_tagged_block] = STATE(6767),
    [sym_import_declaration] = STATE(6767),
    [sym_procedure_declaration] = STATE(6767),
    [sym_overloaded_procedure_declaration] = STATE(6767),
    [sym_struct_declaration] = STATE(6767),
    [sym_enum_declaration] = STATE(6767),
    [sym_union_declaration] = STATE(6767),
    [sym_const_declaration] = STATE(6767),
    [sym_foreign_block] = STATE(6767),
    [sym_attributes] = STATE(645),
    [sym_attribute] = STATE(5637),
    [sym_statement] = STATE(6840),
    [sym_assignment_statement] = STATE(6767),
    [sym_update_statement] = STATE(6767),
    [sym_if_statement] = STATE(6767),
    [sym_when_statement] = STATE(6767),
    [sym_for_statement] = STATE(6767),
    [sym_switch_statement] = STATE(6767),
    [sym_defer_statement] = STATE(6767),
    [sym_break_statement] = STATE(6767),
    [sym_continue_statement] = STATE(6767),
    [sym_var_declaration] = STATE(6767),
    [sym_return_statement] = STATE(6767),
    [sym_label_statement] = STATE(6767),
    [sym_using_statement] = STATE(6767),
    [sym_expression] = STATE(3081),
    [sym__expression_no_tag] = STATE(2426),
    [sym_unary_expression] = STATE(2426),
    [sym_binary_expression] = STATE(2426),
    [sym_ternary_expression] = STATE(2426),
    [sym_call_expression] = STATE(2426),
    [sym_selector_call_expression] = STATE(2426),
    [sym_member_expression] = STATE(2426),
    [sym_index_expression] = STATE(2426),
    [sym_slice_expression] = STATE(2426),
    [sym_range_expression] = STATE(2426),
    [sym_cast_expression] = STATE(2426),
    [sym_in_expression] = STATE(2426),
    [sym_variadic_expression] = STATE(2426),
    [sym_parenthesized_expression] = STATE(2426),
    [sym_or_return_expression] = STATE(2426),
    [sym_or_continue_expression] = STATE(2426),
    [sym_or_break_expression] = STATE(2426),
    [sym_address] = STATE(2426),
    [sym_map_type] = STATE(2426),
    [sym_matrix_type] = STATE(2426),
    [sym_distinct_type] = STATE(2426),
    [sym_literal] = STATE(2426),
    [sym_struct] = STATE(2413),
    [sym_map] = STATE(2256),
    [sym_bit_set] = STATE(2256),
    [sym_matrix] = STATE(2256),
    [sym_string] = STATE(2256),
    [sym__string_literal] = STATE(2258),
    [sym__raw_string_literal] = STATE(2258),
    [sym_character] = STATE(2256),
    [sym_boolean] = STATE(2256),
    [sym_field_identifier] = STATE(7777),
    [aux_sym_attributes_repeat1] = STATE(5637),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_RBRACE] = ACTIONS(539),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(81),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_PLUS] = ACTIONS(391),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(391),
    [anon_sym_BANG] = ACTIONS(391),
    [anon_sym_AMP] = ACTIONS(391),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_DOT_DOT] = ACTIONS(393),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(541),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [60] = {
    [sym_block] = STATE(6767),
    [sym_tagged_block] = STATE(6767),
    [sym_import_declaration] = STATE(6767),
    [sym_procedure_declaration] = STATE(6767),
    [sym_overloaded_procedure_declaration] = STATE(6767),
    [sym_struct_declaration] = STATE(6767),
    [sym_enum_declaration] = STATE(6767),
    [sym_union_declaration] = STATE(6767),
    [sym_const_declaration] = STATE(6767),
    [sym_foreign_block] = STATE(6767),
    [sym_attributes] = STATE(645),
    [sym_attribute] = STATE(5637),
    [sym_statement] = STATE(6839),
    [sym_assignment_statement] = STATE(6767),
    [sym_update_statement] = STATE(6767),
    [sym_if_statement] = STATE(6767),
    [sym_when_statement] = STATE(6767),
    [sym_for_statement] = STATE(6767),
    [sym_switch_statement] = STATE(6767),
    [sym_defer_statement] = STATE(6767),
    [sym_break_statement] = STATE(6767),
    [sym_continue_statement] = STATE(6767),
    [sym_var_declaration] = STATE(6767),
    [sym_return_statement] = STATE(6767),
    [sym_label_statement] = STATE(6767),
    [sym_using_statement] = STATE(6767),
    [sym_expression] = STATE(3081),
    [sym__expression_no_tag] = STATE(2426),
    [sym_unary_expression] = STATE(2426),
    [sym_binary_expression] = STATE(2426),
    [sym_ternary_expression] = STATE(2426),
    [sym_call_expression] = STATE(2426),
    [sym_selector_call_expression] = STATE(2426),
    [sym_member_expression] = STATE(2426),
    [sym_index_expression] = STATE(2426),
    [sym_slice_expression] = STATE(2426),
    [sym_range_expression] = STATE(2426),
    [sym_cast_expression] = STATE(2426),
    [sym_in_expression] = STATE(2426),
    [sym_variadic_expression] = STATE(2426),
    [sym_parenthesized_expression] = STATE(2426),
    [sym_or_return_expression] = STATE(2426),
    [sym_or_continue_expression] = STATE(2426),
    [sym_or_break_expression] = STATE(2426),
    [sym_address] = STATE(2426),
    [sym_map_type] = STATE(2426),
    [sym_matrix_type] = STATE(2426),
    [sym_distinct_type] = STATE(2426),
    [sym_literal] = STATE(2426),
    [sym_struct] = STATE(2413),
    [sym_map] = STATE(2256),
    [sym_bit_set] = STATE(2256),
    [sym_matrix] = STATE(2256),
    [sym_string] = STATE(2256),
    [sym__string_literal] = STATE(2258),
    [sym__raw_string_literal] = STATE(2258),
    [sym_character] = STATE(2256),
    [sym_boolean] = STATE(2256),
    [sym_field_identifier] = STATE(7777),
    [aux_sym_attributes_repeat1] = STATE(5637),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_RBRACE] = ACTIONS(543),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(81),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_PLUS] = ACTIONS(391),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(391),
    [anon_sym_BANG] = ACTIONS(391),
    [anon_sym_AMP] = ACTIONS(391),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_DOT_DOT] = ACTIONS(393),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(545),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [61] = {
    [sym_block] = STATE(6767),
    [sym_tagged_block] = STATE(6767),
    [sym_import_declaration] = STATE(6767),
    [sym_procedure_declaration] = STATE(6767),
    [sym_overloaded_procedure_declaration] = STATE(6767),
    [sym_struct_declaration] = STATE(6767),
    [sym_enum_declaration] = STATE(6767),
    [sym_union_declaration] = STATE(6767),
    [sym_const_declaration] = STATE(6767),
    [sym_foreign_block] = STATE(6767),
    [sym_attributes] = STATE(645),
    [sym_attribute] = STATE(5637),
    [sym_statement] = STATE(6657),
    [sym_assignment_statement] = STATE(6767),
    [sym_update_statement] = STATE(6767),
    [sym_if_statement] = STATE(6767),
    [sym_when_statement] = STATE(6767),
    [sym_for_statement] = STATE(6767),
    [sym_switch_statement] = STATE(6767),
    [sym_defer_statement] = STATE(6767),
    [sym_break_statement] = STATE(6767),
    [sym_continue_statement] = STATE(6767),
    [sym_var_declaration] = STATE(6767),
    [sym_return_statement] = STATE(6767),
    [sym_label_statement] = STATE(6767),
    [sym_using_statement] = STATE(6767),
    [sym_expression] = STATE(3081),
    [sym__expression_no_tag] = STATE(2426),
    [sym_unary_expression] = STATE(2426),
    [sym_binary_expression] = STATE(2426),
    [sym_ternary_expression] = STATE(2426),
    [sym_call_expression] = STATE(2426),
    [sym_selector_call_expression] = STATE(2426),
    [sym_member_expression] = STATE(2426),
    [sym_index_expression] = STATE(2426),
    [sym_slice_expression] = STATE(2426),
    [sym_range_expression] = STATE(2426),
    [sym_cast_expression] = STATE(2426),
    [sym_in_expression] = STATE(2426),
    [sym_variadic_expression] = STATE(2426),
    [sym_parenthesized_expression] = STATE(2426),
    [sym_or_return_expression] = STATE(2426),
    [sym_or_continue_expression] = STATE(2426),
    [sym_or_break_expression] = STATE(2426),
    [sym_address] = STATE(2426),
    [sym_map_type] = STATE(2426),
    [sym_matrix_type] = STATE(2426),
    [sym_distinct_type] = STATE(2426),
    [sym_literal] = STATE(2426),
    [sym_struct] = STATE(2413),
    [sym_map] = STATE(2256),
    [sym_bit_set] = STATE(2256),
    [sym_matrix] = STATE(2256),
    [sym_string] = STATE(2256),
    [sym__string_literal] = STATE(2258),
    [sym__raw_string_literal] = STATE(2258),
    [sym_character] = STATE(2256),
    [sym_boolean] = STATE(2256),
    [sym_field_identifier] = STATE(7777),
    [aux_sym_attributes_repeat1] = STATE(5637),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_RBRACE] = ACTIONS(547),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(81),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_PLUS] = ACTIONS(391),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(391),
    [anon_sym_BANG] = ACTIONS(391),
    [anon_sym_AMP] = ACTIONS(391),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_DOT_DOT] = ACTIONS(393),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(549),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [62] = {
    [sym_block] = STATE(6767),
    [sym_tagged_block] = STATE(6767),
    [sym_import_declaration] = STATE(6767),
    [sym_procedure_declaration] = STATE(6767),
    [sym_overloaded_procedure_declaration] = STATE(6767),
    [sym_struct_declaration] = STATE(6767),
    [sym_enum_declaration] = STATE(6767),
    [sym_union_declaration] = STATE(6767),
    [sym_const_declaration] = STATE(6767),
    [sym_foreign_block] = STATE(6767),
    [sym_attributes] = STATE(645),
    [sym_attribute] = STATE(5637),
    [sym_statement] = STATE(6697),
    [sym_assignment_statement] = STATE(6767),
    [sym_update_statement] = STATE(6767),
    [sym_if_statement] = STATE(6767),
    [sym_when_statement] = STATE(6767),
    [sym_for_statement] = STATE(6767),
    [sym_switch_statement] = STATE(6767),
    [sym_defer_statement] = STATE(6767),
    [sym_break_statement] = STATE(6767),
    [sym_continue_statement] = STATE(6767),
    [sym_var_declaration] = STATE(6767),
    [sym_return_statement] = STATE(6767),
    [sym_label_statement] = STATE(6767),
    [sym_using_statement] = STATE(6767),
    [sym_expression] = STATE(3081),
    [sym__expression_no_tag] = STATE(2426),
    [sym_unary_expression] = STATE(2426),
    [sym_binary_expression] = STATE(2426),
    [sym_ternary_expression] = STATE(2426),
    [sym_call_expression] = STATE(2426),
    [sym_selector_call_expression] = STATE(2426),
    [sym_member_expression] = STATE(2426),
    [sym_index_expression] = STATE(2426),
    [sym_slice_expression] = STATE(2426),
    [sym_range_expression] = STATE(2426),
    [sym_cast_expression] = STATE(2426),
    [sym_in_expression] = STATE(2426),
    [sym_variadic_expression] = STATE(2426),
    [sym_parenthesized_expression] = STATE(2426),
    [sym_or_return_expression] = STATE(2426),
    [sym_or_continue_expression] = STATE(2426),
    [sym_or_break_expression] = STATE(2426),
    [sym_address] = STATE(2426),
    [sym_map_type] = STATE(2426),
    [sym_matrix_type] = STATE(2426),
    [sym_distinct_type] = STATE(2426),
    [sym_literal] = STATE(2426),
    [sym_struct] = STATE(2413),
    [sym_map] = STATE(2256),
    [sym_bit_set] = STATE(2256),
    [sym_matrix] = STATE(2256),
    [sym_string] = STATE(2256),
    [sym__string_literal] = STATE(2258),
    [sym__raw_string_literal] = STATE(2258),
    [sym_character] = STATE(2256),
    [sym_boolean] = STATE(2256),
    [sym_field_identifier] = STATE(7777),
    [aux_sym_attributes_repeat1] = STATE(5637),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_RBRACE] = ACTIONS(551),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(81),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_PLUS] = ACTIONS(391),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(391),
    [anon_sym_BANG] = ACTIONS(391),
    [anon_sym_AMP] = ACTIONS(391),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_DOT_DOT] = ACTIONS(393),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(553),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [63] = {
    [sym_block] = STATE(6767),
    [sym_tagged_block] = STATE(6767),
    [sym_import_declaration] = STATE(6767),
    [sym_procedure_declaration] = STATE(6767),
    [sym_overloaded_procedure_declaration] = STATE(6767),
    [sym_struct_declaration] = STATE(6767),
    [sym_enum_declaration] = STATE(6767),
    [sym_union_declaration] = STATE(6767),
    [sym_const_declaration] = STATE(6767),
    [sym_foreign_block] = STATE(6767),
    [sym_attributes] = STATE(645),
    [sym_attribute] = STATE(5637),
    [sym_statement] = STATE(6734),
    [sym_assignment_statement] = STATE(6767),
    [sym_update_statement] = STATE(6767),
    [sym_if_statement] = STATE(6767),
    [sym_when_statement] = STATE(6767),
    [sym_for_statement] = STATE(6767),
    [sym_switch_statement] = STATE(6767),
    [sym_defer_statement] = STATE(6767),
    [sym_break_statement] = STATE(6767),
    [sym_continue_statement] = STATE(6767),
    [sym_var_declaration] = STATE(6767),
    [sym_return_statement] = STATE(6767),
    [sym_label_statement] = STATE(6767),
    [sym_using_statement] = STATE(6767),
    [sym_expression] = STATE(3081),
    [sym__expression_no_tag] = STATE(2426),
    [sym_unary_expression] = STATE(2426),
    [sym_binary_expression] = STATE(2426),
    [sym_ternary_expression] = STATE(2426),
    [sym_call_expression] = STATE(2426),
    [sym_selector_call_expression] = STATE(2426),
    [sym_member_expression] = STATE(2426),
    [sym_index_expression] = STATE(2426),
    [sym_slice_expression] = STATE(2426),
    [sym_range_expression] = STATE(2426),
    [sym_cast_expression] = STATE(2426),
    [sym_in_expression] = STATE(2426),
    [sym_variadic_expression] = STATE(2426),
    [sym_parenthesized_expression] = STATE(2426),
    [sym_or_return_expression] = STATE(2426),
    [sym_or_continue_expression] = STATE(2426),
    [sym_or_break_expression] = STATE(2426),
    [sym_address] = STATE(2426),
    [sym_map_type] = STATE(2426),
    [sym_matrix_type] = STATE(2426),
    [sym_distinct_type] = STATE(2426),
    [sym_literal] = STATE(2426),
    [sym_struct] = STATE(2413),
    [sym_map] = STATE(2256),
    [sym_bit_set] = STATE(2256),
    [sym_matrix] = STATE(2256),
    [sym_string] = STATE(2256),
    [sym__string_literal] = STATE(2258),
    [sym__raw_string_literal] = STATE(2258),
    [sym_character] = STATE(2256),
    [sym_boolean] = STATE(2256),
    [sym_field_identifier] = STATE(7777),
    [aux_sym_attributes_repeat1] = STATE(5637),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_RBRACE] = ACTIONS(555),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(81),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_PLUS] = ACTIONS(391),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(391),
    [anon_sym_BANG] = ACTIONS(391),
    [anon_sym_AMP] = ACTIONS(391),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_DOT_DOT] = ACTIONS(393),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(557),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [64] = {
    [sym_block] = STATE(6767),
    [sym_tagged_block] = STATE(6767),
    [sym_import_declaration] = STATE(6767),
    [sym_procedure_declaration] = STATE(6767),
    [sym_overloaded_procedure_declaration] = STATE(6767),
    [sym_struct_declaration] = STATE(6767),
    [sym_enum_declaration] = STATE(6767),
    [sym_union_declaration] = STATE(6767),
    [sym_const_declaration] = STATE(6767),
    [sym_foreign_block] = STATE(6767),
    [sym_attributes] = STATE(645),
    [sym_attribute] = STATE(5637),
    [sym_statement] = STATE(6773),
    [sym_assignment_statement] = STATE(6767),
    [sym_update_statement] = STATE(6767),
    [sym_if_statement] = STATE(6767),
    [sym_when_statement] = STATE(6767),
    [sym_for_statement] = STATE(6767),
    [sym_switch_statement] = STATE(6767),
    [sym_defer_statement] = STATE(6767),
    [sym_break_statement] = STATE(6767),
    [sym_continue_statement] = STATE(6767),
    [sym_var_declaration] = STATE(6767),
    [sym_return_statement] = STATE(6767),
    [sym_label_statement] = STATE(6767),
    [sym_using_statement] = STATE(6767),
    [sym_expression] = STATE(3081),
    [sym__expression_no_tag] = STATE(2426),
    [sym_unary_expression] = STATE(2426),
    [sym_binary_expression] = STATE(2426),
    [sym_ternary_expression] = STATE(2426),
    [sym_call_expression] = STATE(2426),
    [sym_selector_call_expression] = STATE(2426),
    [sym_member_expression] = STATE(2426),
    [sym_index_expression] = STATE(2426),
    [sym_slice_expression] = STATE(2426),
    [sym_range_expression] = STATE(2426),
    [sym_cast_expression] = STATE(2426),
    [sym_in_expression] = STATE(2426),
    [sym_variadic_expression] = STATE(2426),
    [sym_parenthesized_expression] = STATE(2426),
    [sym_or_return_expression] = STATE(2426),
    [sym_or_continue_expression] = STATE(2426),
    [sym_or_break_expression] = STATE(2426),
    [sym_address] = STATE(2426),
    [sym_map_type] = STATE(2426),
    [sym_matrix_type] = STATE(2426),
    [sym_distinct_type] = STATE(2426),
    [sym_literal] = STATE(2426),
    [sym_struct] = STATE(2413),
    [sym_map] = STATE(2256),
    [sym_bit_set] = STATE(2256),
    [sym_matrix] = STATE(2256),
    [sym_string] = STATE(2256),
    [sym__string_literal] = STATE(2258),
    [sym__raw_string_literal] = STATE(2258),
    [sym_character] = STATE(2256),
    [sym_boolean] = STATE(2256),
    [sym_field_identifier] = STATE(7777),
    [aux_sym_attributes_repeat1] = STATE(5637),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_RBRACE] = ACTIONS(559),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(81),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_PLUS] = ACTIONS(391),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(391),
    [anon_sym_BANG] = ACTIONS(391),
    [anon_sym_AMP] = ACTIONS(391),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_DOT_DOT] = ACTIONS(393),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(561),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [65] = {
    [sym_block] = STATE(6767),
    [sym_tagged_block] = STATE(6767),
    [sym_import_declaration] = STATE(6767),
    [sym_procedure_declaration] = STATE(6767),
    [sym_overloaded_procedure_declaration] = STATE(6767),
    [sym_struct_declaration] = STATE(6767),
    [sym_enum_declaration] = STATE(6767),
    [sym_union_declaration] = STATE(6767),
    [sym_const_declaration] = STATE(6767),
    [sym_foreign_block] = STATE(6767),
    [sym_attributes] = STATE(645),
    [sym_attribute] = STATE(5637),
    [sym_statement] = STATE(6815),
    [sym_assignment_statement] = STATE(6767),
    [sym_update_statement] = STATE(6767),
    [sym_if_statement] = STATE(6767),
    [sym_when_statement] = STATE(6767),
    [sym_for_statement] = STATE(6767),
    [sym_switch_statement] = STATE(6767),
    [sym_defer_statement] = STATE(6767),
    [sym_break_statement] = STATE(6767),
    [sym_continue_statement] = STATE(6767),
    [sym_var_declaration] = STATE(6767),
    [sym_return_statement] = STATE(6767),
    [sym_label_statement] = STATE(6767),
    [sym_using_statement] = STATE(6767),
    [sym_expression] = STATE(3081),
    [sym__expression_no_tag] = STATE(2426),
    [sym_unary_expression] = STATE(2426),
    [sym_binary_expression] = STATE(2426),
    [sym_ternary_expression] = STATE(2426),
    [sym_call_expression] = STATE(2426),
    [sym_selector_call_expression] = STATE(2426),
    [sym_member_expression] = STATE(2426),
    [sym_index_expression] = STATE(2426),
    [sym_slice_expression] = STATE(2426),
    [sym_range_expression] = STATE(2426),
    [sym_cast_expression] = STATE(2426),
    [sym_in_expression] = STATE(2426),
    [sym_variadic_expression] = STATE(2426),
    [sym_parenthesized_expression] = STATE(2426),
    [sym_or_return_expression] = STATE(2426),
    [sym_or_continue_expression] = STATE(2426),
    [sym_or_break_expression] = STATE(2426),
    [sym_address] = STATE(2426),
    [sym_map_type] = STATE(2426),
    [sym_matrix_type] = STATE(2426),
    [sym_distinct_type] = STATE(2426),
    [sym_literal] = STATE(2426),
    [sym_struct] = STATE(2413),
    [sym_map] = STATE(2256),
    [sym_bit_set] = STATE(2256),
    [sym_matrix] = STATE(2256),
    [sym_string] = STATE(2256),
    [sym__string_literal] = STATE(2258),
    [sym__raw_string_literal] = STATE(2258),
    [sym_character] = STATE(2256),
    [sym_boolean] = STATE(2256),
    [sym_field_identifier] = STATE(7777),
    [aux_sym_attributes_repeat1] = STATE(5637),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_RBRACE] = ACTIONS(563),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(81),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_PLUS] = ACTIONS(391),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(391),
    [anon_sym_BANG] = ACTIONS(391),
    [anon_sym_AMP] = ACTIONS(391),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_DOT_DOT] = ACTIONS(393),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(565),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [66] = {
    [sym_block] = STATE(6767),
    [sym_tagged_block] = STATE(6767),
    [sym_import_declaration] = STATE(6767),
    [sym_procedure_declaration] = STATE(6767),
    [sym_overloaded_procedure_declaration] = STATE(6767),
    [sym_struct_declaration] = STATE(6767),
    [sym_enum_declaration] = STATE(6767),
    [sym_union_declaration] = STATE(6767),
    [sym_const_declaration] = STATE(6767),
    [sym_foreign_block] = STATE(6767),
    [sym_attributes] = STATE(645),
    [sym_attribute] = STATE(5637),
    [sym_statement] = STATE(6845),
    [sym_assignment_statement] = STATE(6767),
    [sym_update_statement] = STATE(6767),
    [sym_if_statement] = STATE(6767),
    [sym_when_statement] = STATE(6767),
    [sym_for_statement] = STATE(6767),
    [sym_switch_statement] = STATE(6767),
    [sym_defer_statement] = STATE(6767),
    [sym_break_statement] = STATE(6767),
    [sym_continue_statement] = STATE(6767),
    [sym_var_declaration] = STATE(6767),
    [sym_return_statement] = STATE(6767),
    [sym_label_statement] = STATE(6767),
    [sym_using_statement] = STATE(6767),
    [sym_expression] = STATE(3081),
    [sym__expression_no_tag] = STATE(2426),
    [sym_unary_expression] = STATE(2426),
    [sym_binary_expression] = STATE(2426),
    [sym_ternary_expression] = STATE(2426),
    [sym_call_expression] = STATE(2426),
    [sym_selector_call_expression] = STATE(2426),
    [sym_member_expression] = STATE(2426),
    [sym_index_expression] = STATE(2426),
    [sym_slice_expression] = STATE(2426),
    [sym_range_expression] = STATE(2426),
    [sym_cast_expression] = STATE(2426),
    [sym_in_expression] = STATE(2426),
    [sym_variadic_expression] = STATE(2426),
    [sym_parenthesized_expression] = STATE(2426),
    [sym_or_return_expression] = STATE(2426),
    [sym_or_continue_expression] = STATE(2426),
    [sym_or_break_expression] = STATE(2426),
    [sym_address] = STATE(2426),
    [sym_map_type] = STATE(2426),
    [sym_matrix_type] = STATE(2426),
    [sym_distinct_type] = STATE(2426),
    [sym_literal] = STATE(2426),
    [sym_struct] = STATE(2413),
    [sym_map] = STATE(2256),
    [sym_bit_set] = STATE(2256),
    [sym_matrix] = STATE(2256),
    [sym_string] = STATE(2256),
    [sym__string_literal] = STATE(2258),
    [sym__raw_string_literal] = STATE(2258),
    [sym_character] = STATE(2256),
    [sym_boolean] = STATE(2256),
    [sym_field_identifier] = STATE(7777),
    [aux_sym_attributes_repeat1] = STATE(5637),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_RBRACE] = ACTIONS(567),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(81),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_PLUS] = ACTIONS(391),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(391),
    [anon_sym_BANG] = ACTIONS(391),
    [anon_sym_AMP] = ACTIONS(391),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_DOT_DOT] = ACTIONS(393),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(569),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [67] = {
    [sym_block] = STATE(6767),
    [sym_tagged_block] = STATE(6767),
    [sym_import_declaration] = STATE(6767),
    [sym_procedure_declaration] = STATE(6767),
    [sym_overloaded_procedure_declaration] = STATE(6767),
    [sym_struct_declaration] = STATE(6767),
    [sym_enum_declaration] = STATE(6767),
    [sym_union_declaration] = STATE(6767),
    [sym_const_declaration] = STATE(6767),
    [sym_foreign_block] = STATE(6767),
    [sym_attributes] = STATE(645),
    [sym_attribute] = STATE(5637),
    [sym_statement] = STATE(6690),
    [sym_assignment_statement] = STATE(6767),
    [sym_update_statement] = STATE(6767),
    [sym_if_statement] = STATE(6767),
    [sym_when_statement] = STATE(6767),
    [sym_for_statement] = STATE(6767),
    [sym_switch_statement] = STATE(6767),
    [sym_defer_statement] = STATE(6767),
    [sym_break_statement] = STATE(6767),
    [sym_continue_statement] = STATE(6767),
    [sym_var_declaration] = STATE(6767),
    [sym_return_statement] = STATE(6767),
    [sym_label_statement] = STATE(6767),
    [sym_using_statement] = STATE(6767),
    [sym_expression] = STATE(3151),
    [sym__expression_no_tag] = STATE(2377),
    [sym_unary_expression] = STATE(2377),
    [sym_binary_expression] = STATE(2377),
    [sym_ternary_expression] = STATE(2377),
    [sym_call_expression] = STATE(2377),
    [sym_selector_call_expression] = STATE(2377),
    [sym_member_expression] = STATE(2377),
    [sym_index_expression] = STATE(2377),
    [sym_slice_expression] = STATE(2377),
    [sym_range_expression] = STATE(2377),
    [sym_cast_expression] = STATE(2377),
    [sym_in_expression] = STATE(2377),
    [sym_variadic_expression] = STATE(2377),
    [sym_parenthesized_expression] = STATE(2377),
    [sym_or_return_expression] = STATE(2377),
    [sym_or_continue_expression] = STATE(2377),
    [sym_or_break_expression] = STATE(2377),
    [sym_address] = STATE(2377),
    [sym_map_type] = STATE(2377),
    [sym_matrix_type] = STATE(2377),
    [sym_distinct_type] = STATE(2377),
    [sym_literal] = STATE(2377),
    [sym_struct] = STATE(2253),
    [sym_map] = STATE(2256),
    [sym_bit_set] = STATE(2256),
    [sym_matrix] = STATE(2256),
    [sym_string] = STATE(2256),
    [sym__string_literal] = STATE(2258),
    [sym__raw_string_literal] = STATE(2258),
    [sym_character] = STATE(2256),
    [sym_boolean] = STATE(2256),
    [sym_field_identifier] = STATE(7777),
    [aux_sym_attributes_repeat1] = STATE(5637),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(571),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(573),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(575),
    [anon_sym_PLUS] = ACTIONS(577),
    [anon_sym_DASH] = ACTIONS(185),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [anon_sym_AMP] = ACTIONS(577),
    [anon_sym_DOT] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(189),
    [anon_sym_transmute] = ACTIONS(189),
    [anon_sym_auto_cast] = ACTIONS(191),
    [anon_sym_DOT_DOT] = ACTIONS(579),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(581),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [68] = {
    [sym_block] = STATE(6767),
    [sym_tagged_block] = STATE(6767),
    [sym_import_declaration] = STATE(6767),
    [sym_procedure_declaration] = STATE(6767),
    [sym_overloaded_procedure_declaration] = STATE(6767),
    [sym_struct_declaration] = STATE(6767),
    [sym_enum_declaration] = STATE(6767),
    [sym_union_declaration] = STATE(6767),
    [sym_const_declaration] = STATE(6767),
    [sym_foreign_block] = STATE(6767),
    [sym_attributes] = STATE(645),
    [sym_attribute] = STATE(5637),
    [sym_statement] = STATE(6812),
    [sym_assignment_statement] = STATE(6767),
    [sym_update_statement] = STATE(6767),
    [sym_if_statement] = STATE(6767),
    [sym_when_statement] = STATE(6767),
    [sym_for_statement] = STATE(6767),
    [sym_switch_statement] = STATE(6767),
    [sym_defer_statement] = STATE(6767),
    [sym_break_statement] = STATE(6767),
    [sym_continue_statement] = STATE(6767),
    [sym_var_declaration] = STATE(6767),
    [sym_return_statement] = STATE(6767),
    [sym_label_statement] = STATE(6767),
    [sym_using_statement] = STATE(6767),
    [sym_expression] = STATE(3081),
    [sym__expression_no_tag] = STATE(2426),
    [sym_unary_expression] = STATE(2426),
    [sym_binary_expression] = STATE(2426),
    [sym_ternary_expression] = STATE(2426),
    [sym_call_expression] = STATE(2426),
    [sym_selector_call_expression] = STATE(2426),
    [sym_member_expression] = STATE(2426),
    [sym_index_expression] = STATE(2426),
    [sym_slice_expression] = STATE(2426),
    [sym_range_expression] = STATE(2426),
    [sym_cast_expression] = STATE(2426),
    [sym_in_expression] = STATE(2426),
    [sym_variadic_expression] = STATE(2426),
    [sym_parenthesized_expression] = STATE(2426),
    [sym_or_return_expression] = STATE(2426),
    [sym_or_continue_expression] = STATE(2426),
    [sym_or_break_expression] = STATE(2426),
    [sym_address] = STATE(2426),
    [sym_map_type] = STATE(2426),
    [sym_matrix_type] = STATE(2426),
    [sym_distinct_type] = STATE(2426),
    [sym_literal] = STATE(2426),
    [sym_struct] = STATE(2413),
    [sym_map] = STATE(2256),
    [sym_bit_set] = STATE(2256),
    [sym_matrix] = STATE(2256),
    [sym_string] = STATE(2256),
    [sym__string_literal] = STATE(2258),
    [sym__raw_string_literal] = STATE(2258),
    [sym_character] = STATE(2256),
    [sym_boolean] = STATE(2256),
    [sym_field_identifier] = STATE(7777),
    [aux_sym_attributes_repeat1] = STATE(5637),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(81),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_PLUS] = ACTIONS(391),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(391),
    [anon_sym_BANG] = ACTIONS(391),
    [anon_sym_AMP] = ACTIONS(391),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_DOT_DOT] = ACTIONS(393),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(125),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [69] = {
    [sym_block] = STATE(6767),
    [sym_tagged_block] = STATE(6767),
    [sym_import_declaration] = STATE(6767),
    [sym_procedure_declaration] = STATE(6767),
    [sym_overloaded_procedure_declaration] = STATE(6767),
    [sym_struct_declaration] = STATE(6767),
    [sym_enum_declaration] = STATE(6767),
    [sym_union_declaration] = STATE(6767),
    [sym_const_declaration] = STATE(6767),
    [sym_foreign_block] = STATE(6767),
    [sym_attributes] = STATE(645),
    [sym_attribute] = STATE(5637),
    [sym_statement] = STATE(6408),
    [sym_assignment_statement] = STATE(6767),
    [sym_update_statement] = STATE(6767),
    [sym_if_statement] = STATE(6767),
    [sym_when_statement] = STATE(6767),
    [sym_for_statement] = STATE(6767),
    [sym_switch_statement] = STATE(6767),
    [sym_defer_statement] = STATE(6767),
    [sym_break_statement] = STATE(6767),
    [sym_continue_statement] = STATE(6767),
    [sym_var_declaration] = STATE(6767),
    [sym_return_statement] = STATE(6767),
    [sym_label_statement] = STATE(6767),
    [sym_using_statement] = STATE(6767),
    [sym_expression] = STATE(3151),
    [sym__expression_no_tag] = STATE(2377),
    [sym_unary_expression] = STATE(2377),
    [sym_binary_expression] = STATE(2377),
    [sym_ternary_expression] = STATE(2377),
    [sym_call_expression] = STATE(2377),
    [sym_selector_call_expression] = STATE(2377),
    [sym_member_expression] = STATE(2377),
    [sym_index_expression] = STATE(2377),
    [sym_slice_expression] = STATE(2377),
    [sym_range_expression] = STATE(2377),
    [sym_cast_expression] = STATE(2377),
    [sym_in_expression] = STATE(2377),
    [sym_variadic_expression] = STATE(2377),
    [sym_parenthesized_expression] = STATE(2377),
    [sym_or_return_expression] = STATE(2377),
    [sym_or_continue_expression] = STATE(2377),
    [sym_or_break_expression] = STATE(2377),
    [sym_address] = STATE(2377),
    [sym_map_type] = STATE(2377),
    [sym_matrix_type] = STATE(2377),
    [sym_distinct_type] = STATE(2377),
    [sym_literal] = STATE(2377),
    [sym_struct] = STATE(2253),
    [sym_map] = STATE(2256),
    [sym_bit_set] = STATE(2256),
    [sym_matrix] = STATE(2256),
    [sym_string] = STATE(2256),
    [sym__string_literal] = STATE(2258),
    [sym__raw_string_literal] = STATE(2258),
    [sym_character] = STATE(2256),
    [sym_boolean] = STATE(2256),
    [sym_field_identifier] = STATE(7777),
    [aux_sym_attributes_repeat1] = STATE(5637),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(571),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(573),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(575),
    [anon_sym_PLUS] = ACTIONS(577),
    [anon_sym_DASH] = ACTIONS(185),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [anon_sym_AMP] = ACTIONS(577),
    [anon_sym_DOT] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(189),
    [anon_sym_transmute] = ACTIONS(189),
    [anon_sym_auto_cast] = ACTIONS(191),
    [anon_sym_DOT_DOT] = ACTIONS(579),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(581),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [70] = {
    [sym_block] = STATE(6767),
    [sym_tagged_block] = STATE(6767),
    [sym_import_declaration] = STATE(6767),
    [sym_procedure_declaration] = STATE(6767),
    [sym_overloaded_procedure_declaration] = STATE(6767),
    [sym_struct_declaration] = STATE(6767),
    [sym_enum_declaration] = STATE(6767),
    [sym_union_declaration] = STATE(6767),
    [sym_const_declaration] = STATE(6767),
    [sym_foreign_block] = STATE(6767),
    [sym_attributes] = STATE(645),
    [sym_attribute] = STATE(5637),
    [sym_statement] = STATE(6658),
    [sym_assignment_statement] = STATE(6767),
    [sym_update_statement] = STATE(6767),
    [sym_if_statement] = STATE(6767),
    [sym_when_statement] = STATE(6767),
    [sym_for_statement] = STATE(6767),
    [sym_switch_statement] = STATE(6767),
    [sym_defer_statement] = STATE(6767),
    [sym_break_statement] = STATE(6767),
    [sym_continue_statement] = STATE(6767),
    [sym_var_declaration] = STATE(6767),
    [sym_return_statement] = STATE(6767),
    [sym_label_statement] = STATE(6767),
    [sym_using_statement] = STATE(6767),
    [sym_expression] = STATE(3081),
    [sym__expression_no_tag] = STATE(2426),
    [sym_unary_expression] = STATE(2426),
    [sym_binary_expression] = STATE(2426),
    [sym_ternary_expression] = STATE(2426),
    [sym_call_expression] = STATE(2426),
    [sym_selector_call_expression] = STATE(2426),
    [sym_member_expression] = STATE(2426),
    [sym_index_expression] = STATE(2426),
    [sym_slice_expression] = STATE(2426),
    [sym_range_expression] = STATE(2426),
    [sym_cast_expression] = STATE(2426),
    [sym_in_expression] = STATE(2426),
    [sym_variadic_expression] = STATE(2426),
    [sym_parenthesized_expression] = STATE(2426),
    [sym_or_return_expression] = STATE(2426),
    [sym_or_continue_expression] = STATE(2426),
    [sym_or_break_expression] = STATE(2426),
    [sym_address] = STATE(2426),
    [sym_map_type] = STATE(2426),
    [sym_matrix_type] = STATE(2426),
    [sym_distinct_type] = STATE(2426),
    [sym_literal] = STATE(2426),
    [sym_struct] = STATE(2413),
    [sym_map] = STATE(2256),
    [sym_bit_set] = STATE(2256),
    [sym_matrix] = STATE(2256),
    [sym_string] = STATE(2256),
    [sym__string_literal] = STATE(2258),
    [sym__raw_string_literal] = STATE(2258),
    [sym_character] = STATE(2256),
    [sym_boolean] = STATE(2256),
    [sym_field_identifier] = STATE(7777),
    [aux_sym_attributes_repeat1] = STATE(5637),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(81),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_PLUS] = ACTIONS(391),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(391),
    [anon_sym_BANG] = ACTIONS(391),
    [anon_sym_AMP] = ACTIONS(391),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_DOT_DOT] = ACTIONS(393),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(125),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [71] = {
    [sym_block] = STATE(6767),
    [sym_tagged_block] = STATE(6767),
    [sym_import_declaration] = STATE(6767),
    [sym_procedure_declaration] = STATE(6767),
    [sym_overloaded_procedure_declaration] = STATE(6767),
    [sym_struct_declaration] = STATE(6767),
    [sym_enum_declaration] = STATE(6767),
    [sym_union_declaration] = STATE(6767),
    [sym_const_declaration] = STATE(6767),
    [sym_foreign_block] = STATE(6767),
    [sym_attributes] = STATE(645),
    [sym_attribute] = STATE(5637),
    [sym_statement] = STATE(6669),
    [sym_assignment_statement] = STATE(6767),
    [sym_update_statement] = STATE(6767),
    [sym_if_statement] = STATE(6767),
    [sym_when_statement] = STATE(6767),
    [sym_for_statement] = STATE(6767),
    [sym_switch_statement] = STATE(6767),
    [sym_defer_statement] = STATE(6767),
    [sym_break_statement] = STATE(6767),
    [sym_continue_statement] = STATE(6767),
    [sym_var_declaration] = STATE(6767),
    [sym_return_statement] = STATE(6767),
    [sym_label_statement] = STATE(6767),
    [sym_using_statement] = STATE(6767),
    [sym_expression] = STATE(3081),
    [sym__expression_no_tag] = STATE(2426),
    [sym_unary_expression] = STATE(2426),
    [sym_binary_expression] = STATE(2426),
    [sym_ternary_expression] = STATE(2426),
    [sym_call_expression] = STATE(2426),
    [sym_selector_call_expression] = STATE(2426),
    [sym_member_expression] = STATE(2426),
    [sym_index_expression] = STATE(2426),
    [sym_slice_expression] = STATE(2426),
    [sym_range_expression] = STATE(2426),
    [sym_cast_expression] = STATE(2426),
    [sym_in_expression] = STATE(2426),
    [sym_variadic_expression] = STATE(2426),
    [sym_parenthesized_expression] = STATE(2426),
    [sym_or_return_expression] = STATE(2426),
    [sym_or_continue_expression] = STATE(2426),
    [sym_or_break_expression] = STATE(2426),
    [sym_address] = STATE(2426),
    [sym_map_type] = STATE(2426),
    [sym_matrix_type] = STATE(2426),
    [sym_distinct_type] = STATE(2426),
    [sym_literal] = STATE(2426),
    [sym_struct] = STATE(2413),
    [sym_map] = STATE(2256),
    [sym_bit_set] = STATE(2256),
    [sym_matrix] = STATE(2256),
    [sym_string] = STATE(2256),
    [sym__string_literal] = STATE(2258),
    [sym__raw_string_literal] = STATE(2258),
    [sym_character] = STATE(2256),
    [sym_boolean] = STATE(2256),
    [sym_field_identifier] = STATE(7777),
    [aux_sym_attributes_repeat1] = STATE(5637),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(81),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_PLUS] = ACTIONS(391),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(391),
    [anon_sym_BANG] = ACTIONS(391),
    [anon_sym_AMP] = ACTIONS(391),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_DOT_DOT] = ACTIONS(393),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(125),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [72] = {
    [sym_block] = STATE(6767),
    [sym_tagged_block] = STATE(6767),
    [sym_import_declaration] = STATE(6767),
    [sym_procedure_declaration] = STATE(6767),
    [sym_overloaded_procedure_declaration] = STATE(6767),
    [sym_struct_declaration] = STATE(6767),
    [sym_enum_declaration] = STATE(6767),
    [sym_union_declaration] = STATE(6767),
    [sym_const_declaration] = STATE(6767),
    [sym_foreign_block] = STATE(6767),
    [sym_attributes] = STATE(645),
    [sym_attribute] = STATE(5637),
    [sym_statement] = STATE(6675),
    [sym_assignment_statement] = STATE(6767),
    [sym_update_statement] = STATE(6767),
    [sym_if_statement] = STATE(6767),
    [sym_when_statement] = STATE(6767),
    [sym_for_statement] = STATE(6767),
    [sym_switch_statement] = STATE(6767),
    [sym_defer_statement] = STATE(6767),
    [sym_break_statement] = STATE(6767),
    [sym_continue_statement] = STATE(6767),
    [sym_var_declaration] = STATE(6767),
    [sym_return_statement] = STATE(6767),
    [sym_label_statement] = STATE(6767),
    [sym_using_statement] = STATE(6767),
    [sym_expression] = STATE(3081),
    [sym__expression_no_tag] = STATE(2426),
    [sym_unary_expression] = STATE(2426),
    [sym_binary_expression] = STATE(2426),
    [sym_ternary_expression] = STATE(2426),
    [sym_call_expression] = STATE(2426),
    [sym_selector_call_expression] = STATE(2426),
    [sym_member_expression] = STATE(2426),
    [sym_index_expression] = STATE(2426),
    [sym_slice_expression] = STATE(2426),
    [sym_range_expression] = STATE(2426),
    [sym_cast_expression] = STATE(2426),
    [sym_in_expression] = STATE(2426),
    [sym_variadic_expression] = STATE(2426),
    [sym_parenthesized_expression] = STATE(2426),
    [sym_or_return_expression] = STATE(2426),
    [sym_or_continue_expression] = STATE(2426),
    [sym_or_break_expression] = STATE(2426),
    [sym_address] = STATE(2426),
    [sym_map_type] = STATE(2426),
    [sym_matrix_type] = STATE(2426),
    [sym_distinct_type] = STATE(2426),
    [sym_literal] = STATE(2426),
    [sym_struct] = STATE(2413),
    [sym_map] = STATE(2256),
    [sym_bit_set] = STATE(2256),
    [sym_matrix] = STATE(2256),
    [sym_string] = STATE(2256),
    [sym__string_literal] = STATE(2258),
    [sym__raw_string_literal] = STATE(2258),
    [sym_character] = STATE(2256),
    [sym_boolean] = STATE(2256),
    [sym_field_identifier] = STATE(7777),
    [aux_sym_attributes_repeat1] = STATE(5637),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(81),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_PLUS] = ACTIONS(391),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(391),
    [anon_sym_BANG] = ACTIONS(391),
    [anon_sym_AMP] = ACTIONS(391),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_DOT_DOT] = ACTIONS(393),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(125),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [73] = {
    [sym_procedure] = STATE(6512),
    [sym_expression] = STATE(4485),
    [sym__expression_no_tag] = STATE(4299),
    [sym_unary_expression] = STATE(4299),
    [sym_binary_expression] = STATE(4299),
    [sym_ternary_expression] = STATE(4299),
    [sym_call_expression] = STATE(4299),
    [sym_selector_call_expression] = STATE(4299),
    [sym_member_expression] = STATE(4299),
    [sym_index_expression] = STATE(4299),
    [sym_slice_expression] = STATE(4299),
    [sym_range_expression] = STATE(4299),
    [sym_cast_expression] = STATE(4299),
    [sym_in_expression] = STATE(4299),
    [sym_variadic_expression] = STATE(4299),
    [sym_parenthesized_expression] = STATE(4299),
    [sym_or_return_expression] = STATE(4299),
    [sym_or_continue_expression] = STATE(4299),
    [sym_or_break_expression] = STATE(4299),
    [sym_address] = STATE(4299),
    [sym_pointer_type] = STATE(6445),
    [sym_array_type] = STATE(6445),
    [sym_map_type] = STATE(4299),
    [sym_bit_set_type] = STATE(6445),
    [sym_matrix_type] = STATE(4299),
    [sym_distinct_type] = STATE(4299),
    [sym_literal] = STATE(4299),
    [sym_struct] = STATE(4311),
    [sym_map] = STATE(3787),
    [sym_bit_set] = STATE(3787),
    [sym_matrix] = STATE(3787),
    [sym_string] = STATE(3787),
    [sym__string_literal] = STATE(3867),
    [sym__raw_string_literal] = STATE(3867),
    [sym_character] = STATE(3787),
    [sym_boolean] = STATE(3787),
    [sym_field_identifier] = STATE(7783),
    [ts_builtin_sym_end] = ACTIONS(67),
    [sym_identifier] = ACTIONS(583),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_RBRACE] = ACTIONS(67),
    [anon_sym_COMMA] = ACTIONS(67),
    [anon_sym_proc] = ACTIONS(585),
    [anon_sym_DASH_GT] = ACTIONS(67),
    [anon_sym_POUNDtype] = ACTIONS(587),
    [anon_sym_LPAREN] = ACTIONS(589),
    [anon_sym_SEMI] = ACTIONS(67),
    [anon_sym_else] = ACTIONS(71),
    [anon_sym_in] = ACTIONS(71),
    [anon_sym_case] = ACTIONS(71),
    [anon_sym_QMARK] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AMP] = ACTIONS(71),
    [anon_sym_PIPE_PIPE] = ACTIONS(67),
    [anon_sym_or_else] = ACTIONS(71),
    [anon_sym_AMP_AMP] = ACTIONS(67),
    [anon_sym_GT] = ACTIONS(71),
    [anon_sym_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_EQ] = ACTIONS(67),
    [anon_sym_LT] = ACTIONS(71),
    [anon_sym_EQ_EQ] = ACTIONS(67),
    [anon_sym_BANG_EQ] = ACTIONS(67),
    [anon_sym_TILDE_EQ] = ACTIONS(67),
    [anon_sym_PIPE] = ACTIONS(71),
    [anon_sym_AMP_TILDE] = ACTIONS(67),
    [anon_sym_LT_LT] = ACTIONS(67),
    [anon_sym_GT_GT] = ACTIONS(67),
    [anon_sym_STAR] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(71),
    [anon_sym_PERCENT] = ACTIONS(71),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(67),
    [anon_sym_DOT] = ACTIONS(71),
    [anon_sym_LBRACK] = ACTIONS(595),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(67),
    [anon_sym_DOT_DOT_LT] = ACTIONS(67),
    [anon_sym_cast] = ACTIONS(597),
    [anon_sym_transmute] = ACTIONS(597),
    [anon_sym_auto_cast] = ACTIONS(599),
    [anon_sym_not_in] = ACTIONS(71),
    [anon_sym_DOT_DOT] = ACTIONS(601),
    [anon_sym_or_return] = ACTIONS(71),
    [anon_sym_or_continue] = ACTIONS(71),
    [anon_sym_or_break] = ACTIONS(71),
    [anon_sym_CARET] = ACTIONS(67),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(603),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(605),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(67),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [74] = {
    [sym_block] = STATE(6767),
    [sym_tagged_block] = STATE(6767),
    [sym_import_declaration] = STATE(6767),
    [sym_procedure_declaration] = STATE(6767),
    [sym_overloaded_procedure_declaration] = STATE(6767),
    [sym_struct_declaration] = STATE(6767),
    [sym_enum_declaration] = STATE(6767),
    [sym_union_declaration] = STATE(6767),
    [sym_const_declaration] = STATE(6767),
    [sym_foreign_block] = STATE(6767),
    [sym_attributes] = STATE(645),
    [sym_attribute] = STATE(5637),
    [sym_statement] = STATE(6424),
    [sym_assignment_statement] = STATE(6767),
    [sym_update_statement] = STATE(6767),
    [sym_if_statement] = STATE(6767),
    [sym_when_statement] = STATE(6767),
    [sym_for_statement] = STATE(6767),
    [sym_switch_statement] = STATE(6767),
    [sym_defer_statement] = STATE(6767),
    [sym_break_statement] = STATE(6767),
    [sym_continue_statement] = STATE(6767),
    [sym_var_declaration] = STATE(6767),
    [sym_return_statement] = STATE(6767),
    [sym_label_statement] = STATE(6767),
    [sym_using_statement] = STATE(6767),
    [sym_expression] = STATE(3151),
    [sym__expression_no_tag] = STATE(2377),
    [sym_unary_expression] = STATE(2377),
    [sym_binary_expression] = STATE(2377),
    [sym_ternary_expression] = STATE(2377),
    [sym_call_expression] = STATE(2377),
    [sym_selector_call_expression] = STATE(2377),
    [sym_member_expression] = STATE(2377),
    [sym_index_expression] = STATE(2377),
    [sym_slice_expression] = STATE(2377),
    [sym_range_expression] = STATE(2377),
    [sym_cast_expression] = STATE(2377),
    [sym_in_expression] = STATE(2377),
    [sym_variadic_expression] = STATE(2377),
    [sym_parenthesized_expression] = STATE(2377),
    [sym_or_return_expression] = STATE(2377),
    [sym_or_continue_expression] = STATE(2377),
    [sym_or_break_expression] = STATE(2377),
    [sym_address] = STATE(2377),
    [sym_map_type] = STATE(2377),
    [sym_matrix_type] = STATE(2377),
    [sym_distinct_type] = STATE(2377),
    [sym_literal] = STATE(2377),
    [sym_struct] = STATE(2253),
    [sym_map] = STATE(2256),
    [sym_bit_set] = STATE(2256),
    [sym_matrix] = STATE(2256),
    [sym_string] = STATE(2256),
    [sym__string_literal] = STATE(2258),
    [sym__raw_string_literal] = STATE(2258),
    [sym_character] = STATE(2256),
    [sym_boolean] = STATE(2256),
    [sym_field_identifier] = STATE(7777),
    [aux_sym_attributes_repeat1] = STATE(5637),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(571),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(573),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(575),
    [anon_sym_PLUS] = ACTIONS(577),
    [anon_sym_DASH] = ACTIONS(185),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [anon_sym_AMP] = ACTIONS(577),
    [anon_sym_DOT] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(189),
    [anon_sym_transmute] = ACTIONS(189),
    [anon_sym_auto_cast] = ACTIONS(191),
    [anon_sym_DOT_DOT] = ACTIONS(579),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(581),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [75] = {
    [sym_block] = STATE(6767),
    [sym_tagged_block] = STATE(6767),
    [sym_import_declaration] = STATE(6767),
    [sym_procedure_declaration] = STATE(6767),
    [sym_overloaded_procedure_declaration] = STATE(6767),
    [sym_struct_declaration] = STATE(6767),
    [sym_enum_declaration] = STATE(6767),
    [sym_union_declaration] = STATE(6767),
    [sym_const_declaration] = STATE(6767),
    [sym_foreign_block] = STATE(6767),
    [sym_attributes] = STATE(645),
    [sym_attribute] = STATE(5637),
    [sym_statement] = STATE(6729),
    [sym_assignment_statement] = STATE(6767),
    [sym_update_statement] = STATE(6767),
    [sym_if_statement] = STATE(6767),
    [sym_when_statement] = STATE(6767),
    [sym_for_statement] = STATE(6767),
    [sym_switch_statement] = STATE(6767),
    [sym_defer_statement] = STATE(6767),
    [sym_break_statement] = STATE(6767),
    [sym_continue_statement] = STATE(6767),
    [sym_var_declaration] = STATE(6767),
    [sym_return_statement] = STATE(6767),
    [sym_label_statement] = STATE(6767),
    [sym_using_statement] = STATE(6767),
    [sym_expression] = STATE(3081),
    [sym__expression_no_tag] = STATE(2426),
    [sym_unary_expression] = STATE(2426),
    [sym_binary_expression] = STATE(2426),
    [sym_ternary_expression] = STATE(2426),
    [sym_call_expression] = STATE(2426),
    [sym_selector_call_expression] = STATE(2426),
    [sym_member_expression] = STATE(2426),
    [sym_index_expression] = STATE(2426),
    [sym_slice_expression] = STATE(2426),
    [sym_range_expression] = STATE(2426),
    [sym_cast_expression] = STATE(2426),
    [sym_in_expression] = STATE(2426),
    [sym_variadic_expression] = STATE(2426),
    [sym_parenthesized_expression] = STATE(2426),
    [sym_or_return_expression] = STATE(2426),
    [sym_or_continue_expression] = STATE(2426),
    [sym_or_break_expression] = STATE(2426),
    [sym_address] = STATE(2426),
    [sym_map_type] = STATE(2426),
    [sym_matrix_type] = STATE(2426),
    [sym_distinct_type] = STATE(2426),
    [sym_literal] = STATE(2426),
    [sym_struct] = STATE(2413),
    [sym_map] = STATE(2256),
    [sym_bit_set] = STATE(2256),
    [sym_matrix] = STATE(2256),
    [sym_string] = STATE(2256),
    [sym__string_literal] = STATE(2258),
    [sym__raw_string_literal] = STATE(2258),
    [sym_character] = STATE(2256),
    [sym_boolean] = STATE(2256),
    [sym_field_identifier] = STATE(7777),
    [aux_sym_attributes_repeat1] = STATE(5637),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(81),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_PLUS] = ACTIONS(391),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(391),
    [anon_sym_BANG] = ACTIONS(391),
    [anon_sym_AMP] = ACTIONS(391),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_DOT_DOT] = ACTIONS(393),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(125),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [76] = {
    [sym_block] = STATE(6767),
    [sym_tagged_block] = STATE(6767),
    [sym_import_declaration] = STATE(6767),
    [sym_procedure_declaration] = STATE(6767),
    [sym_overloaded_procedure_declaration] = STATE(6767),
    [sym_struct_declaration] = STATE(6767),
    [sym_enum_declaration] = STATE(6767),
    [sym_union_declaration] = STATE(6767),
    [sym_const_declaration] = STATE(6767),
    [sym_foreign_block] = STATE(6767),
    [sym_attributes] = STATE(645),
    [sym_attribute] = STATE(5637),
    [sym_statement] = STATE(6828),
    [sym_assignment_statement] = STATE(6767),
    [sym_update_statement] = STATE(6767),
    [sym_if_statement] = STATE(6767),
    [sym_when_statement] = STATE(6767),
    [sym_for_statement] = STATE(6767),
    [sym_switch_statement] = STATE(6767),
    [sym_defer_statement] = STATE(6767),
    [sym_break_statement] = STATE(6767),
    [sym_continue_statement] = STATE(6767),
    [sym_var_declaration] = STATE(6767),
    [sym_return_statement] = STATE(6767),
    [sym_label_statement] = STATE(6767),
    [sym_using_statement] = STATE(6767),
    [sym_expression] = STATE(3081),
    [sym__expression_no_tag] = STATE(2426),
    [sym_unary_expression] = STATE(2426),
    [sym_binary_expression] = STATE(2426),
    [sym_ternary_expression] = STATE(2426),
    [sym_call_expression] = STATE(2426),
    [sym_selector_call_expression] = STATE(2426),
    [sym_member_expression] = STATE(2426),
    [sym_index_expression] = STATE(2426),
    [sym_slice_expression] = STATE(2426),
    [sym_range_expression] = STATE(2426),
    [sym_cast_expression] = STATE(2426),
    [sym_in_expression] = STATE(2426),
    [sym_variadic_expression] = STATE(2426),
    [sym_parenthesized_expression] = STATE(2426),
    [sym_or_return_expression] = STATE(2426),
    [sym_or_continue_expression] = STATE(2426),
    [sym_or_break_expression] = STATE(2426),
    [sym_address] = STATE(2426),
    [sym_map_type] = STATE(2426),
    [sym_matrix_type] = STATE(2426),
    [sym_distinct_type] = STATE(2426),
    [sym_literal] = STATE(2426),
    [sym_struct] = STATE(2413),
    [sym_map] = STATE(2256),
    [sym_bit_set] = STATE(2256),
    [sym_matrix] = STATE(2256),
    [sym_string] = STATE(2256),
    [sym__string_literal] = STATE(2258),
    [sym__raw_string_literal] = STATE(2258),
    [sym_character] = STATE(2256),
    [sym_boolean] = STATE(2256),
    [sym_field_identifier] = STATE(7777),
    [aux_sym_attributes_repeat1] = STATE(5637),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(81),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_PLUS] = ACTIONS(391),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(391),
    [anon_sym_BANG] = ACTIONS(391),
    [anon_sym_AMP] = ACTIONS(391),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_DOT_DOT] = ACTIONS(393),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(125),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [77] = {
    [sym_block] = STATE(6767),
    [sym_tagged_block] = STATE(6767),
    [sym_import_declaration] = STATE(6767),
    [sym_procedure_declaration] = STATE(6767),
    [sym_overloaded_procedure_declaration] = STATE(6767),
    [sym_struct_declaration] = STATE(6767),
    [sym_enum_declaration] = STATE(6767),
    [sym_union_declaration] = STATE(6767),
    [sym_const_declaration] = STATE(6767),
    [sym_foreign_block] = STATE(6767),
    [sym_attributes] = STATE(645),
    [sym_attribute] = STATE(5637),
    [sym_statement] = STATE(6838),
    [sym_assignment_statement] = STATE(6767),
    [sym_update_statement] = STATE(6767),
    [sym_if_statement] = STATE(6767),
    [sym_when_statement] = STATE(6767),
    [sym_for_statement] = STATE(6767),
    [sym_switch_statement] = STATE(6767),
    [sym_defer_statement] = STATE(6767),
    [sym_break_statement] = STATE(6767),
    [sym_continue_statement] = STATE(6767),
    [sym_var_declaration] = STATE(6767),
    [sym_return_statement] = STATE(6767),
    [sym_label_statement] = STATE(6767),
    [sym_using_statement] = STATE(6767),
    [sym_expression] = STATE(3081),
    [sym__expression_no_tag] = STATE(2426),
    [sym_unary_expression] = STATE(2426),
    [sym_binary_expression] = STATE(2426),
    [sym_ternary_expression] = STATE(2426),
    [sym_call_expression] = STATE(2426),
    [sym_selector_call_expression] = STATE(2426),
    [sym_member_expression] = STATE(2426),
    [sym_index_expression] = STATE(2426),
    [sym_slice_expression] = STATE(2426),
    [sym_range_expression] = STATE(2426),
    [sym_cast_expression] = STATE(2426),
    [sym_in_expression] = STATE(2426),
    [sym_variadic_expression] = STATE(2426),
    [sym_parenthesized_expression] = STATE(2426),
    [sym_or_return_expression] = STATE(2426),
    [sym_or_continue_expression] = STATE(2426),
    [sym_or_break_expression] = STATE(2426),
    [sym_address] = STATE(2426),
    [sym_map_type] = STATE(2426),
    [sym_matrix_type] = STATE(2426),
    [sym_distinct_type] = STATE(2426),
    [sym_literal] = STATE(2426),
    [sym_struct] = STATE(2413),
    [sym_map] = STATE(2256),
    [sym_bit_set] = STATE(2256),
    [sym_matrix] = STATE(2256),
    [sym_string] = STATE(2256),
    [sym__string_literal] = STATE(2258),
    [sym__raw_string_literal] = STATE(2258),
    [sym_character] = STATE(2256),
    [sym_boolean] = STATE(2256),
    [sym_field_identifier] = STATE(7777),
    [aux_sym_attributes_repeat1] = STATE(5637),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(81),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_PLUS] = ACTIONS(391),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(391),
    [anon_sym_BANG] = ACTIONS(391),
    [anon_sym_AMP] = ACTIONS(391),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_DOT_DOT] = ACTIONS(393),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(125),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [78] = {
    [sym_procedure] = STATE(6564),
    [sym_expression] = STATE(4469),
    [sym__expression_no_tag] = STATE(4299),
    [sym_unary_expression] = STATE(4299),
    [sym_binary_expression] = STATE(4299),
    [sym_ternary_expression] = STATE(4299),
    [sym_call_expression] = STATE(4299),
    [sym_selector_call_expression] = STATE(4299),
    [sym_member_expression] = STATE(4299),
    [sym_index_expression] = STATE(4299),
    [sym_slice_expression] = STATE(4299),
    [sym_range_expression] = STATE(4299),
    [sym_cast_expression] = STATE(4299),
    [sym_in_expression] = STATE(4299),
    [sym_variadic_expression] = STATE(4299),
    [sym_parenthesized_expression] = STATE(4299),
    [sym_or_return_expression] = STATE(4299),
    [sym_or_continue_expression] = STATE(4299),
    [sym_or_break_expression] = STATE(4299),
    [sym_address] = STATE(4299),
    [sym_pointer_type] = STATE(6433),
    [sym_array_type] = STATE(6433),
    [sym_map_type] = STATE(4299),
    [sym_bit_set_type] = STATE(6433),
    [sym_matrix_type] = STATE(4299),
    [sym_distinct_type] = STATE(4299),
    [sym_literal] = STATE(4299),
    [sym_struct] = STATE(4311),
    [sym_map] = STATE(3787),
    [sym_bit_set] = STATE(3787),
    [sym_matrix] = STATE(3787),
    [sym_string] = STATE(3787),
    [sym__string_literal] = STATE(3867),
    [sym__raw_string_literal] = STATE(3867),
    [sym_character] = STATE(3787),
    [sym_boolean] = STATE(3787),
    [sym_field_identifier] = STATE(7783),
    [ts_builtin_sym_end] = ACTIONS(67),
    [sym_identifier] = ACTIONS(583),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_RBRACE] = ACTIONS(67),
    [anon_sym_COMMA] = ACTIONS(67),
    [anon_sym_proc] = ACTIONS(585),
    [anon_sym_DASH_GT] = ACTIONS(67),
    [anon_sym_POUNDtype] = ACTIONS(607),
    [anon_sym_LPAREN] = ACTIONS(589),
    [anon_sym_SEMI] = ACTIONS(67),
    [anon_sym_else] = ACTIONS(71),
    [anon_sym_in] = ACTIONS(71),
    [anon_sym_case] = ACTIONS(71),
    [anon_sym_QMARK] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AMP] = ACTIONS(71),
    [anon_sym_PIPE_PIPE] = ACTIONS(67),
    [anon_sym_or_else] = ACTIONS(71),
    [anon_sym_AMP_AMP] = ACTIONS(67),
    [anon_sym_GT] = ACTIONS(71),
    [anon_sym_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_EQ] = ACTIONS(67),
    [anon_sym_LT] = ACTIONS(71),
    [anon_sym_EQ_EQ] = ACTIONS(67),
    [anon_sym_BANG_EQ] = ACTIONS(67),
    [anon_sym_TILDE_EQ] = ACTIONS(67),
    [anon_sym_PIPE] = ACTIONS(71),
    [anon_sym_AMP_TILDE] = ACTIONS(67),
    [anon_sym_LT_LT] = ACTIONS(67),
    [anon_sym_GT_GT] = ACTIONS(67),
    [anon_sym_STAR] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(71),
    [anon_sym_PERCENT] = ACTIONS(71),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(67),
    [anon_sym_DOT] = ACTIONS(71),
    [anon_sym_LBRACK] = ACTIONS(595),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(67),
    [anon_sym_DOT_DOT_LT] = ACTIONS(67),
    [anon_sym_cast] = ACTIONS(597),
    [anon_sym_transmute] = ACTIONS(597),
    [anon_sym_auto_cast] = ACTIONS(599),
    [anon_sym_not_in] = ACTIONS(71),
    [anon_sym_DOT_DOT] = ACTIONS(601),
    [anon_sym_or_return] = ACTIONS(71),
    [anon_sym_or_continue] = ACTIONS(71),
    [anon_sym_or_break] = ACTIONS(71),
    [anon_sym_CARET] = ACTIONS(67),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(603),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(605),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(67),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [79] = {
    [sym_block] = STATE(6767),
    [sym_tagged_block] = STATE(6767),
    [sym_import_declaration] = STATE(6767),
    [sym_procedure_declaration] = STATE(6767),
    [sym_overloaded_procedure_declaration] = STATE(6767),
    [sym_struct_declaration] = STATE(6767),
    [sym_enum_declaration] = STATE(6767),
    [sym_union_declaration] = STATE(6767),
    [sym_const_declaration] = STATE(6767),
    [sym_foreign_block] = STATE(6767),
    [sym_attributes] = STATE(645),
    [sym_attribute] = STATE(5637),
    [sym_statement] = STATE(6436),
    [sym_assignment_statement] = STATE(6767),
    [sym_update_statement] = STATE(6767),
    [sym_if_statement] = STATE(6767),
    [sym_when_statement] = STATE(6767),
    [sym_for_statement] = STATE(6767),
    [sym_switch_statement] = STATE(6767),
    [sym_defer_statement] = STATE(6767),
    [sym_break_statement] = STATE(6767),
    [sym_continue_statement] = STATE(6767),
    [sym_var_declaration] = STATE(6767),
    [sym_return_statement] = STATE(6767),
    [sym_label_statement] = STATE(6767),
    [sym_using_statement] = STATE(6767),
    [sym_expression] = STATE(3151),
    [sym__expression_no_tag] = STATE(2377),
    [sym_unary_expression] = STATE(2377),
    [sym_binary_expression] = STATE(2377),
    [sym_ternary_expression] = STATE(2377),
    [sym_call_expression] = STATE(2377),
    [sym_selector_call_expression] = STATE(2377),
    [sym_member_expression] = STATE(2377),
    [sym_index_expression] = STATE(2377),
    [sym_slice_expression] = STATE(2377),
    [sym_range_expression] = STATE(2377),
    [sym_cast_expression] = STATE(2377),
    [sym_in_expression] = STATE(2377),
    [sym_variadic_expression] = STATE(2377),
    [sym_parenthesized_expression] = STATE(2377),
    [sym_or_return_expression] = STATE(2377),
    [sym_or_continue_expression] = STATE(2377),
    [sym_or_break_expression] = STATE(2377),
    [sym_address] = STATE(2377),
    [sym_map_type] = STATE(2377),
    [sym_matrix_type] = STATE(2377),
    [sym_distinct_type] = STATE(2377),
    [sym_literal] = STATE(2377),
    [sym_struct] = STATE(2253),
    [sym_map] = STATE(2256),
    [sym_bit_set] = STATE(2256),
    [sym_matrix] = STATE(2256),
    [sym_string] = STATE(2256),
    [sym__string_literal] = STATE(2258),
    [sym__raw_string_literal] = STATE(2258),
    [sym_character] = STATE(2256),
    [sym_boolean] = STATE(2256),
    [sym_field_identifier] = STATE(7777),
    [aux_sym_attributes_repeat1] = STATE(5637),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(571),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(573),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(575),
    [anon_sym_PLUS] = ACTIONS(577),
    [anon_sym_DASH] = ACTIONS(185),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [anon_sym_AMP] = ACTIONS(577),
    [anon_sym_DOT] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(189),
    [anon_sym_transmute] = ACTIONS(189),
    [anon_sym_auto_cast] = ACTIONS(191),
    [anon_sym_DOT_DOT] = ACTIONS(579),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(581),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [80] = {
    [sym_block] = STATE(6767),
    [sym_tagged_block] = STATE(6767),
    [sym_import_declaration] = STATE(6767),
    [sym_procedure_declaration] = STATE(6767),
    [sym_overloaded_procedure_declaration] = STATE(6767),
    [sym_struct_declaration] = STATE(6767),
    [sym_enum_declaration] = STATE(6767),
    [sym_union_declaration] = STATE(6767),
    [sym_const_declaration] = STATE(6767),
    [sym_foreign_block] = STATE(6767),
    [sym_attributes] = STATE(645),
    [sym_attribute] = STATE(5637),
    [sym_statement] = STATE(6687),
    [sym_assignment_statement] = STATE(6767),
    [sym_update_statement] = STATE(6767),
    [sym_if_statement] = STATE(6767),
    [sym_when_statement] = STATE(6767),
    [sym_for_statement] = STATE(6767),
    [sym_switch_statement] = STATE(6767),
    [sym_defer_statement] = STATE(6767),
    [sym_break_statement] = STATE(6767),
    [sym_continue_statement] = STATE(6767),
    [sym_var_declaration] = STATE(6767),
    [sym_return_statement] = STATE(6767),
    [sym_label_statement] = STATE(6767),
    [sym_using_statement] = STATE(6767),
    [sym_expression] = STATE(3081),
    [sym__expression_no_tag] = STATE(2426),
    [sym_unary_expression] = STATE(2426),
    [sym_binary_expression] = STATE(2426),
    [sym_ternary_expression] = STATE(2426),
    [sym_call_expression] = STATE(2426),
    [sym_selector_call_expression] = STATE(2426),
    [sym_member_expression] = STATE(2426),
    [sym_index_expression] = STATE(2426),
    [sym_slice_expression] = STATE(2426),
    [sym_range_expression] = STATE(2426),
    [sym_cast_expression] = STATE(2426),
    [sym_in_expression] = STATE(2426),
    [sym_variadic_expression] = STATE(2426),
    [sym_parenthesized_expression] = STATE(2426),
    [sym_or_return_expression] = STATE(2426),
    [sym_or_continue_expression] = STATE(2426),
    [sym_or_break_expression] = STATE(2426),
    [sym_address] = STATE(2426),
    [sym_map_type] = STATE(2426),
    [sym_matrix_type] = STATE(2426),
    [sym_distinct_type] = STATE(2426),
    [sym_literal] = STATE(2426),
    [sym_struct] = STATE(2413),
    [sym_map] = STATE(2256),
    [sym_bit_set] = STATE(2256),
    [sym_matrix] = STATE(2256),
    [sym_string] = STATE(2256),
    [sym__string_literal] = STATE(2258),
    [sym__raw_string_literal] = STATE(2258),
    [sym_character] = STATE(2256),
    [sym_boolean] = STATE(2256),
    [sym_field_identifier] = STATE(7777),
    [aux_sym_attributes_repeat1] = STATE(5637),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(81),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_PLUS] = ACTIONS(391),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(391),
    [anon_sym_BANG] = ACTIONS(391),
    [anon_sym_AMP] = ACTIONS(391),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_DOT_DOT] = ACTIONS(393),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(125),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [81] = {
    [sym_block] = STATE(6767),
    [sym_tagged_block] = STATE(6767),
    [sym_import_declaration] = STATE(6767),
    [sym_procedure_declaration] = STATE(6767),
    [sym_overloaded_procedure_declaration] = STATE(6767),
    [sym_struct_declaration] = STATE(6767),
    [sym_enum_declaration] = STATE(6767),
    [sym_union_declaration] = STATE(6767),
    [sym_const_declaration] = STATE(6767),
    [sym_foreign_block] = STATE(6767),
    [sym_attributes] = STATE(645),
    [sym_attribute] = STATE(5637),
    [sym_statement] = STATE(6690),
    [sym_assignment_statement] = STATE(6767),
    [sym_update_statement] = STATE(6767),
    [sym_if_statement] = STATE(6767),
    [sym_when_statement] = STATE(6767),
    [sym_for_statement] = STATE(6767),
    [sym_switch_statement] = STATE(6767),
    [sym_defer_statement] = STATE(6767),
    [sym_break_statement] = STATE(6767),
    [sym_continue_statement] = STATE(6767),
    [sym_var_declaration] = STATE(6767),
    [sym_return_statement] = STATE(6767),
    [sym_label_statement] = STATE(6767),
    [sym_using_statement] = STATE(6767),
    [sym_expression] = STATE(3081),
    [sym__expression_no_tag] = STATE(2426),
    [sym_unary_expression] = STATE(2426),
    [sym_binary_expression] = STATE(2426),
    [sym_ternary_expression] = STATE(2426),
    [sym_call_expression] = STATE(2426),
    [sym_selector_call_expression] = STATE(2426),
    [sym_member_expression] = STATE(2426),
    [sym_index_expression] = STATE(2426),
    [sym_slice_expression] = STATE(2426),
    [sym_range_expression] = STATE(2426),
    [sym_cast_expression] = STATE(2426),
    [sym_in_expression] = STATE(2426),
    [sym_variadic_expression] = STATE(2426),
    [sym_parenthesized_expression] = STATE(2426),
    [sym_or_return_expression] = STATE(2426),
    [sym_or_continue_expression] = STATE(2426),
    [sym_or_break_expression] = STATE(2426),
    [sym_address] = STATE(2426),
    [sym_map_type] = STATE(2426),
    [sym_matrix_type] = STATE(2426),
    [sym_distinct_type] = STATE(2426),
    [sym_literal] = STATE(2426),
    [sym_struct] = STATE(2413),
    [sym_map] = STATE(2256),
    [sym_bit_set] = STATE(2256),
    [sym_matrix] = STATE(2256),
    [sym_string] = STATE(2256),
    [sym__string_literal] = STATE(2258),
    [sym__raw_string_literal] = STATE(2258),
    [sym_character] = STATE(2256),
    [sym_boolean] = STATE(2256),
    [sym_field_identifier] = STATE(7777),
    [aux_sym_attributes_repeat1] = STATE(5637),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(81),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_PLUS] = ACTIONS(391),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(391),
    [anon_sym_BANG] = ACTIONS(391),
    [anon_sym_AMP] = ACTIONS(391),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_DOT_DOT] = ACTIONS(393),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(125),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [82] = {
    [sym_block] = STATE(6767),
    [sym_tagged_block] = STATE(6767),
    [sym_import_declaration] = STATE(6767),
    [sym_procedure_declaration] = STATE(6767),
    [sym_overloaded_procedure_declaration] = STATE(6767),
    [sym_struct_declaration] = STATE(6767),
    [sym_enum_declaration] = STATE(6767),
    [sym_union_declaration] = STATE(6767),
    [sym_const_declaration] = STATE(6767),
    [sym_foreign_block] = STATE(6767),
    [sym_attributes] = STATE(645),
    [sym_attribute] = STATE(5637),
    [sym_statement] = STATE(6694),
    [sym_assignment_statement] = STATE(6767),
    [sym_update_statement] = STATE(6767),
    [sym_if_statement] = STATE(6767),
    [sym_when_statement] = STATE(6767),
    [sym_for_statement] = STATE(6767),
    [sym_switch_statement] = STATE(6767),
    [sym_defer_statement] = STATE(6767),
    [sym_break_statement] = STATE(6767),
    [sym_continue_statement] = STATE(6767),
    [sym_var_declaration] = STATE(6767),
    [sym_return_statement] = STATE(6767),
    [sym_label_statement] = STATE(6767),
    [sym_using_statement] = STATE(6767),
    [sym_expression] = STATE(3081),
    [sym__expression_no_tag] = STATE(2426),
    [sym_unary_expression] = STATE(2426),
    [sym_binary_expression] = STATE(2426),
    [sym_ternary_expression] = STATE(2426),
    [sym_call_expression] = STATE(2426),
    [sym_selector_call_expression] = STATE(2426),
    [sym_member_expression] = STATE(2426),
    [sym_index_expression] = STATE(2426),
    [sym_slice_expression] = STATE(2426),
    [sym_range_expression] = STATE(2426),
    [sym_cast_expression] = STATE(2426),
    [sym_in_expression] = STATE(2426),
    [sym_variadic_expression] = STATE(2426),
    [sym_parenthesized_expression] = STATE(2426),
    [sym_or_return_expression] = STATE(2426),
    [sym_or_continue_expression] = STATE(2426),
    [sym_or_break_expression] = STATE(2426),
    [sym_address] = STATE(2426),
    [sym_map_type] = STATE(2426),
    [sym_matrix_type] = STATE(2426),
    [sym_distinct_type] = STATE(2426),
    [sym_literal] = STATE(2426),
    [sym_struct] = STATE(2413),
    [sym_map] = STATE(2256),
    [sym_bit_set] = STATE(2256),
    [sym_matrix] = STATE(2256),
    [sym_string] = STATE(2256),
    [sym__string_literal] = STATE(2258),
    [sym__raw_string_literal] = STATE(2258),
    [sym_character] = STATE(2256),
    [sym_boolean] = STATE(2256),
    [sym_field_identifier] = STATE(7777),
    [aux_sym_attributes_repeat1] = STATE(5637),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(81),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_PLUS] = ACTIONS(391),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(391),
    [anon_sym_BANG] = ACTIONS(391),
    [anon_sym_AMP] = ACTIONS(391),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_DOT_DOT] = ACTIONS(393),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(125),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [83] = {
    [sym_block] = STATE(6767),
    [sym_tagged_block] = STATE(6767),
    [sym_import_declaration] = STATE(6767),
    [sym_procedure_declaration] = STATE(6767),
    [sym_overloaded_procedure_declaration] = STATE(6767),
    [sym_struct_declaration] = STATE(6767),
    [sym_enum_declaration] = STATE(6767),
    [sym_union_declaration] = STATE(6767),
    [sym_const_declaration] = STATE(6767),
    [sym_foreign_block] = STATE(6767),
    [sym_attributes] = STATE(645),
    [sym_attribute] = STATE(5637),
    [sym_statement] = STATE(6696),
    [sym_assignment_statement] = STATE(6767),
    [sym_update_statement] = STATE(6767),
    [sym_if_statement] = STATE(6767),
    [sym_when_statement] = STATE(6767),
    [sym_for_statement] = STATE(6767),
    [sym_switch_statement] = STATE(6767),
    [sym_defer_statement] = STATE(6767),
    [sym_break_statement] = STATE(6767),
    [sym_continue_statement] = STATE(6767),
    [sym_var_declaration] = STATE(6767),
    [sym_return_statement] = STATE(6767),
    [sym_label_statement] = STATE(6767),
    [sym_using_statement] = STATE(6767),
    [sym_expression] = STATE(3081),
    [sym__expression_no_tag] = STATE(2426),
    [sym_unary_expression] = STATE(2426),
    [sym_binary_expression] = STATE(2426),
    [sym_ternary_expression] = STATE(2426),
    [sym_call_expression] = STATE(2426),
    [sym_selector_call_expression] = STATE(2426),
    [sym_member_expression] = STATE(2426),
    [sym_index_expression] = STATE(2426),
    [sym_slice_expression] = STATE(2426),
    [sym_range_expression] = STATE(2426),
    [sym_cast_expression] = STATE(2426),
    [sym_in_expression] = STATE(2426),
    [sym_variadic_expression] = STATE(2426),
    [sym_parenthesized_expression] = STATE(2426),
    [sym_or_return_expression] = STATE(2426),
    [sym_or_continue_expression] = STATE(2426),
    [sym_or_break_expression] = STATE(2426),
    [sym_address] = STATE(2426),
    [sym_map_type] = STATE(2426),
    [sym_matrix_type] = STATE(2426),
    [sym_distinct_type] = STATE(2426),
    [sym_literal] = STATE(2426),
    [sym_struct] = STATE(2413),
    [sym_map] = STATE(2256),
    [sym_bit_set] = STATE(2256),
    [sym_matrix] = STATE(2256),
    [sym_string] = STATE(2256),
    [sym__string_literal] = STATE(2258),
    [sym__raw_string_literal] = STATE(2258),
    [sym_character] = STATE(2256),
    [sym_boolean] = STATE(2256),
    [sym_field_identifier] = STATE(7777),
    [aux_sym_attributes_repeat1] = STATE(5637),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(81),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_PLUS] = ACTIONS(391),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(391),
    [anon_sym_BANG] = ACTIONS(391),
    [anon_sym_AMP] = ACTIONS(391),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_DOT_DOT] = ACTIONS(393),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(125),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [84] = {
    [sym_block] = STATE(6767),
    [sym_tagged_block] = STATE(6767),
    [sym_import_declaration] = STATE(6767),
    [sym_procedure_declaration] = STATE(6767),
    [sym_overloaded_procedure_declaration] = STATE(6767),
    [sym_struct_declaration] = STATE(6767),
    [sym_enum_declaration] = STATE(6767),
    [sym_union_declaration] = STATE(6767),
    [sym_const_declaration] = STATE(6767),
    [sym_foreign_block] = STATE(6767),
    [sym_attributes] = STATE(645),
    [sym_attribute] = STATE(5637),
    [sym_statement] = STATE(6700),
    [sym_assignment_statement] = STATE(6767),
    [sym_update_statement] = STATE(6767),
    [sym_if_statement] = STATE(6767),
    [sym_when_statement] = STATE(6767),
    [sym_for_statement] = STATE(6767),
    [sym_switch_statement] = STATE(6767),
    [sym_defer_statement] = STATE(6767),
    [sym_break_statement] = STATE(6767),
    [sym_continue_statement] = STATE(6767),
    [sym_var_declaration] = STATE(6767),
    [sym_return_statement] = STATE(6767),
    [sym_label_statement] = STATE(6767),
    [sym_using_statement] = STATE(6767),
    [sym_expression] = STATE(3081),
    [sym__expression_no_tag] = STATE(2426),
    [sym_unary_expression] = STATE(2426),
    [sym_binary_expression] = STATE(2426),
    [sym_ternary_expression] = STATE(2426),
    [sym_call_expression] = STATE(2426),
    [sym_selector_call_expression] = STATE(2426),
    [sym_member_expression] = STATE(2426),
    [sym_index_expression] = STATE(2426),
    [sym_slice_expression] = STATE(2426),
    [sym_range_expression] = STATE(2426),
    [sym_cast_expression] = STATE(2426),
    [sym_in_expression] = STATE(2426),
    [sym_variadic_expression] = STATE(2426),
    [sym_parenthesized_expression] = STATE(2426),
    [sym_or_return_expression] = STATE(2426),
    [sym_or_continue_expression] = STATE(2426),
    [sym_or_break_expression] = STATE(2426),
    [sym_address] = STATE(2426),
    [sym_map_type] = STATE(2426),
    [sym_matrix_type] = STATE(2426),
    [sym_distinct_type] = STATE(2426),
    [sym_literal] = STATE(2426),
    [sym_struct] = STATE(2413),
    [sym_map] = STATE(2256),
    [sym_bit_set] = STATE(2256),
    [sym_matrix] = STATE(2256),
    [sym_string] = STATE(2256),
    [sym__string_literal] = STATE(2258),
    [sym__raw_string_literal] = STATE(2258),
    [sym_character] = STATE(2256),
    [sym_boolean] = STATE(2256),
    [sym_field_identifier] = STATE(7777),
    [aux_sym_attributes_repeat1] = STATE(5637),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(81),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_PLUS] = ACTIONS(391),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(391),
    [anon_sym_BANG] = ACTIONS(391),
    [anon_sym_AMP] = ACTIONS(391),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_DOT_DOT] = ACTIONS(393),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(125),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [85] = {
    [sym_block] = STATE(6767),
    [sym_tagged_block] = STATE(6767),
    [sym_import_declaration] = STATE(6767),
    [sym_procedure_declaration] = STATE(6767),
    [sym_overloaded_procedure_declaration] = STATE(6767),
    [sym_struct_declaration] = STATE(6767),
    [sym_enum_declaration] = STATE(6767),
    [sym_union_declaration] = STATE(6767),
    [sym_const_declaration] = STATE(6767),
    [sym_foreign_block] = STATE(6767),
    [sym_attributes] = STATE(645),
    [sym_attribute] = STATE(5637),
    [sym_statement] = STATE(6813),
    [sym_assignment_statement] = STATE(6767),
    [sym_update_statement] = STATE(6767),
    [sym_if_statement] = STATE(6767),
    [sym_when_statement] = STATE(6767),
    [sym_for_statement] = STATE(6767),
    [sym_switch_statement] = STATE(6767),
    [sym_defer_statement] = STATE(6767),
    [sym_break_statement] = STATE(6767),
    [sym_continue_statement] = STATE(6767),
    [sym_var_declaration] = STATE(6767),
    [sym_return_statement] = STATE(6767),
    [sym_label_statement] = STATE(6767),
    [sym_using_statement] = STATE(6767),
    [sym_expression] = STATE(3081),
    [sym__expression_no_tag] = STATE(2426),
    [sym_unary_expression] = STATE(2426),
    [sym_binary_expression] = STATE(2426),
    [sym_ternary_expression] = STATE(2426),
    [sym_call_expression] = STATE(2426),
    [sym_selector_call_expression] = STATE(2426),
    [sym_member_expression] = STATE(2426),
    [sym_index_expression] = STATE(2426),
    [sym_slice_expression] = STATE(2426),
    [sym_range_expression] = STATE(2426),
    [sym_cast_expression] = STATE(2426),
    [sym_in_expression] = STATE(2426),
    [sym_variadic_expression] = STATE(2426),
    [sym_parenthesized_expression] = STATE(2426),
    [sym_or_return_expression] = STATE(2426),
    [sym_or_continue_expression] = STATE(2426),
    [sym_or_break_expression] = STATE(2426),
    [sym_address] = STATE(2426),
    [sym_map_type] = STATE(2426),
    [sym_matrix_type] = STATE(2426),
    [sym_distinct_type] = STATE(2426),
    [sym_literal] = STATE(2426),
    [sym_struct] = STATE(2413),
    [sym_map] = STATE(2256),
    [sym_bit_set] = STATE(2256),
    [sym_matrix] = STATE(2256),
    [sym_string] = STATE(2256),
    [sym__string_literal] = STATE(2258),
    [sym__raw_string_literal] = STATE(2258),
    [sym_character] = STATE(2256),
    [sym_boolean] = STATE(2256),
    [sym_field_identifier] = STATE(7777),
    [aux_sym_attributes_repeat1] = STATE(5637),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(81),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_PLUS] = ACTIONS(391),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(391),
    [anon_sym_BANG] = ACTIONS(391),
    [anon_sym_AMP] = ACTIONS(391),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_DOT_DOT] = ACTIONS(393),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(125),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [86] = {
    [sym_block] = STATE(6767),
    [sym_tagged_block] = STATE(6767),
    [sym_import_declaration] = STATE(6767),
    [sym_procedure_declaration] = STATE(6767),
    [sym_overloaded_procedure_declaration] = STATE(6767),
    [sym_struct_declaration] = STATE(6767),
    [sym_enum_declaration] = STATE(6767),
    [sym_union_declaration] = STATE(6767),
    [sym_const_declaration] = STATE(6767),
    [sym_foreign_block] = STATE(6767),
    [sym_attributes] = STATE(645),
    [sym_attribute] = STATE(5637),
    [sym_statement] = STATE(6756),
    [sym_assignment_statement] = STATE(6767),
    [sym_update_statement] = STATE(6767),
    [sym_if_statement] = STATE(6767),
    [sym_when_statement] = STATE(6767),
    [sym_for_statement] = STATE(6767),
    [sym_switch_statement] = STATE(6767),
    [sym_defer_statement] = STATE(6767),
    [sym_break_statement] = STATE(6767),
    [sym_continue_statement] = STATE(6767),
    [sym_var_declaration] = STATE(6767),
    [sym_return_statement] = STATE(6767),
    [sym_label_statement] = STATE(6767),
    [sym_using_statement] = STATE(6767),
    [sym_expression] = STATE(3081),
    [sym__expression_no_tag] = STATE(2426),
    [sym_unary_expression] = STATE(2426),
    [sym_binary_expression] = STATE(2426),
    [sym_ternary_expression] = STATE(2426),
    [sym_call_expression] = STATE(2426),
    [sym_selector_call_expression] = STATE(2426),
    [sym_member_expression] = STATE(2426),
    [sym_index_expression] = STATE(2426),
    [sym_slice_expression] = STATE(2426),
    [sym_range_expression] = STATE(2426),
    [sym_cast_expression] = STATE(2426),
    [sym_in_expression] = STATE(2426),
    [sym_variadic_expression] = STATE(2426),
    [sym_parenthesized_expression] = STATE(2426),
    [sym_or_return_expression] = STATE(2426),
    [sym_or_continue_expression] = STATE(2426),
    [sym_or_break_expression] = STATE(2426),
    [sym_address] = STATE(2426),
    [sym_map_type] = STATE(2426),
    [sym_matrix_type] = STATE(2426),
    [sym_distinct_type] = STATE(2426),
    [sym_literal] = STATE(2426),
    [sym_struct] = STATE(2413),
    [sym_map] = STATE(2256),
    [sym_bit_set] = STATE(2256),
    [sym_matrix] = STATE(2256),
    [sym_string] = STATE(2256),
    [sym__string_literal] = STATE(2258),
    [sym__raw_string_literal] = STATE(2258),
    [sym_character] = STATE(2256),
    [sym_boolean] = STATE(2256),
    [sym_field_identifier] = STATE(7777),
    [aux_sym_attributes_repeat1] = STATE(5637),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(81),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_PLUS] = ACTIONS(391),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(391),
    [anon_sym_BANG] = ACTIONS(391),
    [anon_sym_AMP] = ACTIONS(391),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_DOT_DOT] = ACTIONS(393),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(125),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [87] = {
    [sym_block] = STATE(6767),
    [sym_tagged_block] = STATE(6767),
    [sym_import_declaration] = STATE(6767),
    [sym_procedure_declaration] = STATE(6767),
    [sym_overloaded_procedure_declaration] = STATE(6767),
    [sym_struct_declaration] = STATE(6767),
    [sym_enum_declaration] = STATE(6767),
    [sym_union_declaration] = STATE(6767),
    [sym_const_declaration] = STATE(6767),
    [sym_foreign_block] = STATE(6767),
    [sym_attributes] = STATE(645),
    [sym_attribute] = STATE(5637),
    [sym_statement] = STATE(6413),
    [sym_assignment_statement] = STATE(6767),
    [sym_update_statement] = STATE(6767),
    [sym_if_statement] = STATE(6767),
    [sym_when_statement] = STATE(6767),
    [sym_for_statement] = STATE(6767),
    [sym_switch_statement] = STATE(6767),
    [sym_defer_statement] = STATE(6767),
    [sym_break_statement] = STATE(6767),
    [sym_continue_statement] = STATE(6767),
    [sym_var_declaration] = STATE(6767),
    [sym_return_statement] = STATE(6767),
    [sym_label_statement] = STATE(6767),
    [sym_using_statement] = STATE(6767),
    [sym_expression] = STATE(3151),
    [sym__expression_no_tag] = STATE(2377),
    [sym_unary_expression] = STATE(2377),
    [sym_binary_expression] = STATE(2377),
    [sym_ternary_expression] = STATE(2377),
    [sym_call_expression] = STATE(2377),
    [sym_selector_call_expression] = STATE(2377),
    [sym_member_expression] = STATE(2377),
    [sym_index_expression] = STATE(2377),
    [sym_slice_expression] = STATE(2377),
    [sym_range_expression] = STATE(2377),
    [sym_cast_expression] = STATE(2377),
    [sym_in_expression] = STATE(2377),
    [sym_variadic_expression] = STATE(2377),
    [sym_parenthesized_expression] = STATE(2377),
    [sym_or_return_expression] = STATE(2377),
    [sym_or_continue_expression] = STATE(2377),
    [sym_or_break_expression] = STATE(2377),
    [sym_address] = STATE(2377),
    [sym_map_type] = STATE(2377),
    [sym_matrix_type] = STATE(2377),
    [sym_distinct_type] = STATE(2377),
    [sym_literal] = STATE(2377),
    [sym_struct] = STATE(2253),
    [sym_map] = STATE(2256),
    [sym_bit_set] = STATE(2256),
    [sym_matrix] = STATE(2256),
    [sym_string] = STATE(2256),
    [sym__string_literal] = STATE(2258),
    [sym__raw_string_literal] = STATE(2258),
    [sym_character] = STATE(2256),
    [sym_boolean] = STATE(2256),
    [sym_field_identifier] = STATE(7777),
    [aux_sym_attributes_repeat1] = STATE(5637),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(571),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(573),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(575),
    [anon_sym_PLUS] = ACTIONS(577),
    [anon_sym_DASH] = ACTIONS(185),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [anon_sym_AMP] = ACTIONS(577),
    [anon_sym_DOT] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(189),
    [anon_sym_transmute] = ACTIONS(189),
    [anon_sym_auto_cast] = ACTIONS(191),
    [anon_sym_DOT_DOT] = ACTIONS(579),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(581),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [88] = {
    [sym_block] = STATE(6767),
    [sym_tagged_block] = STATE(6767),
    [sym_import_declaration] = STATE(6767),
    [sym_procedure_declaration] = STATE(6767),
    [sym_overloaded_procedure_declaration] = STATE(6767),
    [sym_struct_declaration] = STATE(6767),
    [sym_enum_declaration] = STATE(6767),
    [sym_union_declaration] = STATE(6767),
    [sym_const_declaration] = STATE(6767),
    [sym_foreign_block] = STATE(6767),
    [sym_attributes] = STATE(645),
    [sym_attribute] = STATE(5637),
    [sym_statement] = STATE(6418),
    [sym_assignment_statement] = STATE(6767),
    [sym_update_statement] = STATE(6767),
    [sym_if_statement] = STATE(6767),
    [sym_when_statement] = STATE(6767),
    [sym_for_statement] = STATE(6767),
    [sym_switch_statement] = STATE(6767),
    [sym_defer_statement] = STATE(6767),
    [sym_break_statement] = STATE(6767),
    [sym_continue_statement] = STATE(6767),
    [sym_var_declaration] = STATE(6767),
    [sym_return_statement] = STATE(6767),
    [sym_label_statement] = STATE(6767),
    [sym_using_statement] = STATE(6767),
    [sym_expression] = STATE(3151),
    [sym__expression_no_tag] = STATE(2377),
    [sym_unary_expression] = STATE(2377),
    [sym_binary_expression] = STATE(2377),
    [sym_ternary_expression] = STATE(2377),
    [sym_call_expression] = STATE(2377),
    [sym_selector_call_expression] = STATE(2377),
    [sym_member_expression] = STATE(2377),
    [sym_index_expression] = STATE(2377),
    [sym_slice_expression] = STATE(2377),
    [sym_range_expression] = STATE(2377),
    [sym_cast_expression] = STATE(2377),
    [sym_in_expression] = STATE(2377),
    [sym_variadic_expression] = STATE(2377),
    [sym_parenthesized_expression] = STATE(2377),
    [sym_or_return_expression] = STATE(2377),
    [sym_or_continue_expression] = STATE(2377),
    [sym_or_break_expression] = STATE(2377),
    [sym_address] = STATE(2377),
    [sym_map_type] = STATE(2377),
    [sym_matrix_type] = STATE(2377),
    [sym_distinct_type] = STATE(2377),
    [sym_literal] = STATE(2377),
    [sym_struct] = STATE(2253),
    [sym_map] = STATE(2256),
    [sym_bit_set] = STATE(2256),
    [sym_matrix] = STATE(2256),
    [sym_string] = STATE(2256),
    [sym__string_literal] = STATE(2258),
    [sym__raw_string_literal] = STATE(2258),
    [sym_character] = STATE(2256),
    [sym_boolean] = STATE(2256),
    [sym_field_identifier] = STATE(7777),
    [aux_sym_attributes_repeat1] = STATE(5637),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(571),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(573),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(575),
    [anon_sym_PLUS] = ACTIONS(577),
    [anon_sym_DASH] = ACTIONS(185),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [anon_sym_AMP] = ACTIONS(577),
    [anon_sym_DOT] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(189),
    [anon_sym_transmute] = ACTIONS(189),
    [anon_sym_auto_cast] = ACTIONS(191),
    [anon_sym_DOT_DOT] = ACTIONS(579),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(581),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [89] = {
    [sym_block] = STATE(6767),
    [sym_tagged_block] = STATE(6767),
    [sym_import_declaration] = STATE(6767),
    [sym_procedure_declaration] = STATE(6767),
    [sym_overloaded_procedure_declaration] = STATE(6767),
    [sym_struct_declaration] = STATE(6767),
    [sym_enum_declaration] = STATE(6767),
    [sym_union_declaration] = STATE(6767),
    [sym_const_declaration] = STATE(6767),
    [sym_foreign_block] = STATE(6767),
    [sym_attributes] = STATE(645),
    [sym_attribute] = STATE(5637),
    [sym_statement] = STATE(6756),
    [sym_assignment_statement] = STATE(6767),
    [sym_update_statement] = STATE(6767),
    [sym_if_statement] = STATE(6767),
    [sym_when_statement] = STATE(6767),
    [sym_for_statement] = STATE(6767),
    [sym_switch_statement] = STATE(6767),
    [sym_defer_statement] = STATE(6767),
    [sym_break_statement] = STATE(6767),
    [sym_continue_statement] = STATE(6767),
    [sym_var_declaration] = STATE(6767),
    [sym_return_statement] = STATE(6767),
    [sym_label_statement] = STATE(6767),
    [sym_using_statement] = STATE(6767),
    [sym_expression] = STATE(3151),
    [sym__expression_no_tag] = STATE(2377),
    [sym_unary_expression] = STATE(2377),
    [sym_binary_expression] = STATE(2377),
    [sym_ternary_expression] = STATE(2377),
    [sym_call_expression] = STATE(2377),
    [sym_selector_call_expression] = STATE(2377),
    [sym_member_expression] = STATE(2377),
    [sym_index_expression] = STATE(2377),
    [sym_slice_expression] = STATE(2377),
    [sym_range_expression] = STATE(2377),
    [sym_cast_expression] = STATE(2377),
    [sym_in_expression] = STATE(2377),
    [sym_variadic_expression] = STATE(2377),
    [sym_parenthesized_expression] = STATE(2377),
    [sym_or_return_expression] = STATE(2377),
    [sym_or_continue_expression] = STATE(2377),
    [sym_or_break_expression] = STATE(2377),
    [sym_address] = STATE(2377),
    [sym_map_type] = STATE(2377),
    [sym_matrix_type] = STATE(2377),
    [sym_distinct_type] = STATE(2377),
    [sym_literal] = STATE(2377),
    [sym_struct] = STATE(2253),
    [sym_map] = STATE(2256),
    [sym_bit_set] = STATE(2256),
    [sym_matrix] = STATE(2256),
    [sym_string] = STATE(2256),
    [sym__string_literal] = STATE(2258),
    [sym__raw_string_literal] = STATE(2258),
    [sym_character] = STATE(2256),
    [sym_boolean] = STATE(2256),
    [sym_field_identifier] = STATE(7777),
    [aux_sym_attributes_repeat1] = STATE(5637),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(571),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(573),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(575),
    [anon_sym_PLUS] = ACTIONS(577),
    [anon_sym_DASH] = ACTIONS(185),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [anon_sym_AMP] = ACTIONS(577),
    [anon_sym_DOT] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(189),
    [anon_sym_transmute] = ACTIONS(189),
    [anon_sym_auto_cast] = ACTIONS(191),
    [anon_sym_DOT_DOT] = ACTIONS(579),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(581),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [90] = {
    [sym_block] = STATE(6767),
    [sym_tagged_block] = STATE(6767),
    [sym_import_declaration] = STATE(6767),
    [sym_procedure_declaration] = STATE(6767),
    [sym_overloaded_procedure_declaration] = STATE(6767),
    [sym_struct_declaration] = STATE(6767),
    [sym_enum_declaration] = STATE(6767),
    [sym_union_declaration] = STATE(6767),
    [sym_const_declaration] = STATE(6767),
    [sym_foreign_block] = STATE(6767),
    [sym_attributes] = STATE(645),
    [sym_attribute] = STATE(5637),
    [sym_statement] = STATE(6828),
    [sym_assignment_statement] = STATE(6767),
    [sym_update_statement] = STATE(6767),
    [sym_if_statement] = STATE(6767),
    [sym_when_statement] = STATE(6767),
    [sym_for_statement] = STATE(6767),
    [sym_switch_statement] = STATE(6767),
    [sym_defer_statement] = STATE(6767),
    [sym_break_statement] = STATE(6767),
    [sym_continue_statement] = STATE(6767),
    [sym_var_declaration] = STATE(6767),
    [sym_return_statement] = STATE(6767),
    [sym_label_statement] = STATE(6767),
    [sym_using_statement] = STATE(6767),
    [sym_expression] = STATE(3151),
    [sym__expression_no_tag] = STATE(2377),
    [sym_unary_expression] = STATE(2377),
    [sym_binary_expression] = STATE(2377),
    [sym_ternary_expression] = STATE(2377),
    [sym_call_expression] = STATE(2377),
    [sym_selector_call_expression] = STATE(2377),
    [sym_member_expression] = STATE(2377),
    [sym_index_expression] = STATE(2377),
    [sym_slice_expression] = STATE(2377),
    [sym_range_expression] = STATE(2377),
    [sym_cast_expression] = STATE(2377),
    [sym_in_expression] = STATE(2377),
    [sym_variadic_expression] = STATE(2377),
    [sym_parenthesized_expression] = STATE(2377),
    [sym_or_return_expression] = STATE(2377),
    [sym_or_continue_expression] = STATE(2377),
    [sym_or_break_expression] = STATE(2377),
    [sym_address] = STATE(2377),
    [sym_map_type] = STATE(2377),
    [sym_matrix_type] = STATE(2377),
    [sym_distinct_type] = STATE(2377),
    [sym_literal] = STATE(2377),
    [sym_struct] = STATE(2253),
    [sym_map] = STATE(2256),
    [sym_bit_set] = STATE(2256),
    [sym_matrix] = STATE(2256),
    [sym_string] = STATE(2256),
    [sym__string_literal] = STATE(2258),
    [sym__raw_string_literal] = STATE(2258),
    [sym_character] = STATE(2256),
    [sym_boolean] = STATE(2256),
    [sym_field_identifier] = STATE(7777),
    [aux_sym_attributes_repeat1] = STATE(5637),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(571),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(573),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(575),
    [anon_sym_PLUS] = ACTIONS(577),
    [anon_sym_DASH] = ACTIONS(185),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [anon_sym_AMP] = ACTIONS(577),
    [anon_sym_DOT] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(189),
    [anon_sym_transmute] = ACTIONS(189),
    [anon_sym_auto_cast] = ACTIONS(191),
    [anon_sym_DOT_DOT] = ACTIONS(579),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(581),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [91] = {
    [sym_block] = STATE(6767),
    [sym_tagged_block] = STATE(6767),
    [sym_import_declaration] = STATE(6767),
    [sym_procedure_declaration] = STATE(6767),
    [sym_overloaded_procedure_declaration] = STATE(6767),
    [sym_struct_declaration] = STATE(6767),
    [sym_enum_declaration] = STATE(6767),
    [sym_union_declaration] = STATE(6767),
    [sym_const_declaration] = STATE(6767),
    [sym_foreign_block] = STATE(6767),
    [sym_attributes] = STATE(645),
    [sym_attribute] = STATE(5637),
    [sym_statement] = STATE(6838),
    [sym_assignment_statement] = STATE(6767),
    [sym_update_statement] = STATE(6767),
    [sym_if_statement] = STATE(6767),
    [sym_when_statement] = STATE(6767),
    [sym_for_statement] = STATE(6767),
    [sym_switch_statement] = STATE(6767),
    [sym_defer_statement] = STATE(6767),
    [sym_break_statement] = STATE(6767),
    [sym_continue_statement] = STATE(6767),
    [sym_var_declaration] = STATE(6767),
    [sym_return_statement] = STATE(6767),
    [sym_label_statement] = STATE(6767),
    [sym_using_statement] = STATE(6767),
    [sym_expression] = STATE(3151),
    [sym__expression_no_tag] = STATE(2377),
    [sym_unary_expression] = STATE(2377),
    [sym_binary_expression] = STATE(2377),
    [sym_ternary_expression] = STATE(2377),
    [sym_call_expression] = STATE(2377),
    [sym_selector_call_expression] = STATE(2377),
    [sym_member_expression] = STATE(2377),
    [sym_index_expression] = STATE(2377),
    [sym_slice_expression] = STATE(2377),
    [sym_range_expression] = STATE(2377),
    [sym_cast_expression] = STATE(2377),
    [sym_in_expression] = STATE(2377),
    [sym_variadic_expression] = STATE(2377),
    [sym_parenthesized_expression] = STATE(2377),
    [sym_or_return_expression] = STATE(2377),
    [sym_or_continue_expression] = STATE(2377),
    [sym_or_break_expression] = STATE(2377),
    [sym_address] = STATE(2377),
    [sym_map_type] = STATE(2377),
    [sym_matrix_type] = STATE(2377),
    [sym_distinct_type] = STATE(2377),
    [sym_literal] = STATE(2377),
    [sym_struct] = STATE(2253),
    [sym_map] = STATE(2256),
    [sym_bit_set] = STATE(2256),
    [sym_matrix] = STATE(2256),
    [sym_string] = STATE(2256),
    [sym__string_literal] = STATE(2258),
    [sym__raw_string_literal] = STATE(2258),
    [sym_character] = STATE(2256),
    [sym_boolean] = STATE(2256),
    [sym_field_identifier] = STATE(7777),
    [aux_sym_attributes_repeat1] = STATE(5637),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(571),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(573),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(575),
    [anon_sym_PLUS] = ACTIONS(577),
    [anon_sym_DASH] = ACTIONS(185),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [anon_sym_AMP] = ACTIONS(577),
    [anon_sym_DOT] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(189),
    [anon_sym_transmute] = ACTIONS(189),
    [anon_sym_auto_cast] = ACTIONS(191),
    [anon_sym_DOT_DOT] = ACTIONS(579),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(581),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [92] = {
    [sym_block] = STATE(6767),
    [sym_tagged_block] = STATE(6767),
    [sym_import_declaration] = STATE(6767),
    [sym_procedure_declaration] = STATE(6767),
    [sym_overloaded_procedure_declaration] = STATE(6767),
    [sym_struct_declaration] = STATE(6767),
    [sym_enum_declaration] = STATE(6767),
    [sym_union_declaration] = STATE(6767),
    [sym_const_declaration] = STATE(6767),
    [sym_foreign_block] = STATE(6767),
    [sym_attributes] = STATE(645),
    [sym_attribute] = STATE(5637),
    [sym_statement] = STATE(6687),
    [sym_assignment_statement] = STATE(6767),
    [sym_update_statement] = STATE(6767),
    [sym_if_statement] = STATE(6767),
    [sym_when_statement] = STATE(6767),
    [sym_for_statement] = STATE(6767),
    [sym_switch_statement] = STATE(6767),
    [sym_defer_statement] = STATE(6767),
    [sym_break_statement] = STATE(6767),
    [sym_continue_statement] = STATE(6767),
    [sym_var_declaration] = STATE(6767),
    [sym_return_statement] = STATE(6767),
    [sym_label_statement] = STATE(6767),
    [sym_using_statement] = STATE(6767),
    [sym_expression] = STATE(3151),
    [sym__expression_no_tag] = STATE(2377),
    [sym_unary_expression] = STATE(2377),
    [sym_binary_expression] = STATE(2377),
    [sym_ternary_expression] = STATE(2377),
    [sym_call_expression] = STATE(2377),
    [sym_selector_call_expression] = STATE(2377),
    [sym_member_expression] = STATE(2377),
    [sym_index_expression] = STATE(2377),
    [sym_slice_expression] = STATE(2377),
    [sym_range_expression] = STATE(2377),
    [sym_cast_expression] = STATE(2377),
    [sym_in_expression] = STATE(2377),
    [sym_variadic_expression] = STATE(2377),
    [sym_parenthesized_expression] = STATE(2377),
    [sym_or_return_expression] = STATE(2377),
    [sym_or_continue_expression] = STATE(2377),
    [sym_or_break_expression] = STATE(2377),
    [sym_address] = STATE(2377),
    [sym_map_type] = STATE(2377),
    [sym_matrix_type] = STATE(2377),
    [sym_distinct_type] = STATE(2377),
    [sym_literal] = STATE(2377),
    [sym_struct] = STATE(2253),
    [sym_map] = STATE(2256),
    [sym_bit_set] = STATE(2256),
    [sym_matrix] = STATE(2256),
    [sym_string] = STATE(2256),
    [sym__string_literal] = STATE(2258),
    [sym__raw_string_literal] = STATE(2258),
    [sym_character] = STATE(2256),
    [sym_boolean] = STATE(2256),
    [sym_field_identifier] = STATE(7777),
    [aux_sym_attributes_repeat1] = STATE(5637),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(571),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(573),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(575),
    [anon_sym_PLUS] = ACTIONS(577),
    [anon_sym_DASH] = ACTIONS(185),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [anon_sym_AMP] = ACTIONS(577),
    [anon_sym_DOT] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(189),
    [anon_sym_transmute] = ACTIONS(189),
    [anon_sym_auto_cast] = ACTIONS(191),
    [anon_sym_DOT_DOT] = ACTIONS(579),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(581),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [93] = {
    [sym_block] = STATE(6767),
    [sym_tagged_block] = STATE(6767),
    [sym_import_declaration] = STATE(6767),
    [sym_procedure_declaration] = STATE(6767),
    [sym_overloaded_procedure_declaration] = STATE(6767),
    [sym_struct_declaration] = STATE(6767),
    [sym_enum_declaration] = STATE(6767),
    [sym_union_declaration] = STATE(6767),
    [sym_const_declaration] = STATE(6767),
    [sym_foreign_block] = STATE(6767),
    [sym_attributes] = STATE(645),
    [sym_attribute] = STATE(5637),
    [sym_statement] = STATE(6803),
    [sym_assignment_statement] = STATE(6767),
    [sym_update_statement] = STATE(6767),
    [sym_if_statement] = STATE(6767),
    [sym_when_statement] = STATE(6767),
    [sym_for_statement] = STATE(6767),
    [sym_switch_statement] = STATE(6767),
    [sym_defer_statement] = STATE(6767),
    [sym_break_statement] = STATE(6767),
    [sym_continue_statement] = STATE(6767),
    [sym_var_declaration] = STATE(6767),
    [sym_return_statement] = STATE(6767),
    [sym_label_statement] = STATE(6767),
    [sym_using_statement] = STATE(6767),
    [sym_expression] = STATE(3081),
    [sym__expression_no_tag] = STATE(2426),
    [sym_unary_expression] = STATE(2426),
    [sym_binary_expression] = STATE(2426),
    [sym_ternary_expression] = STATE(2426),
    [sym_call_expression] = STATE(2426),
    [sym_selector_call_expression] = STATE(2426),
    [sym_member_expression] = STATE(2426),
    [sym_index_expression] = STATE(2426),
    [sym_slice_expression] = STATE(2426),
    [sym_range_expression] = STATE(2426),
    [sym_cast_expression] = STATE(2426),
    [sym_in_expression] = STATE(2426),
    [sym_variadic_expression] = STATE(2426),
    [sym_parenthesized_expression] = STATE(2426),
    [sym_or_return_expression] = STATE(2426),
    [sym_or_continue_expression] = STATE(2426),
    [sym_or_break_expression] = STATE(2426),
    [sym_address] = STATE(2426),
    [sym_map_type] = STATE(2426),
    [sym_matrix_type] = STATE(2426),
    [sym_distinct_type] = STATE(2426),
    [sym_literal] = STATE(2426),
    [sym_struct] = STATE(2413),
    [sym_map] = STATE(2256),
    [sym_bit_set] = STATE(2256),
    [sym_matrix] = STATE(2256),
    [sym_string] = STATE(2256),
    [sym__string_literal] = STATE(2258),
    [sym__raw_string_literal] = STATE(2258),
    [sym_character] = STATE(2256),
    [sym_boolean] = STATE(2256),
    [sym_field_identifier] = STATE(7777),
    [aux_sym_attributes_repeat1] = STATE(5637),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(81),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_PLUS] = ACTIONS(391),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(391),
    [anon_sym_BANG] = ACTIONS(391),
    [anon_sym_AMP] = ACTIONS(391),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_DOT_DOT] = ACTIONS(393),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(125),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [94] = {
    [sym_block] = STATE(6767),
    [sym_tagged_block] = STATE(6767),
    [sym_import_declaration] = STATE(6767),
    [sym_procedure_declaration] = STATE(6767),
    [sym_overloaded_procedure_declaration] = STATE(6767),
    [sym_struct_declaration] = STATE(6767),
    [sym_enum_declaration] = STATE(6767),
    [sym_union_declaration] = STATE(6767),
    [sym_const_declaration] = STATE(6767),
    [sym_foreign_block] = STATE(6767),
    [sym_attributes] = STATE(645),
    [sym_attribute] = STATE(5637),
    [sym_statement] = STATE(6694),
    [sym_assignment_statement] = STATE(6767),
    [sym_update_statement] = STATE(6767),
    [sym_if_statement] = STATE(6767),
    [sym_when_statement] = STATE(6767),
    [sym_for_statement] = STATE(6767),
    [sym_switch_statement] = STATE(6767),
    [sym_defer_statement] = STATE(6767),
    [sym_break_statement] = STATE(6767),
    [sym_continue_statement] = STATE(6767),
    [sym_var_declaration] = STATE(6767),
    [sym_return_statement] = STATE(6767),
    [sym_label_statement] = STATE(6767),
    [sym_using_statement] = STATE(6767),
    [sym_expression] = STATE(3151),
    [sym__expression_no_tag] = STATE(2377),
    [sym_unary_expression] = STATE(2377),
    [sym_binary_expression] = STATE(2377),
    [sym_ternary_expression] = STATE(2377),
    [sym_call_expression] = STATE(2377),
    [sym_selector_call_expression] = STATE(2377),
    [sym_member_expression] = STATE(2377),
    [sym_index_expression] = STATE(2377),
    [sym_slice_expression] = STATE(2377),
    [sym_range_expression] = STATE(2377),
    [sym_cast_expression] = STATE(2377),
    [sym_in_expression] = STATE(2377),
    [sym_variadic_expression] = STATE(2377),
    [sym_parenthesized_expression] = STATE(2377),
    [sym_or_return_expression] = STATE(2377),
    [sym_or_continue_expression] = STATE(2377),
    [sym_or_break_expression] = STATE(2377),
    [sym_address] = STATE(2377),
    [sym_map_type] = STATE(2377),
    [sym_matrix_type] = STATE(2377),
    [sym_distinct_type] = STATE(2377),
    [sym_literal] = STATE(2377),
    [sym_struct] = STATE(2253),
    [sym_map] = STATE(2256),
    [sym_bit_set] = STATE(2256),
    [sym_matrix] = STATE(2256),
    [sym_string] = STATE(2256),
    [sym__string_literal] = STATE(2258),
    [sym__raw_string_literal] = STATE(2258),
    [sym_character] = STATE(2256),
    [sym_boolean] = STATE(2256),
    [sym_field_identifier] = STATE(7777),
    [aux_sym_attributes_repeat1] = STATE(5637),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(571),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(573),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(575),
    [anon_sym_PLUS] = ACTIONS(577),
    [anon_sym_DASH] = ACTIONS(185),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [anon_sym_AMP] = ACTIONS(577),
    [anon_sym_DOT] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(189),
    [anon_sym_transmute] = ACTIONS(189),
    [anon_sym_auto_cast] = ACTIONS(191),
    [anon_sym_DOT_DOT] = ACTIONS(579),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(581),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [95] = {
    [sym_block] = STATE(6767),
    [sym_tagged_block] = STATE(6767),
    [sym_import_declaration] = STATE(6767),
    [sym_procedure_declaration] = STATE(6767),
    [sym_overloaded_procedure_declaration] = STATE(6767),
    [sym_struct_declaration] = STATE(6767),
    [sym_enum_declaration] = STATE(6767),
    [sym_union_declaration] = STATE(6767),
    [sym_const_declaration] = STATE(6767),
    [sym_foreign_block] = STATE(6767),
    [sym_attributes] = STATE(645),
    [sym_attribute] = STATE(5637),
    [sym_statement] = STATE(6696),
    [sym_assignment_statement] = STATE(6767),
    [sym_update_statement] = STATE(6767),
    [sym_if_statement] = STATE(6767),
    [sym_when_statement] = STATE(6767),
    [sym_for_statement] = STATE(6767),
    [sym_switch_statement] = STATE(6767),
    [sym_defer_statement] = STATE(6767),
    [sym_break_statement] = STATE(6767),
    [sym_continue_statement] = STATE(6767),
    [sym_var_declaration] = STATE(6767),
    [sym_return_statement] = STATE(6767),
    [sym_label_statement] = STATE(6767),
    [sym_using_statement] = STATE(6767),
    [sym_expression] = STATE(3151),
    [sym__expression_no_tag] = STATE(2377),
    [sym_unary_expression] = STATE(2377),
    [sym_binary_expression] = STATE(2377),
    [sym_ternary_expression] = STATE(2377),
    [sym_call_expression] = STATE(2377),
    [sym_selector_call_expression] = STATE(2377),
    [sym_member_expression] = STATE(2377),
    [sym_index_expression] = STATE(2377),
    [sym_slice_expression] = STATE(2377),
    [sym_range_expression] = STATE(2377),
    [sym_cast_expression] = STATE(2377),
    [sym_in_expression] = STATE(2377),
    [sym_variadic_expression] = STATE(2377),
    [sym_parenthesized_expression] = STATE(2377),
    [sym_or_return_expression] = STATE(2377),
    [sym_or_continue_expression] = STATE(2377),
    [sym_or_break_expression] = STATE(2377),
    [sym_address] = STATE(2377),
    [sym_map_type] = STATE(2377),
    [sym_matrix_type] = STATE(2377),
    [sym_distinct_type] = STATE(2377),
    [sym_literal] = STATE(2377),
    [sym_struct] = STATE(2253),
    [sym_map] = STATE(2256),
    [sym_bit_set] = STATE(2256),
    [sym_matrix] = STATE(2256),
    [sym_string] = STATE(2256),
    [sym__string_literal] = STATE(2258),
    [sym__raw_string_literal] = STATE(2258),
    [sym_character] = STATE(2256),
    [sym_boolean] = STATE(2256),
    [sym_field_identifier] = STATE(7777),
    [aux_sym_attributes_repeat1] = STATE(5637),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(571),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(573),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(575),
    [anon_sym_PLUS] = ACTIONS(577),
    [anon_sym_DASH] = ACTIONS(185),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [anon_sym_AMP] = ACTIONS(577),
    [anon_sym_DOT] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(189),
    [anon_sym_transmute] = ACTIONS(189),
    [anon_sym_auto_cast] = ACTIONS(191),
    [anon_sym_DOT_DOT] = ACTIONS(579),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(581),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [96] = {
    [sym_block] = STATE(6767),
    [sym_tagged_block] = STATE(6767),
    [sym_import_declaration] = STATE(6767),
    [sym_procedure_declaration] = STATE(6767),
    [sym_overloaded_procedure_declaration] = STATE(6767),
    [sym_struct_declaration] = STATE(6767),
    [sym_enum_declaration] = STATE(6767),
    [sym_union_declaration] = STATE(6767),
    [sym_const_declaration] = STATE(6767),
    [sym_foreign_block] = STATE(6767),
    [sym_attributes] = STATE(645),
    [sym_attribute] = STATE(5637),
    [sym_statement] = STATE(6700),
    [sym_assignment_statement] = STATE(6767),
    [sym_update_statement] = STATE(6767),
    [sym_if_statement] = STATE(6767),
    [sym_when_statement] = STATE(6767),
    [sym_for_statement] = STATE(6767),
    [sym_switch_statement] = STATE(6767),
    [sym_defer_statement] = STATE(6767),
    [sym_break_statement] = STATE(6767),
    [sym_continue_statement] = STATE(6767),
    [sym_var_declaration] = STATE(6767),
    [sym_return_statement] = STATE(6767),
    [sym_label_statement] = STATE(6767),
    [sym_using_statement] = STATE(6767),
    [sym_expression] = STATE(3151),
    [sym__expression_no_tag] = STATE(2377),
    [sym_unary_expression] = STATE(2377),
    [sym_binary_expression] = STATE(2377),
    [sym_ternary_expression] = STATE(2377),
    [sym_call_expression] = STATE(2377),
    [sym_selector_call_expression] = STATE(2377),
    [sym_member_expression] = STATE(2377),
    [sym_index_expression] = STATE(2377),
    [sym_slice_expression] = STATE(2377),
    [sym_range_expression] = STATE(2377),
    [sym_cast_expression] = STATE(2377),
    [sym_in_expression] = STATE(2377),
    [sym_variadic_expression] = STATE(2377),
    [sym_parenthesized_expression] = STATE(2377),
    [sym_or_return_expression] = STATE(2377),
    [sym_or_continue_expression] = STATE(2377),
    [sym_or_break_expression] = STATE(2377),
    [sym_address] = STATE(2377),
    [sym_map_type] = STATE(2377),
    [sym_matrix_type] = STATE(2377),
    [sym_distinct_type] = STATE(2377),
    [sym_literal] = STATE(2377),
    [sym_struct] = STATE(2253),
    [sym_map] = STATE(2256),
    [sym_bit_set] = STATE(2256),
    [sym_matrix] = STATE(2256),
    [sym_string] = STATE(2256),
    [sym__string_literal] = STATE(2258),
    [sym__raw_string_literal] = STATE(2258),
    [sym_character] = STATE(2256),
    [sym_boolean] = STATE(2256),
    [sym_field_identifier] = STATE(7777),
    [aux_sym_attributes_repeat1] = STATE(5637),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(571),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(573),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(575),
    [anon_sym_PLUS] = ACTIONS(577),
    [anon_sym_DASH] = ACTIONS(185),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [anon_sym_AMP] = ACTIONS(577),
    [anon_sym_DOT] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(189),
    [anon_sym_transmute] = ACTIONS(189),
    [anon_sym_auto_cast] = ACTIONS(191),
    [anon_sym_DOT_DOT] = ACTIONS(579),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(581),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [97] = {
    [sym_block] = STATE(6767),
    [sym_tagged_block] = STATE(6767),
    [sym_import_declaration] = STATE(6767),
    [sym_procedure_declaration] = STATE(6767),
    [sym_overloaded_procedure_declaration] = STATE(6767),
    [sym_struct_declaration] = STATE(6767),
    [sym_enum_declaration] = STATE(6767),
    [sym_union_declaration] = STATE(6767),
    [sym_const_declaration] = STATE(6767),
    [sym_foreign_block] = STATE(6767),
    [sym_attributes] = STATE(645),
    [sym_attribute] = STATE(5637),
    [sym_statement] = STATE(6803),
    [sym_assignment_statement] = STATE(6767),
    [sym_update_statement] = STATE(6767),
    [sym_if_statement] = STATE(6767),
    [sym_when_statement] = STATE(6767),
    [sym_for_statement] = STATE(6767),
    [sym_switch_statement] = STATE(6767),
    [sym_defer_statement] = STATE(6767),
    [sym_break_statement] = STATE(6767),
    [sym_continue_statement] = STATE(6767),
    [sym_var_declaration] = STATE(6767),
    [sym_return_statement] = STATE(6767),
    [sym_label_statement] = STATE(6767),
    [sym_using_statement] = STATE(6767),
    [sym_expression] = STATE(3151),
    [sym__expression_no_tag] = STATE(2377),
    [sym_unary_expression] = STATE(2377),
    [sym_binary_expression] = STATE(2377),
    [sym_ternary_expression] = STATE(2377),
    [sym_call_expression] = STATE(2377),
    [sym_selector_call_expression] = STATE(2377),
    [sym_member_expression] = STATE(2377),
    [sym_index_expression] = STATE(2377),
    [sym_slice_expression] = STATE(2377),
    [sym_range_expression] = STATE(2377),
    [sym_cast_expression] = STATE(2377),
    [sym_in_expression] = STATE(2377),
    [sym_variadic_expression] = STATE(2377),
    [sym_parenthesized_expression] = STATE(2377),
    [sym_or_return_expression] = STATE(2377),
    [sym_or_continue_expression] = STATE(2377),
    [sym_or_break_expression] = STATE(2377),
    [sym_address] = STATE(2377),
    [sym_map_type] = STATE(2377),
    [sym_matrix_type] = STATE(2377),
    [sym_distinct_type] = STATE(2377),
    [sym_literal] = STATE(2377),
    [sym_struct] = STATE(2253),
    [sym_map] = STATE(2256),
    [sym_bit_set] = STATE(2256),
    [sym_matrix] = STATE(2256),
    [sym_string] = STATE(2256),
    [sym__string_literal] = STATE(2258),
    [sym__raw_string_literal] = STATE(2258),
    [sym_character] = STATE(2256),
    [sym_boolean] = STATE(2256),
    [sym_field_identifier] = STATE(7777),
    [aux_sym_attributes_repeat1] = STATE(5637),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(571),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(573),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(575),
    [anon_sym_PLUS] = ACTIONS(577),
    [anon_sym_DASH] = ACTIONS(185),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [anon_sym_AMP] = ACTIONS(577),
    [anon_sym_DOT] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(189),
    [anon_sym_transmute] = ACTIONS(189),
    [anon_sym_auto_cast] = ACTIONS(191),
    [anon_sym_DOT_DOT] = ACTIONS(579),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(581),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [98] = {
    [sym_block] = STATE(6767),
    [sym_tagged_block] = STATE(6767),
    [sym_import_declaration] = STATE(6767),
    [sym_procedure_declaration] = STATE(6767),
    [sym_overloaded_procedure_declaration] = STATE(6767),
    [sym_struct_declaration] = STATE(6767),
    [sym_enum_declaration] = STATE(6767),
    [sym_union_declaration] = STATE(6767),
    [sym_const_declaration] = STATE(6767),
    [sym_foreign_block] = STATE(6767),
    [sym_attributes] = STATE(645),
    [sym_attribute] = STATE(5637),
    [sym_statement] = STATE(6805),
    [sym_assignment_statement] = STATE(6767),
    [sym_update_statement] = STATE(6767),
    [sym_if_statement] = STATE(6767),
    [sym_when_statement] = STATE(6767),
    [sym_for_statement] = STATE(6767),
    [sym_switch_statement] = STATE(6767),
    [sym_defer_statement] = STATE(6767),
    [sym_break_statement] = STATE(6767),
    [sym_continue_statement] = STATE(6767),
    [sym_var_declaration] = STATE(6767),
    [sym_return_statement] = STATE(6767),
    [sym_label_statement] = STATE(6767),
    [sym_using_statement] = STATE(6767),
    [sym_expression] = STATE(3151),
    [sym__expression_no_tag] = STATE(2377),
    [sym_unary_expression] = STATE(2377),
    [sym_binary_expression] = STATE(2377),
    [sym_ternary_expression] = STATE(2377),
    [sym_call_expression] = STATE(2377),
    [sym_selector_call_expression] = STATE(2377),
    [sym_member_expression] = STATE(2377),
    [sym_index_expression] = STATE(2377),
    [sym_slice_expression] = STATE(2377),
    [sym_range_expression] = STATE(2377),
    [sym_cast_expression] = STATE(2377),
    [sym_in_expression] = STATE(2377),
    [sym_variadic_expression] = STATE(2377),
    [sym_parenthesized_expression] = STATE(2377),
    [sym_or_return_expression] = STATE(2377),
    [sym_or_continue_expression] = STATE(2377),
    [sym_or_break_expression] = STATE(2377),
    [sym_address] = STATE(2377),
    [sym_map_type] = STATE(2377),
    [sym_matrix_type] = STATE(2377),
    [sym_distinct_type] = STATE(2377),
    [sym_literal] = STATE(2377),
    [sym_struct] = STATE(2253),
    [sym_map] = STATE(2256),
    [sym_bit_set] = STATE(2256),
    [sym_matrix] = STATE(2256),
    [sym_string] = STATE(2256),
    [sym__string_literal] = STATE(2258),
    [sym__raw_string_literal] = STATE(2258),
    [sym_character] = STATE(2256),
    [sym_boolean] = STATE(2256),
    [sym_field_identifier] = STATE(7777),
    [aux_sym_attributes_repeat1] = STATE(5637),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(571),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(573),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(575),
    [anon_sym_PLUS] = ACTIONS(577),
    [anon_sym_DASH] = ACTIONS(185),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [anon_sym_AMP] = ACTIONS(577),
    [anon_sym_DOT] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(189),
    [anon_sym_transmute] = ACTIONS(189),
    [anon_sym_auto_cast] = ACTIONS(191),
    [anon_sym_DOT_DOT] = ACTIONS(579),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(581),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [99] = {
    [sym_block] = STATE(6767),
    [sym_tagged_block] = STATE(6767),
    [sym_import_declaration] = STATE(6767),
    [sym_procedure_declaration] = STATE(6767),
    [sym_overloaded_procedure_declaration] = STATE(6767),
    [sym_struct_declaration] = STATE(6767),
    [sym_enum_declaration] = STATE(6767),
    [sym_union_declaration] = STATE(6767),
    [sym_const_declaration] = STATE(6767),
    [sym_foreign_block] = STATE(6767),
    [sym_attributes] = STATE(645),
    [sym_attribute] = STATE(5637),
    [sym_statement] = STATE(6807),
    [sym_assignment_statement] = STATE(6767),
    [sym_update_statement] = STATE(6767),
    [sym_if_statement] = STATE(6767),
    [sym_when_statement] = STATE(6767),
    [sym_for_statement] = STATE(6767),
    [sym_switch_statement] = STATE(6767),
    [sym_defer_statement] = STATE(6767),
    [sym_break_statement] = STATE(6767),
    [sym_continue_statement] = STATE(6767),
    [sym_var_declaration] = STATE(6767),
    [sym_return_statement] = STATE(6767),
    [sym_label_statement] = STATE(6767),
    [sym_using_statement] = STATE(6767),
    [sym_expression] = STATE(3151),
    [sym__expression_no_tag] = STATE(2377),
    [sym_unary_expression] = STATE(2377),
    [sym_binary_expression] = STATE(2377),
    [sym_ternary_expression] = STATE(2377),
    [sym_call_expression] = STATE(2377),
    [sym_selector_call_expression] = STATE(2377),
    [sym_member_expression] = STATE(2377),
    [sym_index_expression] = STATE(2377),
    [sym_slice_expression] = STATE(2377),
    [sym_range_expression] = STATE(2377),
    [sym_cast_expression] = STATE(2377),
    [sym_in_expression] = STATE(2377),
    [sym_variadic_expression] = STATE(2377),
    [sym_parenthesized_expression] = STATE(2377),
    [sym_or_return_expression] = STATE(2377),
    [sym_or_continue_expression] = STATE(2377),
    [sym_or_break_expression] = STATE(2377),
    [sym_address] = STATE(2377),
    [sym_map_type] = STATE(2377),
    [sym_matrix_type] = STATE(2377),
    [sym_distinct_type] = STATE(2377),
    [sym_literal] = STATE(2377),
    [sym_struct] = STATE(2253),
    [sym_map] = STATE(2256),
    [sym_bit_set] = STATE(2256),
    [sym_matrix] = STATE(2256),
    [sym_string] = STATE(2256),
    [sym__string_literal] = STATE(2258),
    [sym__raw_string_literal] = STATE(2258),
    [sym_character] = STATE(2256),
    [sym_boolean] = STATE(2256),
    [sym_field_identifier] = STATE(7777),
    [aux_sym_attributes_repeat1] = STATE(5637),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(571),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(573),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(575),
    [anon_sym_PLUS] = ACTIONS(577),
    [anon_sym_DASH] = ACTIONS(185),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [anon_sym_AMP] = ACTIONS(577),
    [anon_sym_DOT] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(189),
    [anon_sym_transmute] = ACTIONS(189),
    [anon_sym_auto_cast] = ACTIONS(191),
    [anon_sym_DOT_DOT] = ACTIONS(579),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(581),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [100] = {
    [sym_block] = STATE(6767),
    [sym_tagged_block] = STATE(6767),
    [sym_import_declaration] = STATE(6767),
    [sym_procedure_declaration] = STATE(6767),
    [sym_overloaded_procedure_declaration] = STATE(6767),
    [sym_struct_declaration] = STATE(6767),
    [sym_enum_declaration] = STATE(6767),
    [sym_union_declaration] = STATE(6767),
    [sym_const_declaration] = STATE(6767),
    [sym_foreign_block] = STATE(6767),
    [sym_attributes] = STATE(645),
    [sym_attribute] = STATE(5637),
    [sym_statement] = STATE(6812),
    [sym_assignment_statement] = STATE(6767),
    [sym_update_statement] = STATE(6767),
    [sym_if_statement] = STATE(6767),
    [sym_when_statement] = STATE(6767),
    [sym_for_statement] = STATE(6767),
    [sym_switch_statement] = STATE(6767),
    [sym_defer_statement] = STATE(6767),
    [sym_break_statement] = STATE(6767),
    [sym_continue_statement] = STATE(6767),
    [sym_var_declaration] = STATE(6767),
    [sym_return_statement] = STATE(6767),
    [sym_label_statement] = STATE(6767),
    [sym_using_statement] = STATE(6767),
    [sym_expression] = STATE(3151),
    [sym__expression_no_tag] = STATE(2377),
    [sym_unary_expression] = STATE(2377),
    [sym_binary_expression] = STATE(2377),
    [sym_ternary_expression] = STATE(2377),
    [sym_call_expression] = STATE(2377),
    [sym_selector_call_expression] = STATE(2377),
    [sym_member_expression] = STATE(2377),
    [sym_index_expression] = STATE(2377),
    [sym_slice_expression] = STATE(2377),
    [sym_range_expression] = STATE(2377),
    [sym_cast_expression] = STATE(2377),
    [sym_in_expression] = STATE(2377),
    [sym_variadic_expression] = STATE(2377),
    [sym_parenthesized_expression] = STATE(2377),
    [sym_or_return_expression] = STATE(2377),
    [sym_or_continue_expression] = STATE(2377),
    [sym_or_break_expression] = STATE(2377),
    [sym_address] = STATE(2377),
    [sym_map_type] = STATE(2377),
    [sym_matrix_type] = STATE(2377),
    [sym_distinct_type] = STATE(2377),
    [sym_literal] = STATE(2377),
    [sym_struct] = STATE(2253),
    [sym_map] = STATE(2256),
    [sym_bit_set] = STATE(2256),
    [sym_matrix] = STATE(2256),
    [sym_string] = STATE(2256),
    [sym__string_literal] = STATE(2258),
    [sym__raw_string_literal] = STATE(2258),
    [sym_character] = STATE(2256),
    [sym_boolean] = STATE(2256),
    [sym_field_identifier] = STATE(7777),
    [aux_sym_attributes_repeat1] = STATE(5637),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(571),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(573),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(575),
    [anon_sym_PLUS] = ACTIONS(577),
    [anon_sym_DASH] = ACTIONS(185),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [anon_sym_AMP] = ACTIONS(577),
    [anon_sym_DOT] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(189),
    [anon_sym_transmute] = ACTIONS(189),
    [anon_sym_auto_cast] = ACTIONS(191),
    [anon_sym_DOT_DOT] = ACTIONS(579),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(581),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [101] = {
    [sym_block] = STATE(6767),
    [sym_tagged_block] = STATE(6767),
    [sym_import_declaration] = STATE(6767),
    [sym_procedure_declaration] = STATE(6767),
    [sym_overloaded_procedure_declaration] = STATE(6767),
    [sym_struct_declaration] = STATE(6767),
    [sym_enum_declaration] = STATE(6767),
    [sym_union_declaration] = STATE(6767),
    [sym_const_declaration] = STATE(6767),
    [sym_foreign_block] = STATE(6767),
    [sym_attributes] = STATE(645),
    [sym_attribute] = STATE(5637),
    [sym_statement] = STATE(6813),
    [sym_assignment_statement] = STATE(6767),
    [sym_update_statement] = STATE(6767),
    [sym_if_statement] = STATE(6767),
    [sym_when_statement] = STATE(6767),
    [sym_for_statement] = STATE(6767),
    [sym_switch_statement] = STATE(6767),
    [sym_defer_statement] = STATE(6767),
    [sym_break_statement] = STATE(6767),
    [sym_continue_statement] = STATE(6767),
    [sym_var_declaration] = STATE(6767),
    [sym_return_statement] = STATE(6767),
    [sym_label_statement] = STATE(6767),
    [sym_using_statement] = STATE(6767),
    [sym_expression] = STATE(3151),
    [sym__expression_no_tag] = STATE(2377),
    [sym_unary_expression] = STATE(2377),
    [sym_binary_expression] = STATE(2377),
    [sym_ternary_expression] = STATE(2377),
    [sym_call_expression] = STATE(2377),
    [sym_selector_call_expression] = STATE(2377),
    [sym_member_expression] = STATE(2377),
    [sym_index_expression] = STATE(2377),
    [sym_slice_expression] = STATE(2377),
    [sym_range_expression] = STATE(2377),
    [sym_cast_expression] = STATE(2377),
    [sym_in_expression] = STATE(2377),
    [sym_variadic_expression] = STATE(2377),
    [sym_parenthesized_expression] = STATE(2377),
    [sym_or_return_expression] = STATE(2377),
    [sym_or_continue_expression] = STATE(2377),
    [sym_or_break_expression] = STATE(2377),
    [sym_address] = STATE(2377),
    [sym_map_type] = STATE(2377),
    [sym_matrix_type] = STATE(2377),
    [sym_distinct_type] = STATE(2377),
    [sym_literal] = STATE(2377),
    [sym_struct] = STATE(2253),
    [sym_map] = STATE(2256),
    [sym_bit_set] = STATE(2256),
    [sym_matrix] = STATE(2256),
    [sym_string] = STATE(2256),
    [sym__string_literal] = STATE(2258),
    [sym__raw_string_literal] = STATE(2258),
    [sym_character] = STATE(2256),
    [sym_boolean] = STATE(2256),
    [sym_field_identifier] = STATE(7777),
    [aux_sym_attributes_repeat1] = STATE(5637),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(571),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(573),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(575),
    [anon_sym_PLUS] = ACTIONS(577),
    [anon_sym_DASH] = ACTIONS(185),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [anon_sym_AMP] = ACTIONS(577),
    [anon_sym_DOT] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(189),
    [anon_sym_transmute] = ACTIONS(189),
    [anon_sym_auto_cast] = ACTIONS(191),
    [anon_sym_DOT_DOT] = ACTIONS(579),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(581),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [102] = {
    [sym_block] = STATE(6767),
    [sym_tagged_block] = STATE(6767),
    [sym_import_declaration] = STATE(6767),
    [sym_procedure_declaration] = STATE(6767),
    [sym_overloaded_procedure_declaration] = STATE(6767),
    [sym_struct_declaration] = STATE(6767),
    [sym_enum_declaration] = STATE(6767),
    [sym_union_declaration] = STATE(6767),
    [sym_const_declaration] = STATE(6767),
    [sym_foreign_block] = STATE(6767),
    [sym_attributes] = STATE(645),
    [sym_attribute] = STATE(5637),
    [sym_statement] = STATE(6658),
    [sym_assignment_statement] = STATE(6767),
    [sym_update_statement] = STATE(6767),
    [sym_if_statement] = STATE(6767),
    [sym_when_statement] = STATE(6767),
    [sym_for_statement] = STATE(6767),
    [sym_switch_statement] = STATE(6767),
    [sym_defer_statement] = STATE(6767),
    [sym_break_statement] = STATE(6767),
    [sym_continue_statement] = STATE(6767),
    [sym_var_declaration] = STATE(6767),
    [sym_return_statement] = STATE(6767),
    [sym_label_statement] = STATE(6767),
    [sym_using_statement] = STATE(6767),
    [sym_expression] = STATE(3151),
    [sym__expression_no_tag] = STATE(2377),
    [sym_unary_expression] = STATE(2377),
    [sym_binary_expression] = STATE(2377),
    [sym_ternary_expression] = STATE(2377),
    [sym_call_expression] = STATE(2377),
    [sym_selector_call_expression] = STATE(2377),
    [sym_member_expression] = STATE(2377),
    [sym_index_expression] = STATE(2377),
    [sym_slice_expression] = STATE(2377),
    [sym_range_expression] = STATE(2377),
    [sym_cast_expression] = STATE(2377),
    [sym_in_expression] = STATE(2377),
    [sym_variadic_expression] = STATE(2377),
    [sym_parenthesized_expression] = STATE(2377),
    [sym_or_return_expression] = STATE(2377),
    [sym_or_continue_expression] = STATE(2377),
    [sym_or_break_expression] = STATE(2377),
    [sym_address] = STATE(2377),
    [sym_map_type] = STATE(2377),
    [sym_matrix_type] = STATE(2377),
    [sym_distinct_type] = STATE(2377),
    [sym_literal] = STATE(2377),
    [sym_struct] = STATE(2253),
    [sym_map] = STATE(2256),
    [sym_bit_set] = STATE(2256),
    [sym_matrix] = STATE(2256),
    [sym_string] = STATE(2256),
    [sym__string_literal] = STATE(2258),
    [sym__raw_string_literal] = STATE(2258),
    [sym_character] = STATE(2256),
    [sym_boolean] = STATE(2256),
    [sym_field_identifier] = STATE(7777),
    [aux_sym_attributes_repeat1] = STATE(5637),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(571),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(573),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(575),
    [anon_sym_PLUS] = ACTIONS(577),
    [anon_sym_DASH] = ACTIONS(185),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [anon_sym_AMP] = ACTIONS(577),
    [anon_sym_DOT] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(189),
    [anon_sym_transmute] = ACTIONS(189),
    [anon_sym_auto_cast] = ACTIONS(191),
    [anon_sym_DOT_DOT] = ACTIONS(579),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(581),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [103] = {
    [sym_block] = STATE(6767),
    [sym_tagged_block] = STATE(6767),
    [sym_import_declaration] = STATE(6767),
    [sym_procedure_declaration] = STATE(6767),
    [sym_overloaded_procedure_declaration] = STATE(6767),
    [sym_struct_declaration] = STATE(6767),
    [sym_enum_declaration] = STATE(6767),
    [sym_union_declaration] = STATE(6767),
    [sym_const_declaration] = STATE(6767),
    [sym_foreign_block] = STATE(6767),
    [sym_attributes] = STATE(645),
    [sym_attribute] = STATE(5637),
    [sym_statement] = STATE(6669),
    [sym_assignment_statement] = STATE(6767),
    [sym_update_statement] = STATE(6767),
    [sym_if_statement] = STATE(6767),
    [sym_when_statement] = STATE(6767),
    [sym_for_statement] = STATE(6767),
    [sym_switch_statement] = STATE(6767),
    [sym_defer_statement] = STATE(6767),
    [sym_break_statement] = STATE(6767),
    [sym_continue_statement] = STATE(6767),
    [sym_var_declaration] = STATE(6767),
    [sym_return_statement] = STATE(6767),
    [sym_label_statement] = STATE(6767),
    [sym_using_statement] = STATE(6767),
    [sym_expression] = STATE(3151),
    [sym__expression_no_tag] = STATE(2377),
    [sym_unary_expression] = STATE(2377),
    [sym_binary_expression] = STATE(2377),
    [sym_ternary_expression] = STATE(2377),
    [sym_call_expression] = STATE(2377),
    [sym_selector_call_expression] = STATE(2377),
    [sym_member_expression] = STATE(2377),
    [sym_index_expression] = STATE(2377),
    [sym_slice_expression] = STATE(2377),
    [sym_range_expression] = STATE(2377),
    [sym_cast_expression] = STATE(2377),
    [sym_in_expression] = STATE(2377),
    [sym_variadic_expression] = STATE(2377),
    [sym_parenthesized_expression] = STATE(2377),
    [sym_or_return_expression] = STATE(2377),
    [sym_or_continue_expression] = STATE(2377),
    [sym_or_break_expression] = STATE(2377),
    [sym_address] = STATE(2377),
    [sym_map_type] = STATE(2377),
    [sym_matrix_type] = STATE(2377),
    [sym_distinct_type] = STATE(2377),
    [sym_literal] = STATE(2377),
    [sym_struct] = STATE(2253),
    [sym_map] = STATE(2256),
    [sym_bit_set] = STATE(2256),
    [sym_matrix] = STATE(2256),
    [sym_string] = STATE(2256),
    [sym__string_literal] = STATE(2258),
    [sym__raw_string_literal] = STATE(2258),
    [sym_character] = STATE(2256),
    [sym_boolean] = STATE(2256),
    [sym_field_identifier] = STATE(7777),
    [aux_sym_attributes_repeat1] = STATE(5637),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(571),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(573),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(575),
    [anon_sym_PLUS] = ACTIONS(577),
    [anon_sym_DASH] = ACTIONS(185),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [anon_sym_AMP] = ACTIONS(577),
    [anon_sym_DOT] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(189),
    [anon_sym_transmute] = ACTIONS(189),
    [anon_sym_auto_cast] = ACTIONS(191),
    [anon_sym_DOT_DOT] = ACTIONS(579),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(581),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [104] = {
    [sym_block] = STATE(6767),
    [sym_tagged_block] = STATE(6767),
    [sym_import_declaration] = STATE(6767),
    [sym_procedure_declaration] = STATE(6767),
    [sym_overloaded_procedure_declaration] = STATE(6767),
    [sym_struct_declaration] = STATE(6767),
    [sym_enum_declaration] = STATE(6767),
    [sym_union_declaration] = STATE(6767),
    [sym_const_declaration] = STATE(6767),
    [sym_foreign_block] = STATE(6767),
    [sym_attributes] = STATE(645),
    [sym_attribute] = STATE(5637),
    [sym_statement] = STATE(6675),
    [sym_assignment_statement] = STATE(6767),
    [sym_update_statement] = STATE(6767),
    [sym_if_statement] = STATE(6767),
    [sym_when_statement] = STATE(6767),
    [sym_for_statement] = STATE(6767),
    [sym_switch_statement] = STATE(6767),
    [sym_defer_statement] = STATE(6767),
    [sym_break_statement] = STATE(6767),
    [sym_continue_statement] = STATE(6767),
    [sym_var_declaration] = STATE(6767),
    [sym_return_statement] = STATE(6767),
    [sym_label_statement] = STATE(6767),
    [sym_using_statement] = STATE(6767),
    [sym_expression] = STATE(3151),
    [sym__expression_no_tag] = STATE(2377),
    [sym_unary_expression] = STATE(2377),
    [sym_binary_expression] = STATE(2377),
    [sym_ternary_expression] = STATE(2377),
    [sym_call_expression] = STATE(2377),
    [sym_selector_call_expression] = STATE(2377),
    [sym_member_expression] = STATE(2377),
    [sym_index_expression] = STATE(2377),
    [sym_slice_expression] = STATE(2377),
    [sym_range_expression] = STATE(2377),
    [sym_cast_expression] = STATE(2377),
    [sym_in_expression] = STATE(2377),
    [sym_variadic_expression] = STATE(2377),
    [sym_parenthesized_expression] = STATE(2377),
    [sym_or_return_expression] = STATE(2377),
    [sym_or_continue_expression] = STATE(2377),
    [sym_or_break_expression] = STATE(2377),
    [sym_address] = STATE(2377),
    [sym_map_type] = STATE(2377),
    [sym_matrix_type] = STATE(2377),
    [sym_distinct_type] = STATE(2377),
    [sym_literal] = STATE(2377),
    [sym_struct] = STATE(2253),
    [sym_map] = STATE(2256),
    [sym_bit_set] = STATE(2256),
    [sym_matrix] = STATE(2256),
    [sym_string] = STATE(2256),
    [sym__string_literal] = STATE(2258),
    [sym__raw_string_literal] = STATE(2258),
    [sym_character] = STATE(2256),
    [sym_boolean] = STATE(2256),
    [sym_field_identifier] = STATE(7777),
    [aux_sym_attributes_repeat1] = STATE(5637),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(571),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(573),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(575),
    [anon_sym_PLUS] = ACTIONS(577),
    [anon_sym_DASH] = ACTIONS(185),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [anon_sym_AMP] = ACTIONS(577),
    [anon_sym_DOT] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(189),
    [anon_sym_transmute] = ACTIONS(189),
    [anon_sym_auto_cast] = ACTIONS(191),
    [anon_sym_DOT_DOT] = ACTIONS(579),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(581),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [105] = {
    [sym_block] = STATE(6767),
    [sym_tagged_block] = STATE(6767),
    [sym_import_declaration] = STATE(6767),
    [sym_procedure_declaration] = STATE(6767),
    [sym_overloaded_procedure_declaration] = STATE(6767),
    [sym_struct_declaration] = STATE(6767),
    [sym_enum_declaration] = STATE(6767),
    [sym_union_declaration] = STATE(6767),
    [sym_const_declaration] = STATE(6767),
    [sym_foreign_block] = STATE(6767),
    [sym_attributes] = STATE(645),
    [sym_attribute] = STATE(5637),
    [sym_statement] = STATE(6729),
    [sym_assignment_statement] = STATE(6767),
    [sym_update_statement] = STATE(6767),
    [sym_if_statement] = STATE(6767),
    [sym_when_statement] = STATE(6767),
    [sym_for_statement] = STATE(6767),
    [sym_switch_statement] = STATE(6767),
    [sym_defer_statement] = STATE(6767),
    [sym_break_statement] = STATE(6767),
    [sym_continue_statement] = STATE(6767),
    [sym_var_declaration] = STATE(6767),
    [sym_return_statement] = STATE(6767),
    [sym_label_statement] = STATE(6767),
    [sym_using_statement] = STATE(6767),
    [sym_expression] = STATE(3151),
    [sym__expression_no_tag] = STATE(2377),
    [sym_unary_expression] = STATE(2377),
    [sym_binary_expression] = STATE(2377),
    [sym_ternary_expression] = STATE(2377),
    [sym_call_expression] = STATE(2377),
    [sym_selector_call_expression] = STATE(2377),
    [sym_member_expression] = STATE(2377),
    [sym_index_expression] = STATE(2377),
    [sym_slice_expression] = STATE(2377),
    [sym_range_expression] = STATE(2377),
    [sym_cast_expression] = STATE(2377),
    [sym_in_expression] = STATE(2377),
    [sym_variadic_expression] = STATE(2377),
    [sym_parenthesized_expression] = STATE(2377),
    [sym_or_return_expression] = STATE(2377),
    [sym_or_continue_expression] = STATE(2377),
    [sym_or_break_expression] = STATE(2377),
    [sym_address] = STATE(2377),
    [sym_map_type] = STATE(2377),
    [sym_matrix_type] = STATE(2377),
    [sym_distinct_type] = STATE(2377),
    [sym_literal] = STATE(2377),
    [sym_struct] = STATE(2253),
    [sym_map] = STATE(2256),
    [sym_bit_set] = STATE(2256),
    [sym_matrix] = STATE(2256),
    [sym_string] = STATE(2256),
    [sym__string_literal] = STATE(2258),
    [sym__raw_string_literal] = STATE(2258),
    [sym_character] = STATE(2256),
    [sym_boolean] = STATE(2256),
    [sym_field_identifier] = STATE(7777),
    [aux_sym_attributes_repeat1] = STATE(5637),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(571),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(573),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(575),
    [anon_sym_PLUS] = ACTIONS(577),
    [anon_sym_DASH] = ACTIONS(185),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [anon_sym_AMP] = ACTIONS(577),
    [anon_sym_DOT] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(189),
    [anon_sym_transmute] = ACTIONS(189),
    [anon_sym_auto_cast] = ACTIONS(191),
    [anon_sym_DOT_DOT] = ACTIONS(579),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(581),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [106] = {
    [sym_block] = STATE(6767),
    [sym_tagged_block] = STATE(6767),
    [sym_import_declaration] = STATE(6767),
    [sym_procedure_declaration] = STATE(6767),
    [sym_overloaded_procedure_declaration] = STATE(6767),
    [sym_struct_declaration] = STATE(6767),
    [sym_enum_declaration] = STATE(6767),
    [sym_union_declaration] = STATE(6767),
    [sym_const_declaration] = STATE(6767),
    [sym_foreign_block] = STATE(6767),
    [sym_attributes] = STATE(645),
    [sym_attribute] = STATE(5637),
    [sym_statement] = STATE(6805),
    [sym_assignment_statement] = STATE(6767),
    [sym_update_statement] = STATE(6767),
    [sym_if_statement] = STATE(6767),
    [sym_when_statement] = STATE(6767),
    [sym_for_statement] = STATE(6767),
    [sym_switch_statement] = STATE(6767),
    [sym_defer_statement] = STATE(6767),
    [sym_break_statement] = STATE(6767),
    [sym_continue_statement] = STATE(6767),
    [sym_var_declaration] = STATE(6767),
    [sym_return_statement] = STATE(6767),
    [sym_label_statement] = STATE(6767),
    [sym_using_statement] = STATE(6767),
    [sym_expression] = STATE(3081),
    [sym__expression_no_tag] = STATE(2426),
    [sym_unary_expression] = STATE(2426),
    [sym_binary_expression] = STATE(2426),
    [sym_ternary_expression] = STATE(2426),
    [sym_call_expression] = STATE(2426),
    [sym_selector_call_expression] = STATE(2426),
    [sym_member_expression] = STATE(2426),
    [sym_index_expression] = STATE(2426),
    [sym_slice_expression] = STATE(2426),
    [sym_range_expression] = STATE(2426),
    [sym_cast_expression] = STATE(2426),
    [sym_in_expression] = STATE(2426),
    [sym_variadic_expression] = STATE(2426),
    [sym_parenthesized_expression] = STATE(2426),
    [sym_or_return_expression] = STATE(2426),
    [sym_or_continue_expression] = STATE(2426),
    [sym_or_break_expression] = STATE(2426),
    [sym_address] = STATE(2426),
    [sym_map_type] = STATE(2426),
    [sym_matrix_type] = STATE(2426),
    [sym_distinct_type] = STATE(2426),
    [sym_literal] = STATE(2426),
    [sym_struct] = STATE(2413),
    [sym_map] = STATE(2256),
    [sym_bit_set] = STATE(2256),
    [sym_matrix] = STATE(2256),
    [sym_string] = STATE(2256),
    [sym__string_literal] = STATE(2258),
    [sym__raw_string_literal] = STATE(2258),
    [sym_character] = STATE(2256),
    [sym_boolean] = STATE(2256),
    [sym_field_identifier] = STATE(7777),
    [aux_sym_attributes_repeat1] = STATE(5637),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(81),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_PLUS] = ACTIONS(391),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(391),
    [anon_sym_BANG] = ACTIONS(391),
    [anon_sym_AMP] = ACTIONS(391),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_DOT_DOT] = ACTIONS(393),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(125),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [107] = {
    [sym_block] = STATE(6767),
    [sym_tagged_block] = STATE(6767),
    [sym_import_declaration] = STATE(6767),
    [sym_procedure_declaration] = STATE(6767),
    [sym_overloaded_procedure_declaration] = STATE(6767),
    [sym_struct_declaration] = STATE(6767),
    [sym_enum_declaration] = STATE(6767),
    [sym_union_declaration] = STATE(6767),
    [sym_const_declaration] = STATE(6767),
    [sym_foreign_block] = STATE(6767),
    [sym_attributes] = STATE(645),
    [sym_attribute] = STATE(5637),
    [sym_statement] = STATE(6807),
    [sym_assignment_statement] = STATE(6767),
    [sym_update_statement] = STATE(6767),
    [sym_if_statement] = STATE(6767),
    [sym_when_statement] = STATE(6767),
    [sym_for_statement] = STATE(6767),
    [sym_switch_statement] = STATE(6767),
    [sym_defer_statement] = STATE(6767),
    [sym_break_statement] = STATE(6767),
    [sym_continue_statement] = STATE(6767),
    [sym_var_declaration] = STATE(6767),
    [sym_return_statement] = STATE(6767),
    [sym_label_statement] = STATE(6767),
    [sym_using_statement] = STATE(6767),
    [sym_expression] = STATE(3081),
    [sym__expression_no_tag] = STATE(2426),
    [sym_unary_expression] = STATE(2426),
    [sym_binary_expression] = STATE(2426),
    [sym_ternary_expression] = STATE(2426),
    [sym_call_expression] = STATE(2426),
    [sym_selector_call_expression] = STATE(2426),
    [sym_member_expression] = STATE(2426),
    [sym_index_expression] = STATE(2426),
    [sym_slice_expression] = STATE(2426),
    [sym_range_expression] = STATE(2426),
    [sym_cast_expression] = STATE(2426),
    [sym_in_expression] = STATE(2426),
    [sym_variadic_expression] = STATE(2426),
    [sym_parenthesized_expression] = STATE(2426),
    [sym_or_return_expression] = STATE(2426),
    [sym_or_continue_expression] = STATE(2426),
    [sym_or_break_expression] = STATE(2426),
    [sym_address] = STATE(2426),
    [sym_map_type] = STATE(2426),
    [sym_matrix_type] = STATE(2426),
    [sym_distinct_type] = STATE(2426),
    [sym_literal] = STATE(2426),
    [sym_struct] = STATE(2413),
    [sym_map] = STATE(2256),
    [sym_bit_set] = STATE(2256),
    [sym_matrix] = STATE(2256),
    [sym_string] = STATE(2256),
    [sym__string_literal] = STATE(2258),
    [sym__raw_string_literal] = STATE(2258),
    [sym_character] = STATE(2256),
    [sym_boolean] = STATE(2256),
    [sym_field_identifier] = STATE(7777),
    [aux_sym_attributes_repeat1] = STATE(5637),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(81),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_PLUS] = ACTIONS(391),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(391),
    [anon_sym_BANG] = ACTIONS(391),
    [anon_sym_AMP] = ACTIONS(391),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_DOT_DOT] = ACTIONS(393),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(125),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [108] = {
    [sym_block] = STATE(6767),
    [sym_tagged_block] = STATE(6767),
    [sym_import_declaration] = STATE(6767),
    [sym_procedure_declaration] = STATE(6767),
    [sym_overloaded_procedure_declaration] = STATE(6767),
    [sym_struct_declaration] = STATE(6767),
    [sym_enum_declaration] = STATE(6767),
    [sym_union_declaration] = STATE(6767),
    [sym_const_declaration] = STATE(6767),
    [sym_foreign_block] = STATE(6767),
    [sym_attributes] = STATE(645),
    [sym_attribute] = STATE(5637),
    [sym_statement] = STATE(6708),
    [sym_assignment_statement] = STATE(6767),
    [sym_update_statement] = STATE(6767),
    [sym_if_statement] = STATE(6767),
    [sym_when_statement] = STATE(6767),
    [sym_for_statement] = STATE(6767),
    [sym_switch_statement] = STATE(6767),
    [sym_defer_statement] = STATE(6767),
    [sym_break_statement] = STATE(6767),
    [sym_continue_statement] = STATE(6767),
    [sym_var_declaration] = STATE(6767),
    [sym_return_statement] = STATE(6767),
    [sym_label_statement] = STATE(6767),
    [sym_using_statement] = STATE(6767),
    [sym_expression] = STATE(3151),
    [sym__expression_no_tag] = STATE(2377),
    [sym_unary_expression] = STATE(2377),
    [sym_binary_expression] = STATE(2377),
    [sym_ternary_expression] = STATE(2377),
    [sym_call_expression] = STATE(2377),
    [sym_selector_call_expression] = STATE(2377),
    [sym_member_expression] = STATE(2377),
    [sym_index_expression] = STATE(2377),
    [sym_slice_expression] = STATE(2377),
    [sym_range_expression] = STATE(2377),
    [sym_cast_expression] = STATE(2377),
    [sym_in_expression] = STATE(2377),
    [sym_variadic_expression] = STATE(2377),
    [sym_parenthesized_expression] = STATE(2377),
    [sym_or_return_expression] = STATE(2377),
    [sym_or_continue_expression] = STATE(2377),
    [sym_or_break_expression] = STATE(2377),
    [sym_address] = STATE(2377),
    [sym_map_type] = STATE(2377),
    [sym_matrix_type] = STATE(2377),
    [sym_distinct_type] = STATE(2377),
    [sym_literal] = STATE(2377),
    [sym_struct] = STATE(2253),
    [sym_map] = STATE(2256),
    [sym_bit_set] = STATE(2256),
    [sym_matrix] = STATE(2256),
    [sym_string] = STATE(2256),
    [sym__string_literal] = STATE(2258),
    [sym__raw_string_literal] = STATE(2258),
    [sym_character] = STATE(2256),
    [sym_boolean] = STATE(2256),
    [sym_field_identifier] = STATE(7777),
    [aux_sym_attributes_repeat1] = STATE(5637),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(571),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(573),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(575),
    [anon_sym_PLUS] = ACTIONS(577),
    [anon_sym_DASH] = ACTIONS(185),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [anon_sym_AMP] = ACTIONS(577),
    [anon_sym_DOT] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(189),
    [anon_sym_transmute] = ACTIONS(189),
    [anon_sym_auto_cast] = ACTIONS(191),
    [anon_sym_DOT_DOT] = ACTIONS(579),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(581),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [109] = {
    [sym_block] = STATE(6767),
    [sym_tagged_block] = STATE(6767),
    [sym_import_declaration] = STATE(6767),
    [sym_procedure_declaration] = STATE(6767),
    [sym_overloaded_procedure_declaration] = STATE(6767),
    [sym_struct_declaration] = STATE(6767),
    [sym_enum_declaration] = STATE(6767),
    [sym_union_declaration] = STATE(6767),
    [sym_const_declaration] = STATE(6767),
    [sym_foreign_block] = STATE(6767),
    [sym_attributes] = STATE(645),
    [sym_attribute] = STATE(5637),
    [sym_statement] = STATE(6708),
    [sym_assignment_statement] = STATE(6767),
    [sym_update_statement] = STATE(6767),
    [sym_if_statement] = STATE(6767),
    [sym_when_statement] = STATE(6767),
    [sym_for_statement] = STATE(6767),
    [sym_switch_statement] = STATE(6767),
    [sym_defer_statement] = STATE(6767),
    [sym_break_statement] = STATE(6767),
    [sym_continue_statement] = STATE(6767),
    [sym_var_declaration] = STATE(6767),
    [sym_return_statement] = STATE(6767),
    [sym_label_statement] = STATE(6767),
    [sym_using_statement] = STATE(6767),
    [sym_expression] = STATE(3081),
    [sym__expression_no_tag] = STATE(2426),
    [sym_unary_expression] = STATE(2426),
    [sym_binary_expression] = STATE(2426),
    [sym_ternary_expression] = STATE(2426),
    [sym_call_expression] = STATE(2426),
    [sym_selector_call_expression] = STATE(2426),
    [sym_member_expression] = STATE(2426),
    [sym_index_expression] = STATE(2426),
    [sym_slice_expression] = STATE(2426),
    [sym_range_expression] = STATE(2426),
    [sym_cast_expression] = STATE(2426),
    [sym_in_expression] = STATE(2426),
    [sym_variadic_expression] = STATE(2426),
    [sym_parenthesized_expression] = STATE(2426),
    [sym_or_return_expression] = STATE(2426),
    [sym_or_continue_expression] = STATE(2426),
    [sym_or_break_expression] = STATE(2426),
    [sym_address] = STATE(2426),
    [sym_map_type] = STATE(2426),
    [sym_matrix_type] = STATE(2426),
    [sym_distinct_type] = STATE(2426),
    [sym_literal] = STATE(2426),
    [sym_struct] = STATE(2413),
    [sym_map] = STATE(2256),
    [sym_bit_set] = STATE(2256),
    [sym_matrix] = STATE(2256),
    [sym_string] = STATE(2256),
    [sym__string_literal] = STATE(2258),
    [sym__raw_string_literal] = STATE(2258),
    [sym_character] = STATE(2256),
    [sym_boolean] = STATE(2256),
    [sym_field_identifier] = STATE(7777),
    [aux_sym_attributes_repeat1] = STATE(5637),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(65),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_using] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_if] = ACTIONS(75),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(77),
    [anon_sym_switch] = ACTIONS(79),
    [anon_sym_defer] = ACTIONS(81),
    [anon_sym_break] = ACTIONS(83),
    [anon_sym_continue] = ACTIONS(85),
    [sym_fallthrough_statement] = ACTIONS(87),
    [anon_sym_return] = ACTIONS(89),
    [anon_sym_QMARK] = ACTIONS(91),
    [anon_sym_PLUS] = ACTIONS(391),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(391),
    [anon_sym_BANG] = ACTIONS(391),
    [anon_sym_AMP] = ACTIONS(391),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_DOT_DOT] = ACTIONS(393),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(125),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [110] = {
    [sym_expression] = STATE(3860),
    [sym__expression_no_tag] = STATE(3826),
    [sym_unary_expression] = STATE(3826),
    [sym_binary_expression] = STATE(3826),
    [sym_ternary_expression] = STATE(3826),
    [sym_call_expression] = STATE(3826),
    [sym_selector_call_expression] = STATE(3826),
    [sym_member_expression] = STATE(3826),
    [sym_index_expression] = STATE(3826),
    [sym_slice_expression] = STATE(3826),
    [sym_range_expression] = STATE(3826),
    [sym_cast_expression] = STATE(3826),
    [sym_in_expression] = STATE(3826),
    [sym_variadic_expression] = STATE(3826),
    [sym_parenthesized_expression] = STATE(3826),
    [sym_or_return_expression] = STATE(3826),
    [sym_or_continue_expression] = STATE(3826),
    [sym_or_break_expression] = STATE(3826),
    [sym_address] = STATE(3826),
    [sym_map_type] = STATE(3826),
    [sym_matrix_type] = STATE(3826),
    [sym_distinct_type] = STATE(3826),
    [sym_literal] = STATE(3826),
    [sym_struct] = STATE(3866),
    [sym_map] = STATE(3787),
    [sym_bit_set] = STATE(3787),
    [sym_matrix] = STATE(3787),
    [sym_string] = STATE(3787),
    [sym__string_literal] = STATE(3867),
    [sym__raw_string_literal] = STATE(3867),
    [sym_character] = STATE(3787),
    [sym_boolean] = STATE(3787),
    [sym_field_identifier] = STATE(7783),
    [ts_builtin_sym_end] = ACTIONS(173),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_RBRACE] = ACTIONS(173),
    [anon_sym_COMMA] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(173),
    [anon_sym_DASH_GT] = ACTIONS(173),
    [anon_sym_COLON_EQ] = ACTIONS(173),
    [anon_sym_COLON] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(173),
    [anon_sym_if] = ACTIONS(175),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_else] = ACTIONS(175),
    [anon_sym_when] = ACTIONS(175),
    [anon_sym_in] = ACTIONS(175),
    [anon_sym_case] = ACTIONS(175),
    [anon_sym_QMARK] = ACTIONS(173),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(175),
    [anon_sym_PIPE_PIPE] = ACTIONS(173),
    [anon_sym_or_else] = ACTIONS(175),
    [anon_sym_AMP_AMP] = ACTIONS(173),
    [anon_sym_GT] = ACTIONS(175),
    [anon_sym_GT_EQ] = ACTIONS(173),
    [anon_sym_LT_EQ] = ACTIONS(173),
    [anon_sym_LT] = ACTIONS(175),
    [anon_sym_EQ_EQ] = ACTIONS(173),
    [anon_sym_BANG_EQ] = ACTIONS(173),
    [anon_sym_TILDE_EQ] = ACTIONS(173),
    [anon_sym_PIPE] = ACTIONS(175),
    [anon_sym_AMP_TILDE] = ACTIONS(173),
    [anon_sym_LT_LT] = ACTIONS(173),
    [anon_sym_GT_GT] = ACTIONS(173),
    [anon_sym_STAR] = ACTIONS(173),
    [anon_sym_SLASH] = ACTIONS(175),
    [anon_sym_PERCENT] = ACTIONS(175),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(173),
    [anon_sym_DOT] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(173),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(173),
    [anon_sym_DOT_DOT_LT] = ACTIONS(173),
    [anon_sym_cast] = ACTIONS(35),
    [anon_sym_transmute] = ACTIONS(35),
    [anon_sym_auto_cast] = ACTIONS(37),
    [anon_sym_not_in] = ACTIONS(175),
    [anon_sym_DOT_DOT] = ACTIONS(609),
    [anon_sym_or_return] = ACTIONS(175),
    [anon_sym_or_continue] = ACTIONS(175),
    [anon_sym_or_break] = ACTIONS(175),
    [anon_sym_CARET] = ACTIONS(173),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(611),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(173),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [111] = {
    [sym_expression] = STATE(3850),
    [sym__expression_no_tag] = STATE(3856),
    [sym_unary_expression] = STATE(3856),
    [sym_binary_expression] = STATE(3856),
    [sym_ternary_expression] = STATE(3856),
    [sym_call_expression] = STATE(3856),
    [sym_selector_call_expression] = STATE(3856),
    [sym_member_expression] = STATE(3856),
    [sym_index_expression] = STATE(3856),
    [sym_slice_expression] = STATE(3856),
    [sym_range_expression] = STATE(3856),
    [sym_cast_expression] = STATE(3856),
    [sym_in_expression] = STATE(3856),
    [sym_variadic_expression] = STATE(3856),
    [sym_parenthesized_expression] = STATE(3856),
    [sym_or_return_expression] = STATE(3856),
    [sym_or_continue_expression] = STATE(3856),
    [sym_or_break_expression] = STATE(3856),
    [sym_address] = STATE(3856),
    [sym_map_type] = STATE(3856),
    [sym_matrix_type] = STATE(3856),
    [sym_distinct_type] = STATE(3856),
    [sym_literal] = STATE(3856),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(131),
    [anon_sym_COMMA] = ACTIONS(131),
    [anon_sym_COLON_COLON] = ACTIONS(131),
    [anon_sym_DASH_GT] = ACTIONS(131),
    [anon_sym_EQ] = ACTIONS(133),
    [anon_sym_COLON_EQ] = ACTIONS(131),
    [anon_sym_COLON] = ACTIONS(133),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(131),
    [anon_sym_if] = ACTIONS(133),
    [anon_sym_SEMI] = ACTIONS(131),
    [anon_sym_else] = ACTIONS(133),
    [anon_sym_when] = ACTIONS(133),
    [anon_sym_in] = ACTIONS(133),
    [anon_sym_QMARK] = ACTIONS(619),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(623),
    [anon_sym_BANG] = ACTIONS(623),
    [anon_sym_AMP] = ACTIONS(623),
    [anon_sym_PIPE_PIPE] = ACTIONS(131),
    [anon_sym_or_else] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(131),
    [anon_sym_GT] = ACTIONS(133),
    [anon_sym_GT_EQ] = ACTIONS(131),
    [anon_sym_LT_EQ] = ACTIONS(131),
    [anon_sym_LT] = ACTIONS(133),
    [anon_sym_EQ_EQ] = ACTIONS(131),
    [anon_sym_BANG_EQ] = ACTIONS(131),
    [anon_sym_TILDE_EQ] = ACTIONS(131),
    [anon_sym_PIPE] = ACTIONS(133),
    [anon_sym_AMP_TILDE] = ACTIONS(131),
    [anon_sym_LT_LT] = ACTIONS(131),
    [anon_sym_GT_GT] = ACTIONS(131),
    [anon_sym_STAR] = ACTIONS(131),
    [anon_sym_SLASH] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(131),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(131),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(131),
    [anon_sym_DOT_DOT_LT] = ACTIONS(131),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_not_in] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(633),
    [anon_sym_or_return] = ACTIONS(133),
    [anon_sym_or_continue] = ACTIONS(133),
    [anon_sym_or_break] = ACTIONS(133),
    [anon_sym_CARET] = ACTIONS(131),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [112] = {
    [sym_expression] = STATE(3915),
    [sym__expression_no_tag] = STATE(3856),
    [sym_unary_expression] = STATE(3856),
    [sym_binary_expression] = STATE(3856),
    [sym_ternary_expression] = STATE(3856),
    [sym_call_expression] = STATE(3856),
    [sym_selector_call_expression] = STATE(3856),
    [sym_member_expression] = STATE(3856),
    [sym_index_expression] = STATE(3856),
    [sym_slice_expression] = STATE(3856),
    [sym_range_expression] = STATE(3856),
    [sym_cast_expression] = STATE(3856),
    [sym_in_expression] = STATE(3856),
    [sym_variadic_expression] = STATE(3856),
    [sym_parenthesized_expression] = STATE(3856),
    [sym_or_return_expression] = STATE(3856),
    [sym_or_continue_expression] = STATE(3856),
    [sym_or_break_expression] = STATE(3856),
    [sym_address] = STATE(3856),
    [sym_map_type] = STATE(3856),
    [sym_matrix_type] = STATE(3856),
    [sym_distinct_type] = STATE(3856),
    [sym_literal] = STATE(3856),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(173),
    [anon_sym_COMMA] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(173),
    [anon_sym_DASH_GT] = ACTIONS(173),
    [anon_sym_EQ] = ACTIONS(175),
    [anon_sym_COLON_EQ] = ACTIONS(173),
    [anon_sym_COLON] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(173),
    [anon_sym_RPAREN] = ACTIONS(173),
    [anon_sym_if] = ACTIONS(175),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_else] = ACTIONS(175),
    [anon_sym_when] = ACTIONS(175),
    [anon_sym_in] = ACTIONS(175),
    [anon_sym_QMARK] = ACTIONS(173),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_BANG] = ACTIONS(623),
    [anon_sym_AMP] = ACTIONS(175),
    [anon_sym_PIPE_PIPE] = ACTIONS(173),
    [anon_sym_or_else] = ACTIONS(175),
    [anon_sym_AMP_AMP] = ACTIONS(173),
    [anon_sym_GT] = ACTIONS(175),
    [anon_sym_GT_EQ] = ACTIONS(173),
    [anon_sym_LT_EQ] = ACTIONS(173),
    [anon_sym_LT] = ACTIONS(175),
    [anon_sym_EQ_EQ] = ACTIONS(173),
    [anon_sym_BANG_EQ] = ACTIONS(173),
    [anon_sym_TILDE_EQ] = ACTIONS(173),
    [anon_sym_PIPE] = ACTIONS(175),
    [anon_sym_AMP_TILDE] = ACTIONS(173),
    [anon_sym_LT_LT] = ACTIONS(173),
    [anon_sym_GT_GT] = ACTIONS(173),
    [anon_sym_STAR] = ACTIONS(173),
    [anon_sym_SLASH] = ACTIONS(175),
    [anon_sym_PERCENT] = ACTIONS(175),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(173),
    [anon_sym_DOT] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(173),
    [anon_sym_RBRACK] = ACTIONS(173),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(173),
    [anon_sym_DOT_DOT_LT] = ACTIONS(173),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_not_in] = ACTIONS(175),
    [anon_sym_DOT_DOT] = ACTIONS(633),
    [anon_sym_or_return] = ACTIONS(175),
    [anon_sym_or_continue] = ACTIONS(175),
    [anon_sym_or_break] = ACTIONS(175),
    [anon_sym_CARET] = ACTIONS(173),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [113] = {
    [sym_expression] = STATE(3876),
    [sym__expression_no_tag] = STATE(3826),
    [sym_unary_expression] = STATE(3826),
    [sym_binary_expression] = STATE(3826),
    [sym_ternary_expression] = STATE(3826),
    [sym_call_expression] = STATE(3826),
    [sym_selector_call_expression] = STATE(3826),
    [sym_member_expression] = STATE(3826),
    [sym_index_expression] = STATE(3826),
    [sym_slice_expression] = STATE(3826),
    [sym_range_expression] = STATE(3826),
    [sym_cast_expression] = STATE(3826),
    [sym_in_expression] = STATE(3826),
    [sym_variadic_expression] = STATE(3826),
    [sym_parenthesized_expression] = STATE(3826),
    [sym_or_return_expression] = STATE(3826),
    [sym_or_continue_expression] = STATE(3826),
    [sym_or_break_expression] = STATE(3826),
    [sym_address] = STATE(3826),
    [sym_map_type] = STATE(3826),
    [sym_matrix_type] = STATE(3826),
    [sym_distinct_type] = STATE(3826),
    [sym_literal] = STATE(3826),
    [sym_struct] = STATE(3866),
    [sym_map] = STATE(3787),
    [sym_bit_set] = STATE(3787),
    [sym_matrix] = STATE(3787),
    [sym_string] = STATE(3787),
    [sym__string_literal] = STATE(3867),
    [sym__raw_string_literal] = STATE(3867),
    [sym_character] = STATE(3787),
    [sym_boolean] = STATE(3787),
    [sym_field_identifier] = STATE(7783),
    [ts_builtin_sym_end] = ACTIONS(131),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_RBRACE] = ACTIONS(131),
    [anon_sym_COMMA] = ACTIONS(131),
    [anon_sym_COLON_COLON] = ACTIONS(131),
    [anon_sym_DASH_GT] = ACTIONS(131),
    [anon_sym_COLON_EQ] = ACTIONS(131),
    [anon_sym_COLON] = ACTIONS(133),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_if] = ACTIONS(133),
    [anon_sym_SEMI] = ACTIONS(131),
    [anon_sym_else] = ACTIONS(133),
    [anon_sym_when] = ACTIONS(133),
    [anon_sym_in] = ACTIONS(133),
    [anon_sym_case] = ACTIONS(133),
    [anon_sym_QMARK] = ACTIONS(657),
    [anon_sym_PLUS] = ACTIONS(27),
    [anon_sym_DASH] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(29),
    [anon_sym_PIPE_PIPE] = ACTIONS(131),
    [anon_sym_or_else] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(131),
    [anon_sym_GT] = ACTIONS(133),
    [anon_sym_GT_EQ] = ACTIONS(131),
    [anon_sym_LT_EQ] = ACTIONS(131),
    [anon_sym_LT] = ACTIONS(133),
    [anon_sym_EQ_EQ] = ACTIONS(131),
    [anon_sym_BANG_EQ] = ACTIONS(131),
    [anon_sym_TILDE_EQ] = ACTIONS(131),
    [anon_sym_PIPE] = ACTIONS(133),
    [anon_sym_AMP_TILDE] = ACTIONS(131),
    [anon_sym_LT_LT] = ACTIONS(131),
    [anon_sym_GT_GT] = ACTIONS(131),
    [anon_sym_STAR] = ACTIONS(131),
    [anon_sym_SLASH] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(131),
    [anon_sym_DOT] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(131),
    [anon_sym_DOT_DOT_LT] = ACTIONS(131),
    [anon_sym_cast] = ACTIONS(35),
    [anon_sym_transmute] = ACTIONS(35),
    [anon_sym_auto_cast] = ACTIONS(37),
    [anon_sym_not_in] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(609),
    [anon_sym_or_return] = ACTIONS(133),
    [anon_sym_or_continue] = ACTIONS(133),
    [anon_sym_or_break] = ACTIONS(133),
    [anon_sym_CARET] = ACTIONS(131),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(611),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(131),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [114] = {
    [sym_expression] = STATE(3599),
    [sym__expression_no_tag] = STATE(3597),
    [sym_unary_expression] = STATE(3597),
    [sym_binary_expression] = STATE(3597),
    [sym_ternary_expression] = STATE(3597),
    [sym_call_expression] = STATE(3597),
    [sym_selector_call_expression] = STATE(3597),
    [sym_member_expression] = STATE(3597),
    [sym_index_expression] = STATE(3597),
    [sym_slice_expression] = STATE(3597),
    [sym_range_expression] = STATE(3597),
    [sym_cast_expression] = STATE(3597),
    [sym_in_expression] = STATE(3597),
    [sym_variadic_expression] = STATE(3597),
    [sym_parenthesized_expression] = STATE(3597),
    [sym_or_return_expression] = STATE(3597),
    [sym_or_continue_expression] = STATE(3597),
    [sym_or_break_expression] = STATE(3597),
    [sym_address] = STATE(3597),
    [sym_map_type] = STATE(3597),
    [sym_matrix_type] = STATE(3597),
    [sym_distinct_type] = STATE(3597),
    [sym_literal] = STATE(3597),
    [sym_struct] = STATE(3465),
    [sym_map] = STATE(3453),
    [sym_bit_set] = STATE(3453),
    [sym_matrix] = STATE(3453),
    [sym_string] = STATE(3453),
    [sym__string_literal] = STATE(3469),
    [sym__raw_string_literal] = STATE(3469),
    [sym_character] = STATE(3453),
    [sym_boolean] = STATE(3453),
    [sym_field_identifier] = STATE(7903),
    [sym_identifier] = ACTIONS(659),
    [anon_sym_LBRACE] = ACTIONS(661),
    [anon_sym_RBRACE] = ACTIONS(131),
    [anon_sym_COMMA] = ACTIONS(131),
    [anon_sym_DASH_GT] = ACTIONS(131),
    [anon_sym_where] = ACTIONS(133),
    [anon_sym_EQ] = ACTIONS(133),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_if] = ACTIONS(133),
    [anon_sym_SEMI] = ACTIONS(131),
    [anon_sym_else] = ACTIONS(133),
    [anon_sym_when] = ACTIONS(133),
    [anon_sym_in] = ACTIONS(133),
    [anon_sym_case] = ACTIONS(133),
    [anon_sym_QMARK] = ACTIONS(665),
    [anon_sym_PLUS] = ACTIONS(667),
    [anon_sym_DASH] = ACTIONS(669),
    [anon_sym_TILDE] = ACTIONS(669),
    [anon_sym_BANG] = ACTIONS(669),
    [anon_sym_AMP] = ACTIONS(669),
    [anon_sym_PIPE_PIPE] = ACTIONS(131),
    [anon_sym_or_else] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(131),
    [anon_sym_GT] = ACTIONS(133),
    [anon_sym_GT_EQ] = ACTIONS(131),
    [anon_sym_LT_EQ] = ACTIONS(131),
    [anon_sym_LT] = ACTIONS(133),
    [anon_sym_EQ_EQ] = ACTIONS(131),
    [anon_sym_BANG_EQ] = ACTIONS(131),
    [anon_sym_TILDE_EQ] = ACTIONS(131),
    [anon_sym_PIPE] = ACTIONS(133),
    [anon_sym_AMP_TILDE] = ACTIONS(131),
    [anon_sym_LT_LT] = ACTIONS(131),
    [anon_sym_GT_GT] = ACTIONS(131),
    [anon_sym_STAR] = ACTIONS(131),
    [anon_sym_SLASH] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(131),
    [anon_sym_DOT] = ACTIONS(671),
    [anon_sym_LBRACK] = ACTIONS(673),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(131),
    [anon_sym_DOT_DOT_LT] = ACTIONS(131),
    [anon_sym_cast] = ACTIONS(675),
    [anon_sym_transmute] = ACTIONS(675),
    [anon_sym_auto_cast] = ACTIONS(677),
    [anon_sym_not_in] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(679),
    [anon_sym_or_return] = ACTIONS(133),
    [anon_sym_or_continue] = ACTIONS(133),
    [anon_sym_or_break] = ACTIONS(133),
    [anon_sym_CARET] = ACTIONS(131),
    [anon_sym_map] = ACTIONS(681),
    [anon_sym_bit_set] = ACTIONS(683),
    [anon_sym_matrix] = ACTIONS(685),
    [anon_sym_distinct] = ACTIONS(687),
    [sym_number] = ACTIONS(689),
    [anon_sym_DQUOTE] = ACTIONS(691),
    [anon_sym_BQUOTE] = ACTIONS(693),
    [anon_sym_SQUOTE] = ACTIONS(695),
    [anon_sym_true] = ACTIONS(697),
    [anon_sym_false] = ACTIONS(697),
    [sym_nil] = ACTIONS(699),
    [sym_uninitialized] = ACTIONS(689),
    [sym_tag] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(131),
    [sym__backslash] = ACTIONS(3),
    [sym__nl_comma] = ACTIONS(131),
    [sym_float] = ACTIONS(689),
    [sym_block_comment] = ACTIONS(3),
  },
  [115] = {
    [sym_expression] = STATE(4468),
    [sym__expression_no_tag] = STATE(4299),
    [sym_unary_expression] = STATE(4299),
    [sym_binary_expression] = STATE(4299),
    [sym_ternary_expression] = STATE(4299),
    [sym_call_expression] = STATE(4299),
    [sym_selector_call_expression] = STATE(4299),
    [sym_member_expression] = STATE(4299),
    [sym_index_expression] = STATE(4299),
    [sym_slice_expression] = STATE(4299),
    [sym_range_expression] = STATE(4299),
    [sym_cast_expression] = STATE(4299),
    [sym_in_expression] = STATE(4299),
    [sym_variadic_expression] = STATE(4299),
    [sym_parenthesized_expression] = STATE(4299),
    [sym_or_return_expression] = STATE(4299),
    [sym_or_continue_expression] = STATE(4299),
    [sym_or_break_expression] = STATE(4299),
    [sym_address] = STATE(4299),
    [sym_pointer_type] = STATE(6434),
    [sym_array_type] = STATE(6434),
    [sym_map_type] = STATE(4299),
    [sym_bit_set_type] = STATE(6434),
    [sym_matrix_type] = STATE(4299),
    [sym_distinct_type] = STATE(4299),
    [sym_literal] = STATE(4299),
    [sym_struct] = STATE(4311),
    [sym_map] = STATE(3787),
    [sym_bit_set] = STATE(3787),
    [sym_matrix] = STATE(3787),
    [sym_string] = STATE(3787),
    [sym__string_literal] = STATE(3867),
    [sym__raw_string_literal] = STATE(3867),
    [sym_character] = STATE(3787),
    [sym_boolean] = STATE(3787),
    [sym_field_identifier] = STATE(7783),
    [ts_builtin_sym_end] = ACTIONS(67),
    [sym_identifier] = ACTIONS(583),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_RBRACE] = ACTIONS(67),
    [anon_sym_COMMA] = ACTIONS(67),
    [anon_sym_DASH_GT] = ACTIONS(67),
    [anon_sym_POUNDtype] = ACTIONS(703),
    [anon_sym_LPAREN] = ACTIONS(589),
    [anon_sym_SEMI] = ACTIONS(67),
    [anon_sym_else] = ACTIONS(71),
    [anon_sym_in] = ACTIONS(71),
    [anon_sym_case] = ACTIONS(71),
    [anon_sym_QMARK] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AMP] = ACTIONS(71),
    [anon_sym_PIPE_PIPE] = ACTIONS(67),
    [anon_sym_or_else] = ACTIONS(71),
    [anon_sym_AMP_AMP] = ACTIONS(67),
    [anon_sym_GT] = ACTIONS(71),
    [anon_sym_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_EQ] = ACTIONS(67),
    [anon_sym_LT] = ACTIONS(71),
    [anon_sym_EQ_EQ] = ACTIONS(67),
    [anon_sym_BANG_EQ] = ACTIONS(67),
    [anon_sym_TILDE_EQ] = ACTIONS(67),
    [anon_sym_PIPE] = ACTIONS(71),
    [anon_sym_AMP_TILDE] = ACTIONS(67),
    [anon_sym_LT_LT] = ACTIONS(67),
    [anon_sym_GT_GT] = ACTIONS(67),
    [anon_sym_STAR] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(71),
    [anon_sym_PERCENT] = ACTIONS(71),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(67),
    [anon_sym_DOT] = ACTIONS(71),
    [anon_sym_LBRACK] = ACTIONS(595),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(67),
    [anon_sym_DOT_DOT_LT] = ACTIONS(67),
    [anon_sym_cast] = ACTIONS(597),
    [anon_sym_transmute] = ACTIONS(597),
    [anon_sym_auto_cast] = ACTIONS(599),
    [anon_sym_not_in] = ACTIONS(71),
    [anon_sym_DOT_DOT] = ACTIONS(601),
    [anon_sym_or_return] = ACTIONS(71),
    [anon_sym_or_continue] = ACTIONS(71),
    [anon_sym_or_break] = ACTIONS(71),
    [anon_sym_CARET] = ACTIONS(67),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(603),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(605),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(67),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [116] = {
    [sym_expression] = STATE(4485),
    [sym__expression_no_tag] = STATE(4299),
    [sym_unary_expression] = STATE(4299),
    [sym_binary_expression] = STATE(4299),
    [sym_ternary_expression] = STATE(4299),
    [sym_call_expression] = STATE(4299),
    [sym_selector_call_expression] = STATE(4299),
    [sym_member_expression] = STATE(4299),
    [sym_index_expression] = STATE(4299),
    [sym_slice_expression] = STATE(4299),
    [sym_range_expression] = STATE(4299),
    [sym_cast_expression] = STATE(4299),
    [sym_in_expression] = STATE(4299),
    [sym_variadic_expression] = STATE(4299),
    [sym_parenthesized_expression] = STATE(4299),
    [sym_or_return_expression] = STATE(4299),
    [sym_or_continue_expression] = STATE(4299),
    [sym_or_break_expression] = STATE(4299),
    [sym_address] = STATE(4299),
    [sym_pointer_type] = STATE(6445),
    [sym_array_type] = STATE(6445),
    [sym_map_type] = STATE(4299),
    [sym_bit_set_type] = STATE(6445),
    [sym_matrix_type] = STATE(4299),
    [sym_distinct_type] = STATE(4299),
    [sym_literal] = STATE(4299),
    [sym_struct] = STATE(4311),
    [sym_map] = STATE(3787),
    [sym_bit_set] = STATE(3787),
    [sym_matrix] = STATE(3787),
    [sym_string] = STATE(3787),
    [sym__string_literal] = STATE(3867),
    [sym__raw_string_literal] = STATE(3867),
    [sym_character] = STATE(3787),
    [sym_boolean] = STATE(3787),
    [sym_field_identifier] = STATE(7783),
    [ts_builtin_sym_end] = ACTIONS(67),
    [sym_identifier] = ACTIONS(583),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_RBRACE] = ACTIONS(67),
    [anon_sym_COMMA] = ACTIONS(67),
    [anon_sym_DASH_GT] = ACTIONS(67),
    [anon_sym_POUNDtype] = ACTIONS(587),
    [anon_sym_LPAREN] = ACTIONS(589),
    [anon_sym_SEMI] = ACTIONS(67),
    [anon_sym_else] = ACTIONS(71),
    [anon_sym_in] = ACTIONS(71),
    [anon_sym_case] = ACTIONS(71),
    [anon_sym_QMARK] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AMP] = ACTIONS(71),
    [anon_sym_PIPE_PIPE] = ACTIONS(67),
    [anon_sym_or_else] = ACTIONS(71),
    [anon_sym_AMP_AMP] = ACTIONS(67),
    [anon_sym_GT] = ACTIONS(71),
    [anon_sym_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_EQ] = ACTIONS(67),
    [anon_sym_LT] = ACTIONS(71),
    [anon_sym_EQ_EQ] = ACTIONS(67),
    [anon_sym_BANG_EQ] = ACTIONS(67),
    [anon_sym_TILDE_EQ] = ACTIONS(67),
    [anon_sym_PIPE] = ACTIONS(71),
    [anon_sym_AMP_TILDE] = ACTIONS(67),
    [anon_sym_LT_LT] = ACTIONS(67),
    [anon_sym_GT_GT] = ACTIONS(67),
    [anon_sym_STAR] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(71),
    [anon_sym_PERCENT] = ACTIONS(71),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(67),
    [anon_sym_DOT] = ACTIONS(71),
    [anon_sym_LBRACK] = ACTIONS(595),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(67),
    [anon_sym_DOT_DOT_LT] = ACTIONS(67),
    [anon_sym_cast] = ACTIONS(597),
    [anon_sym_transmute] = ACTIONS(597),
    [anon_sym_auto_cast] = ACTIONS(599),
    [anon_sym_not_in] = ACTIONS(71),
    [anon_sym_DOT_DOT] = ACTIONS(601),
    [anon_sym_or_return] = ACTIONS(71),
    [anon_sym_or_continue] = ACTIONS(71),
    [anon_sym_or_break] = ACTIONS(71),
    [anon_sym_CARET] = ACTIONS(67),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(603),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(605),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(67),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [117] = {
    [sym_expression] = STATE(3470),
    [sym__expression_no_tag] = STATE(3597),
    [sym_unary_expression] = STATE(3597),
    [sym_binary_expression] = STATE(3597),
    [sym_ternary_expression] = STATE(3597),
    [sym_call_expression] = STATE(3597),
    [sym_selector_call_expression] = STATE(3597),
    [sym_member_expression] = STATE(3597),
    [sym_index_expression] = STATE(3597),
    [sym_slice_expression] = STATE(3597),
    [sym_range_expression] = STATE(3597),
    [sym_cast_expression] = STATE(3597),
    [sym_in_expression] = STATE(3597),
    [sym_variadic_expression] = STATE(3597),
    [sym_parenthesized_expression] = STATE(3597),
    [sym_or_return_expression] = STATE(3597),
    [sym_or_continue_expression] = STATE(3597),
    [sym_or_break_expression] = STATE(3597),
    [sym_address] = STATE(3597),
    [sym_map_type] = STATE(3597),
    [sym_matrix_type] = STATE(3597),
    [sym_distinct_type] = STATE(3597),
    [sym_literal] = STATE(3597),
    [sym_struct] = STATE(3465),
    [sym_map] = STATE(3453),
    [sym_bit_set] = STATE(3453),
    [sym_matrix] = STATE(3453),
    [sym_string] = STATE(3453),
    [sym__string_literal] = STATE(3469),
    [sym__raw_string_literal] = STATE(3469),
    [sym_character] = STATE(3453),
    [sym_boolean] = STATE(3453),
    [sym_field_identifier] = STATE(7903),
    [sym_identifier] = ACTIONS(659),
    [anon_sym_LBRACE] = ACTIONS(173),
    [anon_sym_RBRACE] = ACTIONS(173),
    [anon_sym_COMMA] = ACTIONS(173),
    [anon_sym_DASH_GT] = ACTIONS(173),
    [anon_sym_where] = ACTIONS(175),
    [anon_sym_EQ] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(173),
    [anon_sym_if] = ACTIONS(175),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_else] = ACTIONS(175),
    [anon_sym_when] = ACTIONS(175),
    [anon_sym_in] = ACTIONS(175),
    [anon_sym_case] = ACTIONS(175),
    [anon_sym_QMARK] = ACTIONS(173),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_BANG] = ACTIONS(669),
    [anon_sym_AMP] = ACTIONS(175),
    [anon_sym_PIPE_PIPE] = ACTIONS(173),
    [anon_sym_or_else] = ACTIONS(175),
    [anon_sym_AMP_AMP] = ACTIONS(173),
    [anon_sym_GT] = ACTIONS(175),
    [anon_sym_GT_EQ] = ACTIONS(173),
    [anon_sym_LT_EQ] = ACTIONS(173),
    [anon_sym_LT] = ACTIONS(175),
    [anon_sym_EQ_EQ] = ACTIONS(173),
    [anon_sym_BANG_EQ] = ACTIONS(173),
    [anon_sym_TILDE_EQ] = ACTIONS(173),
    [anon_sym_PIPE] = ACTIONS(175),
    [anon_sym_AMP_TILDE] = ACTIONS(173),
    [anon_sym_LT_LT] = ACTIONS(173),
    [anon_sym_GT_GT] = ACTIONS(173),
    [anon_sym_STAR] = ACTIONS(173),
    [anon_sym_SLASH] = ACTIONS(175),
    [anon_sym_PERCENT] = ACTIONS(175),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(173),
    [anon_sym_DOT] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(173),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(173),
    [anon_sym_DOT_DOT_LT] = ACTIONS(173),
    [anon_sym_cast] = ACTIONS(675),
    [anon_sym_transmute] = ACTIONS(675),
    [anon_sym_auto_cast] = ACTIONS(677),
    [anon_sym_not_in] = ACTIONS(175),
    [anon_sym_DOT_DOT] = ACTIONS(679),
    [anon_sym_or_return] = ACTIONS(175),
    [anon_sym_or_continue] = ACTIONS(175),
    [anon_sym_or_break] = ACTIONS(175),
    [anon_sym_CARET] = ACTIONS(173),
    [anon_sym_map] = ACTIONS(681),
    [anon_sym_bit_set] = ACTIONS(683),
    [anon_sym_matrix] = ACTIONS(685),
    [anon_sym_distinct] = ACTIONS(687),
    [sym_number] = ACTIONS(689),
    [anon_sym_DQUOTE] = ACTIONS(691),
    [anon_sym_BQUOTE] = ACTIONS(693),
    [anon_sym_SQUOTE] = ACTIONS(695),
    [anon_sym_true] = ACTIONS(697),
    [anon_sym_false] = ACTIONS(697),
    [sym_nil] = ACTIONS(699),
    [sym_uninitialized] = ACTIONS(173),
    [sym_tag] = ACTIONS(173),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(173),
    [sym__backslash] = ACTIONS(3),
    [sym__nl_comma] = ACTIONS(173),
    [sym_float] = ACTIONS(689),
    [sym_block_comment] = ACTIONS(3),
  },
  [118] = {
    [sym_procedure] = STATE(4270),
    [sym_expression] = STATE(4480),
    [sym__expression_no_tag] = STATE(4256),
    [sym_unary_expression] = STATE(4256),
    [sym_binary_expression] = STATE(4256),
    [sym_ternary_expression] = STATE(4256),
    [sym_call_expression] = STATE(4256),
    [sym_selector_call_expression] = STATE(4256),
    [sym_member_expression] = STATE(4256),
    [sym_index_expression] = STATE(4256),
    [sym_slice_expression] = STATE(4256),
    [sym_range_expression] = STATE(4256),
    [sym_cast_expression] = STATE(4256),
    [sym_in_expression] = STATE(4256),
    [sym_variadic_expression] = STATE(4256),
    [sym_parenthesized_expression] = STATE(4256),
    [sym_or_return_expression] = STATE(4256),
    [sym_or_continue_expression] = STATE(4256),
    [sym_or_break_expression] = STATE(4256),
    [sym_address] = STATE(4256),
    [sym_map_type] = STATE(4256),
    [sym_matrix_type] = STATE(4256),
    [sym__procedure_type] = STATE(6444),
    [sym_distinct_type] = STATE(4256),
    [sym_literal] = STATE(4256),
    [sym_struct] = STATE(4297),
    [sym_map] = STATE(4290),
    [sym_bit_set] = STATE(4290),
    [sym_matrix] = STATE(4290),
    [sym_string] = STATE(4290),
    [sym__string_literal] = STATE(4298),
    [sym__raw_string_literal] = STATE(4298),
    [sym_character] = STATE(4290),
    [sym_boolean] = STATE(4290),
    [sym_field_identifier] = STATE(7838),
    [sym_identifier] = ACTIONS(705),
    [anon_sym_LBRACE] = ACTIONS(707),
    [anon_sym_RBRACE] = ACTIONS(709),
    [anon_sym_COMMA] = ACTIONS(67),
    [anon_sym_proc] = ACTIONS(711),
    [anon_sym_DASH_GT] = ACTIONS(67),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_SEMI] = ACTIONS(709),
    [anon_sym_else] = ACTIONS(715),
    [anon_sym_in] = ACTIONS(71),
    [anon_sym_case] = ACTIONS(715),
    [anon_sym_QMARK] = ACTIONS(717),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(721),
    [anon_sym_TILDE] = ACTIONS(721),
    [anon_sym_BANG] = ACTIONS(721),
    [anon_sym_AMP] = ACTIONS(721),
    [anon_sym_PIPE_PIPE] = ACTIONS(67),
    [anon_sym_or_else] = ACTIONS(71),
    [anon_sym_AMP_AMP] = ACTIONS(67),
    [anon_sym_GT] = ACTIONS(71),
    [anon_sym_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_EQ] = ACTIONS(67),
    [anon_sym_LT] = ACTIONS(71),
    [anon_sym_EQ_EQ] = ACTIONS(67),
    [anon_sym_BANG_EQ] = ACTIONS(67),
    [anon_sym_TILDE_EQ] = ACTIONS(67),
    [anon_sym_PIPE] = ACTIONS(71),
    [anon_sym_AMP_TILDE] = ACTIONS(67),
    [anon_sym_LT_LT] = ACTIONS(67),
    [anon_sym_GT_GT] = ACTIONS(67),
    [anon_sym_STAR] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(71),
    [anon_sym_PERCENT] = ACTIONS(71),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(67),
    [anon_sym_DOT] = ACTIONS(723),
    [anon_sym_LBRACK] = ACTIONS(725),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(67),
    [anon_sym_DOT_DOT_LT] = ACTIONS(67),
    [anon_sym_cast] = ACTIONS(727),
    [anon_sym_transmute] = ACTIONS(727),
    [anon_sym_auto_cast] = ACTIONS(729),
    [anon_sym_not_in] = ACTIONS(71),
    [anon_sym_DOT_DOT] = ACTIONS(731),
    [anon_sym_or_return] = ACTIONS(71),
    [anon_sym_or_continue] = ACTIONS(71),
    [anon_sym_or_break] = ACTIONS(71),
    [anon_sym_CARET] = ACTIONS(67),
    [anon_sym_map] = ACTIONS(733),
    [anon_sym_bit_set] = ACTIONS(735),
    [anon_sym_matrix] = ACTIONS(737),
    [anon_sym_distinct] = ACTIONS(739),
    [sym_number] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(743),
    [anon_sym_BQUOTE] = ACTIONS(745),
    [anon_sym_SQUOTE] = ACTIONS(747),
    [anon_sym_true] = ACTIONS(749),
    [anon_sym_false] = ACTIONS(749),
    [sym_nil] = ACTIONS(751),
    [sym_uninitialized] = ACTIONS(741),
    [sym_tag] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(709),
    [sym__backslash] = ACTIONS(3),
    [sym__nl_comma] = ACTIONS(67),
    [sym_float] = ACTIONS(741),
    [sym_block_comment] = ACTIONS(3),
  },
  [119] = {
    [sym_expression] = STATE(4155),
    [sym__expression_no_tag] = STATE(4237),
    [sym_unary_expression] = STATE(4237),
    [sym_binary_expression] = STATE(4237),
    [sym_ternary_expression] = STATE(4237),
    [sym_call_expression] = STATE(4237),
    [sym_selector_call_expression] = STATE(4237),
    [sym_member_expression] = STATE(4237),
    [sym_index_expression] = STATE(4237),
    [sym_slice_expression] = STATE(4237),
    [sym_range_expression] = STATE(4237),
    [sym_cast_expression] = STATE(4237),
    [sym_in_expression] = STATE(4237),
    [sym_variadic_expression] = STATE(4237),
    [sym_parenthesized_expression] = STATE(4237),
    [sym_or_return_expression] = STATE(4237),
    [sym_or_continue_expression] = STATE(4237),
    [sym_or_break_expression] = STATE(4237),
    [sym_address] = STATE(4237),
    [sym_map_type] = STATE(4237),
    [sym_matrix_type] = STATE(4237),
    [sym_distinct_type] = STATE(4237),
    [sym_literal] = STATE(4237),
    [sym_struct] = STATE(4311),
    [sym_map] = STATE(3787),
    [sym_bit_set] = STATE(3787),
    [sym_matrix] = STATE(3787),
    [sym_string] = STATE(3787),
    [sym__string_literal] = STATE(3867),
    [sym__raw_string_literal] = STATE(3867),
    [sym_character] = STATE(3787),
    [sym_boolean] = STATE(3787),
    [sym_field_identifier] = STATE(7783),
    [ts_builtin_sym_end] = ACTIONS(173),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_RBRACE] = ACTIONS(173),
    [anon_sym_COMMA] = ACTIONS(173),
    [anon_sym_DASH_GT] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(173),
    [anon_sym_if] = ACTIONS(175),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_else] = ACTIONS(175),
    [anon_sym_when] = ACTIONS(175),
    [anon_sym_in] = ACTIONS(175),
    [anon_sym_case] = ACTIONS(175),
    [anon_sym_QMARK] = ACTIONS(173),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AMP] = ACTIONS(175),
    [anon_sym_PIPE_PIPE] = ACTIONS(173),
    [anon_sym_or_else] = ACTIONS(175),
    [anon_sym_AMP_AMP] = ACTIONS(173),
    [anon_sym_GT] = ACTIONS(175),
    [anon_sym_GT_EQ] = ACTIONS(173),
    [anon_sym_LT_EQ] = ACTIONS(173),
    [anon_sym_LT] = ACTIONS(175),
    [anon_sym_EQ_EQ] = ACTIONS(173),
    [anon_sym_BANG_EQ] = ACTIONS(173),
    [anon_sym_TILDE_EQ] = ACTIONS(173),
    [anon_sym_PIPE] = ACTIONS(175),
    [anon_sym_AMP_TILDE] = ACTIONS(173),
    [anon_sym_LT_LT] = ACTIONS(173),
    [anon_sym_GT_GT] = ACTIONS(173),
    [anon_sym_STAR] = ACTIONS(173),
    [anon_sym_SLASH] = ACTIONS(175),
    [anon_sym_PERCENT] = ACTIONS(175),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(173),
    [anon_sym_DOT] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(173),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(173),
    [anon_sym_DOT_DOT_LT] = ACTIONS(173),
    [anon_sym_cast] = ACTIONS(597),
    [anon_sym_transmute] = ACTIONS(597),
    [anon_sym_auto_cast] = ACTIONS(599),
    [anon_sym_not_in] = ACTIONS(175),
    [anon_sym_DOT_DOT] = ACTIONS(601),
    [anon_sym_or_return] = ACTIONS(175),
    [anon_sym_or_continue] = ACTIONS(175),
    [anon_sym_or_break] = ACTIONS(175),
    [anon_sym_CARET] = ACTIONS(173),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(173),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [120] = {
    [sym_expression] = STATE(4201),
    [sym__expression_no_tag] = STATE(4282),
    [sym_unary_expression] = STATE(4282),
    [sym_binary_expression] = STATE(4282),
    [sym_ternary_expression] = STATE(4282),
    [sym_call_expression] = STATE(4282),
    [sym_selector_call_expression] = STATE(4282),
    [sym_member_expression] = STATE(4282),
    [sym_index_expression] = STATE(4282),
    [sym_slice_expression] = STATE(4282),
    [sym_range_expression] = STATE(4282),
    [sym_cast_expression] = STATE(4282),
    [sym_in_expression] = STATE(4282),
    [sym_variadic_expression] = STATE(4282),
    [sym_parenthesized_expression] = STATE(4282),
    [sym_or_return_expression] = STATE(4282),
    [sym_or_continue_expression] = STATE(4282),
    [sym_or_break_expression] = STATE(4282),
    [sym_address] = STATE(4282),
    [sym_map_type] = STATE(4282),
    [sym_matrix_type] = STATE(4282),
    [sym_distinct_type] = STATE(4282),
    [sym_literal] = STATE(4282),
    [sym_struct] = STATE(4297),
    [sym_map] = STATE(4290),
    [sym_bit_set] = STATE(4290),
    [sym_matrix] = STATE(4290),
    [sym_string] = STATE(4290),
    [sym__string_literal] = STATE(4298),
    [sym__raw_string_literal] = STATE(4298),
    [sym_character] = STATE(4290),
    [sym_boolean] = STATE(4290),
    [sym_field_identifier] = STATE(7838),
    [sym_identifier] = ACTIONS(757),
    [anon_sym_LBRACE] = ACTIONS(707),
    [anon_sym_RBRACE] = ACTIONS(197),
    [anon_sym_COMMA] = ACTIONS(197),
    [anon_sym_DASH_GT] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(199),
    [anon_sym_SEMI] = ACTIONS(197),
    [anon_sym_else] = ACTIONS(199),
    [anon_sym_when] = ACTIONS(199),
    [anon_sym_in] = ACTIONS(199),
    [anon_sym_case] = ACTIONS(199),
    [anon_sym_QMARK] = ACTIONS(197),
    [anon_sym_PLUS] = ACTIONS(197),
    [anon_sym_DASH] = ACTIONS(199),
    [anon_sym_TILDE] = ACTIONS(199),
    [anon_sym_BANG] = ACTIONS(721),
    [anon_sym_AMP] = ACTIONS(199),
    [anon_sym_PIPE_PIPE] = ACTIONS(197),
    [anon_sym_or_else] = ACTIONS(199),
    [anon_sym_AMP_AMP] = ACTIONS(197),
    [anon_sym_GT] = ACTIONS(199),
    [anon_sym_GT_EQ] = ACTIONS(197),
    [anon_sym_LT_EQ] = ACTIONS(197),
    [anon_sym_LT] = ACTIONS(199),
    [anon_sym_EQ_EQ] = ACTIONS(197),
    [anon_sym_BANG_EQ] = ACTIONS(197),
    [anon_sym_TILDE_EQ] = ACTIONS(197),
    [anon_sym_PIPE] = ACTIONS(199),
    [anon_sym_AMP_TILDE] = ACTIONS(197),
    [anon_sym_LT_LT] = ACTIONS(197),
    [anon_sym_GT_GT] = ACTIONS(197),
    [anon_sym_STAR] = ACTIONS(197),
    [anon_sym_SLASH] = ACTIONS(199),
    [anon_sym_PERCENT] = ACTIONS(199),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(197),
    [anon_sym_DOT] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(197),
    [anon_sym_DOT_DOT_LT] = ACTIONS(197),
    [anon_sym_cast] = ACTIONS(727),
    [anon_sym_transmute] = ACTIONS(727),
    [anon_sym_auto_cast] = ACTIONS(729),
    [anon_sym_not_in] = ACTIONS(199),
    [anon_sym_DOT_DOT] = ACTIONS(731),
    [anon_sym_or_return] = ACTIONS(199),
    [anon_sym_or_continue] = ACTIONS(199),
    [anon_sym_or_break] = ACTIONS(199),
    [anon_sym_CARET] = ACTIONS(197),
    [anon_sym_map] = ACTIONS(733),
    [anon_sym_bit_set] = ACTIONS(735),
    [anon_sym_matrix] = ACTIONS(737),
    [anon_sym_distinct] = ACTIONS(739),
    [sym_number] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(743),
    [anon_sym_BQUOTE] = ACTIONS(745),
    [anon_sym_SQUOTE] = ACTIONS(747),
    [anon_sym_true] = ACTIONS(749),
    [anon_sym_false] = ACTIONS(749),
    [sym_nil] = ACTIONS(751),
    [sym_uninitialized] = ACTIONS(741),
    [sym_tag] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(197),
    [sym__backslash] = ACTIONS(3),
    [sym__nl_comma] = ACTIONS(197),
    [sym_float] = ACTIONS(741),
    [sym_block_comment] = ACTIONS(3),
  },
  [121] = {
    [sym_expression] = STATE(4155),
    [sym__expression_no_tag] = STATE(4237),
    [sym_unary_expression] = STATE(4237),
    [sym_binary_expression] = STATE(4237),
    [sym_ternary_expression] = STATE(4237),
    [sym_call_expression] = STATE(4237),
    [sym_selector_call_expression] = STATE(4237),
    [sym_member_expression] = STATE(4237),
    [sym_index_expression] = STATE(4237),
    [sym_slice_expression] = STATE(4237),
    [sym_range_expression] = STATE(4237),
    [sym_cast_expression] = STATE(4237),
    [sym_in_expression] = STATE(4237),
    [sym_variadic_expression] = STATE(4237),
    [sym_parenthesized_expression] = STATE(4237),
    [sym_or_return_expression] = STATE(4237),
    [sym_or_continue_expression] = STATE(4237),
    [sym_or_break_expression] = STATE(4237),
    [sym_address] = STATE(4237),
    [sym_map_type] = STATE(4237),
    [sym_matrix_type] = STATE(4237),
    [sym_distinct_type] = STATE(4237),
    [sym_literal] = STATE(4237),
    [sym_struct] = STATE(4311),
    [sym_map] = STATE(3787),
    [sym_bit_set] = STATE(3787),
    [sym_matrix] = STATE(3787),
    [sym_string] = STATE(3787),
    [sym__string_literal] = STATE(3867),
    [sym__raw_string_literal] = STATE(3867),
    [sym_character] = STATE(3787),
    [sym_boolean] = STATE(3787),
    [sym_field_identifier] = STATE(7783),
    [ts_builtin_sym_end] = ACTIONS(197),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_RBRACE] = ACTIONS(197),
    [anon_sym_COMMA] = ACTIONS(197),
    [anon_sym_DASH_GT] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(199),
    [anon_sym_SEMI] = ACTIONS(197),
    [anon_sym_else] = ACTIONS(199),
    [anon_sym_when] = ACTIONS(199),
    [anon_sym_in] = ACTIONS(199),
    [anon_sym_case] = ACTIONS(199),
    [anon_sym_QMARK] = ACTIONS(197),
    [anon_sym_PLUS] = ACTIONS(197),
    [anon_sym_DASH] = ACTIONS(199),
    [anon_sym_TILDE] = ACTIONS(199),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AMP] = ACTIONS(199),
    [anon_sym_PIPE_PIPE] = ACTIONS(197),
    [anon_sym_or_else] = ACTIONS(199),
    [anon_sym_AMP_AMP] = ACTIONS(197),
    [anon_sym_GT] = ACTIONS(199),
    [anon_sym_GT_EQ] = ACTIONS(197),
    [anon_sym_LT_EQ] = ACTIONS(197),
    [anon_sym_LT] = ACTIONS(199),
    [anon_sym_EQ_EQ] = ACTIONS(197),
    [anon_sym_BANG_EQ] = ACTIONS(197),
    [anon_sym_TILDE_EQ] = ACTIONS(197),
    [anon_sym_PIPE] = ACTIONS(199),
    [anon_sym_AMP_TILDE] = ACTIONS(197),
    [anon_sym_LT_LT] = ACTIONS(197),
    [anon_sym_GT_GT] = ACTIONS(197),
    [anon_sym_STAR] = ACTIONS(197),
    [anon_sym_SLASH] = ACTIONS(199),
    [anon_sym_PERCENT] = ACTIONS(199),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(197),
    [anon_sym_DOT] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(197),
    [anon_sym_DOT_DOT_LT] = ACTIONS(197),
    [anon_sym_cast] = ACTIONS(597),
    [anon_sym_transmute] = ACTIONS(597),
    [anon_sym_auto_cast] = ACTIONS(599),
    [anon_sym_not_in] = ACTIONS(199),
    [anon_sym_DOT_DOT] = ACTIONS(601),
    [anon_sym_or_return] = ACTIONS(199),
    [anon_sym_or_continue] = ACTIONS(199),
    [anon_sym_or_break] = ACTIONS(199),
    [anon_sym_CARET] = ACTIONS(197),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(197),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [122] = {
    [sym_expression] = STATE(4201),
    [sym__expression_no_tag] = STATE(4282),
    [sym_unary_expression] = STATE(4282),
    [sym_binary_expression] = STATE(4282),
    [sym_ternary_expression] = STATE(4282),
    [sym_call_expression] = STATE(4282),
    [sym_selector_call_expression] = STATE(4282),
    [sym_member_expression] = STATE(4282),
    [sym_index_expression] = STATE(4282),
    [sym_slice_expression] = STATE(4282),
    [sym_range_expression] = STATE(4282),
    [sym_cast_expression] = STATE(4282),
    [sym_in_expression] = STATE(4282),
    [sym_variadic_expression] = STATE(4282),
    [sym_parenthesized_expression] = STATE(4282),
    [sym_or_return_expression] = STATE(4282),
    [sym_or_continue_expression] = STATE(4282),
    [sym_or_break_expression] = STATE(4282),
    [sym_address] = STATE(4282),
    [sym_map_type] = STATE(4282),
    [sym_matrix_type] = STATE(4282),
    [sym_distinct_type] = STATE(4282),
    [sym_literal] = STATE(4282),
    [sym_struct] = STATE(4297),
    [sym_map] = STATE(4290),
    [sym_bit_set] = STATE(4290),
    [sym_matrix] = STATE(4290),
    [sym_string] = STATE(4290),
    [sym__string_literal] = STATE(4298),
    [sym__raw_string_literal] = STATE(4298),
    [sym_character] = STATE(4290),
    [sym_boolean] = STATE(4290),
    [sym_field_identifier] = STATE(7838),
    [sym_identifier] = ACTIONS(757),
    [anon_sym_LBRACE] = ACTIONS(707),
    [anon_sym_RBRACE] = ACTIONS(173),
    [anon_sym_COMMA] = ACTIONS(173),
    [anon_sym_DASH_GT] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(173),
    [anon_sym_if] = ACTIONS(175),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_else] = ACTIONS(175),
    [anon_sym_when] = ACTIONS(175),
    [anon_sym_in] = ACTIONS(175),
    [anon_sym_case] = ACTIONS(175),
    [anon_sym_QMARK] = ACTIONS(173),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_BANG] = ACTIONS(721),
    [anon_sym_AMP] = ACTIONS(175),
    [anon_sym_PIPE_PIPE] = ACTIONS(173),
    [anon_sym_or_else] = ACTIONS(175),
    [anon_sym_AMP_AMP] = ACTIONS(173),
    [anon_sym_GT] = ACTIONS(175),
    [anon_sym_GT_EQ] = ACTIONS(173),
    [anon_sym_LT_EQ] = ACTIONS(173),
    [anon_sym_LT] = ACTIONS(175),
    [anon_sym_EQ_EQ] = ACTIONS(173),
    [anon_sym_BANG_EQ] = ACTIONS(173),
    [anon_sym_TILDE_EQ] = ACTIONS(173),
    [anon_sym_PIPE] = ACTIONS(175),
    [anon_sym_AMP_TILDE] = ACTIONS(173),
    [anon_sym_LT_LT] = ACTIONS(173),
    [anon_sym_GT_GT] = ACTIONS(173),
    [anon_sym_STAR] = ACTIONS(173),
    [anon_sym_SLASH] = ACTIONS(175),
    [anon_sym_PERCENT] = ACTIONS(175),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(173),
    [anon_sym_DOT] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(173),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(173),
    [anon_sym_DOT_DOT_LT] = ACTIONS(173),
    [anon_sym_cast] = ACTIONS(727),
    [anon_sym_transmute] = ACTIONS(727),
    [anon_sym_auto_cast] = ACTIONS(729),
    [anon_sym_not_in] = ACTIONS(175),
    [anon_sym_DOT_DOT] = ACTIONS(731),
    [anon_sym_or_return] = ACTIONS(175),
    [anon_sym_or_continue] = ACTIONS(175),
    [anon_sym_or_break] = ACTIONS(175),
    [anon_sym_CARET] = ACTIONS(173),
    [anon_sym_map] = ACTIONS(733),
    [anon_sym_bit_set] = ACTIONS(735),
    [anon_sym_matrix] = ACTIONS(737),
    [anon_sym_distinct] = ACTIONS(739),
    [sym_number] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(743),
    [anon_sym_BQUOTE] = ACTIONS(745),
    [anon_sym_SQUOTE] = ACTIONS(747),
    [anon_sym_true] = ACTIONS(749),
    [anon_sym_false] = ACTIONS(749),
    [sym_nil] = ACTIONS(751),
    [sym_uninitialized] = ACTIONS(741),
    [sym_tag] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(173),
    [sym__backslash] = ACTIONS(3),
    [sym__nl_comma] = ACTIONS(173),
    [sym_float] = ACTIONS(741),
    [sym_block_comment] = ACTIONS(3),
  },
  [123] = {
    [sym_expression] = STATE(4153),
    [sym__expression_no_tag] = STATE(4237),
    [sym_unary_expression] = STATE(4237),
    [sym_binary_expression] = STATE(4237),
    [sym_ternary_expression] = STATE(4237),
    [sym_call_expression] = STATE(4237),
    [sym_selector_call_expression] = STATE(4237),
    [sym_member_expression] = STATE(4237),
    [sym_index_expression] = STATE(4237),
    [sym_slice_expression] = STATE(4237),
    [sym_range_expression] = STATE(4237),
    [sym_cast_expression] = STATE(4237),
    [sym_in_expression] = STATE(4237),
    [sym_variadic_expression] = STATE(4237),
    [sym_parenthesized_expression] = STATE(4237),
    [sym_or_return_expression] = STATE(4237),
    [sym_or_continue_expression] = STATE(4237),
    [sym_or_break_expression] = STATE(4237),
    [sym_address] = STATE(4237),
    [sym_map_type] = STATE(4237),
    [sym_matrix_type] = STATE(4237),
    [sym_distinct_type] = STATE(4237),
    [sym_literal] = STATE(4237),
    [sym_struct] = STATE(4311),
    [sym_map] = STATE(3787),
    [sym_bit_set] = STATE(3787),
    [sym_matrix] = STATE(3787),
    [sym_string] = STATE(3787),
    [sym__string_literal] = STATE(3867),
    [sym__raw_string_literal] = STATE(3867),
    [sym_character] = STATE(3787),
    [sym_boolean] = STATE(3787),
    [sym_field_identifier] = STATE(7783),
    [ts_builtin_sym_end] = ACTIONS(131),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_RBRACE] = ACTIONS(131),
    [anon_sym_COMMA] = ACTIONS(131),
    [anon_sym_DASH_GT] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(759),
    [anon_sym_if] = ACTIONS(133),
    [anon_sym_SEMI] = ACTIONS(131),
    [anon_sym_else] = ACTIONS(133),
    [anon_sym_when] = ACTIONS(133),
    [anon_sym_in] = ACTIONS(133),
    [anon_sym_case] = ACTIONS(133),
    [anon_sym_QMARK] = ACTIONS(761),
    [anon_sym_PLUS] = ACTIONS(763),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AMP] = ACTIONS(593),
    [anon_sym_PIPE_PIPE] = ACTIONS(131),
    [anon_sym_or_else] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(131),
    [anon_sym_GT] = ACTIONS(133),
    [anon_sym_GT_EQ] = ACTIONS(131),
    [anon_sym_LT_EQ] = ACTIONS(131),
    [anon_sym_LT] = ACTIONS(133),
    [anon_sym_EQ_EQ] = ACTIONS(131),
    [anon_sym_BANG_EQ] = ACTIONS(131),
    [anon_sym_TILDE_EQ] = ACTIONS(131),
    [anon_sym_PIPE] = ACTIONS(133),
    [anon_sym_AMP_TILDE] = ACTIONS(131),
    [anon_sym_LT_LT] = ACTIONS(131),
    [anon_sym_GT_GT] = ACTIONS(131),
    [anon_sym_STAR] = ACTIONS(131),
    [anon_sym_SLASH] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(131),
    [anon_sym_DOT] = ACTIONS(765),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(131),
    [anon_sym_DOT_DOT_LT] = ACTIONS(131),
    [anon_sym_cast] = ACTIONS(597),
    [anon_sym_transmute] = ACTIONS(597),
    [anon_sym_auto_cast] = ACTIONS(599),
    [anon_sym_not_in] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(601),
    [anon_sym_or_return] = ACTIONS(133),
    [anon_sym_or_continue] = ACTIONS(133),
    [anon_sym_or_break] = ACTIONS(133),
    [anon_sym_CARET] = ACTIONS(131),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(131),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [124] = {
    [sym_expression] = STATE(4197),
    [sym__expression_no_tag] = STATE(4282),
    [sym_unary_expression] = STATE(4282),
    [sym_binary_expression] = STATE(4282),
    [sym_ternary_expression] = STATE(4282),
    [sym_call_expression] = STATE(4282),
    [sym_selector_call_expression] = STATE(4282),
    [sym_member_expression] = STATE(4282),
    [sym_index_expression] = STATE(4282),
    [sym_slice_expression] = STATE(4282),
    [sym_range_expression] = STATE(4282),
    [sym_cast_expression] = STATE(4282),
    [sym_in_expression] = STATE(4282),
    [sym_variadic_expression] = STATE(4282),
    [sym_parenthesized_expression] = STATE(4282),
    [sym_or_return_expression] = STATE(4282),
    [sym_or_continue_expression] = STATE(4282),
    [sym_or_break_expression] = STATE(4282),
    [sym_address] = STATE(4282),
    [sym_map_type] = STATE(4282),
    [sym_matrix_type] = STATE(4282),
    [sym_distinct_type] = STATE(4282),
    [sym_literal] = STATE(4282),
    [sym_struct] = STATE(4297),
    [sym_map] = STATE(4290),
    [sym_bit_set] = STATE(4290),
    [sym_matrix] = STATE(4290),
    [sym_string] = STATE(4290),
    [sym__string_literal] = STATE(4298),
    [sym__raw_string_literal] = STATE(4298),
    [sym_character] = STATE(4290),
    [sym_boolean] = STATE(4290),
    [sym_field_identifier] = STATE(7838),
    [sym_identifier] = ACTIONS(757),
    [anon_sym_LBRACE] = ACTIONS(707),
    [anon_sym_RBRACE] = ACTIONS(131),
    [anon_sym_COMMA] = ACTIONS(131),
    [anon_sym_DASH_GT] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_if] = ACTIONS(133),
    [anon_sym_SEMI] = ACTIONS(131),
    [anon_sym_else] = ACTIONS(133),
    [anon_sym_when] = ACTIONS(133),
    [anon_sym_in] = ACTIONS(133),
    [anon_sym_case] = ACTIONS(133),
    [anon_sym_QMARK] = ACTIONS(769),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(721),
    [anon_sym_TILDE] = ACTIONS(721),
    [anon_sym_BANG] = ACTIONS(721),
    [anon_sym_AMP] = ACTIONS(721),
    [anon_sym_PIPE_PIPE] = ACTIONS(131),
    [anon_sym_or_else] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(131),
    [anon_sym_GT] = ACTIONS(133),
    [anon_sym_GT_EQ] = ACTIONS(131),
    [anon_sym_LT_EQ] = ACTIONS(131),
    [anon_sym_LT] = ACTIONS(133),
    [anon_sym_EQ_EQ] = ACTIONS(131),
    [anon_sym_BANG_EQ] = ACTIONS(131),
    [anon_sym_TILDE_EQ] = ACTIONS(131),
    [anon_sym_PIPE] = ACTIONS(133),
    [anon_sym_AMP_TILDE] = ACTIONS(131),
    [anon_sym_LT_LT] = ACTIONS(131),
    [anon_sym_GT_GT] = ACTIONS(131),
    [anon_sym_STAR] = ACTIONS(131),
    [anon_sym_SLASH] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(131),
    [anon_sym_DOT] = ACTIONS(723),
    [anon_sym_LBRACK] = ACTIONS(725),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(131),
    [anon_sym_DOT_DOT_LT] = ACTIONS(131),
    [anon_sym_cast] = ACTIONS(727),
    [anon_sym_transmute] = ACTIONS(727),
    [anon_sym_auto_cast] = ACTIONS(729),
    [anon_sym_not_in] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(731),
    [anon_sym_or_return] = ACTIONS(133),
    [anon_sym_or_continue] = ACTIONS(133),
    [anon_sym_or_break] = ACTIONS(133),
    [anon_sym_CARET] = ACTIONS(131),
    [anon_sym_map] = ACTIONS(733),
    [anon_sym_bit_set] = ACTIONS(735),
    [anon_sym_matrix] = ACTIONS(737),
    [anon_sym_distinct] = ACTIONS(739),
    [sym_number] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(743),
    [anon_sym_BQUOTE] = ACTIONS(745),
    [anon_sym_SQUOTE] = ACTIONS(747),
    [anon_sym_true] = ACTIONS(749),
    [anon_sym_false] = ACTIONS(749),
    [sym_nil] = ACTIONS(751),
    [sym_uninitialized] = ACTIONS(741),
    [sym_tag] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(131),
    [sym__backslash] = ACTIONS(3),
    [sym__nl_comma] = ACTIONS(131),
    [sym_float] = ACTIONS(741),
    [sym_block_comment] = ACTIONS(3),
  },
  [125] = {
    [sym_procedure] = STATE(6463),
    [sym_expression] = STATE(4499),
    [sym__expression_no_tag] = STATE(4299),
    [sym_unary_expression] = STATE(4299),
    [sym_binary_expression] = STATE(4299),
    [sym_ternary_expression] = STATE(4299),
    [sym_call_expression] = STATE(4299),
    [sym_selector_call_expression] = STATE(4299),
    [sym_member_expression] = STATE(4299),
    [sym_index_expression] = STATE(4299),
    [sym_slice_expression] = STATE(4299),
    [sym_range_expression] = STATE(4299),
    [sym_cast_expression] = STATE(4299),
    [sym_in_expression] = STATE(4299),
    [sym_variadic_expression] = STATE(4299),
    [sym_parenthesized_expression] = STATE(4299),
    [sym_or_return_expression] = STATE(4299),
    [sym_or_continue_expression] = STATE(4299),
    [sym_or_break_expression] = STATE(4299),
    [sym_address] = STATE(4299),
    [sym_map_type] = STATE(4299),
    [sym_matrix_type] = STATE(4299),
    [sym_distinct_type] = STATE(4299),
    [sym_literal] = STATE(4299),
    [sym_struct] = STATE(4311),
    [sym_map] = STATE(3787),
    [sym_bit_set] = STATE(3787),
    [sym_matrix] = STATE(3787),
    [sym_string] = STATE(3787),
    [sym__string_literal] = STATE(3867),
    [sym__raw_string_literal] = STATE(3867),
    [sym_character] = STATE(3787),
    [sym_boolean] = STATE(3787),
    [sym_field_identifier] = STATE(7783),
    [sym_identifier] = ACTIONS(583),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_RBRACE] = ACTIONS(67),
    [anon_sym_COMMA] = ACTIONS(67),
    [anon_sym_proc] = ACTIONS(585),
    [anon_sym_DASH_GT] = ACTIONS(67),
    [anon_sym_LPAREN] = ACTIONS(589),
    [anon_sym_SEMI] = ACTIONS(67),
    [anon_sym_else] = ACTIONS(71),
    [anon_sym_in] = ACTIONS(71),
    [anon_sym_case] = ACTIONS(71),
    [anon_sym_QMARK] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(763),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AMP] = ACTIONS(593),
    [anon_sym_PIPE_PIPE] = ACTIONS(67),
    [anon_sym_or_else] = ACTIONS(71),
    [anon_sym_AMP_AMP] = ACTIONS(67),
    [anon_sym_GT] = ACTIONS(71),
    [anon_sym_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_EQ] = ACTIONS(67),
    [anon_sym_LT] = ACTIONS(71),
    [anon_sym_EQ_EQ] = ACTIONS(67),
    [anon_sym_BANG_EQ] = ACTIONS(67),
    [anon_sym_TILDE_EQ] = ACTIONS(67),
    [anon_sym_PIPE] = ACTIONS(71),
    [anon_sym_AMP_TILDE] = ACTIONS(67),
    [anon_sym_LT_LT] = ACTIONS(67),
    [anon_sym_GT_GT] = ACTIONS(67),
    [anon_sym_STAR] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(71),
    [anon_sym_PERCENT] = ACTIONS(71),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(67),
    [anon_sym_DOT] = ACTIONS(765),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(67),
    [anon_sym_DOT_DOT_LT] = ACTIONS(67),
    [anon_sym_cast] = ACTIONS(597),
    [anon_sym_transmute] = ACTIONS(597),
    [anon_sym_auto_cast] = ACTIONS(599),
    [anon_sym_not_in] = ACTIONS(71),
    [anon_sym_DOT_DOT] = ACTIONS(601),
    [anon_sym_or_return] = ACTIONS(71),
    [anon_sym_or_continue] = ACTIONS(71),
    [anon_sym_or_break] = ACTIONS(71),
    [anon_sym_CARET] = ACTIONS(67),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(67),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [126] = {
    [sym_procedure] = STATE(695),
    [sym_type] = STATE(738),
    [sym_pointer_type] = STATE(705),
    [sym_variadic_type] = STATE(705),
    [sym_array_type] = STATE(705),
    [sym_map_type] = STATE(705),
    [sym_union_type] = STATE(705),
    [sym_bit_set_type] = STATE(705),
    [sym_matrix_type] = STATE(705),
    [sym_field_type] = STATE(705),
    [sym_tuple_type] = STATE(705),
    [sym_struct_type] = STATE(705),
    [sym_enum_type] = STATE(705),
    [sym_constant_type] = STATE(705),
    [sym_specialized_type] = STATE(705),
    [sym__procedure_type] = STATE(705),
    [sym_distinct_type] = STATE(705),
    [sym_empty_type] = STATE(705),
    [sym_polymorphic_type] = STATE(705),
    [sym_conditional_type] = STATE(705),
    [sym_identifier] = ACTIONS(771),
    [anon_sym_LBRACE] = ACTIONS(773),
    [anon_sym_RBRACE] = ACTIONS(773),
    [anon_sym_COMMA] = ACTIONS(773),
    [anon_sym_COLON_COLON] = ACTIONS(773),
    [anon_sym_proc] = ACTIONS(776),
    [anon_sym_DASH_GT] = ACTIONS(773),
    [anon_sym_where] = ACTIONS(778),
    [anon_sym_struct] = ACTIONS(781),
    [anon_sym_enum] = ACTIONS(783),
    [anon_sym_EQ] = ACTIONS(778),
    [anon_sym_union] = ACTIONS(785),
    [anon_sym_COLON_EQ] = ACTIONS(773),
    [anon_sym_COLON] = ACTIONS(778),
    [anon_sym_LPAREN] = ACTIONS(787),
    [anon_sym_DOLLAR] = ACTIONS(791),
    [anon_sym_PLUS_EQ] = ACTIONS(773),
    [anon_sym_DASH_EQ] = ACTIONS(773),
    [anon_sym_STAR_EQ] = ACTIONS(773),
    [anon_sym_SLASH_EQ] = ACTIONS(773),
    [anon_sym_PERCENT_EQ] = ACTIONS(773),
    [anon_sym_AMP_EQ] = ACTIONS(773),
    [anon_sym_PIPE_EQ] = ACTIONS(773),
    [anon_sym_CARET_EQ] = ACTIONS(773),
    [anon_sym_LT_LT_EQ] = ACTIONS(773),
    [anon_sym_GT_GT_EQ] = ACTIONS(773),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(773),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(773),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(773),
    [anon_sym_if] = ACTIONS(778),
    [anon_sym_SEMI] = ACTIONS(773),
    [anon_sym_else] = ACTIONS(778),
    [anon_sym_when] = ACTIONS(778),
    [anon_sym_in] = ACTIONS(778),
    [anon_sym_case] = ACTIONS(778),
    [anon_sym_QMARK] = ACTIONS(773),
    [anon_sym_PLUS] = ACTIONS(778),
    [anon_sym_DASH] = ACTIONS(778),
    [anon_sym_TILDE] = ACTIONS(778),
    [anon_sym_BANG] = ACTIONS(793),
    [anon_sym_AMP] = ACTIONS(778),
    [anon_sym_PIPE_PIPE] = ACTIONS(778),
    [anon_sym_or_else] = ACTIONS(778),
    [anon_sym_AMP_AMP] = ACTIONS(778),
    [anon_sym_GT] = ACTIONS(778),
    [anon_sym_GT_EQ] = ACTIONS(773),
    [anon_sym_LT_EQ] = ACTIONS(773),
    [anon_sym_LT] = ACTIONS(778),
    [anon_sym_EQ_EQ] = ACTIONS(773),
    [anon_sym_BANG_EQ] = ACTIONS(773),
    [anon_sym_TILDE_EQ] = ACTIONS(773),
    [anon_sym_PIPE] = ACTIONS(778),
    [anon_sym_AMP_TILDE] = ACTIONS(778),
    [anon_sym_LT_LT] = ACTIONS(778),
    [anon_sym_GT_GT] = ACTIONS(778),
    [anon_sym_STAR] = ACTIONS(778),
    [anon_sym_SLASH] = ACTIONS(778),
    [anon_sym_PERCENT] = ACTIONS(778),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(773),
    [anon_sym_DOT] = ACTIONS(778),
    [anon_sym_LBRACK] = ACTIONS(795),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(773),
    [anon_sym_DOT_DOT_LT] = ACTIONS(773),
    [anon_sym_not_in] = ACTIONS(778),
    [anon_sym_DOT_DOT] = ACTIONS(799),
    [anon_sym_or_return] = ACTIONS(778),
    [anon_sym_or_continue] = ACTIONS(778),
    [anon_sym_or_break] = ACTIONS(778),
    [anon_sym_CARET] = ACTIONS(801),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(805),
    [anon_sym_map] = ACTIONS(807),
    [anon_sym_bit_set] = ACTIONS(809),
    [anon_sym_matrix] = ACTIONS(811),
    [anon_sym_distinct] = ACTIONS(157),
    [sym_uninitialized] = ACTIONS(773),
    [sym_tag] = ACTIONS(813),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(773),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [127] = {
    [sym_procedure] = STATE(695),
    [sym_type] = STATE(736),
    [sym_pointer_type] = STATE(705),
    [sym_variadic_type] = STATE(705),
    [sym_array_type] = STATE(705),
    [sym_map_type] = STATE(705),
    [sym_union_type] = STATE(705),
    [sym_bit_set_type] = STATE(705),
    [sym_matrix_type] = STATE(705),
    [sym_field_type] = STATE(705),
    [sym_tuple_type] = STATE(705),
    [sym_struct_type] = STATE(705),
    [sym_enum_type] = STATE(705),
    [sym_constant_type] = STATE(705),
    [sym_specialized_type] = STATE(705),
    [sym__procedure_type] = STATE(705),
    [sym_distinct_type] = STATE(705),
    [sym_empty_type] = STATE(705),
    [sym_polymorphic_type] = STATE(705),
    [sym_conditional_type] = STATE(705),
    [sym_identifier] = ACTIONS(771),
    [anon_sym_LBRACE] = ACTIONS(817),
    [anon_sym_RBRACE] = ACTIONS(817),
    [anon_sym_COMMA] = ACTIONS(817),
    [anon_sym_COLON_COLON] = ACTIONS(817),
    [anon_sym_proc] = ACTIONS(776),
    [anon_sym_DASH_GT] = ACTIONS(817),
    [anon_sym_where] = ACTIONS(819),
    [anon_sym_struct] = ACTIONS(781),
    [anon_sym_enum] = ACTIONS(783),
    [anon_sym_EQ] = ACTIONS(819),
    [anon_sym_union] = ACTIONS(785),
    [anon_sym_COLON_EQ] = ACTIONS(817),
    [anon_sym_COLON] = ACTIONS(819),
    [anon_sym_LPAREN] = ACTIONS(821),
    [anon_sym_DOLLAR] = ACTIONS(791),
    [anon_sym_PLUS_EQ] = ACTIONS(817),
    [anon_sym_DASH_EQ] = ACTIONS(817),
    [anon_sym_STAR_EQ] = ACTIONS(817),
    [anon_sym_SLASH_EQ] = ACTIONS(817),
    [anon_sym_PERCENT_EQ] = ACTIONS(817),
    [anon_sym_AMP_EQ] = ACTIONS(817),
    [anon_sym_PIPE_EQ] = ACTIONS(817),
    [anon_sym_CARET_EQ] = ACTIONS(817),
    [anon_sym_LT_LT_EQ] = ACTIONS(817),
    [anon_sym_GT_GT_EQ] = ACTIONS(817),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(817),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(817),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(817),
    [anon_sym_if] = ACTIONS(819),
    [anon_sym_SEMI] = ACTIONS(817),
    [anon_sym_else] = ACTIONS(819),
    [anon_sym_when] = ACTIONS(819),
    [anon_sym_in] = ACTIONS(819),
    [anon_sym_case] = ACTIONS(819),
    [anon_sym_QMARK] = ACTIONS(817),
    [anon_sym_PLUS] = ACTIONS(819),
    [anon_sym_DASH] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(819),
    [anon_sym_BANG] = ACTIONS(793),
    [anon_sym_AMP] = ACTIONS(819),
    [anon_sym_PIPE_PIPE] = ACTIONS(819),
    [anon_sym_or_else] = ACTIONS(819),
    [anon_sym_AMP_AMP] = ACTIONS(819),
    [anon_sym_GT] = ACTIONS(819),
    [anon_sym_GT_EQ] = ACTIONS(817),
    [anon_sym_LT_EQ] = ACTIONS(817),
    [anon_sym_LT] = ACTIONS(819),
    [anon_sym_EQ_EQ] = ACTIONS(817),
    [anon_sym_BANG_EQ] = ACTIONS(817),
    [anon_sym_TILDE_EQ] = ACTIONS(817),
    [anon_sym_PIPE] = ACTIONS(819),
    [anon_sym_AMP_TILDE] = ACTIONS(819),
    [anon_sym_LT_LT] = ACTIONS(819),
    [anon_sym_GT_GT] = ACTIONS(819),
    [anon_sym_STAR] = ACTIONS(819),
    [anon_sym_SLASH] = ACTIONS(819),
    [anon_sym_PERCENT] = ACTIONS(819),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(817),
    [anon_sym_DOT] = ACTIONS(819),
    [anon_sym_LBRACK] = ACTIONS(824),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(817),
    [anon_sym_DOT_DOT_LT] = ACTIONS(817),
    [anon_sym_not_in] = ACTIONS(819),
    [anon_sym_DOT_DOT] = ACTIONS(799),
    [anon_sym_or_return] = ACTIONS(819),
    [anon_sym_or_continue] = ACTIONS(819),
    [anon_sym_or_break] = ACTIONS(819),
    [anon_sym_CARET] = ACTIONS(827),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(805),
    [anon_sym_map] = ACTIONS(807),
    [anon_sym_bit_set] = ACTIONS(809),
    [anon_sym_matrix] = ACTIONS(811),
    [anon_sym_distinct] = ACTIONS(157),
    [sym_uninitialized] = ACTIONS(817),
    [sym_tag] = ACTIONS(830),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(817),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [128] = {
    [sym_procedure] = STATE(695),
    [sym_type] = STATE(725),
    [sym_pointer_type] = STATE(705),
    [sym_variadic_type] = STATE(705),
    [sym_array_type] = STATE(705),
    [sym_map_type] = STATE(705),
    [sym_union_type] = STATE(705),
    [sym_bit_set_type] = STATE(705),
    [sym_matrix_type] = STATE(705),
    [sym_field_type] = STATE(705),
    [sym_tuple_type] = STATE(705),
    [sym_struct_type] = STATE(705),
    [sym_enum_type] = STATE(705),
    [sym_constant_type] = STATE(705),
    [sym_specialized_type] = STATE(705),
    [sym__procedure_type] = STATE(705),
    [sym_distinct_type] = STATE(705),
    [sym_empty_type] = STATE(705),
    [sym_polymorphic_type] = STATE(705),
    [sym_conditional_type] = STATE(705),
    [sym_identifier] = ACTIONS(771),
    [anon_sym_LBRACE] = ACTIONS(833),
    [anon_sym_RBRACE] = ACTIONS(833),
    [anon_sym_COMMA] = ACTIONS(833),
    [anon_sym_COLON_COLON] = ACTIONS(833),
    [anon_sym_proc] = ACTIONS(776),
    [anon_sym_DASH_GT] = ACTIONS(833),
    [anon_sym_where] = ACTIONS(836),
    [anon_sym_struct] = ACTIONS(781),
    [anon_sym_enum] = ACTIONS(783),
    [anon_sym_EQ] = ACTIONS(836),
    [anon_sym_union] = ACTIONS(785),
    [anon_sym_COLON_EQ] = ACTIONS(833),
    [anon_sym_COLON] = ACTIONS(836),
    [anon_sym_LPAREN] = ACTIONS(839),
    [anon_sym_DOLLAR] = ACTIONS(791),
    [anon_sym_PLUS_EQ] = ACTIONS(833),
    [anon_sym_DASH_EQ] = ACTIONS(833),
    [anon_sym_STAR_EQ] = ACTIONS(833),
    [anon_sym_SLASH_EQ] = ACTIONS(833),
    [anon_sym_PERCENT_EQ] = ACTIONS(833),
    [anon_sym_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_EQ] = ACTIONS(833),
    [anon_sym_CARET_EQ] = ACTIONS(833),
    [anon_sym_LT_LT_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(833),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(833),
    [anon_sym_if] = ACTIONS(836),
    [anon_sym_SEMI] = ACTIONS(833),
    [anon_sym_else] = ACTIONS(836),
    [anon_sym_when] = ACTIONS(836),
    [anon_sym_in] = ACTIONS(836),
    [anon_sym_case] = ACTIONS(836),
    [anon_sym_QMARK] = ACTIONS(833),
    [anon_sym_PLUS] = ACTIONS(836),
    [anon_sym_DASH] = ACTIONS(836),
    [anon_sym_TILDE] = ACTIONS(836),
    [anon_sym_BANG] = ACTIONS(793),
    [anon_sym_AMP] = ACTIONS(836),
    [anon_sym_PIPE_PIPE] = ACTIONS(836),
    [anon_sym_or_else] = ACTIONS(836),
    [anon_sym_AMP_AMP] = ACTIONS(836),
    [anon_sym_GT] = ACTIONS(836),
    [anon_sym_GT_EQ] = ACTIONS(833),
    [anon_sym_LT_EQ] = ACTIONS(833),
    [anon_sym_LT] = ACTIONS(836),
    [anon_sym_EQ_EQ] = ACTIONS(833),
    [anon_sym_BANG_EQ] = ACTIONS(833),
    [anon_sym_TILDE_EQ] = ACTIONS(833),
    [anon_sym_PIPE] = ACTIONS(836),
    [anon_sym_AMP_TILDE] = ACTIONS(836),
    [anon_sym_LT_LT] = ACTIONS(836),
    [anon_sym_GT_GT] = ACTIONS(836),
    [anon_sym_STAR] = ACTIONS(836),
    [anon_sym_SLASH] = ACTIONS(836),
    [anon_sym_PERCENT] = ACTIONS(836),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(833),
    [anon_sym_DOT] = ACTIONS(836),
    [anon_sym_LBRACK] = ACTIONS(843),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(833),
    [anon_sym_DOT_DOT_LT] = ACTIONS(833),
    [anon_sym_not_in] = ACTIONS(836),
    [anon_sym_DOT_DOT] = ACTIONS(799),
    [anon_sym_or_return] = ACTIONS(836),
    [anon_sym_or_continue] = ACTIONS(836),
    [anon_sym_or_break] = ACTIONS(836),
    [anon_sym_CARET] = ACTIONS(847),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(805),
    [anon_sym_map] = ACTIONS(807),
    [anon_sym_bit_set] = ACTIONS(809),
    [anon_sym_matrix] = ACTIONS(811),
    [anon_sym_distinct] = ACTIONS(157),
    [sym_uninitialized] = ACTIONS(833),
    [sym_tag] = ACTIONS(851),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(833),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [129] = {
    [sym_procedure] = STATE(695),
    [sym_type] = STATE(741),
    [sym_pointer_type] = STATE(705),
    [sym_variadic_type] = STATE(705),
    [sym_array_type] = STATE(705),
    [sym_map_type] = STATE(705),
    [sym_union_type] = STATE(705),
    [sym_bit_set_type] = STATE(705),
    [sym_matrix_type] = STATE(705),
    [sym_field_type] = STATE(705),
    [sym_tuple_type] = STATE(705),
    [sym_struct_type] = STATE(705),
    [sym_enum_type] = STATE(705),
    [sym_constant_type] = STATE(705),
    [sym_specialized_type] = STATE(705),
    [sym__procedure_type] = STATE(705),
    [sym_distinct_type] = STATE(705),
    [sym_empty_type] = STATE(705),
    [sym_polymorphic_type] = STATE(705),
    [sym_conditional_type] = STATE(705),
    [sym_identifier] = ACTIONS(771),
    [anon_sym_LBRACE] = ACTIONS(855),
    [anon_sym_RBRACE] = ACTIONS(855),
    [anon_sym_COMMA] = ACTIONS(855),
    [anon_sym_COLON_COLON] = ACTIONS(855),
    [anon_sym_proc] = ACTIONS(776),
    [anon_sym_DASH_GT] = ACTIONS(855),
    [anon_sym_where] = ACTIONS(857),
    [anon_sym_struct] = ACTIONS(781),
    [anon_sym_enum] = ACTIONS(783),
    [anon_sym_EQ] = ACTIONS(857),
    [anon_sym_union] = ACTIONS(785),
    [anon_sym_COLON_EQ] = ACTIONS(855),
    [anon_sym_COLON] = ACTIONS(857),
    [anon_sym_LPAREN] = ACTIONS(859),
    [anon_sym_DOLLAR] = ACTIONS(791),
    [anon_sym_PLUS_EQ] = ACTIONS(855),
    [anon_sym_DASH_EQ] = ACTIONS(855),
    [anon_sym_STAR_EQ] = ACTIONS(855),
    [anon_sym_SLASH_EQ] = ACTIONS(855),
    [anon_sym_PERCENT_EQ] = ACTIONS(855),
    [anon_sym_AMP_EQ] = ACTIONS(855),
    [anon_sym_PIPE_EQ] = ACTIONS(855),
    [anon_sym_CARET_EQ] = ACTIONS(855),
    [anon_sym_LT_LT_EQ] = ACTIONS(855),
    [anon_sym_GT_GT_EQ] = ACTIONS(855),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(855),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(855),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(855),
    [anon_sym_if] = ACTIONS(857),
    [anon_sym_SEMI] = ACTIONS(855),
    [anon_sym_else] = ACTIONS(857),
    [anon_sym_when] = ACTIONS(857),
    [anon_sym_in] = ACTIONS(857),
    [anon_sym_case] = ACTIONS(857),
    [anon_sym_QMARK] = ACTIONS(855),
    [anon_sym_PLUS] = ACTIONS(857),
    [anon_sym_DASH] = ACTIONS(857),
    [anon_sym_TILDE] = ACTIONS(857),
    [anon_sym_BANG] = ACTIONS(793),
    [anon_sym_AMP] = ACTIONS(857),
    [anon_sym_PIPE_PIPE] = ACTIONS(857),
    [anon_sym_or_else] = ACTIONS(857),
    [anon_sym_AMP_AMP] = ACTIONS(857),
    [anon_sym_GT] = ACTIONS(857),
    [anon_sym_GT_EQ] = ACTIONS(855),
    [anon_sym_LT_EQ] = ACTIONS(855),
    [anon_sym_LT] = ACTIONS(857),
    [anon_sym_EQ_EQ] = ACTIONS(855),
    [anon_sym_BANG_EQ] = ACTIONS(855),
    [anon_sym_TILDE_EQ] = ACTIONS(855),
    [anon_sym_PIPE] = ACTIONS(857),
    [anon_sym_AMP_TILDE] = ACTIONS(857),
    [anon_sym_LT_LT] = ACTIONS(857),
    [anon_sym_GT_GT] = ACTIONS(857),
    [anon_sym_STAR] = ACTIONS(857),
    [anon_sym_SLASH] = ACTIONS(857),
    [anon_sym_PERCENT] = ACTIONS(857),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(855),
    [anon_sym_DOT] = ACTIONS(857),
    [anon_sym_LBRACK] = ACTIONS(862),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(855),
    [anon_sym_DOT_DOT_LT] = ACTIONS(855),
    [anon_sym_not_in] = ACTIONS(857),
    [anon_sym_DOT_DOT] = ACTIONS(799),
    [anon_sym_or_return] = ACTIONS(857),
    [anon_sym_or_continue] = ACTIONS(857),
    [anon_sym_or_break] = ACTIONS(857),
    [anon_sym_CARET] = ACTIONS(865),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(805),
    [anon_sym_map] = ACTIONS(807),
    [anon_sym_bit_set] = ACTIONS(809),
    [anon_sym_matrix] = ACTIONS(811),
    [anon_sym_distinct] = ACTIONS(157),
    [sym_uninitialized] = ACTIONS(855),
    [sym_tag] = ACTIONS(868),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(855),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [130] = {
    [sym_procedure] = STATE(695),
    [sym_type] = STATE(718),
    [sym_pointer_type] = STATE(705),
    [sym_variadic_type] = STATE(705),
    [sym_array_type] = STATE(705),
    [sym_map_type] = STATE(705),
    [sym_union_type] = STATE(705),
    [sym_bit_set_type] = STATE(705),
    [sym_matrix_type] = STATE(705),
    [sym_field_type] = STATE(705),
    [sym_tuple_type] = STATE(705),
    [sym_struct_type] = STATE(705),
    [sym_enum_type] = STATE(705),
    [sym_constant_type] = STATE(705),
    [sym_specialized_type] = STATE(705),
    [sym__procedure_type] = STATE(705),
    [sym_distinct_type] = STATE(705),
    [sym_empty_type] = STATE(705),
    [sym_polymorphic_type] = STATE(705),
    [sym_conditional_type] = STATE(705),
    [sym_identifier] = ACTIONS(771),
    [anon_sym_LBRACE] = ACTIONS(871),
    [anon_sym_RBRACE] = ACTIONS(871),
    [anon_sym_COMMA] = ACTIONS(871),
    [anon_sym_COLON_COLON] = ACTIONS(871),
    [anon_sym_proc] = ACTIONS(776),
    [anon_sym_DASH_GT] = ACTIONS(871),
    [anon_sym_where] = ACTIONS(874),
    [anon_sym_struct] = ACTIONS(781),
    [anon_sym_enum] = ACTIONS(783),
    [anon_sym_EQ] = ACTIONS(874),
    [anon_sym_union] = ACTIONS(785),
    [anon_sym_COLON_EQ] = ACTIONS(871),
    [anon_sym_COLON] = ACTIONS(874),
    [anon_sym_LPAREN] = ACTIONS(877),
    [anon_sym_DOLLAR] = ACTIONS(791),
    [anon_sym_PLUS_EQ] = ACTIONS(871),
    [anon_sym_DASH_EQ] = ACTIONS(871),
    [anon_sym_STAR_EQ] = ACTIONS(871),
    [anon_sym_SLASH_EQ] = ACTIONS(871),
    [anon_sym_PERCENT_EQ] = ACTIONS(871),
    [anon_sym_AMP_EQ] = ACTIONS(871),
    [anon_sym_PIPE_EQ] = ACTIONS(871),
    [anon_sym_CARET_EQ] = ACTIONS(871),
    [anon_sym_LT_LT_EQ] = ACTIONS(871),
    [anon_sym_GT_GT_EQ] = ACTIONS(871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(871),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(871),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(871),
    [anon_sym_if] = ACTIONS(874),
    [anon_sym_SEMI] = ACTIONS(871),
    [anon_sym_else] = ACTIONS(874),
    [anon_sym_when] = ACTIONS(874),
    [anon_sym_in] = ACTIONS(874),
    [anon_sym_case] = ACTIONS(874),
    [anon_sym_QMARK] = ACTIONS(871),
    [anon_sym_PLUS] = ACTIONS(874),
    [anon_sym_DASH] = ACTIONS(874),
    [anon_sym_TILDE] = ACTIONS(874),
    [anon_sym_BANG] = ACTIONS(793),
    [anon_sym_AMP] = ACTIONS(874),
    [anon_sym_PIPE_PIPE] = ACTIONS(874),
    [anon_sym_or_else] = ACTIONS(874),
    [anon_sym_AMP_AMP] = ACTIONS(874),
    [anon_sym_GT] = ACTIONS(874),
    [anon_sym_GT_EQ] = ACTIONS(871),
    [anon_sym_LT_EQ] = ACTIONS(871),
    [anon_sym_LT] = ACTIONS(874),
    [anon_sym_EQ_EQ] = ACTIONS(871),
    [anon_sym_BANG_EQ] = ACTIONS(871),
    [anon_sym_TILDE_EQ] = ACTIONS(871),
    [anon_sym_PIPE] = ACTIONS(874),
    [anon_sym_AMP_TILDE] = ACTIONS(874),
    [anon_sym_LT_LT] = ACTIONS(874),
    [anon_sym_GT_GT] = ACTIONS(874),
    [anon_sym_STAR] = ACTIONS(874),
    [anon_sym_SLASH] = ACTIONS(874),
    [anon_sym_PERCENT] = ACTIONS(874),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(871),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_LBRACK] = ACTIONS(881),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(871),
    [anon_sym_DOT_DOT_LT] = ACTIONS(871),
    [anon_sym_not_in] = ACTIONS(874),
    [anon_sym_DOT_DOT] = ACTIONS(799),
    [anon_sym_or_return] = ACTIONS(874),
    [anon_sym_or_continue] = ACTIONS(874),
    [anon_sym_or_break] = ACTIONS(874),
    [anon_sym_CARET] = ACTIONS(885),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(805),
    [anon_sym_map] = ACTIONS(807),
    [anon_sym_bit_set] = ACTIONS(809),
    [anon_sym_matrix] = ACTIONS(811),
    [anon_sym_distinct] = ACTIONS(157),
    [sym_uninitialized] = ACTIONS(871),
    [sym_tag] = ACTIONS(889),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(871),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [131] = {
    [sym_procedure] = STATE(695),
    [sym_type] = STATE(742),
    [sym_pointer_type] = STATE(705),
    [sym_variadic_type] = STATE(705),
    [sym_array_type] = STATE(705),
    [sym_map_type] = STATE(705),
    [sym_union_type] = STATE(705),
    [sym_bit_set_type] = STATE(705),
    [sym_matrix_type] = STATE(705),
    [sym_field_type] = STATE(705),
    [sym_tuple_type] = STATE(705),
    [sym_struct_type] = STATE(705),
    [sym_enum_type] = STATE(705),
    [sym_constant_type] = STATE(705),
    [sym_specialized_type] = STATE(705),
    [sym__procedure_type] = STATE(705),
    [sym_distinct_type] = STATE(705),
    [sym_empty_type] = STATE(705),
    [sym_polymorphic_type] = STATE(705),
    [sym_conditional_type] = STATE(705),
    [sym_identifier] = ACTIONS(771),
    [anon_sym_LBRACE] = ACTIONS(893),
    [anon_sym_RBRACE] = ACTIONS(893),
    [anon_sym_COMMA] = ACTIONS(893),
    [anon_sym_COLON_COLON] = ACTIONS(893),
    [anon_sym_proc] = ACTIONS(776),
    [anon_sym_DASH_GT] = ACTIONS(893),
    [anon_sym_where] = ACTIONS(895),
    [anon_sym_struct] = ACTIONS(781),
    [anon_sym_enum] = ACTIONS(783),
    [anon_sym_EQ] = ACTIONS(895),
    [anon_sym_union] = ACTIONS(785),
    [anon_sym_COLON_EQ] = ACTIONS(893),
    [anon_sym_COLON] = ACTIONS(895),
    [anon_sym_LPAREN] = ACTIONS(897),
    [anon_sym_DOLLAR] = ACTIONS(791),
    [anon_sym_PLUS_EQ] = ACTIONS(893),
    [anon_sym_DASH_EQ] = ACTIONS(893),
    [anon_sym_STAR_EQ] = ACTIONS(893),
    [anon_sym_SLASH_EQ] = ACTIONS(893),
    [anon_sym_PERCENT_EQ] = ACTIONS(893),
    [anon_sym_AMP_EQ] = ACTIONS(893),
    [anon_sym_PIPE_EQ] = ACTIONS(893),
    [anon_sym_CARET_EQ] = ACTIONS(893),
    [anon_sym_LT_LT_EQ] = ACTIONS(893),
    [anon_sym_GT_GT_EQ] = ACTIONS(893),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(893),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(893),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(893),
    [anon_sym_if] = ACTIONS(895),
    [anon_sym_SEMI] = ACTIONS(893),
    [anon_sym_else] = ACTIONS(895),
    [anon_sym_when] = ACTIONS(895),
    [anon_sym_in] = ACTIONS(895),
    [anon_sym_case] = ACTIONS(895),
    [anon_sym_QMARK] = ACTIONS(893),
    [anon_sym_PLUS] = ACTIONS(895),
    [anon_sym_DASH] = ACTIONS(895),
    [anon_sym_TILDE] = ACTIONS(895),
    [anon_sym_BANG] = ACTIONS(793),
    [anon_sym_AMP] = ACTIONS(895),
    [anon_sym_PIPE_PIPE] = ACTIONS(895),
    [anon_sym_or_else] = ACTIONS(895),
    [anon_sym_AMP_AMP] = ACTIONS(895),
    [anon_sym_GT] = ACTIONS(895),
    [anon_sym_GT_EQ] = ACTIONS(893),
    [anon_sym_LT_EQ] = ACTIONS(893),
    [anon_sym_LT] = ACTIONS(895),
    [anon_sym_EQ_EQ] = ACTIONS(893),
    [anon_sym_BANG_EQ] = ACTIONS(893),
    [anon_sym_TILDE_EQ] = ACTIONS(893),
    [anon_sym_PIPE] = ACTIONS(895),
    [anon_sym_AMP_TILDE] = ACTIONS(895),
    [anon_sym_LT_LT] = ACTIONS(895),
    [anon_sym_GT_GT] = ACTIONS(895),
    [anon_sym_STAR] = ACTIONS(895),
    [anon_sym_SLASH] = ACTIONS(895),
    [anon_sym_PERCENT] = ACTIONS(895),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(893),
    [anon_sym_DOT] = ACTIONS(895),
    [anon_sym_LBRACK] = ACTIONS(900),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(893),
    [anon_sym_DOT_DOT_LT] = ACTIONS(893),
    [anon_sym_not_in] = ACTIONS(895),
    [anon_sym_DOT_DOT] = ACTIONS(799),
    [anon_sym_or_return] = ACTIONS(895),
    [anon_sym_or_continue] = ACTIONS(895),
    [anon_sym_or_break] = ACTIONS(895),
    [anon_sym_CARET] = ACTIONS(903),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(805),
    [anon_sym_map] = ACTIONS(807),
    [anon_sym_bit_set] = ACTIONS(809),
    [anon_sym_matrix] = ACTIONS(811),
    [anon_sym_distinct] = ACTIONS(157),
    [sym_uninitialized] = ACTIONS(893),
    [sym_tag] = ACTIONS(906),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(893),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [132] = {
    [sym_procedure] = STATE(695),
    [sym_type] = STATE(727),
    [sym_pointer_type] = STATE(705),
    [sym_variadic_type] = STATE(705),
    [sym_array_type] = STATE(705),
    [sym_map_type] = STATE(705),
    [sym_union_type] = STATE(705),
    [sym_bit_set_type] = STATE(705),
    [sym_matrix_type] = STATE(705),
    [sym_field_type] = STATE(705),
    [sym_tuple_type] = STATE(705),
    [sym_struct_type] = STATE(705),
    [sym_enum_type] = STATE(705),
    [sym_constant_type] = STATE(705),
    [sym_specialized_type] = STATE(705),
    [sym__procedure_type] = STATE(705),
    [sym_distinct_type] = STATE(705),
    [sym_empty_type] = STATE(705),
    [sym_polymorphic_type] = STATE(705),
    [sym_conditional_type] = STATE(705),
    [sym_identifier] = ACTIONS(771),
    [anon_sym_LBRACE] = ACTIONS(909),
    [anon_sym_RBRACE] = ACTIONS(909),
    [anon_sym_COMMA] = ACTIONS(909),
    [anon_sym_COLON_COLON] = ACTIONS(909),
    [anon_sym_proc] = ACTIONS(776),
    [anon_sym_DASH_GT] = ACTIONS(909),
    [anon_sym_where] = ACTIONS(911),
    [anon_sym_struct] = ACTIONS(781),
    [anon_sym_enum] = ACTIONS(783),
    [anon_sym_EQ] = ACTIONS(911),
    [anon_sym_union] = ACTIONS(785),
    [anon_sym_COLON_EQ] = ACTIONS(909),
    [anon_sym_COLON] = ACTIONS(911),
    [anon_sym_LPAREN] = ACTIONS(913),
    [anon_sym_DOLLAR] = ACTIONS(791),
    [anon_sym_PLUS_EQ] = ACTIONS(909),
    [anon_sym_DASH_EQ] = ACTIONS(909),
    [anon_sym_STAR_EQ] = ACTIONS(909),
    [anon_sym_SLASH_EQ] = ACTIONS(909),
    [anon_sym_PERCENT_EQ] = ACTIONS(909),
    [anon_sym_AMP_EQ] = ACTIONS(909),
    [anon_sym_PIPE_EQ] = ACTIONS(909),
    [anon_sym_CARET_EQ] = ACTIONS(909),
    [anon_sym_LT_LT_EQ] = ACTIONS(909),
    [anon_sym_GT_GT_EQ] = ACTIONS(909),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(909),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(909),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(909),
    [anon_sym_if] = ACTIONS(911),
    [anon_sym_SEMI] = ACTIONS(909),
    [anon_sym_else] = ACTIONS(911),
    [anon_sym_when] = ACTIONS(911),
    [anon_sym_in] = ACTIONS(911),
    [anon_sym_case] = ACTIONS(911),
    [anon_sym_QMARK] = ACTIONS(909),
    [anon_sym_PLUS] = ACTIONS(911),
    [anon_sym_DASH] = ACTIONS(911),
    [anon_sym_TILDE] = ACTIONS(911),
    [anon_sym_BANG] = ACTIONS(793),
    [anon_sym_AMP] = ACTIONS(911),
    [anon_sym_PIPE_PIPE] = ACTIONS(911),
    [anon_sym_or_else] = ACTIONS(911),
    [anon_sym_AMP_AMP] = ACTIONS(911),
    [anon_sym_GT] = ACTIONS(911),
    [anon_sym_GT_EQ] = ACTIONS(909),
    [anon_sym_LT_EQ] = ACTIONS(909),
    [anon_sym_LT] = ACTIONS(911),
    [anon_sym_EQ_EQ] = ACTIONS(909),
    [anon_sym_BANG_EQ] = ACTIONS(909),
    [anon_sym_TILDE_EQ] = ACTIONS(909),
    [anon_sym_PIPE] = ACTIONS(911),
    [anon_sym_AMP_TILDE] = ACTIONS(911),
    [anon_sym_LT_LT] = ACTIONS(911),
    [anon_sym_GT_GT] = ACTIONS(911),
    [anon_sym_STAR] = ACTIONS(911),
    [anon_sym_SLASH] = ACTIONS(911),
    [anon_sym_PERCENT] = ACTIONS(911),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(909),
    [anon_sym_DOT] = ACTIONS(911),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(909),
    [anon_sym_DOT_DOT_LT] = ACTIONS(909),
    [anon_sym_not_in] = ACTIONS(911),
    [anon_sym_DOT_DOT] = ACTIONS(799),
    [anon_sym_or_return] = ACTIONS(911),
    [anon_sym_or_continue] = ACTIONS(911),
    [anon_sym_or_break] = ACTIONS(911),
    [anon_sym_CARET] = ACTIONS(919),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(805),
    [anon_sym_map] = ACTIONS(807),
    [anon_sym_bit_set] = ACTIONS(809),
    [anon_sym_matrix] = ACTIONS(811),
    [anon_sym_distinct] = ACTIONS(157),
    [sym_uninitialized] = ACTIONS(909),
    [sym_tag] = ACTIONS(922),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(909),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [133] = {
    [sym_procedure] = STATE(6447),
    [sym_expression] = STATE(4526),
    [sym__expression_no_tag] = STATE(4299),
    [sym_unary_expression] = STATE(4299),
    [sym_binary_expression] = STATE(4299),
    [sym_ternary_expression] = STATE(4299),
    [sym_call_expression] = STATE(4299),
    [sym_selector_call_expression] = STATE(4299),
    [sym_member_expression] = STATE(4299),
    [sym_index_expression] = STATE(4299),
    [sym_slice_expression] = STATE(4299),
    [sym_range_expression] = STATE(4299),
    [sym_cast_expression] = STATE(4299),
    [sym_in_expression] = STATE(4299),
    [sym_variadic_expression] = STATE(4299),
    [sym_parenthesized_expression] = STATE(4299),
    [sym_or_return_expression] = STATE(4299),
    [sym_or_continue_expression] = STATE(4299),
    [sym_or_break_expression] = STATE(4299),
    [sym_address] = STATE(4299),
    [sym_map_type] = STATE(4299),
    [sym_matrix_type] = STATE(4299),
    [sym_distinct_type] = STATE(4299),
    [sym_literal] = STATE(4299),
    [sym_struct] = STATE(4311),
    [sym_map] = STATE(3787),
    [sym_bit_set] = STATE(3787),
    [sym_matrix] = STATE(3787),
    [sym_string] = STATE(3787),
    [sym__string_literal] = STATE(3867),
    [sym__raw_string_literal] = STATE(3867),
    [sym_character] = STATE(3787),
    [sym_boolean] = STATE(3787),
    [sym_field_identifier] = STATE(7783),
    [sym_identifier] = ACTIONS(583),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_RBRACE] = ACTIONS(67),
    [anon_sym_COMMA] = ACTIONS(67),
    [anon_sym_proc] = ACTIONS(585),
    [anon_sym_DASH_GT] = ACTIONS(67),
    [anon_sym_LPAREN] = ACTIONS(589),
    [anon_sym_SEMI] = ACTIONS(67),
    [anon_sym_else] = ACTIONS(71),
    [anon_sym_in] = ACTIONS(71),
    [anon_sym_case] = ACTIONS(71),
    [anon_sym_QMARK] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(763),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AMP] = ACTIONS(593),
    [anon_sym_PIPE_PIPE] = ACTIONS(67),
    [anon_sym_or_else] = ACTIONS(71),
    [anon_sym_AMP_AMP] = ACTIONS(67),
    [anon_sym_GT] = ACTIONS(71),
    [anon_sym_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_EQ] = ACTIONS(67),
    [anon_sym_LT] = ACTIONS(71),
    [anon_sym_EQ_EQ] = ACTIONS(67),
    [anon_sym_BANG_EQ] = ACTIONS(67),
    [anon_sym_TILDE_EQ] = ACTIONS(67),
    [anon_sym_PIPE] = ACTIONS(71),
    [anon_sym_AMP_TILDE] = ACTIONS(67),
    [anon_sym_LT_LT] = ACTIONS(67),
    [anon_sym_GT_GT] = ACTIONS(67),
    [anon_sym_STAR] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(71),
    [anon_sym_PERCENT] = ACTIONS(71),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(67),
    [anon_sym_DOT] = ACTIONS(765),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(67),
    [anon_sym_DOT_DOT_LT] = ACTIONS(67),
    [anon_sym_cast] = ACTIONS(597),
    [anon_sym_transmute] = ACTIONS(597),
    [anon_sym_auto_cast] = ACTIONS(599),
    [anon_sym_not_in] = ACTIONS(71),
    [anon_sym_DOT_DOT] = ACTIONS(601),
    [anon_sym_or_return] = ACTIONS(71),
    [anon_sym_or_continue] = ACTIONS(71),
    [anon_sym_or_break] = ACTIONS(71),
    [anon_sym_CARET] = ACTIONS(67),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(67),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [134] = {
    [sym_expression] = STATE(4392),
    [sym__expression_no_tag] = STATE(4337),
    [sym_unary_expression] = STATE(4337),
    [sym_binary_expression] = STATE(4337),
    [sym_ternary_expression] = STATE(4337),
    [sym_call_expression] = STATE(4337),
    [sym_selector_call_expression] = STATE(4337),
    [sym_member_expression] = STATE(4337),
    [sym_index_expression] = STATE(4337),
    [sym_slice_expression] = STATE(4337),
    [sym_range_expression] = STATE(4337),
    [sym_cast_expression] = STATE(4337),
    [sym_in_expression] = STATE(4337),
    [sym_variadic_expression] = STATE(4337),
    [sym_parenthesized_expression] = STATE(4337),
    [sym_or_return_expression] = STATE(4337),
    [sym_or_continue_expression] = STATE(4337),
    [sym_or_break_expression] = STATE(4337),
    [sym_address] = STATE(4337),
    [sym_map_type] = STATE(4337),
    [sym_matrix_type] = STATE(4337),
    [sym_distinct_type] = STATE(4337),
    [sym_literal] = STATE(4337),
    [sym_struct] = STATE(4394),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_COMMA] = ACTIONS(131),
    [anon_sym_COLON_COLON] = ACTIONS(131),
    [anon_sym_DASH_GT] = ACTIONS(131),
    [anon_sym_EQ] = ACTIONS(133),
    [anon_sym_COLON_EQ] = ACTIONS(131),
    [anon_sym_COLON] = ACTIONS(133),
    [anon_sym_LPAREN] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(133),
    [anon_sym_SEMI] = ACTIONS(131),
    [anon_sym_when] = ACTIONS(133),
    [anon_sym_in] = ACTIONS(133),
    [anon_sym_QMARK] = ACTIONS(927),
    [anon_sym_PLUS] = ACTIONS(929),
    [anon_sym_DASH] = ACTIONS(931),
    [anon_sym_TILDE] = ACTIONS(931),
    [anon_sym_BANG] = ACTIONS(931),
    [anon_sym_AMP] = ACTIONS(931),
    [anon_sym_PIPE_PIPE] = ACTIONS(131),
    [anon_sym_or_else] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(131),
    [anon_sym_GT] = ACTIONS(133),
    [anon_sym_GT_EQ] = ACTIONS(131),
    [anon_sym_LT_EQ] = ACTIONS(131),
    [anon_sym_LT] = ACTIONS(133),
    [anon_sym_EQ_EQ] = ACTIONS(131),
    [anon_sym_BANG_EQ] = ACTIONS(131),
    [anon_sym_TILDE_EQ] = ACTIONS(131),
    [anon_sym_PIPE] = ACTIONS(133),
    [anon_sym_AMP_TILDE] = ACTIONS(131),
    [anon_sym_LT_LT] = ACTIONS(131),
    [anon_sym_GT_GT] = ACTIONS(131),
    [anon_sym_STAR] = ACTIONS(131),
    [anon_sym_SLASH] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(131),
    [anon_sym_DOT] = ACTIONS(933),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(131),
    [anon_sym_DOT_DOT_LT] = ACTIONS(131),
    [anon_sym_cast] = ACTIONS(935),
    [anon_sym_transmute] = ACTIONS(935),
    [anon_sym_auto_cast] = ACTIONS(937),
    [anon_sym_not_in] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(939),
    [anon_sym_or_return] = ACTIONS(133),
    [anon_sym_or_continue] = ACTIONS(133),
    [anon_sym_or_break] = ACTIONS(133),
    [anon_sym_CARET] = ACTIONS(131),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(941),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [135] = {
    [sym_expression] = STATE(4317),
    [sym__expression_no_tag] = STATE(4337),
    [sym_unary_expression] = STATE(4337),
    [sym_binary_expression] = STATE(4337),
    [sym_ternary_expression] = STATE(4337),
    [sym_call_expression] = STATE(4337),
    [sym_selector_call_expression] = STATE(4337),
    [sym_member_expression] = STATE(4337),
    [sym_index_expression] = STATE(4337),
    [sym_slice_expression] = STATE(4337),
    [sym_range_expression] = STATE(4337),
    [sym_cast_expression] = STATE(4337),
    [sym_in_expression] = STATE(4337),
    [sym_variadic_expression] = STATE(4337),
    [sym_parenthesized_expression] = STATE(4337),
    [sym_or_return_expression] = STATE(4337),
    [sym_or_continue_expression] = STATE(4337),
    [sym_or_break_expression] = STATE(4337),
    [sym_address] = STATE(4337),
    [sym_map_type] = STATE(4337),
    [sym_matrix_type] = STATE(4337),
    [sym_distinct_type] = STATE(4337),
    [sym_literal] = STATE(4337),
    [sym_struct] = STATE(4394),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_COMMA] = ACTIONS(197),
    [anon_sym_COLON_COLON] = ACTIONS(197),
    [anon_sym_DASH_GT] = ACTIONS(197),
    [anon_sym_EQ] = ACTIONS(199),
    [anon_sym_COLON_EQ] = ACTIONS(197),
    [anon_sym_COLON] = ACTIONS(199),
    [anon_sym_LPAREN] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(199),
    [anon_sym_SEMI] = ACTIONS(197),
    [anon_sym_when] = ACTIONS(199),
    [anon_sym_in] = ACTIONS(199),
    [anon_sym_QMARK] = ACTIONS(197),
    [anon_sym_PLUS] = ACTIONS(197),
    [anon_sym_DASH] = ACTIONS(199),
    [anon_sym_TILDE] = ACTIONS(199),
    [anon_sym_BANG] = ACTIONS(931),
    [anon_sym_AMP] = ACTIONS(199),
    [anon_sym_PIPE_PIPE] = ACTIONS(197),
    [anon_sym_or_else] = ACTIONS(199),
    [anon_sym_AMP_AMP] = ACTIONS(197),
    [anon_sym_GT] = ACTIONS(199),
    [anon_sym_GT_EQ] = ACTIONS(197),
    [anon_sym_LT_EQ] = ACTIONS(197),
    [anon_sym_LT] = ACTIONS(199),
    [anon_sym_EQ_EQ] = ACTIONS(197),
    [anon_sym_BANG_EQ] = ACTIONS(197),
    [anon_sym_TILDE_EQ] = ACTIONS(197),
    [anon_sym_PIPE] = ACTIONS(199),
    [anon_sym_AMP_TILDE] = ACTIONS(197),
    [anon_sym_LT_LT] = ACTIONS(197),
    [anon_sym_GT_GT] = ACTIONS(197),
    [anon_sym_STAR] = ACTIONS(197),
    [anon_sym_SLASH] = ACTIONS(199),
    [anon_sym_PERCENT] = ACTIONS(199),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(197),
    [anon_sym_DOT] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(197),
    [anon_sym_DOT_DOT_LT] = ACTIONS(197),
    [anon_sym_cast] = ACTIONS(935),
    [anon_sym_transmute] = ACTIONS(935),
    [anon_sym_auto_cast] = ACTIONS(937),
    [anon_sym_not_in] = ACTIONS(199),
    [anon_sym_DOT_DOT] = ACTIONS(939),
    [anon_sym_or_return] = ACTIONS(199),
    [anon_sym_or_continue] = ACTIONS(199),
    [anon_sym_or_break] = ACTIONS(199),
    [anon_sym_CARET] = ACTIONS(197),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(941),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [136] = {
    [sym_procedure] = STATE(6470),
    [sym_expression] = STATE(4519),
    [sym__expression_no_tag] = STATE(4299),
    [sym_unary_expression] = STATE(4299),
    [sym_binary_expression] = STATE(4299),
    [sym_ternary_expression] = STATE(4299),
    [sym_call_expression] = STATE(4299),
    [sym_selector_call_expression] = STATE(4299),
    [sym_member_expression] = STATE(4299),
    [sym_index_expression] = STATE(4299),
    [sym_slice_expression] = STATE(4299),
    [sym_range_expression] = STATE(4299),
    [sym_cast_expression] = STATE(4299),
    [sym_in_expression] = STATE(4299),
    [sym_variadic_expression] = STATE(4299),
    [sym_parenthesized_expression] = STATE(4299),
    [sym_or_return_expression] = STATE(4299),
    [sym_or_continue_expression] = STATE(4299),
    [sym_or_break_expression] = STATE(4299),
    [sym_address] = STATE(4299),
    [sym_map_type] = STATE(4299),
    [sym_matrix_type] = STATE(4299),
    [sym_distinct_type] = STATE(4299),
    [sym_literal] = STATE(4299),
    [sym_struct] = STATE(4311),
    [sym_map] = STATE(3787),
    [sym_bit_set] = STATE(3787),
    [sym_matrix] = STATE(3787),
    [sym_string] = STATE(3787),
    [sym__string_literal] = STATE(3867),
    [sym__raw_string_literal] = STATE(3867),
    [sym_character] = STATE(3787),
    [sym_boolean] = STATE(3787),
    [sym_field_identifier] = STATE(7783),
    [sym_identifier] = ACTIONS(583),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_RBRACE] = ACTIONS(67),
    [anon_sym_COMMA] = ACTIONS(67),
    [anon_sym_proc] = ACTIONS(585),
    [anon_sym_DASH_GT] = ACTIONS(67),
    [anon_sym_LPAREN] = ACTIONS(589),
    [anon_sym_SEMI] = ACTIONS(67),
    [anon_sym_else] = ACTIONS(71),
    [anon_sym_in] = ACTIONS(71),
    [anon_sym_case] = ACTIONS(71),
    [anon_sym_QMARK] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(763),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AMP] = ACTIONS(593),
    [anon_sym_PIPE_PIPE] = ACTIONS(67),
    [anon_sym_or_else] = ACTIONS(71),
    [anon_sym_AMP_AMP] = ACTIONS(67),
    [anon_sym_GT] = ACTIONS(71),
    [anon_sym_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_EQ] = ACTIONS(67),
    [anon_sym_LT] = ACTIONS(71),
    [anon_sym_EQ_EQ] = ACTIONS(67),
    [anon_sym_BANG_EQ] = ACTIONS(67),
    [anon_sym_TILDE_EQ] = ACTIONS(67),
    [anon_sym_PIPE] = ACTIONS(71),
    [anon_sym_AMP_TILDE] = ACTIONS(67),
    [anon_sym_LT_LT] = ACTIONS(67),
    [anon_sym_GT_GT] = ACTIONS(67),
    [anon_sym_STAR] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(71),
    [anon_sym_PERCENT] = ACTIONS(71),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(67),
    [anon_sym_DOT] = ACTIONS(765),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(67),
    [anon_sym_DOT_DOT_LT] = ACTIONS(67),
    [anon_sym_cast] = ACTIONS(597),
    [anon_sym_transmute] = ACTIONS(597),
    [anon_sym_auto_cast] = ACTIONS(599),
    [anon_sym_not_in] = ACTIONS(71),
    [anon_sym_DOT_DOT] = ACTIONS(601),
    [anon_sym_or_return] = ACTIONS(71),
    [anon_sym_or_continue] = ACTIONS(71),
    [anon_sym_or_break] = ACTIONS(71),
    [anon_sym_CARET] = ACTIONS(67),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(67),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [137] = {
    [sym_procedure] = STATE(6451),
    [sym_expression] = STATE(4545),
    [sym__expression_no_tag] = STATE(4299),
    [sym_unary_expression] = STATE(4299),
    [sym_binary_expression] = STATE(4299),
    [sym_ternary_expression] = STATE(4299),
    [sym_call_expression] = STATE(4299),
    [sym_selector_call_expression] = STATE(4299),
    [sym_member_expression] = STATE(4299),
    [sym_index_expression] = STATE(4299),
    [sym_slice_expression] = STATE(4299),
    [sym_range_expression] = STATE(4299),
    [sym_cast_expression] = STATE(4299),
    [sym_in_expression] = STATE(4299),
    [sym_variadic_expression] = STATE(4299),
    [sym_parenthesized_expression] = STATE(4299),
    [sym_or_return_expression] = STATE(4299),
    [sym_or_continue_expression] = STATE(4299),
    [sym_or_break_expression] = STATE(4299),
    [sym_address] = STATE(4299),
    [sym_map_type] = STATE(4299),
    [sym_matrix_type] = STATE(4299),
    [sym_distinct_type] = STATE(4299),
    [sym_literal] = STATE(4299),
    [sym_struct] = STATE(4311),
    [sym_map] = STATE(3787),
    [sym_bit_set] = STATE(3787),
    [sym_matrix] = STATE(3787),
    [sym_string] = STATE(3787),
    [sym__string_literal] = STATE(3867),
    [sym__raw_string_literal] = STATE(3867),
    [sym_character] = STATE(3787),
    [sym_boolean] = STATE(3787),
    [sym_field_identifier] = STATE(7783),
    [sym_identifier] = ACTIONS(583),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_RBRACE] = ACTIONS(67),
    [anon_sym_COMMA] = ACTIONS(67),
    [anon_sym_proc] = ACTIONS(585),
    [anon_sym_DASH_GT] = ACTIONS(67),
    [anon_sym_LPAREN] = ACTIONS(589),
    [anon_sym_SEMI] = ACTIONS(67),
    [anon_sym_else] = ACTIONS(71),
    [anon_sym_in] = ACTIONS(71),
    [anon_sym_case] = ACTIONS(71),
    [anon_sym_QMARK] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(763),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(593),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_AMP] = ACTIONS(593),
    [anon_sym_PIPE_PIPE] = ACTIONS(67),
    [anon_sym_or_else] = ACTIONS(71),
    [anon_sym_AMP_AMP] = ACTIONS(67),
    [anon_sym_GT] = ACTIONS(71),
    [anon_sym_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_EQ] = ACTIONS(67),
    [anon_sym_LT] = ACTIONS(71),
    [anon_sym_EQ_EQ] = ACTIONS(67),
    [anon_sym_BANG_EQ] = ACTIONS(67),
    [anon_sym_TILDE_EQ] = ACTIONS(67),
    [anon_sym_PIPE] = ACTIONS(71),
    [anon_sym_AMP_TILDE] = ACTIONS(67),
    [anon_sym_LT_LT] = ACTIONS(67),
    [anon_sym_GT_GT] = ACTIONS(67),
    [anon_sym_STAR] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(71),
    [anon_sym_PERCENT] = ACTIONS(71),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(67),
    [anon_sym_DOT] = ACTIONS(765),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(67),
    [anon_sym_DOT_DOT_LT] = ACTIONS(67),
    [anon_sym_cast] = ACTIONS(597),
    [anon_sym_transmute] = ACTIONS(597),
    [anon_sym_auto_cast] = ACTIONS(599),
    [anon_sym_not_in] = ACTIONS(71),
    [anon_sym_DOT_DOT] = ACTIONS(601),
    [anon_sym_or_return] = ACTIONS(71),
    [anon_sym_or_continue] = ACTIONS(71),
    [anon_sym_or_break] = ACTIONS(71),
    [anon_sym_CARET] = ACTIONS(67),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(67),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [138] = {
    [sym_expression] = STATE(4317),
    [sym__expression_no_tag] = STATE(4337),
    [sym_unary_expression] = STATE(4337),
    [sym_binary_expression] = STATE(4337),
    [sym_ternary_expression] = STATE(4337),
    [sym_call_expression] = STATE(4337),
    [sym_selector_call_expression] = STATE(4337),
    [sym_member_expression] = STATE(4337),
    [sym_index_expression] = STATE(4337),
    [sym_slice_expression] = STATE(4337),
    [sym_range_expression] = STATE(4337),
    [sym_cast_expression] = STATE(4337),
    [sym_in_expression] = STATE(4337),
    [sym_variadic_expression] = STATE(4337),
    [sym_parenthesized_expression] = STATE(4337),
    [sym_or_return_expression] = STATE(4337),
    [sym_or_continue_expression] = STATE(4337),
    [sym_or_break_expression] = STATE(4337),
    [sym_address] = STATE(4337),
    [sym_map_type] = STATE(4337),
    [sym_matrix_type] = STATE(4337),
    [sym_distinct_type] = STATE(4337),
    [sym_literal] = STATE(4337),
    [sym_struct] = STATE(4394),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_COMMA] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(173),
    [anon_sym_DASH_GT] = ACTIONS(173),
    [anon_sym_EQ] = ACTIONS(175),
    [anon_sym_COLON_EQ] = ACTIONS(173),
    [anon_sym_COLON] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(173),
    [anon_sym_if] = ACTIONS(175),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_when] = ACTIONS(175),
    [anon_sym_in] = ACTIONS(175),
    [anon_sym_QMARK] = ACTIONS(173),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_BANG] = ACTIONS(931),
    [anon_sym_AMP] = ACTIONS(175),
    [anon_sym_PIPE_PIPE] = ACTIONS(173),
    [anon_sym_or_else] = ACTIONS(175),
    [anon_sym_AMP_AMP] = ACTIONS(173),
    [anon_sym_GT] = ACTIONS(175),
    [anon_sym_GT_EQ] = ACTIONS(173),
    [anon_sym_LT_EQ] = ACTIONS(173),
    [anon_sym_LT] = ACTIONS(175),
    [anon_sym_EQ_EQ] = ACTIONS(173),
    [anon_sym_BANG_EQ] = ACTIONS(173),
    [anon_sym_TILDE_EQ] = ACTIONS(173),
    [anon_sym_PIPE] = ACTIONS(175),
    [anon_sym_AMP_TILDE] = ACTIONS(173),
    [anon_sym_LT_LT] = ACTIONS(173),
    [anon_sym_GT_GT] = ACTIONS(173),
    [anon_sym_STAR] = ACTIONS(173),
    [anon_sym_SLASH] = ACTIONS(175),
    [anon_sym_PERCENT] = ACTIONS(175),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(173),
    [anon_sym_DOT] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(173),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(173),
    [anon_sym_DOT_DOT_LT] = ACTIONS(173),
    [anon_sym_cast] = ACTIONS(935),
    [anon_sym_transmute] = ACTIONS(935),
    [anon_sym_auto_cast] = ACTIONS(937),
    [anon_sym_not_in] = ACTIONS(175),
    [anon_sym_DOT_DOT] = ACTIONS(939),
    [anon_sym_or_return] = ACTIONS(175),
    [anon_sym_or_continue] = ACTIONS(175),
    [anon_sym_or_break] = ACTIONS(175),
    [anon_sym_CARET] = ACTIONS(173),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(941),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [139] = {
    [sym_expression] = STATE(4360),
    [sym__expression_no_tag] = STATE(4431),
    [sym_unary_expression] = STATE(4431),
    [sym_binary_expression] = STATE(4431),
    [sym_ternary_expression] = STATE(4431),
    [sym_call_expression] = STATE(4431),
    [sym_selector_call_expression] = STATE(4431),
    [sym_member_expression] = STATE(4431),
    [sym_index_expression] = STATE(4431),
    [sym_slice_expression] = STATE(4431),
    [sym_range_expression] = STATE(4431),
    [sym_cast_expression] = STATE(4431),
    [sym_in_expression] = STATE(4431),
    [sym_variadic_expression] = STATE(4431),
    [sym_parenthesized_expression] = STATE(4431),
    [sym_or_return_expression] = STATE(4431),
    [sym_or_continue_expression] = STATE(4431),
    [sym_or_break_expression] = STATE(4431),
    [sym_address] = STATE(4431),
    [sym_map_type] = STATE(4431),
    [sym_matrix_type] = STATE(4431),
    [sym_distinct_type] = STATE(4431),
    [sym_literal] = STATE(4431),
    [sym_struct] = STATE(4333),
    [sym_map] = STATE(4320),
    [sym_bit_set] = STATE(4320),
    [sym_matrix] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym__string_literal] = STATE(4334),
    [sym__raw_string_literal] = STATE(4334),
    [sym_character] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_field_identifier] = STATE(7845),
    [sym_identifier] = ACTIONS(341),
    [anon_sym_LBRACE] = ACTIONS(943),
    [anon_sym_COMMA] = ACTIONS(131),
    [anon_sym_DASH_GT] = ACTIONS(131),
    [anon_sym_EQ] = ACTIONS(133),
    [anon_sym_COLON_EQ] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(945),
    [anon_sym_if] = ACTIONS(133),
    [anon_sym_SEMI] = ACTIONS(131),
    [anon_sym_do] = ACTIONS(133),
    [anon_sym_when] = ACTIONS(133),
    [anon_sym_in] = ACTIONS(133),
    [anon_sym_QMARK] = ACTIONS(947),
    [anon_sym_PLUS] = ACTIONS(949),
    [anon_sym_DASH] = ACTIONS(951),
    [anon_sym_TILDE] = ACTIONS(951),
    [anon_sym_BANG] = ACTIONS(951),
    [anon_sym_AMP] = ACTIONS(951),
    [anon_sym_PIPE_PIPE] = ACTIONS(131),
    [anon_sym_or_else] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(131),
    [anon_sym_GT] = ACTIONS(133),
    [anon_sym_GT_EQ] = ACTIONS(131),
    [anon_sym_LT_EQ] = ACTIONS(131),
    [anon_sym_LT] = ACTIONS(133),
    [anon_sym_EQ_EQ] = ACTIONS(131),
    [anon_sym_BANG_EQ] = ACTIONS(131),
    [anon_sym_TILDE_EQ] = ACTIONS(131),
    [anon_sym_PIPE] = ACTIONS(133),
    [anon_sym_AMP_TILDE] = ACTIONS(131),
    [anon_sym_LT_LT] = ACTIONS(131),
    [anon_sym_GT_GT] = ACTIONS(131),
    [anon_sym_STAR] = ACTIONS(131),
    [anon_sym_SLASH] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(131),
    [anon_sym_DOT] = ACTIONS(953),
    [anon_sym_LBRACK] = ACTIONS(955),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(131),
    [anon_sym_DOT_DOT_LT] = ACTIONS(131),
    [anon_sym_cast] = ACTIONS(957),
    [anon_sym_transmute] = ACTIONS(957),
    [anon_sym_auto_cast] = ACTIONS(959),
    [anon_sym_not_in] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(961),
    [anon_sym_or_return] = ACTIONS(133),
    [anon_sym_or_continue] = ACTIONS(133),
    [anon_sym_or_break] = ACTIONS(133),
    [anon_sym_CARET] = ACTIONS(131),
    [anon_sym_map] = ACTIONS(351),
    [anon_sym_bit_set] = ACTIONS(353),
    [anon_sym_matrix] = ACTIONS(355),
    [anon_sym_distinct] = ACTIONS(357),
    [sym_number] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(361),
    [anon_sym_BQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [anon_sym_true] = ACTIONS(367),
    [anon_sym_false] = ACTIONS(367),
    [sym_nil] = ACTIONS(369),
    [sym_uninitialized] = ACTIONS(359),
    [sym_tag] = ACTIONS(963),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(359),
    [sym_block_comment] = ACTIONS(3),
  },
  [140] = {
    [sym_expression] = STATE(4428),
    [sym__expression_no_tag] = STATE(4431),
    [sym_unary_expression] = STATE(4431),
    [sym_binary_expression] = STATE(4431),
    [sym_ternary_expression] = STATE(4431),
    [sym_call_expression] = STATE(4431),
    [sym_selector_call_expression] = STATE(4431),
    [sym_member_expression] = STATE(4431),
    [sym_index_expression] = STATE(4431),
    [sym_slice_expression] = STATE(4431),
    [sym_range_expression] = STATE(4431),
    [sym_cast_expression] = STATE(4431),
    [sym_in_expression] = STATE(4431),
    [sym_variadic_expression] = STATE(4431),
    [sym_parenthesized_expression] = STATE(4431),
    [sym_or_return_expression] = STATE(4431),
    [sym_or_continue_expression] = STATE(4431),
    [sym_or_break_expression] = STATE(4431),
    [sym_address] = STATE(4431),
    [sym_map_type] = STATE(4431),
    [sym_matrix_type] = STATE(4431),
    [sym_distinct_type] = STATE(4431),
    [sym_literal] = STATE(4431),
    [sym_struct] = STATE(4333),
    [sym_map] = STATE(4320),
    [sym_bit_set] = STATE(4320),
    [sym_matrix] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym__string_literal] = STATE(4334),
    [sym__raw_string_literal] = STATE(4334),
    [sym_character] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_field_identifier] = STATE(7845),
    [sym_identifier] = ACTIONS(341),
    [anon_sym_LBRACE] = ACTIONS(173),
    [anon_sym_COMMA] = ACTIONS(173),
    [anon_sym_DASH_GT] = ACTIONS(173),
    [anon_sym_EQ] = ACTIONS(175),
    [anon_sym_COLON_EQ] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(173),
    [anon_sym_if] = ACTIONS(175),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_do] = ACTIONS(175),
    [anon_sym_when] = ACTIONS(175),
    [anon_sym_in] = ACTIONS(175),
    [anon_sym_QMARK] = ACTIONS(173),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_BANG] = ACTIONS(951),
    [anon_sym_AMP] = ACTIONS(175),
    [anon_sym_PIPE_PIPE] = ACTIONS(173),
    [anon_sym_or_else] = ACTIONS(175),
    [anon_sym_AMP_AMP] = ACTIONS(173),
    [anon_sym_GT] = ACTIONS(175),
    [anon_sym_GT_EQ] = ACTIONS(173),
    [anon_sym_LT_EQ] = ACTIONS(173),
    [anon_sym_LT] = ACTIONS(175),
    [anon_sym_EQ_EQ] = ACTIONS(173),
    [anon_sym_BANG_EQ] = ACTIONS(173),
    [anon_sym_TILDE_EQ] = ACTIONS(173),
    [anon_sym_PIPE] = ACTIONS(175),
    [anon_sym_AMP_TILDE] = ACTIONS(173),
    [anon_sym_LT_LT] = ACTIONS(173),
    [anon_sym_GT_GT] = ACTIONS(173),
    [anon_sym_STAR] = ACTIONS(173),
    [anon_sym_SLASH] = ACTIONS(175),
    [anon_sym_PERCENT] = ACTIONS(175),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(173),
    [anon_sym_DOT] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(173),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(173),
    [anon_sym_DOT_DOT_LT] = ACTIONS(173),
    [anon_sym_cast] = ACTIONS(957),
    [anon_sym_transmute] = ACTIONS(957),
    [anon_sym_auto_cast] = ACTIONS(959),
    [anon_sym_not_in] = ACTIONS(175),
    [anon_sym_DOT_DOT] = ACTIONS(961),
    [anon_sym_or_return] = ACTIONS(175),
    [anon_sym_or_continue] = ACTIONS(175),
    [anon_sym_or_break] = ACTIONS(175),
    [anon_sym_CARET] = ACTIONS(173),
    [anon_sym_map] = ACTIONS(351),
    [anon_sym_bit_set] = ACTIONS(353),
    [anon_sym_matrix] = ACTIONS(355),
    [anon_sym_distinct] = ACTIONS(357),
    [sym_number] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(361),
    [anon_sym_BQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [anon_sym_true] = ACTIONS(367),
    [anon_sym_false] = ACTIONS(367),
    [sym_nil] = ACTIONS(369),
    [sym_uninitialized] = ACTIONS(359),
    [sym_tag] = ACTIONS(963),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(359),
    [sym_block_comment] = ACTIONS(3),
  },
  [141] = {
    [sym_expression] = STATE(3993),
    [sym__expression_no_tag] = STATE(2689),
    [sym_unary_expression] = STATE(2689),
    [sym_binary_expression] = STATE(2689),
    [sym_ternary_expression] = STATE(2689),
    [sym_call_expression] = STATE(2689),
    [sym_selector_call_expression] = STATE(2689),
    [sym_member_expression] = STATE(2689),
    [sym_index_expression] = STATE(2689),
    [sym_slice_expression] = STATE(2689),
    [sym_range_expression] = STATE(2689),
    [sym_cast_expression] = STATE(2689),
    [sym_in_expression] = STATE(2689),
    [sym_variadic_expression] = STATE(2689),
    [sym_parenthesized_expression] = STATE(2689),
    [sym_or_return_expression] = STATE(2689),
    [sym_or_continue_expression] = STATE(2689),
    [sym_or_break_expression] = STATE(2689),
    [sym_address] = STATE(2689),
    [sym_map_type] = STATE(2689),
    [sym_matrix_type] = STATE(2689),
    [sym_distinct_type] = STATE(2689),
    [sym_literal] = STATE(2689),
    [sym_struct] = STATE(4013),
    [sym_map] = STATE(2871),
    [sym_bit_set] = STATE(2871),
    [sym_matrix] = STATE(2871),
    [sym_string] = STATE(2871),
    [sym__string_literal] = STATE(2874),
    [sym__raw_string_literal] = STATE(2874),
    [sym_character] = STATE(2871),
    [sym_boolean] = STATE(2871),
    [sym_field_identifier] = STATE(7825),
    [sym_identifier] = ACTIONS(493),
    [anon_sym_LBRACE] = ACTIONS(173),
    [anon_sym_RBRACE] = ACTIONS(173),
    [anon_sym_COMMA] = ACTIONS(173),
    [anon_sym_DASH_GT] = ACTIONS(173),
    [anon_sym_where] = ACTIONS(175),
    [anon_sym_EQ] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(173),
    [anon_sym_if] = ACTIONS(175),
    [anon_sym_when] = ACTIONS(175),
    [anon_sym_in] = ACTIONS(175),
    [anon_sym_QMARK] = ACTIONS(173),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_BANG] = ACTIONS(965),
    [anon_sym_AMP] = ACTIONS(175),
    [anon_sym_PIPE_PIPE] = ACTIONS(173),
    [anon_sym_or_else] = ACTIONS(175),
    [anon_sym_AMP_AMP] = ACTIONS(173),
    [anon_sym_GT] = ACTIONS(175),
    [anon_sym_GT_EQ] = ACTIONS(173),
    [anon_sym_LT_EQ] = ACTIONS(173),
    [anon_sym_LT] = ACTIONS(175),
    [anon_sym_EQ_EQ] = ACTIONS(173),
    [anon_sym_BANG_EQ] = ACTIONS(173),
    [anon_sym_TILDE_EQ] = ACTIONS(173),
    [anon_sym_PIPE] = ACTIONS(175),
    [anon_sym_AMP_TILDE] = ACTIONS(173),
    [anon_sym_LT_LT] = ACTIONS(173),
    [anon_sym_GT_GT] = ACTIONS(173),
    [anon_sym_STAR] = ACTIONS(173),
    [anon_sym_SLASH] = ACTIONS(175),
    [anon_sym_PERCENT] = ACTIONS(175),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(173),
    [anon_sym_DOT] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(173),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(173),
    [anon_sym_DOT_DOT_LT] = ACTIONS(173),
    [anon_sym_cast] = ACTIONS(967),
    [anon_sym_transmute] = ACTIONS(967),
    [anon_sym_auto_cast] = ACTIONS(969),
    [anon_sym_not_in] = ACTIONS(175),
    [anon_sym_DOT_DOT] = ACTIONS(971),
    [anon_sym_or_return] = ACTIONS(175),
    [anon_sym_or_continue] = ACTIONS(175),
    [anon_sym_or_break] = ACTIONS(175),
    [anon_sym_CARET] = ACTIONS(173),
    [anon_sym_map] = ACTIONS(973),
    [anon_sym_bit_set] = ACTIONS(505),
    [anon_sym_matrix] = ACTIONS(975),
    [anon_sym_distinct] = ACTIONS(977),
    [sym_number] = ACTIONS(511),
    [anon_sym_DQUOTE] = ACTIONS(173),
    [anon_sym_BQUOTE] = ACTIONS(173),
    [anon_sym_SQUOTE] = ACTIONS(517),
    [anon_sym_true] = ACTIONS(519),
    [anon_sym_false] = ACTIONS(519),
    [sym_nil] = ACTIONS(521),
    [sym_uninitialized] = ACTIONS(173),
    [sym_tag] = ACTIONS(173),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(511),
    [sym_block_comment] = ACTIONS(3),
  },
  [142] = {
    [sym_procedure] = STATE(2044),
    [sym_type] = STATE(2043),
    [sym_pointer_type] = STATE(2064),
    [sym_variadic_type] = STATE(2064),
    [sym_array_type] = STATE(2064),
    [sym_map_type] = STATE(2064),
    [sym_union_type] = STATE(2064),
    [sym_bit_set_type] = STATE(2064),
    [sym_matrix_type] = STATE(2064),
    [sym_field_type] = STATE(2064),
    [sym_tuple_type] = STATE(2064),
    [sym_struct_type] = STATE(2064),
    [sym_enum_type] = STATE(2064),
    [sym_constant_type] = STATE(2064),
    [sym_specialized_type] = STATE(2064),
    [sym__procedure_type] = STATE(2064),
    [sym_distinct_type] = STATE(2064),
    [sym_empty_type] = STATE(2064),
    [sym_polymorphic_type] = STATE(2064),
    [sym_conditional_type] = STATE(2064),
    [sym_identifier] = ACTIONS(979),
    [anon_sym_LBRACE] = ACTIONS(909),
    [anon_sym_RBRACE] = ACTIONS(909),
    [anon_sym_COMMA] = ACTIONS(909),
    [anon_sym_COLON_COLON] = ACTIONS(909),
    [anon_sym_proc] = ACTIONS(981),
    [anon_sym_DASH_GT] = ACTIONS(909),
    [anon_sym_struct] = ACTIONS(983),
    [anon_sym_enum] = ACTIONS(985),
    [anon_sym_EQ] = ACTIONS(911),
    [anon_sym_union] = ACTIONS(987),
    [anon_sym_COLON_EQ] = ACTIONS(909),
    [anon_sym_COLON] = ACTIONS(911),
    [anon_sym_LPAREN] = ACTIONS(989),
    [anon_sym_DOLLAR] = ACTIONS(992),
    [anon_sym_PLUS_EQ] = ACTIONS(909),
    [anon_sym_DASH_EQ] = ACTIONS(909),
    [anon_sym_STAR_EQ] = ACTIONS(909),
    [anon_sym_SLASH_EQ] = ACTIONS(909),
    [anon_sym_PERCENT_EQ] = ACTIONS(909),
    [anon_sym_AMP_EQ] = ACTIONS(909),
    [anon_sym_PIPE_EQ] = ACTIONS(909),
    [anon_sym_CARET_EQ] = ACTIONS(909),
    [anon_sym_LT_LT_EQ] = ACTIONS(909),
    [anon_sym_GT_GT_EQ] = ACTIONS(909),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(909),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(909),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(909),
    [anon_sym_if] = ACTIONS(911),
    [anon_sym_SEMI] = ACTIONS(909),
    [anon_sym_else] = ACTIONS(911),
    [anon_sym_when] = ACTIONS(911),
    [anon_sym_in] = ACTIONS(911),
    [anon_sym_case] = ACTIONS(911),
    [anon_sym_QMARK] = ACTIONS(909),
    [anon_sym_PLUS] = ACTIONS(911),
    [anon_sym_DASH] = ACTIONS(911),
    [anon_sym_TILDE] = ACTIONS(911),
    [anon_sym_BANG] = ACTIONS(994),
    [anon_sym_AMP] = ACTIONS(911),
    [anon_sym_PIPE_PIPE] = ACTIONS(911),
    [anon_sym_or_else] = ACTIONS(911),
    [anon_sym_AMP_AMP] = ACTIONS(911),
    [anon_sym_GT] = ACTIONS(911),
    [anon_sym_GT_EQ] = ACTIONS(909),
    [anon_sym_LT_EQ] = ACTIONS(909),
    [anon_sym_LT] = ACTIONS(911),
    [anon_sym_EQ_EQ] = ACTIONS(909),
    [anon_sym_BANG_EQ] = ACTIONS(909),
    [anon_sym_TILDE_EQ] = ACTIONS(909),
    [anon_sym_PIPE] = ACTIONS(911),
    [anon_sym_AMP_TILDE] = ACTIONS(911),
    [anon_sym_LT_LT] = ACTIONS(911),
    [anon_sym_GT_GT] = ACTIONS(911),
    [anon_sym_STAR] = ACTIONS(911),
    [anon_sym_SLASH] = ACTIONS(911),
    [anon_sym_PERCENT] = ACTIONS(911),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(909),
    [anon_sym_DOT] = ACTIONS(911),
    [anon_sym_LBRACK] = ACTIONS(996),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(909),
    [anon_sym_DOT_DOT_LT] = ACTIONS(909),
    [anon_sym_not_in] = ACTIONS(911),
    [anon_sym_DOT_DOT] = ACTIONS(999),
    [anon_sym_or_return] = ACTIONS(911),
    [anon_sym_or_continue] = ACTIONS(911),
    [anon_sym_or_break] = ACTIONS(911),
    [anon_sym_CARET] = ACTIONS(1001),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1004),
    [anon_sym_map] = ACTIONS(1006),
    [anon_sym_bit_set] = ACTIONS(1008),
    [anon_sym_matrix] = ACTIONS(1010),
    [anon_sym_distinct] = ACTIONS(1012),
    [sym_tag] = ACTIONS(1014),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(909),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [143] = {
    [sym_procedure] = STATE(2044),
    [sym_type] = STATE(2172),
    [sym_pointer_type] = STATE(2064),
    [sym_variadic_type] = STATE(2064),
    [sym_array_type] = STATE(2064),
    [sym_map_type] = STATE(2064),
    [sym_union_type] = STATE(2064),
    [sym_bit_set_type] = STATE(2064),
    [sym_matrix_type] = STATE(2064),
    [sym_field_type] = STATE(2064),
    [sym_tuple_type] = STATE(2064),
    [sym_struct_type] = STATE(2064),
    [sym_enum_type] = STATE(2064),
    [sym_constant_type] = STATE(2064),
    [sym_specialized_type] = STATE(2064),
    [sym__procedure_type] = STATE(2064),
    [sym_distinct_type] = STATE(2064),
    [sym_empty_type] = STATE(2064),
    [sym_polymorphic_type] = STATE(2064),
    [sym_conditional_type] = STATE(2064),
    [sym_identifier] = ACTIONS(979),
    [anon_sym_LBRACE] = ACTIONS(893),
    [anon_sym_RBRACE] = ACTIONS(893),
    [anon_sym_COMMA] = ACTIONS(893),
    [anon_sym_COLON_COLON] = ACTIONS(893),
    [anon_sym_proc] = ACTIONS(981),
    [anon_sym_DASH_GT] = ACTIONS(893),
    [anon_sym_struct] = ACTIONS(983),
    [anon_sym_enum] = ACTIONS(985),
    [anon_sym_EQ] = ACTIONS(895),
    [anon_sym_union] = ACTIONS(987),
    [anon_sym_COLON_EQ] = ACTIONS(893),
    [anon_sym_COLON] = ACTIONS(895),
    [anon_sym_LPAREN] = ACTIONS(1016),
    [anon_sym_DOLLAR] = ACTIONS(992),
    [anon_sym_PLUS_EQ] = ACTIONS(893),
    [anon_sym_DASH_EQ] = ACTIONS(893),
    [anon_sym_STAR_EQ] = ACTIONS(893),
    [anon_sym_SLASH_EQ] = ACTIONS(893),
    [anon_sym_PERCENT_EQ] = ACTIONS(893),
    [anon_sym_AMP_EQ] = ACTIONS(893),
    [anon_sym_PIPE_EQ] = ACTIONS(893),
    [anon_sym_CARET_EQ] = ACTIONS(893),
    [anon_sym_LT_LT_EQ] = ACTIONS(893),
    [anon_sym_GT_GT_EQ] = ACTIONS(893),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(893),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(893),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(893),
    [anon_sym_if] = ACTIONS(895),
    [anon_sym_SEMI] = ACTIONS(893),
    [anon_sym_else] = ACTIONS(895),
    [anon_sym_when] = ACTIONS(895),
    [anon_sym_in] = ACTIONS(895),
    [anon_sym_case] = ACTIONS(895),
    [anon_sym_QMARK] = ACTIONS(893),
    [anon_sym_PLUS] = ACTIONS(895),
    [anon_sym_DASH] = ACTIONS(895),
    [anon_sym_TILDE] = ACTIONS(895),
    [anon_sym_BANG] = ACTIONS(994),
    [anon_sym_AMP] = ACTIONS(895),
    [anon_sym_PIPE_PIPE] = ACTIONS(895),
    [anon_sym_or_else] = ACTIONS(895),
    [anon_sym_AMP_AMP] = ACTIONS(895),
    [anon_sym_GT] = ACTIONS(895),
    [anon_sym_GT_EQ] = ACTIONS(893),
    [anon_sym_LT_EQ] = ACTIONS(893),
    [anon_sym_LT] = ACTIONS(895),
    [anon_sym_EQ_EQ] = ACTIONS(893),
    [anon_sym_BANG_EQ] = ACTIONS(893),
    [anon_sym_TILDE_EQ] = ACTIONS(893),
    [anon_sym_PIPE] = ACTIONS(895),
    [anon_sym_AMP_TILDE] = ACTIONS(895),
    [anon_sym_LT_LT] = ACTIONS(895),
    [anon_sym_GT_GT] = ACTIONS(895),
    [anon_sym_STAR] = ACTIONS(895),
    [anon_sym_SLASH] = ACTIONS(895),
    [anon_sym_PERCENT] = ACTIONS(895),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(893),
    [anon_sym_DOT] = ACTIONS(895),
    [anon_sym_LBRACK] = ACTIONS(1019),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(893),
    [anon_sym_DOT_DOT_LT] = ACTIONS(893),
    [anon_sym_not_in] = ACTIONS(895),
    [anon_sym_DOT_DOT] = ACTIONS(999),
    [anon_sym_or_return] = ACTIONS(895),
    [anon_sym_or_continue] = ACTIONS(895),
    [anon_sym_or_break] = ACTIONS(895),
    [anon_sym_CARET] = ACTIONS(1022),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1004),
    [anon_sym_map] = ACTIONS(1006),
    [anon_sym_bit_set] = ACTIONS(1008),
    [anon_sym_matrix] = ACTIONS(1010),
    [anon_sym_distinct] = ACTIONS(1012),
    [sym_tag] = ACTIONS(1014),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(893),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [144] = {
    [sym_expression] = STATE(4067),
    [sym__expression_no_tag] = STATE(2689),
    [sym_unary_expression] = STATE(2689),
    [sym_binary_expression] = STATE(2689),
    [sym_ternary_expression] = STATE(2689),
    [sym_call_expression] = STATE(2689),
    [sym_selector_call_expression] = STATE(2689),
    [sym_member_expression] = STATE(2689),
    [sym_index_expression] = STATE(2689),
    [sym_slice_expression] = STATE(2689),
    [sym_range_expression] = STATE(2689),
    [sym_cast_expression] = STATE(2689),
    [sym_in_expression] = STATE(2689),
    [sym_variadic_expression] = STATE(2689),
    [sym_parenthesized_expression] = STATE(2689),
    [sym_or_return_expression] = STATE(2689),
    [sym_or_continue_expression] = STATE(2689),
    [sym_or_break_expression] = STATE(2689),
    [sym_address] = STATE(2689),
    [sym_map_type] = STATE(2689),
    [sym_matrix_type] = STATE(2689),
    [sym_distinct_type] = STATE(2689),
    [sym_literal] = STATE(2689),
    [sym_struct] = STATE(4105),
    [sym_map] = STATE(2871),
    [sym_bit_set] = STATE(2871),
    [sym_matrix] = STATE(2871),
    [sym_string] = STATE(2871),
    [sym__string_literal] = STATE(2874),
    [sym__raw_string_literal] = STATE(2874),
    [sym_character] = STATE(2871),
    [sym_boolean] = STATE(2871),
    [sym_field_identifier] = STATE(7825),
    [sym_identifier] = ACTIONS(175),
    [anon_sym_LBRACE] = ACTIONS(173),
    [anon_sym_COMMA] = ACTIONS(173),
    [anon_sym_DASH_GT] = ACTIONS(173),
    [anon_sym_where] = ACTIONS(175),
    [anon_sym_EQ] = ACTIONS(175),
    [anon_sym_LPAREN] = ACTIONS(173),
    [anon_sym_RPAREN] = ACTIONS(173),
    [anon_sym_if] = ACTIONS(175),
    [anon_sym_when] = ACTIONS(175),
    [anon_sym_in] = ACTIONS(175),
    [anon_sym_QMARK] = ACTIONS(173),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_BANG] = ACTIONS(1025),
    [anon_sym_AMP] = ACTIONS(175),
    [anon_sym_PIPE_PIPE] = ACTIONS(173),
    [anon_sym_or_else] = ACTIONS(175),
    [anon_sym_AMP_AMP] = ACTIONS(173),
    [anon_sym_GT] = ACTIONS(175),
    [anon_sym_GT_EQ] = ACTIONS(173),
    [anon_sym_LT_EQ] = ACTIONS(173),
    [anon_sym_LT] = ACTIONS(175),
    [anon_sym_EQ_EQ] = ACTIONS(173),
    [anon_sym_BANG_EQ] = ACTIONS(173),
    [anon_sym_TILDE_EQ] = ACTIONS(173),
    [anon_sym_PIPE] = ACTIONS(175),
    [anon_sym_AMP_TILDE] = ACTIONS(173),
    [anon_sym_LT_LT] = ACTIONS(173),
    [anon_sym_GT_GT] = ACTIONS(173),
    [anon_sym_STAR] = ACTIONS(173),
    [anon_sym_SLASH] = ACTIONS(175),
    [anon_sym_PERCENT] = ACTIONS(175),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(173),
    [anon_sym_DOT] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(173),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(173),
    [anon_sym_DOT_DOT_LT] = ACTIONS(173),
    [anon_sym_cast] = ACTIONS(1027),
    [anon_sym_transmute] = ACTIONS(1027),
    [anon_sym_auto_cast] = ACTIONS(1029),
    [anon_sym_not_in] = ACTIONS(175),
    [anon_sym_DOT_DOT] = ACTIONS(1031),
    [anon_sym_or_return] = ACTIONS(175),
    [anon_sym_or_continue] = ACTIONS(175),
    [anon_sym_or_break] = ACTIONS(175),
    [anon_sym_CARET] = ACTIONS(173),
    [anon_sym_map] = ACTIONS(1033),
    [anon_sym_bit_set] = ACTIONS(505),
    [anon_sym_matrix] = ACTIONS(1035),
    [anon_sym_distinct] = ACTIONS(1037),
    [sym_number] = ACTIONS(511),
    [anon_sym_DQUOTE] = ACTIONS(513),
    [anon_sym_BQUOTE] = ACTIONS(515),
    [anon_sym_SQUOTE] = ACTIONS(517),
    [anon_sym_true] = ACTIONS(519),
    [anon_sym_false] = ACTIONS(519),
    [sym_nil] = ACTIONS(521),
    [sym_uninitialized] = ACTIONS(173),
    [sym_tag] = ACTIONS(173),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(511),
    [sym_block_comment] = ACTIONS(3),
  },
  [145] = {
    [sym_procedure] = STATE(2044),
    [sym_type] = STATE(2170),
    [sym_pointer_type] = STATE(2064),
    [sym_variadic_type] = STATE(2064),
    [sym_array_type] = STATE(2064),
    [sym_map_type] = STATE(2064),
    [sym_union_type] = STATE(2064),
    [sym_bit_set_type] = STATE(2064),
    [sym_matrix_type] = STATE(2064),
    [sym_field_type] = STATE(2064),
    [sym_tuple_type] = STATE(2064),
    [sym_struct_type] = STATE(2064),
    [sym_enum_type] = STATE(2064),
    [sym_constant_type] = STATE(2064),
    [sym_specialized_type] = STATE(2064),
    [sym__procedure_type] = STATE(2064),
    [sym_distinct_type] = STATE(2064),
    [sym_empty_type] = STATE(2064),
    [sym_polymorphic_type] = STATE(2064),
    [sym_conditional_type] = STATE(2064),
    [sym_identifier] = ACTIONS(979),
    [anon_sym_LBRACE] = ACTIONS(855),
    [anon_sym_RBRACE] = ACTIONS(855),
    [anon_sym_COMMA] = ACTIONS(855),
    [anon_sym_COLON_COLON] = ACTIONS(855),
    [anon_sym_proc] = ACTIONS(981),
    [anon_sym_DASH_GT] = ACTIONS(855),
    [anon_sym_struct] = ACTIONS(983),
    [anon_sym_enum] = ACTIONS(985),
    [anon_sym_EQ] = ACTIONS(857),
    [anon_sym_union] = ACTIONS(987),
    [anon_sym_COLON_EQ] = ACTIONS(855),
    [anon_sym_COLON] = ACTIONS(857),
    [anon_sym_LPAREN] = ACTIONS(1039),
    [anon_sym_DOLLAR] = ACTIONS(992),
    [anon_sym_PLUS_EQ] = ACTIONS(855),
    [anon_sym_DASH_EQ] = ACTIONS(855),
    [anon_sym_STAR_EQ] = ACTIONS(855),
    [anon_sym_SLASH_EQ] = ACTIONS(855),
    [anon_sym_PERCENT_EQ] = ACTIONS(855),
    [anon_sym_AMP_EQ] = ACTIONS(855),
    [anon_sym_PIPE_EQ] = ACTIONS(855),
    [anon_sym_CARET_EQ] = ACTIONS(855),
    [anon_sym_LT_LT_EQ] = ACTIONS(855),
    [anon_sym_GT_GT_EQ] = ACTIONS(855),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(855),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(855),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(855),
    [anon_sym_if] = ACTIONS(857),
    [anon_sym_SEMI] = ACTIONS(855),
    [anon_sym_else] = ACTIONS(857),
    [anon_sym_when] = ACTIONS(857),
    [anon_sym_in] = ACTIONS(857),
    [anon_sym_case] = ACTIONS(857),
    [anon_sym_QMARK] = ACTIONS(855),
    [anon_sym_PLUS] = ACTIONS(857),
    [anon_sym_DASH] = ACTIONS(857),
    [anon_sym_TILDE] = ACTIONS(857),
    [anon_sym_BANG] = ACTIONS(994),
    [anon_sym_AMP] = ACTIONS(857),
    [anon_sym_PIPE_PIPE] = ACTIONS(857),
    [anon_sym_or_else] = ACTIONS(857),
    [anon_sym_AMP_AMP] = ACTIONS(857),
    [anon_sym_GT] = ACTIONS(857),
    [anon_sym_GT_EQ] = ACTIONS(855),
    [anon_sym_LT_EQ] = ACTIONS(855),
    [anon_sym_LT] = ACTIONS(857),
    [anon_sym_EQ_EQ] = ACTIONS(855),
    [anon_sym_BANG_EQ] = ACTIONS(855),
    [anon_sym_TILDE_EQ] = ACTIONS(855),
    [anon_sym_PIPE] = ACTIONS(857),
    [anon_sym_AMP_TILDE] = ACTIONS(857),
    [anon_sym_LT_LT] = ACTIONS(857),
    [anon_sym_GT_GT] = ACTIONS(857),
    [anon_sym_STAR] = ACTIONS(857),
    [anon_sym_SLASH] = ACTIONS(857),
    [anon_sym_PERCENT] = ACTIONS(857),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(855),
    [anon_sym_DOT] = ACTIONS(857),
    [anon_sym_LBRACK] = ACTIONS(1042),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(855),
    [anon_sym_DOT_DOT_LT] = ACTIONS(855),
    [anon_sym_not_in] = ACTIONS(857),
    [anon_sym_DOT_DOT] = ACTIONS(999),
    [anon_sym_or_return] = ACTIONS(857),
    [anon_sym_or_continue] = ACTIONS(857),
    [anon_sym_or_break] = ACTIONS(857),
    [anon_sym_CARET] = ACTIONS(1045),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1004),
    [anon_sym_map] = ACTIONS(1006),
    [anon_sym_bit_set] = ACTIONS(1008),
    [anon_sym_matrix] = ACTIONS(1010),
    [anon_sym_distinct] = ACTIONS(1012),
    [sym_tag] = ACTIONS(1014),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(855),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [146] = {
    [sym_procedure] = STATE(2044),
    [sym_type] = STATE(2165),
    [sym_pointer_type] = STATE(2064),
    [sym_variadic_type] = STATE(2064),
    [sym_array_type] = STATE(2064),
    [sym_map_type] = STATE(2064),
    [sym_union_type] = STATE(2064),
    [sym_bit_set_type] = STATE(2064),
    [sym_matrix_type] = STATE(2064),
    [sym_field_type] = STATE(2064),
    [sym_tuple_type] = STATE(2064),
    [sym_struct_type] = STATE(2064),
    [sym_enum_type] = STATE(2064),
    [sym_constant_type] = STATE(2064),
    [sym_specialized_type] = STATE(2064),
    [sym__procedure_type] = STATE(2064),
    [sym_distinct_type] = STATE(2064),
    [sym_empty_type] = STATE(2064),
    [sym_polymorphic_type] = STATE(2064),
    [sym_conditional_type] = STATE(2064),
    [sym_identifier] = ACTIONS(979),
    [anon_sym_LBRACE] = ACTIONS(817),
    [anon_sym_RBRACE] = ACTIONS(817),
    [anon_sym_COMMA] = ACTIONS(817),
    [anon_sym_COLON_COLON] = ACTIONS(817),
    [anon_sym_proc] = ACTIONS(981),
    [anon_sym_DASH_GT] = ACTIONS(817),
    [anon_sym_struct] = ACTIONS(983),
    [anon_sym_enum] = ACTIONS(985),
    [anon_sym_EQ] = ACTIONS(819),
    [anon_sym_union] = ACTIONS(987),
    [anon_sym_COLON_EQ] = ACTIONS(817),
    [anon_sym_COLON] = ACTIONS(819),
    [anon_sym_LPAREN] = ACTIONS(1048),
    [anon_sym_DOLLAR] = ACTIONS(992),
    [anon_sym_PLUS_EQ] = ACTIONS(817),
    [anon_sym_DASH_EQ] = ACTIONS(817),
    [anon_sym_STAR_EQ] = ACTIONS(817),
    [anon_sym_SLASH_EQ] = ACTIONS(817),
    [anon_sym_PERCENT_EQ] = ACTIONS(817),
    [anon_sym_AMP_EQ] = ACTIONS(817),
    [anon_sym_PIPE_EQ] = ACTIONS(817),
    [anon_sym_CARET_EQ] = ACTIONS(817),
    [anon_sym_LT_LT_EQ] = ACTIONS(817),
    [anon_sym_GT_GT_EQ] = ACTIONS(817),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(817),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(817),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(817),
    [anon_sym_if] = ACTIONS(819),
    [anon_sym_SEMI] = ACTIONS(817),
    [anon_sym_else] = ACTIONS(819),
    [anon_sym_when] = ACTIONS(819),
    [anon_sym_in] = ACTIONS(819),
    [anon_sym_case] = ACTIONS(819),
    [anon_sym_QMARK] = ACTIONS(817),
    [anon_sym_PLUS] = ACTIONS(819),
    [anon_sym_DASH] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(819),
    [anon_sym_BANG] = ACTIONS(994),
    [anon_sym_AMP] = ACTIONS(819),
    [anon_sym_PIPE_PIPE] = ACTIONS(819),
    [anon_sym_or_else] = ACTIONS(819),
    [anon_sym_AMP_AMP] = ACTIONS(819),
    [anon_sym_GT] = ACTIONS(819),
    [anon_sym_GT_EQ] = ACTIONS(817),
    [anon_sym_LT_EQ] = ACTIONS(817),
    [anon_sym_LT] = ACTIONS(819),
    [anon_sym_EQ_EQ] = ACTIONS(817),
    [anon_sym_BANG_EQ] = ACTIONS(817),
    [anon_sym_TILDE_EQ] = ACTIONS(817),
    [anon_sym_PIPE] = ACTIONS(819),
    [anon_sym_AMP_TILDE] = ACTIONS(819),
    [anon_sym_LT_LT] = ACTIONS(819),
    [anon_sym_GT_GT] = ACTIONS(819),
    [anon_sym_STAR] = ACTIONS(819),
    [anon_sym_SLASH] = ACTIONS(819),
    [anon_sym_PERCENT] = ACTIONS(819),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(817),
    [anon_sym_DOT] = ACTIONS(819),
    [anon_sym_LBRACK] = ACTIONS(1051),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(817),
    [anon_sym_DOT_DOT_LT] = ACTIONS(817),
    [anon_sym_not_in] = ACTIONS(819),
    [anon_sym_DOT_DOT] = ACTIONS(999),
    [anon_sym_or_return] = ACTIONS(819),
    [anon_sym_or_continue] = ACTIONS(819),
    [anon_sym_or_break] = ACTIONS(819),
    [anon_sym_CARET] = ACTIONS(1054),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1004),
    [anon_sym_map] = ACTIONS(1006),
    [anon_sym_bit_set] = ACTIONS(1008),
    [anon_sym_matrix] = ACTIONS(1010),
    [anon_sym_distinct] = ACTIONS(1012),
    [sym_tag] = ACTIONS(1014),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(817),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [147] = {
    [sym_procedure] = STATE(2044),
    [sym_type] = STATE(2171),
    [sym_pointer_type] = STATE(2064),
    [sym_variadic_type] = STATE(2064),
    [sym_array_type] = STATE(2064),
    [sym_map_type] = STATE(2064),
    [sym_union_type] = STATE(2064),
    [sym_bit_set_type] = STATE(2064),
    [sym_matrix_type] = STATE(2064),
    [sym_field_type] = STATE(2064),
    [sym_tuple_type] = STATE(2064),
    [sym_struct_type] = STATE(2064),
    [sym_enum_type] = STATE(2064),
    [sym_constant_type] = STATE(2064),
    [sym_specialized_type] = STATE(2064),
    [sym__procedure_type] = STATE(2064),
    [sym_distinct_type] = STATE(2064),
    [sym_empty_type] = STATE(2064),
    [sym_polymorphic_type] = STATE(2064),
    [sym_conditional_type] = STATE(2064),
    [sym_identifier] = ACTIONS(979),
    [anon_sym_LBRACE] = ACTIONS(871),
    [anon_sym_RBRACE] = ACTIONS(871),
    [anon_sym_COMMA] = ACTIONS(871),
    [anon_sym_COLON_COLON] = ACTIONS(871),
    [anon_sym_proc] = ACTIONS(981),
    [anon_sym_DASH_GT] = ACTIONS(871),
    [anon_sym_struct] = ACTIONS(983),
    [anon_sym_enum] = ACTIONS(985),
    [anon_sym_EQ] = ACTIONS(874),
    [anon_sym_union] = ACTIONS(987),
    [anon_sym_COLON_EQ] = ACTIONS(871),
    [anon_sym_COLON] = ACTIONS(874),
    [anon_sym_LPAREN] = ACTIONS(1057),
    [anon_sym_DOLLAR] = ACTIONS(992),
    [anon_sym_PLUS_EQ] = ACTIONS(871),
    [anon_sym_DASH_EQ] = ACTIONS(871),
    [anon_sym_STAR_EQ] = ACTIONS(871),
    [anon_sym_SLASH_EQ] = ACTIONS(871),
    [anon_sym_PERCENT_EQ] = ACTIONS(871),
    [anon_sym_AMP_EQ] = ACTIONS(871),
    [anon_sym_PIPE_EQ] = ACTIONS(871),
    [anon_sym_CARET_EQ] = ACTIONS(871),
    [anon_sym_LT_LT_EQ] = ACTIONS(871),
    [anon_sym_GT_GT_EQ] = ACTIONS(871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(871),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(871),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(871),
    [anon_sym_if] = ACTIONS(874),
    [anon_sym_SEMI] = ACTIONS(871),
    [anon_sym_else] = ACTIONS(874),
    [anon_sym_when] = ACTIONS(874),
    [anon_sym_in] = ACTIONS(874),
    [anon_sym_case] = ACTIONS(874),
    [anon_sym_QMARK] = ACTIONS(871),
    [anon_sym_PLUS] = ACTIONS(874),
    [anon_sym_DASH] = ACTIONS(874),
    [anon_sym_TILDE] = ACTIONS(874),
    [anon_sym_BANG] = ACTIONS(994),
    [anon_sym_AMP] = ACTIONS(874),
    [anon_sym_PIPE_PIPE] = ACTIONS(874),
    [anon_sym_or_else] = ACTIONS(874),
    [anon_sym_AMP_AMP] = ACTIONS(874),
    [anon_sym_GT] = ACTIONS(874),
    [anon_sym_GT_EQ] = ACTIONS(871),
    [anon_sym_LT_EQ] = ACTIONS(871),
    [anon_sym_LT] = ACTIONS(874),
    [anon_sym_EQ_EQ] = ACTIONS(871),
    [anon_sym_BANG_EQ] = ACTIONS(871),
    [anon_sym_TILDE_EQ] = ACTIONS(871),
    [anon_sym_PIPE] = ACTIONS(874),
    [anon_sym_AMP_TILDE] = ACTIONS(874),
    [anon_sym_LT_LT] = ACTIONS(874),
    [anon_sym_GT_GT] = ACTIONS(874),
    [anon_sym_STAR] = ACTIONS(874),
    [anon_sym_SLASH] = ACTIONS(874),
    [anon_sym_PERCENT] = ACTIONS(874),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(871),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_LBRACK] = ACTIONS(1061),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(871),
    [anon_sym_DOT_DOT_LT] = ACTIONS(871),
    [anon_sym_not_in] = ACTIONS(874),
    [anon_sym_DOT_DOT] = ACTIONS(999),
    [anon_sym_or_return] = ACTIONS(874),
    [anon_sym_or_continue] = ACTIONS(874),
    [anon_sym_or_break] = ACTIONS(874),
    [anon_sym_CARET] = ACTIONS(1065),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1004),
    [anon_sym_map] = ACTIONS(1006),
    [anon_sym_bit_set] = ACTIONS(1008),
    [anon_sym_matrix] = ACTIONS(1010),
    [anon_sym_distinct] = ACTIONS(1012),
    [sym_tag] = ACTIONS(1014),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(871),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [148] = {
    [sym_procedure] = STATE(2044),
    [sym_type] = STATE(2174),
    [sym_pointer_type] = STATE(2064),
    [sym_variadic_type] = STATE(2064),
    [sym_array_type] = STATE(2064),
    [sym_map_type] = STATE(2064),
    [sym_union_type] = STATE(2064),
    [sym_bit_set_type] = STATE(2064),
    [sym_matrix_type] = STATE(2064),
    [sym_field_type] = STATE(2064),
    [sym_tuple_type] = STATE(2064),
    [sym_struct_type] = STATE(2064),
    [sym_enum_type] = STATE(2064),
    [sym_constant_type] = STATE(2064),
    [sym_specialized_type] = STATE(2064),
    [sym__procedure_type] = STATE(2064),
    [sym_distinct_type] = STATE(2064),
    [sym_empty_type] = STATE(2064),
    [sym_polymorphic_type] = STATE(2064),
    [sym_conditional_type] = STATE(2064),
    [sym_identifier] = ACTIONS(979),
    [anon_sym_LBRACE] = ACTIONS(833),
    [anon_sym_RBRACE] = ACTIONS(833),
    [anon_sym_COMMA] = ACTIONS(833),
    [anon_sym_COLON_COLON] = ACTIONS(833),
    [anon_sym_proc] = ACTIONS(981),
    [anon_sym_DASH_GT] = ACTIONS(833),
    [anon_sym_struct] = ACTIONS(983),
    [anon_sym_enum] = ACTIONS(985),
    [anon_sym_EQ] = ACTIONS(836),
    [anon_sym_union] = ACTIONS(987),
    [anon_sym_COLON_EQ] = ACTIONS(833),
    [anon_sym_COLON] = ACTIONS(836),
    [anon_sym_LPAREN] = ACTIONS(1069),
    [anon_sym_DOLLAR] = ACTIONS(992),
    [anon_sym_PLUS_EQ] = ACTIONS(833),
    [anon_sym_DASH_EQ] = ACTIONS(833),
    [anon_sym_STAR_EQ] = ACTIONS(833),
    [anon_sym_SLASH_EQ] = ACTIONS(833),
    [anon_sym_PERCENT_EQ] = ACTIONS(833),
    [anon_sym_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_EQ] = ACTIONS(833),
    [anon_sym_CARET_EQ] = ACTIONS(833),
    [anon_sym_LT_LT_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(833),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(833),
    [anon_sym_if] = ACTIONS(836),
    [anon_sym_SEMI] = ACTIONS(833),
    [anon_sym_else] = ACTIONS(836),
    [anon_sym_when] = ACTIONS(836),
    [anon_sym_in] = ACTIONS(836),
    [anon_sym_case] = ACTIONS(836),
    [anon_sym_QMARK] = ACTIONS(833),
    [anon_sym_PLUS] = ACTIONS(836),
    [anon_sym_DASH] = ACTIONS(836),
    [anon_sym_TILDE] = ACTIONS(836),
    [anon_sym_BANG] = ACTIONS(994),
    [anon_sym_AMP] = ACTIONS(836),
    [anon_sym_PIPE_PIPE] = ACTIONS(836),
    [anon_sym_or_else] = ACTIONS(836),
    [anon_sym_AMP_AMP] = ACTIONS(836),
    [anon_sym_GT] = ACTIONS(836),
    [anon_sym_GT_EQ] = ACTIONS(833),
    [anon_sym_LT_EQ] = ACTIONS(833),
    [anon_sym_LT] = ACTIONS(836),
    [anon_sym_EQ_EQ] = ACTIONS(833),
    [anon_sym_BANG_EQ] = ACTIONS(833),
    [anon_sym_TILDE_EQ] = ACTIONS(833),
    [anon_sym_PIPE] = ACTIONS(836),
    [anon_sym_AMP_TILDE] = ACTIONS(836),
    [anon_sym_LT_LT] = ACTIONS(836),
    [anon_sym_GT_GT] = ACTIONS(836),
    [anon_sym_STAR] = ACTIONS(836),
    [anon_sym_SLASH] = ACTIONS(836),
    [anon_sym_PERCENT] = ACTIONS(836),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(833),
    [anon_sym_DOT] = ACTIONS(836),
    [anon_sym_LBRACK] = ACTIONS(1073),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(833),
    [anon_sym_DOT_DOT_LT] = ACTIONS(833),
    [anon_sym_not_in] = ACTIONS(836),
    [anon_sym_DOT_DOT] = ACTIONS(999),
    [anon_sym_or_return] = ACTIONS(836),
    [anon_sym_or_continue] = ACTIONS(836),
    [anon_sym_or_break] = ACTIONS(836),
    [anon_sym_CARET] = ACTIONS(1077),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1004),
    [anon_sym_map] = ACTIONS(1006),
    [anon_sym_bit_set] = ACTIONS(1008),
    [anon_sym_matrix] = ACTIONS(1010),
    [anon_sym_distinct] = ACTIONS(1012),
    [sym_tag] = ACTIONS(1014),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(833),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [149] = {
    [sym_procedure] = STATE(2044),
    [sym_type] = STATE(2202),
    [sym_pointer_type] = STATE(2064),
    [sym_variadic_type] = STATE(2064),
    [sym_array_type] = STATE(2064),
    [sym_map_type] = STATE(2064),
    [sym_union_type] = STATE(2064),
    [sym_bit_set_type] = STATE(2064),
    [sym_matrix_type] = STATE(2064),
    [sym_field_type] = STATE(2064),
    [sym_tuple_type] = STATE(2064),
    [sym_struct_type] = STATE(2064),
    [sym_enum_type] = STATE(2064),
    [sym_constant_type] = STATE(2064),
    [sym_specialized_type] = STATE(2064),
    [sym__procedure_type] = STATE(2064),
    [sym_distinct_type] = STATE(2064),
    [sym_empty_type] = STATE(2064),
    [sym_polymorphic_type] = STATE(2064),
    [sym_conditional_type] = STATE(2064),
    [sym_identifier] = ACTIONS(979),
    [anon_sym_LBRACE] = ACTIONS(773),
    [anon_sym_RBRACE] = ACTIONS(773),
    [anon_sym_COMMA] = ACTIONS(773),
    [anon_sym_COLON_COLON] = ACTIONS(773),
    [anon_sym_proc] = ACTIONS(981),
    [anon_sym_DASH_GT] = ACTIONS(773),
    [anon_sym_struct] = ACTIONS(983),
    [anon_sym_enum] = ACTIONS(985),
    [anon_sym_EQ] = ACTIONS(778),
    [anon_sym_union] = ACTIONS(987),
    [anon_sym_COLON_EQ] = ACTIONS(773),
    [anon_sym_COLON] = ACTIONS(778),
    [anon_sym_LPAREN] = ACTIONS(1081),
    [anon_sym_DOLLAR] = ACTIONS(992),
    [anon_sym_PLUS_EQ] = ACTIONS(773),
    [anon_sym_DASH_EQ] = ACTIONS(773),
    [anon_sym_STAR_EQ] = ACTIONS(773),
    [anon_sym_SLASH_EQ] = ACTIONS(773),
    [anon_sym_PERCENT_EQ] = ACTIONS(773),
    [anon_sym_AMP_EQ] = ACTIONS(773),
    [anon_sym_PIPE_EQ] = ACTIONS(773),
    [anon_sym_CARET_EQ] = ACTIONS(773),
    [anon_sym_LT_LT_EQ] = ACTIONS(773),
    [anon_sym_GT_GT_EQ] = ACTIONS(773),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(773),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(773),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(773),
    [anon_sym_if] = ACTIONS(778),
    [anon_sym_SEMI] = ACTIONS(773),
    [anon_sym_else] = ACTIONS(778),
    [anon_sym_when] = ACTIONS(778),
    [anon_sym_in] = ACTIONS(778),
    [anon_sym_case] = ACTIONS(778),
    [anon_sym_QMARK] = ACTIONS(773),
    [anon_sym_PLUS] = ACTIONS(778),
    [anon_sym_DASH] = ACTIONS(778),
    [anon_sym_TILDE] = ACTIONS(778),
    [anon_sym_BANG] = ACTIONS(994),
    [anon_sym_AMP] = ACTIONS(778),
    [anon_sym_PIPE_PIPE] = ACTIONS(778),
    [anon_sym_or_else] = ACTIONS(778),
    [anon_sym_AMP_AMP] = ACTIONS(778),
    [anon_sym_GT] = ACTIONS(778),
    [anon_sym_GT_EQ] = ACTIONS(773),
    [anon_sym_LT_EQ] = ACTIONS(773),
    [anon_sym_LT] = ACTIONS(778),
    [anon_sym_EQ_EQ] = ACTIONS(773),
    [anon_sym_BANG_EQ] = ACTIONS(773),
    [anon_sym_TILDE_EQ] = ACTIONS(773),
    [anon_sym_PIPE] = ACTIONS(778),
    [anon_sym_AMP_TILDE] = ACTIONS(778),
    [anon_sym_LT_LT] = ACTIONS(778),
    [anon_sym_GT_GT] = ACTIONS(778),
    [anon_sym_STAR] = ACTIONS(778),
    [anon_sym_SLASH] = ACTIONS(778),
    [anon_sym_PERCENT] = ACTIONS(778),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(773),
    [anon_sym_DOT] = ACTIONS(778),
    [anon_sym_LBRACK] = ACTIONS(1085),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(773),
    [anon_sym_DOT_DOT_LT] = ACTIONS(773),
    [anon_sym_not_in] = ACTIONS(778),
    [anon_sym_DOT_DOT] = ACTIONS(999),
    [anon_sym_or_return] = ACTIONS(778),
    [anon_sym_or_continue] = ACTIONS(778),
    [anon_sym_or_break] = ACTIONS(778),
    [anon_sym_CARET] = ACTIONS(1089),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1004),
    [anon_sym_map] = ACTIONS(1006),
    [anon_sym_bit_set] = ACTIONS(1008),
    [anon_sym_matrix] = ACTIONS(1010),
    [anon_sym_distinct] = ACTIONS(1012),
    [sym_tag] = ACTIONS(1014),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(773),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [150] = {
    [sym_expression] = STATE(4066),
    [sym__expression_no_tag] = STATE(2689),
    [sym_unary_expression] = STATE(2689),
    [sym_binary_expression] = STATE(2689),
    [sym_ternary_expression] = STATE(2689),
    [sym_call_expression] = STATE(2689),
    [sym_selector_call_expression] = STATE(2689),
    [sym_member_expression] = STATE(2689),
    [sym_index_expression] = STATE(2689),
    [sym_slice_expression] = STATE(2689),
    [sym_range_expression] = STATE(2689),
    [sym_cast_expression] = STATE(2689),
    [sym_in_expression] = STATE(2689),
    [sym_variadic_expression] = STATE(2689),
    [sym_parenthesized_expression] = STATE(2689),
    [sym_or_return_expression] = STATE(2689),
    [sym_or_continue_expression] = STATE(2689),
    [sym_or_break_expression] = STATE(2689),
    [sym_address] = STATE(2689),
    [sym_map_type] = STATE(2689),
    [sym_matrix_type] = STATE(2689),
    [sym_distinct_type] = STATE(2689),
    [sym_literal] = STATE(2689),
    [sym_struct] = STATE(4105),
    [sym_map] = STATE(2871),
    [sym_bit_set] = STATE(2871),
    [sym_matrix] = STATE(2871),
    [sym_string] = STATE(2871),
    [sym__string_literal] = STATE(2874),
    [sym__raw_string_literal] = STATE(2874),
    [sym_character] = STATE(2871),
    [sym_boolean] = STATE(2871),
    [sym_field_identifier] = STATE(7825),
    [sym_identifier] = ACTIONS(493),
    [anon_sym_LBRACE] = ACTIONS(525),
    [anon_sym_COMMA] = ACTIONS(131),
    [anon_sym_DASH_GT] = ACTIONS(131),
    [anon_sym_where] = ACTIONS(133),
    [anon_sym_EQ] = ACTIONS(133),
    [anon_sym_LPAREN] = ACTIONS(1093),
    [anon_sym_RPAREN] = ACTIONS(131),
    [anon_sym_if] = ACTIONS(133),
    [anon_sym_when] = ACTIONS(133),
    [anon_sym_in] = ACTIONS(133),
    [anon_sym_QMARK] = ACTIONS(529),
    [anon_sym_PLUS] = ACTIONS(1095),
    [anon_sym_DASH] = ACTIONS(1025),
    [anon_sym_TILDE] = ACTIONS(1025),
    [anon_sym_BANG] = ACTIONS(1025),
    [anon_sym_AMP] = ACTIONS(1025),
    [anon_sym_PIPE_PIPE] = ACTIONS(131),
    [anon_sym_or_else] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(131),
    [anon_sym_GT] = ACTIONS(133),
    [anon_sym_GT_EQ] = ACTIONS(131),
    [anon_sym_LT_EQ] = ACTIONS(131),
    [anon_sym_LT] = ACTIONS(133),
    [anon_sym_EQ_EQ] = ACTIONS(131),
    [anon_sym_BANG_EQ] = ACTIONS(131),
    [anon_sym_TILDE_EQ] = ACTIONS(131),
    [anon_sym_PIPE] = ACTIONS(133),
    [anon_sym_AMP_TILDE] = ACTIONS(131),
    [anon_sym_LT_LT] = ACTIONS(131),
    [anon_sym_GT_GT] = ACTIONS(131),
    [anon_sym_STAR] = ACTIONS(131),
    [anon_sym_SLASH] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(131),
    [anon_sym_DOT] = ACTIONS(1097),
    [anon_sym_LBRACK] = ACTIONS(535),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(131),
    [anon_sym_DOT_DOT_LT] = ACTIONS(131),
    [anon_sym_cast] = ACTIONS(1027),
    [anon_sym_transmute] = ACTIONS(1027),
    [anon_sym_auto_cast] = ACTIONS(1029),
    [anon_sym_not_in] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(1031),
    [anon_sym_or_return] = ACTIONS(133),
    [anon_sym_or_continue] = ACTIONS(133),
    [anon_sym_or_break] = ACTIONS(133),
    [anon_sym_CARET] = ACTIONS(131),
    [anon_sym_map] = ACTIONS(1033),
    [anon_sym_bit_set] = ACTIONS(505),
    [anon_sym_matrix] = ACTIONS(1035),
    [anon_sym_distinct] = ACTIONS(1037),
    [sym_number] = ACTIONS(511),
    [anon_sym_DQUOTE] = ACTIONS(513),
    [anon_sym_BQUOTE] = ACTIONS(515),
    [anon_sym_SQUOTE] = ACTIONS(517),
    [anon_sym_true] = ACTIONS(519),
    [anon_sym_false] = ACTIONS(519),
    [sym_nil] = ACTIONS(521),
    [sym_uninitialized] = ACTIONS(511),
    [sym_tag] = ACTIONS(537),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(511),
    [sym_block_comment] = ACTIONS(3),
  },
  [151] = {
    [sym_expression] = STATE(3992),
    [sym__expression_no_tag] = STATE(2689),
    [sym_unary_expression] = STATE(2689),
    [sym_binary_expression] = STATE(2689),
    [sym_ternary_expression] = STATE(2689),
    [sym_call_expression] = STATE(2689),
    [sym_selector_call_expression] = STATE(2689),
    [sym_member_expression] = STATE(2689),
    [sym_index_expression] = STATE(2689),
    [sym_slice_expression] = STATE(2689),
    [sym_range_expression] = STATE(2689),
    [sym_cast_expression] = STATE(2689),
    [sym_in_expression] = STATE(2689),
    [sym_variadic_expression] = STATE(2689),
    [sym_parenthesized_expression] = STATE(2689),
    [sym_or_return_expression] = STATE(2689),
    [sym_or_continue_expression] = STATE(2689),
    [sym_or_break_expression] = STATE(2689),
    [sym_address] = STATE(2689),
    [sym_map_type] = STATE(2689),
    [sym_matrix_type] = STATE(2689),
    [sym_distinct_type] = STATE(2689),
    [sym_literal] = STATE(2689),
    [sym_struct] = STATE(4013),
    [sym_map] = STATE(2871),
    [sym_bit_set] = STATE(2871),
    [sym_matrix] = STATE(2871),
    [sym_string] = STATE(2871),
    [sym__string_literal] = STATE(2874),
    [sym__raw_string_literal] = STATE(2874),
    [sym_character] = STATE(2871),
    [sym_boolean] = STATE(2871),
    [sym_field_identifier] = STATE(7825),
    [sym_identifier] = ACTIONS(493),
    [anon_sym_LBRACE] = ACTIONS(525),
    [anon_sym_RBRACE] = ACTIONS(131),
    [anon_sym_COMMA] = ACTIONS(131),
    [anon_sym_DASH_GT] = ACTIONS(131),
    [anon_sym_where] = ACTIONS(133),
    [anon_sym_EQ] = ACTIONS(133),
    [anon_sym_LPAREN] = ACTIONS(1099),
    [anon_sym_if] = ACTIONS(133),
    [anon_sym_when] = ACTIONS(133),
    [anon_sym_in] = ACTIONS(133),
    [anon_sym_QMARK] = ACTIONS(529),
    [anon_sym_PLUS] = ACTIONS(1101),
    [anon_sym_DASH] = ACTIONS(965),
    [anon_sym_TILDE] = ACTIONS(965),
    [anon_sym_BANG] = ACTIONS(965),
    [anon_sym_AMP] = ACTIONS(965),
    [anon_sym_PIPE_PIPE] = ACTIONS(131),
    [anon_sym_or_else] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(131),
    [anon_sym_GT] = ACTIONS(133),
    [anon_sym_GT_EQ] = ACTIONS(131),
    [anon_sym_LT_EQ] = ACTIONS(131),
    [anon_sym_LT] = ACTIONS(133),
    [anon_sym_EQ_EQ] = ACTIONS(131),
    [anon_sym_BANG_EQ] = ACTIONS(131),
    [anon_sym_TILDE_EQ] = ACTIONS(131),
    [anon_sym_PIPE] = ACTIONS(133),
    [anon_sym_AMP_TILDE] = ACTIONS(131),
    [anon_sym_LT_LT] = ACTIONS(131),
    [anon_sym_GT_GT] = ACTIONS(131),
    [anon_sym_STAR] = ACTIONS(131),
    [anon_sym_SLASH] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(131),
    [anon_sym_DOT] = ACTIONS(1103),
    [anon_sym_LBRACK] = ACTIONS(535),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(131),
    [anon_sym_DOT_DOT_LT] = ACTIONS(131),
    [anon_sym_cast] = ACTIONS(967),
    [anon_sym_transmute] = ACTIONS(967),
    [anon_sym_auto_cast] = ACTIONS(969),
    [anon_sym_not_in] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(971),
    [anon_sym_or_return] = ACTIONS(133),
    [anon_sym_or_continue] = ACTIONS(133),
    [anon_sym_or_break] = ACTIONS(133),
    [anon_sym_CARET] = ACTIONS(131),
    [anon_sym_map] = ACTIONS(973),
    [anon_sym_bit_set] = ACTIONS(505),
    [anon_sym_matrix] = ACTIONS(975),
    [anon_sym_distinct] = ACTIONS(977),
    [sym_number] = ACTIONS(511),
    [anon_sym_DQUOTE] = ACTIONS(513),
    [anon_sym_BQUOTE] = ACTIONS(515),
    [anon_sym_SQUOTE] = ACTIONS(517),
    [anon_sym_true] = ACTIONS(519),
    [anon_sym_false] = ACTIONS(519),
    [sym_nil] = ACTIONS(521),
    [sym_uninitialized] = ACTIONS(511),
    [sym_tag] = ACTIONS(537),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(511),
    [sym_block_comment] = ACTIONS(3),
  },
  [152] = {
    [sym_procedure] = STATE(2175),
    [sym_type] = STATE(2215),
    [sym_pointer_type] = STATE(2177),
    [sym_variadic_type] = STATE(2177),
    [sym_array_type] = STATE(2177),
    [sym_map_type] = STATE(2177),
    [sym_union_type] = STATE(2177),
    [sym_bit_set_type] = STATE(2177),
    [sym_matrix_type] = STATE(2177),
    [sym_field_type] = STATE(2177),
    [sym_tuple_type] = STATE(2177),
    [sym_struct_type] = STATE(2177),
    [sym_enum_type] = STATE(2177),
    [sym_constant_type] = STATE(2177),
    [sym_specialized_type] = STATE(2177),
    [sym__procedure_type] = STATE(2177),
    [sym_distinct_type] = STATE(2177),
    [sym_empty_type] = STATE(2177),
    [sym_polymorphic_type] = STATE(2177),
    [sym_conditional_type] = STATE(2177),
    [sym_identifier] = ACTIONS(1105),
    [anon_sym_LBRACE] = ACTIONS(855),
    [anon_sym_COMMA] = ACTIONS(855),
    [anon_sym_COLON_COLON] = ACTIONS(855),
    [anon_sym_proc] = ACTIONS(1107),
    [anon_sym_DASH_GT] = ACTIONS(855),
    [anon_sym_where] = ACTIONS(857),
    [anon_sym_struct] = ACTIONS(1109),
    [anon_sym_enum] = ACTIONS(1111),
    [anon_sym_EQ] = ACTIONS(857),
    [anon_sym_union] = ACTIONS(1113),
    [anon_sym_COLON_EQ] = ACTIONS(855),
    [anon_sym_COLON] = ACTIONS(857),
    [anon_sym_LPAREN] = ACTIONS(1115),
    [anon_sym_DOLLAR] = ACTIONS(1118),
    [anon_sym_PLUS_EQ] = ACTIONS(855),
    [anon_sym_DASH_EQ] = ACTIONS(855),
    [anon_sym_STAR_EQ] = ACTIONS(855),
    [anon_sym_SLASH_EQ] = ACTIONS(855),
    [anon_sym_PERCENT_EQ] = ACTIONS(855),
    [anon_sym_AMP_EQ] = ACTIONS(855),
    [anon_sym_PIPE_EQ] = ACTIONS(855),
    [anon_sym_CARET_EQ] = ACTIONS(855),
    [anon_sym_LT_LT_EQ] = ACTIONS(855),
    [anon_sym_GT_GT_EQ] = ACTIONS(855),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(855),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(855),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(855),
    [anon_sym_if] = ACTIONS(857),
    [anon_sym_SEMI] = ACTIONS(855),
    [anon_sym_do] = ACTIONS(857),
    [anon_sym_when] = ACTIONS(857),
    [anon_sym_in] = ACTIONS(857),
    [anon_sym_QMARK] = ACTIONS(855),
    [anon_sym_PLUS] = ACTIONS(857),
    [anon_sym_DASH] = ACTIONS(857),
    [anon_sym_TILDE] = ACTIONS(857),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_AMP] = ACTIONS(857),
    [anon_sym_PIPE_PIPE] = ACTIONS(857),
    [anon_sym_or_else] = ACTIONS(857),
    [anon_sym_AMP_AMP] = ACTIONS(857),
    [anon_sym_GT] = ACTIONS(857),
    [anon_sym_GT_EQ] = ACTIONS(855),
    [anon_sym_LT_EQ] = ACTIONS(855),
    [anon_sym_LT] = ACTIONS(857),
    [anon_sym_EQ_EQ] = ACTIONS(855),
    [anon_sym_BANG_EQ] = ACTIONS(855),
    [anon_sym_TILDE_EQ] = ACTIONS(855),
    [anon_sym_PIPE] = ACTIONS(857),
    [anon_sym_AMP_TILDE] = ACTIONS(857),
    [anon_sym_LT_LT] = ACTIONS(857),
    [anon_sym_GT_GT] = ACTIONS(857),
    [anon_sym_STAR] = ACTIONS(857),
    [anon_sym_SLASH] = ACTIONS(857),
    [anon_sym_PERCENT] = ACTIONS(857),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(855),
    [anon_sym_DOT] = ACTIONS(857),
    [anon_sym_LBRACK] = ACTIONS(1122),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(855),
    [anon_sym_DOT_DOT_LT] = ACTIONS(855),
    [anon_sym_not_in] = ACTIONS(857),
    [anon_sym_DOT_DOT] = ACTIONS(1125),
    [anon_sym_or_return] = ACTIONS(857),
    [anon_sym_or_continue] = ACTIONS(857),
    [anon_sym_or_break] = ACTIONS(857),
    [anon_sym_CARET] = ACTIONS(1127),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1130),
    [anon_sym_map] = ACTIONS(1132),
    [anon_sym_bit_set] = ACTIONS(1134),
    [anon_sym_matrix] = ACTIONS(1136),
    [anon_sym_distinct] = ACTIONS(223),
    [sym_uninitialized] = ACTIONS(855),
    [sym_tag] = ACTIONS(1138),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [153] = {
    [sym_procedure] = STATE(2350),
    [sym_type] = STATE(2375),
    [sym_pointer_type] = STATE(2262),
    [sym_variadic_type] = STATE(2262),
    [sym_array_type] = STATE(2262),
    [sym_map_type] = STATE(2262),
    [sym_union_type] = STATE(2262),
    [sym_bit_set_type] = STATE(2262),
    [sym_matrix_type] = STATE(2262),
    [sym_field_type] = STATE(2262),
    [sym_tuple_type] = STATE(2262),
    [sym_struct_type] = STATE(2262),
    [sym_enum_type] = STATE(2262),
    [sym_constant_type] = STATE(2262),
    [sym_specialized_type] = STATE(2262),
    [sym__procedure_type] = STATE(2262),
    [sym_distinct_type] = STATE(2262),
    [sym_empty_type] = STATE(2262),
    [sym_polymorphic_type] = STATE(2262),
    [sym_conditional_type] = STATE(2262),
    [sym_identifier] = ACTIONS(1141),
    [anon_sym_RBRACE] = ACTIONS(909),
    [anon_sym_COMMA] = ACTIONS(909),
    [anon_sym_COLON_COLON] = ACTIONS(909),
    [anon_sym_proc] = ACTIONS(1143),
    [anon_sym_DASH_GT] = ACTIONS(909),
    [anon_sym_struct] = ACTIONS(1145),
    [anon_sym_enum] = ACTIONS(1147),
    [anon_sym_EQ] = ACTIONS(911),
    [anon_sym_union] = ACTIONS(1149),
    [anon_sym_COLON_EQ] = ACTIONS(909),
    [anon_sym_COLON] = ACTIONS(911),
    [anon_sym_LPAREN] = ACTIONS(1151),
    [anon_sym_DOLLAR] = ACTIONS(1154),
    [anon_sym_PLUS_EQ] = ACTIONS(909),
    [anon_sym_DASH_EQ] = ACTIONS(909),
    [anon_sym_STAR_EQ] = ACTIONS(909),
    [anon_sym_SLASH_EQ] = ACTIONS(909),
    [anon_sym_PERCENT_EQ] = ACTIONS(909),
    [anon_sym_AMP_EQ] = ACTIONS(909),
    [anon_sym_PIPE_EQ] = ACTIONS(909),
    [anon_sym_CARET_EQ] = ACTIONS(909),
    [anon_sym_LT_LT_EQ] = ACTIONS(909),
    [anon_sym_GT_GT_EQ] = ACTIONS(909),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(909),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(909),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(909),
    [anon_sym_if] = ACTIONS(911),
    [anon_sym_SEMI] = ACTIONS(909),
    [anon_sym_else] = ACTIONS(911),
    [anon_sym_when] = ACTIONS(911),
    [anon_sym_in] = ACTIONS(911),
    [anon_sym_case] = ACTIONS(911),
    [anon_sym_QMARK] = ACTIONS(909),
    [anon_sym_PLUS] = ACTIONS(911),
    [anon_sym_DASH] = ACTIONS(911),
    [anon_sym_TILDE] = ACTIONS(911),
    [anon_sym_BANG] = ACTIONS(1156),
    [anon_sym_AMP] = ACTIONS(911),
    [anon_sym_PIPE_PIPE] = ACTIONS(911),
    [anon_sym_or_else] = ACTIONS(911),
    [anon_sym_AMP_AMP] = ACTIONS(911),
    [anon_sym_GT] = ACTIONS(911),
    [anon_sym_GT_EQ] = ACTIONS(909),
    [anon_sym_LT_EQ] = ACTIONS(909),
    [anon_sym_LT] = ACTIONS(911),
    [anon_sym_EQ_EQ] = ACTIONS(909),
    [anon_sym_BANG_EQ] = ACTIONS(909),
    [anon_sym_TILDE_EQ] = ACTIONS(909),
    [anon_sym_PIPE] = ACTIONS(911),
    [anon_sym_AMP_TILDE] = ACTIONS(911),
    [anon_sym_LT_LT] = ACTIONS(911),
    [anon_sym_GT_GT] = ACTIONS(911),
    [anon_sym_STAR] = ACTIONS(911),
    [anon_sym_SLASH] = ACTIONS(911),
    [anon_sym_PERCENT] = ACTIONS(911),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(909),
    [anon_sym_DOT] = ACTIONS(911),
    [anon_sym_LBRACK] = ACTIONS(1158),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(909),
    [anon_sym_DOT_DOT_LT] = ACTIONS(909),
    [anon_sym_not_in] = ACTIONS(911),
    [anon_sym_DOT_DOT] = ACTIONS(1161),
    [anon_sym_or_return] = ACTIONS(911),
    [anon_sym_or_continue] = ACTIONS(911),
    [anon_sym_or_break] = ACTIONS(911),
    [anon_sym_CARET] = ACTIONS(1163),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1166),
    [anon_sym_map] = ACTIONS(1168),
    [anon_sym_bit_set] = ACTIONS(1170),
    [anon_sym_matrix] = ACTIONS(1172),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_tag] = ACTIONS(1174),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(909),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [154] = {
    [sym_procedure] = STATE(2175),
    [sym_type] = STATE(2212),
    [sym_pointer_type] = STATE(2177),
    [sym_variadic_type] = STATE(2177),
    [sym_array_type] = STATE(2177),
    [sym_map_type] = STATE(2177),
    [sym_union_type] = STATE(2177),
    [sym_bit_set_type] = STATE(2177),
    [sym_matrix_type] = STATE(2177),
    [sym_field_type] = STATE(2177),
    [sym_tuple_type] = STATE(2177),
    [sym_struct_type] = STATE(2177),
    [sym_enum_type] = STATE(2177),
    [sym_constant_type] = STATE(2177),
    [sym_specialized_type] = STATE(2177),
    [sym__procedure_type] = STATE(2177),
    [sym_distinct_type] = STATE(2177),
    [sym_empty_type] = STATE(2177),
    [sym_polymorphic_type] = STATE(2177),
    [sym_conditional_type] = STATE(2177),
    [sym_identifier] = ACTIONS(1105),
    [anon_sym_LBRACE] = ACTIONS(871),
    [anon_sym_COMMA] = ACTIONS(871),
    [anon_sym_COLON_COLON] = ACTIONS(871),
    [anon_sym_proc] = ACTIONS(1107),
    [anon_sym_DASH_GT] = ACTIONS(871),
    [anon_sym_where] = ACTIONS(874),
    [anon_sym_struct] = ACTIONS(1109),
    [anon_sym_enum] = ACTIONS(1111),
    [anon_sym_EQ] = ACTIONS(874),
    [anon_sym_union] = ACTIONS(1113),
    [anon_sym_COLON_EQ] = ACTIONS(871),
    [anon_sym_COLON] = ACTIONS(874),
    [anon_sym_LPAREN] = ACTIONS(1176),
    [anon_sym_DOLLAR] = ACTIONS(1118),
    [anon_sym_PLUS_EQ] = ACTIONS(871),
    [anon_sym_DASH_EQ] = ACTIONS(871),
    [anon_sym_STAR_EQ] = ACTIONS(871),
    [anon_sym_SLASH_EQ] = ACTIONS(871),
    [anon_sym_PERCENT_EQ] = ACTIONS(871),
    [anon_sym_AMP_EQ] = ACTIONS(871),
    [anon_sym_PIPE_EQ] = ACTIONS(871),
    [anon_sym_CARET_EQ] = ACTIONS(871),
    [anon_sym_LT_LT_EQ] = ACTIONS(871),
    [anon_sym_GT_GT_EQ] = ACTIONS(871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(871),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(871),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(871),
    [anon_sym_if] = ACTIONS(874),
    [anon_sym_SEMI] = ACTIONS(871),
    [anon_sym_do] = ACTIONS(874),
    [anon_sym_when] = ACTIONS(874),
    [anon_sym_in] = ACTIONS(874),
    [anon_sym_QMARK] = ACTIONS(871),
    [anon_sym_PLUS] = ACTIONS(874),
    [anon_sym_DASH] = ACTIONS(874),
    [anon_sym_TILDE] = ACTIONS(874),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_AMP] = ACTIONS(874),
    [anon_sym_PIPE_PIPE] = ACTIONS(874),
    [anon_sym_or_else] = ACTIONS(874),
    [anon_sym_AMP_AMP] = ACTIONS(874),
    [anon_sym_GT] = ACTIONS(874),
    [anon_sym_GT_EQ] = ACTIONS(871),
    [anon_sym_LT_EQ] = ACTIONS(871),
    [anon_sym_LT] = ACTIONS(874),
    [anon_sym_EQ_EQ] = ACTIONS(871),
    [anon_sym_BANG_EQ] = ACTIONS(871),
    [anon_sym_TILDE_EQ] = ACTIONS(871),
    [anon_sym_PIPE] = ACTIONS(874),
    [anon_sym_AMP_TILDE] = ACTIONS(874),
    [anon_sym_LT_LT] = ACTIONS(874),
    [anon_sym_GT_GT] = ACTIONS(874),
    [anon_sym_STAR] = ACTIONS(874),
    [anon_sym_SLASH] = ACTIONS(874),
    [anon_sym_PERCENT] = ACTIONS(874),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(871),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_LBRACK] = ACTIONS(1180),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(871),
    [anon_sym_DOT_DOT_LT] = ACTIONS(871),
    [anon_sym_not_in] = ACTIONS(874),
    [anon_sym_DOT_DOT] = ACTIONS(1125),
    [anon_sym_or_return] = ACTIONS(874),
    [anon_sym_or_continue] = ACTIONS(874),
    [anon_sym_or_break] = ACTIONS(874),
    [anon_sym_CARET] = ACTIONS(1184),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1130),
    [anon_sym_map] = ACTIONS(1132),
    [anon_sym_bit_set] = ACTIONS(1134),
    [anon_sym_matrix] = ACTIONS(1136),
    [anon_sym_distinct] = ACTIONS(223),
    [sym_uninitialized] = ACTIONS(871),
    [sym_tag] = ACTIONS(1188),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [155] = {
    [sym_procedure] = STATE(2175),
    [sym_type] = STATE(2213),
    [sym_pointer_type] = STATE(2177),
    [sym_variadic_type] = STATE(2177),
    [sym_array_type] = STATE(2177),
    [sym_map_type] = STATE(2177),
    [sym_union_type] = STATE(2177),
    [sym_bit_set_type] = STATE(2177),
    [sym_matrix_type] = STATE(2177),
    [sym_field_type] = STATE(2177),
    [sym_tuple_type] = STATE(2177),
    [sym_struct_type] = STATE(2177),
    [sym_enum_type] = STATE(2177),
    [sym_constant_type] = STATE(2177),
    [sym_specialized_type] = STATE(2177),
    [sym__procedure_type] = STATE(2177),
    [sym_distinct_type] = STATE(2177),
    [sym_empty_type] = STATE(2177),
    [sym_polymorphic_type] = STATE(2177),
    [sym_conditional_type] = STATE(2177),
    [sym_identifier] = ACTIONS(1105),
    [anon_sym_LBRACE] = ACTIONS(833),
    [anon_sym_COMMA] = ACTIONS(833),
    [anon_sym_COLON_COLON] = ACTIONS(833),
    [anon_sym_proc] = ACTIONS(1107),
    [anon_sym_DASH_GT] = ACTIONS(833),
    [anon_sym_where] = ACTIONS(836),
    [anon_sym_struct] = ACTIONS(1109),
    [anon_sym_enum] = ACTIONS(1111),
    [anon_sym_EQ] = ACTIONS(836),
    [anon_sym_union] = ACTIONS(1113),
    [anon_sym_COLON_EQ] = ACTIONS(833),
    [anon_sym_COLON] = ACTIONS(836),
    [anon_sym_LPAREN] = ACTIONS(1192),
    [anon_sym_DOLLAR] = ACTIONS(1118),
    [anon_sym_PLUS_EQ] = ACTIONS(833),
    [anon_sym_DASH_EQ] = ACTIONS(833),
    [anon_sym_STAR_EQ] = ACTIONS(833),
    [anon_sym_SLASH_EQ] = ACTIONS(833),
    [anon_sym_PERCENT_EQ] = ACTIONS(833),
    [anon_sym_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_EQ] = ACTIONS(833),
    [anon_sym_CARET_EQ] = ACTIONS(833),
    [anon_sym_LT_LT_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(833),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(833),
    [anon_sym_if] = ACTIONS(836),
    [anon_sym_SEMI] = ACTIONS(833),
    [anon_sym_do] = ACTIONS(836),
    [anon_sym_when] = ACTIONS(836),
    [anon_sym_in] = ACTIONS(836),
    [anon_sym_QMARK] = ACTIONS(833),
    [anon_sym_PLUS] = ACTIONS(836),
    [anon_sym_DASH] = ACTIONS(836),
    [anon_sym_TILDE] = ACTIONS(836),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_AMP] = ACTIONS(836),
    [anon_sym_PIPE_PIPE] = ACTIONS(836),
    [anon_sym_or_else] = ACTIONS(836),
    [anon_sym_AMP_AMP] = ACTIONS(836),
    [anon_sym_GT] = ACTIONS(836),
    [anon_sym_GT_EQ] = ACTIONS(833),
    [anon_sym_LT_EQ] = ACTIONS(833),
    [anon_sym_LT] = ACTIONS(836),
    [anon_sym_EQ_EQ] = ACTIONS(833),
    [anon_sym_BANG_EQ] = ACTIONS(833),
    [anon_sym_TILDE_EQ] = ACTIONS(833),
    [anon_sym_PIPE] = ACTIONS(836),
    [anon_sym_AMP_TILDE] = ACTIONS(836),
    [anon_sym_LT_LT] = ACTIONS(836),
    [anon_sym_GT_GT] = ACTIONS(836),
    [anon_sym_STAR] = ACTIONS(836),
    [anon_sym_SLASH] = ACTIONS(836),
    [anon_sym_PERCENT] = ACTIONS(836),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(833),
    [anon_sym_DOT] = ACTIONS(836),
    [anon_sym_LBRACK] = ACTIONS(1196),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(833),
    [anon_sym_DOT_DOT_LT] = ACTIONS(833),
    [anon_sym_not_in] = ACTIONS(836),
    [anon_sym_DOT_DOT] = ACTIONS(1125),
    [anon_sym_or_return] = ACTIONS(836),
    [anon_sym_or_continue] = ACTIONS(836),
    [anon_sym_or_break] = ACTIONS(836),
    [anon_sym_CARET] = ACTIONS(1200),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1130),
    [anon_sym_map] = ACTIONS(1132),
    [anon_sym_bit_set] = ACTIONS(1134),
    [anon_sym_matrix] = ACTIONS(1136),
    [anon_sym_distinct] = ACTIONS(223),
    [sym_uninitialized] = ACTIONS(833),
    [sym_tag] = ACTIONS(1204),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [156] = {
    [sym_procedure] = STATE(2175),
    [sym_type] = STATE(2211),
    [sym_pointer_type] = STATE(2177),
    [sym_variadic_type] = STATE(2177),
    [sym_array_type] = STATE(2177),
    [sym_map_type] = STATE(2177),
    [sym_union_type] = STATE(2177),
    [sym_bit_set_type] = STATE(2177),
    [sym_matrix_type] = STATE(2177),
    [sym_field_type] = STATE(2177),
    [sym_tuple_type] = STATE(2177),
    [sym_struct_type] = STATE(2177),
    [sym_enum_type] = STATE(2177),
    [sym_constant_type] = STATE(2177),
    [sym_specialized_type] = STATE(2177),
    [sym__procedure_type] = STATE(2177),
    [sym_distinct_type] = STATE(2177),
    [sym_empty_type] = STATE(2177),
    [sym_polymorphic_type] = STATE(2177),
    [sym_conditional_type] = STATE(2177),
    [sym_identifier] = ACTIONS(1105),
    [anon_sym_LBRACE] = ACTIONS(817),
    [anon_sym_COMMA] = ACTIONS(817),
    [anon_sym_COLON_COLON] = ACTIONS(817),
    [anon_sym_proc] = ACTIONS(1107),
    [anon_sym_DASH_GT] = ACTIONS(817),
    [anon_sym_where] = ACTIONS(819),
    [anon_sym_struct] = ACTIONS(1109),
    [anon_sym_enum] = ACTIONS(1111),
    [anon_sym_EQ] = ACTIONS(819),
    [anon_sym_union] = ACTIONS(1113),
    [anon_sym_COLON_EQ] = ACTIONS(817),
    [anon_sym_COLON] = ACTIONS(819),
    [anon_sym_LPAREN] = ACTIONS(1208),
    [anon_sym_DOLLAR] = ACTIONS(1118),
    [anon_sym_PLUS_EQ] = ACTIONS(817),
    [anon_sym_DASH_EQ] = ACTIONS(817),
    [anon_sym_STAR_EQ] = ACTIONS(817),
    [anon_sym_SLASH_EQ] = ACTIONS(817),
    [anon_sym_PERCENT_EQ] = ACTIONS(817),
    [anon_sym_AMP_EQ] = ACTIONS(817),
    [anon_sym_PIPE_EQ] = ACTIONS(817),
    [anon_sym_CARET_EQ] = ACTIONS(817),
    [anon_sym_LT_LT_EQ] = ACTIONS(817),
    [anon_sym_GT_GT_EQ] = ACTIONS(817),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(817),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(817),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(817),
    [anon_sym_if] = ACTIONS(819),
    [anon_sym_SEMI] = ACTIONS(817),
    [anon_sym_do] = ACTIONS(819),
    [anon_sym_when] = ACTIONS(819),
    [anon_sym_in] = ACTIONS(819),
    [anon_sym_QMARK] = ACTIONS(817),
    [anon_sym_PLUS] = ACTIONS(819),
    [anon_sym_DASH] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(819),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_AMP] = ACTIONS(819),
    [anon_sym_PIPE_PIPE] = ACTIONS(819),
    [anon_sym_or_else] = ACTIONS(819),
    [anon_sym_AMP_AMP] = ACTIONS(819),
    [anon_sym_GT] = ACTIONS(819),
    [anon_sym_GT_EQ] = ACTIONS(817),
    [anon_sym_LT_EQ] = ACTIONS(817),
    [anon_sym_LT] = ACTIONS(819),
    [anon_sym_EQ_EQ] = ACTIONS(817),
    [anon_sym_BANG_EQ] = ACTIONS(817),
    [anon_sym_TILDE_EQ] = ACTIONS(817),
    [anon_sym_PIPE] = ACTIONS(819),
    [anon_sym_AMP_TILDE] = ACTIONS(819),
    [anon_sym_LT_LT] = ACTIONS(819),
    [anon_sym_GT_GT] = ACTIONS(819),
    [anon_sym_STAR] = ACTIONS(819),
    [anon_sym_SLASH] = ACTIONS(819),
    [anon_sym_PERCENT] = ACTIONS(819),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(817),
    [anon_sym_DOT] = ACTIONS(819),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(817),
    [anon_sym_DOT_DOT_LT] = ACTIONS(817),
    [anon_sym_not_in] = ACTIONS(819),
    [anon_sym_DOT_DOT] = ACTIONS(1125),
    [anon_sym_or_return] = ACTIONS(819),
    [anon_sym_or_continue] = ACTIONS(819),
    [anon_sym_or_break] = ACTIONS(819),
    [anon_sym_CARET] = ACTIONS(1214),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1130),
    [anon_sym_map] = ACTIONS(1132),
    [anon_sym_bit_set] = ACTIONS(1134),
    [anon_sym_matrix] = ACTIONS(1136),
    [anon_sym_distinct] = ACTIONS(223),
    [sym_uninitialized] = ACTIONS(817),
    [sym_tag] = ACTIONS(1217),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [157] = {
    [sym_procedure] = STATE(2175),
    [sym_type] = STATE(2218),
    [sym_pointer_type] = STATE(2177),
    [sym_variadic_type] = STATE(2177),
    [sym_array_type] = STATE(2177),
    [sym_map_type] = STATE(2177),
    [sym_union_type] = STATE(2177),
    [sym_bit_set_type] = STATE(2177),
    [sym_matrix_type] = STATE(2177),
    [sym_field_type] = STATE(2177),
    [sym_tuple_type] = STATE(2177),
    [sym_struct_type] = STATE(2177),
    [sym_enum_type] = STATE(2177),
    [sym_constant_type] = STATE(2177),
    [sym_specialized_type] = STATE(2177),
    [sym__procedure_type] = STATE(2177),
    [sym_distinct_type] = STATE(2177),
    [sym_empty_type] = STATE(2177),
    [sym_polymorphic_type] = STATE(2177),
    [sym_conditional_type] = STATE(2177),
    [sym_identifier] = ACTIONS(1105),
    [anon_sym_LBRACE] = ACTIONS(773),
    [anon_sym_COMMA] = ACTIONS(773),
    [anon_sym_COLON_COLON] = ACTIONS(773),
    [anon_sym_proc] = ACTIONS(1107),
    [anon_sym_DASH_GT] = ACTIONS(773),
    [anon_sym_where] = ACTIONS(778),
    [anon_sym_struct] = ACTIONS(1109),
    [anon_sym_enum] = ACTIONS(1111),
    [anon_sym_EQ] = ACTIONS(778),
    [anon_sym_union] = ACTIONS(1113),
    [anon_sym_COLON_EQ] = ACTIONS(773),
    [anon_sym_COLON] = ACTIONS(778),
    [anon_sym_LPAREN] = ACTIONS(1220),
    [anon_sym_DOLLAR] = ACTIONS(1118),
    [anon_sym_PLUS_EQ] = ACTIONS(773),
    [anon_sym_DASH_EQ] = ACTIONS(773),
    [anon_sym_STAR_EQ] = ACTIONS(773),
    [anon_sym_SLASH_EQ] = ACTIONS(773),
    [anon_sym_PERCENT_EQ] = ACTIONS(773),
    [anon_sym_AMP_EQ] = ACTIONS(773),
    [anon_sym_PIPE_EQ] = ACTIONS(773),
    [anon_sym_CARET_EQ] = ACTIONS(773),
    [anon_sym_LT_LT_EQ] = ACTIONS(773),
    [anon_sym_GT_GT_EQ] = ACTIONS(773),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(773),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(773),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(773),
    [anon_sym_if] = ACTIONS(778),
    [anon_sym_SEMI] = ACTIONS(773),
    [anon_sym_do] = ACTIONS(778),
    [anon_sym_when] = ACTIONS(778),
    [anon_sym_in] = ACTIONS(778),
    [anon_sym_QMARK] = ACTIONS(773),
    [anon_sym_PLUS] = ACTIONS(778),
    [anon_sym_DASH] = ACTIONS(778),
    [anon_sym_TILDE] = ACTIONS(778),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_AMP] = ACTIONS(778),
    [anon_sym_PIPE_PIPE] = ACTIONS(778),
    [anon_sym_or_else] = ACTIONS(778),
    [anon_sym_AMP_AMP] = ACTIONS(778),
    [anon_sym_GT] = ACTIONS(778),
    [anon_sym_GT_EQ] = ACTIONS(773),
    [anon_sym_LT_EQ] = ACTIONS(773),
    [anon_sym_LT] = ACTIONS(778),
    [anon_sym_EQ_EQ] = ACTIONS(773),
    [anon_sym_BANG_EQ] = ACTIONS(773),
    [anon_sym_TILDE_EQ] = ACTIONS(773),
    [anon_sym_PIPE] = ACTIONS(778),
    [anon_sym_AMP_TILDE] = ACTIONS(778),
    [anon_sym_LT_LT] = ACTIONS(778),
    [anon_sym_GT_GT] = ACTIONS(778),
    [anon_sym_STAR] = ACTIONS(778),
    [anon_sym_SLASH] = ACTIONS(778),
    [anon_sym_PERCENT] = ACTIONS(778),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(773),
    [anon_sym_DOT] = ACTIONS(778),
    [anon_sym_LBRACK] = ACTIONS(1224),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(773),
    [anon_sym_DOT_DOT_LT] = ACTIONS(773),
    [anon_sym_not_in] = ACTIONS(778),
    [anon_sym_DOT_DOT] = ACTIONS(1125),
    [anon_sym_or_return] = ACTIONS(778),
    [anon_sym_or_continue] = ACTIONS(778),
    [anon_sym_or_break] = ACTIONS(778),
    [anon_sym_CARET] = ACTIONS(1228),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1130),
    [anon_sym_map] = ACTIONS(1132),
    [anon_sym_bit_set] = ACTIONS(1134),
    [anon_sym_matrix] = ACTIONS(1136),
    [anon_sym_distinct] = ACTIONS(223),
    [sym_uninitialized] = ACTIONS(773),
    [sym_tag] = ACTIONS(1232),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [158] = {
    [sym_expression] = STATE(5144),
    [sym__expression_no_tag] = STATE(4385),
    [sym_unary_expression] = STATE(4385),
    [sym_binary_expression] = STATE(4385),
    [sym_ternary_expression] = STATE(4385),
    [sym_call_expression] = STATE(4385),
    [sym_selector_call_expression] = STATE(4385),
    [sym_member_expression] = STATE(4385),
    [sym_index_expression] = STATE(4385),
    [sym_slice_expression] = STATE(4385),
    [sym_range_expression] = STATE(4385),
    [sym_cast_expression] = STATE(4385),
    [sym_in_expression] = STATE(4385),
    [sym_variadic_expression] = STATE(4385),
    [sym_parenthesized_expression] = STATE(4385),
    [sym_or_return_expression] = STATE(4385),
    [sym_or_continue_expression] = STATE(4385),
    [sym_or_break_expression] = STATE(4385),
    [sym_address] = STATE(4385),
    [sym_map_type] = STATE(4385),
    [sym_matrix_type] = STATE(4385),
    [sym_distinct_type] = STATE(4385),
    [sym_literal] = STATE(4385),
    [sym_struct] = STATE(4394),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(1236),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_COMMA] = ACTIONS(67),
    [anon_sym_COLON_COLON] = ACTIONS(67),
    [anon_sym_DASH_GT] = ACTIONS(67),
    [anon_sym_EQ] = ACTIONS(71),
    [anon_sym_COLON_EQ] = ACTIONS(67),
    [anon_sym_COLON] = ACTIONS(71),
    [anon_sym_LPAREN] = ACTIONS(1238),
    [anon_sym_in] = ACTIONS(71),
    [anon_sym_QMARK] = ACTIONS(1240),
    [anon_sym_PLUS] = ACTIONS(929),
    [anon_sym_DASH] = ACTIONS(931),
    [anon_sym_TILDE] = ACTIONS(931),
    [anon_sym_BANG] = ACTIONS(931),
    [anon_sym_AMP] = ACTIONS(931),
    [anon_sym_PIPE_PIPE] = ACTIONS(67),
    [anon_sym_or_else] = ACTIONS(71),
    [anon_sym_AMP_AMP] = ACTIONS(67),
    [anon_sym_GT] = ACTIONS(71),
    [anon_sym_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_EQ] = ACTIONS(67),
    [anon_sym_LT] = ACTIONS(71),
    [anon_sym_EQ_EQ] = ACTIONS(67),
    [anon_sym_BANG_EQ] = ACTIONS(67),
    [anon_sym_TILDE_EQ] = ACTIONS(67),
    [anon_sym_PIPE] = ACTIONS(71),
    [anon_sym_AMP_TILDE] = ACTIONS(67),
    [anon_sym_LT_LT] = ACTIONS(67),
    [anon_sym_GT_GT] = ACTIONS(67),
    [anon_sym_STAR] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(71),
    [anon_sym_PERCENT] = ACTIONS(71),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(67),
    [anon_sym_DOT] = ACTIONS(933),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(67),
    [anon_sym_DOT_DOT_LT] = ACTIONS(67),
    [anon_sym_cast] = ACTIONS(935),
    [anon_sym_transmute] = ACTIONS(935),
    [anon_sym_auto_cast] = ACTIONS(937),
    [anon_sym_not_in] = ACTIONS(71),
    [anon_sym_DOT_DOT] = ACTIONS(939),
    [anon_sym_or_return] = ACTIONS(71),
    [anon_sym_or_continue] = ACTIONS(71),
    [anon_sym_or_break] = ACTIONS(71),
    [anon_sym_CARET] = ACTIONS(67),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(941),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [159] = {
    [sym_procedure] = STATE(2175),
    [sym_type] = STATE(2216),
    [sym_pointer_type] = STATE(2177),
    [sym_variadic_type] = STATE(2177),
    [sym_array_type] = STATE(2177),
    [sym_map_type] = STATE(2177),
    [sym_union_type] = STATE(2177),
    [sym_bit_set_type] = STATE(2177),
    [sym_matrix_type] = STATE(2177),
    [sym_field_type] = STATE(2177),
    [sym_tuple_type] = STATE(2177),
    [sym_struct_type] = STATE(2177),
    [sym_enum_type] = STATE(2177),
    [sym_constant_type] = STATE(2177),
    [sym_specialized_type] = STATE(2177),
    [sym__procedure_type] = STATE(2177),
    [sym_distinct_type] = STATE(2177),
    [sym_empty_type] = STATE(2177),
    [sym_polymorphic_type] = STATE(2177),
    [sym_conditional_type] = STATE(2177),
    [sym_identifier] = ACTIONS(1105),
    [anon_sym_LBRACE] = ACTIONS(893),
    [anon_sym_COMMA] = ACTIONS(893),
    [anon_sym_COLON_COLON] = ACTIONS(893),
    [anon_sym_proc] = ACTIONS(1107),
    [anon_sym_DASH_GT] = ACTIONS(893),
    [anon_sym_where] = ACTIONS(895),
    [anon_sym_struct] = ACTIONS(1109),
    [anon_sym_enum] = ACTIONS(1111),
    [anon_sym_EQ] = ACTIONS(895),
    [anon_sym_union] = ACTIONS(1113),
    [anon_sym_COLON_EQ] = ACTIONS(893),
    [anon_sym_COLON] = ACTIONS(895),
    [anon_sym_LPAREN] = ACTIONS(1242),
    [anon_sym_DOLLAR] = ACTIONS(1118),
    [anon_sym_PLUS_EQ] = ACTIONS(893),
    [anon_sym_DASH_EQ] = ACTIONS(893),
    [anon_sym_STAR_EQ] = ACTIONS(893),
    [anon_sym_SLASH_EQ] = ACTIONS(893),
    [anon_sym_PERCENT_EQ] = ACTIONS(893),
    [anon_sym_AMP_EQ] = ACTIONS(893),
    [anon_sym_PIPE_EQ] = ACTIONS(893),
    [anon_sym_CARET_EQ] = ACTIONS(893),
    [anon_sym_LT_LT_EQ] = ACTIONS(893),
    [anon_sym_GT_GT_EQ] = ACTIONS(893),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(893),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(893),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(893),
    [anon_sym_if] = ACTIONS(895),
    [anon_sym_SEMI] = ACTIONS(893),
    [anon_sym_do] = ACTIONS(895),
    [anon_sym_when] = ACTIONS(895),
    [anon_sym_in] = ACTIONS(895),
    [anon_sym_QMARK] = ACTIONS(893),
    [anon_sym_PLUS] = ACTIONS(895),
    [anon_sym_DASH] = ACTIONS(895),
    [anon_sym_TILDE] = ACTIONS(895),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_AMP] = ACTIONS(895),
    [anon_sym_PIPE_PIPE] = ACTIONS(895),
    [anon_sym_or_else] = ACTIONS(895),
    [anon_sym_AMP_AMP] = ACTIONS(895),
    [anon_sym_GT] = ACTIONS(895),
    [anon_sym_GT_EQ] = ACTIONS(893),
    [anon_sym_LT_EQ] = ACTIONS(893),
    [anon_sym_LT] = ACTIONS(895),
    [anon_sym_EQ_EQ] = ACTIONS(893),
    [anon_sym_BANG_EQ] = ACTIONS(893),
    [anon_sym_TILDE_EQ] = ACTIONS(893),
    [anon_sym_PIPE] = ACTIONS(895),
    [anon_sym_AMP_TILDE] = ACTIONS(895),
    [anon_sym_LT_LT] = ACTIONS(895),
    [anon_sym_GT_GT] = ACTIONS(895),
    [anon_sym_STAR] = ACTIONS(895),
    [anon_sym_SLASH] = ACTIONS(895),
    [anon_sym_PERCENT] = ACTIONS(895),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(893),
    [anon_sym_DOT] = ACTIONS(895),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(893),
    [anon_sym_DOT_DOT_LT] = ACTIONS(893),
    [anon_sym_not_in] = ACTIONS(895),
    [anon_sym_DOT_DOT] = ACTIONS(1125),
    [anon_sym_or_return] = ACTIONS(895),
    [anon_sym_or_continue] = ACTIONS(895),
    [anon_sym_or_break] = ACTIONS(895),
    [anon_sym_CARET] = ACTIONS(1248),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1130),
    [anon_sym_map] = ACTIONS(1132),
    [anon_sym_bit_set] = ACTIONS(1134),
    [anon_sym_matrix] = ACTIONS(1136),
    [anon_sym_distinct] = ACTIONS(223),
    [sym_uninitialized] = ACTIONS(893),
    [sym_tag] = ACTIONS(1251),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [160] = {
    [sym_procedure] = STATE(2175),
    [sym_type] = STATE(2217),
    [sym_pointer_type] = STATE(2177),
    [sym_variadic_type] = STATE(2177),
    [sym_array_type] = STATE(2177),
    [sym_map_type] = STATE(2177),
    [sym_union_type] = STATE(2177),
    [sym_bit_set_type] = STATE(2177),
    [sym_matrix_type] = STATE(2177),
    [sym_field_type] = STATE(2177),
    [sym_tuple_type] = STATE(2177),
    [sym_struct_type] = STATE(2177),
    [sym_enum_type] = STATE(2177),
    [sym_constant_type] = STATE(2177),
    [sym_specialized_type] = STATE(2177),
    [sym__procedure_type] = STATE(2177),
    [sym_distinct_type] = STATE(2177),
    [sym_empty_type] = STATE(2177),
    [sym_polymorphic_type] = STATE(2177),
    [sym_conditional_type] = STATE(2177),
    [sym_identifier] = ACTIONS(1105),
    [anon_sym_LBRACE] = ACTIONS(909),
    [anon_sym_COMMA] = ACTIONS(909),
    [anon_sym_COLON_COLON] = ACTIONS(909),
    [anon_sym_proc] = ACTIONS(1107),
    [anon_sym_DASH_GT] = ACTIONS(909),
    [anon_sym_where] = ACTIONS(911),
    [anon_sym_struct] = ACTIONS(1109),
    [anon_sym_enum] = ACTIONS(1111),
    [anon_sym_EQ] = ACTIONS(911),
    [anon_sym_union] = ACTIONS(1113),
    [anon_sym_COLON_EQ] = ACTIONS(909),
    [anon_sym_COLON] = ACTIONS(911),
    [anon_sym_LPAREN] = ACTIONS(1254),
    [anon_sym_DOLLAR] = ACTIONS(1118),
    [anon_sym_PLUS_EQ] = ACTIONS(909),
    [anon_sym_DASH_EQ] = ACTIONS(909),
    [anon_sym_STAR_EQ] = ACTIONS(909),
    [anon_sym_SLASH_EQ] = ACTIONS(909),
    [anon_sym_PERCENT_EQ] = ACTIONS(909),
    [anon_sym_AMP_EQ] = ACTIONS(909),
    [anon_sym_PIPE_EQ] = ACTIONS(909),
    [anon_sym_CARET_EQ] = ACTIONS(909),
    [anon_sym_LT_LT_EQ] = ACTIONS(909),
    [anon_sym_GT_GT_EQ] = ACTIONS(909),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(909),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(909),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(909),
    [anon_sym_if] = ACTIONS(911),
    [anon_sym_SEMI] = ACTIONS(909),
    [anon_sym_do] = ACTIONS(911),
    [anon_sym_when] = ACTIONS(911),
    [anon_sym_in] = ACTIONS(911),
    [anon_sym_QMARK] = ACTIONS(909),
    [anon_sym_PLUS] = ACTIONS(911),
    [anon_sym_DASH] = ACTIONS(911),
    [anon_sym_TILDE] = ACTIONS(911),
    [anon_sym_BANG] = ACTIONS(1120),
    [anon_sym_AMP] = ACTIONS(911),
    [anon_sym_PIPE_PIPE] = ACTIONS(911),
    [anon_sym_or_else] = ACTIONS(911),
    [anon_sym_AMP_AMP] = ACTIONS(911),
    [anon_sym_GT] = ACTIONS(911),
    [anon_sym_GT_EQ] = ACTIONS(909),
    [anon_sym_LT_EQ] = ACTIONS(909),
    [anon_sym_LT] = ACTIONS(911),
    [anon_sym_EQ_EQ] = ACTIONS(909),
    [anon_sym_BANG_EQ] = ACTIONS(909),
    [anon_sym_TILDE_EQ] = ACTIONS(909),
    [anon_sym_PIPE] = ACTIONS(911),
    [anon_sym_AMP_TILDE] = ACTIONS(911),
    [anon_sym_LT_LT] = ACTIONS(911),
    [anon_sym_GT_GT] = ACTIONS(911),
    [anon_sym_STAR] = ACTIONS(911),
    [anon_sym_SLASH] = ACTIONS(911),
    [anon_sym_PERCENT] = ACTIONS(911),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(909),
    [anon_sym_DOT] = ACTIONS(911),
    [anon_sym_LBRACK] = ACTIONS(1257),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(909),
    [anon_sym_DOT_DOT_LT] = ACTIONS(909),
    [anon_sym_not_in] = ACTIONS(911),
    [anon_sym_DOT_DOT] = ACTIONS(1125),
    [anon_sym_or_return] = ACTIONS(911),
    [anon_sym_or_continue] = ACTIONS(911),
    [anon_sym_or_break] = ACTIONS(911),
    [anon_sym_CARET] = ACTIONS(1260),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1130),
    [anon_sym_map] = ACTIONS(1132),
    [anon_sym_bit_set] = ACTIONS(1134),
    [anon_sym_matrix] = ACTIONS(1136),
    [anon_sym_distinct] = ACTIONS(223),
    [sym_uninitialized] = ACTIONS(909),
    [sym_tag] = ACTIONS(1263),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [161] = {
    [sym_procedure] = STATE(2350),
    [sym_type] = STATE(2310),
    [sym_pointer_type] = STATE(2262),
    [sym_variadic_type] = STATE(2262),
    [sym_array_type] = STATE(2262),
    [sym_map_type] = STATE(2262),
    [sym_union_type] = STATE(2262),
    [sym_bit_set_type] = STATE(2262),
    [sym_matrix_type] = STATE(2262),
    [sym_field_type] = STATE(2262),
    [sym_tuple_type] = STATE(2262),
    [sym_struct_type] = STATE(2262),
    [sym_enum_type] = STATE(2262),
    [sym_constant_type] = STATE(2262),
    [sym_specialized_type] = STATE(2262),
    [sym__procedure_type] = STATE(2262),
    [sym_distinct_type] = STATE(2262),
    [sym_empty_type] = STATE(2262),
    [sym_polymorphic_type] = STATE(2262),
    [sym_conditional_type] = STATE(2262),
    [sym_identifier] = ACTIONS(1141),
    [anon_sym_RBRACE] = ACTIONS(833),
    [anon_sym_COMMA] = ACTIONS(833),
    [anon_sym_COLON_COLON] = ACTIONS(833),
    [anon_sym_proc] = ACTIONS(1143),
    [anon_sym_DASH_GT] = ACTIONS(833),
    [anon_sym_struct] = ACTIONS(1145),
    [anon_sym_enum] = ACTIONS(1147),
    [anon_sym_EQ] = ACTIONS(836),
    [anon_sym_union] = ACTIONS(1149),
    [anon_sym_COLON_EQ] = ACTIONS(833),
    [anon_sym_COLON] = ACTIONS(836),
    [anon_sym_LPAREN] = ACTIONS(1266),
    [anon_sym_DOLLAR] = ACTIONS(1154),
    [anon_sym_PLUS_EQ] = ACTIONS(833),
    [anon_sym_DASH_EQ] = ACTIONS(833),
    [anon_sym_STAR_EQ] = ACTIONS(833),
    [anon_sym_SLASH_EQ] = ACTIONS(833),
    [anon_sym_PERCENT_EQ] = ACTIONS(833),
    [anon_sym_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_EQ] = ACTIONS(833),
    [anon_sym_CARET_EQ] = ACTIONS(833),
    [anon_sym_LT_LT_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(833),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(833),
    [anon_sym_if] = ACTIONS(836),
    [anon_sym_SEMI] = ACTIONS(833),
    [anon_sym_else] = ACTIONS(836),
    [anon_sym_when] = ACTIONS(836),
    [anon_sym_in] = ACTIONS(836),
    [anon_sym_case] = ACTIONS(836),
    [anon_sym_QMARK] = ACTIONS(833),
    [anon_sym_PLUS] = ACTIONS(836),
    [anon_sym_DASH] = ACTIONS(836),
    [anon_sym_TILDE] = ACTIONS(836),
    [anon_sym_BANG] = ACTIONS(1156),
    [anon_sym_AMP] = ACTIONS(836),
    [anon_sym_PIPE_PIPE] = ACTIONS(836),
    [anon_sym_or_else] = ACTIONS(836),
    [anon_sym_AMP_AMP] = ACTIONS(836),
    [anon_sym_GT] = ACTIONS(836),
    [anon_sym_GT_EQ] = ACTIONS(833),
    [anon_sym_LT_EQ] = ACTIONS(833),
    [anon_sym_LT] = ACTIONS(836),
    [anon_sym_EQ_EQ] = ACTIONS(833),
    [anon_sym_BANG_EQ] = ACTIONS(833),
    [anon_sym_TILDE_EQ] = ACTIONS(833),
    [anon_sym_PIPE] = ACTIONS(836),
    [anon_sym_AMP_TILDE] = ACTIONS(836),
    [anon_sym_LT_LT] = ACTIONS(836),
    [anon_sym_GT_GT] = ACTIONS(836),
    [anon_sym_STAR] = ACTIONS(836),
    [anon_sym_SLASH] = ACTIONS(836),
    [anon_sym_PERCENT] = ACTIONS(836),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(833),
    [anon_sym_DOT] = ACTIONS(836),
    [anon_sym_LBRACK] = ACTIONS(1270),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(833),
    [anon_sym_DOT_DOT_LT] = ACTIONS(833),
    [anon_sym_not_in] = ACTIONS(836),
    [anon_sym_DOT_DOT] = ACTIONS(1161),
    [anon_sym_or_return] = ACTIONS(836),
    [anon_sym_or_continue] = ACTIONS(836),
    [anon_sym_or_break] = ACTIONS(836),
    [anon_sym_CARET] = ACTIONS(1274),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1166),
    [anon_sym_map] = ACTIONS(1168),
    [anon_sym_bit_set] = ACTIONS(1170),
    [anon_sym_matrix] = ACTIONS(1172),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_tag] = ACTIONS(1174),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(833),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [162] = {
    [sym_procedure] = STATE(2350),
    [sym_type] = STATE(2285),
    [sym_pointer_type] = STATE(2262),
    [sym_variadic_type] = STATE(2262),
    [sym_array_type] = STATE(2262),
    [sym_map_type] = STATE(2262),
    [sym_union_type] = STATE(2262),
    [sym_bit_set_type] = STATE(2262),
    [sym_matrix_type] = STATE(2262),
    [sym_field_type] = STATE(2262),
    [sym_tuple_type] = STATE(2262),
    [sym_struct_type] = STATE(2262),
    [sym_enum_type] = STATE(2262),
    [sym_constant_type] = STATE(2262),
    [sym_specialized_type] = STATE(2262),
    [sym__procedure_type] = STATE(2262),
    [sym_distinct_type] = STATE(2262),
    [sym_empty_type] = STATE(2262),
    [sym_polymorphic_type] = STATE(2262),
    [sym_conditional_type] = STATE(2262),
    [sym_identifier] = ACTIONS(1141),
    [anon_sym_RBRACE] = ACTIONS(817),
    [anon_sym_COMMA] = ACTIONS(817),
    [anon_sym_COLON_COLON] = ACTIONS(817),
    [anon_sym_proc] = ACTIONS(1143),
    [anon_sym_DASH_GT] = ACTIONS(817),
    [anon_sym_struct] = ACTIONS(1145),
    [anon_sym_enum] = ACTIONS(1147),
    [anon_sym_EQ] = ACTIONS(819),
    [anon_sym_union] = ACTIONS(1149),
    [anon_sym_COLON_EQ] = ACTIONS(817),
    [anon_sym_COLON] = ACTIONS(819),
    [anon_sym_LPAREN] = ACTIONS(1278),
    [anon_sym_DOLLAR] = ACTIONS(1154),
    [anon_sym_PLUS_EQ] = ACTIONS(817),
    [anon_sym_DASH_EQ] = ACTIONS(817),
    [anon_sym_STAR_EQ] = ACTIONS(817),
    [anon_sym_SLASH_EQ] = ACTIONS(817),
    [anon_sym_PERCENT_EQ] = ACTIONS(817),
    [anon_sym_AMP_EQ] = ACTIONS(817),
    [anon_sym_PIPE_EQ] = ACTIONS(817),
    [anon_sym_CARET_EQ] = ACTIONS(817),
    [anon_sym_LT_LT_EQ] = ACTIONS(817),
    [anon_sym_GT_GT_EQ] = ACTIONS(817),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(817),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(817),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(817),
    [anon_sym_if] = ACTIONS(819),
    [anon_sym_SEMI] = ACTIONS(817),
    [anon_sym_else] = ACTIONS(819),
    [anon_sym_when] = ACTIONS(819),
    [anon_sym_in] = ACTIONS(819),
    [anon_sym_case] = ACTIONS(819),
    [anon_sym_QMARK] = ACTIONS(817),
    [anon_sym_PLUS] = ACTIONS(819),
    [anon_sym_DASH] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(819),
    [anon_sym_BANG] = ACTIONS(1156),
    [anon_sym_AMP] = ACTIONS(819),
    [anon_sym_PIPE_PIPE] = ACTIONS(819),
    [anon_sym_or_else] = ACTIONS(819),
    [anon_sym_AMP_AMP] = ACTIONS(819),
    [anon_sym_GT] = ACTIONS(819),
    [anon_sym_GT_EQ] = ACTIONS(817),
    [anon_sym_LT_EQ] = ACTIONS(817),
    [anon_sym_LT] = ACTIONS(819),
    [anon_sym_EQ_EQ] = ACTIONS(817),
    [anon_sym_BANG_EQ] = ACTIONS(817),
    [anon_sym_TILDE_EQ] = ACTIONS(817),
    [anon_sym_PIPE] = ACTIONS(819),
    [anon_sym_AMP_TILDE] = ACTIONS(819),
    [anon_sym_LT_LT] = ACTIONS(819),
    [anon_sym_GT_GT] = ACTIONS(819),
    [anon_sym_STAR] = ACTIONS(819),
    [anon_sym_SLASH] = ACTIONS(819),
    [anon_sym_PERCENT] = ACTIONS(819),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(817),
    [anon_sym_DOT] = ACTIONS(819),
    [anon_sym_LBRACK] = ACTIONS(1281),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(817),
    [anon_sym_DOT_DOT_LT] = ACTIONS(817),
    [anon_sym_not_in] = ACTIONS(819),
    [anon_sym_DOT_DOT] = ACTIONS(1161),
    [anon_sym_or_return] = ACTIONS(819),
    [anon_sym_or_continue] = ACTIONS(819),
    [anon_sym_or_break] = ACTIONS(819),
    [anon_sym_CARET] = ACTIONS(1284),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1166),
    [anon_sym_map] = ACTIONS(1168),
    [anon_sym_bit_set] = ACTIONS(1170),
    [anon_sym_matrix] = ACTIONS(1172),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_tag] = ACTIONS(1174),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(817),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [163] = {
    [sym_procedure] = STATE(2350),
    [sym_type] = STATE(2296),
    [sym_pointer_type] = STATE(2262),
    [sym_variadic_type] = STATE(2262),
    [sym_array_type] = STATE(2262),
    [sym_map_type] = STATE(2262),
    [sym_union_type] = STATE(2262),
    [sym_bit_set_type] = STATE(2262),
    [sym_matrix_type] = STATE(2262),
    [sym_field_type] = STATE(2262),
    [sym_tuple_type] = STATE(2262),
    [sym_struct_type] = STATE(2262),
    [sym_enum_type] = STATE(2262),
    [sym_constant_type] = STATE(2262),
    [sym_specialized_type] = STATE(2262),
    [sym__procedure_type] = STATE(2262),
    [sym_distinct_type] = STATE(2262),
    [sym_empty_type] = STATE(2262),
    [sym_polymorphic_type] = STATE(2262),
    [sym_conditional_type] = STATE(2262),
    [sym_identifier] = ACTIONS(1141),
    [anon_sym_RBRACE] = ACTIONS(871),
    [anon_sym_COMMA] = ACTIONS(871),
    [anon_sym_COLON_COLON] = ACTIONS(871),
    [anon_sym_proc] = ACTIONS(1143),
    [anon_sym_DASH_GT] = ACTIONS(871),
    [anon_sym_struct] = ACTIONS(1145),
    [anon_sym_enum] = ACTIONS(1147),
    [anon_sym_EQ] = ACTIONS(874),
    [anon_sym_union] = ACTIONS(1149),
    [anon_sym_COLON_EQ] = ACTIONS(871),
    [anon_sym_COLON] = ACTIONS(874),
    [anon_sym_LPAREN] = ACTIONS(1287),
    [anon_sym_DOLLAR] = ACTIONS(1154),
    [anon_sym_PLUS_EQ] = ACTIONS(871),
    [anon_sym_DASH_EQ] = ACTIONS(871),
    [anon_sym_STAR_EQ] = ACTIONS(871),
    [anon_sym_SLASH_EQ] = ACTIONS(871),
    [anon_sym_PERCENT_EQ] = ACTIONS(871),
    [anon_sym_AMP_EQ] = ACTIONS(871),
    [anon_sym_PIPE_EQ] = ACTIONS(871),
    [anon_sym_CARET_EQ] = ACTIONS(871),
    [anon_sym_LT_LT_EQ] = ACTIONS(871),
    [anon_sym_GT_GT_EQ] = ACTIONS(871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(871),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(871),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(871),
    [anon_sym_if] = ACTIONS(874),
    [anon_sym_SEMI] = ACTIONS(871),
    [anon_sym_else] = ACTIONS(874),
    [anon_sym_when] = ACTIONS(874),
    [anon_sym_in] = ACTIONS(874),
    [anon_sym_case] = ACTIONS(874),
    [anon_sym_QMARK] = ACTIONS(871),
    [anon_sym_PLUS] = ACTIONS(874),
    [anon_sym_DASH] = ACTIONS(874),
    [anon_sym_TILDE] = ACTIONS(874),
    [anon_sym_BANG] = ACTIONS(1156),
    [anon_sym_AMP] = ACTIONS(874),
    [anon_sym_PIPE_PIPE] = ACTIONS(874),
    [anon_sym_or_else] = ACTIONS(874),
    [anon_sym_AMP_AMP] = ACTIONS(874),
    [anon_sym_GT] = ACTIONS(874),
    [anon_sym_GT_EQ] = ACTIONS(871),
    [anon_sym_LT_EQ] = ACTIONS(871),
    [anon_sym_LT] = ACTIONS(874),
    [anon_sym_EQ_EQ] = ACTIONS(871),
    [anon_sym_BANG_EQ] = ACTIONS(871),
    [anon_sym_TILDE_EQ] = ACTIONS(871),
    [anon_sym_PIPE] = ACTIONS(874),
    [anon_sym_AMP_TILDE] = ACTIONS(874),
    [anon_sym_LT_LT] = ACTIONS(874),
    [anon_sym_GT_GT] = ACTIONS(874),
    [anon_sym_STAR] = ACTIONS(874),
    [anon_sym_SLASH] = ACTIONS(874),
    [anon_sym_PERCENT] = ACTIONS(874),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(871),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_LBRACK] = ACTIONS(1291),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(871),
    [anon_sym_DOT_DOT_LT] = ACTIONS(871),
    [anon_sym_not_in] = ACTIONS(874),
    [anon_sym_DOT_DOT] = ACTIONS(1161),
    [anon_sym_or_return] = ACTIONS(874),
    [anon_sym_or_continue] = ACTIONS(874),
    [anon_sym_or_break] = ACTIONS(874),
    [anon_sym_CARET] = ACTIONS(1295),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1166),
    [anon_sym_map] = ACTIONS(1168),
    [anon_sym_bit_set] = ACTIONS(1170),
    [anon_sym_matrix] = ACTIONS(1172),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_tag] = ACTIONS(1174),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(871),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [164] = {
    [sym_procedure] = STATE(2350),
    [sym_type] = STATE(2359),
    [sym_pointer_type] = STATE(2262),
    [sym_variadic_type] = STATE(2262),
    [sym_array_type] = STATE(2262),
    [sym_map_type] = STATE(2262),
    [sym_union_type] = STATE(2262),
    [sym_bit_set_type] = STATE(2262),
    [sym_matrix_type] = STATE(2262),
    [sym_field_type] = STATE(2262),
    [sym_tuple_type] = STATE(2262),
    [sym_struct_type] = STATE(2262),
    [sym_enum_type] = STATE(2262),
    [sym_constant_type] = STATE(2262),
    [sym_specialized_type] = STATE(2262),
    [sym__procedure_type] = STATE(2262),
    [sym_distinct_type] = STATE(2262),
    [sym_empty_type] = STATE(2262),
    [sym_polymorphic_type] = STATE(2262),
    [sym_conditional_type] = STATE(2262),
    [sym_identifier] = ACTIONS(1141),
    [anon_sym_RBRACE] = ACTIONS(855),
    [anon_sym_COMMA] = ACTIONS(855),
    [anon_sym_COLON_COLON] = ACTIONS(855),
    [anon_sym_proc] = ACTIONS(1143),
    [anon_sym_DASH_GT] = ACTIONS(855),
    [anon_sym_struct] = ACTIONS(1145),
    [anon_sym_enum] = ACTIONS(1147),
    [anon_sym_EQ] = ACTIONS(857),
    [anon_sym_union] = ACTIONS(1149),
    [anon_sym_COLON_EQ] = ACTIONS(855),
    [anon_sym_COLON] = ACTIONS(857),
    [anon_sym_LPAREN] = ACTIONS(1299),
    [anon_sym_DOLLAR] = ACTIONS(1154),
    [anon_sym_PLUS_EQ] = ACTIONS(855),
    [anon_sym_DASH_EQ] = ACTIONS(855),
    [anon_sym_STAR_EQ] = ACTIONS(855),
    [anon_sym_SLASH_EQ] = ACTIONS(855),
    [anon_sym_PERCENT_EQ] = ACTIONS(855),
    [anon_sym_AMP_EQ] = ACTIONS(855),
    [anon_sym_PIPE_EQ] = ACTIONS(855),
    [anon_sym_CARET_EQ] = ACTIONS(855),
    [anon_sym_LT_LT_EQ] = ACTIONS(855),
    [anon_sym_GT_GT_EQ] = ACTIONS(855),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(855),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(855),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(855),
    [anon_sym_if] = ACTIONS(857),
    [anon_sym_SEMI] = ACTIONS(855),
    [anon_sym_else] = ACTIONS(857),
    [anon_sym_when] = ACTIONS(857),
    [anon_sym_in] = ACTIONS(857),
    [anon_sym_case] = ACTIONS(857),
    [anon_sym_QMARK] = ACTIONS(855),
    [anon_sym_PLUS] = ACTIONS(857),
    [anon_sym_DASH] = ACTIONS(857),
    [anon_sym_TILDE] = ACTIONS(857),
    [anon_sym_BANG] = ACTIONS(1156),
    [anon_sym_AMP] = ACTIONS(857),
    [anon_sym_PIPE_PIPE] = ACTIONS(857),
    [anon_sym_or_else] = ACTIONS(857),
    [anon_sym_AMP_AMP] = ACTIONS(857),
    [anon_sym_GT] = ACTIONS(857),
    [anon_sym_GT_EQ] = ACTIONS(855),
    [anon_sym_LT_EQ] = ACTIONS(855),
    [anon_sym_LT] = ACTIONS(857),
    [anon_sym_EQ_EQ] = ACTIONS(855),
    [anon_sym_BANG_EQ] = ACTIONS(855),
    [anon_sym_TILDE_EQ] = ACTIONS(855),
    [anon_sym_PIPE] = ACTIONS(857),
    [anon_sym_AMP_TILDE] = ACTIONS(857),
    [anon_sym_LT_LT] = ACTIONS(857),
    [anon_sym_GT_GT] = ACTIONS(857),
    [anon_sym_STAR] = ACTIONS(857),
    [anon_sym_SLASH] = ACTIONS(857),
    [anon_sym_PERCENT] = ACTIONS(857),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(855),
    [anon_sym_DOT] = ACTIONS(857),
    [anon_sym_LBRACK] = ACTIONS(1302),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(855),
    [anon_sym_DOT_DOT_LT] = ACTIONS(855),
    [anon_sym_not_in] = ACTIONS(857),
    [anon_sym_DOT_DOT] = ACTIONS(1161),
    [anon_sym_or_return] = ACTIONS(857),
    [anon_sym_or_continue] = ACTIONS(857),
    [anon_sym_or_break] = ACTIONS(857),
    [anon_sym_CARET] = ACTIONS(1305),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1166),
    [anon_sym_map] = ACTIONS(1168),
    [anon_sym_bit_set] = ACTIONS(1170),
    [anon_sym_matrix] = ACTIONS(1172),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_tag] = ACTIONS(1174),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(855),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [165] = {
    [sym_procedure] = STATE(2350),
    [sym_type] = STATE(2364),
    [sym_pointer_type] = STATE(2262),
    [sym_variadic_type] = STATE(2262),
    [sym_array_type] = STATE(2262),
    [sym_map_type] = STATE(2262),
    [sym_union_type] = STATE(2262),
    [sym_bit_set_type] = STATE(2262),
    [sym_matrix_type] = STATE(2262),
    [sym_field_type] = STATE(2262),
    [sym_tuple_type] = STATE(2262),
    [sym_struct_type] = STATE(2262),
    [sym_enum_type] = STATE(2262),
    [sym_constant_type] = STATE(2262),
    [sym_specialized_type] = STATE(2262),
    [sym__procedure_type] = STATE(2262),
    [sym_distinct_type] = STATE(2262),
    [sym_empty_type] = STATE(2262),
    [sym_polymorphic_type] = STATE(2262),
    [sym_conditional_type] = STATE(2262),
    [sym_identifier] = ACTIONS(1141),
    [anon_sym_RBRACE] = ACTIONS(773),
    [anon_sym_COMMA] = ACTIONS(773),
    [anon_sym_COLON_COLON] = ACTIONS(773),
    [anon_sym_proc] = ACTIONS(1143),
    [anon_sym_DASH_GT] = ACTIONS(773),
    [anon_sym_struct] = ACTIONS(1145),
    [anon_sym_enum] = ACTIONS(1147),
    [anon_sym_EQ] = ACTIONS(778),
    [anon_sym_union] = ACTIONS(1149),
    [anon_sym_COLON_EQ] = ACTIONS(773),
    [anon_sym_COLON] = ACTIONS(778),
    [anon_sym_LPAREN] = ACTIONS(1308),
    [anon_sym_DOLLAR] = ACTIONS(1154),
    [anon_sym_PLUS_EQ] = ACTIONS(773),
    [anon_sym_DASH_EQ] = ACTIONS(773),
    [anon_sym_STAR_EQ] = ACTIONS(773),
    [anon_sym_SLASH_EQ] = ACTIONS(773),
    [anon_sym_PERCENT_EQ] = ACTIONS(773),
    [anon_sym_AMP_EQ] = ACTIONS(773),
    [anon_sym_PIPE_EQ] = ACTIONS(773),
    [anon_sym_CARET_EQ] = ACTIONS(773),
    [anon_sym_LT_LT_EQ] = ACTIONS(773),
    [anon_sym_GT_GT_EQ] = ACTIONS(773),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(773),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(773),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(773),
    [anon_sym_if] = ACTIONS(778),
    [anon_sym_SEMI] = ACTIONS(773),
    [anon_sym_else] = ACTIONS(778),
    [anon_sym_when] = ACTIONS(778),
    [anon_sym_in] = ACTIONS(778),
    [anon_sym_case] = ACTIONS(778),
    [anon_sym_QMARK] = ACTIONS(773),
    [anon_sym_PLUS] = ACTIONS(778),
    [anon_sym_DASH] = ACTIONS(778),
    [anon_sym_TILDE] = ACTIONS(778),
    [anon_sym_BANG] = ACTIONS(1156),
    [anon_sym_AMP] = ACTIONS(778),
    [anon_sym_PIPE_PIPE] = ACTIONS(778),
    [anon_sym_or_else] = ACTIONS(778),
    [anon_sym_AMP_AMP] = ACTIONS(778),
    [anon_sym_GT] = ACTIONS(778),
    [anon_sym_GT_EQ] = ACTIONS(773),
    [anon_sym_LT_EQ] = ACTIONS(773),
    [anon_sym_LT] = ACTIONS(778),
    [anon_sym_EQ_EQ] = ACTIONS(773),
    [anon_sym_BANG_EQ] = ACTIONS(773),
    [anon_sym_TILDE_EQ] = ACTIONS(773),
    [anon_sym_PIPE] = ACTIONS(778),
    [anon_sym_AMP_TILDE] = ACTIONS(778),
    [anon_sym_LT_LT] = ACTIONS(778),
    [anon_sym_GT_GT] = ACTIONS(778),
    [anon_sym_STAR] = ACTIONS(778),
    [anon_sym_SLASH] = ACTIONS(778),
    [anon_sym_PERCENT] = ACTIONS(778),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(773),
    [anon_sym_DOT] = ACTIONS(778),
    [anon_sym_LBRACK] = ACTIONS(1312),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(773),
    [anon_sym_DOT_DOT_LT] = ACTIONS(773),
    [anon_sym_not_in] = ACTIONS(778),
    [anon_sym_DOT_DOT] = ACTIONS(1161),
    [anon_sym_or_return] = ACTIONS(778),
    [anon_sym_or_continue] = ACTIONS(778),
    [anon_sym_or_break] = ACTIONS(778),
    [anon_sym_CARET] = ACTIONS(1316),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1166),
    [anon_sym_map] = ACTIONS(1168),
    [anon_sym_bit_set] = ACTIONS(1170),
    [anon_sym_matrix] = ACTIONS(1172),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_tag] = ACTIONS(1174),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(773),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [166] = {
    [sym_procedure] = STATE(2350),
    [sym_type] = STATE(2252),
    [sym_pointer_type] = STATE(2262),
    [sym_variadic_type] = STATE(2262),
    [sym_array_type] = STATE(2262),
    [sym_map_type] = STATE(2262),
    [sym_union_type] = STATE(2262),
    [sym_bit_set_type] = STATE(2262),
    [sym_matrix_type] = STATE(2262),
    [sym_field_type] = STATE(2262),
    [sym_tuple_type] = STATE(2262),
    [sym_struct_type] = STATE(2262),
    [sym_enum_type] = STATE(2262),
    [sym_constant_type] = STATE(2262),
    [sym_specialized_type] = STATE(2262),
    [sym__procedure_type] = STATE(2262),
    [sym_distinct_type] = STATE(2262),
    [sym_empty_type] = STATE(2262),
    [sym_polymorphic_type] = STATE(2262),
    [sym_conditional_type] = STATE(2262),
    [sym_identifier] = ACTIONS(1141),
    [anon_sym_RBRACE] = ACTIONS(893),
    [anon_sym_COMMA] = ACTIONS(893),
    [anon_sym_COLON_COLON] = ACTIONS(893),
    [anon_sym_proc] = ACTIONS(1143),
    [anon_sym_DASH_GT] = ACTIONS(893),
    [anon_sym_struct] = ACTIONS(1145),
    [anon_sym_enum] = ACTIONS(1147),
    [anon_sym_EQ] = ACTIONS(895),
    [anon_sym_union] = ACTIONS(1149),
    [anon_sym_COLON_EQ] = ACTIONS(893),
    [anon_sym_COLON] = ACTIONS(895),
    [anon_sym_LPAREN] = ACTIONS(1320),
    [anon_sym_DOLLAR] = ACTIONS(1154),
    [anon_sym_PLUS_EQ] = ACTIONS(893),
    [anon_sym_DASH_EQ] = ACTIONS(893),
    [anon_sym_STAR_EQ] = ACTIONS(893),
    [anon_sym_SLASH_EQ] = ACTIONS(893),
    [anon_sym_PERCENT_EQ] = ACTIONS(893),
    [anon_sym_AMP_EQ] = ACTIONS(893),
    [anon_sym_PIPE_EQ] = ACTIONS(893),
    [anon_sym_CARET_EQ] = ACTIONS(893),
    [anon_sym_LT_LT_EQ] = ACTIONS(893),
    [anon_sym_GT_GT_EQ] = ACTIONS(893),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(893),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(893),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(893),
    [anon_sym_if] = ACTIONS(895),
    [anon_sym_SEMI] = ACTIONS(893),
    [anon_sym_else] = ACTIONS(895),
    [anon_sym_when] = ACTIONS(895),
    [anon_sym_in] = ACTIONS(895),
    [anon_sym_case] = ACTIONS(895),
    [anon_sym_QMARK] = ACTIONS(893),
    [anon_sym_PLUS] = ACTIONS(895),
    [anon_sym_DASH] = ACTIONS(895),
    [anon_sym_TILDE] = ACTIONS(895),
    [anon_sym_BANG] = ACTIONS(1156),
    [anon_sym_AMP] = ACTIONS(895),
    [anon_sym_PIPE_PIPE] = ACTIONS(895),
    [anon_sym_or_else] = ACTIONS(895),
    [anon_sym_AMP_AMP] = ACTIONS(895),
    [anon_sym_GT] = ACTIONS(895),
    [anon_sym_GT_EQ] = ACTIONS(893),
    [anon_sym_LT_EQ] = ACTIONS(893),
    [anon_sym_LT] = ACTIONS(895),
    [anon_sym_EQ_EQ] = ACTIONS(893),
    [anon_sym_BANG_EQ] = ACTIONS(893),
    [anon_sym_TILDE_EQ] = ACTIONS(893),
    [anon_sym_PIPE] = ACTIONS(895),
    [anon_sym_AMP_TILDE] = ACTIONS(895),
    [anon_sym_LT_LT] = ACTIONS(895),
    [anon_sym_GT_GT] = ACTIONS(895),
    [anon_sym_STAR] = ACTIONS(895),
    [anon_sym_SLASH] = ACTIONS(895),
    [anon_sym_PERCENT] = ACTIONS(895),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(893),
    [anon_sym_DOT] = ACTIONS(895),
    [anon_sym_LBRACK] = ACTIONS(1323),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(893),
    [anon_sym_DOT_DOT_LT] = ACTIONS(893),
    [anon_sym_not_in] = ACTIONS(895),
    [anon_sym_DOT_DOT] = ACTIONS(1161),
    [anon_sym_or_return] = ACTIONS(895),
    [anon_sym_or_continue] = ACTIONS(895),
    [anon_sym_or_break] = ACTIONS(895),
    [anon_sym_CARET] = ACTIONS(1326),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1166),
    [anon_sym_map] = ACTIONS(1168),
    [anon_sym_bit_set] = ACTIONS(1170),
    [anon_sym_matrix] = ACTIONS(1172),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_tag] = ACTIONS(1174),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(893),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [167] = {
    [sym_procedure] = STATE(7740),
    [sym_expression] = STATE(5542),
    [sym__expression_no_tag] = STATE(4385),
    [sym_unary_expression] = STATE(4385),
    [sym_binary_expression] = STATE(4385),
    [sym_ternary_expression] = STATE(4385),
    [sym_call_expression] = STATE(4385),
    [sym_selector_call_expression] = STATE(4385),
    [sym_member_expression] = STATE(4385),
    [sym_index_expression] = STATE(4385),
    [sym_slice_expression] = STATE(4385),
    [sym_range_expression] = STATE(4385),
    [sym_cast_expression] = STATE(4385),
    [sym_in_expression] = STATE(4385),
    [sym_variadic_expression] = STATE(4385),
    [sym_parenthesized_expression] = STATE(4385),
    [sym_or_return_expression] = STATE(4385),
    [sym_or_continue_expression] = STATE(4385),
    [sym_or_break_expression] = STATE(4385),
    [sym_address] = STATE(4385),
    [sym_map_type] = STATE(4385),
    [sym_matrix_type] = STATE(4385),
    [sym_distinct_type] = STATE(4385),
    [sym_literal] = STATE(4385),
    [sym_struct] = STATE(4394),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(1236),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_COMMA] = ACTIONS(67),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_DASH_GT] = ACTIONS(67),
    [anon_sym_LPAREN] = ACTIONS(1238),
    [anon_sym_SEMI] = ACTIONS(67),
    [anon_sym_in] = ACTIONS(71),
    [anon_sym_QMARK] = ACTIONS(1240),
    [anon_sym_PLUS] = ACTIONS(929),
    [anon_sym_DASH] = ACTIONS(931),
    [anon_sym_TILDE] = ACTIONS(931),
    [anon_sym_BANG] = ACTIONS(931),
    [anon_sym_AMP] = ACTIONS(931),
    [anon_sym_PIPE_PIPE] = ACTIONS(67),
    [anon_sym_or_else] = ACTIONS(71),
    [anon_sym_AMP_AMP] = ACTIONS(67),
    [anon_sym_GT] = ACTIONS(71),
    [anon_sym_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_EQ] = ACTIONS(67),
    [anon_sym_LT] = ACTIONS(71),
    [anon_sym_EQ_EQ] = ACTIONS(67),
    [anon_sym_BANG_EQ] = ACTIONS(67),
    [anon_sym_TILDE_EQ] = ACTIONS(67),
    [anon_sym_PIPE] = ACTIONS(71),
    [anon_sym_AMP_TILDE] = ACTIONS(67),
    [anon_sym_LT_LT] = ACTIONS(67),
    [anon_sym_GT_GT] = ACTIONS(67),
    [anon_sym_STAR] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(71),
    [anon_sym_PERCENT] = ACTIONS(71),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(67),
    [anon_sym_DOT] = ACTIONS(933),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(67),
    [anon_sym_DOT_DOT_LT] = ACTIONS(67),
    [anon_sym_cast] = ACTIONS(935),
    [anon_sym_transmute] = ACTIONS(935),
    [anon_sym_auto_cast] = ACTIONS(937),
    [anon_sym_not_in] = ACTIONS(71),
    [anon_sym_DOT_DOT] = ACTIONS(939),
    [anon_sym_or_return] = ACTIONS(71),
    [anon_sym_or_continue] = ACTIONS(71),
    [anon_sym_or_break] = ACTIONS(71),
    [anon_sym_CARET] = ACTIONS(67),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(941),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [168] = {
    [sym_procedure] = STATE(7306),
    [sym_expression] = STATE(5549),
    [sym__expression_no_tag] = STATE(4385),
    [sym_unary_expression] = STATE(4385),
    [sym_binary_expression] = STATE(4385),
    [sym_ternary_expression] = STATE(4385),
    [sym_call_expression] = STATE(4385),
    [sym_selector_call_expression] = STATE(4385),
    [sym_member_expression] = STATE(4385),
    [sym_index_expression] = STATE(4385),
    [sym_slice_expression] = STATE(4385),
    [sym_range_expression] = STATE(4385),
    [sym_cast_expression] = STATE(4385),
    [sym_in_expression] = STATE(4385),
    [sym_variadic_expression] = STATE(4385),
    [sym_parenthesized_expression] = STATE(4385),
    [sym_or_return_expression] = STATE(4385),
    [sym_or_continue_expression] = STATE(4385),
    [sym_or_break_expression] = STATE(4385),
    [sym_address] = STATE(4385),
    [sym_map_type] = STATE(4385),
    [sym_matrix_type] = STATE(4385),
    [sym_distinct_type] = STATE(4385),
    [sym_literal] = STATE(4385),
    [sym_struct] = STATE(4394),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(1236),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_COMMA] = ACTIONS(67),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_DASH_GT] = ACTIONS(67),
    [anon_sym_LPAREN] = ACTIONS(1238),
    [anon_sym_SEMI] = ACTIONS(67),
    [anon_sym_in] = ACTIONS(71),
    [anon_sym_QMARK] = ACTIONS(1240),
    [anon_sym_PLUS] = ACTIONS(929),
    [anon_sym_DASH] = ACTIONS(931),
    [anon_sym_TILDE] = ACTIONS(931),
    [anon_sym_BANG] = ACTIONS(931),
    [anon_sym_AMP] = ACTIONS(931),
    [anon_sym_PIPE_PIPE] = ACTIONS(67),
    [anon_sym_or_else] = ACTIONS(71),
    [anon_sym_AMP_AMP] = ACTIONS(67),
    [anon_sym_GT] = ACTIONS(71),
    [anon_sym_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_EQ] = ACTIONS(67),
    [anon_sym_LT] = ACTIONS(71),
    [anon_sym_EQ_EQ] = ACTIONS(67),
    [anon_sym_BANG_EQ] = ACTIONS(67),
    [anon_sym_TILDE_EQ] = ACTIONS(67),
    [anon_sym_PIPE] = ACTIONS(71),
    [anon_sym_AMP_TILDE] = ACTIONS(67),
    [anon_sym_LT_LT] = ACTIONS(67),
    [anon_sym_GT_GT] = ACTIONS(67),
    [anon_sym_STAR] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(71),
    [anon_sym_PERCENT] = ACTIONS(71),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(67),
    [anon_sym_DOT] = ACTIONS(933),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(67),
    [anon_sym_DOT_DOT_LT] = ACTIONS(67),
    [anon_sym_cast] = ACTIONS(935),
    [anon_sym_transmute] = ACTIONS(935),
    [anon_sym_auto_cast] = ACTIONS(937),
    [anon_sym_not_in] = ACTIONS(71),
    [anon_sym_DOT_DOT] = ACTIONS(939),
    [anon_sym_or_return] = ACTIONS(71),
    [anon_sym_or_continue] = ACTIONS(71),
    [anon_sym_or_break] = ACTIONS(71),
    [anon_sym_CARET] = ACTIONS(67),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(941),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [169] = {
    [sym_procedure] = STATE(7549),
    [sym_expression] = STATE(5555),
    [sym__expression_no_tag] = STATE(4385),
    [sym_unary_expression] = STATE(4385),
    [sym_binary_expression] = STATE(4385),
    [sym_ternary_expression] = STATE(4385),
    [sym_call_expression] = STATE(4385),
    [sym_selector_call_expression] = STATE(4385),
    [sym_member_expression] = STATE(4385),
    [sym_index_expression] = STATE(4385),
    [sym_slice_expression] = STATE(4385),
    [sym_range_expression] = STATE(4385),
    [sym_cast_expression] = STATE(4385),
    [sym_in_expression] = STATE(4385),
    [sym_variadic_expression] = STATE(4385),
    [sym_parenthesized_expression] = STATE(4385),
    [sym_or_return_expression] = STATE(4385),
    [sym_or_continue_expression] = STATE(4385),
    [sym_or_break_expression] = STATE(4385),
    [sym_address] = STATE(4385),
    [sym_map_type] = STATE(4385),
    [sym_matrix_type] = STATE(4385),
    [sym_distinct_type] = STATE(4385),
    [sym_literal] = STATE(4385),
    [sym_struct] = STATE(4394),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(1236),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_COMMA] = ACTIONS(67),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_DASH_GT] = ACTIONS(67),
    [anon_sym_LPAREN] = ACTIONS(1238),
    [anon_sym_SEMI] = ACTIONS(67),
    [anon_sym_in] = ACTIONS(71),
    [anon_sym_QMARK] = ACTIONS(1240),
    [anon_sym_PLUS] = ACTIONS(929),
    [anon_sym_DASH] = ACTIONS(931),
    [anon_sym_TILDE] = ACTIONS(931),
    [anon_sym_BANG] = ACTIONS(931),
    [anon_sym_AMP] = ACTIONS(931),
    [anon_sym_PIPE_PIPE] = ACTIONS(67),
    [anon_sym_or_else] = ACTIONS(71),
    [anon_sym_AMP_AMP] = ACTIONS(67),
    [anon_sym_GT] = ACTIONS(71),
    [anon_sym_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_EQ] = ACTIONS(67),
    [anon_sym_LT] = ACTIONS(71),
    [anon_sym_EQ_EQ] = ACTIONS(67),
    [anon_sym_BANG_EQ] = ACTIONS(67),
    [anon_sym_TILDE_EQ] = ACTIONS(67),
    [anon_sym_PIPE] = ACTIONS(71),
    [anon_sym_AMP_TILDE] = ACTIONS(67),
    [anon_sym_LT_LT] = ACTIONS(67),
    [anon_sym_GT_GT] = ACTIONS(67),
    [anon_sym_STAR] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(71),
    [anon_sym_PERCENT] = ACTIONS(71),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(67),
    [anon_sym_DOT] = ACTIONS(933),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(67),
    [anon_sym_DOT_DOT_LT] = ACTIONS(67),
    [anon_sym_cast] = ACTIONS(935),
    [anon_sym_transmute] = ACTIONS(935),
    [anon_sym_auto_cast] = ACTIONS(937),
    [anon_sym_not_in] = ACTIONS(71),
    [anon_sym_DOT_DOT] = ACTIONS(939),
    [anon_sym_or_return] = ACTIONS(71),
    [anon_sym_or_continue] = ACTIONS(71),
    [anon_sym_or_break] = ACTIONS(71),
    [anon_sym_CARET] = ACTIONS(67),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(941),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [170] = {
    [sym_procedure] = STATE(7460),
    [sym_expression] = STATE(5552),
    [sym__expression_no_tag] = STATE(4385),
    [sym_unary_expression] = STATE(4385),
    [sym_binary_expression] = STATE(4385),
    [sym_ternary_expression] = STATE(4385),
    [sym_call_expression] = STATE(4385),
    [sym_selector_call_expression] = STATE(4385),
    [sym_member_expression] = STATE(4385),
    [sym_index_expression] = STATE(4385),
    [sym_slice_expression] = STATE(4385),
    [sym_range_expression] = STATE(4385),
    [sym_cast_expression] = STATE(4385),
    [sym_in_expression] = STATE(4385),
    [sym_variadic_expression] = STATE(4385),
    [sym_parenthesized_expression] = STATE(4385),
    [sym_or_return_expression] = STATE(4385),
    [sym_or_continue_expression] = STATE(4385),
    [sym_or_break_expression] = STATE(4385),
    [sym_address] = STATE(4385),
    [sym_map_type] = STATE(4385),
    [sym_matrix_type] = STATE(4385),
    [sym_distinct_type] = STATE(4385),
    [sym_literal] = STATE(4385),
    [sym_struct] = STATE(4394),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(1236),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_COMMA] = ACTIONS(67),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_DASH_GT] = ACTIONS(67),
    [anon_sym_LPAREN] = ACTIONS(1238),
    [anon_sym_SEMI] = ACTIONS(67),
    [anon_sym_in] = ACTIONS(71),
    [anon_sym_QMARK] = ACTIONS(1240),
    [anon_sym_PLUS] = ACTIONS(929),
    [anon_sym_DASH] = ACTIONS(931),
    [anon_sym_TILDE] = ACTIONS(931),
    [anon_sym_BANG] = ACTIONS(931),
    [anon_sym_AMP] = ACTIONS(931),
    [anon_sym_PIPE_PIPE] = ACTIONS(67),
    [anon_sym_or_else] = ACTIONS(71),
    [anon_sym_AMP_AMP] = ACTIONS(67),
    [anon_sym_GT] = ACTIONS(71),
    [anon_sym_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_EQ] = ACTIONS(67),
    [anon_sym_LT] = ACTIONS(71),
    [anon_sym_EQ_EQ] = ACTIONS(67),
    [anon_sym_BANG_EQ] = ACTIONS(67),
    [anon_sym_TILDE_EQ] = ACTIONS(67),
    [anon_sym_PIPE] = ACTIONS(71),
    [anon_sym_AMP_TILDE] = ACTIONS(67),
    [anon_sym_LT_LT] = ACTIONS(67),
    [anon_sym_GT_GT] = ACTIONS(67),
    [anon_sym_STAR] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(71),
    [anon_sym_PERCENT] = ACTIONS(71),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(67),
    [anon_sym_DOT] = ACTIONS(933),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(67),
    [anon_sym_DOT_DOT_LT] = ACTIONS(67),
    [anon_sym_cast] = ACTIONS(935),
    [anon_sym_transmute] = ACTIONS(935),
    [anon_sym_auto_cast] = ACTIONS(937),
    [anon_sym_not_in] = ACTIONS(71),
    [anon_sym_DOT_DOT] = ACTIONS(939),
    [anon_sym_or_return] = ACTIONS(71),
    [anon_sym_or_continue] = ACTIONS(71),
    [anon_sym_or_break] = ACTIONS(71),
    [anon_sym_CARET] = ACTIONS(67),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(941),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [171] = {
    [sym_expression] = STATE(5402),
    [sym__expression_no_tag] = STATE(4385),
    [sym_unary_expression] = STATE(4385),
    [sym_binary_expression] = STATE(4385),
    [sym_ternary_expression] = STATE(4385),
    [sym_call_expression] = STATE(4385),
    [sym_selector_call_expression] = STATE(4385),
    [sym_member_expression] = STATE(4385),
    [sym_index_expression] = STATE(4385),
    [sym_slice_expression] = STATE(4385),
    [sym_range_expression] = STATE(4385),
    [sym_cast_expression] = STATE(4385),
    [sym_in_expression] = STATE(4385),
    [sym_variadic_expression] = STATE(4385),
    [sym_parenthesized_expression] = STATE(4385),
    [sym_or_return_expression] = STATE(4385),
    [sym_or_continue_expression] = STATE(4385),
    [sym_or_break_expression] = STATE(4385),
    [sym_address] = STATE(4385),
    [sym_map_type] = STATE(4385),
    [sym_matrix_type] = STATE(4385),
    [sym_distinct_type] = STATE(4385),
    [sym_literal] = STATE(4385),
    [sym_struct] = STATE(4394),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(1236),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_COMMA] = ACTIONS(67),
    [anon_sym_DASH_GT] = ACTIONS(67),
    [anon_sym_EQ] = ACTIONS(71),
    [anon_sym_COLON_EQ] = ACTIONS(67),
    [anon_sym_COLON] = ACTIONS(71),
    [anon_sym_LPAREN] = ACTIONS(1238),
    [anon_sym_in] = ACTIONS(71),
    [anon_sym_QMARK] = ACTIONS(1240),
    [anon_sym_PLUS] = ACTIONS(929),
    [anon_sym_DASH] = ACTIONS(931),
    [anon_sym_TILDE] = ACTIONS(931),
    [anon_sym_BANG] = ACTIONS(931),
    [anon_sym_AMP] = ACTIONS(931),
    [anon_sym_PIPE_PIPE] = ACTIONS(67),
    [anon_sym_or_else] = ACTIONS(71),
    [anon_sym_AMP_AMP] = ACTIONS(67),
    [anon_sym_GT] = ACTIONS(71),
    [anon_sym_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_EQ] = ACTIONS(67),
    [anon_sym_LT] = ACTIONS(71),
    [anon_sym_EQ_EQ] = ACTIONS(67),
    [anon_sym_BANG_EQ] = ACTIONS(67),
    [anon_sym_TILDE_EQ] = ACTIONS(67),
    [anon_sym_PIPE] = ACTIONS(71),
    [anon_sym_AMP_TILDE] = ACTIONS(67),
    [anon_sym_LT_LT] = ACTIONS(67),
    [anon_sym_GT_GT] = ACTIONS(67),
    [anon_sym_STAR] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(71),
    [anon_sym_PERCENT] = ACTIONS(71),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(67),
    [anon_sym_DOT] = ACTIONS(933),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(67),
    [anon_sym_DOT_DOT_LT] = ACTIONS(67),
    [anon_sym_cast] = ACTIONS(935),
    [anon_sym_transmute] = ACTIONS(935),
    [anon_sym_auto_cast] = ACTIONS(937),
    [anon_sym_not_in] = ACTIONS(71),
    [anon_sym_DOT_DOT] = ACTIONS(939),
    [anon_sym_or_return] = ACTIONS(71),
    [anon_sym_or_continue] = ACTIONS(71),
    [anon_sym_or_break] = ACTIONS(71),
    [anon_sym_CARET] = ACTIONS(67),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(941),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [172] = {
    [sym_procedure] = STATE(2453),
    [sym_type] = STATE(2465),
    [sym_pointer_type] = STATE(2497),
    [sym_variadic_type] = STATE(2497),
    [sym_array_type] = STATE(2497),
    [sym_map_type] = STATE(2497),
    [sym_union_type] = STATE(2497),
    [sym_bit_set_type] = STATE(2497),
    [sym_matrix_type] = STATE(2497),
    [sym_field_type] = STATE(2497),
    [sym_tuple_type] = STATE(2497),
    [sym_struct_type] = STATE(2497),
    [sym_enum_type] = STATE(2497),
    [sym_constant_type] = STATE(2497),
    [sym_specialized_type] = STATE(2497),
    [sym__procedure_type] = STATE(2497),
    [sym_distinct_type] = STATE(2497),
    [sym_empty_type] = STATE(2497),
    [sym_polymorphic_type] = STATE(2497),
    [sym_conditional_type] = STATE(2497),
    [sym_identifier] = ACTIONS(1331),
    [anon_sym_LBRACE] = ACTIONS(817),
    [anon_sym_COMMA] = ACTIONS(817),
    [anon_sym_COLON_COLON] = ACTIONS(817),
    [anon_sym_proc] = ACTIONS(1333),
    [anon_sym_DASH_GT] = ACTIONS(817),
    [anon_sym_struct] = ACTIONS(1335),
    [anon_sym_enum] = ACTIONS(1337),
    [anon_sym_EQ] = ACTIONS(819),
    [anon_sym_union] = ACTIONS(1339),
    [anon_sym_COLON_EQ] = ACTIONS(817),
    [anon_sym_COLON] = ACTIONS(819),
    [anon_sym_LPAREN] = ACTIONS(1341),
    [anon_sym_DOLLAR] = ACTIONS(1344),
    [anon_sym_PLUS_EQ] = ACTIONS(817),
    [anon_sym_DASH_EQ] = ACTIONS(817),
    [anon_sym_STAR_EQ] = ACTIONS(817),
    [anon_sym_SLASH_EQ] = ACTIONS(817),
    [anon_sym_PERCENT_EQ] = ACTIONS(817),
    [anon_sym_AMP_EQ] = ACTIONS(817),
    [anon_sym_PIPE_EQ] = ACTIONS(817),
    [anon_sym_CARET_EQ] = ACTIONS(817),
    [anon_sym_LT_LT_EQ] = ACTIONS(817),
    [anon_sym_GT_GT_EQ] = ACTIONS(817),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(817),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(817),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(817),
    [anon_sym_if] = ACTIONS(819),
    [anon_sym_SEMI] = ACTIONS(817),
    [anon_sym_do] = ACTIONS(819),
    [anon_sym_when] = ACTIONS(819),
    [anon_sym_in] = ACTIONS(819),
    [anon_sym_QMARK] = ACTIONS(817),
    [anon_sym_PLUS] = ACTIONS(819),
    [anon_sym_DASH] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(819),
    [anon_sym_BANG] = ACTIONS(1346),
    [anon_sym_AMP] = ACTIONS(819),
    [anon_sym_PIPE_PIPE] = ACTIONS(819),
    [anon_sym_or_else] = ACTIONS(819),
    [anon_sym_AMP_AMP] = ACTIONS(819),
    [anon_sym_GT] = ACTIONS(819),
    [anon_sym_GT_EQ] = ACTIONS(817),
    [anon_sym_LT_EQ] = ACTIONS(817),
    [anon_sym_LT] = ACTIONS(819),
    [anon_sym_EQ_EQ] = ACTIONS(817),
    [anon_sym_BANG_EQ] = ACTIONS(817),
    [anon_sym_TILDE_EQ] = ACTIONS(817),
    [anon_sym_PIPE] = ACTIONS(819),
    [anon_sym_AMP_TILDE] = ACTIONS(819),
    [anon_sym_LT_LT] = ACTIONS(819),
    [anon_sym_GT_GT] = ACTIONS(819),
    [anon_sym_STAR] = ACTIONS(819),
    [anon_sym_SLASH] = ACTIONS(819),
    [anon_sym_PERCENT] = ACTIONS(819),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(817),
    [anon_sym_DOT] = ACTIONS(819),
    [anon_sym_LBRACK] = ACTIONS(1348),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(817),
    [anon_sym_DOT_DOT_LT] = ACTIONS(817),
    [anon_sym_not_in] = ACTIONS(819),
    [anon_sym_DOT_DOT] = ACTIONS(1351),
    [anon_sym_or_return] = ACTIONS(819),
    [anon_sym_or_continue] = ACTIONS(819),
    [anon_sym_or_break] = ACTIONS(819),
    [anon_sym_CARET] = ACTIONS(1353),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1356),
    [anon_sym_map] = ACTIONS(1358),
    [anon_sym_bit_set] = ACTIONS(1360),
    [anon_sym_matrix] = ACTIONS(1362),
    [anon_sym_distinct] = ACTIONS(275),
    [sym_tag] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [173] = {
    [sym_procedure] = STATE(2453),
    [sym_type] = STATE(2484),
    [sym_pointer_type] = STATE(2497),
    [sym_variadic_type] = STATE(2497),
    [sym_array_type] = STATE(2497),
    [sym_map_type] = STATE(2497),
    [sym_union_type] = STATE(2497),
    [sym_bit_set_type] = STATE(2497),
    [sym_matrix_type] = STATE(2497),
    [sym_field_type] = STATE(2497),
    [sym_tuple_type] = STATE(2497),
    [sym_struct_type] = STATE(2497),
    [sym_enum_type] = STATE(2497),
    [sym_constant_type] = STATE(2497),
    [sym_specialized_type] = STATE(2497),
    [sym__procedure_type] = STATE(2497),
    [sym_distinct_type] = STATE(2497),
    [sym_empty_type] = STATE(2497),
    [sym_polymorphic_type] = STATE(2497),
    [sym_conditional_type] = STATE(2497),
    [sym_identifier] = ACTIONS(1331),
    [anon_sym_LBRACE] = ACTIONS(855),
    [anon_sym_COMMA] = ACTIONS(855),
    [anon_sym_COLON_COLON] = ACTIONS(855),
    [anon_sym_proc] = ACTIONS(1333),
    [anon_sym_DASH_GT] = ACTIONS(855),
    [anon_sym_struct] = ACTIONS(1335),
    [anon_sym_enum] = ACTIONS(1337),
    [anon_sym_EQ] = ACTIONS(857),
    [anon_sym_union] = ACTIONS(1339),
    [anon_sym_COLON_EQ] = ACTIONS(855),
    [anon_sym_COLON] = ACTIONS(857),
    [anon_sym_LPAREN] = ACTIONS(1366),
    [anon_sym_DOLLAR] = ACTIONS(1344),
    [anon_sym_PLUS_EQ] = ACTIONS(855),
    [anon_sym_DASH_EQ] = ACTIONS(855),
    [anon_sym_STAR_EQ] = ACTIONS(855),
    [anon_sym_SLASH_EQ] = ACTIONS(855),
    [anon_sym_PERCENT_EQ] = ACTIONS(855),
    [anon_sym_AMP_EQ] = ACTIONS(855),
    [anon_sym_PIPE_EQ] = ACTIONS(855),
    [anon_sym_CARET_EQ] = ACTIONS(855),
    [anon_sym_LT_LT_EQ] = ACTIONS(855),
    [anon_sym_GT_GT_EQ] = ACTIONS(855),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(855),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(855),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(855),
    [anon_sym_if] = ACTIONS(857),
    [anon_sym_SEMI] = ACTIONS(855),
    [anon_sym_do] = ACTIONS(857),
    [anon_sym_when] = ACTIONS(857),
    [anon_sym_in] = ACTIONS(857),
    [anon_sym_QMARK] = ACTIONS(855),
    [anon_sym_PLUS] = ACTIONS(857),
    [anon_sym_DASH] = ACTIONS(857),
    [anon_sym_TILDE] = ACTIONS(857),
    [anon_sym_BANG] = ACTIONS(1346),
    [anon_sym_AMP] = ACTIONS(857),
    [anon_sym_PIPE_PIPE] = ACTIONS(857),
    [anon_sym_or_else] = ACTIONS(857),
    [anon_sym_AMP_AMP] = ACTIONS(857),
    [anon_sym_GT] = ACTIONS(857),
    [anon_sym_GT_EQ] = ACTIONS(855),
    [anon_sym_LT_EQ] = ACTIONS(855),
    [anon_sym_LT] = ACTIONS(857),
    [anon_sym_EQ_EQ] = ACTIONS(855),
    [anon_sym_BANG_EQ] = ACTIONS(855),
    [anon_sym_TILDE_EQ] = ACTIONS(855),
    [anon_sym_PIPE] = ACTIONS(857),
    [anon_sym_AMP_TILDE] = ACTIONS(857),
    [anon_sym_LT_LT] = ACTIONS(857),
    [anon_sym_GT_GT] = ACTIONS(857),
    [anon_sym_STAR] = ACTIONS(857),
    [anon_sym_SLASH] = ACTIONS(857),
    [anon_sym_PERCENT] = ACTIONS(857),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(855),
    [anon_sym_DOT] = ACTIONS(857),
    [anon_sym_LBRACK] = ACTIONS(1369),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(855),
    [anon_sym_DOT_DOT_LT] = ACTIONS(855),
    [anon_sym_not_in] = ACTIONS(857),
    [anon_sym_DOT_DOT] = ACTIONS(1351),
    [anon_sym_or_return] = ACTIONS(857),
    [anon_sym_or_continue] = ACTIONS(857),
    [anon_sym_or_break] = ACTIONS(857),
    [anon_sym_CARET] = ACTIONS(1372),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1356),
    [anon_sym_map] = ACTIONS(1358),
    [anon_sym_bit_set] = ACTIONS(1360),
    [anon_sym_matrix] = ACTIONS(1362),
    [anon_sym_distinct] = ACTIONS(275),
    [sym_tag] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [174] = {
    [sym_expression] = STATE(4583),
    [sym__expression_no_tag] = STATE(4564),
    [sym_unary_expression] = STATE(4564),
    [sym_binary_expression] = STATE(4564),
    [sym_ternary_expression] = STATE(4564),
    [sym_call_expression] = STATE(4564),
    [sym_selector_call_expression] = STATE(4564),
    [sym_member_expression] = STATE(4564),
    [sym_index_expression] = STATE(4564),
    [sym_slice_expression] = STATE(4564),
    [sym_range_expression] = STATE(4564),
    [sym_cast_expression] = STATE(4564),
    [sym_in_expression] = STATE(4564),
    [sym_variadic_expression] = STATE(4564),
    [sym_parenthesized_expression] = STATE(4564),
    [sym_or_return_expression] = STATE(4564),
    [sym_or_continue_expression] = STATE(4564),
    [sym_or_break_expression] = STATE(4564),
    [sym_address] = STATE(4564),
    [sym_map_type] = STATE(4564),
    [sym_matrix_type] = STATE(4564),
    [sym_distinct_type] = STATE(4564),
    [sym_literal] = STATE(4564),
    [sym_struct] = STATE(4562),
    [sym_map] = STATE(4320),
    [sym_bit_set] = STATE(4320),
    [sym_matrix] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym__string_literal] = STATE(4334),
    [sym__raw_string_literal] = STATE(4334),
    [sym_character] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_field_identifier] = STATE(7845),
    [sym_identifier] = ACTIONS(341),
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_DASH_GT] = ACTIONS(197),
    [anon_sym_LPAREN] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(199),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_when] = ACTIONS(199),
    [anon_sym_in] = ACTIONS(199),
    [anon_sym_QMARK] = ACTIONS(197),
    [anon_sym_PLUS] = ACTIONS(197),
    [anon_sym_DASH] = ACTIONS(199),
    [anon_sym_TILDE] = ACTIONS(199),
    [anon_sym_BANG] = ACTIONS(343),
    [anon_sym_AMP] = ACTIONS(199),
    [anon_sym_PIPE_PIPE] = ACTIONS(197),
    [anon_sym_or_else] = ACTIONS(199),
    [anon_sym_AMP_AMP] = ACTIONS(197),
    [anon_sym_GT] = ACTIONS(199),
    [anon_sym_GT_EQ] = ACTIONS(197),
    [anon_sym_LT_EQ] = ACTIONS(197),
    [anon_sym_LT] = ACTIONS(199),
    [anon_sym_EQ_EQ] = ACTIONS(197),
    [anon_sym_BANG_EQ] = ACTIONS(197),
    [anon_sym_TILDE_EQ] = ACTIONS(197),
    [anon_sym_PIPE] = ACTIONS(199),
    [anon_sym_AMP_TILDE] = ACTIONS(197),
    [anon_sym_LT_LT] = ACTIONS(197),
    [anon_sym_GT_GT] = ACTIONS(197),
    [anon_sym_STAR] = ACTIONS(197),
    [anon_sym_SLASH] = ACTIONS(199),
    [anon_sym_PERCENT] = ACTIONS(199),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(197),
    [anon_sym_DOT] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(197),
    [anon_sym_DOT_DOT_LT] = ACTIONS(197),
    [anon_sym_cast] = ACTIONS(345),
    [anon_sym_transmute] = ACTIONS(345),
    [anon_sym_auto_cast] = ACTIONS(347),
    [anon_sym_not_in] = ACTIONS(199),
    [anon_sym_DOT_DOT] = ACTIONS(349),
    [anon_sym_or_return] = ACTIONS(199),
    [anon_sym_or_continue] = ACTIONS(199),
    [anon_sym_or_break] = ACTIONS(199),
    [anon_sym_CARET] = ACTIONS(197),
    [anon_sym_map] = ACTIONS(351),
    [anon_sym_bit_set] = ACTIONS(353),
    [anon_sym_matrix] = ACTIONS(355),
    [anon_sym_distinct] = ACTIONS(357),
    [sym_number] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(361),
    [anon_sym_BQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [anon_sym_true] = ACTIONS(367),
    [anon_sym_false] = ACTIONS(367),
    [sym_nil] = ACTIONS(369),
    [sym_uninitialized] = ACTIONS(359),
    [sym_tag] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(359),
    [sym_block_comment] = ACTIONS(3),
  },
  [175] = {
    [sym_procedure] = STATE(2453),
    [sym_type] = STATE(2486),
    [sym_pointer_type] = STATE(2497),
    [sym_variadic_type] = STATE(2497),
    [sym_array_type] = STATE(2497),
    [sym_map_type] = STATE(2497),
    [sym_union_type] = STATE(2497),
    [sym_bit_set_type] = STATE(2497),
    [sym_matrix_type] = STATE(2497),
    [sym_field_type] = STATE(2497),
    [sym_tuple_type] = STATE(2497),
    [sym_struct_type] = STATE(2497),
    [sym_enum_type] = STATE(2497),
    [sym_constant_type] = STATE(2497),
    [sym_specialized_type] = STATE(2497),
    [sym__procedure_type] = STATE(2497),
    [sym_distinct_type] = STATE(2497),
    [sym_empty_type] = STATE(2497),
    [sym_polymorphic_type] = STATE(2497),
    [sym_conditional_type] = STATE(2497),
    [sym_identifier] = ACTIONS(1331),
    [anon_sym_LBRACE] = ACTIONS(893),
    [anon_sym_COMMA] = ACTIONS(893),
    [anon_sym_COLON_COLON] = ACTIONS(893),
    [anon_sym_proc] = ACTIONS(1333),
    [anon_sym_DASH_GT] = ACTIONS(893),
    [anon_sym_struct] = ACTIONS(1335),
    [anon_sym_enum] = ACTIONS(1337),
    [anon_sym_EQ] = ACTIONS(895),
    [anon_sym_union] = ACTIONS(1339),
    [anon_sym_COLON_EQ] = ACTIONS(893),
    [anon_sym_COLON] = ACTIONS(895),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [anon_sym_DOLLAR] = ACTIONS(1344),
    [anon_sym_PLUS_EQ] = ACTIONS(893),
    [anon_sym_DASH_EQ] = ACTIONS(893),
    [anon_sym_STAR_EQ] = ACTIONS(893),
    [anon_sym_SLASH_EQ] = ACTIONS(893),
    [anon_sym_PERCENT_EQ] = ACTIONS(893),
    [anon_sym_AMP_EQ] = ACTIONS(893),
    [anon_sym_PIPE_EQ] = ACTIONS(893),
    [anon_sym_CARET_EQ] = ACTIONS(893),
    [anon_sym_LT_LT_EQ] = ACTIONS(893),
    [anon_sym_GT_GT_EQ] = ACTIONS(893),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(893),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(893),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(893),
    [anon_sym_if] = ACTIONS(895),
    [anon_sym_SEMI] = ACTIONS(893),
    [anon_sym_do] = ACTIONS(895),
    [anon_sym_when] = ACTIONS(895),
    [anon_sym_in] = ACTIONS(895),
    [anon_sym_QMARK] = ACTIONS(893),
    [anon_sym_PLUS] = ACTIONS(895),
    [anon_sym_DASH] = ACTIONS(895),
    [anon_sym_TILDE] = ACTIONS(895),
    [anon_sym_BANG] = ACTIONS(1346),
    [anon_sym_AMP] = ACTIONS(895),
    [anon_sym_PIPE_PIPE] = ACTIONS(895),
    [anon_sym_or_else] = ACTIONS(895),
    [anon_sym_AMP_AMP] = ACTIONS(895),
    [anon_sym_GT] = ACTIONS(895),
    [anon_sym_GT_EQ] = ACTIONS(893),
    [anon_sym_LT_EQ] = ACTIONS(893),
    [anon_sym_LT] = ACTIONS(895),
    [anon_sym_EQ_EQ] = ACTIONS(893),
    [anon_sym_BANG_EQ] = ACTIONS(893),
    [anon_sym_TILDE_EQ] = ACTIONS(893),
    [anon_sym_PIPE] = ACTIONS(895),
    [anon_sym_AMP_TILDE] = ACTIONS(895),
    [anon_sym_LT_LT] = ACTIONS(895),
    [anon_sym_GT_GT] = ACTIONS(895),
    [anon_sym_STAR] = ACTIONS(895),
    [anon_sym_SLASH] = ACTIONS(895),
    [anon_sym_PERCENT] = ACTIONS(895),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(893),
    [anon_sym_DOT] = ACTIONS(895),
    [anon_sym_LBRACK] = ACTIONS(1378),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(893),
    [anon_sym_DOT_DOT_LT] = ACTIONS(893),
    [anon_sym_not_in] = ACTIONS(895),
    [anon_sym_DOT_DOT] = ACTIONS(1351),
    [anon_sym_or_return] = ACTIONS(895),
    [anon_sym_or_continue] = ACTIONS(895),
    [anon_sym_or_break] = ACTIONS(895),
    [anon_sym_CARET] = ACTIONS(1381),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1356),
    [anon_sym_map] = ACTIONS(1358),
    [anon_sym_bit_set] = ACTIONS(1360),
    [anon_sym_matrix] = ACTIONS(1362),
    [anon_sym_distinct] = ACTIONS(275),
    [sym_tag] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [176] = {
    [sym_procedure] = STATE(2453),
    [sym_type] = STATE(2470),
    [sym_pointer_type] = STATE(2497),
    [sym_variadic_type] = STATE(2497),
    [sym_array_type] = STATE(2497),
    [sym_map_type] = STATE(2497),
    [sym_union_type] = STATE(2497),
    [sym_bit_set_type] = STATE(2497),
    [sym_matrix_type] = STATE(2497),
    [sym_field_type] = STATE(2497),
    [sym_tuple_type] = STATE(2497),
    [sym_struct_type] = STATE(2497),
    [sym_enum_type] = STATE(2497),
    [sym_constant_type] = STATE(2497),
    [sym_specialized_type] = STATE(2497),
    [sym__procedure_type] = STATE(2497),
    [sym_distinct_type] = STATE(2497),
    [sym_empty_type] = STATE(2497),
    [sym_polymorphic_type] = STATE(2497),
    [sym_conditional_type] = STATE(2497),
    [sym_identifier] = ACTIONS(1331),
    [anon_sym_LBRACE] = ACTIONS(871),
    [anon_sym_COMMA] = ACTIONS(871),
    [anon_sym_COLON_COLON] = ACTIONS(871),
    [anon_sym_proc] = ACTIONS(1333),
    [anon_sym_DASH_GT] = ACTIONS(871),
    [anon_sym_struct] = ACTIONS(1335),
    [anon_sym_enum] = ACTIONS(1337),
    [anon_sym_EQ] = ACTIONS(874),
    [anon_sym_union] = ACTIONS(1339),
    [anon_sym_COLON_EQ] = ACTIONS(871),
    [anon_sym_COLON] = ACTIONS(874),
    [anon_sym_LPAREN] = ACTIONS(1384),
    [anon_sym_DOLLAR] = ACTIONS(1344),
    [anon_sym_PLUS_EQ] = ACTIONS(871),
    [anon_sym_DASH_EQ] = ACTIONS(871),
    [anon_sym_STAR_EQ] = ACTIONS(871),
    [anon_sym_SLASH_EQ] = ACTIONS(871),
    [anon_sym_PERCENT_EQ] = ACTIONS(871),
    [anon_sym_AMP_EQ] = ACTIONS(871),
    [anon_sym_PIPE_EQ] = ACTIONS(871),
    [anon_sym_CARET_EQ] = ACTIONS(871),
    [anon_sym_LT_LT_EQ] = ACTIONS(871),
    [anon_sym_GT_GT_EQ] = ACTIONS(871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(871),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(871),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(871),
    [anon_sym_if] = ACTIONS(874),
    [anon_sym_SEMI] = ACTIONS(871),
    [anon_sym_do] = ACTIONS(874),
    [anon_sym_when] = ACTIONS(874),
    [anon_sym_in] = ACTIONS(874),
    [anon_sym_QMARK] = ACTIONS(871),
    [anon_sym_PLUS] = ACTIONS(874),
    [anon_sym_DASH] = ACTIONS(874),
    [anon_sym_TILDE] = ACTIONS(874),
    [anon_sym_BANG] = ACTIONS(1346),
    [anon_sym_AMP] = ACTIONS(874),
    [anon_sym_PIPE_PIPE] = ACTIONS(874),
    [anon_sym_or_else] = ACTIONS(874),
    [anon_sym_AMP_AMP] = ACTIONS(874),
    [anon_sym_GT] = ACTIONS(874),
    [anon_sym_GT_EQ] = ACTIONS(871),
    [anon_sym_LT_EQ] = ACTIONS(871),
    [anon_sym_LT] = ACTIONS(874),
    [anon_sym_EQ_EQ] = ACTIONS(871),
    [anon_sym_BANG_EQ] = ACTIONS(871),
    [anon_sym_TILDE_EQ] = ACTIONS(871),
    [anon_sym_PIPE] = ACTIONS(874),
    [anon_sym_AMP_TILDE] = ACTIONS(874),
    [anon_sym_LT_LT] = ACTIONS(874),
    [anon_sym_GT_GT] = ACTIONS(874),
    [anon_sym_STAR] = ACTIONS(874),
    [anon_sym_SLASH] = ACTIONS(874),
    [anon_sym_PERCENT] = ACTIONS(874),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(871),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_LBRACK] = ACTIONS(1388),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(871),
    [anon_sym_DOT_DOT_LT] = ACTIONS(871),
    [anon_sym_not_in] = ACTIONS(874),
    [anon_sym_DOT_DOT] = ACTIONS(1351),
    [anon_sym_or_return] = ACTIONS(874),
    [anon_sym_or_continue] = ACTIONS(874),
    [anon_sym_or_break] = ACTIONS(874),
    [anon_sym_CARET] = ACTIONS(1392),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1356),
    [anon_sym_map] = ACTIONS(1358),
    [anon_sym_bit_set] = ACTIONS(1360),
    [anon_sym_matrix] = ACTIONS(1362),
    [anon_sym_distinct] = ACTIONS(275),
    [sym_tag] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [177] = {
    [sym_expression] = STATE(4556),
    [sym__expression_no_tag] = STATE(4564),
    [sym_unary_expression] = STATE(4564),
    [sym_binary_expression] = STATE(4564),
    [sym_ternary_expression] = STATE(4564),
    [sym_call_expression] = STATE(4564),
    [sym_selector_call_expression] = STATE(4564),
    [sym_member_expression] = STATE(4564),
    [sym_index_expression] = STATE(4564),
    [sym_slice_expression] = STATE(4564),
    [sym_range_expression] = STATE(4564),
    [sym_cast_expression] = STATE(4564),
    [sym_in_expression] = STATE(4564),
    [sym_variadic_expression] = STATE(4564),
    [sym_parenthesized_expression] = STATE(4564),
    [sym_or_return_expression] = STATE(4564),
    [sym_or_continue_expression] = STATE(4564),
    [sym_or_break_expression] = STATE(4564),
    [sym_address] = STATE(4564),
    [sym_map_type] = STATE(4564),
    [sym_matrix_type] = STATE(4564),
    [sym_distinct_type] = STATE(4564),
    [sym_literal] = STATE(4564),
    [sym_struct] = STATE(4562),
    [sym_map] = STATE(4320),
    [sym_bit_set] = STATE(4320),
    [sym_matrix] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym__string_literal] = STATE(4334),
    [sym__raw_string_literal] = STATE(4334),
    [sym_character] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_field_identifier] = STATE(7845),
    [sym_identifier] = ACTIONS(341),
    [anon_sym_LBRACE] = ACTIONS(943),
    [anon_sym_DASH_GT] = ACTIONS(131),
    [anon_sym_LPAREN] = ACTIONS(1396),
    [anon_sym_if] = ACTIONS(133),
    [anon_sym_do] = ACTIONS(133),
    [anon_sym_when] = ACTIONS(133),
    [anon_sym_in] = ACTIONS(133),
    [anon_sym_QMARK] = ACTIONS(1398),
    [anon_sym_PLUS] = ACTIONS(1400),
    [anon_sym_DASH] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(343),
    [anon_sym_BANG] = ACTIONS(343),
    [anon_sym_AMP] = ACTIONS(343),
    [anon_sym_PIPE_PIPE] = ACTIONS(131),
    [anon_sym_or_else] = ACTIONS(133),
    [anon_sym_AMP_AMP] = ACTIONS(131),
    [anon_sym_GT] = ACTIONS(133),
    [anon_sym_GT_EQ] = ACTIONS(131),
    [anon_sym_LT_EQ] = ACTIONS(131),
    [anon_sym_LT] = ACTIONS(133),
    [anon_sym_EQ_EQ] = ACTIONS(131),
    [anon_sym_BANG_EQ] = ACTIONS(131),
    [anon_sym_TILDE_EQ] = ACTIONS(131),
    [anon_sym_PIPE] = ACTIONS(133),
    [anon_sym_AMP_TILDE] = ACTIONS(131),
    [anon_sym_LT_LT] = ACTIONS(131),
    [anon_sym_GT_GT] = ACTIONS(131),
    [anon_sym_STAR] = ACTIONS(131),
    [anon_sym_SLASH] = ACTIONS(133),
    [anon_sym_PERCENT] = ACTIONS(133),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(131),
    [anon_sym_DOT] = ACTIONS(1402),
    [anon_sym_LBRACK] = ACTIONS(955),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(131),
    [anon_sym_DOT_DOT_LT] = ACTIONS(131),
    [anon_sym_cast] = ACTIONS(345),
    [anon_sym_transmute] = ACTIONS(345),
    [anon_sym_auto_cast] = ACTIONS(347),
    [anon_sym_not_in] = ACTIONS(133),
    [anon_sym_DOT_DOT] = ACTIONS(349),
    [anon_sym_or_return] = ACTIONS(133),
    [anon_sym_or_continue] = ACTIONS(133),
    [anon_sym_or_break] = ACTIONS(133),
    [anon_sym_CARET] = ACTIONS(131),
    [anon_sym_map] = ACTIONS(351),
    [anon_sym_bit_set] = ACTIONS(353),
    [anon_sym_matrix] = ACTIONS(355),
    [anon_sym_distinct] = ACTIONS(357),
    [sym_number] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(361),
    [anon_sym_BQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [anon_sym_true] = ACTIONS(367),
    [anon_sym_false] = ACTIONS(367),
    [sym_nil] = ACTIONS(369),
    [sym_uninitialized] = ACTIONS(359),
    [sym_tag] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(359),
    [sym_block_comment] = ACTIONS(3),
  },
  [178] = {
    [sym_expression] = STATE(4583),
    [sym__expression_no_tag] = STATE(4564),
    [sym_unary_expression] = STATE(4564),
    [sym_binary_expression] = STATE(4564),
    [sym_ternary_expression] = STATE(4564),
    [sym_call_expression] = STATE(4564),
    [sym_selector_call_expression] = STATE(4564),
    [sym_member_expression] = STATE(4564),
    [sym_index_expression] = STATE(4564),
    [sym_slice_expression] = STATE(4564),
    [sym_range_expression] = STATE(4564),
    [sym_cast_expression] = STATE(4564),
    [sym_in_expression] = STATE(4564),
    [sym_variadic_expression] = STATE(4564),
    [sym_parenthesized_expression] = STATE(4564),
    [sym_or_return_expression] = STATE(4564),
    [sym_or_continue_expression] = STATE(4564),
    [sym_or_break_expression] = STATE(4564),
    [sym_address] = STATE(4564),
    [sym_map_type] = STATE(4564),
    [sym_matrix_type] = STATE(4564),
    [sym_distinct_type] = STATE(4564),
    [sym_literal] = STATE(4564),
    [sym_struct] = STATE(4562),
    [sym_map] = STATE(4320),
    [sym_bit_set] = STATE(4320),
    [sym_matrix] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym__string_literal] = STATE(4334),
    [sym__raw_string_literal] = STATE(4334),
    [sym_character] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_field_identifier] = STATE(7845),
    [sym_identifier] = ACTIONS(341),
    [anon_sym_LBRACE] = ACTIONS(173),
    [anon_sym_DASH_GT] = ACTIONS(173),
    [anon_sym_LPAREN] = ACTIONS(173),
    [anon_sym_if] = ACTIONS(175),
    [anon_sym_do] = ACTIONS(175),
    [anon_sym_when] = ACTIONS(175),
    [anon_sym_in] = ACTIONS(175),
    [anon_sym_QMARK] = ACTIONS(173),
    [anon_sym_PLUS] = ACTIONS(173),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_TILDE] = ACTIONS(175),
    [anon_sym_BANG] = ACTIONS(343),
    [anon_sym_AMP] = ACTIONS(175),
    [anon_sym_PIPE_PIPE] = ACTIONS(173),
    [anon_sym_or_else] = ACTIONS(175),
    [anon_sym_AMP_AMP] = ACTIONS(173),
    [anon_sym_GT] = ACTIONS(175),
    [anon_sym_GT_EQ] = ACTIONS(173),
    [anon_sym_LT_EQ] = ACTIONS(173),
    [anon_sym_LT] = ACTIONS(175),
    [anon_sym_EQ_EQ] = ACTIONS(173),
    [anon_sym_BANG_EQ] = ACTIONS(173),
    [anon_sym_TILDE_EQ] = ACTIONS(173),
    [anon_sym_PIPE] = ACTIONS(175),
    [anon_sym_AMP_TILDE] = ACTIONS(173),
    [anon_sym_LT_LT] = ACTIONS(173),
    [anon_sym_GT_GT] = ACTIONS(173),
    [anon_sym_STAR] = ACTIONS(173),
    [anon_sym_SLASH] = ACTIONS(175),
    [anon_sym_PERCENT] = ACTIONS(175),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(173),
    [anon_sym_DOT] = ACTIONS(175),
    [anon_sym_LBRACK] = ACTIONS(173),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(173),
    [anon_sym_DOT_DOT_LT] = ACTIONS(173),
    [anon_sym_cast] = ACTIONS(345),
    [anon_sym_transmute] = ACTIONS(345),
    [anon_sym_auto_cast] = ACTIONS(347),
    [anon_sym_not_in] = ACTIONS(175),
    [anon_sym_DOT_DOT] = ACTIONS(349),
    [anon_sym_or_return] = ACTIONS(175),
    [anon_sym_or_continue] = ACTIONS(175),
    [anon_sym_or_break] = ACTIONS(175),
    [anon_sym_CARET] = ACTIONS(173),
    [anon_sym_map] = ACTIONS(351),
    [anon_sym_bit_set] = ACTIONS(353),
    [anon_sym_matrix] = ACTIONS(355),
    [anon_sym_distinct] = ACTIONS(357),
    [sym_number] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(361),
    [anon_sym_BQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [anon_sym_true] = ACTIONS(367),
    [anon_sym_false] = ACTIONS(367),
    [sym_nil] = ACTIONS(369),
    [sym_uninitialized] = ACTIONS(359),
    [sym_tag] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(359),
    [sym_block_comment] = ACTIONS(3),
  },
  [179] = {
    [sym_procedure] = STATE(2453),
    [sym_type] = STATE(2474),
    [sym_pointer_type] = STATE(2497),
    [sym_variadic_type] = STATE(2497),
    [sym_array_type] = STATE(2497),
    [sym_map_type] = STATE(2497),
    [sym_union_type] = STATE(2497),
    [sym_bit_set_type] = STATE(2497),
    [sym_matrix_type] = STATE(2497),
    [sym_field_type] = STATE(2497),
    [sym_tuple_type] = STATE(2497),
    [sym_struct_type] = STATE(2497),
    [sym_enum_type] = STATE(2497),
    [sym_constant_type] = STATE(2497),
    [sym_specialized_type] = STATE(2497),
    [sym__procedure_type] = STATE(2497),
    [sym_distinct_type] = STATE(2497),
    [sym_empty_type] = STATE(2497),
    [sym_polymorphic_type] = STATE(2497),
    [sym_conditional_type] = STATE(2497),
    [sym_identifier] = ACTIONS(1331),
    [anon_sym_LBRACE] = ACTIONS(833),
    [anon_sym_COMMA] = ACTIONS(833),
    [anon_sym_COLON_COLON] = ACTIONS(833),
    [anon_sym_proc] = ACTIONS(1333),
    [anon_sym_DASH_GT] = ACTIONS(833),
    [anon_sym_struct] = ACTIONS(1335),
    [anon_sym_enum] = ACTIONS(1337),
    [anon_sym_EQ] = ACTIONS(836),
    [anon_sym_union] = ACTIONS(1339),
    [anon_sym_COLON_EQ] = ACTIONS(833),
    [anon_sym_COLON] = ACTIONS(836),
    [anon_sym_LPAREN] = ACTIONS(1404),
    [anon_sym_DOLLAR] = ACTIONS(1344),
    [anon_sym_PLUS_EQ] = ACTIONS(833),
    [anon_sym_DASH_EQ] = ACTIONS(833),
    [anon_sym_STAR_EQ] = ACTIONS(833),
    [anon_sym_SLASH_EQ] = ACTIONS(833),
    [anon_sym_PERCENT_EQ] = ACTIONS(833),
    [anon_sym_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_EQ] = ACTIONS(833),
    [anon_sym_CARET_EQ] = ACTIONS(833),
    [anon_sym_LT_LT_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(833),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(833),
    [anon_sym_if] = ACTIONS(836),
    [anon_sym_SEMI] = ACTIONS(833),
    [anon_sym_do] = ACTIONS(836),
    [anon_sym_when] = ACTIONS(836),
    [anon_sym_in] = ACTIONS(836),
    [anon_sym_QMARK] = ACTIONS(833),
    [anon_sym_PLUS] = ACTIONS(836),
    [anon_sym_DASH] = ACTIONS(836),
    [anon_sym_TILDE] = ACTIONS(836),
    [anon_sym_BANG] = ACTIONS(1346),
    [anon_sym_AMP] = ACTIONS(836),
    [anon_sym_PIPE_PIPE] = ACTIONS(836),
    [anon_sym_or_else] = ACTIONS(836),
    [anon_sym_AMP_AMP] = ACTIONS(836),
    [anon_sym_GT] = ACTIONS(836),
    [anon_sym_GT_EQ] = ACTIONS(833),
    [anon_sym_LT_EQ] = ACTIONS(833),
    [anon_sym_LT] = ACTIONS(836),
    [anon_sym_EQ_EQ] = ACTIONS(833),
    [anon_sym_BANG_EQ] = ACTIONS(833),
    [anon_sym_TILDE_EQ] = ACTIONS(833),
    [anon_sym_PIPE] = ACTIONS(836),
    [anon_sym_AMP_TILDE] = ACTIONS(836),
    [anon_sym_LT_LT] = ACTIONS(836),
    [anon_sym_GT_GT] = ACTIONS(836),
    [anon_sym_STAR] = ACTIONS(836),
    [anon_sym_SLASH] = ACTIONS(836),
    [anon_sym_PERCENT] = ACTIONS(836),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(833),
    [anon_sym_DOT] = ACTIONS(836),
    [anon_sym_LBRACK] = ACTIONS(1408),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(833),
    [anon_sym_DOT_DOT_LT] = ACTIONS(833),
    [anon_sym_not_in] = ACTIONS(836),
    [anon_sym_DOT_DOT] = ACTIONS(1351),
    [anon_sym_or_return] = ACTIONS(836),
    [anon_sym_or_continue] = ACTIONS(836),
    [anon_sym_or_break] = ACTIONS(836),
    [anon_sym_CARET] = ACTIONS(1412),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1356),
    [anon_sym_map] = ACTIONS(1358),
    [anon_sym_bit_set] = ACTIONS(1360),
    [anon_sym_matrix] = ACTIONS(1362),
    [anon_sym_distinct] = ACTIONS(275),
    [sym_tag] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [180] = {
    [sym_procedure] = STATE(2453),
    [sym_type] = STATE(2487),
    [sym_pointer_type] = STATE(2497),
    [sym_variadic_type] = STATE(2497),
    [sym_array_type] = STATE(2497),
    [sym_map_type] = STATE(2497),
    [sym_union_type] = STATE(2497),
    [sym_bit_set_type] = STATE(2497),
    [sym_matrix_type] = STATE(2497),
    [sym_field_type] = STATE(2497),
    [sym_tuple_type] = STATE(2497),
    [sym_struct_type] = STATE(2497),
    [sym_enum_type] = STATE(2497),
    [sym_constant_type] = STATE(2497),
    [sym_specialized_type] = STATE(2497),
    [sym__procedure_type] = STATE(2497),
    [sym_distinct_type] = STATE(2497),
    [sym_empty_type] = STATE(2497),
    [sym_polymorphic_type] = STATE(2497),
    [sym_conditional_type] = STATE(2497),
    [sym_identifier] = ACTIONS(1331),
    [anon_sym_LBRACE] = ACTIONS(773),
    [anon_sym_COMMA] = ACTIONS(773),
    [anon_sym_COLON_COLON] = ACTIONS(773),
    [anon_sym_proc] = ACTIONS(1333),
    [anon_sym_DASH_GT] = ACTIONS(773),
    [anon_sym_struct] = ACTIONS(1335),
    [anon_sym_enum] = ACTIONS(1337),
    [anon_sym_EQ] = ACTIONS(778),
    [anon_sym_union] = ACTIONS(1339),
    [anon_sym_COLON_EQ] = ACTIONS(773),
    [anon_sym_COLON] = ACTIONS(778),
    [anon_sym_LPAREN] = ACTIONS(1416),
    [anon_sym_DOLLAR] = ACTIONS(1344),
    [anon_sym_PLUS_EQ] = ACTIONS(773),
    [anon_sym_DASH_EQ] = ACTIONS(773),
    [anon_sym_STAR_EQ] = ACTIONS(773),
    [anon_sym_SLASH_EQ] = ACTIONS(773),
    [anon_sym_PERCENT_EQ] = ACTIONS(773),
    [anon_sym_AMP_EQ] = ACTIONS(773),
    [anon_sym_PIPE_EQ] = ACTIONS(773),
    [anon_sym_CARET_EQ] = ACTIONS(773),
    [anon_sym_LT_LT_EQ] = ACTIONS(773),
    [anon_sym_GT_GT_EQ] = ACTIONS(773),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(773),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(773),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(773),
    [anon_sym_if] = ACTIONS(778),
    [anon_sym_SEMI] = ACTIONS(773),
    [anon_sym_do] = ACTIONS(778),
    [anon_sym_when] = ACTIONS(778),
    [anon_sym_in] = ACTIONS(778),
    [anon_sym_QMARK] = ACTIONS(773),
    [anon_sym_PLUS] = ACTIONS(778),
    [anon_sym_DASH] = ACTIONS(778),
    [anon_sym_TILDE] = ACTIONS(778),
    [anon_sym_BANG] = ACTIONS(1346),
    [anon_sym_AMP] = ACTIONS(778),
    [anon_sym_PIPE_PIPE] = ACTIONS(778),
    [anon_sym_or_else] = ACTIONS(778),
    [anon_sym_AMP_AMP] = ACTIONS(778),
    [anon_sym_GT] = ACTIONS(778),
    [anon_sym_GT_EQ] = ACTIONS(773),
    [anon_sym_LT_EQ] = ACTIONS(773),
    [anon_sym_LT] = ACTIONS(778),
    [anon_sym_EQ_EQ] = ACTIONS(773),
    [anon_sym_BANG_EQ] = ACTIONS(773),
    [anon_sym_TILDE_EQ] = ACTIONS(773),
    [anon_sym_PIPE] = ACTIONS(778),
    [anon_sym_AMP_TILDE] = ACTIONS(778),
    [anon_sym_LT_LT] = ACTIONS(778),
    [anon_sym_GT_GT] = ACTIONS(778),
    [anon_sym_STAR] = ACTIONS(778),
    [anon_sym_SLASH] = ACTIONS(778),
    [anon_sym_PERCENT] = ACTIONS(778),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(773),
    [anon_sym_DOT] = ACTIONS(778),
    [anon_sym_LBRACK] = ACTIONS(1420),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(773),
    [anon_sym_DOT_DOT_LT] = ACTIONS(773),
    [anon_sym_not_in] = ACTIONS(778),
    [anon_sym_DOT_DOT] = ACTIONS(1351),
    [anon_sym_or_return] = ACTIONS(778),
    [anon_sym_or_continue] = ACTIONS(778),
    [anon_sym_or_break] = ACTIONS(778),
    [anon_sym_CARET] = ACTIONS(1424),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1356),
    [anon_sym_map] = ACTIONS(1358),
    [anon_sym_bit_set] = ACTIONS(1360),
    [anon_sym_matrix] = ACTIONS(1362),
    [anon_sym_distinct] = ACTIONS(275),
    [sym_tag] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [181] = {
    [sym_procedure] = STATE(2453),
    [sym_type] = STATE(2490),
    [sym_pointer_type] = STATE(2497),
    [sym_variadic_type] = STATE(2497),
    [sym_array_type] = STATE(2497),
    [sym_map_type] = STATE(2497),
    [sym_union_type] = STATE(2497),
    [sym_bit_set_type] = STATE(2497),
    [sym_matrix_type] = STATE(2497),
    [sym_field_type] = STATE(2497),
    [sym_tuple_type] = STATE(2497),
    [sym_struct_type] = STATE(2497),
    [sym_enum_type] = STATE(2497),
    [sym_constant_type] = STATE(2497),
    [sym_specialized_type] = STATE(2497),
    [sym__procedure_type] = STATE(2497),
    [sym_distinct_type] = STATE(2497),
    [sym_empty_type] = STATE(2497),
    [sym_polymorphic_type] = STATE(2497),
    [sym_conditional_type] = STATE(2497),
    [sym_identifier] = ACTIONS(1331),
    [anon_sym_LBRACE] = ACTIONS(909),
    [anon_sym_COMMA] = ACTIONS(909),
    [anon_sym_COLON_COLON] = ACTIONS(909),
    [anon_sym_proc] = ACTIONS(1333),
    [anon_sym_DASH_GT] = ACTIONS(909),
    [anon_sym_struct] = ACTIONS(1335),
    [anon_sym_enum] = ACTIONS(1337),
    [anon_sym_EQ] = ACTIONS(911),
    [anon_sym_union] = ACTIONS(1339),
    [anon_sym_COLON_EQ] = ACTIONS(909),
    [anon_sym_COLON] = ACTIONS(911),
    [anon_sym_LPAREN] = ACTIONS(1428),
    [anon_sym_DOLLAR] = ACTIONS(1344),
    [anon_sym_PLUS_EQ] = ACTIONS(909),
    [anon_sym_DASH_EQ] = ACTIONS(909),
    [anon_sym_STAR_EQ] = ACTIONS(909),
    [anon_sym_SLASH_EQ] = ACTIONS(909),
    [anon_sym_PERCENT_EQ] = ACTIONS(909),
    [anon_sym_AMP_EQ] = ACTIONS(909),
    [anon_sym_PIPE_EQ] = ACTIONS(909),
    [anon_sym_CARET_EQ] = ACTIONS(909),
    [anon_sym_LT_LT_EQ] = ACTIONS(909),
    [anon_sym_GT_GT_EQ] = ACTIONS(909),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(909),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(909),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(909),
    [anon_sym_if] = ACTIONS(911),
    [anon_sym_SEMI] = ACTIONS(909),
    [anon_sym_do] = ACTIONS(911),
    [anon_sym_when] = ACTIONS(911),
    [anon_sym_in] = ACTIONS(911),
    [anon_sym_QMARK] = ACTIONS(909),
    [anon_sym_PLUS] = ACTIONS(911),
    [anon_sym_DASH] = ACTIONS(911),
    [anon_sym_TILDE] = ACTIONS(911),
    [anon_sym_BANG] = ACTIONS(1346),
    [anon_sym_AMP] = ACTIONS(911),
    [anon_sym_PIPE_PIPE] = ACTIONS(911),
    [anon_sym_or_else] = ACTIONS(911),
    [anon_sym_AMP_AMP] = ACTIONS(911),
    [anon_sym_GT] = ACTIONS(911),
    [anon_sym_GT_EQ] = ACTIONS(909),
    [anon_sym_LT_EQ] = ACTIONS(909),
    [anon_sym_LT] = ACTIONS(911),
    [anon_sym_EQ_EQ] = ACTIONS(909),
    [anon_sym_BANG_EQ] = ACTIONS(909),
    [anon_sym_TILDE_EQ] = ACTIONS(909),
    [anon_sym_PIPE] = ACTIONS(911),
    [anon_sym_AMP_TILDE] = ACTIONS(911),
    [anon_sym_LT_LT] = ACTIONS(911),
    [anon_sym_GT_GT] = ACTIONS(911),
    [anon_sym_STAR] = ACTIONS(911),
    [anon_sym_SLASH] = ACTIONS(911),
    [anon_sym_PERCENT] = ACTIONS(911),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(909),
    [anon_sym_DOT] = ACTIONS(911),
    [anon_sym_LBRACK] = ACTIONS(1431),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(909),
    [anon_sym_DOT_DOT_LT] = ACTIONS(909),
    [anon_sym_not_in] = ACTIONS(911),
    [anon_sym_DOT_DOT] = ACTIONS(1351),
    [anon_sym_or_return] = ACTIONS(911),
    [anon_sym_or_continue] = ACTIONS(911),
    [anon_sym_or_break] = ACTIONS(911),
    [anon_sym_CARET] = ACTIONS(1434),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1356),
    [anon_sym_map] = ACTIONS(1358),
    [anon_sym_bit_set] = ACTIONS(1360),
    [anon_sym_matrix] = ACTIONS(1362),
    [anon_sym_distinct] = ACTIONS(275),
    [sym_tag] = ACTIONS(1364),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [182] = {
    [sym_expression] = STATE(5535),
    [sym__expression_no_tag] = STATE(4572),
    [sym_unary_expression] = STATE(4572),
    [sym_binary_expression] = STATE(4572),
    [sym_ternary_expression] = STATE(4572),
    [sym_call_expression] = STATE(4572),
    [sym_selector_call_expression] = STATE(4572),
    [sym_member_expression] = STATE(4572),
    [sym_index_expression] = STATE(4572),
    [sym_slice_expression] = STATE(4572),
    [sym_range_expression] = STATE(4572),
    [sym_cast_expression] = STATE(4572),
    [sym_in_expression] = STATE(4572),
    [sym_variadic_expression] = STATE(4572),
    [sym_parenthesized_expression] = STATE(4572),
    [sym_or_return_expression] = STATE(4572),
    [sym_or_continue_expression] = STATE(4572),
    [sym_or_break_expression] = STATE(4572),
    [sym_address] = STATE(4572),
    [sym_map_type] = STATE(4572),
    [sym_matrix_type] = STATE(4572),
    [sym_distinct_type] = STATE(4572),
    [sym_literal] = STATE(4572),
    [sym_struct] = STATE(4562),
    [sym_map] = STATE(4320),
    [sym_bit_set] = STATE(4320),
    [sym_matrix] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym__string_literal] = STATE(4334),
    [sym__raw_string_literal] = STATE(4334),
    [sym_character] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_field_identifier] = STATE(7845),
    [sym_identifier] = ACTIONS(1437),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_DASH_GT] = ACTIONS(67),
    [anon_sym_LPAREN] = ACTIONS(1439),
    [anon_sym_do] = ACTIONS(71),
    [anon_sym_in] = ACTIONS(71),
    [anon_sym_QMARK] = ACTIONS(385),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(343),
    [anon_sym_AMP] = ACTIONS(71),
    [anon_sym_PIPE_PIPE] = ACTIONS(67),
    [anon_sym_or_else] = ACTIONS(71),
    [anon_sym_AMP_AMP] = ACTIONS(67),
    [anon_sym_GT] = ACTIONS(71),
    [anon_sym_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_EQ] = ACTIONS(67),
    [anon_sym_LT] = ACTIONS(71),
    [anon_sym_EQ_EQ] = ACTIONS(67),
    [anon_sym_BANG_EQ] = ACTIONS(67),
    [anon_sym_TILDE_EQ] = ACTIONS(67),
    [anon_sym_PIPE] = ACTIONS(71),
    [anon_sym_AMP_TILDE] = ACTIONS(67),
    [anon_sym_LT_LT] = ACTIONS(67),
    [anon_sym_GT_GT] = ACTIONS(67),
    [anon_sym_STAR] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(71),
    [anon_sym_PERCENT] = ACTIONS(71),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(67),
    [anon_sym_DOT] = ACTIONS(71),
    [anon_sym_LBRACK] = ACTIONS(67),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(67),
    [anon_sym_DOT_DOT_LT] = ACTIONS(67),
    [anon_sym_cast] = ACTIONS(345),
    [anon_sym_transmute] = ACTIONS(345),
    [anon_sym_auto_cast] = ACTIONS(347),
    [anon_sym_not_in] = ACTIONS(71),
    [anon_sym_DOT_DOT] = ACTIONS(349),
    [anon_sym_or_return] = ACTIONS(71),
    [anon_sym_or_continue] = ACTIONS(71),
    [anon_sym_or_break] = ACTIONS(71),
    [anon_sym_CARET] = ACTIONS(67),
    [anon_sym_map] = ACTIONS(351),
    [anon_sym_bit_set] = ACTIONS(353),
    [anon_sym_matrix] = ACTIONS(355),
    [anon_sym_distinct] = ACTIONS(357),
    [sym_number] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(361),
    [anon_sym_BQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [anon_sym_true] = ACTIONS(367),
    [anon_sym_false] = ACTIONS(367),
    [sym_nil] = ACTIONS(369),
    [sym_uninitialized] = ACTIONS(359),
    [sym_tag] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(359),
    [sym_block_comment] = ACTIONS(3),
  },
  [183] = {
    [sym_expression] = STATE(5564),
    [sym__expression_no_tag] = STATE(4572),
    [sym_unary_expression] = STATE(4572),
    [sym_binary_expression] = STATE(4572),
    [sym_ternary_expression] = STATE(4572),
    [sym_call_expression] = STATE(4572),
    [sym_selector_call_expression] = STATE(4572),
    [sym_member_expression] = STATE(4572),
    [sym_index_expression] = STATE(4572),
    [sym_slice_expression] = STATE(4572),
    [sym_range_expression] = STATE(4572),
    [sym_cast_expression] = STATE(4572),
    [sym_in_expression] = STATE(4572),
    [sym_variadic_expression] = STATE(4572),
    [sym_parenthesized_expression] = STATE(4572),
    [sym_or_return_expression] = STATE(4572),
    [sym_or_continue_expression] = STATE(4572),
    [sym_or_break_expression] = STATE(4572),
    [sym_address] = STATE(4572),
    [sym_map_type] = STATE(4572),
    [sym_matrix_type] = STATE(4572),
    [sym_distinct_type] = STATE(4572),
    [sym_literal] = STATE(4572),
    [sym_struct] = STATE(4562),
    [sym_map] = STATE(4320),
    [sym_bit_set] = STATE(4320),
    [sym_matrix] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym__string_literal] = STATE(4334),
    [sym__raw_string_literal] = STATE(4334),
    [sym_character] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_field_identifier] = STATE(7845),
    [sym_identifier] = ACTIONS(1437),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_DASH_GT] = ACTIONS(67),
    [anon_sym_LPAREN] = ACTIONS(1439),
    [anon_sym_do] = ACTIONS(71),
    [anon_sym_in] = ACTIONS(71),
    [anon_sym_QMARK] = ACTIONS(385),
    [anon_sym_PLUS] = ACTIONS(67),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_BANG] = ACTIONS(343),
    [anon_sym_AMP] = ACTIONS(71),
    [anon_sym_PIPE_PIPE] = ACTIONS(67),
    [anon_sym_or_else] = ACTIONS(71),
    [anon_sym_AMP_AMP] = ACTIONS(67),
    [anon_sym_GT] = ACTIONS(71),
    [anon_sym_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_EQ] = ACTIONS(67),
    [anon_sym_LT] = ACTIONS(71),
    [anon_sym_EQ_EQ] = ACTIONS(67),
    [anon_sym_BANG_EQ] = ACTIONS(67),
    [anon_sym_TILDE_EQ] = ACTIONS(67),
    [anon_sym_PIPE] = ACTIONS(71),
    [anon_sym_AMP_TILDE] = ACTIONS(67),
    [anon_sym_LT_LT] = ACTIONS(67),
    [anon_sym_GT_GT] = ACTIONS(67),
    [anon_sym_STAR] = ACTIONS(67),
    [anon_sym_SLASH] = ACTIONS(71),
    [anon_sym_PERCENT] = ACTIONS(71),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(67),
    [anon_sym_DOT] = ACTIONS(71),
    [anon_sym_LBRACK] = ACTIONS(67),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(67),
    [anon_sym_DOT_DOT_LT] = ACTIONS(67),
    [anon_sym_cast] = ACTIONS(345),
    [anon_sym_transmute] = ACTIONS(345),
    [anon_sym_auto_cast] = ACTIONS(347),
    [anon_sym_not_in] = ACTIONS(71),
    [anon_sym_DOT_DOT] = ACTIONS(349),
    [anon_sym_or_return] = ACTIONS(71),
    [anon_sym_or_continue] = ACTIONS(71),
    [anon_sym_or_break] = ACTIONS(71),
    [anon_sym_CARET] = ACTIONS(67),
    [anon_sym_map] = ACTIONS(351),
    [anon_sym_bit_set] = ACTIONS(353),
    [anon_sym_matrix] = ACTIONS(355),
    [anon_sym_distinct] = ACTIONS(357),
    [sym_number] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(361),
    [anon_sym_BQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [anon_sym_true] = ACTIONS(367),
    [anon_sym_false] = ACTIONS(367),
    [sym_nil] = ACTIONS(369),
    [sym_uninitialized] = ACTIONS(359),
    [sym_tag] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(359),
    [sym_block_comment] = ACTIONS(3),
  },
  [184] = {
    [sym_procedure] = STATE(2675),
    [sym_type] = STATE(2738),
    [sym_pointer_type] = STATE(2697),
    [sym_variadic_type] = STATE(2697),
    [sym_array_type] = STATE(2697),
    [sym_map_type] = STATE(2697),
    [sym_union_type] = STATE(2697),
    [sym_bit_set_type] = STATE(2697),
    [sym_matrix_type] = STATE(2697),
    [sym_field_type] = STATE(2697),
    [sym_tuple_type] = STATE(2697),
    [sym_struct_type] = STATE(2697),
    [sym_enum_type] = STATE(2697),
    [sym_constant_type] = STATE(2697),
    [sym_specialized_type] = STATE(2697),
    [sym__procedure_type] = STATE(2697),
    [sym_distinct_type] = STATE(2697),
    [sym_empty_type] = STATE(2697),
    [sym_polymorphic_type] = STATE(2697),
    [sym_conditional_type] = STATE(2697),
    [sym_identifier] = ACTIONS(1441),
    [anon_sym_COMMA] = ACTIONS(773),
    [anon_sym_COLON_COLON] = ACTIONS(773),
    [anon_sym_proc] = ACTIONS(1443),
    [anon_sym_DASH_GT] = ACTIONS(773),
    [anon_sym_struct] = ACTIONS(1445),
    [anon_sym_enum] = ACTIONS(1447),
    [anon_sym_EQ] = ACTIONS(778),
    [anon_sym_union] = ACTIONS(1449),
    [anon_sym_COLON_EQ] = ACTIONS(773),
    [anon_sym_COLON] = ACTIONS(778),
    [anon_sym_LPAREN] = ACTIONS(1451),
    [anon_sym_DOLLAR] = ACTIONS(1455),
    [anon_sym_PLUS_EQ] = ACTIONS(773),
    [anon_sym_DASH_EQ] = ACTIONS(773),
    [anon_sym_STAR_EQ] = ACTIONS(773),
    [anon_sym_SLASH_EQ] = ACTIONS(773),
    [anon_sym_PERCENT_EQ] = ACTIONS(773),
    [anon_sym_AMP_EQ] = ACTIONS(773),
    [anon_sym_PIPE_EQ] = ACTIONS(773),
    [anon_sym_CARET_EQ] = ACTIONS(773),
    [anon_sym_LT_LT_EQ] = ACTIONS(773),
    [anon_sym_GT_GT_EQ] = ACTIONS(773),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(773),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(773),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(773),
    [anon_sym_if] = ACTIONS(778),
    [anon_sym_when] = ACTIONS(778),
    [anon_sym_in] = ACTIONS(778),
    [anon_sym_QMARK] = ACTIONS(773),
    [anon_sym_PLUS] = ACTIONS(778),
    [anon_sym_DASH] = ACTIONS(778),
    [anon_sym_TILDE] = ACTIONS(778),
    [anon_sym_BANG] = ACTIONS(1457),
    [anon_sym_AMP] = ACTIONS(778),
    [anon_sym_PIPE_PIPE] = ACTIONS(778),
    [anon_sym_or_else] = ACTIONS(778),
    [anon_sym_AMP_AMP] = ACTIONS(778),
    [anon_sym_GT] = ACTIONS(778),
    [anon_sym_GT_EQ] = ACTIONS(773),
    [anon_sym_LT_EQ] = ACTIONS(773),
    [anon_sym_LT] = ACTIONS(778),
    [anon_sym_EQ_EQ] = ACTIONS(773),
    [anon_sym_BANG_EQ] = ACTIONS(773),
    [anon_sym_TILDE_EQ] = ACTIONS(773),
    [anon_sym_PIPE] = ACTIONS(778),
    [anon_sym_AMP_TILDE] = ACTIONS(778),
    [anon_sym_LT_LT] = ACTIONS(778),
    [anon_sym_GT_GT] = ACTIONS(778),
    [anon_sym_STAR] = ACTIONS(778),
    [anon_sym_SLASH] = ACTIONS(778),
    [anon_sym_PERCENT] = ACTIONS(778),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(773),
    [anon_sym_DOT] = ACTIONS(778),
    [anon_sym_LBRACK] = ACTIONS(1459),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(773),
    [anon_sym_DOT_DOT_LT] = ACTIONS(773),
    [anon_sym_not_in] = ACTIONS(778),
    [anon_sym_DOT_DOT] = ACTIONS(1463),
    [anon_sym_or_return] = ACTIONS(778),
    [anon_sym_or_continue] = ACTIONS(778),
    [anon_sym_or_break] = ACTIONS(778),
    [anon_sym_CARET] = ACTIONS(1465),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1469),
    [anon_sym_map] = ACTIONS(1471),
    [anon_sym_bit_set] = ACTIONS(1473),
    [anon_sym_matrix] = ACTIONS(1475),
    [anon_sym_distinct] = ACTIONS(325),
    [sym_tag] = ACTIONS(1477),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [185] = {
    [sym_procedure] = STATE(2675),
    [sym_type] = STATE(2734),
    [sym_pointer_type] = STATE(2697),
    [sym_variadic_type] = STATE(2697),
    [sym_array_type] = STATE(2697),
    [sym_map_type] = STATE(2697),
    [sym_union_type] = STATE(2697),
    [sym_bit_set_type] = STATE(2697),
    [sym_matrix_type] = STATE(2697),
    [sym_field_type] = STATE(2697),
    [sym_tuple_type] = STATE(2697),
    [sym_struct_type] = STATE(2697),
    [sym_enum_type] = STATE(2697),
    [sym_constant_type] = STATE(2697),
    [sym_specialized_type] = STATE(2697),
    [sym__procedure_type] = STATE(2697),
    [sym_distinct_type] = STATE(2697),
    [sym_empty_type] = STATE(2697),
    [sym_polymorphic_type] = STATE(2697),
    [sym_conditional_type] = STATE(2697),
    [sym_identifier] = ACTIONS(1441),
    [anon_sym_COMMA] = ACTIONS(817),
    [anon_sym_COLON_COLON] = ACTIONS(817),
    [anon_sym_proc] = ACTIONS(1443),
    [anon_sym_DASH_GT] = ACTIONS(817),
    [anon_sym_struct] = ACTIONS(1445),
    [anon_sym_enum] = ACTIONS(1447),
    [anon_sym_EQ] = ACTIONS(819),
    [anon_sym_union] = ACTIONS(1449),
    [anon_sym_COLON_EQ] = ACTIONS(817),
    [anon_sym_COLON] = ACTIONS(819),
    [anon_sym_LPAREN] = ACTIONS(1479),
    [anon_sym_DOLLAR] = ACTIONS(1455),
    [anon_sym_PLUS_EQ] = ACTIONS(817),
    [anon_sym_DASH_EQ] = ACTIONS(817),
    [anon_sym_STAR_EQ] = ACTIONS(817),
    [anon_sym_SLASH_EQ] = ACTIONS(817),
    [anon_sym_PERCENT_EQ] = ACTIONS(817),
    [anon_sym_AMP_EQ] = ACTIONS(817),
    [anon_sym_PIPE_EQ] = ACTIONS(817),
    [anon_sym_CARET_EQ] = ACTIONS(817),
    [anon_sym_LT_LT_EQ] = ACTIONS(817),
    [anon_sym_GT_GT_EQ] = ACTIONS(817),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(817),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(817),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(817),
    [anon_sym_if] = ACTIONS(819),
    [anon_sym_when] = ACTIONS(819),
    [anon_sym_in] = ACTIONS(819),
    [anon_sym_QMARK] = ACTIONS(817),
    [anon_sym_PLUS] = ACTIONS(819),
    [anon_sym_DASH] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(819),
    [anon_sym_BANG] = ACTIONS(1457),
    [anon_sym_AMP] = ACTIONS(819),
    [anon_sym_PIPE_PIPE] = ACTIONS(819),
    [anon_sym_or_else] = ACTIONS(819),
    [anon_sym_AMP_AMP] = ACTIONS(819),
    [anon_sym_GT] = ACTIONS(819),
    [anon_sym_GT_EQ] = ACTIONS(817),
    [anon_sym_LT_EQ] = ACTIONS(817),
    [anon_sym_LT] = ACTIONS(819),
    [anon_sym_EQ_EQ] = ACTIONS(817),
    [anon_sym_BANG_EQ] = ACTIONS(817),
    [anon_sym_TILDE_EQ] = ACTIONS(817),
    [anon_sym_PIPE] = ACTIONS(819),
    [anon_sym_AMP_TILDE] = ACTIONS(819),
    [anon_sym_LT_LT] = ACTIONS(819),
    [anon_sym_GT_GT] = ACTIONS(819),
    [anon_sym_STAR] = ACTIONS(819),
    [anon_sym_SLASH] = ACTIONS(819),
    [anon_sym_PERCENT] = ACTIONS(819),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(817),
    [anon_sym_DOT] = ACTIONS(819),
    [anon_sym_LBRACK] = ACTIONS(1482),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(817),
    [anon_sym_DOT_DOT_LT] = ACTIONS(817),
    [anon_sym_not_in] = ACTIONS(819),
    [anon_sym_DOT_DOT] = ACTIONS(1463),
    [anon_sym_or_return] = ACTIONS(819),
    [anon_sym_or_continue] = ACTIONS(819),
    [anon_sym_or_break] = ACTIONS(819),
    [anon_sym_CARET] = ACTIONS(1485),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1469),
    [anon_sym_map] = ACTIONS(1471),
    [anon_sym_bit_set] = ACTIONS(1473),
    [anon_sym_matrix] = ACTIONS(1475),
    [anon_sym_distinct] = ACTIONS(325),
    [sym_tag] = ACTIONS(1477),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [186] = {
    [sym_procedure] = STATE(2675),
    [sym_type] = STATE(2714),
    [sym_pointer_type] = STATE(2697),
    [sym_variadic_type] = STATE(2697),
    [sym_array_type] = STATE(2697),
    [sym_map_type] = STATE(2697),
    [sym_union_type] = STATE(2697),
    [sym_bit_set_type] = STATE(2697),
    [sym_matrix_type] = STATE(2697),
    [sym_field_type] = STATE(2697),
    [sym_tuple_type] = STATE(2697),
    [sym_struct_type] = STATE(2697),
    [sym_enum_type] = STATE(2697),
    [sym_constant_type] = STATE(2697),
    [sym_specialized_type] = STATE(2697),
    [sym__procedure_type] = STATE(2697),
    [sym_distinct_type] = STATE(2697),
    [sym_empty_type] = STATE(2697),
    [sym_polymorphic_type] = STATE(2697),
    [sym_conditional_type] = STATE(2697),
    [sym_identifier] = ACTIONS(1441),
    [anon_sym_COMMA] = ACTIONS(871),
    [anon_sym_COLON_COLON] = ACTIONS(871),
    [anon_sym_proc] = ACTIONS(1443),
    [anon_sym_DASH_GT] = ACTIONS(871),
    [anon_sym_struct] = ACTIONS(1445),
    [anon_sym_enum] = ACTIONS(1447),
    [anon_sym_EQ] = ACTIONS(874),
    [anon_sym_union] = ACTIONS(1449),
    [anon_sym_COLON_EQ] = ACTIONS(871),
    [anon_sym_COLON] = ACTIONS(874),
    [anon_sym_LPAREN] = ACTIONS(1488),
    [anon_sym_DOLLAR] = ACTIONS(1455),
    [anon_sym_PLUS_EQ] = ACTIONS(871),
    [anon_sym_DASH_EQ] = ACTIONS(871),
    [anon_sym_STAR_EQ] = ACTIONS(871),
    [anon_sym_SLASH_EQ] = ACTIONS(871),
    [anon_sym_PERCENT_EQ] = ACTIONS(871),
    [anon_sym_AMP_EQ] = ACTIONS(871),
    [anon_sym_PIPE_EQ] = ACTIONS(871),
    [anon_sym_CARET_EQ] = ACTIONS(871),
    [anon_sym_LT_LT_EQ] = ACTIONS(871),
    [anon_sym_GT_GT_EQ] = ACTIONS(871),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(871),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(871),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(871),
    [anon_sym_if] = ACTIONS(874),
    [anon_sym_when] = ACTIONS(874),
    [anon_sym_in] = ACTIONS(874),
    [anon_sym_QMARK] = ACTIONS(871),
    [anon_sym_PLUS] = ACTIONS(874),
    [anon_sym_DASH] = ACTIONS(874),
    [anon_sym_TILDE] = ACTIONS(874),
    [anon_sym_BANG] = ACTIONS(1457),
    [anon_sym_AMP] = ACTIONS(874),
    [anon_sym_PIPE_PIPE] = ACTIONS(874),
    [anon_sym_or_else] = ACTIONS(874),
    [anon_sym_AMP_AMP] = ACTIONS(874),
    [anon_sym_GT] = ACTIONS(874),
    [anon_sym_GT_EQ] = ACTIONS(871),
    [anon_sym_LT_EQ] = ACTIONS(871),
    [anon_sym_LT] = ACTIONS(874),
    [anon_sym_EQ_EQ] = ACTIONS(871),
    [anon_sym_BANG_EQ] = ACTIONS(871),
    [anon_sym_TILDE_EQ] = ACTIONS(871),
    [anon_sym_PIPE] = ACTIONS(874),
    [anon_sym_AMP_TILDE] = ACTIONS(874),
    [anon_sym_LT_LT] = ACTIONS(874),
    [anon_sym_GT_GT] = ACTIONS(874),
    [anon_sym_STAR] = ACTIONS(874),
    [anon_sym_SLASH] = ACTIONS(874),
    [anon_sym_PERCENT] = ACTIONS(874),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(871),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_LBRACK] = ACTIONS(1492),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(871),
    [anon_sym_DOT_DOT_LT] = ACTIONS(871),
    [anon_sym_not_in] = ACTIONS(874),
    [anon_sym_DOT_DOT] = ACTIONS(1463),
    [anon_sym_or_return] = ACTIONS(874),
    [anon_sym_or_continue] = ACTIONS(874),
    [anon_sym_or_break] = ACTIONS(874),
    [anon_sym_CARET] = ACTIONS(1496),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1469),
    [anon_sym_map] = ACTIONS(1471),
    [anon_sym_bit_set] = ACTIONS(1473),
    [anon_sym_matrix] = ACTIONS(1475),
    [anon_sym_distinct] = ACTIONS(325),
    [sym_tag] = ACTIONS(1477),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [187] = {
    [sym_procedure] = STATE(2675),
    [sym_type] = STATE(2721),
    [sym_pointer_type] = STATE(2697),
    [sym_variadic_type] = STATE(2697),
    [sym_array_type] = STATE(2697),
    [sym_map_type] = STATE(2697),
    [sym_union_type] = STATE(2697),
    [sym_bit_set_type] = STATE(2697),
    [sym_matrix_type] = STATE(2697),
    [sym_field_type] = STATE(2697),
    [sym_tuple_type] = STATE(2697),
    [sym_struct_type] = STATE(2697),
    [sym_enum_type] = STATE(2697),
    [sym_constant_type] = STATE(2697),
    [sym_specialized_type] = STATE(2697),
    [sym__procedure_type] = STATE(2697),
    [sym_distinct_type] = STATE(2697),
    [sym_empty_type] = STATE(2697),
    [sym_polymorphic_type] = STATE(2697),
    [sym_conditional_type] = STATE(2697),
    [sym_identifier] = ACTIONS(1441),
    [anon_sym_COMMA] = ACTIONS(833),
    [anon_sym_COLON_COLON] = ACTIONS(833),
    [anon_sym_proc] = ACTIONS(1443),
    [anon_sym_DASH_GT] = ACTIONS(833),
    [anon_sym_struct] = ACTIONS(1445),
    [anon_sym_enum] = ACTIONS(1447),
    [anon_sym_EQ] = ACTIONS(836),
    [anon_sym_union] = ACTIONS(1449),
    [anon_sym_COLON_EQ] = ACTIONS(833),
    [anon_sym_COLON] = ACTIONS(836),
    [anon_sym_LPAREN] = ACTIONS(1500),
    [anon_sym_DOLLAR] = ACTIONS(1455),
    [anon_sym_PLUS_EQ] = ACTIONS(833),
    [anon_sym_DASH_EQ] = ACTIONS(833),
    [anon_sym_STAR_EQ] = ACTIONS(833),
    [anon_sym_SLASH_EQ] = ACTIONS(833),
    [anon_sym_PERCENT_EQ] = ACTIONS(833),
    [anon_sym_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_EQ] = ACTIONS(833),
    [anon_sym_CARET_EQ] = ACTIONS(833),
    [anon_sym_LT_LT_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(833),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(833),
    [anon_sym_if] = ACTIONS(836),
    [anon_sym_when] = ACTIONS(836),
    [anon_sym_in] = ACTIONS(836),
    [anon_sym_QMARK] = ACTIONS(833),
    [anon_sym_PLUS] = ACTIONS(836),
    [anon_sym_DASH] = ACTIONS(836),
    [anon_sym_TILDE] = ACTIONS(836),
    [anon_sym_BANG] = ACTIONS(1457),
    [anon_sym_AMP] = ACTIONS(836),
    [anon_sym_PIPE_PIPE] = ACTIONS(836),
    [anon_sym_or_else] = ACTIONS(836),
    [anon_sym_AMP_AMP] = ACTIONS(836),
    [anon_sym_GT] = ACTIONS(836),
    [anon_sym_GT_EQ] = ACTIONS(833),
    [anon_sym_LT_EQ] = ACTIONS(833),
    [anon_sym_LT] = ACTIONS(836),
    [anon_sym_EQ_EQ] = ACTIONS(833),
    [anon_sym_BANG_EQ] = ACTIONS(833),
    [anon_sym_TILDE_EQ] = ACTIONS(833),
    [anon_sym_PIPE] = ACTIONS(836),
    [anon_sym_AMP_TILDE] = ACTIONS(836),
    [anon_sym_LT_LT] = ACTIONS(836),
    [anon_sym_GT_GT] = ACTIONS(836),
    [anon_sym_STAR] = ACTIONS(836),
    [anon_sym_SLASH] = ACTIONS(836),
    [anon_sym_PERCENT] = ACTIONS(836),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(833),
    [anon_sym_DOT] = ACTIONS(836),
    [anon_sym_LBRACK] = ACTIONS(1504),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(833),
    [anon_sym_DOT_DOT_LT] = ACTIONS(833),
    [anon_sym_not_in] = ACTIONS(836),
    [anon_sym_DOT_DOT] = ACTIONS(1463),
    [anon_sym_or_return] = ACTIONS(836),
    [anon_sym_or_continue] = ACTIONS(836),
    [anon_sym_or_break] = ACTIONS(836),
    [anon_sym_CARET] = ACTIONS(1508),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1469),
    [anon_sym_map] = ACTIONS(1471),
    [anon_sym_bit_set] = ACTIONS(1473),
    [anon_sym_matrix] = ACTIONS(1475),
    [anon_sym_distinct] = ACTIONS(325),
    [sym_tag] = ACTIONS(1477),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [188] = {
    [sym_procedure] = STATE(2675),
    [sym_type] = STATE(2672),
    [sym_pointer_type] = STATE(2697),
    [sym_variadic_type] = STATE(2697),
    [sym_array_type] = STATE(2697),
    [sym_map_type] = STATE(2697),
    [sym_union_type] = STATE(2697),
    [sym_bit_set_type] = STATE(2697),
    [sym_matrix_type] = STATE(2697),
    [sym_field_type] = STATE(2697),
    [sym_tuple_type] = STATE(2697),
    [sym_struct_type] = STATE(2697),
    [sym_enum_type] = STATE(2697),
    [sym_constant_type] = STATE(2697),
    [sym_specialized_type] = STATE(2697),
    [sym__procedure_type] = STATE(2697),
    [sym_distinct_type] = STATE(2697),
    [sym_empty_type] = STATE(2697),
    [sym_polymorphic_type] = STATE(2697),
    [sym_conditional_type] = STATE(2697),
    [sym_identifier] = ACTIONS(1441),
    [anon_sym_COMMA] = ACTIONS(855),
    [anon_sym_COLON_COLON] = ACTIONS(855),
    [anon_sym_proc] = ACTIONS(1443),
    [anon_sym_DASH_GT] = ACTIONS(855),
    [anon_sym_struct] = ACTIONS(1445),
    [anon_sym_enum] = ACTIONS(1447),
    [anon_sym_EQ] = ACTIONS(857),
    [anon_sym_union] = ACTIONS(1449),
    [anon_sym_COLON_EQ] = ACTIONS(855),
    [anon_sym_COLON] = ACTIONS(857),
    [anon_sym_LPAREN] = ACTIONS(1512),
    [anon_sym_DOLLAR] = ACTIONS(1455),
    [anon_sym_PLUS_EQ] = ACTIONS(855),
    [anon_sym_DASH_EQ] = ACTIONS(855),
    [anon_sym_STAR_EQ] = ACTIONS(855),
    [anon_sym_SLASH_EQ] = ACTIONS(855),
    [anon_sym_PERCENT_EQ] = ACTIONS(855),
    [anon_sym_AMP_EQ] = ACTIONS(855),
    [anon_sym_PIPE_EQ] = ACTIONS(855),
    [anon_sym_CARET_EQ] = ACTIONS(855),
    [anon_sym_LT_LT_EQ] = ACTIONS(855),
    [anon_sym_GT_GT_EQ] = ACTIONS(855),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(855),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(855),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(855),
    [anon_sym_if] = ACTIONS(857),
    [anon_sym_when] = ACTIONS(857),
    [anon_sym_in] = ACTIONS(857),
    [anon_sym_QMARK] = ACTIONS(855),
    [anon_sym_PLUS] = ACTIONS(857),
    [anon_sym_DASH] = ACTIONS(857),
    [anon_sym_TILDE] = ACTIONS(857),
    [anon_sym_BANG] = ACTIONS(1457),
    [anon_sym_AMP] = ACTIONS(857),
    [anon_sym_PIPE_PIPE] = ACTIONS(857),
    [anon_sym_or_else] = ACTIONS(857),
    [anon_sym_AMP_AMP] = ACTIONS(857),
    [anon_sym_GT] = ACTIONS(857),
    [anon_sym_GT_EQ] = ACTIONS(855),
    [anon_sym_LT_EQ] = ACTIONS(855),
    [anon_sym_LT] = ACTIONS(857),
    [anon_sym_EQ_EQ] = ACTIONS(855),
    [anon_sym_BANG_EQ] = ACTIONS(855),
    [anon_sym_TILDE_EQ] = ACTIONS(855),
    [anon_sym_PIPE] = ACTIONS(857),
    [anon_sym_AMP_TILDE] = ACTIONS(857),
    [anon_sym_LT_LT] = ACTIONS(857),
    [anon_sym_GT_GT] = ACTIONS(857),
    [anon_sym_STAR] = ACTIONS(857),
    [anon_sym_SLASH] = ACTIONS(857),
    [anon_sym_PERCENT] = ACTIONS(857),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(855),
    [anon_sym_DOT] = ACTIONS(857),
    [anon_sym_LBRACK] = ACTIONS(1515),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(855),
    [anon_sym_DOT_DOT_LT] = ACTIONS(855),
    [anon_sym_not_in] = ACTIONS(857),
    [anon_sym_DOT_DOT] = ACTIONS(1463),
    [anon_sym_or_return] = ACTIONS(857),
    [anon_sym_or_continue] = ACTIONS(857),
    [anon_sym_or_break] = ACTIONS(857),
    [anon_sym_CARET] = ACTIONS(1518),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1469),
    [anon_sym_map] = ACTIONS(1471),
    [anon_sym_bit_set] = ACTIONS(1473),
    [anon_sym_matrix] = ACTIONS(1475),
    [anon_sym_distinct] = ACTIONS(325),
    [sym_tag] = ACTIONS(1477),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [189] = {
    [sym_procedure] = STATE(2675),
    [sym_type] = STATE(2673),
    [sym_pointer_type] = STATE(2697),
    [sym_variadic_type] = STATE(2697),
    [sym_array_type] = STATE(2697),
    [sym_map_type] = STATE(2697),
    [sym_union_type] = STATE(2697),
    [sym_bit_set_type] = STATE(2697),
    [sym_matrix_type] = STATE(2697),
    [sym_field_type] = STATE(2697),
    [sym_tuple_type] = STATE(2697),
    [sym_struct_type] = STATE(2697),
    [sym_enum_type] = STATE(2697),
    [sym_constant_type] = STATE(2697),
    [sym_specialized_type] = STATE(2697),
    [sym__procedure_type] = STATE(2697),
    [sym_distinct_type] = STATE(2697),
    [sym_empty_type] = STATE(2697),
    [sym_polymorphic_type] = STATE(2697),
    [sym_conditional_type] = STATE(2697),
    [sym_identifier] = ACTIONS(1441),
    [anon_sym_COMMA] = ACTIONS(893),
    [anon_sym_COLON_COLON] = ACTIONS(893),
    [anon_sym_proc] = ACTIONS(1443),
    [anon_sym_DASH_GT] = ACTIONS(893),
    [anon_sym_struct] = ACTIONS(1445),
    [anon_sym_enum] = ACTIONS(1447),
    [anon_sym_EQ] = ACTIONS(895),
    [anon_sym_union] = ACTIONS(1449),
    [anon_sym_COLON_EQ] = ACTIONS(893),
    [anon_sym_COLON] = ACTIONS(895),
    [anon_sym_LPAREN] = ACTIONS(1521),
    [anon_sym_DOLLAR] = ACTIONS(1455),
    [anon_sym_PLUS_EQ] = ACTIONS(893),
    [anon_sym_DASH_EQ] = ACTIONS(893),
    [anon_sym_STAR_EQ] = ACTIONS(893),
    [anon_sym_SLASH_EQ] = ACTIONS(893),
    [anon_sym_PERCENT_EQ] = ACTIONS(893),
    [anon_sym_AMP_EQ] = ACTIONS(893),
    [anon_sym_PIPE_EQ] = ACTIONS(893),
    [anon_sym_CARET_EQ] = ACTIONS(893),
    [anon_sym_LT_LT_EQ] = ACTIONS(893),
    [anon_sym_GT_GT_EQ] = ACTIONS(893),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(893),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(893),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(893),
    [anon_sym_if] = ACTIONS(895),
    [anon_sym_when] = ACTIONS(895),
    [anon_sym_in] = ACTIONS(895),
    [anon_sym_QMARK] = ACTIONS(893),
    [anon_sym_PLUS] = ACTIONS(895),
    [anon_sym_DASH] = ACTIONS(895),
    [anon_sym_TILDE] = ACTIONS(895),
    [anon_sym_BANG] = ACTIONS(1457),
    [anon_sym_AMP] = ACTIONS(895),
    [anon_sym_PIPE_PIPE] = ACTIONS(895),
    [anon_sym_or_else] = ACTIONS(895),
    [anon_sym_AMP_AMP] = ACTIONS(895),
    [anon_sym_GT] = ACTIONS(895),
    [anon_sym_GT_EQ] = ACTIONS(893),
    [anon_sym_LT_EQ] = ACTIONS(893),
    [anon_sym_LT] = ACTIONS(895),
    [anon_sym_EQ_EQ] = ACTIONS(893),
    [anon_sym_BANG_EQ] = ACTIONS(893),
    [anon_sym_TILDE_EQ] = ACTIONS(893),
    [anon_sym_PIPE] = ACTIONS(895),
    [anon_sym_AMP_TILDE] = ACTIONS(895),
    [anon_sym_LT_LT] = ACTIONS(895),
    [anon_sym_GT_GT] = ACTIONS(895),
    [anon_sym_STAR] = ACTIONS(895),
    [anon_sym_SLASH] = ACTIONS(895),
    [anon_sym_PERCENT] = ACTIONS(895),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(893),
    [anon_sym_DOT] = ACTIONS(895),
    [anon_sym_LBRACK] = ACTIONS(1524),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(893),
    [anon_sym_DOT_DOT_LT] = ACTIONS(893),
    [anon_sym_not_in] = ACTIONS(895),
    [anon_sym_DOT_DOT] = ACTIONS(1463),
    [anon_sym_or_return] = ACTIONS(895),
    [anon_sym_or_continue] = ACTIONS(895),
    [anon_sym_or_break] = ACTIONS(895),
    [anon_sym_CARET] = ACTIONS(1527),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1469),
    [anon_sym_map] = ACTIONS(1471),
    [anon_sym_bit_set] = ACTIONS(1473),
    [anon_sym_matrix] = ACTIONS(1475),
    [anon_sym_distinct] = ACTIONS(325),
    [sym_tag] = ACTIONS(1477),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [190] = {
    [sym_procedure] = STATE(2675),
    [sym_type] = STATE(2684),
    [sym_pointer_type] = STATE(2697),
    [sym_variadic_type] = STATE(2697),
    [sym_array_type] = STATE(2697),
    [sym_map_type] = STATE(2697),
    [sym_union_type] = STATE(2697),
    [sym_bit_set_type] = STATE(2697),
    [sym_matrix_type] = STATE(2697),
    [sym_field_type] = STATE(2697),
    [sym_tuple_type] = STATE(2697),
    [sym_struct_type] = STATE(2697),
    [sym_enum_type] = STATE(2697),
    [sym_constant_type] = STATE(2697),
    [sym_specialized_type] = STATE(2697),
    [sym__procedure_type] = STATE(2697),
    [sym_distinct_type] = STATE(2697),
    [sym_empty_type] = STATE(2697),
    [sym_polymorphic_type] = STATE(2697),
    [sym_conditional_type] = STATE(2697),
    [sym_identifier] = ACTIONS(1441),
    [anon_sym_COMMA] = ACTIONS(909),
    [anon_sym_COLON_COLON] = ACTIONS(909),
    [anon_sym_proc] = ACTIONS(1443),
    [anon_sym_DASH_GT] = ACTIONS(909),
    [anon_sym_struct] = ACTIONS(1445),
    [anon_sym_enum] = ACTIONS(1447),
    [anon_sym_EQ] = ACTIONS(911),
    [anon_sym_union] = ACTIONS(1449),
    [anon_sym_COLON_EQ] = ACTIONS(909),
    [anon_sym_COLON] = ACTIONS(911),
    [anon_sym_LPAREN] = ACTIONS(1530),
    [anon_sym_DOLLAR] = ACTIONS(1455),
    [anon_sym_PLUS_EQ] = ACTIONS(909),
    [anon_sym_DASH_EQ] = ACTIONS(909),
    [anon_sym_STAR_EQ] = ACTIONS(909),
    [anon_sym_SLASH_EQ] = ACTIONS(909),
    [anon_sym_PERCENT_EQ] = ACTIONS(909),
    [anon_sym_AMP_EQ] = ACTIONS(909),
    [anon_sym_PIPE_EQ] = ACTIONS(909),
    [anon_sym_CARET_EQ] = ACTIONS(909),
    [anon_sym_LT_LT_EQ] = ACTIONS(909),
    [anon_sym_GT_GT_EQ] = ACTIONS(909),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(909),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(909),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(909),
    [anon_sym_if] = ACTIONS(911),
    [anon_sym_when] = ACTIONS(911),
    [anon_sym_in] = ACTIONS(911),
    [anon_sym_QMARK] = ACTIONS(909),
    [anon_sym_PLUS] = ACTIONS(911),
    [anon_sym_DASH] = ACTIONS(911),
    [anon_sym_TILDE] = ACTIONS(911),
    [anon_sym_BANG] = ACTIONS(1457),
    [anon_sym_AMP] = ACTIONS(911),
    [anon_sym_PIPE_PIPE] = ACTIONS(911),
    [anon_sym_or_else] = ACTIONS(911),
    [anon_sym_AMP_AMP] = ACTIONS(911),
    [anon_sym_GT] = ACTIONS(911),
    [anon_sym_GT_EQ] = ACTIONS(909),
    [anon_sym_LT_EQ] = ACTIONS(909),
    [anon_sym_LT] = ACTIONS(911),
    [anon_sym_EQ_EQ] = ACTIONS(909),
    [anon_sym_BANG_EQ] = ACTIONS(909),
    [anon_sym_TILDE_EQ] = ACTIONS(909),
    [anon_sym_PIPE] = ACTIONS(911),
    [anon_sym_AMP_TILDE] = ACTIONS(911),
    [anon_sym_LT_LT] = ACTIONS(911),
    [anon_sym_GT_GT] = ACTIONS(911),
    [anon_sym_STAR] = ACTIONS(911),
    [anon_sym_SLASH] = ACTIONS(911),
    [anon_sym_PERCENT] = ACTIONS(911),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(909),
    [anon_sym_DOT] = ACTIONS(911),
    [anon_sym_LBRACK] = ACTIONS(1533),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(909),
    [anon_sym_DOT_DOT_LT] = ACTIONS(909),
    [anon_sym_not_in] = ACTIONS(911),
    [anon_sym_DOT_DOT] = ACTIONS(1463),
    [anon_sym_or_return] = ACTIONS(911),
    [anon_sym_or_continue] = ACTIONS(911),
    [anon_sym_or_break] = ACTIONS(911),
    [anon_sym_CARET] = ACTIONS(1536),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1469),
    [anon_sym_map] = ACTIONS(1471),
    [anon_sym_bit_set] = ACTIONS(1473),
    [anon_sym_matrix] = ACTIONS(1475),
    [anon_sym_distinct] = ACTIONS(325),
    [sym_tag] = ACTIONS(1477),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [191] = {
    [sym_declaration] = STATE(7609),
    [sym_package_declaration] = STATE(7181),
    [sym_import_declaration] = STATE(7181),
    [sym_procedure_declaration] = STATE(7181),
    [sym_overloaded_procedure_declaration] = STATE(7181),
    [sym_struct_declaration] = STATE(7181),
    [sym_enum_declaration] = STATE(7181),
    [sym_union_declaration] = STATE(7181),
    [sym_variable_declaration] = STATE(7181),
    [sym_const_declaration] = STATE(7181),
    [sym_const_type_declaration] = STATE(7181),
    [sym_foreign_block] = STATE(7181),
    [sym_attributes] = STATE(644),
    [sym_attribute] = STATE(5637),
    [sym_when_statement] = STATE(7181),
    [sym_var_declaration] = STATE(7181),
    [sym_expression] = STATE(4700),
    [sym__expression_no_tag] = STATE(4228),
    [sym_unary_expression] = STATE(4228),
    [sym_binary_expression] = STATE(4228),
    [sym_ternary_expression] = STATE(4228),
    [sym_call_expression] = STATE(4228),
    [sym_selector_call_expression] = STATE(4228),
    [sym_member_expression] = STATE(4228),
    [sym_index_expression] = STATE(4228),
    [sym_slice_expression] = STATE(4228),
    [sym_range_expression] = STATE(4228),
    [sym_cast_expression] = STATE(4228),
    [sym_in_expression] = STATE(4228),
    [sym_variadic_expression] = STATE(4228),
    [sym_parenthesized_expression] = STATE(4228),
    [sym_or_return_expression] = STATE(4228),
    [sym_or_continue_expression] = STATE(4228),
    [sym_or_break_expression] = STATE(4228),
    [sym_address] = STATE(4228),
    [sym_map_type] = STATE(4228),
    [sym_matrix_type] = STATE(4228),
    [sym_distinct_type] = STATE(4228),
    [sym_literal] = STATE(4228),
    [sym_struct] = STATE(3866),
    [sym_map] = STATE(3787),
    [sym_bit_set] = STATE(3787),
    [sym_matrix] = STATE(3787),
    [sym_string] = STATE(3787),
    [sym__string_literal] = STATE(3867),
    [sym__raw_string_literal] = STATE(3867),
    [sym_character] = STATE(3787),
    [sym_boolean] = STATE(3787),
    [sym_field_identifier] = STATE(7783),
    [aux_sym_source_file_repeat1] = STATE(191),
    [aux_sym_attributes_repeat1] = STATE(5637),
    [ts_builtin_sym_end] = ACTIONS(1539),
    [sym_identifier] = ACTIONS(1541),
    [anon_sym_LBRACE] = ACTIONS(1544),
    [anon_sym_package] = ACTIONS(1547),
    [anon_sym_foreign] = ACTIONS(1550),
    [anon_sym_import] = ACTIONS(1553),
    [anon_sym_using] = ACTIONS(1556),
    [anon_sym_AT] = ACTIONS(1559),
    [anon_sym_LPAREN] = ACTIONS(1562),
    [anon_sym_when] = ACTIONS(1565),
    [anon_sym_QMARK] = ACTIONS(1568),
    [anon_sym_PLUS] = ACTIONS(1571),
    [anon_sym_DASH] = ACTIONS(1574),
    [anon_sym_TILDE] = ACTIONS(1571),
    [anon_sym_BANG] = ACTIONS(1571),
    [anon_sym_AMP] = ACTIONS(1571),
    [anon_sym_DOT] = ACTIONS(1577),
    [anon_sym_LBRACK] = ACTIONS(1580),
    [anon_sym_cast] = ACTIONS(1583),
    [anon_sym_transmute] = ACTIONS(1583),
    [anon_sym_auto_cast] = ACTIONS(1586),
    [anon_sym_DOT_DOT] = ACTIONS(1589),
    [anon_sym_map] = ACTIONS(1592),
    [anon_sym_bit_set] = ACTIONS(1595),
    [anon_sym_matrix] = ACTIONS(1598),
    [anon_sym_distinct] = ACTIONS(1601),
    [sym_number] = ACTIONS(1604),
    [anon_sym_DQUOTE] = ACTIONS(1607),
    [anon_sym_BQUOTE] = ACTIONS(1610),
    [anon_sym_SQUOTE] = ACTIONS(1613),
    [anon_sym_true] = ACTIONS(1616),
    [anon_sym_false] = ACTIONS(1616),
    [sym_nil] = ACTIONS(1619),
    [sym_uninitialized] = ACTIONS(1604),
    [sym_tag] = ACTIONS(1622),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(1604),
    [sym_block_comment] = ACTIONS(3),
  },
  [192] = {
    [sym_declaration] = STATE(6959),
    [sym_package_declaration] = STATE(7181),
    [sym_import_declaration] = STATE(7181),
    [sym_procedure_declaration] = STATE(7181),
    [sym_overloaded_procedure_declaration] = STATE(7181),
    [sym_struct_declaration] = STATE(7181),
    [sym_enum_declaration] = STATE(7181),
    [sym_union_declaration] = STATE(7181),
    [sym_variable_declaration] = STATE(7181),
    [sym_const_declaration] = STATE(7181),
    [sym_const_type_declaration] = STATE(7181),
    [sym_foreign_block] = STATE(7181),
    [sym_attributes] = STATE(644),
    [sym_attribute] = STATE(5637),
    [sym_when_statement] = STATE(7181),
    [sym_var_declaration] = STATE(7181),
    [sym_expression] = STATE(4700),
    [sym__expression_no_tag] = STATE(4228),
    [sym_unary_expression] = STATE(4228),
    [sym_binary_expression] = STATE(4228),
    [sym_ternary_expression] = STATE(4228),
    [sym_call_expression] = STATE(4228),
    [sym_selector_call_expression] = STATE(4228),
    [sym_member_expression] = STATE(4228),
    [sym_index_expression] = STATE(4228),
    [sym_slice_expression] = STATE(4228),
    [sym_range_expression] = STATE(4228),
    [sym_cast_expression] = STATE(4228),
    [sym_in_expression] = STATE(4228),
    [sym_variadic_expression] = STATE(4228),
    [sym_parenthesized_expression] = STATE(4228),
    [sym_or_return_expression] = STATE(4228),
    [sym_or_continue_expression] = STATE(4228),
    [sym_or_break_expression] = STATE(4228),
    [sym_address] = STATE(4228),
    [sym_map_type] = STATE(4228),
    [sym_matrix_type] = STATE(4228),
    [sym_distinct_type] = STATE(4228),
    [sym_literal] = STATE(4228),
    [sym_struct] = STATE(3866),
    [sym_map] = STATE(3787),
    [sym_bit_set] = STATE(3787),
    [sym_matrix] = STATE(3787),
    [sym_string] = STATE(3787),
    [sym__string_literal] = STATE(3867),
    [sym__raw_string_literal] = STATE(3867),
    [sym_character] = STATE(3787),
    [sym_boolean] = STATE(3787),
    [sym_field_identifier] = STATE(7783),
    [aux_sym_source_file_repeat1] = STATE(191),
    [aux_sym_attributes_repeat1] = STATE(5637),
    [ts_builtin_sym_end] = ACTIONS(1625),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_package] = ACTIONS(11),
    [anon_sym_foreign] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_using] = ACTIONS(17),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_when] = ACTIONS(23),
    [anon_sym_QMARK] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(27),
    [anon_sym_DASH] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(27),
    [anon_sym_DOT] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_cast] = ACTIONS(35),
    [anon_sym_transmute] = ACTIONS(35),
    [anon_sym_auto_cast] = ACTIONS(37),
    [anon_sym_DOT_DOT] = ACTIONS(39),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [193] = {
    [sym_procedure] = STATE(2754),
    [sym_type] = STATE(2694),
    [sym_pointer_type] = STATE(2760),
    [sym_variadic_type] = STATE(2760),
    [sym_array_type] = STATE(2760),
    [sym_map_type] = STATE(2760),
    [sym_union_type] = STATE(2760),
    [sym_bit_set_type] = STATE(2760),
    [sym_matrix_type] = STATE(2760),
    [sym_field_type] = STATE(2760),
    [sym_tuple_type] = STATE(2760),
    [sym_struct_type] = STATE(2760),
    [sym_enum_type] = STATE(2760),
    [sym_constant_type] = STATE(2760),
    [sym_specialized_type] = STATE(2760),
    [sym__procedure_type] = STATE(2760),
    [sym_distinct_type] = STATE(2760),
    [sym_empty_type] = STATE(2760),
    [sym_polymorphic_type] = STATE(2760),
    [sym_conditional_type] = STATE(2760),
    [sym_identifier] = ACTIONS(1627),
    [anon_sym_LBRACE] = ACTIONS(909),
    [anon_sym_RBRACE] = ACTIONS(909),
    [anon_sym_COMMA] = ACTIONS(909),
    [anon_sym_COLON_COLON] = ACTIONS(909),
    [anon_sym_proc] = ACTIONS(1629),
    [anon_sym_DASH_GT] = ACTIONS(909),
    [anon_sym_where] = ACTIONS(911),
    [anon_sym_struct] = ACTIONS(1631),
    [anon_sym_enum] = ACTIONS(1633),
    [anon_sym_EQ] = ACTIONS(911),
    [anon_sym_union] = ACTIONS(1635),
    [anon_sym_COLON_EQ] = ACTIONS(909),
    [anon_sym_COLON] = ACTIONS(911),
    [anon_sym_LPAREN] = ACTIONS(1637),
    [anon_sym_RPAREN] = ACTIONS(909),
    [anon_sym_DOLLAR] = ACTIONS(1640),
    [anon_sym_if] = ACTIONS(911),
    [anon_sym_SEMI] = ACTIONS(909),
    [anon_sym_do] = ACTIONS(911),
    [anon_sym_else] = ACTIONS(911),
    [anon_sym_when] = ACTIONS(911),
    [anon_sym_in] = ACTIONS(911),
    [anon_sym_QMARK] = ACTIONS(909),
    [anon_sym_PLUS] = ACTIONS(909),
    [anon_sym_DASH] = ACTIONS(911),
    [anon_sym_TILDE] = ACTIONS(911),
    [anon_sym_BANG] = ACTIONS(1642),
    [anon_sym_AMP] = ACTIONS(911),
    [anon_sym_PIPE_PIPE] = ACTIONS(909),
    [anon_sym_or_else] = ACTIONS(911),
    [anon_sym_AMP_AMP] = ACTIONS(909),
    [anon_sym_GT] = ACTIONS(911),
    [anon_sym_GT_EQ] = ACTIONS(909),
    [anon_sym_LT_EQ] = ACTIONS(909),
    [anon_sym_LT] = ACTIONS(911),
    [anon_sym_EQ_EQ] = ACTIONS(909),
    [anon_sym_BANG_EQ] = ACTIONS(909),
    [anon_sym_TILDE_EQ] = ACTIONS(909),
    [anon_sym_PIPE] = ACTIONS(911),
    [anon_sym_AMP_TILDE] = ACTIONS(909),
    [anon_sym_LT_LT] = ACTIONS(909),
    [anon_sym_GT_GT] = ACTIONS(909),
    [anon_sym_STAR] = ACTIONS(909),
    [anon_sym_SLASH] = ACTIONS(911),
    [anon_sym_PERCENT] = ACTIONS(911),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(909),
    [anon_sym_DOT] = ACTIONS(911),
    [anon_sym_LBRACK] = ACTIONS(1644),
    [anon_sym_RBRACK] = ACTIONS(909),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(909),
    [anon_sym_DOT_DOT_LT] = ACTIONS(909),
    [anon_sym_not_in] = ACTIONS(911),
    [anon_sym_DOT_DOT] = ACTIONS(1647),
    [anon_sym_or_return] = ACTIONS(911),
    [anon_sym_or_continue] = ACTIONS(911),
    [anon_sym_or_break] = ACTIONS(911),
    [anon_sym_CARET] = ACTIONS(1649),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1652),
    [anon_sym_map] = ACTIONS(1654),
    [anon_sym_bit_set] = ACTIONS(1656),
    [anon_sym_matrix] = ACTIONS(1658),
    [anon_sym_distinct] = ACTIONS(509),
    [sym_uninitialized] = ACTIONS(909),
    [sym_tag] = ACTIONS(1660),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [194] = {
    [sym_procedure] = STATE(2754),
    [sym_type] = STATE(2691),
    [sym_pointer_type] = STATE(2760),
    [sym_variadic_type] = STATE(2760),
    [sym_array_type] = STATE(2760),
    [sym_map_type] = STATE(2760),
    [sym_union_type] = STATE(2760),
    [sym_bit_set_type] = STATE(2760),
    [sym_matrix_type] = STATE(2760),
    [sym_field_type] = STATE(2760),
    [sym_tuple_type] = STATE(2760),
    [sym_struct_type] = STATE(2760),
    [sym_enum_type] = STATE(2760),
    [sym_constant_type] = STATE(2760),
    [sym_specialized_type] = STATE(2760),
    [sym__procedure_type] = STATE(2760),
    [sym_distinct_type] = STATE(2760),
    [sym_empty_type] = STATE(2760),
    [sym_polymorphic_type] = STATE(2760),
    [sym_conditional_type] = STATE(2760),
    [sym_identifier] = ACTIONS(1627),
    [anon_sym_LBRACE] = ACTIONS(893),
    [anon_sym_RBRACE] = ACTIONS(893),
    [anon_sym_COMMA] = ACTIONS(893),
    [anon_sym_COLON_COLON] = ACTIONS(893),
    [anon_sym_proc] = ACTIONS(1629),
    [anon_sym_DASH_GT] = ACTIONS(893),
    [anon_sym_where] = ACTIONS(895),
    [anon_sym_struct] = ACTIONS(1631),
    [anon_sym_enum] = ACTIONS(1633),
    [anon_sym_EQ] = ACTIONS(895),
    [anon_sym_union] = ACTIONS(1635),
    [anon_sym_COLON_EQ] = ACTIONS(893),
    [anon_sym_COLON] = ACTIONS(895),
    [anon_sym_LPAREN] = ACTIONS(1663),
    [anon_sym_RPAREN] = ACTIONS(893),
    [anon_sym_DOLLAR] = ACTIONS(1640),
    [anon_sym_if] = ACTIONS(895),
    [anon_sym_SEMI] = ACTIONS(893),
    [anon_sym_do] = ACTIONS(895),
    [anon_sym_else] = ACTIONS(895),
    [anon_sym_when] = ACTIONS(895),
    [anon_sym_in] = ACTIONS(895),
    [anon_sym_QMARK] = ACTIONS(893),
    [anon_sym_PLUS] = ACTIONS(893),
    [anon_sym_DASH] = ACTIONS(895),
    [anon_sym_TILDE] = ACTIONS(895),
    [anon_sym_BANG] = ACTIONS(1642),
    [anon_sym_AMP] = ACTIONS(895),
    [anon_sym_PIPE_PIPE] = ACTIONS(893),
    [anon_sym_or_else] = ACTIONS(895),
    [anon_sym_AMP_AMP] = ACTIONS(893),
    [anon_sym_GT] = ACTIONS(895),
    [anon_sym_GT_EQ] = ACTIONS(893),
    [anon_sym_LT_EQ] = ACTIONS(893),
    [anon_sym_LT] = ACTIONS(895),
    [anon_sym_EQ_EQ] = ACTIONS(893),
    [anon_sym_BANG_EQ] = ACTIONS(893),
    [anon_sym_TILDE_EQ] = ACTIONS(893),
    [anon_sym_PIPE] = ACTIONS(895),
    [anon_sym_AMP_TILDE] = ACTIONS(893),
    [anon_sym_LT_LT] = ACTIONS(893),
    [anon_sym_GT_GT] = ACTIONS(893),
    [anon_sym_STAR] = ACTIONS(893),
    [anon_sym_SLASH] = ACTIONS(895),
    [anon_sym_PERCENT] = ACTIONS(895),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(893),
    [anon_sym_DOT] = ACTIONS(895),
    [anon_sym_LBRACK] = ACTIONS(1666),
    [anon_sym_RBRACK] = ACTIONS(893),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(893),
    [anon_sym_DOT_DOT_LT] = ACTIONS(893),
    [anon_sym_not_in] = ACTIONS(895),
    [anon_sym_DOT_DOT] = ACTIONS(1647),
    [anon_sym_or_return] = ACTIONS(895),
    [anon_sym_or_continue] = ACTIONS(895),
    [anon_sym_or_break] = ACTIONS(895),
    [anon_sym_CARET] = ACTIONS(1669),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1652),
    [anon_sym_map] = ACTIONS(1654),
    [anon_sym_bit_set] = ACTIONS(1656),
    [anon_sym_matrix] = ACTIONS(1658),
    [anon_sym_distinct] = ACTIONS(509),
    [sym_uninitialized] = ACTIONS(893),
    [sym_tag] = ACTIONS(1672),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [195] = {
    [sym_procedure] = STATE(3172),
    [sym_type] = STATE(3159),
    [sym_pointer_type] = STATE(3208),
    [sym_variadic_type] = STATE(3208),
    [sym_array_type] = STATE(3208),
    [sym_map_type] = STATE(3208),
    [sym_union_type] = STATE(3208),
    [sym_bit_set_type] = STATE(3208),
    [sym_matrix_type] = STATE(3208),
    [sym_field_type] = STATE(3208),
    [sym_tuple_type] = STATE(3208),
    [sym_struct_type] = STATE(3208),
    [sym_enum_type] = STATE(3208),
    [sym_constant_type] = STATE(3208),
    [sym_specialized_type] = STATE(3208),
    [sym__procedure_type] = STATE(3208),
    [sym_distinct_type] = STATE(3208),
    [sym_empty_type] = STATE(3208),
    [sym_polymorphic_type] = STATE(3208),
    [sym_conditional_type] = STATE(3208),
    [ts_builtin_sym_end] = ACTIONS(909),
    [sym_identifier] = ACTIONS(1675),
    [anon_sym_LBRACE] = ACTIONS(909),
    [anon_sym_RBRACE] = ACTIONS(909),
    [anon_sym_COMMA] = ACTIONS(909),
    [anon_sym_COLON_COLON] = ACTIONS(909),
    [anon_sym_proc] = ACTIONS(1677),
    [anon_sym_DASH_GT] = ACTIONS(909),
    [anon_sym_where] = ACTIONS(911),
    [anon_sym_struct] = ACTIONS(1679),
    [anon_sym_enum] = ACTIONS(1681),
    [anon_sym_EQ] = ACTIONS(911),
    [anon_sym_union] = ACTIONS(1683),
    [anon_sym_COLON_EQ] = ACTIONS(909),
    [anon_sym_COLON] = ACTIONS(911),
    [anon_sym_LPAREN] = ACTIONS(1685),
    [anon_sym_DOLLAR] = ACTIONS(1688),
    [anon_sym_if] = ACTIONS(911),
    [anon_sym_SEMI] = ACTIONS(909),
    [anon_sym_else] = ACTIONS(911),
    [anon_sym_when] = ACTIONS(911),
    [anon_sym_in] = ACTIONS(911),
    [anon_sym_case] = ACTIONS(911),
    [anon_sym_QMARK] = ACTIONS(909),
    [anon_sym_PLUS] = ACTIONS(909),
    [anon_sym_DASH] = ACTIONS(911),
    [anon_sym_TILDE] = ACTIONS(911),
    [anon_sym_BANG] = ACTIONS(1690),
    [anon_sym_AMP] = ACTIONS(911),
    [anon_sym_PIPE_PIPE] = ACTIONS(909),
    [anon_sym_or_else] = ACTIONS(911),
    [anon_sym_AMP_AMP] = ACTIONS(909),
    [anon_sym_GT] = ACTIONS(911),
    [anon_sym_GT_EQ] = ACTIONS(909),
    [anon_sym_LT_EQ] = ACTIONS(909),
    [anon_sym_LT] = ACTIONS(911),
    [anon_sym_EQ_EQ] = ACTIONS(909),
    [anon_sym_BANG_EQ] = ACTIONS(909),
    [anon_sym_TILDE_EQ] = ACTIONS(909),
    [anon_sym_PIPE] = ACTIONS(911),
    [anon_sym_AMP_TILDE] = ACTIONS(909),
    [anon_sym_LT_LT] = ACTIONS(909),
    [anon_sym_GT_GT] = ACTIONS(909),
    [anon_sym_STAR] = ACTIONS(909),
    [anon_sym_SLASH] = ACTIONS(911),
    [anon_sym_PERCENT] = ACTIONS(911),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(909),
    [anon_sym_DOT] = ACTIONS(911),
    [anon_sym_LBRACK] = ACTIONS(1692),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(909),
    [anon_sym_DOT_DOT_LT] = ACTIONS(909),
    [anon_sym_not_in] = ACTIONS(911),
    [anon_sym_DOT_DOT] = ACTIONS(1695),
    [anon_sym_or_return] = ACTIONS(911),
    [anon_sym_or_continue] = ACTIONS(911),
    [anon_sym_or_break] = ACTIONS(911),
    [anon_sym_CARET] = ACTIONS(1697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1700),
    [anon_sym_map] = ACTIONS(1702),
    [anon_sym_bit_set] = ACTIONS(1704),
    [anon_sym_matrix] = ACTIONS(1706),
    [anon_sym_distinct] = ACTIONS(477),
    [sym_uninitialized] = ACTIONS(909),
    [sym_tag] = ACTIONS(1708),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(909),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [196] = {
    [sym_procedure] = STATE(3172),
    [sym_type] = STATE(3117),
    [sym_pointer_type] = STATE(3208),
    [sym_variadic_type] = STATE(3208),
    [sym_array_type] = STATE(3208),
    [sym_map_type] = STATE(3208),
    [sym_union_type] = STATE(3208),
    [sym_bit_set_type] = STATE(3208),
    [sym_matrix_type] = STATE(3208),
    [sym_field_type] = STATE(3208),
    [sym_tuple_type] = STATE(3208),
    [sym_struct_type] = STATE(3208),
    [sym_enum_type] = STATE(3208),
    [sym_constant_type] = STATE(3208),
    [sym_specialized_type] = STATE(3208),
    [sym__procedure_type] = STATE(3208),
    [sym_distinct_type] = STATE(3208),
    [sym_empty_type] = STATE(3208),
    [sym_polymorphic_type] = STATE(3208),
    [sym_conditional_type] = STATE(3208),
    [ts_builtin_sym_end] = ACTIONS(855),
    [sym_identifier] = ACTIONS(1675),
    [anon_sym_LBRACE] = ACTIONS(855),
    [anon_sym_RBRACE] = ACTIONS(855),
    [anon_sym_COMMA] = ACTIONS(855),
    [anon_sym_COLON_COLON] = ACTIONS(855),
    [anon_sym_proc] = ACTIONS(1677),
    [anon_sym_DASH_GT] = ACTIONS(855),
    [anon_sym_where] = ACTIONS(857),
    [anon_sym_struct] = ACTIONS(1679),
    [anon_sym_enum] = ACTIONS(1681),
    [anon_sym_EQ] = ACTIONS(857),
    [anon_sym_union] = ACTIONS(1683),
    [anon_sym_COLON_EQ] = ACTIONS(855),
    [anon_sym_COLON] = ACTIONS(857),
    [anon_sym_LPAREN] = ACTIONS(1711),
    [anon_sym_DOLLAR] = ACTIONS(1688),
    [anon_sym_if] = ACTIONS(857),
    [anon_sym_SEMI] = ACTIONS(855),
    [anon_sym_else] = ACTIONS(857),
    [anon_sym_when] = ACTIONS(857),
    [anon_sym_in] = ACTIONS(857),
    [anon_sym_case] = ACTIONS(857),
    [anon_sym_QMARK] = ACTIONS(855),
    [anon_sym_PLUS] = ACTIONS(855),
    [anon_sym_DASH] = ACTIONS(857),
    [anon_sym_TILDE] = ACTIONS(857),
    [anon_sym_BANG] = ACTIONS(1690),
    [anon_sym_AMP] = ACTIONS(857),
    [anon_sym_PIPE_PIPE] = ACTIONS(855),
    [anon_sym_or_else] = ACTIONS(857),
    [anon_sym_AMP_AMP] = ACTIONS(855),
    [anon_sym_GT] = ACTIONS(857),
    [anon_sym_GT_EQ] = ACTIONS(855),
    [anon_sym_LT_EQ] = ACTIONS(855),
    [anon_sym_LT] = ACTIONS(857),
    [anon_sym_EQ_EQ] = ACTIONS(855),
    [anon_sym_BANG_EQ] = ACTIONS(855),
    [anon_sym_TILDE_EQ] = ACTIONS(855),
    [anon_sym_PIPE] = ACTIONS(857),
    [anon_sym_AMP_TILDE] = ACTIONS(855),
    [anon_sym_LT_LT] = ACTIONS(855),
    [anon_sym_GT_GT] = ACTIONS(855),
    [anon_sym_STAR] = ACTIONS(855),
    [anon_sym_SLASH] = ACTIONS(857),
    [anon_sym_PERCENT] = ACTIONS(857),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(855),
    [anon_sym_DOT] = ACTIONS(857),
    [anon_sym_LBRACK] = ACTIONS(1714),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(855),
    [anon_sym_DOT_DOT_LT] = ACTIONS(855),
    [anon_sym_not_in] = ACTIONS(857),
    [anon_sym_DOT_DOT] = ACTIONS(1695),
    [anon_sym_or_return] = ACTIONS(857),
    [anon_sym_or_continue] = ACTIONS(857),
    [anon_sym_or_break] = ACTIONS(857),
    [anon_sym_CARET] = ACTIONS(1717),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1700),
    [anon_sym_map] = ACTIONS(1702),
    [anon_sym_bit_set] = ACTIONS(1704),
    [anon_sym_matrix] = ACTIONS(1706),
    [anon_sym_distinct] = ACTIONS(477),
    [sym_uninitialized] = ACTIONS(855),
    [sym_tag] = ACTIONS(1720),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(855),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [197] = {
    [sym_procedure] = STATE(2754),
    [sym_type] = STATE(2674),
    [sym_pointer_type] = STATE(2760),
    [sym_variadic_type] = STATE(2760),
    [sym_array_type] = STATE(2760),
    [sym_map_type] = STATE(2760),
    [sym_union_type] = STATE(2760),
    [sym_bit_set_type] = STATE(2760),
    [sym_matrix_type] = STATE(2760),
    [sym_field_type] = STATE(2760),
    [sym_tuple_type] = STATE(2760),
    [sym_struct_type] = STATE(2760),
    [sym_enum_type] = STATE(2760),
    [sym_constant_type] = STATE(2760),
    [sym_specialized_type] = STATE(2760),
    [sym__procedure_type] = STATE(2760),
    [sym_distinct_type] = STATE(2760),
    [sym_empty_type] = STATE(2760),
    [sym_polymorphic_type] = STATE(2760),
    [sym_conditional_type] = STATE(2760),
    [sym_identifier] = ACTIONS(1627),
    [anon_sym_LBRACE] = ACTIONS(855),
    [anon_sym_RBRACE] = ACTIONS(855),
    [anon_sym_COMMA] = ACTIONS(855),
    [anon_sym_COLON_COLON] = ACTIONS(855),
    [anon_sym_proc] = ACTIONS(1629),
    [anon_sym_DASH_GT] = ACTIONS(855),
    [anon_sym_where] = ACTIONS(857),
    [anon_sym_struct] = ACTIONS(1631),
    [anon_sym_enum] = ACTIONS(1633),
    [anon_sym_EQ] = ACTIONS(857),
    [anon_sym_union] = ACTIONS(1635),
    [anon_sym_COLON_EQ] = ACTIONS(855),
    [anon_sym_COLON] = ACTIONS(857),
    [anon_sym_LPAREN] = ACTIONS(1723),
    [anon_sym_RPAREN] = ACTIONS(855),
    [anon_sym_DOLLAR] = ACTIONS(1640),
    [anon_sym_if] = ACTIONS(857),
    [anon_sym_SEMI] = ACTIONS(855),
    [anon_sym_do] = ACTIONS(857),
    [anon_sym_else] = ACTIONS(857),
    [anon_sym_when] = ACTIONS(857),
    [anon_sym_in] = ACTIONS(857),
    [anon_sym_QMARK] = ACTIONS(855),
    [anon_sym_PLUS] = ACTIONS(855),
    [anon_sym_DASH] = ACTIONS(857),
    [anon_sym_TILDE] = ACTIONS(857),
    [anon_sym_BANG] = ACTIONS(1642),
    [anon_sym_AMP] = ACTIONS(857),
    [anon_sym_PIPE_PIPE] = ACTIONS(855),
    [anon_sym_or_else] = ACTIONS(857),
    [anon_sym_AMP_AMP] = ACTIONS(855),
    [anon_sym_GT] = ACTIONS(857),
    [anon_sym_GT_EQ] = ACTIONS(855),
    [anon_sym_LT_EQ] = ACTIONS(855),
    [anon_sym_LT] = ACTIONS(857),
    [anon_sym_EQ_EQ] = ACTIONS(855),
    [anon_sym_BANG_EQ] = ACTIONS(855),
    [anon_sym_TILDE_EQ] = ACTIONS(855),
    [anon_sym_PIPE] = ACTIONS(857),
    [anon_sym_AMP_TILDE] = ACTIONS(855),
    [anon_sym_LT_LT] = ACTIONS(855),
    [anon_sym_GT_GT] = ACTIONS(855),
    [anon_sym_STAR] = ACTIONS(855),
    [anon_sym_SLASH] = ACTIONS(857),
    [anon_sym_PERCENT] = ACTIONS(857),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(855),
    [anon_sym_DOT] = ACTIONS(857),
    [anon_sym_LBRACK] = ACTIONS(1726),
    [anon_sym_RBRACK] = ACTIONS(855),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(855),
    [anon_sym_DOT_DOT_LT] = ACTIONS(855),
    [anon_sym_not_in] = ACTIONS(857),
    [anon_sym_DOT_DOT] = ACTIONS(1647),
    [anon_sym_or_return] = ACTIONS(857),
    [anon_sym_or_continue] = ACTIONS(857),
    [anon_sym_or_break] = ACTIONS(857),
    [anon_sym_CARET] = ACTIONS(1729),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1652),
    [anon_sym_map] = ACTIONS(1654),
    [anon_sym_bit_set] = ACTIONS(1656),
    [anon_sym_matrix] = ACTIONS(1658),
    [anon_sym_distinct] = ACTIONS(509),
    [sym_uninitialized] = ACTIONS(855),
    [sym_tag] = ACTIONS(1732),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [198] = {
    [sym_procedure] = STATE(2754),
    [sym_type] = STATE(2905),
    [sym_pointer_type] = STATE(2760),
    [sym_variadic_type] = STATE(2760),
    [sym_array_type] = STATE(2760),
    [sym_map_type] = STATE(2760),
    [sym_union_type] = STATE(2760),
    [sym_bit_set_type] = STATE(2760),
    [sym_matrix_type] = STATE(2760),
    [sym_field_type] = STATE(2760),
    [sym_tuple_type] = STATE(2760),
    [sym_struct_type] = STATE(2760),
    [sym_enum_type] = STATE(2760),
    [sym_constant_type] = STATE(2760),
    [sym_specialized_type] = STATE(2760),
    [sym__procedure_type] = STATE(2760),
    [sym_distinct_type] = STATE(2760),
    [sym_empty_type] = STATE(2760),
    [sym_polymorphic_type] = STATE(2760),
    [sym_conditional_type] = STATE(2760),
    [sym_identifier] = ACTIONS(1627),
    [anon_sym_LBRACE] = ACTIONS(871),
    [anon_sym_RBRACE] = ACTIONS(871),
    [anon_sym_COMMA] = ACTIONS(871),
    [anon_sym_COLON_COLON] = ACTIONS(871),
    [anon_sym_proc] = ACTIONS(1629),
    [anon_sym_DASH_GT] = ACTIONS(871),
    [anon_sym_where] = ACTIONS(874),
    [anon_sym_struct] = ACTIONS(1631),
    [anon_sym_enum] = ACTIONS(1633),
    [anon_sym_EQ] = ACTIONS(874),
    [anon_sym_union] = ACTIONS(1635),
    [anon_sym_COLON_EQ] = ACTIONS(871),
    [anon_sym_COLON] = ACTIONS(874),
    [anon_sym_LPAREN] = ACTIONS(1735),
    [anon_sym_RPAREN] = ACTIONS(871),
    [anon_sym_DOLLAR] = ACTIONS(1640),
    [anon_sym_if] = ACTIONS(874),
    [anon_sym_SEMI] = ACTIONS(871),
    [anon_sym_do] = ACTIONS(874),
    [anon_sym_else] = ACTIONS(874),
    [anon_sym_when] = ACTIONS(874),
    [anon_sym_in] = ACTIONS(874),
    [anon_sym_QMARK] = ACTIONS(871),
    [anon_sym_PLUS] = ACTIONS(871),
    [anon_sym_DASH] = ACTIONS(874),
    [anon_sym_TILDE] = ACTIONS(874),
    [anon_sym_BANG] = ACTIONS(1642),
    [anon_sym_AMP] = ACTIONS(874),
    [anon_sym_PIPE_PIPE] = ACTIONS(871),
    [anon_sym_or_else] = ACTIONS(874),
    [anon_sym_AMP_AMP] = ACTIONS(871),
    [anon_sym_GT] = ACTIONS(874),
    [anon_sym_GT_EQ] = ACTIONS(871),
    [anon_sym_LT_EQ] = ACTIONS(871),
    [anon_sym_LT] = ACTIONS(874),
    [anon_sym_EQ_EQ] = ACTIONS(871),
    [anon_sym_BANG_EQ] = ACTIONS(871),
    [anon_sym_TILDE_EQ] = ACTIONS(871),
    [anon_sym_PIPE] = ACTIONS(874),
    [anon_sym_AMP_TILDE] = ACTIONS(871),
    [anon_sym_LT_LT] = ACTIONS(871),
    [anon_sym_GT_GT] = ACTIONS(871),
    [anon_sym_STAR] = ACTIONS(871),
    [anon_sym_SLASH] = ACTIONS(874),
    [anon_sym_PERCENT] = ACTIONS(874),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(871),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_LBRACK] = ACTIONS(1739),
    [anon_sym_RBRACK] = ACTIONS(871),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(871),
    [anon_sym_DOT_DOT_LT] = ACTIONS(871),
    [anon_sym_not_in] = ACTIONS(874),
    [anon_sym_DOT_DOT] = ACTIONS(1647),
    [anon_sym_or_return] = ACTIONS(874),
    [anon_sym_or_continue] = ACTIONS(874),
    [anon_sym_or_break] = ACTIONS(874),
    [anon_sym_CARET] = ACTIONS(1743),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1652),
    [anon_sym_map] = ACTIONS(1654),
    [anon_sym_bit_set] = ACTIONS(1656),
    [anon_sym_matrix] = ACTIONS(1658),
    [anon_sym_distinct] = ACTIONS(509),
    [sym_uninitialized] = ACTIONS(871),
    [sym_tag] = ACTIONS(1747),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [199] = {
    [sym_procedure] = STATE(2754),
    [sym_type] = STATE(2915),
    [sym_pointer_type] = STATE(2760),
    [sym_variadic_type] = STATE(2760),
    [sym_array_type] = STATE(2760),
    [sym_map_type] = STATE(2760),
    [sym_union_type] = STATE(2760),
    [sym_bit_set_type] = STATE(2760),
    [sym_matrix_type] = STATE(2760),
    [sym_field_type] = STATE(2760),
    [sym_tuple_type] = STATE(2760),
    [sym_struct_type] = STATE(2760),
    [sym_enum_type] = STATE(2760),
    [sym_constant_type] = STATE(2760),
    [sym_specialized_type] = STATE(2760),
    [sym__procedure_type] = STATE(2760),
    [sym_distinct_type] = STATE(2760),
    [sym_empty_type] = STATE(2760),
    [sym_polymorphic_type] = STATE(2760),
    [sym_conditional_type] = STATE(2760),
    [sym_identifier] = ACTIONS(1627),
    [anon_sym_LBRACE] = ACTIONS(833),
    [anon_sym_RBRACE] = ACTIONS(833),
    [anon_sym_COMMA] = ACTIONS(833),
    [anon_sym_COLON_COLON] = ACTIONS(833),
    [anon_sym_proc] = ACTIONS(1629),
    [anon_sym_DASH_GT] = ACTIONS(833),
    [anon_sym_where] = ACTIONS(836),
    [anon_sym_struct] = ACTIONS(1631),
    [anon_sym_enum] = ACTIONS(1633),
    [anon_sym_EQ] = ACTIONS(836),
    [anon_sym_union] = ACTIONS(1635),
    [anon_sym_COLON_EQ] = ACTIONS(833),
    [anon_sym_COLON] = ACTIONS(836),
    [anon_sym_LPAREN] = ACTIONS(1751),
    [anon_sym_RPAREN] = ACTIONS(833),
    [anon_sym_DOLLAR] = ACTIONS(1640),
    [anon_sym_if] = ACTIONS(836),
    [anon_sym_SEMI] = ACTIONS(833),
    [anon_sym_do] = ACTIONS(836),
    [anon_sym_else] = ACTIONS(836),
    [anon_sym_when] = ACTIONS(836),
    [anon_sym_in] = ACTIONS(836),
    [anon_sym_QMARK] = ACTIONS(833),
    [anon_sym_PLUS] = ACTIONS(833),
    [anon_sym_DASH] = ACTIONS(836),
    [anon_sym_TILDE] = ACTIONS(836),
    [anon_sym_BANG] = ACTIONS(1642),
    [anon_sym_AMP] = ACTIONS(836),
    [anon_sym_PIPE_PIPE] = ACTIONS(833),
    [anon_sym_or_else] = ACTIONS(836),
    [anon_sym_AMP_AMP] = ACTIONS(833),
    [anon_sym_GT] = ACTIONS(836),
    [anon_sym_GT_EQ] = ACTIONS(833),
    [anon_sym_LT_EQ] = ACTIONS(833),
    [anon_sym_LT] = ACTIONS(836),
    [anon_sym_EQ_EQ] = ACTIONS(833),
    [anon_sym_BANG_EQ] = ACTIONS(833),
    [anon_sym_TILDE_EQ] = ACTIONS(833),
    [anon_sym_PIPE] = ACTIONS(836),
    [anon_sym_AMP_TILDE] = ACTIONS(833),
    [anon_sym_LT_LT] = ACTIONS(833),
    [anon_sym_GT_GT] = ACTIONS(833),
    [anon_sym_STAR] = ACTIONS(833),
    [anon_sym_SLASH] = ACTIONS(836),
    [anon_sym_PERCENT] = ACTIONS(836),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(833),
    [anon_sym_DOT] = ACTIONS(836),
    [anon_sym_LBRACK] = ACTIONS(1755),
    [anon_sym_RBRACK] = ACTIONS(833),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(833),
    [anon_sym_DOT_DOT_LT] = ACTIONS(833),
    [anon_sym_not_in] = ACTIONS(836),
    [anon_sym_DOT_DOT] = ACTIONS(1647),
    [anon_sym_or_return] = ACTIONS(836),
    [anon_sym_or_continue] = ACTIONS(836),
    [anon_sym_or_break] = ACTIONS(836),
    [anon_sym_CARET] = ACTIONS(1759),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1652),
    [anon_sym_map] = ACTIONS(1654),
    [anon_sym_bit_set] = ACTIONS(1656),
    [anon_sym_matrix] = ACTIONS(1658),
    [anon_sym_distinct] = ACTIONS(509),
    [sym_uninitialized] = ACTIONS(833),
    [sym_tag] = ACTIONS(1763),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [200] = {
    [sym_procedure] = STATE(3172),
    [sym_type] = STATE(3232),
    [sym_pointer_type] = STATE(3208),
    [sym_variadic_type] = STATE(3208),
    [sym_array_type] = STATE(3208),
    [sym_map_type] = STATE(3208),
    [sym_union_type] = STATE(3208),
    [sym_bit_set_type] = STATE(3208),
    [sym_matrix_type] = STATE(3208),
    [sym_field_type] = STATE(3208),
    [sym_tuple_type] = STATE(3208),
    [sym_struct_type] = STATE(3208),
    [sym_enum_type] = STATE(3208),
    [sym_constant_type] = STATE(3208),
    [sym_specialized_type] = STATE(3208),
    [sym__procedure_type] = STATE(3208),
    [sym_distinct_type] = STATE(3208),
    [sym_empty_type] = STATE(3208),
    [sym_polymorphic_type] = STATE(3208),
    [sym_conditional_type] = STATE(3208),
    [ts_builtin_sym_end] = ACTIONS(773),
    [sym_identifier] = ACTIONS(1675),
    [anon_sym_LBRACE] = ACTIONS(773),
    [anon_sym_RBRACE] = ACTIONS(773),
    [anon_sym_COMMA] = ACTIONS(773),
    [anon_sym_COLON_COLON] = ACTIONS(773),
    [anon_sym_proc] = ACTIONS(1677),
    [anon_sym_DASH_GT] = ACTIONS(773),
    [anon_sym_where] = ACTIONS(778),
    [anon_sym_struct] = ACTIONS(1679),
    [anon_sym_enum] = ACTIONS(1681),
    [anon_sym_EQ] = ACTIONS(778),
    [anon_sym_union] = ACTIONS(1683),
    [anon_sym_COLON_EQ] = ACTIONS(773),
    [anon_sym_COLON] = ACTIONS(778),
    [anon_sym_LPAREN] = ACTIONS(1767),
    [anon_sym_DOLLAR] = ACTIONS(1688),
    [anon_sym_if] = ACTIONS(778),
    [anon_sym_SEMI] = ACTIONS(773),
    [anon_sym_else] = ACTIONS(778),
    [anon_sym_when] = ACTIONS(778),
    [anon_sym_in] = ACTIONS(778),
    [anon_sym_case] = ACTIONS(778),
    [anon_sym_QMARK] = ACTIONS(773),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(778),
    [anon_sym_TILDE] = ACTIONS(778),
    [anon_sym_BANG] = ACTIONS(1690),
    [anon_sym_AMP] = ACTIONS(778),
    [anon_sym_PIPE_PIPE] = ACTIONS(773),
    [anon_sym_or_else] = ACTIONS(778),
    [anon_sym_AMP_AMP] = ACTIONS(773),
    [anon_sym_GT] = ACTIONS(778),
    [anon_sym_GT_EQ] = ACTIONS(773),
    [anon_sym_LT_EQ] = ACTIONS(773),
    [anon_sym_LT] = ACTIONS(778),
    [anon_sym_EQ_EQ] = ACTIONS(773),
    [anon_sym_BANG_EQ] = ACTIONS(773),
    [anon_sym_TILDE_EQ] = ACTIONS(773),
    [anon_sym_PIPE] = ACTIONS(778),
    [anon_sym_AMP_TILDE] = ACTIONS(773),
    [anon_sym_LT_LT] = ACTIONS(773),
    [anon_sym_GT_GT] = ACTIONS(773),
    [anon_sym_STAR] = ACTIONS(773),
    [anon_sym_SLASH] = ACTIONS(778),
    [anon_sym_PERCENT] = ACTIONS(778),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(773),
    [anon_sym_DOT] = ACTIONS(778),
    [anon_sym_LBRACK] = ACTIONS(1771),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(773),
    [anon_sym_DOT_DOT_LT] = ACTIONS(773),
    [anon_sym_not_in] = ACTIONS(778),
    [anon_sym_DOT_DOT] = ACTIONS(1695),
    [anon_sym_or_return] = ACTIONS(778),
    [anon_sym_or_continue] = ACTIONS(778),
    [anon_sym_or_break] = ACTIONS(778),
    [anon_sym_CARET] = ACTIONS(1775),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1700),
    [anon_sym_map] = ACTIONS(1702),
    [anon_sym_bit_set] = ACTIONS(1704),
    [anon_sym_matrix] = ACTIONS(1706),
    [anon_sym_distinct] = ACTIONS(477),
    [sym_uninitialized] = ACTIONS(773),
    [sym_tag] = ACTIONS(1779),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(773),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [201] = {
    [sym_procedure] = STATE(3172),
    [sym_type] = STATE(3123),
    [sym_pointer_type] = STATE(3208),
    [sym_variadic_type] = STATE(3208),
    [sym_array_type] = STATE(3208),
    [sym_map_type] = STATE(3208),
    [sym_union_type] = STATE(3208),
    [sym_bit_set_type] = STATE(3208),
    [sym_matrix_type] = STATE(3208),
    [sym_field_type] = STATE(3208),
    [sym_tuple_type] = STATE(3208),
    [sym_struct_type] = STATE(3208),
    [sym_enum_type] = STATE(3208),
    [sym_constant_type] = STATE(3208),
    [sym_specialized_type] = STATE(3208),
    [sym__procedure_type] = STATE(3208),
    [sym_distinct_type] = STATE(3208),
    [sym_empty_type] = STATE(3208),
    [sym_polymorphic_type] = STATE(3208),
    [sym_conditional_type] = STATE(3208),
    [ts_builtin_sym_end] = ACTIONS(893),
    [sym_identifier] = ACTIONS(1675),
    [anon_sym_LBRACE] = ACTIONS(893),
    [anon_sym_RBRACE] = ACTIONS(893),
    [anon_sym_COMMA] = ACTIONS(893),
    [anon_sym_COLON_COLON] = ACTIONS(893),
    [anon_sym_proc] = ACTIONS(1677),
    [anon_sym_DASH_GT] = ACTIONS(893),
    [anon_sym_where] = ACTIONS(895),
    [anon_sym_struct] = ACTIONS(1679),
    [anon_sym_enum] = ACTIONS(1681),
    [anon_sym_EQ] = ACTIONS(895),
    [anon_sym_union] = ACTIONS(1683),
    [anon_sym_COLON_EQ] = ACTIONS(893),
    [anon_sym_COLON] = ACTIONS(895),
    [anon_sym_LPAREN] = ACTIONS(1783),
    [anon_sym_DOLLAR] = ACTIONS(1688),
    [anon_sym_if] = ACTIONS(895),
    [anon_sym_SEMI] = ACTIONS(893),
    [anon_sym_else] = ACTIONS(895),
    [anon_sym_when] = ACTIONS(895),
    [anon_sym_in] = ACTIONS(895),
    [anon_sym_case] = ACTIONS(895),
    [anon_sym_QMARK] = ACTIONS(893),
    [anon_sym_PLUS] = ACTIONS(893),
    [anon_sym_DASH] = ACTIONS(895),
    [anon_sym_TILDE] = ACTIONS(895),
    [anon_sym_BANG] = ACTIONS(1690),
    [anon_sym_AMP] = ACTIONS(895),
    [anon_sym_PIPE_PIPE] = ACTIONS(893),
    [anon_sym_or_else] = ACTIONS(895),
    [anon_sym_AMP_AMP] = ACTIONS(893),
    [anon_sym_GT] = ACTIONS(895),
    [anon_sym_GT_EQ] = ACTIONS(893),
    [anon_sym_LT_EQ] = ACTIONS(893),
    [anon_sym_LT] = ACTIONS(895),
    [anon_sym_EQ_EQ] = ACTIONS(893),
    [anon_sym_BANG_EQ] = ACTIONS(893),
    [anon_sym_TILDE_EQ] = ACTIONS(893),
    [anon_sym_PIPE] = ACTIONS(895),
    [anon_sym_AMP_TILDE] = ACTIONS(893),
    [anon_sym_LT_LT] = ACTIONS(893),
    [anon_sym_GT_GT] = ACTIONS(893),
    [anon_sym_STAR] = ACTIONS(893),
    [anon_sym_SLASH] = ACTIONS(895),
    [anon_sym_PERCENT] = ACTIONS(895),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(893),
    [anon_sym_DOT] = ACTIONS(895),
    [anon_sym_LBRACK] = ACTIONS(1786),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(893),
    [anon_sym_DOT_DOT_LT] = ACTIONS(893),
    [anon_sym_not_in] = ACTIONS(895),
    [anon_sym_DOT_DOT] = ACTIONS(1695),
    [anon_sym_or_return] = ACTIONS(895),
    [anon_sym_or_continue] = ACTIONS(895),
    [anon_sym_or_break] = ACTIONS(895),
    [anon_sym_CARET] = ACTIONS(1789),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1700),
    [anon_sym_map] = ACTIONS(1702),
    [anon_sym_bit_set] = ACTIONS(1704),
    [anon_sym_matrix] = ACTIONS(1706),
    [anon_sym_distinct] = ACTIONS(477),
    [sym_uninitialized] = ACTIONS(893),
    [sym_tag] = ACTIONS(1792),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(893),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [202] = {
    [sym_procedure] = STATE(2754),
    [sym_type] = STATE(2693),
    [sym_pointer_type] = STATE(2760),
    [sym_variadic_type] = STATE(2760),
    [sym_array_type] = STATE(2760),
    [sym_map_type] = STATE(2760),
    [sym_union_type] = STATE(2760),
    [sym_bit_set_type] = STATE(2760),
    [sym_matrix_type] = STATE(2760),
    [sym_field_type] = STATE(2760),
    [sym_tuple_type] = STATE(2760),
    [sym_struct_type] = STATE(2760),
    [sym_enum_type] = STATE(2760),
    [sym_constant_type] = STATE(2760),
    [sym_specialized_type] = STATE(2760),
    [sym__procedure_type] = STATE(2760),
    [sym_distinct_type] = STATE(2760),
    [sym_empty_type] = STATE(2760),
    [sym_polymorphic_type] = STATE(2760),
    [sym_conditional_type] = STATE(2760),
    [sym_identifier] = ACTIONS(1627),
    [anon_sym_LBRACE] = ACTIONS(773),
    [anon_sym_RBRACE] = ACTIONS(773),
    [anon_sym_COMMA] = ACTIONS(773),
    [anon_sym_COLON_COLON] = ACTIONS(773),
    [anon_sym_proc] = ACTIONS(1629),
    [anon_sym_DASH_GT] = ACTIONS(773),
    [anon_sym_where] = ACTIONS(778),
    [anon_sym_struct] = ACTIONS(1631),
    [anon_sym_enum] = ACTIONS(1633),
    [anon_sym_EQ] = ACTIONS(778),
    [anon_sym_union] = ACTIONS(1635),
    [anon_sym_COLON_EQ] = ACTIONS(773),
    [anon_sym_COLON] = ACTIONS(778),
    [anon_sym_LPAREN] = ACTIONS(1795),
    [anon_sym_RPAREN] = ACTIONS(773),
    [anon_sym_DOLLAR] = ACTIONS(1640),
    [anon_sym_if] = ACTIONS(778),
    [anon_sym_SEMI] = ACTIONS(773),
    [anon_sym_do] = ACTIONS(778),
    [anon_sym_else] = ACTIONS(778),
    [anon_sym_when] = ACTIONS(778),
    [anon_sym_in] = ACTIONS(778),
    [anon_sym_QMARK] = ACTIONS(773),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(778),
    [anon_sym_TILDE] = ACTIONS(778),
    [anon_sym_BANG] = ACTIONS(1642),
    [anon_sym_AMP] = ACTIONS(778),
    [anon_sym_PIPE_PIPE] = ACTIONS(773),
    [anon_sym_or_else] = ACTIONS(778),
    [anon_sym_AMP_AMP] = ACTIONS(773),
    [anon_sym_GT] = ACTIONS(778),
    [anon_sym_GT_EQ] = ACTIONS(773),
    [anon_sym_LT_EQ] = ACTIONS(773),
    [anon_sym_LT] = ACTIONS(778),
    [anon_sym_EQ_EQ] = ACTIONS(773),
    [anon_sym_BANG_EQ] = ACTIONS(773),
    [anon_sym_TILDE_EQ] = ACTIONS(773),
    [anon_sym_PIPE] = ACTIONS(778),
    [anon_sym_AMP_TILDE] = ACTIONS(773),
    [anon_sym_LT_LT] = ACTIONS(773),
    [anon_sym_GT_GT] = ACTIONS(773),
    [anon_sym_STAR] = ACTIONS(773),
    [anon_sym_SLASH] = ACTIONS(778),
    [anon_sym_PERCENT] = ACTIONS(778),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(773),
    [anon_sym_DOT] = ACTIONS(778),
    [anon_sym_LBRACK] = ACTIONS(1799),
    [anon_sym_RBRACK] = ACTIONS(773),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(773),
    [anon_sym_DOT_DOT_LT] = ACTIONS(773),
    [anon_sym_not_in] = ACTIONS(778),
    [anon_sym_DOT_DOT] = ACTIONS(1647),
    [anon_sym_or_return] = ACTIONS(778),
    [anon_sym_or_continue] = ACTIONS(778),
    [anon_sym_or_break] = ACTIONS(778),
    [anon_sym_CARET] = ACTIONS(1803),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1652),
    [anon_sym_map] = ACTIONS(1654),
    [anon_sym_bit_set] = ACTIONS(1656),
    [anon_sym_matrix] = ACTIONS(1658),
    [anon_sym_distinct] = ACTIONS(509),
    [sym_uninitialized] = ACTIONS(773),
    [sym_tag] = ACTIONS(1807),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [203] = {
    [sym_procedure] = STATE(3172),
    [sym_type] = STATE(3183),
    [sym_pointer_type] = STATE(3208),
    [sym_variadic_type] = STATE(3208),
    [sym_array_type] = STATE(3208),
    [sym_map_type] = STATE(3208),
    [sym_union_type] = STATE(3208),
    [sym_bit_set_type] = STATE(3208),
    [sym_matrix_type] = STATE(3208),
    [sym_field_type] = STATE(3208),
    [sym_tuple_type] = STATE(3208),
    [sym_struct_type] = STATE(3208),
    [sym_enum_type] = STATE(3208),
    [sym_constant_type] = STATE(3208),
    [sym_specialized_type] = STATE(3208),
    [sym__procedure_type] = STATE(3208),
    [sym_distinct_type] = STATE(3208),
    [sym_empty_type] = STATE(3208),
    [sym_polymorphic_type] = STATE(3208),
    [sym_conditional_type] = STATE(3208),
    [ts_builtin_sym_end] = ACTIONS(817),
    [sym_identifier] = ACTIONS(1675),
    [anon_sym_LBRACE] = ACTIONS(817),
    [anon_sym_RBRACE] = ACTIONS(817),
    [anon_sym_COMMA] = ACTIONS(817),
    [anon_sym_COLON_COLON] = ACTIONS(817),
    [anon_sym_proc] = ACTIONS(1677),
    [anon_sym_DASH_GT] = ACTIONS(817),
    [anon_sym_where] = ACTIONS(819),
    [anon_sym_struct] = ACTIONS(1679),
    [anon_sym_enum] = ACTIONS(1681),
    [anon_sym_EQ] = ACTIONS(819),
    [anon_sym_union] = ACTIONS(1683),
    [anon_sym_COLON_EQ] = ACTIONS(817),
    [anon_sym_COLON] = ACTIONS(819),
    [anon_sym_LPAREN] = ACTIONS(1811),
    [anon_sym_DOLLAR] = ACTIONS(1688),
    [anon_sym_if] = ACTIONS(819),
    [anon_sym_SEMI] = ACTIONS(817),
    [anon_sym_else] = ACTIONS(819),
    [anon_sym_when] = ACTIONS(819),
    [anon_sym_in] = ACTIONS(819),
    [anon_sym_case] = ACTIONS(819),
    [anon_sym_QMARK] = ACTIONS(817),
    [anon_sym_PLUS] = ACTIONS(817),
    [anon_sym_DASH] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(819),
    [anon_sym_BANG] = ACTIONS(1690),
    [anon_sym_AMP] = ACTIONS(819),
    [anon_sym_PIPE_PIPE] = ACTIONS(817),
    [anon_sym_or_else] = ACTIONS(819),
    [anon_sym_AMP_AMP] = ACTIONS(817),
    [anon_sym_GT] = ACTIONS(819),
    [anon_sym_GT_EQ] = ACTIONS(817),
    [anon_sym_LT_EQ] = ACTIONS(817),
    [anon_sym_LT] = ACTIONS(819),
    [anon_sym_EQ_EQ] = ACTIONS(817),
    [anon_sym_BANG_EQ] = ACTIONS(817),
    [anon_sym_TILDE_EQ] = ACTIONS(817),
    [anon_sym_PIPE] = ACTIONS(819),
    [anon_sym_AMP_TILDE] = ACTIONS(817),
    [anon_sym_LT_LT] = ACTIONS(817),
    [anon_sym_GT_GT] = ACTIONS(817),
    [anon_sym_STAR] = ACTIONS(817),
    [anon_sym_SLASH] = ACTIONS(819),
    [anon_sym_PERCENT] = ACTIONS(819),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(817),
    [anon_sym_DOT] = ACTIONS(819),
    [anon_sym_LBRACK] = ACTIONS(1814),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(817),
    [anon_sym_DOT_DOT_LT] = ACTIONS(817),
    [anon_sym_not_in] = ACTIONS(819),
    [anon_sym_DOT_DOT] = ACTIONS(1695),
    [anon_sym_or_return] = ACTIONS(819),
    [anon_sym_or_continue] = ACTIONS(819),
    [anon_sym_or_break] = ACTIONS(819),
    [anon_sym_CARET] = ACTIONS(1817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1700),
    [anon_sym_map] = ACTIONS(1702),
    [anon_sym_bit_set] = ACTIONS(1704),
    [anon_sym_matrix] = ACTIONS(1706),
    [anon_sym_distinct] = ACTIONS(477),
    [sym_uninitialized] = ACTIONS(817),
    [sym_tag] = ACTIONS(1820),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(817),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [204] = {
    [sym_procedure] = STATE(2754),
    [sym_type] = STATE(2899),
    [sym_pointer_type] = STATE(2760),
    [sym_variadic_type] = STATE(2760),
    [sym_array_type] = STATE(2760),
    [sym_map_type] = STATE(2760),
    [sym_union_type] = STATE(2760),
    [sym_bit_set_type] = STATE(2760),
    [sym_matrix_type] = STATE(2760),
    [sym_field_type] = STATE(2760),
    [sym_tuple_type] = STATE(2760),
    [sym_struct_type] = STATE(2760),
    [sym_enum_type] = STATE(2760),
    [sym_constant_type] = STATE(2760),
    [sym_specialized_type] = STATE(2760),
    [sym__procedure_type] = STATE(2760),
    [sym_distinct_type] = STATE(2760),
    [sym_empty_type] = STATE(2760),
    [sym_polymorphic_type] = STATE(2760),
    [sym_conditional_type] = STATE(2760),
    [sym_identifier] = ACTIONS(1627),
    [anon_sym_LBRACE] = ACTIONS(817),
    [anon_sym_RBRACE] = ACTIONS(817),
    [anon_sym_COMMA] = ACTIONS(817),
    [anon_sym_COLON_COLON] = ACTIONS(817),
    [anon_sym_proc] = ACTIONS(1629),
    [anon_sym_DASH_GT] = ACTIONS(817),
    [anon_sym_where] = ACTIONS(819),
    [anon_sym_struct] = ACTIONS(1631),
    [anon_sym_enum] = ACTIONS(1633),
    [anon_sym_EQ] = ACTIONS(819),
    [anon_sym_union] = ACTIONS(1635),
    [anon_sym_COLON_EQ] = ACTIONS(817),
    [anon_sym_COLON] = ACTIONS(819),
    [anon_sym_LPAREN] = ACTIONS(1823),
    [anon_sym_RPAREN] = ACTIONS(817),
    [anon_sym_DOLLAR] = ACTIONS(1640),
    [anon_sym_if] = ACTIONS(819),
    [anon_sym_SEMI] = ACTIONS(817),
    [anon_sym_do] = ACTIONS(819),
    [anon_sym_else] = ACTIONS(819),
    [anon_sym_when] = ACTIONS(819),
    [anon_sym_in] = ACTIONS(819),
    [anon_sym_QMARK] = ACTIONS(817),
    [anon_sym_PLUS] = ACTIONS(817),
    [anon_sym_DASH] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(819),
    [anon_sym_BANG] = ACTIONS(1642),
    [anon_sym_AMP] = ACTIONS(819),
    [anon_sym_PIPE_PIPE] = ACTIONS(817),
    [anon_sym_or_else] = ACTIONS(819),
    [anon_sym_AMP_AMP] = ACTIONS(817),
    [anon_sym_GT] = ACTIONS(819),
    [anon_sym_GT_EQ] = ACTIONS(817),
    [anon_sym_LT_EQ] = ACTIONS(817),
    [anon_sym_LT] = ACTIONS(819),
    [anon_sym_EQ_EQ] = ACTIONS(817),
    [anon_sym_BANG_EQ] = ACTIONS(817),
    [anon_sym_TILDE_EQ] = ACTIONS(817),
    [anon_sym_PIPE] = ACTIONS(819),
    [anon_sym_AMP_TILDE] = ACTIONS(817),
    [anon_sym_LT_LT] = ACTIONS(817),
    [anon_sym_GT_GT] = ACTIONS(817),
    [anon_sym_STAR] = ACTIONS(817),
    [anon_sym_SLASH] = ACTIONS(819),
    [anon_sym_PERCENT] = ACTIONS(819),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(817),
    [anon_sym_DOT] = ACTIONS(819),
    [anon_sym_LBRACK] = ACTIONS(1826),
    [anon_sym_RBRACK] = ACTIONS(817),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(817),
    [anon_sym_DOT_DOT_LT] = ACTIONS(817),
    [anon_sym_not_in] = ACTIONS(819),
    [anon_sym_DOT_DOT] = ACTIONS(1647),
    [anon_sym_or_return] = ACTIONS(819),
    [anon_sym_or_continue] = ACTIONS(819),
    [anon_sym_or_break] = ACTIONS(819),
    [anon_sym_CARET] = ACTIONS(1829),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1652),
    [anon_sym_map] = ACTIONS(1654),
    [anon_sym_bit_set] = ACTIONS(1656),
    [anon_sym_matrix] = ACTIONS(1658),
    [anon_sym_distinct] = ACTIONS(509),
    [sym_uninitialized] = ACTIONS(817),
    [sym_tag] = ACTIONS(1832),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [205] = {
    [sym_procedure] = STATE(3172),
    [sym_type] = STATE(3205),
    [sym_pointer_type] = STATE(3208),
    [sym_variadic_type] = STATE(3208),
    [sym_array_type] = STATE(3208),
    [sym_map_type] = STATE(3208),
    [sym_union_type] = STATE(3208),
    [sym_bit_set_type] = STATE(3208),
    [sym_matrix_type] = STATE(3208),
    [sym_field_type] = STATE(3208),
    [sym_tuple_type] = STATE(3208),
    [sym_struct_type] = STATE(3208),
    [sym_enum_type] = STATE(3208),
    [sym_constant_type] = STATE(3208),
    [sym_specialized_type] = STATE(3208),
    [sym__procedure_type] = STATE(3208),
    [sym_distinct_type] = STATE(3208),
    [sym_empty_type] = STATE(3208),
    [sym_polymorphic_type] = STATE(3208),
    [sym_conditional_type] = STATE(3208),
    [ts_builtin_sym_end] = ACTIONS(871),
    [sym_identifier] = ACTIONS(1675),
    [anon_sym_LBRACE] = ACTIONS(871),
    [anon_sym_RBRACE] = ACTIONS(871),
    [anon_sym_COMMA] = ACTIONS(871),
    [anon_sym_COLON_COLON] = ACTIONS(871),
    [anon_sym_proc] = ACTIONS(1677),
    [anon_sym_DASH_GT] = ACTIONS(871),
    [anon_sym_where] = ACTIONS(874),
    [anon_sym_struct] = ACTIONS(1679),
    [anon_sym_enum] = ACTIONS(1681),
    [anon_sym_EQ] = ACTIONS(874),
    [anon_sym_union] = ACTIONS(1683),
    [anon_sym_COLON_EQ] = ACTIONS(871),
    [anon_sym_COLON] = ACTIONS(874),
    [anon_sym_LPAREN] = ACTIONS(1835),
    [anon_sym_DOLLAR] = ACTIONS(1688),
    [anon_sym_if] = ACTIONS(874),
    [anon_sym_SEMI] = ACTIONS(871),
    [anon_sym_else] = ACTIONS(874),
    [anon_sym_when] = ACTIONS(874),
    [anon_sym_in] = ACTIONS(874),
    [anon_sym_case] = ACTIONS(874),
    [anon_sym_QMARK] = ACTIONS(871),
    [anon_sym_PLUS] = ACTIONS(871),
    [anon_sym_DASH] = ACTIONS(874),
    [anon_sym_TILDE] = ACTIONS(874),
    [anon_sym_BANG] = ACTIONS(1690),
    [anon_sym_AMP] = ACTIONS(874),
    [anon_sym_PIPE_PIPE] = ACTIONS(871),
    [anon_sym_or_else] = ACTIONS(874),
    [anon_sym_AMP_AMP] = ACTIONS(871),
    [anon_sym_GT] = ACTIONS(874),
    [anon_sym_GT_EQ] = ACTIONS(871),
    [anon_sym_LT_EQ] = ACTIONS(871),
    [anon_sym_LT] = ACTIONS(874),
    [anon_sym_EQ_EQ] = ACTIONS(871),
    [anon_sym_BANG_EQ] = ACTIONS(871),
    [anon_sym_TILDE_EQ] = ACTIONS(871),
    [anon_sym_PIPE] = ACTIONS(874),
    [anon_sym_AMP_TILDE] = ACTIONS(871),
    [anon_sym_LT_LT] = ACTIONS(871),
    [anon_sym_GT_GT] = ACTIONS(871),
    [anon_sym_STAR] = ACTIONS(871),
    [anon_sym_SLASH] = ACTIONS(874),
    [anon_sym_PERCENT] = ACTIONS(874),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(871),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_LBRACK] = ACTIONS(1839),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(871),
    [anon_sym_DOT_DOT_LT] = ACTIONS(871),
    [anon_sym_not_in] = ACTIONS(874),
    [anon_sym_DOT_DOT] = ACTIONS(1695),
    [anon_sym_or_return] = ACTIONS(874),
    [anon_sym_or_continue] = ACTIONS(874),
    [anon_sym_or_break] = ACTIONS(874),
    [anon_sym_CARET] = ACTIONS(1843),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1700),
    [anon_sym_map] = ACTIONS(1702),
    [anon_sym_bit_set] = ACTIONS(1704),
    [anon_sym_matrix] = ACTIONS(1706),
    [anon_sym_distinct] = ACTIONS(477),
    [sym_uninitialized] = ACTIONS(871),
    [sym_tag] = ACTIONS(1847),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(871),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [206] = {
    [sym_procedure] = STATE(3172),
    [sym_type] = STATE(3124),
    [sym_pointer_type] = STATE(3208),
    [sym_variadic_type] = STATE(3208),
    [sym_array_type] = STATE(3208),
    [sym_map_type] = STATE(3208),
    [sym_union_type] = STATE(3208),
    [sym_bit_set_type] = STATE(3208),
    [sym_matrix_type] = STATE(3208),
    [sym_field_type] = STATE(3208),
    [sym_tuple_type] = STATE(3208),
    [sym_struct_type] = STATE(3208),
    [sym_enum_type] = STATE(3208),
    [sym_constant_type] = STATE(3208),
    [sym_specialized_type] = STATE(3208),
    [sym__procedure_type] = STATE(3208),
    [sym_distinct_type] = STATE(3208),
    [sym_empty_type] = STATE(3208),
    [sym_polymorphic_type] = STATE(3208),
    [sym_conditional_type] = STATE(3208),
    [ts_builtin_sym_end] = ACTIONS(833),
    [sym_identifier] = ACTIONS(1675),
    [anon_sym_LBRACE] = ACTIONS(833),
    [anon_sym_RBRACE] = ACTIONS(833),
    [anon_sym_COMMA] = ACTIONS(833),
    [anon_sym_COLON_COLON] = ACTIONS(833),
    [anon_sym_proc] = ACTIONS(1677),
    [anon_sym_DASH_GT] = ACTIONS(833),
    [anon_sym_where] = ACTIONS(836),
    [anon_sym_struct] = ACTIONS(1679),
    [anon_sym_enum] = ACTIONS(1681),
    [anon_sym_EQ] = ACTIONS(836),
    [anon_sym_union] = ACTIONS(1683),
    [anon_sym_COLON_EQ] = ACTIONS(833),
    [anon_sym_COLON] = ACTIONS(836),
    [anon_sym_LPAREN] = ACTIONS(1851),
    [anon_sym_DOLLAR] = ACTIONS(1688),
    [anon_sym_if] = ACTIONS(836),
    [anon_sym_SEMI] = ACTIONS(833),
    [anon_sym_else] = ACTIONS(836),
    [anon_sym_when] = ACTIONS(836),
    [anon_sym_in] = ACTIONS(836),
    [anon_sym_case] = ACTIONS(836),
    [anon_sym_QMARK] = ACTIONS(833),
    [anon_sym_PLUS] = ACTIONS(833),
    [anon_sym_DASH] = ACTIONS(836),
    [anon_sym_TILDE] = ACTIONS(836),
    [anon_sym_BANG] = ACTIONS(1690),
    [anon_sym_AMP] = ACTIONS(836),
    [anon_sym_PIPE_PIPE] = ACTIONS(833),
    [anon_sym_or_else] = ACTIONS(836),
    [anon_sym_AMP_AMP] = ACTIONS(833),
    [anon_sym_GT] = ACTIONS(836),
    [anon_sym_GT_EQ] = ACTIONS(833),
    [anon_sym_LT_EQ] = ACTIONS(833),
    [anon_sym_LT] = ACTIONS(836),
    [anon_sym_EQ_EQ] = ACTIONS(833),
    [anon_sym_BANG_EQ] = ACTIONS(833),
    [anon_sym_TILDE_EQ] = ACTIONS(833),
    [anon_sym_PIPE] = ACTIONS(836),
    [anon_sym_AMP_TILDE] = ACTIONS(833),
    [anon_sym_LT_LT] = ACTIONS(833),
    [anon_sym_GT_GT] = ACTIONS(833),
    [anon_sym_STAR] = ACTIONS(833),
    [anon_sym_SLASH] = ACTIONS(836),
    [anon_sym_PERCENT] = ACTIONS(836),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(833),
    [anon_sym_DOT] = ACTIONS(836),
    [anon_sym_LBRACK] = ACTIONS(1855),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(833),
    [anon_sym_DOT_DOT_LT] = ACTIONS(833),
    [anon_sym_not_in] = ACTIONS(836),
    [anon_sym_DOT_DOT] = ACTIONS(1695),
    [anon_sym_or_return] = ACTIONS(836),
    [anon_sym_or_continue] = ACTIONS(836),
    [anon_sym_or_break] = ACTIONS(836),
    [anon_sym_CARET] = ACTIONS(1859),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1700),
    [anon_sym_map] = ACTIONS(1702),
    [anon_sym_bit_set] = ACTIONS(1704),
    [anon_sym_matrix] = ACTIONS(1706),
    [anon_sym_distinct] = ACTIONS(477),
    [sym_uninitialized] = ACTIONS(833),
    [sym_tag] = ACTIONS(1863),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(833),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [207] = {
    [sym_procedure] = STATE(3458),
    [sym_type] = STATE(3482),
    [sym_pointer_type] = STATE(3471),
    [sym_variadic_type] = STATE(3471),
    [sym_array_type] = STATE(3471),
    [sym_map_type] = STATE(3471),
    [sym_union_type] = STATE(3471),
    [sym_bit_set_type] = STATE(3471),
    [sym_matrix_type] = STATE(3471),
    [sym_field_type] = STATE(3471),
    [sym_tuple_type] = STATE(3471),
    [sym_struct_type] = STATE(3471),
    [sym_enum_type] = STATE(3471),
    [sym_constant_type] = STATE(3471),
    [sym_specialized_type] = STATE(3471),
    [sym__procedure_type] = STATE(3471),
    [sym_distinct_type] = STATE(3471),
    [sym_empty_type] = STATE(3471),
    [sym_polymorphic_type] = STATE(3471),
    [sym_conditional_type] = STATE(3471),
    [sym_identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(893),
    [anon_sym_RBRACE] = ACTIONS(893),
    [anon_sym_COMMA] = ACTIONS(893),
    [anon_sym_COLON_COLON] = ACTIONS(893),
    [anon_sym_proc] = ACTIONS(1869),
    [anon_sym_DASH_GT] = ACTIONS(893),
    [anon_sym_struct] = ACTIONS(1871),
    [anon_sym_enum] = ACTIONS(1873),
    [anon_sym_EQ] = ACTIONS(895),
    [anon_sym_union] = ACTIONS(1875),
    [anon_sym_COLON_EQ] = ACTIONS(893),
    [anon_sym_COLON] = ACTIONS(895),
    [anon_sym_LPAREN] = ACTIONS(1877),
    [anon_sym_RPAREN] = ACTIONS(893),
    [anon_sym_DOLLAR] = ACTIONS(1880),
    [anon_sym_if] = ACTIONS(895),
    [anon_sym_SEMI] = ACTIONS(893),
    [anon_sym_do] = ACTIONS(895),
    [anon_sym_else] = ACTIONS(895),
    [anon_sym_when] = ACTIONS(895),
    [anon_sym_in] = ACTIONS(895),
    [anon_sym_QMARK] = ACTIONS(893),
    [anon_sym_PLUS] = ACTIONS(893),
    [anon_sym_DASH] = ACTIONS(895),
    [anon_sym_TILDE] = ACTIONS(895),
    [anon_sym_BANG] = ACTIONS(1882),
    [anon_sym_AMP] = ACTIONS(895),
    [anon_sym_PIPE_PIPE] = ACTIONS(893),
    [anon_sym_or_else] = ACTIONS(895),
    [anon_sym_AMP_AMP] = ACTIONS(893),
    [anon_sym_GT] = ACTIONS(895),
    [anon_sym_GT_EQ] = ACTIONS(893),
    [anon_sym_LT_EQ] = ACTIONS(893),
    [anon_sym_LT] = ACTIONS(895),
    [anon_sym_EQ_EQ] = ACTIONS(893),
    [anon_sym_BANG_EQ] = ACTIONS(893),
    [anon_sym_TILDE_EQ] = ACTIONS(893),
    [anon_sym_PIPE] = ACTIONS(895),
    [anon_sym_AMP_TILDE] = ACTIONS(893),
    [anon_sym_LT_LT] = ACTIONS(893),
    [anon_sym_GT_GT] = ACTIONS(893),
    [anon_sym_STAR] = ACTIONS(893),
    [anon_sym_SLASH] = ACTIONS(895),
    [anon_sym_PERCENT] = ACTIONS(895),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(893),
    [anon_sym_DOT] = ACTIONS(895),
    [anon_sym_LBRACK] = ACTIONS(1884),
    [anon_sym_RBRACK] = ACTIONS(893),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(893),
    [anon_sym_DOT_DOT_LT] = ACTIONS(893),
    [anon_sym_not_in] = ACTIONS(895),
    [anon_sym_DOT_DOT] = ACTIONS(1887),
    [anon_sym_or_return] = ACTIONS(895),
    [anon_sym_or_continue] = ACTIONS(895),
    [anon_sym_or_break] = ACTIONS(895),
    [anon_sym_CARET] = ACTIONS(1889),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1892),
    [anon_sym_map] = ACTIONS(1894),
    [anon_sym_bit_set] = ACTIONS(1896),
    [anon_sym_matrix] = ACTIONS(1898),
    [anon_sym_distinct] = ACTIONS(357),
    [sym_tag] = ACTIONS(1900),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [208] = {
    [sym_procedure] = STATE(3458),
    [sym_type] = STATE(3460),
    [sym_pointer_type] = STATE(3471),
    [sym_variadic_type] = STATE(3471),
    [sym_array_type] = STATE(3471),
    [sym_map_type] = STATE(3471),
    [sym_union_type] = STATE(3471),
    [sym_bit_set_type] = STATE(3471),
    [sym_matrix_type] = STATE(3471),
    [sym_field_type] = STATE(3471),
    [sym_tuple_type] = STATE(3471),
    [sym_struct_type] = STATE(3471),
    [sym_enum_type] = STATE(3471),
    [sym_constant_type] = STATE(3471),
    [sym_specialized_type] = STATE(3471),
    [sym__procedure_type] = STATE(3471),
    [sym_distinct_type] = STATE(3471),
    [sym_empty_type] = STATE(3471),
    [sym_polymorphic_type] = STATE(3471),
    [sym_conditional_type] = STATE(3471),
    [sym_identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(817),
    [anon_sym_RBRACE] = ACTIONS(817),
    [anon_sym_COMMA] = ACTIONS(817),
    [anon_sym_COLON_COLON] = ACTIONS(817),
    [anon_sym_proc] = ACTIONS(1869),
    [anon_sym_DASH_GT] = ACTIONS(817),
    [anon_sym_struct] = ACTIONS(1871),
    [anon_sym_enum] = ACTIONS(1873),
    [anon_sym_EQ] = ACTIONS(819),
    [anon_sym_union] = ACTIONS(1875),
    [anon_sym_COLON_EQ] = ACTIONS(817),
    [anon_sym_COLON] = ACTIONS(819),
    [anon_sym_LPAREN] = ACTIONS(1902),
    [anon_sym_RPAREN] = ACTIONS(817),
    [anon_sym_DOLLAR] = ACTIONS(1880),
    [anon_sym_if] = ACTIONS(819),
    [anon_sym_SEMI] = ACTIONS(817),
    [anon_sym_do] = ACTIONS(819),
    [anon_sym_else] = ACTIONS(819),
    [anon_sym_when] = ACTIONS(819),
    [anon_sym_in] = ACTIONS(819),
    [anon_sym_QMARK] = ACTIONS(817),
    [anon_sym_PLUS] = ACTIONS(817),
    [anon_sym_DASH] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(819),
    [anon_sym_BANG] = ACTIONS(1882),
    [anon_sym_AMP] = ACTIONS(819),
    [anon_sym_PIPE_PIPE] = ACTIONS(817),
    [anon_sym_or_else] = ACTIONS(819),
    [anon_sym_AMP_AMP] = ACTIONS(817),
    [anon_sym_GT] = ACTIONS(819),
    [anon_sym_GT_EQ] = ACTIONS(817),
    [anon_sym_LT_EQ] = ACTIONS(817),
    [anon_sym_LT] = ACTIONS(819),
    [anon_sym_EQ_EQ] = ACTIONS(817),
    [anon_sym_BANG_EQ] = ACTIONS(817),
    [anon_sym_TILDE_EQ] = ACTIONS(817),
    [anon_sym_PIPE] = ACTIONS(819),
    [anon_sym_AMP_TILDE] = ACTIONS(817),
    [anon_sym_LT_LT] = ACTIONS(817),
    [anon_sym_GT_GT] = ACTIONS(817),
    [anon_sym_STAR] = ACTIONS(817),
    [anon_sym_SLASH] = ACTIONS(819),
    [anon_sym_PERCENT] = ACTIONS(819),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(817),
    [anon_sym_DOT] = ACTIONS(819),
    [anon_sym_LBRACK] = ACTIONS(1905),
    [anon_sym_RBRACK] = ACTIONS(817),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(817),
    [anon_sym_DOT_DOT_LT] = ACTIONS(817),
    [anon_sym_not_in] = ACTIONS(819),
    [anon_sym_DOT_DOT] = ACTIONS(1887),
    [anon_sym_or_return] = ACTIONS(819),
    [anon_sym_or_continue] = ACTIONS(819),
    [anon_sym_or_break] = ACTIONS(819),
    [anon_sym_CARET] = ACTIONS(1908),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1892),
    [anon_sym_map] = ACTIONS(1894),
    [anon_sym_bit_set] = ACTIONS(1896),
    [anon_sym_matrix] = ACTIONS(1898),
    [anon_sym_distinct] = ACTIONS(357),
    [sym_tag] = ACTIONS(1900),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [209] = {
    [sym_procedure] = STATE(3458),
    [sym_type] = STATE(3516),
    [sym_pointer_type] = STATE(3471),
    [sym_variadic_type] = STATE(3471),
    [sym_array_type] = STATE(3471),
    [sym_map_type] = STATE(3471),
    [sym_union_type] = STATE(3471),
    [sym_bit_set_type] = STATE(3471),
    [sym_matrix_type] = STATE(3471),
    [sym_field_type] = STATE(3471),
    [sym_tuple_type] = STATE(3471),
    [sym_struct_type] = STATE(3471),
    [sym_enum_type] = STATE(3471),
    [sym_constant_type] = STATE(3471),
    [sym_specialized_type] = STATE(3471),
    [sym__procedure_type] = STATE(3471),
    [sym_distinct_type] = STATE(3471),
    [sym_empty_type] = STATE(3471),
    [sym_polymorphic_type] = STATE(3471),
    [sym_conditional_type] = STATE(3471),
    [sym_identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(855),
    [anon_sym_RBRACE] = ACTIONS(855),
    [anon_sym_COMMA] = ACTIONS(855),
    [anon_sym_COLON_COLON] = ACTIONS(855),
    [anon_sym_proc] = ACTIONS(1869),
    [anon_sym_DASH_GT] = ACTIONS(855),
    [anon_sym_struct] = ACTIONS(1871),
    [anon_sym_enum] = ACTIONS(1873),
    [anon_sym_EQ] = ACTIONS(857),
    [anon_sym_union] = ACTIONS(1875),
    [anon_sym_COLON_EQ] = ACTIONS(855),
    [anon_sym_COLON] = ACTIONS(857),
    [anon_sym_LPAREN] = ACTIONS(1911),
    [anon_sym_RPAREN] = ACTIONS(855),
    [anon_sym_DOLLAR] = ACTIONS(1880),
    [anon_sym_if] = ACTIONS(857),
    [anon_sym_SEMI] = ACTIONS(855),
    [anon_sym_do] = ACTIONS(857),
    [anon_sym_else] = ACTIONS(857),
    [anon_sym_when] = ACTIONS(857),
    [anon_sym_in] = ACTIONS(857),
    [anon_sym_QMARK] = ACTIONS(855),
    [anon_sym_PLUS] = ACTIONS(855),
    [anon_sym_DASH] = ACTIONS(857),
    [anon_sym_TILDE] = ACTIONS(857),
    [anon_sym_BANG] = ACTIONS(1882),
    [anon_sym_AMP] = ACTIONS(857),
    [anon_sym_PIPE_PIPE] = ACTIONS(855),
    [anon_sym_or_else] = ACTIONS(857),
    [anon_sym_AMP_AMP] = ACTIONS(855),
    [anon_sym_GT] = ACTIONS(857),
    [anon_sym_GT_EQ] = ACTIONS(855),
    [anon_sym_LT_EQ] = ACTIONS(855),
    [anon_sym_LT] = ACTIONS(857),
    [anon_sym_EQ_EQ] = ACTIONS(855),
    [anon_sym_BANG_EQ] = ACTIONS(855),
    [anon_sym_TILDE_EQ] = ACTIONS(855),
    [anon_sym_PIPE] = ACTIONS(857),
    [anon_sym_AMP_TILDE] = ACTIONS(855),
    [anon_sym_LT_LT] = ACTIONS(855),
    [anon_sym_GT_GT] = ACTIONS(855),
    [anon_sym_STAR] = ACTIONS(855),
    [anon_sym_SLASH] = ACTIONS(857),
    [anon_sym_PERCENT] = ACTIONS(857),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(855),
    [anon_sym_DOT] = ACTIONS(857),
    [anon_sym_LBRACK] = ACTIONS(1914),
    [anon_sym_RBRACK] = ACTIONS(855),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(855),
    [anon_sym_DOT_DOT_LT] = ACTIONS(855),
    [anon_sym_not_in] = ACTIONS(857),
    [anon_sym_DOT_DOT] = ACTIONS(1887),
    [anon_sym_or_return] = ACTIONS(857),
    [anon_sym_or_continue] = ACTIONS(857),
    [anon_sym_or_break] = ACTIONS(857),
    [anon_sym_CARET] = ACTIONS(1917),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1892),
    [anon_sym_map] = ACTIONS(1894),
    [anon_sym_bit_set] = ACTIONS(1896),
    [anon_sym_matrix] = ACTIONS(1898),
    [anon_sym_distinct] = ACTIONS(357),
    [sym_tag] = ACTIONS(1900),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [210] = {
    [sym_procedure] = STATE(3458),
    [sym_type] = STATE(3542),
    [sym_pointer_type] = STATE(3471),
    [sym_variadic_type] = STATE(3471),
    [sym_array_type] = STATE(3471),
    [sym_map_type] = STATE(3471),
    [sym_union_type] = STATE(3471),
    [sym_bit_set_type] = STATE(3471),
    [sym_matrix_type] = STATE(3471),
    [sym_field_type] = STATE(3471),
    [sym_tuple_type] = STATE(3471),
    [sym_struct_type] = STATE(3471),
    [sym_enum_type] = STATE(3471),
    [sym_constant_type] = STATE(3471),
    [sym_specialized_type] = STATE(3471),
    [sym__procedure_type] = STATE(3471),
    [sym_distinct_type] = STATE(3471),
    [sym_empty_type] = STATE(3471),
    [sym_polymorphic_type] = STATE(3471),
    [sym_conditional_type] = STATE(3471),
    [sym_identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(773),
    [anon_sym_RBRACE] = ACTIONS(773),
    [anon_sym_COMMA] = ACTIONS(773),
    [anon_sym_COLON_COLON] = ACTIONS(773),
    [anon_sym_proc] = ACTIONS(1869),
    [anon_sym_DASH_GT] = ACTIONS(773),
    [anon_sym_struct] = ACTIONS(1871),
    [anon_sym_enum] = ACTIONS(1873),
    [anon_sym_EQ] = ACTIONS(778),
    [anon_sym_union] = ACTIONS(1875),
    [anon_sym_COLON_EQ] = ACTIONS(773),
    [anon_sym_COLON] = ACTIONS(778),
    [anon_sym_LPAREN] = ACTIONS(1920),
    [anon_sym_RPAREN] = ACTIONS(773),
    [anon_sym_DOLLAR] = ACTIONS(1880),
    [anon_sym_if] = ACTIONS(778),
    [anon_sym_SEMI] = ACTIONS(773),
    [anon_sym_do] = ACTIONS(778),
    [anon_sym_else] = ACTIONS(778),
    [anon_sym_when] = ACTIONS(778),
    [anon_sym_in] = ACTIONS(778),
    [anon_sym_QMARK] = ACTIONS(773),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(778),
    [anon_sym_TILDE] = ACTIONS(778),
    [anon_sym_BANG] = ACTIONS(1882),
    [anon_sym_AMP] = ACTIONS(778),
    [anon_sym_PIPE_PIPE] = ACTIONS(773),
    [anon_sym_or_else] = ACTIONS(778),
    [anon_sym_AMP_AMP] = ACTIONS(773),
    [anon_sym_GT] = ACTIONS(778),
    [anon_sym_GT_EQ] = ACTIONS(773),
    [anon_sym_LT_EQ] = ACTIONS(773),
    [anon_sym_LT] = ACTIONS(778),
    [anon_sym_EQ_EQ] = ACTIONS(773),
    [anon_sym_BANG_EQ] = ACTIONS(773),
    [anon_sym_TILDE_EQ] = ACTIONS(773),
    [anon_sym_PIPE] = ACTIONS(778),
    [anon_sym_AMP_TILDE] = ACTIONS(773),
    [anon_sym_LT_LT] = ACTIONS(773),
    [anon_sym_GT_GT] = ACTIONS(773),
    [anon_sym_STAR] = ACTIONS(773),
    [anon_sym_SLASH] = ACTIONS(778),
    [anon_sym_PERCENT] = ACTIONS(778),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(773),
    [anon_sym_DOT] = ACTIONS(778),
    [anon_sym_LBRACK] = ACTIONS(1924),
    [anon_sym_RBRACK] = ACTIONS(773),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(773),
    [anon_sym_DOT_DOT_LT] = ACTIONS(773),
    [anon_sym_not_in] = ACTIONS(778),
    [anon_sym_DOT_DOT] = ACTIONS(1887),
    [anon_sym_or_return] = ACTIONS(778),
    [anon_sym_or_continue] = ACTIONS(778),
    [anon_sym_or_break] = ACTIONS(778),
    [anon_sym_CARET] = ACTIONS(1928),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1892),
    [anon_sym_map] = ACTIONS(1894),
    [anon_sym_bit_set] = ACTIONS(1896),
    [anon_sym_matrix] = ACTIONS(1898),
    [anon_sym_distinct] = ACTIONS(357),
    [sym_tag] = ACTIONS(1900),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [211] = {
    [sym_procedure] = STATE(3458),
    [sym_type] = STATE(3537),
    [sym_pointer_type] = STATE(3471),
    [sym_variadic_type] = STATE(3471),
    [sym_array_type] = STATE(3471),
    [sym_map_type] = STATE(3471),
    [sym_union_type] = STATE(3471),
    [sym_bit_set_type] = STATE(3471),
    [sym_matrix_type] = STATE(3471),
    [sym_field_type] = STATE(3471),
    [sym_tuple_type] = STATE(3471),
    [sym_struct_type] = STATE(3471),
    [sym_enum_type] = STATE(3471),
    [sym_constant_type] = STATE(3471),
    [sym_specialized_type] = STATE(3471),
    [sym__procedure_type] = STATE(3471),
    [sym_distinct_type] = STATE(3471),
    [sym_empty_type] = STATE(3471),
    [sym_polymorphic_type] = STATE(3471),
    [sym_conditional_type] = STATE(3471),
    [sym_identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(909),
    [anon_sym_RBRACE] = ACTIONS(909),
    [anon_sym_COMMA] = ACTIONS(909),
    [anon_sym_COLON_COLON] = ACTIONS(909),
    [anon_sym_proc] = ACTIONS(1869),
    [anon_sym_DASH_GT] = ACTIONS(909),
    [anon_sym_struct] = ACTIONS(1871),
    [anon_sym_enum] = ACTIONS(1873),
    [anon_sym_EQ] = ACTIONS(911),
    [anon_sym_union] = ACTIONS(1875),
    [anon_sym_COLON_EQ] = ACTIONS(909),
    [anon_sym_COLON] = ACTIONS(911),
    [anon_sym_LPAREN] = ACTIONS(1932),
    [anon_sym_RPAREN] = ACTIONS(909),
    [anon_sym_DOLLAR] = ACTIONS(1880),
    [anon_sym_if] = ACTIONS(911),
    [anon_sym_SEMI] = ACTIONS(909),
    [anon_sym_do] = ACTIONS(911),
    [anon_sym_else] = ACTIONS(911),
    [anon_sym_when] = ACTIONS(911),
    [anon_sym_in] = ACTIONS(911),
    [anon_sym_QMARK] = ACTIONS(909),
    [anon_sym_PLUS] = ACTIONS(909),
    [anon_sym_DASH] = ACTIONS(911),
    [anon_sym_TILDE] = ACTIONS(911),
    [anon_sym_BANG] = ACTIONS(1882),
    [anon_sym_AMP] = ACTIONS(911),
    [anon_sym_PIPE_PIPE] = ACTIONS(909),
    [anon_sym_or_else] = ACTIONS(911),
    [anon_sym_AMP_AMP] = ACTIONS(909),
    [anon_sym_GT] = ACTIONS(911),
    [anon_sym_GT_EQ] = ACTIONS(909),
    [anon_sym_LT_EQ] = ACTIONS(909),
    [anon_sym_LT] = ACTIONS(911),
    [anon_sym_EQ_EQ] = ACTIONS(909),
    [anon_sym_BANG_EQ] = ACTIONS(909),
    [anon_sym_TILDE_EQ] = ACTIONS(909),
    [anon_sym_PIPE] = ACTIONS(911),
    [anon_sym_AMP_TILDE] = ACTIONS(909),
    [anon_sym_LT_LT] = ACTIONS(909),
    [anon_sym_GT_GT] = ACTIONS(909),
    [anon_sym_STAR] = ACTIONS(909),
    [anon_sym_SLASH] = ACTIONS(911),
    [anon_sym_PERCENT] = ACTIONS(911),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(909),
    [anon_sym_DOT] = ACTIONS(911),
    [anon_sym_LBRACK] = ACTIONS(1935),
    [anon_sym_RBRACK] = ACTIONS(909),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(909),
    [anon_sym_DOT_DOT_LT] = ACTIONS(909),
    [anon_sym_not_in] = ACTIONS(911),
    [anon_sym_DOT_DOT] = ACTIONS(1887),
    [anon_sym_or_return] = ACTIONS(911),
    [anon_sym_or_continue] = ACTIONS(911),
    [anon_sym_or_break] = ACTIONS(911),
    [anon_sym_CARET] = ACTIONS(1938),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1892),
    [anon_sym_map] = ACTIONS(1894),
    [anon_sym_bit_set] = ACTIONS(1896),
    [anon_sym_matrix] = ACTIONS(1898),
    [anon_sym_distinct] = ACTIONS(357),
    [sym_tag] = ACTIONS(1900),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [212] = {
    [sym_procedure] = STATE(3458),
    [sym_type] = STATE(3481),
    [sym_pointer_type] = STATE(3471),
    [sym_variadic_type] = STATE(3471),
    [sym_array_type] = STATE(3471),
    [sym_map_type] = STATE(3471),
    [sym_union_type] = STATE(3471),
    [sym_bit_set_type] = STATE(3471),
    [sym_matrix_type] = STATE(3471),
    [sym_field_type] = STATE(3471),
    [sym_tuple_type] = STATE(3471),
    [sym_struct_type] = STATE(3471),
    [sym_enum_type] = STATE(3471),
    [sym_constant_type] = STATE(3471),
    [sym_specialized_type] = STATE(3471),
    [sym__procedure_type] = STATE(3471),
    [sym_distinct_type] = STATE(3471),
    [sym_empty_type] = STATE(3471),
    [sym_polymorphic_type] = STATE(3471),
    [sym_conditional_type] = STATE(3471),
    [sym_identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(871),
    [anon_sym_RBRACE] = ACTIONS(871),
    [anon_sym_COMMA] = ACTIONS(871),
    [anon_sym_COLON_COLON] = ACTIONS(871),
    [anon_sym_proc] = ACTIONS(1869),
    [anon_sym_DASH_GT] = ACTIONS(871),
    [anon_sym_struct] = ACTIONS(1871),
    [anon_sym_enum] = ACTIONS(1873),
    [anon_sym_EQ] = ACTIONS(874),
    [anon_sym_union] = ACTIONS(1875),
    [anon_sym_COLON_EQ] = ACTIONS(871),
    [anon_sym_COLON] = ACTIONS(874),
    [anon_sym_LPAREN] = ACTIONS(1941),
    [anon_sym_RPAREN] = ACTIONS(871),
    [anon_sym_DOLLAR] = ACTIONS(1880),
    [anon_sym_if] = ACTIONS(874),
    [anon_sym_SEMI] = ACTIONS(871),
    [anon_sym_do] = ACTIONS(874),
    [anon_sym_else] = ACTIONS(874),
    [anon_sym_when] = ACTIONS(874),
    [anon_sym_in] = ACTIONS(874),
    [anon_sym_QMARK] = ACTIONS(871),
    [anon_sym_PLUS] = ACTIONS(871),
    [anon_sym_DASH] = ACTIONS(874),
    [anon_sym_TILDE] = ACTIONS(874),
    [anon_sym_BANG] = ACTIONS(1882),
    [anon_sym_AMP] = ACTIONS(874),
    [anon_sym_PIPE_PIPE] = ACTIONS(871),
    [anon_sym_or_else] = ACTIONS(874),
    [anon_sym_AMP_AMP] = ACTIONS(871),
    [anon_sym_GT] = ACTIONS(874),
    [anon_sym_GT_EQ] = ACTIONS(871),
    [anon_sym_LT_EQ] = ACTIONS(871),
    [anon_sym_LT] = ACTIONS(874),
    [anon_sym_EQ_EQ] = ACTIONS(871),
    [anon_sym_BANG_EQ] = ACTIONS(871),
    [anon_sym_TILDE_EQ] = ACTIONS(871),
    [anon_sym_PIPE] = ACTIONS(874),
    [anon_sym_AMP_TILDE] = ACTIONS(871),
    [anon_sym_LT_LT] = ACTIONS(871),
    [anon_sym_GT_GT] = ACTIONS(871),
    [anon_sym_STAR] = ACTIONS(871),
    [anon_sym_SLASH] = ACTIONS(874),
    [anon_sym_PERCENT] = ACTIONS(874),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(871),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_LBRACK] = ACTIONS(1945),
    [anon_sym_RBRACK] = ACTIONS(871),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(871),
    [anon_sym_DOT_DOT_LT] = ACTIONS(871),
    [anon_sym_not_in] = ACTIONS(874),
    [anon_sym_DOT_DOT] = ACTIONS(1887),
    [anon_sym_or_return] = ACTIONS(874),
    [anon_sym_or_continue] = ACTIONS(874),
    [anon_sym_or_break] = ACTIONS(874),
    [anon_sym_CARET] = ACTIONS(1949),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1892),
    [anon_sym_map] = ACTIONS(1894),
    [anon_sym_bit_set] = ACTIONS(1896),
    [anon_sym_matrix] = ACTIONS(1898),
    [anon_sym_distinct] = ACTIONS(357),
    [sym_tag] = ACTIONS(1900),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [213] = {
    [sym_procedure] = STATE(3458),
    [sym_type] = STATE(3531),
    [sym_pointer_type] = STATE(3471),
    [sym_variadic_type] = STATE(3471),
    [sym_array_type] = STATE(3471),
    [sym_map_type] = STATE(3471),
    [sym_union_type] = STATE(3471),
    [sym_bit_set_type] = STATE(3471),
    [sym_matrix_type] = STATE(3471),
    [sym_field_type] = STATE(3471),
    [sym_tuple_type] = STATE(3471),
    [sym_struct_type] = STATE(3471),
    [sym_enum_type] = STATE(3471),
    [sym_constant_type] = STATE(3471),
    [sym_specialized_type] = STATE(3471),
    [sym__procedure_type] = STATE(3471),
    [sym_distinct_type] = STATE(3471),
    [sym_empty_type] = STATE(3471),
    [sym_polymorphic_type] = STATE(3471),
    [sym_conditional_type] = STATE(3471),
    [sym_identifier] = ACTIONS(1867),
    [anon_sym_LBRACE] = ACTIONS(833),
    [anon_sym_RBRACE] = ACTIONS(833),
    [anon_sym_COMMA] = ACTIONS(833),
    [anon_sym_COLON_COLON] = ACTIONS(833),
    [anon_sym_proc] = ACTIONS(1869),
    [anon_sym_DASH_GT] = ACTIONS(833),
    [anon_sym_struct] = ACTIONS(1871),
    [anon_sym_enum] = ACTIONS(1873),
    [anon_sym_EQ] = ACTIONS(836),
    [anon_sym_union] = ACTIONS(1875),
    [anon_sym_COLON_EQ] = ACTIONS(833),
    [anon_sym_COLON] = ACTIONS(836),
    [anon_sym_LPAREN] = ACTIONS(1953),
    [anon_sym_RPAREN] = ACTIONS(833),
    [anon_sym_DOLLAR] = ACTIONS(1880),
    [anon_sym_if] = ACTIONS(836),
    [anon_sym_SEMI] = ACTIONS(833),
    [anon_sym_do] = ACTIONS(836),
    [anon_sym_else] = ACTIONS(836),
    [anon_sym_when] = ACTIONS(836),
    [anon_sym_in] = ACTIONS(836),
    [anon_sym_QMARK] = ACTIONS(833),
    [anon_sym_PLUS] = ACTIONS(833),
    [anon_sym_DASH] = ACTIONS(836),
    [anon_sym_TILDE] = ACTIONS(836),
    [anon_sym_BANG] = ACTIONS(1882),
    [anon_sym_AMP] = ACTIONS(836),
    [anon_sym_PIPE_PIPE] = ACTIONS(833),
    [anon_sym_or_else] = ACTIONS(836),
    [anon_sym_AMP_AMP] = ACTIONS(833),
    [anon_sym_GT] = ACTIONS(836),
    [anon_sym_GT_EQ] = ACTIONS(833),
    [anon_sym_LT_EQ] = ACTIONS(833),
    [anon_sym_LT] = ACTIONS(836),
    [anon_sym_EQ_EQ] = ACTIONS(833),
    [anon_sym_BANG_EQ] = ACTIONS(833),
    [anon_sym_TILDE_EQ] = ACTIONS(833),
    [anon_sym_PIPE] = ACTIONS(836),
    [anon_sym_AMP_TILDE] = ACTIONS(833),
    [anon_sym_LT_LT] = ACTIONS(833),
    [anon_sym_GT_GT] = ACTIONS(833),
    [anon_sym_STAR] = ACTIONS(833),
    [anon_sym_SLASH] = ACTIONS(836),
    [anon_sym_PERCENT] = ACTIONS(836),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(833),
    [anon_sym_DOT] = ACTIONS(836),
    [anon_sym_LBRACK] = ACTIONS(1957),
    [anon_sym_RBRACK] = ACTIONS(833),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(833),
    [anon_sym_DOT_DOT_LT] = ACTIONS(833),
    [anon_sym_not_in] = ACTIONS(836),
    [anon_sym_DOT_DOT] = ACTIONS(1887),
    [anon_sym_or_return] = ACTIONS(836),
    [anon_sym_or_continue] = ACTIONS(836),
    [anon_sym_or_break] = ACTIONS(836),
    [anon_sym_CARET] = ACTIONS(1961),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1892),
    [anon_sym_map] = ACTIONS(1894),
    [anon_sym_bit_set] = ACTIONS(1896),
    [anon_sym_matrix] = ACTIONS(1898),
    [anon_sym_distinct] = ACTIONS(357),
    [sym_tag] = ACTIONS(1900),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [214] = {
    [sym_procedure] = STATE(3684),
    [sym_type] = STATE(3652),
    [sym_pointer_type] = STATE(3686),
    [sym_variadic_type] = STATE(3686),
    [sym_array_type] = STATE(3686),
    [sym_map_type] = STATE(3686),
    [sym_union_type] = STATE(3686),
    [sym_bit_set_type] = STATE(3686),
    [sym_matrix_type] = STATE(3686),
    [sym_field_type] = STATE(3686),
    [sym_tuple_type] = STATE(3686),
    [sym_struct_type] = STATE(3686),
    [sym_enum_type] = STATE(3686),
    [sym_constant_type] = STATE(3686),
    [sym_specialized_type] = STATE(3686),
    [sym__procedure_type] = STATE(3686),
    [sym_distinct_type] = STATE(3686),
    [sym_empty_type] = STATE(3686),
    [sym_polymorphic_type] = STATE(3686),
    [sym_conditional_type] = STATE(3686),
    [ts_builtin_sym_end] = ACTIONS(817),
    [sym_identifier] = ACTIONS(1965),
    [anon_sym_LBRACE] = ACTIONS(817),
    [anon_sym_RBRACE] = ACTIONS(817),
    [anon_sym_COMMA] = ACTIONS(817),
    [anon_sym_COLON_COLON] = ACTIONS(817),
    [anon_sym_proc] = ACTIONS(1967),
    [anon_sym_DASH_GT] = ACTIONS(817),
    [anon_sym_struct] = ACTIONS(1969),
    [anon_sym_enum] = ACTIONS(1971),
    [anon_sym_union] = ACTIONS(1973),
    [anon_sym_COLON_EQ] = ACTIONS(817),
    [anon_sym_COLON] = ACTIONS(819),
    [anon_sym_LPAREN] = ACTIONS(1975),
    [anon_sym_DOLLAR] = ACTIONS(1978),
    [anon_sym_if] = ACTIONS(819),
    [anon_sym_SEMI] = ACTIONS(817),
    [anon_sym_else] = ACTIONS(819),
    [anon_sym_when] = ACTIONS(819),
    [anon_sym_in] = ACTIONS(819),
    [anon_sym_case] = ACTIONS(819),
    [anon_sym_QMARK] = ACTIONS(817),
    [anon_sym_PLUS] = ACTIONS(817),
    [anon_sym_DASH] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(819),
    [anon_sym_BANG] = ACTIONS(1980),
    [anon_sym_AMP] = ACTIONS(819),
    [anon_sym_PIPE_PIPE] = ACTIONS(817),
    [anon_sym_or_else] = ACTIONS(819),
    [anon_sym_AMP_AMP] = ACTIONS(817),
    [anon_sym_GT] = ACTIONS(819),
    [anon_sym_GT_EQ] = ACTIONS(817),
    [anon_sym_LT_EQ] = ACTIONS(817),
    [anon_sym_LT] = ACTIONS(819),
    [anon_sym_EQ_EQ] = ACTIONS(817),
    [anon_sym_BANG_EQ] = ACTIONS(817),
    [anon_sym_TILDE_EQ] = ACTIONS(817),
    [anon_sym_PIPE] = ACTIONS(819),
    [anon_sym_AMP_TILDE] = ACTIONS(817),
    [anon_sym_LT_LT] = ACTIONS(817),
    [anon_sym_GT_GT] = ACTIONS(817),
    [anon_sym_STAR] = ACTIONS(817),
    [anon_sym_SLASH] = ACTIONS(819),
    [anon_sym_PERCENT] = ACTIONS(819),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(817),
    [anon_sym_DOT] = ACTIONS(819),
    [anon_sym_LBRACK] = ACTIONS(1982),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(817),
    [anon_sym_DOT_DOT_LT] = ACTIONS(817),
    [anon_sym_not_in] = ACTIONS(819),
    [anon_sym_DOT_DOT] = ACTIONS(1985),
    [anon_sym_or_return] = ACTIONS(819),
    [anon_sym_or_continue] = ACTIONS(819),
    [anon_sym_or_break] = ACTIONS(819),
    [anon_sym_CARET] = ACTIONS(1987),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1990),
    [anon_sym_map] = ACTIONS(1992),
    [anon_sym_bit_set] = ACTIONS(1994),
    [anon_sym_matrix] = ACTIONS(1996),
    [anon_sym_distinct] = ACTIONS(1998),
    [sym_tag] = ACTIONS(2000),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(817),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [215] = {
    [sym_procedure] = STATE(3684),
    [sym_type] = STATE(3681),
    [sym_pointer_type] = STATE(3686),
    [sym_variadic_type] = STATE(3686),
    [sym_array_type] = STATE(3686),
    [sym_map_type] = STATE(3686),
    [sym_union_type] = STATE(3686),
    [sym_bit_set_type] = STATE(3686),
    [sym_matrix_type] = STATE(3686),
    [sym_field_type] = STATE(3686),
    [sym_tuple_type] = STATE(3686),
    [sym_struct_type] = STATE(3686),
    [sym_enum_type] = STATE(3686),
    [sym_constant_type] = STATE(3686),
    [sym_specialized_type] = STATE(3686),
    [sym__procedure_type] = STATE(3686),
    [sym_distinct_type] = STATE(3686),
    [sym_empty_type] = STATE(3686),
    [sym_polymorphic_type] = STATE(3686),
    [sym_conditional_type] = STATE(3686),
    [ts_builtin_sym_end] = ACTIONS(871),
    [sym_identifier] = ACTIONS(1965),
    [anon_sym_LBRACE] = ACTIONS(871),
    [anon_sym_RBRACE] = ACTIONS(871),
    [anon_sym_COMMA] = ACTIONS(871),
    [anon_sym_COLON_COLON] = ACTIONS(871),
    [anon_sym_proc] = ACTIONS(1967),
    [anon_sym_DASH_GT] = ACTIONS(871),
    [anon_sym_struct] = ACTIONS(1969),
    [anon_sym_enum] = ACTIONS(1971),
    [anon_sym_union] = ACTIONS(1973),
    [anon_sym_COLON_EQ] = ACTIONS(871),
    [anon_sym_COLON] = ACTIONS(874),
    [anon_sym_LPAREN] = ACTIONS(2002),
    [anon_sym_DOLLAR] = ACTIONS(1978),
    [anon_sym_if] = ACTIONS(874),
    [anon_sym_SEMI] = ACTIONS(871),
    [anon_sym_else] = ACTIONS(874),
    [anon_sym_when] = ACTIONS(874),
    [anon_sym_in] = ACTIONS(874),
    [anon_sym_case] = ACTIONS(874),
    [anon_sym_QMARK] = ACTIONS(871),
    [anon_sym_PLUS] = ACTIONS(871),
    [anon_sym_DASH] = ACTIONS(874),
    [anon_sym_TILDE] = ACTIONS(874),
    [anon_sym_BANG] = ACTIONS(1980),
    [anon_sym_AMP] = ACTIONS(874),
    [anon_sym_PIPE_PIPE] = ACTIONS(871),
    [anon_sym_or_else] = ACTIONS(874),
    [anon_sym_AMP_AMP] = ACTIONS(871),
    [anon_sym_GT] = ACTIONS(874),
    [anon_sym_GT_EQ] = ACTIONS(871),
    [anon_sym_LT_EQ] = ACTIONS(871),
    [anon_sym_LT] = ACTIONS(874),
    [anon_sym_EQ_EQ] = ACTIONS(871),
    [anon_sym_BANG_EQ] = ACTIONS(871),
    [anon_sym_TILDE_EQ] = ACTIONS(871),
    [anon_sym_PIPE] = ACTIONS(874),
    [anon_sym_AMP_TILDE] = ACTIONS(871),
    [anon_sym_LT_LT] = ACTIONS(871),
    [anon_sym_GT_GT] = ACTIONS(871),
    [anon_sym_STAR] = ACTIONS(871),
    [anon_sym_SLASH] = ACTIONS(874),
    [anon_sym_PERCENT] = ACTIONS(874),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(871),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_LBRACK] = ACTIONS(2006),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(871),
    [anon_sym_DOT_DOT_LT] = ACTIONS(871),
    [anon_sym_not_in] = ACTIONS(874),
    [anon_sym_DOT_DOT] = ACTIONS(1985),
    [anon_sym_or_return] = ACTIONS(874),
    [anon_sym_or_continue] = ACTIONS(874),
    [anon_sym_or_break] = ACTIONS(874),
    [anon_sym_CARET] = ACTIONS(2010),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1990),
    [anon_sym_map] = ACTIONS(1992),
    [anon_sym_bit_set] = ACTIONS(1994),
    [anon_sym_matrix] = ACTIONS(1996),
    [anon_sym_distinct] = ACTIONS(1998),
    [sym_tag] = ACTIONS(2000),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(871),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [216] = {
    [sym_procedure] = STATE(3472),
    [sym_type] = STATE(3507),
    [sym_pointer_type] = STATE(3450),
    [sym_variadic_type] = STATE(3450),
    [sym_array_type] = STATE(3450),
    [sym_map_type] = STATE(3450),
    [sym_union_type] = STATE(3450),
    [sym_bit_set_type] = STATE(3450),
    [sym_matrix_type] = STATE(3450),
    [sym_field_type] = STATE(3450),
    [sym_tuple_type] = STATE(3450),
    [sym_struct_type] = STATE(3450),
    [sym_enum_type] = STATE(3450),
    [sym_constant_type] = STATE(3450),
    [sym_specialized_type] = STATE(3450),
    [sym__procedure_type] = STATE(3450),
    [sym_distinct_type] = STATE(3450),
    [sym_empty_type] = STATE(3450),
    [sym_polymorphic_type] = STATE(3450),
    [sym_conditional_type] = STATE(3450),
    [sym_identifier] = ACTIONS(2014),
    [anon_sym_LBRACE] = ACTIONS(833),
    [anon_sym_RBRACE] = ACTIONS(833),
    [anon_sym_COMMA] = ACTIONS(833),
    [anon_sym_proc] = ACTIONS(2016),
    [anon_sym_DASH_GT] = ACTIONS(833),
    [anon_sym_where] = ACTIONS(836),
    [anon_sym_struct] = ACTIONS(2018),
    [anon_sym_enum] = ACTIONS(2020),
    [anon_sym_EQ] = ACTIONS(836),
    [anon_sym_union] = ACTIONS(2022),
    [anon_sym_LPAREN] = ACTIONS(2024),
    [anon_sym_DOLLAR] = ACTIONS(2028),
    [anon_sym_if] = ACTIONS(836),
    [anon_sym_SEMI] = ACTIONS(833),
    [anon_sym_else] = ACTIONS(836),
    [anon_sym_when] = ACTIONS(836),
    [anon_sym_in] = ACTIONS(836),
    [anon_sym_case] = ACTIONS(836),
    [anon_sym_QMARK] = ACTIONS(833),
    [anon_sym_PLUS] = ACTIONS(833),
    [anon_sym_DASH] = ACTIONS(836),
    [anon_sym_TILDE] = ACTIONS(836),
    [anon_sym_BANG] = ACTIONS(2030),
    [anon_sym_AMP] = ACTIONS(836),
    [anon_sym_PIPE_PIPE] = ACTIONS(833),
    [anon_sym_or_else] = ACTIONS(836),
    [anon_sym_AMP_AMP] = ACTIONS(833),
    [anon_sym_GT] = ACTIONS(836),
    [anon_sym_GT_EQ] = ACTIONS(833),
    [anon_sym_LT_EQ] = ACTIONS(833),
    [anon_sym_LT] = ACTIONS(836),
    [anon_sym_EQ_EQ] = ACTIONS(833),
    [anon_sym_BANG_EQ] = ACTIONS(833),
    [anon_sym_TILDE_EQ] = ACTIONS(833),
    [anon_sym_PIPE] = ACTIONS(836),
    [anon_sym_AMP_TILDE] = ACTIONS(833),
    [anon_sym_LT_LT] = ACTIONS(833),
    [anon_sym_GT_GT] = ACTIONS(833),
    [anon_sym_STAR] = ACTIONS(833),
    [anon_sym_SLASH] = ACTIONS(836),
    [anon_sym_PERCENT] = ACTIONS(836),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(833),
    [anon_sym_DOT] = ACTIONS(836),
    [anon_sym_LBRACK] = ACTIONS(2032),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(833),
    [anon_sym_DOT_DOT_LT] = ACTIONS(833),
    [anon_sym_not_in] = ACTIONS(836),
    [anon_sym_DOT_DOT] = ACTIONS(2036),
    [anon_sym_or_return] = ACTIONS(836),
    [anon_sym_or_continue] = ACTIONS(836),
    [anon_sym_or_break] = ACTIONS(836),
    [anon_sym_CARET] = ACTIONS(2038),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2042),
    [anon_sym_map] = ACTIONS(2044),
    [anon_sym_bit_set] = ACTIONS(2046),
    [anon_sym_matrix] = ACTIONS(2048),
    [anon_sym_distinct] = ACTIONS(687),
    [sym_uninitialized] = ACTIONS(833),
    [sym_tag] = ACTIONS(2050),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(833),
    [sym__backslash] = ACTIONS(3),
    [sym__nl_comma] = ACTIONS(833),
    [sym_block_comment] = ACTIONS(3),
  },
  [217] = {
    [sym_procedure] = STATE(3684),
    [sym_type] = STATE(3689),
    [sym_pointer_type] = STATE(3686),
    [sym_variadic_type] = STATE(3686),
    [sym_array_type] = STATE(3686),
    [sym_map_type] = STATE(3686),
    [sym_union_type] = STATE(3686),
    [sym_bit_set_type] = STATE(3686),
    [sym_matrix_type] = STATE(3686),
    [sym_field_type] = STATE(3686),
    [sym_tuple_type] = STATE(3686),
    [sym_struct_type] = STATE(3686),
    [sym_enum_type] = STATE(3686),
    [sym_constant_type] = STATE(3686),
    [sym_specialized_type] = STATE(3686),
    [sym__procedure_type] = STATE(3686),
    [sym_distinct_type] = STATE(3686),
    [sym_empty_type] = STATE(3686),
    [sym_polymorphic_type] = STATE(3686),
    [sym_conditional_type] = STATE(3686),
    [ts_builtin_sym_end] = ACTIONS(833),
    [sym_identifier] = ACTIONS(1965),
    [anon_sym_LBRACE] = ACTIONS(833),
    [anon_sym_RBRACE] = ACTIONS(833),
    [anon_sym_COMMA] = ACTIONS(833),
    [anon_sym_COLON_COLON] = ACTIONS(833),
    [anon_sym_proc] = ACTIONS(1967),
    [anon_sym_DASH_GT] = ACTIONS(833),
    [anon_sym_struct] = ACTIONS(1969),
    [anon_sym_enum] = ACTIONS(1971),
    [anon_sym_union] = ACTIONS(1973),
    [anon_sym_COLON_EQ] = ACTIONS(833),
    [anon_sym_COLON] = ACTIONS(836),
    [anon_sym_LPAREN] = ACTIONS(2054),
    [anon_sym_DOLLAR] = ACTIONS(1978),
    [anon_sym_if] = ACTIONS(836),
    [anon_sym_SEMI] = ACTIONS(833),
    [anon_sym_else] = ACTIONS(836),
    [anon_sym_when] = ACTIONS(836),
    [anon_sym_in] = ACTIONS(836),
    [anon_sym_case] = ACTIONS(836),
    [anon_sym_QMARK] = ACTIONS(833),
    [anon_sym_PLUS] = ACTIONS(833),
    [anon_sym_DASH] = ACTIONS(836),
    [anon_sym_TILDE] = ACTIONS(836),
    [anon_sym_BANG] = ACTIONS(1980),
    [anon_sym_AMP] = ACTIONS(836),
    [anon_sym_PIPE_PIPE] = ACTIONS(833),
    [anon_sym_or_else] = ACTIONS(836),
    [anon_sym_AMP_AMP] = ACTIONS(833),
    [anon_sym_GT] = ACTIONS(836),
    [anon_sym_GT_EQ] = ACTIONS(833),
    [anon_sym_LT_EQ] = ACTIONS(833),
    [anon_sym_LT] = ACTIONS(836),
    [anon_sym_EQ_EQ] = ACTIONS(833),
    [anon_sym_BANG_EQ] = ACTIONS(833),
    [anon_sym_TILDE_EQ] = ACTIONS(833),
    [anon_sym_PIPE] = ACTIONS(836),
    [anon_sym_AMP_TILDE] = ACTIONS(833),
    [anon_sym_LT_LT] = ACTIONS(833),
    [anon_sym_GT_GT] = ACTIONS(833),
    [anon_sym_STAR] = ACTIONS(833),
    [anon_sym_SLASH] = ACTIONS(836),
    [anon_sym_PERCENT] = ACTIONS(836),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(833),
    [anon_sym_DOT] = ACTIONS(836),
    [anon_sym_LBRACK] = ACTIONS(2058),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(833),
    [anon_sym_DOT_DOT_LT] = ACTIONS(833),
    [anon_sym_not_in] = ACTIONS(836),
    [anon_sym_DOT_DOT] = ACTIONS(1985),
    [anon_sym_or_return] = ACTIONS(836),
    [anon_sym_or_continue] = ACTIONS(836),
    [anon_sym_or_break] = ACTIONS(836),
    [anon_sym_CARET] = ACTIONS(2062),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1990),
    [anon_sym_map] = ACTIONS(1992),
    [anon_sym_bit_set] = ACTIONS(1994),
    [anon_sym_matrix] = ACTIONS(1996),
    [anon_sym_distinct] = ACTIONS(1998),
    [sym_tag] = ACTIONS(2000),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(833),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [218] = {
    [sym_procedure] = STATE(3472),
    [sym_type] = STATE(3412),
    [sym_pointer_type] = STATE(3450),
    [sym_variadic_type] = STATE(3450),
    [sym_array_type] = STATE(3450),
    [sym_map_type] = STATE(3450),
    [sym_union_type] = STATE(3450),
    [sym_bit_set_type] = STATE(3450),
    [sym_matrix_type] = STATE(3450),
    [sym_field_type] = STATE(3450),
    [sym_tuple_type] = STATE(3450),
    [sym_struct_type] = STATE(3450),
    [sym_enum_type] = STATE(3450),
    [sym_constant_type] = STATE(3450),
    [sym_specialized_type] = STATE(3450),
    [sym__procedure_type] = STATE(3450),
    [sym_distinct_type] = STATE(3450),
    [sym_empty_type] = STATE(3450),
    [sym_polymorphic_type] = STATE(3450),
    [sym_conditional_type] = STATE(3450),
    [sym_identifier] = ACTIONS(2014),
    [anon_sym_LBRACE] = ACTIONS(871),
    [anon_sym_RBRACE] = ACTIONS(871),
    [anon_sym_COMMA] = ACTIONS(871),
    [anon_sym_proc] = ACTIONS(2016),
    [anon_sym_DASH_GT] = ACTIONS(871),
    [anon_sym_where] = ACTIONS(874),
    [anon_sym_struct] = ACTIONS(2018),
    [anon_sym_enum] = ACTIONS(2020),
    [anon_sym_EQ] = ACTIONS(874),
    [anon_sym_union] = ACTIONS(2022),
    [anon_sym_LPAREN] = ACTIONS(2066),
    [anon_sym_DOLLAR] = ACTIONS(2028),
    [anon_sym_if] = ACTIONS(874),
    [anon_sym_SEMI] = ACTIONS(871),
    [anon_sym_else] = ACTIONS(874),
    [anon_sym_when] = ACTIONS(874),
    [anon_sym_in] = ACTIONS(874),
    [anon_sym_case] = ACTIONS(874),
    [anon_sym_QMARK] = ACTIONS(871),
    [anon_sym_PLUS] = ACTIONS(871),
    [anon_sym_DASH] = ACTIONS(874),
    [anon_sym_TILDE] = ACTIONS(874),
    [anon_sym_BANG] = ACTIONS(2030),
    [anon_sym_AMP] = ACTIONS(874),
    [anon_sym_PIPE_PIPE] = ACTIONS(871),
    [anon_sym_or_else] = ACTIONS(874),
    [anon_sym_AMP_AMP] = ACTIONS(871),
    [anon_sym_GT] = ACTIONS(874),
    [anon_sym_GT_EQ] = ACTIONS(871),
    [anon_sym_LT_EQ] = ACTIONS(871),
    [anon_sym_LT] = ACTIONS(874),
    [anon_sym_EQ_EQ] = ACTIONS(871),
    [anon_sym_BANG_EQ] = ACTIONS(871),
    [anon_sym_TILDE_EQ] = ACTIONS(871),
    [anon_sym_PIPE] = ACTIONS(874),
    [anon_sym_AMP_TILDE] = ACTIONS(871),
    [anon_sym_LT_LT] = ACTIONS(871),
    [anon_sym_GT_GT] = ACTIONS(871),
    [anon_sym_STAR] = ACTIONS(871),
    [anon_sym_SLASH] = ACTIONS(874),
    [anon_sym_PERCENT] = ACTIONS(874),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(871),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_LBRACK] = ACTIONS(2070),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(871),
    [anon_sym_DOT_DOT_LT] = ACTIONS(871),
    [anon_sym_not_in] = ACTIONS(874),
    [anon_sym_DOT_DOT] = ACTIONS(2036),
    [anon_sym_or_return] = ACTIONS(874),
    [anon_sym_or_continue] = ACTIONS(874),
    [anon_sym_or_break] = ACTIONS(874),
    [anon_sym_CARET] = ACTIONS(2074),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2042),
    [anon_sym_map] = ACTIONS(2044),
    [anon_sym_bit_set] = ACTIONS(2046),
    [anon_sym_matrix] = ACTIONS(2048),
    [anon_sym_distinct] = ACTIONS(687),
    [sym_uninitialized] = ACTIONS(871),
    [sym_tag] = ACTIONS(2078),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(871),
    [sym__backslash] = ACTIONS(3),
    [sym__nl_comma] = ACTIONS(871),
    [sym_block_comment] = ACTIONS(3),
  },
  [219] = {
    [sym_procedure] = STATE(3684),
    [sym_type] = STATE(3647),
    [sym_pointer_type] = STATE(3686),
    [sym_variadic_type] = STATE(3686),
    [sym_array_type] = STATE(3686),
    [sym_map_type] = STATE(3686),
    [sym_union_type] = STATE(3686),
    [sym_bit_set_type] = STATE(3686),
    [sym_matrix_type] = STATE(3686),
    [sym_field_type] = STATE(3686),
    [sym_tuple_type] = STATE(3686),
    [sym_struct_type] = STATE(3686),
    [sym_enum_type] = STATE(3686),
    [sym_constant_type] = STATE(3686),
    [sym_specialized_type] = STATE(3686),
    [sym__procedure_type] = STATE(3686),
    [sym_distinct_type] = STATE(3686),
    [sym_empty_type] = STATE(3686),
    [sym_polymorphic_type] = STATE(3686),
    [sym_conditional_type] = STATE(3686),
    [ts_builtin_sym_end] = ACTIONS(773),
    [sym_identifier] = ACTIONS(1965),
    [anon_sym_LBRACE] = ACTIONS(773),
    [anon_sym_RBRACE] = ACTIONS(773),
    [anon_sym_COMMA] = ACTIONS(773),
    [anon_sym_COLON_COLON] = ACTIONS(773),
    [anon_sym_proc] = ACTIONS(1967),
    [anon_sym_DASH_GT] = ACTIONS(773),
    [anon_sym_struct] = ACTIONS(1969),
    [anon_sym_enum] = ACTIONS(1971),
    [anon_sym_union] = ACTIONS(1973),
    [anon_sym_COLON_EQ] = ACTIONS(773),
    [anon_sym_COLON] = ACTIONS(778),
    [anon_sym_LPAREN] = ACTIONS(2082),
    [anon_sym_DOLLAR] = ACTIONS(1978),
    [anon_sym_if] = ACTIONS(778),
    [anon_sym_SEMI] = ACTIONS(773),
    [anon_sym_else] = ACTIONS(778),
    [anon_sym_when] = ACTIONS(778),
    [anon_sym_in] = ACTIONS(778),
    [anon_sym_case] = ACTIONS(778),
    [anon_sym_QMARK] = ACTIONS(773),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(778),
    [anon_sym_TILDE] = ACTIONS(778),
    [anon_sym_BANG] = ACTIONS(1980),
    [anon_sym_AMP] = ACTIONS(778),
    [anon_sym_PIPE_PIPE] = ACTIONS(773),
    [anon_sym_or_else] = ACTIONS(778),
    [anon_sym_AMP_AMP] = ACTIONS(773),
    [anon_sym_GT] = ACTIONS(778),
    [anon_sym_GT_EQ] = ACTIONS(773),
    [anon_sym_LT_EQ] = ACTIONS(773),
    [anon_sym_LT] = ACTIONS(778),
    [anon_sym_EQ_EQ] = ACTIONS(773),
    [anon_sym_BANG_EQ] = ACTIONS(773),
    [anon_sym_TILDE_EQ] = ACTIONS(773),
    [anon_sym_PIPE] = ACTIONS(778),
    [anon_sym_AMP_TILDE] = ACTIONS(773),
    [anon_sym_LT_LT] = ACTIONS(773),
    [anon_sym_GT_GT] = ACTIONS(773),
    [anon_sym_STAR] = ACTIONS(773),
    [anon_sym_SLASH] = ACTIONS(778),
    [anon_sym_PERCENT] = ACTIONS(778),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(773),
    [anon_sym_DOT] = ACTIONS(778),
    [anon_sym_LBRACK] = ACTIONS(2086),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(773),
    [anon_sym_DOT_DOT_LT] = ACTIONS(773),
    [anon_sym_not_in] = ACTIONS(778),
    [anon_sym_DOT_DOT] = ACTIONS(1985),
    [anon_sym_or_return] = ACTIONS(778),
    [anon_sym_or_continue] = ACTIONS(778),
    [anon_sym_or_break] = ACTIONS(778),
    [anon_sym_CARET] = ACTIONS(2090),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1990),
    [anon_sym_map] = ACTIONS(1992),
    [anon_sym_bit_set] = ACTIONS(1994),
    [anon_sym_matrix] = ACTIONS(1996),
    [anon_sym_distinct] = ACTIONS(1998),
    [sym_tag] = ACTIONS(2000),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(773),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [220] = {
    [sym_procedure] = STATE(3684),
    [sym_type] = STATE(3618),
    [sym_pointer_type] = STATE(3686),
    [sym_variadic_type] = STATE(3686),
    [sym_array_type] = STATE(3686),
    [sym_map_type] = STATE(3686),
    [sym_union_type] = STATE(3686),
    [sym_bit_set_type] = STATE(3686),
    [sym_matrix_type] = STATE(3686),
    [sym_field_type] = STATE(3686),
    [sym_tuple_type] = STATE(3686),
    [sym_struct_type] = STATE(3686),
    [sym_enum_type] = STATE(3686),
    [sym_constant_type] = STATE(3686),
    [sym_specialized_type] = STATE(3686),
    [sym__procedure_type] = STATE(3686),
    [sym_distinct_type] = STATE(3686),
    [sym_empty_type] = STATE(3686),
    [sym_polymorphic_type] = STATE(3686),
    [sym_conditional_type] = STATE(3686),
    [ts_builtin_sym_end] = ACTIONS(855),
    [sym_identifier] = ACTIONS(1965),
    [anon_sym_LBRACE] = ACTIONS(855),
    [anon_sym_RBRACE] = ACTIONS(855),
    [anon_sym_COMMA] = ACTIONS(855),
    [anon_sym_COLON_COLON] = ACTIONS(855),
    [anon_sym_proc] = ACTIONS(1967),
    [anon_sym_DASH_GT] = ACTIONS(855),
    [anon_sym_struct] = ACTIONS(1969),
    [anon_sym_enum] = ACTIONS(1971),
    [anon_sym_union] = ACTIONS(1973),
    [anon_sym_COLON_EQ] = ACTIONS(855),
    [anon_sym_COLON] = ACTIONS(857),
    [anon_sym_LPAREN] = ACTIONS(2094),
    [anon_sym_DOLLAR] = ACTIONS(1978),
    [anon_sym_if] = ACTIONS(857),
    [anon_sym_SEMI] = ACTIONS(855),
    [anon_sym_else] = ACTIONS(857),
    [anon_sym_when] = ACTIONS(857),
    [anon_sym_in] = ACTIONS(857),
    [anon_sym_case] = ACTIONS(857),
    [anon_sym_QMARK] = ACTIONS(855),
    [anon_sym_PLUS] = ACTIONS(855),
    [anon_sym_DASH] = ACTIONS(857),
    [anon_sym_TILDE] = ACTIONS(857),
    [anon_sym_BANG] = ACTIONS(1980),
    [anon_sym_AMP] = ACTIONS(857),
    [anon_sym_PIPE_PIPE] = ACTIONS(855),
    [anon_sym_or_else] = ACTIONS(857),
    [anon_sym_AMP_AMP] = ACTIONS(855),
    [anon_sym_GT] = ACTIONS(857),
    [anon_sym_GT_EQ] = ACTIONS(855),
    [anon_sym_LT_EQ] = ACTIONS(855),
    [anon_sym_LT] = ACTIONS(857),
    [anon_sym_EQ_EQ] = ACTIONS(855),
    [anon_sym_BANG_EQ] = ACTIONS(855),
    [anon_sym_TILDE_EQ] = ACTIONS(855),
    [anon_sym_PIPE] = ACTIONS(857),
    [anon_sym_AMP_TILDE] = ACTIONS(855),
    [anon_sym_LT_LT] = ACTIONS(855),
    [anon_sym_GT_GT] = ACTIONS(855),
    [anon_sym_STAR] = ACTIONS(855),
    [anon_sym_SLASH] = ACTIONS(857),
    [anon_sym_PERCENT] = ACTIONS(857),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(855),
    [anon_sym_DOT] = ACTIONS(857),
    [anon_sym_LBRACK] = ACTIONS(2097),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(855),
    [anon_sym_DOT_DOT_LT] = ACTIONS(855),
    [anon_sym_not_in] = ACTIONS(857),
    [anon_sym_DOT_DOT] = ACTIONS(1985),
    [anon_sym_or_return] = ACTIONS(857),
    [anon_sym_or_continue] = ACTIONS(857),
    [anon_sym_or_break] = ACTIONS(857),
    [anon_sym_CARET] = ACTIONS(2100),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1990),
    [anon_sym_map] = ACTIONS(1992),
    [anon_sym_bit_set] = ACTIONS(1994),
    [anon_sym_matrix] = ACTIONS(1996),
    [anon_sym_distinct] = ACTIONS(1998),
    [sym_tag] = ACTIONS(2000),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(855),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [221] = {
    [sym_procedure] = STATE(3472),
    [sym_type] = STATE(3488),
    [sym_pointer_type] = STATE(3450),
    [sym_variadic_type] = STATE(3450),
    [sym_array_type] = STATE(3450),
    [sym_map_type] = STATE(3450),
    [sym_union_type] = STATE(3450),
    [sym_bit_set_type] = STATE(3450),
    [sym_matrix_type] = STATE(3450),
    [sym_field_type] = STATE(3450),
    [sym_tuple_type] = STATE(3450),
    [sym_struct_type] = STATE(3450),
    [sym_enum_type] = STATE(3450),
    [sym_constant_type] = STATE(3450),
    [sym_specialized_type] = STATE(3450),
    [sym__procedure_type] = STATE(3450),
    [sym_distinct_type] = STATE(3450),
    [sym_empty_type] = STATE(3450),
    [sym_polymorphic_type] = STATE(3450),
    [sym_conditional_type] = STATE(3450),
    [sym_identifier] = ACTIONS(2014),
    [anon_sym_LBRACE] = ACTIONS(817),
    [anon_sym_RBRACE] = ACTIONS(817),
    [anon_sym_COMMA] = ACTIONS(817),
    [anon_sym_proc] = ACTIONS(2016),
    [anon_sym_DASH_GT] = ACTIONS(817),
    [anon_sym_where] = ACTIONS(819),
    [anon_sym_struct] = ACTIONS(2018),
    [anon_sym_enum] = ACTIONS(2020),
    [anon_sym_EQ] = ACTIONS(819),
    [anon_sym_union] = ACTIONS(2022),
    [anon_sym_LPAREN] = ACTIONS(2103),
    [anon_sym_DOLLAR] = ACTIONS(2028),
    [anon_sym_if] = ACTIONS(819),
    [anon_sym_SEMI] = ACTIONS(817),
    [anon_sym_else] = ACTIONS(819),
    [anon_sym_when] = ACTIONS(819),
    [anon_sym_in] = ACTIONS(819),
    [anon_sym_case] = ACTIONS(819),
    [anon_sym_QMARK] = ACTIONS(817),
    [anon_sym_PLUS] = ACTIONS(817),
    [anon_sym_DASH] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(819),
    [anon_sym_BANG] = ACTIONS(2030),
    [anon_sym_AMP] = ACTIONS(819),
    [anon_sym_PIPE_PIPE] = ACTIONS(817),
    [anon_sym_or_else] = ACTIONS(819),
    [anon_sym_AMP_AMP] = ACTIONS(817),
    [anon_sym_GT] = ACTIONS(819),
    [anon_sym_GT_EQ] = ACTIONS(817),
    [anon_sym_LT_EQ] = ACTIONS(817),
    [anon_sym_LT] = ACTIONS(819),
    [anon_sym_EQ_EQ] = ACTIONS(817),
    [anon_sym_BANG_EQ] = ACTIONS(817),
    [anon_sym_TILDE_EQ] = ACTIONS(817),
    [anon_sym_PIPE] = ACTIONS(819),
    [anon_sym_AMP_TILDE] = ACTIONS(817),
    [anon_sym_LT_LT] = ACTIONS(817),
    [anon_sym_GT_GT] = ACTIONS(817),
    [anon_sym_STAR] = ACTIONS(817),
    [anon_sym_SLASH] = ACTIONS(819),
    [anon_sym_PERCENT] = ACTIONS(819),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(817),
    [anon_sym_DOT] = ACTIONS(819),
    [anon_sym_LBRACK] = ACTIONS(2106),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(817),
    [anon_sym_DOT_DOT_LT] = ACTIONS(817),
    [anon_sym_not_in] = ACTIONS(819),
    [anon_sym_DOT_DOT] = ACTIONS(2036),
    [anon_sym_or_return] = ACTIONS(819),
    [anon_sym_or_continue] = ACTIONS(819),
    [anon_sym_or_break] = ACTIONS(819),
    [anon_sym_CARET] = ACTIONS(2109),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2042),
    [anon_sym_map] = ACTIONS(2044),
    [anon_sym_bit_set] = ACTIONS(2046),
    [anon_sym_matrix] = ACTIONS(2048),
    [anon_sym_distinct] = ACTIONS(687),
    [sym_uninitialized] = ACTIONS(817),
    [sym_tag] = ACTIONS(2112),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(817),
    [sym__backslash] = ACTIONS(3),
    [sym__nl_comma] = ACTIONS(817),
    [sym_block_comment] = ACTIONS(3),
  },
  [222] = {
    [sym_procedure] = STATE(3472),
    [sym_type] = STATE(3487),
    [sym_pointer_type] = STATE(3450),
    [sym_variadic_type] = STATE(3450),
    [sym_array_type] = STATE(3450),
    [sym_map_type] = STATE(3450),
    [sym_union_type] = STATE(3450),
    [sym_bit_set_type] = STATE(3450),
    [sym_matrix_type] = STATE(3450),
    [sym_field_type] = STATE(3450),
    [sym_tuple_type] = STATE(3450),
    [sym_struct_type] = STATE(3450),
    [sym_enum_type] = STATE(3450),
    [sym_constant_type] = STATE(3450),
    [sym_specialized_type] = STATE(3450),
    [sym__procedure_type] = STATE(3450),
    [sym_distinct_type] = STATE(3450),
    [sym_empty_type] = STATE(3450),
    [sym_polymorphic_type] = STATE(3450),
    [sym_conditional_type] = STATE(3450),
    [sym_identifier] = ACTIONS(2014),
    [anon_sym_LBRACE] = ACTIONS(773),
    [anon_sym_RBRACE] = ACTIONS(773),
    [anon_sym_COMMA] = ACTIONS(773),
    [anon_sym_proc] = ACTIONS(2016),
    [anon_sym_DASH_GT] = ACTIONS(773),
    [anon_sym_where] = ACTIONS(778),
    [anon_sym_struct] = ACTIONS(2018),
    [anon_sym_enum] = ACTIONS(2020),
    [anon_sym_EQ] = ACTIONS(778),
    [anon_sym_union] = ACTIONS(2022),
    [anon_sym_LPAREN] = ACTIONS(2115),
    [anon_sym_DOLLAR] = ACTIONS(2028),
    [anon_sym_if] = ACTIONS(778),
    [anon_sym_SEMI] = ACTIONS(773),
    [anon_sym_else] = ACTIONS(778),
    [anon_sym_when] = ACTIONS(778),
    [anon_sym_in] = ACTIONS(778),
    [anon_sym_case] = ACTIONS(778),
    [anon_sym_QMARK] = ACTIONS(773),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(778),
    [anon_sym_TILDE] = ACTIONS(778),
    [anon_sym_BANG] = ACTIONS(2030),
    [anon_sym_AMP] = ACTIONS(778),
    [anon_sym_PIPE_PIPE] = ACTIONS(773),
    [anon_sym_or_else] = ACTIONS(778),
    [anon_sym_AMP_AMP] = ACTIONS(773),
    [anon_sym_GT] = ACTIONS(778),
    [anon_sym_GT_EQ] = ACTIONS(773),
    [anon_sym_LT_EQ] = ACTIONS(773),
    [anon_sym_LT] = ACTIONS(778),
    [anon_sym_EQ_EQ] = ACTIONS(773),
    [anon_sym_BANG_EQ] = ACTIONS(773),
    [anon_sym_TILDE_EQ] = ACTIONS(773),
    [anon_sym_PIPE] = ACTIONS(778),
    [anon_sym_AMP_TILDE] = ACTIONS(773),
    [anon_sym_LT_LT] = ACTIONS(773),
    [anon_sym_GT_GT] = ACTIONS(773),
    [anon_sym_STAR] = ACTIONS(773),
    [anon_sym_SLASH] = ACTIONS(778),
    [anon_sym_PERCENT] = ACTIONS(778),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(773),
    [anon_sym_DOT] = ACTIONS(778),
    [anon_sym_LBRACK] = ACTIONS(2119),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(773),
    [anon_sym_DOT_DOT_LT] = ACTIONS(773),
    [anon_sym_not_in] = ACTIONS(778),
    [anon_sym_DOT_DOT] = ACTIONS(2036),
    [anon_sym_or_return] = ACTIONS(778),
    [anon_sym_or_continue] = ACTIONS(778),
    [anon_sym_or_break] = ACTIONS(778),
    [anon_sym_CARET] = ACTIONS(2123),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2042),
    [anon_sym_map] = ACTIONS(2044),
    [anon_sym_bit_set] = ACTIONS(2046),
    [anon_sym_matrix] = ACTIONS(2048),
    [anon_sym_distinct] = ACTIONS(687),
    [sym_uninitialized] = ACTIONS(773),
    [sym_tag] = ACTIONS(2127),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(773),
    [sym__backslash] = ACTIONS(3),
    [sym__nl_comma] = ACTIONS(773),
    [sym_block_comment] = ACTIONS(3),
  },
  [223] = {
    [sym_procedure] = STATE(3472),
    [sym_type] = STATE(3445),
    [sym_pointer_type] = STATE(3450),
    [sym_variadic_type] = STATE(3450),
    [sym_array_type] = STATE(3450),
    [sym_map_type] = STATE(3450),
    [sym_union_type] = STATE(3450),
    [sym_bit_set_type] = STATE(3450),
    [sym_matrix_type] = STATE(3450),
    [sym_field_type] = STATE(3450),
    [sym_tuple_type] = STATE(3450),
    [sym_struct_type] = STATE(3450),
    [sym_enum_type] = STATE(3450),
    [sym_constant_type] = STATE(3450),
    [sym_specialized_type] = STATE(3450),
    [sym__procedure_type] = STATE(3450),
    [sym_distinct_type] = STATE(3450),
    [sym_empty_type] = STATE(3450),
    [sym_polymorphic_type] = STATE(3450),
    [sym_conditional_type] = STATE(3450),
    [sym_identifier] = ACTIONS(2014),
    [anon_sym_LBRACE] = ACTIONS(855),
    [anon_sym_RBRACE] = ACTIONS(855),
    [anon_sym_COMMA] = ACTIONS(855),
    [anon_sym_proc] = ACTIONS(2016),
    [anon_sym_DASH_GT] = ACTIONS(855),
    [anon_sym_where] = ACTIONS(857),
    [anon_sym_struct] = ACTIONS(2018),
    [anon_sym_enum] = ACTIONS(2020),
    [anon_sym_EQ] = ACTIONS(857),
    [anon_sym_union] = ACTIONS(2022),
    [anon_sym_LPAREN] = ACTIONS(2131),
    [anon_sym_DOLLAR] = ACTIONS(2028),
    [anon_sym_if] = ACTIONS(857),
    [anon_sym_SEMI] = ACTIONS(855),
    [anon_sym_else] = ACTIONS(857),
    [anon_sym_when] = ACTIONS(857),
    [anon_sym_in] = ACTIONS(857),
    [anon_sym_case] = ACTIONS(857),
    [anon_sym_QMARK] = ACTIONS(855),
    [anon_sym_PLUS] = ACTIONS(855),
    [anon_sym_DASH] = ACTIONS(857),
    [anon_sym_TILDE] = ACTIONS(857),
    [anon_sym_BANG] = ACTIONS(2030),
    [anon_sym_AMP] = ACTIONS(857),
    [anon_sym_PIPE_PIPE] = ACTIONS(855),
    [anon_sym_or_else] = ACTIONS(857),
    [anon_sym_AMP_AMP] = ACTIONS(855),
    [anon_sym_GT] = ACTIONS(857),
    [anon_sym_GT_EQ] = ACTIONS(855),
    [anon_sym_LT_EQ] = ACTIONS(855),
    [anon_sym_LT] = ACTIONS(857),
    [anon_sym_EQ_EQ] = ACTIONS(855),
    [anon_sym_BANG_EQ] = ACTIONS(855),
    [anon_sym_TILDE_EQ] = ACTIONS(855),
    [anon_sym_PIPE] = ACTIONS(857),
    [anon_sym_AMP_TILDE] = ACTIONS(855),
    [anon_sym_LT_LT] = ACTIONS(855),
    [anon_sym_GT_GT] = ACTIONS(855),
    [anon_sym_STAR] = ACTIONS(855),
    [anon_sym_SLASH] = ACTIONS(857),
    [anon_sym_PERCENT] = ACTIONS(857),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(855),
    [anon_sym_DOT] = ACTIONS(857),
    [anon_sym_LBRACK] = ACTIONS(2134),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(855),
    [anon_sym_DOT_DOT_LT] = ACTIONS(855),
    [anon_sym_not_in] = ACTIONS(857),
    [anon_sym_DOT_DOT] = ACTIONS(2036),
    [anon_sym_or_return] = ACTIONS(857),
    [anon_sym_or_continue] = ACTIONS(857),
    [anon_sym_or_break] = ACTIONS(857),
    [anon_sym_CARET] = ACTIONS(2137),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2042),
    [anon_sym_map] = ACTIONS(2044),
    [anon_sym_bit_set] = ACTIONS(2046),
    [anon_sym_matrix] = ACTIONS(2048),
    [anon_sym_distinct] = ACTIONS(687),
    [sym_uninitialized] = ACTIONS(855),
    [sym_tag] = ACTIONS(2140),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(855),
    [sym__backslash] = ACTIONS(3),
    [sym__nl_comma] = ACTIONS(855),
    [sym_block_comment] = ACTIONS(3),
  },
  [224] = {
    [sym_procedure] = STATE(3472),
    [sym_type] = STATE(3452),
    [sym_pointer_type] = STATE(3450),
    [sym_variadic_type] = STATE(3450),
    [sym_array_type] = STATE(3450),
    [sym_map_type] = STATE(3450),
    [sym_union_type] = STATE(3450),
    [sym_bit_set_type] = STATE(3450),
    [sym_matrix_type] = STATE(3450),
    [sym_field_type] = STATE(3450),
    [sym_tuple_type] = STATE(3450),
    [sym_struct_type] = STATE(3450),
    [sym_enum_type] = STATE(3450),
    [sym_constant_type] = STATE(3450),
    [sym_specialized_type] = STATE(3450),
    [sym__procedure_type] = STATE(3450),
    [sym_distinct_type] = STATE(3450),
    [sym_empty_type] = STATE(3450),
    [sym_polymorphic_type] = STATE(3450),
    [sym_conditional_type] = STATE(3450),
    [sym_identifier] = ACTIONS(2014),
    [anon_sym_LBRACE] = ACTIONS(893),
    [anon_sym_RBRACE] = ACTIONS(893),
    [anon_sym_COMMA] = ACTIONS(893),
    [anon_sym_proc] = ACTIONS(2016),
    [anon_sym_DASH_GT] = ACTIONS(893),
    [anon_sym_where] = ACTIONS(895),
    [anon_sym_struct] = ACTIONS(2018),
    [anon_sym_enum] = ACTIONS(2020),
    [anon_sym_EQ] = ACTIONS(895),
    [anon_sym_union] = ACTIONS(2022),
    [anon_sym_LPAREN] = ACTIONS(2143),
    [anon_sym_DOLLAR] = ACTIONS(2028),
    [anon_sym_if] = ACTIONS(895),
    [anon_sym_SEMI] = ACTIONS(893),
    [anon_sym_else] = ACTIONS(895),
    [anon_sym_when] = ACTIONS(895),
    [anon_sym_in] = ACTIONS(895),
    [anon_sym_case] = ACTIONS(895),
    [anon_sym_QMARK] = ACTIONS(893),
    [anon_sym_PLUS] = ACTIONS(893),
    [anon_sym_DASH] = ACTIONS(895),
    [anon_sym_TILDE] = ACTIONS(895),
    [anon_sym_BANG] = ACTIONS(2030),
    [anon_sym_AMP] = ACTIONS(895),
    [anon_sym_PIPE_PIPE] = ACTIONS(893),
    [anon_sym_or_else] = ACTIONS(895),
    [anon_sym_AMP_AMP] = ACTIONS(893),
    [anon_sym_GT] = ACTIONS(895),
    [anon_sym_GT_EQ] = ACTIONS(893),
    [anon_sym_LT_EQ] = ACTIONS(893),
    [anon_sym_LT] = ACTIONS(895),
    [anon_sym_EQ_EQ] = ACTIONS(893),
    [anon_sym_BANG_EQ] = ACTIONS(893),
    [anon_sym_TILDE_EQ] = ACTIONS(893),
    [anon_sym_PIPE] = ACTIONS(895),
    [anon_sym_AMP_TILDE] = ACTIONS(893),
    [anon_sym_LT_LT] = ACTIONS(893),
    [anon_sym_GT_GT] = ACTIONS(893),
    [anon_sym_STAR] = ACTIONS(893),
    [anon_sym_SLASH] = ACTIONS(895),
    [anon_sym_PERCENT] = ACTIONS(895),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(893),
    [anon_sym_DOT] = ACTIONS(895),
    [anon_sym_LBRACK] = ACTIONS(2146),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(893),
    [anon_sym_DOT_DOT_LT] = ACTIONS(893),
    [anon_sym_not_in] = ACTIONS(895),
    [anon_sym_DOT_DOT] = ACTIONS(2036),
    [anon_sym_or_return] = ACTIONS(895),
    [anon_sym_or_continue] = ACTIONS(895),
    [anon_sym_or_break] = ACTIONS(895),
    [anon_sym_CARET] = ACTIONS(2149),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2042),
    [anon_sym_map] = ACTIONS(2044),
    [anon_sym_bit_set] = ACTIONS(2046),
    [anon_sym_matrix] = ACTIONS(2048),
    [anon_sym_distinct] = ACTIONS(687),
    [sym_uninitialized] = ACTIONS(893),
    [sym_tag] = ACTIONS(2152),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(893),
    [sym__backslash] = ACTIONS(3),
    [sym__nl_comma] = ACTIONS(893),
    [sym_block_comment] = ACTIONS(3),
  },
  [225] = {
    [sym_procedure] = STATE(3472),
    [sym_type] = STATE(3408),
    [sym_pointer_type] = STATE(3450),
    [sym_variadic_type] = STATE(3450),
    [sym_array_type] = STATE(3450),
    [sym_map_type] = STATE(3450),
    [sym_union_type] = STATE(3450),
    [sym_bit_set_type] = STATE(3450),
    [sym_matrix_type] = STATE(3450),
    [sym_field_type] = STATE(3450),
    [sym_tuple_type] = STATE(3450),
    [sym_struct_type] = STATE(3450),
    [sym_enum_type] = STATE(3450),
    [sym_constant_type] = STATE(3450),
    [sym_specialized_type] = STATE(3450),
    [sym__procedure_type] = STATE(3450),
    [sym_distinct_type] = STATE(3450),
    [sym_empty_type] = STATE(3450),
    [sym_polymorphic_type] = STATE(3450),
    [sym_conditional_type] = STATE(3450),
    [sym_identifier] = ACTIONS(2014),
    [anon_sym_LBRACE] = ACTIONS(909),
    [anon_sym_RBRACE] = ACTIONS(909),
    [anon_sym_COMMA] = ACTIONS(909),
    [anon_sym_proc] = ACTIONS(2016),
    [anon_sym_DASH_GT] = ACTIONS(909),
    [anon_sym_where] = ACTIONS(911),
    [anon_sym_struct] = ACTIONS(2018),
    [anon_sym_enum] = ACTIONS(2020),
    [anon_sym_EQ] = ACTIONS(911),
    [anon_sym_union] = ACTIONS(2022),
    [anon_sym_LPAREN] = ACTIONS(2155),
    [anon_sym_DOLLAR] = ACTIONS(2028),
    [anon_sym_if] = ACTIONS(911),
    [anon_sym_SEMI] = ACTIONS(909),
    [anon_sym_else] = ACTIONS(911),
    [anon_sym_when] = ACTIONS(911),
    [anon_sym_in] = ACTIONS(911),
    [anon_sym_case] = ACTIONS(911),
    [anon_sym_QMARK] = ACTIONS(909),
    [anon_sym_PLUS] = ACTIONS(909),
    [anon_sym_DASH] = ACTIONS(911),
    [anon_sym_TILDE] = ACTIONS(911),
    [anon_sym_BANG] = ACTIONS(2030),
    [anon_sym_AMP] = ACTIONS(911),
    [anon_sym_PIPE_PIPE] = ACTIONS(909),
    [anon_sym_or_else] = ACTIONS(911),
    [anon_sym_AMP_AMP] = ACTIONS(909),
    [anon_sym_GT] = ACTIONS(911),
    [anon_sym_GT_EQ] = ACTIONS(909),
    [anon_sym_LT_EQ] = ACTIONS(909),
    [anon_sym_LT] = ACTIONS(911),
    [anon_sym_EQ_EQ] = ACTIONS(909),
    [anon_sym_BANG_EQ] = ACTIONS(909),
    [anon_sym_TILDE_EQ] = ACTIONS(909),
    [anon_sym_PIPE] = ACTIONS(911),
    [anon_sym_AMP_TILDE] = ACTIONS(909),
    [anon_sym_LT_LT] = ACTIONS(909),
    [anon_sym_GT_GT] = ACTIONS(909),
    [anon_sym_STAR] = ACTIONS(909),
    [anon_sym_SLASH] = ACTIONS(911),
    [anon_sym_PERCENT] = ACTIONS(911),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(909),
    [anon_sym_DOT] = ACTIONS(911),
    [anon_sym_LBRACK] = ACTIONS(2158),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(909),
    [anon_sym_DOT_DOT_LT] = ACTIONS(909),
    [anon_sym_not_in] = ACTIONS(911),
    [anon_sym_DOT_DOT] = ACTIONS(2036),
    [anon_sym_or_return] = ACTIONS(911),
    [anon_sym_or_continue] = ACTIONS(911),
    [anon_sym_or_break] = ACTIONS(911),
    [anon_sym_CARET] = ACTIONS(2161),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2042),
    [anon_sym_map] = ACTIONS(2044),
    [anon_sym_bit_set] = ACTIONS(2046),
    [anon_sym_matrix] = ACTIONS(2048),
    [anon_sym_distinct] = ACTIONS(687),
    [sym_uninitialized] = ACTIONS(909),
    [sym_tag] = ACTIONS(2164),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(909),
    [sym__backslash] = ACTIONS(3),
    [sym__nl_comma] = ACTIONS(909),
    [sym_block_comment] = ACTIONS(3),
  },
  [226] = {
    [sym_procedure] = STATE(3684),
    [sym_type] = STATE(3626),
    [sym_pointer_type] = STATE(3686),
    [sym_variadic_type] = STATE(3686),
    [sym_array_type] = STATE(3686),
    [sym_map_type] = STATE(3686),
    [sym_union_type] = STATE(3686),
    [sym_bit_set_type] = STATE(3686),
    [sym_matrix_type] = STATE(3686),
    [sym_field_type] = STATE(3686),
    [sym_tuple_type] = STATE(3686),
    [sym_struct_type] = STATE(3686),
    [sym_enum_type] = STATE(3686),
    [sym_constant_type] = STATE(3686),
    [sym_specialized_type] = STATE(3686),
    [sym__procedure_type] = STATE(3686),
    [sym_distinct_type] = STATE(3686),
    [sym_empty_type] = STATE(3686),
    [sym_polymorphic_type] = STATE(3686),
    [sym_conditional_type] = STATE(3686),
    [ts_builtin_sym_end] = ACTIONS(893),
    [sym_identifier] = ACTIONS(1965),
    [anon_sym_LBRACE] = ACTIONS(893),
    [anon_sym_RBRACE] = ACTIONS(893),
    [anon_sym_COMMA] = ACTIONS(893),
    [anon_sym_COLON_COLON] = ACTIONS(893),
    [anon_sym_proc] = ACTIONS(1967),
    [anon_sym_DASH_GT] = ACTIONS(893),
    [anon_sym_struct] = ACTIONS(1969),
    [anon_sym_enum] = ACTIONS(1971),
    [anon_sym_union] = ACTIONS(1973),
    [anon_sym_COLON_EQ] = ACTIONS(893),
    [anon_sym_COLON] = ACTIONS(895),
    [anon_sym_LPAREN] = ACTIONS(2167),
    [anon_sym_DOLLAR] = ACTIONS(1978),
    [anon_sym_if] = ACTIONS(895),
    [anon_sym_SEMI] = ACTIONS(893),
    [anon_sym_else] = ACTIONS(895),
    [anon_sym_when] = ACTIONS(895),
    [anon_sym_in] = ACTIONS(895),
    [anon_sym_case] = ACTIONS(895),
    [anon_sym_QMARK] = ACTIONS(893),
    [anon_sym_PLUS] = ACTIONS(893),
    [anon_sym_DASH] = ACTIONS(895),
    [anon_sym_TILDE] = ACTIONS(895),
    [anon_sym_BANG] = ACTIONS(1980),
    [anon_sym_AMP] = ACTIONS(895),
    [anon_sym_PIPE_PIPE] = ACTIONS(893),
    [anon_sym_or_else] = ACTIONS(895),
    [anon_sym_AMP_AMP] = ACTIONS(893),
    [anon_sym_GT] = ACTIONS(895),
    [anon_sym_GT_EQ] = ACTIONS(893),
    [anon_sym_LT_EQ] = ACTIONS(893),
    [anon_sym_LT] = ACTIONS(895),
    [anon_sym_EQ_EQ] = ACTIONS(893),
    [anon_sym_BANG_EQ] = ACTIONS(893),
    [anon_sym_TILDE_EQ] = ACTIONS(893),
    [anon_sym_PIPE] = ACTIONS(895),
    [anon_sym_AMP_TILDE] = ACTIONS(893),
    [anon_sym_LT_LT] = ACTIONS(893),
    [anon_sym_GT_GT] = ACTIONS(893),
    [anon_sym_STAR] = ACTIONS(893),
    [anon_sym_SLASH] = ACTIONS(895),
    [anon_sym_PERCENT] = ACTIONS(895),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(893),
    [anon_sym_DOT] = ACTIONS(895),
    [anon_sym_LBRACK] = ACTIONS(2170),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(893),
    [anon_sym_DOT_DOT_LT] = ACTIONS(893),
    [anon_sym_not_in] = ACTIONS(895),
    [anon_sym_DOT_DOT] = ACTIONS(1985),
    [anon_sym_or_return] = ACTIONS(895),
    [anon_sym_or_continue] = ACTIONS(895),
    [anon_sym_or_break] = ACTIONS(895),
    [anon_sym_CARET] = ACTIONS(2173),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1990),
    [anon_sym_map] = ACTIONS(1992),
    [anon_sym_bit_set] = ACTIONS(1994),
    [anon_sym_matrix] = ACTIONS(1996),
    [anon_sym_distinct] = ACTIONS(1998),
    [sym_tag] = ACTIONS(2000),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(893),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [227] = {
    [sym_procedure] = STATE(3684),
    [sym_type] = STATE(3658),
    [sym_pointer_type] = STATE(3686),
    [sym_variadic_type] = STATE(3686),
    [sym_array_type] = STATE(3686),
    [sym_map_type] = STATE(3686),
    [sym_union_type] = STATE(3686),
    [sym_bit_set_type] = STATE(3686),
    [sym_matrix_type] = STATE(3686),
    [sym_field_type] = STATE(3686),
    [sym_tuple_type] = STATE(3686),
    [sym_struct_type] = STATE(3686),
    [sym_enum_type] = STATE(3686),
    [sym_constant_type] = STATE(3686),
    [sym_specialized_type] = STATE(3686),
    [sym__procedure_type] = STATE(3686),
    [sym_distinct_type] = STATE(3686),
    [sym_empty_type] = STATE(3686),
    [sym_polymorphic_type] = STATE(3686),
    [sym_conditional_type] = STATE(3686),
    [ts_builtin_sym_end] = ACTIONS(909),
    [sym_identifier] = ACTIONS(1965),
    [anon_sym_LBRACE] = ACTIONS(909),
    [anon_sym_RBRACE] = ACTIONS(909),
    [anon_sym_COMMA] = ACTIONS(909),
    [anon_sym_COLON_COLON] = ACTIONS(909),
    [anon_sym_proc] = ACTIONS(1967),
    [anon_sym_DASH_GT] = ACTIONS(909),
    [anon_sym_struct] = ACTIONS(1969),
    [anon_sym_enum] = ACTIONS(1971),
    [anon_sym_union] = ACTIONS(1973),
    [anon_sym_COLON_EQ] = ACTIONS(909),
    [anon_sym_COLON] = ACTIONS(911),
    [anon_sym_LPAREN] = ACTIONS(2176),
    [anon_sym_DOLLAR] = ACTIONS(1978),
    [anon_sym_if] = ACTIONS(911),
    [anon_sym_SEMI] = ACTIONS(909),
    [anon_sym_else] = ACTIONS(911),
    [anon_sym_when] = ACTIONS(911),
    [anon_sym_in] = ACTIONS(911),
    [anon_sym_case] = ACTIONS(911),
    [anon_sym_QMARK] = ACTIONS(909),
    [anon_sym_PLUS] = ACTIONS(909),
    [anon_sym_DASH] = ACTIONS(911),
    [anon_sym_TILDE] = ACTIONS(911),
    [anon_sym_BANG] = ACTIONS(1980),
    [anon_sym_AMP] = ACTIONS(911),
    [anon_sym_PIPE_PIPE] = ACTIONS(909),
    [anon_sym_or_else] = ACTIONS(911),
    [anon_sym_AMP_AMP] = ACTIONS(909),
    [anon_sym_GT] = ACTIONS(911),
    [anon_sym_GT_EQ] = ACTIONS(909),
    [anon_sym_LT_EQ] = ACTIONS(909),
    [anon_sym_LT] = ACTIONS(911),
    [anon_sym_EQ_EQ] = ACTIONS(909),
    [anon_sym_BANG_EQ] = ACTIONS(909),
    [anon_sym_TILDE_EQ] = ACTIONS(909),
    [anon_sym_PIPE] = ACTIONS(911),
    [anon_sym_AMP_TILDE] = ACTIONS(909),
    [anon_sym_LT_LT] = ACTIONS(909),
    [anon_sym_GT_GT] = ACTIONS(909),
    [anon_sym_STAR] = ACTIONS(909),
    [anon_sym_SLASH] = ACTIONS(911),
    [anon_sym_PERCENT] = ACTIONS(911),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(909),
    [anon_sym_DOT] = ACTIONS(911),
    [anon_sym_LBRACK] = ACTIONS(2179),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(909),
    [anon_sym_DOT_DOT_LT] = ACTIONS(909),
    [anon_sym_not_in] = ACTIONS(911),
    [anon_sym_DOT_DOT] = ACTIONS(1985),
    [anon_sym_or_return] = ACTIONS(911),
    [anon_sym_or_continue] = ACTIONS(911),
    [anon_sym_or_break] = ACTIONS(911),
    [anon_sym_CARET] = ACTIONS(2182),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1990),
    [anon_sym_map] = ACTIONS(1992),
    [anon_sym_bit_set] = ACTIONS(1994),
    [anon_sym_matrix] = ACTIONS(1996),
    [anon_sym_distinct] = ACTIONS(1998),
    [sym_tag] = ACTIONS(2000),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(909),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [228] = {
    [sym_procedure] = STATE(3279),
    [sym_type] = STATE(3322),
    [sym_pointer_type] = STATE(3284),
    [sym_variadic_type] = STATE(3284),
    [sym_array_type] = STATE(3284),
    [sym_map_type] = STATE(3284),
    [sym_union_type] = STATE(3284),
    [sym_bit_set_type] = STATE(3284),
    [sym_matrix_type] = STATE(3284),
    [sym_field_type] = STATE(3284),
    [sym_tuple_type] = STATE(3284),
    [sym_struct_type] = STATE(3284),
    [sym_enum_type] = STATE(3284),
    [sym_constant_type] = STATE(3284),
    [sym_specialized_type] = STATE(3284),
    [sym__procedure_type] = STATE(3284),
    [sym_distinct_type] = STATE(3284),
    [sym_empty_type] = STATE(3284),
    [sym_polymorphic_type] = STATE(3284),
    [sym_conditional_type] = STATE(3284),
    [sym_identifier] = ACTIONS(2185),
    [anon_sym_RBRACE] = ACTIONS(773),
    [anon_sym_COMMA] = ACTIONS(773),
    [anon_sym_COLON_COLON] = ACTIONS(773),
    [anon_sym_proc] = ACTIONS(2187),
    [anon_sym_DASH_GT] = ACTIONS(773),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_enum] = ACTIONS(2191),
    [anon_sym_EQ] = ACTIONS(778),
    [anon_sym_union] = ACTIONS(2193),
    [anon_sym_COLON_EQ] = ACTIONS(773),
    [anon_sym_COLON] = ACTIONS(778),
    [anon_sym_LPAREN] = ACTIONS(2195),
    [anon_sym_RPAREN] = ACTIONS(773),
    [anon_sym_DOLLAR] = ACTIONS(2199),
    [anon_sym_if] = ACTIONS(778),
    [anon_sym_SEMI] = ACTIONS(773),
    [anon_sym_else] = ACTIONS(778),
    [anon_sym_when] = ACTIONS(778),
    [anon_sym_in] = ACTIONS(778),
    [anon_sym_QMARK] = ACTIONS(773),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(778),
    [anon_sym_TILDE] = ACTIONS(778),
    [anon_sym_BANG] = ACTIONS(2201),
    [anon_sym_AMP] = ACTIONS(778),
    [anon_sym_PIPE_PIPE] = ACTIONS(773),
    [anon_sym_or_else] = ACTIONS(778),
    [anon_sym_AMP_AMP] = ACTIONS(773),
    [anon_sym_GT] = ACTIONS(778),
    [anon_sym_GT_EQ] = ACTIONS(773),
    [anon_sym_LT_EQ] = ACTIONS(773),
    [anon_sym_LT] = ACTIONS(778),
    [anon_sym_EQ_EQ] = ACTIONS(773),
    [anon_sym_BANG_EQ] = ACTIONS(773),
    [anon_sym_TILDE_EQ] = ACTIONS(773),
    [anon_sym_PIPE] = ACTIONS(778),
    [anon_sym_AMP_TILDE] = ACTIONS(773),
    [anon_sym_LT_LT] = ACTIONS(773),
    [anon_sym_GT_GT] = ACTIONS(773),
    [anon_sym_STAR] = ACTIONS(773),
    [anon_sym_SLASH] = ACTIONS(778),
    [anon_sym_PERCENT] = ACTIONS(778),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(773),
    [anon_sym_DOT] = ACTIONS(778),
    [anon_sym_LBRACK] = ACTIONS(2203),
    [anon_sym_RBRACK] = ACTIONS(773),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(773),
    [anon_sym_DOT_DOT_LT] = ACTIONS(773),
    [anon_sym_not_in] = ACTIONS(778),
    [anon_sym_DOT_DOT] = ACTIONS(2207),
    [anon_sym_or_return] = ACTIONS(778),
    [anon_sym_or_continue] = ACTIONS(778),
    [anon_sym_or_break] = ACTIONS(778),
    [anon_sym_CARET] = ACTIONS(2209),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2213),
    [anon_sym_map] = ACTIONS(2215),
    [anon_sym_bit_set] = ACTIONS(2217),
    [anon_sym_matrix] = ACTIONS(2219),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_tag] = ACTIONS(2221),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [229] = {
    [sym_procedure] = STATE(3279),
    [sym_type] = STATE(3354),
    [sym_pointer_type] = STATE(3284),
    [sym_variadic_type] = STATE(3284),
    [sym_array_type] = STATE(3284),
    [sym_map_type] = STATE(3284),
    [sym_union_type] = STATE(3284),
    [sym_bit_set_type] = STATE(3284),
    [sym_matrix_type] = STATE(3284),
    [sym_field_type] = STATE(3284),
    [sym_tuple_type] = STATE(3284),
    [sym_struct_type] = STATE(3284),
    [sym_enum_type] = STATE(3284),
    [sym_constant_type] = STATE(3284),
    [sym_specialized_type] = STATE(3284),
    [sym__procedure_type] = STATE(3284),
    [sym_distinct_type] = STATE(3284),
    [sym_empty_type] = STATE(3284),
    [sym_polymorphic_type] = STATE(3284),
    [sym_conditional_type] = STATE(3284),
    [sym_identifier] = ACTIONS(2185),
    [anon_sym_RBRACE] = ACTIONS(855),
    [anon_sym_COMMA] = ACTIONS(855),
    [anon_sym_COLON_COLON] = ACTIONS(855),
    [anon_sym_proc] = ACTIONS(2187),
    [anon_sym_DASH_GT] = ACTIONS(855),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_enum] = ACTIONS(2191),
    [anon_sym_EQ] = ACTIONS(857),
    [anon_sym_union] = ACTIONS(2193),
    [anon_sym_COLON_EQ] = ACTIONS(855),
    [anon_sym_COLON] = ACTIONS(857),
    [anon_sym_LPAREN] = ACTIONS(2223),
    [anon_sym_RPAREN] = ACTIONS(855),
    [anon_sym_DOLLAR] = ACTIONS(2199),
    [anon_sym_if] = ACTIONS(857),
    [anon_sym_SEMI] = ACTIONS(855),
    [anon_sym_else] = ACTIONS(857),
    [anon_sym_when] = ACTIONS(857),
    [anon_sym_in] = ACTIONS(857),
    [anon_sym_QMARK] = ACTIONS(855),
    [anon_sym_PLUS] = ACTIONS(855),
    [anon_sym_DASH] = ACTIONS(857),
    [anon_sym_TILDE] = ACTIONS(857),
    [anon_sym_BANG] = ACTIONS(2201),
    [anon_sym_AMP] = ACTIONS(857),
    [anon_sym_PIPE_PIPE] = ACTIONS(855),
    [anon_sym_or_else] = ACTIONS(857),
    [anon_sym_AMP_AMP] = ACTIONS(855),
    [anon_sym_GT] = ACTIONS(857),
    [anon_sym_GT_EQ] = ACTIONS(855),
    [anon_sym_LT_EQ] = ACTIONS(855),
    [anon_sym_LT] = ACTIONS(857),
    [anon_sym_EQ_EQ] = ACTIONS(855),
    [anon_sym_BANG_EQ] = ACTIONS(855),
    [anon_sym_TILDE_EQ] = ACTIONS(855),
    [anon_sym_PIPE] = ACTIONS(857),
    [anon_sym_AMP_TILDE] = ACTIONS(855),
    [anon_sym_LT_LT] = ACTIONS(855),
    [anon_sym_GT_GT] = ACTIONS(855),
    [anon_sym_STAR] = ACTIONS(855),
    [anon_sym_SLASH] = ACTIONS(857),
    [anon_sym_PERCENT] = ACTIONS(857),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(855),
    [anon_sym_DOT] = ACTIONS(857),
    [anon_sym_LBRACK] = ACTIONS(2226),
    [anon_sym_RBRACK] = ACTIONS(855),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(855),
    [anon_sym_DOT_DOT_LT] = ACTIONS(855),
    [anon_sym_not_in] = ACTIONS(857),
    [anon_sym_DOT_DOT] = ACTIONS(2207),
    [anon_sym_or_return] = ACTIONS(857),
    [anon_sym_or_continue] = ACTIONS(857),
    [anon_sym_or_break] = ACTIONS(857),
    [anon_sym_CARET] = ACTIONS(2229),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2213),
    [anon_sym_map] = ACTIONS(2215),
    [anon_sym_bit_set] = ACTIONS(2217),
    [anon_sym_matrix] = ACTIONS(2219),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_tag] = ACTIONS(2221),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [230] = {
    [sym_procedure] = STATE(3279),
    [sym_type] = STATE(3338),
    [sym_pointer_type] = STATE(3284),
    [sym_variadic_type] = STATE(3284),
    [sym_array_type] = STATE(3284),
    [sym_map_type] = STATE(3284),
    [sym_union_type] = STATE(3284),
    [sym_bit_set_type] = STATE(3284),
    [sym_matrix_type] = STATE(3284),
    [sym_field_type] = STATE(3284),
    [sym_tuple_type] = STATE(3284),
    [sym_struct_type] = STATE(3284),
    [sym_enum_type] = STATE(3284),
    [sym_constant_type] = STATE(3284),
    [sym_specialized_type] = STATE(3284),
    [sym__procedure_type] = STATE(3284),
    [sym_distinct_type] = STATE(3284),
    [sym_empty_type] = STATE(3284),
    [sym_polymorphic_type] = STATE(3284),
    [sym_conditional_type] = STATE(3284),
    [sym_identifier] = ACTIONS(2185),
    [anon_sym_RBRACE] = ACTIONS(817),
    [anon_sym_COMMA] = ACTIONS(817),
    [anon_sym_COLON_COLON] = ACTIONS(817),
    [anon_sym_proc] = ACTIONS(2187),
    [anon_sym_DASH_GT] = ACTIONS(817),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_enum] = ACTIONS(2191),
    [anon_sym_EQ] = ACTIONS(819),
    [anon_sym_union] = ACTIONS(2193),
    [anon_sym_COLON_EQ] = ACTIONS(817),
    [anon_sym_COLON] = ACTIONS(819),
    [anon_sym_LPAREN] = ACTIONS(2232),
    [anon_sym_RPAREN] = ACTIONS(817),
    [anon_sym_DOLLAR] = ACTIONS(2199),
    [anon_sym_if] = ACTIONS(819),
    [anon_sym_SEMI] = ACTIONS(817),
    [anon_sym_else] = ACTIONS(819),
    [anon_sym_when] = ACTIONS(819),
    [anon_sym_in] = ACTIONS(819),
    [anon_sym_QMARK] = ACTIONS(817),
    [anon_sym_PLUS] = ACTIONS(817),
    [anon_sym_DASH] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(819),
    [anon_sym_BANG] = ACTIONS(2201),
    [anon_sym_AMP] = ACTIONS(819),
    [anon_sym_PIPE_PIPE] = ACTIONS(817),
    [anon_sym_or_else] = ACTIONS(819),
    [anon_sym_AMP_AMP] = ACTIONS(817),
    [anon_sym_GT] = ACTIONS(819),
    [anon_sym_GT_EQ] = ACTIONS(817),
    [anon_sym_LT_EQ] = ACTIONS(817),
    [anon_sym_LT] = ACTIONS(819),
    [anon_sym_EQ_EQ] = ACTIONS(817),
    [anon_sym_BANG_EQ] = ACTIONS(817),
    [anon_sym_TILDE_EQ] = ACTIONS(817),
    [anon_sym_PIPE] = ACTIONS(819),
    [anon_sym_AMP_TILDE] = ACTIONS(817),
    [anon_sym_LT_LT] = ACTIONS(817),
    [anon_sym_GT_GT] = ACTIONS(817),
    [anon_sym_STAR] = ACTIONS(817),
    [anon_sym_SLASH] = ACTIONS(819),
    [anon_sym_PERCENT] = ACTIONS(819),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(817),
    [anon_sym_DOT] = ACTIONS(819),
    [anon_sym_LBRACK] = ACTIONS(2235),
    [anon_sym_RBRACK] = ACTIONS(817),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(817),
    [anon_sym_DOT_DOT_LT] = ACTIONS(817),
    [anon_sym_not_in] = ACTIONS(819),
    [anon_sym_DOT_DOT] = ACTIONS(2207),
    [anon_sym_or_return] = ACTIONS(819),
    [anon_sym_or_continue] = ACTIONS(819),
    [anon_sym_or_break] = ACTIONS(819),
    [anon_sym_CARET] = ACTIONS(2238),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2213),
    [anon_sym_map] = ACTIONS(2215),
    [anon_sym_bit_set] = ACTIONS(2217),
    [anon_sym_matrix] = ACTIONS(2219),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_tag] = ACTIONS(2221),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [231] = {
    [sym_procedure] = STATE(3705),
    [sym_type] = STATE(3638),
    [sym_pointer_type] = STATE(3649),
    [sym_variadic_type] = STATE(3649),
    [sym_array_type] = STATE(3649),
    [sym_map_type] = STATE(3649),
    [sym_union_type] = STATE(3649),
    [sym_bit_set_type] = STATE(3649),
    [sym_matrix_type] = STATE(3649),
    [sym_field_type] = STATE(3649),
    [sym_tuple_type] = STATE(3649),
    [sym_struct_type] = STATE(3649),
    [sym_enum_type] = STATE(3649),
    [sym_constant_type] = STATE(3649),
    [sym_specialized_type] = STATE(3649),
    [sym__procedure_type] = STATE(3649),
    [sym_distinct_type] = STATE(3649),
    [sym_empty_type] = STATE(3649),
    [sym_polymorphic_type] = STATE(3649),
    [sym_conditional_type] = STATE(3649),
    [ts_builtin_sym_end] = ACTIONS(909),
    [sym_identifier] = ACTIONS(2241),
    [anon_sym_RBRACE] = ACTIONS(909),
    [anon_sym_COMMA] = ACTIONS(909),
    [anon_sym_COLON_COLON] = ACTIONS(909),
    [anon_sym_proc] = ACTIONS(2243),
    [anon_sym_DASH_GT] = ACTIONS(909),
    [anon_sym_struct] = ACTIONS(2245),
    [anon_sym_enum] = ACTIONS(2247),
    [anon_sym_union] = ACTIONS(2249),
    [anon_sym_COLON_EQ] = ACTIONS(909),
    [anon_sym_COLON] = ACTIONS(911),
    [anon_sym_LPAREN] = ACTIONS(2251),
    [anon_sym_DOLLAR] = ACTIONS(2254),
    [anon_sym_if] = ACTIONS(911),
    [anon_sym_SEMI] = ACTIONS(909),
    [anon_sym_else] = ACTIONS(911),
    [anon_sym_when] = ACTIONS(911),
    [anon_sym_in] = ACTIONS(911),
    [anon_sym_case] = ACTIONS(911),
    [anon_sym_QMARK] = ACTIONS(909),
    [anon_sym_PLUS] = ACTIONS(909),
    [anon_sym_DASH] = ACTIONS(911),
    [anon_sym_TILDE] = ACTIONS(911),
    [anon_sym_BANG] = ACTIONS(2256),
    [anon_sym_AMP] = ACTIONS(911),
    [anon_sym_PIPE_PIPE] = ACTIONS(909),
    [anon_sym_or_else] = ACTIONS(911),
    [anon_sym_AMP_AMP] = ACTIONS(909),
    [anon_sym_GT] = ACTIONS(911),
    [anon_sym_GT_EQ] = ACTIONS(909),
    [anon_sym_LT_EQ] = ACTIONS(909),
    [anon_sym_LT] = ACTIONS(911),
    [anon_sym_EQ_EQ] = ACTIONS(909),
    [anon_sym_BANG_EQ] = ACTIONS(909),
    [anon_sym_TILDE_EQ] = ACTIONS(909),
    [anon_sym_PIPE] = ACTIONS(911),
    [anon_sym_AMP_TILDE] = ACTIONS(909),
    [anon_sym_LT_LT] = ACTIONS(909),
    [anon_sym_GT_GT] = ACTIONS(909),
    [anon_sym_STAR] = ACTIONS(909),
    [anon_sym_SLASH] = ACTIONS(911),
    [anon_sym_PERCENT] = ACTIONS(911),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(909),
    [anon_sym_DOT] = ACTIONS(911),
    [anon_sym_LBRACK] = ACTIONS(2258),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(909),
    [anon_sym_DOT_DOT_LT] = ACTIONS(909),
    [anon_sym_not_in] = ACTIONS(911),
    [anon_sym_DOT_DOT] = ACTIONS(2261),
    [anon_sym_or_return] = ACTIONS(911),
    [anon_sym_or_continue] = ACTIONS(911),
    [anon_sym_or_break] = ACTIONS(911),
    [anon_sym_CARET] = ACTIONS(2263),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2266),
    [anon_sym_map] = ACTIONS(2268),
    [anon_sym_bit_set] = ACTIONS(2270),
    [anon_sym_matrix] = ACTIONS(2272),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_tag] = ACTIONS(2274),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(909),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [232] = {
    [sym_procedure] = STATE(3279),
    [sym_type] = STATE(3380),
    [sym_pointer_type] = STATE(3284),
    [sym_variadic_type] = STATE(3284),
    [sym_array_type] = STATE(3284),
    [sym_map_type] = STATE(3284),
    [sym_union_type] = STATE(3284),
    [sym_bit_set_type] = STATE(3284),
    [sym_matrix_type] = STATE(3284),
    [sym_field_type] = STATE(3284),
    [sym_tuple_type] = STATE(3284),
    [sym_struct_type] = STATE(3284),
    [sym_enum_type] = STATE(3284),
    [sym_constant_type] = STATE(3284),
    [sym_specialized_type] = STATE(3284),
    [sym__procedure_type] = STATE(3284),
    [sym_distinct_type] = STATE(3284),
    [sym_empty_type] = STATE(3284),
    [sym_polymorphic_type] = STATE(3284),
    [sym_conditional_type] = STATE(3284),
    [sym_identifier] = ACTIONS(2185),
    [anon_sym_RBRACE] = ACTIONS(893),
    [anon_sym_COMMA] = ACTIONS(893),
    [anon_sym_COLON_COLON] = ACTIONS(893),
    [anon_sym_proc] = ACTIONS(2187),
    [anon_sym_DASH_GT] = ACTIONS(893),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_enum] = ACTIONS(2191),
    [anon_sym_EQ] = ACTIONS(895),
    [anon_sym_union] = ACTIONS(2193),
    [anon_sym_COLON_EQ] = ACTIONS(893),
    [anon_sym_COLON] = ACTIONS(895),
    [anon_sym_LPAREN] = ACTIONS(2276),
    [anon_sym_RPAREN] = ACTIONS(893),
    [anon_sym_DOLLAR] = ACTIONS(2199),
    [anon_sym_if] = ACTIONS(895),
    [anon_sym_SEMI] = ACTIONS(893),
    [anon_sym_else] = ACTIONS(895),
    [anon_sym_when] = ACTIONS(895),
    [anon_sym_in] = ACTIONS(895),
    [anon_sym_QMARK] = ACTIONS(893),
    [anon_sym_PLUS] = ACTIONS(893),
    [anon_sym_DASH] = ACTIONS(895),
    [anon_sym_TILDE] = ACTIONS(895),
    [anon_sym_BANG] = ACTIONS(2201),
    [anon_sym_AMP] = ACTIONS(895),
    [anon_sym_PIPE_PIPE] = ACTIONS(893),
    [anon_sym_or_else] = ACTIONS(895),
    [anon_sym_AMP_AMP] = ACTIONS(893),
    [anon_sym_GT] = ACTIONS(895),
    [anon_sym_GT_EQ] = ACTIONS(893),
    [anon_sym_LT_EQ] = ACTIONS(893),
    [anon_sym_LT] = ACTIONS(895),
    [anon_sym_EQ_EQ] = ACTIONS(893),
    [anon_sym_BANG_EQ] = ACTIONS(893),
    [anon_sym_TILDE_EQ] = ACTIONS(893),
    [anon_sym_PIPE] = ACTIONS(895),
    [anon_sym_AMP_TILDE] = ACTIONS(893),
    [anon_sym_LT_LT] = ACTIONS(893),
    [anon_sym_GT_GT] = ACTIONS(893),
    [anon_sym_STAR] = ACTIONS(893),
    [anon_sym_SLASH] = ACTIONS(895),
    [anon_sym_PERCENT] = ACTIONS(895),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(893),
    [anon_sym_DOT] = ACTIONS(895),
    [anon_sym_LBRACK] = ACTIONS(2279),
    [anon_sym_RBRACK] = ACTIONS(893),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(893),
    [anon_sym_DOT_DOT_LT] = ACTIONS(893),
    [anon_sym_not_in] = ACTIONS(895),
    [anon_sym_DOT_DOT] = ACTIONS(2207),
    [anon_sym_or_return] = ACTIONS(895),
    [anon_sym_or_continue] = ACTIONS(895),
    [anon_sym_or_break] = ACTIONS(895),
    [anon_sym_CARET] = ACTIONS(2282),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2213),
    [anon_sym_map] = ACTIONS(2215),
    [anon_sym_bit_set] = ACTIONS(2217),
    [anon_sym_matrix] = ACTIONS(2219),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_tag] = ACTIONS(2221),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [233] = {
    [sym_procedure] = STATE(3705),
    [sym_type] = STATE(3636),
    [sym_pointer_type] = STATE(3649),
    [sym_variadic_type] = STATE(3649),
    [sym_array_type] = STATE(3649),
    [sym_map_type] = STATE(3649),
    [sym_union_type] = STATE(3649),
    [sym_bit_set_type] = STATE(3649),
    [sym_matrix_type] = STATE(3649),
    [sym_field_type] = STATE(3649),
    [sym_tuple_type] = STATE(3649),
    [sym_struct_type] = STATE(3649),
    [sym_enum_type] = STATE(3649),
    [sym_constant_type] = STATE(3649),
    [sym_specialized_type] = STATE(3649),
    [sym__procedure_type] = STATE(3649),
    [sym_distinct_type] = STATE(3649),
    [sym_empty_type] = STATE(3649),
    [sym_polymorphic_type] = STATE(3649),
    [sym_conditional_type] = STATE(3649),
    [ts_builtin_sym_end] = ACTIONS(871),
    [sym_identifier] = ACTIONS(2241),
    [anon_sym_RBRACE] = ACTIONS(871),
    [anon_sym_COMMA] = ACTIONS(871),
    [anon_sym_COLON_COLON] = ACTIONS(871),
    [anon_sym_proc] = ACTIONS(2243),
    [anon_sym_DASH_GT] = ACTIONS(871),
    [anon_sym_struct] = ACTIONS(2245),
    [anon_sym_enum] = ACTIONS(2247),
    [anon_sym_union] = ACTIONS(2249),
    [anon_sym_COLON_EQ] = ACTIONS(871),
    [anon_sym_COLON] = ACTIONS(874),
    [anon_sym_LPAREN] = ACTIONS(2285),
    [anon_sym_DOLLAR] = ACTIONS(2254),
    [anon_sym_if] = ACTIONS(874),
    [anon_sym_SEMI] = ACTIONS(871),
    [anon_sym_else] = ACTIONS(874),
    [anon_sym_when] = ACTIONS(874),
    [anon_sym_in] = ACTIONS(874),
    [anon_sym_case] = ACTIONS(874),
    [anon_sym_QMARK] = ACTIONS(871),
    [anon_sym_PLUS] = ACTIONS(871),
    [anon_sym_DASH] = ACTIONS(874),
    [anon_sym_TILDE] = ACTIONS(874),
    [anon_sym_BANG] = ACTIONS(2256),
    [anon_sym_AMP] = ACTIONS(874),
    [anon_sym_PIPE_PIPE] = ACTIONS(871),
    [anon_sym_or_else] = ACTIONS(874),
    [anon_sym_AMP_AMP] = ACTIONS(871),
    [anon_sym_GT] = ACTIONS(874),
    [anon_sym_GT_EQ] = ACTIONS(871),
    [anon_sym_LT_EQ] = ACTIONS(871),
    [anon_sym_LT] = ACTIONS(874),
    [anon_sym_EQ_EQ] = ACTIONS(871),
    [anon_sym_BANG_EQ] = ACTIONS(871),
    [anon_sym_TILDE_EQ] = ACTIONS(871),
    [anon_sym_PIPE] = ACTIONS(874),
    [anon_sym_AMP_TILDE] = ACTIONS(871),
    [anon_sym_LT_LT] = ACTIONS(871),
    [anon_sym_GT_GT] = ACTIONS(871),
    [anon_sym_STAR] = ACTIONS(871),
    [anon_sym_SLASH] = ACTIONS(874),
    [anon_sym_PERCENT] = ACTIONS(874),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(871),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_LBRACK] = ACTIONS(2289),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(871),
    [anon_sym_DOT_DOT_LT] = ACTIONS(871),
    [anon_sym_not_in] = ACTIONS(874),
    [anon_sym_DOT_DOT] = ACTIONS(2261),
    [anon_sym_or_return] = ACTIONS(874),
    [anon_sym_or_continue] = ACTIONS(874),
    [anon_sym_or_break] = ACTIONS(874),
    [anon_sym_CARET] = ACTIONS(2293),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2266),
    [anon_sym_map] = ACTIONS(2268),
    [anon_sym_bit_set] = ACTIONS(2270),
    [anon_sym_matrix] = ACTIONS(2272),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_tag] = ACTIONS(2274),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(871),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [234] = {
    [sym_procedure] = STATE(3705),
    [sym_type] = STATE(3611),
    [sym_pointer_type] = STATE(3649),
    [sym_variadic_type] = STATE(3649),
    [sym_array_type] = STATE(3649),
    [sym_map_type] = STATE(3649),
    [sym_union_type] = STATE(3649),
    [sym_bit_set_type] = STATE(3649),
    [sym_matrix_type] = STATE(3649),
    [sym_field_type] = STATE(3649),
    [sym_tuple_type] = STATE(3649),
    [sym_struct_type] = STATE(3649),
    [sym_enum_type] = STATE(3649),
    [sym_constant_type] = STATE(3649),
    [sym_specialized_type] = STATE(3649),
    [sym__procedure_type] = STATE(3649),
    [sym_distinct_type] = STATE(3649),
    [sym_empty_type] = STATE(3649),
    [sym_polymorphic_type] = STATE(3649),
    [sym_conditional_type] = STATE(3649),
    [ts_builtin_sym_end] = ACTIONS(817),
    [sym_identifier] = ACTIONS(2241),
    [anon_sym_RBRACE] = ACTIONS(817),
    [anon_sym_COMMA] = ACTIONS(817),
    [anon_sym_COLON_COLON] = ACTIONS(817),
    [anon_sym_proc] = ACTIONS(2243),
    [anon_sym_DASH_GT] = ACTIONS(817),
    [anon_sym_struct] = ACTIONS(2245),
    [anon_sym_enum] = ACTIONS(2247),
    [anon_sym_union] = ACTIONS(2249),
    [anon_sym_COLON_EQ] = ACTIONS(817),
    [anon_sym_COLON] = ACTIONS(819),
    [anon_sym_LPAREN] = ACTIONS(2297),
    [anon_sym_DOLLAR] = ACTIONS(2254),
    [anon_sym_if] = ACTIONS(819),
    [anon_sym_SEMI] = ACTIONS(817),
    [anon_sym_else] = ACTIONS(819),
    [anon_sym_when] = ACTIONS(819),
    [anon_sym_in] = ACTIONS(819),
    [anon_sym_case] = ACTIONS(819),
    [anon_sym_QMARK] = ACTIONS(817),
    [anon_sym_PLUS] = ACTIONS(817),
    [anon_sym_DASH] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(819),
    [anon_sym_BANG] = ACTIONS(2256),
    [anon_sym_AMP] = ACTIONS(819),
    [anon_sym_PIPE_PIPE] = ACTIONS(817),
    [anon_sym_or_else] = ACTIONS(819),
    [anon_sym_AMP_AMP] = ACTIONS(817),
    [anon_sym_GT] = ACTIONS(819),
    [anon_sym_GT_EQ] = ACTIONS(817),
    [anon_sym_LT_EQ] = ACTIONS(817),
    [anon_sym_LT] = ACTIONS(819),
    [anon_sym_EQ_EQ] = ACTIONS(817),
    [anon_sym_BANG_EQ] = ACTIONS(817),
    [anon_sym_TILDE_EQ] = ACTIONS(817),
    [anon_sym_PIPE] = ACTIONS(819),
    [anon_sym_AMP_TILDE] = ACTIONS(817),
    [anon_sym_LT_LT] = ACTIONS(817),
    [anon_sym_GT_GT] = ACTIONS(817),
    [anon_sym_STAR] = ACTIONS(817),
    [anon_sym_SLASH] = ACTIONS(819),
    [anon_sym_PERCENT] = ACTIONS(819),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(817),
    [anon_sym_DOT] = ACTIONS(819),
    [anon_sym_LBRACK] = ACTIONS(2300),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(817),
    [anon_sym_DOT_DOT_LT] = ACTIONS(817),
    [anon_sym_not_in] = ACTIONS(819),
    [anon_sym_DOT_DOT] = ACTIONS(2261),
    [anon_sym_or_return] = ACTIONS(819),
    [anon_sym_or_continue] = ACTIONS(819),
    [anon_sym_or_break] = ACTIONS(819),
    [anon_sym_CARET] = ACTIONS(2303),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2266),
    [anon_sym_map] = ACTIONS(2268),
    [anon_sym_bit_set] = ACTIONS(2270),
    [anon_sym_matrix] = ACTIONS(2272),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_tag] = ACTIONS(2274),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(817),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [235] = {
    [sym_procedure] = STATE(3279),
    [sym_type] = STATE(3278),
    [sym_pointer_type] = STATE(3284),
    [sym_variadic_type] = STATE(3284),
    [sym_array_type] = STATE(3284),
    [sym_map_type] = STATE(3284),
    [sym_union_type] = STATE(3284),
    [sym_bit_set_type] = STATE(3284),
    [sym_matrix_type] = STATE(3284),
    [sym_field_type] = STATE(3284),
    [sym_tuple_type] = STATE(3284),
    [sym_struct_type] = STATE(3284),
    [sym_enum_type] = STATE(3284),
    [sym_constant_type] = STATE(3284),
    [sym_specialized_type] = STATE(3284),
    [sym__procedure_type] = STATE(3284),
    [sym_distinct_type] = STATE(3284),
    [sym_empty_type] = STATE(3284),
    [sym_polymorphic_type] = STATE(3284),
    [sym_conditional_type] = STATE(3284),
    [sym_identifier] = ACTIONS(2185),
    [anon_sym_RBRACE] = ACTIONS(909),
    [anon_sym_COMMA] = ACTIONS(909),
    [anon_sym_COLON_COLON] = ACTIONS(909),
    [anon_sym_proc] = ACTIONS(2187),
    [anon_sym_DASH_GT] = ACTIONS(909),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_enum] = ACTIONS(2191),
    [anon_sym_EQ] = ACTIONS(911),
    [anon_sym_union] = ACTIONS(2193),
    [anon_sym_COLON_EQ] = ACTIONS(909),
    [anon_sym_COLON] = ACTIONS(911),
    [anon_sym_LPAREN] = ACTIONS(2306),
    [anon_sym_RPAREN] = ACTIONS(909),
    [anon_sym_DOLLAR] = ACTIONS(2199),
    [anon_sym_if] = ACTIONS(911),
    [anon_sym_SEMI] = ACTIONS(909),
    [anon_sym_else] = ACTIONS(911),
    [anon_sym_when] = ACTIONS(911),
    [anon_sym_in] = ACTIONS(911),
    [anon_sym_QMARK] = ACTIONS(909),
    [anon_sym_PLUS] = ACTIONS(909),
    [anon_sym_DASH] = ACTIONS(911),
    [anon_sym_TILDE] = ACTIONS(911),
    [anon_sym_BANG] = ACTIONS(2201),
    [anon_sym_AMP] = ACTIONS(911),
    [anon_sym_PIPE_PIPE] = ACTIONS(909),
    [anon_sym_or_else] = ACTIONS(911),
    [anon_sym_AMP_AMP] = ACTIONS(909),
    [anon_sym_GT] = ACTIONS(911),
    [anon_sym_GT_EQ] = ACTIONS(909),
    [anon_sym_LT_EQ] = ACTIONS(909),
    [anon_sym_LT] = ACTIONS(911),
    [anon_sym_EQ_EQ] = ACTIONS(909),
    [anon_sym_BANG_EQ] = ACTIONS(909),
    [anon_sym_TILDE_EQ] = ACTIONS(909),
    [anon_sym_PIPE] = ACTIONS(911),
    [anon_sym_AMP_TILDE] = ACTIONS(909),
    [anon_sym_LT_LT] = ACTIONS(909),
    [anon_sym_GT_GT] = ACTIONS(909),
    [anon_sym_STAR] = ACTIONS(909),
    [anon_sym_SLASH] = ACTIONS(911),
    [anon_sym_PERCENT] = ACTIONS(911),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(909),
    [anon_sym_DOT] = ACTIONS(911),
    [anon_sym_LBRACK] = ACTIONS(2309),
    [anon_sym_RBRACK] = ACTIONS(909),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(909),
    [anon_sym_DOT_DOT_LT] = ACTIONS(909),
    [anon_sym_not_in] = ACTIONS(911),
    [anon_sym_DOT_DOT] = ACTIONS(2207),
    [anon_sym_or_return] = ACTIONS(911),
    [anon_sym_or_continue] = ACTIONS(911),
    [anon_sym_or_break] = ACTIONS(911),
    [anon_sym_CARET] = ACTIONS(2312),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2213),
    [anon_sym_map] = ACTIONS(2215),
    [anon_sym_bit_set] = ACTIONS(2217),
    [anon_sym_matrix] = ACTIONS(2219),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_tag] = ACTIONS(2221),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [236] = {
    [sym_procedure] = STATE(3705),
    [sym_type] = STATE(3615),
    [sym_pointer_type] = STATE(3649),
    [sym_variadic_type] = STATE(3649),
    [sym_array_type] = STATE(3649),
    [sym_map_type] = STATE(3649),
    [sym_union_type] = STATE(3649),
    [sym_bit_set_type] = STATE(3649),
    [sym_matrix_type] = STATE(3649),
    [sym_field_type] = STATE(3649),
    [sym_tuple_type] = STATE(3649),
    [sym_struct_type] = STATE(3649),
    [sym_enum_type] = STATE(3649),
    [sym_constant_type] = STATE(3649),
    [sym_specialized_type] = STATE(3649),
    [sym__procedure_type] = STATE(3649),
    [sym_distinct_type] = STATE(3649),
    [sym_empty_type] = STATE(3649),
    [sym_polymorphic_type] = STATE(3649),
    [sym_conditional_type] = STATE(3649),
    [ts_builtin_sym_end] = ACTIONS(773),
    [sym_identifier] = ACTIONS(2241),
    [anon_sym_RBRACE] = ACTIONS(773),
    [anon_sym_COMMA] = ACTIONS(773),
    [anon_sym_COLON_COLON] = ACTIONS(773),
    [anon_sym_proc] = ACTIONS(2243),
    [anon_sym_DASH_GT] = ACTIONS(773),
    [anon_sym_struct] = ACTIONS(2245),
    [anon_sym_enum] = ACTIONS(2247),
    [anon_sym_union] = ACTIONS(2249),
    [anon_sym_COLON_EQ] = ACTIONS(773),
    [anon_sym_COLON] = ACTIONS(778),
    [anon_sym_LPAREN] = ACTIONS(2315),
    [anon_sym_DOLLAR] = ACTIONS(2254),
    [anon_sym_if] = ACTIONS(778),
    [anon_sym_SEMI] = ACTIONS(773),
    [anon_sym_else] = ACTIONS(778),
    [anon_sym_when] = ACTIONS(778),
    [anon_sym_in] = ACTIONS(778),
    [anon_sym_case] = ACTIONS(778),
    [anon_sym_QMARK] = ACTIONS(773),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(778),
    [anon_sym_TILDE] = ACTIONS(778),
    [anon_sym_BANG] = ACTIONS(2256),
    [anon_sym_AMP] = ACTIONS(778),
    [anon_sym_PIPE_PIPE] = ACTIONS(773),
    [anon_sym_or_else] = ACTIONS(778),
    [anon_sym_AMP_AMP] = ACTIONS(773),
    [anon_sym_GT] = ACTIONS(778),
    [anon_sym_GT_EQ] = ACTIONS(773),
    [anon_sym_LT_EQ] = ACTIONS(773),
    [anon_sym_LT] = ACTIONS(778),
    [anon_sym_EQ_EQ] = ACTIONS(773),
    [anon_sym_BANG_EQ] = ACTIONS(773),
    [anon_sym_TILDE_EQ] = ACTIONS(773),
    [anon_sym_PIPE] = ACTIONS(778),
    [anon_sym_AMP_TILDE] = ACTIONS(773),
    [anon_sym_LT_LT] = ACTIONS(773),
    [anon_sym_GT_GT] = ACTIONS(773),
    [anon_sym_STAR] = ACTIONS(773),
    [anon_sym_SLASH] = ACTIONS(778),
    [anon_sym_PERCENT] = ACTIONS(778),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(773),
    [anon_sym_DOT] = ACTIONS(778),
    [anon_sym_LBRACK] = ACTIONS(2319),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(773),
    [anon_sym_DOT_DOT_LT] = ACTIONS(773),
    [anon_sym_not_in] = ACTIONS(778),
    [anon_sym_DOT_DOT] = ACTIONS(2261),
    [anon_sym_or_return] = ACTIONS(778),
    [anon_sym_or_continue] = ACTIONS(778),
    [anon_sym_or_break] = ACTIONS(778),
    [anon_sym_CARET] = ACTIONS(2323),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2266),
    [anon_sym_map] = ACTIONS(2268),
    [anon_sym_bit_set] = ACTIONS(2270),
    [anon_sym_matrix] = ACTIONS(2272),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_tag] = ACTIONS(2274),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(773),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [237] = {
    [sym_procedure] = STATE(3705),
    [sym_type] = STATE(3691),
    [sym_pointer_type] = STATE(3649),
    [sym_variadic_type] = STATE(3649),
    [sym_array_type] = STATE(3649),
    [sym_map_type] = STATE(3649),
    [sym_union_type] = STATE(3649),
    [sym_bit_set_type] = STATE(3649),
    [sym_matrix_type] = STATE(3649),
    [sym_field_type] = STATE(3649),
    [sym_tuple_type] = STATE(3649),
    [sym_struct_type] = STATE(3649),
    [sym_enum_type] = STATE(3649),
    [sym_constant_type] = STATE(3649),
    [sym_specialized_type] = STATE(3649),
    [sym__procedure_type] = STATE(3649),
    [sym_distinct_type] = STATE(3649),
    [sym_empty_type] = STATE(3649),
    [sym_polymorphic_type] = STATE(3649),
    [sym_conditional_type] = STATE(3649),
    [ts_builtin_sym_end] = ACTIONS(855),
    [sym_identifier] = ACTIONS(2241),
    [anon_sym_RBRACE] = ACTIONS(855),
    [anon_sym_COMMA] = ACTIONS(855),
    [anon_sym_COLON_COLON] = ACTIONS(855),
    [anon_sym_proc] = ACTIONS(2243),
    [anon_sym_DASH_GT] = ACTIONS(855),
    [anon_sym_struct] = ACTIONS(2245),
    [anon_sym_enum] = ACTIONS(2247),
    [anon_sym_union] = ACTIONS(2249),
    [anon_sym_COLON_EQ] = ACTIONS(855),
    [anon_sym_COLON] = ACTIONS(857),
    [anon_sym_LPAREN] = ACTIONS(2327),
    [anon_sym_DOLLAR] = ACTIONS(2254),
    [anon_sym_if] = ACTIONS(857),
    [anon_sym_SEMI] = ACTIONS(855),
    [anon_sym_else] = ACTIONS(857),
    [anon_sym_when] = ACTIONS(857),
    [anon_sym_in] = ACTIONS(857),
    [anon_sym_case] = ACTIONS(857),
    [anon_sym_QMARK] = ACTIONS(855),
    [anon_sym_PLUS] = ACTIONS(855),
    [anon_sym_DASH] = ACTIONS(857),
    [anon_sym_TILDE] = ACTIONS(857),
    [anon_sym_BANG] = ACTIONS(2256),
    [anon_sym_AMP] = ACTIONS(857),
    [anon_sym_PIPE_PIPE] = ACTIONS(855),
    [anon_sym_or_else] = ACTIONS(857),
    [anon_sym_AMP_AMP] = ACTIONS(855),
    [anon_sym_GT] = ACTIONS(857),
    [anon_sym_GT_EQ] = ACTIONS(855),
    [anon_sym_LT_EQ] = ACTIONS(855),
    [anon_sym_LT] = ACTIONS(857),
    [anon_sym_EQ_EQ] = ACTIONS(855),
    [anon_sym_BANG_EQ] = ACTIONS(855),
    [anon_sym_TILDE_EQ] = ACTIONS(855),
    [anon_sym_PIPE] = ACTIONS(857),
    [anon_sym_AMP_TILDE] = ACTIONS(855),
    [anon_sym_LT_LT] = ACTIONS(855),
    [anon_sym_GT_GT] = ACTIONS(855),
    [anon_sym_STAR] = ACTIONS(855),
    [anon_sym_SLASH] = ACTIONS(857),
    [anon_sym_PERCENT] = ACTIONS(857),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(855),
    [anon_sym_DOT] = ACTIONS(857),
    [anon_sym_LBRACK] = ACTIONS(2330),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(855),
    [anon_sym_DOT_DOT_LT] = ACTIONS(855),
    [anon_sym_not_in] = ACTIONS(857),
    [anon_sym_DOT_DOT] = ACTIONS(2261),
    [anon_sym_or_return] = ACTIONS(857),
    [anon_sym_or_continue] = ACTIONS(857),
    [anon_sym_or_break] = ACTIONS(857),
    [anon_sym_CARET] = ACTIONS(2333),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2266),
    [anon_sym_map] = ACTIONS(2268),
    [anon_sym_bit_set] = ACTIONS(2270),
    [anon_sym_matrix] = ACTIONS(2272),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_tag] = ACTIONS(2274),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(855),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [238] = {
    [sym_procedure] = STATE(3279),
    [sym_type] = STATE(3357),
    [sym_pointer_type] = STATE(3284),
    [sym_variadic_type] = STATE(3284),
    [sym_array_type] = STATE(3284),
    [sym_map_type] = STATE(3284),
    [sym_union_type] = STATE(3284),
    [sym_bit_set_type] = STATE(3284),
    [sym_matrix_type] = STATE(3284),
    [sym_field_type] = STATE(3284),
    [sym_tuple_type] = STATE(3284),
    [sym_struct_type] = STATE(3284),
    [sym_enum_type] = STATE(3284),
    [sym_constant_type] = STATE(3284),
    [sym_specialized_type] = STATE(3284),
    [sym__procedure_type] = STATE(3284),
    [sym_distinct_type] = STATE(3284),
    [sym_empty_type] = STATE(3284),
    [sym_polymorphic_type] = STATE(3284),
    [sym_conditional_type] = STATE(3284),
    [sym_identifier] = ACTIONS(2185),
    [anon_sym_RBRACE] = ACTIONS(871),
    [anon_sym_COMMA] = ACTIONS(871),
    [anon_sym_COLON_COLON] = ACTIONS(871),
    [anon_sym_proc] = ACTIONS(2187),
    [anon_sym_DASH_GT] = ACTIONS(871),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_enum] = ACTIONS(2191),
    [anon_sym_EQ] = ACTIONS(874),
    [anon_sym_union] = ACTIONS(2193),
    [anon_sym_COLON_EQ] = ACTIONS(871),
    [anon_sym_COLON] = ACTIONS(874),
    [anon_sym_LPAREN] = ACTIONS(2336),
    [anon_sym_RPAREN] = ACTIONS(871),
    [anon_sym_DOLLAR] = ACTIONS(2199),
    [anon_sym_if] = ACTIONS(874),
    [anon_sym_SEMI] = ACTIONS(871),
    [anon_sym_else] = ACTIONS(874),
    [anon_sym_when] = ACTIONS(874),
    [anon_sym_in] = ACTIONS(874),
    [anon_sym_QMARK] = ACTIONS(871),
    [anon_sym_PLUS] = ACTIONS(871),
    [anon_sym_DASH] = ACTIONS(874),
    [anon_sym_TILDE] = ACTIONS(874),
    [anon_sym_BANG] = ACTIONS(2201),
    [anon_sym_AMP] = ACTIONS(874),
    [anon_sym_PIPE_PIPE] = ACTIONS(871),
    [anon_sym_or_else] = ACTIONS(874),
    [anon_sym_AMP_AMP] = ACTIONS(871),
    [anon_sym_GT] = ACTIONS(874),
    [anon_sym_GT_EQ] = ACTIONS(871),
    [anon_sym_LT_EQ] = ACTIONS(871),
    [anon_sym_LT] = ACTIONS(874),
    [anon_sym_EQ_EQ] = ACTIONS(871),
    [anon_sym_BANG_EQ] = ACTIONS(871),
    [anon_sym_TILDE_EQ] = ACTIONS(871),
    [anon_sym_PIPE] = ACTIONS(874),
    [anon_sym_AMP_TILDE] = ACTIONS(871),
    [anon_sym_LT_LT] = ACTIONS(871),
    [anon_sym_GT_GT] = ACTIONS(871),
    [anon_sym_STAR] = ACTIONS(871),
    [anon_sym_SLASH] = ACTIONS(874),
    [anon_sym_PERCENT] = ACTIONS(874),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(871),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_LBRACK] = ACTIONS(2340),
    [anon_sym_RBRACK] = ACTIONS(871),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(871),
    [anon_sym_DOT_DOT_LT] = ACTIONS(871),
    [anon_sym_not_in] = ACTIONS(874),
    [anon_sym_DOT_DOT] = ACTIONS(2207),
    [anon_sym_or_return] = ACTIONS(874),
    [anon_sym_or_continue] = ACTIONS(874),
    [anon_sym_or_break] = ACTIONS(874),
    [anon_sym_CARET] = ACTIONS(2344),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2213),
    [anon_sym_map] = ACTIONS(2215),
    [anon_sym_bit_set] = ACTIONS(2217),
    [anon_sym_matrix] = ACTIONS(2219),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_tag] = ACTIONS(2221),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [239] = {
    [sym_procedure] = STATE(3705),
    [sym_type] = STATE(3606),
    [sym_pointer_type] = STATE(3649),
    [sym_variadic_type] = STATE(3649),
    [sym_array_type] = STATE(3649),
    [sym_map_type] = STATE(3649),
    [sym_union_type] = STATE(3649),
    [sym_bit_set_type] = STATE(3649),
    [sym_matrix_type] = STATE(3649),
    [sym_field_type] = STATE(3649),
    [sym_tuple_type] = STATE(3649),
    [sym_struct_type] = STATE(3649),
    [sym_enum_type] = STATE(3649),
    [sym_constant_type] = STATE(3649),
    [sym_specialized_type] = STATE(3649),
    [sym__procedure_type] = STATE(3649),
    [sym_distinct_type] = STATE(3649),
    [sym_empty_type] = STATE(3649),
    [sym_polymorphic_type] = STATE(3649),
    [sym_conditional_type] = STATE(3649),
    [ts_builtin_sym_end] = ACTIONS(893),
    [sym_identifier] = ACTIONS(2241),
    [anon_sym_RBRACE] = ACTIONS(893),
    [anon_sym_COMMA] = ACTIONS(893),
    [anon_sym_COLON_COLON] = ACTIONS(893),
    [anon_sym_proc] = ACTIONS(2243),
    [anon_sym_DASH_GT] = ACTIONS(893),
    [anon_sym_struct] = ACTIONS(2245),
    [anon_sym_enum] = ACTIONS(2247),
    [anon_sym_union] = ACTIONS(2249),
    [anon_sym_COLON_EQ] = ACTIONS(893),
    [anon_sym_COLON] = ACTIONS(895),
    [anon_sym_LPAREN] = ACTIONS(2348),
    [anon_sym_DOLLAR] = ACTIONS(2254),
    [anon_sym_if] = ACTIONS(895),
    [anon_sym_SEMI] = ACTIONS(893),
    [anon_sym_else] = ACTIONS(895),
    [anon_sym_when] = ACTIONS(895),
    [anon_sym_in] = ACTIONS(895),
    [anon_sym_case] = ACTIONS(895),
    [anon_sym_QMARK] = ACTIONS(893),
    [anon_sym_PLUS] = ACTIONS(893),
    [anon_sym_DASH] = ACTIONS(895),
    [anon_sym_TILDE] = ACTIONS(895),
    [anon_sym_BANG] = ACTIONS(2256),
    [anon_sym_AMP] = ACTIONS(895),
    [anon_sym_PIPE_PIPE] = ACTIONS(893),
    [anon_sym_or_else] = ACTIONS(895),
    [anon_sym_AMP_AMP] = ACTIONS(893),
    [anon_sym_GT] = ACTIONS(895),
    [anon_sym_GT_EQ] = ACTIONS(893),
    [anon_sym_LT_EQ] = ACTIONS(893),
    [anon_sym_LT] = ACTIONS(895),
    [anon_sym_EQ_EQ] = ACTIONS(893),
    [anon_sym_BANG_EQ] = ACTIONS(893),
    [anon_sym_TILDE_EQ] = ACTIONS(893),
    [anon_sym_PIPE] = ACTIONS(895),
    [anon_sym_AMP_TILDE] = ACTIONS(893),
    [anon_sym_LT_LT] = ACTIONS(893),
    [anon_sym_GT_GT] = ACTIONS(893),
    [anon_sym_STAR] = ACTIONS(893),
    [anon_sym_SLASH] = ACTIONS(895),
    [anon_sym_PERCENT] = ACTIONS(895),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(893),
    [anon_sym_DOT] = ACTIONS(895),
    [anon_sym_LBRACK] = ACTIONS(2351),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(893),
    [anon_sym_DOT_DOT_LT] = ACTIONS(893),
    [anon_sym_not_in] = ACTIONS(895),
    [anon_sym_DOT_DOT] = ACTIONS(2261),
    [anon_sym_or_return] = ACTIONS(895),
    [anon_sym_or_continue] = ACTIONS(895),
    [anon_sym_or_break] = ACTIONS(895),
    [anon_sym_CARET] = ACTIONS(2354),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2266),
    [anon_sym_map] = ACTIONS(2268),
    [anon_sym_bit_set] = ACTIONS(2270),
    [anon_sym_matrix] = ACTIONS(2272),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_tag] = ACTIONS(2274),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(893),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [240] = {
    [sym_procedure] = STATE(3705),
    [sym_type] = STATE(3650),
    [sym_pointer_type] = STATE(3649),
    [sym_variadic_type] = STATE(3649),
    [sym_array_type] = STATE(3649),
    [sym_map_type] = STATE(3649),
    [sym_union_type] = STATE(3649),
    [sym_bit_set_type] = STATE(3649),
    [sym_matrix_type] = STATE(3649),
    [sym_field_type] = STATE(3649),
    [sym_tuple_type] = STATE(3649),
    [sym_struct_type] = STATE(3649),
    [sym_enum_type] = STATE(3649),
    [sym_constant_type] = STATE(3649),
    [sym_specialized_type] = STATE(3649),
    [sym__procedure_type] = STATE(3649),
    [sym_distinct_type] = STATE(3649),
    [sym_empty_type] = STATE(3649),
    [sym_polymorphic_type] = STATE(3649),
    [sym_conditional_type] = STATE(3649),
    [ts_builtin_sym_end] = ACTIONS(833),
    [sym_identifier] = ACTIONS(2241),
    [anon_sym_RBRACE] = ACTIONS(833),
    [anon_sym_COMMA] = ACTIONS(833),
    [anon_sym_COLON_COLON] = ACTIONS(833),
    [anon_sym_proc] = ACTIONS(2243),
    [anon_sym_DASH_GT] = ACTIONS(833),
    [anon_sym_struct] = ACTIONS(2245),
    [anon_sym_enum] = ACTIONS(2247),
    [anon_sym_union] = ACTIONS(2249),
    [anon_sym_COLON_EQ] = ACTIONS(833),
    [anon_sym_COLON] = ACTIONS(836),
    [anon_sym_LPAREN] = ACTIONS(2357),
    [anon_sym_DOLLAR] = ACTIONS(2254),
    [anon_sym_if] = ACTIONS(836),
    [anon_sym_SEMI] = ACTIONS(833),
    [anon_sym_else] = ACTIONS(836),
    [anon_sym_when] = ACTIONS(836),
    [anon_sym_in] = ACTIONS(836),
    [anon_sym_case] = ACTIONS(836),
    [anon_sym_QMARK] = ACTIONS(833),
    [anon_sym_PLUS] = ACTIONS(833),
    [anon_sym_DASH] = ACTIONS(836),
    [anon_sym_TILDE] = ACTIONS(836),
    [anon_sym_BANG] = ACTIONS(2256),
    [anon_sym_AMP] = ACTIONS(836),
    [anon_sym_PIPE_PIPE] = ACTIONS(833),
    [anon_sym_or_else] = ACTIONS(836),
    [anon_sym_AMP_AMP] = ACTIONS(833),
    [anon_sym_GT] = ACTIONS(836),
    [anon_sym_GT_EQ] = ACTIONS(833),
    [anon_sym_LT_EQ] = ACTIONS(833),
    [anon_sym_LT] = ACTIONS(836),
    [anon_sym_EQ_EQ] = ACTIONS(833),
    [anon_sym_BANG_EQ] = ACTIONS(833),
    [anon_sym_TILDE_EQ] = ACTIONS(833),
    [anon_sym_PIPE] = ACTIONS(836),
    [anon_sym_AMP_TILDE] = ACTIONS(833),
    [anon_sym_LT_LT] = ACTIONS(833),
    [anon_sym_GT_GT] = ACTIONS(833),
    [anon_sym_STAR] = ACTIONS(833),
    [anon_sym_SLASH] = ACTIONS(836),
    [anon_sym_PERCENT] = ACTIONS(836),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(833),
    [anon_sym_DOT] = ACTIONS(836),
    [anon_sym_LBRACK] = ACTIONS(2361),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(833),
    [anon_sym_DOT_DOT_LT] = ACTIONS(833),
    [anon_sym_not_in] = ACTIONS(836),
    [anon_sym_DOT_DOT] = ACTIONS(2261),
    [anon_sym_or_return] = ACTIONS(836),
    [anon_sym_or_continue] = ACTIONS(836),
    [anon_sym_or_break] = ACTIONS(836),
    [anon_sym_CARET] = ACTIONS(2365),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2266),
    [anon_sym_map] = ACTIONS(2268),
    [anon_sym_bit_set] = ACTIONS(2270),
    [anon_sym_matrix] = ACTIONS(2272),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_tag] = ACTIONS(2274),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(833),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [241] = {
    [sym_procedure] = STATE(3279),
    [sym_type] = STATE(3347),
    [sym_pointer_type] = STATE(3284),
    [sym_variadic_type] = STATE(3284),
    [sym_array_type] = STATE(3284),
    [sym_map_type] = STATE(3284),
    [sym_union_type] = STATE(3284),
    [sym_bit_set_type] = STATE(3284),
    [sym_matrix_type] = STATE(3284),
    [sym_field_type] = STATE(3284),
    [sym_tuple_type] = STATE(3284),
    [sym_struct_type] = STATE(3284),
    [sym_enum_type] = STATE(3284),
    [sym_constant_type] = STATE(3284),
    [sym_specialized_type] = STATE(3284),
    [sym__procedure_type] = STATE(3284),
    [sym_distinct_type] = STATE(3284),
    [sym_empty_type] = STATE(3284),
    [sym_polymorphic_type] = STATE(3284),
    [sym_conditional_type] = STATE(3284),
    [sym_identifier] = ACTIONS(2185),
    [anon_sym_RBRACE] = ACTIONS(833),
    [anon_sym_COMMA] = ACTIONS(833),
    [anon_sym_COLON_COLON] = ACTIONS(833),
    [anon_sym_proc] = ACTIONS(2187),
    [anon_sym_DASH_GT] = ACTIONS(833),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_enum] = ACTIONS(2191),
    [anon_sym_EQ] = ACTIONS(836),
    [anon_sym_union] = ACTIONS(2193),
    [anon_sym_COLON_EQ] = ACTIONS(833),
    [anon_sym_COLON] = ACTIONS(836),
    [anon_sym_LPAREN] = ACTIONS(2369),
    [anon_sym_RPAREN] = ACTIONS(833),
    [anon_sym_DOLLAR] = ACTIONS(2199),
    [anon_sym_if] = ACTIONS(836),
    [anon_sym_SEMI] = ACTIONS(833),
    [anon_sym_else] = ACTIONS(836),
    [anon_sym_when] = ACTIONS(836),
    [anon_sym_in] = ACTIONS(836),
    [anon_sym_QMARK] = ACTIONS(833),
    [anon_sym_PLUS] = ACTIONS(833),
    [anon_sym_DASH] = ACTIONS(836),
    [anon_sym_TILDE] = ACTIONS(836),
    [anon_sym_BANG] = ACTIONS(2201),
    [anon_sym_AMP] = ACTIONS(836),
    [anon_sym_PIPE_PIPE] = ACTIONS(833),
    [anon_sym_or_else] = ACTIONS(836),
    [anon_sym_AMP_AMP] = ACTIONS(833),
    [anon_sym_GT] = ACTIONS(836),
    [anon_sym_GT_EQ] = ACTIONS(833),
    [anon_sym_LT_EQ] = ACTIONS(833),
    [anon_sym_LT] = ACTIONS(836),
    [anon_sym_EQ_EQ] = ACTIONS(833),
    [anon_sym_BANG_EQ] = ACTIONS(833),
    [anon_sym_TILDE_EQ] = ACTIONS(833),
    [anon_sym_PIPE] = ACTIONS(836),
    [anon_sym_AMP_TILDE] = ACTIONS(833),
    [anon_sym_LT_LT] = ACTIONS(833),
    [anon_sym_GT_GT] = ACTIONS(833),
    [anon_sym_STAR] = ACTIONS(833),
    [anon_sym_SLASH] = ACTIONS(836),
    [anon_sym_PERCENT] = ACTIONS(836),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(833),
    [anon_sym_DOT] = ACTIONS(836),
    [anon_sym_LBRACK] = ACTIONS(2373),
    [anon_sym_RBRACK] = ACTIONS(833),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(833),
    [anon_sym_DOT_DOT_LT] = ACTIONS(833),
    [anon_sym_not_in] = ACTIONS(836),
    [anon_sym_DOT_DOT] = ACTIONS(2207),
    [anon_sym_or_return] = ACTIONS(836),
    [anon_sym_or_continue] = ACTIONS(836),
    [anon_sym_or_break] = ACTIONS(836),
    [anon_sym_CARET] = ACTIONS(2377),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2213),
    [anon_sym_map] = ACTIONS(2215),
    [anon_sym_bit_set] = ACTIONS(2217),
    [anon_sym_matrix] = ACTIONS(2219),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_tag] = ACTIONS(2221),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [242] = {
    [sym_procedure] = STATE(2754),
    [sym_type] = STATE(2905),
    [sym_pointer_type] = STATE(2760),
    [sym_variadic_type] = STATE(2760),
    [sym_array_type] = STATE(2760),
    [sym_map_type] = STATE(2760),
    [sym_union_type] = STATE(2760),
    [sym_bit_set_type] = STATE(2760),
    [sym_matrix_type] = STATE(2760),
    [sym_field_type] = STATE(2760),
    [sym_tuple_type] = STATE(2760),
    [sym_struct_type] = STATE(2760),
    [sym_enum_type] = STATE(2760),
    [sym_constant_type] = STATE(2760),
    [sym_specialized_type] = STATE(2760),
    [sym__procedure_type] = STATE(2760),
    [sym_distinct_type] = STATE(2760),
    [sym_empty_type] = STATE(2760),
    [sym_polymorphic_type] = STATE(2760),
    [sym_conditional_type] = STATE(2760),
    [sym_identifier] = ACTIONS(1627),
    [anon_sym_LBRACE] = ACTIONS(871),
    [anon_sym_RBRACE] = ACTIONS(871),
    [anon_sym_COMMA] = ACTIONS(871),
    [anon_sym_proc] = ACTIONS(2381),
    [anon_sym_DASH_GT] = ACTIONS(871),
    [anon_sym_where] = ACTIONS(874),
    [anon_sym_struct] = ACTIONS(1631),
    [anon_sym_enum] = ACTIONS(1633),
    [anon_sym_EQ] = ACTIONS(874),
    [anon_sym_union] = ACTIONS(1635),
    [anon_sym_LPAREN] = ACTIONS(1735),
    [anon_sym_DOLLAR] = ACTIONS(2383),
    [anon_sym_if] = ACTIONS(874),
    [anon_sym_when] = ACTIONS(874),
    [anon_sym_in] = ACTIONS(874),
    [anon_sym_QMARK] = ACTIONS(871),
    [anon_sym_PLUS] = ACTIONS(871),
    [anon_sym_DASH] = ACTIONS(874),
    [anon_sym_TILDE] = ACTIONS(874),
    [anon_sym_BANG] = ACTIONS(1642),
    [anon_sym_AMP] = ACTIONS(874),
    [anon_sym_PIPE_PIPE] = ACTIONS(871),
    [anon_sym_or_else] = ACTIONS(874),
    [anon_sym_AMP_AMP] = ACTIONS(871),
    [anon_sym_GT] = ACTIONS(874),
    [anon_sym_GT_EQ] = ACTIONS(871),
    [anon_sym_LT_EQ] = ACTIONS(871),
    [anon_sym_LT] = ACTIONS(874),
    [anon_sym_EQ_EQ] = ACTIONS(871),
    [anon_sym_BANG_EQ] = ACTIONS(871),
    [anon_sym_TILDE_EQ] = ACTIONS(871),
    [anon_sym_PIPE] = ACTIONS(874),
    [anon_sym_AMP_TILDE] = ACTIONS(871),
    [anon_sym_LT_LT] = ACTIONS(871),
    [anon_sym_GT_GT] = ACTIONS(871),
    [anon_sym_STAR] = ACTIONS(871),
    [anon_sym_SLASH] = ACTIONS(874),
    [anon_sym_PERCENT] = ACTIONS(874),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(871),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_LBRACK] = ACTIONS(2385),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(871),
    [anon_sym_DOT_DOT_LT] = ACTIONS(871),
    [anon_sym_not_in] = ACTIONS(874),
    [anon_sym_DOT_DOT] = ACTIONS(2389),
    [anon_sym_or_return] = ACTIONS(874),
    [anon_sym_or_continue] = ACTIONS(874),
    [anon_sym_or_break] = ACTIONS(874),
    [anon_sym_CARET] = ACTIONS(2391),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1652),
    [anon_sym_map] = ACTIONS(2395),
    [anon_sym_bit_set] = ACTIONS(1656),
    [anon_sym_matrix] = ACTIONS(2397),
    [anon_sym_distinct] = ACTIONS(977),
    [anon_sym_DQUOTE] = ACTIONS(871),
    [anon_sym_BQUOTE] = ACTIONS(871),
    [sym_uninitialized] = ACTIONS(871),
    [sym_tag] = ACTIONS(2399),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [243] = {
    [sym_procedure] = STATE(4119),
    [sym_type] = STATE(4085),
    [sym_pointer_type] = STATE(4042),
    [sym_variadic_type] = STATE(4042),
    [sym_array_type] = STATE(4042),
    [sym_map_type] = STATE(4042),
    [sym_union_type] = STATE(4042),
    [sym_bit_set_type] = STATE(4042),
    [sym_matrix_type] = STATE(4042),
    [sym_field_type] = STATE(4042),
    [sym_tuple_type] = STATE(4042),
    [sym_struct_type] = STATE(4042),
    [sym_enum_type] = STATE(4042),
    [sym_constant_type] = STATE(4042),
    [sym_specialized_type] = STATE(4042),
    [sym__procedure_type] = STATE(4042),
    [sym_distinct_type] = STATE(4042),
    [sym_empty_type] = STATE(4042),
    [sym_polymorphic_type] = STATE(4042),
    [sym_conditional_type] = STATE(4042),
    [sym_identifier] = ACTIONS(2403),
    [anon_sym_LBRACE] = ACTIONS(909),
    [anon_sym_RBRACE] = ACTIONS(909),
    [anon_sym_COMMA] = ACTIONS(909),
    [anon_sym_proc] = ACTIONS(2405),
    [anon_sym_DASH_GT] = ACTIONS(909),
    [anon_sym_struct] = ACTIONS(2407),
    [anon_sym_enum] = ACTIONS(2409),
    [anon_sym_union] = ACTIONS(2411),
    [anon_sym_LPAREN] = ACTIONS(2413),
    [anon_sym_DOLLAR] = ACTIONS(2416),
    [anon_sym_if] = ACTIONS(911),
    [anon_sym_SEMI] = ACTIONS(909),
    [anon_sym_else] = ACTIONS(911),
    [anon_sym_when] = ACTIONS(911),
    [anon_sym_in] = ACTIONS(911),
    [anon_sym_case] = ACTIONS(911),
    [anon_sym_QMARK] = ACTIONS(909),
    [anon_sym_PLUS] = ACTIONS(909),
    [anon_sym_DASH] = ACTIONS(911),
    [anon_sym_TILDE] = ACTIONS(911),
    [anon_sym_BANG] = ACTIONS(2418),
    [anon_sym_AMP] = ACTIONS(911),
    [anon_sym_PIPE_PIPE] = ACTIONS(909),
    [anon_sym_or_else] = ACTIONS(911),
    [anon_sym_AMP_AMP] = ACTIONS(909),
    [anon_sym_GT] = ACTIONS(911),
    [anon_sym_GT_EQ] = ACTIONS(909),
    [anon_sym_LT_EQ] = ACTIONS(909),
    [anon_sym_LT] = ACTIONS(911),
    [anon_sym_EQ_EQ] = ACTIONS(909),
    [anon_sym_BANG_EQ] = ACTIONS(909),
    [anon_sym_TILDE_EQ] = ACTIONS(909),
    [anon_sym_PIPE] = ACTIONS(911),
    [anon_sym_AMP_TILDE] = ACTIONS(909),
    [anon_sym_LT_LT] = ACTIONS(909),
    [anon_sym_GT_GT] = ACTIONS(909),
    [anon_sym_STAR] = ACTIONS(909),
    [anon_sym_SLASH] = ACTIONS(911),
    [anon_sym_PERCENT] = ACTIONS(911),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(909),
    [anon_sym_DOT] = ACTIONS(911),
    [anon_sym_LBRACK] = ACTIONS(2420),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(909),
    [anon_sym_DOT_DOT_LT] = ACTIONS(909),
    [anon_sym_not_in] = ACTIONS(911),
    [anon_sym_DOT_DOT] = ACTIONS(2423),
    [anon_sym_or_return] = ACTIONS(911),
    [anon_sym_or_continue] = ACTIONS(911),
    [anon_sym_or_break] = ACTIONS(911),
    [anon_sym_CARET] = ACTIONS(2425),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2428),
    [anon_sym_map] = ACTIONS(2430),
    [anon_sym_bit_set] = ACTIONS(2432),
    [anon_sym_matrix] = ACTIONS(2434),
    [anon_sym_distinct] = ACTIONS(2436),
    [sym_tag] = ACTIONS(2438),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(909),
    [sym__backslash] = ACTIONS(3),
    [sym__nl_comma] = ACTIONS(909),
    [sym_block_comment] = ACTIONS(3),
  },
  [244] = {
    [sym_procedure] = STATE(4119),
    [sym_type] = STATE(4035),
    [sym_pointer_type] = STATE(4042),
    [sym_variadic_type] = STATE(4042),
    [sym_array_type] = STATE(4042),
    [sym_map_type] = STATE(4042),
    [sym_union_type] = STATE(4042),
    [sym_bit_set_type] = STATE(4042),
    [sym_matrix_type] = STATE(4042),
    [sym_field_type] = STATE(4042),
    [sym_tuple_type] = STATE(4042),
    [sym_struct_type] = STATE(4042),
    [sym_enum_type] = STATE(4042),
    [sym_constant_type] = STATE(4042),
    [sym_specialized_type] = STATE(4042),
    [sym__procedure_type] = STATE(4042),
    [sym_distinct_type] = STATE(4042),
    [sym_empty_type] = STATE(4042),
    [sym_polymorphic_type] = STATE(4042),
    [sym_conditional_type] = STATE(4042),
    [sym_identifier] = ACTIONS(2403),
    [anon_sym_LBRACE] = ACTIONS(773),
    [anon_sym_RBRACE] = ACTIONS(773),
    [anon_sym_COMMA] = ACTIONS(773),
    [anon_sym_proc] = ACTIONS(2405),
    [anon_sym_DASH_GT] = ACTIONS(773),
    [anon_sym_struct] = ACTIONS(2407),
    [anon_sym_enum] = ACTIONS(2409),
    [anon_sym_union] = ACTIONS(2411),
    [anon_sym_LPAREN] = ACTIONS(2440),
    [anon_sym_DOLLAR] = ACTIONS(2416),
    [anon_sym_if] = ACTIONS(778),
    [anon_sym_SEMI] = ACTIONS(773),
    [anon_sym_else] = ACTIONS(778),
    [anon_sym_when] = ACTIONS(778),
    [anon_sym_in] = ACTIONS(778),
    [anon_sym_case] = ACTIONS(778),
    [anon_sym_QMARK] = ACTIONS(773),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(778),
    [anon_sym_TILDE] = ACTIONS(778),
    [anon_sym_BANG] = ACTIONS(2418),
    [anon_sym_AMP] = ACTIONS(778),
    [anon_sym_PIPE_PIPE] = ACTIONS(773),
    [anon_sym_or_else] = ACTIONS(778),
    [anon_sym_AMP_AMP] = ACTIONS(773),
    [anon_sym_GT] = ACTIONS(778),
    [anon_sym_GT_EQ] = ACTIONS(773),
    [anon_sym_LT_EQ] = ACTIONS(773),
    [anon_sym_LT] = ACTIONS(778),
    [anon_sym_EQ_EQ] = ACTIONS(773),
    [anon_sym_BANG_EQ] = ACTIONS(773),
    [anon_sym_TILDE_EQ] = ACTIONS(773),
    [anon_sym_PIPE] = ACTIONS(778),
    [anon_sym_AMP_TILDE] = ACTIONS(773),
    [anon_sym_LT_LT] = ACTIONS(773),
    [anon_sym_GT_GT] = ACTIONS(773),
    [anon_sym_STAR] = ACTIONS(773),
    [anon_sym_SLASH] = ACTIONS(778),
    [anon_sym_PERCENT] = ACTIONS(778),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(773),
    [anon_sym_DOT] = ACTIONS(778),
    [anon_sym_LBRACK] = ACTIONS(2444),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(773),
    [anon_sym_DOT_DOT_LT] = ACTIONS(773),
    [anon_sym_not_in] = ACTIONS(778),
    [anon_sym_DOT_DOT] = ACTIONS(2423),
    [anon_sym_or_return] = ACTIONS(778),
    [anon_sym_or_continue] = ACTIONS(778),
    [anon_sym_or_break] = ACTIONS(778),
    [anon_sym_CARET] = ACTIONS(2448),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2428),
    [anon_sym_map] = ACTIONS(2430),
    [anon_sym_bit_set] = ACTIONS(2432),
    [anon_sym_matrix] = ACTIONS(2434),
    [anon_sym_distinct] = ACTIONS(2436),
    [sym_tag] = ACTIONS(2438),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(773),
    [sym__backslash] = ACTIONS(3),
    [sym__nl_comma] = ACTIONS(773),
    [sym_block_comment] = ACTIONS(3),
  },
  [245] = {
    [sym_procedure] = STATE(4119),
    [sym_type] = STATE(4113),
    [sym_pointer_type] = STATE(4042),
    [sym_variadic_type] = STATE(4042),
    [sym_array_type] = STATE(4042),
    [sym_map_type] = STATE(4042),
    [sym_union_type] = STATE(4042),
    [sym_bit_set_type] = STATE(4042),
    [sym_matrix_type] = STATE(4042),
    [sym_field_type] = STATE(4042),
    [sym_tuple_type] = STATE(4042),
    [sym_struct_type] = STATE(4042),
    [sym_enum_type] = STATE(4042),
    [sym_constant_type] = STATE(4042),
    [sym_specialized_type] = STATE(4042),
    [sym__procedure_type] = STATE(4042),
    [sym_distinct_type] = STATE(4042),
    [sym_empty_type] = STATE(4042),
    [sym_polymorphic_type] = STATE(4042),
    [sym_conditional_type] = STATE(4042),
    [sym_identifier] = ACTIONS(2403),
    [anon_sym_LBRACE] = ACTIONS(833),
    [anon_sym_RBRACE] = ACTIONS(833),
    [anon_sym_COMMA] = ACTIONS(833),
    [anon_sym_proc] = ACTIONS(2405),
    [anon_sym_DASH_GT] = ACTIONS(833),
    [anon_sym_struct] = ACTIONS(2407),
    [anon_sym_enum] = ACTIONS(2409),
    [anon_sym_union] = ACTIONS(2411),
    [anon_sym_LPAREN] = ACTIONS(2452),
    [anon_sym_DOLLAR] = ACTIONS(2416),
    [anon_sym_if] = ACTIONS(836),
    [anon_sym_SEMI] = ACTIONS(833),
    [anon_sym_else] = ACTIONS(836),
    [anon_sym_when] = ACTIONS(836),
    [anon_sym_in] = ACTIONS(836),
    [anon_sym_case] = ACTIONS(836),
    [anon_sym_QMARK] = ACTIONS(833),
    [anon_sym_PLUS] = ACTIONS(833),
    [anon_sym_DASH] = ACTIONS(836),
    [anon_sym_TILDE] = ACTIONS(836),
    [anon_sym_BANG] = ACTIONS(2418),
    [anon_sym_AMP] = ACTIONS(836),
    [anon_sym_PIPE_PIPE] = ACTIONS(833),
    [anon_sym_or_else] = ACTIONS(836),
    [anon_sym_AMP_AMP] = ACTIONS(833),
    [anon_sym_GT] = ACTIONS(836),
    [anon_sym_GT_EQ] = ACTIONS(833),
    [anon_sym_LT_EQ] = ACTIONS(833),
    [anon_sym_LT] = ACTIONS(836),
    [anon_sym_EQ_EQ] = ACTIONS(833),
    [anon_sym_BANG_EQ] = ACTIONS(833),
    [anon_sym_TILDE_EQ] = ACTIONS(833),
    [anon_sym_PIPE] = ACTIONS(836),
    [anon_sym_AMP_TILDE] = ACTIONS(833),
    [anon_sym_LT_LT] = ACTIONS(833),
    [anon_sym_GT_GT] = ACTIONS(833),
    [anon_sym_STAR] = ACTIONS(833),
    [anon_sym_SLASH] = ACTIONS(836),
    [anon_sym_PERCENT] = ACTIONS(836),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(833),
    [anon_sym_DOT] = ACTIONS(836),
    [anon_sym_LBRACK] = ACTIONS(2456),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(833),
    [anon_sym_DOT_DOT_LT] = ACTIONS(833),
    [anon_sym_not_in] = ACTIONS(836),
    [anon_sym_DOT_DOT] = ACTIONS(2423),
    [anon_sym_or_return] = ACTIONS(836),
    [anon_sym_or_continue] = ACTIONS(836),
    [anon_sym_or_break] = ACTIONS(836),
    [anon_sym_CARET] = ACTIONS(2460),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2428),
    [anon_sym_map] = ACTIONS(2430),
    [anon_sym_bit_set] = ACTIONS(2432),
    [anon_sym_matrix] = ACTIONS(2434),
    [anon_sym_distinct] = ACTIONS(2436),
    [sym_tag] = ACTIONS(2438),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(833),
    [sym__backslash] = ACTIONS(3),
    [sym__nl_comma] = ACTIONS(833),
    [sym_block_comment] = ACTIONS(3),
  },
  [246] = {
    [sym_procedure] = STATE(4119),
    [sym_type] = STATE(4097),
    [sym_pointer_type] = STATE(4042),
    [sym_variadic_type] = STATE(4042),
    [sym_array_type] = STATE(4042),
    [sym_map_type] = STATE(4042),
    [sym_union_type] = STATE(4042),
    [sym_bit_set_type] = STATE(4042),
    [sym_matrix_type] = STATE(4042),
    [sym_field_type] = STATE(4042),
    [sym_tuple_type] = STATE(4042),
    [sym_struct_type] = STATE(4042),
    [sym_enum_type] = STATE(4042),
    [sym_constant_type] = STATE(4042),
    [sym_specialized_type] = STATE(4042),
    [sym__procedure_type] = STATE(4042),
    [sym_distinct_type] = STATE(4042),
    [sym_empty_type] = STATE(4042),
    [sym_polymorphic_type] = STATE(4042),
    [sym_conditional_type] = STATE(4042),
    [sym_identifier] = ACTIONS(2403),
    [anon_sym_LBRACE] = ACTIONS(871),
    [anon_sym_RBRACE] = ACTIONS(871),
    [anon_sym_COMMA] = ACTIONS(871),
    [anon_sym_proc] = ACTIONS(2405),
    [anon_sym_DASH_GT] = ACTIONS(871),
    [anon_sym_struct] = ACTIONS(2407),
    [anon_sym_enum] = ACTIONS(2409),
    [anon_sym_union] = ACTIONS(2411),
    [anon_sym_LPAREN] = ACTIONS(2464),
    [anon_sym_DOLLAR] = ACTIONS(2416),
    [anon_sym_if] = ACTIONS(874),
    [anon_sym_SEMI] = ACTIONS(871),
    [anon_sym_else] = ACTIONS(874),
    [anon_sym_when] = ACTIONS(874),
    [anon_sym_in] = ACTIONS(874),
    [anon_sym_case] = ACTIONS(874),
    [anon_sym_QMARK] = ACTIONS(871),
    [anon_sym_PLUS] = ACTIONS(871),
    [anon_sym_DASH] = ACTIONS(874),
    [anon_sym_TILDE] = ACTIONS(874),
    [anon_sym_BANG] = ACTIONS(2418),
    [anon_sym_AMP] = ACTIONS(874),
    [anon_sym_PIPE_PIPE] = ACTIONS(871),
    [anon_sym_or_else] = ACTIONS(874),
    [anon_sym_AMP_AMP] = ACTIONS(871),
    [anon_sym_GT] = ACTIONS(874),
    [anon_sym_GT_EQ] = ACTIONS(871),
    [anon_sym_LT_EQ] = ACTIONS(871),
    [anon_sym_LT] = ACTIONS(874),
    [anon_sym_EQ_EQ] = ACTIONS(871),
    [anon_sym_BANG_EQ] = ACTIONS(871),
    [anon_sym_TILDE_EQ] = ACTIONS(871),
    [anon_sym_PIPE] = ACTIONS(874),
    [anon_sym_AMP_TILDE] = ACTIONS(871),
    [anon_sym_LT_LT] = ACTIONS(871),
    [anon_sym_GT_GT] = ACTIONS(871),
    [anon_sym_STAR] = ACTIONS(871),
    [anon_sym_SLASH] = ACTIONS(874),
    [anon_sym_PERCENT] = ACTIONS(874),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(871),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_LBRACK] = ACTIONS(2468),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(871),
    [anon_sym_DOT_DOT_LT] = ACTIONS(871),
    [anon_sym_not_in] = ACTIONS(874),
    [anon_sym_DOT_DOT] = ACTIONS(2423),
    [anon_sym_or_return] = ACTIONS(874),
    [anon_sym_or_continue] = ACTIONS(874),
    [anon_sym_or_break] = ACTIONS(874),
    [anon_sym_CARET] = ACTIONS(2472),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2428),
    [anon_sym_map] = ACTIONS(2430),
    [anon_sym_bit_set] = ACTIONS(2432),
    [anon_sym_matrix] = ACTIONS(2434),
    [anon_sym_distinct] = ACTIONS(2436),
    [sym_tag] = ACTIONS(2438),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(871),
    [sym__backslash] = ACTIONS(3),
    [sym__nl_comma] = ACTIONS(871),
    [sym_block_comment] = ACTIONS(3),
  },
  [247] = {
    [sym_procedure] = STATE(4119),
    [sym_type] = STATE(4043),
    [sym_pointer_type] = STATE(4042),
    [sym_variadic_type] = STATE(4042),
    [sym_array_type] = STATE(4042),
    [sym_map_type] = STATE(4042),
    [sym_union_type] = STATE(4042),
    [sym_bit_set_type] = STATE(4042),
    [sym_matrix_type] = STATE(4042),
    [sym_field_type] = STATE(4042),
    [sym_tuple_type] = STATE(4042),
    [sym_struct_type] = STATE(4042),
    [sym_enum_type] = STATE(4042),
    [sym_constant_type] = STATE(4042),
    [sym_specialized_type] = STATE(4042),
    [sym__procedure_type] = STATE(4042),
    [sym_distinct_type] = STATE(4042),
    [sym_empty_type] = STATE(4042),
    [sym_polymorphic_type] = STATE(4042),
    [sym_conditional_type] = STATE(4042),
    [sym_identifier] = ACTIONS(2403),
    [anon_sym_LBRACE] = ACTIONS(817),
    [anon_sym_RBRACE] = ACTIONS(817),
    [anon_sym_COMMA] = ACTIONS(817),
    [anon_sym_proc] = ACTIONS(2405),
    [anon_sym_DASH_GT] = ACTIONS(817),
    [anon_sym_struct] = ACTIONS(2407),
    [anon_sym_enum] = ACTIONS(2409),
    [anon_sym_union] = ACTIONS(2411),
    [anon_sym_LPAREN] = ACTIONS(2476),
    [anon_sym_DOLLAR] = ACTIONS(2416),
    [anon_sym_if] = ACTIONS(819),
    [anon_sym_SEMI] = ACTIONS(817),
    [anon_sym_else] = ACTIONS(819),
    [anon_sym_when] = ACTIONS(819),
    [anon_sym_in] = ACTIONS(819),
    [anon_sym_case] = ACTIONS(819),
    [anon_sym_QMARK] = ACTIONS(817),
    [anon_sym_PLUS] = ACTIONS(817),
    [anon_sym_DASH] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(819),
    [anon_sym_BANG] = ACTIONS(2418),
    [anon_sym_AMP] = ACTIONS(819),
    [anon_sym_PIPE_PIPE] = ACTIONS(817),
    [anon_sym_or_else] = ACTIONS(819),
    [anon_sym_AMP_AMP] = ACTIONS(817),
    [anon_sym_GT] = ACTIONS(819),
    [anon_sym_GT_EQ] = ACTIONS(817),
    [anon_sym_LT_EQ] = ACTIONS(817),
    [anon_sym_LT] = ACTIONS(819),
    [anon_sym_EQ_EQ] = ACTIONS(817),
    [anon_sym_BANG_EQ] = ACTIONS(817),
    [anon_sym_TILDE_EQ] = ACTIONS(817),
    [anon_sym_PIPE] = ACTIONS(819),
    [anon_sym_AMP_TILDE] = ACTIONS(817),
    [anon_sym_LT_LT] = ACTIONS(817),
    [anon_sym_GT_GT] = ACTIONS(817),
    [anon_sym_STAR] = ACTIONS(817),
    [anon_sym_SLASH] = ACTIONS(819),
    [anon_sym_PERCENT] = ACTIONS(819),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(817),
    [anon_sym_DOT] = ACTIONS(819),
    [anon_sym_LBRACK] = ACTIONS(2479),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(817),
    [anon_sym_DOT_DOT_LT] = ACTIONS(817),
    [anon_sym_not_in] = ACTIONS(819),
    [anon_sym_DOT_DOT] = ACTIONS(2423),
    [anon_sym_or_return] = ACTIONS(819),
    [anon_sym_or_continue] = ACTIONS(819),
    [anon_sym_or_break] = ACTIONS(819),
    [anon_sym_CARET] = ACTIONS(2482),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2428),
    [anon_sym_map] = ACTIONS(2430),
    [anon_sym_bit_set] = ACTIONS(2432),
    [anon_sym_matrix] = ACTIONS(2434),
    [anon_sym_distinct] = ACTIONS(2436),
    [sym_tag] = ACTIONS(2438),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(817),
    [sym__backslash] = ACTIONS(3),
    [sym__nl_comma] = ACTIONS(817),
    [sym_block_comment] = ACTIONS(3),
  },
  [248] = {
    [sym_procedure] = STATE(4119),
    [sym_type] = STATE(4072),
    [sym_pointer_type] = STATE(4042),
    [sym_variadic_type] = STATE(4042),
    [sym_array_type] = STATE(4042),
    [sym_map_type] = STATE(4042),
    [sym_union_type] = STATE(4042),
    [sym_bit_set_type] = STATE(4042),
    [sym_matrix_type] = STATE(4042),
    [sym_field_type] = STATE(4042),
    [sym_tuple_type] = STATE(4042),
    [sym_struct_type] = STATE(4042),
    [sym_enum_type] = STATE(4042),
    [sym_constant_type] = STATE(4042),
    [sym_specialized_type] = STATE(4042),
    [sym__procedure_type] = STATE(4042),
    [sym_distinct_type] = STATE(4042),
    [sym_empty_type] = STATE(4042),
    [sym_polymorphic_type] = STATE(4042),
    [sym_conditional_type] = STATE(4042),
    [sym_identifier] = ACTIONS(2403),
    [anon_sym_LBRACE] = ACTIONS(855),
    [anon_sym_RBRACE] = ACTIONS(855),
    [anon_sym_COMMA] = ACTIONS(855),
    [anon_sym_proc] = ACTIONS(2405),
    [anon_sym_DASH_GT] = ACTIONS(855),
    [anon_sym_struct] = ACTIONS(2407),
    [anon_sym_enum] = ACTIONS(2409),
    [anon_sym_union] = ACTIONS(2411),
    [anon_sym_LPAREN] = ACTIONS(2485),
    [anon_sym_DOLLAR] = ACTIONS(2416),
    [anon_sym_if] = ACTIONS(857),
    [anon_sym_SEMI] = ACTIONS(855),
    [anon_sym_else] = ACTIONS(857),
    [anon_sym_when] = ACTIONS(857),
    [anon_sym_in] = ACTIONS(857),
    [anon_sym_case] = ACTIONS(857),
    [anon_sym_QMARK] = ACTIONS(855),
    [anon_sym_PLUS] = ACTIONS(855),
    [anon_sym_DASH] = ACTIONS(857),
    [anon_sym_TILDE] = ACTIONS(857),
    [anon_sym_BANG] = ACTIONS(2418),
    [anon_sym_AMP] = ACTIONS(857),
    [anon_sym_PIPE_PIPE] = ACTIONS(855),
    [anon_sym_or_else] = ACTIONS(857),
    [anon_sym_AMP_AMP] = ACTIONS(855),
    [anon_sym_GT] = ACTIONS(857),
    [anon_sym_GT_EQ] = ACTIONS(855),
    [anon_sym_LT_EQ] = ACTIONS(855),
    [anon_sym_LT] = ACTIONS(857),
    [anon_sym_EQ_EQ] = ACTIONS(855),
    [anon_sym_BANG_EQ] = ACTIONS(855),
    [anon_sym_TILDE_EQ] = ACTIONS(855),
    [anon_sym_PIPE] = ACTIONS(857),
    [anon_sym_AMP_TILDE] = ACTIONS(855),
    [anon_sym_LT_LT] = ACTIONS(855),
    [anon_sym_GT_GT] = ACTIONS(855),
    [anon_sym_STAR] = ACTIONS(855),
    [anon_sym_SLASH] = ACTIONS(857),
    [anon_sym_PERCENT] = ACTIONS(857),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(855),
    [anon_sym_DOT] = ACTIONS(857),
    [anon_sym_LBRACK] = ACTIONS(2488),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(855),
    [anon_sym_DOT_DOT_LT] = ACTIONS(855),
    [anon_sym_not_in] = ACTIONS(857),
    [anon_sym_DOT_DOT] = ACTIONS(2423),
    [anon_sym_or_return] = ACTIONS(857),
    [anon_sym_or_continue] = ACTIONS(857),
    [anon_sym_or_break] = ACTIONS(857),
    [anon_sym_CARET] = ACTIONS(2491),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2428),
    [anon_sym_map] = ACTIONS(2430),
    [anon_sym_bit_set] = ACTIONS(2432),
    [anon_sym_matrix] = ACTIONS(2434),
    [anon_sym_distinct] = ACTIONS(2436),
    [sym_tag] = ACTIONS(2438),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(855),
    [sym__backslash] = ACTIONS(3),
    [sym__nl_comma] = ACTIONS(855),
    [sym_block_comment] = ACTIONS(3),
  },
  [249] = {
    [sym_procedure] = STATE(4119),
    [sym_type] = STATE(4027),
    [sym_pointer_type] = STATE(4042),
    [sym_variadic_type] = STATE(4042),
    [sym_array_type] = STATE(4042),
    [sym_map_type] = STATE(4042),
    [sym_union_type] = STATE(4042),
    [sym_bit_set_type] = STATE(4042),
    [sym_matrix_type] = STATE(4042),
    [sym_field_type] = STATE(4042),
    [sym_tuple_type] = STATE(4042),
    [sym_struct_type] = STATE(4042),
    [sym_enum_type] = STATE(4042),
    [sym_constant_type] = STATE(4042),
    [sym_specialized_type] = STATE(4042),
    [sym__procedure_type] = STATE(4042),
    [sym_distinct_type] = STATE(4042),
    [sym_empty_type] = STATE(4042),
    [sym_polymorphic_type] = STATE(4042),
    [sym_conditional_type] = STATE(4042),
    [sym_identifier] = ACTIONS(2403),
    [anon_sym_LBRACE] = ACTIONS(893),
    [anon_sym_RBRACE] = ACTIONS(893),
    [anon_sym_COMMA] = ACTIONS(893),
    [anon_sym_proc] = ACTIONS(2405),
    [anon_sym_DASH_GT] = ACTIONS(893),
    [anon_sym_struct] = ACTIONS(2407),
    [anon_sym_enum] = ACTIONS(2409),
    [anon_sym_union] = ACTIONS(2411),
    [anon_sym_LPAREN] = ACTIONS(2494),
    [anon_sym_DOLLAR] = ACTIONS(2416),
    [anon_sym_if] = ACTIONS(895),
    [anon_sym_SEMI] = ACTIONS(893),
    [anon_sym_else] = ACTIONS(895),
    [anon_sym_when] = ACTIONS(895),
    [anon_sym_in] = ACTIONS(895),
    [anon_sym_case] = ACTIONS(895),
    [anon_sym_QMARK] = ACTIONS(893),
    [anon_sym_PLUS] = ACTIONS(893),
    [anon_sym_DASH] = ACTIONS(895),
    [anon_sym_TILDE] = ACTIONS(895),
    [anon_sym_BANG] = ACTIONS(2418),
    [anon_sym_AMP] = ACTIONS(895),
    [anon_sym_PIPE_PIPE] = ACTIONS(893),
    [anon_sym_or_else] = ACTIONS(895),
    [anon_sym_AMP_AMP] = ACTIONS(893),
    [anon_sym_GT] = ACTIONS(895),
    [anon_sym_GT_EQ] = ACTIONS(893),
    [anon_sym_LT_EQ] = ACTIONS(893),
    [anon_sym_LT] = ACTIONS(895),
    [anon_sym_EQ_EQ] = ACTIONS(893),
    [anon_sym_BANG_EQ] = ACTIONS(893),
    [anon_sym_TILDE_EQ] = ACTIONS(893),
    [anon_sym_PIPE] = ACTIONS(895),
    [anon_sym_AMP_TILDE] = ACTIONS(893),
    [anon_sym_LT_LT] = ACTIONS(893),
    [anon_sym_GT_GT] = ACTIONS(893),
    [anon_sym_STAR] = ACTIONS(893),
    [anon_sym_SLASH] = ACTIONS(895),
    [anon_sym_PERCENT] = ACTIONS(895),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(893),
    [anon_sym_DOT] = ACTIONS(895),
    [anon_sym_LBRACK] = ACTIONS(2497),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(893),
    [anon_sym_DOT_DOT_LT] = ACTIONS(893),
    [anon_sym_not_in] = ACTIONS(895),
    [anon_sym_DOT_DOT] = ACTIONS(2423),
    [anon_sym_or_return] = ACTIONS(895),
    [anon_sym_or_continue] = ACTIONS(895),
    [anon_sym_or_break] = ACTIONS(895),
    [anon_sym_CARET] = ACTIONS(2500),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2428),
    [anon_sym_map] = ACTIONS(2430),
    [anon_sym_bit_set] = ACTIONS(2432),
    [anon_sym_matrix] = ACTIONS(2434),
    [anon_sym_distinct] = ACTIONS(2436),
    [sym_tag] = ACTIONS(2438),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(893),
    [sym__backslash] = ACTIONS(3),
    [sym__nl_comma] = ACTIONS(893),
    [sym_block_comment] = ACTIONS(3),
  },
  [250] = {
    [sym_procedure] = STATE(2754),
    [sym_type] = STATE(2694),
    [sym_pointer_type] = STATE(2760),
    [sym_variadic_type] = STATE(2760),
    [sym_array_type] = STATE(2760),
    [sym_map_type] = STATE(2760),
    [sym_union_type] = STATE(2760),
    [sym_bit_set_type] = STATE(2760),
    [sym_matrix_type] = STATE(2760),
    [sym_field_type] = STATE(2760),
    [sym_tuple_type] = STATE(2760),
    [sym_struct_type] = STATE(2760),
    [sym_enum_type] = STATE(2760),
    [sym_constant_type] = STATE(2760),
    [sym_specialized_type] = STATE(2760),
    [sym__procedure_type] = STATE(2760),
    [sym_distinct_type] = STATE(2760),
    [sym_empty_type] = STATE(2760),
    [sym_polymorphic_type] = STATE(2760),
    [sym_conditional_type] = STATE(2760),
    [sym_identifier] = ACTIONS(1627),
    [anon_sym_LBRACE] = ACTIONS(909),
    [anon_sym_RBRACE] = ACTIONS(909),
    [anon_sym_COMMA] = ACTIONS(909),
    [anon_sym_proc] = ACTIONS(2381),
    [anon_sym_DASH_GT] = ACTIONS(909),
    [anon_sym_where] = ACTIONS(911),
    [anon_sym_struct] = ACTIONS(1631),
    [anon_sym_enum] = ACTIONS(1633),
    [anon_sym_EQ] = ACTIONS(911),
    [anon_sym_union] = ACTIONS(1635),
    [anon_sym_LPAREN] = ACTIONS(1637),
    [anon_sym_DOLLAR] = ACTIONS(2383),
    [anon_sym_if] = ACTIONS(911),
    [anon_sym_when] = ACTIONS(911),
    [anon_sym_in] = ACTIONS(911),
    [anon_sym_QMARK] = ACTIONS(909),
    [anon_sym_PLUS] = ACTIONS(909),
    [anon_sym_DASH] = ACTIONS(911),
    [anon_sym_TILDE] = ACTIONS(911),
    [anon_sym_BANG] = ACTIONS(1642),
    [anon_sym_AMP] = ACTIONS(911),
    [anon_sym_PIPE_PIPE] = ACTIONS(909),
    [anon_sym_or_else] = ACTIONS(911),
    [anon_sym_AMP_AMP] = ACTIONS(909),
    [anon_sym_GT] = ACTIONS(911),
    [anon_sym_GT_EQ] = ACTIONS(909),
    [anon_sym_LT_EQ] = ACTIONS(909),
    [anon_sym_LT] = ACTIONS(911),
    [anon_sym_EQ_EQ] = ACTIONS(909),
    [anon_sym_BANG_EQ] = ACTIONS(909),
    [anon_sym_TILDE_EQ] = ACTIONS(909),
    [anon_sym_PIPE] = ACTIONS(911),
    [anon_sym_AMP_TILDE] = ACTIONS(909),
    [anon_sym_LT_LT] = ACTIONS(909),
    [anon_sym_GT_GT] = ACTIONS(909),
    [anon_sym_STAR] = ACTIONS(909),
    [anon_sym_SLASH] = ACTIONS(911),
    [anon_sym_PERCENT] = ACTIONS(911),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(909),
    [anon_sym_DOT] = ACTIONS(911),
    [anon_sym_LBRACK] = ACTIONS(2503),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(909),
    [anon_sym_DOT_DOT_LT] = ACTIONS(909),
    [anon_sym_not_in] = ACTIONS(911),
    [anon_sym_DOT_DOT] = ACTIONS(2389),
    [anon_sym_or_return] = ACTIONS(911),
    [anon_sym_or_continue] = ACTIONS(911),
    [anon_sym_or_break] = ACTIONS(911),
    [anon_sym_CARET] = ACTIONS(2506),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1652),
    [anon_sym_map] = ACTIONS(2395),
    [anon_sym_bit_set] = ACTIONS(1656),
    [anon_sym_matrix] = ACTIONS(2397),
    [anon_sym_distinct] = ACTIONS(977),
    [anon_sym_DQUOTE] = ACTIONS(909),
    [anon_sym_BQUOTE] = ACTIONS(909),
    [sym_uninitialized] = ACTIONS(909),
    [sym_tag] = ACTIONS(2509),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [251] = {
    [sym_procedure] = STATE(2754),
    [sym_type] = STATE(2915),
    [sym_pointer_type] = STATE(2760),
    [sym_variadic_type] = STATE(2760),
    [sym_array_type] = STATE(2760),
    [sym_map_type] = STATE(2760),
    [sym_union_type] = STATE(2760),
    [sym_bit_set_type] = STATE(2760),
    [sym_matrix_type] = STATE(2760),
    [sym_field_type] = STATE(2760),
    [sym_tuple_type] = STATE(2760),
    [sym_struct_type] = STATE(2760),
    [sym_enum_type] = STATE(2760),
    [sym_constant_type] = STATE(2760),
    [sym_specialized_type] = STATE(2760),
    [sym__procedure_type] = STATE(2760),
    [sym_distinct_type] = STATE(2760),
    [sym_empty_type] = STATE(2760),
    [sym_polymorphic_type] = STATE(2760),
    [sym_conditional_type] = STATE(2760),
    [sym_identifier] = ACTIONS(1627),
    [anon_sym_LBRACE] = ACTIONS(833),
    [anon_sym_RBRACE] = ACTIONS(833),
    [anon_sym_COMMA] = ACTIONS(833),
    [anon_sym_proc] = ACTIONS(2381),
    [anon_sym_DASH_GT] = ACTIONS(833),
    [anon_sym_where] = ACTIONS(836),
    [anon_sym_struct] = ACTIONS(1631),
    [anon_sym_enum] = ACTIONS(1633),
    [anon_sym_EQ] = ACTIONS(836),
    [anon_sym_union] = ACTIONS(1635),
    [anon_sym_LPAREN] = ACTIONS(1751),
    [anon_sym_DOLLAR] = ACTIONS(2383),
    [anon_sym_if] = ACTIONS(836),
    [anon_sym_when] = ACTIONS(836),
    [anon_sym_in] = ACTIONS(836),
    [anon_sym_QMARK] = ACTIONS(833),
    [anon_sym_PLUS] = ACTIONS(833),
    [anon_sym_DASH] = ACTIONS(836),
    [anon_sym_TILDE] = ACTIONS(836),
    [anon_sym_BANG] = ACTIONS(1642),
    [anon_sym_AMP] = ACTIONS(836),
    [anon_sym_PIPE_PIPE] = ACTIONS(833),
    [anon_sym_or_else] = ACTIONS(836),
    [anon_sym_AMP_AMP] = ACTIONS(833),
    [anon_sym_GT] = ACTIONS(836),
    [anon_sym_GT_EQ] = ACTIONS(833),
    [anon_sym_LT_EQ] = ACTIONS(833),
    [anon_sym_LT] = ACTIONS(836),
    [anon_sym_EQ_EQ] = ACTIONS(833),
    [anon_sym_BANG_EQ] = ACTIONS(833),
    [anon_sym_TILDE_EQ] = ACTIONS(833),
    [anon_sym_PIPE] = ACTIONS(836),
    [anon_sym_AMP_TILDE] = ACTIONS(833),
    [anon_sym_LT_LT] = ACTIONS(833),
    [anon_sym_GT_GT] = ACTIONS(833),
    [anon_sym_STAR] = ACTIONS(833),
    [anon_sym_SLASH] = ACTIONS(836),
    [anon_sym_PERCENT] = ACTIONS(836),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(833),
    [anon_sym_DOT] = ACTIONS(836),
    [anon_sym_LBRACK] = ACTIONS(2512),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(833),
    [anon_sym_DOT_DOT_LT] = ACTIONS(833),
    [anon_sym_not_in] = ACTIONS(836),
    [anon_sym_DOT_DOT] = ACTIONS(2389),
    [anon_sym_or_return] = ACTIONS(836),
    [anon_sym_or_continue] = ACTIONS(836),
    [anon_sym_or_break] = ACTIONS(836),
    [anon_sym_CARET] = ACTIONS(2516),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1652),
    [anon_sym_map] = ACTIONS(2395),
    [anon_sym_bit_set] = ACTIONS(1656),
    [anon_sym_matrix] = ACTIONS(2397),
    [anon_sym_distinct] = ACTIONS(977),
    [anon_sym_DQUOTE] = ACTIONS(833),
    [anon_sym_BQUOTE] = ACTIONS(833),
    [sym_uninitialized] = ACTIONS(833),
    [sym_tag] = ACTIONS(2520),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [252] = {
    [sym_procedure] = STATE(2754),
    [sym_type] = STATE(2693),
    [sym_pointer_type] = STATE(2760),
    [sym_variadic_type] = STATE(2760),
    [sym_array_type] = STATE(2760),
    [sym_map_type] = STATE(2760),
    [sym_union_type] = STATE(2760),
    [sym_bit_set_type] = STATE(2760),
    [sym_matrix_type] = STATE(2760),
    [sym_field_type] = STATE(2760),
    [sym_tuple_type] = STATE(2760),
    [sym_struct_type] = STATE(2760),
    [sym_enum_type] = STATE(2760),
    [sym_constant_type] = STATE(2760),
    [sym_specialized_type] = STATE(2760),
    [sym__procedure_type] = STATE(2760),
    [sym_distinct_type] = STATE(2760),
    [sym_empty_type] = STATE(2760),
    [sym_polymorphic_type] = STATE(2760),
    [sym_conditional_type] = STATE(2760),
    [sym_identifier] = ACTIONS(1627),
    [anon_sym_LBRACE] = ACTIONS(773),
    [anon_sym_RBRACE] = ACTIONS(773),
    [anon_sym_COMMA] = ACTIONS(773),
    [anon_sym_proc] = ACTIONS(2381),
    [anon_sym_DASH_GT] = ACTIONS(773),
    [anon_sym_where] = ACTIONS(778),
    [anon_sym_struct] = ACTIONS(1631),
    [anon_sym_enum] = ACTIONS(1633),
    [anon_sym_EQ] = ACTIONS(778),
    [anon_sym_union] = ACTIONS(1635),
    [anon_sym_LPAREN] = ACTIONS(1795),
    [anon_sym_DOLLAR] = ACTIONS(2383),
    [anon_sym_if] = ACTIONS(778),
    [anon_sym_when] = ACTIONS(778),
    [anon_sym_in] = ACTIONS(778),
    [anon_sym_QMARK] = ACTIONS(773),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(778),
    [anon_sym_TILDE] = ACTIONS(778),
    [anon_sym_BANG] = ACTIONS(1642),
    [anon_sym_AMP] = ACTIONS(778),
    [anon_sym_PIPE_PIPE] = ACTIONS(773),
    [anon_sym_or_else] = ACTIONS(778),
    [anon_sym_AMP_AMP] = ACTIONS(773),
    [anon_sym_GT] = ACTIONS(778),
    [anon_sym_GT_EQ] = ACTIONS(773),
    [anon_sym_LT_EQ] = ACTIONS(773),
    [anon_sym_LT] = ACTIONS(778),
    [anon_sym_EQ_EQ] = ACTIONS(773),
    [anon_sym_BANG_EQ] = ACTIONS(773),
    [anon_sym_TILDE_EQ] = ACTIONS(773),
    [anon_sym_PIPE] = ACTIONS(778),
    [anon_sym_AMP_TILDE] = ACTIONS(773),
    [anon_sym_LT_LT] = ACTIONS(773),
    [anon_sym_GT_GT] = ACTIONS(773),
    [anon_sym_STAR] = ACTIONS(773),
    [anon_sym_SLASH] = ACTIONS(778),
    [anon_sym_PERCENT] = ACTIONS(778),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(773),
    [anon_sym_DOT] = ACTIONS(778),
    [anon_sym_LBRACK] = ACTIONS(2524),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(773),
    [anon_sym_DOT_DOT_LT] = ACTIONS(773),
    [anon_sym_not_in] = ACTIONS(778),
    [anon_sym_DOT_DOT] = ACTIONS(2389),
    [anon_sym_or_return] = ACTIONS(778),
    [anon_sym_or_continue] = ACTIONS(778),
    [anon_sym_or_break] = ACTIONS(778),
    [anon_sym_CARET] = ACTIONS(2528),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1652),
    [anon_sym_map] = ACTIONS(2395),
    [anon_sym_bit_set] = ACTIONS(1656),
    [anon_sym_matrix] = ACTIONS(2397),
    [anon_sym_distinct] = ACTIONS(977),
    [anon_sym_DQUOTE] = ACTIONS(773),
    [anon_sym_BQUOTE] = ACTIONS(773),
    [sym_uninitialized] = ACTIONS(773),
    [sym_tag] = ACTIONS(2532),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [253] = {
    [sym_procedure] = STATE(2754),
    [sym_type] = STATE(2899),
    [sym_pointer_type] = STATE(2760),
    [sym_variadic_type] = STATE(2760),
    [sym_array_type] = STATE(2760),
    [sym_map_type] = STATE(2760),
    [sym_union_type] = STATE(2760),
    [sym_bit_set_type] = STATE(2760),
    [sym_matrix_type] = STATE(2760),
    [sym_field_type] = STATE(2760),
    [sym_tuple_type] = STATE(2760),
    [sym_struct_type] = STATE(2760),
    [sym_enum_type] = STATE(2760),
    [sym_constant_type] = STATE(2760),
    [sym_specialized_type] = STATE(2760),
    [sym__procedure_type] = STATE(2760),
    [sym_distinct_type] = STATE(2760),
    [sym_empty_type] = STATE(2760),
    [sym_polymorphic_type] = STATE(2760),
    [sym_conditional_type] = STATE(2760),
    [sym_identifier] = ACTIONS(1627),
    [anon_sym_LBRACE] = ACTIONS(817),
    [anon_sym_RBRACE] = ACTIONS(817),
    [anon_sym_COMMA] = ACTIONS(817),
    [anon_sym_proc] = ACTIONS(2381),
    [anon_sym_DASH_GT] = ACTIONS(817),
    [anon_sym_where] = ACTIONS(819),
    [anon_sym_struct] = ACTIONS(1631),
    [anon_sym_enum] = ACTIONS(1633),
    [anon_sym_EQ] = ACTIONS(819),
    [anon_sym_union] = ACTIONS(1635),
    [anon_sym_LPAREN] = ACTIONS(1823),
    [anon_sym_DOLLAR] = ACTIONS(2383),
    [anon_sym_if] = ACTIONS(819),
    [anon_sym_when] = ACTIONS(819),
    [anon_sym_in] = ACTIONS(819),
    [anon_sym_QMARK] = ACTIONS(817),
    [anon_sym_PLUS] = ACTIONS(817),
    [anon_sym_DASH] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(819),
    [anon_sym_BANG] = ACTIONS(1642),
    [anon_sym_AMP] = ACTIONS(819),
    [anon_sym_PIPE_PIPE] = ACTIONS(817),
    [anon_sym_or_else] = ACTIONS(819),
    [anon_sym_AMP_AMP] = ACTIONS(817),
    [anon_sym_GT] = ACTIONS(819),
    [anon_sym_GT_EQ] = ACTIONS(817),
    [anon_sym_LT_EQ] = ACTIONS(817),
    [anon_sym_LT] = ACTIONS(819),
    [anon_sym_EQ_EQ] = ACTIONS(817),
    [anon_sym_BANG_EQ] = ACTIONS(817),
    [anon_sym_TILDE_EQ] = ACTIONS(817),
    [anon_sym_PIPE] = ACTIONS(819),
    [anon_sym_AMP_TILDE] = ACTIONS(817),
    [anon_sym_LT_LT] = ACTIONS(817),
    [anon_sym_GT_GT] = ACTIONS(817),
    [anon_sym_STAR] = ACTIONS(817),
    [anon_sym_SLASH] = ACTIONS(819),
    [anon_sym_PERCENT] = ACTIONS(819),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(817),
    [anon_sym_DOT] = ACTIONS(819),
    [anon_sym_LBRACK] = ACTIONS(2536),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(817),
    [anon_sym_DOT_DOT_LT] = ACTIONS(817),
    [anon_sym_not_in] = ACTIONS(819),
    [anon_sym_DOT_DOT] = ACTIONS(2389),
    [anon_sym_or_return] = ACTIONS(819),
    [anon_sym_or_continue] = ACTIONS(819),
    [anon_sym_or_break] = ACTIONS(819),
    [anon_sym_CARET] = ACTIONS(2539),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1652),
    [anon_sym_map] = ACTIONS(2395),
    [anon_sym_bit_set] = ACTIONS(1656),
    [anon_sym_matrix] = ACTIONS(2397),
    [anon_sym_distinct] = ACTIONS(977),
    [anon_sym_DQUOTE] = ACTIONS(817),
    [anon_sym_BQUOTE] = ACTIONS(817),
    [sym_uninitialized] = ACTIONS(817),
    [sym_tag] = ACTIONS(2542),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [254] = {
    [sym_procedure] = STATE(2754),
    [sym_type] = STATE(2674),
    [sym_pointer_type] = STATE(2760),
    [sym_variadic_type] = STATE(2760),
    [sym_array_type] = STATE(2760),
    [sym_map_type] = STATE(2760),
    [sym_union_type] = STATE(2760),
    [sym_bit_set_type] = STATE(2760),
    [sym_matrix_type] = STATE(2760),
    [sym_field_type] = STATE(2760),
    [sym_tuple_type] = STATE(2760),
    [sym_struct_type] = STATE(2760),
    [sym_enum_type] = STATE(2760),
    [sym_constant_type] = STATE(2760),
    [sym_specialized_type] = STATE(2760),
    [sym__procedure_type] = STATE(2760),
    [sym_distinct_type] = STATE(2760),
    [sym_empty_type] = STATE(2760),
    [sym_polymorphic_type] = STATE(2760),
    [sym_conditional_type] = STATE(2760),
    [sym_identifier] = ACTIONS(1627),
    [anon_sym_LBRACE] = ACTIONS(855),
    [anon_sym_RBRACE] = ACTIONS(855),
    [anon_sym_COMMA] = ACTIONS(855),
    [anon_sym_proc] = ACTIONS(2381),
    [anon_sym_DASH_GT] = ACTIONS(855),
    [anon_sym_where] = ACTIONS(857),
    [anon_sym_struct] = ACTIONS(1631),
    [anon_sym_enum] = ACTIONS(1633),
    [anon_sym_EQ] = ACTIONS(857),
    [anon_sym_union] = ACTIONS(1635),
    [anon_sym_LPAREN] = ACTIONS(1723),
    [anon_sym_DOLLAR] = ACTIONS(2383),
    [anon_sym_if] = ACTIONS(857),
    [anon_sym_when] = ACTIONS(857),
    [anon_sym_in] = ACTIONS(857),
    [anon_sym_QMARK] = ACTIONS(855),
    [anon_sym_PLUS] = ACTIONS(855),
    [anon_sym_DASH] = ACTIONS(857),
    [anon_sym_TILDE] = ACTIONS(857),
    [anon_sym_BANG] = ACTIONS(1642),
    [anon_sym_AMP] = ACTIONS(857),
    [anon_sym_PIPE_PIPE] = ACTIONS(855),
    [anon_sym_or_else] = ACTIONS(857),
    [anon_sym_AMP_AMP] = ACTIONS(855),
    [anon_sym_GT] = ACTIONS(857),
    [anon_sym_GT_EQ] = ACTIONS(855),
    [anon_sym_LT_EQ] = ACTIONS(855),
    [anon_sym_LT] = ACTIONS(857),
    [anon_sym_EQ_EQ] = ACTIONS(855),
    [anon_sym_BANG_EQ] = ACTIONS(855),
    [anon_sym_TILDE_EQ] = ACTIONS(855),
    [anon_sym_PIPE] = ACTIONS(857),
    [anon_sym_AMP_TILDE] = ACTIONS(855),
    [anon_sym_LT_LT] = ACTIONS(855),
    [anon_sym_GT_GT] = ACTIONS(855),
    [anon_sym_STAR] = ACTIONS(855),
    [anon_sym_SLASH] = ACTIONS(857),
    [anon_sym_PERCENT] = ACTIONS(857),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(855),
    [anon_sym_DOT] = ACTIONS(857),
    [anon_sym_LBRACK] = ACTIONS(2545),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(855),
    [anon_sym_DOT_DOT_LT] = ACTIONS(855),
    [anon_sym_not_in] = ACTIONS(857),
    [anon_sym_DOT_DOT] = ACTIONS(2389),
    [anon_sym_or_return] = ACTIONS(857),
    [anon_sym_or_continue] = ACTIONS(857),
    [anon_sym_or_break] = ACTIONS(857),
    [anon_sym_CARET] = ACTIONS(2548),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1652),
    [anon_sym_map] = ACTIONS(2395),
    [anon_sym_bit_set] = ACTIONS(1656),
    [anon_sym_matrix] = ACTIONS(2397),
    [anon_sym_distinct] = ACTIONS(977),
    [anon_sym_DQUOTE] = ACTIONS(855),
    [anon_sym_BQUOTE] = ACTIONS(855),
    [sym_uninitialized] = ACTIONS(855),
    [sym_tag] = ACTIONS(2551),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [255] = {
    [sym_procedure] = STATE(2754),
    [sym_type] = STATE(2691),
    [sym_pointer_type] = STATE(2760),
    [sym_variadic_type] = STATE(2760),
    [sym_array_type] = STATE(2760),
    [sym_map_type] = STATE(2760),
    [sym_union_type] = STATE(2760),
    [sym_bit_set_type] = STATE(2760),
    [sym_matrix_type] = STATE(2760),
    [sym_field_type] = STATE(2760),
    [sym_tuple_type] = STATE(2760),
    [sym_struct_type] = STATE(2760),
    [sym_enum_type] = STATE(2760),
    [sym_constant_type] = STATE(2760),
    [sym_specialized_type] = STATE(2760),
    [sym__procedure_type] = STATE(2760),
    [sym_distinct_type] = STATE(2760),
    [sym_empty_type] = STATE(2760),
    [sym_polymorphic_type] = STATE(2760),
    [sym_conditional_type] = STATE(2760),
    [sym_identifier] = ACTIONS(1627),
    [anon_sym_LBRACE] = ACTIONS(893),
    [anon_sym_RBRACE] = ACTIONS(893),
    [anon_sym_COMMA] = ACTIONS(893),
    [anon_sym_proc] = ACTIONS(2381),
    [anon_sym_DASH_GT] = ACTIONS(893),
    [anon_sym_where] = ACTIONS(895),
    [anon_sym_struct] = ACTIONS(1631),
    [anon_sym_enum] = ACTIONS(1633),
    [anon_sym_EQ] = ACTIONS(895),
    [anon_sym_union] = ACTIONS(1635),
    [anon_sym_LPAREN] = ACTIONS(1663),
    [anon_sym_DOLLAR] = ACTIONS(2383),
    [anon_sym_if] = ACTIONS(895),
    [anon_sym_when] = ACTIONS(895),
    [anon_sym_in] = ACTIONS(895),
    [anon_sym_QMARK] = ACTIONS(893),
    [anon_sym_PLUS] = ACTIONS(893),
    [anon_sym_DASH] = ACTIONS(895),
    [anon_sym_TILDE] = ACTIONS(895),
    [anon_sym_BANG] = ACTIONS(1642),
    [anon_sym_AMP] = ACTIONS(895),
    [anon_sym_PIPE_PIPE] = ACTIONS(893),
    [anon_sym_or_else] = ACTIONS(895),
    [anon_sym_AMP_AMP] = ACTIONS(893),
    [anon_sym_GT] = ACTIONS(895),
    [anon_sym_GT_EQ] = ACTIONS(893),
    [anon_sym_LT_EQ] = ACTIONS(893),
    [anon_sym_LT] = ACTIONS(895),
    [anon_sym_EQ_EQ] = ACTIONS(893),
    [anon_sym_BANG_EQ] = ACTIONS(893),
    [anon_sym_TILDE_EQ] = ACTIONS(893),
    [anon_sym_PIPE] = ACTIONS(895),
    [anon_sym_AMP_TILDE] = ACTIONS(893),
    [anon_sym_LT_LT] = ACTIONS(893),
    [anon_sym_GT_GT] = ACTIONS(893),
    [anon_sym_STAR] = ACTIONS(893),
    [anon_sym_SLASH] = ACTIONS(895),
    [anon_sym_PERCENT] = ACTIONS(895),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(893),
    [anon_sym_DOT] = ACTIONS(895),
    [anon_sym_LBRACK] = ACTIONS(2554),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(893),
    [anon_sym_DOT_DOT_LT] = ACTIONS(893),
    [anon_sym_not_in] = ACTIONS(895),
    [anon_sym_DOT_DOT] = ACTIONS(2389),
    [anon_sym_or_return] = ACTIONS(895),
    [anon_sym_or_continue] = ACTIONS(895),
    [anon_sym_or_break] = ACTIONS(895),
    [anon_sym_CARET] = ACTIONS(2557),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1652),
    [anon_sym_map] = ACTIONS(2395),
    [anon_sym_bit_set] = ACTIONS(1656),
    [anon_sym_matrix] = ACTIONS(2397),
    [anon_sym_distinct] = ACTIONS(977),
    [anon_sym_DQUOTE] = ACTIONS(893),
    [anon_sym_BQUOTE] = ACTIONS(893),
    [sym_uninitialized] = ACTIONS(893),
    [sym_tag] = ACTIONS(2560),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [256] = {
    [sym_procedure] = STATE(4270),
    [sym_type] = STATE(4184),
    [sym_pointer_type] = STATE(4202),
    [sym_variadic_type] = STATE(4202),
    [sym_array_type] = STATE(4202),
    [sym_map_type] = STATE(4202),
    [sym_union_type] = STATE(4202),
    [sym_bit_set_type] = STATE(4202),
    [sym_matrix_type] = STATE(4202),
    [sym_field_type] = STATE(4202),
    [sym_tuple_type] = STATE(4202),
    [sym_struct_type] = STATE(4202),
    [sym_enum_type] = STATE(4202),
    [sym_constant_type] = STATE(4202),
    [sym_specialized_type] = STATE(4202),
    [sym__procedure_type] = STATE(4202),
    [sym_distinct_type] = STATE(4202),
    [sym_empty_type] = STATE(4202),
    [sym_polymorphic_type] = STATE(4202),
    [sym_conditional_type] = STATE(4202),
    [sym_identifier] = ACTIONS(2563),
    [anon_sym_RBRACE] = ACTIONS(817),
    [anon_sym_COMMA] = ACTIONS(817),
    [anon_sym_proc] = ACTIONS(2565),
    [anon_sym_DASH_GT] = ACTIONS(817),
    [anon_sym_struct] = ACTIONS(2567),
    [anon_sym_enum] = ACTIONS(2569),
    [anon_sym_union] = ACTIONS(2571),
    [anon_sym_LPAREN] = ACTIONS(2573),
    [anon_sym_DOLLAR] = ACTIONS(2576),
    [anon_sym_if] = ACTIONS(819),
    [anon_sym_SEMI] = ACTIONS(817),
    [anon_sym_else] = ACTIONS(819),
    [anon_sym_when] = ACTIONS(819),
    [anon_sym_in] = ACTIONS(819),
    [anon_sym_case] = ACTIONS(819),
    [anon_sym_QMARK] = ACTIONS(817),
    [anon_sym_PLUS] = ACTIONS(817),
    [anon_sym_DASH] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(819),
    [anon_sym_BANG] = ACTIONS(2578),
    [anon_sym_AMP] = ACTIONS(819),
    [anon_sym_PIPE_PIPE] = ACTIONS(817),
    [anon_sym_or_else] = ACTIONS(819),
    [anon_sym_AMP_AMP] = ACTIONS(817),
    [anon_sym_GT] = ACTIONS(819),
    [anon_sym_GT_EQ] = ACTIONS(817),
    [anon_sym_LT_EQ] = ACTIONS(817),
    [anon_sym_LT] = ACTIONS(819),
    [anon_sym_EQ_EQ] = ACTIONS(817),
    [anon_sym_BANG_EQ] = ACTIONS(817),
    [anon_sym_TILDE_EQ] = ACTIONS(817),
    [anon_sym_PIPE] = ACTIONS(819),
    [anon_sym_AMP_TILDE] = ACTIONS(817),
    [anon_sym_LT_LT] = ACTIONS(817),
    [anon_sym_GT_GT] = ACTIONS(817),
    [anon_sym_STAR] = ACTIONS(817),
    [anon_sym_SLASH] = ACTIONS(819),
    [anon_sym_PERCENT] = ACTIONS(819),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(817),
    [anon_sym_DOT] = ACTIONS(819),
    [anon_sym_LBRACK] = ACTIONS(2580),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(817),
    [anon_sym_DOT_DOT_LT] = ACTIONS(817),
    [anon_sym_not_in] = ACTIONS(819),
    [anon_sym_DOT_DOT] = ACTIONS(2583),
    [anon_sym_or_return] = ACTIONS(819),
    [anon_sym_or_continue] = ACTIONS(819),
    [anon_sym_or_break] = ACTIONS(819),
    [anon_sym_CARET] = ACTIONS(2585),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2588),
    [anon_sym_map] = ACTIONS(2590),
    [anon_sym_bit_set] = ACTIONS(2592),
    [anon_sym_matrix] = ACTIONS(2594),
    [anon_sym_distinct] = ACTIONS(739),
    [sym_tag] = ACTIONS(2596),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(817),
    [sym__backslash] = ACTIONS(3),
    [sym__nl_comma] = ACTIONS(817),
    [sym_block_comment] = ACTIONS(3),
  },
  [257] = {
    [sym_procedure] = STATE(4270),
    [sym_type] = STATE(4193),
    [sym_pointer_type] = STATE(4202),
    [sym_variadic_type] = STATE(4202),
    [sym_array_type] = STATE(4202),
    [sym_map_type] = STATE(4202),
    [sym_union_type] = STATE(4202),
    [sym_bit_set_type] = STATE(4202),
    [sym_matrix_type] = STATE(4202),
    [sym_field_type] = STATE(4202),
    [sym_tuple_type] = STATE(4202),
    [sym_struct_type] = STATE(4202),
    [sym_enum_type] = STATE(4202),
    [sym_constant_type] = STATE(4202),
    [sym_specialized_type] = STATE(4202),
    [sym__procedure_type] = STATE(4202),
    [sym_distinct_type] = STATE(4202),
    [sym_empty_type] = STATE(4202),
    [sym_polymorphic_type] = STATE(4202),
    [sym_conditional_type] = STATE(4202),
    [sym_identifier] = ACTIONS(2563),
    [anon_sym_RBRACE] = ACTIONS(871),
    [anon_sym_COMMA] = ACTIONS(871),
    [anon_sym_proc] = ACTIONS(2565),
    [anon_sym_DASH_GT] = ACTIONS(871),
    [anon_sym_struct] = ACTIONS(2567),
    [anon_sym_enum] = ACTIONS(2569),
    [anon_sym_union] = ACTIONS(2571),
    [anon_sym_LPAREN] = ACTIONS(2598),
    [anon_sym_DOLLAR] = ACTIONS(2576),
    [anon_sym_if] = ACTIONS(874),
    [anon_sym_SEMI] = ACTIONS(871),
    [anon_sym_else] = ACTIONS(874),
    [anon_sym_when] = ACTIONS(874),
    [anon_sym_in] = ACTIONS(874),
    [anon_sym_case] = ACTIONS(874),
    [anon_sym_QMARK] = ACTIONS(871),
    [anon_sym_PLUS] = ACTIONS(871),
    [anon_sym_DASH] = ACTIONS(874),
    [anon_sym_TILDE] = ACTIONS(874),
    [anon_sym_BANG] = ACTIONS(2578),
    [anon_sym_AMP] = ACTIONS(874),
    [anon_sym_PIPE_PIPE] = ACTIONS(871),
    [anon_sym_or_else] = ACTIONS(874),
    [anon_sym_AMP_AMP] = ACTIONS(871),
    [anon_sym_GT] = ACTIONS(874),
    [anon_sym_GT_EQ] = ACTIONS(871),
    [anon_sym_LT_EQ] = ACTIONS(871),
    [anon_sym_LT] = ACTIONS(874),
    [anon_sym_EQ_EQ] = ACTIONS(871),
    [anon_sym_BANG_EQ] = ACTIONS(871),
    [anon_sym_TILDE_EQ] = ACTIONS(871),
    [anon_sym_PIPE] = ACTIONS(874),
    [anon_sym_AMP_TILDE] = ACTIONS(871),
    [anon_sym_LT_LT] = ACTIONS(871),
    [anon_sym_GT_GT] = ACTIONS(871),
    [anon_sym_STAR] = ACTIONS(871),
    [anon_sym_SLASH] = ACTIONS(874),
    [anon_sym_PERCENT] = ACTIONS(874),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(871),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_LBRACK] = ACTIONS(2602),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(871),
    [anon_sym_DOT_DOT_LT] = ACTIONS(871),
    [anon_sym_not_in] = ACTIONS(874),
    [anon_sym_DOT_DOT] = ACTIONS(2583),
    [anon_sym_or_return] = ACTIONS(874),
    [anon_sym_or_continue] = ACTIONS(874),
    [anon_sym_or_break] = ACTIONS(874),
    [anon_sym_CARET] = ACTIONS(2606),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2588),
    [anon_sym_map] = ACTIONS(2590),
    [anon_sym_bit_set] = ACTIONS(2592),
    [anon_sym_matrix] = ACTIONS(2594),
    [anon_sym_distinct] = ACTIONS(739),
    [sym_tag] = ACTIONS(2596),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(871),
    [sym__backslash] = ACTIONS(3),
    [sym__nl_comma] = ACTIONS(871),
    [sym_block_comment] = ACTIONS(3),
  },
  [258] = {
    [sym_procedure] = STATE(4270),
    [sym_type] = STATE(4314),
    [sym_pointer_type] = STATE(4202),
    [sym_variadic_type] = STATE(4202),
    [sym_array_type] = STATE(4202),
    [sym_map_type] = STATE(4202),
    [sym_union_type] = STATE(4202),
    [sym_bit_set_type] = STATE(4202),
    [sym_matrix_type] = STATE(4202),
    [sym_field_type] = STATE(4202),
    [sym_tuple_type] = STATE(4202),
    [sym_struct_type] = STATE(4202),
    [sym_enum_type] = STATE(4202),
    [sym_constant_type] = STATE(4202),
    [sym_specialized_type] = STATE(4202),
    [sym__procedure_type] = STATE(4202),
    [sym_distinct_type] = STATE(4202),
    [sym_empty_type] = STATE(4202),
    [sym_polymorphic_type] = STATE(4202),
    [sym_conditional_type] = STATE(4202),
    [sym_identifier] = ACTIONS(2563),
    [anon_sym_RBRACE] = ACTIONS(909),
    [anon_sym_COMMA] = ACTIONS(909),
    [anon_sym_proc] = ACTIONS(2565),
    [anon_sym_DASH_GT] = ACTIONS(909),
    [anon_sym_struct] = ACTIONS(2567),
    [anon_sym_enum] = ACTIONS(2569),
    [anon_sym_union] = ACTIONS(2571),
    [anon_sym_LPAREN] = ACTIONS(2610),
    [anon_sym_DOLLAR] = ACTIONS(2576),
    [anon_sym_if] = ACTIONS(911),
    [anon_sym_SEMI] = ACTIONS(909),
    [anon_sym_else] = ACTIONS(911),
    [anon_sym_when] = ACTIONS(911),
    [anon_sym_in] = ACTIONS(911),
    [anon_sym_case] = ACTIONS(911),
    [anon_sym_QMARK] = ACTIONS(909),
    [anon_sym_PLUS] = ACTIONS(909),
    [anon_sym_DASH] = ACTIONS(911),
    [anon_sym_TILDE] = ACTIONS(911),
    [anon_sym_BANG] = ACTIONS(2578),
    [anon_sym_AMP] = ACTIONS(911),
    [anon_sym_PIPE_PIPE] = ACTIONS(909),
    [anon_sym_or_else] = ACTIONS(911),
    [anon_sym_AMP_AMP] = ACTIONS(909),
    [anon_sym_GT] = ACTIONS(911),
    [anon_sym_GT_EQ] = ACTIONS(909),
    [anon_sym_LT_EQ] = ACTIONS(909),
    [anon_sym_LT] = ACTIONS(911),
    [anon_sym_EQ_EQ] = ACTIONS(909),
    [anon_sym_BANG_EQ] = ACTIONS(909),
    [anon_sym_TILDE_EQ] = ACTIONS(909),
    [anon_sym_PIPE] = ACTIONS(911),
    [anon_sym_AMP_TILDE] = ACTIONS(909),
    [anon_sym_LT_LT] = ACTIONS(909),
    [anon_sym_GT_GT] = ACTIONS(909),
    [anon_sym_STAR] = ACTIONS(909),
    [anon_sym_SLASH] = ACTIONS(911),
    [anon_sym_PERCENT] = ACTIONS(911),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(909),
    [anon_sym_DOT] = ACTIONS(911),
    [anon_sym_LBRACK] = ACTIONS(2613),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(909),
    [anon_sym_DOT_DOT_LT] = ACTIONS(909),
    [anon_sym_not_in] = ACTIONS(911),
    [anon_sym_DOT_DOT] = ACTIONS(2583),
    [anon_sym_or_return] = ACTIONS(911),
    [anon_sym_or_continue] = ACTIONS(911),
    [anon_sym_or_break] = ACTIONS(911),
    [anon_sym_CARET] = ACTIONS(2616),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2588),
    [anon_sym_map] = ACTIONS(2590),
    [anon_sym_bit_set] = ACTIONS(2592),
    [anon_sym_matrix] = ACTIONS(2594),
    [anon_sym_distinct] = ACTIONS(739),
    [sym_tag] = ACTIONS(2596),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(909),
    [sym__backslash] = ACTIONS(3),
    [sym__nl_comma] = ACTIONS(909),
    [sym_block_comment] = ACTIONS(3),
  },
  [259] = {
    [sym_procedure] = STATE(4270),
    [sym_type] = STATE(4177),
    [sym_pointer_type] = STATE(4202),
    [sym_variadic_type] = STATE(4202),
    [sym_array_type] = STATE(4202),
    [sym_map_type] = STATE(4202),
    [sym_union_type] = STATE(4202),
    [sym_bit_set_type] = STATE(4202),
    [sym_matrix_type] = STATE(4202),
    [sym_field_type] = STATE(4202),
    [sym_tuple_type] = STATE(4202),
    [sym_struct_type] = STATE(4202),
    [sym_enum_type] = STATE(4202),
    [sym_constant_type] = STATE(4202),
    [sym_specialized_type] = STATE(4202),
    [sym__procedure_type] = STATE(4202),
    [sym_distinct_type] = STATE(4202),
    [sym_empty_type] = STATE(4202),
    [sym_polymorphic_type] = STATE(4202),
    [sym_conditional_type] = STATE(4202),
    [sym_identifier] = ACTIONS(2563),
    [anon_sym_RBRACE] = ACTIONS(773),
    [anon_sym_COMMA] = ACTIONS(773),
    [anon_sym_proc] = ACTIONS(2565),
    [anon_sym_DASH_GT] = ACTIONS(773),
    [anon_sym_struct] = ACTIONS(2567),
    [anon_sym_enum] = ACTIONS(2569),
    [anon_sym_union] = ACTIONS(2571),
    [anon_sym_LPAREN] = ACTIONS(2619),
    [anon_sym_DOLLAR] = ACTIONS(2576),
    [anon_sym_if] = ACTIONS(778),
    [anon_sym_SEMI] = ACTIONS(773),
    [anon_sym_else] = ACTIONS(778),
    [anon_sym_when] = ACTIONS(778),
    [anon_sym_in] = ACTIONS(778),
    [anon_sym_case] = ACTIONS(778),
    [anon_sym_QMARK] = ACTIONS(773),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(778),
    [anon_sym_TILDE] = ACTIONS(778),
    [anon_sym_BANG] = ACTIONS(2578),
    [anon_sym_AMP] = ACTIONS(778),
    [anon_sym_PIPE_PIPE] = ACTIONS(773),
    [anon_sym_or_else] = ACTIONS(778),
    [anon_sym_AMP_AMP] = ACTIONS(773),
    [anon_sym_GT] = ACTIONS(778),
    [anon_sym_GT_EQ] = ACTIONS(773),
    [anon_sym_LT_EQ] = ACTIONS(773),
    [anon_sym_LT] = ACTIONS(778),
    [anon_sym_EQ_EQ] = ACTIONS(773),
    [anon_sym_BANG_EQ] = ACTIONS(773),
    [anon_sym_TILDE_EQ] = ACTIONS(773),
    [anon_sym_PIPE] = ACTIONS(778),
    [anon_sym_AMP_TILDE] = ACTIONS(773),
    [anon_sym_LT_LT] = ACTIONS(773),
    [anon_sym_GT_GT] = ACTIONS(773),
    [anon_sym_STAR] = ACTIONS(773),
    [anon_sym_SLASH] = ACTIONS(778),
    [anon_sym_PERCENT] = ACTIONS(778),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(773),
    [anon_sym_DOT] = ACTIONS(778),
    [anon_sym_LBRACK] = ACTIONS(2623),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(773),
    [anon_sym_DOT_DOT_LT] = ACTIONS(773),
    [anon_sym_not_in] = ACTIONS(778),
    [anon_sym_DOT_DOT] = ACTIONS(2583),
    [anon_sym_or_return] = ACTIONS(778),
    [anon_sym_or_continue] = ACTIONS(778),
    [anon_sym_or_break] = ACTIONS(778),
    [anon_sym_CARET] = ACTIONS(2627),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2588),
    [anon_sym_map] = ACTIONS(2590),
    [anon_sym_bit_set] = ACTIONS(2592),
    [anon_sym_matrix] = ACTIONS(2594),
    [anon_sym_distinct] = ACTIONS(739),
    [sym_tag] = ACTIONS(2596),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(773),
    [sym__backslash] = ACTIONS(3),
    [sym__nl_comma] = ACTIONS(773),
    [sym_block_comment] = ACTIONS(3),
  },
  [260] = {
    [sym_procedure] = STATE(4270),
    [sym_type] = STATE(4305),
    [sym_pointer_type] = STATE(4202),
    [sym_variadic_type] = STATE(4202),
    [sym_array_type] = STATE(4202),
    [sym_map_type] = STATE(4202),
    [sym_union_type] = STATE(4202),
    [sym_bit_set_type] = STATE(4202),
    [sym_matrix_type] = STATE(4202),
    [sym_field_type] = STATE(4202),
    [sym_tuple_type] = STATE(4202),
    [sym_struct_type] = STATE(4202),
    [sym_enum_type] = STATE(4202),
    [sym_constant_type] = STATE(4202),
    [sym_specialized_type] = STATE(4202),
    [sym__procedure_type] = STATE(4202),
    [sym_distinct_type] = STATE(4202),
    [sym_empty_type] = STATE(4202),
    [sym_polymorphic_type] = STATE(4202),
    [sym_conditional_type] = STATE(4202),
    [sym_identifier] = ACTIONS(2563),
    [anon_sym_RBRACE] = ACTIONS(893),
    [anon_sym_COMMA] = ACTIONS(893),
    [anon_sym_proc] = ACTIONS(2565),
    [anon_sym_DASH_GT] = ACTIONS(893),
    [anon_sym_struct] = ACTIONS(2567),
    [anon_sym_enum] = ACTIONS(2569),
    [anon_sym_union] = ACTIONS(2571),
    [anon_sym_LPAREN] = ACTIONS(2631),
    [anon_sym_DOLLAR] = ACTIONS(2576),
    [anon_sym_if] = ACTIONS(895),
    [anon_sym_SEMI] = ACTIONS(893),
    [anon_sym_else] = ACTIONS(895),
    [anon_sym_when] = ACTIONS(895),
    [anon_sym_in] = ACTIONS(895),
    [anon_sym_case] = ACTIONS(895),
    [anon_sym_QMARK] = ACTIONS(893),
    [anon_sym_PLUS] = ACTIONS(893),
    [anon_sym_DASH] = ACTIONS(895),
    [anon_sym_TILDE] = ACTIONS(895),
    [anon_sym_BANG] = ACTIONS(2578),
    [anon_sym_AMP] = ACTIONS(895),
    [anon_sym_PIPE_PIPE] = ACTIONS(893),
    [anon_sym_or_else] = ACTIONS(895),
    [anon_sym_AMP_AMP] = ACTIONS(893),
    [anon_sym_GT] = ACTIONS(895),
    [anon_sym_GT_EQ] = ACTIONS(893),
    [anon_sym_LT_EQ] = ACTIONS(893),
    [anon_sym_LT] = ACTIONS(895),
    [anon_sym_EQ_EQ] = ACTIONS(893),
    [anon_sym_BANG_EQ] = ACTIONS(893),
    [anon_sym_TILDE_EQ] = ACTIONS(893),
    [anon_sym_PIPE] = ACTIONS(895),
    [anon_sym_AMP_TILDE] = ACTIONS(893),
    [anon_sym_LT_LT] = ACTIONS(893),
    [anon_sym_GT_GT] = ACTIONS(893),
    [anon_sym_STAR] = ACTIONS(893),
    [anon_sym_SLASH] = ACTIONS(895),
    [anon_sym_PERCENT] = ACTIONS(895),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(893),
    [anon_sym_DOT] = ACTIONS(895),
    [anon_sym_LBRACK] = ACTIONS(2634),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(893),
    [anon_sym_DOT_DOT_LT] = ACTIONS(893),
    [anon_sym_not_in] = ACTIONS(895),
    [anon_sym_DOT_DOT] = ACTIONS(2583),
    [anon_sym_or_return] = ACTIONS(895),
    [anon_sym_or_continue] = ACTIONS(895),
    [anon_sym_or_break] = ACTIONS(895),
    [anon_sym_CARET] = ACTIONS(2637),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2588),
    [anon_sym_map] = ACTIONS(2590),
    [anon_sym_bit_set] = ACTIONS(2592),
    [anon_sym_matrix] = ACTIONS(2594),
    [anon_sym_distinct] = ACTIONS(739),
    [sym_tag] = ACTIONS(2596),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(893),
    [sym__backslash] = ACTIONS(3),
    [sym__nl_comma] = ACTIONS(893),
    [sym_block_comment] = ACTIONS(3),
  },
  [261] = {
    [sym_procedure] = STATE(4270),
    [sym_type] = STATE(4302),
    [sym_pointer_type] = STATE(4202),
    [sym_variadic_type] = STATE(4202),
    [sym_array_type] = STATE(4202),
    [sym_map_type] = STATE(4202),
    [sym_union_type] = STATE(4202),
    [sym_bit_set_type] = STATE(4202),
    [sym_matrix_type] = STATE(4202),
    [sym_field_type] = STATE(4202),
    [sym_tuple_type] = STATE(4202),
    [sym_struct_type] = STATE(4202),
    [sym_enum_type] = STATE(4202),
    [sym_constant_type] = STATE(4202),
    [sym_specialized_type] = STATE(4202),
    [sym__procedure_type] = STATE(4202),
    [sym_distinct_type] = STATE(4202),
    [sym_empty_type] = STATE(4202),
    [sym_polymorphic_type] = STATE(4202),
    [sym_conditional_type] = STATE(4202),
    [sym_identifier] = ACTIONS(2563),
    [anon_sym_RBRACE] = ACTIONS(855),
    [anon_sym_COMMA] = ACTIONS(855),
    [anon_sym_proc] = ACTIONS(2565),
    [anon_sym_DASH_GT] = ACTIONS(855),
    [anon_sym_struct] = ACTIONS(2567),
    [anon_sym_enum] = ACTIONS(2569),
    [anon_sym_union] = ACTIONS(2571),
    [anon_sym_LPAREN] = ACTIONS(2640),
    [anon_sym_DOLLAR] = ACTIONS(2576),
    [anon_sym_if] = ACTIONS(857),
    [anon_sym_SEMI] = ACTIONS(855),
    [anon_sym_else] = ACTIONS(857),
    [anon_sym_when] = ACTIONS(857),
    [anon_sym_in] = ACTIONS(857),
    [anon_sym_case] = ACTIONS(857),
    [anon_sym_QMARK] = ACTIONS(855),
    [anon_sym_PLUS] = ACTIONS(855),
    [anon_sym_DASH] = ACTIONS(857),
    [anon_sym_TILDE] = ACTIONS(857),
    [anon_sym_BANG] = ACTIONS(2578),
    [anon_sym_AMP] = ACTIONS(857),
    [anon_sym_PIPE_PIPE] = ACTIONS(855),
    [anon_sym_or_else] = ACTIONS(857),
    [anon_sym_AMP_AMP] = ACTIONS(855),
    [anon_sym_GT] = ACTIONS(857),
    [anon_sym_GT_EQ] = ACTIONS(855),
    [anon_sym_LT_EQ] = ACTIONS(855),
    [anon_sym_LT] = ACTIONS(857),
    [anon_sym_EQ_EQ] = ACTIONS(855),
    [anon_sym_BANG_EQ] = ACTIONS(855),
    [anon_sym_TILDE_EQ] = ACTIONS(855),
    [anon_sym_PIPE] = ACTIONS(857),
    [anon_sym_AMP_TILDE] = ACTIONS(855),
    [anon_sym_LT_LT] = ACTIONS(855),
    [anon_sym_GT_GT] = ACTIONS(855),
    [anon_sym_STAR] = ACTIONS(855),
    [anon_sym_SLASH] = ACTIONS(857),
    [anon_sym_PERCENT] = ACTIONS(857),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(855),
    [anon_sym_DOT] = ACTIONS(857),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(855),
    [anon_sym_DOT_DOT_LT] = ACTIONS(855),
    [anon_sym_not_in] = ACTIONS(857),
    [anon_sym_DOT_DOT] = ACTIONS(2583),
    [anon_sym_or_return] = ACTIONS(857),
    [anon_sym_or_continue] = ACTIONS(857),
    [anon_sym_or_break] = ACTIONS(857),
    [anon_sym_CARET] = ACTIONS(2646),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2588),
    [anon_sym_map] = ACTIONS(2590),
    [anon_sym_bit_set] = ACTIONS(2592),
    [anon_sym_matrix] = ACTIONS(2594),
    [anon_sym_distinct] = ACTIONS(739),
    [sym_tag] = ACTIONS(2596),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(855),
    [sym__backslash] = ACTIONS(3),
    [sym__nl_comma] = ACTIONS(855),
    [sym_block_comment] = ACTIONS(3),
  },
  [262] = {
    [sym_procedure] = STATE(4270),
    [sym_type] = STATE(4226),
    [sym_pointer_type] = STATE(4202),
    [sym_variadic_type] = STATE(4202),
    [sym_array_type] = STATE(4202),
    [sym_map_type] = STATE(4202),
    [sym_union_type] = STATE(4202),
    [sym_bit_set_type] = STATE(4202),
    [sym_matrix_type] = STATE(4202),
    [sym_field_type] = STATE(4202),
    [sym_tuple_type] = STATE(4202),
    [sym_struct_type] = STATE(4202),
    [sym_enum_type] = STATE(4202),
    [sym_constant_type] = STATE(4202),
    [sym_specialized_type] = STATE(4202),
    [sym__procedure_type] = STATE(4202),
    [sym_distinct_type] = STATE(4202),
    [sym_empty_type] = STATE(4202),
    [sym_polymorphic_type] = STATE(4202),
    [sym_conditional_type] = STATE(4202),
    [sym_identifier] = ACTIONS(2563),
    [anon_sym_RBRACE] = ACTIONS(833),
    [anon_sym_COMMA] = ACTIONS(833),
    [anon_sym_proc] = ACTIONS(2565),
    [anon_sym_DASH_GT] = ACTIONS(833),
    [anon_sym_struct] = ACTIONS(2567),
    [anon_sym_enum] = ACTIONS(2569),
    [anon_sym_union] = ACTIONS(2571),
    [anon_sym_LPAREN] = ACTIONS(2649),
    [anon_sym_DOLLAR] = ACTIONS(2576),
    [anon_sym_if] = ACTIONS(836),
    [anon_sym_SEMI] = ACTIONS(833),
    [anon_sym_else] = ACTIONS(836),
    [anon_sym_when] = ACTIONS(836),
    [anon_sym_in] = ACTIONS(836),
    [anon_sym_case] = ACTIONS(836),
    [anon_sym_QMARK] = ACTIONS(833),
    [anon_sym_PLUS] = ACTIONS(833),
    [anon_sym_DASH] = ACTIONS(836),
    [anon_sym_TILDE] = ACTIONS(836),
    [anon_sym_BANG] = ACTIONS(2578),
    [anon_sym_AMP] = ACTIONS(836),
    [anon_sym_PIPE_PIPE] = ACTIONS(833),
    [anon_sym_or_else] = ACTIONS(836),
    [anon_sym_AMP_AMP] = ACTIONS(833),
    [anon_sym_GT] = ACTIONS(836),
    [anon_sym_GT_EQ] = ACTIONS(833),
    [anon_sym_LT_EQ] = ACTIONS(833),
    [anon_sym_LT] = ACTIONS(836),
    [anon_sym_EQ_EQ] = ACTIONS(833),
    [anon_sym_BANG_EQ] = ACTIONS(833),
    [anon_sym_TILDE_EQ] = ACTIONS(833),
    [anon_sym_PIPE] = ACTIONS(836),
    [anon_sym_AMP_TILDE] = ACTIONS(833),
    [anon_sym_LT_LT] = ACTIONS(833),
    [anon_sym_GT_GT] = ACTIONS(833),
    [anon_sym_STAR] = ACTIONS(833),
    [anon_sym_SLASH] = ACTIONS(836),
    [anon_sym_PERCENT] = ACTIONS(836),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(833),
    [anon_sym_DOT] = ACTIONS(836),
    [anon_sym_LBRACK] = ACTIONS(2653),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(833),
    [anon_sym_DOT_DOT_LT] = ACTIONS(833),
    [anon_sym_not_in] = ACTIONS(836),
    [anon_sym_DOT_DOT] = ACTIONS(2583),
    [anon_sym_or_return] = ACTIONS(836),
    [anon_sym_or_continue] = ACTIONS(836),
    [anon_sym_or_break] = ACTIONS(836),
    [anon_sym_CARET] = ACTIONS(2657),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2588),
    [anon_sym_map] = ACTIONS(2590),
    [anon_sym_bit_set] = ACTIONS(2592),
    [anon_sym_matrix] = ACTIONS(2594),
    [anon_sym_distinct] = ACTIONS(739),
    [sym_tag] = ACTIONS(2596),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(833),
    [sym__backslash] = ACTIONS(3),
    [sym__nl_comma] = ACTIONS(833),
    [sym_block_comment] = ACTIONS(3),
  },
  [263] = {
    [sym_procedure] = STATE(2754),
    [sym_type] = STATE(2899),
    [sym_pointer_type] = STATE(2760),
    [sym_variadic_type] = STATE(2760),
    [sym_array_type] = STATE(2760),
    [sym_map_type] = STATE(2760),
    [sym_union_type] = STATE(2760),
    [sym_bit_set_type] = STATE(2760),
    [sym_matrix_type] = STATE(2760),
    [sym_field_type] = STATE(2760),
    [sym_tuple_type] = STATE(2760),
    [sym_struct_type] = STATE(2760),
    [sym_enum_type] = STATE(2760),
    [sym_constant_type] = STATE(2760),
    [sym_specialized_type] = STATE(2760),
    [sym__procedure_type] = STATE(2760),
    [sym_distinct_type] = STATE(2760),
    [sym_empty_type] = STATE(2760),
    [sym_polymorphic_type] = STATE(2760),
    [sym_conditional_type] = STATE(2760),
    [sym_identifier] = ACTIONS(2661),
    [anon_sym_LBRACE] = ACTIONS(817),
    [anon_sym_COMMA] = ACTIONS(817),
    [anon_sym_proc] = ACTIONS(2664),
    [anon_sym_DASH_GT] = ACTIONS(817),
    [anon_sym_where] = ACTIONS(819),
    [anon_sym_struct] = ACTIONS(1631),
    [anon_sym_enum] = ACTIONS(1633),
    [anon_sym_EQ] = ACTIONS(819),
    [anon_sym_union] = ACTIONS(1635),
    [anon_sym_LPAREN] = ACTIONS(1823),
    [anon_sym_RPAREN] = ACTIONS(817),
    [anon_sym_DOLLAR] = ACTIONS(2666),
    [anon_sym_if] = ACTIONS(819),
    [anon_sym_when] = ACTIONS(819),
    [anon_sym_in] = ACTIONS(819),
    [anon_sym_QMARK] = ACTIONS(817),
    [anon_sym_PLUS] = ACTIONS(817),
    [anon_sym_DASH] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(819),
    [anon_sym_BANG] = ACTIONS(1642),
    [anon_sym_AMP] = ACTIONS(819),
    [anon_sym_PIPE_PIPE] = ACTIONS(817),
    [anon_sym_or_else] = ACTIONS(819),
    [anon_sym_AMP_AMP] = ACTIONS(817),
    [anon_sym_GT] = ACTIONS(819),
    [anon_sym_GT_EQ] = ACTIONS(817),
    [anon_sym_LT_EQ] = ACTIONS(817),
    [anon_sym_LT] = ACTIONS(819),
    [anon_sym_EQ_EQ] = ACTIONS(817),
    [anon_sym_BANG_EQ] = ACTIONS(817),
    [anon_sym_TILDE_EQ] = ACTIONS(817),
    [anon_sym_PIPE] = ACTIONS(819),
    [anon_sym_AMP_TILDE] = ACTIONS(817),
    [anon_sym_LT_LT] = ACTIONS(817),
    [anon_sym_GT_GT] = ACTIONS(817),
    [anon_sym_STAR] = ACTIONS(817),
    [anon_sym_SLASH] = ACTIONS(819),
    [anon_sym_PERCENT] = ACTIONS(819),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(817),
    [anon_sym_DOT] = ACTIONS(819),
    [anon_sym_LBRACK] = ACTIONS(2668),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(817),
    [anon_sym_DOT_DOT_LT] = ACTIONS(817),
    [anon_sym_not_in] = ACTIONS(819),
    [anon_sym_DOT_DOT] = ACTIONS(2671),
    [anon_sym_or_return] = ACTIONS(819),
    [anon_sym_or_continue] = ACTIONS(819),
    [anon_sym_or_break] = ACTIONS(819),
    [anon_sym_CARET] = ACTIONS(2673),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1652),
    [anon_sym_map] = ACTIONS(2676),
    [anon_sym_bit_set] = ACTIONS(1656),
    [anon_sym_matrix] = ACTIONS(2678),
    [anon_sym_distinct] = ACTIONS(1037),
    [sym_uninitialized] = ACTIONS(817),
    [sym_tag] = ACTIONS(2680),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [264] = {
    [sym_procedure] = STATE(2754),
    [sym_type] = STATE(2693),
    [sym_pointer_type] = STATE(2760),
    [sym_variadic_type] = STATE(2760),
    [sym_array_type] = STATE(2760),
    [sym_map_type] = STATE(2760),
    [sym_union_type] = STATE(2760),
    [sym_bit_set_type] = STATE(2760),
    [sym_matrix_type] = STATE(2760),
    [sym_field_type] = STATE(2760),
    [sym_tuple_type] = STATE(2760),
    [sym_struct_type] = STATE(2760),
    [sym_enum_type] = STATE(2760),
    [sym_constant_type] = STATE(2760),
    [sym_specialized_type] = STATE(2760),
    [sym__procedure_type] = STATE(2760),
    [sym_distinct_type] = STATE(2760),
    [sym_empty_type] = STATE(2760),
    [sym_polymorphic_type] = STATE(2760),
    [sym_conditional_type] = STATE(2760),
    [sym_identifier] = ACTIONS(2683),
    [anon_sym_LBRACE] = ACTIONS(773),
    [anon_sym_COMMA] = ACTIONS(773),
    [anon_sym_proc] = ACTIONS(2664),
    [anon_sym_DASH_GT] = ACTIONS(773),
    [anon_sym_where] = ACTIONS(778),
    [anon_sym_struct] = ACTIONS(1631),
    [anon_sym_enum] = ACTIONS(1633),
    [anon_sym_EQ] = ACTIONS(778),
    [anon_sym_union] = ACTIONS(1635),
    [anon_sym_LPAREN] = ACTIONS(1795),
    [anon_sym_RPAREN] = ACTIONS(773),
    [anon_sym_DOLLAR] = ACTIONS(2666),
    [anon_sym_if] = ACTIONS(778),
    [anon_sym_when] = ACTIONS(778),
    [anon_sym_in] = ACTIONS(778),
    [anon_sym_QMARK] = ACTIONS(773),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(778),
    [anon_sym_TILDE] = ACTIONS(778),
    [anon_sym_BANG] = ACTIONS(1642),
    [anon_sym_AMP] = ACTIONS(778),
    [anon_sym_PIPE_PIPE] = ACTIONS(773),
    [anon_sym_or_else] = ACTIONS(778),
    [anon_sym_AMP_AMP] = ACTIONS(773),
    [anon_sym_GT] = ACTIONS(778),
    [anon_sym_GT_EQ] = ACTIONS(773),
    [anon_sym_LT_EQ] = ACTIONS(773),
    [anon_sym_LT] = ACTIONS(778),
    [anon_sym_EQ_EQ] = ACTIONS(773),
    [anon_sym_BANG_EQ] = ACTIONS(773),
    [anon_sym_TILDE_EQ] = ACTIONS(773),
    [anon_sym_PIPE] = ACTIONS(778),
    [anon_sym_AMP_TILDE] = ACTIONS(773),
    [anon_sym_LT_LT] = ACTIONS(773),
    [anon_sym_GT_GT] = ACTIONS(773),
    [anon_sym_STAR] = ACTIONS(773),
    [anon_sym_SLASH] = ACTIONS(778),
    [anon_sym_PERCENT] = ACTIONS(778),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(773),
    [anon_sym_DOT] = ACTIONS(778),
    [anon_sym_LBRACK] = ACTIONS(2687),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(773),
    [anon_sym_DOT_DOT_LT] = ACTIONS(773),
    [anon_sym_not_in] = ACTIONS(778),
    [anon_sym_DOT_DOT] = ACTIONS(2671),
    [anon_sym_or_return] = ACTIONS(778),
    [anon_sym_or_continue] = ACTIONS(778),
    [anon_sym_or_break] = ACTIONS(778),
    [anon_sym_CARET] = ACTIONS(2691),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1652),
    [anon_sym_map] = ACTIONS(2676),
    [anon_sym_bit_set] = ACTIONS(1656),
    [anon_sym_matrix] = ACTIONS(2678),
    [anon_sym_distinct] = ACTIONS(1037),
    [sym_uninitialized] = ACTIONS(773),
    [sym_tag] = ACTIONS(2695),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [265] = {
    [sym_procedure] = STATE(2754),
    [sym_type] = STATE(2905),
    [sym_pointer_type] = STATE(2760),
    [sym_variadic_type] = STATE(2760),
    [sym_array_type] = STATE(2760),
    [sym_map_type] = STATE(2760),
    [sym_union_type] = STATE(2760),
    [sym_bit_set_type] = STATE(2760),
    [sym_matrix_type] = STATE(2760),
    [sym_field_type] = STATE(2760),
    [sym_tuple_type] = STATE(2760),
    [sym_struct_type] = STATE(2760),
    [sym_enum_type] = STATE(2760),
    [sym_constant_type] = STATE(2760),
    [sym_specialized_type] = STATE(2760),
    [sym__procedure_type] = STATE(2760),
    [sym_distinct_type] = STATE(2760),
    [sym_empty_type] = STATE(2760),
    [sym_polymorphic_type] = STATE(2760),
    [sym_conditional_type] = STATE(2760),
    [sym_identifier] = ACTIONS(2699),
    [anon_sym_LBRACE] = ACTIONS(871),
    [anon_sym_COMMA] = ACTIONS(871),
    [anon_sym_proc] = ACTIONS(2664),
    [anon_sym_DASH_GT] = ACTIONS(871),
    [anon_sym_where] = ACTIONS(874),
    [anon_sym_struct] = ACTIONS(1631),
    [anon_sym_enum] = ACTIONS(1633),
    [anon_sym_EQ] = ACTIONS(874),
    [anon_sym_union] = ACTIONS(1635),
    [anon_sym_LPAREN] = ACTIONS(1735),
    [anon_sym_RPAREN] = ACTIONS(871),
    [anon_sym_DOLLAR] = ACTIONS(2666),
    [anon_sym_if] = ACTIONS(874),
    [anon_sym_when] = ACTIONS(874),
    [anon_sym_in] = ACTIONS(874),
    [anon_sym_QMARK] = ACTIONS(871),
    [anon_sym_PLUS] = ACTIONS(871),
    [anon_sym_DASH] = ACTIONS(874),
    [anon_sym_TILDE] = ACTIONS(874),
    [anon_sym_BANG] = ACTIONS(1642),
    [anon_sym_AMP] = ACTIONS(874),
    [anon_sym_PIPE_PIPE] = ACTIONS(871),
    [anon_sym_or_else] = ACTIONS(874),
    [anon_sym_AMP_AMP] = ACTIONS(871),
    [anon_sym_GT] = ACTIONS(874),
    [anon_sym_GT_EQ] = ACTIONS(871),
    [anon_sym_LT_EQ] = ACTIONS(871),
    [anon_sym_LT] = ACTIONS(874),
    [anon_sym_EQ_EQ] = ACTIONS(871),
    [anon_sym_BANG_EQ] = ACTIONS(871),
    [anon_sym_TILDE_EQ] = ACTIONS(871),
    [anon_sym_PIPE] = ACTIONS(874),
    [anon_sym_AMP_TILDE] = ACTIONS(871),
    [anon_sym_LT_LT] = ACTIONS(871),
    [anon_sym_GT_GT] = ACTIONS(871),
    [anon_sym_STAR] = ACTIONS(871),
    [anon_sym_SLASH] = ACTIONS(874),
    [anon_sym_PERCENT] = ACTIONS(874),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(871),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_LBRACK] = ACTIONS(2703),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(871),
    [anon_sym_DOT_DOT_LT] = ACTIONS(871),
    [anon_sym_not_in] = ACTIONS(874),
    [anon_sym_DOT_DOT] = ACTIONS(2671),
    [anon_sym_or_return] = ACTIONS(874),
    [anon_sym_or_continue] = ACTIONS(874),
    [anon_sym_or_break] = ACTIONS(874),
    [anon_sym_CARET] = ACTIONS(2707),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1652),
    [anon_sym_map] = ACTIONS(2676),
    [anon_sym_bit_set] = ACTIONS(1656),
    [anon_sym_matrix] = ACTIONS(2678),
    [anon_sym_distinct] = ACTIONS(1037),
    [sym_uninitialized] = ACTIONS(871),
    [sym_tag] = ACTIONS(2711),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [266] = {
    [sym_procedure] = STATE(2754),
    [sym_type] = STATE(2915),
    [sym_pointer_type] = STATE(2760),
    [sym_variadic_type] = STATE(2760),
    [sym_array_type] = STATE(2760),
    [sym_map_type] = STATE(2760),
    [sym_union_type] = STATE(2760),
    [sym_bit_set_type] = STATE(2760),
    [sym_matrix_type] = STATE(2760),
    [sym_field_type] = STATE(2760),
    [sym_tuple_type] = STATE(2760),
    [sym_struct_type] = STATE(2760),
    [sym_enum_type] = STATE(2760),
    [sym_constant_type] = STATE(2760),
    [sym_specialized_type] = STATE(2760),
    [sym__procedure_type] = STATE(2760),
    [sym_distinct_type] = STATE(2760),
    [sym_empty_type] = STATE(2760),
    [sym_polymorphic_type] = STATE(2760),
    [sym_conditional_type] = STATE(2760),
    [sym_identifier] = ACTIONS(2715),
    [anon_sym_LBRACE] = ACTIONS(833),
    [anon_sym_COMMA] = ACTIONS(833),
    [anon_sym_proc] = ACTIONS(2664),
    [anon_sym_DASH_GT] = ACTIONS(833),
    [anon_sym_where] = ACTIONS(836),
    [anon_sym_struct] = ACTIONS(1631),
    [anon_sym_enum] = ACTIONS(1633),
    [anon_sym_EQ] = ACTIONS(836),
    [anon_sym_union] = ACTIONS(1635),
    [anon_sym_LPAREN] = ACTIONS(1751),
    [anon_sym_RPAREN] = ACTIONS(833),
    [anon_sym_DOLLAR] = ACTIONS(2666),
    [anon_sym_if] = ACTIONS(836),
    [anon_sym_when] = ACTIONS(836),
    [anon_sym_in] = ACTIONS(836),
    [anon_sym_QMARK] = ACTIONS(833),
    [anon_sym_PLUS] = ACTIONS(833),
    [anon_sym_DASH] = ACTIONS(836),
    [anon_sym_TILDE] = ACTIONS(836),
    [anon_sym_BANG] = ACTIONS(1642),
    [anon_sym_AMP] = ACTIONS(836),
    [anon_sym_PIPE_PIPE] = ACTIONS(833),
    [anon_sym_or_else] = ACTIONS(836),
    [anon_sym_AMP_AMP] = ACTIONS(833),
    [anon_sym_GT] = ACTIONS(836),
    [anon_sym_GT_EQ] = ACTIONS(833),
    [anon_sym_LT_EQ] = ACTIONS(833),
    [anon_sym_LT] = ACTIONS(836),
    [anon_sym_EQ_EQ] = ACTIONS(833),
    [anon_sym_BANG_EQ] = ACTIONS(833),
    [anon_sym_TILDE_EQ] = ACTIONS(833),
    [anon_sym_PIPE] = ACTIONS(836),
    [anon_sym_AMP_TILDE] = ACTIONS(833),
    [anon_sym_LT_LT] = ACTIONS(833),
    [anon_sym_GT_GT] = ACTIONS(833),
    [anon_sym_STAR] = ACTIONS(833),
    [anon_sym_SLASH] = ACTIONS(836),
    [anon_sym_PERCENT] = ACTIONS(836),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(833),
    [anon_sym_DOT] = ACTIONS(836),
    [anon_sym_LBRACK] = ACTIONS(2719),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(833),
    [anon_sym_DOT_DOT_LT] = ACTIONS(833),
    [anon_sym_not_in] = ACTIONS(836),
    [anon_sym_DOT_DOT] = ACTIONS(2671),
    [anon_sym_or_return] = ACTIONS(836),
    [anon_sym_or_continue] = ACTIONS(836),
    [anon_sym_or_break] = ACTIONS(836),
    [anon_sym_CARET] = ACTIONS(2723),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1652),
    [anon_sym_map] = ACTIONS(2676),
    [anon_sym_bit_set] = ACTIONS(1656),
    [anon_sym_matrix] = ACTIONS(2678),
    [anon_sym_distinct] = ACTIONS(1037),
    [sym_uninitialized] = ACTIONS(833),
    [sym_tag] = ACTIONS(2727),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [267] = {
    [sym_procedure] = STATE(2754),
    [sym_type] = STATE(2674),
    [sym_pointer_type] = STATE(2760),
    [sym_variadic_type] = STATE(2760),
    [sym_array_type] = STATE(2760),
    [sym_map_type] = STATE(2760),
    [sym_union_type] = STATE(2760),
    [sym_bit_set_type] = STATE(2760),
    [sym_matrix_type] = STATE(2760),
    [sym_field_type] = STATE(2760),
    [sym_tuple_type] = STATE(2760),
    [sym_struct_type] = STATE(2760),
    [sym_enum_type] = STATE(2760),
    [sym_constant_type] = STATE(2760),
    [sym_specialized_type] = STATE(2760),
    [sym__procedure_type] = STATE(2760),
    [sym_distinct_type] = STATE(2760),
    [sym_empty_type] = STATE(2760),
    [sym_polymorphic_type] = STATE(2760),
    [sym_conditional_type] = STATE(2760),
    [sym_identifier] = ACTIONS(2731),
    [anon_sym_LBRACE] = ACTIONS(855),
    [anon_sym_COMMA] = ACTIONS(855),
    [anon_sym_proc] = ACTIONS(2664),
    [anon_sym_DASH_GT] = ACTIONS(855),
    [anon_sym_where] = ACTIONS(857),
    [anon_sym_struct] = ACTIONS(1631),
    [anon_sym_enum] = ACTIONS(1633),
    [anon_sym_EQ] = ACTIONS(857),
    [anon_sym_union] = ACTIONS(1635),
    [anon_sym_LPAREN] = ACTIONS(1723),
    [anon_sym_RPAREN] = ACTIONS(855),
    [anon_sym_DOLLAR] = ACTIONS(2666),
    [anon_sym_if] = ACTIONS(857),
    [anon_sym_when] = ACTIONS(857),
    [anon_sym_in] = ACTIONS(857),
    [anon_sym_QMARK] = ACTIONS(855),
    [anon_sym_PLUS] = ACTIONS(855),
    [anon_sym_DASH] = ACTIONS(857),
    [anon_sym_TILDE] = ACTIONS(857),
    [anon_sym_BANG] = ACTIONS(1642),
    [anon_sym_AMP] = ACTIONS(857),
    [anon_sym_PIPE_PIPE] = ACTIONS(855),
    [anon_sym_or_else] = ACTIONS(857),
    [anon_sym_AMP_AMP] = ACTIONS(855),
    [anon_sym_GT] = ACTIONS(857),
    [anon_sym_GT_EQ] = ACTIONS(855),
    [anon_sym_LT_EQ] = ACTIONS(855),
    [anon_sym_LT] = ACTIONS(857),
    [anon_sym_EQ_EQ] = ACTIONS(855),
    [anon_sym_BANG_EQ] = ACTIONS(855),
    [anon_sym_TILDE_EQ] = ACTIONS(855),
    [anon_sym_PIPE] = ACTIONS(857),
    [anon_sym_AMP_TILDE] = ACTIONS(855),
    [anon_sym_LT_LT] = ACTIONS(855),
    [anon_sym_GT_GT] = ACTIONS(855),
    [anon_sym_STAR] = ACTIONS(855),
    [anon_sym_SLASH] = ACTIONS(857),
    [anon_sym_PERCENT] = ACTIONS(857),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(855),
    [anon_sym_DOT] = ACTIONS(857),
    [anon_sym_LBRACK] = ACTIONS(2734),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(855),
    [anon_sym_DOT_DOT_LT] = ACTIONS(855),
    [anon_sym_not_in] = ACTIONS(857),
    [anon_sym_DOT_DOT] = ACTIONS(2671),
    [anon_sym_or_return] = ACTIONS(857),
    [anon_sym_or_continue] = ACTIONS(857),
    [anon_sym_or_break] = ACTIONS(857),
    [anon_sym_CARET] = ACTIONS(2737),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1652),
    [anon_sym_map] = ACTIONS(2676),
    [anon_sym_bit_set] = ACTIONS(1656),
    [anon_sym_matrix] = ACTIONS(2678),
    [anon_sym_distinct] = ACTIONS(1037),
    [sym_uninitialized] = ACTIONS(855),
    [sym_tag] = ACTIONS(2740),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [268] = {
    [sym_procedure] = STATE(2754),
    [sym_type] = STATE(2691),
    [sym_pointer_type] = STATE(2760),
    [sym_variadic_type] = STATE(2760),
    [sym_array_type] = STATE(2760),
    [sym_map_type] = STATE(2760),
    [sym_union_type] = STATE(2760),
    [sym_bit_set_type] = STATE(2760),
    [sym_matrix_type] = STATE(2760),
    [sym_field_type] = STATE(2760),
    [sym_tuple_type] = STATE(2760),
    [sym_struct_type] = STATE(2760),
    [sym_enum_type] = STATE(2760),
    [sym_constant_type] = STATE(2760),
    [sym_specialized_type] = STATE(2760),
    [sym__procedure_type] = STATE(2760),
    [sym_distinct_type] = STATE(2760),
    [sym_empty_type] = STATE(2760),
    [sym_polymorphic_type] = STATE(2760),
    [sym_conditional_type] = STATE(2760),
    [sym_identifier] = ACTIONS(2743),
    [anon_sym_LBRACE] = ACTIONS(893),
    [anon_sym_COMMA] = ACTIONS(893),
    [anon_sym_proc] = ACTIONS(2664),
    [anon_sym_DASH_GT] = ACTIONS(893),
    [anon_sym_where] = ACTIONS(895),
    [anon_sym_struct] = ACTIONS(1631),
    [anon_sym_enum] = ACTIONS(1633),
    [anon_sym_EQ] = ACTIONS(895),
    [anon_sym_union] = ACTIONS(1635),
    [anon_sym_LPAREN] = ACTIONS(1663),
    [anon_sym_RPAREN] = ACTIONS(893),
    [anon_sym_DOLLAR] = ACTIONS(2666),
    [anon_sym_if] = ACTIONS(895),
    [anon_sym_when] = ACTIONS(895),
    [anon_sym_in] = ACTIONS(895),
    [anon_sym_QMARK] = ACTIONS(893),
    [anon_sym_PLUS] = ACTIONS(893),
    [anon_sym_DASH] = ACTIONS(895),
    [anon_sym_TILDE] = ACTIONS(895),
    [anon_sym_BANG] = ACTIONS(1642),
    [anon_sym_AMP] = ACTIONS(895),
    [anon_sym_PIPE_PIPE] = ACTIONS(893),
    [anon_sym_or_else] = ACTIONS(895),
    [anon_sym_AMP_AMP] = ACTIONS(893),
    [anon_sym_GT] = ACTIONS(895),
    [anon_sym_GT_EQ] = ACTIONS(893),
    [anon_sym_LT_EQ] = ACTIONS(893),
    [anon_sym_LT] = ACTIONS(895),
    [anon_sym_EQ_EQ] = ACTIONS(893),
    [anon_sym_BANG_EQ] = ACTIONS(893),
    [anon_sym_TILDE_EQ] = ACTIONS(893),
    [anon_sym_PIPE] = ACTIONS(895),
    [anon_sym_AMP_TILDE] = ACTIONS(893),
    [anon_sym_LT_LT] = ACTIONS(893),
    [anon_sym_GT_GT] = ACTIONS(893),
    [anon_sym_STAR] = ACTIONS(893),
    [anon_sym_SLASH] = ACTIONS(895),
    [anon_sym_PERCENT] = ACTIONS(895),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(893),
    [anon_sym_DOT] = ACTIONS(895),
    [anon_sym_LBRACK] = ACTIONS(2746),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(893),
    [anon_sym_DOT_DOT_LT] = ACTIONS(893),
    [anon_sym_not_in] = ACTIONS(895),
    [anon_sym_DOT_DOT] = ACTIONS(2671),
    [anon_sym_or_return] = ACTIONS(895),
    [anon_sym_or_continue] = ACTIONS(895),
    [anon_sym_or_break] = ACTIONS(895),
    [anon_sym_CARET] = ACTIONS(2749),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1652),
    [anon_sym_map] = ACTIONS(2676),
    [anon_sym_bit_set] = ACTIONS(1656),
    [anon_sym_matrix] = ACTIONS(2678),
    [anon_sym_distinct] = ACTIONS(1037),
    [sym_uninitialized] = ACTIONS(893),
    [sym_tag] = ACTIONS(2752),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [269] = {
    [sym_procedure] = STATE(2754),
    [sym_type] = STATE(2694),
    [sym_pointer_type] = STATE(2760),
    [sym_variadic_type] = STATE(2760),
    [sym_array_type] = STATE(2760),
    [sym_map_type] = STATE(2760),
    [sym_union_type] = STATE(2760),
    [sym_bit_set_type] = STATE(2760),
    [sym_matrix_type] = STATE(2760),
    [sym_field_type] = STATE(2760),
    [sym_tuple_type] = STATE(2760),
    [sym_struct_type] = STATE(2760),
    [sym_enum_type] = STATE(2760),
    [sym_constant_type] = STATE(2760),
    [sym_specialized_type] = STATE(2760),
    [sym__procedure_type] = STATE(2760),
    [sym_distinct_type] = STATE(2760),
    [sym_empty_type] = STATE(2760),
    [sym_polymorphic_type] = STATE(2760),
    [sym_conditional_type] = STATE(2760),
    [sym_identifier] = ACTIONS(2755),
    [anon_sym_LBRACE] = ACTIONS(909),
    [anon_sym_COMMA] = ACTIONS(909),
    [anon_sym_proc] = ACTIONS(2664),
    [anon_sym_DASH_GT] = ACTIONS(909),
    [anon_sym_where] = ACTIONS(911),
    [anon_sym_struct] = ACTIONS(1631),
    [anon_sym_enum] = ACTIONS(1633),
    [anon_sym_EQ] = ACTIONS(911),
    [anon_sym_union] = ACTIONS(1635),
    [anon_sym_LPAREN] = ACTIONS(1637),
    [anon_sym_RPAREN] = ACTIONS(909),
    [anon_sym_DOLLAR] = ACTIONS(2666),
    [anon_sym_if] = ACTIONS(911),
    [anon_sym_when] = ACTIONS(911),
    [anon_sym_in] = ACTIONS(911),
    [anon_sym_QMARK] = ACTIONS(909),
    [anon_sym_PLUS] = ACTIONS(909),
    [anon_sym_DASH] = ACTIONS(911),
    [anon_sym_TILDE] = ACTIONS(911),
    [anon_sym_BANG] = ACTIONS(1642),
    [anon_sym_AMP] = ACTIONS(911),
    [anon_sym_PIPE_PIPE] = ACTIONS(909),
    [anon_sym_or_else] = ACTIONS(911),
    [anon_sym_AMP_AMP] = ACTIONS(909),
    [anon_sym_GT] = ACTIONS(911),
    [anon_sym_GT_EQ] = ACTIONS(909),
    [anon_sym_LT_EQ] = ACTIONS(909),
    [anon_sym_LT] = ACTIONS(911),
    [anon_sym_EQ_EQ] = ACTIONS(909),
    [anon_sym_BANG_EQ] = ACTIONS(909),
    [anon_sym_TILDE_EQ] = ACTIONS(909),
    [anon_sym_PIPE] = ACTIONS(911),
    [anon_sym_AMP_TILDE] = ACTIONS(909),
    [anon_sym_LT_LT] = ACTIONS(909),
    [anon_sym_GT_GT] = ACTIONS(909),
    [anon_sym_STAR] = ACTIONS(909),
    [anon_sym_SLASH] = ACTIONS(911),
    [anon_sym_PERCENT] = ACTIONS(911),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(909),
    [anon_sym_DOT] = ACTIONS(911),
    [anon_sym_LBRACK] = ACTIONS(2758),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(909),
    [anon_sym_DOT_DOT_LT] = ACTIONS(909),
    [anon_sym_not_in] = ACTIONS(911),
    [anon_sym_DOT_DOT] = ACTIONS(2671),
    [anon_sym_or_return] = ACTIONS(911),
    [anon_sym_or_continue] = ACTIONS(911),
    [anon_sym_or_break] = ACTIONS(911),
    [anon_sym_CARET] = ACTIONS(2761),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1652),
    [anon_sym_map] = ACTIONS(2676),
    [anon_sym_bit_set] = ACTIONS(1656),
    [anon_sym_matrix] = ACTIONS(2678),
    [anon_sym_distinct] = ACTIONS(1037),
    [sym_uninitialized] = ACTIONS(909),
    [sym_tag] = ACTIONS(2764),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [270] = {
    [sym_block] = STATE(6782),
    [sym_attributes] = STATE(1606),
    [sym_attribute] = STATE(5637),
    [sym_assignment_statement] = STATE(8447),
    [sym_update_statement] = STATE(8447),
    [sym__for_in_expression] = STATE(7550),
    [sym_var_declaration] = STATE(8447),
    [sym_expression] = STATE(2879),
    [sym__expression_no_tag] = STATE(2590),
    [sym_unary_expression] = STATE(2590),
    [sym_binary_expression] = STATE(2590),
    [sym_ternary_expression] = STATE(2590),
    [sym_call_expression] = STATE(2590),
    [sym_selector_call_expression] = STATE(2590),
    [sym_member_expression] = STATE(2590),
    [sym_index_expression] = STATE(2590),
    [sym_slice_expression] = STATE(2590),
    [sym_range_expression] = STATE(2590),
    [sym_cast_expression] = STATE(2590),
    [sym_in_expression] = STATE(2590),
    [sym_variadic_expression] = STATE(2590),
    [sym_parenthesized_expression] = STATE(2590),
    [sym_or_return_expression] = STATE(2590),
    [sym_or_continue_expression] = STATE(2590),
    [sym_or_break_expression] = STATE(2590),
    [sym_address] = STATE(2590),
    [sym_map_type] = STATE(2590),
    [sym_matrix_type] = STATE(2590),
    [sym_distinct_type] = STATE(2590),
    [sym_literal] = STATE(2590),
    [sym_struct] = STATE(2608),
    [sym_map] = STATE(2566),
    [sym_bit_set] = STATE(2566),
    [sym_matrix] = STATE(2566),
    [sym_string] = STATE(2566),
    [sym__string_literal] = STATE(2591),
    [sym__raw_string_literal] = STATE(2591),
    [sym_character] = STATE(2566),
    [sym_boolean] = STATE(2566),
    [sym_field_identifier] = STATE(7902),
    [aux_sym_attributes_repeat1] = STATE(5637),
    [sym_identifier] = ACTIONS(249),
    [anon_sym_LBRACE] = ACTIONS(2767),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(253),
    [anon_sym_SEMI] = ACTIONS(2769),
    [anon_sym_do] = ACTIONS(2771),
    [anon_sym_in] = ACTIONS(2773),
    [anon_sym_QMARK] = ACTIONS(2775),
    [anon_sym_PLUS] = ACTIONS(2777),
    [anon_sym_DASH] = ACTIONS(257),
    [anon_sym_TILDE] = ACTIONS(2777),
    [anon_sym_BANG] = ACTIONS(2777),
    [anon_sym_AMP] = ACTIONS(2777),
    [anon_sym_DOT] = ACTIONS(259),
    [anon_sym_LBRACK] = ACTIONS(261),
    [anon_sym_cast] = ACTIONS(263),
    [anon_sym_transmute] = ACTIONS(263),
    [anon_sym_auto_cast] = ACTIONS(265),
    [anon_sym_DOT_DOT] = ACTIONS(2779),
    [anon_sym_map] = ACTIONS(269),
    [anon_sym_bit_set] = ACTIONS(271),
    [anon_sym_matrix] = ACTIONS(273),
    [anon_sym_distinct] = ACTIONS(275),
    [sym_number] = ACTIONS(277),
    [anon_sym_DQUOTE] = ACTIONS(279),
    [anon_sym_BQUOTE] = ACTIONS(281),
    [anon_sym_SQUOTE] = ACTIONS(283),
    [anon_sym_true] = ACTIONS(285),
    [anon_sym_false] = ACTIONS(285),
    [sym_nil] = ACTIONS(287),
    [sym_uninitialized] = ACTIONS(277),
    [sym_tag] = ACTIONS(289),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(277),
    [sym_block_comment] = ACTIONS(3),
  },
  [271] = {
    [sym_block] = STATE(6782),
    [sym_attributes] = STATE(1606),
    [sym_attribute] = STATE(5637),
    [sym_assignment_statement] = STATE(8175),
    [sym_update_statement] = STATE(8175),
    [sym__for_in_expression] = STATE(7483),
    [sym_var_declaration] = STATE(8175),
    [sym_expression] = STATE(2706),
    [sym__expression_no_tag] = STATE(2590),
    [sym_unary_expression] = STATE(2590),
    [sym_binary_expression] = STATE(2590),
    [sym_ternary_expression] = STATE(2590),
    [sym_call_expression] = STATE(2590),
    [sym_selector_call_expression] = STATE(2590),
    [sym_member_expression] = STATE(2590),
    [sym_index_expression] = STATE(2590),
    [sym_slice_expression] = STATE(2590),
    [sym_range_expression] = STATE(2590),
    [sym_cast_expression] = STATE(2590),
    [sym_in_expression] = STATE(2590),
    [sym_variadic_expression] = STATE(2590),
    [sym_parenthesized_expression] = STATE(2590),
    [sym_or_return_expression] = STATE(2590),
    [sym_or_continue_expression] = STATE(2590),
    [sym_or_break_expression] = STATE(2590),
    [sym_address] = STATE(2590),
    [sym_map_type] = STATE(2590),
    [sym_matrix_type] = STATE(2590),
    [sym_distinct_type] = STATE(2590),
    [sym_literal] = STATE(2590),
    [sym_struct] = STATE(2608),
    [sym_map] = STATE(2566),
    [sym_bit_set] = STATE(2566),
    [sym_matrix] = STATE(2566),
    [sym_string] = STATE(2566),
    [sym__string_literal] = STATE(2591),
    [sym__raw_string_literal] = STATE(2591),
    [sym_character] = STATE(2566),
    [sym_boolean] = STATE(2566),
    [sym_field_identifier] = STATE(7902),
    [aux_sym_attributes_repeat1] = STATE(5637),
    [sym_identifier] = ACTIONS(249),
    [anon_sym_LBRACE] = ACTIONS(2767),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(253),
    [anon_sym_SEMI] = ACTIONS(2781),
    [anon_sym_do] = ACTIONS(2783),
    [anon_sym_in] = ACTIONS(2773),
    [anon_sym_QMARK] = ACTIONS(2775),
    [anon_sym_PLUS] = ACTIONS(2777),
    [anon_sym_DASH] = ACTIONS(257),
    [anon_sym_TILDE] = ACTIONS(2777),
    [anon_sym_BANG] = ACTIONS(2777),
    [anon_sym_AMP] = ACTIONS(2777),
    [anon_sym_DOT] = ACTIONS(259),
    [anon_sym_LBRACK] = ACTIONS(261),
    [anon_sym_cast] = ACTIONS(263),
    [anon_sym_transmute] = ACTIONS(263),
    [anon_sym_auto_cast] = ACTIONS(265),
    [anon_sym_DOT_DOT] = ACTIONS(2779),
    [anon_sym_map] = ACTIONS(269),
    [anon_sym_bit_set] = ACTIONS(271),
    [anon_sym_matrix] = ACTIONS(273),
    [anon_sym_distinct] = ACTIONS(275),
    [sym_number] = ACTIONS(277),
    [anon_sym_DQUOTE] = ACTIONS(279),
    [anon_sym_BQUOTE] = ACTIONS(281),
    [anon_sym_SQUOTE] = ACTIONS(283),
    [anon_sym_true] = ACTIONS(285),
    [anon_sym_false] = ACTIONS(285),
    [sym_nil] = ACTIONS(287),
    [sym_uninitialized] = ACTIONS(277),
    [sym_tag] = ACTIONS(289),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(277),
    [sym_block_comment] = ACTIONS(3),
  },
  [272] = {
    [sym_procedure] = STATE(6495),
    [sym_expression] = STATE(4478),
    [sym__expression_no_tag] = STATE(4299),
    [sym_unary_expression] = STATE(4299),
    [sym_binary_expression] = STATE(4299),
    [sym_ternary_expression] = STATE(4299),
    [sym_call_expression] = STATE(4299),
    [sym_selector_call_expression] = STATE(4299),
    [sym_member_expression] = STATE(4299),
    [sym_index_expression] = STATE(4299),
    [sym_slice_expression] = STATE(4299),
    [sym_range_expression] = STATE(4299),
    [sym_cast_expression] = STATE(4299),
    [sym_in_expression] = STATE(4299),
    [sym_variadic_expression] = STATE(4299),
    [sym_parenthesized_expression] = STATE(4299),
    [sym_or_return_expression] = STATE(4299),
    [sym_or_continue_expression] = STATE(4299),
    [sym_or_break_expression] = STATE(4299),
    [sym_address] = STATE(4299),
    [sym_pointer_type] = STATE(6431),
    [sym_array_type] = STATE(6431),
    [sym_map_type] = STATE(4299),
    [sym_bit_set_type] = STATE(6431),
    [sym_matrix_type] = STATE(4299),
    [sym_distinct_type] = STATE(4299),
    [sym_literal] = STATE(4299),
    [sym_struct] = STATE(4311),
    [sym_map] = STATE(3787),
    [sym_bit_set] = STATE(3787),
    [sym_matrix] = STATE(3787),
    [sym_string] = STATE(3787),
    [sym__string_literal] = STATE(3867),
    [sym__raw_string_literal] = STATE(3867),
    [sym_character] = STATE(3787),
    [sym_boolean] = STATE(3787),
    [sym_field_identifier] = STATE(7783),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_proc] = ACTIONS(2785),
    [anon_sym_struct] = ACTIONS(2787),
    [anon_sym_enum] = ACTIONS(2789),
    [anon_sym_union] = ACTIONS(2791),
    [anon_sym_POUNDtype] = ACTIONS(2793),
    [anon_sym_LPAREN] = ACTIONS(759),
    [anon_sym_QMARK] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(763),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(763),
    [anon_sym_BANG] = ACTIONS(763),
    [anon_sym_AMP] = ACTIONS(763),
    [anon_sym_DOT] = ACTIONS(765),
    [anon_sym_LBRACK] = ACTIONS(2795),
    [anon_sym_cast] = ACTIONS(597),
    [anon_sym_transmute] = ACTIONS(597),
    [anon_sym_auto_cast] = ACTIONS(599),
    [anon_sym_DOT_DOT] = ACTIONS(2797),
    [anon_sym_CARET] = ACTIONS(2799),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(603),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(2801),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [273] = {
    [sym_procedure] = STATE(6564),
    [sym_expression] = STATE(4469),
    [sym__expression_no_tag] = STATE(4299),
    [sym_unary_expression] = STATE(4299),
    [sym_binary_expression] = STATE(4299),
    [sym_ternary_expression] = STATE(4299),
    [sym_call_expression] = STATE(4299),
    [sym_selector_call_expression] = STATE(4299),
    [sym_member_expression] = STATE(4299),
    [sym_index_expression] = STATE(4299),
    [sym_slice_expression] = STATE(4299),
    [sym_range_expression] = STATE(4299),
    [sym_cast_expression] = STATE(4299),
    [sym_in_expression] = STATE(4299),
    [sym_variadic_expression] = STATE(4299),
    [sym_parenthesized_expression] = STATE(4299),
    [sym_or_return_expression] = STATE(4299),
    [sym_or_continue_expression] = STATE(4299),
    [sym_or_break_expression] = STATE(4299),
    [sym_address] = STATE(4299),
    [sym_pointer_type] = STATE(6433),
    [sym_array_type] = STATE(6433),
    [sym_map_type] = STATE(4299),
    [sym_bit_set_type] = STATE(6433),
    [sym_matrix_type] = STATE(4299),
    [sym_distinct_type] = STATE(4299),
    [sym_literal] = STATE(4299),
    [sym_struct] = STATE(4311),
    [sym_map] = STATE(3787),
    [sym_bit_set] = STATE(3787),
    [sym_matrix] = STATE(3787),
    [sym_string] = STATE(3787),
    [sym__string_literal] = STATE(3867),
    [sym__raw_string_literal] = STATE(3867),
    [sym_character] = STATE(3787),
    [sym_boolean] = STATE(3787),
    [sym_field_identifier] = STATE(7783),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_proc] = ACTIONS(2803),
    [anon_sym_struct] = ACTIONS(2805),
    [anon_sym_enum] = ACTIONS(2807),
    [anon_sym_union] = ACTIONS(2809),
    [anon_sym_POUNDtype] = ACTIONS(607),
    [anon_sym_LPAREN] = ACTIONS(759),
    [anon_sym_QMARK] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(763),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(763),
    [anon_sym_BANG] = ACTIONS(763),
    [anon_sym_AMP] = ACTIONS(763),
    [anon_sym_DOT] = ACTIONS(765),
    [anon_sym_LBRACK] = ACTIONS(2795),
    [anon_sym_cast] = ACTIONS(597),
    [anon_sym_transmute] = ACTIONS(597),
    [anon_sym_auto_cast] = ACTIONS(599),
    [anon_sym_DOT_DOT] = ACTIONS(2797),
    [anon_sym_CARET] = ACTIONS(2799),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(603),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(2811),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [274] = {
    [sym_procedure] = STATE(6937),
    [sym_expression] = STATE(5229),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(6864),
    [sym_array_type] = STATE(6864),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(6913),
    [sym__procedure_type] = STATE(8143),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(2813),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [275] = {
    [sym_procedure] = STATE(6986),
    [sym_expression] = STATE(5400),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(6996),
    [sym_array_type] = STATE(6996),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(6901),
    [sym__procedure_type] = STATE(8074),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(2825),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [276] = {
    [sym_block] = STATE(6750),
    [sym_attributes] = STATE(1524),
    [sym_attribute] = STATE(5637),
    [sym_update_statement] = STATE(7375),
    [sym__simple_assignment_statement] = STATE(7375),
    [sym_expression] = STATE(2947),
    [sym__expression_no_tag] = STATE(2590),
    [sym_unary_expression] = STATE(2590),
    [sym_binary_expression] = STATE(2590),
    [sym_ternary_expression] = STATE(2590),
    [sym_call_expression] = STATE(2590),
    [sym_selector_call_expression] = STATE(2590),
    [sym_member_expression] = STATE(2590),
    [sym_index_expression] = STATE(2590),
    [sym_slice_expression] = STATE(2590),
    [sym_range_expression] = STATE(2590),
    [sym_cast_expression] = STATE(2590),
    [sym_in_expression] = STATE(2590),
    [sym_variadic_expression] = STATE(2590),
    [sym_parenthesized_expression] = STATE(2590),
    [sym_or_return_expression] = STATE(2590),
    [sym_or_continue_expression] = STATE(2590),
    [sym_or_break_expression] = STATE(2590),
    [sym_address] = STATE(2590),
    [sym_map_type] = STATE(2590),
    [sym_matrix_type] = STATE(2590),
    [sym_distinct_type] = STATE(2590),
    [sym_literal] = STATE(2590),
    [sym_struct] = STATE(2608),
    [sym_map] = STATE(2566),
    [sym_bit_set] = STATE(2566),
    [sym_matrix] = STATE(2566),
    [sym_string] = STATE(2566),
    [sym__string_literal] = STATE(2591),
    [sym__raw_string_literal] = STATE(2591),
    [sym_character] = STATE(2566),
    [sym_boolean] = STATE(2566),
    [sym_field_identifier] = STATE(7902),
    [aux_sym_attributes_repeat1] = STATE(5637),
    [sym_identifier] = ACTIONS(249),
    [anon_sym_LBRACE] = ACTIONS(2767),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(253),
    [anon_sym_SEMI] = ACTIONS(2827),
    [anon_sym_do] = ACTIONS(2829),
    [anon_sym_QMARK] = ACTIONS(2775),
    [anon_sym_PLUS] = ACTIONS(2777),
    [anon_sym_DASH] = ACTIONS(257),
    [anon_sym_TILDE] = ACTIONS(2777),
    [anon_sym_BANG] = ACTIONS(2777),
    [anon_sym_AMP] = ACTIONS(2777),
    [anon_sym_DOT] = ACTIONS(259),
    [anon_sym_LBRACK] = ACTIONS(261),
    [anon_sym_cast] = ACTIONS(263),
    [anon_sym_transmute] = ACTIONS(263),
    [anon_sym_auto_cast] = ACTIONS(265),
    [anon_sym_DOT_DOT] = ACTIONS(2779),
    [anon_sym_map] = ACTIONS(269),
    [anon_sym_bit_set] = ACTIONS(271),
    [anon_sym_matrix] = ACTIONS(273),
    [anon_sym_distinct] = ACTIONS(275),
    [sym_number] = ACTIONS(277),
    [anon_sym_DQUOTE] = ACTIONS(279),
    [anon_sym_BQUOTE] = ACTIONS(281),
    [anon_sym_SQUOTE] = ACTIONS(283),
    [anon_sym_true] = ACTIONS(285),
    [anon_sym_false] = ACTIONS(285),
    [sym_nil] = ACTIONS(287),
    [sym_uninitialized] = ACTIONS(277),
    [sym_tag] = ACTIONS(289),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(277),
    [sym_block_comment] = ACTIONS(3),
  },
  [277] = {
    [sym_procedure] = STATE(6980),
    [sym_expression] = STATE(5101),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(6902),
    [sym_array_type] = STATE(6902),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(7019),
    [sym__procedure_type] = STATE(8143),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(2831),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [278] = {
    [sym_block] = STATE(6750),
    [sym_attributes] = STATE(1524),
    [sym_attribute] = STATE(5637),
    [sym_update_statement] = STATE(7553),
    [sym__simple_assignment_statement] = STATE(7553),
    [sym_expression] = STATE(2926),
    [sym__expression_no_tag] = STATE(2590),
    [sym_unary_expression] = STATE(2590),
    [sym_binary_expression] = STATE(2590),
    [sym_ternary_expression] = STATE(2590),
    [sym_call_expression] = STATE(2590),
    [sym_selector_call_expression] = STATE(2590),
    [sym_member_expression] = STATE(2590),
    [sym_index_expression] = STATE(2590),
    [sym_slice_expression] = STATE(2590),
    [sym_range_expression] = STATE(2590),
    [sym_cast_expression] = STATE(2590),
    [sym_in_expression] = STATE(2590),
    [sym_variadic_expression] = STATE(2590),
    [sym_parenthesized_expression] = STATE(2590),
    [sym_or_return_expression] = STATE(2590),
    [sym_or_continue_expression] = STATE(2590),
    [sym_or_break_expression] = STATE(2590),
    [sym_address] = STATE(2590),
    [sym_map_type] = STATE(2590),
    [sym_matrix_type] = STATE(2590),
    [sym_distinct_type] = STATE(2590),
    [sym_literal] = STATE(2590),
    [sym_struct] = STATE(2608),
    [sym_map] = STATE(2566),
    [sym_bit_set] = STATE(2566),
    [sym_matrix] = STATE(2566),
    [sym_string] = STATE(2566),
    [sym__string_literal] = STATE(2591),
    [sym__raw_string_literal] = STATE(2591),
    [sym_character] = STATE(2566),
    [sym_boolean] = STATE(2566),
    [sym_field_identifier] = STATE(7902),
    [aux_sym_attributes_repeat1] = STATE(5637),
    [sym_identifier] = ACTIONS(249),
    [anon_sym_LBRACE] = ACTIONS(2767),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(253),
    [anon_sym_SEMI] = ACTIONS(2833),
    [anon_sym_do] = ACTIONS(2835),
    [anon_sym_QMARK] = ACTIONS(2775),
    [anon_sym_PLUS] = ACTIONS(2777),
    [anon_sym_DASH] = ACTIONS(257),
    [anon_sym_TILDE] = ACTIONS(2777),
    [anon_sym_BANG] = ACTIONS(2777),
    [anon_sym_AMP] = ACTIONS(2777),
    [anon_sym_DOT] = ACTIONS(259),
    [anon_sym_LBRACK] = ACTIONS(261),
    [anon_sym_cast] = ACTIONS(263),
    [anon_sym_transmute] = ACTIONS(263),
    [anon_sym_auto_cast] = ACTIONS(265),
    [anon_sym_DOT_DOT] = ACTIONS(2779),
    [anon_sym_map] = ACTIONS(269),
    [anon_sym_bit_set] = ACTIONS(271),
    [anon_sym_matrix] = ACTIONS(273),
    [anon_sym_distinct] = ACTIONS(275),
    [sym_number] = ACTIONS(277),
    [anon_sym_DQUOTE] = ACTIONS(279),
    [anon_sym_BQUOTE] = ACTIONS(281),
    [anon_sym_SQUOTE] = ACTIONS(283),
    [anon_sym_true] = ACTIONS(285),
    [anon_sym_false] = ACTIONS(285),
    [sym_nil] = ACTIONS(287),
    [sym_uninitialized] = ACTIONS(277),
    [sym_tag] = ACTIONS(289),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(277),
    [sym_block_comment] = ACTIONS(3),
  },
  [279] = {
    [sym_procedure] = STATE(6891),
    [sym_expression] = STATE(5114),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(6973),
    [sym_array_type] = STATE(6973),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(6976),
    [sym__procedure_type] = STATE(7964),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(2837),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [280] = {
    [sym_procedure] = STATE(6966),
    [sym_expression] = STATE(5303),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(6938),
    [sym_array_type] = STATE(6938),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(7032),
    [sym__procedure_type] = STATE(8124),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(2839),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [281] = {
    [sym_procedure] = STATE(6948),
    [sym_expression] = STATE(5087),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(6950),
    [sym_array_type] = STATE(6950),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(6915),
    [sym__procedure_type] = STATE(8449),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(2841),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [282] = {
    [sym_procedure] = STATE(7330),
    [sym_expression] = STATE(5532),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7330),
    [sym_array_type] = STATE(7330),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(7330),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(2843),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [283] = {
    [sym_procedure] = STATE(4270),
    [sym_expression] = STATE(4539),
    [sym__expression_no_tag] = STATE(4256),
    [sym_unary_expression] = STATE(4256),
    [sym_binary_expression] = STATE(4256),
    [sym_ternary_expression] = STATE(4256),
    [sym_call_expression] = STATE(4256),
    [sym_selector_call_expression] = STATE(4256),
    [sym_member_expression] = STATE(4256),
    [sym_index_expression] = STATE(4256),
    [sym_slice_expression] = STATE(4256),
    [sym_range_expression] = STATE(4256),
    [sym_cast_expression] = STATE(4256),
    [sym_in_expression] = STATE(4256),
    [sym_variadic_expression] = STATE(4256),
    [sym_parenthesized_expression] = STATE(4256),
    [sym_or_return_expression] = STATE(4256),
    [sym_or_continue_expression] = STATE(4256),
    [sym_or_break_expression] = STATE(4256),
    [sym_address] = STATE(4256),
    [sym_map_type] = STATE(4256),
    [sym_matrix_type] = STATE(4256),
    [sym__procedure_type] = STATE(6465),
    [sym_distinct_type] = STATE(4256),
    [sym_literal] = STATE(4256),
    [sym_struct] = STATE(4297),
    [sym_map] = STATE(4290),
    [sym_bit_set] = STATE(4290),
    [sym_matrix] = STATE(4290),
    [sym_string] = STATE(4290),
    [sym__string_literal] = STATE(4298),
    [sym__raw_string_literal] = STATE(4298),
    [sym_character] = STATE(4290),
    [sym_boolean] = STATE(4290),
    [sym_field_identifier] = STATE(7838),
    [sym_identifier] = ACTIONS(757),
    [anon_sym_LBRACE] = ACTIONS(707),
    [anon_sym_RBRACE] = ACTIONS(2845),
    [anon_sym_proc] = ACTIONS(711),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_SEMI] = ACTIONS(2845),
    [anon_sym_else] = ACTIONS(2847),
    [anon_sym_case] = ACTIONS(2847),
    [anon_sym_QMARK] = ACTIONS(717),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(721),
    [anon_sym_TILDE] = ACTIONS(719),
    [anon_sym_BANG] = ACTIONS(719),
    [anon_sym_AMP] = ACTIONS(719),
    [anon_sym_DOT] = ACTIONS(723),
    [anon_sym_LBRACK] = ACTIONS(725),
    [anon_sym_cast] = ACTIONS(727),
    [anon_sym_transmute] = ACTIONS(727),
    [anon_sym_auto_cast] = ACTIONS(729),
    [anon_sym_DOT_DOT] = ACTIONS(2849),
    [anon_sym_map] = ACTIONS(733),
    [anon_sym_bit_set] = ACTIONS(735),
    [anon_sym_matrix] = ACTIONS(737),
    [anon_sym_distinct] = ACTIONS(739),
    [sym_number] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(743),
    [anon_sym_BQUOTE] = ACTIONS(745),
    [anon_sym_SQUOTE] = ACTIONS(747),
    [anon_sym_true] = ACTIONS(749),
    [anon_sym_false] = ACTIONS(749),
    [sym_nil] = ACTIONS(751),
    [sym_uninitialized] = ACTIONS(741),
    [sym_tag] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(2845),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(741),
    [sym_block_comment] = ACTIONS(3),
  },
  [284] = {
    [sym_procedure] = STATE(7330),
    [sym_expression] = STATE(5532),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7330),
    [sym_array_type] = STATE(7330),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(7330),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(2851),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [285] = {
    [sym_procedure] = STATE(6975),
    [sym_expression] = STATE(5271),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(6975),
    [sym_array_type] = STATE(6975),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(6975),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(2839),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [286] = {
    [sym_procedure] = STATE(6916),
    [sym_expression] = STATE(5382),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(6916),
    [sym_array_type] = STATE(6916),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(6916),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(2853),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [287] = {
    [sym_procedure] = STATE(7330),
    [sym_expression] = STATE(5532),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7330),
    [sym_array_type] = STATE(7330),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(7330),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(2855),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [288] = {
    [sym_procedure] = STATE(7330),
    [sym_expression] = STATE(5532),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7330),
    [sym_array_type] = STATE(7330),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(7330),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(2857),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [289] = {
    [sym_procedure] = STATE(6871),
    [sym_expression] = STATE(5255),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(6871),
    [sym_array_type] = STATE(6871),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(6871),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(2859),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(2861),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [290] = {
    [sym_procedure] = STATE(7330),
    [sym_expression] = STATE(5532),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7330),
    [sym_array_type] = STATE(7330),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(7330),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(2863),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [291] = {
    [sym_procedure] = STATE(7330),
    [sym_expression] = STATE(5532),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7330),
    [sym_array_type] = STATE(7330),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(7330),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(2865),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [292] = {
    [sym_procedure] = STATE(7330),
    [sym_expression] = STATE(5532),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7330),
    [sym_array_type] = STATE(7330),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(7330),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(2867),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [293] = {
    [sym_procedure] = STATE(7330),
    [sym_expression] = STATE(5532),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7330),
    [sym_array_type] = STATE(7330),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(7330),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(2869),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [294] = {
    [sym_procedure] = STATE(7330),
    [sym_expression] = STATE(5532),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7330),
    [sym_array_type] = STATE(7330),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(7330),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(2871),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [295] = {
    [sym_procedure] = STATE(7330),
    [sym_expression] = STATE(5532),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7330),
    [sym_array_type] = STATE(7330),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(7330),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(2873),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [296] = {
    [sym_procedure] = STATE(7330),
    [sym_expression] = STATE(5532),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7330),
    [sym_array_type] = STATE(7330),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(7330),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(2875),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [297] = {
    [sym_procedure] = STATE(7330),
    [sym_expression] = STATE(5532),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7330),
    [sym_array_type] = STATE(7330),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(7330),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(2877),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [298] = {
    [sym_procedure] = STATE(7330),
    [sym_expression] = STATE(5532),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7330),
    [sym_array_type] = STATE(7330),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(7330),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(2879),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [299] = {
    [sym_procedure] = STATE(7330),
    [sym_expression] = STATE(5532),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7330),
    [sym_array_type] = STATE(7330),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(7330),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(2881),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [300] = {
    [sym_procedure] = STATE(7330),
    [sym_expression] = STATE(5532),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7330),
    [sym_array_type] = STATE(7330),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(7330),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(2883),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [301] = {
    [sym_procedure] = STATE(7330),
    [sym_expression] = STATE(5532),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7330),
    [sym_array_type] = STATE(7330),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(7330),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(2885),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [302] = {
    [sym_procedure] = STATE(7330),
    [sym_expression] = STATE(5532),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7330),
    [sym_array_type] = STATE(7330),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(7330),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(2887),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [303] = {
    [sym_procedure] = STATE(7036),
    [sym_expression] = STATE(4989),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7036),
    [sym_array_type] = STATE(7036),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(7036),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(2813),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [304] = {
    [sym_procedure] = STATE(6873),
    [sym_expression] = STATE(5085),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(6873),
    [sym_array_type] = STATE(6873),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(6873),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(2889),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [305] = {
    [sym_procedure] = STATE(7330),
    [sym_expression] = STATE(5532),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7330),
    [sym_array_type] = STATE(7330),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(7330),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(2891),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [306] = {
    [sym_procedure] = STATE(6935),
    [sym_expression] = STATE(5297),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(6935),
    [sym_array_type] = STATE(6935),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(6935),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(2893),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(2895),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [307] = {
    [sym_procedure] = STATE(7330),
    [sym_expression] = STATE(5532),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7330),
    [sym_array_type] = STATE(7330),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(7330),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(2897),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [308] = {
    [sym_procedure] = STATE(7330),
    [sym_expression] = STATE(5532),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7330),
    [sym_array_type] = STATE(7330),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(7330),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(2899),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [309] = {
    [sym_procedure] = STATE(7330),
    [sym_expression] = STATE(5532),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7330),
    [sym_array_type] = STATE(7330),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(7330),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(2901),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [310] = {
    [sym_procedure] = STATE(7330),
    [sym_expression] = STATE(5532),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7330),
    [sym_array_type] = STATE(7330),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(7330),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(2903),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [311] = {
    [sym_procedure] = STATE(7330),
    [sym_expression] = STATE(5532),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7330),
    [sym_array_type] = STATE(7330),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(7330),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(2905),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [312] = {
    [sym_procedure] = STATE(7330),
    [sym_expression] = STATE(5532),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7330),
    [sym_array_type] = STATE(7330),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(7330),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(2907),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [313] = {
    [sym_procedure] = STATE(7330),
    [sym_expression] = STATE(5532),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7330),
    [sym_array_type] = STATE(7330),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(7330),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(2909),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [314] = {
    [sym_procedure] = STATE(7330),
    [sym_expression] = STATE(5532),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7330),
    [sym_array_type] = STATE(7330),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(7330),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(2911),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [315] = {
    [sym_procedure] = STATE(7330),
    [sym_expression] = STATE(5532),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7330),
    [sym_array_type] = STATE(7330),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(7330),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(2913),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [316] = {
    [sym_procedure] = STATE(7330),
    [sym_expression] = STATE(5532),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7330),
    [sym_array_type] = STATE(7330),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(7330),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(2915),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [317] = {
    [sym_procedure] = STATE(7330),
    [sym_expression] = STATE(5532),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7330),
    [sym_array_type] = STATE(7330),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(7330),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(2917),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [318] = {
    [sym_procedure] = STATE(7330),
    [sym_expression] = STATE(5532),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7330),
    [sym_array_type] = STATE(7330),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(7330),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(2919),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [319] = {
    [sym_procedure] = STATE(6915),
    [sym_expression] = STATE(4969),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(6915),
    [sym_array_type] = STATE(6915),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(6915),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(2841),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [320] = {
    [sym_procedure] = STATE(6935),
    [sym_expression] = STATE(5297),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(6935),
    [sym_array_type] = STATE(6935),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(6935),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(2921),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [321] = {
    [sym_procedure] = STATE(7330),
    [sym_expression] = STATE(5532),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7330),
    [sym_array_type] = STATE(7330),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(7330),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(2923),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [322] = {
    [sym_procedure] = STATE(7048),
    [sym_expression] = STATE(5215),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7048),
    [sym_array_type] = STATE(7048),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(7048),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(2925),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(2927),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [323] = {
    [sym_procedure] = STATE(7330),
    [sym_expression] = STATE(5532),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7330),
    [sym_array_type] = STATE(7330),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(7330),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(2929),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [324] = {
    [sym_procedure] = STATE(7330),
    [sym_expression] = STATE(5532),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7330),
    [sym_array_type] = STATE(7330),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(7330),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(2931),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [325] = {
    [sym_procedure] = STATE(7330),
    [sym_expression] = STATE(5532),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7330),
    [sym_array_type] = STATE(7330),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(7330),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(2933),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [326] = {
    [sym_procedure] = STATE(7330),
    [sym_expression] = STATE(5532),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7330),
    [sym_array_type] = STATE(7330),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(7330),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(2935),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [327] = {
    [sym_procedure] = STATE(7330),
    [sym_expression] = STATE(5532),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7330),
    [sym_array_type] = STATE(7330),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(7330),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(2937),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [328] = {
    [sym_procedure] = STATE(7330),
    [sym_expression] = STATE(5532),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7330),
    [sym_array_type] = STATE(7330),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(7330),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(2939),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [329] = {
    [sym_procedure] = STATE(7330),
    [sym_expression] = STATE(5532),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7330),
    [sym_array_type] = STATE(7330),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(7330),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(2941),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [330] = {
    [sym_procedure] = STATE(7330),
    [sym_expression] = STATE(5532),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7330),
    [sym_array_type] = STATE(7330),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(7330),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(2943),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [331] = {
    [sym_procedure] = STATE(7330),
    [sym_expression] = STATE(5532),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7330),
    [sym_array_type] = STATE(7330),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(7330),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(2945),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [332] = {
    [sym_procedure] = STATE(7330),
    [sym_expression] = STATE(5532),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7330),
    [sym_array_type] = STATE(7330),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(7330),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(2947),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [333] = {
    [sym_procedure] = STATE(7330),
    [sym_expression] = STATE(5532),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7330),
    [sym_array_type] = STATE(7330),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(7330),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(2949),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [334] = {
    [sym_procedure] = STATE(7019),
    [sym_expression] = STATE(5135),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7019),
    [sym_array_type] = STATE(7019),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(7019),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(2831),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [335] = {
    [sym_procedure] = STATE(6957),
    [sym_expression] = STATE(5102),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(6957),
    [sym_array_type] = STATE(6957),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(6957),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(2951),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [336] = {
    [sym_procedure] = STATE(7330),
    [sym_expression] = STATE(5532),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7330),
    [sym_array_type] = STATE(7330),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(7330),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(2953),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [337] = {
    [sym_procedure] = STATE(6916),
    [sym_expression] = STATE(5382),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(6916),
    [sym_array_type] = STATE(6916),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(6916),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(2955),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(2957),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [338] = {
    [sym_procedure] = STATE(7330),
    [sym_expression] = STATE(5532),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7330),
    [sym_array_type] = STATE(7330),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(7330),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(2959),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [339] = {
    [sym_procedure] = STATE(7330),
    [sym_expression] = STATE(5532),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7330),
    [sym_array_type] = STATE(7330),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(7330),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(2961),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [340] = {
    [sym_procedure] = STATE(7330),
    [sym_expression] = STATE(5532),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7330),
    [sym_array_type] = STATE(7330),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(7330),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(2963),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [341] = {
    [sym_procedure] = STATE(7330),
    [sym_expression] = STATE(5532),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7330),
    [sym_array_type] = STATE(7330),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(7330),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(2965),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [342] = {
    [sym_procedure] = STATE(7330),
    [sym_expression] = STATE(5532),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7330),
    [sym_array_type] = STATE(7330),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(7330),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(2967),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [343] = {
    [sym_procedure] = STATE(7330),
    [sym_expression] = STATE(5532),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7330),
    [sym_array_type] = STATE(7330),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(7330),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(2969),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [344] = {
    [sym_procedure] = STATE(7330),
    [sym_expression] = STATE(5532),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7330),
    [sym_array_type] = STATE(7330),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(7330),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(2971),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [345] = {
    [sym_procedure] = STATE(7330),
    [sym_expression] = STATE(5532),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7330),
    [sym_array_type] = STATE(7330),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(7330),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(2973),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [346] = {
    [sym_procedure] = STATE(7330),
    [sym_expression] = STATE(5532),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7330),
    [sym_array_type] = STATE(7330),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(7330),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(2975),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [347] = {
    [sym_procedure] = STATE(7330),
    [sym_expression] = STATE(5532),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7330),
    [sym_array_type] = STATE(7330),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(7330),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(2977),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [348] = {
    [sym_procedure] = STATE(7330),
    [sym_expression] = STATE(5532),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7330),
    [sym_array_type] = STATE(7330),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(7330),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(2979),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [349] = {
    [sym_procedure] = STATE(7330),
    [sym_expression] = STATE(5532),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7330),
    [sym_array_type] = STATE(7330),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(7330),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(2981),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [350] = {
    [sym_procedure] = STATE(6976),
    [sym_expression] = STATE(5070),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(6976),
    [sym_array_type] = STATE(6976),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(6976),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(2837),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [351] = {
    [sym_procedure] = STATE(7048),
    [sym_expression] = STATE(5215),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7048),
    [sym_array_type] = STATE(7048),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(7048),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(2983),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [352] = {
    [sym_procedure] = STATE(7330),
    [sym_expression] = STATE(5532),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7330),
    [sym_array_type] = STATE(7330),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(7330),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(2985),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [353] = {
    [sym_procedure] = STATE(6873),
    [sym_expression] = STATE(5085),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(6873),
    [sym_array_type] = STATE(6873),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(6873),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(2893),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(2987),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [354] = {
    [sym_procedure] = STATE(7330),
    [sym_expression] = STATE(5532),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7330),
    [sym_array_type] = STATE(7330),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(7330),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(2989),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [355] = {
    [sym_procedure] = STATE(7330),
    [sym_expression] = STATE(5532),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7330),
    [sym_array_type] = STATE(7330),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(7330),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(2991),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [356] = {
    [sym_procedure] = STATE(7330),
    [sym_expression] = STATE(5532),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7330),
    [sym_array_type] = STATE(7330),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(7330),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(2993),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [357] = {
    [sym_procedure] = STATE(7330),
    [sym_expression] = STATE(5532),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7330),
    [sym_array_type] = STATE(7330),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(7330),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(2995),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [358] = {
    [sym_procedure] = STATE(7330),
    [sym_expression] = STATE(5532),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7330),
    [sym_array_type] = STATE(7330),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(7330),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(2997),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [359] = {
    [sym_procedure] = STATE(7330),
    [sym_expression] = STATE(5532),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7330),
    [sym_array_type] = STATE(7330),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(7330),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(2999),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [360] = {
    [sym_procedure] = STATE(7330),
    [sym_expression] = STATE(5532),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7330),
    [sym_array_type] = STATE(7330),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(7330),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(3001),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [361] = {
    [sym_procedure] = STATE(7330),
    [sym_expression] = STATE(5532),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7330),
    [sym_array_type] = STATE(7330),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(7330),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(3003),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [362] = {
    [sym_procedure] = STATE(7330),
    [sym_expression] = STATE(5532),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7330),
    [sym_array_type] = STATE(7330),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(7330),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(3005),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [363] = {
    [sym_procedure] = STATE(7330),
    [sym_expression] = STATE(5532),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7330),
    [sym_array_type] = STATE(7330),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(7330),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(3007),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [364] = {
    [sym_procedure] = STATE(7330),
    [sym_expression] = STATE(5532),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7330),
    [sym_array_type] = STATE(7330),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(7330),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(3009),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [365] = {
    [sym_procedure] = STATE(7330),
    [sym_expression] = STATE(5532),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7330),
    [sym_array_type] = STATE(7330),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(7330),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(3011),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [366] = {
    [sym_procedure] = STATE(7041),
    [sym_expression] = STATE(5443),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7041),
    [sym_array_type] = STATE(7041),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(7041),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(3013),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [367] = {
    [sym_procedure] = STATE(6923),
    [sym_expression] = STATE(4957),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(6923),
    [sym_array_type] = STATE(6923),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(6923),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(3015),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [368] = {
    [sym_procedure] = STATE(7330),
    [sym_expression] = STATE(5532),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7330),
    [sym_array_type] = STATE(7330),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(7330),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(3017),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [369] = {
    [sym_procedure] = STATE(7330),
    [sym_expression] = STATE(5532),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7330),
    [sym_array_type] = STATE(7330),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(7330),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(3019),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [370] = {
    [sym_procedure] = STATE(7330),
    [sym_expression] = STATE(5532),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7330),
    [sym_array_type] = STATE(7330),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(7330),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(3021),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [371] = {
    [sym_procedure] = STATE(7330),
    [sym_expression] = STATE(5532),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7330),
    [sym_array_type] = STATE(7330),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(7330),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(3023),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [372] = {
    [sym_procedure] = STATE(7330),
    [sym_expression] = STATE(5532),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7330),
    [sym_array_type] = STATE(7330),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(7330),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(3025),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [373] = {
    [sym_procedure] = STATE(7330),
    [sym_expression] = STATE(5532),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7330),
    [sym_array_type] = STATE(7330),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(7330),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(3027),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [374] = {
    [sym_procedure] = STATE(7330),
    [sym_expression] = STATE(5532),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7330),
    [sym_array_type] = STATE(7330),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(7330),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(3029),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [375] = {
    [sym_procedure] = STATE(7330),
    [sym_expression] = STATE(5532),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7330),
    [sym_array_type] = STATE(7330),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(7330),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(3031),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [376] = {
    [sym_procedure] = STATE(7330),
    [sym_expression] = STATE(5532),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7330),
    [sym_array_type] = STATE(7330),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(7330),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(3033),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [377] = {
    [sym_procedure] = STATE(7330),
    [sym_expression] = STATE(5532),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7330),
    [sym_array_type] = STATE(7330),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(7330),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(3035),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [378] = {
    [sym_procedure] = STATE(7009),
    [sym_expression] = STATE(5330),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7009),
    [sym_array_type] = STATE(7009),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(7009),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(3037),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [379] = {
    [sym_procedure] = STATE(6998),
    [sym_expression] = STATE(5100),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(6998),
    [sym_array_type] = STATE(6998),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(6998),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(3039),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [380] = {
    [sym_procedure] = STATE(7330),
    [sym_expression] = STATE(5532),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7330),
    [sym_array_type] = STATE(7330),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(7330),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(3041),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [381] = {
    [sym_procedure] = STATE(7330),
    [sym_expression] = STATE(5532),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7330),
    [sym_array_type] = STATE(7330),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(7330),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(3043),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [382] = {
    [sym_procedure] = STATE(7330),
    [sym_expression] = STATE(5532),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7330),
    [sym_array_type] = STATE(7330),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(7330),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(3045),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [383] = {
    [sym_procedure] = STATE(7330),
    [sym_expression] = STATE(5532),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7330),
    [sym_array_type] = STATE(7330),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(7330),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(3047),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [384] = {
    [sym_procedure] = STATE(7330),
    [sym_expression] = STATE(5532),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7330),
    [sym_array_type] = STATE(7330),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(7330),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(3049),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [385] = {
    [sym_procedure] = STATE(7330),
    [sym_expression] = STATE(5532),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7330),
    [sym_array_type] = STATE(7330),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(7330),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(3051),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [386] = {
    [sym_procedure] = STATE(7330),
    [sym_expression] = STATE(5532),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7330),
    [sym_array_type] = STATE(7330),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(7330),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(3053),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [387] = {
    [sym_procedure] = STATE(7330),
    [sym_expression] = STATE(5532),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7330),
    [sym_array_type] = STATE(7330),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(7330),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(3055),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [388] = {
    [sym_procedure] = STATE(7330),
    [sym_expression] = STATE(5532),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7330),
    [sym_array_type] = STATE(7330),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(7330),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(3057),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [389] = {
    [sym_procedure] = STATE(7330),
    [sym_expression] = STATE(5532),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7330),
    [sym_array_type] = STATE(7330),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(7330),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(3059),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [390] = {
    [sym_procedure] = STATE(7007),
    [sym_expression] = STATE(5000),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7007),
    [sym_array_type] = STATE(7007),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(7007),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(3061),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [391] = {
    [sym_procedure] = STATE(7053),
    [sym_expression] = STATE(5225),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7053),
    [sym_array_type] = STATE(7053),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(7053),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(3063),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [392] = {
    [sym_procedure] = STATE(7330),
    [sym_expression] = STATE(5532),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7330),
    [sym_array_type] = STATE(7330),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(7330),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(3065),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [393] = {
    [sym_procedure] = STATE(7330),
    [sym_expression] = STATE(5532),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7330),
    [sym_array_type] = STATE(7330),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(7330),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(3067),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [394] = {
    [sym_procedure] = STATE(7330),
    [sym_expression] = STATE(5532),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7330),
    [sym_array_type] = STATE(7330),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(7330),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(3069),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [395] = {
    [sym_procedure] = STATE(7330),
    [sym_expression] = STATE(5532),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7330),
    [sym_array_type] = STATE(7330),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(7330),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(3071),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [396] = {
    [sym_procedure] = STATE(7330),
    [sym_expression] = STATE(5532),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7330),
    [sym_array_type] = STATE(7330),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(7330),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(3073),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [397] = {
    [sym_procedure] = STATE(7330),
    [sym_expression] = STATE(5532),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7330),
    [sym_array_type] = STATE(7330),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(7330),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(3075),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [398] = {
    [sym_procedure] = STATE(7330),
    [sym_expression] = STATE(5532),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7330),
    [sym_array_type] = STATE(7330),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(7330),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(3077),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [399] = {
    [sym_procedure] = STATE(7330),
    [sym_expression] = STATE(5532),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7330),
    [sym_array_type] = STATE(7330),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(7330),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(3079),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [400] = {
    [sym_procedure] = STATE(7330),
    [sym_expression] = STATE(5532),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7330),
    [sym_array_type] = STATE(7330),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(7330),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(3081),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [401] = {
    [sym_procedure] = STATE(7330),
    [sym_expression] = STATE(5532),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7330),
    [sym_array_type] = STATE(7330),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(7330),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(3083),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [402] = {
    [sym_procedure] = STATE(6899),
    [sym_expression] = STATE(5038),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(6899),
    [sym_array_type] = STATE(6899),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(6899),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(3085),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [403] = {
    [sym_procedure] = STATE(7033),
    [sym_expression] = STATE(5364),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7033),
    [sym_array_type] = STATE(7033),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(7033),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(3087),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [404] = {
    [sym_procedure] = STATE(7330),
    [sym_expression] = STATE(5532),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7330),
    [sym_array_type] = STATE(7330),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(7330),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(3089),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [405] = {
    [sym_procedure] = STATE(7330),
    [sym_expression] = STATE(5532),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7330),
    [sym_array_type] = STATE(7330),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(7330),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(3091),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [406] = {
    [sym_procedure] = STATE(7330),
    [sym_expression] = STATE(5532),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7330),
    [sym_array_type] = STATE(7330),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(7330),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(3093),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [407] = {
    [sym_procedure] = STATE(7330),
    [sym_expression] = STATE(5532),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7330),
    [sym_array_type] = STATE(7330),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(7330),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(3095),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [408] = {
    [sym_procedure] = STATE(7330),
    [sym_expression] = STATE(5532),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7330),
    [sym_array_type] = STATE(7330),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(7330),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(3097),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [409] = {
    [sym_procedure] = STATE(7330),
    [sym_expression] = STATE(5532),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7330),
    [sym_array_type] = STATE(7330),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(7330),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(3099),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [410] = {
    [sym_procedure] = STATE(7330),
    [sym_expression] = STATE(5532),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7330),
    [sym_array_type] = STATE(7330),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(7330),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(3101),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [411] = {
    [sym_procedure] = STATE(7330),
    [sym_expression] = STATE(5532),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7330),
    [sym_array_type] = STATE(7330),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(7330),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(3103),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [412] = {
    [sym_procedure] = STATE(7330),
    [sym_expression] = STATE(5532),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7330),
    [sym_array_type] = STATE(7330),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(7330),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(3105),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [413] = {
    [sym_procedure] = STATE(7330),
    [sym_expression] = STATE(5532),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7330),
    [sym_array_type] = STATE(7330),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(7330),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(3107),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [414] = {
    [sym_procedure] = STATE(6871),
    [sym_expression] = STATE(5255),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(6871),
    [sym_array_type] = STATE(6871),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(6871),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(3109),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [415] = {
    [sym_procedure] = STATE(6962),
    [sym_expression] = STATE(5206),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(6962),
    [sym_array_type] = STATE(6962),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(6962),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(3111),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [416] = {
    [sym_procedure] = STATE(6895),
    [sym_expression] = STATE(5480),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(6895),
    [sym_array_type] = STATE(6895),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(6895),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(3113),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [417] = {
    [sym_procedure] = STATE(7330),
    [sym_expression] = STATE(5532),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7330),
    [sym_array_type] = STATE(7330),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(7330),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(3115),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [418] = {
    [sym_procedure] = STATE(7330),
    [sym_expression] = STATE(5532),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7330),
    [sym_array_type] = STATE(7330),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(7330),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(3117),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [419] = {
    [sym_procedure] = STATE(7330),
    [sym_expression] = STATE(5532),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7330),
    [sym_array_type] = STATE(7330),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(7330),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(3119),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [420] = {
    [sym_procedure] = STATE(7330),
    [sym_expression] = STATE(5532),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7330),
    [sym_array_type] = STATE(7330),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(7330),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(3121),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [421] = {
    [sym_procedure] = STATE(7330),
    [sym_expression] = STATE(5532),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7330),
    [sym_array_type] = STATE(7330),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(7330),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(3123),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [422] = {
    [sym_procedure] = STATE(7330),
    [sym_expression] = STATE(5532),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7330),
    [sym_array_type] = STATE(7330),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(7330),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(3125),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [423] = {
    [sym_procedure] = STATE(7330),
    [sym_expression] = STATE(5532),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7330),
    [sym_array_type] = STATE(7330),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(7330),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(3127),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [424] = {
    [sym_procedure] = STATE(7330),
    [sym_expression] = STATE(5532),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7330),
    [sym_array_type] = STATE(7330),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(7330),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(3129),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [425] = {
    [sym_procedure] = STATE(7330),
    [sym_expression] = STATE(5532),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7330),
    [sym_array_type] = STATE(7330),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(7330),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(3131),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [426] = {
    [sym_procedure] = STATE(7330),
    [sym_expression] = STATE(5532),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7330),
    [sym_array_type] = STATE(7330),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(7330),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(3133),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [427] = {
    [sym_procedure] = STATE(6983),
    [sym_expression] = STATE(5275),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(6983),
    [sym_array_type] = STATE(6983),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(6983),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(3135),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [428] = {
    [sym_procedure] = STATE(6970),
    [sym_expression] = STATE(5279),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(6970),
    [sym_array_type] = STATE(6970),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(6970),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(3137),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [429] = {
    [sym_procedure] = STATE(7330),
    [sym_expression] = STATE(5532),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7330),
    [sym_array_type] = STATE(7330),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(7330),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(3139),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [430] = {
    [sym_procedure] = STATE(7330),
    [sym_expression] = STATE(5532),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7330),
    [sym_array_type] = STATE(7330),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(7330),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(3141),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [431] = {
    [sym_procedure] = STATE(7330),
    [sym_expression] = STATE(5532),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7330),
    [sym_array_type] = STATE(7330),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(7330),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(3143),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [432] = {
    [sym_procedure] = STATE(7330),
    [sym_expression] = STATE(5532),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7330),
    [sym_array_type] = STATE(7330),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(7330),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(3145),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [433] = {
    [sym_procedure] = STATE(7330),
    [sym_expression] = STATE(5532),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7330),
    [sym_array_type] = STATE(7330),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(7330),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(3147),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [434] = {
    [sym_procedure] = STATE(7330),
    [sym_expression] = STATE(5532),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7330),
    [sym_array_type] = STATE(7330),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(7330),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(3149),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [435] = {
    [sym_procedure] = STATE(7330),
    [sym_expression] = STATE(5532),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7330),
    [sym_array_type] = STATE(7330),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(7330),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(3151),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [436] = {
    [sym_procedure] = STATE(7330),
    [sym_expression] = STATE(5532),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7330),
    [sym_array_type] = STATE(7330),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(7330),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(3153),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [437] = {
    [sym_procedure] = STATE(7330),
    [sym_expression] = STATE(5532),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7330),
    [sym_array_type] = STATE(7330),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(7330),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(3155),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [438] = {
    [sym_procedure] = STATE(7330),
    [sym_expression] = STATE(5532),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7330),
    [sym_array_type] = STATE(7330),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(7330),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(3157),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [439] = {
    [sym_procedure] = STATE(6901),
    [sym_expression] = STATE(5123),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(6901),
    [sym_array_type] = STATE(6901),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(6901),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(2825),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [440] = {
    [sym_procedure] = STATE(7032),
    [sym_expression] = STATE(5207),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7032),
    [sym_array_type] = STATE(7032),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(7032),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(2839),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [441] = {
    [sym_procedure] = STATE(6913),
    [sym_expression] = STATE(5327),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(6913),
    [sym_array_type] = STATE(6913),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(6913),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(2813),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [442] = {
    [sym_procedure] = STATE(6995),
    [sym_expression] = STATE(5295),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(6995),
    [sym_array_type] = STATE(6995),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(6995),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(2841),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [443] = {
    [sym_procedure] = STATE(6907),
    [sym_expression] = STATE(5484),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(6907),
    [sym_array_type] = STATE(6907),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(6907),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(2831),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [444] = {
    [sym_block] = STATE(6825),
    [sym_attributes] = STATE(1524),
    [sym_attribute] = STATE(5637),
    [sym_update_statement] = STATE(7620),
    [sym__simple_assignment_statement] = STATE(7620),
    [sym_expression] = STATE(3388),
    [sym__expression_no_tag] = STATE(2799),
    [sym_unary_expression] = STATE(2799),
    [sym_binary_expression] = STATE(2799),
    [sym_ternary_expression] = STATE(2799),
    [sym_call_expression] = STATE(2799),
    [sym_selector_call_expression] = STATE(2799),
    [sym_member_expression] = STATE(2799),
    [sym_index_expression] = STATE(2799),
    [sym_slice_expression] = STATE(2799),
    [sym_range_expression] = STATE(2799),
    [sym_cast_expression] = STATE(2799),
    [sym_in_expression] = STATE(2799),
    [sym_variadic_expression] = STATE(2799),
    [sym_parenthesized_expression] = STATE(2799),
    [sym_or_return_expression] = STATE(2799),
    [sym_or_continue_expression] = STATE(2799),
    [sym_or_break_expression] = STATE(2799),
    [sym_address] = STATE(2799),
    [sym_map_type] = STATE(2799),
    [sym_matrix_type] = STATE(2799),
    [sym_distinct_type] = STATE(2799),
    [sym_literal] = STATE(2799),
    [sym_struct] = STATE(2751),
    [sym_map] = STATE(2747),
    [sym_bit_set] = STATE(2747),
    [sym_matrix] = STATE(2747),
    [sym_string] = STATE(2747),
    [sym__string_literal] = STATE(2752),
    [sym__raw_string_literal] = STATE(2752),
    [sym_character] = STATE(2747),
    [sym_boolean] = STATE(2747),
    [sym_field_identifier] = STATE(7946),
    [aux_sym_attributes_repeat1] = STATE(5637),
    [sym_identifier] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(3159),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(373),
    [anon_sym_do] = ACTIONS(3161),
    [anon_sym_QMARK] = ACTIONS(3163),
    [anon_sym_PLUS] = ACTIONS(3165),
    [anon_sym_DASH] = ACTIONS(311),
    [anon_sym_TILDE] = ACTIONS(3165),
    [anon_sym_BANG] = ACTIONS(3165),
    [anon_sym_AMP] = ACTIONS(3165),
    [anon_sym_DOT] = ACTIONS(377),
    [anon_sym_LBRACK] = ACTIONS(379),
    [anon_sym_cast] = ACTIONS(313),
    [anon_sym_transmute] = ACTIONS(313),
    [anon_sym_auto_cast] = ACTIONS(315),
    [anon_sym_DOT_DOT] = ACTIONS(3167),
    [anon_sym_map] = ACTIONS(319),
    [anon_sym_bit_set] = ACTIONS(321),
    [anon_sym_matrix] = ACTIONS(323),
    [anon_sym_distinct] = ACTIONS(325),
    [sym_number] = ACTIONS(327),
    [anon_sym_DQUOTE] = ACTIONS(329),
    [anon_sym_BQUOTE] = ACTIONS(331),
    [anon_sym_SQUOTE] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym_nil] = ACTIONS(337),
    [sym_uninitialized] = ACTIONS(327),
    [sym_tag] = ACTIONS(339),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(327),
    [sym_block_comment] = ACTIONS(3),
  },
  [445] = {
    [sym_block] = STATE(6810),
    [sym_attributes] = STATE(1524),
    [sym_attribute] = STATE(5637),
    [sym_update_statement] = STATE(7591),
    [sym__simple_assignment_statement] = STATE(7591),
    [sym_expression] = STATE(3388),
    [sym__expression_no_tag] = STATE(2799),
    [sym_unary_expression] = STATE(2799),
    [sym_binary_expression] = STATE(2799),
    [sym_ternary_expression] = STATE(2799),
    [sym_call_expression] = STATE(2799),
    [sym_selector_call_expression] = STATE(2799),
    [sym_member_expression] = STATE(2799),
    [sym_index_expression] = STATE(2799),
    [sym_slice_expression] = STATE(2799),
    [sym_range_expression] = STATE(2799),
    [sym_cast_expression] = STATE(2799),
    [sym_in_expression] = STATE(2799),
    [sym_variadic_expression] = STATE(2799),
    [sym_parenthesized_expression] = STATE(2799),
    [sym_or_return_expression] = STATE(2799),
    [sym_or_continue_expression] = STATE(2799),
    [sym_or_break_expression] = STATE(2799),
    [sym_address] = STATE(2799),
    [sym_map_type] = STATE(2799),
    [sym_matrix_type] = STATE(2799),
    [sym_distinct_type] = STATE(2799),
    [sym_literal] = STATE(2799),
    [sym_struct] = STATE(2751),
    [sym_map] = STATE(2747),
    [sym_bit_set] = STATE(2747),
    [sym_matrix] = STATE(2747),
    [sym_string] = STATE(2747),
    [sym__string_literal] = STATE(2752),
    [sym__raw_string_literal] = STATE(2752),
    [sym_character] = STATE(2747),
    [sym_boolean] = STATE(2747),
    [sym_field_identifier] = STATE(7946),
    [aux_sym_attributes_repeat1] = STATE(5637),
    [sym_identifier] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(3159),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(373),
    [anon_sym_do] = ACTIONS(3169),
    [anon_sym_QMARK] = ACTIONS(3163),
    [anon_sym_PLUS] = ACTIONS(3165),
    [anon_sym_DASH] = ACTIONS(311),
    [anon_sym_TILDE] = ACTIONS(3165),
    [anon_sym_BANG] = ACTIONS(3165),
    [anon_sym_AMP] = ACTIONS(3165),
    [anon_sym_DOT] = ACTIONS(377),
    [anon_sym_LBRACK] = ACTIONS(379),
    [anon_sym_cast] = ACTIONS(313),
    [anon_sym_transmute] = ACTIONS(313),
    [anon_sym_auto_cast] = ACTIONS(315),
    [anon_sym_DOT_DOT] = ACTIONS(3167),
    [anon_sym_map] = ACTIONS(319),
    [anon_sym_bit_set] = ACTIONS(321),
    [anon_sym_matrix] = ACTIONS(323),
    [anon_sym_distinct] = ACTIONS(325),
    [sym_number] = ACTIONS(327),
    [anon_sym_DQUOTE] = ACTIONS(329),
    [anon_sym_BQUOTE] = ACTIONS(331),
    [anon_sym_SQUOTE] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym_nil] = ACTIONS(337),
    [sym_uninitialized] = ACTIONS(327),
    [sym_tag] = ACTIONS(339),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(327),
    [sym_block_comment] = ACTIONS(3),
  },
  [446] = {
    [sym_attributes] = STATE(1606),
    [sym_attribute] = STATE(5637),
    [sym_assignment_statement] = STATE(8154),
    [sym_update_statement] = STATE(8154),
    [sym_var_declaration] = STATE(8154),
    [sym_expression] = STATE(2955),
    [sym__expression_no_tag] = STATE(2655),
    [sym_unary_expression] = STATE(2655),
    [sym_binary_expression] = STATE(2655),
    [sym_ternary_expression] = STATE(2655),
    [sym_call_expression] = STATE(2655),
    [sym_selector_call_expression] = STATE(2655),
    [sym_member_expression] = STATE(2655),
    [sym_index_expression] = STATE(2655),
    [sym_slice_expression] = STATE(2655),
    [sym_range_expression] = STATE(2655),
    [sym_cast_expression] = STATE(2655),
    [sym_in_expression] = STATE(2655),
    [sym_variadic_expression] = STATE(2655),
    [sym_parenthesized_expression] = STATE(2655),
    [sym_or_return_expression] = STATE(2655),
    [sym_or_continue_expression] = STATE(2655),
    [sym_or_break_expression] = STATE(2655),
    [sym_address] = STATE(2655),
    [sym_map_type] = STATE(2655),
    [sym_matrix_type] = STATE(2655),
    [sym_distinct_type] = STATE(2655),
    [sym_literal] = STATE(2655),
    [sym_struct] = STATE(2632),
    [sym_map] = STATE(2566),
    [sym_bit_set] = STATE(2566),
    [sym_matrix] = STATE(2566),
    [sym_string] = STATE(2566),
    [sym__string_literal] = STATE(2591),
    [sym__raw_string_literal] = STATE(2591),
    [sym_character] = STATE(2566),
    [sym_boolean] = STATE(2566),
    [sym_field_identifier] = STATE(7902),
    [aux_sym_attributes_repeat1] = STATE(5637),
    [sym_identifier] = ACTIONS(249),
    [anon_sym_LBRACE] = ACTIONS(251),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(291),
    [anon_sym_SEMI] = ACTIONS(3171),
    [anon_sym_QMARK] = ACTIONS(3173),
    [anon_sym_PLUS] = ACTIONS(3175),
    [anon_sym_DASH] = ACTIONS(295),
    [anon_sym_TILDE] = ACTIONS(3175),
    [anon_sym_BANG] = ACTIONS(3175),
    [anon_sym_AMP] = ACTIONS(3175),
    [anon_sym_DOT] = ACTIONS(297),
    [anon_sym_LBRACK] = ACTIONS(261),
    [anon_sym_cast] = ACTIONS(299),
    [anon_sym_transmute] = ACTIONS(299),
    [anon_sym_auto_cast] = ACTIONS(301),
    [anon_sym_DOT_DOT] = ACTIONS(3177),
    [anon_sym_map] = ACTIONS(269),
    [anon_sym_bit_set] = ACTIONS(271),
    [anon_sym_matrix] = ACTIONS(273),
    [anon_sym_distinct] = ACTIONS(275),
    [sym_number] = ACTIONS(277),
    [anon_sym_DQUOTE] = ACTIONS(279),
    [anon_sym_BQUOTE] = ACTIONS(281),
    [anon_sym_SQUOTE] = ACTIONS(283),
    [anon_sym_true] = ACTIONS(285),
    [anon_sym_false] = ACTIONS(285),
    [sym_nil] = ACTIONS(287),
    [sym_uninitialized] = ACTIONS(277),
    [sym_tag] = ACTIONS(3179),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(277),
    [sym_block_comment] = ACTIONS(3),
  },
  [447] = {
    [sym_block] = STATE(6837),
    [sym_attributes] = STATE(1524),
    [sym_attribute] = STATE(5637),
    [sym_update_statement] = STATE(7661),
    [sym__simple_assignment_statement] = STATE(7661),
    [sym_expression] = STATE(3388),
    [sym__expression_no_tag] = STATE(2799),
    [sym_unary_expression] = STATE(2799),
    [sym_binary_expression] = STATE(2799),
    [sym_ternary_expression] = STATE(2799),
    [sym_call_expression] = STATE(2799),
    [sym_selector_call_expression] = STATE(2799),
    [sym_member_expression] = STATE(2799),
    [sym_index_expression] = STATE(2799),
    [sym_slice_expression] = STATE(2799),
    [sym_range_expression] = STATE(2799),
    [sym_cast_expression] = STATE(2799),
    [sym_in_expression] = STATE(2799),
    [sym_variadic_expression] = STATE(2799),
    [sym_parenthesized_expression] = STATE(2799),
    [sym_or_return_expression] = STATE(2799),
    [sym_or_continue_expression] = STATE(2799),
    [sym_or_break_expression] = STATE(2799),
    [sym_address] = STATE(2799),
    [sym_map_type] = STATE(2799),
    [sym_matrix_type] = STATE(2799),
    [sym_distinct_type] = STATE(2799),
    [sym_literal] = STATE(2799),
    [sym_struct] = STATE(2751),
    [sym_map] = STATE(2747),
    [sym_bit_set] = STATE(2747),
    [sym_matrix] = STATE(2747),
    [sym_string] = STATE(2747),
    [sym__string_literal] = STATE(2752),
    [sym__raw_string_literal] = STATE(2752),
    [sym_character] = STATE(2747),
    [sym_boolean] = STATE(2747),
    [sym_field_identifier] = STATE(7946),
    [aux_sym_attributes_repeat1] = STATE(5637),
    [sym_identifier] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(3159),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(373),
    [anon_sym_do] = ACTIONS(3181),
    [anon_sym_QMARK] = ACTIONS(3163),
    [anon_sym_PLUS] = ACTIONS(3165),
    [anon_sym_DASH] = ACTIONS(311),
    [anon_sym_TILDE] = ACTIONS(3165),
    [anon_sym_BANG] = ACTIONS(3165),
    [anon_sym_AMP] = ACTIONS(3165),
    [anon_sym_DOT] = ACTIONS(377),
    [anon_sym_LBRACK] = ACTIONS(379),
    [anon_sym_cast] = ACTIONS(313),
    [anon_sym_transmute] = ACTIONS(313),
    [anon_sym_auto_cast] = ACTIONS(315),
    [anon_sym_DOT_DOT] = ACTIONS(3167),
    [anon_sym_map] = ACTIONS(319),
    [anon_sym_bit_set] = ACTIONS(321),
    [anon_sym_matrix] = ACTIONS(323),
    [anon_sym_distinct] = ACTIONS(325),
    [sym_number] = ACTIONS(327),
    [anon_sym_DQUOTE] = ACTIONS(329),
    [anon_sym_BQUOTE] = ACTIONS(331),
    [anon_sym_SQUOTE] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym_nil] = ACTIONS(337),
    [sym_uninitialized] = ACTIONS(327),
    [sym_tag] = ACTIONS(339),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(327),
    [sym_block_comment] = ACTIONS(3),
  },
  [448] = {
    [sym_procedure] = STATE(4270),
    [sym_expression] = STATE(4539),
    [sym__expression_no_tag] = STATE(4256),
    [sym_unary_expression] = STATE(4256),
    [sym_binary_expression] = STATE(4256),
    [sym_ternary_expression] = STATE(4256),
    [sym_call_expression] = STATE(4256),
    [sym_selector_call_expression] = STATE(4256),
    [sym_member_expression] = STATE(4256),
    [sym_index_expression] = STATE(4256),
    [sym_slice_expression] = STATE(4256),
    [sym_range_expression] = STATE(4256),
    [sym_cast_expression] = STATE(4256),
    [sym_in_expression] = STATE(4256),
    [sym_variadic_expression] = STATE(4256),
    [sym_parenthesized_expression] = STATE(4256),
    [sym_or_return_expression] = STATE(4256),
    [sym_or_continue_expression] = STATE(4256),
    [sym_or_break_expression] = STATE(4256),
    [sym_address] = STATE(4256),
    [sym_map_type] = STATE(4256),
    [sym_matrix_type] = STATE(4256),
    [sym__procedure_type] = STATE(6465),
    [sym_distinct_type] = STATE(4256),
    [sym_literal] = STATE(4256),
    [sym_struct] = STATE(4297),
    [sym_map] = STATE(4290),
    [sym_bit_set] = STATE(4290),
    [sym_matrix] = STATE(4290),
    [sym_string] = STATE(4290),
    [sym__string_literal] = STATE(4298),
    [sym__raw_string_literal] = STATE(4298),
    [sym_character] = STATE(4290),
    [sym_boolean] = STATE(4290),
    [sym_field_identifier] = STATE(7838),
    [sym_identifier] = ACTIONS(757),
    [anon_sym_LBRACE] = ACTIONS(707),
    [anon_sym_RBRACE] = ACTIONS(3183),
    [anon_sym_proc] = ACTIONS(711),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_SEMI] = ACTIONS(3183),
    [anon_sym_else] = ACTIONS(3185),
    [anon_sym_case] = ACTIONS(3185),
    [anon_sym_QMARK] = ACTIONS(717),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(721),
    [anon_sym_TILDE] = ACTIONS(719),
    [anon_sym_BANG] = ACTIONS(719),
    [anon_sym_AMP] = ACTIONS(719),
    [anon_sym_DOT] = ACTIONS(723),
    [anon_sym_LBRACK] = ACTIONS(725),
    [anon_sym_cast] = ACTIONS(727),
    [anon_sym_transmute] = ACTIONS(727),
    [anon_sym_auto_cast] = ACTIONS(729),
    [anon_sym_DOT_DOT] = ACTIONS(2849),
    [anon_sym_map] = ACTIONS(733),
    [anon_sym_bit_set] = ACTIONS(735),
    [anon_sym_matrix] = ACTIONS(737),
    [anon_sym_distinct] = ACTIONS(739),
    [sym_number] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(743),
    [anon_sym_BQUOTE] = ACTIONS(745),
    [anon_sym_SQUOTE] = ACTIONS(747),
    [anon_sym_true] = ACTIONS(749),
    [anon_sym_false] = ACTIONS(749),
    [sym_nil] = ACTIONS(751),
    [sym_uninitialized] = ACTIONS(741),
    [sym_tag] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(3183),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(741),
    [sym_block_comment] = ACTIONS(3),
  },
  [449] = {
    [sym_procedure] = STATE(7330),
    [sym_expression] = STATE(5532),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7330),
    [sym_array_type] = STATE(7330),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(7330),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(3187),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [450] = {
    [sym_procedure] = STATE(7330),
    [sym_expression] = STATE(5532),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7330),
    [sym_array_type] = STATE(7330),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(7330),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(3189),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [451] = {
    [sym_procedure] = STATE(7330),
    [sym_expression] = STATE(5532),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7330),
    [sym_array_type] = STATE(7330),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(7330),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(3191),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [452] = {
    [sym_procedure] = STATE(7330),
    [sym_expression] = STATE(5532),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7330),
    [sym_array_type] = STATE(7330),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(7330),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(3193),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [453] = {
    [sym_procedure] = STATE(7330),
    [sym_expression] = STATE(5532),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7330),
    [sym_array_type] = STATE(7330),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(7330),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(3195),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [454] = {
    [sym_procedure] = STATE(4270),
    [sym_expression] = STATE(4539),
    [sym__expression_no_tag] = STATE(4256),
    [sym_unary_expression] = STATE(4256),
    [sym_binary_expression] = STATE(4256),
    [sym_ternary_expression] = STATE(4256),
    [sym_call_expression] = STATE(4256),
    [sym_selector_call_expression] = STATE(4256),
    [sym_member_expression] = STATE(4256),
    [sym_index_expression] = STATE(4256),
    [sym_slice_expression] = STATE(4256),
    [sym_range_expression] = STATE(4256),
    [sym_cast_expression] = STATE(4256),
    [sym_in_expression] = STATE(4256),
    [sym_variadic_expression] = STATE(4256),
    [sym_parenthesized_expression] = STATE(4256),
    [sym_or_return_expression] = STATE(4256),
    [sym_or_continue_expression] = STATE(4256),
    [sym_or_break_expression] = STATE(4256),
    [sym_address] = STATE(4256),
    [sym_map_type] = STATE(4256),
    [sym_matrix_type] = STATE(4256),
    [sym__procedure_type] = STATE(6465),
    [sym_distinct_type] = STATE(4256),
    [sym_literal] = STATE(4256),
    [sym_struct] = STATE(4297),
    [sym_map] = STATE(4290),
    [sym_bit_set] = STATE(4290),
    [sym_matrix] = STATE(4290),
    [sym_string] = STATE(4290),
    [sym__string_literal] = STATE(4298),
    [sym__raw_string_literal] = STATE(4298),
    [sym_character] = STATE(4290),
    [sym_boolean] = STATE(4290),
    [sym_field_identifier] = STATE(7838),
    [sym_identifier] = ACTIONS(757),
    [anon_sym_LBRACE] = ACTIONS(707),
    [anon_sym_RBRACE] = ACTIONS(3197),
    [anon_sym_proc] = ACTIONS(711),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_SEMI] = ACTIONS(3197),
    [anon_sym_else] = ACTIONS(3199),
    [anon_sym_case] = ACTIONS(3199),
    [anon_sym_QMARK] = ACTIONS(717),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(721),
    [anon_sym_TILDE] = ACTIONS(719),
    [anon_sym_BANG] = ACTIONS(719),
    [anon_sym_AMP] = ACTIONS(719),
    [anon_sym_DOT] = ACTIONS(723),
    [anon_sym_LBRACK] = ACTIONS(725),
    [anon_sym_cast] = ACTIONS(727),
    [anon_sym_transmute] = ACTIONS(727),
    [anon_sym_auto_cast] = ACTIONS(729),
    [anon_sym_DOT_DOT] = ACTIONS(2849),
    [anon_sym_map] = ACTIONS(733),
    [anon_sym_bit_set] = ACTIONS(735),
    [anon_sym_matrix] = ACTIONS(737),
    [anon_sym_distinct] = ACTIONS(739),
    [sym_number] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(743),
    [anon_sym_BQUOTE] = ACTIONS(745),
    [anon_sym_SQUOTE] = ACTIONS(747),
    [anon_sym_true] = ACTIONS(749),
    [anon_sym_false] = ACTIONS(749),
    [sym_nil] = ACTIONS(751),
    [sym_uninitialized] = ACTIONS(741),
    [sym_tag] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(3197),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(741),
    [sym_block_comment] = ACTIONS(3),
  },
  [455] = {
    [sym_procedure] = STATE(6957),
    [sym_expression] = STATE(5102),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(6957),
    [sym_array_type] = STATE(6957),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(6957),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(3201),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(3203),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [456] = {
    [sym_procedure] = STATE(6867),
    [sym_expression] = STATE(5399),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(6867),
    [sym_array_type] = STATE(6867),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(6867),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(2825),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [457] = {
    [sym_procedure] = STATE(7330),
    [sym_expression] = STATE(5532),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7330),
    [sym_array_type] = STATE(7330),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(7330),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(3205),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [458] = {
    [sym_procedure] = STATE(7330),
    [sym_expression] = STATE(5532),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7330),
    [sym_array_type] = STATE(7330),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(7330),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(3207),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [459] = {
    [sym_procedure] = STATE(7330),
    [sym_expression] = STATE(5532),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7330),
    [sym_array_type] = STATE(7330),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(7330),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(3209),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [460] = {
    [sym_procedure] = STATE(7330),
    [sym_expression] = STATE(5532),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7330),
    [sym_array_type] = STATE(7330),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(7330),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(3211),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [461] = {
    [sym_procedure] = STATE(4270),
    [sym_expression] = STATE(4471),
    [sym__expression_no_tag] = STATE(4256),
    [sym_unary_expression] = STATE(4256),
    [sym_binary_expression] = STATE(4256),
    [sym_ternary_expression] = STATE(4256),
    [sym_call_expression] = STATE(4256),
    [sym_selector_call_expression] = STATE(4256),
    [sym_member_expression] = STATE(4256),
    [sym_index_expression] = STATE(4256),
    [sym_slice_expression] = STATE(4256),
    [sym_range_expression] = STATE(4256),
    [sym_cast_expression] = STATE(4256),
    [sym_in_expression] = STATE(4256),
    [sym_variadic_expression] = STATE(4256),
    [sym_parenthesized_expression] = STATE(4256),
    [sym_or_return_expression] = STATE(4256),
    [sym_or_continue_expression] = STATE(4256),
    [sym_or_break_expression] = STATE(4256),
    [sym_address] = STATE(4256),
    [sym_map_type] = STATE(4256),
    [sym_matrix_type] = STATE(4256),
    [sym__procedure_type] = STATE(6410),
    [sym_distinct_type] = STATE(4256),
    [sym_literal] = STATE(4256),
    [sym_struct] = STATE(4297),
    [sym_map] = STATE(4290),
    [sym_bit_set] = STATE(4290),
    [sym_matrix] = STATE(4290),
    [sym_string] = STATE(4290),
    [sym__string_literal] = STATE(4298),
    [sym__raw_string_literal] = STATE(4298),
    [sym_character] = STATE(4290),
    [sym_boolean] = STATE(4290),
    [sym_field_identifier] = STATE(7838),
    [sym_identifier] = ACTIONS(757),
    [anon_sym_LBRACE] = ACTIONS(707),
    [anon_sym_RBRACE] = ACTIONS(3213),
    [anon_sym_proc] = ACTIONS(711),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_SEMI] = ACTIONS(3213),
    [anon_sym_else] = ACTIONS(3215),
    [anon_sym_case] = ACTIONS(3215),
    [anon_sym_QMARK] = ACTIONS(717),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(721),
    [anon_sym_TILDE] = ACTIONS(719),
    [anon_sym_BANG] = ACTIONS(719),
    [anon_sym_AMP] = ACTIONS(719),
    [anon_sym_DOT] = ACTIONS(723),
    [anon_sym_LBRACK] = ACTIONS(725),
    [anon_sym_cast] = ACTIONS(727),
    [anon_sym_transmute] = ACTIONS(727),
    [anon_sym_auto_cast] = ACTIONS(729),
    [anon_sym_DOT_DOT] = ACTIONS(2849),
    [anon_sym_map] = ACTIONS(733),
    [anon_sym_bit_set] = ACTIONS(735),
    [anon_sym_matrix] = ACTIONS(737),
    [anon_sym_distinct] = ACTIONS(739),
    [sym_number] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(743),
    [anon_sym_BQUOTE] = ACTIONS(745),
    [anon_sym_SQUOTE] = ACTIONS(747),
    [anon_sym_true] = ACTIONS(749),
    [anon_sym_false] = ACTIONS(749),
    [sym_nil] = ACTIONS(751),
    [sym_uninitialized] = ACTIONS(741),
    [sym_tag] = ACTIONS(3217),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(3213),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(741),
    [sym_block_comment] = ACTIONS(3),
  },
  [462] = {
    [sym_block] = STATE(6825),
    [sym_attributes] = STATE(1524),
    [sym_attribute] = STATE(5637),
    [sym_update_statement] = STATE(7560),
    [sym__simple_assignment_statement] = STATE(7560),
    [sym_expression] = STATE(3388),
    [sym__expression_no_tag] = STATE(2799),
    [sym_unary_expression] = STATE(2799),
    [sym_binary_expression] = STATE(2799),
    [sym_ternary_expression] = STATE(2799),
    [sym_call_expression] = STATE(2799),
    [sym_selector_call_expression] = STATE(2799),
    [sym_member_expression] = STATE(2799),
    [sym_index_expression] = STATE(2799),
    [sym_slice_expression] = STATE(2799),
    [sym_range_expression] = STATE(2799),
    [sym_cast_expression] = STATE(2799),
    [sym_in_expression] = STATE(2799),
    [sym_variadic_expression] = STATE(2799),
    [sym_parenthesized_expression] = STATE(2799),
    [sym_or_return_expression] = STATE(2799),
    [sym_or_continue_expression] = STATE(2799),
    [sym_or_break_expression] = STATE(2799),
    [sym_address] = STATE(2799),
    [sym_map_type] = STATE(2799),
    [sym_matrix_type] = STATE(2799),
    [sym_distinct_type] = STATE(2799),
    [sym_literal] = STATE(2799),
    [sym_struct] = STATE(2751),
    [sym_map] = STATE(2747),
    [sym_bit_set] = STATE(2747),
    [sym_matrix] = STATE(2747),
    [sym_string] = STATE(2747),
    [sym__string_literal] = STATE(2752),
    [sym__raw_string_literal] = STATE(2752),
    [sym_character] = STATE(2747),
    [sym_boolean] = STATE(2747),
    [sym_field_identifier] = STATE(7946),
    [aux_sym_attributes_repeat1] = STATE(5637),
    [sym_identifier] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(3159),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(373),
    [anon_sym_do] = ACTIONS(3219),
    [anon_sym_QMARK] = ACTIONS(3163),
    [anon_sym_PLUS] = ACTIONS(3165),
    [anon_sym_DASH] = ACTIONS(311),
    [anon_sym_TILDE] = ACTIONS(3165),
    [anon_sym_BANG] = ACTIONS(3165),
    [anon_sym_AMP] = ACTIONS(3165),
    [anon_sym_DOT] = ACTIONS(377),
    [anon_sym_LBRACK] = ACTIONS(379),
    [anon_sym_cast] = ACTIONS(313),
    [anon_sym_transmute] = ACTIONS(313),
    [anon_sym_auto_cast] = ACTIONS(315),
    [anon_sym_DOT_DOT] = ACTIONS(3167),
    [anon_sym_map] = ACTIONS(319),
    [anon_sym_bit_set] = ACTIONS(321),
    [anon_sym_matrix] = ACTIONS(323),
    [anon_sym_distinct] = ACTIONS(325),
    [sym_number] = ACTIONS(327),
    [anon_sym_DQUOTE] = ACTIONS(329),
    [anon_sym_BQUOTE] = ACTIONS(331),
    [anon_sym_SQUOTE] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym_nil] = ACTIONS(337),
    [sym_uninitialized] = ACTIONS(327),
    [sym_tag] = ACTIONS(339),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(327),
    [sym_block_comment] = ACTIONS(3),
  },
  [463] = {
    [sym_block] = STATE(6837),
    [sym_attributes] = STATE(1524),
    [sym_attribute] = STATE(5637),
    [sym_update_statement] = STATE(7562),
    [sym__simple_assignment_statement] = STATE(7562),
    [sym_expression] = STATE(3388),
    [sym__expression_no_tag] = STATE(2799),
    [sym_unary_expression] = STATE(2799),
    [sym_binary_expression] = STATE(2799),
    [sym_ternary_expression] = STATE(2799),
    [sym_call_expression] = STATE(2799),
    [sym_selector_call_expression] = STATE(2799),
    [sym_member_expression] = STATE(2799),
    [sym_index_expression] = STATE(2799),
    [sym_slice_expression] = STATE(2799),
    [sym_range_expression] = STATE(2799),
    [sym_cast_expression] = STATE(2799),
    [sym_in_expression] = STATE(2799),
    [sym_variadic_expression] = STATE(2799),
    [sym_parenthesized_expression] = STATE(2799),
    [sym_or_return_expression] = STATE(2799),
    [sym_or_continue_expression] = STATE(2799),
    [sym_or_break_expression] = STATE(2799),
    [sym_address] = STATE(2799),
    [sym_map_type] = STATE(2799),
    [sym_matrix_type] = STATE(2799),
    [sym_distinct_type] = STATE(2799),
    [sym_literal] = STATE(2799),
    [sym_struct] = STATE(2751),
    [sym_map] = STATE(2747),
    [sym_bit_set] = STATE(2747),
    [sym_matrix] = STATE(2747),
    [sym_string] = STATE(2747),
    [sym__string_literal] = STATE(2752),
    [sym__raw_string_literal] = STATE(2752),
    [sym_character] = STATE(2747),
    [sym_boolean] = STATE(2747),
    [sym_field_identifier] = STATE(7946),
    [aux_sym_attributes_repeat1] = STATE(5637),
    [sym_identifier] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(3159),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(373),
    [anon_sym_do] = ACTIONS(3221),
    [anon_sym_QMARK] = ACTIONS(3163),
    [anon_sym_PLUS] = ACTIONS(3165),
    [anon_sym_DASH] = ACTIONS(311),
    [anon_sym_TILDE] = ACTIONS(3165),
    [anon_sym_BANG] = ACTIONS(3165),
    [anon_sym_AMP] = ACTIONS(3165),
    [anon_sym_DOT] = ACTIONS(377),
    [anon_sym_LBRACK] = ACTIONS(379),
    [anon_sym_cast] = ACTIONS(313),
    [anon_sym_transmute] = ACTIONS(313),
    [anon_sym_auto_cast] = ACTIONS(315),
    [anon_sym_DOT_DOT] = ACTIONS(3167),
    [anon_sym_map] = ACTIONS(319),
    [anon_sym_bit_set] = ACTIONS(321),
    [anon_sym_matrix] = ACTIONS(323),
    [anon_sym_distinct] = ACTIONS(325),
    [sym_number] = ACTIONS(327),
    [anon_sym_DQUOTE] = ACTIONS(329),
    [anon_sym_BQUOTE] = ACTIONS(331),
    [anon_sym_SQUOTE] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym_nil] = ACTIONS(337),
    [sym_uninitialized] = ACTIONS(327),
    [sym_tag] = ACTIONS(339),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(327),
    [sym_block_comment] = ACTIONS(3),
  },
  [464] = {
    [sym_block] = STATE(6693),
    [sym_attributes] = STATE(1524),
    [sym_attribute] = STATE(5637),
    [sym_update_statement] = STATE(7563),
    [sym__simple_assignment_statement] = STATE(7563),
    [sym_expression] = STATE(3388),
    [sym__expression_no_tag] = STATE(2799),
    [sym_unary_expression] = STATE(2799),
    [sym_binary_expression] = STATE(2799),
    [sym_ternary_expression] = STATE(2799),
    [sym_call_expression] = STATE(2799),
    [sym_selector_call_expression] = STATE(2799),
    [sym_member_expression] = STATE(2799),
    [sym_index_expression] = STATE(2799),
    [sym_slice_expression] = STATE(2799),
    [sym_range_expression] = STATE(2799),
    [sym_cast_expression] = STATE(2799),
    [sym_in_expression] = STATE(2799),
    [sym_variadic_expression] = STATE(2799),
    [sym_parenthesized_expression] = STATE(2799),
    [sym_or_return_expression] = STATE(2799),
    [sym_or_continue_expression] = STATE(2799),
    [sym_or_break_expression] = STATE(2799),
    [sym_address] = STATE(2799),
    [sym_map_type] = STATE(2799),
    [sym_matrix_type] = STATE(2799),
    [sym_distinct_type] = STATE(2799),
    [sym_literal] = STATE(2799),
    [sym_struct] = STATE(2751),
    [sym_map] = STATE(2747),
    [sym_bit_set] = STATE(2747),
    [sym_matrix] = STATE(2747),
    [sym_string] = STATE(2747),
    [sym__string_literal] = STATE(2752),
    [sym__raw_string_literal] = STATE(2752),
    [sym_character] = STATE(2747),
    [sym_boolean] = STATE(2747),
    [sym_field_identifier] = STATE(7946),
    [aux_sym_attributes_repeat1] = STATE(5637),
    [sym_identifier] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(3159),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(373),
    [anon_sym_do] = ACTIONS(3223),
    [anon_sym_QMARK] = ACTIONS(3163),
    [anon_sym_PLUS] = ACTIONS(3165),
    [anon_sym_DASH] = ACTIONS(311),
    [anon_sym_TILDE] = ACTIONS(3165),
    [anon_sym_BANG] = ACTIONS(3165),
    [anon_sym_AMP] = ACTIONS(3165),
    [anon_sym_DOT] = ACTIONS(377),
    [anon_sym_LBRACK] = ACTIONS(379),
    [anon_sym_cast] = ACTIONS(313),
    [anon_sym_transmute] = ACTIONS(313),
    [anon_sym_auto_cast] = ACTIONS(315),
    [anon_sym_DOT_DOT] = ACTIONS(3167),
    [anon_sym_map] = ACTIONS(319),
    [anon_sym_bit_set] = ACTIONS(321),
    [anon_sym_matrix] = ACTIONS(323),
    [anon_sym_distinct] = ACTIONS(325),
    [sym_number] = ACTIONS(327),
    [anon_sym_DQUOTE] = ACTIONS(329),
    [anon_sym_BQUOTE] = ACTIONS(331),
    [anon_sym_SQUOTE] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym_nil] = ACTIONS(337),
    [sym_uninitialized] = ACTIONS(327),
    [sym_tag] = ACTIONS(339),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(327),
    [sym_block_comment] = ACTIONS(3),
  },
  [465] = {
    [sym_block] = STATE(6695),
    [sym_attributes] = STATE(1524),
    [sym_attribute] = STATE(5637),
    [sym_update_statement] = STATE(7564),
    [sym__simple_assignment_statement] = STATE(7564),
    [sym_expression] = STATE(3388),
    [sym__expression_no_tag] = STATE(2799),
    [sym_unary_expression] = STATE(2799),
    [sym_binary_expression] = STATE(2799),
    [sym_ternary_expression] = STATE(2799),
    [sym_call_expression] = STATE(2799),
    [sym_selector_call_expression] = STATE(2799),
    [sym_member_expression] = STATE(2799),
    [sym_index_expression] = STATE(2799),
    [sym_slice_expression] = STATE(2799),
    [sym_range_expression] = STATE(2799),
    [sym_cast_expression] = STATE(2799),
    [sym_in_expression] = STATE(2799),
    [sym_variadic_expression] = STATE(2799),
    [sym_parenthesized_expression] = STATE(2799),
    [sym_or_return_expression] = STATE(2799),
    [sym_or_continue_expression] = STATE(2799),
    [sym_or_break_expression] = STATE(2799),
    [sym_address] = STATE(2799),
    [sym_map_type] = STATE(2799),
    [sym_matrix_type] = STATE(2799),
    [sym_distinct_type] = STATE(2799),
    [sym_literal] = STATE(2799),
    [sym_struct] = STATE(2751),
    [sym_map] = STATE(2747),
    [sym_bit_set] = STATE(2747),
    [sym_matrix] = STATE(2747),
    [sym_string] = STATE(2747),
    [sym__string_literal] = STATE(2752),
    [sym__raw_string_literal] = STATE(2752),
    [sym_character] = STATE(2747),
    [sym_boolean] = STATE(2747),
    [sym_field_identifier] = STATE(7946),
    [aux_sym_attributes_repeat1] = STATE(5637),
    [sym_identifier] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(3159),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(373),
    [anon_sym_do] = ACTIONS(3225),
    [anon_sym_QMARK] = ACTIONS(3163),
    [anon_sym_PLUS] = ACTIONS(3165),
    [anon_sym_DASH] = ACTIONS(311),
    [anon_sym_TILDE] = ACTIONS(3165),
    [anon_sym_BANG] = ACTIONS(3165),
    [anon_sym_AMP] = ACTIONS(3165),
    [anon_sym_DOT] = ACTIONS(377),
    [anon_sym_LBRACK] = ACTIONS(379),
    [anon_sym_cast] = ACTIONS(313),
    [anon_sym_transmute] = ACTIONS(313),
    [anon_sym_auto_cast] = ACTIONS(315),
    [anon_sym_DOT_DOT] = ACTIONS(3167),
    [anon_sym_map] = ACTIONS(319),
    [anon_sym_bit_set] = ACTIONS(321),
    [anon_sym_matrix] = ACTIONS(323),
    [anon_sym_distinct] = ACTIONS(325),
    [sym_number] = ACTIONS(327),
    [anon_sym_DQUOTE] = ACTIONS(329),
    [anon_sym_BQUOTE] = ACTIONS(331),
    [anon_sym_SQUOTE] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym_nil] = ACTIONS(337),
    [sym_uninitialized] = ACTIONS(327),
    [sym_tag] = ACTIONS(339),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(327),
    [sym_block_comment] = ACTIONS(3),
  },
  [466] = {
    [sym_block] = STATE(6810),
    [sym_attributes] = STATE(1524),
    [sym_attribute] = STATE(5637),
    [sym_update_statement] = STATE(7568),
    [sym__simple_assignment_statement] = STATE(7568),
    [sym_expression] = STATE(3388),
    [sym__expression_no_tag] = STATE(2799),
    [sym_unary_expression] = STATE(2799),
    [sym_binary_expression] = STATE(2799),
    [sym_ternary_expression] = STATE(2799),
    [sym_call_expression] = STATE(2799),
    [sym_selector_call_expression] = STATE(2799),
    [sym_member_expression] = STATE(2799),
    [sym_index_expression] = STATE(2799),
    [sym_slice_expression] = STATE(2799),
    [sym_range_expression] = STATE(2799),
    [sym_cast_expression] = STATE(2799),
    [sym_in_expression] = STATE(2799),
    [sym_variadic_expression] = STATE(2799),
    [sym_parenthesized_expression] = STATE(2799),
    [sym_or_return_expression] = STATE(2799),
    [sym_or_continue_expression] = STATE(2799),
    [sym_or_break_expression] = STATE(2799),
    [sym_address] = STATE(2799),
    [sym_map_type] = STATE(2799),
    [sym_matrix_type] = STATE(2799),
    [sym_distinct_type] = STATE(2799),
    [sym_literal] = STATE(2799),
    [sym_struct] = STATE(2751),
    [sym_map] = STATE(2747),
    [sym_bit_set] = STATE(2747),
    [sym_matrix] = STATE(2747),
    [sym_string] = STATE(2747),
    [sym__string_literal] = STATE(2752),
    [sym__raw_string_literal] = STATE(2752),
    [sym_character] = STATE(2747),
    [sym_boolean] = STATE(2747),
    [sym_field_identifier] = STATE(7946),
    [aux_sym_attributes_repeat1] = STATE(5637),
    [sym_identifier] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(3159),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(373),
    [anon_sym_do] = ACTIONS(3227),
    [anon_sym_QMARK] = ACTIONS(3163),
    [anon_sym_PLUS] = ACTIONS(3165),
    [anon_sym_DASH] = ACTIONS(311),
    [anon_sym_TILDE] = ACTIONS(3165),
    [anon_sym_BANG] = ACTIONS(3165),
    [anon_sym_AMP] = ACTIONS(3165),
    [anon_sym_DOT] = ACTIONS(377),
    [anon_sym_LBRACK] = ACTIONS(379),
    [anon_sym_cast] = ACTIONS(313),
    [anon_sym_transmute] = ACTIONS(313),
    [anon_sym_auto_cast] = ACTIONS(315),
    [anon_sym_DOT_DOT] = ACTIONS(3167),
    [anon_sym_map] = ACTIONS(319),
    [anon_sym_bit_set] = ACTIONS(321),
    [anon_sym_matrix] = ACTIONS(323),
    [anon_sym_distinct] = ACTIONS(325),
    [sym_number] = ACTIONS(327),
    [anon_sym_DQUOTE] = ACTIONS(329),
    [anon_sym_BQUOTE] = ACTIONS(331),
    [anon_sym_SQUOTE] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym_nil] = ACTIONS(337),
    [sym_uninitialized] = ACTIONS(327),
    [sym_tag] = ACTIONS(339),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(327),
    [sym_block_comment] = ACTIONS(3),
  },
  [467] = {
    [sym_block] = STATE(6693),
    [sym_attributes] = STATE(1524),
    [sym_attribute] = STATE(5637),
    [sym_update_statement] = STATE(7180),
    [sym__simple_assignment_statement] = STATE(7180),
    [sym_expression] = STATE(3388),
    [sym__expression_no_tag] = STATE(2799),
    [sym_unary_expression] = STATE(2799),
    [sym_binary_expression] = STATE(2799),
    [sym_ternary_expression] = STATE(2799),
    [sym_call_expression] = STATE(2799),
    [sym_selector_call_expression] = STATE(2799),
    [sym_member_expression] = STATE(2799),
    [sym_index_expression] = STATE(2799),
    [sym_slice_expression] = STATE(2799),
    [sym_range_expression] = STATE(2799),
    [sym_cast_expression] = STATE(2799),
    [sym_in_expression] = STATE(2799),
    [sym_variadic_expression] = STATE(2799),
    [sym_parenthesized_expression] = STATE(2799),
    [sym_or_return_expression] = STATE(2799),
    [sym_or_continue_expression] = STATE(2799),
    [sym_or_break_expression] = STATE(2799),
    [sym_address] = STATE(2799),
    [sym_map_type] = STATE(2799),
    [sym_matrix_type] = STATE(2799),
    [sym_distinct_type] = STATE(2799),
    [sym_literal] = STATE(2799),
    [sym_struct] = STATE(2751),
    [sym_map] = STATE(2747),
    [sym_bit_set] = STATE(2747),
    [sym_matrix] = STATE(2747),
    [sym_string] = STATE(2747),
    [sym__string_literal] = STATE(2752),
    [sym__raw_string_literal] = STATE(2752),
    [sym_character] = STATE(2747),
    [sym_boolean] = STATE(2747),
    [sym_field_identifier] = STATE(7946),
    [aux_sym_attributes_repeat1] = STATE(5637),
    [sym_identifier] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(3159),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(373),
    [anon_sym_do] = ACTIONS(3229),
    [anon_sym_QMARK] = ACTIONS(3163),
    [anon_sym_PLUS] = ACTIONS(3165),
    [anon_sym_DASH] = ACTIONS(311),
    [anon_sym_TILDE] = ACTIONS(3165),
    [anon_sym_BANG] = ACTIONS(3165),
    [anon_sym_AMP] = ACTIONS(3165),
    [anon_sym_DOT] = ACTIONS(377),
    [anon_sym_LBRACK] = ACTIONS(379),
    [anon_sym_cast] = ACTIONS(313),
    [anon_sym_transmute] = ACTIONS(313),
    [anon_sym_auto_cast] = ACTIONS(315),
    [anon_sym_DOT_DOT] = ACTIONS(3167),
    [anon_sym_map] = ACTIONS(319),
    [anon_sym_bit_set] = ACTIONS(321),
    [anon_sym_matrix] = ACTIONS(323),
    [anon_sym_distinct] = ACTIONS(325),
    [sym_number] = ACTIONS(327),
    [anon_sym_DQUOTE] = ACTIONS(329),
    [anon_sym_BQUOTE] = ACTIONS(331),
    [anon_sym_SQUOTE] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym_nil] = ACTIONS(337),
    [sym_uninitialized] = ACTIONS(327),
    [sym_tag] = ACTIONS(339),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(327),
    [sym_block_comment] = ACTIONS(3),
  },
  [468] = {
    [sym_block] = STATE(6695),
    [sym_attributes] = STATE(1524),
    [sym_attribute] = STATE(5637),
    [sym_update_statement] = STATE(7184),
    [sym__simple_assignment_statement] = STATE(7184),
    [sym_expression] = STATE(3388),
    [sym__expression_no_tag] = STATE(2799),
    [sym_unary_expression] = STATE(2799),
    [sym_binary_expression] = STATE(2799),
    [sym_ternary_expression] = STATE(2799),
    [sym_call_expression] = STATE(2799),
    [sym_selector_call_expression] = STATE(2799),
    [sym_member_expression] = STATE(2799),
    [sym_index_expression] = STATE(2799),
    [sym_slice_expression] = STATE(2799),
    [sym_range_expression] = STATE(2799),
    [sym_cast_expression] = STATE(2799),
    [sym_in_expression] = STATE(2799),
    [sym_variadic_expression] = STATE(2799),
    [sym_parenthesized_expression] = STATE(2799),
    [sym_or_return_expression] = STATE(2799),
    [sym_or_continue_expression] = STATE(2799),
    [sym_or_break_expression] = STATE(2799),
    [sym_address] = STATE(2799),
    [sym_map_type] = STATE(2799),
    [sym_matrix_type] = STATE(2799),
    [sym_distinct_type] = STATE(2799),
    [sym_literal] = STATE(2799),
    [sym_struct] = STATE(2751),
    [sym_map] = STATE(2747),
    [sym_bit_set] = STATE(2747),
    [sym_matrix] = STATE(2747),
    [sym_string] = STATE(2747),
    [sym__string_literal] = STATE(2752),
    [sym__raw_string_literal] = STATE(2752),
    [sym_character] = STATE(2747),
    [sym_boolean] = STATE(2747),
    [sym_field_identifier] = STATE(7946),
    [aux_sym_attributes_repeat1] = STATE(5637),
    [sym_identifier] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(3159),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(373),
    [anon_sym_do] = ACTIONS(3231),
    [anon_sym_QMARK] = ACTIONS(3163),
    [anon_sym_PLUS] = ACTIONS(3165),
    [anon_sym_DASH] = ACTIONS(311),
    [anon_sym_TILDE] = ACTIONS(3165),
    [anon_sym_BANG] = ACTIONS(3165),
    [anon_sym_AMP] = ACTIONS(3165),
    [anon_sym_DOT] = ACTIONS(377),
    [anon_sym_LBRACK] = ACTIONS(379),
    [anon_sym_cast] = ACTIONS(313),
    [anon_sym_transmute] = ACTIONS(313),
    [anon_sym_auto_cast] = ACTIONS(315),
    [anon_sym_DOT_DOT] = ACTIONS(3167),
    [anon_sym_map] = ACTIONS(319),
    [anon_sym_bit_set] = ACTIONS(321),
    [anon_sym_matrix] = ACTIONS(323),
    [anon_sym_distinct] = ACTIONS(325),
    [sym_number] = ACTIONS(327),
    [anon_sym_DQUOTE] = ACTIONS(329),
    [anon_sym_BQUOTE] = ACTIONS(331),
    [anon_sym_SQUOTE] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym_nil] = ACTIONS(337),
    [sym_uninitialized] = ACTIONS(327),
    [sym_tag] = ACTIONS(339),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(327),
    [sym_block_comment] = ACTIONS(3),
  },
  [469] = {
    [sym_procedure] = STATE(7330),
    [sym_expression] = STATE(5532),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7330),
    [sym_array_type] = STATE(7330),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(7330),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_RPAREN] = ACTIONS(3233),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [470] = {
    [sym_procedure] = STATE(7330),
    [sym_expression] = STATE(5532),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7330),
    [sym_array_type] = STATE(7330),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_struct_type] = STATE(7330),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_struct] = ACTIONS(2189),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [471] = {
    [sym_procedure] = STATE(3279),
    [sym_expression] = STATE(5709),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(8466),
    [sym_array_type] = STATE(8466),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym__procedure_type] = STATE(8466),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [472] = {
    [sym_procedure] = STATE(3279),
    [sym_expression] = STATE(5709),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(8074),
    [sym_array_type] = STATE(8074),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym__procedure_type] = STATE(8074),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [473] = {
    [sym_procedure] = STATE(3279),
    [sym_expression] = STATE(5704),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(8156),
    [sym_array_type] = STATE(8156),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym__procedure_type] = STATE(8156),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [474] = {
    [sym_procedure] = STATE(3279),
    [sym_expression] = STATE(5892),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7957),
    [sym_array_type] = STATE(7957),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym__procedure_type] = STATE(7957),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [475] = {
    [sym_procedure] = STATE(3279),
    [sym_expression] = STATE(5842),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7964),
    [sym_array_type] = STATE(7964),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym__procedure_type] = STATE(7964),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [476] = {
    [sym_procedure] = STATE(3279),
    [sym_expression] = STATE(5708),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(8276),
    [sym_array_type] = STATE(8276),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym__procedure_type] = STATE(8276),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [477] = {
    [sym_procedure] = STATE(3279),
    [sym_expression] = STATE(5777),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(8449),
    [sym_array_type] = STATE(8449),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym__procedure_type] = STATE(8449),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [478] = {
    [sym_procedure] = STATE(3279),
    [sym_expression] = STATE(5812),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(8284),
    [sym_array_type] = STATE(8284),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym__procedure_type] = STATE(8284),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [479] = {
    [sym_procedure] = STATE(3279),
    [sym_expression] = STATE(5981),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(8160),
    [sym_array_type] = STATE(8160),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym__procedure_type] = STATE(8160),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [480] = {
    [sym_procedure] = STATE(3279),
    [sym_expression] = STATE(6036),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(8395),
    [sym_array_type] = STATE(8395),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym__procedure_type] = STATE(8395),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [481] = {
    [sym_procedure] = STATE(3279),
    [sym_expression] = STATE(5672),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7982),
    [sym_array_type] = STATE(7982),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym__procedure_type] = STATE(7982),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [482] = {
    [sym_procedure] = STATE(3279),
    [sym_expression] = STATE(5764),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(8137),
    [sym_array_type] = STATE(8137),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym__procedure_type] = STATE(8137),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [483] = {
    [sym_procedure] = STATE(3279),
    [sym_expression] = STATE(5706),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(8185),
    [sym_array_type] = STATE(8185),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym__procedure_type] = STATE(8185),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [484] = {
    [sym_procedure] = STATE(3279),
    [sym_expression] = STATE(5981),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(8198),
    [sym_array_type] = STATE(8198),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym__procedure_type] = STATE(8198),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [485] = {
    [sym_procedure] = STATE(3279),
    [sym_expression] = STATE(5981),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(8267),
    [sym_array_type] = STATE(8267),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym__procedure_type] = STATE(8267),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [486] = {
    [sym_procedure] = STATE(3279),
    [sym_expression] = STATE(5708),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(8143),
    [sym_array_type] = STATE(8143),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym__procedure_type] = STATE(8143),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [487] = {
    [sym_attributes] = STATE(1662),
    [sym_attribute] = STATE(5637),
    [sym_assignment_statement] = STATE(7161),
    [sym_expression] = STATE(4765),
    [sym__expression_no_tag] = STATE(4410),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_ternary_expression] = STATE(4410),
    [sym_call_expression] = STATE(4410),
    [sym_selector_call_expression] = STATE(4410),
    [sym_member_expression] = STATE(4410),
    [sym_index_expression] = STATE(4410),
    [sym_slice_expression] = STATE(4410),
    [sym_range_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_in_expression] = STATE(4410),
    [sym_variadic_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4410),
    [sym_or_return_expression] = STATE(4410),
    [sym_or_continue_expression] = STATE(4410),
    [sym_or_break_expression] = STATE(4410),
    [sym_address] = STATE(4410),
    [sym_map_type] = STATE(4410),
    [sym_matrix_type] = STATE(4410),
    [sym_distinct_type] = STATE(4410),
    [sym_literal] = STATE(4410),
    [sym_struct] = STATE(4333),
    [sym_map] = STATE(4320),
    [sym_bit_set] = STATE(4320),
    [sym_matrix] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym__string_literal] = STATE(4334),
    [sym__raw_string_literal] = STATE(4334),
    [sym_character] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_field_identifier] = STATE(7845),
    [aux_sym_attributes_repeat1] = STATE(5637),
    [sym_identifier] = ACTIONS(341),
    [anon_sym_LBRACE] = ACTIONS(3235),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(945),
    [anon_sym_in] = ACTIONS(3237),
    [anon_sym_QMARK] = ACTIONS(3239),
    [anon_sym_PLUS] = ACTIONS(949),
    [anon_sym_DASH] = ACTIONS(951),
    [anon_sym_TILDE] = ACTIONS(949),
    [anon_sym_BANG] = ACTIONS(949),
    [anon_sym_AMP] = ACTIONS(949),
    [anon_sym_DOT] = ACTIONS(953),
    [anon_sym_LBRACK] = ACTIONS(955),
    [anon_sym_cast] = ACTIONS(957),
    [anon_sym_transmute] = ACTIONS(957),
    [anon_sym_auto_cast] = ACTIONS(959),
    [anon_sym_DOT_DOT] = ACTIONS(3241),
    [anon_sym_map] = ACTIONS(351),
    [anon_sym_bit_set] = ACTIONS(353),
    [anon_sym_matrix] = ACTIONS(355),
    [anon_sym_distinct] = ACTIONS(357),
    [sym_number] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(361),
    [anon_sym_BQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [anon_sym_true] = ACTIONS(367),
    [anon_sym_false] = ACTIONS(367),
    [sym_nil] = ACTIONS(369),
    [sym_uninitialized] = ACTIONS(359),
    [sym_tag] = ACTIONS(963),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(359),
    [sym_block_comment] = ACTIONS(3),
  },
  [488] = {
    [sym_procedure] = STATE(3279),
    [sym_expression] = STATE(5704),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(8124),
    [sym_array_type] = STATE(8124),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym__procedure_type] = STATE(8124),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [489] = {
    [sym_procedure] = STATE(3279),
    [sym_expression] = STATE(5812),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(8172),
    [sym_array_type] = STATE(8172),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym__procedure_type] = STATE(8172),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [490] = {
    [sym_attributes] = STATE(1450),
    [sym_attribute] = STATE(5637),
    [sym_assignment_statement] = STATE(8130),
    [sym_expression] = STATE(4580),
    [sym__expression_no_tag] = STATE(4410),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_ternary_expression] = STATE(4410),
    [sym_call_expression] = STATE(4410),
    [sym_selector_call_expression] = STATE(4410),
    [sym_member_expression] = STATE(4410),
    [sym_index_expression] = STATE(4410),
    [sym_slice_expression] = STATE(4410),
    [sym_range_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_in_expression] = STATE(4410),
    [sym_variadic_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4410),
    [sym_or_return_expression] = STATE(4410),
    [sym_or_continue_expression] = STATE(4410),
    [sym_or_break_expression] = STATE(4410),
    [sym_address] = STATE(4410),
    [sym_map_type] = STATE(4410),
    [sym_matrix_type] = STATE(4410),
    [sym_distinct_type] = STATE(4410),
    [sym_literal] = STATE(4410),
    [sym_struct] = STATE(4333),
    [sym_map] = STATE(4320),
    [sym_bit_set] = STATE(4320),
    [sym_matrix] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym__string_literal] = STATE(4334),
    [sym__raw_string_literal] = STATE(4334),
    [sym_character] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_field_identifier] = STATE(7845),
    [aux_sym_attributes_repeat1] = STATE(5637),
    [sym_identifier] = ACTIONS(341),
    [anon_sym_LBRACE] = ACTIONS(943),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(945),
    [anon_sym_SEMI] = ACTIONS(3243),
    [anon_sym_QMARK] = ACTIONS(3239),
    [anon_sym_PLUS] = ACTIONS(949),
    [anon_sym_DASH] = ACTIONS(951),
    [anon_sym_TILDE] = ACTIONS(949),
    [anon_sym_BANG] = ACTIONS(949),
    [anon_sym_AMP] = ACTIONS(949),
    [anon_sym_DOT] = ACTIONS(953),
    [anon_sym_LBRACK] = ACTIONS(955),
    [anon_sym_cast] = ACTIONS(957),
    [anon_sym_transmute] = ACTIONS(957),
    [anon_sym_auto_cast] = ACTIONS(959),
    [anon_sym_DOT_DOT] = ACTIONS(3241),
    [anon_sym_map] = ACTIONS(351),
    [anon_sym_bit_set] = ACTIONS(353),
    [anon_sym_matrix] = ACTIONS(355),
    [anon_sym_distinct] = ACTIONS(357),
    [sym_number] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(361),
    [anon_sym_BQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [anon_sym_true] = ACTIONS(367),
    [anon_sym_false] = ACTIONS(367),
    [sym_nil] = ACTIONS(369),
    [sym_uninitialized] = ACTIONS(359),
    [sym_tag] = ACTIONS(963),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(359),
    [sym_block_comment] = ACTIONS(3),
  },
  [491] = {
    [sym_procedure] = STATE(3279),
    [sym_expression] = STATE(5777),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(8208),
    [sym_array_type] = STATE(8208),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym__procedure_type] = STATE(8208),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [492] = {
    [sym_switch_case] = STATE(6945),
    [sym_expression] = STATE(5566),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_struct_field] = STATE(7643),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [aux_sym_switch_statement_repeat1] = STATE(6945),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(3245),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_case] = ACTIONS(3247),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [493] = {
    [sym_expression] = STATE(4552),
    [sym__expression_no_tag] = STATE(4299),
    [sym_unary_expression] = STATE(4299),
    [sym_binary_expression] = STATE(4299),
    [sym_ternary_expression] = STATE(4299),
    [sym_call_expression] = STATE(4299),
    [sym_selector_call_expression] = STATE(4299),
    [sym_member_expression] = STATE(4299),
    [sym_index_expression] = STATE(4299),
    [sym_slice_expression] = STATE(4299),
    [sym_range_expression] = STATE(4299),
    [sym_cast_expression] = STATE(4299),
    [sym_in_expression] = STATE(4299),
    [sym_variadic_expression] = STATE(4299),
    [sym_parenthesized_expression] = STATE(4299),
    [sym_or_return_expression] = STATE(4299),
    [sym_or_continue_expression] = STATE(4299),
    [sym_or_break_expression] = STATE(4299),
    [sym_address] = STATE(4299),
    [sym_pointer_type] = STATE(6452),
    [sym_array_type] = STATE(6452),
    [sym_map_type] = STATE(4299),
    [sym_bit_set_type] = STATE(6452),
    [sym_matrix_type] = STATE(4299),
    [sym_distinct_type] = STATE(4299),
    [sym_literal] = STATE(4299),
    [sym_struct] = STATE(4311),
    [sym_map] = STATE(3787),
    [sym_bit_set] = STATE(3787),
    [sym_matrix] = STATE(3787),
    [sym_string] = STATE(3787),
    [sym__string_literal] = STATE(3867),
    [sym__raw_string_literal] = STATE(3867),
    [sym_character] = STATE(3787),
    [sym_boolean] = STATE(3787),
    [sym_field_identifier] = STATE(7783),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_POUNDtype] = ACTIONS(3249),
    [anon_sym_LPAREN] = ACTIONS(759),
    [anon_sym_QMARK] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(763),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(763),
    [anon_sym_BANG] = ACTIONS(763),
    [anon_sym_AMP] = ACTIONS(763),
    [anon_sym_DOT] = ACTIONS(765),
    [anon_sym_LBRACK] = ACTIONS(2795),
    [anon_sym_cast] = ACTIONS(597),
    [anon_sym_transmute] = ACTIONS(597),
    [anon_sym_auto_cast] = ACTIONS(599),
    [anon_sym_DOT_DOT] = ACTIONS(2797),
    [anon_sym_CARET] = ACTIONS(2799),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(603),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(605),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [494] = {
    [sym_procedure] = STATE(6472),
    [sym_expression] = STATE(4553),
    [sym__expression_no_tag] = STATE(4299),
    [sym_unary_expression] = STATE(4299),
    [sym_binary_expression] = STATE(4299),
    [sym_ternary_expression] = STATE(4299),
    [sym_call_expression] = STATE(4299),
    [sym_selector_call_expression] = STATE(4299),
    [sym_member_expression] = STATE(4299),
    [sym_index_expression] = STATE(4299),
    [sym_slice_expression] = STATE(4299),
    [sym_range_expression] = STATE(4299),
    [sym_cast_expression] = STATE(4299),
    [sym_in_expression] = STATE(4299),
    [sym_variadic_expression] = STATE(4299),
    [sym_parenthesized_expression] = STATE(4299),
    [sym_or_return_expression] = STATE(4299),
    [sym_or_continue_expression] = STATE(4299),
    [sym_or_break_expression] = STATE(4299),
    [sym_address] = STATE(4299),
    [sym_map_type] = STATE(4299),
    [sym_matrix_type] = STATE(4299),
    [sym_distinct_type] = STATE(4299),
    [sym_literal] = STATE(4299),
    [sym_struct] = STATE(4311),
    [sym_map] = STATE(3787),
    [sym_bit_set] = STATE(3787),
    [sym_matrix] = STATE(3787),
    [sym_string] = STATE(3787),
    [sym__string_literal] = STATE(3867),
    [sym__raw_string_literal] = STATE(3867),
    [sym_character] = STATE(3787),
    [sym_boolean] = STATE(3787),
    [sym_field_identifier] = STATE(7783),
    [ts_builtin_sym_end] = ACTIONS(3251),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_proc] = ACTIONS(585),
    [anon_sym_LPAREN] = ACTIONS(759),
    [anon_sym_SEMI] = ACTIONS(3251),
    [anon_sym_QMARK] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(763),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(763),
    [anon_sym_BANG] = ACTIONS(763),
    [anon_sym_AMP] = ACTIONS(763),
    [anon_sym_DOT] = ACTIONS(765),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_cast] = ACTIONS(597),
    [anon_sym_transmute] = ACTIONS(597),
    [anon_sym_auto_cast] = ACTIONS(599),
    [anon_sym_DOT_DOT] = ACTIONS(2797),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(3251),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [495] = {
    [sym_switch_case] = STATE(6979),
    [sym_expression] = STATE(5566),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_struct_field] = STATE(7643),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [aux_sym_switch_statement_repeat1] = STATE(6979),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(3253),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_case] = ACTIONS(3247),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [496] = {
    [sym_expression] = STATE(4469),
    [sym__expression_no_tag] = STATE(4299),
    [sym_unary_expression] = STATE(4299),
    [sym_binary_expression] = STATE(4299),
    [sym_ternary_expression] = STATE(4299),
    [sym_call_expression] = STATE(4299),
    [sym_selector_call_expression] = STATE(4299),
    [sym_member_expression] = STATE(4299),
    [sym_index_expression] = STATE(4299),
    [sym_slice_expression] = STATE(4299),
    [sym_range_expression] = STATE(4299),
    [sym_cast_expression] = STATE(4299),
    [sym_in_expression] = STATE(4299),
    [sym_variadic_expression] = STATE(4299),
    [sym_parenthesized_expression] = STATE(4299),
    [sym_or_return_expression] = STATE(4299),
    [sym_or_continue_expression] = STATE(4299),
    [sym_or_break_expression] = STATE(4299),
    [sym_address] = STATE(4299),
    [sym_pointer_type] = STATE(6433),
    [sym_array_type] = STATE(6433),
    [sym_map_type] = STATE(4299),
    [sym_bit_set_type] = STATE(6433),
    [sym_matrix_type] = STATE(4299),
    [sym_distinct_type] = STATE(4299),
    [sym_literal] = STATE(4299),
    [sym_struct] = STATE(4311),
    [sym_map] = STATE(3787),
    [sym_bit_set] = STATE(3787),
    [sym_matrix] = STATE(3787),
    [sym_string] = STATE(3787),
    [sym__string_literal] = STATE(3867),
    [sym__raw_string_literal] = STATE(3867),
    [sym_character] = STATE(3787),
    [sym_boolean] = STATE(3787),
    [sym_field_identifier] = STATE(7783),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_POUNDtype] = ACTIONS(607),
    [anon_sym_LPAREN] = ACTIONS(759),
    [anon_sym_QMARK] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(763),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(763),
    [anon_sym_BANG] = ACTIONS(763),
    [anon_sym_AMP] = ACTIONS(763),
    [anon_sym_DOT] = ACTIONS(765),
    [anon_sym_LBRACK] = ACTIONS(2795),
    [anon_sym_cast] = ACTIONS(597),
    [anon_sym_transmute] = ACTIONS(597),
    [anon_sym_auto_cast] = ACTIONS(599),
    [anon_sym_DOT_DOT] = ACTIONS(2797),
    [anon_sym_CARET] = ACTIONS(2799),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(603),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(3255),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [497] = {
    [sym_procedure] = STATE(6472),
    [sym_expression] = STATE(4553),
    [sym__expression_no_tag] = STATE(4299),
    [sym_unary_expression] = STATE(4299),
    [sym_binary_expression] = STATE(4299),
    [sym_ternary_expression] = STATE(4299),
    [sym_call_expression] = STATE(4299),
    [sym_selector_call_expression] = STATE(4299),
    [sym_member_expression] = STATE(4299),
    [sym_index_expression] = STATE(4299),
    [sym_slice_expression] = STATE(4299),
    [sym_range_expression] = STATE(4299),
    [sym_cast_expression] = STATE(4299),
    [sym_in_expression] = STATE(4299),
    [sym_variadic_expression] = STATE(4299),
    [sym_parenthesized_expression] = STATE(4299),
    [sym_or_return_expression] = STATE(4299),
    [sym_or_continue_expression] = STATE(4299),
    [sym_or_break_expression] = STATE(4299),
    [sym_address] = STATE(4299),
    [sym_map_type] = STATE(4299),
    [sym_matrix_type] = STATE(4299),
    [sym_distinct_type] = STATE(4299),
    [sym_literal] = STATE(4299),
    [sym_struct] = STATE(4311),
    [sym_map] = STATE(3787),
    [sym_bit_set] = STATE(3787),
    [sym_matrix] = STATE(3787),
    [sym_string] = STATE(3787),
    [sym__string_literal] = STATE(3867),
    [sym__raw_string_literal] = STATE(3867),
    [sym_character] = STATE(3787),
    [sym_boolean] = STATE(3787),
    [sym_field_identifier] = STATE(7783),
    [ts_builtin_sym_end] = ACTIONS(3257),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_proc] = ACTIONS(585),
    [anon_sym_LPAREN] = ACTIONS(759),
    [anon_sym_SEMI] = ACTIONS(3257),
    [anon_sym_QMARK] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(763),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(763),
    [anon_sym_BANG] = ACTIONS(763),
    [anon_sym_AMP] = ACTIONS(763),
    [anon_sym_DOT] = ACTIONS(765),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_cast] = ACTIONS(597),
    [anon_sym_transmute] = ACTIONS(597),
    [anon_sym_auto_cast] = ACTIONS(599),
    [anon_sym_DOT_DOT] = ACTIONS(2797),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(3257),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [498] = {
    [sym_attributes] = STATE(1662),
    [sym_attribute] = STATE(5637),
    [sym_assignment_statement] = STATE(7427),
    [sym_expression] = STATE(4856),
    [sym__expression_no_tag] = STATE(4410),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_ternary_expression] = STATE(4410),
    [sym_call_expression] = STATE(4410),
    [sym_selector_call_expression] = STATE(4410),
    [sym_member_expression] = STATE(4410),
    [sym_index_expression] = STATE(4410),
    [sym_slice_expression] = STATE(4410),
    [sym_range_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_in_expression] = STATE(4410),
    [sym_variadic_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4410),
    [sym_or_return_expression] = STATE(4410),
    [sym_or_continue_expression] = STATE(4410),
    [sym_or_break_expression] = STATE(4410),
    [sym_address] = STATE(4410),
    [sym_map_type] = STATE(4410),
    [sym_matrix_type] = STATE(4410),
    [sym_distinct_type] = STATE(4410),
    [sym_literal] = STATE(4410),
    [sym_struct] = STATE(4333),
    [sym_map] = STATE(4320),
    [sym_bit_set] = STATE(4320),
    [sym_matrix] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym__string_literal] = STATE(4334),
    [sym__raw_string_literal] = STATE(4334),
    [sym_character] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_field_identifier] = STATE(7845),
    [aux_sym_attributes_repeat1] = STATE(5637),
    [sym_identifier] = ACTIONS(341),
    [anon_sym_LBRACE] = ACTIONS(943),
    [anon_sym_AT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(945),
    [anon_sym_QMARK] = ACTIONS(3239),
    [anon_sym_PLUS] = ACTIONS(949),
    [anon_sym_DASH] = ACTIONS(951),
    [anon_sym_TILDE] = ACTIONS(949),
    [anon_sym_BANG] = ACTIONS(949),
    [anon_sym_AMP] = ACTIONS(949),
    [anon_sym_DOT] = ACTIONS(953),
    [anon_sym_LBRACK] = ACTIONS(955),
    [anon_sym_cast] = ACTIONS(957),
    [anon_sym_transmute] = ACTIONS(957),
    [anon_sym_auto_cast] = ACTIONS(959),
    [anon_sym_DOT_DOT] = ACTIONS(3241),
    [anon_sym_map] = ACTIONS(351),
    [anon_sym_bit_set] = ACTIONS(353),
    [anon_sym_matrix] = ACTIONS(355),
    [anon_sym_distinct] = ACTIONS(357),
    [sym_number] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(361),
    [anon_sym_BQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [anon_sym_true] = ACTIONS(367),
    [anon_sym_false] = ACTIONS(367),
    [sym_nil] = ACTIONS(369),
    [sym_uninitialized] = ACTIONS(359),
    [sym_tag] = ACTIONS(963),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(359),
    [sym_block_comment] = ACTIONS(3),
  },
  [499] = {
    [sym_switch_case] = STATE(6892),
    [sym_expression] = STATE(5566),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_struct_field] = STATE(7643),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [aux_sym_switch_statement_repeat1] = STATE(6892),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(3259),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_case] = ACTIONS(3247),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [500] = {
    [sym_procedure] = STATE(6472),
    [sym_expression] = STATE(4553),
    [sym__expression_no_tag] = STATE(4299),
    [sym_unary_expression] = STATE(4299),
    [sym_binary_expression] = STATE(4299),
    [sym_ternary_expression] = STATE(4299),
    [sym_call_expression] = STATE(4299),
    [sym_selector_call_expression] = STATE(4299),
    [sym_member_expression] = STATE(4299),
    [sym_index_expression] = STATE(4299),
    [sym_slice_expression] = STATE(4299),
    [sym_range_expression] = STATE(4299),
    [sym_cast_expression] = STATE(4299),
    [sym_in_expression] = STATE(4299),
    [sym_variadic_expression] = STATE(4299),
    [sym_parenthesized_expression] = STATE(4299),
    [sym_or_return_expression] = STATE(4299),
    [sym_or_continue_expression] = STATE(4299),
    [sym_or_break_expression] = STATE(4299),
    [sym_address] = STATE(4299),
    [sym_map_type] = STATE(4299),
    [sym_matrix_type] = STATE(4299),
    [sym_distinct_type] = STATE(4299),
    [sym_literal] = STATE(4299),
    [sym_struct] = STATE(4311),
    [sym_map] = STATE(3787),
    [sym_bit_set] = STATE(3787),
    [sym_matrix] = STATE(3787),
    [sym_string] = STATE(3787),
    [sym__string_literal] = STATE(3867),
    [sym__raw_string_literal] = STATE(3867),
    [sym_character] = STATE(3787),
    [sym_boolean] = STATE(3787),
    [sym_field_identifier] = STATE(7783),
    [ts_builtin_sym_end] = ACTIONS(3261),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_proc] = ACTIONS(585),
    [anon_sym_LPAREN] = ACTIONS(759),
    [anon_sym_SEMI] = ACTIONS(3261),
    [anon_sym_QMARK] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(763),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(763),
    [anon_sym_BANG] = ACTIONS(763),
    [anon_sym_AMP] = ACTIONS(763),
    [anon_sym_DOT] = ACTIONS(765),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_cast] = ACTIONS(597),
    [anon_sym_transmute] = ACTIONS(597),
    [anon_sym_auto_cast] = ACTIONS(599),
    [anon_sym_DOT_DOT] = ACTIONS(2797),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(3261),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [501] = {
    [sym_procedure] = STATE(6472),
    [sym_expression] = STATE(4553),
    [sym__expression_no_tag] = STATE(4299),
    [sym_unary_expression] = STATE(4299),
    [sym_binary_expression] = STATE(4299),
    [sym_ternary_expression] = STATE(4299),
    [sym_call_expression] = STATE(4299),
    [sym_selector_call_expression] = STATE(4299),
    [sym_member_expression] = STATE(4299),
    [sym_index_expression] = STATE(4299),
    [sym_slice_expression] = STATE(4299),
    [sym_range_expression] = STATE(4299),
    [sym_cast_expression] = STATE(4299),
    [sym_in_expression] = STATE(4299),
    [sym_variadic_expression] = STATE(4299),
    [sym_parenthesized_expression] = STATE(4299),
    [sym_or_return_expression] = STATE(4299),
    [sym_or_continue_expression] = STATE(4299),
    [sym_or_break_expression] = STATE(4299),
    [sym_address] = STATE(4299),
    [sym_map_type] = STATE(4299),
    [sym_matrix_type] = STATE(4299),
    [sym_distinct_type] = STATE(4299),
    [sym_literal] = STATE(4299),
    [sym_struct] = STATE(4311),
    [sym_map] = STATE(3787),
    [sym_bit_set] = STATE(3787),
    [sym_matrix] = STATE(3787),
    [sym_string] = STATE(3787),
    [sym__string_literal] = STATE(3867),
    [sym__raw_string_literal] = STATE(3867),
    [sym_character] = STATE(3787),
    [sym_boolean] = STATE(3787),
    [sym_field_identifier] = STATE(7783),
    [ts_builtin_sym_end] = ACTIONS(3263),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_proc] = ACTIONS(585),
    [anon_sym_LPAREN] = ACTIONS(759),
    [anon_sym_SEMI] = ACTIONS(3263),
    [anon_sym_QMARK] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(763),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(763),
    [anon_sym_BANG] = ACTIONS(763),
    [anon_sym_AMP] = ACTIONS(763),
    [anon_sym_DOT] = ACTIONS(765),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_cast] = ACTIONS(597),
    [anon_sym_transmute] = ACTIONS(597),
    [anon_sym_auto_cast] = ACTIONS(599),
    [anon_sym_DOT_DOT] = ACTIONS(2797),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(3263),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [502] = {
    [sym_expression] = STATE(4485),
    [sym__expression_no_tag] = STATE(4299),
    [sym_unary_expression] = STATE(4299),
    [sym_binary_expression] = STATE(4299),
    [sym_ternary_expression] = STATE(4299),
    [sym_call_expression] = STATE(4299),
    [sym_selector_call_expression] = STATE(4299),
    [sym_member_expression] = STATE(4299),
    [sym_index_expression] = STATE(4299),
    [sym_slice_expression] = STATE(4299),
    [sym_range_expression] = STATE(4299),
    [sym_cast_expression] = STATE(4299),
    [sym_in_expression] = STATE(4299),
    [sym_variadic_expression] = STATE(4299),
    [sym_parenthesized_expression] = STATE(4299),
    [sym_or_return_expression] = STATE(4299),
    [sym_or_continue_expression] = STATE(4299),
    [sym_or_break_expression] = STATE(4299),
    [sym_address] = STATE(4299),
    [sym_pointer_type] = STATE(6445),
    [sym_array_type] = STATE(6445),
    [sym_map_type] = STATE(4299),
    [sym_bit_set_type] = STATE(6445),
    [sym_matrix_type] = STATE(4299),
    [sym_distinct_type] = STATE(4299),
    [sym_literal] = STATE(4299),
    [sym_struct] = STATE(4311),
    [sym_map] = STATE(3787),
    [sym_bit_set] = STATE(3787),
    [sym_matrix] = STATE(3787),
    [sym_string] = STATE(3787),
    [sym__string_literal] = STATE(3867),
    [sym__raw_string_literal] = STATE(3867),
    [sym_character] = STATE(3787),
    [sym_boolean] = STATE(3787),
    [sym_field_identifier] = STATE(7783),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_POUNDtype] = ACTIONS(587),
    [anon_sym_LPAREN] = ACTIONS(759),
    [anon_sym_QMARK] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(763),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(763),
    [anon_sym_BANG] = ACTIONS(763),
    [anon_sym_AMP] = ACTIONS(763),
    [anon_sym_DOT] = ACTIONS(765),
    [anon_sym_LBRACK] = ACTIONS(2795),
    [anon_sym_cast] = ACTIONS(597),
    [anon_sym_transmute] = ACTIONS(597),
    [anon_sym_auto_cast] = ACTIONS(599),
    [anon_sym_DOT_DOT] = ACTIONS(2797),
    [anon_sym_CARET] = ACTIONS(2799),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(603),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(3265),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [503] = {
    [sym_block] = STATE(2360),
    [sym_where_clause] = STATE(796),
    [anon_sym_LBRACE] = ACTIONS(3267),
    [anon_sym_RBRACE] = ACTIONS(3269),
    [anon_sym_COMMA] = ACTIONS(3269),
    [anon_sym_COLON_COLON] = ACTIONS(3269),
    [anon_sym_DASH_GT] = ACTIONS(3269),
    [anon_sym_where] = ACTIONS(3271),
    [anon_sym_EQ] = ACTIONS(3273),
    [anon_sym_COLON_EQ] = ACTIONS(3269),
    [anon_sym_COLON] = ACTIONS(3273),
    [anon_sym_LPAREN] = ACTIONS(3269),
    [anon_sym_PLUS_EQ] = ACTIONS(3269),
    [anon_sym_DASH_EQ] = ACTIONS(3269),
    [anon_sym_STAR_EQ] = ACTIONS(3269),
    [anon_sym_SLASH_EQ] = ACTIONS(3269),
    [anon_sym_PERCENT_EQ] = ACTIONS(3269),
    [anon_sym_AMP_EQ] = ACTIONS(3269),
    [anon_sym_PIPE_EQ] = ACTIONS(3269),
    [anon_sym_CARET_EQ] = ACTIONS(3269),
    [anon_sym_LT_LT_EQ] = ACTIONS(3269),
    [anon_sym_GT_GT_EQ] = ACTIONS(3269),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3269),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3269),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(3269),
    [anon_sym_if] = ACTIONS(3269),
    [anon_sym_SEMI] = ACTIONS(3269),
    [anon_sym_else] = ACTIONS(3269),
    [anon_sym_when] = ACTIONS(3269),
    [anon_sym_in] = ACTIONS(3269),
    [anon_sym_case] = ACTIONS(3269),
    [anon_sym_QMARK] = ACTIONS(3269),
    [anon_sym_PLUS] = ACTIONS(3273),
    [anon_sym_DASH] = ACTIONS(3273),
    [anon_sym_TILDE] = ACTIONS(3273),
    [anon_sym_AMP] = ACTIONS(3273),
    [anon_sym_PIPE_PIPE] = ACTIONS(3273),
    [anon_sym_or_else] = ACTIONS(3269),
    [anon_sym_AMP_AMP] = ACTIONS(3273),
    [anon_sym_GT] = ACTIONS(3273),
    [anon_sym_GT_EQ] = ACTIONS(3269),
    [anon_sym_LT_EQ] = ACTIONS(3269),
    [anon_sym_LT] = ACTIONS(3273),
    [anon_sym_EQ_EQ] = ACTIONS(3269),
    [anon_sym_BANG_EQ] = ACTIONS(3269),
    [anon_sym_TILDE_EQ] = ACTIONS(3269),
    [anon_sym_PIPE] = ACTIONS(3273),
    [anon_sym_AMP_TILDE] = ACTIONS(3273),
    [anon_sym_LT_LT] = ACTIONS(3273),
    [anon_sym_GT_GT] = ACTIONS(3273),
    [anon_sym_STAR] = ACTIONS(3273),
    [anon_sym_SLASH] = ACTIONS(3273),
    [anon_sym_PERCENT] = ACTIONS(3273),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(3269),
    [anon_sym_DOT] = ACTIONS(3273),
    [anon_sym_LBRACK] = ACTIONS(3269),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(3269),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3269),
    [anon_sym_not_in] = ACTIONS(3269),
    [anon_sym_or_return] = ACTIONS(3269),
    [anon_sym_or_continue] = ACTIONS(3269),
    [anon_sym_or_break] = ACTIONS(3269),
    [anon_sym_CARET] = ACTIONS(3273),
    [sym_uninitialized] = ACTIONS(3275),
    [sym_tag] = ACTIONS(3277),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(3269),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [504] = {
    [sym_block] = STATE(700),
    [sym_where_clause] = STATE(680),
    [anon_sym_LBRACE] = ACTIONS(3279),
    [anon_sym_RBRACE] = ACTIONS(3281),
    [anon_sym_COMMA] = ACTIONS(3281),
    [anon_sym_COLON_COLON] = ACTIONS(3281),
    [anon_sym_DASH_GT] = ACTIONS(3281),
    [anon_sym_where] = ACTIONS(3271),
    [anon_sym_EQ] = ACTIONS(3283),
    [anon_sym_COLON_EQ] = ACTIONS(3281),
    [anon_sym_COLON] = ACTIONS(3283),
    [anon_sym_LPAREN] = ACTIONS(3281),
    [anon_sym_PLUS_EQ] = ACTIONS(3281),
    [anon_sym_DASH_EQ] = ACTIONS(3281),
    [anon_sym_STAR_EQ] = ACTIONS(3281),
    [anon_sym_SLASH_EQ] = ACTIONS(3281),
    [anon_sym_PERCENT_EQ] = ACTIONS(3281),
    [anon_sym_AMP_EQ] = ACTIONS(3281),
    [anon_sym_PIPE_EQ] = ACTIONS(3281),
    [anon_sym_CARET_EQ] = ACTIONS(3281),
    [anon_sym_LT_LT_EQ] = ACTIONS(3281),
    [anon_sym_GT_GT_EQ] = ACTIONS(3281),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3281),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3281),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(3281),
    [anon_sym_if] = ACTIONS(3281),
    [anon_sym_SEMI] = ACTIONS(3281),
    [anon_sym_else] = ACTIONS(3281),
    [anon_sym_when] = ACTIONS(3281),
    [anon_sym_in] = ACTIONS(3281),
    [anon_sym_case] = ACTIONS(3281),
    [anon_sym_QMARK] = ACTIONS(3281),
    [anon_sym_PLUS] = ACTIONS(3283),
    [anon_sym_DASH] = ACTIONS(3283),
    [anon_sym_TILDE] = ACTIONS(3283),
    [anon_sym_AMP] = ACTIONS(3283),
    [anon_sym_PIPE_PIPE] = ACTIONS(3283),
    [anon_sym_or_else] = ACTIONS(3281),
    [anon_sym_AMP_AMP] = ACTIONS(3283),
    [anon_sym_GT] = ACTIONS(3283),
    [anon_sym_GT_EQ] = ACTIONS(3281),
    [anon_sym_LT_EQ] = ACTIONS(3281),
    [anon_sym_LT] = ACTIONS(3283),
    [anon_sym_EQ_EQ] = ACTIONS(3281),
    [anon_sym_BANG_EQ] = ACTIONS(3281),
    [anon_sym_TILDE_EQ] = ACTIONS(3281),
    [anon_sym_PIPE] = ACTIONS(3283),
    [anon_sym_AMP_TILDE] = ACTIONS(3283),
    [anon_sym_LT_LT] = ACTIONS(3283),
    [anon_sym_GT_GT] = ACTIONS(3283),
    [anon_sym_STAR] = ACTIONS(3283),
    [anon_sym_SLASH] = ACTIONS(3283),
    [anon_sym_PERCENT] = ACTIONS(3283),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(3281),
    [anon_sym_DOT] = ACTIONS(3283),
    [anon_sym_LBRACK] = ACTIONS(3281),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(3281),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3281),
    [anon_sym_not_in] = ACTIONS(3281),
    [anon_sym_or_return] = ACTIONS(3281),
    [anon_sym_or_continue] = ACTIONS(3281),
    [anon_sym_or_break] = ACTIONS(3281),
    [anon_sym_CARET] = ACTIONS(3283),
    [sym_uninitialized] = ACTIONS(3285),
    [sym_tag] = ACTIONS(3287),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(3281),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [505] = {
    [sym_block] = STATE(700),
    [sym_where_clause] = STATE(680),
    [anon_sym_LBRACE] = ACTIONS(3279),
    [anon_sym_RBRACE] = ACTIONS(3281),
    [anon_sym_COMMA] = ACTIONS(3281),
    [anon_sym_COLON_COLON] = ACTIONS(3281),
    [anon_sym_DASH_GT] = ACTIONS(3281),
    [anon_sym_where] = ACTIONS(3271),
    [anon_sym_EQ] = ACTIONS(3283),
    [anon_sym_COLON_EQ] = ACTIONS(3281),
    [anon_sym_COLON] = ACTIONS(3283),
    [anon_sym_LPAREN] = ACTIONS(3281),
    [anon_sym_PLUS_EQ] = ACTIONS(3281),
    [anon_sym_DASH_EQ] = ACTIONS(3281),
    [anon_sym_STAR_EQ] = ACTIONS(3281),
    [anon_sym_SLASH_EQ] = ACTIONS(3281),
    [anon_sym_PERCENT_EQ] = ACTIONS(3281),
    [anon_sym_AMP_EQ] = ACTIONS(3281),
    [anon_sym_PIPE_EQ] = ACTIONS(3281),
    [anon_sym_CARET_EQ] = ACTIONS(3281),
    [anon_sym_LT_LT_EQ] = ACTIONS(3281),
    [anon_sym_GT_GT_EQ] = ACTIONS(3281),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3281),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3281),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(3281),
    [anon_sym_if] = ACTIONS(3281),
    [anon_sym_SEMI] = ACTIONS(3281),
    [anon_sym_else] = ACTIONS(3281),
    [anon_sym_when] = ACTIONS(3281),
    [anon_sym_in] = ACTIONS(3281),
    [anon_sym_case] = ACTIONS(3281),
    [anon_sym_QMARK] = ACTIONS(3281),
    [anon_sym_PLUS] = ACTIONS(3283),
    [anon_sym_DASH] = ACTIONS(3283),
    [anon_sym_TILDE] = ACTIONS(3283),
    [anon_sym_AMP] = ACTIONS(3283),
    [anon_sym_PIPE_PIPE] = ACTIONS(3283),
    [anon_sym_or_else] = ACTIONS(3281),
    [anon_sym_AMP_AMP] = ACTIONS(3283),
    [anon_sym_GT] = ACTIONS(3283),
    [anon_sym_GT_EQ] = ACTIONS(3281),
    [anon_sym_LT_EQ] = ACTIONS(3281),
    [anon_sym_LT] = ACTIONS(3283),
    [anon_sym_EQ_EQ] = ACTIONS(3281),
    [anon_sym_BANG_EQ] = ACTIONS(3281),
    [anon_sym_TILDE_EQ] = ACTIONS(3281),
    [anon_sym_PIPE] = ACTIONS(3283),
    [anon_sym_AMP_TILDE] = ACTIONS(3283),
    [anon_sym_LT_LT] = ACTIONS(3283),
    [anon_sym_GT_GT] = ACTIONS(3283),
    [anon_sym_STAR] = ACTIONS(3283),
    [anon_sym_SLASH] = ACTIONS(3283),
    [anon_sym_PERCENT] = ACTIONS(3283),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(3281),
    [anon_sym_DOT] = ACTIONS(3283),
    [anon_sym_LBRACK] = ACTIONS(3281),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(3281),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3281),
    [anon_sym_not_in] = ACTIONS(3281),
    [anon_sym_or_return] = ACTIONS(3281),
    [anon_sym_or_continue] = ACTIONS(3281),
    [anon_sym_or_break] = ACTIONS(3281),
    [anon_sym_CARET] = ACTIONS(3283),
    [sym_uninitialized] = ACTIONS(3285),
    [sym_tag] = ACTIONS(3289),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(3281),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [506] = {
    [sym_block] = STATE(701),
    [sym_where_clause] = STATE(662),
    [anon_sym_LBRACE] = ACTIONS(3279),
    [anon_sym_RBRACE] = ACTIONS(3291),
    [anon_sym_COMMA] = ACTIONS(3291),
    [anon_sym_COLON_COLON] = ACTIONS(3291),
    [anon_sym_DASH_GT] = ACTIONS(3291),
    [anon_sym_where] = ACTIONS(3271),
    [anon_sym_EQ] = ACTIONS(3293),
    [anon_sym_COLON_EQ] = ACTIONS(3291),
    [anon_sym_COLON] = ACTIONS(3293),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_PLUS_EQ] = ACTIONS(3291),
    [anon_sym_DASH_EQ] = ACTIONS(3291),
    [anon_sym_STAR_EQ] = ACTIONS(3291),
    [anon_sym_SLASH_EQ] = ACTIONS(3291),
    [anon_sym_PERCENT_EQ] = ACTIONS(3291),
    [anon_sym_AMP_EQ] = ACTIONS(3291),
    [anon_sym_PIPE_EQ] = ACTIONS(3291),
    [anon_sym_CARET_EQ] = ACTIONS(3291),
    [anon_sym_LT_LT_EQ] = ACTIONS(3291),
    [anon_sym_GT_GT_EQ] = ACTIONS(3291),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3291),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3291),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(3291),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_SEMI] = ACTIONS(3291),
    [anon_sym_else] = ACTIONS(3291),
    [anon_sym_when] = ACTIONS(3291),
    [anon_sym_in] = ACTIONS(3291),
    [anon_sym_case] = ACTIONS(3291),
    [anon_sym_QMARK] = ACTIONS(3291),
    [anon_sym_PLUS] = ACTIONS(3293),
    [anon_sym_DASH] = ACTIONS(3293),
    [anon_sym_TILDE] = ACTIONS(3293),
    [anon_sym_AMP] = ACTIONS(3293),
    [anon_sym_PIPE_PIPE] = ACTIONS(3293),
    [anon_sym_or_else] = ACTIONS(3291),
    [anon_sym_AMP_AMP] = ACTIONS(3293),
    [anon_sym_GT] = ACTIONS(3293),
    [anon_sym_GT_EQ] = ACTIONS(3291),
    [anon_sym_LT_EQ] = ACTIONS(3291),
    [anon_sym_LT] = ACTIONS(3293),
    [anon_sym_EQ_EQ] = ACTIONS(3291),
    [anon_sym_BANG_EQ] = ACTIONS(3291),
    [anon_sym_TILDE_EQ] = ACTIONS(3291),
    [anon_sym_PIPE] = ACTIONS(3293),
    [anon_sym_AMP_TILDE] = ACTIONS(3293),
    [anon_sym_LT_LT] = ACTIONS(3293),
    [anon_sym_GT_GT] = ACTIONS(3293),
    [anon_sym_STAR] = ACTIONS(3293),
    [anon_sym_SLASH] = ACTIONS(3293),
    [anon_sym_PERCENT] = ACTIONS(3293),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(3291),
    [anon_sym_DOT] = ACTIONS(3293),
    [anon_sym_LBRACK] = ACTIONS(3291),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(3291),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3291),
    [anon_sym_not_in] = ACTIONS(3291),
    [anon_sym_or_return] = ACTIONS(3291),
    [anon_sym_or_continue] = ACTIONS(3291),
    [anon_sym_or_break] = ACTIONS(3291),
    [anon_sym_CARET] = ACTIONS(3293),
    [sym_uninitialized] = ACTIONS(3295),
    [sym_tag] = ACTIONS(3297),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(3291),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [507] = {
    [sym_block] = STATE(2357),
    [sym_where_clause] = STATE(791),
    [anon_sym_LBRACE] = ACTIONS(3267),
    [anon_sym_RBRACE] = ACTIONS(3299),
    [anon_sym_COMMA] = ACTIONS(3299),
    [anon_sym_COLON_COLON] = ACTIONS(3299),
    [anon_sym_DASH_GT] = ACTIONS(3301),
    [anon_sym_where] = ACTIONS(3271),
    [anon_sym_EQ] = ACTIONS(3303),
    [anon_sym_COLON_EQ] = ACTIONS(3299),
    [anon_sym_COLON] = ACTIONS(3303),
    [anon_sym_LPAREN] = ACTIONS(3299),
    [anon_sym_PLUS_EQ] = ACTIONS(3299),
    [anon_sym_DASH_EQ] = ACTIONS(3299),
    [anon_sym_STAR_EQ] = ACTIONS(3299),
    [anon_sym_SLASH_EQ] = ACTIONS(3299),
    [anon_sym_PERCENT_EQ] = ACTIONS(3299),
    [anon_sym_AMP_EQ] = ACTIONS(3299),
    [anon_sym_PIPE_EQ] = ACTIONS(3299),
    [anon_sym_CARET_EQ] = ACTIONS(3299),
    [anon_sym_LT_LT_EQ] = ACTIONS(3299),
    [anon_sym_GT_GT_EQ] = ACTIONS(3299),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3299),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3299),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(3299),
    [anon_sym_if] = ACTIONS(3299),
    [anon_sym_SEMI] = ACTIONS(3299),
    [anon_sym_else] = ACTIONS(3299),
    [anon_sym_when] = ACTIONS(3299),
    [anon_sym_in] = ACTIONS(3299),
    [anon_sym_case] = ACTIONS(3299),
    [anon_sym_QMARK] = ACTIONS(3299),
    [anon_sym_PLUS] = ACTIONS(3303),
    [anon_sym_DASH] = ACTIONS(3303),
    [anon_sym_TILDE] = ACTIONS(3303),
    [anon_sym_AMP] = ACTIONS(3303),
    [anon_sym_PIPE_PIPE] = ACTIONS(3303),
    [anon_sym_or_else] = ACTIONS(3299),
    [anon_sym_AMP_AMP] = ACTIONS(3303),
    [anon_sym_GT] = ACTIONS(3303),
    [anon_sym_GT_EQ] = ACTIONS(3299),
    [anon_sym_LT_EQ] = ACTIONS(3299),
    [anon_sym_LT] = ACTIONS(3303),
    [anon_sym_EQ_EQ] = ACTIONS(3299),
    [anon_sym_BANG_EQ] = ACTIONS(3299),
    [anon_sym_TILDE_EQ] = ACTIONS(3299),
    [anon_sym_PIPE] = ACTIONS(3303),
    [anon_sym_AMP_TILDE] = ACTIONS(3303),
    [anon_sym_LT_LT] = ACTIONS(3303),
    [anon_sym_GT_GT] = ACTIONS(3303),
    [anon_sym_STAR] = ACTIONS(3303),
    [anon_sym_SLASH] = ACTIONS(3303),
    [anon_sym_PERCENT] = ACTIONS(3303),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(3299),
    [anon_sym_DOT] = ACTIONS(3303),
    [anon_sym_LBRACK] = ACTIONS(3299),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(3299),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3299),
    [anon_sym_not_in] = ACTIONS(3299),
    [anon_sym_or_return] = ACTIONS(3299),
    [anon_sym_or_continue] = ACTIONS(3299),
    [anon_sym_or_break] = ACTIONS(3299),
    [anon_sym_CARET] = ACTIONS(3303),
    [sym_uninitialized] = ACTIONS(3305),
    [sym_tag] = ACTIONS(3307),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(3299),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [508] = {
    [sym_expression] = STATE(5714),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(3309),
    [anon_sym_QMARK] = ACTIONS(3311),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(3313),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(3315),
    [anon_sym_dynamic] = ACTIONS(3317),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [509] = {
    [sym_expression] = STATE(5765),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(3319),
    [anon_sym_QMARK] = ACTIONS(3321),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(3323),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(3325),
    [anon_sym_dynamic] = ACTIONS(3327),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [510] = {
    [sym_expression] = STATE(5740),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(3329),
    [anon_sym_QMARK] = ACTIONS(3331),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(3333),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(3335),
    [anon_sym_dynamic] = ACTIONS(3337),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [511] = {
    [sym_expression] = STATE(5893),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(3339),
    [anon_sym_QMARK] = ACTIONS(3341),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(3343),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(3345),
    [anon_sym_dynamic] = ACTIONS(3347),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [512] = {
    [sym_expression] = STATE(5988),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(3349),
    [anon_sym_QMARK] = ACTIONS(3351),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(3353),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(3355),
    [anon_sym_dynamic] = ACTIONS(3357),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [513] = {
    [sym_expression] = STATE(5919),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(3359),
    [anon_sym_QMARK] = ACTIONS(3361),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(3363),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(3365),
    [anon_sym_dynamic] = ACTIONS(3367),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [514] = {
    [sym_expression] = STATE(5766),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(3369),
    [anon_sym_QMARK] = ACTIONS(3371),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(3373),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(3375),
    [anon_sym_dynamic] = ACTIONS(3377),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [515] = {
    [sym_expression] = STATE(5781),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(3379),
    [anon_sym_QMARK] = ACTIONS(3381),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(3383),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(3385),
    [anon_sym_dynamic] = ACTIONS(3387),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [516] = {
    [sym_block] = STATE(2051),
    [sym_where_clause] = STATE(773),
    [anon_sym_LBRACE] = ACTIONS(3389),
    [anon_sym_RBRACE] = ACTIONS(3291),
    [anon_sym_COMMA] = ACTIONS(3291),
    [anon_sym_COLON_COLON] = ACTIONS(3291),
    [anon_sym_DASH_GT] = ACTIONS(3291),
    [anon_sym_where] = ACTIONS(3271),
    [anon_sym_EQ] = ACTIONS(3293),
    [anon_sym_COLON_EQ] = ACTIONS(3291),
    [anon_sym_COLON] = ACTIONS(3293),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_PLUS_EQ] = ACTIONS(3291),
    [anon_sym_DASH_EQ] = ACTIONS(3291),
    [anon_sym_STAR_EQ] = ACTIONS(3291),
    [anon_sym_SLASH_EQ] = ACTIONS(3291),
    [anon_sym_PERCENT_EQ] = ACTIONS(3291),
    [anon_sym_AMP_EQ] = ACTIONS(3291),
    [anon_sym_PIPE_EQ] = ACTIONS(3291),
    [anon_sym_CARET_EQ] = ACTIONS(3291),
    [anon_sym_LT_LT_EQ] = ACTIONS(3291),
    [anon_sym_GT_GT_EQ] = ACTIONS(3291),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3291),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3291),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(3291),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_SEMI] = ACTIONS(3291),
    [anon_sym_else] = ACTIONS(3291),
    [anon_sym_when] = ACTIONS(3291),
    [anon_sym_in] = ACTIONS(3291),
    [anon_sym_case] = ACTIONS(3291),
    [anon_sym_QMARK] = ACTIONS(3291),
    [anon_sym_PLUS] = ACTIONS(3293),
    [anon_sym_DASH] = ACTIONS(3293),
    [anon_sym_TILDE] = ACTIONS(3293),
    [anon_sym_AMP] = ACTIONS(3293),
    [anon_sym_PIPE_PIPE] = ACTIONS(3293),
    [anon_sym_or_else] = ACTIONS(3291),
    [anon_sym_AMP_AMP] = ACTIONS(3293),
    [anon_sym_GT] = ACTIONS(3293),
    [anon_sym_GT_EQ] = ACTIONS(3291),
    [anon_sym_LT_EQ] = ACTIONS(3291),
    [anon_sym_LT] = ACTIONS(3293),
    [anon_sym_EQ_EQ] = ACTIONS(3291),
    [anon_sym_BANG_EQ] = ACTIONS(3291),
    [anon_sym_TILDE_EQ] = ACTIONS(3291),
    [anon_sym_PIPE] = ACTIONS(3293),
    [anon_sym_AMP_TILDE] = ACTIONS(3293),
    [anon_sym_LT_LT] = ACTIONS(3293),
    [anon_sym_GT_GT] = ACTIONS(3293),
    [anon_sym_STAR] = ACTIONS(3293),
    [anon_sym_SLASH] = ACTIONS(3293),
    [anon_sym_PERCENT] = ACTIONS(3293),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(3291),
    [anon_sym_DOT] = ACTIONS(3293),
    [anon_sym_LBRACK] = ACTIONS(3291),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(3291),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3291),
    [anon_sym_not_in] = ACTIONS(3291),
    [anon_sym_or_return] = ACTIONS(3291),
    [anon_sym_or_continue] = ACTIONS(3291),
    [anon_sym_or_break] = ACTIONS(3291),
    [anon_sym_CARET] = ACTIONS(3293),
    [sym_uninitialized] = ACTIONS(3391),
    [sym_tag] = ACTIONS(3393),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(3291),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [517] = {
    [sym_expression] = STATE(5768),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(3395),
    [anon_sym_QMARK] = ACTIONS(3397),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(3399),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(3401),
    [anon_sym_dynamic] = ACTIONS(3403),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [518] = {
    [sym_expression] = STATE(5790),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(3405),
    [anon_sym_QMARK] = ACTIONS(3407),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(3409),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(3411),
    [anon_sym_dynamic] = ACTIONS(3413),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [519] = {
    [aux_sym_field_type_repeat1] = STATE(570),
    [anon_sym_LBRACE] = ACTIONS(3415),
    [anon_sym_RBRACE] = ACTIONS(3415),
    [anon_sym_COMMA] = ACTIONS(3415),
    [anon_sym_COLON_COLON] = ACTIONS(3415),
    [anon_sym_DASH_GT] = ACTIONS(3415),
    [anon_sym_where] = ACTIONS(3415),
    [anon_sym_EQ] = ACTIONS(3417),
    [anon_sym_COLON_EQ] = ACTIONS(3415),
    [anon_sym_COLON] = ACTIONS(3419),
    [anon_sym_LPAREN] = ACTIONS(3415),
    [anon_sym_PLUS_EQ] = ACTIONS(3415),
    [anon_sym_DASH_EQ] = ACTIONS(3415),
    [anon_sym_STAR_EQ] = ACTIONS(3415),
    [anon_sym_SLASH_EQ] = ACTIONS(3415),
    [anon_sym_PERCENT_EQ] = ACTIONS(3415),
    [anon_sym_AMP_EQ] = ACTIONS(3415),
    [anon_sym_PIPE_EQ] = ACTIONS(3415),
    [anon_sym_CARET_EQ] = ACTIONS(3415),
    [anon_sym_LT_LT_EQ] = ACTIONS(3415),
    [anon_sym_GT_GT_EQ] = ACTIONS(3415),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3415),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3415),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(3415),
    [anon_sym_if] = ACTIONS(3415),
    [anon_sym_SEMI] = ACTIONS(3415),
    [anon_sym_else] = ACTIONS(3415),
    [anon_sym_when] = ACTIONS(3415),
    [anon_sym_in] = ACTIONS(3415),
    [anon_sym_case] = ACTIONS(3415),
    [anon_sym_QMARK] = ACTIONS(3415),
    [anon_sym_PLUS] = ACTIONS(3417),
    [anon_sym_DASH] = ACTIONS(3417),
    [anon_sym_TILDE] = ACTIONS(3417),
    [anon_sym_AMP] = ACTIONS(3417),
    [anon_sym_PIPE_PIPE] = ACTIONS(3417),
    [anon_sym_or_else] = ACTIONS(3415),
    [anon_sym_AMP_AMP] = ACTIONS(3417),
    [anon_sym_GT] = ACTIONS(3417),
    [anon_sym_GT_EQ] = ACTIONS(3415),
    [anon_sym_LT_EQ] = ACTIONS(3415),
    [anon_sym_LT] = ACTIONS(3417),
    [anon_sym_EQ_EQ] = ACTIONS(3415),
    [anon_sym_BANG_EQ] = ACTIONS(3415),
    [anon_sym_TILDE_EQ] = ACTIONS(3415),
    [anon_sym_PIPE] = ACTIONS(3417),
    [anon_sym_AMP_TILDE] = ACTIONS(3417),
    [anon_sym_LT_LT] = ACTIONS(3417),
    [anon_sym_GT_GT] = ACTIONS(3417),
    [anon_sym_STAR] = ACTIONS(3417),
    [anon_sym_SLASH] = ACTIONS(3417),
    [anon_sym_PERCENT] = ACTIONS(3417),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(3415),
    [anon_sym_DOT] = ACTIONS(3417),
    [anon_sym_LBRACK] = ACTIONS(3415),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(3415),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3415),
    [anon_sym_not_in] = ACTIONS(3415),
    [anon_sym_or_return] = ACTIONS(3415),
    [anon_sym_or_continue] = ACTIONS(3415),
    [anon_sym_or_break] = ACTIONS(3415),
    [anon_sym_CARET] = ACTIONS(3417),
    [anon_sym_DOT2] = ACTIONS(3421),
    [sym_uninitialized] = ACTIONS(3415),
    [sym_tag] = ACTIONS(3415),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(3415),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [520] = {
    [sym_expression] = STATE(5770),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(3423),
    [anon_sym_QMARK] = ACTIONS(3425),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(3427),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(3429),
    [anon_sym_dynamic] = ACTIONS(3431),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [521] = {
    [sym_expression] = STATE(5800),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(3433),
    [anon_sym_QMARK] = ACTIONS(3435),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(3437),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(3439),
    [anon_sym_dynamic] = ACTIONS(3441),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [522] = {
    [sym_expression] = STATE(5778),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(3443),
    [anon_sym_QMARK] = ACTIONS(3445),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(3447),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(3449),
    [anon_sym_dynamic] = ACTIONS(3451),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [523] = {
    [aux_sym_field_type_repeat1] = STATE(570),
    [anon_sym_LBRACE] = ACTIONS(3415),
    [anon_sym_RBRACE] = ACTIONS(3415),
    [anon_sym_COMMA] = ACTIONS(3415),
    [anon_sym_COLON_COLON] = ACTIONS(3415),
    [anon_sym_DASH_GT] = ACTIONS(3415),
    [anon_sym_where] = ACTIONS(3415),
    [anon_sym_EQ] = ACTIONS(3417),
    [anon_sym_COLON_EQ] = ACTIONS(3415),
    [anon_sym_COLON] = ACTIONS(3417),
    [anon_sym_LPAREN] = ACTIONS(3415),
    [anon_sym_PLUS_EQ] = ACTIONS(3415),
    [anon_sym_DASH_EQ] = ACTIONS(3415),
    [anon_sym_STAR_EQ] = ACTIONS(3415),
    [anon_sym_SLASH_EQ] = ACTIONS(3415),
    [anon_sym_PERCENT_EQ] = ACTIONS(3415),
    [anon_sym_AMP_EQ] = ACTIONS(3415),
    [anon_sym_PIPE_EQ] = ACTIONS(3415),
    [anon_sym_CARET_EQ] = ACTIONS(3415),
    [anon_sym_LT_LT_EQ] = ACTIONS(3415),
    [anon_sym_GT_GT_EQ] = ACTIONS(3415),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3415),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3415),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(3415),
    [anon_sym_if] = ACTIONS(3415),
    [anon_sym_SEMI] = ACTIONS(3415),
    [anon_sym_else] = ACTIONS(3415),
    [anon_sym_when] = ACTIONS(3415),
    [anon_sym_in] = ACTIONS(3415),
    [anon_sym_case] = ACTIONS(3415),
    [anon_sym_QMARK] = ACTIONS(3415),
    [anon_sym_PLUS] = ACTIONS(3417),
    [anon_sym_DASH] = ACTIONS(3417),
    [anon_sym_TILDE] = ACTIONS(3417),
    [anon_sym_AMP] = ACTIONS(3417),
    [anon_sym_PIPE_PIPE] = ACTIONS(3417),
    [anon_sym_or_else] = ACTIONS(3415),
    [anon_sym_AMP_AMP] = ACTIONS(3417),
    [anon_sym_GT] = ACTIONS(3417),
    [anon_sym_GT_EQ] = ACTIONS(3415),
    [anon_sym_LT_EQ] = ACTIONS(3415),
    [anon_sym_LT] = ACTIONS(3417),
    [anon_sym_EQ_EQ] = ACTIONS(3415),
    [anon_sym_BANG_EQ] = ACTIONS(3415),
    [anon_sym_TILDE_EQ] = ACTIONS(3415),
    [anon_sym_PIPE] = ACTIONS(3417),
    [anon_sym_AMP_TILDE] = ACTIONS(3417),
    [anon_sym_LT_LT] = ACTIONS(3417),
    [anon_sym_GT_GT] = ACTIONS(3417),
    [anon_sym_STAR] = ACTIONS(3417),
    [anon_sym_SLASH] = ACTIONS(3417),
    [anon_sym_PERCENT] = ACTIONS(3417),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(3415),
    [anon_sym_DOT] = ACTIONS(3417),
    [anon_sym_LBRACK] = ACTIONS(3415),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(3415),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3415),
    [anon_sym_not_in] = ACTIONS(3415),
    [anon_sym_or_return] = ACTIONS(3415),
    [anon_sym_or_continue] = ACTIONS(3415),
    [anon_sym_or_break] = ACTIONS(3415),
    [anon_sym_CARET] = ACTIONS(3417),
    [anon_sym_DOT2] = ACTIONS(3421),
    [sym_uninitialized] = ACTIONS(3415),
    [sym_tag] = ACTIONS(3415),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(3415),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [524] = {
    [sym_expression] = STATE(5794),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(3453),
    [anon_sym_QMARK] = ACTIONS(3455),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(3457),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(3459),
    [anon_sym_dynamic] = ACTIONS(3461),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [525] = {
    [sym_expression] = STATE(5728),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(3463),
    [anon_sym_QMARK] = ACTIONS(3465),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(3467),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(3469),
    [anon_sym_dynamic] = ACTIONS(3471),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [526] = {
    [sym_expression] = STATE(5805),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(3473),
    [anon_sym_QMARK] = ACTIONS(3475),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(3477),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(3479),
    [anon_sym_dynamic] = ACTIONS(3481),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [527] = {
    [sym_block] = STATE(2360),
    [sym_where_clause] = STATE(796),
    [anon_sym_LBRACE] = ACTIONS(3267),
    [anon_sym_RBRACE] = ACTIONS(3269),
    [anon_sym_COMMA] = ACTIONS(3269),
    [anon_sym_COLON_COLON] = ACTIONS(3269),
    [anon_sym_DASH_GT] = ACTIONS(3269),
    [anon_sym_where] = ACTIONS(3271),
    [anon_sym_EQ] = ACTIONS(3273),
    [anon_sym_COLON_EQ] = ACTIONS(3269),
    [anon_sym_COLON] = ACTIONS(3273),
    [anon_sym_LPAREN] = ACTIONS(3483),
    [anon_sym_PLUS_EQ] = ACTIONS(3269),
    [anon_sym_DASH_EQ] = ACTIONS(3269),
    [anon_sym_STAR_EQ] = ACTIONS(3269),
    [anon_sym_SLASH_EQ] = ACTIONS(3269),
    [anon_sym_PERCENT_EQ] = ACTIONS(3269),
    [anon_sym_AMP_EQ] = ACTIONS(3269),
    [anon_sym_PIPE_EQ] = ACTIONS(3269),
    [anon_sym_CARET_EQ] = ACTIONS(3269),
    [anon_sym_LT_LT_EQ] = ACTIONS(3269),
    [anon_sym_GT_GT_EQ] = ACTIONS(3269),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3269),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3269),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(3269),
    [anon_sym_if] = ACTIONS(3269),
    [anon_sym_SEMI] = ACTIONS(3269),
    [anon_sym_else] = ACTIONS(3269),
    [anon_sym_when] = ACTIONS(3269),
    [anon_sym_in] = ACTIONS(3269),
    [anon_sym_case] = ACTIONS(3269),
    [anon_sym_QMARK] = ACTIONS(3269),
    [anon_sym_PLUS] = ACTIONS(3273),
    [anon_sym_DASH] = ACTIONS(3273),
    [anon_sym_TILDE] = ACTIONS(3273),
    [anon_sym_AMP] = ACTIONS(3273),
    [anon_sym_PIPE_PIPE] = ACTIONS(3273),
    [anon_sym_or_else] = ACTIONS(3269),
    [anon_sym_AMP_AMP] = ACTIONS(3273),
    [anon_sym_GT] = ACTIONS(3273),
    [anon_sym_GT_EQ] = ACTIONS(3269),
    [anon_sym_LT_EQ] = ACTIONS(3269),
    [anon_sym_LT] = ACTIONS(3273),
    [anon_sym_EQ_EQ] = ACTIONS(3269),
    [anon_sym_BANG_EQ] = ACTIONS(3269),
    [anon_sym_TILDE_EQ] = ACTIONS(3269),
    [anon_sym_PIPE] = ACTIONS(3273),
    [anon_sym_AMP_TILDE] = ACTIONS(3273),
    [anon_sym_LT_LT] = ACTIONS(3273),
    [anon_sym_GT_GT] = ACTIONS(3273),
    [anon_sym_STAR] = ACTIONS(3273),
    [anon_sym_SLASH] = ACTIONS(3485),
    [anon_sym_PERCENT] = ACTIONS(3273),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(3269),
    [anon_sym_DOT] = ACTIONS(3273),
    [anon_sym_LBRACK] = ACTIONS(3269),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(3269),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3269),
    [anon_sym_not_in] = ACTIONS(3269),
    [anon_sym_or_return] = ACTIONS(3269),
    [anon_sym_or_continue] = ACTIONS(3269),
    [anon_sym_or_break] = ACTIONS(3269),
    [anon_sym_CARET] = ACTIONS(3273),
    [sym_uninitialized] = ACTIONS(3275),
    [sym_tag] = ACTIONS(3277),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(3269),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [528] = {
    [sym_expression] = STATE(5825),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(3487),
    [anon_sym_QMARK] = ACTIONS(3489),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(3491),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(3493),
    [anon_sym_dynamic] = ACTIONS(3495),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [529] = {
    [sym_expression] = STATE(5798),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(3497),
    [anon_sym_QMARK] = ACTIONS(3499),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(3501),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(3503),
    [anon_sym_dynamic] = ACTIONS(3505),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [530] = {
    [sym_expression] = STATE(5836),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(3507),
    [anon_sym_QMARK] = ACTIONS(3509),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(3511),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(3513),
    [anon_sym_dynamic] = ACTIONS(3515),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [531] = {
    [sym_expression] = STATE(5877),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(3517),
    [anon_sym_QMARK] = ACTIONS(3519),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(3521),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(3523),
    [anon_sym_dynamic] = ACTIONS(3525),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [532] = {
    [sym_expression] = STATE(5883),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(3527),
    [anon_sym_QMARK] = ACTIONS(3529),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(3531),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(3533),
    [anon_sym_dynamic] = ACTIONS(3535),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [533] = {
    [sym_expression] = STATE(5884),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(3537),
    [anon_sym_QMARK] = ACTIONS(3539),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(3541),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(3543),
    [anon_sym_dynamic] = ACTIONS(3545),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [534] = {
    [sym_expression] = STATE(5898),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(3547),
    [anon_sym_QMARK] = ACTIONS(3549),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(3551),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(3553),
    [anon_sym_dynamic] = ACTIONS(3555),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [535] = {
    [sym_expression] = STATE(5663),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(3557),
    [anon_sym_QMARK] = ACTIONS(3559),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(3561),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(3563),
    [anon_sym_dynamic] = ACTIONS(3565),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [536] = {
    [sym_expression] = STATE(5962),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(3567),
    [anon_sym_QMARK] = ACTIONS(3569),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(3571),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(3573),
    [anon_sym_dynamic] = ACTIONS(3575),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [537] = {
    [sym_expression] = STATE(5985),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(3577),
    [anon_sym_QMARK] = ACTIONS(3579),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(3581),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(3583),
    [anon_sym_dynamic] = ACTIONS(3585),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [538] = {
    [sym_expression] = STATE(5915),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(3587),
    [anon_sym_QMARK] = ACTIONS(3589),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(3591),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(3593),
    [anon_sym_dynamic] = ACTIONS(3595),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [539] = {
    [sym_expression] = STATE(6009),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(3597),
    [anon_sym_QMARK] = ACTIONS(3599),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(3601),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(3603),
    [anon_sym_dynamic] = ACTIONS(3605),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [540] = {
    [sym_expression] = STATE(6022),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(3607),
    [anon_sym_QMARK] = ACTIONS(3609),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(3611),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(3613),
    [anon_sym_dynamic] = ACTIONS(3615),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [541] = {
    [sym_expression] = STATE(5994),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(3617),
    [anon_sym_QMARK] = ACTIONS(3619),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(3621),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(3623),
    [anon_sym_dynamic] = ACTIONS(3625),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [542] = {
    [sym_expression] = STATE(6031),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(3627),
    [anon_sym_QMARK] = ACTIONS(3629),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(3631),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(3633),
    [anon_sym_dynamic] = ACTIONS(3635),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [543] = {
    [sym_expression] = STATE(5655),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(3637),
    [anon_sym_QMARK] = ACTIONS(3639),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(3641),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(3643),
    [anon_sym_dynamic] = ACTIONS(3645),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [544] = {
    [sym_expression] = STATE(6023),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(3647),
    [anon_sym_QMARK] = ACTIONS(3649),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(3651),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(3653),
    [anon_sym_dynamic] = ACTIONS(3655),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [545] = {
    [sym_expression] = STATE(5657),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(3657),
    [anon_sym_QMARK] = ACTIONS(3659),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(3661),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(3663),
    [anon_sym_dynamic] = ACTIONS(3665),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [546] = {
    [sym_expression] = STATE(5661),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(3667),
    [anon_sym_QMARK] = ACTIONS(3669),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(3671),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(3673),
    [anon_sym_dynamic] = ACTIONS(3675),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [547] = {
    [sym_expression] = STATE(5656),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(3677),
    [anon_sym_QMARK] = ACTIONS(3679),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(3681),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(3683),
    [anon_sym_dynamic] = ACTIONS(3685),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [548] = {
    [sym_expression] = STATE(5664),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(3687),
    [anon_sym_QMARK] = ACTIONS(3689),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(3691),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(3693),
    [anon_sym_dynamic] = ACTIONS(3695),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [549] = {
    [sym_expression] = STATE(5667),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(3697),
    [anon_sym_QMARK] = ACTIONS(3699),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(3701),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(3703),
    [anon_sym_dynamic] = ACTIONS(3705),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [550] = {
    [sym_expression] = STATE(5684),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(3707),
    [anon_sym_QMARK] = ACTIONS(3709),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(3711),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(3713),
    [anon_sym_dynamic] = ACTIONS(3715),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [551] = {
    [sym_expression] = STATE(5669),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(3717),
    [anon_sym_QMARK] = ACTIONS(3719),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(3721),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(3723),
    [anon_sym_dynamic] = ACTIONS(3725),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [552] = {
    [sym_expression] = STATE(5673),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(3727),
    [anon_sym_QMARK] = ACTIONS(3729),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(3731),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(3733),
    [anon_sym_dynamic] = ACTIONS(3735),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [553] = {
    [sym_expression] = STATE(5668),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(3737),
    [anon_sym_QMARK] = ACTIONS(3739),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(3741),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(3743),
    [anon_sym_dynamic] = ACTIONS(3745),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [554] = {
    [sym_expression] = STATE(5675),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(3747),
    [anon_sym_QMARK] = ACTIONS(3749),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(3751),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(3753),
    [anon_sym_dynamic] = ACTIONS(3755),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [555] = {
    [sym_expression] = STATE(5678),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(3757),
    [anon_sym_QMARK] = ACTIONS(3759),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(3761),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(3763),
    [anon_sym_dynamic] = ACTIONS(3765),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [556] = {
    [sym_expression] = STATE(5674),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(3767),
    [anon_sym_QMARK] = ACTIONS(3769),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(3771),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(3773),
    [anon_sym_dynamic] = ACTIONS(3775),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [557] = {
    [sym_expression] = STATE(5680),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(3777),
    [anon_sym_QMARK] = ACTIONS(3779),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(3781),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(3783),
    [anon_sym_dynamic] = ACTIONS(3785),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [558] = {
    [sym_expression] = STATE(5683),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(3787),
    [anon_sym_QMARK] = ACTIONS(3789),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(3791),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(3793),
    [anon_sym_dynamic] = ACTIONS(3795),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [559] = {
    [sym_expression] = STATE(5679),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(3797),
    [anon_sym_QMARK] = ACTIONS(3799),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(3801),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(3803),
    [anon_sym_dynamic] = ACTIONS(3805),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [560] = {
    [sym_expression] = STATE(5685),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(3807),
    [anon_sym_QMARK] = ACTIONS(3809),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(3811),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(3813),
    [anon_sym_dynamic] = ACTIONS(3815),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [561] = {
    [sym_expression] = STATE(5688),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(3817),
    [anon_sym_QMARK] = ACTIONS(3819),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(3821),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(3823),
    [anon_sym_dynamic] = ACTIONS(3825),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [562] = {
    [sym_expression] = STATE(5689),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(3827),
    [anon_sym_QMARK] = ACTIONS(3829),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(3831),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(3833),
    [anon_sym_dynamic] = ACTIONS(3835),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [563] = {
    [sym_expression] = STATE(5690),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(3837),
    [anon_sym_QMARK] = ACTIONS(3839),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(3841),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(3843),
    [anon_sym_dynamic] = ACTIONS(3845),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [564] = {
    [sym_expression] = STATE(5693),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(3847),
    [anon_sym_QMARK] = ACTIONS(3849),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(3851),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(3853),
    [anon_sym_dynamic] = ACTIONS(3855),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [565] = {
    [sym_block] = STATE(2049),
    [sym_where_clause] = STATE(771),
    [anon_sym_LBRACE] = ACTIONS(3389),
    [anon_sym_RBRACE] = ACTIONS(3857),
    [anon_sym_COMMA] = ACTIONS(3857),
    [anon_sym_COLON_COLON] = ACTIONS(3857),
    [anon_sym_DASH_GT] = ACTIONS(3857),
    [anon_sym_where] = ACTIONS(3271),
    [anon_sym_EQ] = ACTIONS(3859),
    [anon_sym_COLON_EQ] = ACTIONS(3857),
    [anon_sym_COLON] = ACTIONS(3859),
    [anon_sym_LPAREN] = ACTIONS(3483),
    [anon_sym_PLUS_EQ] = ACTIONS(3857),
    [anon_sym_DASH_EQ] = ACTIONS(3857),
    [anon_sym_STAR_EQ] = ACTIONS(3857),
    [anon_sym_SLASH_EQ] = ACTIONS(3857),
    [anon_sym_PERCENT_EQ] = ACTIONS(3857),
    [anon_sym_AMP_EQ] = ACTIONS(3857),
    [anon_sym_PIPE_EQ] = ACTIONS(3857),
    [anon_sym_CARET_EQ] = ACTIONS(3857),
    [anon_sym_LT_LT_EQ] = ACTIONS(3857),
    [anon_sym_GT_GT_EQ] = ACTIONS(3857),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3857),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3857),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(3857),
    [anon_sym_if] = ACTIONS(3857),
    [anon_sym_SEMI] = ACTIONS(3857),
    [anon_sym_else] = ACTIONS(3857),
    [anon_sym_when] = ACTIONS(3857),
    [anon_sym_in] = ACTIONS(3857),
    [anon_sym_case] = ACTIONS(3857),
    [anon_sym_QMARK] = ACTIONS(3857),
    [anon_sym_PLUS] = ACTIONS(3859),
    [anon_sym_DASH] = ACTIONS(3859),
    [anon_sym_TILDE] = ACTIONS(3859),
    [anon_sym_AMP] = ACTIONS(3859),
    [anon_sym_PIPE_PIPE] = ACTIONS(3859),
    [anon_sym_or_else] = ACTIONS(3857),
    [anon_sym_AMP_AMP] = ACTIONS(3859),
    [anon_sym_GT] = ACTIONS(3859),
    [anon_sym_GT_EQ] = ACTIONS(3857),
    [anon_sym_LT_EQ] = ACTIONS(3857),
    [anon_sym_LT] = ACTIONS(3859),
    [anon_sym_EQ_EQ] = ACTIONS(3857),
    [anon_sym_BANG_EQ] = ACTIONS(3857),
    [anon_sym_TILDE_EQ] = ACTIONS(3857),
    [anon_sym_PIPE] = ACTIONS(3859),
    [anon_sym_AMP_TILDE] = ACTIONS(3859),
    [anon_sym_LT_LT] = ACTIONS(3859),
    [anon_sym_GT_GT] = ACTIONS(3859),
    [anon_sym_STAR] = ACTIONS(3859),
    [anon_sym_SLASH] = ACTIONS(3485),
    [anon_sym_PERCENT] = ACTIONS(3859),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(3857),
    [anon_sym_DOT] = ACTIONS(3859),
    [anon_sym_LBRACK] = ACTIONS(3857),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(3857),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3857),
    [anon_sym_not_in] = ACTIONS(3857),
    [anon_sym_or_return] = ACTIONS(3857),
    [anon_sym_or_continue] = ACTIONS(3857),
    [anon_sym_or_break] = ACTIONS(3857),
    [anon_sym_CARET] = ACTIONS(3859),
    [sym_uninitialized] = ACTIONS(3861),
    [sym_tag] = ACTIONS(3863),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(3857),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [566] = {
    [sym_expression] = STATE(5748),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(3865),
    [anon_sym_QMARK] = ACTIONS(3867),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(3869),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(3871),
    [anon_sym_dynamic] = ACTIONS(3873),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [567] = {
    [sym_block] = STATE(2049),
    [sym_where_clause] = STATE(771),
    [anon_sym_LBRACE] = ACTIONS(3389),
    [anon_sym_RBRACE] = ACTIONS(3857),
    [anon_sym_COMMA] = ACTIONS(3857),
    [anon_sym_COLON_COLON] = ACTIONS(3857),
    [anon_sym_DASH_GT] = ACTIONS(3857),
    [anon_sym_where] = ACTIONS(3271),
    [anon_sym_EQ] = ACTIONS(3859),
    [anon_sym_COLON_EQ] = ACTIONS(3857),
    [anon_sym_COLON] = ACTIONS(3859),
    [anon_sym_LPAREN] = ACTIONS(3857),
    [anon_sym_PLUS_EQ] = ACTIONS(3857),
    [anon_sym_DASH_EQ] = ACTIONS(3857),
    [anon_sym_STAR_EQ] = ACTIONS(3857),
    [anon_sym_SLASH_EQ] = ACTIONS(3857),
    [anon_sym_PERCENT_EQ] = ACTIONS(3857),
    [anon_sym_AMP_EQ] = ACTIONS(3857),
    [anon_sym_PIPE_EQ] = ACTIONS(3857),
    [anon_sym_CARET_EQ] = ACTIONS(3857),
    [anon_sym_LT_LT_EQ] = ACTIONS(3857),
    [anon_sym_GT_GT_EQ] = ACTIONS(3857),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3857),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3857),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(3857),
    [anon_sym_if] = ACTIONS(3857),
    [anon_sym_SEMI] = ACTIONS(3857),
    [anon_sym_else] = ACTIONS(3857),
    [anon_sym_when] = ACTIONS(3857),
    [anon_sym_in] = ACTIONS(3857),
    [anon_sym_case] = ACTIONS(3857),
    [anon_sym_QMARK] = ACTIONS(3857),
    [anon_sym_PLUS] = ACTIONS(3859),
    [anon_sym_DASH] = ACTIONS(3859),
    [anon_sym_TILDE] = ACTIONS(3859),
    [anon_sym_AMP] = ACTIONS(3859),
    [anon_sym_PIPE_PIPE] = ACTIONS(3859),
    [anon_sym_or_else] = ACTIONS(3857),
    [anon_sym_AMP_AMP] = ACTIONS(3859),
    [anon_sym_GT] = ACTIONS(3859),
    [anon_sym_GT_EQ] = ACTIONS(3857),
    [anon_sym_LT_EQ] = ACTIONS(3857),
    [anon_sym_LT] = ACTIONS(3859),
    [anon_sym_EQ_EQ] = ACTIONS(3857),
    [anon_sym_BANG_EQ] = ACTIONS(3857),
    [anon_sym_TILDE_EQ] = ACTIONS(3857),
    [anon_sym_PIPE] = ACTIONS(3859),
    [anon_sym_AMP_TILDE] = ACTIONS(3859),
    [anon_sym_LT_LT] = ACTIONS(3859),
    [anon_sym_GT_GT] = ACTIONS(3859),
    [anon_sym_STAR] = ACTIONS(3859),
    [anon_sym_SLASH] = ACTIONS(3859),
    [anon_sym_PERCENT] = ACTIONS(3859),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(3857),
    [anon_sym_DOT] = ACTIONS(3859),
    [anon_sym_LBRACK] = ACTIONS(3857),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(3857),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3857),
    [anon_sym_not_in] = ACTIONS(3857),
    [anon_sym_or_return] = ACTIONS(3857),
    [anon_sym_or_continue] = ACTIONS(3857),
    [anon_sym_or_break] = ACTIONS(3857),
    [anon_sym_CARET] = ACTIONS(3859),
    [sym_uninitialized] = ACTIONS(3861),
    [sym_tag] = ACTIONS(3863),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(3857),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [568] = {
    [sym_expression] = STATE(5727),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(3875),
    [anon_sym_QMARK] = ACTIONS(3877),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(3879),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(3881),
    [anon_sym_dynamic] = ACTIONS(3883),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [569] = {
    [sym_block] = STATE(2362),
    [sym_where_clause] = STATE(801),
    [anon_sym_LBRACE] = ACTIONS(3267),
    [anon_sym_RBRACE] = ACTIONS(3857),
    [anon_sym_COMMA] = ACTIONS(3857),
    [anon_sym_COLON_COLON] = ACTIONS(3857),
    [anon_sym_DASH_GT] = ACTIONS(3857),
    [anon_sym_where] = ACTIONS(3271),
    [anon_sym_EQ] = ACTIONS(3859),
    [anon_sym_COLON_EQ] = ACTIONS(3857),
    [anon_sym_COLON] = ACTIONS(3859),
    [anon_sym_LPAREN] = ACTIONS(3483),
    [anon_sym_PLUS_EQ] = ACTIONS(3857),
    [anon_sym_DASH_EQ] = ACTIONS(3857),
    [anon_sym_STAR_EQ] = ACTIONS(3857),
    [anon_sym_SLASH_EQ] = ACTIONS(3857),
    [anon_sym_PERCENT_EQ] = ACTIONS(3857),
    [anon_sym_AMP_EQ] = ACTIONS(3857),
    [anon_sym_PIPE_EQ] = ACTIONS(3857),
    [anon_sym_CARET_EQ] = ACTIONS(3857),
    [anon_sym_LT_LT_EQ] = ACTIONS(3857),
    [anon_sym_GT_GT_EQ] = ACTIONS(3857),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3857),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3857),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(3857),
    [anon_sym_if] = ACTIONS(3857),
    [anon_sym_SEMI] = ACTIONS(3857),
    [anon_sym_else] = ACTIONS(3857),
    [anon_sym_when] = ACTIONS(3857),
    [anon_sym_in] = ACTIONS(3857),
    [anon_sym_case] = ACTIONS(3857),
    [anon_sym_QMARK] = ACTIONS(3857),
    [anon_sym_PLUS] = ACTIONS(3859),
    [anon_sym_DASH] = ACTIONS(3859),
    [anon_sym_TILDE] = ACTIONS(3859),
    [anon_sym_AMP] = ACTIONS(3859),
    [anon_sym_PIPE_PIPE] = ACTIONS(3859),
    [anon_sym_or_else] = ACTIONS(3857),
    [anon_sym_AMP_AMP] = ACTIONS(3859),
    [anon_sym_GT] = ACTIONS(3859),
    [anon_sym_GT_EQ] = ACTIONS(3857),
    [anon_sym_LT_EQ] = ACTIONS(3857),
    [anon_sym_LT] = ACTIONS(3859),
    [anon_sym_EQ_EQ] = ACTIONS(3857),
    [anon_sym_BANG_EQ] = ACTIONS(3857),
    [anon_sym_TILDE_EQ] = ACTIONS(3857),
    [anon_sym_PIPE] = ACTIONS(3859),
    [anon_sym_AMP_TILDE] = ACTIONS(3859),
    [anon_sym_LT_LT] = ACTIONS(3859),
    [anon_sym_GT_GT] = ACTIONS(3859),
    [anon_sym_STAR] = ACTIONS(3859),
    [anon_sym_SLASH] = ACTIONS(3485),
    [anon_sym_PERCENT] = ACTIONS(3859),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(3857),
    [anon_sym_DOT] = ACTIONS(3859),
    [anon_sym_LBRACK] = ACTIONS(3857),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(3857),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3857),
    [anon_sym_not_in] = ACTIONS(3857),
    [anon_sym_or_return] = ACTIONS(3857),
    [anon_sym_or_continue] = ACTIONS(3857),
    [anon_sym_or_break] = ACTIONS(3857),
    [anon_sym_CARET] = ACTIONS(3859),
    [sym_uninitialized] = ACTIONS(3885),
    [sym_tag] = ACTIONS(3887),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(3857),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [570] = {
    [aux_sym_field_type_repeat1] = STATE(588),
    [anon_sym_LBRACE] = ACTIONS(3889),
    [anon_sym_RBRACE] = ACTIONS(3889),
    [anon_sym_COMMA] = ACTIONS(3889),
    [anon_sym_COLON_COLON] = ACTIONS(3889),
    [anon_sym_DASH_GT] = ACTIONS(3889),
    [anon_sym_where] = ACTIONS(3889),
    [anon_sym_EQ] = ACTIONS(3891),
    [anon_sym_COLON_EQ] = ACTIONS(3889),
    [anon_sym_COLON] = ACTIONS(3891),
    [anon_sym_LPAREN] = ACTIONS(3889),
    [anon_sym_PLUS_EQ] = ACTIONS(3889),
    [anon_sym_DASH_EQ] = ACTIONS(3889),
    [anon_sym_STAR_EQ] = ACTIONS(3889),
    [anon_sym_SLASH_EQ] = ACTIONS(3889),
    [anon_sym_PERCENT_EQ] = ACTIONS(3889),
    [anon_sym_AMP_EQ] = ACTIONS(3889),
    [anon_sym_PIPE_EQ] = ACTIONS(3889),
    [anon_sym_CARET_EQ] = ACTIONS(3889),
    [anon_sym_LT_LT_EQ] = ACTIONS(3889),
    [anon_sym_GT_GT_EQ] = ACTIONS(3889),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3889),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3889),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(3889),
    [anon_sym_if] = ACTIONS(3889),
    [anon_sym_SEMI] = ACTIONS(3889),
    [anon_sym_else] = ACTIONS(3889),
    [anon_sym_when] = ACTIONS(3889),
    [anon_sym_in] = ACTIONS(3889),
    [anon_sym_case] = ACTIONS(3889),
    [anon_sym_QMARK] = ACTIONS(3889),
    [anon_sym_PLUS] = ACTIONS(3891),
    [anon_sym_DASH] = ACTIONS(3891),
    [anon_sym_TILDE] = ACTIONS(3891),
    [anon_sym_AMP] = ACTIONS(3891),
    [anon_sym_PIPE_PIPE] = ACTIONS(3891),
    [anon_sym_or_else] = ACTIONS(3889),
    [anon_sym_AMP_AMP] = ACTIONS(3891),
    [anon_sym_GT] = ACTIONS(3891),
    [anon_sym_GT_EQ] = ACTIONS(3889),
    [anon_sym_LT_EQ] = ACTIONS(3889),
    [anon_sym_LT] = ACTIONS(3891),
    [anon_sym_EQ_EQ] = ACTIONS(3889),
    [anon_sym_BANG_EQ] = ACTIONS(3889),
    [anon_sym_TILDE_EQ] = ACTIONS(3889),
    [anon_sym_PIPE] = ACTIONS(3891),
    [anon_sym_AMP_TILDE] = ACTIONS(3891),
    [anon_sym_LT_LT] = ACTIONS(3891),
    [anon_sym_GT_GT] = ACTIONS(3891),
    [anon_sym_STAR] = ACTIONS(3891),
    [anon_sym_SLASH] = ACTIONS(3891),
    [anon_sym_PERCENT] = ACTIONS(3891),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(3889),
    [anon_sym_DOT] = ACTIONS(3891),
    [anon_sym_LBRACK] = ACTIONS(3889),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(3889),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3889),
    [anon_sym_not_in] = ACTIONS(3889),
    [anon_sym_or_return] = ACTIONS(3889),
    [anon_sym_or_continue] = ACTIONS(3889),
    [anon_sym_or_break] = ACTIONS(3889),
    [anon_sym_CARET] = ACTIONS(3891),
    [anon_sym_DOT2] = ACTIONS(3421),
    [sym_uninitialized] = ACTIONS(3889),
    [sym_tag] = ACTIONS(3889),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(3889),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [571] = {
    [sym_expression] = STATE(5712),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(3893),
    [anon_sym_QMARK] = ACTIONS(3895),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(3897),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(3899),
    [anon_sym_dynamic] = ACTIONS(3901),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [572] = {
    [sym_expression] = STATE(5713),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(3893),
    [anon_sym_QMARK] = ACTIONS(3903),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(3905),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(3907),
    [anon_sym_dynamic] = ACTIONS(3909),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [573] = {
    [sym_block] = STATE(2049),
    [sym_where_clause] = STATE(771),
    [anon_sym_LBRACE] = ACTIONS(3389),
    [anon_sym_RBRACE] = ACTIONS(3857),
    [anon_sym_COMMA] = ACTIONS(3857),
    [anon_sym_COLON_COLON] = ACTIONS(3857),
    [anon_sym_DASH_GT] = ACTIONS(3857),
    [anon_sym_where] = ACTIONS(3271),
    [anon_sym_EQ] = ACTIONS(3859),
    [anon_sym_COLON_EQ] = ACTIONS(3857),
    [anon_sym_COLON] = ACTIONS(3859),
    [anon_sym_LPAREN] = ACTIONS(3857),
    [anon_sym_PLUS_EQ] = ACTIONS(3857),
    [anon_sym_DASH_EQ] = ACTIONS(3857),
    [anon_sym_STAR_EQ] = ACTIONS(3857),
    [anon_sym_SLASH_EQ] = ACTIONS(3857),
    [anon_sym_PERCENT_EQ] = ACTIONS(3857),
    [anon_sym_AMP_EQ] = ACTIONS(3857),
    [anon_sym_PIPE_EQ] = ACTIONS(3857),
    [anon_sym_CARET_EQ] = ACTIONS(3857),
    [anon_sym_LT_LT_EQ] = ACTIONS(3857),
    [anon_sym_GT_GT_EQ] = ACTIONS(3857),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3857),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3857),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(3857),
    [anon_sym_if] = ACTIONS(3857),
    [anon_sym_SEMI] = ACTIONS(3857),
    [anon_sym_else] = ACTIONS(3857),
    [anon_sym_when] = ACTIONS(3857),
    [anon_sym_in] = ACTIONS(3857),
    [anon_sym_case] = ACTIONS(3857),
    [anon_sym_QMARK] = ACTIONS(3857),
    [anon_sym_PLUS] = ACTIONS(3859),
    [anon_sym_DASH] = ACTIONS(3859),
    [anon_sym_TILDE] = ACTIONS(3859),
    [anon_sym_AMP] = ACTIONS(3859),
    [anon_sym_PIPE_PIPE] = ACTIONS(3859),
    [anon_sym_or_else] = ACTIONS(3857),
    [anon_sym_AMP_AMP] = ACTIONS(3859),
    [anon_sym_GT] = ACTIONS(3859),
    [anon_sym_GT_EQ] = ACTIONS(3857),
    [anon_sym_LT_EQ] = ACTIONS(3857),
    [anon_sym_LT] = ACTIONS(3859),
    [anon_sym_EQ_EQ] = ACTIONS(3857),
    [anon_sym_BANG_EQ] = ACTIONS(3857),
    [anon_sym_TILDE_EQ] = ACTIONS(3857),
    [anon_sym_PIPE] = ACTIONS(3859),
    [anon_sym_AMP_TILDE] = ACTIONS(3859),
    [anon_sym_LT_LT] = ACTIONS(3859),
    [anon_sym_GT_GT] = ACTIONS(3859),
    [anon_sym_STAR] = ACTIONS(3859),
    [anon_sym_SLASH] = ACTIONS(3859),
    [anon_sym_PERCENT] = ACTIONS(3859),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(3857),
    [anon_sym_DOT] = ACTIONS(3859),
    [anon_sym_LBRACK] = ACTIONS(3857),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(3857),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3857),
    [anon_sym_not_in] = ACTIONS(3857),
    [anon_sym_or_return] = ACTIONS(3857),
    [anon_sym_or_continue] = ACTIONS(3857),
    [anon_sym_or_break] = ACTIONS(3857),
    [anon_sym_CARET] = ACTIONS(3859),
    [sym_uninitialized] = ACTIONS(3861),
    [sym_tag] = ACTIONS(3911),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(3857),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [574] = {
    [sym_block] = STATE(2050),
    [sym_where_clause] = STATE(772),
    [anon_sym_LBRACE] = ACTIONS(3389),
    [anon_sym_RBRACE] = ACTIONS(3281),
    [anon_sym_COMMA] = ACTIONS(3281),
    [anon_sym_COLON_COLON] = ACTIONS(3281),
    [anon_sym_DASH_GT] = ACTIONS(3281),
    [anon_sym_where] = ACTIONS(3271),
    [anon_sym_EQ] = ACTIONS(3283),
    [anon_sym_COLON_EQ] = ACTIONS(3281),
    [anon_sym_COLON] = ACTIONS(3283),
    [anon_sym_LPAREN] = ACTIONS(3483),
    [anon_sym_PLUS_EQ] = ACTIONS(3281),
    [anon_sym_DASH_EQ] = ACTIONS(3281),
    [anon_sym_STAR_EQ] = ACTIONS(3281),
    [anon_sym_SLASH_EQ] = ACTIONS(3281),
    [anon_sym_PERCENT_EQ] = ACTIONS(3281),
    [anon_sym_AMP_EQ] = ACTIONS(3281),
    [anon_sym_PIPE_EQ] = ACTIONS(3281),
    [anon_sym_CARET_EQ] = ACTIONS(3281),
    [anon_sym_LT_LT_EQ] = ACTIONS(3281),
    [anon_sym_GT_GT_EQ] = ACTIONS(3281),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3281),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3281),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(3281),
    [anon_sym_if] = ACTIONS(3281),
    [anon_sym_SEMI] = ACTIONS(3281),
    [anon_sym_else] = ACTIONS(3281),
    [anon_sym_when] = ACTIONS(3281),
    [anon_sym_in] = ACTIONS(3281),
    [anon_sym_case] = ACTIONS(3281),
    [anon_sym_QMARK] = ACTIONS(3281),
    [anon_sym_PLUS] = ACTIONS(3283),
    [anon_sym_DASH] = ACTIONS(3283),
    [anon_sym_TILDE] = ACTIONS(3283),
    [anon_sym_AMP] = ACTIONS(3283),
    [anon_sym_PIPE_PIPE] = ACTIONS(3283),
    [anon_sym_or_else] = ACTIONS(3281),
    [anon_sym_AMP_AMP] = ACTIONS(3283),
    [anon_sym_GT] = ACTIONS(3283),
    [anon_sym_GT_EQ] = ACTIONS(3281),
    [anon_sym_LT_EQ] = ACTIONS(3281),
    [anon_sym_LT] = ACTIONS(3283),
    [anon_sym_EQ_EQ] = ACTIONS(3281),
    [anon_sym_BANG_EQ] = ACTIONS(3281),
    [anon_sym_TILDE_EQ] = ACTIONS(3281),
    [anon_sym_PIPE] = ACTIONS(3283),
    [anon_sym_AMP_TILDE] = ACTIONS(3283),
    [anon_sym_LT_LT] = ACTIONS(3283),
    [anon_sym_GT_GT] = ACTIONS(3283),
    [anon_sym_STAR] = ACTIONS(3283),
    [anon_sym_SLASH] = ACTIONS(3485),
    [anon_sym_PERCENT] = ACTIONS(3283),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(3281),
    [anon_sym_DOT] = ACTIONS(3283),
    [anon_sym_LBRACK] = ACTIONS(3281),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(3281),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3281),
    [anon_sym_not_in] = ACTIONS(3281),
    [anon_sym_or_return] = ACTIONS(3281),
    [anon_sym_or_continue] = ACTIONS(3281),
    [anon_sym_or_break] = ACTIONS(3281),
    [anon_sym_CARET] = ACTIONS(3283),
    [sym_uninitialized] = ACTIONS(3913),
    [sym_tag] = ACTIONS(3915),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(3281),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [575] = {
    [sym_block] = STATE(2362),
    [sym_where_clause] = STATE(801),
    [anon_sym_LBRACE] = ACTIONS(3267),
    [anon_sym_RBRACE] = ACTIONS(3857),
    [anon_sym_COMMA] = ACTIONS(3857),
    [anon_sym_COLON_COLON] = ACTIONS(3857),
    [anon_sym_DASH_GT] = ACTIONS(3857),
    [anon_sym_where] = ACTIONS(3271),
    [anon_sym_EQ] = ACTIONS(3859),
    [anon_sym_COLON_EQ] = ACTIONS(3857),
    [anon_sym_COLON] = ACTIONS(3859),
    [anon_sym_LPAREN] = ACTIONS(3857),
    [anon_sym_PLUS_EQ] = ACTIONS(3857),
    [anon_sym_DASH_EQ] = ACTIONS(3857),
    [anon_sym_STAR_EQ] = ACTIONS(3857),
    [anon_sym_SLASH_EQ] = ACTIONS(3857),
    [anon_sym_PERCENT_EQ] = ACTIONS(3857),
    [anon_sym_AMP_EQ] = ACTIONS(3857),
    [anon_sym_PIPE_EQ] = ACTIONS(3857),
    [anon_sym_CARET_EQ] = ACTIONS(3857),
    [anon_sym_LT_LT_EQ] = ACTIONS(3857),
    [anon_sym_GT_GT_EQ] = ACTIONS(3857),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3857),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3857),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(3857),
    [anon_sym_if] = ACTIONS(3857),
    [anon_sym_SEMI] = ACTIONS(3857),
    [anon_sym_else] = ACTIONS(3857),
    [anon_sym_when] = ACTIONS(3857),
    [anon_sym_in] = ACTIONS(3857),
    [anon_sym_case] = ACTIONS(3857),
    [anon_sym_QMARK] = ACTIONS(3857),
    [anon_sym_PLUS] = ACTIONS(3859),
    [anon_sym_DASH] = ACTIONS(3859),
    [anon_sym_TILDE] = ACTIONS(3859),
    [anon_sym_AMP] = ACTIONS(3859),
    [anon_sym_PIPE_PIPE] = ACTIONS(3859),
    [anon_sym_or_else] = ACTIONS(3857),
    [anon_sym_AMP_AMP] = ACTIONS(3859),
    [anon_sym_GT] = ACTIONS(3859),
    [anon_sym_GT_EQ] = ACTIONS(3857),
    [anon_sym_LT_EQ] = ACTIONS(3857),
    [anon_sym_LT] = ACTIONS(3859),
    [anon_sym_EQ_EQ] = ACTIONS(3857),
    [anon_sym_BANG_EQ] = ACTIONS(3857),
    [anon_sym_TILDE_EQ] = ACTIONS(3857),
    [anon_sym_PIPE] = ACTIONS(3859),
    [anon_sym_AMP_TILDE] = ACTIONS(3859),
    [anon_sym_LT_LT] = ACTIONS(3859),
    [anon_sym_GT_GT] = ACTIONS(3859),
    [anon_sym_STAR] = ACTIONS(3859),
    [anon_sym_SLASH] = ACTIONS(3859),
    [anon_sym_PERCENT] = ACTIONS(3859),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(3857),
    [anon_sym_DOT] = ACTIONS(3859),
    [anon_sym_LBRACK] = ACTIONS(3857),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(3857),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3857),
    [anon_sym_not_in] = ACTIONS(3857),
    [anon_sym_or_return] = ACTIONS(3857),
    [anon_sym_or_continue] = ACTIONS(3857),
    [anon_sym_or_break] = ACTIONS(3857),
    [anon_sym_CARET] = ACTIONS(3859),
    [sym_uninitialized] = ACTIONS(3885),
    [sym_tag] = ACTIONS(3887),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(3857),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [576] = {
    [sym_block] = STATE(2050),
    [sym_where_clause] = STATE(772),
    [anon_sym_LBRACE] = ACTIONS(3389),
    [anon_sym_RBRACE] = ACTIONS(3281),
    [anon_sym_COMMA] = ACTIONS(3281),
    [anon_sym_COLON_COLON] = ACTIONS(3281),
    [anon_sym_DASH_GT] = ACTIONS(3281),
    [anon_sym_where] = ACTIONS(3271),
    [anon_sym_EQ] = ACTIONS(3283),
    [anon_sym_COLON_EQ] = ACTIONS(3281),
    [anon_sym_COLON] = ACTIONS(3283),
    [anon_sym_LPAREN] = ACTIONS(3281),
    [anon_sym_PLUS_EQ] = ACTIONS(3281),
    [anon_sym_DASH_EQ] = ACTIONS(3281),
    [anon_sym_STAR_EQ] = ACTIONS(3281),
    [anon_sym_SLASH_EQ] = ACTIONS(3281),
    [anon_sym_PERCENT_EQ] = ACTIONS(3281),
    [anon_sym_AMP_EQ] = ACTIONS(3281),
    [anon_sym_PIPE_EQ] = ACTIONS(3281),
    [anon_sym_CARET_EQ] = ACTIONS(3281),
    [anon_sym_LT_LT_EQ] = ACTIONS(3281),
    [anon_sym_GT_GT_EQ] = ACTIONS(3281),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3281),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3281),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(3281),
    [anon_sym_if] = ACTIONS(3281),
    [anon_sym_SEMI] = ACTIONS(3281),
    [anon_sym_else] = ACTIONS(3281),
    [anon_sym_when] = ACTIONS(3281),
    [anon_sym_in] = ACTIONS(3281),
    [anon_sym_case] = ACTIONS(3281),
    [anon_sym_QMARK] = ACTIONS(3281),
    [anon_sym_PLUS] = ACTIONS(3283),
    [anon_sym_DASH] = ACTIONS(3283),
    [anon_sym_TILDE] = ACTIONS(3283),
    [anon_sym_AMP] = ACTIONS(3283),
    [anon_sym_PIPE_PIPE] = ACTIONS(3283),
    [anon_sym_or_else] = ACTIONS(3281),
    [anon_sym_AMP_AMP] = ACTIONS(3283),
    [anon_sym_GT] = ACTIONS(3283),
    [anon_sym_GT_EQ] = ACTIONS(3281),
    [anon_sym_LT_EQ] = ACTIONS(3281),
    [anon_sym_LT] = ACTIONS(3283),
    [anon_sym_EQ_EQ] = ACTIONS(3281),
    [anon_sym_BANG_EQ] = ACTIONS(3281),
    [anon_sym_TILDE_EQ] = ACTIONS(3281),
    [anon_sym_PIPE] = ACTIONS(3283),
    [anon_sym_AMP_TILDE] = ACTIONS(3283),
    [anon_sym_LT_LT] = ACTIONS(3283),
    [anon_sym_GT_GT] = ACTIONS(3283),
    [anon_sym_STAR] = ACTIONS(3283),
    [anon_sym_SLASH] = ACTIONS(3283),
    [anon_sym_PERCENT] = ACTIONS(3283),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(3281),
    [anon_sym_DOT] = ACTIONS(3283),
    [anon_sym_LBRACK] = ACTIONS(3281),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(3281),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3281),
    [anon_sym_not_in] = ACTIONS(3281),
    [anon_sym_or_return] = ACTIONS(3281),
    [anon_sym_or_continue] = ACTIONS(3281),
    [anon_sym_or_break] = ACTIONS(3281),
    [anon_sym_CARET] = ACTIONS(3283),
    [sym_uninitialized] = ACTIONS(3913),
    [sym_tag] = ACTIONS(3915),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(3281),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [577] = {
    [sym_block] = STATE(2362),
    [sym_where_clause] = STATE(801),
    [anon_sym_LBRACE] = ACTIONS(3267),
    [anon_sym_RBRACE] = ACTIONS(3857),
    [anon_sym_COMMA] = ACTIONS(3857),
    [anon_sym_COLON_COLON] = ACTIONS(3857),
    [anon_sym_DASH_GT] = ACTIONS(3857),
    [anon_sym_where] = ACTIONS(3271),
    [anon_sym_EQ] = ACTIONS(3859),
    [anon_sym_COLON_EQ] = ACTIONS(3857),
    [anon_sym_COLON] = ACTIONS(3859),
    [anon_sym_LPAREN] = ACTIONS(3857),
    [anon_sym_PLUS_EQ] = ACTIONS(3857),
    [anon_sym_DASH_EQ] = ACTIONS(3857),
    [anon_sym_STAR_EQ] = ACTIONS(3857),
    [anon_sym_SLASH_EQ] = ACTIONS(3857),
    [anon_sym_PERCENT_EQ] = ACTIONS(3857),
    [anon_sym_AMP_EQ] = ACTIONS(3857),
    [anon_sym_PIPE_EQ] = ACTIONS(3857),
    [anon_sym_CARET_EQ] = ACTIONS(3857),
    [anon_sym_LT_LT_EQ] = ACTIONS(3857),
    [anon_sym_GT_GT_EQ] = ACTIONS(3857),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3857),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3857),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(3857),
    [anon_sym_if] = ACTIONS(3857),
    [anon_sym_SEMI] = ACTIONS(3857),
    [anon_sym_else] = ACTIONS(3857),
    [anon_sym_when] = ACTIONS(3857),
    [anon_sym_in] = ACTIONS(3857),
    [anon_sym_case] = ACTIONS(3857),
    [anon_sym_QMARK] = ACTIONS(3857),
    [anon_sym_PLUS] = ACTIONS(3859),
    [anon_sym_DASH] = ACTIONS(3859),
    [anon_sym_TILDE] = ACTIONS(3859),
    [anon_sym_AMP] = ACTIONS(3859),
    [anon_sym_PIPE_PIPE] = ACTIONS(3859),
    [anon_sym_or_else] = ACTIONS(3857),
    [anon_sym_AMP_AMP] = ACTIONS(3859),
    [anon_sym_GT] = ACTIONS(3859),
    [anon_sym_GT_EQ] = ACTIONS(3857),
    [anon_sym_LT_EQ] = ACTIONS(3857),
    [anon_sym_LT] = ACTIONS(3859),
    [anon_sym_EQ_EQ] = ACTIONS(3857),
    [anon_sym_BANG_EQ] = ACTIONS(3857),
    [anon_sym_TILDE_EQ] = ACTIONS(3857),
    [anon_sym_PIPE] = ACTIONS(3859),
    [anon_sym_AMP_TILDE] = ACTIONS(3859),
    [anon_sym_LT_LT] = ACTIONS(3859),
    [anon_sym_GT_GT] = ACTIONS(3859),
    [anon_sym_STAR] = ACTIONS(3859),
    [anon_sym_SLASH] = ACTIONS(3859),
    [anon_sym_PERCENT] = ACTIONS(3859),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(3857),
    [anon_sym_DOT] = ACTIONS(3859),
    [anon_sym_LBRACK] = ACTIONS(3857),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(3857),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3857),
    [anon_sym_not_in] = ACTIONS(3857),
    [anon_sym_or_return] = ACTIONS(3857),
    [anon_sym_or_continue] = ACTIONS(3857),
    [anon_sym_or_break] = ACTIONS(3857),
    [anon_sym_CARET] = ACTIONS(3859),
    [sym_uninitialized] = ACTIONS(3885),
    [sym_tag] = ACTIONS(3917),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(3857),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [578] = {
    [sym_block] = STATE(2050),
    [sym_where_clause] = STATE(772),
    [anon_sym_LBRACE] = ACTIONS(3389),
    [anon_sym_RBRACE] = ACTIONS(3281),
    [anon_sym_COMMA] = ACTIONS(3281),
    [anon_sym_COLON_COLON] = ACTIONS(3281),
    [anon_sym_DASH_GT] = ACTIONS(3281),
    [anon_sym_where] = ACTIONS(3271),
    [anon_sym_EQ] = ACTIONS(3283),
    [anon_sym_COLON_EQ] = ACTIONS(3281),
    [anon_sym_COLON] = ACTIONS(3283),
    [anon_sym_LPAREN] = ACTIONS(3281),
    [anon_sym_PLUS_EQ] = ACTIONS(3281),
    [anon_sym_DASH_EQ] = ACTIONS(3281),
    [anon_sym_STAR_EQ] = ACTIONS(3281),
    [anon_sym_SLASH_EQ] = ACTIONS(3281),
    [anon_sym_PERCENT_EQ] = ACTIONS(3281),
    [anon_sym_AMP_EQ] = ACTIONS(3281),
    [anon_sym_PIPE_EQ] = ACTIONS(3281),
    [anon_sym_CARET_EQ] = ACTIONS(3281),
    [anon_sym_LT_LT_EQ] = ACTIONS(3281),
    [anon_sym_GT_GT_EQ] = ACTIONS(3281),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3281),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3281),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(3281),
    [anon_sym_if] = ACTIONS(3281),
    [anon_sym_SEMI] = ACTIONS(3281),
    [anon_sym_else] = ACTIONS(3281),
    [anon_sym_when] = ACTIONS(3281),
    [anon_sym_in] = ACTIONS(3281),
    [anon_sym_case] = ACTIONS(3281),
    [anon_sym_QMARK] = ACTIONS(3281),
    [anon_sym_PLUS] = ACTIONS(3283),
    [anon_sym_DASH] = ACTIONS(3283),
    [anon_sym_TILDE] = ACTIONS(3283),
    [anon_sym_AMP] = ACTIONS(3283),
    [anon_sym_PIPE_PIPE] = ACTIONS(3283),
    [anon_sym_or_else] = ACTIONS(3281),
    [anon_sym_AMP_AMP] = ACTIONS(3283),
    [anon_sym_GT] = ACTIONS(3283),
    [anon_sym_GT_EQ] = ACTIONS(3281),
    [anon_sym_LT_EQ] = ACTIONS(3281),
    [anon_sym_LT] = ACTIONS(3283),
    [anon_sym_EQ_EQ] = ACTIONS(3281),
    [anon_sym_BANG_EQ] = ACTIONS(3281),
    [anon_sym_TILDE_EQ] = ACTIONS(3281),
    [anon_sym_PIPE] = ACTIONS(3283),
    [anon_sym_AMP_TILDE] = ACTIONS(3283),
    [anon_sym_LT_LT] = ACTIONS(3283),
    [anon_sym_GT_GT] = ACTIONS(3283),
    [anon_sym_STAR] = ACTIONS(3283),
    [anon_sym_SLASH] = ACTIONS(3283),
    [anon_sym_PERCENT] = ACTIONS(3283),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(3281),
    [anon_sym_DOT] = ACTIONS(3283),
    [anon_sym_LBRACK] = ACTIONS(3281),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(3281),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3281),
    [anon_sym_not_in] = ACTIONS(3281),
    [anon_sym_or_return] = ACTIONS(3281),
    [anon_sym_or_continue] = ACTIONS(3281),
    [anon_sym_or_break] = ACTIONS(3281),
    [anon_sym_CARET] = ACTIONS(3283),
    [sym_uninitialized] = ACTIONS(3913),
    [sym_tag] = ACTIONS(3919),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(3281),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [579] = {
    [sym_expression] = STATE(5707),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(3921),
    [anon_sym_QMARK] = ACTIONS(3923),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(3925),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(3927),
    [anon_sym_dynamic] = ACTIONS(3929),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [580] = {
    [sym_block] = STATE(696),
    [sym_where_clause] = STATE(647),
    [anon_sym_LBRACE] = ACTIONS(3279),
    [anon_sym_RBRACE] = ACTIONS(3931),
    [anon_sym_COMMA] = ACTIONS(3931),
    [anon_sym_COLON_COLON] = ACTIONS(3931),
    [anon_sym_DASH_GT] = ACTIONS(3933),
    [anon_sym_where] = ACTIONS(3271),
    [anon_sym_EQ] = ACTIONS(3935),
    [anon_sym_COLON_EQ] = ACTIONS(3931),
    [anon_sym_COLON] = ACTIONS(3935),
    [anon_sym_LPAREN] = ACTIONS(3931),
    [anon_sym_PLUS_EQ] = ACTIONS(3931),
    [anon_sym_DASH_EQ] = ACTIONS(3931),
    [anon_sym_STAR_EQ] = ACTIONS(3931),
    [anon_sym_SLASH_EQ] = ACTIONS(3931),
    [anon_sym_PERCENT_EQ] = ACTIONS(3931),
    [anon_sym_AMP_EQ] = ACTIONS(3931),
    [anon_sym_PIPE_EQ] = ACTIONS(3931),
    [anon_sym_CARET_EQ] = ACTIONS(3931),
    [anon_sym_LT_LT_EQ] = ACTIONS(3931),
    [anon_sym_GT_GT_EQ] = ACTIONS(3931),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3931),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3931),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(3931),
    [anon_sym_if] = ACTIONS(3931),
    [anon_sym_SEMI] = ACTIONS(3931),
    [anon_sym_else] = ACTIONS(3931),
    [anon_sym_when] = ACTIONS(3931),
    [anon_sym_in] = ACTIONS(3931),
    [anon_sym_case] = ACTIONS(3931),
    [anon_sym_QMARK] = ACTIONS(3931),
    [anon_sym_PLUS] = ACTIONS(3935),
    [anon_sym_DASH] = ACTIONS(3935),
    [anon_sym_TILDE] = ACTIONS(3935),
    [anon_sym_AMP] = ACTIONS(3935),
    [anon_sym_PIPE_PIPE] = ACTIONS(3935),
    [anon_sym_or_else] = ACTIONS(3931),
    [anon_sym_AMP_AMP] = ACTIONS(3935),
    [anon_sym_GT] = ACTIONS(3935),
    [anon_sym_GT_EQ] = ACTIONS(3931),
    [anon_sym_LT_EQ] = ACTIONS(3931),
    [anon_sym_LT] = ACTIONS(3935),
    [anon_sym_EQ_EQ] = ACTIONS(3931),
    [anon_sym_BANG_EQ] = ACTIONS(3931),
    [anon_sym_TILDE_EQ] = ACTIONS(3931),
    [anon_sym_PIPE] = ACTIONS(3935),
    [anon_sym_AMP_TILDE] = ACTIONS(3935),
    [anon_sym_LT_LT] = ACTIONS(3935),
    [anon_sym_GT_GT] = ACTIONS(3935),
    [anon_sym_STAR] = ACTIONS(3935),
    [anon_sym_SLASH] = ACTIONS(3935),
    [anon_sym_PERCENT] = ACTIONS(3935),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(3931),
    [anon_sym_DOT] = ACTIONS(3935),
    [anon_sym_LBRACK] = ACTIONS(3931),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(3931),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3931),
    [anon_sym_not_in] = ACTIONS(3931),
    [anon_sym_or_return] = ACTIONS(3931),
    [anon_sym_or_continue] = ACTIONS(3931),
    [anon_sym_or_break] = ACTIONS(3931),
    [anon_sym_CARET] = ACTIONS(3935),
    [sym_uninitialized] = ACTIONS(3937),
    [sym_tag] = ACTIONS(3939),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(3931),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [581] = {
    [sym_block] = STATE(2365),
    [sym_where_clause] = STATE(805),
    [anon_sym_LBRACE] = ACTIONS(3267),
    [anon_sym_RBRACE] = ACTIONS(3281),
    [anon_sym_COMMA] = ACTIONS(3281),
    [anon_sym_COLON_COLON] = ACTIONS(3281),
    [anon_sym_DASH_GT] = ACTIONS(3281),
    [anon_sym_where] = ACTIONS(3271),
    [anon_sym_EQ] = ACTIONS(3283),
    [anon_sym_COLON_EQ] = ACTIONS(3281),
    [anon_sym_COLON] = ACTIONS(3283),
    [anon_sym_LPAREN] = ACTIONS(3483),
    [anon_sym_PLUS_EQ] = ACTIONS(3281),
    [anon_sym_DASH_EQ] = ACTIONS(3281),
    [anon_sym_STAR_EQ] = ACTIONS(3281),
    [anon_sym_SLASH_EQ] = ACTIONS(3281),
    [anon_sym_PERCENT_EQ] = ACTIONS(3281),
    [anon_sym_AMP_EQ] = ACTIONS(3281),
    [anon_sym_PIPE_EQ] = ACTIONS(3281),
    [anon_sym_CARET_EQ] = ACTIONS(3281),
    [anon_sym_LT_LT_EQ] = ACTIONS(3281),
    [anon_sym_GT_GT_EQ] = ACTIONS(3281),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3281),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3281),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(3281),
    [anon_sym_if] = ACTIONS(3281),
    [anon_sym_SEMI] = ACTIONS(3281),
    [anon_sym_else] = ACTIONS(3281),
    [anon_sym_when] = ACTIONS(3281),
    [anon_sym_in] = ACTIONS(3281),
    [anon_sym_case] = ACTIONS(3281),
    [anon_sym_QMARK] = ACTIONS(3281),
    [anon_sym_PLUS] = ACTIONS(3283),
    [anon_sym_DASH] = ACTIONS(3283),
    [anon_sym_TILDE] = ACTIONS(3283),
    [anon_sym_AMP] = ACTIONS(3283),
    [anon_sym_PIPE_PIPE] = ACTIONS(3283),
    [anon_sym_or_else] = ACTIONS(3281),
    [anon_sym_AMP_AMP] = ACTIONS(3283),
    [anon_sym_GT] = ACTIONS(3283),
    [anon_sym_GT_EQ] = ACTIONS(3281),
    [anon_sym_LT_EQ] = ACTIONS(3281),
    [anon_sym_LT] = ACTIONS(3283),
    [anon_sym_EQ_EQ] = ACTIONS(3281),
    [anon_sym_BANG_EQ] = ACTIONS(3281),
    [anon_sym_TILDE_EQ] = ACTIONS(3281),
    [anon_sym_PIPE] = ACTIONS(3283),
    [anon_sym_AMP_TILDE] = ACTIONS(3283),
    [anon_sym_LT_LT] = ACTIONS(3283),
    [anon_sym_GT_GT] = ACTIONS(3283),
    [anon_sym_STAR] = ACTIONS(3283),
    [anon_sym_SLASH] = ACTIONS(3485),
    [anon_sym_PERCENT] = ACTIONS(3283),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(3281),
    [anon_sym_DOT] = ACTIONS(3283),
    [anon_sym_LBRACK] = ACTIONS(3281),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(3281),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3281),
    [anon_sym_not_in] = ACTIONS(3281),
    [anon_sym_or_return] = ACTIONS(3281),
    [anon_sym_or_continue] = ACTIONS(3281),
    [anon_sym_or_break] = ACTIONS(3281),
    [anon_sym_CARET] = ACTIONS(3283),
    [sym_uninitialized] = ACTIONS(3941),
    [sym_tag] = ACTIONS(3943),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(3281),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [582] = {
    [sym_expression] = STATE(5773),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(3945),
    [anon_sym_QMARK] = ACTIONS(3947),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(3949),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(3951),
    [anon_sym_dynamic] = ACTIONS(3953),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [583] = {
    [sym_block] = STATE(2365),
    [sym_where_clause] = STATE(805),
    [anon_sym_LBRACE] = ACTIONS(3267),
    [anon_sym_RBRACE] = ACTIONS(3281),
    [anon_sym_COMMA] = ACTIONS(3281),
    [anon_sym_COLON_COLON] = ACTIONS(3281),
    [anon_sym_DASH_GT] = ACTIONS(3281),
    [anon_sym_where] = ACTIONS(3271),
    [anon_sym_EQ] = ACTIONS(3283),
    [anon_sym_COLON_EQ] = ACTIONS(3281),
    [anon_sym_COLON] = ACTIONS(3283),
    [anon_sym_LPAREN] = ACTIONS(3281),
    [anon_sym_PLUS_EQ] = ACTIONS(3281),
    [anon_sym_DASH_EQ] = ACTIONS(3281),
    [anon_sym_STAR_EQ] = ACTIONS(3281),
    [anon_sym_SLASH_EQ] = ACTIONS(3281),
    [anon_sym_PERCENT_EQ] = ACTIONS(3281),
    [anon_sym_AMP_EQ] = ACTIONS(3281),
    [anon_sym_PIPE_EQ] = ACTIONS(3281),
    [anon_sym_CARET_EQ] = ACTIONS(3281),
    [anon_sym_LT_LT_EQ] = ACTIONS(3281),
    [anon_sym_GT_GT_EQ] = ACTIONS(3281),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3281),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3281),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(3281),
    [anon_sym_if] = ACTIONS(3281),
    [anon_sym_SEMI] = ACTIONS(3281),
    [anon_sym_else] = ACTIONS(3281),
    [anon_sym_when] = ACTIONS(3281),
    [anon_sym_in] = ACTIONS(3281),
    [anon_sym_case] = ACTIONS(3281),
    [anon_sym_QMARK] = ACTIONS(3281),
    [anon_sym_PLUS] = ACTIONS(3283),
    [anon_sym_DASH] = ACTIONS(3283),
    [anon_sym_TILDE] = ACTIONS(3283),
    [anon_sym_AMP] = ACTIONS(3283),
    [anon_sym_PIPE_PIPE] = ACTIONS(3283),
    [anon_sym_or_else] = ACTIONS(3281),
    [anon_sym_AMP_AMP] = ACTIONS(3283),
    [anon_sym_GT] = ACTIONS(3283),
    [anon_sym_GT_EQ] = ACTIONS(3281),
    [anon_sym_LT_EQ] = ACTIONS(3281),
    [anon_sym_LT] = ACTIONS(3283),
    [anon_sym_EQ_EQ] = ACTIONS(3281),
    [anon_sym_BANG_EQ] = ACTIONS(3281),
    [anon_sym_TILDE_EQ] = ACTIONS(3281),
    [anon_sym_PIPE] = ACTIONS(3283),
    [anon_sym_AMP_TILDE] = ACTIONS(3283),
    [anon_sym_LT_LT] = ACTIONS(3283),
    [anon_sym_GT_GT] = ACTIONS(3283),
    [anon_sym_STAR] = ACTIONS(3283),
    [anon_sym_SLASH] = ACTIONS(3283),
    [anon_sym_PERCENT] = ACTIONS(3283),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(3281),
    [anon_sym_DOT] = ACTIONS(3283),
    [anon_sym_LBRACK] = ACTIONS(3281),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(3281),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3281),
    [anon_sym_not_in] = ACTIONS(3281),
    [anon_sym_or_return] = ACTIONS(3281),
    [anon_sym_or_continue] = ACTIONS(3281),
    [anon_sym_or_break] = ACTIONS(3281),
    [anon_sym_CARET] = ACTIONS(3283),
    [sym_uninitialized] = ACTIONS(3941),
    [sym_tag] = ACTIONS(3943),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(3281),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [584] = {
    [sym_expression] = STATE(5810),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(3955),
    [anon_sym_QMARK] = ACTIONS(3957),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(3959),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(3961),
    [anon_sym_dynamic] = ACTIONS(3963),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [585] = {
    [sym_block] = STATE(2365),
    [sym_where_clause] = STATE(805),
    [anon_sym_LBRACE] = ACTIONS(3267),
    [anon_sym_RBRACE] = ACTIONS(3281),
    [anon_sym_COMMA] = ACTIONS(3281),
    [anon_sym_COLON_COLON] = ACTIONS(3281),
    [anon_sym_DASH_GT] = ACTIONS(3281),
    [anon_sym_where] = ACTIONS(3271),
    [anon_sym_EQ] = ACTIONS(3283),
    [anon_sym_COLON_EQ] = ACTIONS(3281),
    [anon_sym_COLON] = ACTIONS(3283),
    [anon_sym_LPAREN] = ACTIONS(3281),
    [anon_sym_PLUS_EQ] = ACTIONS(3281),
    [anon_sym_DASH_EQ] = ACTIONS(3281),
    [anon_sym_STAR_EQ] = ACTIONS(3281),
    [anon_sym_SLASH_EQ] = ACTIONS(3281),
    [anon_sym_PERCENT_EQ] = ACTIONS(3281),
    [anon_sym_AMP_EQ] = ACTIONS(3281),
    [anon_sym_PIPE_EQ] = ACTIONS(3281),
    [anon_sym_CARET_EQ] = ACTIONS(3281),
    [anon_sym_LT_LT_EQ] = ACTIONS(3281),
    [anon_sym_GT_GT_EQ] = ACTIONS(3281),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3281),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3281),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(3281),
    [anon_sym_if] = ACTIONS(3281),
    [anon_sym_SEMI] = ACTIONS(3281),
    [anon_sym_else] = ACTIONS(3281),
    [anon_sym_when] = ACTIONS(3281),
    [anon_sym_in] = ACTIONS(3281),
    [anon_sym_case] = ACTIONS(3281),
    [anon_sym_QMARK] = ACTIONS(3281),
    [anon_sym_PLUS] = ACTIONS(3283),
    [anon_sym_DASH] = ACTIONS(3283),
    [anon_sym_TILDE] = ACTIONS(3283),
    [anon_sym_AMP] = ACTIONS(3283),
    [anon_sym_PIPE_PIPE] = ACTIONS(3283),
    [anon_sym_or_else] = ACTIONS(3281),
    [anon_sym_AMP_AMP] = ACTIONS(3283),
    [anon_sym_GT] = ACTIONS(3283),
    [anon_sym_GT_EQ] = ACTIONS(3281),
    [anon_sym_LT_EQ] = ACTIONS(3281),
    [anon_sym_LT] = ACTIONS(3283),
    [anon_sym_EQ_EQ] = ACTIONS(3281),
    [anon_sym_BANG_EQ] = ACTIONS(3281),
    [anon_sym_TILDE_EQ] = ACTIONS(3281),
    [anon_sym_PIPE] = ACTIONS(3283),
    [anon_sym_AMP_TILDE] = ACTIONS(3283),
    [anon_sym_LT_LT] = ACTIONS(3283),
    [anon_sym_GT_GT] = ACTIONS(3283),
    [anon_sym_STAR] = ACTIONS(3283),
    [anon_sym_SLASH] = ACTIONS(3283),
    [anon_sym_PERCENT] = ACTIONS(3283),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(3281),
    [anon_sym_DOT] = ACTIONS(3283),
    [anon_sym_LBRACK] = ACTIONS(3281),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(3281),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3281),
    [anon_sym_not_in] = ACTIONS(3281),
    [anon_sym_or_return] = ACTIONS(3281),
    [anon_sym_or_continue] = ACTIONS(3281),
    [anon_sym_or_break] = ACTIONS(3281),
    [anon_sym_CARET] = ACTIONS(3283),
    [sym_uninitialized] = ACTIONS(3941),
    [sym_tag] = ACTIONS(3965),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(3281),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [586] = {
    [sym_block] = STATE(697),
    [sym_where_clause] = STATE(653),
    [anon_sym_LBRACE] = ACTIONS(3279),
    [anon_sym_RBRACE] = ACTIONS(3299),
    [anon_sym_COMMA] = ACTIONS(3299),
    [anon_sym_COLON_COLON] = ACTIONS(3299),
    [anon_sym_DASH_GT] = ACTIONS(3967),
    [anon_sym_where] = ACTIONS(3271),
    [anon_sym_EQ] = ACTIONS(3303),
    [anon_sym_COLON_EQ] = ACTIONS(3299),
    [anon_sym_COLON] = ACTIONS(3303),
    [anon_sym_LPAREN] = ACTIONS(3299),
    [anon_sym_PLUS_EQ] = ACTIONS(3299),
    [anon_sym_DASH_EQ] = ACTIONS(3299),
    [anon_sym_STAR_EQ] = ACTIONS(3299),
    [anon_sym_SLASH_EQ] = ACTIONS(3299),
    [anon_sym_PERCENT_EQ] = ACTIONS(3299),
    [anon_sym_AMP_EQ] = ACTIONS(3299),
    [anon_sym_PIPE_EQ] = ACTIONS(3299),
    [anon_sym_CARET_EQ] = ACTIONS(3299),
    [anon_sym_LT_LT_EQ] = ACTIONS(3299),
    [anon_sym_GT_GT_EQ] = ACTIONS(3299),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3299),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3299),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(3299),
    [anon_sym_if] = ACTIONS(3299),
    [anon_sym_SEMI] = ACTIONS(3299),
    [anon_sym_else] = ACTIONS(3299),
    [anon_sym_when] = ACTIONS(3299),
    [anon_sym_in] = ACTIONS(3299),
    [anon_sym_case] = ACTIONS(3299),
    [anon_sym_QMARK] = ACTIONS(3299),
    [anon_sym_PLUS] = ACTIONS(3303),
    [anon_sym_DASH] = ACTIONS(3303),
    [anon_sym_TILDE] = ACTIONS(3303),
    [anon_sym_AMP] = ACTIONS(3303),
    [anon_sym_PIPE_PIPE] = ACTIONS(3303),
    [anon_sym_or_else] = ACTIONS(3299),
    [anon_sym_AMP_AMP] = ACTIONS(3303),
    [anon_sym_GT] = ACTIONS(3303),
    [anon_sym_GT_EQ] = ACTIONS(3299),
    [anon_sym_LT_EQ] = ACTIONS(3299),
    [anon_sym_LT] = ACTIONS(3303),
    [anon_sym_EQ_EQ] = ACTIONS(3299),
    [anon_sym_BANG_EQ] = ACTIONS(3299),
    [anon_sym_TILDE_EQ] = ACTIONS(3299),
    [anon_sym_PIPE] = ACTIONS(3303),
    [anon_sym_AMP_TILDE] = ACTIONS(3303),
    [anon_sym_LT_LT] = ACTIONS(3303),
    [anon_sym_GT_GT] = ACTIONS(3303),
    [anon_sym_STAR] = ACTIONS(3303),
    [anon_sym_SLASH] = ACTIONS(3303),
    [anon_sym_PERCENT] = ACTIONS(3303),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(3299),
    [anon_sym_DOT] = ACTIONS(3303),
    [anon_sym_LBRACK] = ACTIONS(3299),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(3299),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3299),
    [anon_sym_not_in] = ACTIONS(3299),
    [anon_sym_or_return] = ACTIONS(3299),
    [anon_sym_or_continue] = ACTIONS(3299),
    [anon_sym_or_break] = ACTIONS(3299),
    [anon_sym_CARET] = ACTIONS(3303),
    [sym_uninitialized] = ACTIONS(3969),
    [sym_tag] = ACTIONS(3971),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(3299),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [587] = {
    [sym_block] = STATE(2367),
    [sym_where_clause] = STATE(807),
    [anon_sym_LBRACE] = ACTIONS(3267),
    [anon_sym_RBRACE] = ACTIONS(3291),
    [anon_sym_COMMA] = ACTIONS(3291),
    [anon_sym_COLON_COLON] = ACTIONS(3291),
    [anon_sym_DASH_GT] = ACTIONS(3291),
    [anon_sym_where] = ACTIONS(3271),
    [anon_sym_EQ] = ACTIONS(3293),
    [anon_sym_COLON_EQ] = ACTIONS(3291),
    [anon_sym_COLON] = ACTIONS(3293),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_PLUS_EQ] = ACTIONS(3291),
    [anon_sym_DASH_EQ] = ACTIONS(3291),
    [anon_sym_STAR_EQ] = ACTIONS(3291),
    [anon_sym_SLASH_EQ] = ACTIONS(3291),
    [anon_sym_PERCENT_EQ] = ACTIONS(3291),
    [anon_sym_AMP_EQ] = ACTIONS(3291),
    [anon_sym_PIPE_EQ] = ACTIONS(3291),
    [anon_sym_CARET_EQ] = ACTIONS(3291),
    [anon_sym_LT_LT_EQ] = ACTIONS(3291),
    [anon_sym_GT_GT_EQ] = ACTIONS(3291),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3291),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3291),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(3291),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_SEMI] = ACTIONS(3291),
    [anon_sym_else] = ACTIONS(3291),
    [anon_sym_when] = ACTIONS(3291),
    [anon_sym_in] = ACTIONS(3291),
    [anon_sym_case] = ACTIONS(3291),
    [anon_sym_QMARK] = ACTIONS(3291),
    [anon_sym_PLUS] = ACTIONS(3293),
    [anon_sym_DASH] = ACTIONS(3293),
    [anon_sym_TILDE] = ACTIONS(3293),
    [anon_sym_AMP] = ACTIONS(3293),
    [anon_sym_PIPE_PIPE] = ACTIONS(3293),
    [anon_sym_or_else] = ACTIONS(3291),
    [anon_sym_AMP_AMP] = ACTIONS(3293),
    [anon_sym_GT] = ACTIONS(3293),
    [anon_sym_GT_EQ] = ACTIONS(3291),
    [anon_sym_LT_EQ] = ACTIONS(3291),
    [anon_sym_LT] = ACTIONS(3293),
    [anon_sym_EQ_EQ] = ACTIONS(3291),
    [anon_sym_BANG_EQ] = ACTIONS(3291),
    [anon_sym_TILDE_EQ] = ACTIONS(3291),
    [anon_sym_PIPE] = ACTIONS(3293),
    [anon_sym_AMP_TILDE] = ACTIONS(3293),
    [anon_sym_LT_LT] = ACTIONS(3293),
    [anon_sym_GT_GT] = ACTIONS(3293),
    [anon_sym_STAR] = ACTIONS(3293),
    [anon_sym_SLASH] = ACTIONS(3293),
    [anon_sym_PERCENT] = ACTIONS(3293),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(3291),
    [anon_sym_DOT] = ACTIONS(3293),
    [anon_sym_LBRACK] = ACTIONS(3291),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(3291),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3291),
    [anon_sym_not_in] = ACTIONS(3291),
    [anon_sym_or_return] = ACTIONS(3291),
    [anon_sym_or_continue] = ACTIONS(3291),
    [anon_sym_or_break] = ACTIONS(3291),
    [anon_sym_CARET] = ACTIONS(3293),
    [sym_uninitialized] = ACTIONS(3973),
    [sym_tag] = ACTIONS(3975),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(3291),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [588] = {
    [aux_sym_field_type_repeat1] = STATE(588),
    [anon_sym_LBRACE] = ACTIONS(3977),
    [anon_sym_RBRACE] = ACTIONS(3977),
    [anon_sym_COMMA] = ACTIONS(3977),
    [anon_sym_COLON_COLON] = ACTIONS(3977),
    [anon_sym_DASH_GT] = ACTIONS(3977),
    [anon_sym_where] = ACTIONS(3977),
    [anon_sym_EQ] = ACTIONS(3979),
    [anon_sym_COLON_EQ] = ACTIONS(3977),
    [anon_sym_COLON] = ACTIONS(3979),
    [anon_sym_LPAREN] = ACTIONS(3977),
    [anon_sym_PLUS_EQ] = ACTIONS(3977),
    [anon_sym_DASH_EQ] = ACTIONS(3977),
    [anon_sym_STAR_EQ] = ACTIONS(3977),
    [anon_sym_SLASH_EQ] = ACTIONS(3977),
    [anon_sym_PERCENT_EQ] = ACTIONS(3977),
    [anon_sym_AMP_EQ] = ACTIONS(3977),
    [anon_sym_PIPE_EQ] = ACTIONS(3977),
    [anon_sym_CARET_EQ] = ACTIONS(3977),
    [anon_sym_LT_LT_EQ] = ACTIONS(3977),
    [anon_sym_GT_GT_EQ] = ACTIONS(3977),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3977),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3977),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(3977),
    [anon_sym_if] = ACTIONS(3977),
    [anon_sym_SEMI] = ACTIONS(3977),
    [anon_sym_else] = ACTIONS(3977),
    [anon_sym_when] = ACTIONS(3977),
    [anon_sym_in] = ACTIONS(3977),
    [anon_sym_case] = ACTIONS(3977),
    [anon_sym_QMARK] = ACTIONS(3977),
    [anon_sym_PLUS] = ACTIONS(3979),
    [anon_sym_DASH] = ACTIONS(3979),
    [anon_sym_TILDE] = ACTIONS(3979),
    [anon_sym_AMP] = ACTIONS(3979),
    [anon_sym_PIPE_PIPE] = ACTIONS(3979),
    [anon_sym_or_else] = ACTIONS(3977),
    [anon_sym_AMP_AMP] = ACTIONS(3979),
    [anon_sym_GT] = ACTIONS(3979),
    [anon_sym_GT_EQ] = ACTIONS(3977),
    [anon_sym_LT_EQ] = ACTIONS(3977),
    [anon_sym_LT] = ACTIONS(3979),
    [anon_sym_EQ_EQ] = ACTIONS(3977),
    [anon_sym_BANG_EQ] = ACTIONS(3977),
    [anon_sym_TILDE_EQ] = ACTIONS(3977),
    [anon_sym_PIPE] = ACTIONS(3979),
    [anon_sym_AMP_TILDE] = ACTIONS(3979),
    [anon_sym_LT_LT] = ACTIONS(3979),
    [anon_sym_GT_GT] = ACTIONS(3979),
    [anon_sym_STAR] = ACTIONS(3979),
    [anon_sym_SLASH] = ACTIONS(3979),
    [anon_sym_PERCENT] = ACTIONS(3979),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(3977),
    [anon_sym_DOT] = ACTIONS(3979),
    [anon_sym_LBRACK] = ACTIONS(3977),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(3977),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3977),
    [anon_sym_not_in] = ACTIONS(3977),
    [anon_sym_or_return] = ACTIONS(3977),
    [anon_sym_or_continue] = ACTIONS(3977),
    [anon_sym_or_break] = ACTIONS(3977),
    [anon_sym_CARET] = ACTIONS(3979),
    [anon_sym_DOT2] = ACTIONS(3981),
    [sym_uninitialized] = ACTIONS(3977),
    [sym_tag] = ACTIONS(3977),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(3977),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [589] = {
    [sym_expression] = STATE(5984),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(3984),
    [anon_sym_QMARK] = ACTIONS(3986),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(3988),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(3990),
    [anon_sym_dynamic] = ACTIONS(3992),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [590] = {
    [sym_expression] = STATE(5849),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(3994),
    [anon_sym_QMARK] = ACTIONS(3996),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(3998),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(4000),
    [anon_sym_dynamic] = ACTIONS(4002),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [591] = {
    [sym_block] = STATE(698),
    [sym_where_clause] = STATE(668),
    [anon_sym_LBRACE] = ACTIONS(3279),
    [anon_sym_RBRACE] = ACTIONS(3269),
    [anon_sym_COMMA] = ACTIONS(3269),
    [anon_sym_COLON_COLON] = ACTIONS(3269),
    [anon_sym_DASH_GT] = ACTIONS(3269),
    [anon_sym_where] = ACTIONS(3271),
    [anon_sym_EQ] = ACTIONS(3273),
    [anon_sym_COLON_EQ] = ACTIONS(3269),
    [anon_sym_COLON] = ACTIONS(3273),
    [anon_sym_LPAREN] = ACTIONS(3483),
    [anon_sym_PLUS_EQ] = ACTIONS(3269),
    [anon_sym_DASH_EQ] = ACTIONS(3269),
    [anon_sym_STAR_EQ] = ACTIONS(3269),
    [anon_sym_SLASH_EQ] = ACTIONS(3269),
    [anon_sym_PERCENT_EQ] = ACTIONS(3269),
    [anon_sym_AMP_EQ] = ACTIONS(3269),
    [anon_sym_PIPE_EQ] = ACTIONS(3269),
    [anon_sym_CARET_EQ] = ACTIONS(3269),
    [anon_sym_LT_LT_EQ] = ACTIONS(3269),
    [anon_sym_GT_GT_EQ] = ACTIONS(3269),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3269),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3269),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(3269),
    [anon_sym_if] = ACTIONS(3269),
    [anon_sym_SEMI] = ACTIONS(3269),
    [anon_sym_else] = ACTIONS(3269),
    [anon_sym_when] = ACTIONS(3269),
    [anon_sym_in] = ACTIONS(3269),
    [anon_sym_case] = ACTIONS(3269),
    [anon_sym_QMARK] = ACTIONS(3269),
    [anon_sym_PLUS] = ACTIONS(3273),
    [anon_sym_DASH] = ACTIONS(3273),
    [anon_sym_TILDE] = ACTIONS(3273),
    [anon_sym_AMP] = ACTIONS(3273),
    [anon_sym_PIPE_PIPE] = ACTIONS(3273),
    [anon_sym_or_else] = ACTIONS(3269),
    [anon_sym_AMP_AMP] = ACTIONS(3273),
    [anon_sym_GT] = ACTIONS(3273),
    [anon_sym_GT_EQ] = ACTIONS(3269),
    [anon_sym_LT_EQ] = ACTIONS(3269),
    [anon_sym_LT] = ACTIONS(3273),
    [anon_sym_EQ_EQ] = ACTIONS(3269),
    [anon_sym_BANG_EQ] = ACTIONS(3269),
    [anon_sym_TILDE_EQ] = ACTIONS(3269),
    [anon_sym_PIPE] = ACTIONS(3273),
    [anon_sym_AMP_TILDE] = ACTIONS(3273),
    [anon_sym_LT_LT] = ACTIONS(3273),
    [anon_sym_GT_GT] = ACTIONS(3273),
    [anon_sym_STAR] = ACTIONS(3273),
    [anon_sym_SLASH] = ACTIONS(3485),
    [anon_sym_PERCENT] = ACTIONS(3273),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(3269),
    [anon_sym_DOT] = ACTIONS(3273),
    [anon_sym_LBRACK] = ACTIONS(3269),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(3269),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3269),
    [anon_sym_not_in] = ACTIONS(3269),
    [anon_sym_or_return] = ACTIONS(3269),
    [anon_sym_or_continue] = ACTIONS(3269),
    [anon_sym_or_break] = ACTIONS(3269),
    [anon_sym_CARET] = ACTIONS(3273),
    [sym_uninitialized] = ACTIONS(4004),
    [sym_tag] = ACTIONS(4006),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(3269),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [592] = {
    [sym_block] = STATE(2353),
    [sym_where_clause] = STATE(789),
    [anon_sym_LBRACE] = ACTIONS(3267),
    [anon_sym_RBRACE] = ACTIONS(3931),
    [anon_sym_COMMA] = ACTIONS(3931),
    [anon_sym_COLON_COLON] = ACTIONS(3931),
    [anon_sym_DASH_GT] = ACTIONS(4008),
    [anon_sym_where] = ACTIONS(3271),
    [anon_sym_EQ] = ACTIONS(3935),
    [anon_sym_COLON_EQ] = ACTIONS(3931),
    [anon_sym_COLON] = ACTIONS(3935),
    [anon_sym_LPAREN] = ACTIONS(3931),
    [anon_sym_PLUS_EQ] = ACTIONS(3931),
    [anon_sym_DASH_EQ] = ACTIONS(3931),
    [anon_sym_STAR_EQ] = ACTIONS(3931),
    [anon_sym_SLASH_EQ] = ACTIONS(3931),
    [anon_sym_PERCENT_EQ] = ACTIONS(3931),
    [anon_sym_AMP_EQ] = ACTIONS(3931),
    [anon_sym_PIPE_EQ] = ACTIONS(3931),
    [anon_sym_CARET_EQ] = ACTIONS(3931),
    [anon_sym_LT_LT_EQ] = ACTIONS(3931),
    [anon_sym_GT_GT_EQ] = ACTIONS(3931),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3931),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3931),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(3931),
    [anon_sym_if] = ACTIONS(3931),
    [anon_sym_SEMI] = ACTIONS(3931),
    [anon_sym_else] = ACTIONS(3931),
    [anon_sym_when] = ACTIONS(3931),
    [anon_sym_in] = ACTIONS(3931),
    [anon_sym_case] = ACTIONS(3931),
    [anon_sym_QMARK] = ACTIONS(3931),
    [anon_sym_PLUS] = ACTIONS(3935),
    [anon_sym_DASH] = ACTIONS(3935),
    [anon_sym_TILDE] = ACTIONS(3935),
    [anon_sym_AMP] = ACTIONS(3935),
    [anon_sym_PIPE_PIPE] = ACTIONS(3935),
    [anon_sym_or_else] = ACTIONS(3931),
    [anon_sym_AMP_AMP] = ACTIONS(3935),
    [anon_sym_GT] = ACTIONS(3935),
    [anon_sym_GT_EQ] = ACTIONS(3931),
    [anon_sym_LT_EQ] = ACTIONS(3931),
    [anon_sym_LT] = ACTIONS(3935),
    [anon_sym_EQ_EQ] = ACTIONS(3931),
    [anon_sym_BANG_EQ] = ACTIONS(3931),
    [anon_sym_TILDE_EQ] = ACTIONS(3931),
    [anon_sym_PIPE] = ACTIONS(3935),
    [anon_sym_AMP_TILDE] = ACTIONS(3935),
    [anon_sym_LT_LT] = ACTIONS(3935),
    [anon_sym_GT_GT] = ACTIONS(3935),
    [anon_sym_STAR] = ACTIONS(3935),
    [anon_sym_SLASH] = ACTIONS(3935),
    [anon_sym_PERCENT] = ACTIONS(3935),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(3931),
    [anon_sym_DOT] = ACTIONS(3935),
    [anon_sym_LBRACK] = ACTIONS(3931),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(3931),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3931),
    [anon_sym_not_in] = ACTIONS(3931),
    [anon_sym_or_return] = ACTIONS(3931),
    [anon_sym_or_continue] = ACTIONS(3931),
    [anon_sym_or_break] = ACTIONS(3931),
    [anon_sym_CARET] = ACTIONS(3935),
    [sym_uninitialized] = ACTIONS(4010),
    [sym_tag] = ACTIONS(4012),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(3931),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [593] = {
    [sym_expression] = STATE(5905),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(4014),
    [anon_sym_QMARK] = ACTIONS(4016),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(4018),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(4020),
    [anon_sym_dynamic] = ACTIONS(4022),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [594] = {
    [sym_expression] = STATE(5998),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(4024),
    [anon_sym_QMARK] = ACTIONS(4026),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(4028),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(4030),
    [anon_sym_dynamic] = ACTIONS(4032),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [595] = {
    [sym_expression] = STATE(5729),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(4034),
    [anon_sym_QMARK] = ACTIONS(4036),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(4038),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(4040),
    [anon_sym_dynamic] = ACTIONS(4042),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [596] = {
    [sym_expression] = STATE(5539),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7709),
    [sym_array_type] = STATE(7709),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_COLON] = ACTIONS(4044),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [597] = {
    [sym_expression] = STATE(6058),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(4046),
    [anon_sym_QMARK] = ACTIONS(4048),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(4050),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(4052),
    [anon_sym_dynamic] = ACTIONS(4054),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [598] = {
    [sym_expression] = STATE(6046),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(4056),
    [anon_sym_QMARK] = ACTIONS(4058),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(4060),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(4062),
    [anon_sym_dynamic] = ACTIONS(4064),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [599] = {
    [sym_block] = STATE(698),
    [sym_where_clause] = STATE(668),
    [anon_sym_LBRACE] = ACTIONS(3279),
    [anon_sym_RBRACE] = ACTIONS(3269),
    [anon_sym_COMMA] = ACTIONS(3269),
    [anon_sym_COLON_COLON] = ACTIONS(3269),
    [anon_sym_DASH_GT] = ACTIONS(3269),
    [anon_sym_where] = ACTIONS(3271),
    [anon_sym_EQ] = ACTIONS(3273),
    [anon_sym_COLON_EQ] = ACTIONS(3269),
    [anon_sym_COLON] = ACTIONS(3273),
    [anon_sym_LPAREN] = ACTIONS(3269),
    [anon_sym_PLUS_EQ] = ACTIONS(3269),
    [anon_sym_DASH_EQ] = ACTIONS(3269),
    [anon_sym_STAR_EQ] = ACTIONS(3269),
    [anon_sym_SLASH_EQ] = ACTIONS(3269),
    [anon_sym_PERCENT_EQ] = ACTIONS(3269),
    [anon_sym_AMP_EQ] = ACTIONS(3269),
    [anon_sym_PIPE_EQ] = ACTIONS(3269),
    [anon_sym_CARET_EQ] = ACTIONS(3269),
    [anon_sym_LT_LT_EQ] = ACTIONS(3269),
    [anon_sym_GT_GT_EQ] = ACTIONS(3269),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3269),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3269),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(3269),
    [anon_sym_if] = ACTIONS(3269),
    [anon_sym_SEMI] = ACTIONS(3269),
    [anon_sym_else] = ACTIONS(3269),
    [anon_sym_when] = ACTIONS(3269),
    [anon_sym_in] = ACTIONS(3269),
    [anon_sym_case] = ACTIONS(3269),
    [anon_sym_QMARK] = ACTIONS(3269),
    [anon_sym_PLUS] = ACTIONS(3273),
    [anon_sym_DASH] = ACTIONS(3273),
    [anon_sym_TILDE] = ACTIONS(3273),
    [anon_sym_AMP] = ACTIONS(3273),
    [anon_sym_PIPE_PIPE] = ACTIONS(3273),
    [anon_sym_or_else] = ACTIONS(3269),
    [anon_sym_AMP_AMP] = ACTIONS(3273),
    [anon_sym_GT] = ACTIONS(3273),
    [anon_sym_GT_EQ] = ACTIONS(3269),
    [anon_sym_LT_EQ] = ACTIONS(3269),
    [anon_sym_LT] = ACTIONS(3273),
    [anon_sym_EQ_EQ] = ACTIONS(3269),
    [anon_sym_BANG_EQ] = ACTIONS(3269),
    [anon_sym_TILDE_EQ] = ACTIONS(3269),
    [anon_sym_PIPE] = ACTIONS(3273),
    [anon_sym_AMP_TILDE] = ACTIONS(3273),
    [anon_sym_LT_LT] = ACTIONS(3273),
    [anon_sym_GT_GT] = ACTIONS(3273),
    [anon_sym_STAR] = ACTIONS(3273),
    [anon_sym_SLASH] = ACTIONS(3273),
    [anon_sym_PERCENT] = ACTIONS(3273),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(3269),
    [anon_sym_DOT] = ACTIONS(3273),
    [anon_sym_LBRACK] = ACTIONS(3269),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(3269),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3269),
    [anon_sym_not_in] = ACTIONS(3269),
    [anon_sym_or_return] = ACTIONS(3269),
    [anon_sym_or_continue] = ACTIONS(3269),
    [anon_sym_or_break] = ACTIONS(3269),
    [anon_sym_CARET] = ACTIONS(3273),
    [sym_uninitialized] = ACTIONS(4004),
    [sym_tag] = ACTIONS(4006),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(3269),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [600] = {
    [sym_expression] = STATE(5787),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(4066),
    [anon_sym_QMARK] = ACTIONS(4068),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(4070),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(4072),
    [anon_sym_dynamic] = ACTIONS(4074),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [601] = {
    [sym_expression] = STATE(5776),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(4076),
    [anon_sym_QMARK] = ACTIONS(4078),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(4080),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(4082),
    [anon_sym_dynamic] = ACTIONS(4084),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [602] = {
    [sym_expression] = STATE(5697),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(4086),
    [anon_sym_QMARK] = ACTIONS(4088),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(4090),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(4092),
    [anon_sym_dynamic] = ACTIONS(4094),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [603] = {
    [sym_expression] = STATE(5823),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(4096),
    [anon_sym_QMARK] = ACTIONS(4098),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(4100),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(4102),
    [anon_sym_dynamic] = ACTIONS(4104),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [604] = {
    [sym_expression] = STATE(5733),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(4106),
    [anon_sym_QMARK] = ACTIONS(4108),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(4110),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(4112),
    [anon_sym_dynamic] = ACTIONS(4114),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [605] = {
    [sym_block] = STATE(2045),
    [sym_where_clause] = STATE(767),
    [anon_sym_LBRACE] = ACTIONS(3389),
    [anon_sym_RBRACE] = ACTIONS(3931),
    [anon_sym_COMMA] = ACTIONS(3931),
    [anon_sym_COLON_COLON] = ACTIONS(3931),
    [anon_sym_DASH_GT] = ACTIONS(4116),
    [anon_sym_where] = ACTIONS(3271),
    [anon_sym_EQ] = ACTIONS(3935),
    [anon_sym_COLON_EQ] = ACTIONS(3931),
    [anon_sym_COLON] = ACTIONS(3935),
    [anon_sym_LPAREN] = ACTIONS(3931),
    [anon_sym_PLUS_EQ] = ACTIONS(3931),
    [anon_sym_DASH_EQ] = ACTIONS(3931),
    [anon_sym_STAR_EQ] = ACTIONS(3931),
    [anon_sym_SLASH_EQ] = ACTIONS(3931),
    [anon_sym_PERCENT_EQ] = ACTIONS(3931),
    [anon_sym_AMP_EQ] = ACTIONS(3931),
    [anon_sym_PIPE_EQ] = ACTIONS(3931),
    [anon_sym_CARET_EQ] = ACTIONS(3931),
    [anon_sym_LT_LT_EQ] = ACTIONS(3931),
    [anon_sym_GT_GT_EQ] = ACTIONS(3931),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3931),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3931),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(3931),
    [anon_sym_if] = ACTIONS(3931),
    [anon_sym_SEMI] = ACTIONS(3931),
    [anon_sym_else] = ACTIONS(3931),
    [anon_sym_when] = ACTIONS(3931),
    [anon_sym_in] = ACTIONS(3931),
    [anon_sym_case] = ACTIONS(3931),
    [anon_sym_QMARK] = ACTIONS(3931),
    [anon_sym_PLUS] = ACTIONS(3935),
    [anon_sym_DASH] = ACTIONS(3935),
    [anon_sym_TILDE] = ACTIONS(3935),
    [anon_sym_AMP] = ACTIONS(3935),
    [anon_sym_PIPE_PIPE] = ACTIONS(3935),
    [anon_sym_or_else] = ACTIONS(3931),
    [anon_sym_AMP_AMP] = ACTIONS(3935),
    [anon_sym_GT] = ACTIONS(3935),
    [anon_sym_GT_EQ] = ACTIONS(3931),
    [anon_sym_LT_EQ] = ACTIONS(3931),
    [anon_sym_LT] = ACTIONS(3935),
    [anon_sym_EQ_EQ] = ACTIONS(3931),
    [anon_sym_BANG_EQ] = ACTIONS(3931),
    [anon_sym_TILDE_EQ] = ACTIONS(3931),
    [anon_sym_PIPE] = ACTIONS(3935),
    [anon_sym_AMP_TILDE] = ACTIONS(3935),
    [anon_sym_LT_LT] = ACTIONS(3935),
    [anon_sym_GT_GT] = ACTIONS(3935),
    [anon_sym_STAR] = ACTIONS(3935),
    [anon_sym_SLASH] = ACTIONS(3935),
    [anon_sym_PERCENT] = ACTIONS(3935),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(3931),
    [anon_sym_DOT] = ACTIONS(3935),
    [anon_sym_LBRACK] = ACTIONS(3931),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(3931),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3931),
    [anon_sym_not_in] = ACTIONS(3931),
    [anon_sym_or_return] = ACTIONS(3931),
    [anon_sym_or_continue] = ACTIONS(3931),
    [anon_sym_or_break] = ACTIONS(3931),
    [anon_sym_CARET] = ACTIONS(3935),
    [sym_uninitialized] = ACTIONS(4118),
    [sym_tag] = ACTIONS(4120),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(3931),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [606] = {
    [sym_expression] = STATE(5816),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(4122),
    [anon_sym_QMARK] = ACTIONS(4124),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(4126),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(4128),
    [anon_sym_dynamic] = ACTIONS(4130),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [607] = {
    [sym_expression] = STATE(5853),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(4132),
    [anon_sym_QMARK] = ACTIONS(4134),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(4136),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(4138),
    [anon_sym_dynamic] = ACTIONS(4140),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [608] = {
    [sym_block] = STATE(699),
    [sym_where_clause] = STATE(667),
    [anon_sym_LBRACE] = ACTIONS(3279),
    [anon_sym_RBRACE] = ACTIONS(3857),
    [anon_sym_COMMA] = ACTIONS(3857),
    [anon_sym_COLON_COLON] = ACTIONS(3857),
    [anon_sym_DASH_GT] = ACTIONS(3857),
    [anon_sym_where] = ACTIONS(3271),
    [anon_sym_EQ] = ACTIONS(3859),
    [anon_sym_COLON_EQ] = ACTIONS(3857),
    [anon_sym_COLON] = ACTIONS(3859),
    [anon_sym_LPAREN] = ACTIONS(3483),
    [anon_sym_PLUS_EQ] = ACTIONS(3857),
    [anon_sym_DASH_EQ] = ACTIONS(3857),
    [anon_sym_STAR_EQ] = ACTIONS(3857),
    [anon_sym_SLASH_EQ] = ACTIONS(3857),
    [anon_sym_PERCENT_EQ] = ACTIONS(3857),
    [anon_sym_AMP_EQ] = ACTIONS(3857),
    [anon_sym_PIPE_EQ] = ACTIONS(3857),
    [anon_sym_CARET_EQ] = ACTIONS(3857),
    [anon_sym_LT_LT_EQ] = ACTIONS(3857),
    [anon_sym_GT_GT_EQ] = ACTIONS(3857),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3857),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3857),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(3857),
    [anon_sym_if] = ACTIONS(3857),
    [anon_sym_SEMI] = ACTIONS(3857),
    [anon_sym_else] = ACTIONS(3857),
    [anon_sym_when] = ACTIONS(3857),
    [anon_sym_in] = ACTIONS(3857),
    [anon_sym_case] = ACTIONS(3857),
    [anon_sym_QMARK] = ACTIONS(3857),
    [anon_sym_PLUS] = ACTIONS(3859),
    [anon_sym_DASH] = ACTIONS(3859),
    [anon_sym_TILDE] = ACTIONS(3859),
    [anon_sym_AMP] = ACTIONS(3859),
    [anon_sym_PIPE_PIPE] = ACTIONS(3859),
    [anon_sym_or_else] = ACTIONS(3857),
    [anon_sym_AMP_AMP] = ACTIONS(3859),
    [anon_sym_GT] = ACTIONS(3859),
    [anon_sym_GT_EQ] = ACTIONS(3857),
    [anon_sym_LT_EQ] = ACTIONS(3857),
    [anon_sym_LT] = ACTIONS(3859),
    [anon_sym_EQ_EQ] = ACTIONS(3857),
    [anon_sym_BANG_EQ] = ACTIONS(3857),
    [anon_sym_TILDE_EQ] = ACTIONS(3857),
    [anon_sym_PIPE] = ACTIONS(3859),
    [anon_sym_AMP_TILDE] = ACTIONS(3859),
    [anon_sym_LT_LT] = ACTIONS(3859),
    [anon_sym_GT_GT] = ACTIONS(3859),
    [anon_sym_STAR] = ACTIONS(3859),
    [anon_sym_SLASH] = ACTIONS(3485),
    [anon_sym_PERCENT] = ACTIONS(3859),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(3857),
    [anon_sym_DOT] = ACTIONS(3859),
    [anon_sym_LBRACK] = ACTIONS(3857),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(3857),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3857),
    [anon_sym_not_in] = ACTIONS(3857),
    [anon_sym_or_return] = ACTIONS(3857),
    [anon_sym_or_continue] = ACTIONS(3857),
    [anon_sym_or_break] = ACTIONS(3857),
    [anon_sym_CARET] = ACTIONS(3859),
    [sym_uninitialized] = ACTIONS(4142),
    [sym_tag] = ACTIONS(4144),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(3857),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [609] = {
    [sym_expression] = STATE(5769),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(4146),
    [anon_sym_QMARK] = ACTIONS(4148),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(4150),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(4152),
    [anon_sym_dynamic] = ACTIONS(4154),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [610] = {
    [sym_expression] = STATE(5858),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(4156),
    [anon_sym_QMARK] = ACTIONS(4158),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(4160),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(4162),
    [anon_sym_dynamic] = ACTIONS(4164),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [611] = {
    [sym_expression] = STATE(5855),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(4166),
    [anon_sym_QMARK] = ACTIONS(4168),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(4170),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(4172),
    [anon_sym_dynamic] = ACTIONS(4174),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [612] = {
    [sym_expression] = STATE(5865),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(4176),
    [anon_sym_QMARK] = ACTIONS(4178),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(4180),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(4182),
    [anon_sym_dynamic] = ACTIONS(4184),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [613] = {
    [sym_expression] = STATE(5871),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(4186),
    [anon_sym_QMARK] = ACTIONS(4188),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(4190),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(4192),
    [anon_sym_dynamic] = ACTIONS(4194),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [614] = {
    [sym_expression] = STATE(5872),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(4196),
    [anon_sym_QMARK] = ACTIONS(4198),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(4200),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(4202),
    [anon_sym_dynamic] = ACTIONS(4204),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [615] = {
    [sym_expression] = STATE(5873),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(4206),
    [anon_sym_QMARK] = ACTIONS(4208),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(4210),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(4212),
    [anon_sym_dynamic] = ACTIONS(4214),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [616] = {
    [sym_block] = STATE(699),
    [sym_where_clause] = STATE(667),
    [anon_sym_LBRACE] = ACTIONS(3279),
    [anon_sym_RBRACE] = ACTIONS(3857),
    [anon_sym_COMMA] = ACTIONS(3857),
    [anon_sym_COLON_COLON] = ACTIONS(3857),
    [anon_sym_DASH_GT] = ACTIONS(3857),
    [anon_sym_where] = ACTIONS(3271),
    [anon_sym_EQ] = ACTIONS(3859),
    [anon_sym_COLON_EQ] = ACTIONS(3857),
    [anon_sym_COLON] = ACTIONS(3859),
    [anon_sym_LPAREN] = ACTIONS(3857),
    [anon_sym_PLUS_EQ] = ACTIONS(3857),
    [anon_sym_DASH_EQ] = ACTIONS(3857),
    [anon_sym_STAR_EQ] = ACTIONS(3857),
    [anon_sym_SLASH_EQ] = ACTIONS(3857),
    [anon_sym_PERCENT_EQ] = ACTIONS(3857),
    [anon_sym_AMP_EQ] = ACTIONS(3857),
    [anon_sym_PIPE_EQ] = ACTIONS(3857),
    [anon_sym_CARET_EQ] = ACTIONS(3857),
    [anon_sym_LT_LT_EQ] = ACTIONS(3857),
    [anon_sym_GT_GT_EQ] = ACTIONS(3857),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3857),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3857),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(3857),
    [anon_sym_if] = ACTIONS(3857),
    [anon_sym_SEMI] = ACTIONS(3857),
    [anon_sym_else] = ACTIONS(3857),
    [anon_sym_when] = ACTIONS(3857),
    [anon_sym_in] = ACTIONS(3857),
    [anon_sym_case] = ACTIONS(3857),
    [anon_sym_QMARK] = ACTIONS(3857),
    [anon_sym_PLUS] = ACTIONS(3859),
    [anon_sym_DASH] = ACTIONS(3859),
    [anon_sym_TILDE] = ACTIONS(3859),
    [anon_sym_AMP] = ACTIONS(3859),
    [anon_sym_PIPE_PIPE] = ACTIONS(3859),
    [anon_sym_or_else] = ACTIONS(3857),
    [anon_sym_AMP_AMP] = ACTIONS(3859),
    [anon_sym_GT] = ACTIONS(3859),
    [anon_sym_GT_EQ] = ACTIONS(3857),
    [anon_sym_LT_EQ] = ACTIONS(3857),
    [anon_sym_LT] = ACTIONS(3859),
    [anon_sym_EQ_EQ] = ACTIONS(3857),
    [anon_sym_BANG_EQ] = ACTIONS(3857),
    [anon_sym_TILDE_EQ] = ACTIONS(3857),
    [anon_sym_PIPE] = ACTIONS(3859),
    [anon_sym_AMP_TILDE] = ACTIONS(3859),
    [anon_sym_LT_LT] = ACTIONS(3859),
    [anon_sym_GT_GT] = ACTIONS(3859),
    [anon_sym_STAR] = ACTIONS(3859),
    [anon_sym_SLASH] = ACTIONS(3859),
    [anon_sym_PERCENT] = ACTIONS(3859),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(3857),
    [anon_sym_DOT] = ACTIONS(3859),
    [anon_sym_LBRACK] = ACTIONS(3857),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(3857),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3857),
    [anon_sym_not_in] = ACTIONS(3857),
    [anon_sym_or_return] = ACTIONS(3857),
    [anon_sym_or_continue] = ACTIONS(3857),
    [anon_sym_or_break] = ACTIONS(3857),
    [anon_sym_CARET] = ACTIONS(3859),
    [sym_uninitialized] = ACTIONS(4142),
    [sym_tag] = ACTIONS(4144),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(3857),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [617] = {
    [sym_expression] = STATE(5828),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(4216),
    [anon_sym_QMARK] = ACTIONS(4218),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(4220),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(4222),
    [anon_sym_dynamic] = ACTIONS(4224),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [618] = {
    [sym_expression] = STATE(5808),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(4226),
    [anon_sym_QMARK] = ACTIONS(4228),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(4230),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(4232),
    [anon_sym_dynamic] = ACTIONS(4234),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [619] = {
    [sym_expression] = STATE(5705),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(4236),
    [anon_sym_QMARK] = ACTIONS(4238),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(4240),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(4242),
    [anon_sym_dynamic] = ACTIONS(4244),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [620] = {
    [sym_expression] = STATE(6039),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(4246),
    [anon_sym_QMARK] = ACTIONS(4248),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(4250),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(4252),
    [anon_sym_dynamic] = ACTIONS(4254),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [621] = {
    [sym_block] = STATE(2046),
    [sym_where_clause] = STATE(768),
    [anon_sym_LBRACE] = ACTIONS(3389),
    [anon_sym_RBRACE] = ACTIONS(3299),
    [anon_sym_COMMA] = ACTIONS(3299),
    [anon_sym_COLON_COLON] = ACTIONS(3299),
    [anon_sym_DASH_GT] = ACTIONS(4256),
    [anon_sym_where] = ACTIONS(3271),
    [anon_sym_EQ] = ACTIONS(3303),
    [anon_sym_COLON_EQ] = ACTIONS(3299),
    [anon_sym_COLON] = ACTIONS(3303),
    [anon_sym_LPAREN] = ACTIONS(3299),
    [anon_sym_PLUS_EQ] = ACTIONS(3299),
    [anon_sym_DASH_EQ] = ACTIONS(3299),
    [anon_sym_STAR_EQ] = ACTIONS(3299),
    [anon_sym_SLASH_EQ] = ACTIONS(3299),
    [anon_sym_PERCENT_EQ] = ACTIONS(3299),
    [anon_sym_AMP_EQ] = ACTIONS(3299),
    [anon_sym_PIPE_EQ] = ACTIONS(3299),
    [anon_sym_CARET_EQ] = ACTIONS(3299),
    [anon_sym_LT_LT_EQ] = ACTIONS(3299),
    [anon_sym_GT_GT_EQ] = ACTIONS(3299),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3299),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3299),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(3299),
    [anon_sym_if] = ACTIONS(3299),
    [anon_sym_SEMI] = ACTIONS(3299),
    [anon_sym_else] = ACTIONS(3299),
    [anon_sym_when] = ACTIONS(3299),
    [anon_sym_in] = ACTIONS(3299),
    [anon_sym_case] = ACTIONS(3299),
    [anon_sym_QMARK] = ACTIONS(3299),
    [anon_sym_PLUS] = ACTIONS(3303),
    [anon_sym_DASH] = ACTIONS(3303),
    [anon_sym_TILDE] = ACTIONS(3303),
    [anon_sym_AMP] = ACTIONS(3303),
    [anon_sym_PIPE_PIPE] = ACTIONS(3303),
    [anon_sym_or_else] = ACTIONS(3299),
    [anon_sym_AMP_AMP] = ACTIONS(3303),
    [anon_sym_GT] = ACTIONS(3303),
    [anon_sym_GT_EQ] = ACTIONS(3299),
    [anon_sym_LT_EQ] = ACTIONS(3299),
    [anon_sym_LT] = ACTIONS(3303),
    [anon_sym_EQ_EQ] = ACTIONS(3299),
    [anon_sym_BANG_EQ] = ACTIONS(3299),
    [anon_sym_TILDE_EQ] = ACTIONS(3299),
    [anon_sym_PIPE] = ACTIONS(3303),
    [anon_sym_AMP_TILDE] = ACTIONS(3303),
    [anon_sym_LT_LT] = ACTIONS(3303),
    [anon_sym_GT_GT] = ACTIONS(3303),
    [anon_sym_STAR] = ACTIONS(3303),
    [anon_sym_SLASH] = ACTIONS(3303),
    [anon_sym_PERCENT] = ACTIONS(3303),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(3299),
    [anon_sym_DOT] = ACTIONS(3303),
    [anon_sym_LBRACK] = ACTIONS(3299),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(3299),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3299),
    [anon_sym_not_in] = ACTIONS(3299),
    [anon_sym_or_return] = ACTIONS(3299),
    [anon_sym_or_continue] = ACTIONS(3299),
    [anon_sym_or_break] = ACTIONS(3299),
    [anon_sym_CARET] = ACTIONS(3303),
    [sym_uninitialized] = ACTIONS(4258),
    [sym_tag] = ACTIONS(4260),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(3299),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [622] = {
    [sym_expression] = STATE(6048),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(4262),
    [anon_sym_QMARK] = ACTIONS(4264),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(4266),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(4268),
    [anon_sym_dynamic] = ACTIONS(4270),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [623] = {
    [sym_expression] = STATE(6051),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(4272),
    [anon_sym_QMARK] = ACTIONS(4274),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(4276),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(4278),
    [anon_sym_dynamic] = ACTIONS(4280),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [624] = {
    [sym_expression] = STATE(5721),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(4282),
    [anon_sym_QMARK] = ACTIONS(4284),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(4286),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(4288),
    [anon_sym_dynamic] = ACTIONS(4290),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [625] = {
    [sym_expression] = STATE(5826),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(4292),
    [anon_sym_QMARK] = ACTIONS(4294),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(4296),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(4298),
    [anon_sym_dynamic] = ACTIONS(4300),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [626] = {
    [sym_expression] = STATE(5818),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(3984),
    [anon_sym_QMARK] = ACTIONS(4302),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(4304),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(4306),
    [anon_sym_dynamic] = ACTIONS(4308),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [627] = {
    [sym_block] = STATE(2047),
    [sym_where_clause] = STATE(770),
    [anon_sym_LBRACE] = ACTIONS(3389),
    [anon_sym_RBRACE] = ACTIONS(3269),
    [anon_sym_COMMA] = ACTIONS(3269),
    [anon_sym_COLON_COLON] = ACTIONS(3269),
    [anon_sym_DASH_GT] = ACTIONS(3269),
    [anon_sym_where] = ACTIONS(3271),
    [anon_sym_EQ] = ACTIONS(3273),
    [anon_sym_COLON_EQ] = ACTIONS(3269),
    [anon_sym_COLON] = ACTIONS(3273),
    [anon_sym_LPAREN] = ACTIONS(3483),
    [anon_sym_PLUS_EQ] = ACTIONS(3269),
    [anon_sym_DASH_EQ] = ACTIONS(3269),
    [anon_sym_STAR_EQ] = ACTIONS(3269),
    [anon_sym_SLASH_EQ] = ACTIONS(3269),
    [anon_sym_PERCENT_EQ] = ACTIONS(3269),
    [anon_sym_AMP_EQ] = ACTIONS(3269),
    [anon_sym_PIPE_EQ] = ACTIONS(3269),
    [anon_sym_CARET_EQ] = ACTIONS(3269),
    [anon_sym_LT_LT_EQ] = ACTIONS(3269),
    [anon_sym_GT_GT_EQ] = ACTIONS(3269),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3269),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3269),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(3269),
    [anon_sym_if] = ACTIONS(3269),
    [anon_sym_SEMI] = ACTIONS(3269),
    [anon_sym_else] = ACTIONS(3269),
    [anon_sym_when] = ACTIONS(3269),
    [anon_sym_in] = ACTIONS(3269),
    [anon_sym_case] = ACTIONS(3269),
    [anon_sym_QMARK] = ACTIONS(3269),
    [anon_sym_PLUS] = ACTIONS(3273),
    [anon_sym_DASH] = ACTIONS(3273),
    [anon_sym_TILDE] = ACTIONS(3273),
    [anon_sym_AMP] = ACTIONS(3273),
    [anon_sym_PIPE_PIPE] = ACTIONS(3273),
    [anon_sym_or_else] = ACTIONS(3269),
    [anon_sym_AMP_AMP] = ACTIONS(3273),
    [anon_sym_GT] = ACTIONS(3273),
    [anon_sym_GT_EQ] = ACTIONS(3269),
    [anon_sym_LT_EQ] = ACTIONS(3269),
    [anon_sym_LT] = ACTIONS(3273),
    [anon_sym_EQ_EQ] = ACTIONS(3269),
    [anon_sym_BANG_EQ] = ACTIONS(3269),
    [anon_sym_TILDE_EQ] = ACTIONS(3269),
    [anon_sym_PIPE] = ACTIONS(3273),
    [anon_sym_AMP_TILDE] = ACTIONS(3273),
    [anon_sym_LT_LT] = ACTIONS(3273),
    [anon_sym_GT_GT] = ACTIONS(3273),
    [anon_sym_STAR] = ACTIONS(3273),
    [anon_sym_SLASH] = ACTIONS(3485),
    [anon_sym_PERCENT] = ACTIONS(3273),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(3269),
    [anon_sym_DOT] = ACTIONS(3273),
    [anon_sym_LBRACK] = ACTIONS(3269),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(3269),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3269),
    [anon_sym_not_in] = ACTIONS(3269),
    [anon_sym_or_return] = ACTIONS(3269),
    [anon_sym_or_continue] = ACTIONS(3269),
    [anon_sym_or_break] = ACTIONS(3269),
    [anon_sym_CARET] = ACTIONS(3273),
    [sym_uninitialized] = ACTIONS(4310),
    [sym_tag] = ACTIONS(4312),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(3269),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [628] = {
    [sym_block] = STATE(699),
    [sym_where_clause] = STATE(667),
    [anon_sym_LBRACE] = ACTIONS(3279),
    [anon_sym_RBRACE] = ACTIONS(3857),
    [anon_sym_COMMA] = ACTIONS(3857),
    [anon_sym_COLON_COLON] = ACTIONS(3857),
    [anon_sym_DASH_GT] = ACTIONS(3857),
    [anon_sym_where] = ACTIONS(3271),
    [anon_sym_EQ] = ACTIONS(3859),
    [anon_sym_COLON_EQ] = ACTIONS(3857),
    [anon_sym_COLON] = ACTIONS(3859),
    [anon_sym_LPAREN] = ACTIONS(3857),
    [anon_sym_PLUS_EQ] = ACTIONS(3857),
    [anon_sym_DASH_EQ] = ACTIONS(3857),
    [anon_sym_STAR_EQ] = ACTIONS(3857),
    [anon_sym_SLASH_EQ] = ACTIONS(3857),
    [anon_sym_PERCENT_EQ] = ACTIONS(3857),
    [anon_sym_AMP_EQ] = ACTIONS(3857),
    [anon_sym_PIPE_EQ] = ACTIONS(3857),
    [anon_sym_CARET_EQ] = ACTIONS(3857),
    [anon_sym_LT_LT_EQ] = ACTIONS(3857),
    [anon_sym_GT_GT_EQ] = ACTIONS(3857),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3857),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3857),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(3857),
    [anon_sym_if] = ACTIONS(3857),
    [anon_sym_SEMI] = ACTIONS(3857),
    [anon_sym_else] = ACTIONS(3857),
    [anon_sym_when] = ACTIONS(3857),
    [anon_sym_in] = ACTIONS(3857),
    [anon_sym_case] = ACTIONS(3857),
    [anon_sym_QMARK] = ACTIONS(3857),
    [anon_sym_PLUS] = ACTIONS(3859),
    [anon_sym_DASH] = ACTIONS(3859),
    [anon_sym_TILDE] = ACTIONS(3859),
    [anon_sym_AMP] = ACTIONS(3859),
    [anon_sym_PIPE_PIPE] = ACTIONS(3859),
    [anon_sym_or_else] = ACTIONS(3857),
    [anon_sym_AMP_AMP] = ACTIONS(3859),
    [anon_sym_GT] = ACTIONS(3859),
    [anon_sym_GT_EQ] = ACTIONS(3857),
    [anon_sym_LT_EQ] = ACTIONS(3857),
    [anon_sym_LT] = ACTIONS(3859),
    [anon_sym_EQ_EQ] = ACTIONS(3857),
    [anon_sym_BANG_EQ] = ACTIONS(3857),
    [anon_sym_TILDE_EQ] = ACTIONS(3857),
    [anon_sym_PIPE] = ACTIONS(3859),
    [anon_sym_AMP_TILDE] = ACTIONS(3859),
    [anon_sym_LT_LT] = ACTIONS(3859),
    [anon_sym_GT_GT] = ACTIONS(3859),
    [anon_sym_STAR] = ACTIONS(3859),
    [anon_sym_SLASH] = ACTIONS(3859),
    [anon_sym_PERCENT] = ACTIONS(3859),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(3857),
    [anon_sym_DOT] = ACTIONS(3859),
    [anon_sym_LBRACK] = ACTIONS(3857),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(3857),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3857),
    [anon_sym_not_in] = ACTIONS(3857),
    [anon_sym_or_return] = ACTIONS(3857),
    [anon_sym_or_continue] = ACTIONS(3857),
    [anon_sym_or_break] = ACTIONS(3857),
    [anon_sym_CARET] = ACTIONS(3859),
    [sym_uninitialized] = ACTIONS(4142),
    [sym_tag] = ACTIONS(4314),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(3857),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [629] = {
    [sym_expression] = STATE(5992),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(4316),
    [anon_sym_QMARK] = ACTIONS(4318),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(4320),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(4322),
    [anon_sym_dynamic] = ACTIONS(4324),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [630] = {
    [sym_expression] = STATE(5993),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(4326),
    [anon_sym_QMARK] = ACTIONS(4328),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(4330),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(4332),
    [anon_sym_dynamic] = ACTIONS(4334),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [631] = {
    [sym_expression] = STATE(5997),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(4336),
    [anon_sym_QMARK] = ACTIONS(4338),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(4340),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(4342),
    [anon_sym_dynamic] = ACTIONS(4344),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [632] = {
    [sym_expression] = STATE(5995),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(4346),
    [anon_sym_QMARK] = ACTIONS(4348),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(4350),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(4352),
    [anon_sym_dynamic] = ACTIONS(4354),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [633] = {
    [sym_expression] = STATE(6001),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(4356),
    [anon_sym_QMARK] = ACTIONS(4358),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(4360),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(4362),
    [anon_sym_dynamic] = ACTIONS(4364),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [634] = {
    [sym_expression] = STATE(6002),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(4366),
    [anon_sym_QMARK] = ACTIONS(4368),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(4370),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(4372),
    [anon_sym_dynamic] = ACTIONS(4374),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [635] = {
    [sym_block] = STATE(700),
    [sym_where_clause] = STATE(680),
    [anon_sym_LBRACE] = ACTIONS(3279),
    [anon_sym_RBRACE] = ACTIONS(3281),
    [anon_sym_COMMA] = ACTIONS(3281),
    [anon_sym_COLON_COLON] = ACTIONS(3281),
    [anon_sym_DASH_GT] = ACTIONS(3281),
    [anon_sym_where] = ACTIONS(3271),
    [anon_sym_EQ] = ACTIONS(3283),
    [anon_sym_COLON_EQ] = ACTIONS(3281),
    [anon_sym_COLON] = ACTIONS(3283),
    [anon_sym_LPAREN] = ACTIONS(3483),
    [anon_sym_PLUS_EQ] = ACTIONS(3281),
    [anon_sym_DASH_EQ] = ACTIONS(3281),
    [anon_sym_STAR_EQ] = ACTIONS(3281),
    [anon_sym_SLASH_EQ] = ACTIONS(3281),
    [anon_sym_PERCENT_EQ] = ACTIONS(3281),
    [anon_sym_AMP_EQ] = ACTIONS(3281),
    [anon_sym_PIPE_EQ] = ACTIONS(3281),
    [anon_sym_CARET_EQ] = ACTIONS(3281),
    [anon_sym_LT_LT_EQ] = ACTIONS(3281),
    [anon_sym_GT_GT_EQ] = ACTIONS(3281),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3281),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3281),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(3281),
    [anon_sym_if] = ACTIONS(3281),
    [anon_sym_SEMI] = ACTIONS(3281),
    [anon_sym_else] = ACTIONS(3281),
    [anon_sym_when] = ACTIONS(3281),
    [anon_sym_in] = ACTIONS(3281),
    [anon_sym_case] = ACTIONS(3281),
    [anon_sym_QMARK] = ACTIONS(3281),
    [anon_sym_PLUS] = ACTIONS(3283),
    [anon_sym_DASH] = ACTIONS(3283),
    [anon_sym_TILDE] = ACTIONS(3283),
    [anon_sym_AMP] = ACTIONS(3283),
    [anon_sym_PIPE_PIPE] = ACTIONS(3283),
    [anon_sym_or_else] = ACTIONS(3281),
    [anon_sym_AMP_AMP] = ACTIONS(3283),
    [anon_sym_GT] = ACTIONS(3283),
    [anon_sym_GT_EQ] = ACTIONS(3281),
    [anon_sym_LT_EQ] = ACTIONS(3281),
    [anon_sym_LT] = ACTIONS(3283),
    [anon_sym_EQ_EQ] = ACTIONS(3281),
    [anon_sym_BANG_EQ] = ACTIONS(3281),
    [anon_sym_TILDE_EQ] = ACTIONS(3281),
    [anon_sym_PIPE] = ACTIONS(3283),
    [anon_sym_AMP_TILDE] = ACTIONS(3283),
    [anon_sym_LT_LT] = ACTIONS(3283),
    [anon_sym_GT_GT] = ACTIONS(3283),
    [anon_sym_STAR] = ACTIONS(3283),
    [anon_sym_SLASH] = ACTIONS(3485),
    [anon_sym_PERCENT] = ACTIONS(3283),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(3281),
    [anon_sym_DOT] = ACTIONS(3283),
    [anon_sym_LBRACK] = ACTIONS(3281),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(3281),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3281),
    [anon_sym_not_in] = ACTIONS(3281),
    [anon_sym_or_return] = ACTIONS(3281),
    [anon_sym_or_continue] = ACTIONS(3281),
    [anon_sym_or_break] = ACTIONS(3281),
    [anon_sym_CARET] = ACTIONS(3283),
    [sym_uninitialized] = ACTIONS(3285),
    [sym_tag] = ACTIONS(3287),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(3281),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [636] = {
    [sym_expression] = STATE(6045),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(4376),
    [anon_sym_QMARK] = ACTIONS(4378),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(4380),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(4382),
    [anon_sym_dynamic] = ACTIONS(4384),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [637] = {
    [sym_expression] = STATE(6044),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(4386),
    [anon_sym_QMARK] = ACTIONS(4388),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(4390),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(4392),
    [anon_sym_dynamic] = ACTIONS(4394),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [638] = {
    [sym_block] = STATE(2047),
    [sym_where_clause] = STATE(770),
    [anon_sym_LBRACE] = ACTIONS(3389),
    [anon_sym_RBRACE] = ACTIONS(3269),
    [anon_sym_COMMA] = ACTIONS(3269),
    [anon_sym_COLON_COLON] = ACTIONS(3269),
    [anon_sym_DASH_GT] = ACTIONS(3269),
    [anon_sym_where] = ACTIONS(3271),
    [anon_sym_EQ] = ACTIONS(3273),
    [anon_sym_COLON_EQ] = ACTIONS(3269),
    [anon_sym_COLON] = ACTIONS(3273),
    [anon_sym_LPAREN] = ACTIONS(3269),
    [anon_sym_PLUS_EQ] = ACTIONS(3269),
    [anon_sym_DASH_EQ] = ACTIONS(3269),
    [anon_sym_STAR_EQ] = ACTIONS(3269),
    [anon_sym_SLASH_EQ] = ACTIONS(3269),
    [anon_sym_PERCENT_EQ] = ACTIONS(3269),
    [anon_sym_AMP_EQ] = ACTIONS(3269),
    [anon_sym_PIPE_EQ] = ACTIONS(3269),
    [anon_sym_CARET_EQ] = ACTIONS(3269),
    [anon_sym_LT_LT_EQ] = ACTIONS(3269),
    [anon_sym_GT_GT_EQ] = ACTIONS(3269),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3269),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3269),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(3269),
    [anon_sym_if] = ACTIONS(3269),
    [anon_sym_SEMI] = ACTIONS(3269),
    [anon_sym_else] = ACTIONS(3269),
    [anon_sym_when] = ACTIONS(3269),
    [anon_sym_in] = ACTIONS(3269),
    [anon_sym_case] = ACTIONS(3269),
    [anon_sym_QMARK] = ACTIONS(3269),
    [anon_sym_PLUS] = ACTIONS(3273),
    [anon_sym_DASH] = ACTIONS(3273),
    [anon_sym_TILDE] = ACTIONS(3273),
    [anon_sym_AMP] = ACTIONS(3273),
    [anon_sym_PIPE_PIPE] = ACTIONS(3273),
    [anon_sym_or_else] = ACTIONS(3269),
    [anon_sym_AMP_AMP] = ACTIONS(3273),
    [anon_sym_GT] = ACTIONS(3273),
    [anon_sym_GT_EQ] = ACTIONS(3269),
    [anon_sym_LT_EQ] = ACTIONS(3269),
    [anon_sym_LT] = ACTIONS(3273),
    [anon_sym_EQ_EQ] = ACTIONS(3269),
    [anon_sym_BANG_EQ] = ACTIONS(3269),
    [anon_sym_TILDE_EQ] = ACTIONS(3269),
    [anon_sym_PIPE] = ACTIONS(3273),
    [anon_sym_AMP_TILDE] = ACTIONS(3273),
    [anon_sym_LT_LT] = ACTIONS(3273),
    [anon_sym_GT_GT] = ACTIONS(3273),
    [anon_sym_STAR] = ACTIONS(3273),
    [anon_sym_SLASH] = ACTIONS(3273),
    [anon_sym_PERCENT] = ACTIONS(3273),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(3269),
    [anon_sym_DOT] = ACTIONS(3273),
    [anon_sym_LBRACK] = ACTIONS(3269),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(3269),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3269),
    [anon_sym_not_in] = ACTIONS(3269),
    [anon_sym_or_return] = ACTIONS(3269),
    [anon_sym_or_continue] = ACTIONS(3269),
    [anon_sym_or_break] = ACTIONS(3269),
    [anon_sym_CARET] = ACTIONS(3273),
    [sym_uninitialized] = ACTIONS(4310),
    [sym_tag] = ACTIONS(4312),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(3269),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [639] = {
    [sym_identifier] = ACTIONS(4396),
    [anon_sym_LBRACE] = ACTIONS(4398),
    [anon_sym_RBRACE] = ACTIONS(4398),
    [anon_sym_COMMA] = ACTIONS(4398),
    [anon_sym_COLON_COLON] = ACTIONS(4398),
    [anon_sym_DASH_GT] = ACTIONS(4398),
    [anon_sym_where] = ACTIONS(4400),
    [anon_sym_EQ] = ACTIONS(4400),
    [anon_sym_COLON_EQ] = ACTIONS(4398),
    [anon_sym_COLON] = ACTIONS(4400),
    [anon_sym_LPAREN] = ACTIONS(4398),
    [anon_sym_PLUS_EQ] = ACTIONS(4398),
    [anon_sym_DASH_EQ] = ACTIONS(4398),
    [anon_sym_STAR_EQ] = ACTIONS(4398),
    [anon_sym_SLASH_EQ] = ACTIONS(4398),
    [anon_sym_PERCENT_EQ] = ACTIONS(4398),
    [anon_sym_AMP_EQ] = ACTIONS(4398),
    [anon_sym_PIPE_EQ] = ACTIONS(4398),
    [anon_sym_CARET_EQ] = ACTIONS(4398),
    [anon_sym_LT_LT_EQ] = ACTIONS(4398),
    [anon_sym_GT_GT_EQ] = ACTIONS(4398),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4398),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4398),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4398),
    [anon_sym_if] = ACTIONS(4400),
    [anon_sym_SEMI] = ACTIONS(4398),
    [anon_sym_else] = ACTIONS(4400),
    [anon_sym_when] = ACTIONS(4400),
    [anon_sym_in] = ACTIONS(4400),
    [anon_sym_case] = ACTIONS(4400),
    [anon_sym_QMARK] = ACTIONS(4398),
    [anon_sym_PLUS] = ACTIONS(4400),
    [anon_sym_DASH] = ACTIONS(4400),
    [anon_sym_TILDE] = ACTIONS(4400),
    [anon_sym_AMP] = ACTIONS(4400),
    [anon_sym_PIPE_PIPE] = ACTIONS(4400),
    [anon_sym_or_else] = ACTIONS(4400),
    [anon_sym_AMP_AMP] = ACTIONS(4400),
    [anon_sym_GT] = ACTIONS(4400),
    [anon_sym_GT_EQ] = ACTIONS(4398),
    [anon_sym_LT_EQ] = ACTIONS(4398),
    [anon_sym_LT] = ACTIONS(4400),
    [anon_sym_EQ_EQ] = ACTIONS(4398),
    [anon_sym_BANG_EQ] = ACTIONS(4398),
    [anon_sym_TILDE_EQ] = ACTIONS(4398),
    [anon_sym_PIPE] = ACTIONS(4400),
    [anon_sym_AMP_TILDE] = ACTIONS(4400),
    [anon_sym_LT_LT] = ACTIONS(4400),
    [anon_sym_GT_GT] = ACTIONS(4400),
    [anon_sym_STAR] = ACTIONS(4400),
    [anon_sym_SLASH] = ACTIONS(4400),
    [anon_sym_PERCENT] = ACTIONS(4400),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4398),
    [anon_sym_DOT] = ACTIONS(4400),
    [anon_sym_LBRACK] = ACTIONS(4398),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4398),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4398),
    [anon_sym_not_in] = ACTIONS(4400),
    [anon_sym_or_return] = ACTIONS(4400),
    [anon_sym_or_continue] = ACTIONS(4400),
    [anon_sym_or_break] = ACTIONS(4400),
    [anon_sym_CARET] = ACTIONS(4400),
    [sym_uninitialized] = ACTIONS(4398),
    [sym_tag] = ACTIONS(4398),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4398),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [640] = {
    [aux_sym_where_clause_repeat1] = STATE(681),
    [anon_sym_LBRACE] = ACTIONS(4402),
    [anon_sym_RBRACE] = ACTIONS(4402),
    [anon_sym_COMMA] = ACTIONS(4404),
    [anon_sym_COLON_COLON] = ACTIONS(4402),
    [anon_sym_DASH_GT] = ACTIONS(4402),
    [anon_sym_where] = ACTIONS(4402),
    [anon_sym_EQ] = ACTIONS(4406),
    [anon_sym_COLON_EQ] = ACTIONS(4402),
    [anon_sym_COLON] = ACTIONS(4406),
    [anon_sym_LPAREN] = ACTIONS(4402),
    [anon_sym_PLUS_EQ] = ACTIONS(4402),
    [anon_sym_DASH_EQ] = ACTIONS(4402),
    [anon_sym_STAR_EQ] = ACTIONS(4402),
    [anon_sym_SLASH_EQ] = ACTIONS(4402),
    [anon_sym_PERCENT_EQ] = ACTIONS(4402),
    [anon_sym_AMP_EQ] = ACTIONS(4402),
    [anon_sym_PIPE_EQ] = ACTIONS(4402),
    [anon_sym_CARET_EQ] = ACTIONS(4402),
    [anon_sym_LT_LT_EQ] = ACTIONS(4402),
    [anon_sym_GT_GT_EQ] = ACTIONS(4402),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4402),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4402),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4402),
    [anon_sym_if] = ACTIONS(4402),
    [anon_sym_SEMI] = ACTIONS(4402),
    [anon_sym_else] = ACTIONS(4402),
    [anon_sym_when] = ACTIONS(4402),
    [anon_sym_in] = ACTIONS(4402),
    [anon_sym_case] = ACTIONS(4402),
    [anon_sym_QMARK] = ACTIONS(4402),
    [anon_sym_PLUS] = ACTIONS(4406),
    [anon_sym_DASH] = ACTIONS(4406),
    [anon_sym_TILDE] = ACTIONS(4406),
    [anon_sym_AMP] = ACTIONS(4406),
    [anon_sym_PIPE_PIPE] = ACTIONS(4406),
    [anon_sym_or_else] = ACTIONS(4402),
    [anon_sym_AMP_AMP] = ACTIONS(4406),
    [anon_sym_GT] = ACTIONS(4406),
    [anon_sym_GT_EQ] = ACTIONS(4402),
    [anon_sym_LT_EQ] = ACTIONS(4402),
    [anon_sym_LT] = ACTIONS(4406),
    [anon_sym_EQ_EQ] = ACTIONS(4402),
    [anon_sym_BANG_EQ] = ACTIONS(4402),
    [anon_sym_TILDE_EQ] = ACTIONS(4402),
    [anon_sym_PIPE] = ACTIONS(4406),
    [anon_sym_AMP_TILDE] = ACTIONS(4406),
    [anon_sym_LT_LT] = ACTIONS(4406),
    [anon_sym_GT_GT] = ACTIONS(4406),
    [anon_sym_STAR] = ACTIONS(4406),
    [anon_sym_SLASH] = ACTIONS(4406),
    [anon_sym_PERCENT] = ACTIONS(4406),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4402),
    [anon_sym_DOT] = ACTIONS(4406),
    [anon_sym_LBRACK] = ACTIONS(4402),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4402),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4402),
    [anon_sym_not_in] = ACTIONS(4402),
    [anon_sym_or_return] = ACTIONS(4402),
    [anon_sym_or_continue] = ACTIONS(4402),
    [anon_sym_or_break] = ACTIONS(4402),
    [anon_sym_CARET] = ACTIONS(4406),
    [sym_uninitialized] = ACTIONS(4402),
    [sym_tag] = ACTIONS(4402),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4402),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [641] = {
    [sym_procedure] = STATE(4270),
    [sym_expression] = STATE(4539),
    [sym__expression_no_tag] = STATE(4256),
    [sym_unary_expression] = STATE(4256),
    [sym_binary_expression] = STATE(4256),
    [sym_ternary_expression] = STATE(4256),
    [sym_call_expression] = STATE(4256),
    [sym_selector_call_expression] = STATE(4256),
    [sym_member_expression] = STATE(4256),
    [sym_index_expression] = STATE(4256),
    [sym_slice_expression] = STATE(4256),
    [sym_range_expression] = STATE(4256),
    [sym_cast_expression] = STATE(4256),
    [sym_in_expression] = STATE(4256),
    [sym_variadic_expression] = STATE(4256),
    [sym_parenthesized_expression] = STATE(4256),
    [sym_or_return_expression] = STATE(4256),
    [sym_or_continue_expression] = STATE(4256),
    [sym_or_break_expression] = STATE(4256),
    [sym_address] = STATE(4256),
    [sym_map_type] = STATE(4256),
    [sym_matrix_type] = STATE(4256),
    [sym__procedure_type] = STATE(6465),
    [sym_distinct_type] = STATE(4256),
    [sym_literal] = STATE(4256),
    [sym_struct] = STATE(4297),
    [sym_map] = STATE(4290),
    [sym_bit_set] = STATE(4290),
    [sym_matrix] = STATE(4290),
    [sym_string] = STATE(4290),
    [sym__string_literal] = STATE(4298),
    [sym__raw_string_literal] = STATE(4298),
    [sym_character] = STATE(4290),
    [sym_boolean] = STATE(4290),
    [sym_field_identifier] = STATE(7838),
    [sym_identifier] = ACTIONS(757),
    [anon_sym_LBRACE] = ACTIONS(707),
    [anon_sym_proc] = ACTIONS(711),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_QMARK] = ACTIONS(717),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(721),
    [anon_sym_TILDE] = ACTIONS(719),
    [anon_sym_BANG] = ACTIONS(719),
    [anon_sym_AMP] = ACTIONS(719),
    [anon_sym_DOT] = ACTIONS(723),
    [anon_sym_LBRACK] = ACTIONS(725),
    [anon_sym_cast] = ACTIONS(727),
    [anon_sym_transmute] = ACTIONS(727),
    [anon_sym_auto_cast] = ACTIONS(729),
    [anon_sym_DOT_DOT] = ACTIONS(2849),
    [anon_sym_map] = ACTIONS(733),
    [anon_sym_bit_set] = ACTIONS(735),
    [anon_sym_matrix] = ACTIONS(737),
    [anon_sym_distinct] = ACTIONS(739),
    [sym_number] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(743),
    [anon_sym_BQUOTE] = ACTIONS(745),
    [anon_sym_SQUOTE] = ACTIONS(747),
    [anon_sym_true] = ACTIONS(749),
    [anon_sym_false] = ACTIONS(749),
    [sym_nil] = ACTIONS(751),
    [sym_uninitialized] = ACTIONS(741),
    [sym_tag] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(741),
    [sym_block_comment] = ACTIONS(3),
  },
  [642] = {
    [sym_block] = STATE(699),
    [anon_sym_LBRACE] = ACTIONS(3279),
    [anon_sym_RBRACE] = ACTIONS(3857),
    [anon_sym_COMMA] = ACTIONS(3857),
    [anon_sym_COLON_COLON] = ACTIONS(3857),
    [anon_sym_DASH_GT] = ACTIONS(3857),
    [anon_sym_where] = ACTIONS(3857),
    [anon_sym_EQ] = ACTIONS(3859),
    [anon_sym_COLON_EQ] = ACTIONS(3857),
    [anon_sym_COLON] = ACTIONS(3859),
    [anon_sym_LPAREN] = ACTIONS(3857),
    [anon_sym_PLUS_EQ] = ACTIONS(3857),
    [anon_sym_DASH_EQ] = ACTIONS(3857),
    [anon_sym_STAR_EQ] = ACTIONS(3857),
    [anon_sym_SLASH_EQ] = ACTIONS(3857),
    [anon_sym_PERCENT_EQ] = ACTIONS(3857),
    [anon_sym_AMP_EQ] = ACTIONS(3857),
    [anon_sym_PIPE_EQ] = ACTIONS(3857),
    [anon_sym_CARET_EQ] = ACTIONS(3857),
    [anon_sym_LT_LT_EQ] = ACTIONS(3857),
    [anon_sym_GT_GT_EQ] = ACTIONS(3857),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3857),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3857),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(3857),
    [anon_sym_if] = ACTIONS(3857),
    [anon_sym_SEMI] = ACTIONS(3857),
    [anon_sym_else] = ACTIONS(3857),
    [anon_sym_when] = ACTIONS(3857),
    [anon_sym_in] = ACTIONS(3857),
    [anon_sym_case] = ACTIONS(3857),
    [anon_sym_QMARK] = ACTIONS(3857),
    [anon_sym_PLUS] = ACTIONS(3859),
    [anon_sym_DASH] = ACTIONS(3859),
    [anon_sym_TILDE] = ACTIONS(3859),
    [anon_sym_AMP] = ACTIONS(3859),
    [anon_sym_PIPE_PIPE] = ACTIONS(3859),
    [anon_sym_or_else] = ACTIONS(3857),
    [anon_sym_AMP_AMP] = ACTIONS(3859),
    [anon_sym_GT] = ACTIONS(3859),
    [anon_sym_GT_EQ] = ACTIONS(3857),
    [anon_sym_LT_EQ] = ACTIONS(3857),
    [anon_sym_LT] = ACTIONS(3859),
    [anon_sym_EQ_EQ] = ACTIONS(3857),
    [anon_sym_BANG_EQ] = ACTIONS(3857),
    [anon_sym_TILDE_EQ] = ACTIONS(3857),
    [anon_sym_PIPE] = ACTIONS(3859),
    [anon_sym_AMP_TILDE] = ACTIONS(3859),
    [anon_sym_LT_LT] = ACTIONS(3859),
    [anon_sym_GT_GT] = ACTIONS(3859),
    [anon_sym_STAR] = ACTIONS(3859),
    [anon_sym_SLASH] = ACTIONS(3859),
    [anon_sym_PERCENT] = ACTIONS(3859),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(3857),
    [anon_sym_DOT] = ACTIONS(3859),
    [anon_sym_LBRACK] = ACTIONS(3857),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(3857),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3857),
    [anon_sym_not_in] = ACTIONS(3857),
    [anon_sym_or_return] = ACTIONS(3857),
    [anon_sym_or_continue] = ACTIONS(3857),
    [anon_sym_or_break] = ACTIONS(3857),
    [anon_sym_CARET] = ACTIONS(3859),
    [sym_uninitialized] = ACTIONS(4142),
    [sym_tag] = ACTIONS(3857),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(3857),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [643] = {
    [sym_expression] = STATE(5972),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(4408),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(4410),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(4412),
    [anon_sym_dynamic] = ACTIONS(4414),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [644] = {
    [sym_expression] = STATE(4854),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_foreign] = ACTIONS(4416),
    [anon_sym_import] = ACTIONS(4418),
    [anon_sym_using] = ACTIONS(4420),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [645] = {
    [sym_expression] = STATE(4570),
    [sym__expression_no_tag] = STATE(4385),
    [sym_unary_expression] = STATE(4385),
    [sym_binary_expression] = STATE(4385),
    [sym_ternary_expression] = STATE(4385),
    [sym_call_expression] = STATE(4385),
    [sym_selector_call_expression] = STATE(4385),
    [sym_member_expression] = STATE(4385),
    [sym_index_expression] = STATE(4385),
    [sym_slice_expression] = STATE(4385),
    [sym_range_expression] = STATE(4385),
    [sym_cast_expression] = STATE(4385),
    [sym_in_expression] = STATE(4385),
    [sym_variadic_expression] = STATE(4385),
    [sym_parenthesized_expression] = STATE(4385),
    [sym_or_return_expression] = STATE(4385),
    [sym_or_continue_expression] = STATE(4385),
    [sym_or_break_expression] = STATE(4385),
    [sym_address] = STATE(4385),
    [sym_map_type] = STATE(4385),
    [sym_matrix_type] = STATE(4385),
    [sym_distinct_type] = STATE(4385),
    [sym_literal] = STATE(4385),
    [sym_struct] = STATE(4394),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_foreign] = ACTIONS(4416),
    [anon_sym_import] = ACTIONS(4418),
    [anon_sym_using] = ACTIONS(4420),
    [anon_sym_LPAREN] = ACTIONS(925),
    [anon_sym_QMARK] = ACTIONS(1240),
    [anon_sym_PLUS] = ACTIONS(929),
    [anon_sym_DASH] = ACTIONS(931),
    [anon_sym_TILDE] = ACTIONS(929),
    [anon_sym_BANG] = ACTIONS(929),
    [anon_sym_AMP] = ACTIONS(929),
    [anon_sym_DOT] = ACTIONS(933),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(935),
    [anon_sym_transmute] = ACTIONS(935),
    [anon_sym_auto_cast] = ACTIONS(937),
    [anon_sym_DOT_DOT] = ACTIONS(4422),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(4424),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [646] = {
    [aux_sym_where_clause_repeat1] = STATE(640),
    [anon_sym_LBRACE] = ACTIONS(4426),
    [anon_sym_RBRACE] = ACTIONS(4426),
    [anon_sym_COMMA] = ACTIONS(4404),
    [anon_sym_COLON_COLON] = ACTIONS(4426),
    [anon_sym_DASH_GT] = ACTIONS(4428),
    [anon_sym_where] = ACTIONS(4426),
    [anon_sym_EQ] = ACTIONS(4430),
    [anon_sym_COLON_EQ] = ACTIONS(4426),
    [anon_sym_COLON] = ACTIONS(4430),
    [anon_sym_LPAREN] = ACTIONS(4426),
    [anon_sym_PLUS_EQ] = ACTIONS(4426),
    [anon_sym_DASH_EQ] = ACTIONS(4426),
    [anon_sym_STAR_EQ] = ACTIONS(4426),
    [anon_sym_SLASH_EQ] = ACTIONS(4426),
    [anon_sym_PERCENT_EQ] = ACTIONS(4426),
    [anon_sym_AMP_EQ] = ACTIONS(4426),
    [anon_sym_PIPE_EQ] = ACTIONS(4426),
    [anon_sym_CARET_EQ] = ACTIONS(4426),
    [anon_sym_LT_LT_EQ] = ACTIONS(4426),
    [anon_sym_GT_GT_EQ] = ACTIONS(4426),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4426),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4426),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4426),
    [anon_sym_if] = ACTIONS(4426),
    [anon_sym_SEMI] = ACTIONS(4426),
    [anon_sym_else] = ACTIONS(4426),
    [anon_sym_when] = ACTIONS(4426),
    [anon_sym_in] = ACTIONS(4426),
    [anon_sym_case] = ACTIONS(4426),
    [anon_sym_QMARK] = ACTIONS(4426),
    [anon_sym_PLUS] = ACTIONS(4432),
    [anon_sym_DASH] = ACTIONS(4432),
    [anon_sym_TILDE] = ACTIONS(4434),
    [anon_sym_AMP] = ACTIONS(4436),
    [anon_sym_PIPE_PIPE] = ACTIONS(4438),
    [anon_sym_or_else] = ACTIONS(4440),
    [anon_sym_AMP_AMP] = ACTIONS(4442),
    [anon_sym_GT] = ACTIONS(4444),
    [anon_sym_GT_EQ] = ACTIONS(4446),
    [anon_sym_LT_EQ] = ACTIONS(4446),
    [anon_sym_LT] = ACTIONS(4444),
    [anon_sym_EQ_EQ] = ACTIONS(4448),
    [anon_sym_BANG_EQ] = ACTIONS(4448),
    [anon_sym_TILDE_EQ] = ACTIONS(4448),
    [anon_sym_PIPE] = ACTIONS(4450),
    [anon_sym_AMP_TILDE] = ACTIONS(4452),
    [anon_sym_LT_LT] = ACTIONS(4454),
    [anon_sym_GT_GT] = ACTIONS(4454),
    [anon_sym_STAR] = ACTIONS(4456),
    [anon_sym_SLASH] = ACTIONS(4456),
    [anon_sym_PERCENT] = ACTIONS(4456),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4458),
    [anon_sym_DOT] = ACTIONS(4460),
    [anon_sym_LBRACK] = ACTIONS(4462),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4464),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4464),
    [anon_sym_not_in] = ACTIONS(4426),
    [anon_sym_or_return] = ACTIONS(4466),
    [anon_sym_or_continue] = ACTIONS(4468),
    [anon_sym_or_break] = ACTIONS(4470),
    [anon_sym_CARET] = ACTIONS(4472),
    [sym_uninitialized] = ACTIONS(4426),
    [sym_tag] = ACTIONS(4426),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4426),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [647] = {
    [sym_block] = STATE(697),
    [anon_sym_LBRACE] = ACTIONS(3279),
    [anon_sym_RBRACE] = ACTIONS(3299),
    [anon_sym_COMMA] = ACTIONS(3299),
    [anon_sym_COLON_COLON] = ACTIONS(3299),
    [anon_sym_DASH_GT] = ACTIONS(3299),
    [anon_sym_where] = ACTIONS(3299),
    [anon_sym_EQ] = ACTIONS(3303),
    [anon_sym_COLON_EQ] = ACTIONS(3299),
    [anon_sym_COLON] = ACTIONS(3303),
    [anon_sym_LPAREN] = ACTIONS(3299),
    [anon_sym_PLUS_EQ] = ACTIONS(3299),
    [anon_sym_DASH_EQ] = ACTIONS(3299),
    [anon_sym_STAR_EQ] = ACTIONS(3299),
    [anon_sym_SLASH_EQ] = ACTIONS(3299),
    [anon_sym_PERCENT_EQ] = ACTIONS(3299),
    [anon_sym_AMP_EQ] = ACTIONS(3299),
    [anon_sym_PIPE_EQ] = ACTIONS(3299),
    [anon_sym_CARET_EQ] = ACTIONS(3299),
    [anon_sym_LT_LT_EQ] = ACTIONS(3299),
    [anon_sym_GT_GT_EQ] = ACTIONS(3299),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3299),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3299),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(3299),
    [anon_sym_if] = ACTIONS(3299),
    [anon_sym_SEMI] = ACTIONS(3299),
    [anon_sym_else] = ACTIONS(3299),
    [anon_sym_when] = ACTIONS(3299),
    [anon_sym_in] = ACTIONS(3299),
    [anon_sym_case] = ACTIONS(3299),
    [anon_sym_QMARK] = ACTIONS(3299),
    [anon_sym_PLUS] = ACTIONS(3303),
    [anon_sym_DASH] = ACTIONS(3303),
    [anon_sym_TILDE] = ACTIONS(3303),
    [anon_sym_AMP] = ACTIONS(3303),
    [anon_sym_PIPE_PIPE] = ACTIONS(3303),
    [anon_sym_or_else] = ACTIONS(3299),
    [anon_sym_AMP_AMP] = ACTIONS(3303),
    [anon_sym_GT] = ACTIONS(3303),
    [anon_sym_GT_EQ] = ACTIONS(3299),
    [anon_sym_LT_EQ] = ACTIONS(3299),
    [anon_sym_LT] = ACTIONS(3303),
    [anon_sym_EQ_EQ] = ACTIONS(3299),
    [anon_sym_BANG_EQ] = ACTIONS(3299),
    [anon_sym_TILDE_EQ] = ACTIONS(3299),
    [anon_sym_PIPE] = ACTIONS(3303),
    [anon_sym_AMP_TILDE] = ACTIONS(3303),
    [anon_sym_LT_LT] = ACTIONS(3303),
    [anon_sym_GT_GT] = ACTIONS(3303),
    [anon_sym_STAR] = ACTIONS(3303),
    [anon_sym_SLASH] = ACTIONS(3303),
    [anon_sym_PERCENT] = ACTIONS(3303),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(3299),
    [anon_sym_DOT] = ACTIONS(3303),
    [anon_sym_LBRACK] = ACTIONS(3299),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(3299),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3299),
    [anon_sym_not_in] = ACTIONS(3299),
    [anon_sym_or_return] = ACTIONS(3299),
    [anon_sym_or_continue] = ACTIONS(3299),
    [anon_sym_or_break] = ACTIONS(3299),
    [anon_sym_CARET] = ACTIONS(3303),
    [sym_uninitialized] = ACTIONS(3969),
    [sym_tag] = ACTIONS(3971),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(3299),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [648] = {
    [sym_block] = STATE(6836),
    [sym_expression] = STATE(5242),
    [sym__expression_no_tag] = STATE(4410),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_ternary_expression] = STATE(4410),
    [sym_call_expression] = STATE(4410),
    [sym_selector_call_expression] = STATE(4410),
    [sym_member_expression] = STATE(4410),
    [sym_index_expression] = STATE(4410),
    [sym_slice_expression] = STATE(4410),
    [sym_range_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_in_expression] = STATE(4410),
    [sym_variadic_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4410),
    [sym_or_return_expression] = STATE(4410),
    [sym_or_continue_expression] = STATE(4410),
    [sym_or_break_expression] = STATE(4410),
    [sym_address] = STATE(4410),
    [sym_map_type] = STATE(4410),
    [sym_matrix_type] = STATE(4410),
    [sym_distinct_type] = STATE(4410),
    [sym_literal] = STATE(4410),
    [sym_struct] = STATE(4333),
    [sym_map] = STATE(4320),
    [sym_bit_set] = STATE(4320),
    [sym_matrix] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym__string_literal] = STATE(4334),
    [sym__raw_string_literal] = STATE(4334),
    [sym_character] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_field_identifier] = STATE(7845),
    [sym_identifier] = ACTIONS(341),
    [anon_sym_LBRACE] = ACTIONS(4474),
    [anon_sym_LPAREN] = ACTIONS(945),
    [anon_sym_SEMI] = ACTIONS(4476),
    [anon_sym_do] = ACTIONS(4478),
    [anon_sym_QMARK] = ACTIONS(3239),
    [anon_sym_PLUS] = ACTIONS(949),
    [anon_sym_DASH] = ACTIONS(951),
    [anon_sym_TILDE] = ACTIONS(949),
    [anon_sym_BANG] = ACTIONS(949),
    [anon_sym_AMP] = ACTIONS(949),
    [anon_sym_DOT] = ACTIONS(953),
    [anon_sym_LBRACK] = ACTIONS(955),
    [anon_sym_cast] = ACTIONS(957),
    [anon_sym_transmute] = ACTIONS(957),
    [anon_sym_auto_cast] = ACTIONS(959),
    [anon_sym_DOT_DOT] = ACTIONS(3241),
    [anon_sym_map] = ACTIONS(351),
    [anon_sym_bit_set] = ACTIONS(353),
    [anon_sym_matrix] = ACTIONS(355),
    [anon_sym_distinct] = ACTIONS(357),
    [sym_number] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(361),
    [anon_sym_BQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [anon_sym_true] = ACTIONS(367),
    [anon_sym_false] = ACTIONS(367),
    [sym_nil] = ACTIONS(369),
    [sym_uninitialized] = ACTIONS(359),
    [sym_tag] = ACTIONS(963),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(359),
    [sym_block_comment] = ACTIONS(3),
  },
  [649] = {
    [aux_sym_struct_type_repeat2] = STATE(654),
    [anon_sym_LBRACE] = ACTIONS(4480),
    [anon_sym_RBRACE] = ACTIONS(4480),
    [anon_sym_COMMA] = ACTIONS(4480),
    [anon_sym_COLON_COLON] = ACTIONS(4480),
    [anon_sym_DASH_GT] = ACTIONS(4480),
    [anon_sym_where] = ACTIONS(4480),
    [anon_sym_EQ] = ACTIONS(4482),
    [anon_sym_COLON_EQ] = ACTIONS(4480),
    [anon_sym_COLON] = ACTIONS(4482),
    [anon_sym_LPAREN] = ACTIONS(4480),
    [anon_sym_PLUS_EQ] = ACTIONS(4480),
    [anon_sym_DASH_EQ] = ACTIONS(4480),
    [anon_sym_STAR_EQ] = ACTIONS(4480),
    [anon_sym_SLASH_EQ] = ACTIONS(4480),
    [anon_sym_PERCENT_EQ] = ACTIONS(4480),
    [anon_sym_AMP_EQ] = ACTIONS(4480),
    [anon_sym_PIPE_EQ] = ACTIONS(4480),
    [anon_sym_CARET_EQ] = ACTIONS(4480),
    [anon_sym_LT_LT_EQ] = ACTIONS(4480),
    [anon_sym_GT_GT_EQ] = ACTIONS(4480),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4480),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4480),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4480),
    [anon_sym_if] = ACTIONS(4480),
    [anon_sym_SEMI] = ACTIONS(4480),
    [anon_sym_else] = ACTIONS(4480),
    [anon_sym_when] = ACTIONS(4480),
    [anon_sym_in] = ACTIONS(4480),
    [anon_sym_case] = ACTIONS(4480),
    [anon_sym_QMARK] = ACTIONS(4480),
    [anon_sym_PLUS] = ACTIONS(4482),
    [anon_sym_DASH] = ACTIONS(4482),
    [anon_sym_TILDE] = ACTIONS(4482),
    [anon_sym_AMP] = ACTIONS(4482),
    [anon_sym_PIPE_PIPE] = ACTIONS(4482),
    [anon_sym_or_else] = ACTIONS(4480),
    [anon_sym_AMP_AMP] = ACTIONS(4482),
    [anon_sym_GT] = ACTIONS(4482),
    [anon_sym_GT_EQ] = ACTIONS(4480),
    [anon_sym_LT_EQ] = ACTIONS(4480),
    [anon_sym_LT] = ACTIONS(4482),
    [anon_sym_EQ_EQ] = ACTIONS(4480),
    [anon_sym_BANG_EQ] = ACTIONS(4480),
    [anon_sym_TILDE_EQ] = ACTIONS(4480),
    [anon_sym_PIPE] = ACTIONS(4482),
    [anon_sym_AMP_TILDE] = ACTIONS(4482),
    [anon_sym_LT_LT] = ACTIONS(4482),
    [anon_sym_GT_GT] = ACTIONS(4482),
    [anon_sym_STAR] = ACTIONS(4482),
    [anon_sym_SLASH] = ACTIONS(4482),
    [anon_sym_PERCENT] = ACTIONS(4482),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4480),
    [anon_sym_DOT] = ACTIONS(4482),
    [anon_sym_LBRACK] = ACTIONS(4480),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4480),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4480),
    [anon_sym_not_in] = ACTIONS(4480),
    [anon_sym_or_return] = ACTIONS(4480),
    [anon_sym_or_continue] = ACTIONS(4480),
    [anon_sym_or_break] = ACTIONS(4480),
    [anon_sym_CARET] = ACTIONS(4482),
    [sym_uninitialized] = ACTIONS(4480),
    [sym_tag] = ACTIONS(4480),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4480),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [650] = {
    [sym_block] = STATE(698),
    [anon_sym_LBRACE] = ACTIONS(3279),
    [anon_sym_RBRACE] = ACTIONS(3269),
    [anon_sym_COMMA] = ACTIONS(3269),
    [anon_sym_COLON_COLON] = ACTIONS(3269),
    [anon_sym_DASH_GT] = ACTIONS(3269),
    [anon_sym_where] = ACTIONS(3269),
    [anon_sym_EQ] = ACTIONS(3273),
    [anon_sym_COLON_EQ] = ACTIONS(3269),
    [anon_sym_COLON] = ACTIONS(3273),
    [anon_sym_LPAREN] = ACTIONS(3269),
    [anon_sym_PLUS_EQ] = ACTIONS(3269),
    [anon_sym_DASH_EQ] = ACTIONS(3269),
    [anon_sym_STAR_EQ] = ACTIONS(3269),
    [anon_sym_SLASH_EQ] = ACTIONS(3269),
    [anon_sym_PERCENT_EQ] = ACTIONS(3269),
    [anon_sym_AMP_EQ] = ACTIONS(3269),
    [anon_sym_PIPE_EQ] = ACTIONS(3269),
    [anon_sym_CARET_EQ] = ACTIONS(3269),
    [anon_sym_LT_LT_EQ] = ACTIONS(3269),
    [anon_sym_GT_GT_EQ] = ACTIONS(3269),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3269),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3269),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(3269),
    [anon_sym_if] = ACTIONS(3269),
    [anon_sym_SEMI] = ACTIONS(3269),
    [anon_sym_else] = ACTIONS(3269),
    [anon_sym_when] = ACTIONS(3269),
    [anon_sym_in] = ACTIONS(3269),
    [anon_sym_case] = ACTIONS(3269),
    [anon_sym_QMARK] = ACTIONS(3269),
    [anon_sym_PLUS] = ACTIONS(3273),
    [anon_sym_DASH] = ACTIONS(3273),
    [anon_sym_TILDE] = ACTIONS(3273),
    [anon_sym_AMP] = ACTIONS(3273),
    [anon_sym_PIPE_PIPE] = ACTIONS(3273),
    [anon_sym_or_else] = ACTIONS(3269),
    [anon_sym_AMP_AMP] = ACTIONS(3273),
    [anon_sym_GT] = ACTIONS(3273),
    [anon_sym_GT_EQ] = ACTIONS(3269),
    [anon_sym_LT_EQ] = ACTIONS(3269),
    [anon_sym_LT] = ACTIONS(3273),
    [anon_sym_EQ_EQ] = ACTIONS(3269),
    [anon_sym_BANG_EQ] = ACTIONS(3269),
    [anon_sym_TILDE_EQ] = ACTIONS(3269),
    [anon_sym_PIPE] = ACTIONS(3273),
    [anon_sym_AMP_TILDE] = ACTIONS(3273),
    [anon_sym_LT_LT] = ACTIONS(3273),
    [anon_sym_GT_GT] = ACTIONS(3273),
    [anon_sym_STAR] = ACTIONS(3273),
    [anon_sym_SLASH] = ACTIONS(3273),
    [anon_sym_PERCENT] = ACTIONS(3273),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(3269),
    [anon_sym_DOT] = ACTIONS(3273),
    [anon_sym_LBRACK] = ACTIONS(3269),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(3269),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3269),
    [anon_sym_not_in] = ACTIONS(3269),
    [anon_sym_or_return] = ACTIONS(3269),
    [anon_sym_or_continue] = ACTIONS(3269),
    [anon_sym_or_break] = ACTIONS(3269),
    [anon_sym_CARET] = ACTIONS(3273),
    [sym_uninitialized] = ACTIONS(4004),
    [sym_tag] = ACTIONS(3269),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(3269),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [651] = {
    [sym_block] = STATE(701),
    [anon_sym_LBRACE] = ACTIONS(3279),
    [anon_sym_RBRACE] = ACTIONS(3291),
    [anon_sym_COMMA] = ACTIONS(3291),
    [anon_sym_COLON_COLON] = ACTIONS(3291),
    [anon_sym_DASH_GT] = ACTIONS(3291),
    [anon_sym_where] = ACTIONS(3291),
    [anon_sym_EQ] = ACTIONS(3293),
    [anon_sym_COLON_EQ] = ACTIONS(3291),
    [anon_sym_COLON] = ACTIONS(3293),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_PLUS_EQ] = ACTIONS(3291),
    [anon_sym_DASH_EQ] = ACTIONS(3291),
    [anon_sym_STAR_EQ] = ACTIONS(3291),
    [anon_sym_SLASH_EQ] = ACTIONS(3291),
    [anon_sym_PERCENT_EQ] = ACTIONS(3291),
    [anon_sym_AMP_EQ] = ACTIONS(3291),
    [anon_sym_PIPE_EQ] = ACTIONS(3291),
    [anon_sym_CARET_EQ] = ACTIONS(3291),
    [anon_sym_LT_LT_EQ] = ACTIONS(3291),
    [anon_sym_GT_GT_EQ] = ACTIONS(3291),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3291),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3291),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(3291),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_SEMI] = ACTIONS(3291),
    [anon_sym_else] = ACTIONS(3291),
    [anon_sym_when] = ACTIONS(3291),
    [anon_sym_in] = ACTIONS(3291),
    [anon_sym_case] = ACTIONS(3291),
    [anon_sym_QMARK] = ACTIONS(3291),
    [anon_sym_PLUS] = ACTIONS(3293),
    [anon_sym_DASH] = ACTIONS(3293),
    [anon_sym_TILDE] = ACTIONS(3293),
    [anon_sym_AMP] = ACTIONS(3293),
    [anon_sym_PIPE_PIPE] = ACTIONS(3293),
    [anon_sym_or_else] = ACTIONS(3291),
    [anon_sym_AMP_AMP] = ACTIONS(3293),
    [anon_sym_GT] = ACTIONS(3293),
    [anon_sym_GT_EQ] = ACTIONS(3291),
    [anon_sym_LT_EQ] = ACTIONS(3291),
    [anon_sym_LT] = ACTIONS(3293),
    [anon_sym_EQ_EQ] = ACTIONS(3291),
    [anon_sym_BANG_EQ] = ACTIONS(3291),
    [anon_sym_TILDE_EQ] = ACTIONS(3291),
    [anon_sym_PIPE] = ACTIONS(3293),
    [anon_sym_AMP_TILDE] = ACTIONS(3293),
    [anon_sym_LT_LT] = ACTIONS(3293),
    [anon_sym_GT_GT] = ACTIONS(3293),
    [anon_sym_STAR] = ACTIONS(3293),
    [anon_sym_SLASH] = ACTIONS(3293),
    [anon_sym_PERCENT] = ACTIONS(3293),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(3291),
    [anon_sym_DOT] = ACTIONS(3293),
    [anon_sym_LBRACK] = ACTIONS(3291),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(3291),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3291),
    [anon_sym_not_in] = ACTIONS(3291),
    [anon_sym_or_return] = ACTIONS(3291),
    [anon_sym_or_continue] = ACTIONS(3291),
    [anon_sym_or_break] = ACTIONS(3291),
    [anon_sym_CARET] = ACTIONS(3293),
    [sym_uninitialized] = ACTIONS(3295),
    [sym_tag] = ACTIONS(3291),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(3291),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [652] = {
    [sym_expression] = STATE(5758),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(4484),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(4486),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(4488),
    [anon_sym_dynamic] = ACTIONS(4490),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [653] = {
    [sym_block] = STATE(698),
    [anon_sym_LBRACE] = ACTIONS(3279),
    [anon_sym_RBRACE] = ACTIONS(3269),
    [anon_sym_COMMA] = ACTIONS(3269),
    [anon_sym_COLON_COLON] = ACTIONS(3269),
    [anon_sym_DASH_GT] = ACTIONS(3269),
    [anon_sym_where] = ACTIONS(3269),
    [anon_sym_EQ] = ACTIONS(3273),
    [anon_sym_COLON_EQ] = ACTIONS(3269),
    [anon_sym_COLON] = ACTIONS(3273),
    [anon_sym_LPAREN] = ACTIONS(3269),
    [anon_sym_PLUS_EQ] = ACTIONS(3269),
    [anon_sym_DASH_EQ] = ACTIONS(3269),
    [anon_sym_STAR_EQ] = ACTIONS(3269),
    [anon_sym_SLASH_EQ] = ACTIONS(3269),
    [anon_sym_PERCENT_EQ] = ACTIONS(3269),
    [anon_sym_AMP_EQ] = ACTIONS(3269),
    [anon_sym_PIPE_EQ] = ACTIONS(3269),
    [anon_sym_CARET_EQ] = ACTIONS(3269),
    [anon_sym_LT_LT_EQ] = ACTIONS(3269),
    [anon_sym_GT_GT_EQ] = ACTIONS(3269),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3269),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3269),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(3269),
    [anon_sym_if] = ACTIONS(3269),
    [anon_sym_SEMI] = ACTIONS(3269),
    [anon_sym_else] = ACTIONS(3269),
    [anon_sym_when] = ACTIONS(3269),
    [anon_sym_in] = ACTIONS(3269),
    [anon_sym_case] = ACTIONS(3269),
    [anon_sym_QMARK] = ACTIONS(3269),
    [anon_sym_PLUS] = ACTIONS(3273),
    [anon_sym_DASH] = ACTIONS(3273),
    [anon_sym_TILDE] = ACTIONS(3273),
    [anon_sym_AMP] = ACTIONS(3273),
    [anon_sym_PIPE_PIPE] = ACTIONS(3273),
    [anon_sym_or_else] = ACTIONS(3269),
    [anon_sym_AMP_AMP] = ACTIONS(3273),
    [anon_sym_GT] = ACTIONS(3273),
    [anon_sym_GT_EQ] = ACTIONS(3269),
    [anon_sym_LT_EQ] = ACTIONS(3269),
    [anon_sym_LT] = ACTIONS(3273),
    [anon_sym_EQ_EQ] = ACTIONS(3269),
    [anon_sym_BANG_EQ] = ACTIONS(3269),
    [anon_sym_TILDE_EQ] = ACTIONS(3269),
    [anon_sym_PIPE] = ACTIONS(3273),
    [anon_sym_AMP_TILDE] = ACTIONS(3273),
    [anon_sym_LT_LT] = ACTIONS(3273),
    [anon_sym_GT_GT] = ACTIONS(3273),
    [anon_sym_STAR] = ACTIONS(3273),
    [anon_sym_SLASH] = ACTIONS(3273),
    [anon_sym_PERCENT] = ACTIONS(3273),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(3269),
    [anon_sym_DOT] = ACTIONS(3273),
    [anon_sym_LBRACK] = ACTIONS(3269),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(3269),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3269),
    [anon_sym_not_in] = ACTIONS(3269),
    [anon_sym_or_return] = ACTIONS(3269),
    [anon_sym_or_continue] = ACTIONS(3269),
    [anon_sym_or_break] = ACTIONS(3269),
    [anon_sym_CARET] = ACTIONS(3273),
    [sym_uninitialized] = ACTIONS(4004),
    [sym_tag] = ACTIONS(4492),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(3269),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [654] = {
    [aux_sym_struct_type_repeat2] = STATE(654),
    [anon_sym_LBRACE] = ACTIONS(4494),
    [anon_sym_RBRACE] = ACTIONS(4497),
    [anon_sym_COMMA] = ACTIONS(4497),
    [anon_sym_COLON_COLON] = ACTIONS(4497),
    [anon_sym_DASH_GT] = ACTIONS(4497),
    [anon_sym_where] = ACTIONS(4497),
    [anon_sym_EQ] = ACTIONS(4499),
    [anon_sym_COLON_EQ] = ACTIONS(4497),
    [anon_sym_COLON] = ACTIONS(4499),
    [anon_sym_LPAREN] = ACTIONS(4497),
    [anon_sym_PLUS_EQ] = ACTIONS(4497),
    [anon_sym_DASH_EQ] = ACTIONS(4497),
    [anon_sym_STAR_EQ] = ACTIONS(4497),
    [anon_sym_SLASH_EQ] = ACTIONS(4497),
    [anon_sym_PERCENT_EQ] = ACTIONS(4497),
    [anon_sym_AMP_EQ] = ACTIONS(4497),
    [anon_sym_PIPE_EQ] = ACTIONS(4497),
    [anon_sym_CARET_EQ] = ACTIONS(4497),
    [anon_sym_LT_LT_EQ] = ACTIONS(4497),
    [anon_sym_GT_GT_EQ] = ACTIONS(4497),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4497),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4497),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4497),
    [anon_sym_if] = ACTIONS(4497),
    [anon_sym_SEMI] = ACTIONS(4497),
    [anon_sym_else] = ACTIONS(4497),
    [anon_sym_when] = ACTIONS(4497),
    [anon_sym_in] = ACTIONS(4497),
    [anon_sym_case] = ACTIONS(4497),
    [anon_sym_QMARK] = ACTIONS(4497),
    [anon_sym_PLUS] = ACTIONS(4499),
    [anon_sym_DASH] = ACTIONS(4499),
    [anon_sym_TILDE] = ACTIONS(4499),
    [anon_sym_AMP] = ACTIONS(4499),
    [anon_sym_PIPE_PIPE] = ACTIONS(4499),
    [anon_sym_or_else] = ACTIONS(4497),
    [anon_sym_AMP_AMP] = ACTIONS(4499),
    [anon_sym_GT] = ACTIONS(4499),
    [anon_sym_GT_EQ] = ACTIONS(4497),
    [anon_sym_LT_EQ] = ACTIONS(4497),
    [anon_sym_LT] = ACTIONS(4499),
    [anon_sym_EQ_EQ] = ACTIONS(4497),
    [anon_sym_BANG_EQ] = ACTIONS(4497),
    [anon_sym_TILDE_EQ] = ACTIONS(4497),
    [anon_sym_PIPE] = ACTIONS(4499),
    [anon_sym_AMP_TILDE] = ACTIONS(4499),
    [anon_sym_LT_LT] = ACTIONS(4499),
    [anon_sym_GT_GT] = ACTIONS(4499),
    [anon_sym_STAR] = ACTIONS(4499),
    [anon_sym_SLASH] = ACTIONS(4499),
    [anon_sym_PERCENT] = ACTIONS(4499),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4497),
    [anon_sym_DOT] = ACTIONS(4499),
    [anon_sym_LBRACK] = ACTIONS(4497),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4497),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4497),
    [anon_sym_not_in] = ACTIONS(4497),
    [anon_sym_or_return] = ACTIONS(4497),
    [anon_sym_or_continue] = ACTIONS(4497),
    [anon_sym_or_break] = ACTIONS(4497),
    [anon_sym_CARET] = ACTIONS(4499),
    [sym_uninitialized] = ACTIONS(4497),
    [sym_tag] = ACTIONS(4497),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4497),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [655] = {
    [sym_block] = STATE(6836),
    [sym_expression] = STATE(5349),
    [sym__expression_no_tag] = STATE(4410),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_ternary_expression] = STATE(4410),
    [sym_call_expression] = STATE(4410),
    [sym_selector_call_expression] = STATE(4410),
    [sym_member_expression] = STATE(4410),
    [sym_index_expression] = STATE(4410),
    [sym_slice_expression] = STATE(4410),
    [sym_range_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_in_expression] = STATE(4410),
    [sym_variadic_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4410),
    [sym_or_return_expression] = STATE(4410),
    [sym_or_continue_expression] = STATE(4410),
    [sym_or_break_expression] = STATE(4410),
    [sym_address] = STATE(4410),
    [sym_map_type] = STATE(4410),
    [sym_matrix_type] = STATE(4410),
    [sym_distinct_type] = STATE(4410),
    [sym_literal] = STATE(4410),
    [sym_struct] = STATE(4333),
    [sym_map] = STATE(4320),
    [sym_bit_set] = STATE(4320),
    [sym_matrix] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym__string_literal] = STATE(4334),
    [sym__raw_string_literal] = STATE(4334),
    [sym_character] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_field_identifier] = STATE(7845),
    [sym_identifier] = ACTIONS(341),
    [anon_sym_LBRACE] = ACTIONS(4474),
    [anon_sym_LPAREN] = ACTIONS(945),
    [anon_sym_SEMI] = ACTIONS(4501),
    [anon_sym_do] = ACTIONS(4503),
    [anon_sym_QMARK] = ACTIONS(3239),
    [anon_sym_PLUS] = ACTIONS(949),
    [anon_sym_DASH] = ACTIONS(951),
    [anon_sym_TILDE] = ACTIONS(949),
    [anon_sym_BANG] = ACTIONS(949),
    [anon_sym_AMP] = ACTIONS(949),
    [anon_sym_DOT] = ACTIONS(953),
    [anon_sym_LBRACK] = ACTIONS(955),
    [anon_sym_cast] = ACTIONS(957),
    [anon_sym_transmute] = ACTIONS(957),
    [anon_sym_auto_cast] = ACTIONS(959),
    [anon_sym_DOT_DOT] = ACTIONS(3241),
    [anon_sym_map] = ACTIONS(351),
    [anon_sym_bit_set] = ACTIONS(353),
    [anon_sym_matrix] = ACTIONS(355),
    [anon_sym_distinct] = ACTIONS(357),
    [sym_number] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(361),
    [anon_sym_BQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [anon_sym_true] = ACTIONS(367),
    [anon_sym_false] = ACTIONS(367),
    [sym_nil] = ACTIONS(369),
    [sym_uninitialized] = ACTIONS(359),
    [sym_tag] = ACTIONS(963),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(359),
    [sym_block_comment] = ACTIONS(3),
  },
  [656] = {
    [sym_identifier] = ACTIONS(4505),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_RBRACE] = ACTIONS(67),
    [anon_sym_COMMA] = ACTIONS(67),
    [anon_sym_COLON_COLON] = ACTIONS(67),
    [anon_sym_DASH_GT] = ACTIONS(67),
    [anon_sym_where] = ACTIONS(71),
    [anon_sym_EQ] = ACTIONS(71),
    [anon_sym_COLON_EQ] = ACTIONS(67),
    [anon_sym_COLON] = ACTIONS(71),
    [anon_sym_LPAREN] = ACTIONS(4507),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(71),
    [anon_sym_SEMI] = ACTIONS(67),
    [anon_sym_else] = ACTIONS(71),
    [anon_sym_when] = ACTIONS(71),
    [anon_sym_in] = ACTIONS(71),
    [anon_sym_case] = ACTIONS(71),
    [anon_sym_QMARK] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_AMP] = ACTIONS(71),
    [anon_sym_PIPE_PIPE] = ACTIONS(71),
    [anon_sym_or_else] = ACTIONS(71),
    [anon_sym_AMP_AMP] = ACTIONS(71),
    [anon_sym_GT] = ACTIONS(71),
    [anon_sym_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_EQ] = ACTIONS(67),
    [anon_sym_LT] = ACTIONS(71),
    [anon_sym_EQ_EQ] = ACTIONS(67),
    [anon_sym_BANG_EQ] = ACTIONS(67),
    [anon_sym_TILDE_EQ] = ACTIONS(67),
    [anon_sym_PIPE] = ACTIONS(71),
    [anon_sym_AMP_TILDE] = ACTIONS(71),
    [anon_sym_LT_LT] = ACTIONS(71),
    [anon_sym_GT_GT] = ACTIONS(71),
    [anon_sym_STAR] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(71),
    [anon_sym_PERCENT] = ACTIONS(71),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(67),
    [anon_sym_DOT] = ACTIONS(71),
    [anon_sym_LBRACK] = ACTIONS(67),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(67),
    [anon_sym_DOT_DOT_LT] = ACTIONS(67),
    [anon_sym_not_in] = ACTIONS(71),
    [anon_sym_or_return] = ACTIONS(71),
    [anon_sym_or_continue] = ACTIONS(71),
    [anon_sym_or_break] = ACTIONS(71),
    [anon_sym_CARET] = ACTIONS(71),
    [sym_uninitialized] = ACTIONS(67),
    [sym_tag] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(67),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [657] = {
    [aux_sym_field_identifier_repeat1] = STATE(6917),
    [anon_sym_LBRACE] = ACTIONS(4509),
    [anon_sym_RBRACE] = ACTIONS(4512),
    [anon_sym_COMMA] = ACTIONS(4512),
    [anon_sym_COLON_COLON] = ACTIONS(4512),
    [anon_sym_DASH_GT] = ACTIONS(4512),
    [anon_sym_where] = ACTIONS(4512),
    [anon_sym_EQ] = ACTIONS(4514),
    [anon_sym_COLON_EQ] = ACTIONS(4512),
    [anon_sym_COLON] = ACTIONS(4514),
    [anon_sym_LPAREN] = ACTIONS(4516),
    [anon_sym_PLUS_EQ] = ACTIONS(4512),
    [anon_sym_DASH_EQ] = ACTIONS(4512),
    [anon_sym_STAR_EQ] = ACTIONS(4512),
    [anon_sym_SLASH_EQ] = ACTIONS(4512),
    [anon_sym_PERCENT_EQ] = ACTIONS(4512),
    [anon_sym_AMP_EQ] = ACTIONS(4512),
    [anon_sym_PIPE_EQ] = ACTIONS(4512),
    [anon_sym_CARET_EQ] = ACTIONS(4512),
    [anon_sym_LT_LT_EQ] = ACTIONS(4512),
    [anon_sym_GT_GT_EQ] = ACTIONS(4512),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4512),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4512),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4512),
    [anon_sym_if] = ACTIONS(4512),
    [anon_sym_SEMI] = ACTIONS(4512),
    [anon_sym_else] = ACTIONS(4512),
    [anon_sym_when] = ACTIONS(4512),
    [anon_sym_in] = ACTIONS(4512),
    [anon_sym_case] = ACTIONS(4512),
    [anon_sym_QMARK] = ACTIONS(4512),
    [anon_sym_PLUS] = ACTIONS(4514),
    [anon_sym_DASH] = ACTIONS(4514),
    [anon_sym_TILDE] = ACTIONS(4514),
    [anon_sym_AMP] = ACTIONS(4514),
    [anon_sym_PIPE_PIPE] = ACTIONS(4514),
    [anon_sym_or_else] = ACTIONS(4512),
    [anon_sym_AMP_AMP] = ACTIONS(4514),
    [anon_sym_GT] = ACTIONS(4514),
    [anon_sym_GT_EQ] = ACTIONS(4512),
    [anon_sym_LT_EQ] = ACTIONS(4512),
    [anon_sym_LT] = ACTIONS(4514),
    [anon_sym_EQ_EQ] = ACTIONS(4512),
    [anon_sym_BANG_EQ] = ACTIONS(4512),
    [anon_sym_TILDE_EQ] = ACTIONS(4512),
    [anon_sym_PIPE] = ACTIONS(4514),
    [anon_sym_AMP_TILDE] = ACTIONS(4514),
    [anon_sym_LT_LT] = ACTIONS(4514),
    [anon_sym_GT_GT] = ACTIONS(4514),
    [anon_sym_STAR] = ACTIONS(4514),
    [anon_sym_SLASH] = ACTIONS(4514),
    [anon_sym_PERCENT] = ACTIONS(4514),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4512),
    [anon_sym_DOT] = ACTIONS(4514),
    [anon_sym_LBRACK] = ACTIONS(4512),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4512),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4512),
    [anon_sym_not_in] = ACTIONS(4512),
    [anon_sym_or_return] = ACTIONS(4512),
    [anon_sym_or_continue] = ACTIONS(4512),
    [anon_sym_or_break] = ACTIONS(4512),
    [anon_sym_CARET] = ACTIONS(4514),
    [sym_uninitialized] = ACTIONS(4512),
    [sym_tag] = ACTIONS(4512),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4512),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [658] = {
    [sym_block] = STATE(697),
    [anon_sym_LBRACE] = ACTIONS(3279),
    [anon_sym_RBRACE] = ACTIONS(3299),
    [anon_sym_COMMA] = ACTIONS(3299),
    [anon_sym_COLON_COLON] = ACTIONS(3299),
    [anon_sym_DASH_GT] = ACTIONS(3299),
    [anon_sym_where] = ACTIONS(3299),
    [anon_sym_EQ] = ACTIONS(3303),
    [anon_sym_COLON_EQ] = ACTIONS(3299),
    [anon_sym_COLON] = ACTIONS(3303),
    [anon_sym_LPAREN] = ACTIONS(3299),
    [anon_sym_PLUS_EQ] = ACTIONS(3299),
    [anon_sym_DASH_EQ] = ACTIONS(3299),
    [anon_sym_STAR_EQ] = ACTIONS(3299),
    [anon_sym_SLASH_EQ] = ACTIONS(3299),
    [anon_sym_PERCENT_EQ] = ACTIONS(3299),
    [anon_sym_AMP_EQ] = ACTIONS(3299),
    [anon_sym_PIPE_EQ] = ACTIONS(3299),
    [anon_sym_CARET_EQ] = ACTIONS(3299),
    [anon_sym_LT_LT_EQ] = ACTIONS(3299),
    [anon_sym_GT_GT_EQ] = ACTIONS(3299),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3299),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3299),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(3299),
    [anon_sym_if] = ACTIONS(3299),
    [anon_sym_SEMI] = ACTIONS(3299),
    [anon_sym_else] = ACTIONS(3299),
    [anon_sym_when] = ACTIONS(3299),
    [anon_sym_in] = ACTIONS(3299),
    [anon_sym_case] = ACTIONS(3299),
    [anon_sym_QMARK] = ACTIONS(3299),
    [anon_sym_PLUS] = ACTIONS(3303),
    [anon_sym_DASH] = ACTIONS(3303),
    [anon_sym_TILDE] = ACTIONS(3303),
    [anon_sym_AMP] = ACTIONS(3303),
    [anon_sym_PIPE_PIPE] = ACTIONS(3303),
    [anon_sym_or_else] = ACTIONS(3299),
    [anon_sym_AMP_AMP] = ACTIONS(3303),
    [anon_sym_GT] = ACTIONS(3303),
    [anon_sym_GT_EQ] = ACTIONS(3299),
    [anon_sym_LT_EQ] = ACTIONS(3299),
    [anon_sym_LT] = ACTIONS(3303),
    [anon_sym_EQ_EQ] = ACTIONS(3299),
    [anon_sym_BANG_EQ] = ACTIONS(3299),
    [anon_sym_TILDE_EQ] = ACTIONS(3299),
    [anon_sym_PIPE] = ACTIONS(3303),
    [anon_sym_AMP_TILDE] = ACTIONS(3303),
    [anon_sym_LT_LT] = ACTIONS(3303),
    [anon_sym_GT_GT] = ACTIONS(3303),
    [anon_sym_STAR] = ACTIONS(3303),
    [anon_sym_SLASH] = ACTIONS(3303),
    [anon_sym_PERCENT] = ACTIONS(3303),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(3299),
    [anon_sym_DOT] = ACTIONS(3303),
    [anon_sym_LBRACK] = ACTIONS(3299),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(3299),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3299),
    [anon_sym_not_in] = ACTIONS(3299),
    [anon_sym_or_return] = ACTIONS(3299),
    [anon_sym_or_continue] = ACTIONS(3299),
    [anon_sym_or_break] = ACTIONS(3299),
    [anon_sym_CARET] = ACTIONS(3303),
    [sym_uninitialized] = ACTIONS(3969),
    [sym_tag] = ACTIONS(3299),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(3299),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [659] = {
    [aux_sym_struct_type_repeat2] = STATE(654),
    [anon_sym_LBRACE] = ACTIONS(4519),
    [anon_sym_RBRACE] = ACTIONS(4519),
    [anon_sym_COMMA] = ACTIONS(4519),
    [anon_sym_COLON_COLON] = ACTIONS(4519),
    [anon_sym_DASH_GT] = ACTIONS(4519),
    [anon_sym_where] = ACTIONS(4519),
    [anon_sym_EQ] = ACTIONS(4521),
    [anon_sym_COLON_EQ] = ACTIONS(4519),
    [anon_sym_COLON] = ACTIONS(4521),
    [anon_sym_LPAREN] = ACTIONS(4519),
    [anon_sym_PLUS_EQ] = ACTIONS(4519),
    [anon_sym_DASH_EQ] = ACTIONS(4519),
    [anon_sym_STAR_EQ] = ACTIONS(4519),
    [anon_sym_SLASH_EQ] = ACTIONS(4519),
    [anon_sym_PERCENT_EQ] = ACTIONS(4519),
    [anon_sym_AMP_EQ] = ACTIONS(4519),
    [anon_sym_PIPE_EQ] = ACTIONS(4519),
    [anon_sym_CARET_EQ] = ACTIONS(4519),
    [anon_sym_LT_LT_EQ] = ACTIONS(4519),
    [anon_sym_GT_GT_EQ] = ACTIONS(4519),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4519),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4519),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4519),
    [anon_sym_if] = ACTIONS(4519),
    [anon_sym_SEMI] = ACTIONS(4519),
    [anon_sym_else] = ACTIONS(4519),
    [anon_sym_when] = ACTIONS(4519),
    [anon_sym_in] = ACTIONS(4519),
    [anon_sym_case] = ACTIONS(4519),
    [anon_sym_QMARK] = ACTIONS(4519),
    [anon_sym_PLUS] = ACTIONS(4521),
    [anon_sym_DASH] = ACTIONS(4521),
    [anon_sym_TILDE] = ACTIONS(4521),
    [anon_sym_AMP] = ACTIONS(4521),
    [anon_sym_PIPE_PIPE] = ACTIONS(4521),
    [anon_sym_or_else] = ACTIONS(4519),
    [anon_sym_AMP_AMP] = ACTIONS(4521),
    [anon_sym_GT] = ACTIONS(4521),
    [anon_sym_GT_EQ] = ACTIONS(4519),
    [anon_sym_LT_EQ] = ACTIONS(4519),
    [anon_sym_LT] = ACTIONS(4521),
    [anon_sym_EQ_EQ] = ACTIONS(4519),
    [anon_sym_BANG_EQ] = ACTIONS(4519),
    [anon_sym_TILDE_EQ] = ACTIONS(4519),
    [anon_sym_PIPE] = ACTIONS(4521),
    [anon_sym_AMP_TILDE] = ACTIONS(4521),
    [anon_sym_LT_LT] = ACTIONS(4521),
    [anon_sym_GT_GT] = ACTIONS(4521),
    [anon_sym_STAR] = ACTIONS(4521),
    [anon_sym_SLASH] = ACTIONS(4521),
    [anon_sym_PERCENT] = ACTIONS(4521),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4519),
    [anon_sym_DOT] = ACTIONS(4521),
    [anon_sym_LBRACK] = ACTIONS(4519),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4519),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4519),
    [anon_sym_not_in] = ACTIONS(4519),
    [anon_sym_or_return] = ACTIONS(4519),
    [anon_sym_or_continue] = ACTIONS(4519),
    [anon_sym_or_break] = ACTIONS(4519),
    [anon_sym_CARET] = ACTIONS(4521),
    [sym_uninitialized] = ACTIONS(4519),
    [sym_tag] = ACTIONS(4519),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4519),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [660] = {
    [sym_procedure] = STATE(3279),
    [sym_expression] = STATE(5598),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym__procedure_type] = STATE(7877),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [661] = {
    [sym_procedure] = STATE(6799),
    [sym_expression] = STATE(4601),
    [sym__expression_no_tag] = STATE(4299),
    [sym_unary_expression] = STATE(4299),
    [sym_binary_expression] = STATE(4299),
    [sym_ternary_expression] = STATE(4299),
    [sym_call_expression] = STATE(4299),
    [sym_selector_call_expression] = STATE(4299),
    [sym_member_expression] = STATE(4299),
    [sym_index_expression] = STATE(4299),
    [sym_slice_expression] = STATE(4299),
    [sym_range_expression] = STATE(4299),
    [sym_cast_expression] = STATE(4299),
    [sym_in_expression] = STATE(4299),
    [sym_variadic_expression] = STATE(4299),
    [sym_parenthesized_expression] = STATE(4299),
    [sym_or_return_expression] = STATE(4299),
    [sym_or_continue_expression] = STATE(4299),
    [sym_or_break_expression] = STATE(4299),
    [sym_address] = STATE(4299),
    [sym_map_type] = STATE(4299),
    [sym_matrix_type] = STATE(4299),
    [sym__procedure_type] = STATE(7877),
    [sym_distinct_type] = STATE(4299),
    [sym_literal] = STATE(4299),
    [sym_struct] = STATE(4311),
    [sym_map] = STATE(3787),
    [sym_bit_set] = STATE(3787),
    [sym_matrix] = STATE(3787),
    [sym_string] = STATE(3787),
    [sym__string_literal] = STATE(3867),
    [sym__raw_string_literal] = STATE(3867),
    [sym_character] = STATE(3787),
    [sym_boolean] = STATE(3787),
    [sym_field_identifier] = STATE(7783),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_proc] = ACTIONS(585),
    [anon_sym_LPAREN] = ACTIONS(759),
    [anon_sym_QMARK] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(763),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(763),
    [anon_sym_BANG] = ACTIONS(763),
    [anon_sym_AMP] = ACTIONS(763),
    [anon_sym_DOT] = ACTIONS(765),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_cast] = ACTIONS(597),
    [anon_sym_transmute] = ACTIONS(597),
    [anon_sym_auto_cast] = ACTIONS(599),
    [anon_sym_DOT_DOT] = ACTIONS(2797),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(4523),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [662] = {
    [sym_block] = STATE(702),
    [anon_sym_LBRACE] = ACTIONS(3279),
    [anon_sym_RBRACE] = ACTIONS(4525),
    [anon_sym_COMMA] = ACTIONS(4525),
    [anon_sym_COLON_COLON] = ACTIONS(4525),
    [anon_sym_DASH_GT] = ACTIONS(4525),
    [anon_sym_where] = ACTIONS(4525),
    [anon_sym_EQ] = ACTIONS(4527),
    [anon_sym_COLON_EQ] = ACTIONS(4525),
    [anon_sym_COLON] = ACTIONS(4527),
    [anon_sym_LPAREN] = ACTIONS(4525),
    [anon_sym_PLUS_EQ] = ACTIONS(4525),
    [anon_sym_DASH_EQ] = ACTIONS(4525),
    [anon_sym_STAR_EQ] = ACTIONS(4525),
    [anon_sym_SLASH_EQ] = ACTIONS(4525),
    [anon_sym_PERCENT_EQ] = ACTIONS(4525),
    [anon_sym_AMP_EQ] = ACTIONS(4525),
    [anon_sym_PIPE_EQ] = ACTIONS(4525),
    [anon_sym_CARET_EQ] = ACTIONS(4525),
    [anon_sym_LT_LT_EQ] = ACTIONS(4525),
    [anon_sym_GT_GT_EQ] = ACTIONS(4525),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4525),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4525),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4525),
    [anon_sym_if] = ACTIONS(4525),
    [anon_sym_SEMI] = ACTIONS(4525),
    [anon_sym_else] = ACTIONS(4525),
    [anon_sym_when] = ACTIONS(4525),
    [anon_sym_in] = ACTIONS(4525),
    [anon_sym_case] = ACTIONS(4525),
    [anon_sym_QMARK] = ACTIONS(4525),
    [anon_sym_PLUS] = ACTIONS(4527),
    [anon_sym_DASH] = ACTIONS(4527),
    [anon_sym_TILDE] = ACTIONS(4527),
    [anon_sym_AMP] = ACTIONS(4527),
    [anon_sym_PIPE_PIPE] = ACTIONS(4527),
    [anon_sym_or_else] = ACTIONS(4525),
    [anon_sym_AMP_AMP] = ACTIONS(4527),
    [anon_sym_GT] = ACTIONS(4527),
    [anon_sym_GT_EQ] = ACTIONS(4525),
    [anon_sym_LT_EQ] = ACTIONS(4525),
    [anon_sym_LT] = ACTIONS(4527),
    [anon_sym_EQ_EQ] = ACTIONS(4525),
    [anon_sym_BANG_EQ] = ACTIONS(4525),
    [anon_sym_TILDE_EQ] = ACTIONS(4525),
    [anon_sym_PIPE] = ACTIONS(4527),
    [anon_sym_AMP_TILDE] = ACTIONS(4527),
    [anon_sym_LT_LT] = ACTIONS(4527),
    [anon_sym_GT_GT] = ACTIONS(4527),
    [anon_sym_STAR] = ACTIONS(4527),
    [anon_sym_SLASH] = ACTIONS(4527),
    [anon_sym_PERCENT] = ACTIONS(4527),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4525),
    [anon_sym_DOT] = ACTIONS(4527),
    [anon_sym_LBRACK] = ACTIONS(4525),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4525),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4525),
    [anon_sym_not_in] = ACTIONS(4525),
    [anon_sym_or_return] = ACTIONS(4525),
    [anon_sym_or_continue] = ACTIONS(4525),
    [anon_sym_or_break] = ACTIONS(4525),
    [anon_sym_CARET] = ACTIONS(4527),
    [sym_uninitialized] = ACTIONS(4529),
    [sym_tag] = ACTIONS(4531),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4525),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [663] = {
    [sym_expression] = STATE(5639),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_pointer_type] = STATE(7858),
    [sym_array_type] = STATE(7858),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(2817),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(2821),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(2823),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [664] = {
    [anon_sym_LBRACE] = ACTIONS(3977),
    [anon_sym_RBRACE] = ACTIONS(3977),
    [anon_sym_COMMA] = ACTIONS(3977),
    [anon_sym_COLON_COLON] = ACTIONS(3977),
    [anon_sym_DASH_GT] = ACTIONS(3977),
    [anon_sym_where] = ACTIONS(3977),
    [anon_sym_EQ] = ACTIONS(3979),
    [anon_sym_COLON_EQ] = ACTIONS(3977),
    [anon_sym_COLON] = ACTIONS(3979),
    [anon_sym_LPAREN] = ACTIONS(3977),
    [anon_sym_PLUS_EQ] = ACTIONS(3977),
    [anon_sym_DASH_EQ] = ACTIONS(3977),
    [anon_sym_STAR_EQ] = ACTIONS(3977),
    [anon_sym_SLASH_EQ] = ACTIONS(3977),
    [anon_sym_PERCENT_EQ] = ACTIONS(3977),
    [anon_sym_AMP_EQ] = ACTIONS(3977),
    [anon_sym_PIPE_EQ] = ACTIONS(3977),
    [anon_sym_CARET_EQ] = ACTIONS(3977),
    [anon_sym_LT_LT_EQ] = ACTIONS(3977),
    [anon_sym_GT_GT_EQ] = ACTIONS(3977),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3977),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3977),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(3977),
    [anon_sym_if] = ACTIONS(3977),
    [anon_sym_SEMI] = ACTIONS(3977),
    [anon_sym_else] = ACTIONS(3977),
    [anon_sym_when] = ACTIONS(3977),
    [anon_sym_in] = ACTIONS(3977),
    [anon_sym_case] = ACTIONS(3977),
    [anon_sym_QMARK] = ACTIONS(3977),
    [anon_sym_PLUS] = ACTIONS(3979),
    [anon_sym_DASH] = ACTIONS(3979),
    [anon_sym_TILDE] = ACTIONS(3979),
    [anon_sym_AMP] = ACTIONS(3979),
    [anon_sym_PIPE_PIPE] = ACTIONS(3979),
    [anon_sym_or_else] = ACTIONS(3977),
    [anon_sym_AMP_AMP] = ACTIONS(3979),
    [anon_sym_GT] = ACTIONS(3979),
    [anon_sym_GT_EQ] = ACTIONS(3977),
    [anon_sym_LT_EQ] = ACTIONS(3977),
    [anon_sym_LT] = ACTIONS(3979),
    [anon_sym_EQ_EQ] = ACTIONS(3977),
    [anon_sym_BANG_EQ] = ACTIONS(3977),
    [anon_sym_TILDE_EQ] = ACTIONS(3977),
    [anon_sym_PIPE] = ACTIONS(3979),
    [anon_sym_AMP_TILDE] = ACTIONS(3979),
    [anon_sym_LT_LT] = ACTIONS(3979),
    [anon_sym_GT_GT] = ACTIONS(3979),
    [anon_sym_STAR] = ACTIONS(3979),
    [anon_sym_SLASH] = ACTIONS(3979),
    [anon_sym_PERCENT] = ACTIONS(3979),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(3977),
    [anon_sym_DOT] = ACTIONS(3979),
    [anon_sym_LBRACK] = ACTIONS(3977),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(3977),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3977),
    [anon_sym_not_in] = ACTIONS(3977),
    [anon_sym_or_return] = ACTIONS(3977),
    [anon_sym_or_continue] = ACTIONS(3977),
    [anon_sym_or_break] = ACTIONS(3977),
    [anon_sym_CARET] = ACTIONS(3979),
    [anon_sym_DOT2] = ACTIONS(3979),
    [sym_uninitialized] = ACTIONS(3977),
    [sym_tag] = ACTIONS(3977),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(3977),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [665] = {
    [sym_block] = STATE(700),
    [anon_sym_LBRACE] = ACTIONS(3279),
    [anon_sym_RBRACE] = ACTIONS(3281),
    [anon_sym_COMMA] = ACTIONS(3281),
    [anon_sym_COLON_COLON] = ACTIONS(3281),
    [anon_sym_DASH_GT] = ACTIONS(3281),
    [anon_sym_where] = ACTIONS(3281),
    [anon_sym_EQ] = ACTIONS(3283),
    [anon_sym_COLON_EQ] = ACTIONS(3281),
    [anon_sym_COLON] = ACTIONS(3283),
    [anon_sym_LPAREN] = ACTIONS(3281),
    [anon_sym_PLUS_EQ] = ACTIONS(3281),
    [anon_sym_DASH_EQ] = ACTIONS(3281),
    [anon_sym_STAR_EQ] = ACTIONS(3281),
    [anon_sym_SLASH_EQ] = ACTIONS(3281),
    [anon_sym_PERCENT_EQ] = ACTIONS(3281),
    [anon_sym_AMP_EQ] = ACTIONS(3281),
    [anon_sym_PIPE_EQ] = ACTIONS(3281),
    [anon_sym_CARET_EQ] = ACTIONS(3281),
    [anon_sym_LT_LT_EQ] = ACTIONS(3281),
    [anon_sym_GT_GT_EQ] = ACTIONS(3281),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3281),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3281),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(3281),
    [anon_sym_if] = ACTIONS(3281),
    [anon_sym_SEMI] = ACTIONS(3281),
    [anon_sym_else] = ACTIONS(3281),
    [anon_sym_when] = ACTIONS(3281),
    [anon_sym_in] = ACTIONS(3281),
    [anon_sym_case] = ACTIONS(3281),
    [anon_sym_QMARK] = ACTIONS(3281),
    [anon_sym_PLUS] = ACTIONS(3283),
    [anon_sym_DASH] = ACTIONS(3283),
    [anon_sym_TILDE] = ACTIONS(3283),
    [anon_sym_AMP] = ACTIONS(3283),
    [anon_sym_PIPE_PIPE] = ACTIONS(3283),
    [anon_sym_or_else] = ACTIONS(3281),
    [anon_sym_AMP_AMP] = ACTIONS(3283),
    [anon_sym_GT] = ACTIONS(3283),
    [anon_sym_GT_EQ] = ACTIONS(3281),
    [anon_sym_LT_EQ] = ACTIONS(3281),
    [anon_sym_LT] = ACTIONS(3283),
    [anon_sym_EQ_EQ] = ACTIONS(3281),
    [anon_sym_BANG_EQ] = ACTIONS(3281),
    [anon_sym_TILDE_EQ] = ACTIONS(3281),
    [anon_sym_PIPE] = ACTIONS(3283),
    [anon_sym_AMP_TILDE] = ACTIONS(3283),
    [anon_sym_LT_LT] = ACTIONS(3283),
    [anon_sym_GT_GT] = ACTIONS(3283),
    [anon_sym_STAR] = ACTIONS(3283),
    [anon_sym_SLASH] = ACTIONS(3283),
    [anon_sym_PERCENT] = ACTIONS(3283),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(3281),
    [anon_sym_DOT] = ACTIONS(3283),
    [anon_sym_LBRACK] = ACTIONS(3281),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(3281),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3281),
    [anon_sym_not_in] = ACTIONS(3281),
    [anon_sym_or_return] = ACTIONS(3281),
    [anon_sym_or_continue] = ACTIONS(3281),
    [anon_sym_or_break] = ACTIONS(3281),
    [anon_sym_CARET] = ACTIONS(3283),
    [sym_uninitialized] = ACTIONS(3285),
    [sym_tag] = ACTIONS(3281),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(3281),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [666] = {
    [sym_block] = STATE(703),
    [anon_sym_LBRACE] = ACTIONS(3279),
    [anon_sym_RBRACE] = ACTIONS(4533),
    [anon_sym_COMMA] = ACTIONS(4533),
    [anon_sym_COLON_COLON] = ACTIONS(4533),
    [anon_sym_DASH_GT] = ACTIONS(4533),
    [anon_sym_where] = ACTIONS(4533),
    [anon_sym_EQ] = ACTIONS(4535),
    [anon_sym_COLON_EQ] = ACTIONS(4533),
    [anon_sym_COLON] = ACTIONS(4535),
    [anon_sym_LPAREN] = ACTIONS(4533),
    [anon_sym_PLUS_EQ] = ACTIONS(4533),
    [anon_sym_DASH_EQ] = ACTIONS(4533),
    [anon_sym_STAR_EQ] = ACTIONS(4533),
    [anon_sym_SLASH_EQ] = ACTIONS(4533),
    [anon_sym_PERCENT_EQ] = ACTIONS(4533),
    [anon_sym_AMP_EQ] = ACTIONS(4533),
    [anon_sym_PIPE_EQ] = ACTIONS(4533),
    [anon_sym_CARET_EQ] = ACTIONS(4533),
    [anon_sym_LT_LT_EQ] = ACTIONS(4533),
    [anon_sym_GT_GT_EQ] = ACTIONS(4533),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4533),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4533),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4533),
    [anon_sym_if] = ACTIONS(4533),
    [anon_sym_SEMI] = ACTIONS(4533),
    [anon_sym_else] = ACTIONS(4533),
    [anon_sym_when] = ACTIONS(4533),
    [anon_sym_in] = ACTIONS(4533),
    [anon_sym_case] = ACTIONS(4533),
    [anon_sym_QMARK] = ACTIONS(4533),
    [anon_sym_PLUS] = ACTIONS(4535),
    [anon_sym_DASH] = ACTIONS(4535),
    [anon_sym_TILDE] = ACTIONS(4535),
    [anon_sym_AMP] = ACTIONS(4535),
    [anon_sym_PIPE_PIPE] = ACTIONS(4535),
    [anon_sym_or_else] = ACTIONS(4533),
    [anon_sym_AMP_AMP] = ACTIONS(4535),
    [anon_sym_GT] = ACTIONS(4535),
    [anon_sym_GT_EQ] = ACTIONS(4533),
    [anon_sym_LT_EQ] = ACTIONS(4533),
    [anon_sym_LT] = ACTIONS(4535),
    [anon_sym_EQ_EQ] = ACTIONS(4533),
    [anon_sym_BANG_EQ] = ACTIONS(4533),
    [anon_sym_TILDE_EQ] = ACTIONS(4533),
    [anon_sym_PIPE] = ACTIONS(4535),
    [anon_sym_AMP_TILDE] = ACTIONS(4535),
    [anon_sym_LT_LT] = ACTIONS(4535),
    [anon_sym_GT_GT] = ACTIONS(4535),
    [anon_sym_STAR] = ACTIONS(4535),
    [anon_sym_SLASH] = ACTIONS(4535),
    [anon_sym_PERCENT] = ACTIONS(4535),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4533),
    [anon_sym_DOT] = ACTIONS(4535),
    [anon_sym_LBRACK] = ACTIONS(4533),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4533),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4533),
    [anon_sym_not_in] = ACTIONS(4533),
    [anon_sym_or_return] = ACTIONS(4533),
    [anon_sym_or_continue] = ACTIONS(4533),
    [anon_sym_or_break] = ACTIONS(4533),
    [anon_sym_CARET] = ACTIONS(4535),
    [sym_uninitialized] = ACTIONS(4537),
    [sym_tag] = ACTIONS(4533),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4533),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [667] = {
    [sym_block] = STATE(700),
    [anon_sym_LBRACE] = ACTIONS(3279),
    [anon_sym_RBRACE] = ACTIONS(3281),
    [anon_sym_COMMA] = ACTIONS(3281),
    [anon_sym_COLON_COLON] = ACTIONS(3281),
    [anon_sym_DASH_GT] = ACTIONS(3281),
    [anon_sym_where] = ACTIONS(3281),
    [anon_sym_EQ] = ACTIONS(3283),
    [anon_sym_COLON_EQ] = ACTIONS(3281),
    [anon_sym_COLON] = ACTIONS(3283),
    [anon_sym_LPAREN] = ACTIONS(3281),
    [anon_sym_PLUS_EQ] = ACTIONS(3281),
    [anon_sym_DASH_EQ] = ACTIONS(3281),
    [anon_sym_STAR_EQ] = ACTIONS(3281),
    [anon_sym_SLASH_EQ] = ACTIONS(3281),
    [anon_sym_PERCENT_EQ] = ACTIONS(3281),
    [anon_sym_AMP_EQ] = ACTIONS(3281),
    [anon_sym_PIPE_EQ] = ACTIONS(3281),
    [anon_sym_CARET_EQ] = ACTIONS(3281),
    [anon_sym_LT_LT_EQ] = ACTIONS(3281),
    [anon_sym_GT_GT_EQ] = ACTIONS(3281),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3281),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3281),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(3281),
    [anon_sym_if] = ACTIONS(3281),
    [anon_sym_SEMI] = ACTIONS(3281),
    [anon_sym_else] = ACTIONS(3281),
    [anon_sym_when] = ACTIONS(3281),
    [anon_sym_in] = ACTIONS(3281),
    [anon_sym_case] = ACTIONS(3281),
    [anon_sym_QMARK] = ACTIONS(3281),
    [anon_sym_PLUS] = ACTIONS(3283),
    [anon_sym_DASH] = ACTIONS(3283),
    [anon_sym_TILDE] = ACTIONS(3283),
    [anon_sym_AMP] = ACTIONS(3283),
    [anon_sym_PIPE_PIPE] = ACTIONS(3283),
    [anon_sym_or_else] = ACTIONS(3281),
    [anon_sym_AMP_AMP] = ACTIONS(3283),
    [anon_sym_GT] = ACTIONS(3283),
    [anon_sym_GT_EQ] = ACTIONS(3281),
    [anon_sym_LT_EQ] = ACTIONS(3281),
    [anon_sym_LT] = ACTIONS(3283),
    [anon_sym_EQ_EQ] = ACTIONS(3281),
    [anon_sym_BANG_EQ] = ACTIONS(3281),
    [anon_sym_TILDE_EQ] = ACTIONS(3281),
    [anon_sym_PIPE] = ACTIONS(3283),
    [anon_sym_AMP_TILDE] = ACTIONS(3283),
    [anon_sym_LT_LT] = ACTIONS(3283),
    [anon_sym_GT_GT] = ACTIONS(3283),
    [anon_sym_STAR] = ACTIONS(3283),
    [anon_sym_SLASH] = ACTIONS(3283),
    [anon_sym_PERCENT] = ACTIONS(3283),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(3281),
    [anon_sym_DOT] = ACTIONS(3283),
    [anon_sym_LBRACK] = ACTIONS(3281),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(3281),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3281),
    [anon_sym_not_in] = ACTIONS(3281),
    [anon_sym_or_return] = ACTIONS(3281),
    [anon_sym_or_continue] = ACTIONS(3281),
    [anon_sym_or_break] = ACTIONS(3281),
    [anon_sym_CARET] = ACTIONS(3283),
    [sym_uninitialized] = ACTIONS(3285),
    [sym_tag] = ACTIONS(3289),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(3281),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [668] = {
    [sym_block] = STATE(699),
    [anon_sym_LBRACE] = ACTIONS(3279),
    [anon_sym_RBRACE] = ACTIONS(3857),
    [anon_sym_COMMA] = ACTIONS(3857),
    [anon_sym_COLON_COLON] = ACTIONS(3857),
    [anon_sym_DASH_GT] = ACTIONS(3857),
    [anon_sym_where] = ACTIONS(3857),
    [anon_sym_EQ] = ACTIONS(3859),
    [anon_sym_COLON_EQ] = ACTIONS(3857),
    [anon_sym_COLON] = ACTIONS(3859),
    [anon_sym_LPAREN] = ACTIONS(3857),
    [anon_sym_PLUS_EQ] = ACTIONS(3857),
    [anon_sym_DASH_EQ] = ACTIONS(3857),
    [anon_sym_STAR_EQ] = ACTIONS(3857),
    [anon_sym_SLASH_EQ] = ACTIONS(3857),
    [anon_sym_PERCENT_EQ] = ACTIONS(3857),
    [anon_sym_AMP_EQ] = ACTIONS(3857),
    [anon_sym_PIPE_EQ] = ACTIONS(3857),
    [anon_sym_CARET_EQ] = ACTIONS(3857),
    [anon_sym_LT_LT_EQ] = ACTIONS(3857),
    [anon_sym_GT_GT_EQ] = ACTIONS(3857),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3857),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3857),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(3857),
    [anon_sym_if] = ACTIONS(3857),
    [anon_sym_SEMI] = ACTIONS(3857),
    [anon_sym_else] = ACTIONS(3857),
    [anon_sym_when] = ACTIONS(3857),
    [anon_sym_in] = ACTIONS(3857),
    [anon_sym_case] = ACTIONS(3857),
    [anon_sym_QMARK] = ACTIONS(3857),
    [anon_sym_PLUS] = ACTIONS(3859),
    [anon_sym_DASH] = ACTIONS(3859),
    [anon_sym_TILDE] = ACTIONS(3859),
    [anon_sym_AMP] = ACTIONS(3859),
    [anon_sym_PIPE_PIPE] = ACTIONS(3859),
    [anon_sym_or_else] = ACTIONS(3857),
    [anon_sym_AMP_AMP] = ACTIONS(3859),
    [anon_sym_GT] = ACTIONS(3859),
    [anon_sym_GT_EQ] = ACTIONS(3857),
    [anon_sym_LT_EQ] = ACTIONS(3857),
    [anon_sym_LT] = ACTIONS(3859),
    [anon_sym_EQ_EQ] = ACTIONS(3857),
    [anon_sym_BANG_EQ] = ACTIONS(3857),
    [anon_sym_TILDE_EQ] = ACTIONS(3857),
    [anon_sym_PIPE] = ACTIONS(3859),
    [anon_sym_AMP_TILDE] = ACTIONS(3859),
    [anon_sym_LT_LT] = ACTIONS(3859),
    [anon_sym_GT_GT] = ACTIONS(3859),
    [anon_sym_STAR] = ACTIONS(3859),
    [anon_sym_SLASH] = ACTIONS(3859),
    [anon_sym_PERCENT] = ACTIONS(3859),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(3857),
    [anon_sym_DOT] = ACTIONS(3859),
    [anon_sym_LBRACK] = ACTIONS(3857),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(3857),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3857),
    [anon_sym_not_in] = ACTIONS(3857),
    [anon_sym_or_return] = ACTIONS(3857),
    [anon_sym_or_continue] = ACTIONS(3857),
    [anon_sym_or_break] = ACTIONS(3857),
    [anon_sym_CARET] = ACTIONS(3859),
    [sym_uninitialized] = ACTIONS(4142),
    [sym_tag] = ACTIONS(4314),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(3857),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [669] = {
    [sym_expression] = STATE(6018),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(4539),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(4541),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(4543),
    [anon_sym_dynamic] = ACTIONS(4545),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [670] = {
    [sym_expression] = STATE(6024),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(4547),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(4549),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(4551),
    [anon_sym_dynamic] = ACTIONS(4553),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [671] = {
    [sym_expression] = STATE(6026),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(4555),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(4557),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(4559),
    [anon_sym_dynamic] = ACTIONS(4561),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [672] = {
    [sym_expression] = STATE(6028),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(4563),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(4565),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(4567),
    [anon_sym_dynamic] = ACTIONS(4569),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [673] = {
    [sym_expression] = STATE(6030),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(4571),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(4573),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(4575),
    [anon_sym_dynamic] = ACTIONS(4577),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [674] = {
    [sym_expression] = STATE(6032),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(4579),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(4581),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(4583),
    [anon_sym_dynamic] = ACTIONS(4585),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [675] = {
    [sym_expression] = STATE(6033),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(4587),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(4589),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(4591),
    [anon_sym_dynamic] = ACTIONS(4593),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [676] = {
    [sym_expression] = STATE(6034),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(4595),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(4597),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(4599),
    [anon_sym_dynamic] = ACTIONS(4601),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [677] = {
    [sym_expression] = STATE(6037),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(4603),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(4605),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(4607),
    [anon_sym_dynamic] = ACTIONS(4609),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [678] = {
    [sym_expression] = STATE(6038),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(4611),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(4613),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(4615),
    [anon_sym_dynamic] = ACTIONS(4617),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [679] = {
    [sym_block] = STATE(702),
    [anon_sym_LBRACE] = ACTIONS(3279),
    [anon_sym_RBRACE] = ACTIONS(4525),
    [anon_sym_COMMA] = ACTIONS(4525),
    [anon_sym_COLON_COLON] = ACTIONS(4525),
    [anon_sym_DASH_GT] = ACTIONS(4525),
    [anon_sym_where] = ACTIONS(4525),
    [anon_sym_EQ] = ACTIONS(4527),
    [anon_sym_COLON_EQ] = ACTIONS(4525),
    [anon_sym_COLON] = ACTIONS(4527),
    [anon_sym_LPAREN] = ACTIONS(4525),
    [anon_sym_PLUS_EQ] = ACTIONS(4525),
    [anon_sym_DASH_EQ] = ACTIONS(4525),
    [anon_sym_STAR_EQ] = ACTIONS(4525),
    [anon_sym_SLASH_EQ] = ACTIONS(4525),
    [anon_sym_PERCENT_EQ] = ACTIONS(4525),
    [anon_sym_AMP_EQ] = ACTIONS(4525),
    [anon_sym_PIPE_EQ] = ACTIONS(4525),
    [anon_sym_CARET_EQ] = ACTIONS(4525),
    [anon_sym_LT_LT_EQ] = ACTIONS(4525),
    [anon_sym_GT_GT_EQ] = ACTIONS(4525),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4525),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4525),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4525),
    [anon_sym_if] = ACTIONS(4525),
    [anon_sym_SEMI] = ACTIONS(4525),
    [anon_sym_else] = ACTIONS(4525),
    [anon_sym_when] = ACTIONS(4525),
    [anon_sym_in] = ACTIONS(4525),
    [anon_sym_case] = ACTIONS(4525),
    [anon_sym_QMARK] = ACTIONS(4525),
    [anon_sym_PLUS] = ACTIONS(4527),
    [anon_sym_DASH] = ACTIONS(4527),
    [anon_sym_TILDE] = ACTIONS(4527),
    [anon_sym_AMP] = ACTIONS(4527),
    [anon_sym_PIPE_PIPE] = ACTIONS(4527),
    [anon_sym_or_else] = ACTIONS(4525),
    [anon_sym_AMP_AMP] = ACTIONS(4527),
    [anon_sym_GT] = ACTIONS(4527),
    [anon_sym_GT_EQ] = ACTIONS(4525),
    [anon_sym_LT_EQ] = ACTIONS(4525),
    [anon_sym_LT] = ACTIONS(4527),
    [anon_sym_EQ_EQ] = ACTIONS(4525),
    [anon_sym_BANG_EQ] = ACTIONS(4525),
    [anon_sym_TILDE_EQ] = ACTIONS(4525),
    [anon_sym_PIPE] = ACTIONS(4527),
    [anon_sym_AMP_TILDE] = ACTIONS(4527),
    [anon_sym_LT_LT] = ACTIONS(4527),
    [anon_sym_GT_GT] = ACTIONS(4527),
    [anon_sym_STAR] = ACTIONS(4527),
    [anon_sym_SLASH] = ACTIONS(4527),
    [anon_sym_PERCENT] = ACTIONS(4527),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4525),
    [anon_sym_DOT] = ACTIONS(4527),
    [anon_sym_LBRACK] = ACTIONS(4525),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4525),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4525),
    [anon_sym_not_in] = ACTIONS(4525),
    [anon_sym_or_return] = ACTIONS(4525),
    [anon_sym_or_continue] = ACTIONS(4525),
    [anon_sym_or_break] = ACTIONS(4525),
    [anon_sym_CARET] = ACTIONS(4527),
    [sym_uninitialized] = ACTIONS(4529),
    [sym_tag] = ACTIONS(4525),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4525),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [680] = {
    [sym_block] = STATE(701),
    [anon_sym_LBRACE] = ACTIONS(3279),
    [anon_sym_RBRACE] = ACTIONS(3291),
    [anon_sym_COMMA] = ACTIONS(3291),
    [anon_sym_COLON_COLON] = ACTIONS(3291),
    [anon_sym_DASH_GT] = ACTIONS(3291),
    [anon_sym_where] = ACTIONS(3291),
    [anon_sym_EQ] = ACTIONS(3293),
    [anon_sym_COLON_EQ] = ACTIONS(3291),
    [anon_sym_COLON] = ACTIONS(3293),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_PLUS_EQ] = ACTIONS(3291),
    [anon_sym_DASH_EQ] = ACTIONS(3291),
    [anon_sym_STAR_EQ] = ACTIONS(3291),
    [anon_sym_SLASH_EQ] = ACTIONS(3291),
    [anon_sym_PERCENT_EQ] = ACTIONS(3291),
    [anon_sym_AMP_EQ] = ACTIONS(3291),
    [anon_sym_PIPE_EQ] = ACTIONS(3291),
    [anon_sym_CARET_EQ] = ACTIONS(3291),
    [anon_sym_LT_LT_EQ] = ACTIONS(3291),
    [anon_sym_GT_GT_EQ] = ACTIONS(3291),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3291),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3291),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(3291),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_SEMI] = ACTIONS(3291),
    [anon_sym_else] = ACTIONS(3291),
    [anon_sym_when] = ACTIONS(3291),
    [anon_sym_in] = ACTIONS(3291),
    [anon_sym_case] = ACTIONS(3291),
    [anon_sym_QMARK] = ACTIONS(3291),
    [anon_sym_PLUS] = ACTIONS(3293),
    [anon_sym_DASH] = ACTIONS(3293),
    [anon_sym_TILDE] = ACTIONS(3293),
    [anon_sym_AMP] = ACTIONS(3293),
    [anon_sym_PIPE_PIPE] = ACTIONS(3293),
    [anon_sym_or_else] = ACTIONS(3291),
    [anon_sym_AMP_AMP] = ACTIONS(3293),
    [anon_sym_GT] = ACTIONS(3293),
    [anon_sym_GT_EQ] = ACTIONS(3291),
    [anon_sym_LT_EQ] = ACTIONS(3291),
    [anon_sym_LT] = ACTIONS(3293),
    [anon_sym_EQ_EQ] = ACTIONS(3291),
    [anon_sym_BANG_EQ] = ACTIONS(3291),
    [anon_sym_TILDE_EQ] = ACTIONS(3291),
    [anon_sym_PIPE] = ACTIONS(3293),
    [anon_sym_AMP_TILDE] = ACTIONS(3293),
    [anon_sym_LT_LT] = ACTIONS(3293),
    [anon_sym_GT_GT] = ACTIONS(3293),
    [anon_sym_STAR] = ACTIONS(3293),
    [anon_sym_SLASH] = ACTIONS(3293),
    [anon_sym_PERCENT] = ACTIONS(3293),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(3291),
    [anon_sym_DOT] = ACTIONS(3293),
    [anon_sym_LBRACK] = ACTIONS(3291),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(3291),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3291),
    [anon_sym_not_in] = ACTIONS(3291),
    [anon_sym_or_return] = ACTIONS(3291),
    [anon_sym_or_continue] = ACTIONS(3291),
    [anon_sym_or_break] = ACTIONS(3291),
    [anon_sym_CARET] = ACTIONS(3293),
    [sym_uninitialized] = ACTIONS(3295),
    [sym_tag] = ACTIONS(3297),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(3291),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [681] = {
    [aux_sym_where_clause_repeat1] = STATE(681),
    [anon_sym_LBRACE] = ACTIONS(4619),
    [anon_sym_RBRACE] = ACTIONS(4619),
    [anon_sym_COMMA] = ACTIONS(4621),
    [anon_sym_COLON_COLON] = ACTIONS(4619),
    [anon_sym_DASH_GT] = ACTIONS(4619),
    [anon_sym_where] = ACTIONS(4619),
    [anon_sym_EQ] = ACTIONS(4624),
    [anon_sym_COLON_EQ] = ACTIONS(4619),
    [anon_sym_COLON] = ACTIONS(4624),
    [anon_sym_LPAREN] = ACTIONS(4619),
    [anon_sym_PLUS_EQ] = ACTIONS(4619),
    [anon_sym_DASH_EQ] = ACTIONS(4619),
    [anon_sym_STAR_EQ] = ACTIONS(4619),
    [anon_sym_SLASH_EQ] = ACTIONS(4619),
    [anon_sym_PERCENT_EQ] = ACTIONS(4619),
    [anon_sym_AMP_EQ] = ACTIONS(4619),
    [anon_sym_PIPE_EQ] = ACTIONS(4619),
    [anon_sym_CARET_EQ] = ACTIONS(4619),
    [anon_sym_LT_LT_EQ] = ACTIONS(4619),
    [anon_sym_GT_GT_EQ] = ACTIONS(4619),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4619),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4619),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4619),
    [anon_sym_if] = ACTIONS(4619),
    [anon_sym_SEMI] = ACTIONS(4619),
    [anon_sym_else] = ACTIONS(4619),
    [anon_sym_when] = ACTIONS(4619),
    [anon_sym_in] = ACTIONS(4619),
    [anon_sym_case] = ACTIONS(4619),
    [anon_sym_QMARK] = ACTIONS(4619),
    [anon_sym_PLUS] = ACTIONS(4624),
    [anon_sym_DASH] = ACTIONS(4624),
    [anon_sym_TILDE] = ACTIONS(4624),
    [anon_sym_AMP] = ACTIONS(4624),
    [anon_sym_PIPE_PIPE] = ACTIONS(4624),
    [anon_sym_or_else] = ACTIONS(4619),
    [anon_sym_AMP_AMP] = ACTIONS(4624),
    [anon_sym_GT] = ACTIONS(4624),
    [anon_sym_GT_EQ] = ACTIONS(4619),
    [anon_sym_LT_EQ] = ACTIONS(4619),
    [anon_sym_LT] = ACTIONS(4624),
    [anon_sym_EQ_EQ] = ACTIONS(4619),
    [anon_sym_BANG_EQ] = ACTIONS(4619),
    [anon_sym_TILDE_EQ] = ACTIONS(4619),
    [anon_sym_PIPE] = ACTIONS(4624),
    [anon_sym_AMP_TILDE] = ACTIONS(4624),
    [anon_sym_LT_LT] = ACTIONS(4624),
    [anon_sym_GT_GT] = ACTIONS(4624),
    [anon_sym_STAR] = ACTIONS(4624),
    [anon_sym_SLASH] = ACTIONS(4624),
    [anon_sym_PERCENT] = ACTIONS(4624),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4619),
    [anon_sym_DOT] = ACTIONS(4624),
    [anon_sym_LBRACK] = ACTIONS(4619),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4619),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4619),
    [anon_sym_not_in] = ACTIONS(4619),
    [anon_sym_or_return] = ACTIONS(4619),
    [anon_sym_or_continue] = ACTIONS(4619),
    [anon_sym_or_break] = ACTIONS(4619),
    [anon_sym_CARET] = ACTIONS(4624),
    [sym_uninitialized] = ACTIONS(4619),
    [sym_tag] = ACTIONS(4619),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4619),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [682] = {
    [aux_sym_struct_type_repeat2] = STATE(654),
    [anon_sym_LBRACE] = ACTIONS(4626),
    [anon_sym_RBRACE] = ACTIONS(4626),
    [anon_sym_COMMA] = ACTIONS(4626),
    [anon_sym_COLON_COLON] = ACTIONS(4626),
    [anon_sym_DASH_GT] = ACTIONS(4626),
    [anon_sym_where] = ACTIONS(4626),
    [anon_sym_EQ] = ACTIONS(4628),
    [anon_sym_COLON_EQ] = ACTIONS(4626),
    [anon_sym_COLON] = ACTIONS(4628),
    [anon_sym_LPAREN] = ACTIONS(4626),
    [anon_sym_PLUS_EQ] = ACTIONS(4626),
    [anon_sym_DASH_EQ] = ACTIONS(4626),
    [anon_sym_STAR_EQ] = ACTIONS(4626),
    [anon_sym_SLASH_EQ] = ACTIONS(4626),
    [anon_sym_PERCENT_EQ] = ACTIONS(4626),
    [anon_sym_AMP_EQ] = ACTIONS(4626),
    [anon_sym_PIPE_EQ] = ACTIONS(4626),
    [anon_sym_CARET_EQ] = ACTIONS(4626),
    [anon_sym_LT_LT_EQ] = ACTIONS(4626),
    [anon_sym_GT_GT_EQ] = ACTIONS(4626),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4626),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4626),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4626),
    [anon_sym_if] = ACTIONS(4626),
    [anon_sym_SEMI] = ACTIONS(4626),
    [anon_sym_else] = ACTIONS(4626),
    [anon_sym_when] = ACTIONS(4626),
    [anon_sym_in] = ACTIONS(4626),
    [anon_sym_case] = ACTIONS(4626),
    [anon_sym_QMARK] = ACTIONS(4626),
    [anon_sym_PLUS] = ACTIONS(4628),
    [anon_sym_DASH] = ACTIONS(4628),
    [anon_sym_TILDE] = ACTIONS(4628),
    [anon_sym_AMP] = ACTIONS(4628),
    [anon_sym_PIPE_PIPE] = ACTIONS(4628),
    [anon_sym_or_else] = ACTIONS(4626),
    [anon_sym_AMP_AMP] = ACTIONS(4628),
    [anon_sym_GT] = ACTIONS(4628),
    [anon_sym_GT_EQ] = ACTIONS(4626),
    [anon_sym_LT_EQ] = ACTIONS(4626),
    [anon_sym_LT] = ACTIONS(4628),
    [anon_sym_EQ_EQ] = ACTIONS(4626),
    [anon_sym_BANG_EQ] = ACTIONS(4626),
    [anon_sym_TILDE_EQ] = ACTIONS(4626),
    [anon_sym_PIPE] = ACTIONS(4628),
    [anon_sym_AMP_TILDE] = ACTIONS(4628),
    [anon_sym_LT_LT] = ACTIONS(4628),
    [anon_sym_GT_GT] = ACTIONS(4628),
    [anon_sym_STAR] = ACTIONS(4628),
    [anon_sym_SLASH] = ACTIONS(4628),
    [anon_sym_PERCENT] = ACTIONS(4628),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4626),
    [anon_sym_DOT] = ACTIONS(4628),
    [anon_sym_LBRACK] = ACTIONS(4626),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4626),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4626),
    [anon_sym_not_in] = ACTIONS(4626),
    [anon_sym_or_return] = ACTIONS(4626),
    [anon_sym_or_continue] = ACTIONS(4626),
    [anon_sym_or_break] = ACTIONS(4626),
    [anon_sym_CARET] = ACTIONS(4628),
    [sym_uninitialized] = ACTIONS(4626),
    [sym_tag] = ACTIONS(4626),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4626),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [683] = {
    [sym_expression] = STATE(5969),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_constant_type] = STATE(8067),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(4630),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [684] = {
    [anon_sym_LBRACE] = ACTIONS(4632),
    [anon_sym_RBRACE] = ACTIONS(4632),
    [anon_sym_COMMA] = ACTIONS(4632),
    [anon_sym_COLON_COLON] = ACTIONS(4632),
    [anon_sym_DASH_GT] = ACTIONS(4632),
    [anon_sym_where] = ACTIONS(4632),
    [anon_sym_EQ] = ACTIONS(4634),
    [anon_sym_COLON_EQ] = ACTIONS(4632),
    [anon_sym_COLON] = ACTIONS(4634),
    [anon_sym_LPAREN] = ACTIONS(4632),
    [anon_sym_PLUS_EQ] = ACTIONS(4632),
    [anon_sym_DASH_EQ] = ACTIONS(4632),
    [anon_sym_STAR_EQ] = ACTIONS(4632),
    [anon_sym_SLASH_EQ] = ACTIONS(4632),
    [anon_sym_PERCENT_EQ] = ACTIONS(4632),
    [anon_sym_AMP_EQ] = ACTIONS(4632),
    [anon_sym_PIPE_EQ] = ACTIONS(4632),
    [anon_sym_CARET_EQ] = ACTIONS(4632),
    [anon_sym_LT_LT_EQ] = ACTIONS(4632),
    [anon_sym_GT_GT_EQ] = ACTIONS(4632),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4632),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4632),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4632),
    [anon_sym_if] = ACTIONS(4632),
    [anon_sym_SEMI] = ACTIONS(4632),
    [anon_sym_else] = ACTIONS(4632),
    [anon_sym_when] = ACTIONS(4632),
    [anon_sym_in] = ACTIONS(4632),
    [anon_sym_case] = ACTIONS(4632),
    [anon_sym_QMARK] = ACTIONS(4632),
    [anon_sym_PLUS] = ACTIONS(4634),
    [anon_sym_DASH] = ACTIONS(4634),
    [anon_sym_TILDE] = ACTIONS(4634),
    [anon_sym_AMP] = ACTIONS(4634),
    [anon_sym_PIPE_PIPE] = ACTIONS(4634),
    [anon_sym_or_else] = ACTIONS(4632),
    [anon_sym_AMP_AMP] = ACTIONS(4634),
    [anon_sym_GT] = ACTIONS(4634),
    [anon_sym_GT_EQ] = ACTIONS(4632),
    [anon_sym_LT_EQ] = ACTIONS(4632),
    [anon_sym_LT] = ACTIONS(4634),
    [anon_sym_EQ_EQ] = ACTIONS(4632),
    [anon_sym_BANG_EQ] = ACTIONS(4632),
    [anon_sym_TILDE_EQ] = ACTIONS(4632),
    [anon_sym_PIPE] = ACTIONS(4634),
    [anon_sym_AMP_TILDE] = ACTIONS(4634),
    [anon_sym_LT_LT] = ACTIONS(4634),
    [anon_sym_GT_GT] = ACTIONS(4634),
    [anon_sym_STAR] = ACTIONS(4634),
    [anon_sym_SLASH] = ACTIONS(4634),
    [anon_sym_PERCENT] = ACTIONS(4634),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4632),
    [anon_sym_DOT] = ACTIONS(4634),
    [anon_sym_LBRACK] = ACTIONS(4632),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4632),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4632),
    [anon_sym_not_in] = ACTIONS(4632),
    [anon_sym_or_return] = ACTIONS(4632),
    [anon_sym_or_continue] = ACTIONS(4632),
    [anon_sym_or_break] = ACTIONS(4632),
    [anon_sym_CARET] = ACTIONS(4634),
    [sym_uninitialized] = ACTIONS(4632),
    [sym_tag] = ACTIONS(4632),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4632),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [685] = {
    [anon_sym_LBRACE] = ACTIONS(4636),
    [anon_sym_RBRACE] = ACTIONS(4636),
    [anon_sym_COMMA] = ACTIONS(4636),
    [anon_sym_COLON_COLON] = ACTIONS(4636),
    [anon_sym_DASH_GT] = ACTIONS(4636),
    [anon_sym_where] = ACTIONS(4636),
    [anon_sym_EQ] = ACTIONS(4638),
    [anon_sym_COLON_EQ] = ACTIONS(4636),
    [anon_sym_COLON] = ACTIONS(4638),
    [anon_sym_LPAREN] = ACTIONS(4636),
    [anon_sym_PLUS_EQ] = ACTIONS(4636),
    [anon_sym_DASH_EQ] = ACTIONS(4636),
    [anon_sym_STAR_EQ] = ACTIONS(4636),
    [anon_sym_SLASH_EQ] = ACTIONS(4636),
    [anon_sym_PERCENT_EQ] = ACTIONS(4636),
    [anon_sym_AMP_EQ] = ACTIONS(4636),
    [anon_sym_PIPE_EQ] = ACTIONS(4636),
    [anon_sym_CARET_EQ] = ACTIONS(4636),
    [anon_sym_LT_LT_EQ] = ACTIONS(4636),
    [anon_sym_GT_GT_EQ] = ACTIONS(4636),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4636),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4636),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4636),
    [anon_sym_if] = ACTIONS(4636),
    [anon_sym_SEMI] = ACTIONS(4636),
    [anon_sym_else] = ACTIONS(4636),
    [anon_sym_when] = ACTIONS(4636),
    [anon_sym_in] = ACTIONS(4636),
    [anon_sym_case] = ACTIONS(4636),
    [anon_sym_QMARK] = ACTIONS(4636),
    [anon_sym_PLUS] = ACTIONS(4638),
    [anon_sym_DASH] = ACTIONS(4638),
    [anon_sym_TILDE] = ACTIONS(4638),
    [anon_sym_AMP] = ACTIONS(4638),
    [anon_sym_PIPE_PIPE] = ACTIONS(4638),
    [anon_sym_or_else] = ACTIONS(4636),
    [anon_sym_AMP_AMP] = ACTIONS(4638),
    [anon_sym_GT] = ACTIONS(4638),
    [anon_sym_GT_EQ] = ACTIONS(4636),
    [anon_sym_LT_EQ] = ACTIONS(4636),
    [anon_sym_LT] = ACTIONS(4638),
    [anon_sym_EQ_EQ] = ACTIONS(4636),
    [anon_sym_BANG_EQ] = ACTIONS(4636),
    [anon_sym_TILDE_EQ] = ACTIONS(4636),
    [anon_sym_PIPE] = ACTIONS(4638),
    [anon_sym_AMP_TILDE] = ACTIONS(4638),
    [anon_sym_LT_LT] = ACTIONS(4638),
    [anon_sym_GT_GT] = ACTIONS(4638),
    [anon_sym_STAR] = ACTIONS(4638),
    [anon_sym_SLASH] = ACTIONS(4638),
    [anon_sym_PERCENT] = ACTIONS(4638),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4636),
    [anon_sym_DOT] = ACTIONS(4638),
    [anon_sym_LBRACK] = ACTIONS(4636),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4636),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4636),
    [anon_sym_not_in] = ACTIONS(4636),
    [anon_sym_or_return] = ACTIONS(4636),
    [anon_sym_or_continue] = ACTIONS(4636),
    [anon_sym_or_break] = ACTIONS(4636),
    [anon_sym_CARET] = ACTIONS(4638),
    [sym_uninitialized] = ACTIONS(4636),
    [sym_tag] = ACTIONS(4636),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4636),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [686] = {
    [anon_sym_LBRACE] = ACTIONS(4640),
    [anon_sym_RBRACE] = ACTIONS(4640),
    [anon_sym_COMMA] = ACTIONS(4640),
    [anon_sym_COLON_COLON] = ACTIONS(4640),
    [anon_sym_DASH_GT] = ACTIONS(4640),
    [anon_sym_where] = ACTIONS(4640),
    [anon_sym_EQ] = ACTIONS(4642),
    [anon_sym_COLON_EQ] = ACTIONS(4640),
    [anon_sym_COLON] = ACTIONS(4642),
    [anon_sym_LPAREN] = ACTIONS(4640),
    [anon_sym_PLUS_EQ] = ACTIONS(4640),
    [anon_sym_DASH_EQ] = ACTIONS(4640),
    [anon_sym_STAR_EQ] = ACTIONS(4640),
    [anon_sym_SLASH_EQ] = ACTIONS(4640),
    [anon_sym_PERCENT_EQ] = ACTIONS(4640),
    [anon_sym_AMP_EQ] = ACTIONS(4640),
    [anon_sym_PIPE_EQ] = ACTIONS(4640),
    [anon_sym_CARET_EQ] = ACTIONS(4640),
    [anon_sym_LT_LT_EQ] = ACTIONS(4640),
    [anon_sym_GT_GT_EQ] = ACTIONS(4640),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4640),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4640),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4640),
    [anon_sym_if] = ACTIONS(4640),
    [anon_sym_SEMI] = ACTIONS(4640),
    [anon_sym_else] = ACTIONS(4640),
    [anon_sym_when] = ACTIONS(4640),
    [anon_sym_in] = ACTIONS(4640),
    [anon_sym_case] = ACTIONS(4640),
    [anon_sym_QMARK] = ACTIONS(4640),
    [anon_sym_PLUS] = ACTIONS(4642),
    [anon_sym_DASH] = ACTIONS(4642),
    [anon_sym_TILDE] = ACTIONS(4642),
    [anon_sym_AMP] = ACTIONS(4642),
    [anon_sym_PIPE_PIPE] = ACTIONS(4642),
    [anon_sym_or_else] = ACTIONS(4640),
    [anon_sym_AMP_AMP] = ACTIONS(4642),
    [anon_sym_GT] = ACTIONS(4642),
    [anon_sym_GT_EQ] = ACTIONS(4640),
    [anon_sym_LT_EQ] = ACTIONS(4640),
    [anon_sym_LT] = ACTIONS(4642),
    [anon_sym_EQ_EQ] = ACTIONS(4640),
    [anon_sym_BANG_EQ] = ACTIONS(4640),
    [anon_sym_TILDE_EQ] = ACTIONS(4640),
    [anon_sym_PIPE] = ACTIONS(4642),
    [anon_sym_AMP_TILDE] = ACTIONS(4642),
    [anon_sym_LT_LT] = ACTIONS(4642),
    [anon_sym_GT_GT] = ACTIONS(4642),
    [anon_sym_STAR] = ACTIONS(4642),
    [anon_sym_SLASH] = ACTIONS(4642),
    [anon_sym_PERCENT] = ACTIONS(4642),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4640),
    [anon_sym_DOT] = ACTIONS(4642),
    [anon_sym_LBRACK] = ACTIONS(4640),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4640),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4640),
    [anon_sym_not_in] = ACTIONS(4640),
    [anon_sym_or_return] = ACTIONS(4640),
    [anon_sym_or_continue] = ACTIONS(4640),
    [anon_sym_or_break] = ACTIONS(4640),
    [anon_sym_CARET] = ACTIONS(4642),
    [sym_uninitialized] = ACTIONS(4640),
    [sym_tag] = ACTIONS(4640),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4640),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [687] = {
    [anon_sym_LBRACE] = ACTIONS(4644),
    [anon_sym_RBRACE] = ACTIONS(4644),
    [anon_sym_COMMA] = ACTIONS(4644),
    [anon_sym_COLON_COLON] = ACTIONS(4644),
    [anon_sym_DASH_GT] = ACTIONS(4644),
    [anon_sym_where] = ACTIONS(4644),
    [anon_sym_EQ] = ACTIONS(4646),
    [anon_sym_COLON_EQ] = ACTIONS(4644),
    [anon_sym_COLON] = ACTIONS(4646),
    [anon_sym_LPAREN] = ACTIONS(4644),
    [anon_sym_PLUS_EQ] = ACTIONS(4644),
    [anon_sym_DASH_EQ] = ACTIONS(4644),
    [anon_sym_STAR_EQ] = ACTIONS(4644),
    [anon_sym_SLASH_EQ] = ACTIONS(4644),
    [anon_sym_PERCENT_EQ] = ACTIONS(4644),
    [anon_sym_AMP_EQ] = ACTIONS(4644),
    [anon_sym_PIPE_EQ] = ACTIONS(4644),
    [anon_sym_CARET_EQ] = ACTIONS(4644),
    [anon_sym_LT_LT_EQ] = ACTIONS(4644),
    [anon_sym_GT_GT_EQ] = ACTIONS(4644),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4644),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4644),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4644),
    [anon_sym_if] = ACTIONS(4644),
    [anon_sym_SEMI] = ACTIONS(4644),
    [anon_sym_else] = ACTIONS(4644),
    [anon_sym_when] = ACTIONS(4644),
    [anon_sym_in] = ACTIONS(4644),
    [anon_sym_case] = ACTIONS(4644),
    [anon_sym_QMARK] = ACTIONS(4644),
    [anon_sym_PLUS] = ACTIONS(4646),
    [anon_sym_DASH] = ACTIONS(4646),
    [anon_sym_TILDE] = ACTIONS(4646),
    [anon_sym_AMP] = ACTIONS(4646),
    [anon_sym_PIPE_PIPE] = ACTIONS(4646),
    [anon_sym_or_else] = ACTIONS(4644),
    [anon_sym_AMP_AMP] = ACTIONS(4646),
    [anon_sym_GT] = ACTIONS(4646),
    [anon_sym_GT_EQ] = ACTIONS(4644),
    [anon_sym_LT_EQ] = ACTIONS(4644),
    [anon_sym_LT] = ACTIONS(4646),
    [anon_sym_EQ_EQ] = ACTIONS(4644),
    [anon_sym_BANG_EQ] = ACTIONS(4644),
    [anon_sym_TILDE_EQ] = ACTIONS(4644),
    [anon_sym_PIPE] = ACTIONS(4646),
    [anon_sym_AMP_TILDE] = ACTIONS(4646),
    [anon_sym_LT_LT] = ACTIONS(4646),
    [anon_sym_GT_GT] = ACTIONS(4646),
    [anon_sym_STAR] = ACTIONS(4646),
    [anon_sym_SLASH] = ACTIONS(4646),
    [anon_sym_PERCENT] = ACTIONS(4646),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4644),
    [anon_sym_DOT] = ACTIONS(4646),
    [anon_sym_LBRACK] = ACTIONS(4644),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4644),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4644),
    [anon_sym_not_in] = ACTIONS(4644),
    [anon_sym_or_return] = ACTIONS(4644),
    [anon_sym_or_continue] = ACTIONS(4644),
    [anon_sym_or_break] = ACTIONS(4644),
    [anon_sym_CARET] = ACTIONS(4646),
    [sym_uninitialized] = ACTIONS(4644),
    [sym_tag] = ACTIONS(4644),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4644),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [688] = {
    [anon_sym_LBRACE] = ACTIONS(4648),
    [anon_sym_RBRACE] = ACTIONS(4648),
    [anon_sym_COMMA] = ACTIONS(4648),
    [anon_sym_COLON_COLON] = ACTIONS(4648),
    [anon_sym_DASH_GT] = ACTIONS(4648),
    [anon_sym_where] = ACTIONS(4648),
    [anon_sym_EQ] = ACTIONS(4650),
    [anon_sym_COLON_EQ] = ACTIONS(4648),
    [anon_sym_COLON] = ACTIONS(4650),
    [anon_sym_LPAREN] = ACTIONS(4648),
    [anon_sym_PLUS_EQ] = ACTIONS(4648),
    [anon_sym_DASH_EQ] = ACTIONS(4648),
    [anon_sym_STAR_EQ] = ACTIONS(4648),
    [anon_sym_SLASH_EQ] = ACTIONS(4648),
    [anon_sym_PERCENT_EQ] = ACTIONS(4648),
    [anon_sym_AMP_EQ] = ACTIONS(4648),
    [anon_sym_PIPE_EQ] = ACTIONS(4648),
    [anon_sym_CARET_EQ] = ACTIONS(4648),
    [anon_sym_LT_LT_EQ] = ACTIONS(4648),
    [anon_sym_GT_GT_EQ] = ACTIONS(4648),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4648),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4648),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4648),
    [anon_sym_if] = ACTIONS(4648),
    [anon_sym_SEMI] = ACTIONS(4648),
    [anon_sym_else] = ACTIONS(4648),
    [anon_sym_when] = ACTIONS(4648),
    [anon_sym_in] = ACTIONS(4648),
    [anon_sym_case] = ACTIONS(4648),
    [anon_sym_QMARK] = ACTIONS(4648),
    [anon_sym_PLUS] = ACTIONS(4650),
    [anon_sym_DASH] = ACTIONS(4650),
    [anon_sym_TILDE] = ACTIONS(4650),
    [anon_sym_AMP] = ACTIONS(4650),
    [anon_sym_PIPE_PIPE] = ACTIONS(4650),
    [anon_sym_or_else] = ACTIONS(4648),
    [anon_sym_AMP_AMP] = ACTIONS(4650),
    [anon_sym_GT] = ACTIONS(4650),
    [anon_sym_GT_EQ] = ACTIONS(4648),
    [anon_sym_LT_EQ] = ACTIONS(4648),
    [anon_sym_LT] = ACTIONS(4650),
    [anon_sym_EQ_EQ] = ACTIONS(4648),
    [anon_sym_BANG_EQ] = ACTIONS(4648),
    [anon_sym_TILDE_EQ] = ACTIONS(4648),
    [anon_sym_PIPE] = ACTIONS(4650),
    [anon_sym_AMP_TILDE] = ACTIONS(4650),
    [anon_sym_LT_LT] = ACTIONS(4650),
    [anon_sym_GT_GT] = ACTIONS(4650),
    [anon_sym_STAR] = ACTIONS(4650),
    [anon_sym_SLASH] = ACTIONS(4650),
    [anon_sym_PERCENT] = ACTIONS(4650),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4648),
    [anon_sym_DOT] = ACTIONS(4650),
    [anon_sym_LBRACK] = ACTIONS(4648),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4648),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4648),
    [anon_sym_not_in] = ACTIONS(4648),
    [anon_sym_or_return] = ACTIONS(4648),
    [anon_sym_or_continue] = ACTIONS(4648),
    [anon_sym_or_break] = ACTIONS(4648),
    [anon_sym_CARET] = ACTIONS(4650),
    [sym_uninitialized] = ACTIONS(4648),
    [sym_tag] = ACTIONS(4648),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4648),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [689] = {
    [anon_sym_LBRACE] = ACTIONS(4652),
    [anon_sym_RBRACE] = ACTIONS(4652),
    [anon_sym_COMMA] = ACTIONS(4652),
    [anon_sym_COLON_COLON] = ACTIONS(4652),
    [anon_sym_DASH_GT] = ACTIONS(4652),
    [anon_sym_where] = ACTIONS(4652),
    [anon_sym_EQ] = ACTIONS(4654),
    [anon_sym_COLON_EQ] = ACTIONS(4652),
    [anon_sym_COLON] = ACTIONS(4654),
    [anon_sym_LPAREN] = ACTIONS(4652),
    [anon_sym_PLUS_EQ] = ACTIONS(4652),
    [anon_sym_DASH_EQ] = ACTIONS(4652),
    [anon_sym_STAR_EQ] = ACTIONS(4652),
    [anon_sym_SLASH_EQ] = ACTIONS(4652),
    [anon_sym_PERCENT_EQ] = ACTIONS(4652),
    [anon_sym_AMP_EQ] = ACTIONS(4652),
    [anon_sym_PIPE_EQ] = ACTIONS(4652),
    [anon_sym_CARET_EQ] = ACTIONS(4652),
    [anon_sym_LT_LT_EQ] = ACTIONS(4652),
    [anon_sym_GT_GT_EQ] = ACTIONS(4652),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4652),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4652),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4652),
    [anon_sym_if] = ACTIONS(4652),
    [anon_sym_SEMI] = ACTIONS(4652),
    [anon_sym_else] = ACTIONS(4652),
    [anon_sym_when] = ACTIONS(4652),
    [anon_sym_in] = ACTIONS(4652),
    [anon_sym_case] = ACTIONS(4652),
    [anon_sym_QMARK] = ACTIONS(4652),
    [anon_sym_PLUS] = ACTIONS(4654),
    [anon_sym_DASH] = ACTIONS(4654),
    [anon_sym_TILDE] = ACTIONS(4654),
    [anon_sym_AMP] = ACTIONS(4654),
    [anon_sym_PIPE_PIPE] = ACTIONS(4654),
    [anon_sym_or_else] = ACTIONS(4652),
    [anon_sym_AMP_AMP] = ACTIONS(4654),
    [anon_sym_GT] = ACTIONS(4654),
    [anon_sym_GT_EQ] = ACTIONS(4652),
    [anon_sym_LT_EQ] = ACTIONS(4652),
    [anon_sym_LT] = ACTIONS(4654),
    [anon_sym_EQ_EQ] = ACTIONS(4652),
    [anon_sym_BANG_EQ] = ACTIONS(4652),
    [anon_sym_TILDE_EQ] = ACTIONS(4652),
    [anon_sym_PIPE] = ACTIONS(4654),
    [anon_sym_AMP_TILDE] = ACTIONS(4654),
    [anon_sym_LT_LT] = ACTIONS(4654),
    [anon_sym_GT_GT] = ACTIONS(4654),
    [anon_sym_STAR] = ACTIONS(4654),
    [anon_sym_SLASH] = ACTIONS(4654),
    [anon_sym_PERCENT] = ACTIONS(4654),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4652),
    [anon_sym_DOT] = ACTIONS(4654),
    [anon_sym_LBRACK] = ACTIONS(4652),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4652),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4652),
    [anon_sym_not_in] = ACTIONS(4652),
    [anon_sym_or_return] = ACTIONS(4652),
    [anon_sym_or_continue] = ACTIONS(4652),
    [anon_sym_or_break] = ACTIONS(4652),
    [anon_sym_CARET] = ACTIONS(4654),
    [sym_uninitialized] = ACTIONS(4652),
    [sym_tag] = ACTIONS(4652),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4652),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [690] = {
    [anon_sym_LBRACE] = ACTIONS(4656),
    [anon_sym_RBRACE] = ACTIONS(4656),
    [anon_sym_COMMA] = ACTIONS(4656),
    [anon_sym_COLON_COLON] = ACTIONS(4656),
    [anon_sym_DASH_GT] = ACTIONS(4656),
    [anon_sym_where] = ACTIONS(4656),
    [anon_sym_EQ] = ACTIONS(4658),
    [anon_sym_COLON_EQ] = ACTIONS(4656),
    [anon_sym_COLON] = ACTIONS(4658),
    [anon_sym_LPAREN] = ACTIONS(4656),
    [anon_sym_PLUS_EQ] = ACTIONS(4656),
    [anon_sym_DASH_EQ] = ACTIONS(4656),
    [anon_sym_STAR_EQ] = ACTIONS(4656),
    [anon_sym_SLASH_EQ] = ACTIONS(4656),
    [anon_sym_PERCENT_EQ] = ACTIONS(4656),
    [anon_sym_AMP_EQ] = ACTIONS(4656),
    [anon_sym_PIPE_EQ] = ACTIONS(4656),
    [anon_sym_CARET_EQ] = ACTIONS(4656),
    [anon_sym_LT_LT_EQ] = ACTIONS(4656),
    [anon_sym_GT_GT_EQ] = ACTIONS(4656),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4656),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4656),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4656),
    [anon_sym_if] = ACTIONS(4656),
    [anon_sym_SEMI] = ACTIONS(4656),
    [anon_sym_else] = ACTIONS(4656),
    [anon_sym_when] = ACTIONS(4656),
    [anon_sym_in] = ACTIONS(4656),
    [anon_sym_case] = ACTIONS(4656),
    [anon_sym_QMARK] = ACTIONS(4656),
    [anon_sym_PLUS] = ACTIONS(4658),
    [anon_sym_DASH] = ACTIONS(4658),
    [anon_sym_TILDE] = ACTIONS(4658),
    [anon_sym_AMP] = ACTIONS(4658),
    [anon_sym_PIPE_PIPE] = ACTIONS(4658),
    [anon_sym_or_else] = ACTIONS(4656),
    [anon_sym_AMP_AMP] = ACTIONS(4658),
    [anon_sym_GT] = ACTIONS(4658),
    [anon_sym_GT_EQ] = ACTIONS(4656),
    [anon_sym_LT_EQ] = ACTIONS(4656),
    [anon_sym_LT] = ACTIONS(4658),
    [anon_sym_EQ_EQ] = ACTIONS(4656),
    [anon_sym_BANG_EQ] = ACTIONS(4656),
    [anon_sym_TILDE_EQ] = ACTIONS(4656),
    [anon_sym_PIPE] = ACTIONS(4658),
    [anon_sym_AMP_TILDE] = ACTIONS(4658),
    [anon_sym_LT_LT] = ACTIONS(4658),
    [anon_sym_GT_GT] = ACTIONS(4658),
    [anon_sym_STAR] = ACTIONS(4658),
    [anon_sym_SLASH] = ACTIONS(4658),
    [anon_sym_PERCENT] = ACTIONS(4658),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4656),
    [anon_sym_DOT] = ACTIONS(4658),
    [anon_sym_LBRACK] = ACTIONS(4656),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4656),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4656),
    [anon_sym_not_in] = ACTIONS(4656),
    [anon_sym_or_return] = ACTIONS(4656),
    [anon_sym_or_continue] = ACTIONS(4656),
    [anon_sym_or_break] = ACTIONS(4656),
    [anon_sym_CARET] = ACTIONS(4658),
    [sym_uninitialized] = ACTIONS(4656),
    [sym_tag] = ACTIONS(4656),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4656),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [691] = {
    [anon_sym_LBRACE] = ACTIONS(4660),
    [anon_sym_RBRACE] = ACTIONS(4660),
    [anon_sym_COMMA] = ACTIONS(4660),
    [anon_sym_COLON_COLON] = ACTIONS(4660),
    [anon_sym_DASH_GT] = ACTIONS(4660),
    [anon_sym_where] = ACTIONS(4660),
    [anon_sym_EQ] = ACTIONS(4662),
    [anon_sym_COLON_EQ] = ACTIONS(4660),
    [anon_sym_COLON] = ACTIONS(4662),
    [anon_sym_LPAREN] = ACTIONS(4660),
    [anon_sym_PLUS_EQ] = ACTIONS(4660),
    [anon_sym_DASH_EQ] = ACTIONS(4660),
    [anon_sym_STAR_EQ] = ACTIONS(4660),
    [anon_sym_SLASH_EQ] = ACTIONS(4660),
    [anon_sym_PERCENT_EQ] = ACTIONS(4660),
    [anon_sym_AMP_EQ] = ACTIONS(4660),
    [anon_sym_PIPE_EQ] = ACTIONS(4660),
    [anon_sym_CARET_EQ] = ACTIONS(4660),
    [anon_sym_LT_LT_EQ] = ACTIONS(4660),
    [anon_sym_GT_GT_EQ] = ACTIONS(4660),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4660),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4660),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4660),
    [anon_sym_if] = ACTIONS(4660),
    [anon_sym_SEMI] = ACTIONS(4660),
    [anon_sym_else] = ACTIONS(4660),
    [anon_sym_when] = ACTIONS(4660),
    [anon_sym_in] = ACTIONS(4660),
    [anon_sym_case] = ACTIONS(4660),
    [anon_sym_QMARK] = ACTIONS(4660),
    [anon_sym_PLUS] = ACTIONS(4662),
    [anon_sym_DASH] = ACTIONS(4662),
    [anon_sym_TILDE] = ACTIONS(4662),
    [anon_sym_AMP] = ACTIONS(4662),
    [anon_sym_PIPE_PIPE] = ACTIONS(4662),
    [anon_sym_or_else] = ACTIONS(4660),
    [anon_sym_AMP_AMP] = ACTIONS(4662),
    [anon_sym_GT] = ACTIONS(4662),
    [anon_sym_GT_EQ] = ACTIONS(4660),
    [anon_sym_LT_EQ] = ACTIONS(4660),
    [anon_sym_LT] = ACTIONS(4662),
    [anon_sym_EQ_EQ] = ACTIONS(4660),
    [anon_sym_BANG_EQ] = ACTIONS(4660),
    [anon_sym_TILDE_EQ] = ACTIONS(4660),
    [anon_sym_PIPE] = ACTIONS(4662),
    [anon_sym_AMP_TILDE] = ACTIONS(4662),
    [anon_sym_LT_LT] = ACTIONS(4662),
    [anon_sym_GT_GT] = ACTIONS(4662),
    [anon_sym_STAR] = ACTIONS(4662),
    [anon_sym_SLASH] = ACTIONS(4662),
    [anon_sym_PERCENT] = ACTIONS(4662),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4660),
    [anon_sym_DOT] = ACTIONS(4662),
    [anon_sym_LBRACK] = ACTIONS(4660),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4660),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4660),
    [anon_sym_not_in] = ACTIONS(4660),
    [anon_sym_or_return] = ACTIONS(4660),
    [anon_sym_or_continue] = ACTIONS(4660),
    [anon_sym_or_break] = ACTIONS(4660),
    [anon_sym_CARET] = ACTIONS(4662),
    [sym_uninitialized] = ACTIONS(4660),
    [sym_tag] = ACTIONS(4660),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4660),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [692] = {
    [anon_sym_LBRACE] = ACTIONS(4664),
    [anon_sym_RBRACE] = ACTIONS(4664),
    [anon_sym_COMMA] = ACTIONS(4664),
    [anon_sym_COLON_COLON] = ACTIONS(4664),
    [anon_sym_DASH_GT] = ACTIONS(4664),
    [anon_sym_where] = ACTIONS(4664),
    [anon_sym_EQ] = ACTIONS(4666),
    [anon_sym_COLON_EQ] = ACTIONS(4664),
    [anon_sym_COLON] = ACTIONS(4666),
    [anon_sym_LPAREN] = ACTIONS(4664),
    [anon_sym_PLUS_EQ] = ACTIONS(4664),
    [anon_sym_DASH_EQ] = ACTIONS(4664),
    [anon_sym_STAR_EQ] = ACTIONS(4664),
    [anon_sym_SLASH_EQ] = ACTIONS(4664),
    [anon_sym_PERCENT_EQ] = ACTIONS(4664),
    [anon_sym_AMP_EQ] = ACTIONS(4664),
    [anon_sym_PIPE_EQ] = ACTIONS(4664),
    [anon_sym_CARET_EQ] = ACTIONS(4664),
    [anon_sym_LT_LT_EQ] = ACTIONS(4664),
    [anon_sym_GT_GT_EQ] = ACTIONS(4664),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4664),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4664),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4664),
    [anon_sym_if] = ACTIONS(4664),
    [anon_sym_SEMI] = ACTIONS(4664),
    [anon_sym_else] = ACTIONS(4664),
    [anon_sym_when] = ACTIONS(4664),
    [anon_sym_in] = ACTIONS(4664),
    [anon_sym_case] = ACTIONS(4664),
    [anon_sym_QMARK] = ACTIONS(4664),
    [anon_sym_PLUS] = ACTIONS(4666),
    [anon_sym_DASH] = ACTIONS(4666),
    [anon_sym_TILDE] = ACTIONS(4666),
    [anon_sym_AMP] = ACTIONS(4666),
    [anon_sym_PIPE_PIPE] = ACTIONS(4666),
    [anon_sym_or_else] = ACTIONS(4664),
    [anon_sym_AMP_AMP] = ACTIONS(4666),
    [anon_sym_GT] = ACTIONS(4666),
    [anon_sym_GT_EQ] = ACTIONS(4664),
    [anon_sym_LT_EQ] = ACTIONS(4664),
    [anon_sym_LT] = ACTIONS(4666),
    [anon_sym_EQ_EQ] = ACTIONS(4664),
    [anon_sym_BANG_EQ] = ACTIONS(4664),
    [anon_sym_TILDE_EQ] = ACTIONS(4664),
    [anon_sym_PIPE] = ACTIONS(4666),
    [anon_sym_AMP_TILDE] = ACTIONS(4666),
    [anon_sym_LT_LT] = ACTIONS(4666),
    [anon_sym_GT_GT] = ACTIONS(4666),
    [anon_sym_STAR] = ACTIONS(4666),
    [anon_sym_SLASH] = ACTIONS(4666),
    [anon_sym_PERCENT] = ACTIONS(4666),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4664),
    [anon_sym_DOT] = ACTIONS(4666),
    [anon_sym_LBRACK] = ACTIONS(4664),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4664),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4664),
    [anon_sym_not_in] = ACTIONS(4664),
    [anon_sym_or_return] = ACTIONS(4664),
    [anon_sym_or_continue] = ACTIONS(4664),
    [anon_sym_or_break] = ACTIONS(4664),
    [anon_sym_CARET] = ACTIONS(4666),
    [sym_uninitialized] = ACTIONS(4664),
    [sym_tag] = ACTIONS(4664),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4664),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [693] = {
    [anon_sym_LBRACE] = ACTIONS(4668),
    [anon_sym_RBRACE] = ACTIONS(4668),
    [anon_sym_COMMA] = ACTIONS(4668),
    [anon_sym_COLON_COLON] = ACTIONS(4668),
    [anon_sym_DASH_GT] = ACTIONS(4668),
    [anon_sym_where] = ACTIONS(4668),
    [anon_sym_EQ] = ACTIONS(4670),
    [anon_sym_COLON_EQ] = ACTIONS(4668),
    [anon_sym_COLON] = ACTIONS(4670),
    [anon_sym_LPAREN] = ACTIONS(4668),
    [anon_sym_PLUS_EQ] = ACTIONS(4668),
    [anon_sym_DASH_EQ] = ACTIONS(4668),
    [anon_sym_STAR_EQ] = ACTIONS(4668),
    [anon_sym_SLASH_EQ] = ACTIONS(4668),
    [anon_sym_PERCENT_EQ] = ACTIONS(4668),
    [anon_sym_AMP_EQ] = ACTIONS(4668),
    [anon_sym_PIPE_EQ] = ACTIONS(4668),
    [anon_sym_CARET_EQ] = ACTIONS(4668),
    [anon_sym_LT_LT_EQ] = ACTIONS(4668),
    [anon_sym_GT_GT_EQ] = ACTIONS(4668),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4668),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4668),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4668),
    [anon_sym_if] = ACTIONS(4668),
    [anon_sym_SEMI] = ACTIONS(4668),
    [anon_sym_else] = ACTIONS(4668),
    [anon_sym_when] = ACTIONS(4668),
    [anon_sym_in] = ACTIONS(4668),
    [anon_sym_case] = ACTIONS(4668),
    [anon_sym_QMARK] = ACTIONS(4668),
    [anon_sym_PLUS] = ACTIONS(4670),
    [anon_sym_DASH] = ACTIONS(4670),
    [anon_sym_TILDE] = ACTIONS(4670),
    [anon_sym_AMP] = ACTIONS(4670),
    [anon_sym_PIPE_PIPE] = ACTIONS(4670),
    [anon_sym_or_else] = ACTIONS(4668),
    [anon_sym_AMP_AMP] = ACTIONS(4670),
    [anon_sym_GT] = ACTIONS(4670),
    [anon_sym_GT_EQ] = ACTIONS(4668),
    [anon_sym_LT_EQ] = ACTIONS(4668),
    [anon_sym_LT] = ACTIONS(4670),
    [anon_sym_EQ_EQ] = ACTIONS(4668),
    [anon_sym_BANG_EQ] = ACTIONS(4668),
    [anon_sym_TILDE_EQ] = ACTIONS(4668),
    [anon_sym_PIPE] = ACTIONS(4670),
    [anon_sym_AMP_TILDE] = ACTIONS(4670),
    [anon_sym_LT_LT] = ACTIONS(4670),
    [anon_sym_GT_GT] = ACTIONS(4670),
    [anon_sym_STAR] = ACTIONS(4670),
    [anon_sym_SLASH] = ACTIONS(4670),
    [anon_sym_PERCENT] = ACTIONS(4670),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4668),
    [anon_sym_DOT] = ACTIONS(4670),
    [anon_sym_LBRACK] = ACTIONS(4668),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4668),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4668),
    [anon_sym_not_in] = ACTIONS(4668),
    [anon_sym_or_return] = ACTIONS(4668),
    [anon_sym_or_continue] = ACTIONS(4668),
    [anon_sym_or_break] = ACTIONS(4668),
    [anon_sym_CARET] = ACTIONS(4670),
    [sym_uninitialized] = ACTIONS(4668),
    [sym_tag] = ACTIONS(4668),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4668),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [694] = {
    [anon_sym_LBRACE] = ACTIONS(4672),
    [anon_sym_RBRACE] = ACTIONS(4672),
    [anon_sym_COMMA] = ACTIONS(4672),
    [anon_sym_COLON_COLON] = ACTIONS(4672),
    [anon_sym_DASH_GT] = ACTIONS(4672),
    [anon_sym_where] = ACTIONS(4672),
    [anon_sym_EQ] = ACTIONS(4674),
    [anon_sym_COLON_EQ] = ACTIONS(4672),
    [anon_sym_COLON] = ACTIONS(4674),
    [anon_sym_LPAREN] = ACTIONS(4672),
    [anon_sym_PLUS_EQ] = ACTIONS(4672),
    [anon_sym_DASH_EQ] = ACTIONS(4672),
    [anon_sym_STAR_EQ] = ACTIONS(4672),
    [anon_sym_SLASH_EQ] = ACTIONS(4672),
    [anon_sym_PERCENT_EQ] = ACTIONS(4672),
    [anon_sym_AMP_EQ] = ACTIONS(4672),
    [anon_sym_PIPE_EQ] = ACTIONS(4672),
    [anon_sym_CARET_EQ] = ACTIONS(4672),
    [anon_sym_LT_LT_EQ] = ACTIONS(4672),
    [anon_sym_GT_GT_EQ] = ACTIONS(4672),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4672),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4672),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4672),
    [anon_sym_if] = ACTIONS(4672),
    [anon_sym_SEMI] = ACTIONS(4672),
    [anon_sym_else] = ACTIONS(4672),
    [anon_sym_when] = ACTIONS(4672),
    [anon_sym_in] = ACTIONS(4672),
    [anon_sym_case] = ACTIONS(4672),
    [anon_sym_QMARK] = ACTIONS(4672),
    [anon_sym_PLUS] = ACTIONS(4674),
    [anon_sym_DASH] = ACTIONS(4674),
    [anon_sym_TILDE] = ACTIONS(4674),
    [anon_sym_AMP] = ACTIONS(4674),
    [anon_sym_PIPE_PIPE] = ACTIONS(4674),
    [anon_sym_or_else] = ACTIONS(4672),
    [anon_sym_AMP_AMP] = ACTIONS(4674),
    [anon_sym_GT] = ACTIONS(4674),
    [anon_sym_GT_EQ] = ACTIONS(4672),
    [anon_sym_LT_EQ] = ACTIONS(4672),
    [anon_sym_LT] = ACTIONS(4674),
    [anon_sym_EQ_EQ] = ACTIONS(4672),
    [anon_sym_BANG_EQ] = ACTIONS(4672),
    [anon_sym_TILDE_EQ] = ACTIONS(4672),
    [anon_sym_PIPE] = ACTIONS(4674),
    [anon_sym_AMP_TILDE] = ACTIONS(4674),
    [anon_sym_LT_LT] = ACTIONS(4674),
    [anon_sym_GT_GT] = ACTIONS(4674),
    [anon_sym_STAR] = ACTIONS(4674),
    [anon_sym_SLASH] = ACTIONS(4674),
    [anon_sym_PERCENT] = ACTIONS(4674),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4672),
    [anon_sym_DOT] = ACTIONS(4674),
    [anon_sym_LBRACK] = ACTIONS(4672),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4672),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4672),
    [anon_sym_not_in] = ACTIONS(4672),
    [anon_sym_or_return] = ACTIONS(4672),
    [anon_sym_or_continue] = ACTIONS(4672),
    [anon_sym_or_break] = ACTIONS(4672),
    [anon_sym_CARET] = ACTIONS(4674),
    [sym_uninitialized] = ACTIONS(4672),
    [sym_tag] = ACTIONS(4672),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4672),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [695] = {
    [anon_sym_LBRACE] = ACTIONS(4676),
    [anon_sym_RBRACE] = ACTIONS(4676),
    [anon_sym_COMMA] = ACTIONS(4676),
    [anon_sym_COLON_COLON] = ACTIONS(4676),
    [anon_sym_DASH_GT] = ACTIONS(4676),
    [anon_sym_where] = ACTIONS(4676),
    [anon_sym_EQ] = ACTIONS(4678),
    [anon_sym_COLON_EQ] = ACTIONS(4676),
    [anon_sym_COLON] = ACTIONS(4678),
    [anon_sym_LPAREN] = ACTIONS(4676),
    [anon_sym_PLUS_EQ] = ACTIONS(4676),
    [anon_sym_DASH_EQ] = ACTIONS(4676),
    [anon_sym_STAR_EQ] = ACTIONS(4676),
    [anon_sym_SLASH_EQ] = ACTIONS(4676),
    [anon_sym_PERCENT_EQ] = ACTIONS(4676),
    [anon_sym_AMP_EQ] = ACTIONS(4676),
    [anon_sym_PIPE_EQ] = ACTIONS(4676),
    [anon_sym_CARET_EQ] = ACTIONS(4676),
    [anon_sym_LT_LT_EQ] = ACTIONS(4676),
    [anon_sym_GT_GT_EQ] = ACTIONS(4676),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4676),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4676),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4676),
    [anon_sym_if] = ACTIONS(4676),
    [anon_sym_SEMI] = ACTIONS(4676),
    [anon_sym_else] = ACTIONS(4676),
    [anon_sym_when] = ACTIONS(4676),
    [anon_sym_in] = ACTIONS(4676),
    [anon_sym_case] = ACTIONS(4676),
    [anon_sym_QMARK] = ACTIONS(4676),
    [anon_sym_PLUS] = ACTIONS(4678),
    [anon_sym_DASH] = ACTIONS(4678),
    [anon_sym_TILDE] = ACTIONS(4678),
    [anon_sym_AMP] = ACTIONS(4678),
    [anon_sym_PIPE_PIPE] = ACTIONS(4678),
    [anon_sym_or_else] = ACTIONS(4676),
    [anon_sym_AMP_AMP] = ACTIONS(4678),
    [anon_sym_GT] = ACTIONS(4678),
    [anon_sym_GT_EQ] = ACTIONS(4676),
    [anon_sym_LT_EQ] = ACTIONS(4676),
    [anon_sym_LT] = ACTIONS(4678),
    [anon_sym_EQ_EQ] = ACTIONS(4676),
    [anon_sym_BANG_EQ] = ACTIONS(4676),
    [anon_sym_TILDE_EQ] = ACTIONS(4676),
    [anon_sym_PIPE] = ACTIONS(4678),
    [anon_sym_AMP_TILDE] = ACTIONS(4678),
    [anon_sym_LT_LT] = ACTIONS(4678),
    [anon_sym_GT_GT] = ACTIONS(4678),
    [anon_sym_STAR] = ACTIONS(4678),
    [anon_sym_SLASH] = ACTIONS(4678),
    [anon_sym_PERCENT] = ACTIONS(4678),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4676),
    [anon_sym_DOT] = ACTIONS(4678),
    [anon_sym_LBRACK] = ACTIONS(4676),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4676),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4676),
    [anon_sym_not_in] = ACTIONS(4676),
    [anon_sym_or_return] = ACTIONS(4676),
    [anon_sym_or_continue] = ACTIONS(4676),
    [anon_sym_or_break] = ACTIONS(4676),
    [anon_sym_CARET] = ACTIONS(4678),
    [sym_uninitialized] = ACTIONS(4676),
    [sym_tag] = ACTIONS(4676),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4676),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [696] = {
    [anon_sym_LBRACE] = ACTIONS(3299),
    [anon_sym_RBRACE] = ACTIONS(3299),
    [anon_sym_COMMA] = ACTIONS(3299),
    [anon_sym_COLON_COLON] = ACTIONS(3299),
    [anon_sym_DASH_GT] = ACTIONS(3299),
    [anon_sym_where] = ACTIONS(3299),
    [anon_sym_EQ] = ACTIONS(3303),
    [anon_sym_COLON_EQ] = ACTIONS(3299),
    [anon_sym_COLON] = ACTIONS(3303),
    [anon_sym_LPAREN] = ACTIONS(3299),
    [anon_sym_PLUS_EQ] = ACTIONS(3299),
    [anon_sym_DASH_EQ] = ACTIONS(3299),
    [anon_sym_STAR_EQ] = ACTIONS(3299),
    [anon_sym_SLASH_EQ] = ACTIONS(3299),
    [anon_sym_PERCENT_EQ] = ACTIONS(3299),
    [anon_sym_AMP_EQ] = ACTIONS(3299),
    [anon_sym_PIPE_EQ] = ACTIONS(3299),
    [anon_sym_CARET_EQ] = ACTIONS(3299),
    [anon_sym_LT_LT_EQ] = ACTIONS(3299),
    [anon_sym_GT_GT_EQ] = ACTIONS(3299),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3299),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3299),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(3299),
    [anon_sym_if] = ACTIONS(3299),
    [anon_sym_SEMI] = ACTIONS(3299),
    [anon_sym_else] = ACTIONS(3299),
    [anon_sym_when] = ACTIONS(3299),
    [anon_sym_in] = ACTIONS(3299),
    [anon_sym_case] = ACTIONS(3299),
    [anon_sym_QMARK] = ACTIONS(3299),
    [anon_sym_PLUS] = ACTIONS(3303),
    [anon_sym_DASH] = ACTIONS(3303),
    [anon_sym_TILDE] = ACTIONS(3303),
    [anon_sym_AMP] = ACTIONS(3303),
    [anon_sym_PIPE_PIPE] = ACTIONS(3303),
    [anon_sym_or_else] = ACTIONS(3299),
    [anon_sym_AMP_AMP] = ACTIONS(3303),
    [anon_sym_GT] = ACTIONS(3303),
    [anon_sym_GT_EQ] = ACTIONS(3299),
    [anon_sym_LT_EQ] = ACTIONS(3299),
    [anon_sym_LT] = ACTIONS(3303),
    [anon_sym_EQ_EQ] = ACTIONS(3299),
    [anon_sym_BANG_EQ] = ACTIONS(3299),
    [anon_sym_TILDE_EQ] = ACTIONS(3299),
    [anon_sym_PIPE] = ACTIONS(3303),
    [anon_sym_AMP_TILDE] = ACTIONS(3303),
    [anon_sym_LT_LT] = ACTIONS(3303),
    [anon_sym_GT_GT] = ACTIONS(3303),
    [anon_sym_STAR] = ACTIONS(3303),
    [anon_sym_SLASH] = ACTIONS(3303),
    [anon_sym_PERCENT] = ACTIONS(3303),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(3299),
    [anon_sym_DOT] = ACTIONS(3303),
    [anon_sym_LBRACK] = ACTIONS(3299),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(3299),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3299),
    [anon_sym_not_in] = ACTIONS(3299),
    [anon_sym_or_return] = ACTIONS(3299),
    [anon_sym_or_continue] = ACTIONS(3299),
    [anon_sym_or_break] = ACTIONS(3299),
    [anon_sym_CARET] = ACTIONS(3303),
    [sym_uninitialized] = ACTIONS(3299),
    [sym_tag] = ACTIONS(3299),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(3299),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [697] = {
    [anon_sym_LBRACE] = ACTIONS(3269),
    [anon_sym_RBRACE] = ACTIONS(3269),
    [anon_sym_COMMA] = ACTIONS(3269),
    [anon_sym_COLON_COLON] = ACTIONS(3269),
    [anon_sym_DASH_GT] = ACTIONS(3269),
    [anon_sym_where] = ACTIONS(3269),
    [anon_sym_EQ] = ACTIONS(3273),
    [anon_sym_COLON_EQ] = ACTIONS(3269),
    [anon_sym_COLON] = ACTIONS(3273),
    [anon_sym_LPAREN] = ACTIONS(3269),
    [anon_sym_PLUS_EQ] = ACTIONS(3269),
    [anon_sym_DASH_EQ] = ACTIONS(3269),
    [anon_sym_STAR_EQ] = ACTIONS(3269),
    [anon_sym_SLASH_EQ] = ACTIONS(3269),
    [anon_sym_PERCENT_EQ] = ACTIONS(3269),
    [anon_sym_AMP_EQ] = ACTIONS(3269),
    [anon_sym_PIPE_EQ] = ACTIONS(3269),
    [anon_sym_CARET_EQ] = ACTIONS(3269),
    [anon_sym_LT_LT_EQ] = ACTIONS(3269),
    [anon_sym_GT_GT_EQ] = ACTIONS(3269),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3269),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3269),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(3269),
    [anon_sym_if] = ACTIONS(3269),
    [anon_sym_SEMI] = ACTIONS(3269),
    [anon_sym_else] = ACTIONS(3269),
    [anon_sym_when] = ACTIONS(3269),
    [anon_sym_in] = ACTIONS(3269),
    [anon_sym_case] = ACTIONS(3269),
    [anon_sym_QMARK] = ACTIONS(3269),
    [anon_sym_PLUS] = ACTIONS(3273),
    [anon_sym_DASH] = ACTIONS(3273),
    [anon_sym_TILDE] = ACTIONS(3273),
    [anon_sym_AMP] = ACTIONS(3273),
    [anon_sym_PIPE_PIPE] = ACTIONS(3273),
    [anon_sym_or_else] = ACTIONS(3269),
    [anon_sym_AMP_AMP] = ACTIONS(3273),
    [anon_sym_GT] = ACTIONS(3273),
    [anon_sym_GT_EQ] = ACTIONS(3269),
    [anon_sym_LT_EQ] = ACTIONS(3269),
    [anon_sym_LT] = ACTIONS(3273),
    [anon_sym_EQ_EQ] = ACTIONS(3269),
    [anon_sym_BANG_EQ] = ACTIONS(3269),
    [anon_sym_TILDE_EQ] = ACTIONS(3269),
    [anon_sym_PIPE] = ACTIONS(3273),
    [anon_sym_AMP_TILDE] = ACTIONS(3273),
    [anon_sym_LT_LT] = ACTIONS(3273),
    [anon_sym_GT_GT] = ACTIONS(3273),
    [anon_sym_STAR] = ACTIONS(3273),
    [anon_sym_SLASH] = ACTIONS(3273),
    [anon_sym_PERCENT] = ACTIONS(3273),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(3269),
    [anon_sym_DOT] = ACTIONS(3273),
    [anon_sym_LBRACK] = ACTIONS(3269),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(3269),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3269),
    [anon_sym_not_in] = ACTIONS(3269),
    [anon_sym_or_return] = ACTIONS(3269),
    [anon_sym_or_continue] = ACTIONS(3269),
    [anon_sym_or_break] = ACTIONS(3269),
    [anon_sym_CARET] = ACTIONS(3273),
    [sym_uninitialized] = ACTIONS(3269),
    [sym_tag] = ACTIONS(3269),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(3269),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [698] = {
    [anon_sym_LBRACE] = ACTIONS(3857),
    [anon_sym_RBRACE] = ACTIONS(3857),
    [anon_sym_COMMA] = ACTIONS(3857),
    [anon_sym_COLON_COLON] = ACTIONS(3857),
    [anon_sym_DASH_GT] = ACTIONS(3857),
    [anon_sym_where] = ACTIONS(3857),
    [anon_sym_EQ] = ACTIONS(3859),
    [anon_sym_COLON_EQ] = ACTIONS(3857),
    [anon_sym_COLON] = ACTIONS(3859),
    [anon_sym_LPAREN] = ACTIONS(3857),
    [anon_sym_PLUS_EQ] = ACTIONS(3857),
    [anon_sym_DASH_EQ] = ACTIONS(3857),
    [anon_sym_STAR_EQ] = ACTIONS(3857),
    [anon_sym_SLASH_EQ] = ACTIONS(3857),
    [anon_sym_PERCENT_EQ] = ACTIONS(3857),
    [anon_sym_AMP_EQ] = ACTIONS(3857),
    [anon_sym_PIPE_EQ] = ACTIONS(3857),
    [anon_sym_CARET_EQ] = ACTIONS(3857),
    [anon_sym_LT_LT_EQ] = ACTIONS(3857),
    [anon_sym_GT_GT_EQ] = ACTIONS(3857),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3857),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3857),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(3857),
    [anon_sym_if] = ACTIONS(3857),
    [anon_sym_SEMI] = ACTIONS(3857),
    [anon_sym_else] = ACTIONS(3857),
    [anon_sym_when] = ACTIONS(3857),
    [anon_sym_in] = ACTIONS(3857),
    [anon_sym_case] = ACTIONS(3857),
    [anon_sym_QMARK] = ACTIONS(3857),
    [anon_sym_PLUS] = ACTIONS(3859),
    [anon_sym_DASH] = ACTIONS(3859),
    [anon_sym_TILDE] = ACTIONS(3859),
    [anon_sym_AMP] = ACTIONS(3859),
    [anon_sym_PIPE_PIPE] = ACTIONS(3859),
    [anon_sym_or_else] = ACTIONS(3857),
    [anon_sym_AMP_AMP] = ACTIONS(3859),
    [anon_sym_GT] = ACTIONS(3859),
    [anon_sym_GT_EQ] = ACTIONS(3857),
    [anon_sym_LT_EQ] = ACTIONS(3857),
    [anon_sym_LT] = ACTIONS(3859),
    [anon_sym_EQ_EQ] = ACTIONS(3857),
    [anon_sym_BANG_EQ] = ACTIONS(3857),
    [anon_sym_TILDE_EQ] = ACTIONS(3857),
    [anon_sym_PIPE] = ACTIONS(3859),
    [anon_sym_AMP_TILDE] = ACTIONS(3859),
    [anon_sym_LT_LT] = ACTIONS(3859),
    [anon_sym_GT_GT] = ACTIONS(3859),
    [anon_sym_STAR] = ACTIONS(3859),
    [anon_sym_SLASH] = ACTIONS(3859),
    [anon_sym_PERCENT] = ACTIONS(3859),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(3857),
    [anon_sym_DOT] = ACTIONS(3859),
    [anon_sym_LBRACK] = ACTIONS(3857),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(3857),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3857),
    [anon_sym_not_in] = ACTIONS(3857),
    [anon_sym_or_return] = ACTIONS(3857),
    [anon_sym_or_continue] = ACTIONS(3857),
    [anon_sym_or_break] = ACTIONS(3857),
    [anon_sym_CARET] = ACTIONS(3859),
    [sym_uninitialized] = ACTIONS(3857),
    [sym_tag] = ACTIONS(3857),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(3857),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [699] = {
    [anon_sym_LBRACE] = ACTIONS(3281),
    [anon_sym_RBRACE] = ACTIONS(3281),
    [anon_sym_COMMA] = ACTIONS(3281),
    [anon_sym_COLON_COLON] = ACTIONS(3281),
    [anon_sym_DASH_GT] = ACTIONS(3281),
    [anon_sym_where] = ACTIONS(3281),
    [anon_sym_EQ] = ACTIONS(3283),
    [anon_sym_COLON_EQ] = ACTIONS(3281),
    [anon_sym_COLON] = ACTIONS(3283),
    [anon_sym_LPAREN] = ACTIONS(3281),
    [anon_sym_PLUS_EQ] = ACTIONS(3281),
    [anon_sym_DASH_EQ] = ACTIONS(3281),
    [anon_sym_STAR_EQ] = ACTIONS(3281),
    [anon_sym_SLASH_EQ] = ACTIONS(3281),
    [anon_sym_PERCENT_EQ] = ACTIONS(3281),
    [anon_sym_AMP_EQ] = ACTIONS(3281),
    [anon_sym_PIPE_EQ] = ACTIONS(3281),
    [anon_sym_CARET_EQ] = ACTIONS(3281),
    [anon_sym_LT_LT_EQ] = ACTIONS(3281),
    [anon_sym_GT_GT_EQ] = ACTIONS(3281),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3281),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3281),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(3281),
    [anon_sym_if] = ACTIONS(3281),
    [anon_sym_SEMI] = ACTIONS(3281),
    [anon_sym_else] = ACTIONS(3281),
    [anon_sym_when] = ACTIONS(3281),
    [anon_sym_in] = ACTIONS(3281),
    [anon_sym_case] = ACTIONS(3281),
    [anon_sym_QMARK] = ACTIONS(3281),
    [anon_sym_PLUS] = ACTIONS(3283),
    [anon_sym_DASH] = ACTIONS(3283),
    [anon_sym_TILDE] = ACTIONS(3283),
    [anon_sym_AMP] = ACTIONS(3283),
    [anon_sym_PIPE_PIPE] = ACTIONS(3283),
    [anon_sym_or_else] = ACTIONS(3281),
    [anon_sym_AMP_AMP] = ACTIONS(3283),
    [anon_sym_GT] = ACTIONS(3283),
    [anon_sym_GT_EQ] = ACTIONS(3281),
    [anon_sym_LT_EQ] = ACTIONS(3281),
    [anon_sym_LT] = ACTIONS(3283),
    [anon_sym_EQ_EQ] = ACTIONS(3281),
    [anon_sym_BANG_EQ] = ACTIONS(3281),
    [anon_sym_TILDE_EQ] = ACTIONS(3281),
    [anon_sym_PIPE] = ACTIONS(3283),
    [anon_sym_AMP_TILDE] = ACTIONS(3283),
    [anon_sym_LT_LT] = ACTIONS(3283),
    [anon_sym_GT_GT] = ACTIONS(3283),
    [anon_sym_STAR] = ACTIONS(3283),
    [anon_sym_SLASH] = ACTIONS(3283),
    [anon_sym_PERCENT] = ACTIONS(3283),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(3281),
    [anon_sym_DOT] = ACTIONS(3283),
    [anon_sym_LBRACK] = ACTIONS(3281),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(3281),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3281),
    [anon_sym_not_in] = ACTIONS(3281),
    [anon_sym_or_return] = ACTIONS(3281),
    [anon_sym_or_continue] = ACTIONS(3281),
    [anon_sym_or_break] = ACTIONS(3281),
    [anon_sym_CARET] = ACTIONS(3283),
    [sym_uninitialized] = ACTIONS(3281),
    [sym_tag] = ACTIONS(3281),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(3281),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [700] = {
    [anon_sym_LBRACE] = ACTIONS(3291),
    [anon_sym_RBRACE] = ACTIONS(3291),
    [anon_sym_COMMA] = ACTIONS(3291),
    [anon_sym_COLON_COLON] = ACTIONS(3291),
    [anon_sym_DASH_GT] = ACTIONS(3291),
    [anon_sym_where] = ACTIONS(3291),
    [anon_sym_EQ] = ACTIONS(3293),
    [anon_sym_COLON_EQ] = ACTIONS(3291),
    [anon_sym_COLON] = ACTIONS(3293),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_PLUS_EQ] = ACTIONS(3291),
    [anon_sym_DASH_EQ] = ACTIONS(3291),
    [anon_sym_STAR_EQ] = ACTIONS(3291),
    [anon_sym_SLASH_EQ] = ACTIONS(3291),
    [anon_sym_PERCENT_EQ] = ACTIONS(3291),
    [anon_sym_AMP_EQ] = ACTIONS(3291),
    [anon_sym_PIPE_EQ] = ACTIONS(3291),
    [anon_sym_CARET_EQ] = ACTIONS(3291),
    [anon_sym_LT_LT_EQ] = ACTIONS(3291),
    [anon_sym_GT_GT_EQ] = ACTIONS(3291),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3291),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3291),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(3291),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_SEMI] = ACTIONS(3291),
    [anon_sym_else] = ACTIONS(3291),
    [anon_sym_when] = ACTIONS(3291),
    [anon_sym_in] = ACTIONS(3291),
    [anon_sym_case] = ACTIONS(3291),
    [anon_sym_QMARK] = ACTIONS(3291),
    [anon_sym_PLUS] = ACTIONS(3293),
    [anon_sym_DASH] = ACTIONS(3293),
    [anon_sym_TILDE] = ACTIONS(3293),
    [anon_sym_AMP] = ACTIONS(3293),
    [anon_sym_PIPE_PIPE] = ACTIONS(3293),
    [anon_sym_or_else] = ACTIONS(3291),
    [anon_sym_AMP_AMP] = ACTIONS(3293),
    [anon_sym_GT] = ACTIONS(3293),
    [anon_sym_GT_EQ] = ACTIONS(3291),
    [anon_sym_LT_EQ] = ACTIONS(3291),
    [anon_sym_LT] = ACTIONS(3293),
    [anon_sym_EQ_EQ] = ACTIONS(3291),
    [anon_sym_BANG_EQ] = ACTIONS(3291),
    [anon_sym_TILDE_EQ] = ACTIONS(3291),
    [anon_sym_PIPE] = ACTIONS(3293),
    [anon_sym_AMP_TILDE] = ACTIONS(3293),
    [anon_sym_LT_LT] = ACTIONS(3293),
    [anon_sym_GT_GT] = ACTIONS(3293),
    [anon_sym_STAR] = ACTIONS(3293),
    [anon_sym_SLASH] = ACTIONS(3293),
    [anon_sym_PERCENT] = ACTIONS(3293),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(3291),
    [anon_sym_DOT] = ACTIONS(3293),
    [anon_sym_LBRACK] = ACTIONS(3291),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(3291),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3291),
    [anon_sym_not_in] = ACTIONS(3291),
    [anon_sym_or_return] = ACTIONS(3291),
    [anon_sym_or_continue] = ACTIONS(3291),
    [anon_sym_or_break] = ACTIONS(3291),
    [anon_sym_CARET] = ACTIONS(3293),
    [sym_uninitialized] = ACTIONS(3291),
    [sym_tag] = ACTIONS(3291),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(3291),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [701] = {
    [anon_sym_LBRACE] = ACTIONS(4525),
    [anon_sym_RBRACE] = ACTIONS(4525),
    [anon_sym_COMMA] = ACTIONS(4525),
    [anon_sym_COLON_COLON] = ACTIONS(4525),
    [anon_sym_DASH_GT] = ACTIONS(4525),
    [anon_sym_where] = ACTIONS(4525),
    [anon_sym_EQ] = ACTIONS(4527),
    [anon_sym_COLON_EQ] = ACTIONS(4525),
    [anon_sym_COLON] = ACTIONS(4527),
    [anon_sym_LPAREN] = ACTIONS(4525),
    [anon_sym_PLUS_EQ] = ACTIONS(4525),
    [anon_sym_DASH_EQ] = ACTIONS(4525),
    [anon_sym_STAR_EQ] = ACTIONS(4525),
    [anon_sym_SLASH_EQ] = ACTIONS(4525),
    [anon_sym_PERCENT_EQ] = ACTIONS(4525),
    [anon_sym_AMP_EQ] = ACTIONS(4525),
    [anon_sym_PIPE_EQ] = ACTIONS(4525),
    [anon_sym_CARET_EQ] = ACTIONS(4525),
    [anon_sym_LT_LT_EQ] = ACTIONS(4525),
    [anon_sym_GT_GT_EQ] = ACTIONS(4525),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4525),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4525),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4525),
    [anon_sym_if] = ACTIONS(4525),
    [anon_sym_SEMI] = ACTIONS(4525),
    [anon_sym_else] = ACTIONS(4525),
    [anon_sym_when] = ACTIONS(4525),
    [anon_sym_in] = ACTIONS(4525),
    [anon_sym_case] = ACTIONS(4525),
    [anon_sym_QMARK] = ACTIONS(4525),
    [anon_sym_PLUS] = ACTIONS(4527),
    [anon_sym_DASH] = ACTIONS(4527),
    [anon_sym_TILDE] = ACTIONS(4527),
    [anon_sym_AMP] = ACTIONS(4527),
    [anon_sym_PIPE_PIPE] = ACTIONS(4527),
    [anon_sym_or_else] = ACTIONS(4525),
    [anon_sym_AMP_AMP] = ACTIONS(4527),
    [anon_sym_GT] = ACTIONS(4527),
    [anon_sym_GT_EQ] = ACTIONS(4525),
    [anon_sym_LT_EQ] = ACTIONS(4525),
    [anon_sym_LT] = ACTIONS(4527),
    [anon_sym_EQ_EQ] = ACTIONS(4525),
    [anon_sym_BANG_EQ] = ACTIONS(4525),
    [anon_sym_TILDE_EQ] = ACTIONS(4525),
    [anon_sym_PIPE] = ACTIONS(4527),
    [anon_sym_AMP_TILDE] = ACTIONS(4527),
    [anon_sym_LT_LT] = ACTIONS(4527),
    [anon_sym_GT_GT] = ACTIONS(4527),
    [anon_sym_STAR] = ACTIONS(4527),
    [anon_sym_SLASH] = ACTIONS(4527),
    [anon_sym_PERCENT] = ACTIONS(4527),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4525),
    [anon_sym_DOT] = ACTIONS(4527),
    [anon_sym_LBRACK] = ACTIONS(4525),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4525),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4525),
    [anon_sym_not_in] = ACTIONS(4525),
    [anon_sym_or_return] = ACTIONS(4525),
    [anon_sym_or_continue] = ACTIONS(4525),
    [anon_sym_or_break] = ACTIONS(4525),
    [anon_sym_CARET] = ACTIONS(4527),
    [sym_uninitialized] = ACTIONS(4525),
    [sym_tag] = ACTIONS(4525),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4525),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [702] = {
    [anon_sym_LBRACE] = ACTIONS(4533),
    [anon_sym_RBRACE] = ACTIONS(4533),
    [anon_sym_COMMA] = ACTIONS(4533),
    [anon_sym_COLON_COLON] = ACTIONS(4533),
    [anon_sym_DASH_GT] = ACTIONS(4533),
    [anon_sym_where] = ACTIONS(4533),
    [anon_sym_EQ] = ACTIONS(4535),
    [anon_sym_COLON_EQ] = ACTIONS(4533),
    [anon_sym_COLON] = ACTIONS(4535),
    [anon_sym_LPAREN] = ACTIONS(4533),
    [anon_sym_PLUS_EQ] = ACTIONS(4533),
    [anon_sym_DASH_EQ] = ACTIONS(4533),
    [anon_sym_STAR_EQ] = ACTIONS(4533),
    [anon_sym_SLASH_EQ] = ACTIONS(4533),
    [anon_sym_PERCENT_EQ] = ACTIONS(4533),
    [anon_sym_AMP_EQ] = ACTIONS(4533),
    [anon_sym_PIPE_EQ] = ACTIONS(4533),
    [anon_sym_CARET_EQ] = ACTIONS(4533),
    [anon_sym_LT_LT_EQ] = ACTIONS(4533),
    [anon_sym_GT_GT_EQ] = ACTIONS(4533),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4533),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4533),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4533),
    [anon_sym_if] = ACTIONS(4533),
    [anon_sym_SEMI] = ACTIONS(4533),
    [anon_sym_else] = ACTIONS(4533),
    [anon_sym_when] = ACTIONS(4533),
    [anon_sym_in] = ACTIONS(4533),
    [anon_sym_case] = ACTIONS(4533),
    [anon_sym_QMARK] = ACTIONS(4533),
    [anon_sym_PLUS] = ACTIONS(4535),
    [anon_sym_DASH] = ACTIONS(4535),
    [anon_sym_TILDE] = ACTIONS(4535),
    [anon_sym_AMP] = ACTIONS(4535),
    [anon_sym_PIPE_PIPE] = ACTIONS(4535),
    [anon_sym_or_else] = ACTIONS(4533),
    [anon_sym_AMP_AMP] = ACTIONS(4535),
    [anon_sym_GT] = ACTIONS(4535),
    [anon_sym_GT_EQ] = ACTIONS(4533),
    [anon_sym_LT_EQ] = ACTIONS(4533),
    [anon_sym_LT] = ACTIONS(4535),
    [anon_sym_EQ_EQ] = ACTIONS(4533),
    [anon_sym_BANG_EQ] = ACTIONS(4533),
    [anon_sym_TILDE_EQ] = ACTIONS(4533),
    [anon_sym_PIPE] = ACTIONS(4535),
    [anon_sym_AMP_TILDE] = ACTIONS(4535),
    [anon_sym_LT_LT] = ACTIONS(4535),
    [anon_sym_GT_GT] = ACTIONS(4535),
    [anon_sym_STAR] = ACTIONS(4535),
    [anon_sym_SLASH] = ACTIONS(4535),
    [anon_sym_PERCENT] = ACTIONS(4535),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4533),
    [anon_sym_DOT] = ACTIONS(4535),
    [anon_sym_LBRACK] = ACTIONS(4533),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4533),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4533),
    [anon_sym_not_in] = ACTIONS(4533),
    [anon_sym_or_return] = ACTIONS(4533),
    [anon_sym_or_continue] = ACTIONS(4533),
    [anon_sym_or_break] = ACTIONS(4533),
    [anon_sym_CARET] = ACTIONS(4535),
    [sym_uninitialized] = ACTIONS(4533),
    [sym_tag] = ACTIONS(4533),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4533),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [703] = {
    [anon_sym_LBRACE] = ACTIONS(4680),
    [anon_sym_RBRACE] = ACTIONS(4680),
    [anon_sym_COMMA] = ACTIONS(4680),
    [anon_sym_COLON_COLON] = ACTIONS(4680),
    [anon_sym_DASH_GT] = ACTIONS(4680),
    [anon_sym_where] = ACTIONS(4680),
    [anon_sym_EQ] = ACTIONS(4682),
    [anon_sym_COLON_EQ] = ACTIONS(4680),
    [anon_sym_COLON] = ACTIONS(4682),
    [anon_sym_LPAREN] = ACTIONS(4680),
    [anon_sym_PLUS_EQ] = ACTIONS(4680),
    [anon_sym_DASH_EQ] = ACTIONS(4680),
    [anon_sym_STAR_EQ] = ACTIONS(4680),
    [anon_sym_SLASH_EQ] = ACTIONS(4680),
    [anon_sym_PERCENT_EQ] = ACTIONS(4680),
    [anon_sym_AMP_EQ] = ACTIONS(4680),
    [anon_sym_PIPE_EQ] = ACTIONS(4680),
    [anon_sym_CARET_EQ] = ACTIONS(4680),
    [anon_sym_LT_LT_EQ] = ACTIONS(4680),
    [anon_sym_GT_GT_EQ] = ACTIONS(4680),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4680),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4680),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4680),
    [anon_sym_if] = ACTIONS(4680),
    [anon_sym_SEMI] = ACTIONS(4680),
    [anon_sym_else] = ACTIONS(4680),
    [anon_sym_when] = ACTIONS(4680),
    [anon_sym_in] = ACTIONS(4680),
    [anon_sym_case] = ACTIONS(4680),
    [anon_sym_QMARK] = ACTIONS(4680),
    [anon_sym_PLUS] = ACTIONS(4682),
    [anon_sym_DASH] = ACTIONS(4682),
    [anon_sym_TILDE] = ACTIONS(4682),
    [anon_sym_AMP] = ACTIONS(4682),
    [anon_sym_PIPE_PIPE] = ACTIONS(4682),
    [anon_sym_or_else] = ACTIONS(4680),
    [anon_sym_AMP_AMP] = ACTIONS(4682),
    [anon_sym_GT] = ACTIONS(4682),
    [anon_sym_GT_EQ] = ACTIONS(4680),
    [anon_sym_LT_EQ] = ACTIONS(4680),
    [anon_sym_LT] = ACTIONS(4682),
    [anon_sym_EQ_EQ] = ACTIONS(4680),
    [anon_sym_BANG_EQ] = ACTIONS(4680),
    [anon_sym_TILDE_EQ] = ACTIONS(4680),
    [anon_sym_PIPE] = ACTIONS(4682),
    [anon_sym_AMP_TILDE] = ACTIONS(4682),
    [anon_sym_LT_LT] = ACTIONS(4682),
    [anon_sym_GT_GT] = ACTIONS(4682),
    [anon_sym_STAR] = ACTIONS(4682),
    [anon_sym_SLASH] = ACTIONS(4682),
    [anon_sym_PERCENT] = ACTIONS(4682),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4680),
    [anon_sym_DOT] = ACTIONS(4682),
    [anon_sym_LBRACK] = ACTIONS(4680),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4680),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4680),
    [anon_sym_not_in] = ACTIONS(4680),
    [anon_sym_or_return] = ACTIONS(4680),
    [anon_sym_or_continue] = ACTIONS(4680),
    [anon_sym_or_break] = ACTIONS(4680),
    [anon_sym_CARET] = ACTIONS(4682),
    [sym_uninitialized] = ACTIONS(4680),
    [sym_tag] = ACTIONS(4680),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4680),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [704] = {
    [anon_sym_LBRACE] = ACTIONS(4684),
    [anon_sym_RBRACE] = ACTIONS(4684),
    [anon_sym_COMMA] = ACTIONS(4684),
    [anon_sym_COLON_COLON] = ACTIONS(4684),
    [anon_sym_DASH_GT] = ACTIONS(4684),
    [anon_sym_where] = ACTIONS(4684),
    [anon_sym_EQ] = ACTIONS(4686),
    [anon_sym_COLON_EQ] = ACTIONS(4684),
    [anon_sym_COLON] = ACTIONS(4686),
    [anon_sym_LPAREN] = ACTIONS(4684),
    [anon_sym_PLUS_EQ] = ACTIONS(4684),
    [anon_sym_DASH_EQ] = ACTIONS(4684),
    [anon_sym_STAR_EQ] = ACTIONS(4684),
    [anon_sym_SLASH_EQ] = ACTIONS(4684),
    [anon_sym_PERCENT_EQ] = ACTIONS(4684),
    [anon_sym_AMP_EQ] = ACTIONS(4684),
    [anon_sym_PIPE_EQ] = ACTIONS(4684),
    [anon_sym_CARET_EQ] = ACTIONS(4684),
    [anon_sym_LT_LT_EQ] = ACTIONS(4684),
    [anon_sym_GT_GT_EQ] = ACTIONS(4684),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4684),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4684),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4684),
    [anon_sym_if] = ACTIONS(4684),
    [anon_sym_SEMI] = ACTIONS(4684),
    [anon_sym_else] = ACTIONS(4684),
    [anon_sym_when] = ACTIONS(4684),
    [anon_sym_in] = ACTIONS(4684),
    [anon_sym_case] = ACTIONS(4684),
    [anon_sym_QMARK] = ACTIONS(4684),
    [anon_sym_PLUS] = ACTIONS(4686),
    [anon_sym_DASH] = ACTIONS(4686),
    [anon_sym_TILDE] = ACTIONS(4686),
    [anon_sym_AMP] = ACTIONS(4686),
    [anon_sym_PIPE_PIPE] = ACTIONS(4686),
    [anon_sym_or_else] = ACTIONS(4684),
    [anon_sym_AMP_AMP] = ACTIONS(4686),
    [anon_sym_GT] = ACTIONS(4686),
    [anon_sym_GT_EQ] = ACTIONS(4684),
    [anon_sym_LT_EQ] = ACTIONS(4684),
    [anon_sym_LT] = ACTIONS(4686),
    [anon_sym_EQ_EQ] = ACTIONS(4684),
    [anon_sym_BANG_EQ] = ACTIONS(4684),
    [anon_sym_TILDE_EQ] = ACTIONS(4684),
    [anon_sym_PIPE] = ACTIONS(4686),
    [anon_sym_AMP_TILDE] = ACTIONS(4686),
    [anon_sym_LT_LT] = ACTIONS(4686),
    [anon_sym_GT_GT] = ACTIONS(4686),
    [anon_sym_STAR] = ACTIONS(4686),
    [anon_sym_SLASH] = ACTIONS(4686),
    [anon_sym_PERCENT] = ACTIONS(4686),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4684),
    [anon_sym_DOT] = ACTIONS(4686),
    [anon_sym_LBRACK] = ACTIONS(4684),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4684),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4684),
    [anon_sym_not_in] = ACTIONS(4684),
    [anon_sym_or_return] = ACTIONS(4684),
    [anon_sym_or_continue] = ACTIONS(4684),
    [anon_sym_or_break] = ACTIONS(4684),
    [anon_sym_CARET] = ACTIONS(4686),
    [sym_uninitialized] = ACTIONS(4684),
    [sym_tag] = ACTIONS(4684),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4684),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [705] = {
    [anon_sym_LBRACE] = ACTIONS(3415),
    [anon_sym_RBRACE] = ACTIONS(3415),
    [anon_sym_COMMA] = ACTIONS(3415),
    [anon_sym_COLON_COLON] = ACTIONS(3415),
    [anon_sym_DASH_GT] = ACTIONS(3415),
    [anon_sym_where] = ACTIONS(3415),
    [anon_sym_EQ] = ACTIONS(3417),
    [anon_sym_COLON_EQ] = ACTIONS(3415),
    [anon_sym_COLON] = ACTIONS(3417),
    [anon_sym_LPAREN] = ACTIONS(3415),
    [anon_sym_PLUS_EQ] = ACTIONS(3415),
    [anon_sym_DASH_EQ] = ACTIONS(3415),
    [anon_sym_STAR_EQ] = ACTIONS(3415),
    [anon_sym_SLASH_EQ] = ACTIONS(3415),
    [anon_sym_PERCENT_EQ] = ACTIONS(3415),
    [anon_sym_AMP_EQ] = ACTIONS(3415),
    [anon_sym_PIPE_EQ] = ACTIONS(3415),
    [anon_sym_CARET_EQ] = ACTIONS(3415),
    [anon_sym_LT_LT_EQ] = ACTIONS(3415),
    [anon_sym_GT_GT_EQ] = ACTIONS(3415),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3415),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3415),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(3415),
    [anon_sym_if] = ACTIONS(3415),
    [anon_sym_SEMI] = ACTIONS(3415),
    [anon_sym_else] = ACTIONS(3415),
    [anon_sym_when] = ACTIONS(3415),
    [anon_sym_in] = ACTIONS(3415),
    [anon_sym_case] = ACTIONS(3415),
    [anon_sym_QMARK] = ACTIONS(3415),
    [anon_sym_PLUS] = ACTIONS(3417),
    [anon_sym_DASH] = ACTIONS(3417),
    [anon_sym_TILDE] = ACTIONS(3417),
    [anon_sym_AMP] = ACTIONS(3417),
    [anon_sym_PIPE_PIPE] = ACTIONS(3417),
    [anon_sym_or_else] = ACTIONS(3415),
    [anon_sym_AMP_AMP] = ACTIONS(3417),
    [anon_sym_GT] = ACTIONS(3417),
    [anon_sym_GT_EQ] = ACTIONS(3415),
    [anon_sym_LT_EQ] = ACTIONS(3415),
    [anon_sym_LT] = ACTIONS(3417),
    [anon_sym_EQ_EQ] = ACTIONS(3415),
    [anon_sym_BANG_EQ] = ACTIONS(3415),
    [anon_sym_TILDE_EQ] = ACTIONS(3415),
    [anon_sym_PIPE] = ACTIONS(3417),
    [anon_sym_AMP_TILDE] = ACTIONS(3417),
    [anon_sym_LT_LT] = ACTIONS(3417),
    [anon_sym_GT_GT] = ACTIONS(3417),
    [anon_sym_STAR] = ACTIONS(3417),
    [anon_sym_SLASH] = ACTIONS(3417),
    [anon_sym_PERCENT] = ACTIONS(3417),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(3415),
    [anon_sym_DOT] = ACTIONS(3417),
    [anon_sym_LBRACK] = ACTIONS(3415),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(3415),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3415),
    [anon_sym_not_in] = ACTIONS(3415),
    [anon_sym_or_return] = ACTIONS(3415),
    [anon_sym_or_continue] = ACTIONS(3415),
    [anon_sym_or_break] = ACTIONS(3415),
    [anon_sym_CARET] = ACTIONS(3417),
    [sym_uninitialized] = ACTIONS(3415),
    [sym_tag] = ACTIONS(3415),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(3415),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [706] = {
    [anon_sym_LBRACE] = ACTIONS(4688),
    [anon_sym_RBRACE] = ACTIONS(4688),
    [anon_sym_COMMA] = ACTIONS(4688),
    [anon_sym_COLON_COLON] = ACTIONS(4688),
    [anon_sym_DASH_GT] = ACTIONS(4688),
    [anon_sym_where] = ACTIONS(4688),
    [anon_sym_EQ] = ACTIONS(4690),
    [anon_sym_COLON_EQ] = ACTIONS(4688),
    [anon_sym_COLON] = ACTIONS(4690),
    [anon_sym_LPAREN] = ACTIONS(3483),
    [anon_sym_PLUS_EQ] = ACTIONS(4688),
    [anon_sym_DASH_EQ] = ACTIONS(4688),
    [anon_sym_STAR_EQ] = ACTIONS(4688),
    [anon_sym_SLASH_EQ] = ACTIONS(4688),
    [anon_sym_PERCENT_EQ] = ACTIONS(4688),
    [anon_sym_AMP_EQ] = ACTIONS(4688),
    [anon_sym_PIPE_EQ] = ACTIONS(4688),
    [anon_sym_CARET_EQ] = ACTIONS(4688),
    [anon_sym_LT_LT_EQ] = ACTIONS(4688),
    [anon_sym_GT_GT_EQ] = ACTIONS(4688),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4688),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4688),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4688),
    [anon_sym_if] = ACTIONS(4688),
    [anon_sym_SEMI] = ACTIONS(4688),
    [anon_sym_else] = ACTIONS(4688),
    [anon_sym_when] = ACTIONS(4688),
    [anon_sym_in] = ACTIONS(4688),
    [anon_sym_case] = ACTIONS(4688),
    [anon_sym_QMARK] = ACTIONS(4688),
    [anon_sym_PLUS] = ACTIONS(4690),
    [anon_sym_DASH] = ACTIONS(4690),
    [anon_sym_TILDE] = ACTIONS(4690),
    [anon_sym_AMP] = ACTIONS(4690),
    [anon_sym_PIPE_PIPE] = ACTIONS(4690),
    [anon_sym_or_else] = ACTIONS(4688),
    [anon_sym_AMP_AMP] = ACTIONS(4690),
    [anon_sym_GT] = ACTIONS(4690),
    [anon_sym_GT_EQ] = ACTIONS(4688),
    [anon_sym_LT_EQ] = ACTIONS(4688),
    [anon_sym_LT] = ACTIONS(4690),
    [anon_sym_EQ_EQ] = ACTIONS(4688),
    [anon_sym_BANG_EQ] = ACTIONS(4688),
    [anon_sym_TILDE_EQ] = ACTIONS(4688),
    [anon_sym_PIPE] = ACTIONS(4690),
    [anon_sym_AMP_TILDE] = ACTIONS(4690),
    [anon_sym_LT_LT] = ACTIONS(4690),
    [anon_sym_GT_GT] = ACTIONS(4690),
    [anon_sym_STAR] = ACTIONS(4690),
    [anon_sym_SLASH] = ACTIONS(3485),
    [anon_sym_PERCENT] = ACTIONS(4690),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4688),
    [anon_sym_DOT] = ACTIONS(4690),
    [anon_sym_LBRACK] = ACTIONS(4688),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4688),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4688),
    [anon_sym_not_in] = ACTIONS(4688),
    [anon_sym_or_return] = ACTIONS(4688),
    [anon_sym_or_continue] = ACTIONS(4688),
    [anon_sym_or_break] = ACTIONS(4688),
    [anon_sym_CARET] = ACTIONS(4690),
    [sym_uninitialized] = ACTIONS(4688),
    [sym_tag] = ACTIONS(4688),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4688),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [707] = {
    [anon_sym_LBRACE] = ACTIONS(4692),
    [anon_sym_RBRACE] = ACTIONS(4692),
    [anon_sym_COMMA] = ACTIONS(4692),
    [anon_sym_COLON_COLON] = ACTIONS(4692),
    [anon_sym_DASH_GT] = ACTIONS(4692),
    [anon_sym_where] = ACTIONS(4692),
    [anon_sym_EQ] = ACTIONS(4694),
    [anon_sym_COLON_EQ] = ACTIONS(4692),
    [anon_sym_COLON] = ACTIONS(4694),
    [anon_sym_LPAREN] = ACTIONS(4692),
    [anon_sym_PLUS_EQ] = ACTIONS(4692),
    [anon_sym_DASH_EQ] = ACTIONS(4692),
    [anon_sym_STAR_EQ] = ACTIONS(4692),
    [anon_sym_SLASH_EQ] = ACTIONS(4692),
    [anon_sym_PERCENT_EQ] = ACTIONS(4692),
    [anon_sym_AMP_EQ] = ACTIONS(4692),
    [anon_sym_PIPE_EQ] = ACTIONS(4692),
    [anon_sym_CARET_EQ] = ACTIONS(4692),
    [anon_sym_LT_LT_EQ] = ACTIONS(4692),
    [anon_sym_GT_GT_EQ] = ACTIONS(4692),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4692),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4692),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4692),
    [anon_sym_if] = ACTIONS(4692),
    [anon_sym_SEMI] = ACTIONS(4692),
    [anon_sym_else] = ACTIONS(4692),
    [anon_sym_when] = ACTIONS(4692),
    [anon_sym_in] = ACTIONS(4692),
    [anon_sym_case] = ACTIONS(4692),
    [anon_sym_QMARK] = ACTIONS(4692),
    [anon_sym_PLUS] = ACTIONS(4694),
    [anon_sym_DASH] = ACTIONS(4694),
    [anon_sym_TILDE] = ACTIONS(4694),
    [anon_sym_AMP] = ACTIONS(4694),
    [anon_sym_PIPE_PIPE] = ACTIONS(4694),
    [anon_sym_or_else] = ACTIONS(4692),
    [anon_sym_AMP_AMP] = ACTIONS(4694),
    [anon_sym_GT] = ACTIONS(4694),
    [anon_sym_GT_EQ] = ACTIONS(4692),
    [anon_sym_LT_EQ] = ACTIONS(4692),
    [anon_sym_LT] = ACTIONS(4694),
    [anon_sym_EQ_EQ] = ACTIONS(4692),
    [anon_sym_BANG_EQ] = ACTIONS(4692),
    [anon_sym_TILDE_EQ] = ACTIONS(4692),
    [anon_sym_PIPE] = ACTIONS(4694),
    [anon_sym_AMP_TILDE] = ACTIONS(4694),
    [anon_sym_LT_LT] = ACTIONS(4694),
    [anon_sym_GT_GT] = ACTIONS(4694),
    [anon_sym_STAR] = ACTIONS(4694),
    [anon_sym_SLASH] = ACTIONS(4694),
    [anon_sym_PERCENT] = ACTIONS(4694),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4692),
    [anon_sym_DOT] = ACTIONS(4694),
    [anon_sym_LBRACK] = ACTIONS(4692),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4692),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4692),
    [anon_sym_not_in] = ACTIONS(4692),
    [anon_sym_or_return] = ACTIONS(4692),
    [anon_sym_or_continue] = ACTIONS(4692),
    [anon_sym_or_break] = ACTIONS(4692),
    [anon_sym_CARET] = ACTIONS(4694),
    [sym_uninitialized] = ACTIONS(4692),
    [sym_tag] = ACTIONS(4692),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4692),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [708] = {
    [anon_sym_LBRACE] = ACTIONS(4696),
    [anon_sym_RBRACE] = ACTIONS(4696),
    [anon_sym_COMMA] = ACTIONS(4696),
    [anon_sym_COLON_COLON] = ACTIONS(4696),
    [anon_sym_DASH_GT] = ACTIONS(4696),
    [anon_sym_where] = ACTIONS(4696),
    [anon_sym_EQ] = ACTIONS(4698),
    [anon_sym_COLON_EQ] = ACTIONS(4696),
    [anon_sym_COLON] = ACTIONS(4698),
    [anon_sym_LPAREN] = ACTIONS(3483),
    [anon_sym_PLUS_EQ] = ACTIONS(4696),
    [anon_sym_DASH_EQ] = ACTIONS(4696),
    [anon_sym_STAR_EQ] = ACTIONS(4696),
    [anon_sym_SLASH_EQ] = ACTIONS(4696),
    [anon_sym_PERCENT_EQ] = ACTIONS(4696),
    [anon_sym_AMP_EQ] = ACTIONS(4696),
    [anon_sym_PIPE_EQ] = ACTIONS(4696),
    [anon_sym_CARET_EQ] = ACTIONS(4696),
    [anon_sym_LT_LT_EQ] = ACTIONS(4696),
    [anon_sym_GT_GT_EQ] = ACTIONS(4696),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4696),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4696),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4696),
    [anon_sym_if] = ACTIONS(4696),
    [anon_sym_SEMI] = ACTIONS(4696),
    [anon_sym_else] = ACTIONS(4696),
    [anon_sym_when] = ACTIONS(4696),
    [anon_sym_in] = ACTIONS(4696),
    [anon_sym_case] = ACTIONS(4696),
    [anon_sym_QMARK] = ACTIONS(4696),
    [anon_sym_PLUS] = ACTIONS(4698),
    [anon_sym_DASH] = ACTIONS(4698),
    [anon_sym_TILDE] = ACTIONS(4698),
    [anon_sym_AMP] = ACTIONS(4698),
    [anon_sym_PIPE_PIPE] = ACTIONS(4698),
    [anon_sym_or_else] = ACTIONS(4696),
    [anon_sym_AMP_AMP] = ACTIONS(4698),
    [anon_sym_GT] = ACTIONS(4698),
    [anon_sym_GT_EQ] = ACTIONS(4696),
    [anon_sym_LT_EQ] = ACTIONS(4696),
    [anon_sym_LT] = ACTIONS(4698),
    [anon_sym_EQ_EQ] = ACTIONS(4696),
    [anon_sym_BANG_EQ] = ACTIONS(4696),
    [anon_sym_TILDE_EQ] = ACTIONS(4696),
    [anon_sym_PIPE] = ACTIONS(4698),
    [anon_sym_AMP_TILDE] = ACTIONS(4698),
    [anon_sym_LT_LT] = ACTIONS(4698),
    [anon_sym_GT_GT] = ACTIONS(4698),
    [anon_sym_STAR] = ACTIONS(4698),
    [anon_sym_SLASH] = ACTIONS(3485),
    [anon_sym_PERCENT] = ACTIONS(4698),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4696),
    [anon_sym_DOT] = ACTIONS(4698),
    [anon_sym_LBRACK] = ACTIONS(4696),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4696),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4696),
    [anon_sym_not_in] = ACTIONS(4696),
    [anon_sym_or_return] = ACTIONS(4696),
    [anon_sym_or_continue] = ACTIONS(4696),
    [anon_sym_or_break] = ACTIONS(4696),
    [anon_sym_CARET] = ACTIONS(4698),
    [sym_uninitialized] = ACTIONS(4696),
    [sym_tag] = ACTIONS(4696),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4696),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [709] = {
    [anon_sym_LBRACE] = ACTIONS(4700),
    [anon_sym_RBRACE] = ACTIONS(4700),
    [anon_sym_COMMA] = ACTIONS(4700),
    [anon_sym_COLON_COLON] = ACTIONS(4700),
    [anon_sym_DASH_GT] = ACTIONS(4700),
    [anon_sym_where] = ACTIONS(4700),
    [anon_sym_EQ] = ACTIONS(4702),
    [anon_sym_COLON_EQ] = ACTIONS(4700),
    [anon_sym_COLON] = ACTIONS(4702),
    [anon_sym_LPAREN] = ACTIONS(3483),
    [anon_sym_PLUS_EQ] = ACTIONS(4700),
    [anon_sym_DASH_EQ] = ACTIONS(4700),
    [anon_sym_STAR_EQ] = ACTIONS(4700),
    [anon_sym_SLASH_EQ] = ACTIONS(4700),
    [anon_sym_PERCENT_EQ] = ACTIONS(4700),
    [anon_sym_AMP_EQ] = ACTIONS(4700),
    [anon_sym_PIPE_EQ] = ACTIONS(4700),
    [anon_sym_CARET_EQ] = ACTIONS(4700),
    [anon_sym_LT_LT_EQ] = ACTIONS(4700),
    [anon_sym_GT_GT_EQ] = ACTIONS(4700),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4700),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4700),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4700),
    [anon_sym_if] = ACTIONS(4700),
    [anon_sym_SEMI] = ACTIONS(4700),
    [anon_sym_else] = ACTIONS(4700),
    [anon_sym_when] = ACTIONS(4700),
    [anon_sym_in] = ACTIONS(4700),
    [anon_sym_case] = ACTIONS(4700),
    [anon_sym_QMARK] = ACTIONS(4700),
    [anon_sym_PLUS] = ACTIONS(4702),
    [anon_sym_DASH] = ACTIONS(4702),
    [anon_sym_TILDE] = ACTIONS(4702),
    [anon_sym_AMP] = ACTIONS(4702),
    [anon_sym_PIPE_PIPE] = ACTIONS(4702),
    [anon_sym_or_else] = ACTIONS(4700),
    [anon_sym_AMP_AMP] = ACTIONS(4702),
    [anon_sym_GT] = ACTIONS(4702),
    [anon_sym_GT_EQ] = ACTIONS(4700),
    [anon_sym_LT_EQ] = ACTIONS(4700),
    [anon_sym_LT] = ACTIONS(4702),
    [anon_sym_EQ_EQ] = ACTIONS(4700),
    [anon_sym_BANG_EQ] = ACTIONS(4700),
    [anon_sym_TILDE_EQ] = ACTIONS(4700),
    [anon_sym_PIPE] = ACTIONS(4702),
    [anon_sym_AMP_TILDE] = ACTIONS(4702),
    [anon_sym_LT_LT] = ACTIONS(4702),
    [anon_sym_GT_GT] = ACTIONS(4702),
    [anon_sym_STAR] = ACTIONS(4702),
    [anon_sym_SLASH] = ACTIONS(3485),
    [anon_sym_PERCENT] = ACTIONS(4702),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4700),
    [anon_sym_DOT] = ACTIONS(4702),
    [anon_sym_LBRACK] = ACTIONS(4700),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4700),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4700),
    [anon_sym_not_in] = ACTIONS(4700),
    [anon_sym_or_return] = ACTIONS(4700),
    [anon_sym_or_continue] = ACTIONS(4700),
    [anon_sym_or_break] = ACTIONS(4700),
    [anon_sym_CARET] = ACTIONS(4702),
    [sym_uninitialized] = ACTIONS(4700),
    [sym_tag] = ACTIONS(4700),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4700),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [710] = {
    [sym_expression] = STATE(5662),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_constant_type] = STATE(8088),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(4630),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [711] = {
    [anon_sym_LBRACE] = ACTIONS(4704),
    [anon_sym_RBRACE] = ACTIONS(4704),
    [anon_sym_COMMA] = ACTIONS(4704),
    [anon_sym_COLON_COLON] = ACTIONS(4704),
    [anon_sym_DASH_GT] = ACTIONS(4704),
    [anon_sym_where] = ACTIONS(4704),
    [anon_sym_EQ] = ACTIONS(4706),
    [anon_sym_COLON_EQ] = ACTIONS(4704),
    [anon_sym_COLON] = ACTIONS(4706),
    [anon_sym_LPAREN] = ACTIONS(4704),
    [anon_sym_PLUS_EQ] = ACTIONS(4704),
    [anon_sym_DASH_EQ] = ACTIONS(4704),
    [anon_sym_STAR_EQ] = ACTIONS(4704),
    [anon_sym_SLASH_EQ] = ACTIONS(4704),
    [anon_sym_PERCENT_EQ] = ACTIONS(4704),
    [anon_sym_AMP_EQ] = ACTIONS(4704),
    [anon_sym_PIPE_EQ] = ACTIONS(4704),
    [anon_sym_CARET_EQ] = ACTIONS(4704),
    [anon_sym_LT_LT_EQ] = ACTIONS(4704),
    [anon_sym_GT_GT_EQ] = ACTIONS(4704),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4704),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4704),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4704),
    [anon_sym_if] = ACTIONS(4704),
    [anon_sym_SEMI] = ACTIONS(4704),
    [anon_sym_else] = ACTIONS(4704),
    [anon_sym_when] = ACTIONS(4704),
    [anon_sym_in] = ACTIONS(4704),
    [anon_sym_case] = ACTIONS(4704),
    [anon_sym_QMARK] = ACTIONS(4704),
    [anon_sym_PLUS] = ACTIONS(4706),
    [anon_sym_DASH] = ACTIONS(4706),
    [anon_sym_TILDE] = ACTIONS(4706),
    [anon_sym_AMP] = ACTIONS(4706),
    [anon_sym_PIPE_PIPE] = ACTIONS(4706),
    [anon_sym_or_else] = ACTIONS(4704),
    [anon_sym_AMP_AMP] = ACTIONS(4706),
    [anon_sym_GT] = ACTIONS(4706),
    [anon_sym_GT_EQ] = ACTIONS(4704),
    [anon_sym_LT_EQ] = ACTIONS(4704),
    [anon_sym_LT] = ACTIONS(4706),
    [anon_sym_EQ_EQ] = ACTIONS(4704),
    [anon_sym_BANG_EQ] = ACTIONS(4704),
    [anon_sym_TILDE_EQ] = ACTIONS(4704),
    [anon_sym_PIPE] = ACTIONS(4706),
    [anon_sym_AMP_TILDE] = ACTIONS(4706),
    [anon_sym_LT_LT] = ACTIONS(4706),
    [anon_sym_GT_GT] = ACTIONS(4706),
    [anon_sym_STAR] = ACTIONS(4706),
    [anon_sym_SLASH] = ACTIONS(4706),
    [anon_sym_PERCENT] = ACTIONS(4706),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4704),
    [anon_sym_DOT] = ACTIONS(4706),
    [anon_sym_LBRACK] = ACTIONS(4704),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4704),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4704),
    [anon_sym_not_in] = ACTIONS(4704),
    [anon_sym_or_return] = ACTIONS(4704),
    [anon_sym_or_continue] = ACTIONS(4704),
    [anon_sym_or_break] = ACTIONS(4704),
    [anon_sym_CARET] = ACTIONS(4706),
    [sym_uninitialized] = ACTIONS(4704),
    [sym_tag] = ACTIONS(4704),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4704),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [712] = {
    [sym_expression] = STATE(5566),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_struct_field] = STATE(7065),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(4708),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [713] = {
    [anon_sym_LBRACE] = ACTIONS(4710),
    [anon_sym_RBRACE] = ACTIONS(4710),
    [anon_sym_COMMA] = ACTIONS(4710),
    [anon_sym_COLON_COLON] = ACTIONS(4710),
    [anon_sym_DASH_GT] = ACTIONS(4710),
    [anon_sym_where] = ACTIONS(4710),
    [anon_sym_EQ] = ACTIONS(4712),
    [anon_sym_COLON_EQ] = ACTIONS(4710),
    [anon_sym_COLON] = ACTIONS(4712),
    [anon_sym_LPAREN] = ACTIONS(3483),
    [anon_sym_PLUS_EQ] = ACTIONS(4710),
    [anon_sym_DASH_EQ] = ACTIONS(4710),
    [anon_sym_STAR_EQ] = ACTIONS(4710),
    [anon_sym_SLASH_EQ] = ACTIONS(4710),
    [anon_sym_PERCENT_EQ] = ACTIONS(4710),
    [anon_sym_AMP_EQ] = ACTIONS(4710),
    [anon_sym_PIPE_EQ] = ACTIONS(4710),
    [anon_sym_CARET_EQ] = ACTIONS(4710),
    [anon_sym_LT_LT_EQ] = ACTIONS(4710),
    [anon_sym_GT_GT_EQ] = ACTIONS(4710),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4710),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4710),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4710),
    [anon_sym_if] = ACTIONS(4710),
    [anon_sym_SEMI] = ACTIONS(4710),
    [anon_sym_else] = ACTIONS(4710),
    [anon_sym_when] = ACTIONS(4710),
    [anon_sym_in] = ACTIONS(4710),
    [anon_sym_case] = ACTIONS(4710),
    [anon_sym_QMARK] = ACTIONS(4710),
    [anon_sym_PLUS] = ACTIONS(4712),
    [anon_sym_DASH] = ACTIONS(4712),
    [anon_sym_TILDE] = ACTIONS(4712),
    [anon_sym_AMP] = ACTIONS(4712),
    [anon_sym_PIPE_PIPE] = ACTIONS(4712),
    [anon_sym_or_else] = ACTIONS(4710),
    [anon_sym_AMP_AMP] = ACTIONS(4712),
    [anon_sym_GT] = ACTIONS(4712),
    [anon_sym_GT_EQ] = ACTIONS(4710),
    [anon_sym_LT_EQ] = ACTIONS(4710),
    [anon_sym_LT] = ACTIONS(4712),
    [anon_sym_EQ_EQ] = ACTIONS(4710),
    [anon_sym_BANG_EQ] = ACTIONS(4710),
    [anon_sym_TILDE_EQ] = ACTIONS(4710),
    [anon_sym_PIPE] = ACTIONS(4712),
    [anon_sym_AMP_TILDE] = ACTIONS(4712),
    [anon_sym_LT_LT] = ACTIONS(4712),
    [anon_sym_GT_GT] = ACTIONS(4712),
    [anon_sym_STAR] = ACTIONS(4712),
    [anon_sym_SLASH] = ACTIONS(3485),
    [anon_sym_PERCENT] = ACTIONS(4712),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4710),
    [anon_sym_DOT] = ACTIONS(4712),
    [anon_sym_LBRACK] = ACTIONS(4710),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4710),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4710),
    [anon_sym_not_in] = ACTIONS(4710),
    [anon_sym_or_return] = ACTIONS(4710),
    [anon_sym_or_continue] = ACTIONS(4710),
    [anon_sym_or_break] = ACTIONS(4710),
    [anon_sym_CARET] = ACTIONS(4712),
    [sym_uninitialized] = ACTIONS(4710),
    [sym_tag] = ACTIONS(4710),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4710),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [714] = {
    [anon_sym_LBRACE] = ACTIONS(4714),
    [anon_sym_RBRACE] = ACTIONS(4714),
    [anon_sym_COMMA] = ACTIONS(4714),
    [anon_sym_COLON_COLON] = ACTIONS(4714),
    [anon_sym_DASH_GT] = ACTIONS(4714),
    [anon_sym_where] = ACTIONS(4714),
    [anon_sym_EQ] = ACTIONS(4716),
    [anon_sym_COLON_EQ] = ACTIONS(4714),
    [anon_sym_COLON] = ACTIONS(4716),
    [anon_sym_LPAREN] = ACTIONS(4714),
    [anon_sym_PLUS_EQ] = ACTIONS(4714),
    [anon_sym_DASH_EQ] = ACTIONS(4714),
    [anon_sym_STAR_EQ] = ACTIONS(4714),
    [anon_sym_SLASH_EQ] = ACTIONS(4714),
    [anon_sym_PERCENT_EQ] = ACTIONS(4714),
    [anon_sym_AMP_EQ] = ACTIONS(4714),
    [anon_sym_PIPE_EQ] = ACTIONS(4714),
    [anon_sym_CARET_EQ] = ACTIONS(4714),
    [anon_sym_LT_LT_EQ] = ACTIONS(4714),
    [anon_sym_GT_GT_EQ] = ACTIONS(4714),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4714),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4714),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4714),
    [anon_sym_if] = ACTIONS(4714),
    [anon_sym_SEMI] = ACTIONS(4714),
    [anon_sym_else] = ACTIONS(4714),
    [anon_sym_when] = ACTIONS(4714),
    [anon_sym_in] = ACTIONS(4714),
    [anon_sym_case] = ACTIONS(4714),
    [anon_sym_QMARK] = ACTIONS(4714),
    [anon_sym_PLUS] = ACTIONS(4716),
    [anon_sym_DASH] = ACTIONS(4716),
    [anon_sym_TILDE] = ACTIONS(4716),
    [anon_sym_AMP] = ACTIONS(4716),
    [anon_sym_PIPE_PIPE] = ACTIONS(4716),
    [anon_sym_or_else] = ACTIONS(4714),
    [anon_sym_AMP_AMP] = ACTIONS(4716),
    [anon_sym_GT] = ACTIONS(4716),
    [anon_sym_GT_EQ] = ACTIONS(4714),
    [anon_sym_LT_EQ] = ACTIONS(4714),
    [anon_sym_LT] = ACTIONS(4716),
    [anon_sym_EQ_EQ] = ACTIONS(4714),
    [anon_sym_BANG_EQ] = ACTIONS(4714),
    [anon_sym_TILDE_EQ] = ACTIONS(4714),
    [anon_sym_PIPE] = ACTIONS(4716),
    [anon_sym_AMP_TILDE] = ACTIONS(4716),
    [anon_sym_LT_LT] = ACTIONS(4716),
    [anon_sym_GT_GT] = ACTIONS(4716),
    [anon_sym_STAR] = ACTIONS(4716),
    [anon_sym_SLASH] = ACTIONS(4716),
    [anon_sym_PERCENT] = ACTIONS(4716),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4714),
    [anon_sym_DOT] = ACTIONS(4716),
    [anon_sym_LBRACK] = ACTIONS(4714),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4714),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4714),
    [anon_sym_not_in] = ACTIONS(4714),
    [anon_sym_or_return] = ACTIONS(4714),
    [anon_sym_or_continue] = ACTIONS(4714),
    [anon_sym_or_break] = ACTIONS(4714),
    [anon_sym_CARET] = ACTIONS(4716),
    [sym_uninitialized] = ACTIONS(4714),
    [sym_tag] = ACTIONS(4714),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4714),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [715] = {
    [anon_sym_LBRACE] = ACTIONS(4718),
    [anon_sym_RBRACE] = ACTIONS(4718),
    [anon_sym_COMMA] = ACTIONS(4718),
    [anon_sym_COLON_COLON] = ACTIONS(4718),
    [anon_sym_DASH_GT] = ACTIONS(4718),
    [anon_sym_where] = ACTIONS(4718),
    [anon_sym_EQ] = ACTIONS(4720),
    [anon_sym_COLON_EQ] = ACTIONS(4718),
    [anon_sym_COLON] = ACTIONS(4720),
    [anon_sym_LPAREN] = ACTIONS(4718),
    [anon_sym_PLUS_EQ] = ACTIONS(4718),
    [anon_sym_DASH_EQ] = ACTIONS(4718),
    [anon_sym_STAR_EQ] = ACTIONS(4718),
    [anon_sym_SLASH_EQ] = ACTIONS(4718),
    [anon_sym_PERCENT_EQ] = ACTIONS(4718),
    [anon_sym_AMP_EQ] = ACTIONS(4718),
    [anon_sym_PIPE_EQ] = ACTIONS(4718),
    [anon_sym_CARET_EQ] = ACTIONS(4718),
    [anon_sym_LT_LT_EQ] = ACTIONS(4718),
    [anon_sym_GT_GT_EQ] = ACTIONS(4718),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4718),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4718),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4718),
    [anon_sym_if] = ACTIONS(4718),
    [anon_sym_SEMI] = ACTIONS(4718),
    [anon_sym_else] = ACTIONS(4718),
    [anon_sym_when] = ACTIONS(4718),
    [anon_sym_in] = ACTIONS(4718),
    [anon_sym_case] = ACTIONS(4718),
    [anon_sym_QMARK] = ACTIONS(4718),
    [anon_sym_PLUS] = ACTIONS(4720),
    [anon_sym_DASH] = ACTIONS(4720),
    [anon_sym_TILDE] = ACTIONS(4720),
    [anon_sym_AMP] = ACTIONS(4720),
    [anon_sym_PIPE_PIPE] = ACTIONS(4720),
    [anon_sym_or_else] = ACTIONS(4718),
    [anon_sym_AMP_AMP] = ACTIONS(4720),
    [anon_sym_GT] = ACTIONS(4720),
    [anon_sym_GT_EQ] = ACTIONS(4718),
    [anon_sym_LT_EQ] = ACTIONS(4718),
    [anon_sym_LT] = ACTIONS(4720),
    [anon_sym_EQ_EQ] = ACTIONS(4718),
    [anon_sym_BANG_EQ] = ACTIONS(4718),
    [anon_sym_TILDE_EQ] = ACTIONS(4718),
    [anon_sym_PIPE] = ACTIONS(4720),
    [anon_sym_AMP_TILDE] = ACTIONS(4720),
    [anon_sym_LT_LT] = ACTIONS(4720),
    [anon_sym_GT_GT] = ACTIONS(4720),
    [anon_sym_STAR] = ACTIONS(4720),
    [anon_sym_SLASH] = ACTIONS(4720),
    [anon_sym_PERCENT] = ACTIONS(4720),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4718),
    [anon_sym_DOT] = ACTIONS(4720),
    [anon_sym_LBRACK] = ACTIONS(4718),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4718),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4718),
    [anon_sym_not_in] = ACTIONS(4718),
    [anon_sym_or_return] = ACTIONS(4718),
    [anon_sym_or_continue] = ACTIONS(4718),
    [anon_sym_or_break] = ACTIONS(4718),
    [anon_sym_CARET] = ACTIONS(4720),
    [sym_uninitialized] = ACTIONS(4718),
    [sym_tag] = ACTIONS(4718),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4718),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [716] = {
    [anon_sym_LBRACE] = ACTIONS(4722),
    [anon_sym_RBRACE] = ACTIONS(4722),
    [anon_sym_COMMA] = ACTIONS(4722),
    [anon_sym_COLON_COLON] = ACTIONS(4722),
    [anon_sym_DASH_GT] = ACTIONS(4722),
    [anon_sym_where] = ACTIONS(4722),
    [anon_sym_EQ] = ACTIONS(4724),
    [anon_sym_COLON_EQ] = ACTIONS(4722),
    [anon_sym_COLON] = ACTIONS(4724),
    [anon_sym_LPAREN] = ACTIONS(4722),
    [anon_sym_PLUS_EQ] = ACTIONS(4722),
    [anon_sym_DASH_EQ] = ACTIONS(4722),
    [anon_sym_STAR_EQ] = ACTIONS(4722),
    [anon_sym_SLASH_EQ] = ACTIONS(4722),
    [anon_sym_PERCENT_EQ] = ACTIONS(4722),
    [anon_sym_AMP_EQ] = ACTIONS(4722),
    [anon_sym_PIPE_EQ] = ACTIONS(4722),
    [anon_sym_CARET_EQ] = ACTIONS(4722),
    [anon_sym_LT_LT_EQ] = ACTIONS(4722),
    [anon_sym_GT_GT_EQ] = ACTIONS(4722),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4722),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4722),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4722),
    [anon_sym_if] = ACTIONS(4722),
    [anon_sym_SEMI] = ACTIONS(4722),
    [anon_sym_else] = ACTIONS(4722),
    [anon_sym_when] = ACTIONS(4722),
    [anon_sym_in] = ACTIONS(4722),
    [anon_sym_case] = ACTIONS(4722),
    [anon_sym_QMARK] = ACTIONS(4722),
    [anon_sym_PLUS] = ACTIONS(4724),
    [anon_sym_DASH] = ACTIONS(4724),
    [anon_sym_TILDE] = ACTIONS(4724),
    [anon_sym_AMP] = ACTIONS(4724),
    [anon_sym_PIPE_PIPE] = ACTIONS(4724),
    [anon_sym_or_else] = ACTIONS(4722),
    [anon_sym_AMP_AMP] = ACTIONS(4724),
    [anon_sym_GT] = ACTIONS(4724),
    [anon_sym_GT_EQ] = ACTIONS(4722),
    [anon_sym_LT_EQ] = ACTIONS(4722),
    [anon_sym_LT] = ACTIONS(4724),
    [anon_sym_EQ_EQ] = ACTIONS(4722),
    [anon_sym_BANG_EQ] = ACTIONS(4722),
    [anon_sym_TILDE_EQ] = ACTIONS(4722),
    [anon_sym_PIPE] = ACTIONS(4724),
    [anon_sym_AMP_TILDE] = ACTIONS(4724),
    [anon_sym_LT_LT] = ACTIONS(4724),
    [anon_sym_GT_GT] = ACTIONS(4724),
    [anon_sym_STAR] = ACTIONS(4724),
    [anon_sym_SLASH] = ACTIONS(4724),
    [anon_sym_PERCENT] = ACTIONS(4724),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4722),
    [anon_sym_DOT] = ACTIONS(4724),
    [anon_sym_LBRACK] = ACTIONS(4722),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4722),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4722),
    [anon_sym_not_in] = ACTIONS(4722),
    [anon_sym_or_return] = ACTIONS(4722),
    [anon_sym_or_continue] = ACTIONS(4722),
    [anon_sym_or_break] = ACTIONS(4722),
    [anon_sym_CARET] = ACTIONS(4724),
    [sym_uninitialized] = ACTIONS(4722),
    [sym_tag] = ACTIONS(4722),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4722),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [717] = {
    [anon_sym_LBRACE] = ACTIONS(4726),
    [anon_sym_RBRACE] = ACTIONS(4726),
    [anon_sym_COMMA] = ACTIONS(4726),
    [anon_sym_COLON_COLON] = ACTIONS(4726),
    [anon_sym_DASH_GT] = ACTIONS(4726),
    [anon_sym_where] = ACTIONS(4726),
    [anon_sym_EQ] = ACTIONS(4728),
    [anon_sym_COLON_EQ] = ACTIONS(4726),
    [anon_sym_COLON] = ACTIONS(4728),
    [anon_sym_LPAREN] = ACTIONS(4726),
    [anon_sym_PLUS_EQ] = ACTIONS(4726),
    [anon_sym_DASH_EQ] = ACTIONS(4726),
    [anon_sym_STAR_EQ] = ACTIONS(4726),
    [anon_sym_SLASH_EQ] = ACTIONS(4726),
    [anon_sym_PERCENT_EQ] = ACTIONS(4726),
    [anon_sym_AMP_EQ] = ACTIONS(4726),
    [anon_sym_PIPE_EQ] = ACTIONS(4726),
    [anon_sym_CARET_EQ] = ACTIONS(4726),
    [anon_sym_LT_LT_EQ] = ACTIONS(4726),
    [anon_sym_GT_GT_EQ] = ACTIONS(4726),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4726),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4726),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4726),
    [anon_sym_if] = ACTIONS(4726),
    [anon_sym_SEMI] = ACTIONS(4726),
    [anon_sym_else] = ACTIONS(4726),
    [anon_sym_when] = ACTIONS(4726),
    [anon_sym_in] = ACTIONS(4726),
    [anon_sym_case] = ACTIONS(4726),
    [anon_sym_QMARK] = ACTIONS(4726),
    [anon_sym_PLUS] = ACTIONS(4728),
    [anon_sym_DASH] = ACTIONS(4728),
    [anon_sym_TILDE] = ACTIONS(4728),
    [anon_sym_AMP] = ACTIONS(4728),
    [anon_sym_PIPE_PIPE] = ACTIONS(4728),
    [anon_sym_or_else] = ACTIONS(4726),
    [anon_sym_AMP_AMP] = ACTIONS(4728),
    [anon_sym_GT] = ACTIONS(4728),
    [anon_sym_GT_EQ] = ACTIONS(4726),
    [anon_sym_LT_EQ] = ACTIONS(4726),
    [anon_sym_LT] = ACTIONS(4728),
    [anon_sym_EQ_EQ] = ACTIONS(4726),
    [anon_sym_BANG_EQ] = ACTIONS(4726),
    [anon_sym_TILDE_EQ] = ACTIONS(4726),
    [anon_sym_PIPE] = ACTIONS(4728),
    [anon_sym_AMP_TILDE] = ACTIONS(4728),
    [anon_sym_LT_LT] = ACTIONS(4728),
    [anon_sym_GT_GT] = ACTIONS(4728),
    [anon_sym_STAR] = ACTIONS(4728),
    [anon_sym_SLASH] = ACTIONS(4728),
    [anon_sym_PERCENT] = ACTIONS(4728),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4726),
    [anon_sym_DOT] = ACTIONS(4728),
    [anon_sym_LBRACK] = ACTIONS(4726),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4726),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4726),
    [anon_sym_not_in] = ACTIONS(4726),
    [anon_sym_or_return] = ACTIONS(4726),
    [anon_sym_or_continue] = ACTIONS(4726),
    [anon_sym_or_break] = ACTIONS(4726),
    [anon_sym_CARET] = ACTIONS(4728),
    [sym_uninitialized] = ACTIONS(4726),
    [sym_tag] = ACTIONS(4726),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4726),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [718] = {
    [anon_sym_LBRACE] = ACTIONS(833),
    [anon_sym_RBRACE] = ACTIONS(833),
    [anon_sym_COMMA] = ACTIONS(833),
    [anon_sym_COLON_COLON] = ACTIONS(833),
    [anon_sym_DASH_GT] = ACTIONS(833),
    [anon_sym_where] = ACTIONS(833),
    [anon_sym_EQ] = ACTIONS(836),
    [anon_sym_COLON_EQ] = ACTIONS(833),
    [anon_sym_COLON] = ACTIONS(836),
    [anon_sym_LPAREN] = ACTIONS(833),
    [anon_sym_PLUS_EQ] = ACTIONS(833),
    [anon_sym_DASH_EQ] = ACTIONS(833),
    [anon_sym_STAR_EQ] = ACTIONS(833),
    [anon_sym_SLASH_EQ] = ACTIONS(833),
    [anon_sym_PERCENT_EQ] = ACTIONS(833),
    [anon_sym_AMP_EQ] = ACTIONS(833),
    [anon_sym_PIPE_EQ] = ACTIONS(833),
    [anon_sym_CARET_EQ] = ACTIONS(833),
    [anon_sym_LT_LT_EQ] = ACTIONS(833),
    [anon_sym_GT_GT_EQ] = ACTIONS(833),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(833),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(833),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(833),
    [anon_sym_if] = ACTIONS(833),
    [anon_sym_SEMI] = ACTIONS(833),
    [anon_sym_else] = ACTIONS(833),
    [anon_sym_when] = ACTIONS(833),
    [anon_sym_in] = ACTIONS(833),
    [anon_sym_case] = ACTIONS(833),
    [anon_sym_QMARK] = ACTIONS(833),
    [anon_sym_PLUS] = ACTIONS(836),
    [anon_sym_DASH] = ACTIONS(836),
    [anon_sym_TILDE] = ACTIONS(836),
    [anon_sym_AMP] = ACTIONS(836),
    [anon_sym_PIPE_PIPE] = ACTIONS(836),
    [anon_sym_or_else] = ACTIONS(833),
    [anon_sym_AMP_AMP] = ACTIONS(836),
    [anon_sym_GT] = ACTIONS(836),
    [anon_sym_GT_EQ] = ACTIONS(833),
    [anon_sym_LT_EQ] = ACTIONS(833),
    [anon_sym_LT] = ACTIONS(836),
    [anon_sym_EQ_EQ] = ACTIONS(833),
    [anon_sym_BANG_EQ] = ACTIONS(833),
    [anon_sym_TILDE_EQ] = ACTIONS(833),
    [anon_sym_PIPE] = ACTIONS(836),
    [anon_sym_AMP_TILDE] = ACTIONS(836),
    [anon_sym_LT_LT] = ACTIONS(836),
    [anon_sym_GT_GT] = ACTIONS(836),
    [anon_sym_STAR] = ACTIONS(836),
    [anon_sym_SLASH] = ACTIONS(836),
    [anon_sym_PERCENT] = ACTIONS(836),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(833),
    [anon_sym_DOT] = ACTIONS(836),
    [anon_sym_LBRACK] = ACTIONS(833),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(833),
    [anon_sym_DOT_DOT_LT] = ACTIONS(833),
    [anon_sym_not_in] = ACTIONS(833),
    [anon_sym_or_return] = ACTIONS(833),
    [anon_sym_or_continue] = ACTIONS(833),
    [anon_sym_or_break] = ACTIONS(833),
    [anon_sym_CARET] = ACTIONS(836),
    [sym_uninitialized] = ACTIONS(833),
    [sym_tag] = ACTIONS(833),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(833),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [719] = {
    [anon_sym_LBRACE] = ACTIONS(4730),
    [anon_sym_RBRACE] = ACTIONS(4730),
    [anon_sym_COMMA] = ACTIONS(4730),
    [anon_sym_COLON_COLON] = ACTIONS(4730),
    [anon_sym_DASH_GT] = ACTIONS(4730),
    [anon_sym_where] = ACTIONS(4730),
    [anon_sym_EQ] = ACTIONS(4732),
    [anon_sym_COLON_EQ] = ACTIONS(4730),
    [anon_sym_COLON] = ACTIONS(4732),
    [anon_sym_LPAREN] = ACTIONS(4730),
    [anon_sym_PLUS_EQ] = ACTIONS(4730),
    [anon_sym_DASH_EQ] = ACTIONS(4730),
    [anon_sym_STAR_EQ] = ACTIONS(4730),
    [anon_sym_SLASH_EQ] = ACTIONS(4730),
    [anon_sym_PERCENT_EQ] = ACTIONS(4730),
    [anon_sym_AMP_EQ] = ACTIONS(4730),
    [anon_sym_PIPE_EQ] = ACTIONS(4730),
    [anon_sym_CARET_EQ] = ACTIONS(4730),
    [anon_sym_LT_LT_EQ] = ACTIONS(4730),
    [anon_sym_GT_GT_EQ] = ACTIONS(4730),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4730),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4730),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4730),
    [anon_sym_if] = ACTIONS(4730),
    [anon_sym_SEMI] = ACTIONS(4730),
    [anon_sym_else] = ACTIONS(4730),
    [anon_sym_when] = ACTIONS(4730),
    [anon_sym_in] = ACTIONS(4730),
    [anon_sym_case] = ACTIONS(4730),
    [anon_sym_QMARK] = ACTIONS(4730),
    [anon_sym_PLUS] = ACTIONS(4732),
    [anon_sym_DASH] = ACTIONS(4732),
    [anon_sym_TILDE] = ACTIONS(4732),
    [anon_sym_AMP] = ACTIONS(4732),
    [anon_sym_PIPE_PIPE] = ACTIONS(4732),
    [anon_sym_or_else] = ACTIONS(4730),
    [anon_sym_AMP_AMP] = ACTIONS(4732),
    [anon_sym_GT] = ACTIONS(4732),
    [anon_sym_GT_EQ] = ACTIONS(4730),
    [anon_sym_LT_EQ] = ACTIONS(4730),
    [anon_sym_LT] = ACTIONS(4732),
    [anon_sym_EQ_EQ] = ACTIONS(4730),
    [anon_sym_BANG_EQ] = ACTIONS(4730),
    [anon_sym_TILDE_EQ] = ACTIONS(4730),
    [anon_sym_PIPE] = ACTIONS(4732),
    [anon_sym_AMP_TILDE] = ACTIONS(4732),
    [anon_sym_LT_LT] = ACTIONS(4732),
    [anon_sym_GT_GT] = ACTIONS(4732),
    [anon_sym_STAR] = ACTIONS(4732),
    [anon_sym_SLASH] = ACTIONS(4732),
    [anon_sym_PERCENT] = ACTIONS(4732),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4730),
    [anon_sym_DOT] = ACTIONS(4732),
    [anon_sym_LBRACK] = ACTIONS(4730),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4730),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4730),
    [anon_sym_not_in] = ACTIONS(4730),
    [anon_sym_or_return] = ACTIONS(4730),
    [anon_sym_or_continue] = ACTIONS(4730),
    [anon_sym_or_break] = ACTIONS(4730),
    [anon_sym_CARET] = ACTIONS(4732),
    [sym_uninitialized] = ACTIONS(4730),
    [sym_tag] = ACTIONS(4730),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4730),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [720] = {
    [sym_expression] = STATE(5566),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_struct_field] = STATE(7886),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(4734),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [721] = {
    [anon_sym_LBRACE] = ACTIONS(4736),
    [anon_sym_RBRACE] = ACTIONS(4736),
    [anon_sym_COMMA] = ACTIONS(4736),
    [anon_sym_COLON_COLON] = ACTIONS(4736),
    [anon_sym_DASH_GT] = ACTIONS(4736),
    [anon_sym_where] = ACTIONS(4736),
    [anon_sym_EQ] = ACTIONS(4738),
    [anon_sym_COLON_EQ] = ACTIONS(4736),
    [anon_sym_COLON] = ACTIONS(4738),
    [anon_sym_LPAREN] = ACTIONS(4736),
    [anon_sym_PLUS_EQ] = ACTIONS(4736),
    [anon_sym_DASH_EQ] = ACTIONS(4736),
    [anon_sym_STAR_EQ] = ACTIONS(4736),
    [anon_sym_SLASH_EQ] = ACTIONS(4736),
    [anon_sym_PERCENT_EQ] = ACTIONS(4736),
    [anon_sym_AMP_EQ] = ACTIONS(4736),
    [anon_sym_PIPE_EQ] = ACTIONS(4736),
    [anon_sym_CARET_EQ] = ACTIONS(4736),
    [anon_sym_LT_LT_EQ] = ACTIONS(4736),
    [anon_sym_GT_GT_EQ] = ACTIONS(4736),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4736),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4736),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4736),
    [anon_sym_if] = ACTIONS(4736),
    [anon_sym_SEMI] = ACTIONS(4736),
    [anon_sym_else] = ACTIONS(4736),
    [anon_sym_when] = ACTIONS(4736),
    [anon_sym_in] = ACTIONS(4736),
    [anon_sym_case] = ACTIONS(4736),
    [anon_sym_QMARK] = ACTIONS(4736),
    [anon_sym_PLUS] = ACTIONS(4738),
    [anon_sym_DASH] = ACTIONS(4738),
    [anon_sym_TILDE] = ACTIONS(4738),
    [anon_sym_AMP] = ACTIONS(4738),
    [anon_sym_PIPE_PIPE] = ACTIONS(4738),
    [anon_sym_or_else] = ACTIONS(4736),
    [anon_sym_AMP_AMP] = ACTIONS(4738),
    [anon_sym_GT] = ACTIONS(4738),
    [anon_sym_GT_EQ] = ACTIONS(4736),
    [anon_sym_LT_EQ] = ACTIONS(4736),
    [anon_sym_LT] = ACTIONS(4738),
    [anon_sym_EQ_EQ] = ACTIONS(4736),
    [anon_sym_BANG_EQ] = ACTIONS(4736),
    [anon_sym_TILDE_EQ] = ACTIONS(4736),
    [anon_sym_PIPE] = ACTIONS(4738),
    [anon_sym_AMP_TILDE] = ACTIONS(4738),
    [anon_sym_LT_LT] = ACTIONS(4738),
    [anon_sym_GT_GT] = ACTIONS(4738),
    [anon_sym_STAR] = ACTIONS(4738),
    [anon_sym_SLASH] = ACTIONS(4738),
    [anon_sym_PERCENT] = ACTIONS(4738),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4736),
    [anon_sym_DOT] = ACTIONS(4738),
    [anon_sym_LBRACK] = ACTIONS(4736),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4736),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4736),
    [anon_sym_not_in] = ACTIONS(4736),
    [anon_sym_or_return] = ACTIONS(4736),
    [anon_sym_or_continue] = ACTIONS(4736),
    [anon_sym_or_break] = ACTIONS(4736),
    [anon_sym_CARET] = ACTIONS(4738),
    [sym_uninitialized] = ACTIONS(4736),
    [sym_tag] = ACTIONS(4736),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4736),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [722] = {
    [anon_sym_LBRACE] = ACTIONS(4740),
    [anon_sym_RBRACE] = ACTIONS(4740),
    [anon_sym_COMMA] = ACTIONS(4740),
    [anon_sym_COLON_COLON] = ACTIONS(4740),
    [anon_sym_DASH_GT] = ACTIONS(4740),
    [anon_sym_where] = ACTIONS(4740),
    [anon_sym_EQ] = ACTIONS(4742),
    [anon_sym_COLON_EQ] = ACTIONS(4740),
    [anon_sym_COLON] = ACTIONS(4742),
    [anon_sym_LPAREN] = ACTIONS(4740),
    [anon_sym_PLUS_EQ] = ACTIONS(4740),
    [anon_sym_DASH_EQ] = ACTIONS(4740),
    [anon_sym_STAR_EQ] = ACTIONS(4740),
    [anon_sym_SLASH_EQ] = ACTIONS(4740),
    [anon_sym_PERCENT_EQ] = ACTIONS(4740),
    [anon_sym_AMP_EQ] = ACTIONS(4740),
    [anon_sym_PIPE_EQ] = ACTIONS(4740),
    [anon_sym_CARET_EQ] = ACTIONS(4740),
    [anon_sym_LT_LT_EQ] = ACTIONS(4740),
    [anon_sym_GT_GT_EQ] = ACTIONS(4740),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4740),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4740),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4740),
    [anon_sym_if] = ACTIONS(4740),
    [anon_sym_SEMI] = ACTIONS(4740),
    [anon_sym_else] = ACTIONS(4740),
    [anon_sym_when] = ACTIONS(4740),
    [anon_sym_in] = ACTIONS(4740),
    [anon_sym_case] = ACTIONS(4740),
    [anon_sym_QMARK] = ACTIONS(4740),
    [anon_sym_PLUS] = ACTIONS(4742),
    [anon_sym_DASH] = ACTIONS(4742),
    [anon_sym_TILDE] = ACTIONS(4742),
    [anon_sym_AMP] = ACTIONS(4742),
    [anon_sym_PIPE_PIPE] = ACTIONS(4742),
    [anon_sym_or_else] = ACTIONS(4740),
    [anon_sym_AMP_AMP] = ACTIONS(4742),
    [anon_sym_GT] = ACTIONS(4742),
    [anon_sym_GT_EQ] = ACTIONS(4740),
    [anon_sym_LT_EQ] = ACTIONS(4740),
    [anon_sym_LT] = ACTIONS(4742),
    [anon_sym_EQ_EQ] = ACTIONS(4740),
    [anon_sym_BANG_EQ] = ACTIONS(4740),
    [anon_sym_TILDE_EQ] = ACTIONS(4740),
    [anon_sym_PIPE] = ACTIONS(4742),
    [anon_sym_AMP_TILDE] = ACTIONS(4742),
    [anon_sym_LT_LT] = ACTIONS(4742),
    [anon_sym_GT_GT] = ACTIONS(4742),
    [anon_sym_STAR] = ACTIONS(4742),
    [anon_sym_SLASH] = ACTIONS(4742),
    [anon_sym_PERCENT] = ACTIONS(4742),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4740),
    [anon_sym_DOT] = ACTIONS(4742),
    [anon_sym_LBRACK] = ACTIONS(4740),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4740),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4740),
    [anon_sym_not_in] = ACTIONS(4740),
    [anon_sym_or_return] = ACTIONS(4740),
    [anon_sym_or_continue] = ACTIONS(4740),
    [anon_sym_or_break] = ACTIONS(4740),
    [anon_sym_CARET] = ACTIONS(4742),
    [sym_uninitialized] = ACTIONS(4740),
    [sym_tag] = ACTIONS(4740),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4740),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [723] = {
    [anon_sym_LBRACE] = ACTIONS(4744),
    [anon_sym_RBRACE] = ACTIONS(4744),
    [anon_sym_COMMA] = ACTIONS(4744),
    [anon_sym_COLON_COLON] = ACTIONS(4744),
    [anon_sym_DASH_GT] = ACTIONS(4744),
    [anon_sym_where] = ACTIONS(4744),
    [anon_sym_EQ] = ACTIONS(4746),
    [anon_sym_COLON_EQ] = ACTIONS(4744),
    [anon_sym_COLON] = ACTIONS(4746),
    [anon_sym_LPAREN] = ACTIONS(4744),
    [anon_sym_PLUS_EQ] = ACTIONS(4744),
    [anon_sym_DASH_EQ] = ACTIONS(4744),
    [anon_sym_STAR_EQ] = ACTIONS(4744),
    [anon_sym_SLASH_EQ] = ACTIONS(4744),
    [anon_sym_PERCENT_EQ] = ACTIONS(4744),
    [anon_sym_AMP_EQ] = ACTIONS(4744),
    [anon_sym_PIPE_EQ] = ACTIONS(4744),
    [anon_sym_CARET_EQ] = ACTIONS(4744),
    [anon_sym_LT_LT_EQ] = ACTIONS(4744),
    [anon_sym_GT_GT_EQ] = ACTIONS(4744),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4744),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4744),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4744),
    [anon_sym_if] = ACTIONS(4744),
    [anon_sym_SEMI] = ACTIONS(4744),
    [anon_sym_else] = ACTIONS(4744),
    [anon_sym_when] = ACTIONS(4744),
    [anon_sym_in] = ACTIONS(4744),
    [anon_sym_case] = ACTIONS(4744),
    [anon_sym_QMARK] = ACTIONS(4744),
    [anon_sym_PLUS] = ACTIONS(4746),
    [anon_sym_DASH] = ACTIONS(4746),
    [anon_sym_TILDE] = ACTIONS(4746),
    [anon_sym_AMP] = ACTIONS(4746),
    [anon_sym_PIPE_PIPE] = ACTIONS(4746),
    [anon_sym_or_else] = ACTIONS(4744),
    [anon_sym_AMP_AMP] = ACTIONS(4746),
    [anon_sym_GT] = ACTIONS(4746),
    [anon_sym_GT_EQ] = ACTIONS(4744),
    [anon_sym_LT_EQ] = ACTIONS(4744),
    [anon_sym_LT] = ACTIONS(4746),
    [anon_sym_EQ_EQ] = ACTIONS(4744),
    [anon_sym_BANG_EQ] = ACTIONS(4744),
    [anon_sym_TILDE_EQ] = ACTIONS(4744),
    [anon_sym_PIPE] = ACTIONS(4746),
    [anon_sym_AMP_TILDE] = ACTIONS(4746),
    [anon_sym_LT_LT] = ACTIONS(4746),
    [anon_sym_GT_GT] = ACTIONS(4746),
    [anon_sym_STAR] = ACTIONS(4746),
    [anon_sym_SLASH] = ACTIONS(4746),
    [anon_sym_PERCENT] = ACTIONS(4746),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4744),
    [anon_sym_DOT] = ACTIONS(4746),
    [anon_sym_LBRACK] = ACTIONS(4744),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4744),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4744),
    [anon_sym_not_in] = ACTIONS(4744),
    [anon_sym_or_return] = ACTIONS(4744),
    [anon_sym_or_continue] = ACTIONS(4744),
    [anon_sym_or_break] = ACTIONS(4744),
    [anon_sym_CARET] = ACTIONS(4746),
    [sym_uninitialized] = ACTIONS(4744),
    [sym_tag] = ACTIONS(4744),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4744),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [724] = {
    [anon_sym_LBRACE] = ACTIONS(4748),
    [anon_sym_RBRACE] = ACTIONS(4748),
    [anon_sym_COMMA] = ACTIONS(4748),
    [anon_sym_COLON_COLON] = ACTIONS(4748),
    [anon_sym_DASH_GT] = ACTIONS(4748),
    [anon_sym_where] = ACTIONS(4748),
    [anon_sym_EQ] = ACTIONS(4750),
    [anon_sym_COLON_EQ] = ACTIONS(4748),
    [anon_sym_COLON] = ACTIONS(4750),
    [anon_sym_LPAREN] = ACTIONS(3483),
    [anon_sym_PLUS_EQ] = ACTIONS(4748),
    [anon_sym_DASH_EQ] = ACTIONS(4748),
    [anon_sym_STAR_EQ] = ACTIONS(4748),
    [anon_sym_SLASH_EQ] = ACTIONS(4748),
    [anon_sym_PERCENT_EQ] = ACTIONS(4748),
    [anon_sym_AMP_EQ] = ACTIONS(4748),
    [anon_sym_PIPE_EQ] = ACTIONS(4748),
    [anon_sym_CARET_EQ] = ACTIONS(4748),
    [anon_sym_LT_LT_EQ] = ACTIONS(4748),
    [anon_sym_GT_GT_EQ] = ACTIONS(4748),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4748),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4748),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4748),
    [anon_sym_if] = ACTIONS(4748),
    [anon_sym_SEMI] = ACTIONS(4748),
    [anon_sym_else] = ACTIONS(4748),
    [anon_sym_when] = ACTIONS(4748),
    [anon_sym_in] = ACTIONS(4748),
    [anon_sym_case] = ACTIONS(4748),
    [anon_sym_QMARK] = ACTIONS(4748),
    [anon_sym_PLUS] = ACTIONS(4750),
    [anon_sym_DASH] = ACTIONS(4750),
    [anon_sym_TILDE] = ACTIONS(4750),
    [anon_sym_AMP] = ACTIONS(4750),
    [anon_sym_PIPE_PIPE] = ACTIONS(4750),
    [anon_sym_or_else] = ACTIONS(4748),
    [anon_sym_AMP_AMP] = ACTIONS(4750),
    [anon_sym_GT] = ACTIONS(4750),
    [anon_sym_GT_EQ] = ACTIONS(4748),
    [anon_sym_LT_EQ] = ACTIONS(4748),
    [anon_sym_LT] = ACTIONS(4750),
    [anon_sym_EQ_EQ] = ACTIONS(4748),
    [anon_sym_BANG_EQ] = ACTIONS(4748),
    [anon_sym_TILDE_EQ] = ACTIONS(4748),
    [anon_sym_PIPE] = ACTIONS(4750),
    [anon_sym_AMP_TILDE] = ACTIONS(4750),
    [anon_sym_LT_LT] = ACTIONS(4750),
    [anon_sym_GT_GT] = ACTIONS(4750),
    [anon_sym_STAR] = ACTIONS(4750),
    [anon_sym_SLASH] = ACTIONS(3485),
    [anon_sym_PERCENT] = ACTIONS(4750),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4748),
    [anon_sym_DOT] = ACTIONS(4750),
    [anon_sym_LBRACK] = ACTIONS(4748),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4748),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4748),
    [anon_sym_not_in] = ACTIONS(4748),
    [anon_sym_or_return] = ACTIONS(4748),
    [anon_sym_or_continue] = ACTIONS(4748),
    [anon_sym_or_break] = ACTIONS(4748),
    [anon_sym_CARET] = ACTIONS(4750),
    [sym_uninitialized] = ACTIONS(4748),
    [sym_tag] = ACTIONS(4748),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4748),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [725] = {
    [anon_sym_LBRACE] = ACTIONS(773),
    [anon_sym_RBRACE] = ACTIONS(773),
    [anon_sym_COMMA] = ACTIONS(773),
    [anon_sym_COLON_COLON] = ACTIONS(773),
    [anon_sym_DASH_GT] = ACTIONS(773),
    [anon_sym_where] = ACTIONS(773),
    [anon_sym_EQ] = ACTIONS(778),
    [anon_sym_COLON_EQ] = ACTIONS(773),
    [anon_sym_COLON] = ACTIONS(778),
    [anon_sym_LPAREN] = ACTIONS(773),
    [anon_sym_PLUS_EQ] = ACTIONS(773),
    [anon_sym_DASH_EQ] = ACTIONS(773),
    [anon_sym_STAR_EQ] = ACTIONS(773),
    [anon_sym_SLASH_EQ] = ACTIONS(773),
    [anon_sym_PERCENT_EQ] = ACTIONS(773),
    [anon_sym_AMP_EQ] = ACTIONS(773),
    [anon_sym_PIPE_EQ] = ACTIONS(773),
    [anon_sym_CARET_EQ] = ACTIONS(773),
    [anon_sym_LT_LT_EQ] = ACTIONS(773),
    [anon_sym_GT_GT_EQ] = ACTIONS(773),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(773),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(773),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(773),
    [anon_sym_if] = ACTIONS(773),
    [anon_sym_SEMI] = ACTIONS(773),
    [anon_sym_else] = ACTIONS(773),
    [anon_sym_when] = ACTIONS(773),
    [anon_sym_in] = ACTIONS(773),
    [anon_sym_case] = ACTIONS(773),
    [anon_sym_QMARK] = ACTIONS(773),
    [anon_sym_PLUS] = ACTIONS(778),
    [anon_sym_DASH] = ACTIONS(778),
    [anon_sym_TILDE] = ACTIONS(778),
    [anon_sym_AMP] = ACTIONS(778),
    [anon_sym_PIPE_PIPE] = ACTIONS(778),
    [anon_sym_or_else] = ACTIONS(773),
    [anon_sym_AMP_AMP] = ACTIONS(778),
    [anon_sym_GT] = ACTIONS(778),
    [anon_sym_GT_EQ] = ACTIONS(773),
    [anon_sym_LT_EQ] = ACTIONS(773),
    [anon_sym_LT] = ACTIONS(778),
    [anon_sym_EQ_EQ] = ACTIONS(773),
    [anon_sym_BANG_EQ] = ACTIONS(773),
    [anon_sym_TILDE_EQ] = ACTIONS(773),
    [anon_sym_PIPE] = ACTIONS(778),
    [anon_sym_AMP_TILDE] = ACTIONS(778),
    [anon_sym_LT_LT] = ACTIONS(778),
    [anon_sym_GT_GT] = ACTIONS(778),
    [anon_sym_STAR] = ACTIONS(778),
    [anon_sym_SLASH] = ACTIONS(778),
    [anon_sym_PERCENT] = ACTIONS(778),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(773),
    [anon_sym_DOT] = ACTIONS(778),
    [anon_sym_LBRACK] = ACTIONS(773),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(773),
    [anon_sym_DOT_DOT_LT] = ACTIONS(773),
    [anon_sym_not_in] = ACTIONS(773),
    [anon_sym_or_return] = ACTIONS(773),
    [anon_sym_or_continue] = ACTIONS(773),
    [anon_sym_or_break] = ACTIONS(773),
    [anon_sym_CARET] = ACTIONS(778),
    [sym_uninitialized] = ACTIONS(773),
    [sym_tag] = ACTIONS(773),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(773),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [726] = {
    [anon_sym_LBRACE] = ACTIONS(4752),
    [anon_sym_RBRACE] = ACTIONS(4752),
    [anon_sym_COMMA] = ACTIONS(4752),
    [anon_sym_COLON_COLON] = ACTIONS(4752),
    [anon_sym_DASH_GT] = ACTIONS(4752),
    [anon_sym_where] = ACTIONS(4752),
    [anon_sym_EQ] = ACTIONS(4754),
    [anon_sym_COLON_EQ] = ACTIONS(4752),
    [anon_sym_COLON] = ACTIONS(4754),
    [anon_sym_LPAREN] = ACTIONS(4752),
    [anon_sym_PLUS_EQ] = ACTIONS(4752),
    [anon_sym_DASH_EQ] = ACTIONS(4752),
    [anon_sym_STAR_EQ] = ACTIONS(4752),
    [anon_sym_SLASH_EQ] = ACTIONS(4752),
    [anon_sym_PERCENT_EQ] = ACTIONS(4752),
    [anon_sym_AMP_EQ] = ACTIONS(4752),
    [anon_sym_PIPE_EQ] = ACTIONS(4752),
    [anon_sym_CARET_EQ] = ACTIONS(4752),
    [anon_sym_LT_LT_EQ] = ACTIONS(4752),
    [anon_sym_GT_GT_EQ] = ACTIONS(4752),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4752),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4752),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4752),
    [anon_sym_if] = ACTIONS(4752),
    [anon_sym_SEMI] = ACTIONS(4752),
    [anon_sym_else] = ACTIONS(4752),
    [anon_sym_when] = ACTIONS(4752),
    [anon_sym_in] = ACTIONS(4752),
    [anon_sym_case] = ACTIONS(4752),
    [anon_sym_QMARK] = ACTIONS(4752),
    [anon_sym_PLUS] = ACTIONS(4754),
    [anon_sym_DASH] = ACTIONS(4754),
    [anon_sym_TILDE] = ACTIONS(4754),
    [anon_sym_AMP] = ACTIONS(4754),
    [anon_sym_PIPE_PIPE] = ACTIONS(4754),
    [anon_sym_or_else] = ACTIONS(4752),
    [anon_sym_AMP_AMP] = ACTIONS(4754),
    [anon_sym_GT] = ACTIONS(4754),
    [anon_sym_GT_EQ] = ACTIONS(4752),
    [anon_sym_LT_EQ] = ACTIONS(4752),
    [anon_sym_LT] = ACTIONS(4754),
    [anon_sym_EQ_EQ] = ACTIONS(4752),
    [anon_sym_BANG_EQ] = ACTIONS(4752),
    [anon_sym_TILDE_EQ] = ACTIONS(4752),
    [anon_sym_PIPE] = ACTIONS(4754),
    [anon_sym_AMP_TILDE] = ACTIONS(4754),
    [anon_sym_LT_LT] = ACTIONS(4754),
    [anon_sym_GT_GT] = ACTIONS(4754),
    [anon_sym_STAR] = ACTIONS(4754),
    [anon_sym_SLASH] = ACTIONS(4754),
    [anon_sym_PERCENT] = ACTIONS(4754),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4752),
    [anon_sym_DOT] = ACTIONS(4754),
    [anon_sym_LBRACK] = ACTIONS(4752),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4752),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4752),
    [anon_sym_not_in] = ACTIONS(4752),
    [anon_sym_or_return] = ACTIONS(4752),
    [anon_sym_or_continue] = ACTIONS(4752),
    [anon_sym_or_break] = ACTIONS(4752),
    [anon_sym_CARET] = ACTIONS(4754),
    [sym_uninitialized] = ACTIONS(4752),
    [sym_tag] = ACTIONS(4752),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4752),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [727] = {
    [anon_sym_LBRACE] = ACTIONS(4756),
    [anon_sym_RBRACE] = ACTIONS(4756),
    [anon_sym_COMMA] = ACTIONS(4756),
    [anon_sym_COLON_COLON] = ACTIONS(4756),
    [anon_sym_DASH_GT] = ACTIONS(4756),
    [anon_sym_where] = ACTIONS(4756),
    [anon_sym_EQ] = ACTIONS(4758),
    [anon_sym_COLON_EQ] = ACTIONS(4756),
    [anon_sym_COLON] = ACTIONS(4758),
    [anon_sym_LPAREN] = ACTIONS(4756),
    [anon_sym_PLUS_EQ] = ACTIONS(4756),
    [anon_sym_DASH_EQ] = ACTIONS(4756),
    [anon_sym_STAR_EQ] = ACTIONS(4756),
    [anon_sym_SLASH_EQ] = ACTIONS(4756),
    [anon_sym_PERCENT_EQ] = ACTIONS(4756),
    [anon_sym_AMP_EQ] = ACTIONS(4756),
    [anon_sym_PIPE_EQ] = ACTIONS(4756),
    [anon_sym_CARET_EQ] = ACTIONS(4756),
    [anon_sym_LT_LT_EQ] = ACTIONS(4756),
    [anon_sym_GT_GT_EQ] = ACTIONS(4756),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4756),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4756),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4756),
    [anon_sym_if] = ACTIONS(4756),
    [anon_sym_SEMI] = ACTIONS(4756),
    [anon_sym_else] = ACTIONS(4756),
    [anon_sym_when] = ACTIONS(4756),
    [anon_sym_in] = ACTIONS(4756),
    [anon_sym_case] = ACTIONS(4756),
    [anon_sym_QMARK] = ACTIONS(4756),
    [anon_sym_PLUS] = ACTIONS(4758),
    [anon_sym_DASH] = ACTIONS(4758),
    [anon_sym_TILDE] = ACTIONS(4758),
    [anon_sym_AMP] = ACTIONS(4758),
    [anon_sym_PIPE_PIPE] = ACTIONS(4758),
    [anon_sym_or_else] = ACTIONS(4756),
    [anon_sym_AMP_AMP] = ACTIONS(4758),
    [anon_sym_GT] = ACTIONS(4758),
    [anon_sym_GT_EQ] = ACTIONS(4756),
    [anon_sym_LT_EQ] = ACTIONS(4756),
    [anon_sym_LT] = ACTIONS(4758),
    [anon_sym_EQ_EQ] = ACTIONS(4756),
    [anon_sym_BANG_EQ] = ACTIONS(4756),
    [anon_sym_TILDE_EQ] = ACTIONS(4756),
    [anon_sym_PIPE] = ACTIONS(4758),
    [anon_sym_AMP_TILDE] = ACTIONS(4758),
    [anon_sym_LT_LT] = ACTIONS(4758),
    [anon_sym_GT_GT] = ACTIONS(4758),
    [anon_sym_STAR] = ACTIONS(4758),
    [anon_sym_SLASH] = ACTIONS(4758),
    [anon_sym_PERCENT] = ACTIONS(4758),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4756),
    [anon_sym_DOT] = ACTIONS(4758),
    [anon_sym_LBRACK] = ACTIONS(4756),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4756),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4756),
    [anon_sym_not_in] = ACTIONS(4756),
    [anon_sym_or_return] = ACTIONS(4756),
    [anon_sym_or_continue] = ACTIONS(4756),
    [anon_sym_or_break] = ACTIONS(4756),
    [anon_sym_CARET] = ACTIONS(4758),
    [sym_uninitialized] = ACTIONS(4756),
    [sym_tag] = ACTIONS(4756),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4756),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [728] = {
    [anon_sym_LBRACE] = ACTIONS(4760),
    [anon_sym_RBRACE] = ACTIONS(4760),
    [anon_sym_COMMA] = ACTIONS(4760),
    [anon_sym_COLON_COLON] = ACTIONS(4760),
    [anon_sym_DASH_GT] = ACTIONS(4760),
    [anon_sym_where] = ACTIONS(4760),
    [anon_sym_EQ] = ACTIONS(4762),
    [anon_sym_COLON_EQ] = ACTIONS(4760),
    [anon_sym_COLON] = ACTIONS(4762),
    [anon_sym_LPAREN] = ACTIONS(4760),
    [anon_sym_PLUS_EQ] = ACTIONS(4760),
    [anon_sym_DASH_EQ] = ACTIONS(4760),
    [anon_sym_STAR_EQ] = ACTIONS(4760),
    [anon_sym_SLASH_EQ] = ACTIONS(4760),
    [anon_sym_PERCENT_EQ] = ACTIONS(4760),
    [anon_sym_AMP_EQ] = ACTIONS(4760),
    [anon_sym_PIPE_EQ] = ACTIONS(4760),
    [anon_sym_CARET_EQ] = ACTIONS(4760),
    [anon_sym_LT_LT_EQ] = ACTIONS(4760),
    [anon_sym_GT_GT_EQ] = ACTIONS(4760),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4760),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4760),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4760),
    [anon_sym_if] = ACTIONS(4760),
    [anon_sym_SEMI] = ACTIONS(4760),
    [anon_sym_else] = ACTIONS(4760),
    [anon_sym_when] = ACTIONS(4760),
    [anon_sym_in] = ACTIONS(4760),
    [anon_sym_case] = ACTIONS(4760),
    [anon_sym_QMARK] = ACTIONS(4760),
    [anon_sym_PLUS] = ACTIONS(4762),
    [anon_sym_DASH] = ACTIONS(4762),
    [anon_sym_TILDE] = ACTIONS(4762),
    [anon_sym_AMP] = ACTIONS(4762),
    [anon_sym_PIPE_PIPE] = ACTIONS(4762),
    [anon_sym_or_else] = ACTIONS(4760),
    [anon_sym_AMP_AMP] = ACTIONS(4762),
    [anon_sym_GT] = ACTIONS(4762),
    [anon_sym_GT_EQ] = ACTIONS(4760),
    [anon_sym_LT_EQ] = ACTIONS(4760),
    [anon_sym_LT] = ACTIONS(4762),
    [anon_sym_EQ_EQ] = ACTIONS(4760),
    [anon_sym_BANG_EQ] = ACTIONS(4760),
    [anon_sym_TILDE_EQ] = ACTIONS(4760),
    [anon_sym_PIPE] = ACTIONS(4762),
    [anon_sym_AMP_TILDE] = ACTIONS(4762),
    [anon_sym_LT_LT] = ACTIONS(4762),
    [anon_sym_GT_GT] = ACTIONS(4762),
    [anon_sym_STAR] = ACTIONS(4762),
    [anon_sym_SLASH] = ACTIONS(4762),
    [anon_sym_PERCENT] = ACTIONS(4762),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4760),
    [anon_sym_DOT] = ACTIONS(4762),
    [anon_sym_LBRACK] = ACTIONS(4760),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4760),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4760),
    [anon_sym_not_in] = ACTIONS(4760),
    [anon_sym_or_return] = ACTIONS(4760),
    [anon_sym_or_continue] = ACTIONS(4760),
    [anon_sym_or_break] = ACTIONS(4760),
    [anon_sym_CARET] = ACTIONS(4762),
    [sym_uninitialized] = ACTIONS(4760),
    [sym_tag] = ACTIONS(4760),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4760),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [729] = {
    [anon_sym_LBRACE] = ACTIONS(4764),
    [anon_sym_RBRACE] = ACTIONS(4764),
    [anon_sym_COMMA] = ACTIONS(4764),
    [anon_sym_COLON_COLON] = ACTIONS(4764),
    [anon_sym_DASH_GT] = ACTIONS(4764),
    [anon_sym_where] = ACTIONS(4764),
    [anon_sym_EQ] = ACTIONS(4766),
    [anon_sym_COLON_EQ] = ACTIONS(4764),
    [anon_sym_COLON] = ACTIONS(4766),
    [anon_sym_LPAREN] = ACTIONS(4764),
    [anon_sym_PLUS_EQ] = ACTIONS(4764),
    [anon_sym_DASH_EQ] = ACTIONS(4764),
    [anon_sym_STAR_EQ] = ACTIONS(4764),
    [anon_sym_SLASH_EQ] = ACTIONS(4764),
    [anon_sym_PERCENT_EQ] = ACTIONS(4764),
    [anon_sym_AMP_EQ] = ACTIONS(4764),
    [anon_sym_PIPE_EQ] = ACTIONS(4764),
    [anon_sym_CARET_EQ] = ACTIONS(4764),
    [anon_sym_LT_LT_EQ] = ACTIONS(4764),
    [anon_sym_GT_GT_EQ] = ACTIONS(4764),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4764),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4764),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4764),
    [anon_sym_if] = ACTIONS(4764),
    [anon_sym_SEMI] = ACTIONS(4764),
    [anon_sym_else] = ACTIONS(4764),
    [anon_sym_when] = ACTIONS(4764),
    [anon_sym_in] = ACTIONS(4764),
    [anon_sym_case] = ACTIONS(4764),
    [anon_sym_QMARK] = ACTIONS(4764),
    [anon_sym_PLUS] = ACTIONS(4766),
    [anon_sym_DASH] = ACTIONS(4766),
    [anon_sym_TILDE] = ACTIONS(4766),
    [anon_sym_AMP] = ACTIONS(4766),
    [anon_sym_PIPE_PIPE] = ACTIONS(4766),
    [anon_sym_or_else] = ACTIONS(4764),
    [anon_sym_AMP_AMP] = ACTIONS(4766),
    [anon_sym_GT] = ACTIONS(4766),
    [anon_sym_GT_EQ] = ACTIONS(4764),
    [anon_sym_LT_EQ] = ACTIONS(4764),
    [anon_sym_LT] = ACTIONS(4766),
    [anon_sym_EQ_EQ] = ACTIONS(4764),
    [anon_sym_BANG_EQ] = ACTIONS(4764),
    [anon_sym_TILDE_EQ] = ACTIONS(4764),
    [anon_sym_PIPE] = ACTIONS(4766),
    [anon_sym_AMP_TILDE] = ACTIONS(4766),
    [anon_sym_LT_LT] = ACTIONS(4766),
    [anon_sym_GT_GT] = ACTIONS(4766),
    [anon_sym_STAR] = ACTIONS(4766),
    [anon_sym_SLASH] = ACTIONS(4766),
    [anon_sym_PERCENT] = ACTIONS(4766),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4764),
    [anon_sym_DOT] = ACTIONS(4766),
    [anon_sym_LBRACK] = ACTIONS(4764),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4764),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4764),
    [anon_sym_not_in] = ACTIONS(4764),
    [anon_sym_or_return] = ACTIONS(4764),
    [anon_sym_or_continue] = ACTIONS(4764),
    [anon_sym_or_break] = ACTIONS(4764),
    [anon_sym_CARET] = ACTIONS(4766),
    [sym_uninitialized] = ACTIONS(4764),
    [sym_tag] = ACTIONS(4764),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4764),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [730] = {
    [anon_sym_LBRACE] = ACTIONS(4768),
    [anon_sym_RBRACE] = ACTIONS(4768),
    [anon_sym_COMMA] = ACTIONS(4768),
    [anon_sym_COLON_COLON] = ACTIONS(4768),
    [anon_sym_DASH_GT] = ACTIONS(4768),
    [anon_sym_where] = ACTIONS(4768),
    [anon_sym_EQ] = ACTIONS(4770),
    [anon_sym_COLON_EQ] = ACTIONS(4768),
    [anon_sym_COLON] = ACTIONS(4770),
    [anon_sym_LPAREN] = ACTIONS(4768),
    [anon_sym_PLUS_EQ] = ACTIONS(4768),
    [anon_sym_DASH_EQ] = ACTIONS(4768),
    [anon_sym_STAR_EQ] = ACTIONS(4768),
    [anon_sym_SLASH_EQ] = ACTIONS(4768),
    [anon_sym_PERCENT_EQ] = ACTIONS(4768),
    [anon_sym_AMP_EQ] = ACTIONS(4768),
    [anon_sym_PIPE_EQ] = ACTIONS(4768),
    [anon_sym_CARET_EQ] = ACTIONS(4768),
    [anon_sym_LT_LT_EQ] = ACTIONS(4768),
    [anon_sym_GT_GT_EQ] = ACTIONS(4768),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4768),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4768),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4768),
    [anon_sym_if] = ACTIONS(4768),
    [anon_sym_SEMI] = ACTIONS(4768),
    [anon_sym_else] = ACTIONS(4768),
    [anon_sym_when] = ACTIONS(4768),
    [anon_sym_in] = ACTIONS(4768),
    [anon_sym_case] = ACTIONS(4768),
    [anon_sym_QMARK] = ACTIONS(4768),
    [anon_sym_PLUS] = ACTIONS(4770),
    [anon_sym_DASH] = ACTIONS(4770),
    [anon_sym_TILDE] = ACTIONS(4770),
    [anon_sym_AMP] = ACTIONS(4770),
    [anon_sym_PIPE_PIPE] = ACTIONS(4770),
    [anon_sym_or_else] = ACTIONS(4768),
    [anon_sym_AMP_AMP] = ACTIONS(4770),
    [anon_sym_GT] = ACTIONS(4770),
    [anon_sym_GT_EQ] = ACTIONS(4768),
    [anon_sym_LT_EQ] = ACTIONS(4768),
    [anon_sym_LT] = ACTIONS(4770),
    [anon_sym_EQ_EQ] = ACTIONS(4768),
    [anon_sym_BANG_EQ] = ACTIONS(4768),
    [anon_sym_TILDE_EQ] = ACTIONS(4768),
    [anon_sym_PIPE] = ACTIONS(4770),
    [anon_sym_AMP_TILDE] = ACTIONS(4770),
    [anon_sym_LT_LT] = ACTIONS(4770),
    [anon_sym_GT_GT] = ACTIONS(4770),
    [anon_sym_STAR] = ACTIONS(4770),
    [anon_sym_SLASH] = ACTIONS(4770),
    [anon_sym_PERCENT] = ACTIONS(4770),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4768),
    [anon_sym_DOT] = ACTIONS(4770),
    [anon_sym_LBRACK] = ACTIONS(4768),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4768),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4768),
    [anon_sym_not_in] = ACTIONS(4768),
    [anon_sym_or_return] = ACTIONS(4768),
    [anon_sym_or_continue] = ACTIONS(4768),
    [anon_sym_or_break] = ACTIONS(4768),
    [anon_sym_CARET] = ACTIONS(4770),
    [sym_uninitialized] = ACTIONS(4768),
    [sym_tag] = ACTIONS(4768),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4768),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [731] = {
    [anon_sym_LBRACE] = ACTIONS(4772),
    [anon_sym_RBRACE] = ACTIONS(4772),
    [anon_sym_COMMA] = ACTIONS(4772),
    [anon_sym_COLON_COLON] = ACTIONS(4772),
    [anon_sym_DASH_GT] = ACTIONS(4772),
    [anon_sym_where] = ACTIONS(4772),
    [anon_sym_EQ] = ACTIONS(4774),
    [anon_sym_COLON_EQ] = ACTIONS(4772),
    [anon_sym_COLON] = ACTIONS(4774),
    [anon_sym_LPAREN] = ACTIONS(4772),
    [anon_sym_PLUS_EQ] = ACTIONS(4772),
    [anon_sym_DASH_EQ] = ACTIONS(4772),
    [anon_sym_STAR_EQ] = ACTIONS(4772),
    [anon_sym_SLASH_EQ] = ACTIONS(4772),
    [anon_sym_PERCENT_EQ] = ACTIONS(4772),
    [anon_sym_AMP_EQ] = ACTIONS(4772),
    [anon_sym_PIPE_EQ] = ACTIONS(4772),
    [anon_sym_CARET_EQ] = ACTIONS(4772),
    [anon_sym_LT_LT_EQ] = ACTIONS(4772),
    [anon_sym_GT_GT_EQ] = ACTIONS(4772),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4772),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4772),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4772),
    [anon_sym_if] = ACTIONS(4772),
    [anon_sym_SEMI] = ACTIONS(4772),
    [anon_sym_else] = ACTIONS(4772),
    [anon_sym_when] = ACTIONS(4772),
    [anon_sym_in] = ACTIONS(4772),
    [anon_sym_case] = ACTIONS(4772),
    [anon_sym_QMARK] = ACTIONS(4772),
    [anon_sym_PLUS] = ACTIONS(4774),
    [anon_sym_DASH] = ACTIONS(4774),
    [anon_sym_TILDE] = ACTIONS(4774),
    [anon_sym_AMP] = ACTIONS(4774),
    [anon_sym_PIPE_PIPE] = ACTIONS(4774),
    [anon_sym_or_else] = ACTIONS(4772),
    [anon_sym_AMP_AMP] = ACTIONS(4774),
    [anon_sym_GT] = ACTIONS(4774),
    [anon_sym_GT_EQ] = ACTIONS(4772),
    [anon_sym_LT_EQ] = ACTIONS(4772),
    [anon_sym_LT] = ACTIONS(4774),
    [anon_sym_EQ_EQ] = ACTIONS(4772),
    [anon_sym_BANG_EQ] = ACTIONS(4772),
    [anon_sym_TILDE_EQ] = ACTIONS(4772),
    [anon_sym_PIPE] = ACTIONS(4774),
    [anon_sym_AMP_TILDE] = ACTIONS(4774),
    [anon_sym_LT_LT] = ACTIONS(4774),
    [anon_sym_GT_GT] = ACTIONS(4774),
    [anon_sym_STAR] = ACTIONS(4774),
    [anon_sym_SLASH] = ACTIONS(4774),
    [anon_sym_PERCENT] = ACTIONS(4774),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4772),
    [anon_sym_DOT] = ACTIONS(4774),
    [anon_sym_LBRACK] = ACTIONS(4772),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4772),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4772),
    [anon_sym_not_in] = ACTIONS(4772),
    [anon_sym_or_return] = ACTIONS(4772),
    [anon_sym_or_continue] = ACTIONS(4772),
    [anon_sym_or_break] = ACTIONS(4772),
    [anon_sym_CARET] = ACTIONS(4774),
    [sym_uninitialized] = ACTIONS(4772),
    [sym_tag] = ACTIONS(4772),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4772),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [732] = {
    [anon_sym_LBRACE] = ACTIONS(4776),
    [anon_sym_RBRACE] = ACTIONS(4776),
    [anon_sym_COMMA] = ACTIONS(4776),
    [anon_sym_COLON_COLON] = ACTIONS(4776),
    [anon_sym_DASH_GT] = ACTIONS(4776),
    [anon_sym_where] = ACTIONS(4776),
    [anon_sym_EQ] = ACTIONS(4778),
    [anon_sym_COLON_EQ] = ACTIONS(4776),
    [anon_sym_COLON] = ACTIONS(4778),
    [anon_sym_LPAREN] = ACTIONS(4776),
    [anon_sym_PLUS_EQ] = ACTIONS(4776),
    [anon_sym_DASH_EQ] = ACTIONS(4776),
    [anon_sym_STAR_EQ] = ACTIONS(4776),
    [anon_sym_SLASH_EQ] = ACTIONS(4776),
    [anon_sym_PERCENT_EQ] = ACTIONS(4776),
    [anon_sym_AMP_EQ] = ACTIONS(4776),
    [anon_sym_PIPE_EQ] = ACTIONS(4776),
    [anon_sym_CARET_EQ] = ACTIONS(4776),
    [anon_sym_LT_LT_EQ] = ACTIONS(4776),
    [anon_sym_GT_GT_EQ] = ACTIONS(4776),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4776),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4776),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4776),
    [anon_sym_if] = ACTIONS(4776),
    [anon_sym_SEMI] = ACTIONS(4776),
    [anon_sym_else] = ACTIONS(4776),
    [anon_sym_when] = ACTIONS(4776),
    [anon_sym_in] = ACTIONS(4776),
    [anon_sym_case] = ACTIONS(4776),
    [anon_sym_QMARK] = ACTIONS(4776),
    [anon_sym_PLUS] = ACTIONS(4778),
    [anon_sym_DASH] = ACTIONS(4778),
    [anon_sym_TILDE] = ACTIONS(4778),
    [anon_sym_AMP] = ACTIONS(4778),
    [anon_sym_PIPE_PIPE] = ACTIONS(4778),
    [anon_sym_or_else] = ACTIONS(4776),
    [anon_sym_AMP_AMP] = ACTIONS(4778),
    [anon_sym_GT] = ACTIONS(4778),
    [anon_sym_GT_EQ] = ACTIONS(4776),
    [anon_sym_LT_EQ] = ACTIONS(4776),
    [anon_sym_LT] = ACTIONS(4778),
    [anon_sym_EQ_EQ] = ACTIONS(4776),
    [anon_sym_BANG_EQ] = ACTIONS(4776),
    [anon_sym_TILDE_EQ] = ACTIONS(4776),
    [anon_sym_PIPE] = ACTIONS(4778),
    [anon_sym_AMP_TILDE] = ACTIONS(4778),
    [anon_sym_LT_LT] = ACTIONS(4778),
    [anon_sym_GT_GT] = ACTIONS(4778),
    [anon_sym_STAR] = ACTIONS(4778),
    [anon_sym_SLASH] = ACTIONS(4778),
    [anon_sym_PERCENT] = ACTIONS(4778),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4776),
    [anon_sym_DOT] = ACTIONS(4778),
    [anon_sym_LBRACK] = ACTIONS(4776),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4776),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4776),
    [anon_sym_not_in] = ACTIONS(4776),
    [anon_sym_or_return] = ACTIONS(4776),
    [anon_sym_or_continue] = ACTIONS(4776),
    [anon_sym_or_break] = ACTIONS(4776),
    [anon_sym_CARET] = ACTIONS(4778),
    [sym_uninitialized] = ACTIONS(4776),
    [sym_tag] = ACTIONS(4776),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4776),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [733] = {
    [anon_sym_LBRACE] = ACTIONS(4780),
    [anon_sym_RBRACE] = ACTIONS(4780),
    [anon_sym_COMMA] = ACTIONS(4780),
    [anon_sym_COLON_COLON] = ACTIONS(4780),
    [anon_sym_DASH_GT] = ACTIONS(4780),
    [anon_sym_where] = ACTIONS(4780),
    [anon_sym_EQ] = ACTIONS(4782),
    [anon_sym_COLON_EQ] = ACTIONS(4780),
    [anon_sym_COLON] = ACTIONS(4782),
    [anon_sym_LPAREN] = ACTIONS(4780),
    [anon_sym_PLUS_EQ] = ACTIONS(4780),
    [anon_sym_DASH_EQ] = ACTIONS(4780),
    [anon_sym_STAR_EQ] = ACTIONS(4780),
    [anon_sym_SLASH_EQ] = ACTIONS(4780),
    [anon_sym_PERCENT_EQ] = ACTIONS(4780),
    [anon_sym_AMP_EQ] = ACTIONS(4780),
    [anon_sym_PIPE_EQ] = ACTIONS(4780),
    [anon_sym_CARET_EQ] = ACTIONS(4780),
    [anon_sym_LT_LT_EQ] = ACTIONS(4780),
    [anon_sym_GT_GT_EQ] = ACTIONS(4780),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4780),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4780),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4780),
    [anon_sym_if] = ACTIONS(4780),
    [anon_sym_SEMI] = ACTIONS(4780),
    [anon_sym_else] = ACTIONS(4780),
    [anon_sym_when] = ACTIONS(4780),
    [anon_sym_in] = ACTIONS(4780),
    [anon_sym_case] = ACTIONS(4780),
    [anon_sym_QMARK] = ACTIONS(4780),
    [anon_sym_PLUS] = ACTIONS(4782),
    [anon_sym_DASH] = ACTIONS(4782),
    [anon_sym_TILDE] = ACTIONS(4782),
    [anon_sym_AMP] = ACTIONS(4782),
    [anon_sym_PIPE_PIPE] = ACTIONS(4782),
    [anon_sym_or_else] = ACTIONS(4780),
    [anon_sym_AMP_AMP] = ACTIONS(4782),
    [anon_sym_GT] = ACTIONS(4782),
    [anon_sym_GT_EQ] = ACTIONS(4780),
    [anon_sym_LT_EQ] = ACTIONS(4780),
    [anon_sym_LT] = ACTIONS(4782),
    [anon_sym_EQ_EQ] = ACTIONS(4780),
    [anon_sym_BANG_EQ] = ACTIONS(4780),
    [anon_sym_TILDE_EQ] = ACTIONS(4780),
    [anon_sym_PIPE] = ACTIONS(4782),
    [anon_sym_AMP_TILDE] = ACTIONS(4782),
    [anon_sym_LT_LT] = ACTIONS(4782),
    [anon_sym_GT_GT] = ACTIONS(4782),
    [anon_sym_STAR] = ACTIONS(4782),
    [anon_sym_SLASH] = ACTIONS(4782),
    [anon_sym_PERCENT] = ACTIONS(4782),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4780),
    [anon_sym_DOT] = ACTIONS(4782),
    [anon_sym_LBRACK] = ACTIONS(4780),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4780),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4780),
    [anon_sym_not_in] = ACTIONS(4780),
    [anon_sym_or_return] = ACTIONS(4780),
    [anon_sym_or_continue] = ACTIONS(4780),
    [anon_sym_or_break] = ACTIONS(4780),
    [anon_sym_CARET] = ACTIONS(4782),
    [sym_uninitialized] = ACTIONS(4780),
    [sym_tag] = ACTIONS(4780),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4780),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [734] = {
    [anon_sym_LBRACE] = ACTIONS(4784),
    [anon_sym_RBRACE] = ACTIONS(4784),
    [anon_sym_COMMA] = ACTIONS(4784),
    [anon_sym_COLON_COLON] = ACTIONS(4784),
    [anon_sym_DASH_GT] = ACTIONS(4784),
    [anon_sym_where] = ACTIONS(4784),
    [anon_sym_EQ] = ACTIONS(4786),
    [anon_sym_COLON_EQ] = ACTIONS(4784),
    [anon_sym_COLON] = ACTIONS(4786),
    [anon_sym_LPAREN] = ACTIONS(4784),
    [anon_sym_PLUS_EQ] = ACTIONS(4784),
    [anon_sym_DASH_EQ] = ACTIONS(4784),
    [anon_sym_STAR_EQ] = ACTIONS(4784),
    [anon_sym_SLASH_EQ] = ACTIONS(4784),
    [anon_sym_PERCENT_EQ] = ACTIONS(4784),
    [anon_sym_AMP_EQ] = ACTIONS(4784),
    [anon_sym_PIPE_EQ] = ACTIONS(4784),
    [anon_sym_CARET_EQ] = ACTIONS(4784),
    [anon_sym_LT_LT_EQ] = ACTIONS(4784),
    [anon_sym_GT_GT_EQ] = ACTIONS(4784),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4784),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4784),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4784),
    [anon_sym_if] = ACTIONS(4784),
    [anon_sym_SEMI] = ACTIONS(4784),
    [anon_sym_else] = ACTIONS(4784),
    [anon_sym_when] = ACTIONS(4784),
    [anon_sym_in] = ACTIONS(4784),
    [anon_sym_case] = ACTIONS(4784),
    [anon_sym_QMARK] = ACTIONS(4784),
    [anon_sym_PLUS] = ACTIONS(4786),
    [anon_sym_DASH] = ACTIONS(4786),
    [anon_sym_TILDE] = ACTIONS(4786),
    [anon_sym_AMP] = ACTIONS(4786),
    [anon_sym_PIPE_PIPE] = ACTIONS(4786),
    [anon_sym_or_else] = ACTIONS(4784),
    [anon_sym_AMP_AMP] = ACTIONS(4786),
    [anon_sym_GT] = ACTIONS(4786),
    [anon_sym_GT_EQ] = ACTIONS(4784),
    [anon_sym_LT_EQ] = ACTIONS(4784),
    [anon_sym_LT] = ACTIONS(4786),
    [anon_sym_EQ_EQ] = ACTIONS(4784),
    [anon_sym_BANG_EQ] = ACTIONS(4784),
    [anon_sym_TILDE_EQ] = ACTIONS(4784),
    [anon_sym_PIPE] = ACTIONS(4786),
    [anon_sym_AMP_TILDE] = ACTIONS(4786),
    [anon_sym_LT_LT] = ACTIONS(4786),
    [anon_sym_GT_GT] = ACTIONS(4786),
    [anon_sym_STAR] = ACTIONS(4786),
    [anon_sym_SLASH] = ACTIONS(4786),
    [anon_sym_PERCENT] = ACTIONS(4786),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4784),
    [anon_sym_DOT] = ACTIONS(4786),
    [anon_sym_LBRACK] = ACTIONS(4784),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4784),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4784),
    [anon_sym_not_in] = ACTIONS(4784),
    [anon_sym_or_return] = ACTIONS(4784),
    [anon_sym_or_continue] = ACTIONS(4784),
    [anon_sym_or_break] = ACTIONS(4784),
    [anon_sym_CARET] = ACTIONS(4786),
    [sym_uninitialized] = ACTIONS(4784),
    [sym_tag] = ACTIONS(4784),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4784),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [735] = {
    [anon_sym_LBRACE] = ACTIONS(4788),
    [anon_sym_RBRACE] = ACTIONS(4788),
    [anon_sym_COMMA] = ACTIONS(4788),
    [anon_sym_COLON_COLON] = ACTIONS(4788),
    [anon_sym_DASH_GT] = ACTIONS(4788),
    [anon_sym_where] = ACTIONS(4788),
    [anon_sym_EQ] = ACTIONS(4790),
    [anon_sym_COLON_EQ] = ACTIONS(4788),
    [anon_sym_COLON] = ACTIONS(4790),
    [anon_sym_LPAREN] = ACTIONS(4788),
    [anon_sym_PLUS_EQ] = ACTIONS(4788),
    [anon_sym_DASH_EQ] = ACTIONS(4788),
    [anon_sym_STAR_EQ] = ACTIONS(4788),
    [anon_sym_SLASH_EQ] = ACTIONS(4788),
    [anon_sym_PERCENT_EQ] = ACTIONS(4788),
    [anon_sym_AMP_EQ] = ACTIONS(4788),
    [anon_sym_PIPE_EQ] = ACTIONS(4788),
    [anon_sym_CARET_EQ] = ACTIONS(4788),
    [anon_sym_LT_LT_EQ] = ACTIONS(4788),
    [anon_sym_GT_GT_EQ] = ACTIONS(4788),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4788),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4788),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4788),
    [anon_sym_if] = ACTIONS(4788),
    [anon_sym_SEMI] = ACTIONS(4788),
    [anon_sym_else] = ACTIONS(4788),
    [anon_sym_when] = ACTIONS(4788),
    [anon_sym_in] = ACTIONS(4788),
    [anon_sym_case] = ACTIONS(4788),
    [anon_sym_QMARK] = ACTIONS(4788),
    [anon_sym_PLUS] = ACTIONS(4790),
    [anon_sym_DASH] = ACTIONS(4790),
    [anon_sym_TILDE] = ACTIONS(4790),
    [anon_sym_AMP] = ACTIONS(4790),
    [anon_sym_PIPE_PIPE] = ACTIONS(4790),
    [anon_sym_or_else] = ACTIONS(4788),
    [anon_sym_AMP_AMP] = ACTIONS(4790),
    [anon_sym_GT] = ACTIONS(4790),
    [anon_sym_GT_EQ] = ACTIONS(4788),
    [anon_sym_LT_EQ] = ACTIONS(4788),
    [anon_sym_LT] = ACTIONS(4790),
    [anon_sym_EQ_EQ] = ACTIONS(4788),
    [anon_sym_BANG_EQ] = ACTIONS(4788),
    [anon_sym_TILDE_EQ] = ACTIONS(4788),
    [anon_sym_PIPE] = ACTIONS(4790),
    [anon_sym_AMP_TILDE] = ACTIONS(4790),
    [anon_sym_LT_LT] = ACTIONS(4790),
    [anon_sym_GT_GT] = ACTIONS(4790),
    [anon_sym_STAR] = ACTIONS(4790),
    [anon_sym_SLASH] = ACTIONS(4790),
    [anon_sym_PERCENT] = ACTIONS(4790),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4788),
    [anon_sym_DOT] = ACTIONS(4790),
    [anon_sym_LBRACK] = ACTIONS(4788),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4788),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4788),
    [anon_sym_not_in] = ACTIONS(4788),
    [anon_sym_or_return] = ACTIONS(4788),
    [anon_sym_or_continue] = ACTIONS(4788),
    [anon_sym_or_break] = ACTIONS(4788),
    [anon_sym_CARET] = ACTIONS(4790),
    [sym_uninitialized] = ACTIONS(4788),
    [sym_tag] = ACTIONS(4788),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4788),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [736] = {
    [anon_sym_LBRACE] = ACTIONS(855),
    [anon_sym_RBRACE] = ACTIONS(855),
    [anon_sym_COMMA] = ACTIONS(855),
    [anon_sym_COLON_COLON] = ACTIONS(855),
    [anon_sym_DASH_GT] = ACTIONS(855),
    [anon_sym_where] = ACTIONS(855),
    [anon_sym_EQ] = ACTIONS(857),
    [anon_sym_COLON_EQ] = ACTIONS(855),
    [anon_sym_COLON] = ACTIONS(857),
    [anon_sym_LPAREN] = ACTIONS(855),
    [anon_sym_PLUS_EQ] = ACTIONS(855),
    [anon_sym_DASH_EQ] = ACTIONS(855),
    [anon_sym_STAR_EQ] = ACTIONS(855),
    [anon_sym_SLASH_EQ] = ACTIONS(855),
    [anon_sym_PERCENT_EQ] = ACTIONS(855),
    [anon_sym_AMP_EQ] = ACTIONS(855),
    [anon_sym_PIPE_EQ] = ACTIONS(855),
    [anon_sym_CARET_EQ] = ACTIONS(855),
    [anon_sym_LT_LT_EQ] = ACTIONS(855),
    [anon_sym_GT_GT_EQ] = ACTIONS(855),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(855),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(855),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(855),
    [anon_sym_if] = ACTIONS(855),
    [anon_sym_SEMI] = ACTIONS(855),
    [anon_sym_else] = ACTIONS(855),
    [anon_sym_when] = ACTIONS(855),
    [anon_sym_in] = ACTIONS(855),
    [anon_sym_case] = ACTIONS(855),
    [anon_sym_QMARK] = ACTIONS(855),
    [anon_sym_PLUS] = ACTIONS(857),
    [anon_sym_DASH] = ACTIONS(857),
    [anon_sym_TILDE] = ACTIONS(857),
    [anon_sym_AMP] = ACTIONS(857),
    [anon_sym_PIPE_PIPE] = ACTIONS(857),
    [anon_sym_or_else] = ACTIONS(855),
    [anon_sym_AMP_AMP] = ACTIONS(857),
    [anon_sym_GT] = ACTIONS(857),
    [anon_sym_GT_EQ] = ACTIONS(855),
    [anon_sym_LT_EQ] = ACTIONS(855),
    [anon_sym_LT] = ACTIONS(857),
    [anon_sym_EQ_EQ] = ACTIONS(855),
    [anon_sym_BANG_EQ] = ACTIONS(855),
    [anon_sym_TILDE_EQ] = ACTIONS(855),
    [anon_sym_PIPE] = ACTIONS(857),
    [anon_sym_AMP_TILDE] = ACTIONS(857),
    [anon_sym_LT_LT] = ACTIONS(857),
    [anon_sym_GT_GT] = ACTIONS(857),
    [anon_sym_STAR] = ACTIONS(857),
    [anon_sym_SLASH] = ACTIONS(857),
    [anon_sym_PERCENT] = ACTIONS(857),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(855),
    [anon_sym_DOT] = ACTIONS(857),
    [anon_sym_LBRACK] = ACTIONS(855),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(855),
    [anon_sym_DOT_DOT_LT] = ACTIONS(855),
    [anon_sym_not_in] = ACTIONS(855),
    [anon_sym_or_return] = ACTIONS(855),
    [anon_sym_or_continue] = ACTIONS(855),
    [anon_sym_or_break] = ACTIONS(855),
    [anon_sym_CARET] = ACTIONS(857),
    [sym_uninitialized] = ACTIONS(855),
    [sym_tag] = ACTIONS(855),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(855),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [737] = {
    [sym_expression] = STATE(5705),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(4238),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(4242),
    [anon_sym_dynamic] = ACTIONS(4244),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [738] = {
    [anon_sym_LBRACE] = ACTIONS(4792),
    [anon_sym_RBRACE] = ACTIONS(4792),
    [anon_sym_COMMA] = ACTIONS(4792),
    [anon_sym_COLON_COLON] = ACTIONS(4792),
    [anon_sym_DASH_GT] = ACTIONS(4792),
    [anon_sym_where] = ACTIONS(4792),
    [anon_sym_EQ] = ACTIONS(4795),
    [anon_sym_COLON_EQ] = ACTIONS(4792),
    [anon_sym_COLON] = ACTIONS(4795),
    [anon_sym_LPAREN] = ACTIONS(4792),
    [anon_sym_PLUS_EQ] = ACTIONS(4792),
    [anon_sym_DASH_EQ] = ACTIONS(4792),
    [anon_sym_STAR_EQ] = ACTIONS(4792),
    [anon_sym_SLASH_EQ] = ACTIONS(4792),
    [anon_sym_PERCENT_EQ] = ACTIONS(4792),
    [anon_sym_AMP_EQ] = ACTIONS(4792),
    [anon_sym_PIPE_EQ] = ACTIONS(4792),
    [anon_sym_CARET_EQ] = ACTIONS(4792),
    [anon_sym_LT_LT_EQ] = ACTIONS(4792),
    [anon_sym_GT_GT_EQ] = ACTIONS(4792),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4792),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4792),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4792),
    [anon_sym_if] = ACTIONS(4792),
    [anon_sym_SEMI] = ACTIONS(4792),
    [anon_sym_else] = ACTIONS(4792),
    [anon_sym_when] = ACTIONS(4792),
    [anon_sym_in] = ACTIONS(4792),
    [anon_sym_case] = ACTIONS(4792),
    [anon_sym_QMARK] = ACTIONS(4792),
    [anon_sym_PLUS] = ACTIONS(4795),
    [anon_sym_DASH] = ACTIONS(4795),
    [anon_sym_TILDE] = ACTIONS(4795),
    [anon_sym_AMP] = ACTIONS(4795),
    [anon_sym_PIPE_PIPE] = ACTIONS(4795),
    [anon_sym_or_else] = ACTIONS(4792),
    [anon_sym_AMP_AMP] = ACTIONS(4795),
    [anon_sym_GT] = ACTIONS(4795),
    [anon_sym_GT_EQ] = ACTIONS(4792),
    [anon_sym_LT_EQ] = ACTIONS(4792),
    [anon_sym_LT] = ACTIONS(4795),
    [anon_sym_EQ_EQ] = ACTIONS(4792),
    [anon_sym_BANG_EQ] = ACTIONS(4792),
    [anon_sym_TILDE_EQ] = ACTIONS(4792),
    [anon_sym_PIPE] = ACTIONS(4795),
    [anon_sym_AMP_TILDE] = ACTIONS(4795),
    [anon_sym_LT_LT] = ACTIONS(4795),
    [anon_sym_GT_GT] = ACTIONS(4795),
    [anon_sym_STAR] = ACTIONS(4795),
    [anon_sym_SLASH] = ACTIONS(4795),
    [anon_sym_PERCENT] = ACTIONS(4795),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4792),
    [anon_sym_DOT] = ACTIONS(4795),
    [anon_sym_LBRACK] = ACTIONS(4792),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4792),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4792),
    [anon_sym_not_in] = ACTIONS(4792),
    [anon_sym_or_return] = ACTIONS(4792),
    [anon_sym_or_continue] = ACTIONS(4792),
    [anon_sym_or_break] = ACTIONS(4792),
    [anon_sym_CARET] = ACTIONS(4795),
    [sym_uninitialized] = ACTIONS(4792),
    [sym_tag] = ACTIONS(4792),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4792),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [739] = {
    [anon_sym_LBRACE] = ACTIONS(4798),
    [anon_sym_RBRACE] = ACTIONS(4798),
    [anon_sym_COMMA] = ACTIONS(4798),
    [anon_sym_COLON_COLON] = ACTIONS(4798),
    [anon_sym_DASH_GT] = ACTIONS(4798),
    [anon_sym_where] = ACTIONS(4798),
    [anon_sym_EQ] = ACTIONS(4800),
    [anon_sym_COLON_EQ] = ACTIONS(4798),
    [anon_sym_COLON] = ACTIONS(4800),
    [anon_sym_LPAREN] = ACTIONS(4798),
    [anon_sym_PLUS_EQ] = ACTIONS(4798),
    [anon_sym_DASH_EQ] = ACTIONS(4798),
    [anon_sym_STAR_EQ] = ACTIONS(4798),
    [anon_sym_SLASH_EQ] = ACTIONS(4798),
    [anon_sym_PERCENT_EQ] = ACTIONS(4798),
    [anon_sym_AMP_EQ] = ACTIONS(4798),
    [anon_sym_PIPE_EQ] = ACTIONS(4798),
    [anon_sym_CARET_EQ] = ACTIONS(4798),
    [anon_sym_LT_LT_EQ] = ACTIONS(4798),
    [anon_sym_GT_GT_EQ] = ACTIONS(4798),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4798),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4798),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4798),
    [anon_sym_if] = ACTIONS(4798),
    [anon_sym_SEMI] = ACTIONS(4798),
    [anon_sym_else] = ACTIONS(4798),
    [anon_sym_when] = ACTIONS(4798),
    [anon_sym_in] = ACTIONS(4798),
    [anon_sym_case] = ACTIONS(4798),
    [anon_sym_QMARK] = ACTIONS(4798),
    [anon_sym_PLUS] = ACTIONS(4800),
    [anon_sym_DASH] = ACTIONS(4800),
    [anon_sym_TILDE] = ACTIONS(4800),
    [anon_sym_AMP] = ACTIONS(4800),
    [anon_sym_PIPE_PIPE] = ACTIONS(4800),
    [anon_sym_or_else] = ACTIONS(4798),
    [anon_sym_AMP_AMP] = ACTIONS(4800),
    [anon_sym_GT] = ACTIONS(4800),
    [anon_sym_GT_EQ] = ACTIONS(4798),
    [anon_sym_LT_EQ] = ACTIONS(4798),
    [anon_sym_LT] = ACTIONS(4800),
    [anon_sym_EQ_EQ] = ACTIONS(4798),
    [anon_sym_BANG_EQ] = ACTIONS(4798),
    [anon_sym_TILDE_EQ] = ACTIONS(4798),
    [anon_sym_PIPE] = ACTIONS(4800),
    [anon_sym_AMP_TILDE] = ACTIONS(4800),
    [anon_sym_LT_LT] = ACTIONS(4800),
    [anon_sym_GT_GT] = ACTIONS(4800),
    [anon_sym_STAR] = ACTIONS(4800),
    [anon_sym_SLASH] = ACTIONS(4800),
    [anon_sym_PERCENT] = ACTIONS(4800),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4798),
    [anon_sym_DOT] = ACTIONS(4800),
    [anon_sym_LBRACK] = ACTIONS(4798),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4798),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4798),
    [anon_sym_not_in] = ACTIONS(4798),
    [anon_sym_or_return] = ACTIONS(4798),
    [anon_sym_or_continue] = ACTIONS(4798),
    [anon_sym_or_break] = ACTIONS(4798),
    [anon_sym_CARET] = ACTIONS(4800),
    [sym_uninitialized] = ACTIONS(4798),
    [sym_tag] = ACTIONS(4798),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4798),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [740] = {
    [sym_expression] = STATE(5566),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_struct_field] = STATE(7886),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(4802),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [741] = {
    [anon_sym_LBRACE] = ACTIONS(893),
    [anon_sym_RBRACE] = ACTIONS(893),
    [anon_sym_COMMA] = ACTIONS(893),
    [anon_sym_COLON_COLON] = ACTIONS(893),
    [anon_sym_DASH_GT] = ACTIONS(893),
    [anon_sym_where] = ACTIONS(893),
    [anon_sym_EQ] = ACTIONS(895),
    [anon_sym_COLON_EQ] = ACTIONS(893),
    [anon_sym_COLON] = ACTIONS(895),
    [anon_sym_LPAREN] = ACTIONS(893),
    [anon_sym_PLUS_EQ] = ACTIONS(893),
    [anon_sym_DASH_EQ] = ACTIONS(893),
    [anon_sym_STAR_EQ] = ACTIONS(893),
    [anon_sym_SLASH_EQ] = ACTIONS(893),
    [anon_sym_PERCENT_EQ] = ACTIONS(893),
    [anon_sym_AMP_EQ] = ACTIONS(893),
    [anon_sym_PIPE_EQ] = ACTIONS(893),
    [anon_sym_CARET_EQ] = ACTIONS(893),
    [anon_sym_LT_LT_EQ] = ACTIONS(893),
    [anon_sym_GT_GT_EQ] = ACTIONS(893),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(893),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(893),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(893),
    [anon_sym_if] = ACTIONS(893),
    [anon_sym_SEMI] = ACTIONS(893),
    [anon_sym_else] = ACTIONS(893),
    [anon_sym_when] = ACTIONS(893),
    [anon_sym_in] = ACTIONS(893),
    [anon_sym_case] = ACTIONS(893),
    [anon_sym_QMARK] = ACTIONS(893),
    [anon_sym_PLUS] = ACTIONS(895),
    [anon_sym_DASH] = ACTIONS(895),
    [anon_sym_TILDE] = ACTIONS(895),
    [anon_sym_AMP] = ACTIONS(895),
    [anon_sym_PIPE_PIPE] = ACTIONS(895),
    [anon_sym_or_else] = ACTIONS(893),
    [anon_sym_AMP_AMP] = ACTIONS(895),
    [anon_sym_GT] = ACTIONS(895),
    [anon_sym_GT_EQ] = ACTIONS(893),
    [anon_sym_LT_EQ] = ACTIONS(893),
    [anon_sym_LT] = ACTIONS(895),
    [anon_sym_EQ_EQ] = ACTIONS(893),
    [anon_sym_BANG_EQ] = ACTIONS(893),
    [anon_sym_TILDE_EQ] = ACTIONS(893),
    [anon_sym_PIPE] = ACTIONS(895),
    [anon_sym_AMP_TILDE] = ACTIONS(895),
    [anon_sym_LT_LT] = ACTIONS(895),
    [anon_sym_GT_GT] = ACTIONS(895),
    [anon_sym_STAR] = ACTIONS(895),
    [anon_sym_SLASH] = ACTIONS(895),
    [anon_sym_PERCENT] = ACTIONS(895),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(893),
    [anon_sym_DOT] = ACTIONS(895),
    [anon_sym_LBRACK] = ACTIONS(893),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(893),
    [anon_sym_DOT_DOT_LT] = ACTIONS(893),
    [anon_sym_not_in] = ACTIONS(893),
    [anon_sym_or_return] = ACTIONS(893),
    [anon_sym_or_continue] = ACTIONS(893),
    [anon_sym_or_break] = ACTIONS(893),
    [anon_sym_CARET] = ACTIONS(895),
    [sym_uninitialized] = ACTIONS(893),
    [sym_tag] = ACTIONS(893),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(893),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [742] = {
    [anon_sym_LBRACE] = ACTIONS(909),
    [anon_sym_RBRACE] = ACTIONS(909),
    [anon_sym_COMMA] = ACTIONS(909),
    [anon_sym_COLON_COLON] = ACTIONS(909),
    [anon_sym_DASH_GT] = ACTIONS(909),
    [anon_sym_where] = ACTIONS(909),
    [anon_sym_EQ] = ACTIONS(911),
    [anon_sym_COLON_EQ] = ACTIONS(909),
    [anon_sym_COLON] = ACTIONS(911),
    [anon_sym_LPAREN] = ACTIONS(909),
    [anon_sym_PLUS_EQ] = ACTIONS(909),
    [anon_sym_DASH_EQ] = ACTIONS(909),
    [anon_sym_STAR_EQ] = ACTIONS(909),
    [anon_sym_SLASH_EQ] = ACTIONS(909),
    [anon_sym_PERCENT_EQ] = ACTIONS(909),
    [anon_sym_AMP_EQ] = ACTIONS(909),
    [anon_sym_PIPE_EQ] = ACTIONS(909),
    [anon_sym_CARET_EQ] = ACTIONS(909),
    [anon_sym_LT_LT_EQ] = ACTIONS(909),
    [anon_sym_GT_GT_EQ] = ACTIONS(909),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(909),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(909),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(909),
    [anon_sym_if] = ACTIONS(909),
    [anon_sym_SEMI] = ACTIONS(909),
    [anon_sym_else] = ACTIONS(909),
    [anon_sym_when] = ACTIONS(909),
    [anon_sym_in] = ACTIONS(909),
    [anon_sym_case] = ACTIONS(909),
    [anon_sym_QMARK] = ACTIONS(909),
    [anon_sym_PLUS] = ACTIONS(911),
    [anon_sym_DASH] = ACTIONS(911),
    [anon_sym_TILDE] = ACTIONS(911),
    [anon_sym_AMP] = ACTIONS(911),
    [anon_sym_PIPE_PIPE] = ACTIONS(911),
    [anon_sym_or_else] = ACTIONS(909),
    [anon_sym_AMP_AMP] = ACTIONS(911),
    [anon_sym_GT] = ACTIONS(911),
    [anon_sym_GT_EQ] = ACTIONS(909),
    [anon_sym_LT_EQ] = ACTIONS(909),
    [anon_sym_LT] = ACTIONS(911),
    [anon_sym_EQ_EQ] = ACTIONS(909),
    [anon_sym_BANG_EQ] = ACTIONS(909),
    [anon_sym_TILDE_EQ] = ACTIONS(909),
    [anon_sym_PIPE] = ACTIONS(911),
    [anon_sym_AMP_TILDE] = ACTIONS(911),
    [anon_sym_LT_LT] = ACTIONS(911),
    [anon_sym_GT_GT] = ACTIONS(911),
    [anon_sym_STAR] = ACTIONS(911),
    [anon_sym_SLASH] = ACTIONS(911),
    [anon_sym_PERCENT] = ACTIONS(911),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(909),
    [anon_sym_DOT] = ACTIONS(911),
    [anon_sym_LBRACK] = ACTIONS(909),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(909),
    [anon_sym_DOT_DOT_LT] = ACTIONS(909),
    [anon_sym_not_in] = ACTIONS(909),
    [anon_sym_or_return] = ACTIONS(909),
    [anon_sym_or_continue] = ACTIONS(909),
    [anon_sym_or_break] = ACTIONS(909),
    [anon_sym_CARET] = ACTIONS(911),
    [sym_uninitialized] = ACTIONS(909),
    [sym_tag] = ACTIONS(909),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(909),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [743] = {
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_RBRACE] = ACTIONS(67),
    [anon_sym_COMMA] = ACTIONS(67),
    [anon_sym_COLON_COLON] = ACTIONS(67),
    [anon_sym_DASH_GT] = ACTIONS(67),
    [anon_sym_where] = ACTIONS(67),
    [anon_sym_EQ] = ACTIONS(71),
    [anon_sym_COLON_EQ] = ACTIONS(67),
    [anon_sym_COLON] = ACTIONS(71),
    [anon_sym_LPAREN] = ACTIONS(4507),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(67),
    [anon_sym_SEMI] = ACTIONS(67),
    [anon_sym_else] = ACTIONS(67),
    [anon_sym_when] = ACTIONS(67),
    [anon_sym_in] = ACTIONS(67),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_QMARK] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_AMP] = ACTIONS(71),
    [anon_sym_PIPE_PIPE] = ACTIONS(71),
    [anon_sym_or_else] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(71),
    [anon_sym_GT] = ACTIONS(71),
    [anon_sym_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_EQ] = ACTIONS(67),
    [anon_sym_LT] = ACTIONS(71),
    [anon_sym_EQ_EQ] = ACTIONS(67),
    [anon_sym_BANG_EQ] = ACTIONS(67),
    [anon_sym_TILDE_EQ] = ACTIONS(67),
    [anon_sym_PIPE] = ACTIONS(71),
    [anon_sym_AMP_TILDE] = ACTIONS(71),
    [anon_sym_LT_LT] = ACTIONS(71),
    [anon_sym_GT_GT] = ACTIONS(71),
    [anon_sym_STAR] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(71),
    [anon_sym_PERCENT] = ACTIONS(71),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(67),
    [anon_sym_DOT] = ACTIONS(71),
    [anon_sym_LBRACK] = ACTIONS(67),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(67),
    [anon_sym_DOT_DOT_LT] = ACTIONS(67),
    [anon_sym_not_in] = ACTIONS(67),
    [anon_sym_or_return] = ACTIONS(67),
    [anon_sym_or_continue] = ACTIONS(67),
    [anon_sym_or_break] = ACTIONS(67),
    [anon_sym_CARET] = ACTIONS(71),
    [sym_uninitialized] = ACTIONS(67),
    [sym_tag] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(67),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [744] = {
    [sym_procedure] = STATE(6733),
    [sym_expression] = STATE(4717),
    [sym__expression_no_tag] = STATE(4299),
    [sym_unary_expression] = STATE(4299),
    [sym_binary_expression] = STATE(4299),
    [sym_ternary_expression] = STATE(4299),
    [sym_call_expression] = STATE(4299),
    [sym_selector_call_expression] = STATE(4299),
    [sym_member_expression] = STATE(4299),
    [sym_index_expression] = STATE(4299),
    [sym_slice_expression] = STATE(4299),
    [sym_range_expression] = STATE(4299),
    [sym_cast_expression] = STATE(4299),
    [sym_in_expression] = STATE(4299),
    [sym_variadic_expression] = STATE(4299),
    [sym_parenthesized_expression] = STATE(4299),
    [sym_or_return_expression] = STATE(4299),
    [sym_or_continue_expression] = STATE(4299),
    [sym_or_break_expression] = STATE(4299),
    [sym_address] = STATE(4299),
    [sym_map_type] = STATE(4299),
    [sym_matrix_type] = STATE(4299),
    [sym_distinct_type] = STATE(4299),
    [sym_literal] = STATE(4299),
    [sym_struct] = STATE(4311),
    [sym_map] = STATE(3787),
    [sym_bit_set] = STATE(3787),
    [sym_matrix] = STATE(3787),
    [sym_string] = STATE(3787),
    [sym__string_literal] = STATE(3867),
    [sym__raw_string_literal] = STATE(3867),
    [sym_character] = STATE(3787),
    [sym_boolean] = STATE(3787),
    [sym_field_identifier] = STATE(7783),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_proc] = ACTIONS(585),
    [anon_sym_LPAREN] = ACTIONS(759),
    [anon_sym_QMARK] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(763),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(763),
    [anon_sym_BANG] = ACTIONS(763),
    [anon_sym_AMP] = ACTIONS(763),
    [anon_sym_DOT] = ACTIONS(765),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_cast] = ACTIONS(597),
    [anon_sym_transmute] = ACTIONS(597),
    [anon_sym_auto_cast] = ACTIONS(599),
    [anon_sym_DOT_DOT] = ACTIONS(2797),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [745] = {
    [sym_procedure] = STATE(7628),
    [sym_expression] = STATE(5537),
    [sym__expression_no_tag] = STATE(4385),
    [sym_unary_expression] = STATE(4385),
    [sym_binary_expression] = STATE(4385),
    [sym_ternary_expression] = STATE(4385),
    [sym_call_expression] = STATE(4385),
    [sym_selector_call_expression] = STATE(4385),
    [sym_member_expression] = STATE(4385),
    [sym_index_expression] = STATE(4385),
    [sym_slice_expression] = STATE(4385),
    [sym_range_expression] = STATE(4385),
    [sym_cast_expression] = STATE(4385),
    [sym_in_expression] = STATE(4385),
    [sym_variadic_expression] = STATE(4385),
    [sym_parenthesized_expression] = STATE(4385),
    [sym_or_return_expression] = STATE(4385),
    [sym_or_continue_expression] = STATE(4385),
    [sym_or_break_expression] = STATE(4385),
    [sym_address] = STATE(4385),
    [sym_map_type] = STATE(4385),
    [sym_matrix_type] = STATE(4385),
    [sym_distinct_type] = STATE(4385),
    [sym_literal] = STATE(4385),
    [sym_struct] = STATE(4394),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_LPAREN] = ACTIONS(925),
    [anon_sym_QMARK] = ACTIONS(1240),
    [anon_sym_PLUS] = ACTIONS(929),
    [anon_sym_DASH] = ACTIONS(931),
    [anon_sym_TILDE] = ACTIONS(929),
    [anon_sym_BANG] = ACTIONS(929),
    [anon_sym_AMP] = ACTIONS(929),
    [anon_sym_DOT] = ACTIONS(933),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(935),
    [anon_sym_transmute] = ACTIONS(935),
    [anon_sym_auto_cast] = ACTIONS(937),
    [anon_sym_DOT_DOT] = ACTIONS(4422),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(4804),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [746] = {
    [sym_expression] = STATE(5623),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_constant_type] = STATE(7951),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(4630),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [747] = {
    [sym_procedure] = STATE(7740),
    [sym_expression] = STATE(5542),
    [sym__expression_no_tag] = STATE(4385),
    [sym_unary_expression] = STATE(4385),
    [sym_binary_expression] = STATE(4385),
    [sym_ternary_expression] = STATE(4385),
    [sym_call_expression] = STATE(4385),
    [sym_selector_call_expression] = STATE(4385),
    [sym_member_expression] = STATE(4385),
    [sym_index_expression] = STATE(4385),
    [sym_slice_expression] = STATE(4385),
    [sym_range_expression] = STATE(4385),
    [sym_cast_expression] = STATE(4385),
    [sym_in_expression] = STATE(4385),
    [sym_variadic_expression] = STATE(4385),
    [sym_parenthesized_expression] = STATE(4385),
    [sym_or_return_expression] = STATE(4385),
    [sym_or_continue_expression] = STATE(4385),
    [sym_or_break_expression] = STATE(4385),
    [sym_address] = STATE(4385),
    [sym_map_type] = STATE(4385),
    [sym_matrix_type] = STATE(4385),
    [sym_distinct_type] = STATE(4385),
    [sym_literal] = STATE(4385),
    [sym_struct] = STATE(4394),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_LPAREN] = ACTIONS(925),
    [anon_sym_QMARK] = ACTIONS(1240),
    [anon_sym_PLUS] = ACTIONS(929),
    [anon_sym_DASH] = ACTIONS(931),
    [anon_sym_TILDE] = ACTIONS(929),
    [anon_sym_BANG] = ACTIONS(929),
    [anon_sym_AMP] = ACTIONS(929),
    [anon_sym_DOT] = ACTIONS(933),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(935),
    [anon_sym_transmute] = ACTIONS(935),
    [anon_sym_auto_cast] = ACTIONS(937),
    [anon_sym_DOT_DOT] = ACTIONS(4422),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(4806),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [748] = {
    [sym_procedure] = STATE(6470),
    [sym_expression] = STATE(4519),
    [sym__expression_no_tag] = STATE(4299),
    [sym_unary_expression] = STATE(4299),
    [sym_binary_expression] = STATE(4299),
    [sym_ternary_expression] = STATE(4299),
    [sym_call_expression] = STATE(4299),
    [sym_selector_call_expression] = STATE(4299),
    [sym_member_expression] = STATE(4299),
    [sym_index_expression] = STATE(4299),
    [sym_slice_expression] = STATE(4299),
    [sym_range_expression] = STATE(4299),
    [sym_cast_expression] = STATE(4299),
    [sym_in_expression] = STATE(4299),
    [sym_variadic_expression] = STATE(4299),
    [sym_parenthesized_expression] = STATE(4299),
    [sym_or_return_expression] = STATE(4299),
    [sym_or_continue_expression] = STATE(4299),
    [sym_or_break_expression] = STATE(4299),
    [sym_address] = STATE(4299),
    [sym_map_type] = STATE(4299),
    [sym_matrix_type] = STATE(4299),
    [sym_distinct_type] = STATE(4299),
    [sym_literal] = STATE(4299),
    [sym_struct] = STATE(4311),
    [sym_map] = STATE(3787),
    [sym_bit_set] = STATE(3787),
    [sym_matrix] = STATE(3787),
    [sym_string] = STATE(3787),
    [sym__string_literal] = STATE(3867),
    [sym__raw_string_literal] = STATE(3867),
    [sym_character] = STATE(3787),
    [sym_boolean] = STATE(3787),
    [sym_field_identifier] = STATE(7783),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_proc] = ACTIONS(585),
    [anon_sym_LPAREN] = ACTIONS(759),
    [anon_sym_QMARK] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(763),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(763),
    [anon_sym_BANG] = ACTIONS(763),
    [anon_sym_AMP] = ACTIONS(763),
    [anon_sym_DOT] = ACTIONS(765),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_cast] = ACTIONS(597),
    [anon_sym_transmute] = ACTIONS(597),
    [anon_sym_auto_cast] = ACTIONS(599),
    [anon_sym_DOT_DOT] = ACTIONS(2797),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(4808),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [749] = {
    [sym_expression] = STATE(5762),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_constant_type] = STATE(8088),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(4630),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [750] = {
    [sym_procedure] = STATE(7306),
    [sym_expression] = STATE(5549),
    [sym__expression_no_tag] = STATE(4385),
    [sym_unary_expression] = STATE(4385),
    [sym_binary_expression] = STATE(4385),
    [sym_ternary_expression] = STATE(4385),
    [sym_call_expression] = STATE(4385),
    [sym_selector_call_expression] = STATE(4385),
    [sym_member_expression] = STATE(4385),
    [sym_index_expression] = STATE(4385),
    [sym_slice_expression] = STATE(4385),
    [sym_range_expression] = STATE(4385),
    [sym_cast_expression] = STATE(4385),
    [sym_in_expression] = STATE(4385),
    [sym_variadic_expression] = STATE(4385),
    [sym_parenthesized_expression] = STATE(4385),
    [sym_or_return_expression] = STATE(4385),
    [sym_or_continue_expression] = STATE(4385),
    [sym_or_break_expression] = STATE(4385),
    [sym_address] = STATE(4385),
    [sym_map_type] = STATE(4385),
    [sym_matrix_type] = STATE(4385),
    [sym_distinct_type] = STATE(4385),
    [sym_literal] = STATE(4385),
    [sym_struct] = STATE(4394),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_LPAREN] = ACTIONS(925),
    [anon_sym_QMARK] = ACTIONS(1240),
    [anon_sym_PLUS] = ACTIONS(929),
    [anon_sym_DASH] = ACTIONS(931),
    [anon_sym_TILDE] = ACTIONS(929),
    [anon_sym_BANG] = ACTIONS(929),
    [anon_sym_AMP] = ACTIONS(929),
    [anon_sym_DOT] = ACTIONS(933),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(935),
    [anon_sym_transmute] = ACTIONS(935),
    [anon_sym_auto_cast] = ACTIONS(937),
    [anon_sym_DOT_DOT] = ACTIONS(4422),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(4810),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [751] = {
    [sym_procedure] = STATE(7949),
    [sym_expression] = STATE(5645),
    [sym__expression_no_tag] = STATE(4385),
    [sym_unary_expression] = STATE(4385),
    [sym_binary_expression] = STATE(4385),
    [sym_ternary_expression] = STATE(4385),
    [sym_call_expression] = STATE(4385),
    [sym_selector_call_expression] = STATE(4385),
    [sym_member_expression] = STATE(4385),
    [sym_index_expression] = STATE(4385),
    [sym_slice_expression] = STATE(4385),
    [sym_range_expression] = STATE(4385),
    [sym_cast_expression] = STATE(4385),
    [sym_in_expression] = STATE(4385),
    [sym_variadic_expression] = STATE(4385),
    [sym_parenthesized_expression] = STATE(4385),
    [sym_or_return_expression] = STATE(4385),
    [sym_or_continue_expression] = STATE(4385),
    [sym_or_break_expression] = STATE(4385),
    [sym_address] = STATE(4385),
    [sym_map_type] = STATE(4385),
    [sym_matrix_type] = STATE(4385),
    [sym_distinct_type] = STATE(4385),
    [sym_literal] = STATE(4385),
    [sym_struct] = STATE(4394),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_LPAREN] = ACTIONS(925),
    [anon_sym_QMARK] = ACTIONS(1240),
    [anon_sym_PLUS] = ACTIONS(929),
    [anon_sym_DASH] = ACTIONS(931),
    [anon_sym_TILDE] = ACTIONS(929),
    [anon_sym_BANG] = ACTIONS(929),
    [anon_sym_AMP] = ACTIONS(929),
    [anon_sym_DOT] = ACTIONS(933),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(935),
    [anon_sym_transmute] = ACTIONS(935),
    [anon_sym_auto_cast] = ACTIONS(937),
    [anon_sym_DOT_DOT] = ACTIONS(4422),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(941),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [752] = {
    [sym_expression] = STATE(5566),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_struct_field] = STATE(7438),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(4812),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [753] = {
    [sym_expression] = STATE(5566),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_struct_field] = STATE(7542),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(4814),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [754] = {
    [sym_procedure] = STATE(7460),
    [sym_expression] = STATE(5552),
    [sym__expression_no_tag] = STATE(4385),
    [sym_unary_expression] = STATE(4385),
    [sym_binary_expression] = STATE(4385),
    [sym_ternary_expression] = STATE(4385),
    [sym_call_expression] = STATE(4385),
    [sym_selector_call_expression] = STATE(4385),
    [sym_member_expression] = STATE(4385),
    [sym_index_expression] = STATE(4385),
    [sym_slice_expression] = STATE(4385),
    [sym_range_expression] = STATE(4385),
    [sym_cast_expression] = STATE(4385),
    [sym_in_expression] = STATE(4385),
    [sym_variadic_expression] = STATE(4385),
    [sym_parenthesized_expression] = STATE(4385),
    [sym_or_return_expression] = STATE(4385),
    [sym_or_continue_expression] = STATE(4385),
    [sym_or_break_expression] = STATE(4385),
    [sym_address] = STATE(4385),
    [sym_map_type] = STATE(4385),
    [sym_matrix_type] = STATE(4385),
    [sym_distinct_type] = STATE(4385),
    [sym_literal] = STATE(4385),
    [sym_struct] = STATE(4394),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_proc] = ACTIONS(1329),
    [anon_sym_LPAREN] = ACTIONS(925),
    [anon_sym_QMARK] = ACTIONS(1240),
    [anon_sym_PLUS] = ACTIONS(929),
    [anon_sym_DASH] = ACTIONS(931),
    [anon_sym_TILDE] = ACTIONS(929),
    [anon_sym_BANG] = ACTIONS(929),
    [anon_sym_AMP] = ACTIONS(929),
    [anon_sym_DOT] = ACTIONS(933),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(935),
    [anon_sym_transmute] = ACTIONS(935),
    [anon_sym_auto_cast] = ACTIONS(937),
    [anon_sym_DOT_DOT] = ACTIONS(4422),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(4816),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [755] = {
    [sym_expression] = STATE(5566),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_struct_field] = STATE(7111),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(4818),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [756] = {
    [sym_expression] = STATE(5566),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_struct_field] = STATE(7886),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(4820),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [757] = {
    [sym_expression] = STATE(5566),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_struct_field] = STATE(7886),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(4822),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [758] = {
    [sym_expression] = STATE(5566),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_struct_field] = STATE(7174),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(4822),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [759] = {
    [sym_expression] = STATE(5605),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_constant_type] = STATE(7815),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(4630),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [760] = {
    [sym_expression] = STATE(5566),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_struct_field] = STATE(7296),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(4824),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [761] = {
    [sym_expression] = STATE(5566),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_struct_field] = STATE(7886),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(4824),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [762] = {
    [sym_expression] = STATE(5566),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_struct_field] = STATE(7886),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(4826),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [763] = {
    [sym_expression] = STATE(5566),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_struct_field] = STATE(7366),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(4826),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [764] = {
    [sym_expression] = STATE(5566),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_struct_field] = STATE(7886),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(4828),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [765] = {
    [sym_expression] = STATE(5566),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_struct_field] = STATE(7886),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(4830),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [766] = {
    [sym_expression] = STATE(5566),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_struct_field] = STATE(7886),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(4832),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [767] = {
    [sym_block] = STATE(2046),
    [anon_sym_LBRACE] = ACTIONS(3389),
    [anon_sym_RBRACE] = ACTIONS(3299),
    [anon_sym_COMMA] = ACTIONS(3299),
    [anon_sym_COLON_COLON] = ACTIONS(3299),
    [anon_sym_DASH_GT] = ACTIONS(3299),
    [anon_sym_EQ] = ACTIONS(3303),
    [anon_sym_COLON_EQ] = ACTIONS(3299),
    [anon_sym_COLON] = ACTIONS(3303),
    [anon_sym_LPAREN] = ACTIONS(3299),
    [anon_sym_PLUS_EQ] = ACTIONS(3299),
    [anon_sym_DASH_EQ] = ACTIONS(3299),
    [anon_sym_STAR_EQ] = ACTIONS(3299),
    [anon_sym_SLASH_EQ] = ACTIONS(3299),
    [anon_sym_PERCENT_EQ] = ACTIONS(3299),
    [anon_sym_AMP_EQ] = ACTIONS(3299),
    [anon_sym_PIPE_EQ] = ACTIONS(3299),
    [anon_sym_CARET_EQ] = ACTIONS(3299),
    [anon_sym_LT_LT_EQ] = ACTIONS(3299),
    [anon_sym_GT_GT_EQ] = ACTIONS(3299),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3299),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3299),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(3299),
    [anon_sym_if] = ACTIONS(3299),
    [anon_sym_SEMI] = ACTIONS(3299),
    [anon_sym_else] = ACTIONS(3299),
    [anon_sym_when] = ACTIONS(3299),
    [anon_sym_in] = ACTIONS(3299),
    [anon_sym_case] = ACTIONS(3299),
    [anon_sym_QMARK] = ACTIONS(3299),
    [anon_sym_PLUS] = ACTIONS(3303),
    [anon_sym_DASH] = ACTIONS(3303),
    [anon_sym_TILDE] = ACTIONS(3303),
    [anon_sym_AMP] = ACTIONS(3303),
    [anon_sym_PIPE_PIPE] = ACTIONS(3303),
    [anon_sym_or_else] = ACTIONS(3299),
    [anon_sym_AMP_AMP] = ACTIONS(3303),
    [anon_sym_GT] = ACTIONS(3303),
    [anon_sym_GT_EQ] = ACTIONS(3299),
    [anon_sym_LT_EQ] = ACTIONS(3299),
    [anon_sym_LT] = ACTIONS(3303),
    [anon_sym_EQ_EQ] = ACTIONS(3299),
    [anon_sym_BANG_EQ] = ACTIONS(3299),
    [anon_sym_TILDE_EQ] = ACTIONS(3299),
    [anon_sym_PIPE] = ACTIONS(3303),
    [anon_sym_AMP_TILDE] = ACTIONS(3303),
    [anon_sym_LT_LT] = ACTIONS(3303),
    [anon_sym_GT_GT] = ACTIONS(3303),
    [anon_sym_STAR] = ACTIONS(3303),
    [anon_sym_SLASH] = ACTIONS(3303),
    [anon_sym_PERCENT] = ACTIONS(3303),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(3299),
    [anon_sym_DOT] = ACTIONS(3303),
    [anon_sym_LBRACK] = ACTIONS(3299),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(3299),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3299),
    [anon_sym_not_in] = ACTIONS(3299),
    [anon_sym_or_return] = ACTIONS(3299),
    [anon_sym_or_continue] = ACTIONS(3299),
    [anon_sym_or_break] = ACTIONS(3299),
    [anon_sym_CARET] = ACTIONS(3303),
    [sym_uninitialized] = ACTIONS(4258),
    [sym_tag] = ACTIONS(4260),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(3299),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [768] = {
    [sym_block] = STATE(2047),
    [anon_sym_LBRACE] = ACTIONS(3389),
    [anon_sym_RBRACE] = ACTIONS(3269),
    [anon_sym_COMMA] = ACTIONS(3269),
    [anon_sym_COLON_COLON] = ACTIONS(3269),
    [anon_sym_DASH_GT] = ACTIONS(3269),
    [anon_sym_EQ] = ACTIONS(3273),
    [anon_sym_COLON_EQ] = ACTIONS(3269),
    [anon_sym_COLON] = ACTIONS(3273),
    [anon_sym_LPAREN] = ACTIONS(3269),
    [anon_sym_PLUS_EQ] = ACTIONS(3269),
    [anon_sym_DASH_EQ] = ACTIONS(3269),
    [anon_sym_STAR_EQ] = ACTIONS(3269),
    [anon_sym_SLASH_EQ] = ACTIONS(3269),
    [anon_sym_PERCENT_EQ] = ACTIONS(3269),
    [anon_sym_AMP_EQ] = ACTIONS(3269),
    [anon_sym_PIPE_EQ] = ACTIONS(3269),
    [anon_sym_CARET_EQ] = ACTIONS(3269),
    [anon_sym_LT_LT_EQ] = ACTIONS(3269),
    [anon_sym_GT_GT_EQ] = ACTIONS(3269),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3269),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3269),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(3269),
    [anon_sym_if] = ACTIONS(3269),
    [anon_sym_SEMI] = ACTIONS(3269),
    [anon_sym_else] = ACTIONS(3269),
    [anon_sym_when] = ACTIONS(3269),
    [anon_sym_in] = ACTIONS(3269),
    [anon_sym_case] = ACTIONS(3269),
    [anon_sym_QMARK] = ACTIONS(3269),
    [anon_sym_PLUS] = ACTIONS(3273),
    [anon_sym_DASH] = ACTIONS(3273),
    [anon_sym_TILDE] = ACTIONS(3273),
    [anon_sym_AMP] = ACTIONS(3273),
    [anon_sym_PIPE_PIPE] = ACTIONS(3273),
    [anon_sym_or_else] = ACTIONS(3269),
    [anon_sym_AMP_AMP] = ACTIONS(3273),
    [anon_sym_GT] = ACTIONS(3273),
    [anon_sym_GT_EQ] = ACTIONS(3269),
    [anon_sym_LT_EQ] = ACTIONS(3269),
    [anon_sym_LT] = ACTIONS(3273),
    [anon_sym_EQ_EQ] = ACTIONS(3269),
    [anon_sym_BANG_EQ] = ACTIONS(3269),
    [anon_sym_TILDE_EQ] = ACTIONS(3269),
    [anon_sym_PIPE] = ACTIONS(3273),
    [anon_sym_AMP_TILDE] = ACTIONS(3273),
    [anon_sym_LT_LT] = ACTIONS(3273),
    [anon_sym_GT_GT] = ACTIONS(3273),
    [anon_sym_STAR] = ACTIONS(3273),
    [anon_sym_SLASH] = ACTIONS(3273),
    [anon_sym_PERCENT] = ACTIONS(3273),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(3269),
    [anon_sym_DOT] = ACTIONS(3273),
    [anon_sym_LBRACK] = ACTIONS(3269),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(3269),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3269),
    [anon_sym_not_in] = ACTIONS(3269),
    [anon_sym_or_return] = ACTIONS(3269),
    [anon_sym_or_continue] = ACTIONS(3269),
    [anon_sym_or_break] = ACTIONS(3269),
    [anon_sym_CARET] = ACTIONS(3273),
    [sym_uninitialized] = ACTIONS(4310),
    [sym_tag] = ACTIONS(4834),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(3269),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [769] = {
    [sym_procedure] = STATE(6663),
    [sym_expression] = STATE(4838),
    [sym__expression_no_tag] = STATE(4299),
    [sym_unary_expression] = STATE(4299),
    [sym_binary_expression] = STATE(4299),
    [sym_ternary_expression] = STATE(4299),
    [sym_call_expression] = STATE(4299),
    [sym_selector_call_expression] = STATE(4299),
    [sym_member_expression] = STATE(4299),
    [sym_index_expression] = STATE(4299),
    [sym_slice_expression] = STATE(4299),
    [sym_range_expression] = STATE(4299),
    [sym_cast_expression] = STATE(4299),
    [sym_in_expression] = STATE(4299),
    [sym_variadic_expression] = STATE(4299),
    [sym_parenthesized_expression] = STATE(4299),
    [sym_or_return_expression] = STATE(4299),
    [sym_or_continue_expression] = STATE(4299),
    [sym_or_break_expression] = STATE(4299),
    [sym_address] = STATE(4299),
    [sym_map_type] = STATE(4299),
    [sym_matrix_type] = STATE(4299),
    [sym_distinct_type] = STATE(4299),
    [sym_literal] = STATE(4299),
    [sym_struct] = STATE(4311),
    [sym_map] = STATE(3787),
    [sym_bit_set] = STATE(3787),
    [sym_matrix] = STATE(3787),
    [sym_string] = STATE(3787),
    [sym__string_literal] = STATE(3867),
    [sym__raw_string_literal] = STATE(3867),
    [sym_character] = STATE(3787),
    [sym_boolean] = STATE(3787),
    [sym_field_identifier] = STATE(7783),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_proc] = ACTIONS(585),
    [anon_sym_LPAREN] = ACTIONS(759),
    [anon_sym_QMARK] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(763),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(763),
    [anon_sym_BANG] = ACTIONS(763),
    [anon_sym_AMP] = ACTIONS(763),
    [anon_sym_DOT] = ACTIONS(765),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_cast] = ACTIONS(597),
    [anon_sym_transmute] = ACTIONS(597),
    [anon_sym_auto_cast] = ACTIONS(599),
    [anon_sym_DOT_DOT] = ACTIONS(2797),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [770] = {
    [sym_block] = STATE(2049),
    [anon_sym_LBRACE] = ACTIONS(3389),
    [anon_sym_RBRACE] = ACTIONS(3857),
    [anon_sym_COMMA] = ACTIONS(3857),
    [anon_sym_COLON_COLON] = ACTIONS(3857),
    [anon_sym_DASH_GT] = ACTIONS(3857),
    [anon_sym_EQ] = ACTIONS(3859),
    [anon_sym_COLON_EQ] = ACTIONS(3857),
    [anon_sym_COLON] = ACTIONS(3859),
    [anon_sym_LPAREN] = ACTIONS(3857),
    [anon_sym_PLUS_EQ] = ACTIONS(3857),
    [anon_sym_DASH_EQ] = ACTIONS(3857),
    [anon_sym_STAR_EQ] = ACTIONS(3857),
    [anon_sym_SLASH_EQ] = ACTIONS(3857),
    [anon_sym_PERCENT_EQ] = ACTIONS(3857),
    [anon_sym_AMP_EQ] = ACTIONS(3857),
    [anon_sym_PIPE_EQ] = ACTIONS(3857),
    [anon_sym_CARET_EQ] = ACTIONS(3857),
    [anon_sym_LT_LT_EQ] = ACTIONS(3857),
    [anon_sym_GT_GT_EQ] = ACTIONS(3857),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3857),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3857),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(3857),
    [anon_sym_if] = ACTIONS(3857),
    [anon_sym_SEMI] = ACTIONS(3857),
    [anon_sym_else] = ACTIONS(3857),
    [anon_sym_when] = ACTIONS(3857),
    [anon_sym_in] = ACTIONS(3857),
    [anon_sym_case] = ACTIONS(3857),
    [anon_sym_QMARK] = ACTIONS(3857),
    [anon_sym_PLUS] = ACTIONS(3859),
    [anon_sym_DASH] = ACTIONS(3859),
    [anon_sym_TILDE] = ACTIONS(3859),
    [anon_sym_AMP] = ACTIONS(3859),
    [anon_sym_PIPE_PIPE] = ACTIONS(3859),
    [anon_sym_or_else] = ACTIONS(3857),
    [anon_sym_AMP_AMP] = ACTIONS(3859),
    [anon_sym_GT] = ACTIONS(3859),
    [anon_sym_GT_EQ] = ACTIONS(3857),
    [anon_sym_LT_EQ] = ACTIONS(3857),
    [anon_sym_LT] = ACTIONS(3859),
    [anon_sym_EQ_EQ] = ACTIONS(3857),
    [anon_sym_BANG_EQ] = ACTIONS(3857),
    [anon_sym_TILDE_EQ] = ACTIONS(3857),
    [anon_sym_PIPE] = ACTIONS(3859),
    [anon_sym_AMP_TILDE] = ACTIONS(3859),
    [anon_sym_LT_LT] = ACTIONS(3859),
    [anon_sym_GT_GT] = ACTIONS(3859),
    [anon_sym_STAR] = ACTIONS(3859),
    [anon_sym_SLASH] = ACTIONS(3859),
    [anon_sym_PERCENT] = ACTIONS(3859),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(3857),
    [anon_sym_DOT] = ACTIONS(3859),
    [anon_sym_LBRACK] = ACTIONS(3857),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(3857),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3857),
    [anon_sym_not_in] = ACTIONS(3857),
    [anon_sym_or_return] = ACTIONS(3857),
    [anon_sym_or_continue] = ACTIONS(3857),
    [anon_sym_or_break] = ACTIONS(3857),
    [anon_sym_CARET] = ACTIONS(3859),
    [sym_uninitialized] = ACTIONS(3861),
    [sym_tag] = ACTIONS(3911),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(3857),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [771] = {
    [sym_block] = STATE(2050),
    [anon_sym_LBRACE] = ACTIONS(3389),
    [anon_sym_RBRACE] = ACTIONS(3281),
    [anon_sym_COMMA] = ACTIONS(3281),
    [anon_sym_COLON_COLON] = ACTIONS(3281),
    [anon_sym_DASH_GT] = ACTIONS(3281),
    [anon_sym_EQ] = ACTIONS(3283),
    [anon_sym_COLON_EQ] = ACTIONS(3281),
    [anon_sym_COLON] = ACTIONS(3283),
    [anon_sym_LPAREN] = ACTIONS(3281),
    [anon_sym_PLUS_EQ] = ACTIONS(3281),
    [anon_sym_DASH_EQ] = ACTIONS(3281),
    [anon_sym_STAR_EQ] = ACTIONS(3281),
    [anon_sym_SLASH_EQ] = ACTIONS(3281),
    [anon_sym_PERCENT_EQ] = ACTIONS(3281),
    [anon_sym_AMP_EQ] = ACTIONS(3281),
    [anon_sym_PIPE_EQ] = ACTIONS(3281),
    [anon_sym_CARET_EQ] = ACTIONS(3281),
    [anon_sym_LT_LT_EQ] = ACTIONS(3281),
    [anon_sym_GT_GT_EQ] = ACTIONS(3281),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3281),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3281),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(3281),
    [anon_sym_if] = ACTIONS(3281),
    [anon_sym_SEMI] = ACTIONS(3281),
    [anon_sym_else] = ACTIONS(3281),
    [anon_sym_when] = ACTIONS(3281),
    [anon_sym_in] = ACTIONS(3281),
    [anon_sym_case] = ACTIONS(3281),
    [anon_sym_QMARK] = ACTIONS(3281),
    [anon_sym_PLUS] = ACTIONS(3283),
    [anon_sym_DASH] = ACTIONS(3283),
    [anon_sym_TILDE] = ACTIONS(3283),
    [anon_sym_AMP] = ACTIONS(3283),
    [anon_sym_PIPE_PIPE] = ACTIONS(3283),
    [anon_sym_or_else] = ACTIONS(3281),
    [anon_sym_AMP_AMP] = ACTIONS(3283),
    [anon_sym_GT] = ACTIONS(3283),
    [anon_sym_GT_EQ] = ACTIONS(3281),
    [anon_sym_LT_EQ] = ACTIONS(3281),
    [anon_sym_LT] = ACTIONS(3283),
    [anon_sym_EQ_EQ] = ACTIONS(3281),
    [anon_sym_BANG_EQ] = ACTIONS(3281),
    [anon_sym_TILDE_EQ] = ACTIONS(3281),
    [anon_sym_PIPE] = ACTIONS(3283),
    [anon_sym_AMP_TILDE] = ACTIONS(3283),
    [anon_sym_LT_LT] = ACTIONS(3283),
    [anon_sym_GT_GT] = ACTIONS(3283),
    [anon_sym_STAR] = ACTIONS(3283),
    [anon_sym_SLASH] = ACTIONS(3283),
    [anon_sym_PERCENT] = ACTIONS(3283),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(3281),
    [anon_sym_DOT] = ACTIONS(3283),
    [anon_sym_LBRACK] = ACTIONS(3281),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(3281),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3281),
    [anon_sym_not_in] = ACTIONS(3281),
    [anon_sym_or_return] = ACTIONS(3281),
    [anon_sym_or_continue] = ACTIONS(3281),
    [anon_sym_or_break] = ACTIONS(3281),
    [anon_sym_CARET] = ACTIONS(3283),
    [sym_uninitialized] = ACTIONS(3913),
    [sym_tag] = ACTIONS(3919),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(3281),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [772] = {
    [sym_block] = STATE(2051),
    [anon_sym_LBRACE] = ACTIONS(3389),
    [anon_sym_RBRACE] = ACTIONS(3291),
    [anon_sym_COMMA] = ACTIONS(3291),
    [anon_sym_COLON_COLON] = ACTIONS(3291),
    [anon_sym_DASH_GT] = ACTIONS(3291),
    [anon_sym_EQ] = ACTIONS(3293),
    [anon_sym_COLON_EQ] = ACTIONS(3291),
    [anon_sym_COLON] = ACTIONS(3293),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_PLUS_EQ] = ACTIONS(3291),
    [anon_sym_DASH_EQ] = ACTIONS(3291),
    [anon_sym_STAR_EQ] = ACTIONS(3291),
    [anon_sym_SLASH_EQ] = ACTIONS(3291),
    [anon_sym_PERCENT_EQ] = ACTIONS(3291),
    [anon_sym_AMP_EQ] = ACTIONS(3291),
    [anon_sym_PIPE_EQ] = ACTIONS(3291),
    [anon_sym_CARET_EQ] = ACTIONS(3291),
    [anon_sym_LT_LT_EQ] = ACTIONS(3291),
    [anon_sym_GT_GT_EQ] = ACTIONS(3291),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3291),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3291),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(3291),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_SEMI] = ACTIONS(3291),
    [anon_sym_else] = ACTIONS(3291),
    [anon_sym_when] = ACTIONS(3291),
    [anon_sym_in] = ACTIONS(3291),
    [anon_sym_case] = ACTIONS(3291),
    [anon_sym_QMARK] = ACTIONS(3291),
    [anon_sym_PLUS] = ACTIONS(3293),
    [anon_sym_DASH] = ACTIONS(3293),
    [anon_sym_TILDE] = ACTIONS(3293),
    [anon_sym_AMP] = ACTIONS(3293),
    [anon_sym_PIPE_PIPE] = ACTIONS(3293),
    [anon_sym_or_else] = ACTIONS(3291),
    [anon_sym_AMP_AMP] = ACTIONS(3293),
    [anon_sym_GT] = ACTIONS(3293),
    [anon_sym_GT_EQ] = ACTIONS(3291),
    [anon_sym_LT_EQ] = ACTIONS(3291),
    [anon_sym_LT] = ACTIONS(3293),
    [anon_sym_EQ_EQ] = ACTIONS(3291),
    [anon_sym_BANG_EQ] = ACTIONS(3291),
    [anon_sym_TILDE_EQ] = ACTIONS(3291),
    [anon_sym_PIPE] = ACTIONS(3293),
    [anon_sym_AMP_TILDE] = ACTIONS(3293),
    [anon_sym_LT_LT] = ACTIONS(3293),
    [anon_sym_GT_GT] = ACTIONS(3293),
    [anon_sym_STAR] = ACTIONS(3293),
    [anon_sym_SLASH] = ACTIONS(3293),
    [anon_sym_PERCENT] = ACTIONS(3293),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(3291),
    [anon_sym_DOT] = ACTIONS(3293),
    [anon_sym_LBRACK] = ACTIONS(3291),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(3291),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3291),
    [anon_sym_not_in] = ACTIONS(3291),
    [anon_sym_or_return] = ACTIONS(3291),
    [anon_sym_or_continue] = ACTIONS(3291),
    [anon_sym_or_break] = ACTIONS(3291),
    [anon_sym_CARET] = ACTIONS(3293),
    [sym_uninitialized] = ACTIONS(3391),
    [sym_tag] = ACTIONS(3393),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(3291),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [773] = {
    [sym_block] = STATE(2052),
    [anon_sym_LBRACE] = ACTIONS(3389),
    [anon_sym_RBRACE] = ACTIONS(4525),
    [anon_sym_COMMA] = ACTIONS(4525),
    [anon_sym_COLON_COLON] = ACTIONS(4525),
    [anon_sym_DASH_GT] = ACTIONS(4525),
    [anon_sym_EQ] = ACTIONS(4527),
    [anon_sym_COLON_EQ] = ACTIONS(4525),
    [anon_sym_COLON] = ACTIONS(4527),
    [anon_sym_LPAREN] = ACTIONS(4525),
    [anon_sym_PLUS_EQ] = ACTIONS(4525),
    [anon_sym_DASH_EQ] = ACTIONS(4525),
    [anon_sym_STAR_EQ] = ACTIONS(4525),
    [anon_sym_SLASH_EQ] = ACTIONS(4525),
    [anon_sym_PERCENT_EQ] = ACTIONS(4525),
    [anon_sym_AMP_EQ] = ACTIONS(4525),
    [anon_sym_PIPE_EQ] = ACTIONS(4525),
    [anon_sym_CARET_EQ] = ACTIONS(4525),
    [anon_sym_LT_LT_EQ] = ACTIONS(4525),
    [anon_sym_GT_GT_EQ] = ACTIONS(4525),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4525),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4525),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4525),
    [anon_sym_if] = ACTIONS(4525),
    [anon_sym_SEMI] = ACTIONS(4525),
    [anon_sym_else] = ACTIONS(4525),
    [anon_sym_when] = ACTIONS(4525),
    [anon_sym_in] = ACTIONS(4525),
    [anon_sym_case] = ACTIONS(4525),
    [anon_sym_QMARK] = ACTIONS(4525),
    [anon_sym_PLUS] = ACTIONS(4527),
    [anon_sym_DASH] = ACTIONS(4527),
    [anon_sym_TILDE] = ACTIONS(4527),
    [anon_sym_AMP] = ACTIONS(4527),
    [anon_sym_PIPE_PIPE] = ACTIONS(4527),
    [anon_sym_or_else] = ACTIONS(4525),
    [anon_sym_AMP_AMP] = ACTIONS(4527),
    [anon_sym_GT] = ACTIONS(4527),
    [anon_sym_GT_EQ] = ACTIONS(4525),
    [anon_sym_LT_EQ] = ACTIONS(4525),
    [anon_sym_LT] = ACTIONS(4527),
    [anon_sym_EQ_EQ] = ACTIONS(4525),
    [anon_sym_BANG_EQ] = ACTIONS(4525),
    [anon_sym_TILDE_EQ] = ACTIONS(4525),
    [anon_sym_PIPE] = ACTIONS(4527),
    [anon_sym_AMP_TILDE] = ACTIONS(4527),
    [anon_sym_LT_LT] = ACTIONS(4527),
    [anon_sym_GT_GT] = ACTIONS(4527),
    [anon_sym_STAR] = ACTIONS(4527),
    [anon_sym_SLASH] = ACTIONS(4527),
    [anon_sym_PERCENT] = ACTIONS(4527),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4525),
    [anon_sym_DOT] = ACTIONS(4527),
    [anon_sym_LBRACK] = ACTIONS(4525),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4525),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4525),
    [anon_sym_not_in] = ACTIONS(4525),
    [anon_sym_or_return] = ACTIONS(4525),
    [anon_sym_or_continue] = ACTIONS(4525),
    [anon_sym_or_break] = ACTIONS(4525),
    [anon_sym_CARET] = ACTIONS(4527),
    [sym_uninitialized] = ACTIONS(4836),
    [sym_tag] = ACTIONS(4838),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4525),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [774] = {
    [sym_expression] = STATE(5566),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_struct_field] = STATE(7643),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(4840),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [775] = {
    [sym_expression] = STATE(5566),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_struct_field] = STATE(7886),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(4812),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [776] = {
    [sym_expression] = STATE(5566),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_struct_field] = STATE(7730),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(4842),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [777] = {
    [sym_expression] = STATE(5566),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_struct_field] = STATE(7886),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(4844),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [778] = {
    [sym_expression] = STATE(5566),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_struct_field] = STATE(7886),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(4846),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [779] = {
    [sym_expression] = STATE(5566),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_struct_field] = STATE(7073),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(4846),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [780] = {
    [sym_expression] = STATE(5566),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_struct_field] = STATE(7189),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(4848),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [781] = {
    [sym_expression] = STATE(5566),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_struct_field] = STATE(7886),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(4848),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [782] = {
    [sym_expression] = STATE(5566),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_struct_field] = STATE(7886),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(4850),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [783] = {
    [sym_expression] = STATE(5566),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_struct_field] = STATE(7294),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(4850),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [784] = {
    [sym_expression] = STATE(5566),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_struct_field] = STATE(7886),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(4852),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [785] = {
    [sym_expression] = STATE(5566),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_struct_field] = STATE(7886),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(4854),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [786] = {
    [sym_expression] = STATE(5566),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_struct_field] = STATE(7886),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(4856),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [787] = {
    [anon_sym_LBRACE] = ACTIONS(4858),
    [anon_sym_RBRACE] = ACTIONS(4858),
    [anon_sym_COMMA] = ACTIONS(4858),
    [anon_sym_COLON_COLON] = ACTIONS(4858),
    [anon_sym_DASH_GT] = ACTIONS(4858),
    [anon_sym_where] = ACTIONS(4858),
    [anon_sym_EQ] = ACTIONS(4860),
    [anon_sym_COLON_EQ] = ACTIONS(4858),
    [anon_sym_COLON] = ACTIONS(4860),
    [anon_sym_LPAREN] = ACTIONS(4858),
    [anon_sym_PLUS_EQ] = ACTIONS(4858),
    [anon_sym_DASH_EQ] = ACTIONS(4858),
    [anon_sym_STAR_EQ] = ACTIONS(4858),
    [anon_sym_SLASH_EQ] = ACTIONS(4858),
    [anon_sym_PERCENT_EQ] = ACTIONS(4858),
    [anon_sym_AMP_EQ] = ACTIONS(4858),
    [anon_sym_PIPE_EQ] = ACTIONS(4858),
    [anon_sym_CARET_EQ] = ACTIONS(4858),
    [anon_sym_LT_LT_EQ] = ACTIONS(4858),
    [anon_sym_GT_GT_EQ] = ACTIONS(4858),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4858),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4858),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4858),
    [anon_sym_if] = ACTIONS(4858),
    [anon_sym_SEMI] = ACTIONS(4858),
    [anon_sym_else] = ACTIONS(4858),
    [anon_sym_when] = ACTIONS(4858),
    [anon_sym_in] = ACTIONS(4858),
    [anon_sym_case] = ACTIONS(4858),
    [anon_sym_QMARK] = ACTIONS(4858),
    [anon_sym_PLUS] = ACTIONS(4860),
    [anon_sym_DASH] = ACTIONS(4860),
    [anon_sym_TILDE] = ACTIONS(4860),
    [anon_sym_AMP] = ACTIONS(4860),
    [anon_sym_PIPE_PIPE] = ACTIONS(4860),
    [anon_sym_or_else] = ACTIONS(4858),
    [anon_sym_AMP_AMP] = ACTIONS(4860),
    [anon_sym_GT] = ACTIONS(4860),
    [anon_sym_GT_EQ] = ACTIONS(4858),
    [anon_sym_LT_EQ] = ACTIONS(4858),
    [anon_sym_LT] = ACTIONS(4860),
    [anon_sym_EQ_EQ] = ACTIONS(4858),
    [anon_sym_BANG_EQ] = ACTIONS(4858),
    [anon_sym_TILDE_EQ] = ACTIONS(4858),
    [anon_sym_PIPE] = ACTIONS(4860),
    [anon_sym_AMP_TILDE] = ACTIONS(4860),
    [anon_sym_LT_LT] = ACTIONS(4860),
    [anon_sym_GT_GT] = ACTIONS(4860),
    [anon_sym_STAR] = ACTIONS(4860),
    [anon_sym_SLASH] = ACTIONS(4860),
    [anon_sym_PERCENT] = ACTIONS(4860),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4858),
    [anon_sym_DOT] = ACTIONS(4860),
    [anon_sym_LBRACK] = ACTIONS(4858),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4858),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4858),
    [anon_sym_not_in] = ACTIONS(4858),
    [anon_sym_or_return] = ACTIONS(4858),
    [anon_sym_or_continue] = ACTIONS(4858),
    [anon_sym_or_break] = ACTIONS(4858),
    [anon_sym_CARET] = ACTIONS(4860),
    [sym_uninitialized] = ACTIONS(4858),
    [sym_tag] = ACTIONS(4858),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4858),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [788] = {
    [sym_expression] = STATE(5566),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_struct_field] = STATE(7886),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(4862),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [789] = {
    [sym_block] = STATE(2357),
    [anon_sym_LBRACE] = ACTIONS(3267),
    [anon_sym_RBRACE] = ACTIONS(3299),
    [anon_sym_COMMA] = ACTIONS(3299),
    [anon_sym_COLON_COLON] = ACTIONS(3299),
    [anon_sym_DASH_GT] = ACTIONS(3299),
    [anon_sym_EQ] = ACTIONS(3303),
    [anon_sym_COLON_EQ] = ACTIONS(3299),
    [anon_sym_COLON] = ACTIONS(3303),
    [anon_sym_LPAREN] = ACTIONS(3299),
    [anon_sym_PLUS_EQ] = ACTIONS(3299),
    [anon_sym_DASH_EQ] = ACTIONS(3299),
    [anon_sym_STAR_EQ] = ACTIONS(3299),
    [anon_sym_SLASH_EQ] = ACTIONS(3299),
    [anon_sym_PERCENT_EQ] = ACTIONS(3299),
    [anon_sym_AMP_EQ] = ACTIONS(3299),
    [anon_sym_PIPE_EQ] = ACTIONS(3299),
    [anon_sym_CARET_EQ] = ACTIONS(3299),
    [anon_sym_LT_LT_EQ] = ACTIONS(3299),
    [anon_sym_GT_GT_EQ] = ACTIONS(3299),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3299),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3299),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(3299),
    [anon_sym_if] = ACTIONS(3299),
    [anon_sym_SEMI] = ACTIONS(3299),
    [anon_sym_else] = ACTIONS(3299),
    [anon_sym_when] = ACTIONS(3299),
    [anon_sym_in] = ACTIONS(3299),
    [anon_sym_case] = ACTIONS(3299),
    [anon_sym_QMARK] = ACTIONS(3299),
    [anon_sym_PLUS] = ACTIONS(3303),
    [anon_sym_DASH] = ACTIONS(3303),
    [anon_sym_TILDE] = ACTIONS(3303),
    [anon_sym_AMP] = ACTIONS(3303),
    [anon_sym_PIPE_PIPE] = ACTIONS(3303),
    [anon_sym_or_else] = ACTIONS(3299),
    [anon_sym_AMP_AMP] = ACTIONS(3303),
    [anon_sym_GT] = ACTIONS(3303),
    [anon_sym_GT_EQ] = ACTIONS(3299),
    [anon_sym_LT_EQ] = ACTIONS(3299),
    [anon_sym_LT] = ACTIONS(3303),
    [anon_sym_EQ_EQ] = ACTIONS(3299),
    [anon_sym_BANG_EQ] = ACTIONS(3299),
    [anon_sym_TILDE_EQ] = ACTIONS(3299),
    [anon_sym_PIPE] = ACTIONS(3303),
    [anon_sym_AMP_TILDE] = ACTIONS(3303),
    [anon_sym_LT_LT] = ACTIONS(3303),
    [anon_sym_GT_GT] = ACTIONS(3303),
    [anon_sym_STAR] = ACTIONS(3303),
    [anon_sym_SLASH] = ACTIONS(3303),
    [anon_sym_PERCENT] = ACTIONS(3303),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(3299),
    [anon_sym_DOT] = ACTIONS(3303),
    [anon_sym_LBRACK] = ACTIONS(3299),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(3299),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3299),
    [anon_sym_not_in] = ACTIONS(3299),
    [anon_sym_or_return] = ACTIONS(3299),
    [anon_sym_or_continue] = ACTIONS(3299),
    [anon_sym_or_break] = ACTIONS(3299),
    [anon_sym_CARET] = ACTIONS(3303),
    [sym_uninitialized] = ACTIONS(3305),
    [sym_tag] = ACTIONS(3307),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(3299),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [790] = {
    [anon_sym_LBRACE] = ACTIONS(4864),
    [anon_sym_RBRACE] = ACTIONS(4864),
    [anon_sym_COMMA] = ACTIONS(4864),
    [anon_sym_COLON_COLON] = ACTIONS(4864),
    [anon_sym_DASH_GT] = ACTIONS(4864),
    [anon_sym_where] = ACTIONS(4864),
    [anon_sym_EQ] = ACTIONS(4866),
    [anon_sym_COLON_EQ] = ACTIONS(4864),
    [anon_sym_COLON] = ACTIONS(4866),
    [anon_sym_LPAREN] = ACTIONS(4864),
    [anon_sym_PLUS_EQ] = ACTIONS(4864),
    [anon_sym_DASH_EQ] = ACTIONS(4864),
    [anon_sym_STAR_EQ] = ACTIONS(4864),
    [anon_sym_SLASH_EQ] = ACTIONS(4864),
    [anon_sym_PERCENT_EQ] = ACTIONS(4864),
    [anon_sym_AMP_EQ] = ACTIONS(4864),
    [anon_sym_PIPE_EQ] = ACTIONS(4864),
    [anon_sym_CARET_EQ] = ACTIONS(4864),
    [anon_sym_LT_LT_EQ] = ACTIONS(4864),
    [anon_sym_GT_GT_EQ] = ACTIONS(4864),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4864),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4864),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4864),
    [anon_sym_if] = ACTIONS(4864),
    [anon_sym_SEMI] = ACTIONS(4864),
    [anon_sym_else] = ACTIONS(4864),
    [anon_sym_when] = ACTIONS(4864),
    [anon_sym_in] = ACTIONS(4864),
    [anon_sym_case] = ACTIONS(4864),
    [anon_sym_QMARK] = ACTIONS(4864),
    [anon_sym_PLUS] = ACTIONS(4866),
    [anon_sym_DASH] = ACTIONS(4866),
    [anon_sym_TILDE] = ACTIONS(4866),
    [anon_sym_AMP] = ACTIONS(4866),
    [anon_sym_PIPE_PIPE] = ACTIONS(4866),
    [anon_sym_or_else] = ACTIONS(4864),
    [anon_sym_AMP_AMP] = ACTIONS(4866),
    [anon_sym_GT] = ACTIONS(4866),
    [anon_sym_GT_EQ] = ACTIONS(4864),
    [anon_sym_LT_EQ] = ACTIONS(4864),
    [anon_sym_LT] = ACTIONS(4866),
    [anon_sym_EQ_EQ] = ACTIONS(4864),
    [anon_sym_BANG_EQ] = ACTIONS(4864),
    [anon_sym_TILDE_EQ] = ACTIONS(4864),
    [anon_sym_PIPE] = ACTIONS(4866),
    [anon_sym_AMP_TILDE] = ACTIONS(4866),
    [anon_sym_LT_LT] = ACTIONS(4866),
    [anon_sym_GT_GT] = ACTIONS(4866),
    [anon_sym_STAR] = ACTIONS(4866),
    [anon_sym_SLASH] = ACTIONS(4866),
    [anon_sym_PERCENT] = ACTIONS(4866),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4864),
    [anon_sym_DOT] = ACTIONS(4866),
    [anon_sym_LBRACK] = ACTIONS(4864),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4864),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4864),
    [anon_sym_not_in] = ACTIONS(4864),
    [anon_sym_or_return] = ACTIONS(4864),
    [anon_sym_or_continue] = ACTIONS(4864),
    [anon_sym_or_break] = ACTIONS(4864),
    [anon_sym_CARET] = ACTIONS(4866),
    [sym_uninitialized] = ACTIONS(4864),
    [sym_tag] = ACTIONS(4864),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4864),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [791] = {
    [sym_block] = STATE(2360),
    [anon_sym_LBRACE] = ACTIONS(3267),
    [anon_sym_RBRACE] = ACTIONS(3269),
    [anon_sym_COMMA] = ACTIONS(3269),
    [anon_sym_COLON_COLON] = ACTIONS(3269),
    [anon_sym_DASH_GT] = ACTIONS(3269),
    [anon_sym_EQ] = ACTIONS(3273),
    [anon_sym_COLON_EQ] = ACTIONS(3269),
    [anon_sym_COLON] = ACTIONS(3273),
    [anon_sym_LPAREN] = ACTIONS(3269),
    [anon_sym_PLUS_EQ] = ACTIONS(3269),
    [anon_sym_DASH_EQ] = ACTIONS(3269),
    [anon_sym_STAR_EQ] = ACTIONS(3269),
    [anon_sym_SLASH_EQ] = ACTIONS(3269),
    [anon_sym_PERCENT_EQ] = ACTIONS(3269),
    [anon_sym_AMP_EQ] = ACTIONS(3269),
    [anon_sym_PIPE_EQ] = ACTIONS(3269),
    [anon_sym_CARET_EQ] = ACTIONS(3269),
    [anon_sym_LT_LT_EQ] = ACTIONS(3269),
    [anon_sym_GT_GT_EQ] = ACTIONS(3269),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3269),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3269),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(3269),
    [anon_sym_if] = ACTIONS(3269),
    [anon_sym_SEMI] = ACTIONS(3269),
    [anon_sym_else] = ACTIONS(3269),
    [anon_sym_when] = ACTIONS(3269),
    [anon_sym_in] = ACTIONS(3269),
    [anon_sym_case] = ACTIONS(3269),
    [anon_sym_QMARK] = ACTIONS(3269),
    [anon_sym_PLUS] = ACTIONS(3273),
    [anon_sym_DASH] = ACTIONS(3273),
    [anon_sym_TILDE] = ACTIONS(3273),
    [anon_sym_AMP] = ACTIONS(3273),
    [anon_sym_PIPE_PIPE] = ACTIONS(3273),
    [anon_sym_or_else] = ACTIONS(3269),
    [anon_sym_AMP_AMP] = ACTIONS(3273),
    [anon_sym_GT] = ACTIONS(3273),
    [anon_sym_GT_EQ] = ACTIONS(3269),
    [anon_sym_LT_EQ] = ACTIONS(3269),
    [anon_sym_LT] = ACTIONS(3273),
    [anon_sym_EQ_EQ] = ACTIONS(3269),
    [anon_sym_BANG_EQ] = ACTIONS(3269),
    [anon_sym_TILDE_EQ] = ACTIONS(3269),
    [anon_sym_PIPE] = ACTIONS(3273),
    [anon_sym_AMP_TILDE] = ACTIONS(3273),
    [anon_sym_LT_LT] = ACTIONS(3273),
    [anon_sym_GT_GT] = ACTIONS(3273),
    [anon_sym_STAR] = ACTIONS(3273),
    [anon_sym_SLASH] = ACTIONS(3273),
    [anon_sym_PERCENT] = ACTIONS(3273),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(3269),
    [anon_sym_DOT] = ACTIONS(3273),
    [anon_sym_LBRACK] = ACTIONS(3269),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(3269),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3269),
    [anon_sym_not_in] = ACTIONS(3269),
    [anon_sym_or_return] = ACTIONS(3269),
    [anon_sym_or_continue] = ACTIONS(3269),
    [anon_sym_or_break] = ACTIONS(3269),
    [anon_sym_CARET] = ACTIONS(3273),
    [sym_uninitialized] = ACTIONS(3275),
    [sym_tag] = ACTIONS(4868),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(3269),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [792] = {
    [anon_sym_LBRACE] = ACTIONS(4870),
    [anon_sym_RBRACE] = ACTIONS(4870),
    [anon_sym_COMMA] = ACTIONS(4870),
    [anon_sym_COLON_COLON] = ACTIONS(4870),
    [anon_sym_DASH_GT] = ACTIONS(4870),
    [anon_sym_where] = ACTIONS(4870),
    [anon_sym_EQ] = ACTIONS(4872),
    [anon_sym_COLON_EQ] = ACTIONS(4870),
    [anon_sym_COLON] = ACTIONS(4872),
    [anon_sym_LPAREN] = ACTIONS(4870),
    [anon_sym_PLUS_EQ] = ACTIONS(4870),
    [anon_sym_DASH_EQ] = ACTIONS(4870),
    [anon_sym_STAR_EQ] = ACTIONS(4870),
    [anon_sym_SLASH_EQ] = ACTIONS(4870),
    [anon_sym_PERCENT_EQ] = ACTIONS(4870),
    [anon_sym_AMP_EQ] = ACTIONS(4870),
    [anon_sym_PIPE_EQ] = ACTIONS(4870),
    [anon_sym_CARET_EQ] = ACTIONS(4870),
    [anon_sym_LT_LT_EQ] = ACTIONS(4870),
    [anon_sym_GT_GT_EQ] = ACTIONS(4870),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4870),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4870),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4870),
    [anon_sym_if] = ACTIONS(4870),
    [anon_sym_SEMI] = ACTIONS(4870),
    [anon_sym_else] = ACTIONS(4870),
    [anon_sym_when] = ACTIONS(4870),
    [anon_sym_in] = ACTIONS(4870),
    [anon_sym_case] = ACTIONS(4870),
    [anon_sym_QMARK] = ACTIONS(4870),
    [anon_sym_PLUS] = ACTIONS(4872),
    [anon_sym_DASH] = ACTIONS(4872),
    [anon_sym_TILDE] = ACTIONS(4872),
    [anon_sym_AMP] = ACTIONS(4872),
    [anon_sym_PIPE_PIPE] = ACTIONS(4872),
    [anon_sym_or_else] = ACTIONS(4870),
    [anon_sym_AMP_AMP] = ACTIONS(4872),
    [anon_sym_GT] = ACTIONS(4872),
    [anon_sym_GT_EQ] = ACTIONS(4870),
    [anon_sym_LT_EQ] = ACTIONS(4870),
    [anon_sym_LT] = ACTIONS(4872),
    [anon_sym_EQ_EQ] = ACTIONS(4870),
    [anon_sym_BANG_EQ] = ACTIONS(4870),
    [anon_sym_TILDE_EQ] = ACTIONS(4870),
    [anon_sym_PIPE] = ACTIONS(4872),
    [anon_sym_AMP_TILDE] = ACTIONS(4872),
    [anon_sym_LT_LT] = ACTIONS(4872),
    [anon_sym_GT_GT] = ACTIONS(4872),
    [anon_sym_STAR] = ACTIONS(4872),
    [anon_sym_SLASH] = ACTIONS(4872),
    [anon_sym_PERCENT] = ACTIONS(4872),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4870),
    [anon_sym_DOT] = ACTIONS(4872),
    [anon_sym_LBRACK] = ACTIONS(4870),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4870),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4870),
    [anon_sym_not_in] = ACTIONS(4870),
    [anon_sym_or_return] = ACTIONS(4870),
    [anon_sym_or_continue] = ACTIONS(4870),
    [anon_sym_or_break] = ACTIONS(4870),
    [anon_sym_CARET] = ACTIONS(4872),
    [sym_uninitialized] = ACTIONS(4870),
    [sym_tag] = ACTIONS(4870),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4870),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [793] = {
    [sym_expression] = STATE(5566),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_struct_field] = STATE(7171),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(4874),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [794] = {
    [sym_expression] = STATE(5566),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_struct_field] = STATE(7069),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(4876),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [795] = {
    [sym_expression] = STATE(5566),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_struct_field] = STATE(7886),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(4878),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [796] = {
    [sym_block] = STATE(2362),
    [anon_sym_LBRACE] = ACTIONS(3267),
    [anon_sym_RBRACE] = ACTIONS(3857),
    [anon_sym_COMMA] = ACTIONS(3857),
    [anon_sym_COLON_COLON] = ACTIONS(3857),
    [anon_sym_DASH_GT] = ACTIONS(3857),
    [anon_sym_EQ] = ACTIONS(3859),
    [anon_sym_COLON_EQ] = ACTIONS(3857),
    [anon_sym_COLON] = ACTIONS(3859),
    [anon_sym_LPAREN] = ACTIONS(3857),
    [anon_sym_PLUS_EQ] = ACTIONS(3857),
    [anon_sym_DASH_EQ] = ACTIONS(3857),
    [anon_sym_STAR_EQ] = ACTIONS(3857),
    [anon_sym_SLASH_EQ] = ACTIONS(3857),
    [anon_sym_PERCENT_EQ] = ACTIONS(3857),
    [anon_sym_AMP_EQ] = ACTIONS(3857),
    [anon_sym_PIPE_EQ] = ACTIONS(3857),
    [anon_sym_CARET_EQ] = ACTIONS(3857),
    [anon_sym_LT_LT_EQ] = ACTIONS(3857),
    [anon_sym_GT_GT_EQ] = ACTIONS(3857),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3857),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3857),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(3857),
    [anon_sym_if] = ACTIONS(3857),
    [anon_sym_SEMI] = ACTIONS(3857),
    [anon_sym_else] = ACTIONS(3857),
    [anon_sym_when] = ACTIONS(3857),
    [anon_sym_in] = ACTIONS(3857),
    [anon_sym_case] = ACTIONS(3857),
    [anon_sym_QMARK] = ACTIONS(3857),
    [anon_sym_PLUS] = ACTIONS(3859),
    [anon_sym_DASH] = ACTIONS(3859),
    [anon_sym_TILDE] = ACTIONS(3859),
    [anon_sym_AMP] = ACTIONS(3859),
    [anon_sym_PIPE_PIPE] = ACTIONS(3859),
    [anon_sym_or_else] = ACTIONS(3857),
    [anon_sym_AMP_AMP] = ACTIONS(3859),
    [anon_sym_GT] = ACTIONS(3859),
    [anon_sym_GT_EQ] = ACTIONS(3857),
    [anon_sym_LT_EQ] = ACTIONS(3857),
    [anon_sym_LT] = ACTIONS(3859),
    [anon_sym_EQ_EQ] = ACTIONS(3857),
    [anon_sym_BANG_EQ] = ACTIONS(3857),
    [anon_sym_TILDE_EQ] = ACTIONS(3857),
    [anon_sym_PIPE] = ACTIONS(3859),
    [anon_sym_AMP_TILDE] = ACTIONS(3859),
    [anon_sym_LT_LT] = ACTIONS(3859),
    [anon_sym_GT_GT] = ACTIONS(3859),
    [anon_sym_STAR] = ACTIONS(3859),
    [anon_sym_SLASH] = ACTIONS(3859),
    [anon_sym_PERCENT] = ACTIONS(3859),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(3857),
    [anon_sym_DOT] = ACTIONS(3859),
    [anon_sym_LBRACK] = ACTIONS(3857),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(3857),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3857),
    [anon_sym_not_in] = ACTIONS(3857),
    [anon_sym_or_return] = ACTIONS(3857),
    [anon_sym_or_continue] = ACTIONS(3857),
    [anon_sym_or_break] = ACTIONS(3857),
    [anon_sym_CARET] = ACTIONS(3859),
    [sym_uninitialized] = ACTIONS(3885),
    [sym_tag] = ACTIONS(3917),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(3857),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [797] = {
    [sym_expression] = STATE(5566),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_struct_field] = STATE(7886),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(4880),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [798] = {
    [sym_expression] = STATE(5566),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_struct_field] = STATE(7110),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(4880),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [799] = {
    [anon_sym_LBRACE] = ACTIONS(4882),
    [anon_sym_RBRACE] = ACTIONS(4882),
    [anon_sym_COMMA] = ACTIONS(4882),
    [anon_sym_COLON_COLON] = ACTIONS(4882),
    [anon_sym_DASH_GT] = ACTIONS(4882),
    [anon_sym_where] = ACTIONS(4882),
    [anon_sym_EQ] = ACTIONS(4884),
    [anon_sym_COLON_EQ] = ACTIONS(4882),
    [anon_sym_COLON] = ACTIONS(4884),
    [anon_sym_LPAREN] = ACTIONS(4882),
    [anon_sym_PLUS_EQ] = ACTIONS(4882),
    [anon_sym_DASH_EQ] = ACTIONS(4882),
    [anon_sym_STAR_EQ] = ACTIONS(4882),
    [anon_sym_SLASH_EQ] = ACTIONS(4882),
    [anon_sym_PERCENT_EQ] = ACTIONS(4882),
    [anon_sym_AMP_EQ] = ACTIONS(4882),
    [anon_sym_PIPE_EQ] = ACTIONS(4882),
    [anon_sym_CARET_EQ] = ACTIONS(4882),
    [anon_sym_LT_LT_EQ] = ACTIONS(4882),
    [anon_sym_GT_GT_EQ] = ACTIONS(4882),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4882),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4882),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4882),
    [anon_sym_if] = ACTIONS(4882),
    [anon_sym_SEMI] = ACTIONS(4882),
    [anon_sym_else] = ACTIONS(4882),
    [anon_sym_when] = ACTIONS(4882),
    [anon_sym_in] = ACTIONS(4882),
    [anon_sym_case] = ACTIONS(4882),
    [anon_sym_QMARK] = ACTIONS(4882),
    [anon_sym_PLUS] = ACTIONS(4884),
    [anon_sym_DASH] = ACTIONS(4884),
    [anon_sym_TILDE] = ACTIONS(4884),
    [anon_sym_AMP] = ACTIONS(4884),
    [anon_sym_PIPE_PIPE] = ACTIONS(4884),
    [anon_sym_or_else] = ACTIONS(4882),
    [anon_sym_AMP_AMP] = ACTIONS(4884),
    [anon_sym_GT] = ACTIONS(4884),
    [anon_sym_GT_EQ] = ACTIONS(4882),
    [anon_sym_LT_EQ] = ACTIONS(4882),
    [anon_sym_LT] = ACTIONS(4884),
    [anon_sym_EQ_EQ] = ACTIONS(4882),
    [anon_sym_BANG_EQ] = ACTIONS(4882),
    [anon_sym_TILDE_EQ] = ACTIONS(4882),
    [anon_sym_PIPE] = ACTIONS(4884),
    [anon_sym_AMP_TILDE] = ACTIONS(4884),
    [anon_sym_LT_LT] = ACTIONS(4884),
    [anon_sym_GT_GT] = ACTIONS(4884),
    [anon_sym_STAR] = ACTIONS(4884),
    [anon_sym_SLASH] = ACTIONS(4884),
    [anon_sym_PERCENT] = ACTIONS(4884),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4882),
    [anon_sym_DOT] = ACTIONS(4884),
    [anon_sym_LBRACK] = ACTIONS(4882),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4882),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4882),
    [anon_sym_not_in] = ACTIONS(4882),
    [anon_sym_or_return] = ACTIONS(4882),
    [anon_sym_or_continue] = ACTIONS(4882),
    [anon_sym_or_break] = ACTIONS(4882),
    [anon_sym_CARET] = ACTIONS(4884),
    [sym_uninitialized] = ACTIONS(4882),
    [sym_tag] = ACTIONS(4882),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4882),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [800] = {
    [sym_expression] = STATE(5566),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_struct_field] = STATE(7129),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(4886),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [801] = {
    [sym_block] = STATE(2365),
    [anon_sym_LBRACE] = ACTIONS(3267),
    [anon_sym_RBRACE] = ACTIONS(3281),
    [anon_sym_COMMA] = ACTIONS(3281),
    [anon_sym_COLON_COLON] = ACTIONS(3281),
    [anon_sym_DASH_GT] = ACTIONS(3281),
    [anon_sym_EQ] = ACTIONS(3283),
    [anon_sym_COLON_EQ] = ACTIONS(3281),
    [anon_sym_COLON] = ACTIONS(3283),
    [anon_sym_LPAREN] = ACTIONS(3281),
    [anon_sym_PLUS_EQ] = ACTIONS(3281),
    [anon_sym_DASH_EQ] = ACTIONS(3281),
    [anon_sym_STAR_EQ] = ACTIONS(3281),
    [anon_sym_SLASH_EQ] = ACTIONS(3281),
    [anon_sym_PERCENT_EQ] = ACTIONS(3281),
    [anon_sym_AMP_EQ] = ACTIONS(3281),
    [anon_sym_PIPE_EQ] = ACTIONS(3281),
    [anon_sym_CARET_EQ] = ACTIONS(3281),
    [anon_sym_LT_LT_EQ] = ACTIONS(3281),
    [anon_sym_GT_GT_EQ] = ACTIONS(3281),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3281),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3281),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(3281),
    [anon_sym_if] = ACTIONS(3281),
    [anon_sym_SEMI] = ACTIONS(3281),
    [anon_sym_else] = ACTIONS(3281),
    [anon_sym_when] = ACTIONS(3281),
    [anon_sym_in] = ACTIONS(3281),
    [anon_sym_case] = ACTIONS(3281),
    [anon_sym_QMARK] = ACTIONS(3281),
    [anon_sym_PLUS] = ACTIONS(3283),
    [anon_sym_DASH] = ACTIONS(3283),
    [anon_sym_TILDE] = ACTIONS(3283),
    [anon_sym_AMP] = ACTIONS(3283),
    [anon_sym_PIPE_PIPE] = ACTIONS(3283),
    [anon_sym_or_else] = ACTIONS(3281),
    [anon_sym_AMP_AMP] = ACTIONS(3283),
    [anon_sym_GT] = ACTIONS(3283),
    [anon_sym_GT_EQ] = ACTIONS(3281),
    [anon_sym_LT_EQ] = ACTIONS(3281),
    [anon_sym_LT] = ACTIONS(3283),
    [anon_sym_EQ_EQ] = ACTIONS(3281),
    [anon_sym_BANG_EQ] = ACTIONS(3281),
    [anon_sym_TILDE_EQ] = ACTIONS(3281),
    [anon_sym_PIPE] = ACTIONS(3283),
    [anon_sym_AMP_TILDE] = ACTIONS(3283),
    [anon_sym_LT_LT] = ACTIONS(3283),
    [anon_sym_GT_GT] = ACTIONS(3283),
    [anon_sym_STAR] = ACTIONS(3283),
    [anon_sym_SLASH] = ACTIONS(3283),
    [anon_sym_PERCENT] = ACTIONS(3283),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(3281),
    [anon_sym_DOT] = ACTIONS(3283),
    [anon_sym_LBRACK] = ACTIONS(3281),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(3281),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3281),
    [anon_sym_not_in] = ACTIONS(3281),
    [anon_sym_or_return] = ACTIONS(3281),
    [anon_sym_or_continue] = ACTIONS(3281),
    [anon_sym_or_break] = ACTIONS(3281),
    [anon_sym_CARET] = ACTIONS(3283),
    [sym_uninitialized] = ACTIONS(3941),
    [sym_tag] = ACTIONS(3965),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(3281),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [802] = {
    [sym_expression] = STATE(5566),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_struct_field] = STATE(7886),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(4886),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [803] = {
    [sym_expression] = STATE(5566),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_struct_field] = STATE(7886),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(4888),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [804] = {
    [sym_expression] = STATE(5566),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_struct_field] = STATE(7149),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(4888),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [805] = {
    [sym_block] = STATE(2367),
    [anon_sym_LBRACE] = ACTIONS(3267),
    [anon_sym_RBRACE] = ACTIONS(3291),
    [anon_sym_COMMA] = ACTIONS(3291),
    [anon_sym_COLON_COLON] = ACTIONS(3291),
    [anon_sym_DASH_GT] = ACTIONS(3291),
    [anon_sym_EQ] = ACTIONS(3293),
    [anon_sym_COLON_EQ] = ACTIONS(3291),
    [anon_sym_COLON] = ACTIONS(3293),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_PLUS_EQ] = ACTIONS(3291),
    [anon_sym_DASH_EQ] = ACTIONS(3291),
    [anon_sym_STAR_EQ] = ACTIONS(3291),
    [anon_sym_SLASH_EQ] = ACTIONS(3291),
    [anon_sym_PERCENT_EQ] = ACTIONS(3291),
    [anon_sym_AMP_EQ] = ACTIONS(3291),
    [anon_sym_PIPE_EQ] = ACTIONS(3291),
    [anon_sym_CARET_EQ] = ACTIONS(3291),
    [anon_sym_LT_LT_EQ] = ACTIONS(3291),
    [anon_sym_GT_GT_EQ] = ACTIONS(3291),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3291),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3291),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(3291),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_SEMI] = ACTIONS(3291),
    [anon_sym_else] = ACTIONS(3291),
    [anon_sym_when] = ACTIONS(3291),
    [anon_sym_in] = ACTIONS(3291),
    [anon_sym_case] = ACTIONS(3291),
    [anon_sym_QMARK] = ACTIONS(3291),
    [anon_sym_PLUS] = ACTIONS(3293),
    [anon_sym_DASH] = ACTIONS(3293),
    [anon_sym_TILDE] = ACTIONS(3293),
    [anon_sym_AMP] = ACTIONS(3293),
    [anon_sym_PIPE_PIPE] = ACTIONS(3293),
    [anon_sym_or_else] = ACTIONS(3291),
    [anon_sym_AMP_AMP] = ACTIONS(3293),
    [anon_sym_GT] = ACTIONS(3293),
    [anon_sym_GT_EQ] = ACTIONS(3291),
    [anon_sym_LT_EQ] = ACTIONS(3291),
    [anon_sym_LT] = ACTIONS(3293),
    [anon_sym_EQ_EQ] = ACTIONS(3291),
    [anon_sym_BANG_EQ] = ACTIONS(3291),
    [anon_sym_TILDE_EQ] = ACTIONS(3291),
    [anon_sym_PIPE] = ACTIONS(3293),
    [anon_sym_AMP_TILDE] = ACTIONS(3293),
    [anon_sym_LT_LT] = ACTIONS(3293),
    [anon_sym_GT_GT] = ACTIONS(3293),
    [anon_sym_STAR] = ACTIONS(3293),
    [anon_sym_SLASH] = ACTIONS(3293),
    [anon_sym_PERCENT] = ACTIONS(3293),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(3291),
    [anon_sym_DOT] = ACTIONS(3293),
    [anon_sym_LBRACK] = ACTIONS(3291),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(3291),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3291),
    [anon_sym_not_in] = ACTIONS(3291),
    [anon_sym_or_return] = ACTIONS(3291),
    [anon_sym_or_continue] = ACTIONS(3291),
    [anon_sym_or_break] = ACTIONS(3291),
    [anon_sym_CARET] = ACTIONS(3293),
    [sym_uninitialized] = ACTIONS(3973),
    [sym_tag] = ACTIONS(3975),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(3291),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [806] = {
    [sym_expression] = STATE(5566),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_struct_field] = STATE(7886),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(4890),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [807] = {
    [sym_block] = STATE(2370),
    [anon_sym_LBRACE] = ACTIONS(3267),
    [anon_sym_RBRACE] = ACTIONS(4525),
    [anon_sym_COMMA] = ACTIONS(4525),
    [anon_sym_COLON_COLON] = ACTIONS(4525),
    [anon_sym_DASH_GT] = ACTIONS(4525),
    [anon_sym_EQ] = ACTIONS(4527),
    [anon_sym_COLON_EQ] = ACTIONS(4525),
    [anon_sym_COLON] = ACTIONS(4527),
    [anon_sym_LPAREN] = ACTIONS(4525),
    [anon_sym_PLUS_EQ] = ACTIONS(4525),
    [anon_sym_DASH_EQ] = ACTIONS(4525),
    [anon_sym_STAR_EQ] = ACTIONS(4525),
    [anon_sym_SLASH_EQ] = ACTIONS(4525),
    [anon_sym_PERCENT_EQ] = ACTIONS(4525),
    [anon_sym_AMP_EQ] = ACTIONS(4525),
    [anon_sym_PIPE_EQ] = ACTIONS(4525),
    [anon_sym_CARET_EQ] = ACTIONS(4525),
    [anon_sym_LT_LT_EQ] = ACTIONS(4525),
    [anon_sym_GT_GT_EQ] = ACTIONS(4525),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4525),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4525),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4525),
    [anon_sym_if] = ACTIONS(4525),
    [anon_sym_SEMI] = ACTIONS(4525),
    [anon_sym_else] = ACTIONS(4525),
    [anon_sym_when] = ACTIONS(4525),
    [anon_sym_in] = ACTIONS(4525),
    [anon_sym_case] = ACTIONS(4525),
    [anon_sym_QMARK] = ACTIONS(4525),
    [anon_sym_PLUS] = ACTIONS(4527),
    [anon_sym_DASH] = ACTIONS(4527),
    [anon_sym_TILDE] = ACTIONS(4527),
    [anon_sym_AMP] = ACTIONS(4527),
    [anon_sym_PIPE_PIPE] = ACTIONS(4527),
    [anon_sym_or_else] = ACTIONS(4525),
    [anon_sym_AMP_AMP] = ACTIONS(4527),
    [anon_sym_GT] = ACTIONS(4527),
    [anon_sym_GT_EQ] = ACTIONS(4525),
    [anon_sym_LT_EQ] = ACTIONS(4525),
    [anon_sym_LT] = ACTIONS(4527),
    [anon_sym_EQ_EQ] = ACTIONS(4525),
    [anon_sym_BANG_EQ] = ACTIONS(4525),
    [anon_sym_TILDE_EQ] = ACTIONS(4525),
    [anon_sym_PIPE] = ACTIONS(4527),
    [anon_sym_AMP_TILDE] = ACTIONS(4527),
    [anon_sym_LT_LT] = ACTIONS(4527),
    [anon_sym_GT_GT] = ACTIONS(4527),
    [anon_sym_STAR] = ACTIONS(4527),
    [anon_sym_SLASH] = ACTIONS(4527),
    [anon_sym_PERCENT] = ACTIONS(4527),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4525),
    [anon_sym_DOT] = ACTIONS(4527),
    [anon_sym_LBRACK] = ACTIONS(4525),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4525),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4525),
    [anon_sym_not_in] = ACTIONS(4525),
    [anon_sym_or_return] = ACTIONS(4525),
    [anon_sym_or_continue] = ACTIONS(4525),
    [anon_sym_or_break] = ACTIONS(4525),
    [anon_sym_CARET] = ACTIONS(4527),
    [sym_uninitialized] = ACTIONS(4892),
    [sym_tag] = ACTIONS(4894),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4525),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [808] = {
    [sym_expression] = STATE(5566),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_struct_field] = STATE(7886),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(4896),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [809] = {
    [sym_expression] = STATE(5566),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_struct_field] = STATE(7886),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(4898),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [810] = {
    [sym_expression] = STATE(5566),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_struct_field] = STATE(7301),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(4900),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [811] = {
    [sym_expression] = STATE(5566),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_struct_field] = STATE(7201),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(4902),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [812] = {
    [sym_expression] = STATE(5566),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_struct_field] = STATE(7886),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(4904),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [813] = {
    [sym_expression] = STATE(5566),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_struct_field] = STATE(7886),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(4906),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [814] = {
    [sym_expression] = STATE(5566),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_struct_field] = STATE(7244),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(4906),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [815] = {
    [sym_expression] = STATE(5566),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_struct_field] = STATE(7264),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(4908),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [816] = {
    [sym_expression] = STATE(5566),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_struct_field] = STATE(7886),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(4908),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [817] = {
    [sym_expression] = STATE(5566),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_struct_field] = STATE(7886),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(4910),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [818] = {
    [sym_expression] = STATE(5566),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_struct_field] = STATE(7284),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(4910),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [819] = {
    [sym_expression] = STATE(5566),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_struct_field] = STATE(7886),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(4912),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [820] = {
    [sym_expression] = STATE(5566),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_struct_field] = STATE(7886),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(4914),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [821] = {
    [sym_expression] = STATE(5566),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_struct_field] = STATE(7886),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(4916),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [822] = {
    [sym_expression] = STATE(5566),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_struct_field] = STATE(7712),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(4918),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [823] = {
    [sym_procedure] = STATE(6451),
    [sym_expression] = STATE(4545),
    [sym__expression_no_tag] = STATE(4299),
    [sym_unary_expression] = STATE(4299),
    [sym_binary_expression] = STATE(4299),
    [sym_ternary_expression] = STATE(4299),
    [sym_call_expression] = STATE(4299),
    [sym_selector_call_expression] = STATE(4299),
    [sym_member_expression] = STATE(4299),
    [sym_index_expression] = STATE(4299),
    [sym_slice_expression] = STATE(4299),
    [sym_range_expression] = STATE(4299),
    [sym_cast_expression] = STATE(4299),
    [sym_in_expression] = STATE(4299),
    [sym_variadic_expression] = STATE(4299),
    [sym_parenthesized_expression] = STATE(4299),
    [sym_or_return_expression] = STATE(4299),
    [sym_or_continue_expression] = STATE(4299),
    [sym_or_break_expression] = STATE(4299),
    [sym_address] = STATE(4299),
    [sym_map_type] = STATE(4299),
    [sym_matrix_type] = STATE(4299),
    [sym_distinct_type] = STATE(4299),
    [sym_literal] = STATE(4299),
    [sym_struct] = STATE(4311),
    [sym_map] = STATE(3787),
    [sym_bit_set] = STATE(3787),
    [sym_matrix] = STATE(3787),
    [sym_string] = STATE(3787),
    [sym__string_literal] = STATE(3867),
    [sym__raw_string_literal] = STATE(3867),
    [sym_character] = STATE(3787),
    [sym_boolean] = STATE(3787),
    [sym_field_identifier] = STATE(7783),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_proc] = ACTIONS(585),
    [anon_sym_LPAREN] = ACTIONS(759),
    [anon_sym_QMARK] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(763),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(763),
    [anon_sym_BANG] = ACTIONS(763),
    [anon_sym_AMP] = ACTIONS(763),
    [anon_sym_DOT] = ACTIONS(765),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_cast] = ACTIONS(597),
    [anon_sym_transmute] = ACTIONS(597),
    [anon_sym_auto_cast] = ACTIONS(599),
    [anon_sym_DOT_DOT] = ACTIONS(2797),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(4920),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [824] = {
    [sym_procedure] = STATE(6449),
    [sym_expression] = STATE(4527),
    [sym__expression_no_tag] = STATE(4299),
    [sym_unary_expression] = STATE(4299),
    [sym_binary_expression] = STATE(4299),
    [sym_ternary_expression] = STATE(4299),
    [sym_call_expression] = STATE(4299),
    [sym_selector_call_expression] = STATE(4299),
    [sym_member_expression] = STATE(4299),
    [sym_index_expression] = STATE(4299),
    [sym_slice_expression] = STATE(4299),
    [sym_range_expression] = STATE(4299),
    [sym_cast_expression] = STATE(4299),
    [sym_in_expression] = STATE(4299),
    [sym_variadic_expression] = STATE(4299),
    [sym_parenthesized_expression] = STATE(4299),
    [sym_or_return_expression] = STATE(4299),
    [sym_or_continue_expression] = STATE(4299),
    [sym_or_break_expression] = STATE(4299),
    [sym_address] = STATE(4299),
    [sym_map_type] = STATE(4299),
    [sym_matrix_type] = STATE(4299),
    [sym_distinct_type] = STATE(4299),
    [sym_literal] = STATE(4299),
    [sym_struct] = STATE(4311),
    [sym_map] = STATE(3787),
    [sym_bit_set] = STATE(3787),
    [sym_matrix] = STATE(3787),
    [sym_string] = STATE(3787),
    [sym__string_literal] = STATE(3867),
    [sym__raw_string_literal] = STATE(3867),
    [sym_character] = STATE(3787),
    [sym_boolean] = STATE(3787),
    [sym_field_identifier] = STATE(7783),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_proc] = ACTIONS(585),
    [anon_sym_LPAREN] = ACTIONS(759),
    [anon_sym_QMARK] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(763),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(763),
    [anon_sym_BANG] = ACTIONS(763),
    [anon_sym_AMP] = ACTIONS(763),
    [anon_sym_DOT] = ACTIONS(765),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_cast] = ACTIONS(597),
    [anon_sym_transmute] = ACTIONS(597),
    [anon_sym_auto_cast] = ACTIONS(599),
    [anon_sym_DOT_DOT] = ACTIONS(2797),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(4523),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [825] = {
    [sym_expression] = STATE(5566),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_struct_field] = STATE(7322),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(4922),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [826] = {
    [sym_expression] = STATE(5566),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_struct_field] = STATE(7886),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(4924),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [827] = {
    [sym_expression] = STATE(5566),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_struct_field] = STATE(7886),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(4926),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [828] = {
    [sym_expression] = STATE(5566),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_struct_field] = STATE(7362),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(4926),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [829] = {
    [sym_expression] = STATE(5566),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_struct_field] = STATE(7385),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(4928),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [830] = {
    [sym_procedure] = STATE(6472),
    [sym_expression] = STATE(4553),
    [sym__expression_no_tag] = STATE(4299),
    [sym_unary_expression] = STATE(4299),
    [sym_binary_expression] = STATE(4299),
    [sym_ternary_expression] = STATE(4299),
    [sym_call_expression] = STATE(4299),
    [sym_selector_call_expression] = STATE(4299),
    [sym_member_expression] = STATE(4299),
    [sym_index_expression] = STATE(4299),
    [sym_slice_expression] = STATE(4299),
    [sym_range_expression] = STATE(4299),
    [sym_cast_expression] = STATE(4299),
    [sym_in_expression] = STATE(4299),
    [sym_variadic_expression] = STATE(4299),
    [sym_parenthesized_expression] = STATE(4299),
    [sym_or_return_expression] = STATE(4299),
    [sym_or_continue_expression] = STATE(4299),
    [sym_or_break_expression] = STATE(4299),
    [sym_address] = STATE(4299),
    [sym_map_type] = STATE(4299),
    [sym_matrix_type] = STATE(4299),
    [sym_distinct_type] = STATE(4299),
    [sym_literal] = STATE(4299),
    [sym_struct] = STATE(4311),
    [sym_map] = STATE(3787),
    [sym_bit_set] = STATE(3787),
    [sym_matrix] = STATE(3787),
    [sym_string] = STATE(3787),
    [sym__string_literal] = STATE(3867),
    [sym__raw_string_literal] = STATE(3867),
    [sym_character] = STATE(3787),
    [sym_boolean] = STATE(3787),
    [sym_field_identifier] = STATE(7783),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_proc] = ACTIONS(585),
    [anon_sym_LPAREN] = ACTIONS(759),
    [anon_sym_QMARK] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(763),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(763),
    [anon_sym_BANG] = ACTIONS(763),
    [anon_sym_AMP] = ACTIONS(763),
    [anon_sym_DOT] = ACTIONS(765),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_cast] = ACTIONS(597),
    [anon_sym_transmute] = ACTIONS(597),
    [anon_sym_auto_cast] = ACTIONS(599),
    [anon_sym_DOT_DOT] = ACTIONS(2797),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [831] = {
    [anon_sym_LBRACE] = ACTIONS(4930),
    [anon_sym_RBRACE] = ACTIONS(4930),
    [anon_sym_COMMA] = ACTIONS(4930),
    [anon_sym_COLON_COLON] = ACTIONS(4930),
    [anon_sym_DASH_GT] = ACTIONS(4930),
    [anon_sym_where] = ACTIONS(4930),
    [anon_sym_EQ] = ACTIONS(4932),
    [anon_sym_COLON_EQ] = ACTIONS(4930),
    [anon_sym_COLON] = ACTIONS(4934),
    [anon_sym_LPAREN] = ACTIONS(3483),
    [anon_sym_PLUS_EQ] = ACTIONS(4930),
    [anon_sym_DASH_EQ] = ACTIONS(4930),
    [anon_sym_STAR_EQ] = ACTIONS(4930),
    [anon_sym_SLASH_EQ] = ACTIONS(4930),
    [anon_sym_PERCENT_EQ] = ACTIONS(4930),
    [anon_sym_AMP_EQ] = ACTIONS(4930),
    [anon_sym_PIPE_EQ] = ACTIONS(4930),
    [anon_sym_CARET_EQ] = ACTIONS(4930),
    [anon_sym_LT_LT_EQ] = ACTIONS(4930),
    [anon_sym_GT_GT_EQ] = ACTIONS(4930),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4930),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4930),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4930),
    [anon_sym_if] = ACTIONS(4930),
    [anon_sym_SEMI] = ACTIONS(4930),
    [anon_sym_else] = ACTIONS(4930),
    [anon_sym_when] = ACTIONS(4930),
    [anon_sym_in] = ACTIONS(4930),
    [anon_sym_case] = ACTIONS(4930),
    [anon_sym_QMARK] = ACTIONS(4930),
    [anon_sym_PLUS] = ACTIONS(4934),
    [anon_sym_DASH] = ACTIONS(4934),
    [anon_sym_TILDE] = ACTIONS(4934),
    [anon_sym_AMP] = ACTIONS(4934),
    [anon_sym_PIPE_PIPE] = ACTIONS(4934),
    [anon_sym_or_else] = ACTIONS(4930),
    [anon_sym_AMP_AMP] = ACTIONS(4934),
    [anon_sym_GT] = ACTIONS(4934),
    [anon_sym_GT_EQ] = ACTIONS(4930),
    [anon_sym_LT_EQ] = ACTIONS(4930),
    [anon_sym_LT] = ACTIONS(4934),
    [anon_sym_EQ_EQ] = ACTIONS(4930),
    [anon_sym_BANG_EQ] = ACTIONS(4930),
    [anon_sym_TILDE_EQ] = ACTIONS(4930),
    [anon_sym_PIPE] = ACTIONS(4934),
    [anon_sym_AMP_TILDE] = ACTIONS(4934),
    [anon_sym_LT_LT] = ACTIONS(4934),
    [anon_sym_GT_GT] = ACTIONS(4934),
    [anon_sym_STAR] = ACTIONS(4934),
    [anon_sym_SLASH] = ACTIONS(3485),
    [anon_sym_PERCENT] = ACTIONS(4934),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4930),
    [anon_sym_DOT] = ACTIONS(4934),
    [anon_sym_LBRACK] = ACTIONS(4930),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4930),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4930),
    [anon_sym_not_in] = ACTIONS(4930),
    [anon_sym_or_return] = ACTIONS(4930),
    [anon_sym_or_continue] = ACTIONS(4930),
    [anon_sym_or_break] = ACTIONS(4930),
    [anon_sym_CARET] = ACTIONS(4934),
    [sym_uninitialized] = ACTIONS(4930),
    [sym_tag] = ACTIONS(4930),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4930),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [832] = {
    [sym_expression] = STATE(5566),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_struct_field] = STATE(7886),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(4928),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [833] = {
    [sym_expression] = STATE(5566),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_struct_field] = STATE(7886),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(4936),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [834] = {
    [sym_expression] = STATE(5566),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_struct_field] = STATE(7412),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(4936),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [835] = {
    [sym_expression] = STATE(5566),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_struct_field] = STATE(7886),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(4938),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [836] = {
    [sym_expression] = STATE(5566),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_struct_field] = STATE(7886),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(4940),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [837] = {
    [sym_expression] = STATE(5566),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_struct_field] = STATE(7886),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(4942),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [838] = {
    [sym_expression] = STATE(5566),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_struct_field] = STATE(7434),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(4944),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [839] = {
    [anon_sym_LBRACE] = ACTIONS(4946),
    [anon_sym_RBRACE] = ACTIONS(4946),
    [anon_sym_COMMA] = ACTIONS(4946),
    [anon_sym_COLON_COLON] = ACTIONS(4946),
    [anon_sym_DASH_GT] = ACTIONS(4946),
    [anon_sym_where] = ACTIONS(4946),
    [anon_sym_EQ] = ACTIONS(4948),
    [anon_sym_COLON_EQ] = ACTIONS(4946),
    [anon_sym_COLON] = ACTIONS(4948),
    [anon_sym_LPAREN] = ACTIONS(4946),
    [anon_sym_PLUS_EQ] = ACTIONS(4946),
    [anon_sym_DASH_EQ] = ACTIONS(4946),
    [anon_sym_STAR_EQ] = ACTIONS(4946),
    [anon_sym_SLASH_EQ] = ACTIONS(4946),
    [anon_sym_PERCENT_EQ] = ACTIONS(4946),
    [anon_sym_AMP_EQ] = ACTIONS(4946),
    [anon_sym_PIPE_EQ] = ACTIONS(4946),
    [anon_sym_CARET_EQ] = ACTIONS(4946),
    [anon_sym_LT_LT_EQ] = ACTIONS(4946),
    [anon_sym_GT_GT_EQ] = ACTIONS(4946),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4946),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4946),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4946),
    [anon_sym_if] = ACTIONS(4946),
    [anon_sym_SEMI] = ACTIONS(4946),
    [anon_sym_else] = ACTIONS(4946),
    [anon_sym_when] = ACTIONS(4946),
    [anon_sym_in] = ACTIONS(4946),
    [anon_sym_case] = ACTIONS(4946),
    [anon_sym_QMARK] = ACTIONS(4946),
    [anon_sym_PLUS] = ACTIONS(4948),
    [anon_sym_DASH] = ACTIONS(4948),
    [anon_sym_TILDE] = ACTIONS(4948),
    [anon_sym_AMP] = ACTIONS(4948),
    [anon_sym_PIPE_PIPE] = ACTIONS(4948),
    [anon_sym_or_else] = ACTIONS(4946),
    [anon_sym_AMP_AMP] = ACTIONS(4948),
    [anon_sym_GT] = ACTIONS(4948),
    [anon_sym_GT_EQ] = ACTIONS(4946),
    [anon_sym_LT_EQ] = ACTIONS(4946),
    [anon_sym_LT] = ACTIONS(4948),
    [anon_sym_EQ_EQ] = ACTIONS(4946),
    [anon_sym_BANG_EQ] = ACTIONS(4946),
    [anon_sym_TILDE_EQ] = ACTIONS(4946),
    [anon_sym_PIPE] = ACTIONS(4948),
    [anon_sym_AMP_TILDE] = ACTIONS(4948),
    [anon_sym_LT_LT] = ACTIONS(4948),
    [anon_sym_GT_GT] = ACTIONS(4948),
    [anon_sym_STAR] = ACTIONS(4948),
    [anon_sym_SLASH] = ACTIONS(4948),
    [anon_sym_PERCENT] = ACTIONS(4948),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4946),
    [anon_sym_DOT] = ACTIONS(4948),
    [anon_sym_LBRACK] = ACTIONS(4946),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4946),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4946),
    [anon_sym_not_in] = ACTIONS(4946),
    [anon_sym_or_return] = ACTIONS(4946),
    [anon_sym_or_continue] = ACTIONS(4946),
    [anon_sym_or_break] = ACTIONS(4946),
    [anon_sym_CARET] = ACTIONS(4948),
    [sym_uninitialized] = ACTIONS(4946),
    [sym_tag] = ACTIONS(4946),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4946),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [840] = {
    [sym_expression] = STATE(5566),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_struct_field] = STATE(7459),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(4950),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [841] = {
    [sym_expression] = STATE(5566),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_struct_field] = STATE(7886),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(4952),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [842] = {
    [sym_expression] = STATE(5566),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_struct_field] = STATE(7886),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(4954),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [843] = {
    [sym_expression] = STATE(5566),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_struct_field] = STATE(7515),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(4954),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [844] = {
    [sym_expression] = STATE(5566),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_struct_field] = STATE(7544),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(4956),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [845] = {
    [sym_expression] = STATE(5566),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_struct_field] = STATE(7886),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(4956),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [846] = {
    [sym_expression] = STATE(5566),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_struct_field] = STATE(7886),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(4958),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [847] = {
    [sym_expression] = STATE(5566),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_struct_field] = STATE(7575),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(4958),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [848] = {
    [sym_expression] = STATE(5566),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_struct_field] = STATE(7886),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(4960),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [849] = {
    [sym_expression] = STATE(5566),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_struct_field] = STATE(7886),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(4962),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [850] = {
    [sym_expression] = STATE(5566),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_struct_field] = STATE(7886),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(4964),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [851] = {
    [sym_expression] = STATE(5566),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_struct_field] = STATE(7589),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(4966),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [852] = {
    [sym_expression] = STATE(5566),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_struct_field] = STATE(7610),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(4968),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [853] = {
    [sym_expression] = STATE(5566),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_struct_field] = STATE(7886),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(4970),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [854] = {
    [sym_expression] = STATE(5566),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_struct_field] = STATE(7886),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(4972),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [855] = {
    [sym_expression] = STATE(5566),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_struct_field] = STATE(7886),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(4974),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [856] = {
    [sym_expression] = STATE(5566),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_struct_field] = STATE(7644),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(4974),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [857] = {
    [sym_expression] = STATE(5566),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_struct_field] = STATE(7663),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(4976),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [858] = {
    [sym_expression] = STATE(5566),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_struct_field] = STATE(7886),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(4976),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [859] = {
    [sym_expression] = STATE(5566),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_struct_field] = STATE(7886),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(4978),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [860] = {
    [sym_expression] = STATE(5566),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_struct_field] = STATE(7686),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(4978),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [861] = {
    [sym_expression] = STATE(5566),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_struct_field] = STATE(7886),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(4980),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [862] = {
    [sym_expression] = STATE(5566),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_struct_field] = STATE(7886),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(4982),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [863] = {
    [sym_expression] = STATE(5566),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_struct_field] = STATE(7886),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(4984),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [864] = {
    [sym_expression] = STATE(5566),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_struct_field] = STATE(7704),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(4986),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [865] = {
    [sym_expression] = STATE(5566),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_struct_field] = STATE(7729),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(4988),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [866] = {
    [sym_expression] = STATE(5566),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_struct_field] = STATE(7886),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(4990),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [867] = {
    [sym_expression] = STATE(5566),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_struct_field] = STATE(7886),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(4992),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [868] = {
    [sym_expression] = STATE(5566),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_struct_field] = STATE(7448),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(4992),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [869] = {
    [sym_expression] = STATE(5566),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_struct_field] = STATE(7290),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(4994),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [870] = {
    [sym_expression] = STATE(5566),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_struct_field] = STATE(7886),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(4994),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [871] = {
    [sym_expression] = STATE(5566),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_struct_field] = STATE(7886),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(4996),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [872] = {
    [sym_expression] = STATE(5566),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_struct_field] = STATE(7185),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(4996),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [873] = {
    [sym_expression] = STATE(5566),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_struct_field] = STATE(7886),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(4998),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [874] = {
    [sym_expression] = STATE(5566),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_struct_field] = STATE(7886),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(5000),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [875] = {
    [sym_expression] = STATE(5760),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(5002),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(5004),
    [anon_sym_dynamic] = ACTIONS(5006),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [876] = {
    [sym_expression] = STATE(5566),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_struct_field] = STATE(7886),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(5008),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [877] = {
    [sym_expression] = STATE(5566),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_struct_field] = STATE(7226),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(5010),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [878] = {
    [sym_expression] = STATE(5566),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_struct_field] = STATE(7457),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(4862),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [879] = {
    [sym_expression] = STATE(5566),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_struct_field] = STATE(7500),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(5012),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [880] = {
    [sym_expression] = STATE(5566),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_struct_field] = STATE(7886),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(5014),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [881] = {
    [sym_expression] = STATE(5566),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_struct_field] = STATE(7430),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(4972),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [882] = {
    [sym_expression] = STATE(5566),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_struct_field] = STATE(7886),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(5016),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [883] = {
    [sym_expression] = STATE(5566),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_struct_field] = STATE(7093),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(5016),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [884] = {
    [anon_sym_LBRACE] = ACTIONS(4619),
    [anon_sym_RBRACE] = ACTIONS(4619),
    [anon_sym_COMMA] = ACTIONS(4619),
    [anon_sym_COLON_COLON] = ACTIONS(4619),
    [anon_sym_DASH_GT] = ACTIONS(4428),
    [anon_sym_where] = ACTIONS(4619),
    [anon_sym_EQ] = ACTIONS(4624),
    [anon_sym_COLON_EQ] = ACTIONS(4619),
    [anon_sym_COLON] = ACTIONS(4624),
    [anon_sym_LPAREN] = ACTIONS(4619),
    [anon_sym_PLUS_EQ] = ACTIONS(4619),
    [anon_sym_DASH_EQ] = ACTIONS(4619),
    [anon_sym_STAR_EQ] = ACTIONS(4619),
    [anon_sym_SLASH_EQ] = ACTIONS(4619),
    [anon_sym_PERCENT_EQ] = ACTIONS(4619),
    [anon_sym_AMP_EQ] = ACTIONS(4619),
    [anon_sym_PIPE_EQ] = ACTIONS(4619),
    [anon_sym_CARET_EQ] = ACTIONS(4619),
    [anon_sym_LT_LT_EQ] = ACTIONS(4619),
    [anon_sym_GT_GT_EQ] = ACTIONS(4619),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4619),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4619),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4619),
    [anon_sym_if] = ACTIONS(4619),
    [anon_sym_SEMI] = ACTIONS(4619),
    [anon_sym_else] = ACTIONS(4619),
    [anon_sym_when] = ACTIONS(4619),
    [anon_sym_in] = ACTIONS(4619),
    [anon_sym_case] = ACTIONS(4619),
    [anon_sym_QMARK] = ACTIONS(4619),
    [anon_sym_PLUS] = ACTIONS(4432),
    [anon_sym_DASH] = ACTIONS(4432),
    [anon_sym_TILDE] = ACTIONS(4434),
    [anon_sym_AMP] = ACTIONS(4436),
    [anon_sym_PIPE_PIPE] = ACTIONS(4438),
    [anon_sym_or_else] = ACTIONS(4440),
    [anon_sym_AMP_AMP] = ACTIONS(4442),
    [anon_sym_GT] = ACTIONS(4444),
    [anon_sym_GT_EQ] = ACTIONS(4446),
    [anon_sym_LT_EQ] = ACTIONS(4446),
    [anon_sym_LT] = ACTIONS(4444),
    [anon_sym_EQ_EQ] = ACTIONS(4448),
    [anon_sym_BANG_EQ] = ACTIONS(4448),
    [anon_sym_TILDE_EQ] = ACTIONS(4448),
    [anon_sym_PIPE] = ACTIONS(4450),
    [anon_sym_AMP_TILDE] = ACTIONS(4452),
    [anon_sym_LT_LT] = ACTIONS(4454),
    [anon_sym_GT_GT] = ACTIONS(4454),
    [anon_sym_STAR] = ACTIONS(4456),
    [anon_sym_SLASH] = ACTIONS(4456),
    [anon_sym_PERCENT] = ACTIONS(4456),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4458),
    [anon_sym_DOT] = ACTIONS(4460),
    [anon_sym_LBRACK] = ACTIONS(4462),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4464),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4464),
    [anon_sym_not_in] = ACTIONS(4619),
    [anon_sym_or_return] = ACTIONS(4466),
    [anon_sym_or_continue] = ACTIONS(4468),
    [anon_sym_or_break] = ACTIONS(4470),
    [anon_sym_CARET] = ACTIONS(4472),
    [sym_uninitialized] = ACTIONS(4619),
    [sym_tag] = ACTIONS(4619),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4619),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [885] = {
    [sym_expression] = STATE(5566),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_struct_field] = STATE(7642),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(5018),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [886] = {
    [sym_expression] = STATE(5566),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_struct_field] = STATE(7886),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(5018),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [887] = {
    [sym_expression] = STATE(5566),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_struct_field] = STATE(7886),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(5020),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [888] = {
    [sym_expression] = STATE(5566),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_struct_field] = STATE(7167),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(5020),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [889] = {
    [sym_expression] = STATE(5566),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_struct_field] = STATE(7886),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(5022),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [890] = {
    [sym_expression] = STATE(5566),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_struct_field] = STATE(7886),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(5024),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [891] = {
    [sym_expression] = STATE(5566),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_struct_field] = STATE(7886),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(5026),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [892] = {
    [sym_expression] = STATE(5566),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_struct_field] = STATE(7271),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(5028),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [893] = {
    [sym_expression] = STATE(5566),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_struct_field] = STATE(7340),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(5030),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [894] = {
    [sym_expression] = STATE(5566),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_struct_field] = STATE(7886),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(5032),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [895] = {
    [sym_expression] = STATE(5566),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_struct_field] = STATE(7886),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(5034),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [896] = {
    [sym_expression] = STATE(5566),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_struct_field] = STATE(7461),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(5034),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [897] = {
    [sym_expression] = STATE(5566),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_struct_field] = STATE(7503),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(5036),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [898] = {
    [sym_expression] = STATE(5982),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_constant_type] = STATE(8029),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(4630),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [899] = {
    [sym_expression] = STATE(5566),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_struct_field] = STATE(7886),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(5036),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [900] = {
    [sym_expression] = STATE(5566),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_struct_field] = STATE(7886),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(5038),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [901] = {
    [sym_expression] = STATE(5566),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_struct_field] = STATE(7540),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(5038),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [902] = {
    [sym_expression] = STATE(5566),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_struct_field] = STATE(7886),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(5040),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [903] = {
    [sym_expression] = STATE(5566),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_struct_field] = STATE(7886),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(5042),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [904] = {
    [sym_expression] = STATE(5566),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_struct_field] = STATE(7886),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(5044),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [905] = {
    [sym_expression] = STATE(5566),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_struct_field] = STATE(7596),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(5046),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [906] = {
    [sym_expression] = STATE(5566),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_struct_field] = STATE(7678),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(5048),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [907] = {
    [sym_expression] = STATE(5566),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_struct_field] = STATE(7248),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(5050),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [908] = {
    [sym_expression] = STATE(5566),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_struct_field] = STATE(7886),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(5052),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [909] = {
    [sym_expression] = STATE(5566),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_struct_field] = STATE(7349),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(5052),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [910] = {
    [sym_expression] = STATE(5566),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_struct_field] = STATE(7104),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(5054),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [911] = {
    [sym_expression] = STATE(5566),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_struct_field] = STATE(7886),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(5054),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [912] = {
    [sym_expression] = STATE(5566),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_struct_field] = STATE(7886),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(5056),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [913] = {
    [sym_expression] = STATE(5566),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_struct_field] = STATE(7223),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(5056),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [914] = {
    [sym_expression] = STATE(5566),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_struct_field] = STATE(7886),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(5058),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [915] = {
    [sym_expression] = STATE(5566),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_struct_field] = STATE(7886),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(5060),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [916] = {
    [sym_expression] = STATE(5566),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_struct_field] = STATE(7886),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(5062),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [917] = {
    [sym_expression] = STATE(5703),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_constant_type] = STATE(8029),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(4630),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [918] = {
    [anon_sym_LBRACE] = ACTIONS(4497),
    [anon_sym_RBRACE] = ACTIONS(4497),
    [anon_sym_COMMA] = ACTIONS(4497),
    [anon_sym_COLON_COLON] = ACTIONS(4497),
    [anon_sym_DASH_GT] = ACTIONS(4497),
    [anon_sym_where] = ACTIONS(4497),
    [anon_sym_EQ] = ACTIONS(4499),
    [anon_sym_COLON_EQ] = ACTIONS(4497),
    [anon_sym_COLON] = ACTIONS(4499),
    [anon_sym_LPAREN] = ACTIONS(4497),
    [anon_sym_PLUS_EQ] = ACTIONS(4497),
    [anon_sym_DASH_EQ] = ACTIONS(4497),
    [anon_sym_STAR_EQ] = ACTIONS(4497),
    [anon_sym_SLASH_EQ] = ACTIONS(4497),
    [anon_sym_PERCENT_EQ] = ACTIONS(4497),
    [anon_sym_AMP_EQ] = ACTIONS(4497),
    [anon_sym_PIPE_EQ] = ACTIONS(4497),
    [anon_sym_CARET_EQ] = ACTIONS(4497),
    [anon_sym_LT_LT_EQ] = ACTIONS(4497),
    [anon_sym_GT_GT_EQ] = ACTIONS(4497),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4497),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4497),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4497),
    [anon_sym_if] = ACTIONS(4497),
    [anon_sym_SEMI] = ACTIONS(4497),
    [anon_sym_else] = ACTIONS(4497),
    [anon_sym_when] = ACTIONS(4497),
    [anon_sym_in] = ACTIONS(4497),
    [anon_sym_case] = ACTIONS(4497),
    [anon_sym_QMARK] = ACTIONS(4497),
    [anon_sym_PLUS] = ACTIONS(4499),
    [anon_sym_DASH] = ACTIONS(4499),
    [anon_sym_TILDE] = ACTIONS(4499),
    [anon_sym_AMP] = ACTIONS(4499),
    [anon_sym_PIPE_PIPE] = ACTIONS(4499),
    [anon_sym_or_else] = ACTIONS(4497),
    [anon_sym_AMP_AMP] = ACTIONS(4499),
    [anon_sym_GT] = ACTIONS(4499),
    [anon_sym_GT_EQ] = ACTIONS(4497),
    [anon_sym_LT_EQ] = ACTIONS(4497),
    [anon_sym_LT] = ACTIONS(4499),
    [anon_sym_EQ_EQ] = ACTIONS(4497),
    [anon_sym_BANG_EQ] = ACTIONS(4497),
    [anon_sym_TILDE_EQ] = ACTIONS(4497),
    [anon_sym_PIPE] = ACTIONS(4499),
    [anon_sym_AMP_TILDE] = ACTIONS(4499),
    [anon_sym_LT_LT] = ACTIONS(4499),
    [anon_sym_GT_GT] = ACTIONS(4499),
    [anon_sym_STAR] = ACTIONS(4499),
    [anon_sym_SLASH] = ACTIONS(4499),
    [anon_sym_PERCENT] = ACTIONS(4499),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4497),
    [anon_sym_DOT] = ACTIONS(4499),
    [anon_sym_LBRACK] = ACTIONS(4497),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4497),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4497),
    [anon_sym_not_in] = ACTIONS(4497),
    [anon_sym_or_return] = ACTIONS(4497),
    [anon_sym_or_continue] = ACTIONS(4497),
    [anon_sym_or_break] = ACTIONS(4497),
    [anon_sym_CARET] = ACTIONS(4499),
    [sym_uninitialized] = ACTIONS(4497),
    [sym_tag] = ACTIONS(4497),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4497),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [919] = {
    [sym_expression] = STATE(5978),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(5064),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(5066),
    [anon_sym_dynamic] = ACTIONS(5068),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [920] = {
    [anon_sym_LBRACE] = ACTIONS(5070),
    [anon_sym_RBRACE] = ACTIONS(4748),
    [anon_sym_COMMA] = ACTIONS(4748),
    [anon_sym_COLON_COLON] = ACTIONS(4748),
    [anon_sym_DASH_GT] = ACTIONS(4748),
    [anon_sym_where] = ACTIONS(4748),
    [anon_sym_EQ] = ACTIONS(4750),
    [anon_sym_COLON_EQ] = ACTIONS(4748),
    [anon_sym_COLON] = ACTIONS(4750),
    [anon_sym_LPAREN] = ACTIONS(3483),
    [anon_sym_PLUS_EQ] = ACTIONS(4748),
    [anon_sym_DASH_EQ] = ACTIONS(4748),
    [anon_sym_STAR_EQ] = ACTIONS(4748),
    [anon_sym_SLASH_EQ] = ACTIONS(4748),
    [anon_sym_PERCENT_EQ] = ACTIONS(4748),
    [anon_sym_AMP_EQ] = ACTIONS(4748),
    [anon_sym_PIPE_EQ] = ACTIONS(4748),
    [anon_sym_CARET_EQ] = ACTIONS(4748),
    [anon_sym_LT_LT_EQ] = ACTIONS(4748),
    [anon_sym_GT_GT_EQ] = ACTIONS(4748),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4748),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4748),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4748),
    [anon_sym_if] = ACTIONS(4748),
    [anon_sym_SEMI] = ACTIONS(4748),
    [anon_sym_else] = ACTIONS(4748),
    [anon_sym_when] = ACTIONS(4748),
    [anon_sym_in] = ACTIONS(4748),
    [anon_sym_case] = ACTIONS(4748),
    [anon_sym_QMARK] = ACTIONS(4748),
    [anon_sym_PLUS] = ACTIONS(4750),
    [anon_sym_DASH] = ACTIONS(4750),
    [anon_sym_TILDE] = ACTIONS(4750),
    [anon_sym_AMP] = ACTIONS(4750),
    [anon_sym_PIPE_PIPE] = ACTIONS(4750),
    [anon_sym_or_else] = ACTIONS(4748),
    [anon_sym_AMP_AMP] = ACTIONS(4750),
    [anon_sym_GT] = ACTIONS(4750),
    [anon_sym_GT_EQ] = ACTIONS(4748),
    [anon_sym_LT_EQ] = ACTIONS(4748),
    [anon_sym_LT] = ACTIONS(4750),
    [anon_sym_EQ_EQ] = ACTIONS(4748),
    [anon_sym_BANG_EQ] = ACTIONS(4748),
    [anon_sym_TILDE_EQ] = ACTIONS(4748),
    [anon_sym_PIPE] = ACTIONS(4750),
    [anon_sym_AMP_TILDE] = ACTIONS(4750),
    [anon_sym_LT_LT] = ACTIONS(4750),
    [anon_sym_GT_GT] = ACTIONS(4750),
    [anon_sym_STAR] = ACTIONS(4750),
    [anon_sym_SLASH] = ACTIONS(3485),
    [anon_sym_PERCENT] = ACTIONS(4750),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4748),
    [anon_sym_DOT] = ACTIONS(4750),
    [anon_sym_LBRACK] = ACTIONS(4748),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4748),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4748),
    [anon_sym_not_in] = ACTIONS(4748),
    [anon_sym_or_return] = ACTIONS(4748),
    [anon_sym_or_continue] = ACTIONS(4748),
    [anon_sym_or_break] = ACTIONS(4748),
    [anon_sym_CARET] = ACTIONS(4750),
    [sym_uninitialized] = ACTIONS(4748),
    [sym_tag] = ACTIONS(4748),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4748),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [921] = {
    [anon_sym_LBRACE] = ACTIONS(5072),
    [anon_sym_RBRACE] = ACTIONS(5072),
    [anon_sym_COMMA] = ACTIONS(5072),
    [anon_sym_COLON_COLON] = ACTIONS(5072),
    [anon_sym_DASH_GT] = ACTIONS(5072),
    [anon_sym_where] = ACTIONS(5072),
    [anon_sym_EQ] = ACTIONS(5074),
    [anon_sym_COLON_EQ] = ACTIONS(5072),
    [anon_sym_COLON] = ACTIONS(5074),
    [anon_sym_LPAREN] = ACTIONS(5072),
    [anon_sym_PLUS_EQ] = ACTIONS(5072),
    [anon_sym_DASH_EQ] = ACTIONS(5072),
    [anon_sym_STAR_EQ] = ACTIONS(5072),
    [anon_sym_SLASH_EQ] = ACTIONS(5072),
    [anon_sym_PERCENT_EQ] = ACTIONS(5072),
    [anon_sym_AMP_EQ] = ACTIONS(5072),
    [anon_sym_PIPE_EQ] = ACTIONS(5072),
    [anon_sym_CARET_EQ] = ACTIONS(5072),
    [anon_sym_LT_LT_EQ] = ACTIONS(5072),
    [anon_sym_GT_GT_EQ] = ACTIONS(5072),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5072),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5072),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5072),
    [anon_sym_if] = ACTIONS(5072),
    [anon_sym_SEMI] = ACTIONS(5072),
    [anon_sym_else] = ACTIONS(5072),
    [anon_sym_when] = ACTIONS(5072),
    [anon_sym_in] = ACTIONS(5072),
    [anon_sym_case] = ACTIONS(5072),
    [anon_sym_QMARK] = ACTIONS(5072),
    [anon_sym_PLUS] = ACTIONS(5074),
    [anon_sym_DASH] = ACTIONS(5074),
    [anon_sym_TILDE] = ACTIONS(5074),
    [anon_sym_AMP] = ACTIONS(5074),
    [anon_sym_PIPE_PIPE] = ACTIONS(5074),
    [anon_sym_or_else] = ACTIONS(5072),
    [anon_sym_AMP_AMP] = ACTIONS(5074),
    [anon_sym_GT] = ACTIONS(5074),
    [anon_sym_GT_EQ] = ACTIONS(5072),
    [anon_sym_LT_EQ] = ACTIONS(5072),
    [anon_sym_LT] = ACTIONS(5074),
    [anon_sym_EQ_EQ] = ACTIONS(5072),
    [anon_sym_BANG_EQ] = ACTIONS(5072),
    [anon_sym_TILDE_EQ] = ACTIONS(5072),
    [anon_sym_PIPE] = ACTIONS(5074),
    [anon_sym_AMP_TILDE] = ACTIONS(5074),
    [anon_sym_LT_LT] = ACTIONS(5074),
    [anon_sym_GT_GT] = ACTIONS(5074),
    [anon_sym_STAR] = ACTIONS(5074),
    [anon_sym_SLASH] = ACTIONS(5074),
    [anon_sym_PERCENT] = ACTIONS(5074),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5072),
    [anon_sym_DOT] = ACTIONS(5074),
    [anon_sym_LBRACK] = ACTIONS(5072),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5072),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5072),
    [anon_sym_not_in] = ACTIONS(5072),
    [anon_sym_or_return] = ACTIONS(5072),
    [anon_sym_or_continue] = ACTIONS(5072),
    [anon_sym_or_break] = ACTIONS(5072),
    [anon_sym_CARET] = ACTIONS(5074),
    [sym_uninitialized] = ACTIONS(5072),
    [sym_tag] = ACTIONS(5072),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5072),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [922] = {
    [sym_procedure] = STATE(6781),
    [sym_expression] = STATE(4711),
    [sym__expression_no_tag] = STATE(4299),
    [sym_unary_expression] = STATE(4299),
    [sym_binary_expression] = STATE(4299),
    [sym_ternary_expression] = STATE(4299),
    [sym_call_expression] = STATE(4299),
    [sym_selector_call_expression] = STATE(4299),
    [sym_member_expression] = STATE(4299),
    [sym_index_expression] = STATE(4299),
    [sym_slice_expression] = STATE(4299),
    [sym_range_expression] = STATE(4299),
    [sym_cast_expression] = STATE(4299),
    [sym_in_expression] = STATE(4299),
    [sym_variadic_expression] = STATE(4299),
    [sym_parenthesized_expression] = STATE(4299),
    [sym_or_return_expression] = STATE(4299),
    [sym_or_continue_expression] = STATE(4299),
    [sym_or_break_expression] = STATE(4299),
    [sym_address] = STATE(4299),
    [sym_map_type] = STATE(4299),
    [sym_matrix_type] = STATE(4299),
    [sym_distinct_type] = STATE(4299),
    [sym_literal] = STATE(4299),
    [sym_struct] = STATE(4311),
    [sym_map] = STATE(3787),
    [sym_bit_set] = STATE(3787),
    [sym_matrix] = STATE(3787),
    [sym_string] = STATE(3787),
    [sym__string_literal] = STATE(3867),
    [sym__raw_string_literal] = STATE(3867),
    [sym_character] = STATE(3787),
    [sym_boolean] = STATE(3787),
    [sym_field_identifier] = STATE(7783),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_proc] = ACTIONS(585),
    [anon_sym_LPAREN] = ACTIONS(759),
    [anon_sym_QMARK] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(763),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(763),
    [anon_sym_BANG] = ACTIONS(763),
    [anon_sym_AMP] = ACTIONS(763),
    [anon_sym_DOT] = ACTIONS(765),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_cast] = ACTIONS(597),
    [anon_sym_transmute] = ACTIONS(597),
    [anon_sym_auto_cast] = ACTIONS(599),
    [anon_sym_DOT_DOT] = ACTIONS(2797),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [923] = {
    [sym_expression] = STATE(5629),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_constant_type] = STATE(7951),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(4630),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [924] = {
    [sym_expression] = STATE(5566),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_struct_field] = STATE(7886),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(5076),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [925] = {
    [anon_sym_LBRACE] = ACTIONS(5078),
    [anon_sym_RBRACE] = ACTIONS(5078),
    [anon_sym_COMMA] = ACTIONS(5078),
    [anon_sym_COLON_COLON] = ACTIONS(5078),
    [anon_sym_DASH_GT] = ACTIONS(5078),
    [anon_sym_where] = ACTIONS(5078),
    [anon_sym_EQ] = ACTIONS(5080),
    [anon_sym_COLON_EQ] = ACTIONS(5078),
    [anon_sym_COLON] = ACTIONS(5080),
    [anon_sym_LPAREN] = ACTIONS(5078),
    [anon_sym_PLUS_EQ] = ACTIONS(5078),
    [anon_sym_DASH_EQ] = ACTIONS(5078),
    [anon_sym_STAR_EQ] = ACTIONS(5078),
    [anon_sym_SLASH_EQ] = ACTIONS(5078),
    [anon_sym_PERCENT_EQ] = ACTIONS(5078),
    [anon_sym_AMP_EQ] = ACTIONS(5078),
    [anon_sym_PIPE_EQ] = ACTIONS(5078),
    [anon_sym_CARET_EQ] = ACTIONS(5078),
    [anon_sym_LT_LT_EQ] = ACTIONS(5078),
    [anon_sym_GT_GT_EQ] = ACTIONS(5078),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5078),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5078),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5078),
    [anon_sym_if] = ACTIONS(5078),
    [anon_sym_SEMI] = ACTIONS(5078),
    [anon_sym_else] = ACTIONS(5078),
    [anon_sym_when] = ACTIONS(5078),
    [anon_sym_in] = ACTIONS(5078),
    [anon_sym_case] = ACTIONS(5078),
    [anon_sym_QMARK] = ACTIONS(5078),
    [anon_sym_PLUS] = ACTIONS(5080),
    [anon_sym_DASH] = ACTIONS(5080),
    [anon_sym_TILDE] = ACTIONS(5080),
    [anon_sym_AMP] = ACTIONS(5080),
    [anon_sym_PIPE_PIPE] = ACTIONS(5080),
    [anon_sym_or_else] = ACTIONS(5078),
    [anon_sym_AMP_AMP] = ACTIONS(5080),
    [anon_sym_GT] = ACTIONS(5080),
    [anon_sym_GT_EQ] = ACTIONS(5078),
    [anon_sym_LT_EQ] = ACTIONS(5078),
    [anon_sym_LT] = ACTIONS(5080),
    [anon_sym_EQ_EQ] = ACTIONS(5078),
    [anon_sym_BANG_EQ] = ACTIONS(5078),
    [anon_sym_TILDE_EQ] = ACTIONS(5078),
    [anon_sym_PIPE] = ACTIONS(5080),
    [anon_sym_AMP_TILDE] = ACTIONS(5080),
    [anon_sym_LT_LT] = ACTIONS(5080),
    [anon_sym_GT_GT] = ACTIONS(5080),
    [anon_sym_STAR] = ACTIONS(5080),
    [anon_sym_SLASH] = ACTIONS(5080),
    [anon_sym_PERCENT] = ACTIONS(5080),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5078),
    [anon_sym_DOT] = ACTIONS(5080),
    [anon_sym_LBRACK] = ACTIONS(5078),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5078),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5078),
    [anon_sym_not_in] = ACTIONS(5078),
    [anon_sym_or_return] = ACTIONS(5078),
    [anon_sym_or_continue] = ACTIONS(5078),
    [anon_sym_or_break] = ACTIONS(5078),
    [anon_sym_CARET] = ACTIONS(5080),
    [sym_uninitialized] = ACTIONS(5078),
    [sym_tag] = ACTIONS(5078),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5078),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [926] = {
    [sym_expression] = STATE(5768),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(3397),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(3401),
    [anon_sym_dynamic] = ACTIONS(3403),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [927] = {
    [sym_expression] = STATE(5616),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_constant_type] = STATE(7815),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(4630),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [928] = {
    [sym_expression] = STATE(5811),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(5082),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(5084),
    [anon_sym_dynamic] = ACTIONS(5086),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [929] = {
    [sym_expression] = STATE(5699),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_constant_type] = STATE(8313),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(4630),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [930] = {
    [sym_expression] = STATE(5819),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_constant_type] = STATE(8313),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(4630),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [931] = {
    [sym_expression] = STATE(5838),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(5088),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(5090),
    [anon_sym_dynamic] = ACTIONS(5092),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [932] = {
    [anon_sym_LBRACE] = ACTIONS(5094),
    [anon_sym_RBRACE] = ACTIONS(5094),
    [anon_sym_COMMA] = ACTIONS(5094),
    [anon_sym_COLON_COLON] = ACTIONS(5094),
    [anon_sym_DASH_GT] = ACTIONS(5094),
    [anon_sym_where] = ACTIONS(5094),
    [anon_sym_EQ] = ACTIONS(5096),
    [anon_sym_COLON_EQ] = ACTIONS(5094),
    [anon_sym_COLON] = ACTIONS(5096),
    [anon_sym_LPAREN] = ACTIONS(5094),
    [anon_sym_PLUS_EQ] = ACTIONS(5094),
    [anon_sym_DASH_EQ] = ACTIONS(5094),
    [anon_sym_STAR_EQ] = ACTIONS(5094),
    [anon_sym_SLASH_EQ] = ACTIONS(5094),
    [anon_sym_PERCENT_EQ] = ACTIONS(5094),
    [anon_sym_AMP_EQ] = ACTIONS(5094),
    [anon_sym_PIPE_EQ] = ACTIONS(5094),
    [anon_sym_CARET_EQ] = ACTIONS(5094),
    [anon_sym_LT_LT_EQ] = ACTIONS(5094),
    [anon_sym_GT_GT_EQ] = ACTIONS(5094),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5094),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5094),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5094),
    [anon_sym_if] = ACTIONS(5094),
    [anon_sym_SEMI] = ACTIONS(5094),
    [anon_sym_else] = ACTIONS(5094),
    [anon_sym_when] = ACTIONS(5094),
    [anon_sym_in] = ACTIONS(5094),
    [anon_sym_case] = ACTIONS(5094),
    [anon_sym_QMARK] = ACTIONS(5094),
    [anon_sym_PLUS] = ACTIONS(5096),
    [anon_sym_DASH] = ACTIONS(5096),
    [anon_sym_TILDE] = ACTIONS(5096),
    [anon_sym_AMP] = ACTIONS(5096),
    [anon_sym_PIPE_PIPE] = ACTIONS(5096),
    [anon_sym_or_else] = ACTIONS(5094),
    [anon_sym_AMP_AMP] = ACTIONS(5096),
    [anon_sym_GT] = ACTIONS(5096),
    [anon_sym_GT_EQ] = ACTIONS(5094),
    [anon_sym_LT_EQ] = ACTIONS(5094),
    [anon_sym_LT] = ACTIONS(5096),
    [anon_sym_EQ_EQ] = ACTIONS(5094),
    [anon_sym_BANG_EQ] = ACTIONS(5094),
    [anon_sym_TILDE_EQ] = ACTIONS(5094),
    [anon_sym_PIPE] = ACTIONS(5096),
    [anon_sym_AMP_TILDE] = ACTIONS(5096),
    [anon_sym_LT_LT] = ACTIONS(5096),
    [anon_sym_GT_GT] = ACTIONS(5096),
    [anon_sym_STAR] = ACTIONS(5096),
    [anon_sym_SLASH] = ACTIONS(5096),
    [anon_sym_PERCENT] = ACTIONS(5096),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5094),
    [anon_sym_DOT] = ACTIONS(5096),
    [anon_sym_LBRACK] = ACTIONS(5094),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5094),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5094),
    [anon_sym_not_in] = ACTIONS(5094),
    [anon_sym_or_return] = ACTIONS(5094),
    [anon_sym_or_continue] = ACTIONS(5094),
    [anon_sym_or_break] = ACTIONS(5094),
    [anon_sym_CARET] = ACTIONS(5096),
    [sym_uninitialized] = ACTIONS(5094),
    [sym_tag] = ACTIONS(5094),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5094),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [933] = {
    [anon_sym_LBRACE] = ACTIONS(5078),
    [anon_sym_RBRACE] = ACTIONS(5078),
    [anon_sym_COMMA] = ACTIONS(5078),
    [anon_sym_COLON_COLON] = ACTIONS(5078),
    [anon_sym_DASH_GT] = ACTIONS(5078),
    [anon_sym_where] = ACTIONS(5078),
    [anon_sym_EQ] = ACTIONS(5080),
    [anon_sym_COLON_EQ] = ACTIONS(5078),
    [anon_sym_COLON] = ACTIONS(5080),
    [anon_sym_LPAREN] = ACTIONS(5078),
    [anon_sym_PLUS_EQ] = ACTIONS(5078),
    [anon_sym_DASH_EQ] = ACTIONS(5078),
    [anon_sym_STAR_EQ] = ACTIONS(5078),
    [anon_sym_SLASH_EQ] = ACTIONS(5078),
    [anon_sym_PERCENT_EQ] = ACTIONS(5078),
    [anon_sym_AMP_EQ] = ACTIONS(5078),
    [anon_sym_PIPE_EQ] = ACTIONS(5078),
    [anon_sym_CARET_EQ] = ACTIONS(5078),
    [anon_sym_LT_LT_EQ] = ACTIONS(5078),
    [anon_sym_GT_GT_EQ] = ACTIONS(5078),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5078),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5078),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5078),
    [anon_sym_if] = ACTIONS(5098),
    [anon_sym_SEMI] = ACTIONS(5078),
    [anon_sym_else] = ACTIONS(5078),
    [anon_sym_when] = ACTIONS(5098),
    [anon_sym_in] = ACTIONS(5078),
    [anon_sym_case] = ACTIONS(5078),
    [anon_sym_QMARK] = ACTIONS(5100),
    [anon_sym_PLUS] = ACTIONS(5080),
    [anon_sym_DASH] = ACTIONS(5080),
    [anon_sym_TILDE] = ACTIONS(5080),
    [anon_sym_AMP] = ACTIONS(5080),
    [anon_sym_PIPE_PIPE] = ACTIONS(5080),
    [anon_sym_or_else] = ACTIONS(5078),
    [anon_sym_AMP_AMP] = ACTIONS(5080),
    [anon_sym_GT] = ACTIONS(5080),
    [anon_sym_GT_EQ] = ACTIONS(5078),
    [anon_sym_LT_EQ] = ACTIONS(5078),
    [anon_sym_LT] = ACTIONS(5080),
    [anon_sym_EQ_EQ] = ACTIONS(5078),
    [anon_sym_BANG_EQ] = ACTIONS(5078),
    [anon_sym_TILDE_EQ] = ACTIONS(5078),
    [anon_sym_PIPE] = ACTIONS(5080),
    [anon_sym_AMP_TILDE] = ACTIONS(5080),
    [anon_sym_LT_LT] = ACTIONS(5080),
    [anon_sym_GT_GT] = ACTIONS(5080),
    [anon_sym_STAR] = ACTIONS(5080),
    [anon_sym_SLASH] = ACTIONS(5080),
    [anon_sym_PERCENT] = ACTIONS(5080),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5078),
    [anon_sym_DOT] = ACTIONS(5080),
    [anon_sym_LBRACK] = ACTIONS(5078),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5078),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5078),
    [anon_sym_not_in] = ACTIONS(5078),
    [anon_sym_or_return] = ACTIONS(5078),
    [anon_sym_or_continue] = ACTIONS(5078),
    [anon_sym_or_break] = ACTIONS(5078),
    [anon_sym_CARET] = ACTIONS(5080),
    [sym_uninitialized] = ACTIONS(5078),
    [sym_tag] = ACTIONS(5078),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5078),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [934] = {
    [anon_sym_LBRACE] = ACTIONS(5102),
    [anon_sym_RBRACE] = ACTIONS(5102),
    [anon_sym_COMMA] = ACTIONS(5102),
    [anon_sym_COLON_COLON] = ACTIONS(5102),
    [anon_sym_DASH_GT] = ACTIONS(5102),
    [anon_sym_where] = ACTIONS(5102),
    [anon_sym_EQ] = ACTIONS(5104),
    [anon_sym_COLON_EQ] = ACTIONS(5102),
    [anon_sym_COLON] = ACTIONS(5104),
    [anon_sym_LPAREN] = ACTIONS(5102),
    [anon_sym_PLUS_EQ] = ACTIONS(5102),
    [anon_sym_DASH_EQ] = ACTIONS(5102),
    [anon_sym_STAR_EQ] = ACTIONS(5102),
    [anon_sym_SLASH_EQ] = ACTIONS(5102),
    [anon_sym_PERCENT_EQ] = ACTIONS(5102),
    [anon_sym_AMP_EQ] = ACTIONS(5102),
    [anon_sym_PIPE_EQ] = ACTIONS(5102),
    [anon_sym_CARET_EQ] = ACTIONS(5102),
    [anon_sym_LT_LT_EQ] = ACTIONS(5102),
    [anon_sym_GT_GT_EQ] = ACTIONS(5102),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5102),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5102),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5102),
    [anon_sym_if] = ACTIONS(5102),
    [anon_sym_SEMI] = ACTIONS(5102),
    [anon_sym_else] = ACTIONS(5102),
    [anon_sym_when] = ACTIONS(5102),
    [anon_sym_in] = ACTIONS(5102),
    [anon_sym_case] = ACTIONS(5102),
    [anon_sym_QMARK] = ACTIONS(5102),
    [anon_sym_PLUS] = ACTIONS(5104),
    [anon_sym_DASH] = ACTIONS(5104),
    [anon_sym_TILDE] = ACTIONS(5104),
    [anon_sym_AMP] = ACTIONS(5104),
    [anon_sym_PIPE_PIPE] = ACTIONS(5104),
    [anon_sym_or_else] = ACTIONS(5102),
    [anon_sym_AMP_AMP] = ACTIONS(5104),
    [anon_sym_GT] = ACTIONS(5104),
    [anon_sym_GT_EQ] = ACTIONS(5102),
    [anon_sym_LT_EQ] = ACTIONS(5102),
    [anon_sym_LT] = ACTIONS(5104),
    [anon_sym_EQ_EQ] = ACTIONS(5102),
    [anon_sym_BANG_EQ] = ACTIONS(5102),
    [anon_sym_TILDE_EQ] = ACTIONS(5102),
    [anon_sym_PIPE] = ACTIONS(5104),
    [anon_sym_AMP_TILDE] = ACTIONS(5104),
    [anon_sym_LT_LT] = ACTIONS(5104),
    [anon_sym_GT_GT] = ACTIONS(5104),
    [anon_sym_STAR] = ACTIONS(5104),
    [anon_sym_SLASH] = ACTIONS(5104),
    [anon_sym_PERCENT] = ACTIONS(5104),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5102),
    [anon_sym_DOT] = ACTIONS(5104),
    [anon_sym_LBRACK] = ACTIONS(5102),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5102),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5102),
    [anon_sym_not_in] = ACTIONS(5102),
    [anon_sym_or_return] = ACTIONS(5102),
    [anon_sym_or_continue] = ACTIONS(5102),
    [anon_sym_or_break] = ACTIONS(5102),
    [anon_sym_CARET] = ACTIONS(5104),
    [sym_uninitialized] = ACTIONS(5102),
    [sym_tag] = ACTIONS(5102),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5102),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [935] = {
    [sym_expression] = STATE(5721),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(4284),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(4288),
    [anon_sym_dynamic] = ACTIONS(4290),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [936] = {
    [sym_expression] = STATE(5602),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_constant_type] = STATE(7908),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(4630),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [937] = {
    [sym_expression] = STATE(5734),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(5106),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(5108),
    [anon_sym_dynamic] = ACTIONS(5110),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [938] = {
    [sym_expression] = STATE(5732),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_constant_type] = STATE(8110),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(4630),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [939] = {
    [sym_expression] = STATE(5736),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_constant_type] = STATE(8110),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(4630),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [940] = {
    [sym_expression] = STATE(5739),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(5112),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(5114),
    [anon_sym_dynamic] = ACTIONS(5116),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [941] = {
    [anon_sym_LBRACE] = ACTIONS(5118),
    [anon_sym_RBRACE] = ACTIONS(5118),
    [anon_sym_COMMA] = ACTIONS(5118),
    [anon_sym_COLON_COLON] = ACTIONS(5118),
    [anon_sym_DASH_GT] = ACTIONS(5118),
    [anon_sym_where] = ACTIONS(5118),
    [anon_sym_EQ] = ACTIONS(5120),
    [anon_sym_COLON_EQ] = ACTIONS(5118),
    [anon_sym_COLON] = ACTIONS(5120),
    [anon_sym_LPAREN] = ACTIONS(5118),
    [anon_sym_PLUS_EQ] = ACTIONS(5118),
    [anon_sym_DASH_EQ] = ACTIONS(5118),
    [anon_sym_STAR_EQ] = ACTIONS(5118),
    [anon_sym_SLASH_EQ] = ACTIONS(5118),
    [anon_sym_PERCENT_EQ] = ACTIONS(5118),
    [anon_sym_AMP_EQ] = ACTIONS(5118),
    [anon_sym_PIPE_EQ] = ACTIONS(5118),
    [anon_sym_CARET_EQ] = ACTIONS(5118),
    [anon_sym_LT_LT_EQ] = ACTIONS(5118),
    [anon_sym_GT_GT_EQ] = ACTIONS(5118),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5118),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5118),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5118),
    [anon_sym_if] = ACTIONS(5118),
    [anon_sym_SEMI] = ACTIONS(5118),
    [anon_sym_else] = ACTIONS(5118),
    [anon_sym_when] = ACTIONS(5118),
    [anon_sym_in] = ACTIONS(5118),
    [anon_sym_case] = ACTIONS(5118),
    [anon_sym_QMARK] = ACTIONS(5118),
    [anon_sym_PLUS] = ACTIONS(5120),
    [anon_sym_DASH] = ACTIONS(5120),
    [anon_sym_TILDE] = ACTIONS(5120),
    [anon_sym_AMP] = ACTIONS(5120),
    [anon_sym_PIPE_PIPE] = ACTIONS(5120),
    [anon_sym_or_else] = ACTIONS(5118),
    [anon_sym_AMP_AMP] = ACTIONS(5120),
    [anon_sym_GT] = ACTIONS(5120),
    [anon_sym_GT_EQ] = ACTIONS(5118),
    [anon_sym_LT_EQ] = ACTIONS(5118),
    [anon_sym_LT] = ACTIONS(5120),
    [anon_sym_EQ_EQ] = ACTIONS(5118),
    [anon_sym_BANG_EQ] = ACTIONS(5118),
    [anon_sym_TILDE_EQ] = ACTIONS(5118),
    [anon_sym_PIPE] = ACTIONS(5120),
    [anon_sym_AMP_TILDE] = ACTIONS(5120),
    [anon_sym_LT_LT] = ACTIONS(5120),
    [anon_sym_GT_GT] = ACTIONS(5120),
    [anon_sym_STAR] = ACTIONS(5120),
    [anon_sym_SLASH] = ACTIONS(5120),
    [anon_sym_PERCENT] = ACTIONS(5120),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5118),
    [anon_sym_DOT] = ACTIONS(5120),
    [anon_sym_LBRACK] = ACTIONS(5118),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5118),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5118),
    [anon_sym_not_in] = ACTIONS(5118),
    [anon_sym_or_return] = ACTIONS(5118),
    [anon_sym_or_continue] = ACTIONS(5118),
    [anon_sym_or_break] = ACTIONS(5118),
    [anon_sym_CARET] = ACTIONS(5120),
    [sym_uninitialized] = ACTIONS(5118),
    [sym_tag] = ACTIONS(5118),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5118),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [942] = {
    [anon_sym_LBRACE] = ACTIONS(5122),
    [anon_sym_RBRACE] = ACTIONS(5122),
    [anon_sym_COMMA] = ACTIONS(5122),
    [anon_sym_COLON_COLON] = ACTIONS(5122),
    [anon_sym_DASH_GT] = ACTIONS(4428),
    [anon_sym_where] = ACTIONS(5122),
    [anon_sym_EQ] = ACTIONS(5124),
    [anon_sym_COLON_EQ] = ACTIONS(5122),
    [anon_sym_COLON] = ACTIONS(5124),
    [anon_sym_LPAREN] = ACTIONS(5122),
    [anon_sym_PLUS_EQ] = ACTIONS(5122),
    [anon_sym_DASH_EQ] = ACTIONS(5122),
    [anon_sym_STAR_EQ] = ACTIONS(5122),
    [anon_sym_SLASH_EQ] = ACTIONS(5122),
    [anon_sym_PERCENT_EQ] = ACTIONS(5122),
    [anon_sym_AMP_EQ] = ACTIONS(5122),
    [anon_sym_PIPE_EQ] = ACTIONS(5122),
    [anon_sym_CARET_EQ] = ACTIONS(5122),
    [anon_sym_LT_LT_EQ] = ACTIONS(5122),
    [anon_sym_GT_GT_EQ] = ACTIONS(5122),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5122),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5122),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5122),
    [anon_sym_if] = ACTIONS(5122),
    [anon_sym_SEMI] = ACTIONS(5122),
    [anon_sym_else] = ACTIONS(5122),
    [anon_sym_when] = ACTIONS(5122),
    [anon_sym_in] = ACTIONS(5122),
    [anon_sym_case] = ACTIONS(5122),
    [anon_sym_QMARK] = ACTIONS(5122),
    [anon_sym_PLUS] = ACTIONS(5124),
    [anon_sym_DASH] = ACTIONS(5124),
    [anon_sym_TILDE] = ACTIONS(5124),
    [anon_sym_AMP] = ACTIONS(5124),
    [anon_sym_PIPE_PIPE] = ACTIONS(5124),
    [anon_sym_or_else] = ACTIONS(5122),
    [anon_sym_AMP_AMP] = ACTIONS(5124),
    [anon_sym_GT] = ACTIONS(5124),
    [anon_sym_GT_EQ] = ACTIONS(5122),
    [anon_sym_LT_EQ] = ACTIONS(5122),
    [anon_sym_LT] = ACTIONS(5124),
    [anon_sym_EQ_EQ] = ACTIONS(5122),
    [anon_sym_BANG_EQ] = ACTIONS(5122),
    [anon_sym_TILDE_EQ] = ACTIONS(5122),
    [anon_sym_PIPE] = ACTIONS(5124),
    [anon_sym_AMP_TILDE] = ACTIONS(5124),
    [anon_sym_LT_LT] = ACTIONS(5124),
    [anon_sym_GT_GT] = ACTIONS(5124),
    [anon_sym_STAR] = ACTIONS(5124),
    [anon_sym_SLASH] = ACTIONS(5124),
    [anon_sym_PERCENT] = ACTIONS(5124),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5122),
    [anon_sym_DOT] = ACTIONS(4460),
    [anon_sym_LBRACK] = ACTIONS(4462),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4464),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4464),
    [anon_sym_not_in] = ACTIONS(5122),
    [anon_sym_or_return] = ACTIONS(5122),
    [anon_sym_or_continue] = ACTIONS(5122),
    [anon_sym_or_break] = ACTIONS(5122),
    [anon_sym_CARET] = ACTIONS(5124),
    [sym_uninitialized] = ACTIONS(5122),
    [sym_tag] = ACTIONS(5122),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5122),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [943] = {
    [sym_expression] = STATE(5787),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(4068),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(4072),
    [anon_sym_dynamic] = ACTIONS(4074),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [944] = {
    [sym_expression] = STATE(5648),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_constant_type] = STATE(7832),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(4630),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [945] = {
    [sym_expression] = STATE(5795),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(5126),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(5128),
    [anon_sym_dynamic] = ACTIONS(5130),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [946] = {
    [sym_expression] = STATE(5745),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_constant_type] = STATE(7965),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(4630),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [947] = {
    [sym_expression] = STATE(5797),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_constant_type] = STATE(7965),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(4630),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [948] = {
    [sym_expression] = STATE(5799),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(5132),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(5134),
    [anon_sym_dynamic] = ACTIONS(5136),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [949] = {
    [anon_sym_LBRACE] = ACTIONS(5138),
    [anon_sym_RBRACE] = ACTIONS(5138),
    [anon_sym_COMMA] = ACTIONS(5138),
    [anon_sym_COLON_COLON] = ACTIONS(5138),
    [anon_sym_DASH_GT] = ACTIONS(5138),
    [anon_sym_where] = ACTIONS(5138),
    [anon_sym_EQ] = ACTIONS(5140),
    [anon_sym_COLON_EQ] = ACTIONS(5138),
    [anon_sym_COLON] = ACTIONS(5140),
    [anon_sym_LPAREN] = ACTIONS(5138),
    [anon_sym_PLUS_EQ] = ACTIONS(5138),
    [anon_sym_DASH_EQ] = ACTIONS(5138),
    [anon_sym_STAR_EQ] = ACTIONS(5138),
    [anon_sym_SLASH_EQ] = ACTIONS(5138),
    [anon_sym_PERCENT_EQ] = ACTIONS(5138),
    [anon_sym_AMP_EQ] = ACTIONS(5138),
    [anon_sym_PIPE_EQ] = ACTIONS(5138),
    [anon_sym_CARET_EQ] = ACTIONS(5138),
    [anon_sym_LT_LT_EQ] = ACTIONS(5138),
    [anon_sym_GT_GT_EQ] = ACTIONS(5138),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5138),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5138),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5138),
    [anon_sym_if] = ACTIONS(5138),
    [anon_sym_SEMI] = ACTIONS(5138),
    [anon_sym_else] = ACTIONS(5138),
    [anon_sym_when] = ACTIONS(5138),
    [anon_sym_in] = ACTIONS(5138),
    [anon_sym_case] = ACTIONS(5138),
    [anon_sym_QMARK] = ACTIONS(5138),
    [anon_sym_PLUS] = ACTIONS(5140),
    [anon_sym_DASH] = ACTIONS(5140),
    [anon_sym_TILDE] = ACTIONS(5140),
    [anon_sym_AMP] = ACTIONS(5140),
    [anon_sym_PIPE_PIPE] = ACTIONS(5140),
    [anon_sym_or_else] = ACTIONS(5138),
    [anon_sym_AMP_AMP] = ACTIONS(5140),
    [anon_sym_GT] = ACTIONS(5140),
    [anon_sym_GT_EQ] = ACTIONS(5138),
    [anon_sym_LT_EQ] = ACTIONS(5138),
    [anon_sym_LT] = ACTIONS(5140),
    [anon_sym_EQ_EQ] = ACTIONS(5138),
    [anon_sym_BANG_EQ] = ACTIONS(5138),
    [anon_sym_TILDE_EQ] = ACTIONS(5138),
    [anon_sym_PIPE] = ACTIONS(5140),
    [anon_sym_AMP_TILDE] = ACTIONS(5140),
    [anon_sym_LT_LT] = ACTIONS(5140),
    [anon_sym_GT_GT] = ACTIONS(5140),
    [anon_sym_STAR] = ACTIONS(5140),
    [anon_sym_SLASH] = ACTIONS(5140),
    [anon_sym_PERCENT] = ACTIONS(5140),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5138),
    [anon_sym_DOT] = ACTIONS(5140),
    [anon_sym_LBRACK] = ACTIONS(5138),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5138),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5138),
    [anon_sym_not_in] = ACTIONS(5138),
    [anon_sym_or_return] = ACTIONS(5138),
    [anon_sym_or_continue] = ACTIONS(5138),
    [anon_sym_or_break] = ACTIONS(5138),
    [anon_sym_CARET] = ACTIONS(5140),
    [sym_uninitialized] = ACTIONS(5138),
    [sym_tag] = ACTIONS(5138),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5138),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [950] = {
    [anon_sym_LBRACE] = ACTIONS(5142),
    [anon_sym_RBRACE] = ACTIONS(5142),
    [anon_sym_COMMA] = ACTIONS(5142),
    [anon_sym_COLON_COLON] = ACTIONS(5142),
    [anon_sym_DASH_GT] = ACTIONS(4428),
    [anon_sym_where] = ACTIONS(5142),
    [anon_sym_EQ] = ACTIONS(5144),
    [anon_sym_COLON_EQ] = ACTIONS(5142),
    [anon_sym_COLON] = ACTIONS(5144),
    [anon_sym_LPAREN] = ACTIONS(5142),
    [anon_sym_PLUS_EQ] = ACTIONS(5142),
    [anon_sym_DASH_EQ] = ACTIONS(5142),
    [anon_sym_STAR_EQ] = ACTIONS(5142),
    [anon_sym_SLASH_EQ] = ACTIONS(5142),
    [anon_sym_PERCENT_EQ] = ACTIONS(5142),
    [anon_sym_AMP_EQ] = ACTIONS(5142),
    [anon_sym_PIPE_EQ] = ACTIONS(5142),
    [anon_sym_CARET_EQ] = ACTIONS(5142),
    [anon_sym_LT_LT_EQ] = ACTIONS(5142),
    [anon_sym_GT_GT_EQ] = ACTIONS(5142),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5142),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5142),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5142),
    [anon_sym_if] = ACTIONS(5142),
    [anon_sym_SEMI] = ACTIONS(5142),
    [anon_sym_else] = ACTIONS(5142),
    [anon_sym_when] = ACTIONS(5142),
    [anon_sym_in] = ACTIONS(5142),
    [anon_sym_case] = ACTIONS(5142),
    [anon_sym_QMARK] = ACTIONS(5142),
    [anon_sym_PLUS] = ACTIONS(5144),
    [anon_sym_DASH] = ACTIONS(5144),
    [anon_sym_TILDE] = ACTIONS(5144),
    [anon_sym_AMP] = ACTIONS(5144),
    [anon_sym_PIPE_PIPE] = ACTIONS(5144),
    [anon_sym_or_else] = ACTIONS(5142),
    [anon_sym_AMP_AMP] = ACTIONS(5144),
    [anon_sym_GT] = ACTIONS(5144),
    [anon_sym_GT_EQ] = ACTIONS(5142),
    [anon_sym_LT_EQ] = ACTIONS(5142),
    [anon_sym_LT] = ACTIONS(5144),
    [anon_sym_EQ_EQ] = ACTIONS(5142),
    [anon_sym_BANG_EQ] = ACTIONS(5142),
    [anon_sym_TILDE_EQ] = ACTIONS(5142),
    [anon_sym_PIPE] = ACTIONS(5144),
    [anon_sym_AMP_TILDE] = ACTIONS(5144),
    [anon_sym_LT_LT] = ACTIONS(5144),
    [anon_sym_GT_GT] = ACTIONS(5144),
    [anon_sym_STAR] = ACTIONS(5144),
    [anon_sym_SLASH] = ACTIONS(5144),
    [anon_sym_PERCENT] = ACTIONS(5144),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5142),
    [anon_sym_DOT] = ACTIONS(4460),
    [anon_sym_LBRACK] = ACTIONS(4462),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4464),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4464),
    [anon_sym_not_in] = ACTIONS(5142),
    [anon_sym_or_return] = ACTIONS(5142),
    [anon_sym_or_continue] = ACTIONS(5142),
    [anon_sym_or_break] = ACTIONS(5142),
    [anon_sym_CARET] = ACTIONS(5144),
    [sym_uninitialized] = ACTIONS(5142),
    [sym_tag] = ACTIONS(5142),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5142),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [951] = {
    [sym_expression] = STATE(5823),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(4098),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(4102),
    [anon_sym_dynamic] = ACTIONS(4104),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [952] = {
    [sym_expression] = STATE(5610),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_constant_type] = STATE(7879),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(4630),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [953] = {
    [sym_expression] = STATE(5829),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(5146),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(5148),
    [anon_sym_dynamic] = ACTIONS(5150),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [954] = {
    [sym_expression] = STATE(5752),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_constant_type] = STATE(8452),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(4630),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [955] = {
    [sym_expression] = STATE(5711),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_constant_type] = STATE(8372),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(4630),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [956] = {
    [sym_expression] = STATE(5831),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(5152),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(5154),
    [anon_sym_dynamic] = ACTIONS(5156),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [957] = {
    [anon_sym_LBRACE] = ACTIONS(5158),
    [anon_sym_RBRACE] = ACTIONS(5158),
    [anon_sym_COMMA] = ACTIONS(5158),
    [anon_sym_COLON_COLON] = ACTIONS(5158),
    [anon_sym_DASH_GT] = ACTIONS(5158),
    [anon_sym_where] = ACTIONS(5158),
    [anon_sym_EQ] = ACTIONS(5160),
    [anon_sym_COLON_EQ] = ACTIONS(5158),
    [anon_sym_COLON] = ACTIONS(5160),
    [anon_sym_LPAREN] = ACTIONS(5158),
    [anon_sym_PLUS_EQ] = ACTIONS(5158),
    [anon_sym_DASH_EQ] = ACTIONS(5158),
    [anon_sym_STAR_EQ] = ACTIONS(5158),
    [anon_sym_SLASH_EQ] = ACTIONS(5158),
    [anon_sym_PERCENT_EQ] = ACTIONS(5158),
    [anon_sym_AMP_EQ] = ACTIONS(5158),
    [anon_sym_PIPE_EQ] = ACTIONS(5158),
    [anon_sym_CARET_EQ] = ACTIONS(5158),
    [anon_sym_LT_LT_EQ] = ACTIONS(5158),
    [anon_sym_GT_GT_EQ] = ACTIONS(5158),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5158),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5158),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5158),
    [anon_sym_if] = ACTIONS(5158),
    [anon_sym_SEMI] = ACTIONS(5158),
    [anon_sym_else] = ACTIONS(5158),
    [anon_sym_when] = ACTIONS(5158),
    [anon_sym_in] = ACTIONS(5158),
    [anon_sym_case] = ACTIONS(5158),
    [anon_sym_QMARK] = ACTIONS(5158),
    [anon_sym_PLUS] = ACTIONS(5160),
    [anon_sym_DASH] = ACTIONS(5160),
    [anon_sym_TILDE] = ACTIONS(5160),
    [anon_sym_AMP] = ACTIONS(5160),
    [anon_sym_PIPE_PIPE] = ACTIONS(5160),
    [anon_sym_or_else] = ACTIONS(5158),
    [anon_sym_AMP_AMP] = ACTIONS(5160),
    [anon_sym_GT] = ACTIONS(5160),
    [anon_sym_GT_EQ] = ACTIONS(5158),
    [anon_sym_LT_EQ] = ACTIONS(5158),
    [anon_sym_LT] = ACTIONS(5160),
    [anon_sym_EQ_EQ] = ACTIONS(5158),
    [anon_sym_BANG_EQ] = ACTIONS(5158),
    [anon_sym_TILDE_EQ] = ACTIONS(5158),
    [anon_sym_PIPE] = ACTIONS(5160),
    [anon_sym_AMP_TILDE] = ACTIONS(5160),
    [anon_sym_LT_LT] = ACTIONS(5160),
    [anon_sym_GT_GT] = ACTIONS(5160),
    [anon_sym_STAR] = ACTIONS(5160),
    [anon_sym_SLASH] = ACTIONS(5160),
    [anon_sym_PERCENT] = ACTIONS(5160),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5158),
    [anon_sym_DOT] = ACTIONS(5160),
    [anon_sym_LBRACK] = ACTIONS(5158),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5158),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5158),
    [anon_sym_not_in] = ACTIONS(5158),
    [anon_sym_or_return] = ACTIONS(5158),
    [anon_sym_or_continue] = ACTIONS(5158),
    [anon_sym_or_break] = ACTIONS(5158),
    [anon_sym_CARET] = ACTIONS(5160),
    [sym_uninitialized] = ACTIONS(5158),
    [sym_tag] = ACTIONS(5158),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5158),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [958] = {
    [sym_expression] = STATE(5849),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(3996),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(4000),
    [anon_sym_dynamic] = ACTIONS(4002),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [959] = {
    [sym_expression] = STATE(5621),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_constant_type] = STATE(7848),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(4630),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [960] = {
    [sym_expression] = STATE(5864),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(5162),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(5164),
    [anon_sym_dynamic] = ACTIONS(5166),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [961] = {
    [sym_expression] = STATE(5757),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_constant_type] = STATE(8245),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(4630),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [962] = {
    [sym_expression] = STATE(5718),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_constant_type] = STATE(8498),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(4630),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [963] = {
    [sym_expression] = STATE(5875),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(5168),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(5170),
    [anon_sym_dynamic] = ACTIONS(5172),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [964] = {
    [anon_sym_LBRACE] = ACTIONS(5174),
    [anon_sym_RBRACE] = ACTIONS(5174),
    [anon_sym_COMMA] = ACTIONS(5174),
    [anon_sym_COLON_COLON] = ACTIONS(5174),
    [anon_sym_DASH_GT] = ACTIONS(5174),
    [anon_sym_where] = ACTIONS(5174),
    [anon_sym_EQ] = ACTIONS(5176),
    [anon_sym_COLON_EQ] = ACTIONS(5174),
    [anon_sym_COLON] = ACTIONS(5176),
    [anon_sym_LPAREN] = ACTIONS(5174),
    [anon_sym_PLUS_EQ] = ACTIONS(5174),
    [anon_sym_DASH_EQ] = ACTIONS(5174),
    [anon_sym_STAR_EQ] = ACTIONS(5174),
    [anon_sym_SLASH_EQ] = ACTIONS(5174),
    [anon_sym_PERCENT_EQ] = ACTIONS(5174),
    [anon_sym_AMP_EQ] = ACTIONS(5174),
    [anon_sym_PIPE_EQ] = ACTIONS(5174),
    [anon_sym_CARET_EQ] = ACTIONS(5174),
    [anon_sym_LT_LT_EQ] = ACTIONS(5174),
    [anon_sym_GT_GT_EQ] = ACTIONS(5174),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5174),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5174),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5174),
    [anon_sym_if] = ACTIONS(5174),
    [anon_sym_SEMI] = ACTIONS(5174),
    [anon_sym_else] = ACTIONS(5174),
    [anon_sym_when] = ACTIONS(5174),
    [anon_sym_in] = ACTIONS(5174),
    [anon_sym_case] = ACTIONS(5174),
    [anon_sym_QMARK] = ACTIONS(5174),
    [anon_sym_PLUS] = ACTIONS(5176),
    [anon_sym_DASH] = ACTIONS(5176),
    [anon_sym_TILDE] = ACTIONS(5176),
    [anon_sym_AMP] = ACTIONS(5176),
    [anon_sym_PIPE_PIPE] = ACTIONS(5176),
    [anon_sym_or_else] = ACTIONS(5174),
    [anon_sym_AMP_AMP] = ACTIONS(5176),
    [anon_sym_GT] = ACTIONS(5176),
    [anon_sym_GT_EQ] = ACTIONS(5174),
    [anon_sym_LT_EQ] = ACTIONS(5174),
    [anon_sym_LT] = ACTIONS(5176),
    [anon_sym_EQ_EQ] = ACTIONS(5174),
    [anon_sym_BANG_EQ] = ACTIONS(5174),
    [anon_sym_TILDE_EQ] = ACTIONS(5174),
    [anon_sym_PIPE] = ACTIONS(5176),
    [anon_sym_AMP_TILDE] = ACTIONS(5176),
    [anon_sym_LT_LT] = ACTIONS(5176),
    [anon_sym_GT_GT] = ACTIONS(5176),
    [anon_sym_STAR] = ACTIONS(5176),
    [anon_sym_SLASH] = ACTIONS(5176),
    [anon_sym_PERCENT] = ACTIONS(5176),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5174),
    [anon_sym_DOT] = ACTIONS(5176),
    [anon_sym_LBRACK] = ACTIONS(5174),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5174),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5174),
    [anon_sym_not_in] = ACTIONS(5174),
    [anon_sym_or_return] = ACTIONS(5174),
    [anon_sym_or_continue] = ACTIONS(5174),
    [anon_sym_or_break] = ACTIONS(5174),
    [anon_sym_CARET] = ACTIONS(5176),
    [sym_uninitialized] = ACTIONS(5174),
    [sym_tag] = ACTIONS(5174),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5174),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [965] = {
    [anon_sym_LBRACE] = ACTIONS(5178),
    [anon_sym_RBRACE] = ACTIONS(5178),
    [anon_sym_COMMA] = ACTIONS(5178),
    [anon_sym_COLON_COLON] = ACTIONS(5178),
    [anon_sym_DASH_GT] = ACTIONS(5178),
    [anon_sym_where] = ACTIONS(5178),
    [anon_sym_EQ] = ACTIONS(5180),
    [anon_sym_COLON_EQ] = ACTIONS(5178),
    [anon_sym_COLON] = ACTIONS(5180),
    [anon_sym_LPAREN] = ACTIONS(5178),
    [anon_sym_PLUS_EQ] = ACTIONS(5178),
    [anon_sym_DASH_EQ] = ACTIONS(5178),
    [anon_sym_STAR_EQ] = ACTIONS(5178),
    [anon_sym_SLASH_EQ] = ACTIONS(5178),
    [anon_sym_PERCENT_EQ] = ACTIONS(5178),
    [anon_sym_AMP_EQ] = ACTIONS(5178),
    [anon_sym_PIPE_EQ] = ACTIONS(5178),
    [anon_sym_CARET_EQ] = ACTIONS(5178),
    [anon_sym_LT_LT_EQ] = ACTIONS(5178),
    [anon_sym_GT_GT_EQ] = ACTIONS(5178),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5178),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5178),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5178),
    [anon_sym_if] = ACTIONS(5178),
    [anon_sym_SEMI] = ACTIONS(5178),
    [anon_sym_else] = ACTIONS(5178),
    [anon_sym_when] = ACTIONS(5178),
    [anon_sym_in] = ACTIONS(5178),
    [anon_sym_case] = ACTIONS(5178),
    [anon_sym_QMARK] = ACTIONS(5178),
    [anon_sym_PLUS] = ACTIONS(5180),
    [anon_sym_DASH] = ACTIONS(5180),
    [anon_sym_TILDE] = ACTIONS(5180),
    [anon_sym_AMP] = ACTIONS(5180),
    [anon_sym_PIPE_PIPE] = ACTIONS(5180),
    [anon_sym_or_else] = ACTIONS(5178),
    [anon_sym_AMP_AMP] = ACTIONS(5180),
    [anon_sym_GT] = ACTIONS(5180),
    [anon_sym_GT_EQ] = ACTIONS(5178),
    [anon_sym_LT_EQ] = ACTIONS(5178),
    [anon_sym_LT] = ACTIONS(5180),
    [anon_sym_EQ_EQ] = ACTIONS(5178),
    [anon_sym_BANG_EQ] = ACTIONS(5178),
    [anon_sym_TILDE_EQ] = ACTIONS(5178),
    [anon_sym_PIPE] = ACTIONS(5180),
    [anon_sym_AMP_TILDE] = ACTIONS(5180),
    [anon_sym_LT_LT] = ACTIONS(5180),
    [anon_sym_GT_GT] = ACTIONS(5180),
    [anon_sym_STAR] = ACTIONS(5180),
    [anon_sym_SLASH] = ACTIONS(5180),
    [anon_sym_PERCENT] = ACTIONS(5180),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5178),
    [anon_sym_DOT] = ACTIONS(5180),
    [anon_sym_LBRACK] = ACTIONS(5178),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5178),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5178),
    [anon_sym_not_in] = ACTIONS(5178),
    [anon_sym_or_return] = ACTIONS(5178),
    [anon_sym_or_continue] = ACTIONS(5178),
    [anon_sym_or_break] = ACTIONS(5178),
    [anon_sym_CARET] = ACTIONS(5180),
    [sym_uninitialized] = ACTIONS(5178),
    [sym_tag] = ACTIONS(5178),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5178),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [966] = {
    [sym_expression] = STATE(5905),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(4016),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(4020),
    [anon_sym_dynamic] = ACTIONS(4022),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [967] = {
    [sym_expression] = STATE(5632),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_constant_type] = STATE(7796),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(4630),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [968] = {
    [sym_expression] = STATE(5943),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(5182),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(5184),
    [anon_sym_dynamic] = ACTIONS(5186),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [969] = {
    [sym_expression] = STATE(5767),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_constant_type] = STATE(8372),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(4630),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [970] = {
    [sym_expression] = STATE(5830),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_constant_type] = STATE(8452),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(4630),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [971] = {
    [sym_expression] = STATE(5965),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(5188),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(5190),
    [anon_sym_dynamic] = ACTIONS(5192),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [972] = {
    [sym_expression] = STATE(5988),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(3351),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(3355),
    [anon_sym_dynamic] = ACTIONS(3357),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [973] = {
    [sym_expression] = STATE(5641),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_constant_type] = STATE(7872),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(4630),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [974] = {
    [sym_expression] = STATE(6005),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(5194),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(5196),
    [anon_sym_dynamic] = ACTIONS(5198),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [975] = {
    [sym_expression] = STATE(5772),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_constant_type] = STATE(7993),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(4630),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [976] = {
    [sym_expression] = STATE(5870),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_constant_type] = STATE(8245),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(4630),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [977] = {
    [sym_expression] = STATE(6011),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(5200),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(5202),
    [anon_sym_dynamic] = ACTIONS(5204),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [978] = {
    [sym_expression] = STATE(6048),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(4264),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(4268),
    [anon_sym_dynamic] = ACTIONS(4270),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [979] = {
    [sym_expression] = STATE(5642),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_constant_type] = STATE(7941),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(4630),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [980] = {
    [sym_expression] = STATE(5844),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(5206),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(5208),
    [anon_sym_dynamic] = ACTIONS(5210),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [981] = {
    [sym_expression] = STATE(5774),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_constant_type] = STATE(8331),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(4630),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [982] = {
    [sym_expression] = STATE(5952),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_constant_type] = STATE(7993),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(4630),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [983] = {
    [sym_expression] = STATE(5802),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(5212),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(5214),
    [anon_sym_dynamic] = ACTIONS(5216),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [984] = {
    [sym_expression] = STATE(5765),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(3321),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(3325),
    [anon_sym_dynamic] = ACTIONS(3327),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [985] = {
    [sym_expression] = STATE(5612),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_constant_type] = STATE(7883),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(4630),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [986] = {
    [sym_expression] = STATE(6035),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(5218),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(5220),
    [anon_sym_dynamic] = ACTIONS(5222),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [987] = {
    [sym_expression] = STATE(5779),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_constant_type] = STATE(7998),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(4630),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [988] = {
    [sym_expression] = STATE(6008),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_constant_type] = STATE(8269),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(4630),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [989] = {
    [sym_expression] = STATE(5696),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(5224),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(5226),
    [anon_sym_dynamic] = ACTIONS(5228),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [990] = {
    [sym_expression] = STATE(5800),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(3435),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(3439),
    [anon_sym_dynamic] = ACTIONS(3441),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [991] = {
    [sym_expression] = STATE(5609),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_constant_type] = STATE(7933),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(4630),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [992] = {
    [sym_expression] = STATE(5837),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(5230),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(5232),
    [anon_sym_dynamic] = ACTIONS(5234),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [993] = {
    [sym_expression] = STATE(5785),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_constant_type] = STATE(8259),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(4630),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [994] = {
    [sym_expression] = STATE(5720),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_constant_type] = STATE(8331),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(4630),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [995] = {
    [sym_expression] = STATE(5846),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(5236),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(5238),
    [anon_sym_dynamic] = ACTIONS(5240),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [996] = {
    [sym_expression] = STATE(5728),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(3465),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(3469),
    [anon_sym_dynamic] = ACTIONS(3471),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [997] = {
    [sym_expression] = STATE(5638),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_constant_type] = STATE(7938),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(4630),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [998] = {
    [sym_expression] = STATE(5746),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(5242),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(5244),
    [anon_sym_dynamic] = ACTIONS(5246),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [999] = {
    [sym_expression] = STATE(5789),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_constant_type] = STATE(8448),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(4630),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1000] = {
    [sym_expression] = STATE(5850),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_constant_type] = STATE(8159),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(4630),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1001] = {
    [sym_expression] = STATE(5751),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(5248),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(5250),
    [anon_sym_dynamic] = ACTIONS(5252),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1002] = {
    [sym_expression] = STATE(5773),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(3947),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(3951),
    [anon_sym_dynamic] = ACTIONS(3953),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1003] = {
    [sym_expression] = STATE(5627),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_constant_type] = STATE(7758),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(4630),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1004] = {
    [sym_expression] = STATE(5780),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(5254),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(5256),
    [anon_sym_dynamic] = ACTIONS(5258),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1005] = {
    [sym_expression] = STATE(5793),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_constant_type] = STATE(8227),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(4630),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1006] = {
    [sym_expression] = STATE(5654),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_constant_type] = STATE(7998),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(4630),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1007] = {
    [sym_expression] = STATE(5786),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(5260),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(5262),
    [anon_sym_dynamic] = ACTIONS(5264),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1008] = {
    [sym_expression] = STATE(5798),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(3499),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(3503),
    [anon_sym_dynamic] = ACTIONS(3505),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1009] = {
    [sym_expression] = STATE(5634),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_constant_type] = STATE(7844),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(4630),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1010] = {
    [sym_expression] = STATE(5806),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(5266),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(5268),
    [anon_sym_dynamic] = ACTIONS(5270),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1011] = {
    [sym_expression] = STATE(5796),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_constant_type] = STATE(8260),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(4630),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1012] = {
    [sym_expression] = STATE(5722),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_constant_type] = STATE(8162),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(4630),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1013] = {
    [sym_expression] = STATE(5809),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(5272),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(5274),
    [anon_sym_dynamic] = ACTIONS(5276),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1014] = {
    [anon_sym_LBRACE] = ACTIONS(5278),
    [anon_sym_RBRACE] = ACTIONS(5278),
    [anon_sym_COMMA] = ACTIONS(5278),
    [anon_sym_COLON_COLON] = ACTIONS(5278),
    [anon_sym_DASH_GT] = ACTIONS(5278),
    [anon_sym_where] = ACTIONS(5278),
    [anon_sym_EQ] = ACTIONS(5280),
    [anon_sym_COLON_EQ] = ACTIONS(5278),
    [anon_sym_COLON] = ACTIONS(5280),
    [anon_sym_LPAREN] = ACTIONS(5278),
    [anon_sym_PLUS_EQ] = ACTIONS(5278),
    [anon_sym_DASH_EQ] = ACTIONS(5278),
    [anon_sym_STAR_EQ] = ACTIONS(5278),
    [anon_sym_SLASH_EQ] = ACTIONS(5278),
    [anon_sym_PERCENT_EQ] = ACTIONS(5278),
    [anon_sym_AMP_EQ] = ACTIONS(5278),
    [anon_sym_PIPE_EQ] = ACTIONS(5278),
    [anon_sym_CARET_EQ] = ACTIONS(5278),
    [anon_sym_LT_LT_EQ] = ACTIONS(5278),
    [anon_sym_GT_GT_EQ] = ACTIONS(5278),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5278),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5278),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5278),
    [anon_sym_if] = ACTIONS(5278),
    [anon_sym_SEMI] = ACTIONS(5278),
    [anon_sym_else] = ACTIONS(5278),
    [anon_sym_when] = ACTIONS(5278),
    [anon_sym_in] = ACTIONS(5278),
    [anon_sym_case] = ACTIONS(5278),
    [anon_sym_QMARK] = ACTIONS(5278),
    [anon_sym_PLUS] = ACTIONS(5280),
    [anon_sym_DASH] = ACTIONS(5280),
    [anon_sym_TILDE] = ACTIONS(5280),
    [anon_sym_AMP] = ACTIONS(5280),
    [anon_sym_PIPE_PIPE] = ACTIONS(5280),
    [anon_sym_or_else] = ACTIONS(5278),
    [anon_sym_AMP_AMP] = ACTIONS(5280),
    [anon_sym_GT] = ACTIONS(5280),
    [anon_sym_GT_EQ] = ACTIONS(5278),
    [anon_sym_LT_EQ] = ACTIONS(5278),
    [anon_sym_LT] = ACTIONS(5280),
    [anon_sym_EQ_EQ] = ACTIONS(5278),
    [anon_sym_BANG_EQ] = ACTIONS(5278),
    [anon_sym_TILDE_EQ] = ACTIONS(5278),
    [anon_sym_PIPE] = ACTIONS(5280),
    [anon_sym_AMP_TILDE] = ACTIONS(5280),
    [anon_sym_LT_LT] = ACTIONS(5280),
    [anon_sym_GT_GT] = ACTIONS(5280),
    [anon_sym_STAR] = ACTIONS(5280),
    [anon_sym_SLASH] = ACTIONS(5280),
    [anon_sym_PERCENT] = ACTIONS(5280),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5278),
    [anon_sym_DOT] = ACTIONS(5280),
    [anon_sym_LBRACK] = ACTIONS(5278),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5278),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5278),
    [anon_sym_not_in] = ACTIONS(5278),
    [anon_sym_or_return] = ACTIONS(5278),
    [anon_sym_or_continue] = ACTIONS(5278),
    [anon_sym_or_break] = ACTIONS(5278),
    [anon_sym_CARET] = ACTIONS(5280),
    [sym_uninitialized] = ACTIONS(5278),
    [sym_tag] = ACTIONS(5278),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5278),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1015] = {
    [sym_expression] = STATE(5828),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(4218),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(4222),
    [anon_sym_dynamic] = ACTIONS(4224),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1016] = {
    [sym_expression] = STATE(5643),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_constant_type] = STATE(7862),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(4630),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1017] = {
    [sym_expression] = STATE(5839),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(5282),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(5284),
    [anon_sym_dynamic] = ACTIONS(5286),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1018] = {
    [sym_expression] = STATE(5737),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_constant_type] = STATE(8121),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(4630),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1019] = {
    [sym_expression] = STATE(5845),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(5288),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(5290),
    [anon_sym_dynamic] = ACTIONS(5292),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1020] = {
    [sym_expression] = STATE(5883),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(3529),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(3533),
    [anon_sym_dynamic] = ACTIONS(3535),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1021] = {
    [sym_expression] = STATE(5885),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(5294),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(5296),
    [anon_sym_dynamic] = ACTIONS(5298),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1022] = {
    [sym_expression] = STATE(5723),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_constant_type] = STATE(7983),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(4630),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1023] = {
    [sym_expression] = STATE(5888),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(5300),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(5302),
    [anon_sym_dynamic] = ACTIONS(5304),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1024] = {
    [sym_expression] = STATE(5915),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(3589),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(3593),
    [anon_sym_dynamic] = ACTIONS(3595),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1025] = {
    [sym_expression] = STATE(5968),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(5306),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(5308),
    [anon_sym_dynamic] = ACTIONS(5310),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1026] = {
    [sym_expression] = STATE(5843),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_constant_type] = STATE(8033),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(4630),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1027] = {
    [sym_expression] = STATE(5976),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(5312),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(5314),
    [anon_sym_dynamic] = ACTIONS(5316),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1028] = {
    [sym_expression] = STATE(5994),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(3619),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(3623),
    [anon_sym_dynamic] = ACTIONS(3625),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1029] = {
    [sym_expression] = STATE(6012),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(5318),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(5320),
    [anon_sym_dynamic] = ACTIONS(5322),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1030] = {
    [sym_expression] = STATE(5725),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_constant_type] = STATE(8259),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(4630),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1031] = {
    [sym_expression] = STATE(6019),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(5324),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(5326),
    [anon_sym_dynamic] = ACTIONS(5328),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1032] = {
    [sym_expression] = STATE(6023),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(3649),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(3653),
    [anon_sym_dynamic] = ACTIONS(3655),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1033] = {
    [sym_expression] = STATE(6040),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(5330),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(5332),
    [anon_sym_dynamic] = ACTIONS(5334),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1034] = {
    [sym_expression] = STATE(5747),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_constant_type] = STATE(8461),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(4630),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1035] = {
    [sym_expression] = STATE(6050),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(5336),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(5338),
    [anon_sym_dynamic] = ACTIONS(5340),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1036] = {
    [sym_expression] = STATE(5656),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(3679),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(3683),
    [anon_sym_dynamic] = ACTIONS(3685),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1037] = {
    [sym_expression] = STATE(5658),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(5342),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(5344),
    [anon_sym_dynamic] = ACTIONS(5346),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1038] = {
    [sym_expression] = STATE(5782),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_constant_type] = STATE(8448),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(4630),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1039] = {
    [sym_expression] = STATE(5659),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(5348),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(5350),
    [anon_sym_dynamic] = ACTIONS(5352),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1040] = {
    [sym_expression] = STATE(5663),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(3559),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(3563),
    [anon_sym_dynamic] = ACTIONS(3565),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1041] = {
    [sym_expression] = STATE(5665),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(5354),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(5356),
    [anon_sym_dynamic] = ACTIONS(5358),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1042] = {
    [sym_expression] = STATE(5807),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_constant_type] = STATE(8227),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(4630),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1043] = {
    [sym_expression] = STATE(5666),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(5360),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(5362),
    [anon_sym_dynamic] = ACTIONS(5364),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1044] = {
    [sym_expression] = STATE(5668),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(3739),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(3743),
    [anon_sym_dynamic] = ACTIONS(3745),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1045] = {
    [sym_expression] = STATE(5670),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(5366),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(5368),
    [anon_sym_dynamic] = ACTIONS(5370),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1046] = {
    [sym_expression] = STATE(5841),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_constant_type] = STATE(8317),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(4630),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1047] = {
    [sym_expression] = STATE(5671),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(5372),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(5374),
    [anon_sym_dynamic] = ACTIONS(5376),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1048] = {
    [sym_expression] = STATE(5674),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(3769),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(3773),
    [anon_sym_dynamic] = ACTIONS(3775),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1049] = {
    [sym_expression] = STATE(5676),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(5378),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(5380),
    [anon_sym_dynamic] = ACTIONS(5382),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1050] = {
    [sym_expression] = STATE(5738),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_constant_type] = STATE(8382),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(4630),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1051] = {
    [sym_expression] = STATE(5677),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(5384),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(5386),
    [anon_sym_dynamic] = ACTIONS(5388),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1052] = {
    [sym_expression] = STATE(5679),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(3799),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(3803),
    [anon_sym_dynamic] = ACTIONS(3805),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1053] = {
    [sym_expression] = STATE(5681),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(5390),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(5392),
    [anon_sym_dynamic] = ACTIONS(5394),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1054] = {
    [sym_expression] = STATE(5749),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_constant_type] = STATE(8260),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(4630),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1055] = {
    [sym_expression] = STATE(5682),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(5396),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(5398),
    [anon_sym_dynamic] = ACTIONS(5400),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1056] = {
    [sym_expression] = STATE(5684),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(3709),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(3713),
    [anon_sym_dynamic] = ACTIONS(3715),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1057] = {
    [sym_expression] = STATE(5686),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(5402),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(5404),
    [anon_sym_dynamic] = ACTIONS(5406),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1058] = {
    [sym_expression] = STATE(5687),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(5408),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(5410),
    [anon_sym_dynamic] = ACTIONS(5412),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1059] = {
    [sym_expression] = STATE(5689),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(3829),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(3833),
    [anon_sym_dynamic] = ACTIONS(3835),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1060] = {
    [sym_expression] = STATE(5691),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(5414),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(5416),
    [anon_sym_dynamic] = ACTIONS(5418),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1061] = {
    [sym_expression] = STATE(5692),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(5420),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(5422),
    [anon_sym_dynamic] = ACTIONS(5424),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1062] = {
    [sym_expression] = STATE(5693),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(3849),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(3853),
    [anon_sym_dynamic] = ACTIONS(3855),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1063] = {
    [sym_expression] = STATE(5694),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(5426),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(5428),
    [anon_sym_dynamic] = ACTIONS(5430),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1064] = {
    [sym_expression] = STATE(5695),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(5432),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(5434),
    [anon_sym_dynamic] = ACTIONS(5436),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1065] = {
    [sym_procedure] = STATE(6447),
    [sym_expression] = STATE(4526),
    [sym__expression_no_tag] = STATE(4299),
    [sym_unary_expression] = STATE(4299),
    [sym_binary_expression] = STATE(4299),
    [sym_ternary_expression] = STATE(4299),
    [sym_call_expression] = STATE(4299),
    [sym_selector_call_expression] = STATE(4299),
    [sym_member_expression] = STATE(4299),
    [sym_index_expression] = STATE(4299),
    [sym_slice_expression] = STATE(4299),
    [sym_range_expression] = STATE(4299),
    [sym_cast_expression] = STATE(4299),
    [sym_in_expression] = STATE(4299),
    [sym_variadic_expression] = STATE(4299),
    [sym_parenthesized_expression] = STATE(4299),
    [sym_or_return_expression] = STATE(4299),
    [sym_or_continue_expression] = STATE(4299),
    [sym_or_break_expression] = STATE(4299),
    [sym_address] = STATE(4299),
    [sym_map_type] = STATE(4299),
    [sym_matrix_type] = STATE(4299),
    [sym_distinct_type] = STATE(4299),
    [sym_literal] = STATE(4299),
    [sym_struct] = STATE(4311),
    [sym_map] = STATE(3787),
    [sym_bit_set] = STATE(3787),
    [sym_matrix] = STATE(3787),
    [sym_string] = STATE(3787),
    [sym__string_literal] = STATE(3867),
    [sym__raw_string_literal] = STATE(3867),
    [sym_character] = STATE(3787),
    [sym_boolean] = STATE(3787),
    [sym_field_identifier] = STATE(7783),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_proc] = ACTIONS(585),
    [anon_sym_LPAREN] = ACTIONS(759),
    [anon_sym_QMARK] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(763),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(763),
    [anon_sym_BANG] = ACTIONS(763),
    [anon_sym_AMP] = ACTIONS(763),
    [anon_sym_DOT] = ACTIONS(765),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_cast] = ACTIONS(597),
    [anon_sym_transmute] = ACTIONS(597),
    [anon_sym_auto_cast] = ACTIONS(599),
    [anon_sym_DOT_DOT] = ACTIONS(2797),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(5438),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [1066] = {
    [sym_expression] = STATE(5698),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_constant_type] = STATE(8328),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(4630),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1067] = {
    [anon_sym_LBRACE] = ACTIONS(5440),
    [anon_sym_RBRACE] = ACTIONS(5440),
    [anon_sym_COMMA] = ACTIONS(5440),
    [anon_sym_COLON_COLON] = ACTIONS(5440),
    [anon_sym_DASH_GT] = ACTIONS(5440),
    [anon_sym_where] = ACTIONS(5440),
    [anon_sym_EQ] = ACTIONS(5442),
    [anon_sym_COLON_EQ] = ACTIONS(5440),
    [anon_sym_COLON] = ACTIONS(5442),
    [anon_sym_LPAREN] = ACTIONS(5440),
    [anon_sym_PLUS_EQ] = ACTIONS(5440),
    [anon_sym_DASH_EQ] = ACTIONS(5440),
    [anon_sym_STAR_EQ] = ACTIONS(5440),
    [anon_sym_SLASH_EQ] = ACTIONS(5440),
    [anon_sym_PERCENT_EQ] = ACTIONS(5440),
    [anon_sym_AMP_EQ] = ACTIONS(5440),
    [anon_sym_PIPE_EQ] = ACTIONS(5440),
    [anon_sym_CARET_EQ] = ACTIONS(5440),
    [anon_sym_LT_LT_EQ] = ACTIONS(5440),
    [anon_sym_GT_GT_EQ] = ACTIONS(5440),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5440),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5440),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5440),
    [anon_sym_if] = ACTIONS(5440),
    [anon_sym_SEMI] = ACTIONS(5440),
    [anon_sym_else] = ACTIONS(5440),
    [anon_sym_when] = ACTIONS(5440),
    [anon_sym_in] = ACTIONS(5440),
    [anon_sym_case] = ACTIONS(5440),
    [anon_sym_QMARK] = ACTIONS(5440),
    [anon_sym_PLUS] = ACTIONS(5442),
    [anon_sym_DASH] = ACTIONS(5442),
    [anon_sym_TILDE] = ACTIONS(5442),
    [anon_sym_AMP] = ACTIONS(5442),
    [anon_sym_PIPE_PIPE] = ACTIONS(5442),
    [anon_sym_or_else] = ACTIONS(5440),
    [anon_sym_AMP_AMP] = ACTIONS(5442),
    [anon_sym_GT] = ACTIONS(5442),
    [anon_sym_GT_EQ] = ACTIONS(5440),
    [anon_sym_LT_EQ] = ACTIONS(5440),
    [anon_sym_LT] = ACTIONS(5442),
    [anon_sym_EQ_EQ] = ACTIONS(5440),
    [anon_sym_BANG_EQ] = ACTIONS(5440),
    [anon_sym_TILDE_EQ] = ACTIONS(5440),
    [anon_sym_PIPE] = ACTIONS(5442),
    [anon_sym_AMP_TILDE] = ACTIONS(5442),
    [anon_sym_LT_LT] = ACTIONS(5442),
    [anon_sym_GT_GT] = ACTIONS(5442),
    [anon_sym_STAR] = ACTIONS(5442),
    [anon_sym_SLASH] = ACTIONS(5442),
    [anon_sym_PERCENT] = ACTIONS(5442),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5440),
    [anon_sym_DOT] = ACTIONS(5442),
    [anon_sym_LBRACK] = ACTIONS(5440),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5440),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5440),
    [anon_sym_not_in] = ACTIONS(5440),
    [anon_sym_or_return] = ACTIONS(5440),
    [anon_sym_or_continue] = ACTIONS(5440),
    [anon_sym_or_break] = ACTIONS(5440),
    [anon_sym_CARET] = ACTIONS(5442),
    [sym_uninitialized] = ACTIONS(5440),
    [sym_tag] = ACTIONS(5440),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5440),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1068] = {
    [sym_expression] = STATE(5700),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_constant_type] = STATE(8080),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(4630),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1069] = {
    [anon_sym_LBRACE] = ACTIONS(5444),
    [anon_sym_RBRACE] = ACTIONS(5444),
    [anon_sym_COMMA] = ACTIONS(5444),
    [anon_sym_COLON_COLON] = ACTIONS(5444),
    [anon_sym_DASH_GT] = ACTIONS(5444),
    [anon_sym_where] = ACTIONS(5444),
    [anon_sym_EQ] = ACTIONS(5446),
    [anon_sym_COLON_EQ] = ACTIONS(5444),
    [anon_sym_COLON] = ACTIONS(5446),
    [anon_sym_LPAREN] = ACTIONS(5444),
    [anon_sym_PLUS_EQ] = ACTIONS(5444),
    [anon_sym_DASH_EQ] = ACTIONS(5444),
    [anon_sym_STAR_EQ] = ACTIONS(5444),
    [anon_sym_SLASH_EQ] = ACTIONS(5444),
    [anon_sym_PERCENT_EQ] = ACTIONS(5444),
    [anon_sym_AMP_EQ] = ACTIONS(5444),
    [anon_sym_PIPE_EQ] = ACTIONS(5444),
    [anon_sym_CARET_EQ] = ACTIONS(5444),
    [anon_sym_LT_LT_EQ] = ACTIONS(5444),
    [anon_sym_GT_GT_EQ] = ACTIONS(5444),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5444),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5444),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5444),
    [anon_sym_if] = ACTIONS(5444),
    [anon_sym_SEMI] = ACTIONS(5444),
    [anon_sym_else] = ACTIONS(5444),
    [anon_sym_when] = ACTIONS(5444),
    [anon_sym_in] = ACTIONS(5444),
    [anon_sym_case] = ACTIONS(5444),
    [anon_sym_QMARK] = ACTIONS(5444),
    [anon_sym_PLUS] = ACTIONS(5446),
    [anon_sym_DASH] = ACTIONS(5446),
    [anon_sym_TILDE] = ACTIONS(5446),
    [anon_sym_AMP] = ACTIONS(5446),
    [anon_sym_PIPE_PIPE] = ACTIONS(5446),
    [anon_sym_or_else] = ACTIONS(5444),
    [anon_sym_AMP_AMP] = ACTIONS(5446),
    [anon_sym_GT] = ACTIONS(5446),
    [anon_sym_GT_EQ] = ACTIONS(5444),
    [anon_sym_LT_EQ] = ACTIONS(5444),
    [anon_sym_LT] = ACTIONS(5446),
    [anon_sym_EQ_EQ] = ACTIONS(5444),
    [anon_sym_BANG_EQ] = ACTIONS(5444),
    [anon_sym_TILDE_EQ] = ACTIONS(5444),
    [anon_sym_PIPE] = ACTIONS(5446),
    [anon_sym_AMP_TILDE] = ACTIONS(5446),
    [anon_sym_LT_LT] = ACTIONS(5446),
    [anon_sym_GT_GT] = ACTIONS(5446),
    [anon_sym_STAR] = ACTIONS(5446),
    [anon_sym_SLASH] = ACTIONS(5446),
    [anon_sym_PERCENT] = ACTIONS(5446),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5444),
    [anon_sym_DOT] = ACTIONS(5446),
    [anon_sym_LBRACK] = ACTIONS(5444),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5444),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5444),
    [anon_sym_not_in] = ACTIONS(5444),
    [anon_sym_or_return] = ACTIONS(5444),
    [anon_sym_or_continue] = ACTIONS(5444),
    [anon_sym_or_break] = ACTIONS(5444),
    [anon_sym_CARET] = ACTIONS(5446),
    [sym_uninitialized] = ACTIONS(5444),
    [sym_tag] = ACTIONS(5444),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5444),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1070] = {
    [anon_sym_LBRACE] = ACTIONS(5448),
    [anon_sym_RBRACE] = ACTIONS(5448),
    [anon_sym_COMMA] = ACTIONS(5448),
    [anon_sym_COLON_COLON] = ACTIONS(5448),
    [anon_sym_DASH_GT] = ACTIONS(5448),
    [anon_sym_where] = ACTIONS(5448),
    [anon_sym_EQ] = ACTIONS(5450),
    [anon_sym_COLON_EQ] = ACTIONS(5448),
    [anon_sym_COLON] = ACTIONS(5450),
    [anon_sym_LPAREN] = ACTIONS(5448),
    [anon_sym_PLUS_EQ] = ACTIONS(5448),
    [anon_sym_DASH_EQ] = ACTIONS(5448),
    [anon_sym_STAR_EQ] = ACTIONS(5448),
    [anon_sym_SLASH_EQ] = ACTIONS(5448),
    [anon_sym_PERCENT_EQ] = ACTIONS(5448),
    [anon_sym_AMP_EQ] = ACTIONS(5448),
    [anon_sym_PIPE_EQ] = ACTIONS(5448),
    [anon_sym_CARET_EQ] = ACTIONS(5448),
    [anon_sym_LT_LT_EQ] = ACTIONS(5448),
    [anon_sym_GT_GT_EQ] = ACTIONS(5448),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5448),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5448),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5448),
    [anon_sym_if] = ACTIONS(5448),
    [anon_sym_SEMI] = ACTIONS(5448),
    [anon_sym_else] = ACTIONS(5448),
    [anon_sym_when] = ACTIONS(5448),
    [anon_sym_in] = ACTIONS(5448),
    [anon_sym_case] = ACTIONS(5448),
    [anon_sym_QMARK] = ACTIONS(5448),
    [anon_sym_PLUS] = ACTIONS(5450),
    [anon_sym_DASH] = ACTIONS(5450),
    [anon_sym_TILDE] = ACTIONS(5450),
    [anon_sym_AMP] = ACTIONS(5450),
    [anon_sym_PIPE_PIPE] = ACTIONS(5450),
    [anon_sym_or_else] = ACTIONS(5448),
    [anon_sym_AMP_AMP] = ACTIONS(5450),
    [anon_sym_GT] = ACTIONS(5450),
    [anon_sym_GT_EQ] = ACTIONS(5448),
    [anon_sym_LT_EQ] = ACTIONS(5448),
    [anon_sym_LT] = ACTIONS(5450),
    [anon_sym_EQ_EQ] = ACTIONS(5448),
    [anon_sym_BANG_EQ] = ACTIONS(5448),
    [anon_sym_TILDE_EQ] = ACTIONS(5448),
    [anon_sym_PIPE] = ACTIONS(5450),
    [anon_sym_AMP_TILDE] = ACTIONS(5450),
    [anon_sym_LT_LT] = ACTIONS(5450),
    [anon_sym_GT_GT] = ACTIONS(5450),
    [anon_sym_STAR] = ACTIONS(5450),
    [anon_sym_SLASH] = ACTIONS(5450),
    [anon_sym_PERCENT] = ACTIONS(5450),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5448),
    [anon_sym_DOT] = ACTIONS(5450),
    [anon_sym_LBRACK] = ACTIONS(5448),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5448),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5448),
    [anon_sym_not_in] = ACTIONS(5448),
    [anon_sym_or_return] = ACTIONS(5448),
    [anon_sym_or_continue] = ACTIONS(5448),
    [anon_sym_or_break] = ACTIONS(5448),
    [anon_sym_CARET] = ACTIONS(5450),
    [sym_uninitialized] = ACTIONS(5448),
    [sym_tag] = ACTIONS(5448),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5448),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1071] = {
    [anon_sym_LBRACE] = ACTIONS(5452),
    [anon_sym_RBRACE] = ACTIONS(5452),
    [anon_sym_COMMA] = ACTIONS(5452),
    [anon_sym_COLON_COLON] = ACTIONS(5452),
    [anon_sym_DASH_GT] = ACTIONS(5452),
    [anon_sym_where] = ACTIONS(5452),
    [anon_sym_EQ] = ACTIONS(5454),
    [anon_sym_COLON_EQ] = ACTIONS(5452),
    [anon_sym_COLON] = ACTIONS(5454),
    [anon_sym_LPAREN] = ACTIONS(5452),
    [anon_sym_PLUS_EQ] = ACTIONS(5452),
    [anon_sym_DASH_EQ] = ACTIONS(5452),
    [anon_sym_STAR_EQ] = ACTIONS(5452),
    [anon_sym_SLASH_EQ] = ACTIONS(5452),
    [anon_sym_PERCENT_EQ] = ACTIONS(5452),
    [anon_sym_AMP_EQ] = ACTIONS(5452),
    [anon_sym_PIPE_EQ] = ACTIONS(5452),
    [anon_sym_CARET_EQ] = ACTIONS(5452),
    [anon_sym_LT_LT_EQ] = ACTIONS(5452),
    [anon_sym_GT_GT_EQ] = ACTIONS(5452),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5452),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5452),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5452),
    [anon_sym_if] = ACTIONS(5452),
    [anon_sym_SEMI] = ACTIONS(5452),
    [anon_sym_else] = ACTIONS(5452),
    [anon_sym_when] = ACTIONS(5452),
    [anon_sym_in] = ACTIONS(5452),
    [anon_sym_case] = ACTIONS(5452),
    [anon_sym_QMARK] = ACTIONS(5452),
    [anon_sym_PLUS] = ACTIONS(5454),
    [anon_sym_DASH] = ACTIONS(5454),
    [anon_sym_TILDE] = ACTIONS(5454),
    [anon_sym_AMP] = ACTIONS(5454),
    [anon_sym_PIPE_PIPE] = ACTIONS(5454),
    [anon_sym_or_else] = ACTIONS(5452),
    [anon_sym_AMP_AMP] = ACTIONS(5454),
    [anon_sym_GT] = ACTIONS(5454),
    [anon_sym_GT_EQ] = ACTIONS(5452),
    [anon_sym_LT_EQ] = ACTIONS(5452),
    [anon_sym_LT] = ACTIONS(5454),
    [anon_sym_EQ_EQ] = ACTIONS(5452),
    [anon_sym_BANG_EQ] = ACTIONS(5452),
    [anon_sym_TILDE_EQ] = ACTIONS(5452),
    [anon_sym_PIPE] = ACTIONS(5454),
    [anon_sym_AMP_TILDE] = ACTIONS(5454),
    [anon_sym_LT_LT] = ACTIONS(5454),
    [anon_sym_GT_GT] = ACTIONS(5454),
    [anon_sym_STAR] = ACTIONS(5454),
    [anon_sym_SLASH] = ACTIONS(5454),
    [anon_sym_PERCENT] = ACTIONS(5454),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5452),
    [anon_sym_DOT] = ACTIONS(5454),
    [anon_sym_LBRACK] = ACTIONS(5452),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5452),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5452),
    [anon_sym_not_in] = ACTIONS(5452),
    [anon_sym_or_return] = ACTIONS(5452),
    [anon_sym_or_continue] = ACTIONS(5452),
    [anon_sym_or_break] = ACTIONS(5452),
    [anon_sym_CARET] = ACTIONS(5454),
    [sym_uninitialized] = ACTIONS(5452),
    [sym_tag] = ACTIONS(5452),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5452),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1072] = {
    [anon_sym_LBRACE] = ACTIONS(5456),
    [anon_sym_RBRACE] = ACTIONS(5456),
    [anon_sym_COMMA] = ACTIONS(5456),
    [anon_sym_COLON_COLON] = ACTIONS(5456),
    [anon_sym_DASH_GT] = ACTIONS(5456),
    [anon_sym_where] = ACTIONS(5456),
    [anon_sym_EQ] = ACTIONS(5458),
    [anon_sym_COLON_EQ] = ACTIONS(5456),
    [anon_sym_COLON] = ACTIONS(5458),
    [anon_sym_LPAREN] = ACTIONS(5456),
    [anon_sym_PLUS_EQ] = ACTIONS(5456),
    [anon_sym_DASH_EQ] = ACTIONS(5456),
    [anon_sym_STAR_EQ] = ACTIONS(5456),
    [anon_sym_SLASH_EQ] = ACTIONS(5456),
    [anon_sym_PERCENT_EQ] = ACTIONS(5456),
    [anon_sym_AMP_EQ] = ACTIONS(5456),
    [anon_sym_PIPE_EQ] = ACTIONS(5456),
    [anon_sym_CARET_EQ] = ACTIONS(5456),
    [anon_sym_LT_LT_EQ] = ACTIONS(5456),
    [anon_sym_GT_GT_EQ] = ACTIONS(5456),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5456),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5456),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5456),
    [anon_sym_if] = ACTIONS(5456),
    [anon_sym_SEMI] = ACTIONS(5456),
    [anon_sym_else] = ACTIONS(5456),
    [anon_sym_when] = ACTIONS(5456),
    [anon_sym_in] = ACTIONS(5456),
    [anon_sym_case] = ACTIONS(5456),
    [anon_sym_QMARK] = ACTIONS(5456),
    [anon_sym_PLUS] = ACTIONS(5458),
    [anon_sym_DASH] = ACTIONS(5458),
    [anon_sym_TILDE] = ACTIONS(5458),
    [anon_sym_AMP] = ACTIONS(5458),
    [anon_sym_PIPE_PIPE] = ACTIONS(5458),
    [anon_sym_or_else] = ACTIONS(5456),
    [anon_sym_AMP_AMP] = ACTIONS(5458),
    [anon_sym_GT] = ACTIONS(5458),
    [anon_sym_GT_EQ] = ACTIONS(5456),
    [anon_sym_LT_EQ] = ACTIONS(5456),
    [anon_sym_LT] = ACTIONS(5458),
    [anon_sym_EQ_EQ] = ACTIONS(5456),
    [anon_sym_BANG_EQ] = ACTIONS(5456),
    [anon_sym_TILDE_EQ] = ACTIONS(5456),
    [anon_sym_PIPE] = ACTIONS(5458),
    [anon_sym_AMP_TILDE] = ACTIONS(5458),
    [anon_sym_LT_LT] = ACTIONS(5458),
    [anon_sym_GT_GT] = ACTIONS(5458),
    [anon_sym_STAR] = ACTIONS(5458),
    [anon_sym_SLASH] = ACTIONS(5458),
    [anon_sym_PERCENT] = ACTIONS(5458),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5456),
    [anon_sym_DOT] = ACTIONS(5458),
    [anon_sym_LBRACK] = ACTIONS(5456),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5456),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5456),
    [anon_sym_not_in] = ACTIONS(5456),
    [anon_sym_or_return] = ACTIONS(5456),
    [anon_sym_or_continue] = ACTIONS(5456),
    [anon_sym_or_break] = ACTIONS(5456),
    [anon_sym_CARET] = ACTIONS(5458),
    [sym_uninitialized] = ACTIONS(5456),
    [sym_tag] = ACTIONS(5456),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5456),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1073] = {
    [anon_sym_LBRACE] = ACTIONS(5460),
    [anon_sym_RBRACE] = ACTIONS(5460),
    [anon_sym_COMMA] = ACTIONS(5460),
    [anon_sym_COLON_COLON] = ACTIONS(5460),
    [anon_sym_DASH_GT] = ACTIONS(5460),
    [anon_sym_where] = ACTIONS(5460),
    [anon_sym_EQ] = ACTIONS(5462),
    [anon_sym_COLON_EQ] = ACTIONS(5460),
    [anon_sym_COLON] = ACTIONS(5462),
    [anon_sym_LPAREN] = ACTIONS(5460),
    [anon_sym_PLUS_EQ] = ACTIONS(5460),
    [anon_sym_DASH_EQ] = ACTIONS(5460),
    [anon_sym_STAR_EQ] = ACTIONS(5460),
    [anon_sym_SLASH_EQ] = ACTIONS(5460),
    [anon_sym_PERCENT_EQ] = ACTIONS(5460),
    [anon_sym_AMP_EQ] = ACTIONS(5460),
    [anon_sym_PIPE_EQ] = ACTIONS(5460),
    [anon_sym_CARET_EQ] = ACTIONS(5460),
    [anon_sym_LT_LT_EQ] = ACTIONS(5460),
    [anon_sym_GT_GT_EQ] = ACTIONS(5460),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5460),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5460),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5460),
    [anon_sym_if] = ACTIONS(5460),
    [anon_sym_SEMI] = ACTIONS(5460),
    [anon_sym_else] = ACTIONS(5460),
    [anon_sym_when] = ACTIONS(5460),
    [anon_sym_in] = ACTIONS(5460),
    [anon_sym_case] = ACTIONS(5460),
    [anon_sym_QMARK] = ACTIONS(5460),
    [anon_sym_PLUS] = ACTIONS(5462),
    [anon_sym_DASH] = ACTIONS(5462),
    [anon_sym_TILDE] = ACTIONS(5462),
    [anon_sym_AMP] = ACTIONS(5462),
    [anon_sym_PIPE_PIPE] = ACTIONS(5462),
    [anon_sym_or_else] = ACTIONS(5460),
    [anon_sym_AMP_AMP] = ACTIONS(5462),
    [anon_sym_GT] = ACTIONS(5462),
    [anon_sym_GT_EQ] = ACTIONS(5460),
    [anon_sym_LT_EQ] = ACTIONS(5460),
    [anon_sym_LT] = ACTIONS(5462),
    [anon_sym_EQ_EQ] = ACTIONS(5460),
    [anon_sym_BANG_EQ] = ACTIONS(5460),
    [anon_sym_TILDE_EQ] = ACTIONS(5460),
    [anon_sym_PIPE] = ACTIONS(5462),
    [anon_sym_AMP_TILDE] = ACTIONS(5462),
    [anon_sym_LT_LT] = ACTIONS(5462),
    [anon_sym_GT_GT] = ACTIONS(5462),
    [anon_sym_STAR] = ACTIONS(5462),
    [anon_sym_SLASH] = ACTIONS(5462),
    [anon_sym_PERCENT] = ACTIONS(5462),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5460),
    [anon_sym_DOT] = ACTIONS(5462),
    [anon_sym_LBRACK] = ACTIONS(5460),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5460),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5460),
    [anon_sym_not_in] = ACTIONS(5460),
    [anon_sym_or_return] = ACTIONS(5460),
    [anon_sym_or_continue] = ACTIONS(5460),
    [anon_sym_or_break] = ACTIONS(5460),
    [anon_sym_CARET] = ACTIONS(5462),
    [sym_uninitialized] = ACTIONS(5460),
    [sym_tag] = ACTIONS(5460),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5460),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1074] = {
    [anon_sym_LBRACE] = ACTIONS(5464),
    [anon_sym_RBRACE] = ACTIONS(5464),
    [anon_sym_COMMA] = ACTIONS(5464),
    [anon_sym_COLON_COLON] = ACTIONS(5464),
    [anon_sym_DASH_GT] = ACTIONS(5464),
    [anon_sym_where] = ACTIONS(5464),
    [anon_sym_EQ] = ACTIONS(5466),
    [anon_sym_COLON_EQ] = ACTIONS(5464),
    [anon_sym_COLON] = ACTIONS(5466),
    [anon_sym_LPAREN] = ACTIONS(5464),
    [anon_sym_PLUS_EQ] = ACTIONS(5464),
    [anon_sym_DASH_EQ] = ACTIONS(5464),
    [anon_sym_STAR_EQ] = ACTIONS(5464),
    [anon_sym_SLASH_EQ] = ACTIONS(5464),
    [anon_sym_PERCENT_EQ] = ACTIONS(5464),
    [anon_sym_AMP_EQ] = ACTIONS(5464),
    [anon_sym_PIPE_EQ] = ACTIONS(5464),
    [anon_sym_CARET_EQ] = ACTIONS(5464),
    [anon_sym_LT_LT_EQ] = ACTIONS(5464),
    [anon_sym_GT_GT_EQ] = ACTIONS(5464),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5464),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5464),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5464),
    [anon_sym_if] = ACTIONS(5464),
    [anon_sym_SEMI] = ACTIONS(5464),
    [anon_sym_else] = ACTIONS(5464),
    [anon_sym_when] = ACTIONS(5464),
    [anon_sym_in] = ACTIONS(5464),
    [anon_sym_case] = ACTIONS(5464),
    [anon_sym_QMARK] = ACTIONS(5464),
    [anon_sym_PLUS] = ACTIONS(5466),
    [anon_sym_DASH] = ACTIONS(5466),
    [anon_sym_TILDE] = ACTIONS(5466),
    [anon_sym_AMP] = ACTIONS(5466),
    [anon_sym_PIPE_PIPE] = ACTIONS(5466),
    [anon_sym_or_else] = ACTIONS(5464),
    [anon_sym_AMP_AMP] = ACTIONS(5466),
    [anon_sym_GT] = ACTIONS(5466),
    [anon_sym_GT_EQ] = ACTIONS(5464),
    [anon_sym_LT_EQ] = ACTIONS(5464),
    [anon_sym_LT] = ACTIONS(5466),
    [anon_sym_EQ_EQ] = ACTIONS(5464),
    [anon_sym_BANG_EQ] = ACTIONS(5464),
    [anon_sym_TILDE_EQ] = ACTIONS(5464),
    [anon_sym_PIPE] = ACTIONS(5466),
    [anon_sym_AMP_TILDE] = ACTIONS(5466),
    [anon_sym_LT_LT] = ACTIONS(5466),
    [anon_sym_GT_GT] = ACTIONS(5466),
    [anon_sym_STAR] = ACTIONS(5466),
    [anon_sym_SLASH] = ACTIONS(5466),
    [anon_sym_PERCENT] = ACTIONS(5466),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5464),
    [anon_sym_DOT] = ACTIONS(5466),
    [anon_sym_LBRACK] = ACTIONS(5464),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5464),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5464),
    [anon_sym_not_in] = ACTIONS(5464),
    [anon_sym_or_return] = ACTIONS(5464),
    [anon_sym_or_continue] = ACTIONS(5464),
    [anon_sym_or_break] = ACTIONS(5464),
    [anon_sym_CARET] = ACTIONS(5466),
    [sym_uninitialized] = ACTIONS(5464),
    [sym_tag] = ACTIONS(5464),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5464),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1075] = {
    [anon_sym_LBRACE] = ACTIONS(5468),
    [anon_sym_RBRACE] = ACTIONS(5468),
    [anon_sym_COMMA] = ACTIONS(5468),
    [anon_sym_COLON_COLON] = ACTIONS(5468),
    [anon_sym_DASH_GT] = ACTIONS(5468),
    [anon_sym_where] = ACTIONS(5468),
    [anon_sym_EQ] = ACTIONS(5470),
    [anon_sym_COLON_EQ] = ACTIONS(5468),
    [anon_sym_COLON] = ACTIONS(5470),
    [anon_sym_LPAREN] = ACTIONS(5468),
    [anon_sym_PLUS_EQ] = ACTIONS(5468),
    [anon_sym_DASH_EQ] = ACTIONS(5468),
    [anon_sym_STAR_EQ] = ACTIONS(5468),
    [anon_sym_SLASH_EQ] = ACTIONS(5468),
    [anon_sym_PERCENT_EQ] = ACTIONS(5468),
    [anon_sym_AMP_EQ] = ACTIONS(5468),
    [anon_sym_PIPE_EQ] = ACTIONS(5468),
    [anon_sym_CARET_EQ] = ACTIONS(5468),
    [anon_sym_LT_LT_EQ] = ACTIONS(5468),
    [anon_sym_GT_GT_EQ] = ACTIONS(5468),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5468),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5468),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5468),
    [anon_sym_if] = ACTIONS(5468),
    [anon_sym_SEMI] = ACTIONS(5468),
    [anon_sym_else] = ACTIONS(5468),
    [anon_sym_when] = ACTIONS(5468),
    [anon_sym_in] = ACTIONS(5468),
    [anon_sym_case] = ACTIONS(5468),
    [anon_sym_QMARK] = ACTIONS(5468),
    [anon_sym_PLUS] = ACTIONS(5470),
    [anon_sym_DASH] = ACTIONS(5470),
    [anon_sym_TILDE] = ACTIONS(5470),
    [anon_sym_AMP] = ACTIONS(5470),
    [anon_sym_PIPE_PIPE] = ACTIONS(5470),
    [anon_sym_or_else] = ACTIONS(5468),
    [anon_sym_AMP_AMP] = ACTIONS(5470),
    [anon_sym_GT] = ACTIONS(5470),
    [anon_sym_GT_EQ] = ACTIONS(5468),
    [anon_sym_LT_EQ] = ACTIONS(5468),
    [anon_sym_LT] = ACTIONS(5470),
    [anon_sym_EQ_EQ] = ACTIONS(5468),
    [anon_sym_BANG_EQ] = ACTIONS(5468),
    [anon_sym_TILDE_EQ] = ACTIONS(5468),
    [anon_sym_PIPE] = ACTIONS(5470),
    [anon_sym_AMP_TILDE] = ACTIONS(5470),
    [anon_sym_LT_LT] = ACTIONS(5470),
    [anon_sym_GT_GT] = ACTIONS(5470),
    [anon_sym_STAR] = ACTIONS(5470),
    [anon_sym_SLASH] = ACTIONS(5470),
    [anon_sym_PERCENT] = ACTIONS(5470),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5468),
    [anon_sym_DOT] = ACTIONS(5470),
    [anon_sym_LBRACK] = ACTIONS(5468),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5468),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5468),
    [anon_sym_not_in] = ACTIONS(5468),
    [anon_sym_or_return] = ACTIONS(5468),
    [anon_sym_or_continue] = ACTIONS(5468),
    [anon_sym_or_break] = ACTIONS(5468),
    [anon_sym_CARET] = ACTIONS(5470),
    [sym_uninitialized] = ACTIONS(5468),
    [sym_tag] = ACTIONS(5468),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5468),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1076] = {
    [anon_sym_LBRACE] = ACTIONS(5472),
    [anon_sym_RBRACE] = ACTIONS(5472),
    [anon_sym_COMMA] = ACTIONS(5472),
    [anon_sym_COLON_COLON] = ACTIONS(5472),
    [anon_sym_DASH_GT] = ACTIONS(5472),
    [anon_sym_where] = ACTIONS(5472),
    [anon_sym_EQ] = ACTIONS(5474),
    [anon_sym_COLON_EQ] = ACTIONS(5472),
    [anon_sym_COLON] = ACTIONS(5474),
    [anon_sym_LPAREN] = ACTIONS(5472),
    [anon_sym_PLUS_EQ] = ACTIONS(5472),
    [anon_sym_DASH_EQ] = ACTIONS(5472),
    [anon_sym_STAR_EQ] = ACTIONS(5472),
    [anon_sym_SLASH_EQ] = ACTIONS(5472),
    [anon_sym_PERCENT_EQ] = ACTIONS(5472),
    [anon_sym_AMP_EQ] = ACTIONS(5472),
    [anon_sym_PIPE_EQ] = ACTIONS(5472),
    [anon_sym_CARET_EQ] = ACTIONS(5472),
    [anon_sym_LT_LT_EQ] = ACTIONS(5472),
    [anon_sym_GT_GT_EQ] = ACTIONS(5472),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5472),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5472),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5472),
    [anon_sym_if] = ACTIONS(5472),
    [anon_sym_SEMI] = ACTIONS(5472),
    [anon_sym_else] = ACTIONS(5472),
    [anon_sym_when] = ACTIONS(5472),
    [anon_sym_in] = ACTIONS(5472),
    [anon_sym_case] = ACTIONS(5472),
    [anon_sym_QMARK] = ACTIONS(5472),
    [anon_sym_PLUS] = ACTIONS(5474),
    [anon_sym_DASH] = ACTIONS(5474),
    [anon_sym_TILDE] = ACTIONS(5474),
    [anon_sym_AMP] = ACTIONS(5474),
    [anon_sym_PIPE_PIPE] = ACTIONS(5474),
    [anon_sym_or_else] = ACTIONS(5472),
    [anon_sym_AMP_AMP] = ACTIONS(5474),
    [anon_sym_GT] = ACTIONS(5474),
    [anon_sym_GT_EQ] = ACTIONS(5472),
    [anon_sym_LT_EQ] = ACTIONS(5472),
    [anon_sym_LT] = ACTIONS(5474),
    [anon_sym_EQ_EQ] = ACTIONS(5472),
    [anon_sym_BANG_EQ] = ACTIONS(5472),
    [anon_sym_TILDE_EQ] = ACTIONS(5472),
    [anon_sym_PIPE] = ACTIONS(5474),
    [anon_sym_AMP_TILDE] = ACTIONS(5474),
    [anon_sym_LT_LT] = ACTIONS(5474),
    [anon_sym_GT_GT] = ACTIONS(5474),
    [anon_sym_STAR] = ACTIONS(5474),
    [anon_sym_SLASH] = ACTIONS(5474),
    [anon_sym_PERCENT] = ACTIONS(5474),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5472),
    [anon_sym_DOT] = ACTIONS(5474),
    [anon_sym_LBRACK] = ACTIONS(5472),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5472),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5472),
    [anon_sym_not_in] = ACTIONS(5472),
    [anon_sym_or_return] = ACTIONS(5472),
    [anon_sym_or_continue] = ACTIONS(5472),
    [anon_sym_or_break] = ACTIONS(5472),
    [anon_sym_CARET] = ACTIONS(5474),
    [sym_uninitialized] = ACTIONS(5472),
    [sym_tag] = ACTIONS(5472),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5472),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1077] = {
    [anon_sym_LBRACE] = ACTIONS(5476),
    [anon_sym_RBRACE] = ACTIONS(5476),
    [anon_sym_COMMA] = ACTIONS(5476),
    [anon_sym_COLON_COLON] = ACTIONS(5476),
    [anon_sym_DASH_GT] = ACTIONS(4428),
    [anon_sym_where] = ACTIONS(5476),
    [anon_sym_EQ] = ACTIONS(5478),
    [anon_sym_COLON_EQ] = ACTIONS(5476),
    [anon_sym_COLON] = ACTIONS(5478),
    [anon_sym_LPAREN] = ACTIONS(5476),
    [anon_sym_PLUS_EQ] = ACTIONS(5476),
    [anon_sym_DASH_EQ] = ACTIONS(5476),
    [anon_sym_STAR_EQ] = ACTIONS(5476),
    [anon_sym_SLASH_EQ] = ACTIONS(5476),
    [anon_sym_PERCENT_EQ] = ACTIONS(5476),
    [anon_sym_AMP_EQ] = ACTIONS(5476),
    [anon_sym_PIPE_EQ] = ACTIONS(5476),
    [anon_sym_CARET_EQ] = ACTIONS(5476),
    [anon_sym_LT_LT_EQ] = ACTIONS(5476),
    [anon_sym_GT_GT_EQ] = ACTIONS(5476),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5476),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5476),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5476),
    [anon_sym_if] = ACTIONS(5476),
    [anon_sym_SEMI] = ACTIONS(5476),
    [anon_sym_else] = ACTIONS(5476),
    [anon_sym_when] = ACTIONS(5476),
    [anon_sym_in] = ACTIONS(5480),
    [anon_sym_case] = ACTIONS(5476),
    [anon_sym_QMARK] = ACTIONS(5476),
    [anon_sym_PLUS] = ACTIONS(4432),
    [anon_sym_DASH] = ACTIONS(4432),
    [anon_sym_TILDE] = ACTIONS(4434),
    [anon_sym_AMP] = ACTIONS(4436),
    [anon_sym_PIPE_PIPE] = ACTIONS(4438),
    [anon_sym_or_else] = ACTIONS(4440),
    [anon_sym_AMP_AMP] = ACTIONS(4442),
    [anon_sym_GT] = ACTIONS(4444),
    [anon_sym_GT_EQ] = ACTIONS(4446),
    [anon_sym_LT_EQ] = ACTIONS(4446),
    [anon_sym_LT] = ACTIONS(4444),
    [anon_sym_EQ_EQ] = ACTIONS(4448),
    [anon_sym_BANG_EQ] = ACTIONS(4448),
    [anon_sym_TILDE_EQ] = ACTIONS(4448),
    [anon_sym_PIPE] = ACTIONS(4450),
    [anon_sym_AMP_TILDE] = ACTIONS(4452),
    [anon_sym_LT_LT] = ACTIONS(4454),
    [anon_sym_GT_GT] = ACTIONS(4454),
    [anon_sym_STAR] = ACTIONS(4456),
    [anon_sym_SLASH] = ACTIONS(4456),
    [anon_sym_PERCENT] = ACTIONS(4456),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4458),
    [anon_sym_DOT] = ACTIONS(4460),
    [anon_sym_LBRACK] = ACTIONS(4462),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4464),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4464),
    [anon_sym_not_in] = ACTIONS(5480),
    [anon_sym_or_return] = ACTIONS(4466),
    [anon_sym_or_continue] = ACTIONS(4468),
    [anon_sym_or_break] = ACTIONS(4470),
    [anon_sym_CARET] = ACTIONS(4472),
    [sym_uninitialized] = ACTIONS(5476),
    [sym_tag] = ACTIONS(5476),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5476),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1078] = {
    [anon_sym_LBRACE] = ACTIONS(5482),
    [anon_sym_RBRACE] = ACTIONS(5482),
    [anon_sym_COMMA] = ACTIONS(5482),
    [anon_sym_COLON_COLON] = ACTIONS(5482),
    [anon_sym_DASH_GT] = ACTIONS(4428),
    [anon_sym_where] = ACTIONS(5482),
    [anon_sym_EQ] = ACTIONS(5484),
    [anon_sym_COLON_EQ] = ACTIONS(5482),
    [anon_sym_COLON] = ACTIONS(5484),
    [anon_sym_LPAREN] = ACTIONS(5482),
    [anon_sym_PLUS_EQ] = ACTIONS(5482),
    [anon_sym_DASH_EQ] = ACTIONS(5482),
    [anon_sym_STAR_EQ] = ACTIONS(5482),
    [anon_sym_SLASH_EQ] = ACTIONS(5482),
    [anon_sym_PERCENT_EQ] = ACTIONS(5482),
    [anon_sym_AMP_EQ] = ACTIONS(5482),
    [anon_sym_PIPE_EQ] = ACTIONS(5482),
    [anon_sym_CARET_EQ] = ACTIONS(5482),
    [anon_sym_LT_LT_EQ] = ACTIONS(5482),
    [anon_sym_GT_GT_EQ] = ACTIONS(5482),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5482),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5482),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5482),
    [anon_sym_if] = ACTIONS(5482),
    [anon_sym_SEMI] = ACTIONS(5482),
    [anon_sym_else] = ACTIONS(5482),
    [anon_sym_when] = ACTIONS(5482),
    [anon_sym_in] = ACTIONS(5482),
    [anon_sym_case] = ACTIONS(5482),
    [anon_sym_QMARK] = ACTIONS(5482),
    [anon_sym_PLUS] = ACTIONS(5484),
    [anon_sym_DASH] = ACTIONS(5484),
    [anon_sym_TILDE] = ACTIONS(5484),
    [anon_sym_AMP] = ACTIONS(5484),
    [anon_sym_PIPE_PIPE] = ACTIONS(5484),
    [anon_sym_or_else] = ACTIONS(5482),
    [anon_sym_AMP_AMP] = ACTIONS(5484),
    [anon_sym_GT] = ACTIONS(5484),
    [anon_sym_GT_EQ] = ACTIONS(5482),
    [anon_sym_LT_EQ] = ACTIONS(5482),
    [anon_sym_LT] = ACTIONS(5484),
    [anon_sym_EQ_EQ] = ACTIONS(5482),
    [anon_sym_BANG_EQ] = ACTIONS(5482),
    [anon_sym_TILDE_EQ] = ACTIONS(5482),
    [anon_sym_PIPE] = ACTIONS(5484),
    [anon_sym_AMP_TILDE] = ACTIONS(5484),
    [anon_sym_LT_LT] = ACTIONS(5484),
    [anon_sym_GT_GT] = ACTIONS(5484),
    [anon_sym_STAR] = ACTIONS(4456),
    [anon_sym_SLASH] = ACTIONS(4456),
    [anon_sym_PERCENT] = ACTIONS(4456),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4458),
    [anon_sym_DOT] = ACTIONS(4460),
    [anon_sym_LBRACK] = ACTIONS(4462),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4464),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4464),
    [anon_sym_not_in] = ACTIONS(5482),
    [anon_sym_or_return] = ACTIONS(5482),
    [anon_sym_or_continue] = ACTIONS(5482),
    [anon_sym_or_break] = ACTIONS(5482),
    [anon_sym_CARET] = ACTIONS(5484),
    [sym_uninitialized] = ACTIONS(5482),
    [sym_tag] = ACTIONS(5482),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5482),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1079] = {
    [anon_sym_LBRACE] = ACTIONS(5482),
    [anon_sym_RBRACE] = ACTIONS(5482),
    [anon_sym_COMMA] = ACTIONS(5482),
    [anon_sym_COLON_COLON] = ACTIONS(5482),
    [anon_sym_DASH_GT] = ACTIONS(4428),
    [anon_sym_where] = ACTIONS(5482),
    [anon_sym_EQ] = ACTIONS(5484),
    [anon_sym_COLON_EQ] = ACTIONS(5482),
    [anon_sym_COLON] = ACTIONS(5484),
    [anon_sym_LPAREN] = ACTIONS(5482),
    [anon_sym_PLUS_EQ] = ACTIONS(5482),
    [anon_sym_DASH_EQ] = ACTIONS(5482),
    [anon_sym_STAR_EQ] = ACTIONS(5482),
    [anon_sym_SLASH_EQ] = ACTIONS(5482),
    [anon_sym_PERCENT_EQ] = ACTIONS(5482),
    [anon_sym_AMP_EQ] = ACTIONS(5482),
    [anon_sym_PIPE_EQ] = ACTIONS(5482),
    [anon_sym_CARET_EQ] = ACTIONS(5482),
    [anon_sym_LT_LT_EQ] = ACTIONS(5482),
    [anon_sym_GT_GT_EQ] = ACTIONS(5482),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5482),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5482),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5482),
    [anon_sym_if] = ACTIONS(5482),
    [anon_sym_SEMI] = ACTIONS(5482),
    [anon_sym_else] = ACTIONS(5482),
    [anon_sym_when] = ACTIONS(5482),
    [anon_sym_in] = ACTIONS(5482),
    [anon_sym_case] = ACTIONS(5482),
    [anon_sym_QMARK] = ACTIONS(5482),
    [anon_sym_PLUS] = ACTIONS(4432),
    [anon_sym_DASH] = ACTIONS(4432),
    [anon_sym_TILDE] = ACTIONS(5484),
    [anon_sym_AMP] = ACTIONS(4436),
    [anon_sym_PIPE_PIPE] = ACTIONS(5484),
    [anon_sym_or_else] = ACTIONS(5482),
    [anon_sym_AMP_AMP] = ACTIONS(5484),
    [anon_sym_GT] = ACTIONS(5484),
    [anon_sym_GT_EQ] = ACTIONS(5482),
    [anon_sym_LT_EQ] = ACTIONS(5482),
    [anon_sym_LT] = ACTIONS(5484),
    [anon_sym_EQ_EQ] = ACTIONS(5482),
    [anon_sym_BANG_EQ] = ACTIONS(5482),
    [anon_sym_TILDE_EQ] = ACTIONS(5482),
    [anon_sym_PIPE] = ACTIONS(5484),
    [anon_sym_AMP_TILDE] = ACTIONS(4452),
    [anon_sym_LT_LT] = ACTIONS(4454),
    [anon_sym_GT_GT] = ACTIONS(4454),
    [anon_sym_STAR] = ACTIONS(4456),
    [anon_sym_SLASH] = ACTIONS(4456),
    [anon_sym_PERCENT] = ACTIONS(4456),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4458),
    [anon_sym_DOT] = ACTIONS(4460),
    [anon_sym_LBRACK] = ACTIONS(4462),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4464),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4464),
    [anon_sym_not_in] = ACTIONS(5482),
    [anon_sym_or_return] = ACTIONS(5482),
    [anon_sym_or_continue] = ACTIONS(5482),
    [anon_sym_or_break] = ACTIONS(5482),
    [anon_sym_CARET] = ACTIONS(5484),
    [sym_uninitialized] = ACTIONS(5482),
    [sym_tag] = ACTIONS(5482),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5482),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1080] = {
    [anon_sym_LBRACE] = ACTIONS(5482),
    [anon_sym_RBRACE] = ACTIONS(5482),
    [anon_sym_COMMA] = ACTIONS(5482),
    [anon_sym_COLON_COLON] = ACTIONS(5482),
    [anon_sym_DASH_GT] = ACTIONS(4428),
    [anon_sym_where] = ACTIONS(5482),
    [anon_sym_EQ] = ACTIONS(5484),
    [anon_sym_COLON_EQ] = ACTIONS(5482),
    [anon_sym_COLON] = ACTIONS(5484),
    [anon_sym_LPAREN] = ACTIONS(5482),
    [anon_sym_PLUS_EQ] = ACTIONS(5482),
    [anon_sym_DASH_EQ] = ACTIONS(5482),
    [anon_sym_STAR_EQ] = ACTIONS(5482),
    [anon_sym_SLASH_EQ] = ACTIONS(5482),
    [anon_sym_PERCENT_EQ] = ACTIONS(5482),
    [anon_sym_AMP_EQ] = ACTIONS(5482),
    [anon_sym_PIPE_EQ] = ACTIONS(5482),
    [anon_sym_CARET_EQ] = ACTIONS(5482),
    [anon_sym_LT_LT_EQ] = ACTIONS(5482),
    [anon_sym_GT_GT_EQ] = ACTIONS(5482),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5482),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5482),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5482),
    [anon_sym_if] = ACTIONS(5482),
    [anon_sym_SEMI] = ACTIONS(5482),
    [anon_sym_else] = ACTIONS(5482),
    [anon_sym_when] = ACTIONS(5482),
    [anon_sym_in] = ACTIONS(5482),
    [anon_sym_case] = ACTIONS(5482),
    [anon_sym_QMARK] = ACTIONS(5482),
    [anon_sym_PLUS] = ACTIONS(4432),
    [anon_sym_DASH] = ACTIONS(4432),
    [anon_sym_TILDE] = ACTIONS(5484),
    [anon_sym_AMP] = ACTIONS(5484),
    [anon_sym_PIPE_PIPE] = ACTIONS(5484),
    [anon_sym_or_else] = ACTIONS(5482),
    [anon_sym_AMP_AMP] = ACTIONS(5484),
    [anon_sym_GT] = ACTIONS(5484),
    [anon_sym_GT_EQ] = ACTIONS(5482),
    [anon_sym_LT_EQ] = ACTIONS(5482),
    [anon_sym_LT] = ACTIONS(5484),
    [anon_sym_EQ_EQ] = ACTIONS(5482),
    [anon_sym_BANG_EQ] = ACTIONS(5482),
    [anon_sym_TILDE_EQ] = ACTIONS(5482),
    [anon_sym_PIPE] = ACTIONS(5484),
    [anon_sym_AMP_TILDE] = ACTIONS(4452),
    [anon_sym_LT_LT] = ACTIONS(4454),
    [anon_sym_GT_GT] = ACTIONS(4454),
    [anon_sym_STAR] = ACTIONS(4456),
    [anon_sym_SLASH] = ACTIONS(4456),
    [anon_sym_PERCENT] = ACTIONS(4456),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4458),
    [anon_sym_DOT] = ACTIONS(4460),
    [anon_sym_LBRACK] = ACTIONS(4462),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4464),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4464),
    [anon_sym_not_in] = ACTIONS(5482),
    [anon_sym_or_return] = ACTIONS(5482),
    [anon_sym_or_continue] = ACTIONS(5482),
    [anon_sym_or_break] = ACTIONS(5482),
    [anon_sym_CARET] = ACTIONS(5484),
    [sym_uninitialized] = ACTIONS(5482),
    [sym_tag] = ACTIONS(5482),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5482),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1081] = {
    [anon_sym_LBRACE] = ACTIONS(5482),
    [anon_sym_RBRACE] = ACTIONS(5482),
    [anon_sym_COMMA] = ACTIONS(5482),
    [anon_sym_COLON_COLON] = ACTIONS(5482),
    [anon_sym_DASH_GT] = ACTIONS(4428),
    [anon_sym_where] = ACTIONS(5482),
    [anon_sym_EQ] = ACTIONS(5484),
    [anon_sym_COLON_EQ] = ACTIONS(5482),
    [anon_sym_COLON] = ACTIONS(5484),
    [anon_sym_LPAREN] = ACTIONS(5482),
    [anon_sym_PLUS_EQ] = ACTIONS(5482),
    [anon_sym_DASH_EQ] = ACTIONS(5482),
    [anon_sym_STAR_EQ] = ACTIONS(5482),
    [anon_sym_SLASH_EQ] = ACTIONS(5482),
    [anon_sym_PERCENT_EQ] = ACTIONS(5482),
    [anon_sym_AMP_EQ] = ACTIONS(5482),
    [anon_sym_PIPE_EQ] = ACTIONS(5482),
    [anon_sym_CARET_EQ] = ACTIONS(5482),
    [anon_sym_LT_LT_EQ] = ACTIONS(5482),
    [anon_sym_GT_GT_EQ] = ACTIONS(5482),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5482),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5482),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5482),
    [anon_sym_if] = ACTIONS(5482),
    [anon_sym_SEMI] = ACTIONS(5482),
    [anon_sym_else] = ACTIONS(5482),
    [anon_sym_when] = ACTIONS(5482),
    [anon_sym_in] = ACTIONS(5482),
    [anon_sym_case] = ACTIONS(5482),
    [anon_sym_QMARK] = ACTIONS(5482),
    [anon_sym_PLUS] = ACTIONS(4432),
    [anon_sym_DASH] = ACTIONS(4432),
    [anon_sym_TILDE] = ACTIONS(4434),
    [anon_sym_AMP] = ACTIONS(4436),
    [anon_sym_PIPE_PIPE] = ACTIONS(5484),
    [anon_sym_or_else] = ACTIONS(5482),
    [anon_sym_AMP_AMP] = ACTIONS(4442),
    [anon_sym_GT] = ACTIONS(4444),
    [anon_sym_GT_EQ] = ACTIONS(4446),
    [anon_sym_LT_EQ] = ACTIONS(4446),
    [anon_sym_LT] = ACTIONS(4444),
    [anon_sym_EQ_EQ] = ACTIONS(4448),
    [anon_sym_BANG_EQ] = ACTIONS(4448),
    [anon_sym_TILDE_EQ] = ACTIONS(4448),
    [anon_sym_PIPE] = ACTIONS(4450),
    [anon_sym_AMP_TILDE] = ACTIONS(4452),
    [anon_sym_LT_LT] = ACTIONS(4454),
    [anon_sym_GT_GT] = ACTIONS(4454),
    [anon_sym_STAR] = ACTIONS(4456),
    [anon_sym_SLASH] = ACTIONS(4456),
    [anon_sym_PERCENT] = ACTIONS(4456),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4458),
    [anon_sym_DOT] = ACTIONS(4460),
    [anon_sym_LBRACK] = ACTIONS(4462),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4464),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4464),
    [anon_sym_not_in] = ACTIONS(5482),
    [anon_sym_or_return] = ACTIONS(5482),
    [anon_sym_or_continue] = ACTIONS(5482),
    [anon_sym_or_break] = ACTIONS(5482),
    [anon_sym_CARET] = ACTIONS(5484),
    [sym_uninitialized] = ACTIONS(5482),
    [sym_tag] = ACTIONS(5482),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5482),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1082] = {
    [anon_sym_LBRACE] = ACTIONS(5482),
    [anon_sym_RBRACE] = ACTIONS(5482),
    [anon_sym_COMMA] = ACTIONS(5482),
    [anon_sym_COLON_COLON] = ACTIONS(5482),
    [anon_sym_DASH_GT] = ACTIONS(4428),
    [anon_sym_where] = ACTIONS(5482),
    [anon_sym_EQ] = ACTIONS(5484),
    [anon_sym_COLON_EQ] = ACTIONS(5482),
    [anon_sym_COLON] = ACTIONS(5484),
    [anon_sym_LPAREN] = ACTIONS(5482),
    [anon_sym_PLUS_EQ] = ACTIONS(5482),
    [anon_sym_DASH_EQ] = ACTIONS(5482),
    [anon_sym_STAR_EQ] = ACTIONS(5482),
    [anon_sym_SLASH_EQ] = ACTIONS(5482),
    [anon_sym_PERCENT_EQ] = ACTIONS(5482),
    [anon_sym_AMP_EQ] = ACTIONS(5482),
    [anon_sym_PIPE_EQ] = ACTIONS(5482),
    [anon_sym_CARET_EQ] = ACTIONS(5482),
    [anon_sym_LT_LT_EQ] = ACTIONS(5482),
    [anon_sym_GT_GT_EQ] = ACTIONS(5482),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5482),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5482),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5482),
    [anon_sym_if] = ACTIONS(5482),
    [anon_sym_SEMI] = ACTIONS(5482),
    [anon_sym_else] = ACTIONS(5482),
    [anon_sym_when] = ACTIONS(5482),
    [anon_sym_in] = ACTIONS(5482),
    [anon_sym_case] = ACTIONS(5482),
    [anon_sym_QMARK] = ACTIONS(5482),
    [anon_sym_PLUS] = ACTIONS(4432),
    [anon_sym_DASH] = ACTIONS(4432),
    [anon_sym_TILDE] = ACTIONS(4434),
    [anon_sym_AMP] = ACTIONS(4436),
    [anon_sym_PIPE_PIPE] = ACTIONS(5484),
    [anon_sym_or_else] = ACTIONS(5482),
    [anon_sym_AMP_AMP] = ACTIONS(5484),
    [anon_sym_GT] = ACTIONS(4444),
    [anon_sym_GT_EQ] = ACTIONS(4446),
    [anon_sym_LT_EQ] = ACTIONS(4446),
    [anon_sym_LT] = ACTIONS(4444),
    [anon_sym_EQ_EQ] = ACTIONS(4448),
    [anon_sym_BANG_EQ] = ACTIONS(4448),
    [anon_sym_TILDE_EQ] = ACTIONS(4448),
    [anon_sym_PIPE] = ACTIONS(4450),
    [anon_sym_AMP_TILDE] = ACTIONS(4452),
    [anon_sym_LT_LT] = ACTIONS(4454),
    [anon_sym_GT_GT] = ACTIONS(4454),
    [anon_sym_STAR] = ACTIONS(4456),
    [anon_sym_SLASH] = ACTIONS(4456),
    [anon_sym_PERCENT] = ACTIONS(4456),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4458),
    [anon_sym_DOT] = ACTIONS(4460),
    [anon_sym_LBRACK] = ACTIONS(4462),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4464),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4464),
    [anon_sym_not_in] = ACTIONS(5482),
    [anon_sym_or_return] = ACTIONS(5482),
    [anon_sym_or_continue] = ACTIONS(5482),
    [anon_sym_or_break] = ACTIONS(5482),
    [anon_sym_CARET] = ACTIONS(5484),
    [sym_uninitialized] = ACTIONS(5482),
    [sym_tag] = ACTIONS(5482),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5482),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1083] = {
    [anon_sym_LBRACE] = ACTIONS(5482),
    [anon_sym_RBRACE] = ACTIONS(5482),
    [anon_sym_COMMA] = ACTIONS(5482),
    [anon_sym_COLON_COLON] = ACTIONS(5482),
    [anon_sym_DASH_GT] = ACTIONS(4428),
    [anon_sym_where] = ACTIONS(5482),
    [anon_sym_EQ] = ACTIONS(5484),
    [anon_sym_COLON_EQ] = ACTIONS(5482),
    [anon_sym_COLON] = ACTIONS(5484),
    [anon_sym_LPAREN] = ACTIONS(5482),
    [anon_sym_PLUS_EQ] = ACTIONS(5482),
    [anon_sym_DASH_EQ] = ACTIONS(5482),
    [anon_sym_STAR_EQ] = ACTIONS(5482),
    [anon_sym_SLASH_EQ] = ACTIONS(5482),
    [anon_sym_PERCENT_EQ] = ACTIONS(5482),
    [anon_sym_AMP_EQ] = ACTIONS(5482),
    [anon_sym_PIPE_EQ] = ACTIONS(5482),
    [anon_sym_CARET_EQ] = ACTIONS(5482),
    [anon_sym_LT_LT_EQ] = ACTIONS(5482),
    [anon_sym_GT_GT_EQ] = ACTIONS(5482),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5482),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5482),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5482),
    [anon_sym_if] = ACTIONS(5482),
    [anon_sym_SEMI] = ACTIONS(5482),
    [anon_sym_else] = ACTIONS(5482),
    [anon_sym_when] = ACTIONS(5482),
    [anon_sym_in] = ACTIONS(5482),
    [anon_sym_case] = ACTIONS(5482),
    [anon_sym_QMARK] = ACTIONS(5482),
    [anon_sym_PLUS] = ACTIONS(4432),
    [anon_sym_DASH] = ACTIONS(4432),
    [anon_sym_TILDE] = ACTIONS(4434),
    [anon_sym_AMP] = ACTIONS(4436),
    [anon_sym_PIPE_PIPE] = ACTIONS(5484),
    [anon_sym_or_else] = ACTIONS(5482),
    [anon_sym_AMP_AMP] = ACTIONS(5484),
    [anon_sym_GT] = ACTIONS(5484),
    [anon_sym_GT_EQ] = ACTIONS(5482),
    [anon_sym_LT_EQ] = ACTIONS(5482),
    [anon_sym_LT] = ACTIONS(5484),
    [anon_sym_EQ_EQ] = ACTIONS(4448),
    [anon_sym_BANG_EQ] = ACTIONS(4448),
    [anon_sym_TILDE_EQ] = ACTIONS(4448),
    [anon_sym_PIPE] = ACTIONS(4450),
    [anon_sym_AMP_TILDE] = ACTIONS(4452),
    [anon_sym_LT_LT] = ACTIONS(4454),
    [anon_sym_GT_GT] = ACTIONS(4454),
    [anon_sym_STAR] = ACTIONS(4456),
    [anon_sym_SLASH] = ACTIONS(4456),
    [anon_sym_PERCENT] = ACTIONS(4456),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4458),
    [anon_sym_DOT] = ACTIONS(4460),
    [anon_sym_LBRACK] = ACTIONS(4462),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4464),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4464),
    [anon_sym_not_in] = ACTIONS(5482),
    [anon_sym_or_return] = ACTIONS(5482),
    [anon_sym_or_continue] = ACTIONS(5482),
    [anon_sym_or_break] = ACTIONS(5482),
    [anon_sym_CARET] = ACTIONS(5484),
    [sym_uninitialized] = ACTIONS(5482),
    [sym_tag] = ACTIONS(5482),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5482),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1084] = {
    [anon_sym_LBRACE] = ACTIONS(5482),
    [anon_sym_RBRACE] = ACTIONS(5482),
    [anon_sym_COMMA] = ACTIONS(5482),
    [anon_sym_COLON_COLON] = ACTIONS(5482),
    [anon_sym_DASH_GT] = ACTIONS(4428),
    [anon_sym_where] = ACTIONS(5482),
    [anon_sym_EQ] = ACTIONS(5484),
    [anon_sym_COLON_EQ] = ACTIONS(5482),
    [anon_sym_COLON] = ACTIONS(5484),
    [anon_sym_LPAREN] = ACTIONS(5482),
    [anon_sym_PLUS_EQ] = ACTIONS(5482),
    [anon_sym_DASH_EQ] = ACTIONS(5482),
    [anon_sym_STAR_EQ] = ACTIONS(5482),
    [anon_sym_SLASH_EQ] = ACTIONS(5482),
    [anon_sym_PERCENT_EQ] = ACTIONS(5482),
    [anon_sym_AMP_EQ] = ACTIONS(5482),
    [anon_sym_PIPE_EQ] = ACTIONS(5482),
    [anon_sym_CARET_EQ] = ACTIONS(5482),
    [anon_sym_LT_LT_EQ] = ACTIONS(5482),
    [anon_sym_GT_GT_EQ] = ACTIONS(5482),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5482),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5482),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5482),
    [anon_sym_if] = ACTIONS(5482),
    [anon_sym_SEMI] = ACTIONS(5482),
    [anon_sym_else] = ACTIONS(5482),
    [anon_sym_when] = ACTIONS(5482),
    [anon_sym_in] = ACTIONS(5482),
    [anon_sym_case] = ACTIONS(5482),
    [anon_sym_QMARK] = ACTIONS(5482),
    [anon_sym_PLUS] = ACTIONS(4432),
    [anon_sym_DASH] = ACTIONS(4432),
    [anon_sym_TILDE] = ACTIONS(4434),
    [anon_sym_AMP] = ACTIONS(4436),
    [anon_sym_PIPE_PIPE] = ACTIONS(5484),
    [anon_sym_or_else] = ACTIONS(5482),
    [anon_sym_AMP_AMP] = ACTIONS(5484),
    [anon_sym_GT] = ACTIONS(5484),
    [anon_sym_GT_EQ] = ACTIONS(5482),
    [anon_sym_LT_EQ] = ACTIONS(5482),
    [anon_sym_LT] = ACTIONS(5484),
    [anon_sym_EQ_EQ] = ACTIONS(5482),
    [anon_sym_BANG_EQ] = ACTIONS(5482),
    [anon_sym_TILDE_EQ] = ACTIONS(5482),
    [anon_sym_PIPE] = ACTIONS(4450),
    [anon_sym_AMP_TILDE] = ACTIONS(4452),
    [anon_sym_LT_LT] = ACTIONS(4454),
    [anon_sym_GT_GT] = ACTIONS(4454),
    [anon_sym_STAR] = ACTIONS(4456),
    [anon_sym_SLASH] = ACTIONS(4456),
    [anon_sym_PERCENT] = ACTIONS(4456),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4458),
    [anon_sym_DOT] = ACTIONS(4460),
    [anon_sym_LBRACK] = ACTIONS(4462),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4464),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4464),
    [anon_sym_not_in] = ACTIONS(5482),
    [anon_sym_or_return] = ACTIONS(5482),
    [anon_sym_or_continue] = ACTIONS(5482),
    [anon_sym_or_break] = ACTIONS(5482),
    [anon_sym_CARET] = ACTIONS(5484),
    [sym_uninitialized] = ACTIONS(5482),
    [sym_tag] = ACTIONS(5482),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5482),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1085] = {
    [anon_sym_LBRACE] = ACTIONS(5482),
    [anon_sym_RBRACE] = ACTIONS(5482),
    [anon_sym_COMMA] = ACTIONS(5482),
    [anon_sym_COLON_COLON] = ACTIONS(5482),
    [anon_sym_DASH_GT] = ACTIONS(4428),
    [anon_sym_where] = ACTIONS(5482),
    [anon_sym_EQ] = ACTIONS(5484),
    [anon_sym_COLON_EQ] = ACTIONS(5482),
    [anon_sym_COLON] = ACTIONS(5484),
    [anon_sym_LPAREN] = ACTIONS(5482),
    [anon_sym_PLUS_EQ] = ACTIONS(5482),
    [anon_sym_DASH_EQ] = ACTIONS(5482),
    [anon_sym_STAR_EQ] = ACTIONS(5482),
    [anon_sym_SLASH_EQ] = ACTIONS(5482),
    [anon_sym_PERCENT_EQ] = ACTIONS(5482),
    [anon_sym_AMP_EQ] = ACTIONS(5482),
    [anon_sym_PIPE_EQ] = ACTIONS(5482),
    [anon_sym_CARET_EQ] = ACTIONS(5482),
    [anon_sym_LT_LT_EQ] = ACTIONS(5482),
    [anon_sym_GT_GT_EQ] = ACTIONS(5482),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5482),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5482),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5482),
    [anon_sym_if] = ACTIONS(5482),
    [anon_sym_SEMI] = ACTIONS(5482),
    [anon_sym_else] = ACTIONS(5482),
    [anon_sym_when] = ACTIONS(5482),
    [anon_sym_in] = ACTIONS(5482),
    [anon_sym_case] = ACTIONS(5482),
    [anon_sym_QMARK] = ACTIONS(5482),
    [anon_sym_PLUS] = ACTIONS(4432),
    [anon_sym_DASH] = ACTIONS(4432),
    [anon_sym_TILDE] = ACTIONS(4434),
    [anon_sym_AMP] = ACTIONS(4436),
    [anon_sym_PIPE_PIPE] = ACTIONS(5484),
    [anon_sym_or_else] = ACTIONS(5482),
    [anon_sym_AMP_AMP] = ACTIONS(5484),
    [anon_sym_GT] = ACTIONS(5484),
    [anon_sym_GT_EQ] = ACTIONS(5482),
    [anon_sym_LT_EQ] = ACTIONS(5482),
    [anon_sym_LT] = ACTIONS(5484),
    [anon_sym_EQ_EQ] = ACTIONS(5482),
    [anon_sym_BANG_EQ] = ACTIONS(5482),
    [anon_sym_TILDE_EQ] = ACTIONS(5482),
    [anon_sym_PIPE] = ACTIONS(5484),
    [anon_sym_AMP_TILDE] = ACTIONS(4452),
    [anon_sym_LT_LT] = ACTIONS(4454),
    [anon_sym_GT_GT] = ACTIONS(4454),
    [anon_sym_STAR] = ACTIONS(4456),
    [anon_sym_SLASH] = ACTIONS(4456),
    [anon_sym_PERCENT] = ACTIONS(4456),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4458),
    [anon_sym_DOT] = ACTIONS(4460),
    [anon_sym_LBRACK] = ACTIONS(4462),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4464),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4464),
    [anon_sym_not_in] = ACTIONS(5482),
    [anon_sym_or_return] = ACTIONS(5482),
    [anon_sym_or_continue] = ACTIONS(5482),
    [anon_sym_or_break] = ACTIONS(5482),
    [anon_sym_CARET] = ACTIONS(5484),
    [sym_uninitialized] = ACTIONS(5482),
    [sym_tag] = ACTIONS(5482),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5482),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1086] = {
    [anon_sym_LBRACE] = ACTIONS(5482),
    [anon_sym_RBRACE] = ACTIONS(5482),
    [anon_sym_COMMA] = ACTIONS(5482),
    [anon_sym_COLON_COLON] = ACTIONS(5482),
    [anon_sym_DASH_GT] = ACTIONS(4428),
    [anon_sym_where] = ACTIONS(5482),
    [anon_sym_EQ] = ACTIONS(5484),
    [anon_sym_COLON_EQ] = ACTIONS(5482),
    [anon_sym_COLON] = ACTIONS(5484),
    [anon_sym_LPAREN] = ACTIONS(5482),
    [anon_sym_PLUS_EQ] = ACTIONS(5482),
    [anon_sym_DASH_EQ] = ACTIONS(5482),
    [anon_sym_STAR_EQ] = ACTIONS(5482),
    [anon_sym_SLASH_EQ] = ACTIONS(5482),
    [anon_sym_PERCENT_EQ] = ACTIONS(5482),
    [anon_sym_AMP_EQ] = ACTIONS(5482),
    [anon_sym_PIPE_EQ] = ACTIONS(5482),
    [anon_sym_CARET_EQ] = ACTIONS(5482),
    [anon_sym_LT_LT_EQ] = ACTIONS(5482),
    [anon_sym_GT_GT_EQ] = ACTIONS(5482),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5482),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5482),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5482),
    [anon_sym_if] = ACTIONS(5482),
    [anon_sym_SEMI] = ACTIONS(5482),
    [anon_sym_else] = ACTIONS(5482),
    [anon_sym_when] = ACTIONS(5482),
    [anon_sym_in] = ACTIONS(5482),
    [anon_sym_case] = ACTIONS(5482),
    [anon_sym_QMARK] = ACTIONS(5482),
    [anon_sym_PLUS] = ACTIONS(4432),
    [anon_sym_DASH] = ACTIONS(4432),
    [anon_sym_TILDE] = ACTIONS(5484),
    [anon_sym_AMP] = ACTIONS(5484),
    [anon_sym_PIPE_PIPE] = ACTIONS(5484),
    [anon_sym_or_else] = ACTIONS(5482),
    [anon_sym_AMP_AMP] = ACTIONS(5484),
    [anon_sym_GT] = ACTIONS(5484),
    [anon_sym_GT_EQ] = ACTIONS(5482),
    [anon_sym_LT_EQ] = ACTIONS(5482),
    [anon_sym_LT] = ACTIONS(5484),
    [anon_sym_EQ_EQ] = ACTIONS(5482),
    [anon_sym_BANG_EQ] = ACTIONS(5482),
    [anon_sym_TILDE_EQ] = ACTIONS(5482),
    [anon_sym_PIPE] = ACTIONS(5484),
    [anon_sym_AMP_TILDE] = ACTIONS(5484),
    [anon_sym_LT_LT] = ACTIONS(4454),
    [anon_sym_GT_GT] = ACTIONS(4454),
    [anon_sym_STAR] = ACTIONS(4456),
    [anon_sym_SLASH] = ACTIONS(4456),
    [anon_sym_PERCENT] = ACTIONS(4456),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4458),
    [anon_sym_DOT] = ACTIONS(4460),
    [anon_sym_LBRACK] = ACTIONS(4462),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4464),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4464),
    [anon_sym_not_in] = ACTIONS(5482),
    [anon_sym_or_return] = ACTIONS(5482),
    [anon_sym_or_continue] = ACTIONS(5482),
    [anon_sym_or_break] = ACTIONS(5482),
    [anon_sym_CARET] = ACTIONS(5484),
    [sym_uninitialized] = ACTIONS(5482),
    [sym_tag] = ACTIONS(5482),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5482),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1087] = {
    [anon_sym_LBRACE] = ACTIONS(5482),
    [anon_sym_RBRACE] = ACTIONS(5482),
    [anon_sym_COMMA] = ACTIONS(5482),
    [anon_sym_COLON_COLON] = ACTIONS(5482),
    [anon_sym_DASH_GT] = ACTIONS(4428),
    [anon_sym_where] = ACTIONS(5482),
    [anon_sym_EQ] = ACTIONS(5484),
    [anon_sym_COLON_EQ] = ACTIONS(5482),
    [anon_sym_COLON] = ACTIONS(5484),
    [anon_sym_LPAREN] = ACTIONS(5482),
    [anon_sym_PLUS_EQ] = ACTIONS(5482),
    [anon_sym_DASH_EQ] = ACTIONS(5482),
    [anon_sym_STAR_EQ] = ACTIONS(5482),
    [anon_sym_SLASH_EQ] = ACTIONS(5482),
    [anon_sym_PERCENT_EQ] = ACTIONS(5482),
    [anon_sym_AMP_EQ] = ACTIONS(5482),
    [anon_sym_PIPE_EQ] = ACTIONS(5482),
    [anon_sym_CARET_EQ] = ACTIONS(5482),
    [anon_sym_LT_LT_EQ] = ACTIONS(5482),
    [anon_sym_GT_GT_EQ] = ACTIONS(5482),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5482),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5482),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5482),
    [anon_sym_if] = ACTIONS(5482),
    [anon_sym_SEMI] = ACTIONS(5482),
    [anon_sym_else] = ACTIONS(5482),
    [anon_sym_when] = ACTIONS(5482),
    [anon_sym_in] = ACTIONS(5482),
    [anon_sym_case] = ACTIONS(5482),
    [anon_sym_QMARK] = ACTIONS(5482),
    [anon_sym_PLUS] = ACTIONS(4432),
    [anon_sym_DASH] = ACTIONS(4432),
    [anon_sym_TILDE] = ACTIONS(5484),
    [anon_sym_AMP] = ACTIONS(5484),
    [anon_sym_PIPE_PIPE] = ACTIONS(5484),
    [anon_sym_or_else] = ACTIONS(5482),
    [anon_sym_AMP_AMP] = ACTIONS(5484),
    [anon_sym_GT] = ACTIONS(5484),
    [anon_sym_GT_EQ] = ACTIONS(5482),
    [anon_sym_LT_EQ] = ACTIONS(5482),
    [anon_sym_LT] = ACTIONS(5484),
    [anon_sym_EQ_EQ] = ACTIONS(5482),
    [anon_sym_BANG_EQ] = ACTIONS(5482),
    [anon_sym_TILDE_EQ] = ACTIONS(5482),
    [anon_sym_PIPE] = ACTIONS(5484),
    [anon_sym_AMP_TILDE] = ACTIONS(5484),
    [anon_sym_LT_LT] = ACTIONS(5484),
    [anon_sym_GT_GT] = ACTIONS(5484),
    [anon_sym_STAR] = ACTIONS(4456),
    [anon_sym_SLASH] = ACTIONS(4456),
    [anon_sym_PERCENT] = ACTIONS(4456),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4458),
    [anon_sym_DOT] = ACTIONS(4460),
    [anon_sym_LBRACK] = ACTIONS(4462),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4464),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4464),
    [anon_sym_not_in] = ACTIONS(5482),
    [anon_sym_or_return] = ACTIONS(5482),
    [anon_sym_or_continue] = ACTIONS(5482),
    [anon_sym_or_break] = ACTIONS(5482),
    [anon_sym_CARET] = ACTIONS(5484),
    [sym_uninitialized] = ACTIONS(5482),
    [sym_tag] = ACTIONS(5482),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5482),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1088] = {
    [anon_sym_LBRACE] = ACTIONS(5482),
    [anon_sym_RBRACE] = ACTIONS(5482),
    [anon_sym_COMMA] = ACTIONS(5482),
    [anon_sym_COLON_COLON] = ACTIONS(5482),
    [anon_sym_DASH_GT] = ACTIONS(4428),
    [anon_sym_where] = ACTIONS(5482),
    [anon_sym_EQ] = ACTIONS(5484),
    [anon_sym_COLON_EQ] = ACTIONS(5482),
    [anon_sym_COLON] = ACTIONS(5484),
    [anon_sym_LPAREN] = ACTIONS(5482),
    [anon_sym_PLUS_EQ] = ACTIONS(5482),
    [anon_sym_DASH_EQ] = ACTIONS(5482),
    [anon_sym_STAR_EQ] = ACTIONS(5482),
    [anon_sym_SLASH_EQ] = ACTIONS(5482),
    [anon_sym_PERCENT_EQ] = ACTIONS(5482),
    [anon_sym_AMP_EQ] = ACTIONS(5482),
    [anon_sym_PIPE_EQ] = ACTIONS(5482),
    [anon_sym_CARET_EQ] = ACTIONS(5482),
    [anon_sym_LT_LT_EQ] = ACTIONS(5482),
    [anon_sym_GT_GT_EQ] = ACTIONS(5482),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5482),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5482),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5482),
    [anon_sym_if] = ACTIONS(5482),
    [anon_sym_SEMI] = ACTIONS(5482),
    [anon_sym_else] = ACTIONS(5482),
    [anon_sym_when] = ACTIONS(5482),
    [anon_sym_in] = ACTIONS(5482),
    [anon_sym_case] = ACTIONS(5482),
    [anon_sym_QMARK] = ACTIONS(5482),
    [anon_sym_PLUS] = ACTIONS(5484),
    [anon_sym_DASH] = ACTIONS(5484),
    [anon_sym_TILDE] = ACTIONS(5484),
    [anon_sym_AMP] = ACTIONS(5484),
    [anon_sym_PIPE_PIPE] = ACTIONS(5484),
    [anon_sym_or_else] = ACTIONS(5482),
    [anon_sym_AMP_AMP] = ACTIONS(5484),
    [anon_sym_GT] = ACTIONS(5484),
    [anon_sym_GT_EQ] = ACTIONS(5482),
    [anon_sym_LT_EQ] = ACTIONS(5482),
    [anon_sym_LT] = ACTIONS(5484),
    [anon_sym_EQ_EQ] = ACTIONS(5482),
    [anon_sym_BANG_EQ] = ACTIONS(5482),
    [anon_sym_TILDE_EQ] = ACTIONS(5482),
    [anon_sym_PIPE] = ACTIONS(5484),
    [anon_sym_AMP_TILDE] = ACTIONS(5484),
    [anon_sym_LT_LT] = ACTIONS(5484),
    [anon_sym_GT_GT] = ACTIONS(5484),
    [anon_sym_STAR] = ACTIONS(5484),
    [anon_sym_SLASH] = ACTIONS(5484),
    [anon_sym_PERCENT] = ACTIONS(5484),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5482),
    [anon_sym_DOT] = ACTIONS(4460),
    [anon_sym_LBRACK] = ACTIONS(4462),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4464),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4464),
    [anon_sym_not_in] = ACTIONS(5482),
    [anon_sym_or_return] = ACTIONS(5482),
    [anon_sym_or_continue] = ACTIONS(5482),
    [anon_sym_or_break] = ACTIONS(5482),
    [anon_sym_CARET] = ACTIONS(5484),
    [sym_uninitialized] = ACTIONS(5482),
    [sym_tag] = ACTIONS(5482),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5482),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1089] = {
    [anon_sym_LBRACE] = ACTIONS(5486),
    [anon_sym_RBRACE] = ACTIONS(5486),
    [anon_sym_COMMA] = ACTIONS(5486),
    [anon_sym_COLON_COLON] = ACTIONS(5486),
    [anon_sym_DASH_GT] = ACTIONS(5486),
    [anon_sym_where] = ACTIONS(5486),
    [anon_sym_EQ] = ACTIONS(5488),
    [anon_sym_COLON_EQ] = ACTIONS(5486),
    [anon_sym_COLON] = ACTIONS(5488),
    [anon_sym_LPAREN] = ACTIONS(5486),
    [anon_sym_PLUS_EQ] = ACTIONS(5486),
    [anon_sym_DASH_EQ] = ACTIONS(5486),
    [anon_sym_STAR_EQ] = ACTIONS(5486),
    [anon_sym_SLASH_EQ] = ACTIONS(5486),
    [anon_sym_PERCENT_EQ] = ACTIONS(5486),
    [anon_sym_AMP_EQ] = ACTIONS(5486),
    [anon_sym_PIPE_EQ] = ACTIONS(5486),
    [anon_sym_CARET_EQ] = ACTIONS(5486),
    [anon_sym_LT_LT_EQ] = ACTIONS(5486),
    [anon_sym_GT_GT_EQ] = ACTIONS(5486),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5486),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5486),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5486),
    [anon_sym_if] = ACTIONS(5486),
    [anon_sym_SEMI] = ACTIONS(5486),
    [anon_sym_else] = ACTIONS(5486),
    [anon_sym_when] = ACTIONS(5486),
    [anon_sym_in] = ACTIONS(5486),
    [anon_sym_case] = ACTIONS(5486),
    [anon_sym_QMARK] = ACTIONS(5486),
    [anon_sym_PLUS] = ACTIONS(5488),
    [anon_sym_DASH] = ACTIONS(5488),
    [anon_sym_TILDE] = ACTIONS(5488),
    [anon_sym_AMP] = ACTIONS(5488),
    [anon_sym_PIPE_PIPE] = ACTIONS(5488),
    [anon_sym_or_else] = ACTIONS(5486),
    [anon_sym_AMP_AMP] = ACTIONS(5488),
    [anon_sym_GT] = ACTIONS(5488),
    [anon_sym_GT_EQ] = ACTIONS(5486),
    [anon_sym_LT_EQ] = ACTIONS(5486),
    [anon_sym_LT] = ACTIONS(5488),
    [anon_sym_EQ_EQ] = ACTIONS(5486),
    [anon_sym_BANG_EQ] = ACTIONS(5486),
    [anon_sym_TILDE_EQ] = ACTIONS(5486),
    [anon_sym_PIPE] = ACTIONS(5488),
    [anon_sym_AMP_TILDE] = ACTIONS(5488),
    [anon_sym_LT_LT] = ACTIONS(5488),
    [anon_sym_GT_GT] = ACTIONS(5488),
    [anon_sym_STAR] = ACTIONS(5488),
    [anon_sym_SLASH] = ACTIONS(5488),
    [anon_sym_PERCENT] = ACTIONS(5488),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5486),
    [anon_sym_DOT] = ACTIONS(5488),
    [anon_sym_LBRACK] = ACTIONS(5486),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5486),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5486),
    [anon_sym_not_in] = ACTIONS(5486),
    [anon_sym_or_return] = ACTIONS(5486),
    [anon_sym_or_continue] = ACTIONS(5486),
    [anon_sym_or_break] = ACTIONS(5486),
    [anon_sym_CARET] = ACTIONS(5488),
    [sym_uninitialized] = ACTIONS(5486),
    [sym_tag] = ACTIONS(5486),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5486),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1090] = {
    [anon_sym_LBRACE] = ACTIONS(5490),
    [anon_sym_RBRACE] = ACTIONS(5490),
    [anon_sym_COMMA] = ACTIONS(5490),
    [anon_sym_COLON_COLON] = ACTIONS(5490),
    [anon_sym_DASH_GT] = ACTIONS(5490),
    [anon_sym_where] = ACTIONS(5490),
    [anon_sym_EQ] = ACTIONS(5492),
    [anon_sym_COLON_EQ] = ACTIONS(5490),
    [anon_sym_COLON] = ACTIONS(5492),
    [anon_sym_LPAREN] = ACTIONS(5490),
    [anon_sym_PLUS_EQ] = ACTIONS(5490),
    [anon_sym_DASH_EQ] = ACTIONS(5490),
    [anon_sym_STAR_EQ] = ACTIONS(5490),
    [anon_sym_SLASH_EQ] = ACTIONS(5490),
    [anon_sym_PERCENT_EQ] = ACTIONS(5490),
    [anon_sym_AMP_EQ] = ACTIONS(5490),
    [anon_sym_PIPE_EQ] = ACTIONS(5490),
    [anon_sym_CARET_EQ] = ACTIONS(5490),
    [anon_sym_LT_LT_EQ] = ACTIONS(5490),
    [anon_sym_GT_GT_EQ] = ACTIONS(5490),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5490),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5490),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5490),
    [anon_sym_if] = ACTIONS(5490),
    [anon_sym_SEMI] = ACTIONS(5490),
    [anon_sym_else] = ACTIONS(5490),
    [anon_sym_when] = ACTIONS(5490),
    [anon_sym_in] = ACTIONS(5490),
    [anon_sym_case] = ACTIONS(5490),
    [anon_sym_QMARK] = ACTIONS(5490),
    [anon_sym_PLUS] = ACTIONS(5492),
    [anon_sym_DASH] = ACTIONS(5492),
    [anon_sym_TILDE] = ACTIONS(5492),
    [anon_sym_AMP] = ACTIONS(5492),
    [anon_sym_PIPE_PIPE] = ACTIONS(5492),
    [anon_sym_or_else] = ACTIONS(5490),
    [anon_sym_AMP_AMP] = ACTIONS(5492),
    [anon_sym_GT] = ACTIONS(5492),
    [anon_sym_GT_EQ] = ACTIONS(5490),
    [anon_sym_LT_EQ] = ACTIONS(5490),
    [anon_sym_LT] = ACTIONS(5492),
    [anon_sym_EQ_EQ] = ACTIONS(5490),
    [anon_sym_BANG_EQ] = ACTIONS(5490),
    [anon_sym_TILDE_EQ] = ACTIONS(5490),
    [anon_sym_PIPE] = ACTIONS(5492),
    [anon_sym_AMP_TILDE] = ACTIONS(5492),
    [anon_sym_LT_LT] = ACTIONS(5492),
    [anon_sym_GT_GT] = ACTIONS(5492),
    [anon_sym_STAR] = ACTIONS(5492),
    [anon_sym_SLASH] = ACTIONS(5492),
    [anon_sym_PERCENT] = ACTIONS(5492),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5490),
    [anon_sym_DOT] = ACTIONS(5492),
    [anon_sym_LBRACK] = ACTIONS(5490),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5490),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5490),
    [anon_sym_not_in] = ACTIONS(5490),
    [anon_sym_or_return] = ACTIONS(5490),
    [anon_sym_or_continue] = ACTIONS(5490),
    [anon_sym_or_break] = ACTIONS(5490),
    [anon_sym_CARET] = ACTIONS(5492),
    [sym_uninitialized] = ACTIONS(5490),
    [sym_tag] = ACTIONS(5490),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5490),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1091] = {
    [anon_sym_LBRACE] = ACTIONS(5494),
    [anon_sym_RBRACE] = ACTIONS(5494),
    [anon_sym_COMMA] = ACTIONS(5494),
    [anon_sym_COLON_COLON] = ACTIONS(5494),
    [anon_sym_DASH_GT] = ACTIONS(5494),
    [anon_sym_where] = ACTIONS(5494),
    [anon_sym_EQ] = ACTIONS(5496),
    [anon_sym_COLON_EQ] = ACTIONS(5494),
    [anon_sym_COLON] = ACTIONS(5496),
    [anon_sym_LPAREN] = ACTIONS(5494),
    [anon_sym_PLUS_EQ] = ACTIONS(5494),
    [anon_sym_DASH_EQ] = ACTIONS(5494),
    [anon_sym_STAR_EQ] = ACTIONS(5494),
    [anon_sym_SLASH_EQ] = ACTIONS(5494),
    [anon_sym_PERCENT_EQ] = ACTIONS(5494),
    [anon_sym_AMP_EQ] = ACTIONS(5494),
    [anon_sym_PIPE_EQ] = ACTIONS(5494),
    [anon_sym_CARET_EQ] = ACTIONS(5494),
    [anon_sym_LT_LT_EQ] = ACTIONS(5494),
    [anon_sym_GT_GT_EQ] = ACTIONS(5494),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5494),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5494),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5494),
    [anon_sym_if] = ACTIONS(5494),
    [anon_sym_SEMI] = ACTIONS(5494),
    [anon_sym_else] = ACTIONS(5494),
    [anon_sym_when] = ACTIONS(5494),
    [anon_sym_in] = ACTIONS(5494),
    [anon_sym_case] = ACTIONS(5494),
    [anon_sym_QMARK] = ACTIONS(5494),
    [anon_sym_PLUS] = ACTIONS(5496),
    [anon_sym_DASH] = ACTIONS(5496),
    [anon_sym_TILDE] = ACTIONS(5496),
    [anon_sym_AMP] = ACTIONS(5496),
    [anon_sym_PIPE_PIPE] = ACTIONS(5496),
    [anon_sym_or_else] = ACTIONS(5494),
    [anon_sym_AMP_AMP] = ACTIONS(5496),
    [anon_sym_GT] = ACTIONS(5496),
    [anon_sym_GT_EQ] = ACTIONS(5494),
    [anon_sym_LT_EQ] = ACTIONS(5494),
    [anon_sym_LT] = ACTIONS(5496),
    [anon_sym_EQ_EQ] = ACTIONS(5494),
    [anon_sym_BANG_EQ] = ACTIONS(5494),
    [anon_sym_TILDE_EQ] = ACTIONS(5494),
    [anon_sym_PIPE] = ACTIONS(5496),
    [anon_sym_AMP_TILDE] = ACTIONS(5496),
    [anon_sym_LT_LT] = ACTIONS(5496),
    [anon_sym_GT_GT] = ACTIONS(5496),
    [anon_sym_STAR] = ACTIONS(5496),
    [anon_sym_SLASH] = ACTIONS(5496),
    [anon_sym_PERCENT] = ACTIONS(5496),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5494),
    [anon_sym_DOT] = ACTIONS(5496),
    [anon_sym_LBRACK] = ACTIONS(5494),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5494),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5494),
    [anon_sym_not_in] = ACTIONS(5494),
    [anon_sym_or_return] = ACTIONS(5494),
    [anon_sym_or_continue] = ACTIONS(5494),
    [anon_sym_or_break] = ACTIONS(5494),
    [anon_sym_CARET] = ACTIONS(5496),
    [sym_uninitialized] = ACTIONS(5494),
    [sym_tag] = ACTIONS(5494),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5494),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1092] = {
    [anon_sym_LBRACE] = ACTIONS(5498),
    [anon_sym_RBRACE] = ACTIONS(5498),
    [anon_sym_COMMA] = ACTIONS(5498),
    [anon_sym_COLON_COLON] = ACTIONS(5498),
    [anon_sym_DASH_GT] = ACTIONS(4428),
    [anon_sym_where] = ACTIONS(5498),
    [anon_sym_EQ] = ACTIONS(5500),
    [anon_sym_COLON_EQ] = ACTIONS(5498),
    [anon_sym_COLON] = ACTIONS(5500),
    [anon_sym_LPAREN] = ACTIONS(5498),
    [anon_sym_PLUS_EQ] = ACTIONS(5498),
    [anon_sym_DASH_EQ] = ACTIONS(5498),
    [anon_sym_STAR_EQ] = ACTIONS(5498),
    [anon_sym_SLASH_EQ] = ACTIONS(5498),
    [anon_sym_PERCENT_EQ] = ACTIONS(5498),
    [anon_sym_AMP_EQ] = ACTIONS(5498),
    [anon_sym_PIPE_EQ] = ACTIONS(5498),
    [anon_sym_CARET_EQ] = ACTIONS(5498),
    [anon_sym_LT_LT_EQ] = ACTIONS(5498),
    [anon_sym_GT_GT_EQ] = ACTIONS(5498),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5498),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5498),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5498),
    [anon_sym_if] = ACTIONS(5498),
    [anon_sym_SEMI] = ACTIONS(5498),
    [anon_sym_else] = ACTIONS(5498),
    [anon_sym_when] = ACTIONS(5498),
    [anon_sym_in] = ACTIONS(5498),
    [anon_sym_case] = ACTIONS(5498),
    [anon_sym_QMARK] = ACTIONS(5498),
    [anon_sym_PLUS] = ACTIONS(4432),
    [anon_sym_DASH] = ACTIONS(4432),
    [anon_sym_TILDE] = ACTIONS(4434),
    [anon_sym_AMP] = ACTIONS(4436),
    [anon_sym_PIPE_PIPE] = ACTIONS(4438),
    [anon_sym_or_else] = ACTIONS(4440),
    [anon_sym_AMP_AMP] = ACTIONS(4442),
    [anon_sym_GT] = ACTIONS(4444),
    [anon_sym_GT_EQ] = ACTIONS(4446),
    [anon_sym_LT_EQ] = ACTIONS(4446),
    [anon_sym_LT] = ACTIONS(4444),
    [anon_sym_EQ_EQ] = ACTIONS(4448),
    [anon_sym_BANG_EQ] = ACTIONS(4448),
    [anon_sym_TILDE_EQ] = ACTIONS(4448),
    [anon_sym_PIPE] = ACTIONS(4450),
    [anon_sym_AMP_TILDE] = ACTIONS(4452),
    [anon_sym_LT_LT] = ACTIONS(4454),
    [anon_sym_GT_GT] = ACTIONS(4454),
    [anon_sym_STAR] = ACTIONS(4456),
    [anon_sym_SLASH] = ACTIONS(4456),
    [anon_sym_PERCENT] = ACTIONS(4456),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4458),
    [anon_sym_DOT] = ACTIONS(4460),
    [anon_sym_LBRACK] = ACTIONS(4462),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4464),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4464),
    [anon_sym_not_in] = ACTIONS(5498),
    [anon_sym_or_return] = ACTIONS(4466),
    [anon_sym_or_continue] = ACTIONS(4468),
    [anon_sym_or_break] = ACTIONS(4470),
    [anon_sym_CARET] = ACTIONS(4472),
    [sym_uninitialized] = ACTIONS(5498),
    [sym_tag] = ACTIONS(5498),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5498),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1093] = {
    [anon_sym_LBRACE] = ACTIONS(5502),
    [anon_sym_RBRACE] = ACTIONS(5502),
    [anon_sym_COMMA] = ACTIONS(5502),
    [anon_sym_COLON_COLON] = ACTIONS(5502),
    [anon_sym_DASH_GT] = ACTIONS(5502),
    [anon_sym_where] = ACTIONS(5502),
    [anon_sym_EQ] = ACTIONS(5504),
    [anon_sym_COLON_EQ] = ACTIONS(5502),
    [anon_sym_COLON] = ACTIONS(5504),
    [anon_sym_LPAREN] = ACTIONS(5502),
    [anon_sym_PLUS_EQ] = ACTIONS(5502),
    [anon_sym_DASH_EQ] = ACTIONS(5502),
    [anon_sym_STAR_EQ] = ACTIONS(5502),
    [anon_sym_SLASH_EQ] = ACTIONS(5502),
    [anon_sym_PERCENT_EQ] = ACTIONS(5502),
    [anon_sym_AMP_EQ] = ACTIONS(5502),
    [anon_sym_PIPE_EQ] = ACTIONS(5502),
    [anon_sym_CARET_EQ] = ACTIONS(5502),
    [anon_sym_LT_LT_EQ] = ACTIONS(5502),
    [anon_sym_GT_GT_EQ] = ACTIONS(5502),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5502),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5502),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5502),
    [anon_sym_if] = ACTIONS(5502),
    [anon_sym_SEMI] = ACTIONS(5502),
    [anon_sym_else] = ACTIONS(5502),
    [anon_sym_when] = ACTIONS(5502),
    [anon_sym_in] = ACTIONS(5502),
    [anon_sym_case] = ACTIONS(5502),
    [anon_sym_QMARK] = ACTIONS(5502),
    [anon_sym_PLUS] = ACTIONS(5504),
    [anon_sym_DASH] = ACTIONS(5504),
    [anon_sym_TILDE] = ACTIONS(5504),
    [anon_sym_AMP] = ACTIONS(5504),
    [anon_sym_PIPE_PIPE] = ACTIONS(5504),
    [anon_sym_or_else] = ACTIONS(5502),
    [anon_sym_AMP_AMP] = ACTIONS(5504),
    [anon_sym_GT] = ACTIONS(5504),
    [anon_sym_GT_EQ] = ACTIONS(5502),
    [anon_sym_LT_EQ] = ACTIONS(5502),
    [anon_sym_LT] = ACTIONS(5504),
    [anon_sym_EQ_EQ] = ACTIONS(5502),
    [anon_sym_BANG_EQ] = ACTIONS(5502),
    [anon_sym_TILDE_EQ] = ACTIONS(5502),
    [anon_sym_PIPE] = ACTIONS(5504),
    [anon_sym_AMP_TILDE] = ACTIONS(5504),
    [anon_sym_LT_LT] = ACTIONS(5504),
    [anon_sym_GT_GT] = ACTIONS(5504),
    [anon_sym_STAR] = ACTIONS(5504),
    [anon_sym_SLASH] = ACTIONS(5504),
    [anon_sym_PERCENT] = ACTIONS(5504),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5502),
    [anon_sym_DOT] = ACTIONS(5504),
    [anon_sym_LBRACK] = ACTIONS(5502),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5502),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5502),
    [anon_sym_not_in] = ACTIONS(5502),
    [anon_sym_or_return] = ACTIONS(5502),
    [anon_sym_or_continue] = ACTIONS(5502),
    [anon_sym_or_break] = ACTIONS(5502),
    [anon_sym_CARET] = ACTIONS(5504),
    [sym_uninitialized] = ACTIONS(5502),
    [sym_tag] = ACTIONS(5502),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5502),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1094] = {
    [anon_sym_LBRACE] = ACTIONS(5506),
    [anon_sym_RBRACE] = ACTIONS(5506),
    [anon_sym_COMMA] = ACTIONS(5506),
    [anon_sym_COLON_COLON] = ACTIONS(5506),
    [anon_sym_DASH_GT] = ACTIONS(5506),
    [anon_sym_where] = ACTIONS(5506),
    [anon_sym_EQ] = ACTIONS(5508),
    [anon_sym_COLON_EQ] = ACTIONS(5506),
    [anon_sym_COLON] = ACTIONS(5508),
    [anon_sym_LPAREN] = ACTIONS(5506),
    [anon_sym_PLUS_EQ] = ACTIONS(5506),
    [anon_sym_DASH_EQ] = ACTIONS(5506),
    [anon_sym_STAR_EQ] = ACTIONS(5506),
    [anon_sym_SLASH_EQ] = ACTIONS(5506),
    [anon_sym_PERCENT_EQ] = ACTIONS(5506),
    [anon_sym_AMP_EQ] = ACTIONS(5506),
    [anon_sym_PIPE_EQ] = ACTIONS(5506),
    [anon_sym_CARET_EQ] = ACTIONS(5506),
    [anon_sym_LT_LT_EQ] = ACTIONS(5506),
    [anon_sym_GT_GT_EQ] = ACTIONS(5506),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5506),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5506),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5506),
    [anon_sym_if] = ACTIONS(5506),
    [anon_sym_SEMI] = ACTIONS(5506),
    [anon_sym_else] = ACTIONS(5506),
    [anon_sym_when] = ACTIONS(5506),
    [anon_sym_in] = ACTIONS(5506),
    [anon_sym_case] = ACTIONS(5506),
    [anon_sym_QMARK] = ACTIONS(5506),
    [anon_sym_PLUS] = ACTIONS(5508),
    [anon_sym_DASH] = ACTIONS(5508),
    [anon_sym_TILDE] = ACTIONS(5508),
    [anon_sym_AMP] = ACTIONS(5508),
    [anon_sym_PIPE_PIPE] = ACTIONS(5508),
    [anon_sym_or_else] = ACTIONS(5506),
    [anon_sym_AMP_AMP] = ACTIONS(5508),
    [anon_sym_GT] = ACTIONS(5508),
    [anon_sym_GT_EQ] = ACTIONS(5506),
    [anon_sym_LT_EQ] = ACTIONS(5506),
    [anon_sym_LT] = ACTIONS(5508),
    [anon_sym_EQ_EQ] = ACTIONS(5506),
    [anon_sym_BANG_EQ] = ACTIONS(5506),
    [anon_sym_TILDE_EQ] = ACTIONS(5506),
    [anon_sym_PIPE] = ACTIONS(5508),
    [anon_sym_AMP_TILDE] = ACTIONS(5508),
    [anon_sym_LT_LT] = ACTIONS(5508),
    [anon_sym_GT_GT] = ACTIONS(5508),
    [anon_sym_STAR] = ACTIONS(5508),
    [anon_sym_SLASH] = ACTIONS(5508),
    [anon_sym_PERCENT] = ACTIONS(5508),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5506),
    [anon_sym_DOT] = ACTIONS(5508),
    [anon_sym_LBRACK] = ACTIONS(5506),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5506),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5506),
    [anon_sym_not_in] = ACTIONS(5506),
    [anon_sym_or_return] = ACTIONS(5506),
    [anon_sym_or_continue] = ACTIONS(5506),
    [anon_sym_or_break] = ACTIONS(5506),
    [anon_sym_CARET] = ACTIONS(5508),
    [sym_uninitialized] = ACTIONS(5506),
    [sym_tag] = ACTIONS(5506),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5506),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1095] = {
    [anon_sym_LBRACE] = ACTIONS(5510),
    [anon_sym_RBRACE] = ACTIONS(5510),
    [anon_sym_COMMA] = ACTIONS(5510),
    [anon_sym_COLON_COLON] = ACTIONS(5510),
    [anon_sym_DASH_GT] = ACTIONS(4428),
    [anon_sym_where] = ACTIONS(5510),
    [anon_sym_EQ] = ACTIONS(5512),
    [anon_sym_COLON_EQ] = ACTIONS(5510),
    [anon_sym_COLON] = ACTIONS(5512),
    [anon_sym_LPAREN] = ACTIONS(5510),
    [anon_sym_PLUS_EQ] = ACTIONS(5510),
    [anon_sym_DASH_EQ] = ACTIONS(5510),
    [anon_sym_STAR_EQ] = ACTIONS(5510),
    [anon_sym_SLASH_EQ] = ACTIONS(5510),
    [anon_sym_PERCENT_EQ] = ACTIONS(5510),
    [anon_sym_AMP_EQ] = ACTIONS(5510),
    [anon_sym_PIPE_EQ] = ACTIONS(5510),
    [anon_sym_CARET_EQ] = ACTIONS(5510),
    [anon_sym_LT_LT_EQ] = ACTIONS(5510),
    [anon_sym_GT_GT_EQ] = ACTIONS(5510),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5510),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5510),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5510),
    [anon_sym_if] = ACTIONS(5510),
    [anon_sym_SEMI] = ACTIONS(5510),
    [anon_sym_else] = ACTIONS(5510),
    [anon_sym_when] = ACTIONS(5510),
    [anon_sym_in] = ACTIONS(5510),
    [anon_sym_case] = ACTIONS(5510),
    [anon_sym_QMARK] = ACTIONS(5510),
    [anon_sym_PLUS] = ACTIONS(5512),
    [anon_sym_DASH] = ACTIONS(5512),
    [anon_sym_TILDE] = ACTIONS(5512),
    [anon_sym_AMP] = ACTIONS(5512),
    [anon_sym_PIPE_PIPE] = ACTIONS(5512),
    [anon_sym_or_else] = ACTIONS(5510),
    [anon_sym_AMP_AMP] = ACTIONS(5512),
    [anon_sym_GT] = ACTIONS(5512),
    [anon_sym_GT_EQ] = ACTIONS(5510),
    [anon_sym_LT_EQ] = ACTIONS(5510),
    [anon_sym_LT] = ACTIONS(5512),
    [anon_sym_EQ_EQ] = ACTIONS(5510),
    [anon_sym_BANG_EQ] = ACTIONS(5510),
    [anon_sym_TILDE_EQ] = ACTIONS(5510),
    [anon_sym_PIPE] = ACTIONS(5512),
    [anon_sym_AMP_TILDE] = ACTIONS(5512),
    [anon_sym_LT_LT] = ACTIONS(5512),
    [anon_sym_GT_GT] = ACTIONS(5512),
    [anon_sym_STAR] = ACTIONS(5512),
    [anon_sym_SLASH] = ACTIONS(5512),
    [anon_sym_PERCENT] = ACTIONS(5512),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5510),
    [anon_sym_DOT] = ACTIONS(4460),
    [anon_sym_LBRACK] = ACTIONS(4462),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4464),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4464),
    [anon_sym_not_in] = ACTIONS(5510),
    [anon_sym_or_return] = ACTIONS(5510),
    [anon_sym_or_continue] = ACTIONS(5510),
    [anon_sym_or_break] = ACTIONS(5510),
    [anon_sym_CARET] = ACTIONS(5512),
    [sym_uninitialized] = ACTIONS(5510),
    [sym_tag] = ACTIONS(5510),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5510),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1096] = {
    [sym_expression] = STATE(5854),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(5514),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(5516),
    [anon_sym_dynamic] = ACTIONS(5518),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1097] = {
    [anon_sym_LBRACE] = ACTIONS(197),
    [anon_sym_RBRACE] = ACTIONS(197),
    [anon_sym_COMMA] = ACTIONS(197),
    [anon_sym_COLON_COLON] = ACTIONS(197),
    [anon_sym_DASH_GT] = ACTIONS(197),
    [anon_sym_where] = ACTIONS(197),
    [anon_sym_EQ] = ACTIONS(199),
    [anon_sym_COLON_EQ] = ACTIONS(197),
    [anon_sym_COLON] = ACTIONS(199),
    [anon_sym_LPAREN] = ACTIONS(197),
    [anon_sym_PLUS_EQ] = ACTIONS(197),
    [anon_sym_DASH_EQ] = ACTIONS(197),
    [anon_sym_STAR_EQ] = ACTIONS(197),
    [anon_sym_SLASH_EQ] = ACTIONS(197),
    [anon_sym_PERCENT_EQ] = ACTIONS(197),
    [anon_sym_AMP_EQ] = ACTIONS(197),
    [anon_sym_PIPE_EQ] = ACTIONS(197),
    [anon_sym_CARET_EQ] = ACTIONS(197),
    [anon_sym_LT_LT_EQ] = ACTIONS(197),
    [anon_sym_GT_GT_EQ] = ACTIONS(197),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(197),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(197),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(197),
    [anon_sym_if] = ACTIONS(197),
    [anon_sym_SEMI] = ACTIONS(197),
    [anon_sym_else] = ACTIONS(197),
    [anon_sym_when] = ACTIONS(197),
    [anon_sym_in] = ACTIONS(197),
    [anon_sym_case] = ACTIONS(197),
    [anon_sym_QMARK] = ACTIONS(197),
    [anon_sym_PLUS] = ACTIONS(199),
    [anon_sym_DASH] = ACTIONS(199),
    [anon_sym_TILDE] = ACTIONS(199),
    [anon_sym_AMP] = ACTIONS(199),
    [anon_sym_PIPE_PIPE] = ACTIONS(199),
    [anon_sym_or_else] = ACTIONS(197),
    [anon_sym_AMP_AMP] = ACTIONS(199),
    [anon_sym_GT] = ACTIONS(199),
    [anon_sym_GT_EQ] = ACTIONS(197),
    [anon_sym_LT_EQ] = ACTIONS(197),
    [anon_sym_LT] = ACTIONS(199),
    [anon_sym_EQ_EQ] = ACTIONS(197),
    [anon_sym_BANG_EQ] = ACTIONS(197),
    [anon_sym_TILDE_EQ] = ACTIONS(197),
    [anon_sym_PIPE] = ACTIONS(199),
    [anon_sym_AMP_TILDE] = ACTIONS(199),
    [anon_sym_LT_LT] = ACTIONS(199),
    [anon_sym_GT_GT] = ACTIONS(199),
    [anon_sym_STAR] = ACTIONS(199),
    [anon_sym_SLASH] = ACTIONS(199),
    [anon_sym_PERCENT] = ACTIONS(199),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(197),
    [anon_sym_DOT] = ACTIONS(199),
    [anon_sym_LBRACK] = ACTIONS(197),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(197),
    [anon_sym_DOT_DOT_LT] = ACTIONS(197),
    [anon_sym_not_in] = ACTIONS(197),
    [anon_sym_or_return] = ACTIONS(197),
    [anon_sym_or_continue] = ACTIONS(197),
    [anon_sym_or_break] = ACTIONS(197),
    [anon_sym_CARET] = ACTIONS(199),
    [sym_uninitialized] = ACTIONS(197),
    [sym_tag] = ACTIONS(197),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(197),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1098] = {
    [sym_expression] = STATE(5858),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(4158),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(4162),
    [anon_sym_dynamic] = ACTIONS(4164),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1099] = {
    [anon_sym_LBRACE] = ACTIONS(5520),
    [anon_sym_RBRACE] = ACTIONS(5520),
    [anon_sym_COMMA] = ACTIONS(5520),
    [anon_sym_COLON_COLON] = ACTIONS(5520),
    [anon_sym_DASH_GT] = ACTIONS(5520),
    [anon_sym_where] = ACTIONS(5520),
    [anon_sym_EQ] = ACTIONS(5522),
    [anon_sym_COLON_EQ] = ACTIONS(5520),
    [anon_sym_COLON] = ACTIONS(5522),
    [anon_sym_LPAREN] = ACTIONS(5520),
    [anon_sym_PLUS_EQ] = ACTIONS(5520),
    [anon_sym_DASH_EQ] = ACTIONS(5520),
    [anon_sym_STAR_EQ] = ACTIONS(5520),
    [anon_sym_SLASH_EQ] = ACTIONS(5520),
    [anon_sym_PERCENT_EQ] = ACTIONS(5520),
    [anon_sym_AMP_EQ] = ACTIONS(5520),
    [anon_sym_PIPE_EQ] = ACTIONS(5520),
    [anon_sym_CARET_EQ] = ACTIONS(5520),
    [anon_sym_LT_LT_EQ] = ACTIONS(5520),
    [anon_sym_GT_GT_EQ] = ACTIONS(5520),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5520),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5520),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5520),
    [anon_sym_if] = ACTIONS(5520),
    [anon_sym_SEMI] = ACTIONS(5520),
    [anon_sym_else] = ACTIONS(5520),
    [anon_sym_when] = ACTIONS(5520),
    [anon_sym_in] = ACTIONS(5520),
    [anon_sym_case] = ACTIONS(5520),
    [anon_sym_QMARK] = ACTIONS(5520),
    [anon_sym_PLUS] = ACTIONS(5522),
    [anon_sym_DASH] = ACTIONS(5522),
    [anon_sym_TILDE] = ACTIONS(5522),
    [anon_sym_AMP] = ACTIONS(5522),
    [anon_sym_PIPE_PIPE] = ACTIONS(5522),
    [anon_sym_or_else] = ACTIONS(5520),
    [anon_sym_AMP_AMP] = ACTIONS(5522),
    [anon_sym_GT] = ACTIONS(5522),
    [anon_sym_GT_EQ] = ACTIONS(5520),
    [anon_sym_LT_EQ] = ACTIONS(5520),
    [anon_sym_LT] = ACTIONS(5522),
    [anon_sym_EQ_EQ] = ACTIONS(5520),
    [anon_sym_BANG_EQ] = ACTIONS(5520),
    [anon_sym_TILDE_EQ] = ACTIONS(5520),
    [anon_sym_PIPE] = ACTIONS(5522),
    [anon_sym_AMP_TILDE] = ACTIONS(5522),
    [anon_sym_LT_LT] = ACTIONS(5522),
    [anon_sym_GT_GT] = ACTIONS(5522),
    [anon_sym_STAR] = ACTIONS(5522),
    [anon_sym_SLASH] = ACTIONS(5522),
    [anon_sym_PERCENT] = ACTIONS(5522),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5520),
    [anon_sym_DOT] = ACTIONS(5522),
    [anon_sym_LBRACK] = ACTIONS(5520),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5520),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5520),
    [anon_sym_not_in] = ACTIONS(5520),
    [anon_sym_or_return] = ACTIONS(5520),
    [anon_sym_or_continue] = ACTIONS(5520),
    [anon_sym_or_break] = ACTIONS(5520),
    [anon_sym_CARET] = ACTIONS(5522),
    [sym_uninitialized] = ACTIONS(5520),
    [sym_tag] = ACTIONS(5520),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5520),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1100] = {
    [sym_expression] = STATE(5880),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_constant_type] = STATE(8318),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(4630),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1101] = {
    [sym_expression] = STATE(5869),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(5524),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(5526),
    [anon_sym_dynamic] = ACTIONS(5528),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1102] = {
    [sym_expression] = STATE(5868),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_constant_type] = STATE(8242),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(4630),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1103] = {
    [sym_expression] = STATE(5873),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(4208),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(4212),
    [anon_sym_dynamic] = ACTIONS(4214),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1104] = {
    [sym_expression] = STATE(5874),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(5530),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(5532),
    [anon_sym_dynamic] = ACTIONS(5534),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1105] = {
    [sym_expression] = STATE(5876),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(5536),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(5538),
    [anon_sym_dynamic] = ACTIONS(5540),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1106] = {
    [sym_expression] = STATE(5730),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_constant_type] = STATE(8176),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(4630),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1107] = {
    [anon_sym_LBRACE] = ACTIONS(5542),
    [anon_sym_RBRACE] = ACTIONS(5542),
    [anon_sym_COMMA] = ACTIONS(5542),
    [anon_sym_COLON_COLON] = ACTIONS(5542),
    [anon_sym_DASH_GT] = ACTIONS(5542),
    [anon_sym_where] = ACTIONS(5542),
    [anon_sym_EQ] = ACTIONS(5544),
    [anon_sym_COLON_EQ] = ACTIONS(5542),
    [anon_sym_COLON] = ACTIONS(5544),
    [anon_sym_LPAREN] = ACTIONS(5542),
    [anon_sym_PLUS_EQ] = ACTIONS(5542),
    [anon_sym_DASH_EQ] = ACTIONS(5542),
    [anon_sym_STAR_EQ] = ACTIONS(5542),
    [anon_sym_SLASH_EQ] = ACTIONS(5542),
    [anon_sym_PERCENT_EQ] = ACTIONS(5542),
    [anon_sym_AMP_EQ] = ACTIONS(5542),
    [anon_sym_PIPE_EQ] = ACTIONS(5542),
    [anon_sym_CARET_EQ] = ACTIONS(5542),
    [anon_sym_LT_LT_EQ] = ACTIONS(5542),
    [anon_sym_GT_GT_EQ] = ACTIONS(5542),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5542),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5542),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5542),
    [anon_sym_if] = ACTIONS(5542),
    [anon_sym_SEMI] = ACTIONS(5542),
    [anon_sym_else] = ACTIONS(5542),
    [anon_sym_when] = ACTIONS(5542),
    [anon_sym_in] = ACTIONS(5542),
    [anon_sym_case] = ACTIONS(5542),
    [anon_sym_QMARK] = ACTIONS(5542),
    [anon_sym_PLUS] = ACTIONS(5544),
    [anon_sym_DASH] = ACTIONS(5544),
    [anon_sym_TILDE] = ACTIONS(5544),
    [anon_sym_AMP] = ACTIONS(5544),
    [anon_sym_PIPE_PIPE] = ACTIONS(5544),
    [anon_sym_or_else] = ACTIONS(5542),
    [anon_sym_AMP_AMP] = ACTIONS(5544),
    [anon_sym_GT] = ACTIONS(5544),
    [anon_sym_GT_EQ] = ACTIONS(5542),
    [anon_sym_LT_EQ] = ACTIONS(5542),
    [anon_sym_LT] = ACTIONS(5544),
    [anon_sym_EQ_EQ] = ACTIONS(5542),
    [anon_sym_BANG_EQ] = ACTIONS(5542),
    [anon_sym_TILDE_EQ] = ACTIONS(5542),
    [anon_sym_PIPE] = ACTIONS(5544),
    [anon_sym_AMP_TILDE] = ACTIONS(5544),
    [anon_sym_LT_LT] = ACTIONS(5544),
    [anon_sym_GT_GT] = ACTIONS(5544),
    [anon_sym_STAR] = ACTIONS(5544),
    [anon_sym_SLASH] = ACTIONS(5544),
    [anon_sym_PERCENT] = ACTIONS(5544),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5542),
    [anon_sym_DOT] = ACTIONS(5544),
    [anon_sym_LBRACK] = ACTIONS(5542),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5542),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5542),
    [anon_sym_not_in] = ACTIONS(5542),
    [anon_sym_or_return] = ACTIONS(5542),
    [anon_sym_or_continue] = ACTIONS(5542),
    [anon_sym_or_break] = ACTIONS(5542),
    [anon_sym_CARET] = ACTIONS(5544),
    [sym_uninitialized] = ACTIONS(5542),
    [sym_tag] = ACTIONS(5542),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5542),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1108] = {
    [sym_expression] = STATE(5744),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_constant_type] = STATE(8450),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(4630),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1109] = {
    [sym_expression] = STATE(5881),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_constant_type] = STATE(8279),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(4630),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1110] = {
    [sym_expression] = STATE(5897),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_constant_type] = STATE(8047),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(4630),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1111] = {
    [sym_expression] = STATE(5906),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_constant_type] = STATE(8376),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(4630),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1112] = {
    [sym_expression] = STATE(5912),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_constant_type] = STATE(8478),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(4630),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1113] = {
    [sym_expression] = STATE(5918),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_constant_type] = STATE(7974),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(4630),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1114] = {
    [sym_expression] = STATE(5924),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_constant_type] = STATE(8006),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(4630),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1115] = {
    [sym_expression] = STATE(5929),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_constant_type] = STATE(8017),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(4630),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1116] = {
    [sym_expression] = STATE(5935),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_constant_type] = STATE(8026),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(4630),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1117] = {
    [sym_expression] = STATE(5940),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_constant_type] = STATE(7992),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(4630),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1118] = {
    [sym_expression] = STATE(5946),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_constant_type] = STATE(7956),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(4630),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1119] = {
    [sym_expression] = STATE(5951),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_constant_type] = STATE(8032),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(4630),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1120] = {
    [sym_expression] = STATE(5955),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_constant_type] = STATE(8037),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(4630),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1121] = {
    [sym_expression] = STATE(5958),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_constant_type] = STATE(8041),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(4630),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1122] = {
    [sym_expression] = STATE(5960),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_constant_type] = STATE(8045),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(4630),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1123] = {
    [sym_expression] = STATE(5961),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_constant_type] = STATE(8053),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(4630),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1124] = {
    [sym_expression] = STATE(5963),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_constant_type] = STATE(8057),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(4630),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1125] = {
    [sym_expression] = STATE(5964),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_constant_type] = STATE(8061),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(4630),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1126] = {
    [sym_expression] = STATE(5966),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_constant_type] = STATE(8049),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(4630),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1127] = {
    [sym_expression] = STATE(5967),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_constant_type] = STATE(8064),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(4630),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1128] = {
    [sym_expression] = STATE(5970),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_constant_type] = STATE(8070),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(4630),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1129] = {
    [anon_sym_LBRACE] = ACTIONS(5546),
    [anon_sym_RBRACE] = ACTIONS(5546),
    [anon_sym_COMMA] = ACTIONS(5546),
    [anon_sym_COLON_COLON] = ACTIONS(5546),
    [anon_sym_DASH_GT] = ACTIONS(5546),
    [anon_sym_where] = ACTIONS(5546),
    [anon_sym_EQ] = ACTIONS(5548),
    [anon_sym_COLON_EQ] = ACTIONS(5546),
    [anon_sym_COLON] = ACTIONS(5548),
    [anon_sym_LPAREN] = ACTIONS(5546),
    [anon_sym_PLUS_EQ] = ACTIONS(5546),
    [anon_sym_DASH_EQ] = ACTIONS(5546),
    [anon_sym_STAR_EQ] = ACTIONS(5546),
    [anon_sym_SLASH_EQ] = ACTIONS(5546),
    [anon_sym_PERCENT_EQ] = ACTIONS(5546),
    [anon_sym_AMP_EQ] = ACTIONS(5546),
    [anon_sym_PIPE_EQ] = ACTIONS(5546),
    [anon_sym_CARET_EQ] = ACTIONS(5546),
    [anon_sym_LT_LT_EQ] = ACTIONS(5546),
    [anon_sym_GT_GT_EQ] = ACTIONS(5546),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5546),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5546),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5546),
    [anon_sym_if] = ACTIONS(5546),
    [anon_sym_SEMI] = ACTIONS(5546),
    [anon_sym_else] = ACTIONS(5546),
    [anon_sym_when] = ACTIONS(5546),
    [anon_sym_in] = ACTIONS(5546),
    [anon_sym_case] = ACTIONS(5546),
    [anon_sym_QMARK] = ACTIONS(5546),
    [anon_sym_PLUS] = ACTIONS(5548),
    [anon_sym_DASH] = ACTIONS(5548),
    [anon_sym_TILDE] = ACTIONS(5548),
    [anon_sym_AMP] = ACTIONS(5548),
    [anon_sym_PIPE_PIPE] = ACTIONS(5548),
    [anon_sym_or_else] = ACTIONS(5546),
    [anon_sym_AMP_AMP] = ACTIONS(5548),
    [anon_sym_GT] = ACTIONS(5548),
    [anon_sym_GT_EQ] = ACTIONS(5546),
    [anon_sym_LT_EQ] = ACTIONS(5546),
    [anon_sym_LT] = ACTIONS(5548),
    [anon_sym_EQ_EQ] = ACTIONS(5546),
    [anon_sym_BANG_EQ] = ACTIONS(5546),
    [anon_sym_TILDE_EQ] = ACTIONS(5546),
    [anon_sym_PIPE] = ACTIONS(5548),
    [anon_sym_AMP_TILDE] = ACTIONS(5548),
    [anon_sym_LT_LT] = ACTIONS(5548),
    [anon_sym_GT_GT] = ACTIONS(5548),
    [anon_sym_STAR] = ACTIONS(5548),
    [anon_sym_SLASH] = ACTIONS(5548),
    [anon_sym_PERCENT] = ACTIONS(5548),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5546),
    [anon_sym_DOT] = ACTIONS(5548),
    [anon_sym_LBRACK] = ACTIONS(5546),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5546),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5546),
    [anon_sym_not_in] = ACTIONS(5546),
    [anon_sym_or_return] = ACTIONS(5546),
    [anon_sym_or_continue] = ACTIONS(5546),
    [anon_sym_or_break] = ACTIONS(5546),
    [anon_sym_CARET] = ACTIONS(5548),
    [sym_uninitialized] = ACTIONS(5546),
    [sym_tag] = ACTIONS(5546),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5546),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1130] = {
    [sym_expression] = STATE(5814),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_constant_type] = STATE(8328),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(4630),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1131] = {
    [sym_expression] = STATE(5815),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_constant_type] = STATE(8091),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(4630),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1132] = {
    [anon_sym_LBRACE] = ACTIONS(5550),
    [anon_sym_RBRACE] = ACTIONS(5550),
    [anon_sym_COMMA] = ACTIONS(5550),
    [anon_sym_COLON_COLON] = ACTIONS(5550),
    [anon_sym_DASH_GT] = ACTIONS(5550),
    [anon_sym_where] = ACTIONS(5550),
    [anon_sym_EQ] = ACTIONS(5552),
    [anon_sym_COLON_EQ] = ACTIONS(5550),
    [anon_sym_COLON] = ACTIONS(5552),
    [anon_sym_LPAREN] = ACTIONS(5550),
    [anon_sym_PLUS_EQ] = ACTIONS(5550),
    [anon_sym_DASH_EQ] = ACTIONS(5550),
    [anon_sym_STAR_EQ] = ACTIONS(5550),
    [anon_sym_SLASH_EQ] = ACTIONS(5550),
    [anon_sym_PERCENT_EQ] = ACTIONS(5550),
    [anon_sym_AMP_EQ] = ACTIONS(5550),
    [anon_sym_PIPE_EQ] = ACTIONS(5550),
    [anon_sym_CARET_EQ] = ACTIONS(5550),
    [anon_sym_LT_LT_EQ] = ACTIONS(5550),
    [anon_sym_GT_GT_EQ] = ACTIONS(5550),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5550),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5550),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5550),
    [anon_sym_if] = ACTIONS(5550),
    [anon_sym_SEMI] = ACTIONS(5550),
    [anon_sym_else] = ACTIONS(5550),
    [anon_sym_when] = ACTIONS(5550),
    [anon_sym_in] = ACTIONS(5550),
    [anon_sym_case] = ACTIONS(5550),
    [anon_sym_QMARK] = ACTIONS(5550),
    [anon_sym_PLUS] = ACTIONS(5552),
    [anon_sym_DASH] = ACTIONS(5552),
    [anon_sym_TILDE] = ACTIONS(5552),
    [anon_sym_AMP] = ACTIONS(5552),
    [anon_sym_PIPE_PIPE] = ACTIONS(5552),
    [anon_sym_or_else] = ACTIONS(5550),
    [anon_sym_AMP_AMP] = ACTIONS(5552),
    [anon_sym_GT] = ACTIONS(5552),
    [anon_sym_GT_EQ] = ACTIONS(5550),
    [anon_sym_LT_EQ] = ACTIONS(5550),
    [anon_sym_LT] = ACTIONS(5552),
    [anon_sym_EQ_EQ] = ACTIONS(5550),
    [anon_sym_BANG_EQ] = ACTIONS(5550),
    [anon_sym_TILDE_EQ] = ACTIONS(5550),
    [anon_sym_PIPE] = ACTIONS(5552),
    [anon_sym_AMP_TILDE] = ACTIONS(5552),
    [anon_sym_LT_LT] = ACTIONS(5552),
    [anon_sym_GT_GT] = ACTIONS(5552),
    [anon_sym_STAR] = ACTIONS(5552),
    [anon_sym_SLASH] = ACTIONS(5552),
    [anon_sym_PERCENT] = ACTIONS(5552),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5550),
    [anon_sym_DOT] = ACTIONS(5552),
    [anon_sym_LBRACK] = ACTIONS(5550),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5550),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5550),
    [anon_sym_not_in] = ACTIONS(5550),
    [anon_sym_or_return] = ACTIONS(5550),
    [anon_sym_or_continue] = ACTIONS(5550),
    [anon_sym_or_break] = ACTIONS(5550),
    [anon_sym_CARET] = ACTIONS(5552),
    [sym_uninitialized] = ACTIONS(5550),
    [sym_tag] = ACTIONS(5550),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5550),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1133] = {
    [anon_sym_LBRACE] = ACTIONS(5554),
    [anon_sym_RBRACE] = ACTIONS(5554),
    [anon_sym_COMMA] = ACTIONS(5554),
    [anon_sym_COLON_COLON] = ACTIONS(5554),
    [anon_sym_DASH_GT] = ACTIONS(5554),
    [anon_sym_where] = ACTIONS(5554),
    [anon_sym_EQ] = ACTIONS(5556),
    [anon_sym_COLON_EQ] = ACTIONS(5554),
    [anon_sym_COLON] = ACTIONS(5556),
    [anon_sym_LPAREN] = ACTIONS(5554),
    [anon_sym_PLUS_EQ] = ACTIONS(5554),
    [anon_sym_DASH_EQ] = ACTIONS(5554),
    [anon_sym_STAR_EQ] = ACTIONS(5554),
    [anon_sym_SLASH_EQ] = ACTIONS(5554),
    [anon_sym_PERCENT_EQ] = ACTIONS(5554),
    [anon_sym_AMP_EQ] = ACTIONS(5554),
    [anon_sym_PIPE_EQ] = ACTIONS(5554),
    [anon_sym_CARET_EQ] = ACTIONS(5554),
    [anon_sym_LT_LT_EQ] = ACTIONS(5554),
    [anon_sym_GT_GT_EQ] = ACTIONS(5554),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5554),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5554),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5554),
    [anon_sym_if] = ACTIONS(5554),
    [anon_sym_SEMI] = ACTIONS(5554),
    [anon_sym_else] = ACTIONS(5554),
    [anon_sym_when] = ACTIONS(5554),
    [anon_sym_in] = ACTIONS(5554),
    [anon_sym_case] = ACTIONS(5554),
    [anon_sym_QMARK] = ACTIONS(5554),
    [anon_sym_PLUS] = ACTIONS(5556),
    [anon_sym_DASH] = ACTIONS(5556),
    [anon_sym_TILDE] = ACTIONS(5556),
    [anon_sym_AMP] = ACTIONS(5556),
    [anon_sym_PIPE_PIPE] = ACTIONS(5556),
    [anon_sym_or_else] = ACTIONS(5554),
    [anon_sym_AMP_AMP] = ACTIONS(5556),
    [anon_sym_GT] = ACTIONS(5556),
    [anon_sym_GT_EQ] = ACTIONS(5554),
    [anon_sym_LT_EQ] = ACTIONS(5554),
    [anon_sym_LT] = ACTIONS(5556),
    [anon_sym_EQ_EQ] = ACTIONS(5554),
    [anon_sym_BANG_EQ] = ACTIONS(5554),
    [anon_sym_TILDE_EQ] = ACTIONS(5554),
    [anon_sym_PIPE] = ACTIONS(5556),
    [anon_sym_AMP_TILDE] = ACTIONS(5556),
    [anon_sym_LT_LT] = ACTIONS(5556),
    [anon_sym_GT_GT] = ACTIONS(5556),
    [anon_sym_STAR] = ACTIONS(5556),
    [anon_sym_SLASH] = ACTIONS(5556),
    [anon_sym_PERCENT] = ACTIONS(5556),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5554),
    [anon_sym_DOT] = ACTIONS(5556),
    [anon_sym_LBRACK] = ACTIONS(5554),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5554),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5554),
    [anon_sym_not_in] = ACTIONS(5554),
    [anon_sym_or_return] = ACTIONS(5554),
    [anon_sym_or_continue] = ACTIONS(5554),
    [anon_sym_or_break] = ACTIONS(5554),
    [anon_sym_CARET] = ACTIONS(5556),
    [sym_uninitialized] = ACTIONS(5554),
    [sym_tag] = ACTIONS(5554),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5554),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1134] = {
    [sym_expression] = STATE(5566),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_struct_field] = STATE(7886),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(5558),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1135] = {
    [anon_sym_LBRACE] = ACTIONS(5560),
    [anon_sym_RBRACE] = ACTIONS(5560),
    [anon_sym_COMMA] = ACTIONS(5560),
    [anon_sym_COLON_COLON] = ACTIONS(5560),
    [anon_sym_DASH_GT] = ACTIONS(4428),
    [anon_sym_where] = ACTIONS(5560),
    [anon_sym_EQ] = ACTIONS(5562),
    [anon_sym_COLON_EQ] = ACTIONS(5560),
    [anon_sym_COLON] = ACTIONS(5562),
    [anon_sym_LPAREN] = ACTIONS(5560),
    [anon_sym_PLUS_EQ] = ACTIONS(5560),
    [anon_sym_DASH_EQ] = ACTIONS(5560),
    [anon_sym_STAR_EQ] = ACTIONS(5560),
    [anon_sym_SLASH_EQ] = ACTIONS(5560),
    [anon_sym_PERCENT_EQ] = ACTIONS(5560),
    [anon_sym_AMP_EQ] = ACTIONS(5560),
    [anon_sym_PIPE_EQ] = ACTIONS(5560),
    [anon_sym_CARET_EQ] = ACTIONS(5560),
    [anon_sym_LT_LT_EQ] = ACTIONS(5560),
    [anon_sym_GT_GT_EQ] = ACTIONS(5560),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5560),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5560),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5560),
    [anon_sym_if] = ACTIONS(5560),
    [anon_sym_SEMI] = ACTIONS(5560),
    [anon_sym_else] = ACTIONS(5560),
    [anon_sym_when] = ACTIONS(5560),
    [anon_sym_in] = ACTIONS(5560),
    [anon_sym_case] = ACTIONS(5560),
    [anon_sym_QMARK] = ACTIONS(5560),
    [anon_sym_PLUS] = ACTIONS(5562),
    [anon_sym_DASH] = ACTIONS(5562),
    [anon_sym_TILDE] = ACTIONS(5562),
    [anon_sym_AMP] = ACTIONS(5562),
    [anon_sym_PIPE_PIPE] = ACTIONS(5562),
    [anon_sym_or_else] = ACTIONS(5560),
    [anon_sym_AMP_AMP] = ACTIONS(5562),
    [anon_sym_GT] = ACTIONS(5562),
    [anon_sym_GT_EQ] = ACTIONS(5560),
    [anon_sym_LT_EQ] = ACTIONS(5560),
    [anon_sym_LT] = ACTIONS(5562),
    [anon_sym_EQ_EQ] = ACTIONS(5560),
    [anon_sym_BANG_EQ] = ACTIONS(5560),
    [anon_sym_TILDE_EQ] = ACTIONS(5560),
    [anon_sym_PIPE] = ACTIONS(5562),
    [anon_sym_AMP_TILDE] = ACTIONS(5562),
    [anon_sym_LT_LT] = ACTIONS(5562),
    [anon_sym_GT_GT] = ACTIONS(5562),
    [anon_sym_STAR] = ACTIONS(5562),
    [anon_sym_SLASH] = ACTIONS(5562),
    [anon_sym_PERCENT] = ACTIONS(5562),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5560),
    [anon_sym_DOT] = ACTIONS(4460),
    [anon_sym_LBRACK] = ACTIONS(4462),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4464),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4464),
    [anon_sym_not_in] = ACTIONS(5560),
    [anon_sym_or_return] = ACTIONS(5560),
    [anon_sym_or_continue] = ACTIONS(5560),
    [anon_sym_or_break] = ACTIONS(5560),
    [anon_sym_CARET] = ACTIONS(5562),
    [sym_uninitialized] = ACTIONS(5560),
    [sym_tag] = ACTIONS(5560),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5560),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1136] = {
    [anon_sym_LBRACE] = ACTIONS(5564),
    [anon_sym_RBRACE] = ACTIONS(5564),
    [anon_sym_COMMA] = ACTIONS(5564),
    [anon_sym_COLON_COLON] = ACTIONS(5564),
    [anon_sym_DASH_GT] = ACTIONS(5564),
    [anon_sym_where] = ACTIONS(5564),
    [anon_sym_EQ] = ACTIONS(5566),
    [anon_sym_COLON_EQ] = ACTIONS(5564),
    [anon_sym_COLON] = ACTIONS(5566),
    [anon_sym_LPAREN] = ACTIONS(5564),
    [anon_sym_PLUS_EQ] = ACTIONS(5564),
    [anon_sym_DASH_EQ] = ACTIONS(5564),
    [anon_sym_STAR_EQ] = ACTIONS(5564),
    [anon_sym_SLASH_EQ] = ACTIONS(5564),
    [anon_sym_PERCENT_EQ] = ACTIONS(5564),
    [anon_sym_AMP_EQ] = ACTIONS(5564),
    [anon_sym_PIPE_EQ] = ACTIONS(5564),
    [anon_sym_CARET_EQ] = ACTIONS(5564),
    [anon_sym_LT_LT_EQ] = ACTIONS(5564),
    [anon_sym_GT_GT_EQ] = ACTIONS(5564),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5564),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5564),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5564),
    [anon_sym_if] = ACTIONS(5564),
    [anon_sym_SEMI] = ACTIONS(5564),
    [anon_sym_else] = ACTIONS(5564),
    [anon_sym_when] = ACTIONS(5564),
    [anon_sym_in] = ACTIONS(5564),
    [anon_sym_case] = ACTIONS(5564),
    [anon_sym_QMARK] = ACTIONS(5564),
    [anon_sym_PLUS] = ACTIONS(5566),
    [anon_sym_DASH] = ACTIONS(5566),
    [anon_sym_TILDE] = ACTIONS(5566),
    [anon_sym_AMP] = ACTIONS(5566),
    [anon_sym_PIPE_PIPE] = ACTIONS(5566),
    [anon_sym_or_else] = ACTIONS(5564),
    [anon_sym_AMP_AMP] = ACTIONS(5566),
    [anon_sym_GT] = ACTIONS(5566),
    [anon_sym_GT_EQ] = ACTIONS(5564),
    [anon_sym_LT_EQ] = ACTIONS(5564),
    [anon_sym_LT] = ACTIONS(5566),
    [anon_sym_EQ_EQ] = ACTIONS(5564),
    [anon_sym_BANG_EQ] = ACTIONS(5564),
    [anon_sym_TILDE_EQ] = ACTIONS(5564),
    [anon_sym_PIPE] = ACTIONS(5566),
    [anon_sym_AMP_TILDE] = ACTIONS(5566),
    [anon_sym_LT_LT] = ACTIONS(5566),
    [anon_sym_GT_GT] = ACTIONS(5566),
    [anon_sym_STAR] = ACTIONS(5566),
    [anon_sym_SLASH] = ACTIONS(5566),
    [anon_sym_PERCENT] = ACTIONS(5566),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5564),
    [anon_sym_DOT] = ACTIONS(5566),
    [anon_sym_LBRACK] = ACTIONS(5564),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5564),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5564),
    [anon_sym_not_in] = ACTIONS(5564),
    [anon_sym_or_return] = ACTIONS(5564),
    [anon_sym_or_continue] = ACTIONS(5564),
    [anon_sym_or_break] = ACTIONS(5564),
    [anon_sym_CARET] = ACTIONS(5566),
    [sym_uninitialized] = ACTIONS(5564),
    [sym_tag] = ACTIONS(5564),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5564),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1137] = {
    [anon_sym_LBRACE] = ACTIONS(5568),
    [anon_sym_RBRACE] = ACTIONS(5568),
    [anon_sym_COMMA] = ACTIONS(5568),
    [anon_sym_COLON_COLON] = ACTIONS(5568),
    [anon_sym_DASH_GT] = ACTIONS(5568),
    [anon_sym_where] = ACTIONS(5568),
    [anon_sym_EQ] = ACTIONS(5570),
    [anon_sym_COLON_EQ] = ACTIONS(5568),
    [anon_sym_COLON] = ACTIONS(5570),
    [anon_sym_LPAREN] = ACTIONS(5568),
    [anon_sym_PLUS_EQ] = ACTIONS(5568),
    [anon_sym_DASH_EQ] = ACTIONS(5568),
    [anon_sym_STAR_EQ] = ACTIONS(5568),
    [anon_sym_SLASH_EQ] = ACTIONS(5568),
    [anon_sym_PERCENT_EQ] = ACTIONS(5568),
    [anon_sym_AMP_EQ] = ACTIONS(5568),
    [anon_sym_PIPE_EQ] = ACTIONS(5568),
    [anon_sym_CARET_EQ] = ACTIONS(5568),
    [anon_sym_LT_LT_EQ] = ACTIONS(5568),
    [anon_sym_GT_GT_EQ] = ACTIONS(5568),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5568),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5568),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5568),
    [anon_sym_if] = ACTIONS(5568),
    [anon_sym_SEMI] = ACTIONS(5568),
    [anon_sym_else] = ACTIONS(5568),
    [anon_sym_when] = ACTIONS(5568),
    [anon_sym_in] = ACTIONS(5568),
    [anon_sym_case] = ACTIONS(5568),
    [anon_sym_QMARK] = ACTIONS(5568),
    [anon_sym_PLUS] = ACTIONS(5570),
    [anon_sym_DASH] = ACTIONS(5570),
    [anon_sym_TILDE] = ACTIONS(5570),
    [anon_sym_AMP] = ACTIONS(5570),
    [anon_sym_PIPE_PIPE] = ACTIONS(5570),
    [anon_sym_or_else] = ACTIONS(5568),
    [anon_sym_AMP_AMP] = ACTIONS(5570),
    [anon_sym_GT] = ACTIONS(5570),
    [anon_sym_GT_EQ] = ACTIONS(5568),
    [anon_sym_LT_EQ] = ACTIONS(5568),
    [anon_sym_LT] = ACTIONS(5570),
    [anon_sym_EQ_EQ] = ACTIONS(5568),
    [anon_sym_BANG_EQ] = ACTIONS(5568),
    [anon_sym_TILDE_EQ] = ACTIONS(5568),
    [anon_sym_PIPE] = ACTIONS(5570),
    [anon_sym_AMP_TILDE] = ACTIONS(5570),
    [anon_sym_LT_LT] = ACTIONS(5570),
    [anon_sym_GT_GT] = ACTIONS(5570),
    [anon_sym_STAR] = ACTIONS(5570),
    [anon_sym_SLASH] = ACTIONS(5570),
    [anon_sym_PERCENT] = ACTIONS(5570),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5568),
    [anon_sym_DOT] = ACTIONS(5570),
    [anon_sym_LBRACK] = ACTIONS(5568),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5568),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5568),
    [anon_sym_not_in] = ACTIONS(5568),
    [anon_sym_or_return] = ACTIONS(5568),
    [anon_sym_or_continue] = ACTIONS(5568),
    [anon_sym_or_break] = ACTIONS(5568),
    [anon_sym_CARET] = ACTIONS(5570),
    [sym_uninitialized] = ACTIONS(5568),
    [sym_tag] = ACTIONS(5568),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5568),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1138] = {
    [anon_sym_LBRACE] = ACTIONS(5568),
    [anon_sym_RBRACE] = ACTIONS(5568),
    [anon_sym_COMMA] = ACTIONS(5568),
    [anon_sym_COLON_COLON] = ACTIONS(5568),
    [anon_sym_DASH_GT] = ACTIONS(5568),
    [anon_sym_where] = ACTIONS(5568),
    [anon_sym_EQ] = ACTIONS(5570),
    [anon_sym_COLON_EQ] = ACTIONS(5568),
    [anon_sym_COLON] = ACTIONS(5570),
    [anon_sym_LPAREN] = ACTIONS(5568),
    [anon_sym_PLUS_EQ] = ACTIONS(5568),
    [anon_sym_DASH_EQ] = ACTIONS(5568),
    [anon_sym_STAR_EQ] = ACTIONS(5568),
    [anon_sym_SLASH_EQ] = ACTIONS(5568),
    [anon_sym_PERCENT_EQ] = ACTIONS(5568),
    [anon_sym_AMP_EQ] = ACTIONS(5568),
    [anon_sym_PIPE_EQ] = ACTIONS(5568),
    [anon_sym_CARET_EQ] = ACTIONS(5568),
    [anon_sym_LT_LT_EQ] = ACTIONS(5568),
    [anon_sym_GT_GT_EQ] = ACTIONS(5568),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5568),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5568),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5568),
    [anon_sym_if] = ACTIONS(5568),
    [anon_sym_SEMI] = ACTIONS(5568),
    [anon_sym_else] = ACTIONS(5568),
    [anon_sym_when] = ACTIONS(5568),
    [anon_sym_in] = ACTIONS(5568),
    [anon_sym_case] = ACTIONS(5568),
    [anon_sym_QMARK] = ACTIONS(5568),
    [anon_sym_PLUS] = ACTIONS(5570),
    [anon_sym_DASH] = ACTIONS(5570),
    [anon_sym_TILDE] = ACTIONS(5570),
    [anon_sym_AMP] = ACTIONS(5570),
    [anon_sym_PIPE_PIPE] = ACTIONS(5570),
    [anon_sym_or_else] = ACTIONS(5568),
    [anon_sym_AMP_AMP] = ACTIONS(5570),
    [anon_sym_GT] = ACTIONS(5570),
    [anon_sym_GT_EQ] = ACTIONS(5568),
    [anon_sym_LT_EQ] = ACTIONS(5568),
    [anon_sym_LT] = ACTIONS(5570),
    [anon_sym_EQ_EQ] = ACTIONS(5568),
    [anon_sym_BANG_EQ] = ACTIONS(5568),
    [anon_sym_TILDE_EQ] = ACTIONS(5568),
    [anon_sym_PIPE] = ACTIONS(5570),
    [anon_sym_AMP_TILDE] = ACTIONS(5570),
    [anon_sym_LT_LT] = ACTIONS(5570),
    [anon_sym_GT_GT] = ACTIONS(5570),
    [anon_sym_STAR] = ACTIONS(5570),
    [anon_sym_SLASH] = ACTIONS(5570),
    [anon_sym_PERCENT] = ACTIONS(5570),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5568),
    [anon_sym_DOT] = ACTIONS(5570),
    [anon_sym_LBRACK] = ACTIONS(5568),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5568),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5568),
    [anon_sym_not_in] = ACTIONS(5568),
    [anon_sym_or_return] = ACTIONS(5568),
    [anon_sym_or_continue] = ACTIONS(5568),
    [anon_sym_or_break] = ACTIONS(5568),
    [anon_sym_CARET] = ACTIONS(5570),
    [sym_uninitialized] = ACTIONS(5568),
    [sym_tag] = ACTIONS(5568),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5568),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1139] = {
    [anon_sym_LBRACE] = ACTIONS(5572),
    [anon_sym_RBRACE] = ACTIONS(5572),
    [anon_sym_COMMA] = ACTIONS(5572),
    [anon_sym_COLON_COLON] = ACTIONS(5572),
    [anon_sym_DASH_GT] = ACTIONS(5572),
    [anon_sym_where] = ACTIONS(5572),
    [anon_sym_EQ] = ACTIONS(5574),
    [anon_sym_COLON_EQ] = ACTIONS(5572),
    [anon_sym_COLON] = ACTIONS(5574),
    [anon_sym_LPAREN] = ACTIONS(5572),
    [anon_sym_PLUS_EQ] = ACTIONS(5572),
    [anon_sym_DASH_EQ] = ACTIONS(5572),
    [anon_sym_STAR_EQ] = ACTIONS(5572),
    [anon_sym_SLASH_EQ] = ACTIONS(5572),
    [anon_sym_PERCENT_EQ] = ACTIONS(5572),
    [anon_sym_AMP_EQ] = ACTIONS(5572),
    [anon_sym_PIPE_EQ] = ACTIONS(5572),
    [anon_sym_CARET_EQ] = ACTIONS(5572),
    [anon_sym_LT_LT_EQ] = ACTIONS(5572),
    [anon_sym_GT_GT_EQ] = ACTIONS(5572),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5572),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5572),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5572),
    [anon_sym_if] = ACTIONS(5572),
    [anon_sym_SEMI] = ACTIONS(5572),
    [anon_sym_else] = ACTIONS(5572),
    [anon_sym_when] = ACTIONS(5572),
    [anon_sym_in] = ACTIONS(5572),
    [anon_sym_case] = ACTIONS(5572),
    [anon_sym_QMARK] = ACTIONS(5572),
    [anon_sym_PLUS] = ACTIONS(5574),
    [anon_sym_DASH] = ACTIONS(5574),
    [anon_sym_TILDE] = ACTIONS(5574),
    [anon_sym_AMP] = ACTIONS(5574),
    [anon_sym_PIPE_PIPE] = ACTIONS(5574),
    [anon_sym_or_else] = ACTIONS(5572),
    [anon_sym_AMP_AMP] = ACTIONS(5574),
    [anon_sym_GT] = ACTIONS(5574),
    [anon_sym_GT_EQ] = ACTIONS(5572),
    [anon_sym_LT_EQ] = ACTIONS(5572),
    [anon_sym_LT] = ACTIONS(5574),
    [anon_sym_EQ_EQ] = ACTIONS(5572),
    [anon_sym_BANG_EQ] = ACTIONS(5572),
    [anon_sym_TILDE_EQ] = ACTIONS(5572),
    [anon_sym_PIPE] = ACTIONS(5574),
    [anon_sym_AMP_TILDE] = ACTIONS(5574),
    [anon_sym_LT_LT] = ACTIONS(5574),
    [anon_sym_GT_GT] = ACTIONS(5574),
    [anon_sym_STAR] = ACTIONS(5574),
    [anon_sym_SLASH] = ACTIONS(5574),
    [anon_sym_PERCENT] = ACTIONS(5574),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5572),
    [anon_sym_DOT] = ACTIONS(5574),
    [anon_sym_LBRACK] = ACTIONS(5572),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5572),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5572),
    [anon_sym_not_in] = ACTIONS(5572),
    [anon_sym_or_return] = ACTIONS(5572),
    [anon_sym_or_continue] = ACTIONS(5572),
    [anon_sym_or_break] = ACTIONS(5572),
    [anon_sym_CARET] = ACTIONS(5574),
    [sym_uninitialized] = ACTIONS(5572),
    [sym_tag] = ACTIONS(5572),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5572),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1140] = {
    [anon_sym_LBRACE] = ACTIONS(5576),
    [anon_sym_RBRACE] = ACTIONS(5576),
    [anon_sym_COMMA] = ACTIONS(5576),
    [anon_sym_COLON_COLON] = ACTIONS(5576),
    [anon_sym_DASH_GT] = ACTIONS(5576),
    [anon_sym_where] = ACTIONS(5576),
    [anon_sym_EQ] = ACTIONS(5578),
    [anon_sym_COLON_EQ] = ACTIONS(5576),
    [anon_sym_COLON] = ACTIONS(5578),
    [anon_sym_LPAREN] = ACTIONS(5576),
    [anon_sym_PLUS_EQ] = ACTIONS(5576),
    [anon_sym_DASH_EQ] = ACTIONS(5576),
    [anon_sym_STAR_EQ] = ACTIONS(5576),
    [anon_sym_SLASH_EQ] = ACTIONS(5576),
    [anon_sym_PERCENT_EQ] = ACTIONS(5576),
    [anon_sym_AMP_EQ] = ACTIONS(5576),
    [anon_sym_PIPE_EQ] = ACTIONS(5576),
    [anon_sym_CARET_EQ] = ACTIONS(5576),
    [anon_sym_LT_LT_EQ] = ACTIONS(5576),
    [anon_sym_GT_GT_EQ] = ACTIONS(5576),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5576),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5576),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5576),
    [anon_sym_if] = ACTIONS(5576),
    [anon_sym_SEMI] = ACTIONS(5576),
    [anon_sym_else] = ACTIONS(5576),
    [anon_sym_when] = ACTIONS(5576),
    [anon_sym_in] = ACTIONS(5576),
    [anon_sym_case] = ACTIONS(5576),
    [anon_sym_QMARK] = ACTIONS(5576),
    [anon_sym_PLUS] = ACTIONS(5578),
    [anon_sym_DASH] = ACTIONS(5578),
    [anon_sym_TILDE] = ACTIONS(5578),
    [anon_sym_AMP] = ACTIONS(5578),
    [anon_sym_PIPE_PIPE] = ACTIONS(5578),
    [anon_sym_or_else] = ACTIONS(5576),
    [anon_sym_AMP_AMP] = ACTIONS(5578),
    [anon_sym_GT] = ACTIONS(5578),
    [anon_sym_GT_EQ] = ACTIONS(5576),
    [anon_sym_LT_EQ] = ACTIONS(5576),
    [anon_sym_LT] = ACTIONS(5578),
    [anon_sym_EQ_EQ] = ACTIONS(5576),
    [anon_sym_BANG_EQ] = ACTIONS(5576),
    [anon_sym_TILDE_EQ] = ACTIONS(5576),
    [anon_sym_PIPE] = ACTIONS(5578),
    [anon_sym_AMP_TILDE] = ACTIONS(5578),
    [anon_sym_LT_LT] = ACTIONS(5578),
    [anon_sym_GT_GT] = ACTIONS(5578),
    [anon_sym_STAR] = ACTIONS(5578),
    [anon_sym_SLASH] = ACTIONS(5578),
    [anon_sym_PERCENT] = ACTIONS(5578),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5576),
    [anon_sym_DOT] = ACTIONS(5578),
    [anon_sym_LBRACK] = ACTIONS(5576),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5576),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5576),
    [anon_sym_not_in] = ACTIONS(5576),
    [anon_sym_or_return] = ACTIONS(5576),
    [anon_sym_or_continue] = ACTIONS(5576),
    [anon_sym_or_break] = ACTIONS(5576),
    [anon_sym_CARET] = ACTIONS(5578),
    [sym_uninitialized] = ACTIONS(5576),
    [sym_tag] = ACTIONS(5576),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5576),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1141] = {
    [anon_sym_LBRACE] = ACTIONS(5580),
    [anon_sym_RBRACE] = ACTIONS(5580),
    [anon_sym_COMMA] = ACTIONS(5580),
    [anon_sym_COLON_COLON] = ACTIONS(5580),
    [anon_sym_DASH_GT] = ACTIONS(5580),
    [anon_sym_where] = ACTIONS(5580),
    [anon_sym_EQ] = ACTIONS(5582),
    [anon_sym_COLON_EQ] = ACTIONS(5580),
    [anon_sym_COLON] = ACTIONS(5582),
    [anon_sym_LPAREN] = ACTIONS(5580),
    [anon_sym_PLUS_EQ] = ACTIONS(5580),
    [anon_sym_DASH_EQ] = ACTIONS(5580),
    [anon_sym_STAR_EQ] = ACTIONS(5580),
    [anon_sym_SLASH_EQ] = ACTIONS(5580),
    [anon_sym_PERCENT_EQ] = ACTIONS(5580),
    [anon_sym_AMP_EQ] = ACTIONS(5580),
    [anon_sym_PIPE_EQ] = ACTIONS(5580),
    [anon_sym_CARET_EQ] = ACTIONS(5580),
    [anon_sym_LT_LT_EQ] = ACTIONS(5580),
    [anon_sym_GT_GT_EQ] = ACTIONS(5580),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5580),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5580),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5580),
    [anon_sym_if] = ACTIONS(5580),
    [anon_sym_SEMI] = ACTIONS(5580),
    [anon_sym_else] = ACTIONS(5580),
    [anon_sym_when] = ACTIONS(5580),
    [anon_sym_in] = ACTIONS(5580),
    [anon_sym_case] = ACTIONS(5580),
    [anon_sym_QMARK] = ACTIONS(5580),
    [anon_sym_PLUS] = ACTIONS(5582),
    [anon_sym_DASH] = ACTIONS(5582),
    [anon_sym_TILDE] = ACTIONS(5582),
    [anon_sym_AMP] = ACTIONS(5582),
    [anon_sym_PIPE_PIPE] = ACTIONS(5582),
    [anon_sym_or_else] = ACTIONS(5580),
    [anon_sym_AMP_AMP] = ACTIONS(5582),
    [anon_sym_GT] = ACTIONS(5582),
    [anon_sym_GT_EQ] = ACTIONS(5580),
    [anon_sym_LT_EQ] = ACTIONS(5580),
    [anon_sym_LT] = ACTIONS(5582),
    [anon_sym_EQ_EQ] = ACTIONS(5580),
    [anon_sym_BANG_EQ] = ACTIONS(5580),
    [anon_sym_TILDE_EQ] = ACTIONS(5580),
    [anon_sym_PIPE] = ACTIONS(5582),
    [anon_sym_AMP_TILDE] = ACTIONS(5582),
    [anon_sym_LT_LT] = ACTIONS(5582),
    [anon_sym_GT_GT] = ACTIONS(5582),
    [anon_sym_STAR] = ACTIONS(5582),
    [anon_sym_SLASH] = ACTIONS(5582),
    [anon_sym_PERCENT] = ACTIONS(5582),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5580),
    [anon_sym_DOT] = ACTIONS(5582),
    [anon_sym_LBRACK] = ACTIONS(5580),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5580),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5580),
    [anon_sym_not_in] = ACTIONS(5580),
    [anon_sym_or_return] = ACTIONS(5580),
    [anon_sym_or_continue] = ACTIONS(5580),
    [anon_sym_or_break] = ACTIONS(5580),
    [anon_sym_CARET] = ACTIONS(5582),
    [sym_uninitialized] = ACTIONS(5580),
    [sym_tag] = ACTIONS(5580),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5580),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1142] = {
    [anon_sym_LBRACE] = ACTIONS(5584),
    [anon_sym_RBRACE] = ACTIONS(5584),
    [anon_sym_COMMA] = ACTIONS(5584),
    [anon_sym_COLON_COLON] = ACTIONS(5584),
    [anon_sym_DASH_GT] = ACTIONS(4428),
    [anon_sym_where] = ACTIONS(5584),
    [anon_sym_EQ] = ACTIONS(5586),
    [anon_sym_COLON_EQ] = ACTIONS(5584),
    [anon_sym_COLON] = ACTIONS(5586),
    [anon_sym_LPAREN] = ACTIONS(5584),
    [anon_sym_PLUS_EQ] = ACTIONS(5584),
    [anon_sym_DASH_EQ] = ACTIONS(5584),
    [anon_sym_STAR_EQ] = ACTIONS(5584),
    [anon_sym_SLASH_EQ] = ACTIONS(5584),
    [anon_sym_PERCENT_EQ] = ACTIONS(5584),
    [anon_sym_AMP_EQ] = ACTIONS(5584),
    [anon_sym_PIPE_EQ] = ACTIONS(5584),
    [anon_sym_CARET_EQ] = ACTIONS(5584),
    [anon_sym_LT_LT_EQ] = ACTIONS(5584),
    [anon_sym_GT_GT_EQ] = ACTIONS(5584),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5584),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5584),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5584),
    [anon_sym_if] = ACTIONS(5584),
    [anon_sym_SEMI] = ACTIONS(5584),
    [anon_sym_else] = ACTIONS(5584),
    [anon_sym_when] = ACTIONS(5584),
    [anon_sym_in] = ACTIONS(5584),
    [anon_sym_case] = ACTIONS(5584),
    [anon_sym_QMARK] = ACTIONS(5584),
    [anon_sym_PLUS] = ACTIONS(4432),
    [anon_sym_DASH] = ACTIONS(4432),
    [anon_sym_TILDE] = ACTIONS(4434),
    [anon_sym_AMP] = ACTIONS(4436),
    [anon_sym_PIPE_PIPE] = ACTIONS(4438),
    [anon_sym_or_else] = ACTIONS(4440),
    [anon_sym_AMP_AMP] = ACTIONS(4442),
    [anon_sym_GT] = ACTIONS(4444),
    [anon_sym_GT_EQ] = ACTIONS(4446),
    [anon_sym_LT_EQ] = ACTIONS(4446),
    [anon_sym_LT] = ACTIONS(4444),
    [anon_sym_EQ_EQ] = ACTIONS(4448),
    [anon_sym_BANG_EQ] = ACTIONS(4448),
    [anon_sym_TILDE_EQ] = ACTIONS(4448),
    [anon_sym_PIPE] = ACTIONS(4450),
    [anon_sym_AMP_TILDE] = ACTIONS(4452),
    [anon_sym_LT_LT] = ACTIONS(4454),
    [anon_sym_GT_GT] = ACTIONS(4454),
    [anon_sym_STAR] = ACTIONS(4456),
    [anon_sym_SLASH] = ACTIONS(4456),
    [anon_sym_PERCENT] = ACTIONS(4456),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4458),
    [anon_sym_DOT] = ACTIONS(4460),
    [anon_sym_LBRACK] = ACTIONS(4462),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4464),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4464),
    [anon_sym_not_in] = ACTIONS(5584),
    [anon_sym_or_return] = ACTIONS(4466),
    [anon_sym_or_continue] = ACTIONS(4468),
    [anon_sym_or_break] = ACTIONS(4470),
    [anon_sym_CARET] = ACTIONS(4472),
    [sym_uninitialized] = ACTIONS(5584),
    [sym_tag] = ACTIONS(5584),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5584),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1143] = {
    [anon_sym_LBRACE] = ACTIONS(5584),
    [anon_sym_RBRACE] = ACTIONS(5584),
    [anon_sym_COMMA] = ACTIONS(5584),
    [anon_sym_COLON_COLON] = ACTIONS(5584),
    [anon_sym_DASH_GT] = ACTIONS(4428),
    [anon_sym_where] = ACTIONS(5584),
    [anon_sym_EQ] = ACTIONS(5586),
    [anon_sym_COLON_EQ] = ACTIONS(5584),
    [anon_sym_COLON] = ACTIONS(5586),
    [anon_sym_LPAREN] = ACTIONS(5584),
    [anon_sym_PLUS_EQ] = ACTIONS(5584),
    [anon_sym_DASH_EQ] = ACTIONS(5584),
    [anon_sym_STAR_EQ] = ACTIONS(5584),
    [anon_sym_SLASH_EQ] = ACTIONS(5584),
    [anon_sym_PERCENT_EQ] = ACTIONS(5584),
    [anon_sym_AMP_EQ] = ACTIONS(5584),
    [anon_sym_PIPE_EQ] = ACTIONS(5584),
    [anon_sym_CARET_EQ] = ACTIONS(5584),
    [anon_sym_LT_LT_EQ] = ACTIONS(5584),
    [anon_sym_GT_GT_EQ] = ACTIONS(5584),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5584),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5584),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5584),
    [anon_sym_if] = ACTIONS(5584),
    [anon_sym_SEMI] = ACTIONS(5584),
    [anon_sym_else] = ACTIONS(5584),
    [anon_sym_when] = ACTIONS(5584),
    [anon_sym_in] = ACTIONS(5584),
    [anon_sym_case] = ACTIONS(5584),
    [anon_sym_QMARK] = ACTIONS(5584),
    [anon_sym_PLUS] = ACTIONS(4432),
    [anon_sym_DASH] = ACTIONS(4432),
    [anon_sym_TILDE] = ACTIONS(4434),
    [anon_sym_AMP] = ACTIONS(4436),
    [anon_sym_PIPE_PIPE] = ACTIONS(4438),
    [anon_sym_or_else] = ACTIONS(4440),
    [anon_sym_AMP_AMP] = ACTIONS(4442),
    [anon_sym_GT] = ACTIONS(4444),
    [anon_sym_GT_EQ] = ACTIONS(4446),
    [anon_sym_LT_EQ] = ACTIONS(4446),
    [anon_sym_LT] = ACTIONS(4444),
    [anon_sym_EQ_EQ] = ACTIONS(4448),
    [anon_sym_BANG_EQ] = ACTIONS(4448),
    [anon_sym_TILDE_EQ] = ACTIONS(4448),
    [anon_sym_PIPE] = ACTIONS(4450),
    [anon_sym_AMP_TILDE] = ACTIONS(4452),
    [anon_sym_LT_LT] = ACTIONS(4454),
    [anon_sym_GT_GT] = ACTIONS(4454),
    [anon_sym_STAR] = ACTIONS(4456),
    [anon_sym_SLASH] = ACTIONS(4456),
    [anon_sym_PERCENT] = ACTIONS(4456),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4458),
    [anon_sym_DOT] = ACTIONS(4460),
    [anon_sym_LBRACK] = ACTIONS(4462),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4464),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4464),
    [anon_sym_not_in] = ACTIONS(5584),
    [anon_sym_or_return] = ACTIONS(5584),
    [anon_sym_or_continue] = ACTIONS(5584),
    [anon_sym_or_break] = ACTIONS(5584),
    [anon_sym_CARET] = ACTIONS(5586),
    [sym_uninitialized] = ACTIONS(5584),
    [sym_tag] = ACTIONS(5584),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5584),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1144] = {
    [anon_sym_LBRACE] = ACTIONS(5588),
    [anon_sym_RBRACE] = ACTIONS(5588),
    [anon_sym_COMMA] = ACTIONS(5588),
    [anon_sym_COLON_COLON] = ACTIONS(5588),
    [anon_sym_DASH_GT] = ACTIONS(5588),
    [anon_sym_where] = ACTIONS(5588),
    [anon_sym_EQ] = ACTIONS(5590),
    [anon_sym_COLON_EQ] = ACTIONS(5588),
    [anon_sym_COLON] = ACTIONS(5590),
    [anon_sym_LPAREN] = ACTIONS(5588),
    [anon_sym_PLUS_EQ] = ACTIONS(5588),
    [anon_sym_DASH_EQ] = ACTIONS(5588),
    [anon_sym_STAR_EQ] = ACTIONS(5588),
    [anon_sym_SLASH_EQ] = ACTIONS(5588),
    [anon_sym_PERCENT_EQ] = ACTIONS(5588),
    [anon_sym_AMP_EQ] = ACTIONS(5588),
    [anon_sym_PIPE_EQ] = ACTIONS(5588),
    [anon_sym_CARET_EQ] = ACTIONS(5588),
    [anon_sym_LT_LT_EQ] = ACTIONS(5588),
    [anon_sym_GT_GT_EQ] = ACTIONS(5588),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5588),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5588),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5588),
    [anon_sym_if] = ACTIONS(5588),
    [anon_sym_SEMI] = ACTIONS(5588),
    [anon_sym_else] = ACTIONS(5588),
    [anon_sym_when] = ACTIONS(5588),
    [anon_sym_in] = ACTIONS(5588),
    [anon_sym_case] = ACTIONS(5588),
    [anon_sym_QMARK] = ACTIONS(5588),
    [anon_sym_PLUS] = ACTIONS(5590),
    [anon_sym_DASH] = ACTIONS(5590),
    [anon_sym_TILDE] = ACTIONS(5590),
    [anon_sym_AMP] = ACTIONS(5590),
    [anon_sym_PIPE_PIPE] = ACTIONS(5590),
    [anon_sym_or_else] = ACTIONS(5588),
    [anon_sym_AMP_AMP] = ACTIONS(5590),
    [anon_sym_GT] = ACTIONS(5590),
    [anon_sym_GT_EQ] = ACTIONS(5588),
    [anon_sym_LT_EQ] = ACTIONS(5588),
    [anon_sym_LT] = ACTIONS(5590),
    [anon_sym_EQ_EQ] = ACTIONS(5588),
    [anon_sym_BANG_EQ] = ACTIONS(5588),
    [anon_sym_TILDE_EQ] = ACTIONS(5588),
    [anon_sym_PIPE] = ACTIONS(5590),
    [anon_sym_AMP_TILDE] = ACTIONS(5590),
    [anon_sym_LT_LT] = ACTIONS(5590),
    [anon_sym_GT_GT] = ACTIONS(5590),
    [anon_sym_STAR] = ACTIONS(5590),
    [anon_sym_SLASH] = ACTIONS(5590),
    [anon_sym_PERCENT] = ACTIONS(5590),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5588),
    [anon_sym_DOT] = ACTIONS(5590),
    [anon_sym_LBRACK] = ACTIONS(5588),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5588),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5588),
    [anon_sym_not_in] = ACTIONS(5588),
    [anon_sym_or_return] = ACTIONS(5588),
    [anon_sym_or_continue] = ACTIONS(5588),
    [anon_sym_or_break] = ACTIONS(5588),
    [anon_sym_CARET] = ACTIONS(5590),
    [sym_uninitialized] = ACTIONS(5588),
    [sym_tag] = ACTIONS(5588),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5588),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1145] = {
    [anon_sym_LBRACE] = ACTIONS(5592),
    [anon_sym_RBRACE] = ACTIONS(5592),
    [anon_sym_COMMA] = ACTIONS(5592),
    [anon_sym_COLON_COLON] = ACTIONS(5592),
    [anon_sym_DASH_GT] = ACTIONS(5592),
    [anon_sym_where] = ACTIONS(5592),
    [anon_sym_EQ] = ACTIONS(5594),
    [anon_sym_COLON_EQ] = ACTIONS(5592),
    [anon_sym_COLON] = ACTIONS(5594),
    [anon_sym_LPAREN] = ACTIONS(5592),
    [anon_sym_PLUS_EQ] = ACTIONS(5592),
    [anon_sym_DASH_EQ] = ACTIONS(5592),
    [anon_sym_STAR_EQ] = ACTIONS(5592),
    [anon_sym_SLASH_EQ] = ACTIONS(5592),
    [anon_sym_PERCENT_EQ] = ACTIONS(5592),
    [anon_sym_AMP_EQ] = ACTIONS(5592),
    [anon_sym_PIPE_EQ] = ACTIONS(5592),
    [anon_sym_CARET_EQ] = ACTIONS(5592),
    [anon_sym_LT_LT_EQ] = ACTIONS(5592),
    [anon_sym_GT_GT_EQ] = ACTIONS(5592),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5592),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5592),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5592),
    [anon_sym_if] = ACTIONS(5592),
    [anon_sym_SEMI] = ACTIONS(5592),
    [anon_sym_else] = ACTIONS(5592),
    [anon_sym_when] = ACTIONS(5592),
    [anon_sym_in] = ACTIONS(5592),
    [anon_sym_case] = ACTIONS(5592),
    [anon_sym_QMARK] = ACTIONS(5592),
    [anon_sym_PLUS] = ACTIONS(5594),
    [anon_sym_DASH] = ACTIONS(5594),
    [anon_sym_TILDE] = ACTIONS(5594),
    [anon_sym_AMP] = ACTIONS(5594),
    [anon_sym_PIPE_PIPE] = ACTIONS(5594),
    [anon_sym_or_else] = ACTIONS(5592),
    [anon_sym_AMP_AMP] = ACTIONS(5594),
    [anon_sym_GT] = ACTIONS(5594),
    [anon_sym_GT_EQ] = ACTIONS(5592),
    [anon_sym_LT_EQ] = ACTIONS(5592),
    [anon_sym_LT] = ACTIONS(5594),
    [anon_sym_EQ_EQ] = ACTIONS(5592),
    [anon_sym_BANG_EQ] = ACTIONS(5592),
    [anon_sym_TILDE_EQ] = ACTIONS(5592),
    [anon_sym_PIPE] = ACTIONS(5594),
    [anon_sym_AMP_TILDE] = ACTIONS(5594),
    [anon_sym_LT_LT] = ACTIONS(5594),
    [anon_sym_GT_GT] = ACTIONS(5594),
    [anon_sym_STAR] = ACTIONS(5594),
    [anon_sym_SLASH] = ACTIONS(5594),
    [anon_sym_PERCENT] = ACTIONS(5594),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5592),
    [anon_sym_DOT] = ACTIONS(5594),
    [anon_sym_LBRACK] = ACTIONS(5592),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5592),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5592),
    [anon_sym_not_in] = ACTIONS(5592),
    [anon_sym_or_return] = ACTIONS(5592),
    [anon_sym_or_continue] = ACTIONS(5592),
    [anon_sym_or_break] = ACTIONS(5592),
    [anon_sym_CARET] = ACTIONS(5594),
    [sym_uninitialized] = ACTIONS(5592),
    [sym_tag] = ACTIONS(5592),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5592),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1146] = {
    [anon_sym_LBRACE] = ACTIONS(5596),
    [anon_sym_RBRACE] = ACTIONS(5596),
    [anon_sym_COMMA] = ACTIONS(5596),
    [anon_sym_COLON_COLON] = ACTIONS(5596),
    [anon_sym_DASH_GT] = ACTIONS(5596),
    [anon_sym_where] = ACTIONS(5596),
    [anon_sym_EQ] = ACTIONS(5598),
    [anon_sym_COLON_EQ] = ACTIONS(5596),
    [anon_sym_COLON] = ACTIONS(5598),
    [anon_sym_LPAREN] = ACTIONS(5596),
    [anon_sym_PLUS_EQ] = ACTIONS(5596),
    [anon_sym_DASH_EQ] = ACTIONS(5596),
    [anon_sym_STAR_EQ] = ACTIONS(5596),
    [anon_sym_SLASH_EQ] = ACTIONS(5596),
    [anon_sym_PERCENT_EQ] = ACTIONS(5596),
    [anon_sym_AMP_EQ] = ACTIONS(5596),
    [anon_sym_PIPE_EQ] = ACTIONS(5596),
    [anon_sym_CARET_EQ] = ACTIONS(5596),
    [anon_sym_LT_LT_EQ] = ACTIONS(5596),
    [anon_sym_GT_GT_EQ] = ACTIONS(5596),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5596),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5596),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5596),
    [anon_sym_if] = ACTIONS(5596),
    [anon_sym_SEMI] = ACTIONS(5596),
    [anon_sym_else] = ACTIONS(5596),
    [anon_sym_when] = ACTIONS(5596),
    [anon_sym_in] = ACTIONS(5596),
    [anon_sym_case] = ACTIONS(5596),
    [anon_sym_QMARK] = ACTIONS(5596),
    [anon_sym_PLUS] = ACTIONS(5598),
    [anon_sym_DASH] = ACTIONS(5598),
    [anon_sym_TILDE] = ACTIONS(5598),
    [anon_sym_AMP] = ACTIONS(5598),
    [anon_sym_PIPE_PIPE] = ACTIONS(5598),
    [anon_sym_or_else] = ACTIONS(5596),
    [anon_sym_AMP_AMP] = ACTIONS(5598),
    [anon_sym_GT] = ACTIONS(5598),
    [anon_sym_GT_EQ] = ACTIONS(5596),
    [anon_sym_LT_EQ] = ACTIONS(5596),
    [anon_sym_LT] = ACTIONS(5598),
    [anon_sym_EQ_EQ] = ACTIONS(5596),
    [anon_sym_BANG_EQ] = ACTIONS(5596),
    [anon_sym_TILDE_EQ] = ACTIONS(5596),
    [anon_sym_PIPE] = ACTIONS(5598),
    [anon_sym_AMP_TILDE] = ACTIONS(5598),
    [anon_sym_LT_LT] = ACTIONS(5598),
    [anon_sym_GT_GT] = ACTIONS(5598),
    [anon_sym_STAR] = ACTIONS(5598),
    [anon_sym_SLASH] = ACTIONS(5598),
    [anon_sym_PERCENT] = ACTIONS(5598),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5596),
    [anon_sym_DOT] = ACTIONS(5598),
    [anon_sym_LBRACK] = ACTIONS(5596),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5596),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5596),
    [anon_sym_not_in] = ACTIONS(5596),
    [anon_sym_or_return] = ACTIONS(5596),
    [anon_sym_or_continue] = ACTIONS(5596),
    [anon_sym_or_break] = ACTIONS(5596),
    [anon_sym_CARET] = ACTIONS(5598),
    [sym_uninitialized] = ACTIONS(5596),
    [sym_tag] = ACTIONS(5596),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5596),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1147] = {
    [anon_sym_LBRACE] = ACTIONS(5600),
    [anon_sym_RBRACE] = ACTIONS(5600),
    [anon_sym_COMMA] = ACTIONS(5600),
    [anon_sym_COLON_COLON] = ACTIONS(5600),
    [anon_sym_DASH_GT] = ACTIONS(5600),
    [anon_sym_where] = ACTIONS(5600),
    [anon_sym_EQ] = ACTIONS(5602),
    [anon_sym_COLON_EQ] = ACTIONS(5600),
    [anon_sym_COLON] = ACTIONS(5602),
    [anon_sym_LPAREN] = ACTIONS(5600),
    [anon_sym_PLUS_EQ] = ACTIONS(5600),
    [anon_sym_DASH_EQ] = ACTIONS(5600),
    [anon_sym_STAR_EQ] = ACTIONS(5600),
    [anon_sym_SLASH_EQ] = ACTIONS(5600),
    [anon_sym_PERCENT_EQ] = ACTIONS(5600),
    [anon_sym_AMP_EQ] = ACTIONS(5600),
    [anon_sym_PIPE_EQ] = ACTIONS(5600),
    [anon_sym_CARET_EQ] = ACTIONS(5600),
    [anon_sym_LT_LT_EQ] = ACTIONS(5600),
    [anon_sym_GT_GT_EQ] = ACTIONS(5600),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5600),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5600),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5600),
    [anon_sym_if] = ACTIONS(5600),
    [anon_sym_SEMI] = ACTIONS(5600),
    [anon_sym_else] = ACTIONS(5600),
    [anon_sym_when] = ACTIONS(5600),
    [anon_sym_in] = ACTIONS(5600),
    [anon_sym_case] = ACTIONS(5600),
    [anon_sym_QMARK] = ACTIONS(5600),
    [anon_sym_PLUS] = ACTIONS(5602),
    [anon_sym_DASH] = ACTIONS(5602),
    [anon_sym_TILDE] = ACTIONS(5602),
    [anon_sym_AMP] = ACTIONS(5602),
    [anon_sym_PIPE_PIPE] = ACTIONS(5602),
    [anon_sym_or_else] = ACTIONS(5600),
    [anon_sym_AMP_AMP] = ACTIONS(5602),
    [anon_sym_GT] = ACTIONS(5602),
    [anon_sym_GT_EQ] = ACTIONS(5600),
    [anon_sym_LT_EQ] = ACTIONS(5600),
    [anon_sym_LT] = ACTIONS(5602),
    [anon_sym_EQ_EQ] = ACTIONS(5600),
    [anon_sym_BANG_EQ] = ACTIONS(5600),
    [anon_sym_TILDE_EQ] = ACTIONS(5600),
    [anon_sym_PIPE] = ACTIONS(5602),
    [anon_sym_AMP_TILDE] = ACTIONS(5602),
    [anon_sym_LT_LT] = ACTIONS(5602),
    [anon_sym_GT_GT] = ACTIONS(5602),
    [anon_sym_STAR] = ACTIONS(5602),
    [anon_sym_SLASH] = ACTIONS(5602),
    [anon_sym_PERCENT] = ACTIONS(5602),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5600),
    [anon_sym_DOT] = ACTIONS(5602),
    [anon_sym_LBRACK] = ACTIONS(5600),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5600),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5600),
    [anon_sym_not_in] = ACTIONS(5600),
    [anon_sym_or_return] = ACTIONS(5600),
    [anon_sym_or_continue] = ACTIONS(5600),
    [anon_sym_or_break] = ACTIONS(5600),
    [anon_sym_CARET] = ACTIONS(5602),
    [sym_uninitialized] = ACTIONS(5600),
    [sym_tag] = ACTIONS(5600),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5600),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1148] = {
    [anon_sym_LBRACE] = ACTIONS(5604),
    [anon_sym_RBRACE] = ACTIONS(5604),
    [anon_sym_COMMA] = ACTIONS(5604),
    [anon_sym_COLON_COLON] = ACTIONS(5604),
    [anon_sym_DASH_GT] = ACTIONS(5604),
    [anon_sym_where] = ACTIONS(5604),
    [anon_sym_EQ] = ACTIONS(5606),
    [anon_sym_COLON_EQ] = ACTIONS(5604),
    [anon_sym_COLON] = ACTIONS(5606),
    [anon_sym_LPAREN] = ACTIONS(5604),
    [anon_sym_PLUS_EQ] = ACTIONS(5604),
    [anon_sym_DASH_EQ] = ACTIONS(5604),
    [anon_sym_STAR_EQ] = ACTIONS(5604),
    [anon_sym_SLASH_EQ] = ACTIONS(5604),
    [anon_sym_PERCENT_EQ] = ACTIONS(5604),
    [anon_sym_AMP_EQ] = ACTIONS(5604),
    [anon_sym_PIPE_EQ] = ACTIONS(5604),
    [anon_sym_CARET_EQ] = ACTIONS(5604),
    [anon_sym_LT_LT_EQ] = ACTIONS(5604),
    [anon_sym_GT_GT_EQ] = ACTIONS(5604),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5604),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5604),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5604),
    [anon_sym_if] = ACTIONS(5604),
    [anon_sym_SEMI] = ACTIONS(5604),
    [anon_sym_else] = ACTIONS(5604),
    [anon_sym_when] = ACTIONS(5604),
    [anon_sym_in] = ACTIONS(5604),
    [anon_sym_case] = ACTIONS(5604),
    [anon_sym_QMARK] = ACTIONS(5604),
    [anon_sym_PLUS] = ACTIONS(5606),
    [anon_sym_DASH] = ACTIONS(5606),
    [anon_sym_TILDE] = ACTIONS(5606),
    [anon_sym_AMP] = ACTIONS(5606),
    [anon_sym_PIPE_PIPE] = ACTIONS(5606),
    [anon_sym_or_else] = ACTIONS(5604),
    [anon_sym_AMP_AMP] = ACTIONS(5606),
    [anon_sym_GT] = ACTIONS(5606),
    [anon_sym_GT_EQ] = ACTIONS(5604),
    [anon_sym_LT_EQ] = ACTIONS(5604),
    [anon_sym_LT] = ACTIONS(5606),
    [anon_sym_EQ_EQ] = ACTIONS(5604),
    [anon_sym_BANG_EQ] = ACTIONS(5604),
    [anon_sym_TILDE_EQ] = ACTIONS(5604),
    [anon_sym_PIPE] = ACTIONS(5606),
    [anon_sym_AMP_TILDE] = ACTIONS(5606),
    [anon_sym_LT_LT] = ACTIONS(5606),
    [anon_sym_GT_GT] = ACTIONS(5606),
    [anon_sym_STAR] = ACTIONS(5606),
    [anon_sym_SLASH] = ACTIONS(5606),
    [anon_sym_PERCENT] = ACTIONS(5606),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5604),
    [anon_sym_DOT] = ACTIONS(5606),
    [anon_sym_LBRACK] = ACTIONS(5604),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5604),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5604),
    [anon_sym_not_in] = ACTIONS(5604),
    [anon_sym_or_return] = ACTIONS(5604),
    [anon_sym_or_continue] = ACTIONS(5604),
    [anon_sym_or_break] = ACTIONS(5604),
    [anon_sym_CARET] = ACTIONS(5606),
    [sym_uninitialized] = ACTIONS(5604),
    [sym_tag] = ACTIONS(5604),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5604),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1149] = {
    [anon_sym_LBRACE] = ACTIONS(5604),
    [anon_sym_RBRACE] = ACTIONS(5604),
    [anon_sym_COMMA] = ACTIONS(5604),
    [anon_sym_COLON_COLON] = ACTIONS(5604),
    [anon_sym_DASH_GT] = ACTIONS(5604),
    [anon_sym_where] = ACTIONS(5604),
    [anon_sym_EQ] = ACTIONS(5606),
    [anon_sym_COLON_EQ] = ACTIONS(5604),
    [anon_sym_COLON] = ACTIONS(5606),
    [anon_sym_LPAREN] = ACTIONS(5604),
    [anon_sym_PLUS_EQ] = ACTIONS(5604),
    [anon_sym_DASH_EQ] = ACTIONS(5604),
    [anon_sym_STAR_EQ] = ACTIONS(5604),
    [anon_sym_SLASH_EQ] = ACTIONS(5604),
    [anon_sym_PERCENT_EQ] = ACTIONS(5604),
    [anon_sym_AMP_EQ] = ACTIONS(5604),
    [anon_sym_PIPE_EQ] = ACTIONS(5604),
    [anon_sym_CARET_EQ] = ACTIONS(5604),
    [anon_sym_LT_LT_EQ] = ACTIONS(5604),
    [anon_sym_GT_GT_EQ] = ACTIONS(5604),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5604),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5604),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5604),
    [anon_sym_if] = ACTIONS(5604),
    [anon_sym_SEMI] = ACTIONS(5604),
    [anon_sym_else] = ACTIONS(5604),
    [anon_sym_when] = ACTIONS(5604),
    [anon_sym_in] = ACTIONS(5604),
    [anon_sym_case] = ACTIONS(5604),
    [anon_sym_QMARK] = ACTIONS(5604),
    [anon_sym_PLUS] = ACTIONS(5606),
    [anon_sym_DASH] = ACTIONS(5606),
    [anon_sym_TILDE] = ACTIONS(5606),
    [anon_sym_AMP] = ACTIONS(5606),
    [anon_sym_PIPE_PIPE] = ACTIONS(5606),
    [anon_sym_or_else] = ACTIONS(5604),
    [anon_sym_AMP_AMP] = ACTIONS(5606),
    [anon_sym_GT] = ACTIONS(5606),
    [anon_sym_GT_EQ] = ACTIONS(5604),
    [anon_sym_LT_EQ] = ACTIONS(5604),
    [anon_sym_LT] = ACTIONS(5606),
    [anon_sym_EQ_EQ] = ACTIONS(5604),
    [anon_sym_BANG_EQ] = ACTIONS(5604),
    [anon_sym_TILDE_EQ] = ACTIONS(5604),
    [anon_sym_PIPE] = ACTIONS(5606),
    [anon_sym_AMP_TILDE] = ACTIONS(5606),
    [anon_sym_LT_LT] = ACTIONS(5606),
    [anon_sym_GT_GT] = ACTIONS(5606),
    [anon_sym_STAR] = ACTIONS(5606),
    [anon_sym_SLASH] = ACTIONS(5606),
    [anon_sym_PERCENT] = ACTIONS(5606),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5604),
    [anon_sym_DOT] = ACTIONS(5606),
    [anon_sym_LBRACK] = ACTIONS(5604),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5604),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5604),
    [anon_sym_not_in] = ACTIONS(5604),
    [anon_sym_or_return] = ACTIONS(5604),
    [anon_sym_or_continue] = ACTIONS(5604),
    [anon_sym_or_break] = ACTIONS(5604),
    [anon_sym_CARET] = ACTIONS(5606),
    [sym_uninitialized] = ACTIONS(5604),
    [sym_tag] = ACTIONS(5604),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5604),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1150] = {
    [anon_sym_LBRACE] = ACTIONS(5608),
    [anon_sym_RBRACE] = ACTIONS(5608),
    [anon_sym_COMMA] = ACTIONS(5608),
    [anon_sym_COLON_COLON] = ACTIONS(5608),
    [anon_sym_DASH_GT] = ACTIONS(5608),
    [anon_sym_where] = ACTIONS(5608),
    [anon_sym_EQ] = ACTIONS(5610),
    [anon_sym_COLON_EQ] = ACTIONS(5608),
    [anon_sym_COLON] = ACTIONS(5610),
    [anon_sym_LPAREN] = ACTIONS(5608),
    [anon_sym_PLUS_EQ] = ACTIONS(5608),
    [anon_sym_DASH_EQ] = ACTIONS(5608),
    [anon_sym_STAR_EQ] = ACTIONS(5608),
    [anon_sym_SLASH_EQ] = ACTIONS(5608),
    [anon_sym_PERCENT_EQ] = ACTIONS(5608),
    [anon_sym_AMP_EQ] = ACTIONS(5608),
    [anon_sym_PIPE_EQ] = ACTIONS(5608),
    [anon_sym_CARET_EQ] = ACTIONS(5608),
    [anon_sym_LT_LT_EQ] = ACTIONS(5608),
    [anon_sym_GT_GT_EQ] = ACTIONS(5608),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5608),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5608),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5608),
    [anon_sym_if] = ACTIONS(5608),
    [anon_sym_SEMI] = ACTIONS(5608),
    [anon_sym_else] = ACTIONS(5608),
    [anon_sym_when] = ACTIONS(5608),
    [anon_sym_in] = ACTIONS(5608),
    [anon_sym_case] = ACTIONS(5608),
    [anon_sym_QMARK] = ACTIONS(5608),
    [anon_sym_PLUS] = ACTIONS(5610),
    [anon_sym_DASH] = ACTIONS(5610),
    [anon_sym_TILDE] = ACTIONS(5610),
    [anon_sym_AMP] = ACTIONS(5610),
    [anon_sym_PIPE_PIPE] = ACTIONS(5610),
    [anon_sym_or_else] = ACTIONS(5608),
    [anon_sym_AMP_AMP] = ACTIONS(5610),
    [anon_sym_GT] = ACTIONS(5610),
    [anon_sym_GT_EQ] = ACTIONS(5608),
    [anon_sym_LT_EQ] = ACTIONS(5608),
    [anon_sym_LT] = ACTIONS(5610),
    [anon_sym_EQ_EQ] = ACTIONS(5608),
    [anon_sym_BANG_EQ] = ACTIONS(5608),
    [anon_sym_TILDE_EQ] = ACTIONS(5608),
    [anon_sym_PIPE] = ACTIONS(5610),
    [anon_sym_AMP_TILDE] = ACTIONS(5610),
    [anon_sym_LT_LT] = ACTIONS(5610),
    [anon_sym_GT_GT] = ACTIONS(5610),
    [anon_sym_STAR] = ACTIONS(5610),
    [anon_sym_SLASH] = ACTIONS(5610),
    [anon_sym_PERCENT] = ACTIONS(5610),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5608),
    [anon_sym_DOT] = ACTIONS(5610),
    [anon_sym_LBRACK] = ACTIONS(5608),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5608),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5608),
    [anon_sym_not_in] = ACTIONS(5608),
    [anon_sym_or_return] = ACTIONS(5608),
    [anon_sym_or_continue] = ACTIONS(5608),
    [anon_sym_or_break] = ACTIONS(5608),
    [anon_sym_CARET] = ACTIONS(5610),
    [sym_uninitialized] = ACTIONS(5608),
    [sym_tag] = ACTIONS(5608),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5608),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1151] = {
    [anon_sym_LBRACE] = ACTIONS(5612),
    [anon_sym_RBRACE] = ACTIONS(5612),
    [anon_sym_COMMA] = ACTIONS(5612),
    [anon_sym_COLON_COLON] = ACTIONS(5612),
    [anon_sym_DASH_GT] = ACTIONS(5612),
    [anon_sym_where] = ACTIONS(5612),
    [anon_sym_EQ] = ACTIONS(5614),
    [anon_sym_COLON_EQ] = ACTIONS(5612),
    [anon_sym_COLON] = ACTIONS(5614),
    [anon_sym_LPAREN] = ACTIONS(5612),
    [anon_sym_PLUS_EQ] = ACTIONS(5612),
    [anon_sym_DASH_EQ] = ACTIONS(5612),
    [anon_sym_STAR_EQ] = ACTIONS(5612),
    [anon_sym_SLASH_EQ] = ACTIONS(5612),
    [anon_sym_PERCENT_EQ] = ACTIONS(5612),
    [anon_sym_AMP_EQ] = ACTIONS(5612),
    [anon_sym_PIPE_EQ] = ACTIONS(5612),
    [anon_sym_CARET_EQ] = ACTIONS(5612),
    [anon_sym_LT_LT_EQ] = ACTIONS(5612),
    [anon_sym_GT_GT_EQ] = ACTIONS(5612),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5612),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5612),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5612),
    [anon_sym_if] = ACTIONS(5612),
    [anon_sym_SEMI] = ACTIONS(5612),
    [anon_sym_else] = ACTIONS(5612),
    [anon_sym_when] = ACTIONS(5612),
    [anon_sym_in] = ACTIONS(5612),
    [anon_sym_case] = ACTIONS(5612),
    [anon_sym_QMARK] = ACTIONS(5612),
    [anon_sym_PLUS] = ACTIONS(5614),
    [anon_sym_DASH] = ACTIONS(5614),
    [anon_sym_TILDE] = ACTIONS(5614),
    [anon_sym_AMP] = ACTIONS(5614),
    [anon_sym_PIPE_PIPE] = ACTIONS(5614),
    [anon_sym_or_else] = ACTIONS(5612),
    [anon_sym_AMP_AMP] = ACTIONS(5614),
    [anon_sym_GT] = ACTIONS(5614),
    [anon_sym_GT_EQ] = ACTIONS(5612),
    [anon_sym_LT_EQ] = ACTIONS(5612),
    [anon_sym_LT] = ACTIONS(5614),
    [anon_sym_EQ_EQ] = ACTIONS(5612),
    [anon_sym_BANG_EQ] = ACTIONS(5612),
    [anon_sym_TILDE_EQ] = ACTIONS(5612),
    [anon_sym_PIPE] = ACTIONS(5614),
    [anon_sym_AMP_TILDE] = ACTIONS(5614),
    [anon_sym_LT_LT] = ACTIONS(5614),
    [anon_sym_GT_GT] = ACTIONS(5614),
    [anon_sym_STAR] = ACTIONS(5614),
    [anon_sym_SLASH] = ACTIONS(5614),
    [anon_sym_PERCENT] = ACTIONS(5614),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5612),
    [anon_sym_DOT] = ACTIONS(5614),
    [anon_sym_LBRACK] = ACTIONS(5612),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5612),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5612),
    [anon_sym_not_in] = ACTIONS(5612),
    [anon_sym_or_return] = ACTIONS(5612),
    [anon_sym_or_continue] = ACTIONS(5612),
    [anon_sym_or_break] = ACTIONS(5612),
    [anon_sym_CARET] = ACTIONS(5614),
    [sym_uninitialized] = ACTIONS(5612),
    [sym_tag] = ACTIONS(5612),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5612),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1152] = {
    [anon_sym_LBRACE] = ACTIONS(5612),
    [anon_sym_RBRACE] = ACTIONS(5612),
    [anon_sym_COMMA] = ACTIONS(5612),
    [anon_sym_COLON_COLON] = ACTIONS(5612),
    [anon_sym_DASH_GT] = ACTIONS(5612),
    [anon_sym_where] = ACTIONS(5612),
    [anon_sym_EQ] = ACTIONS(5614),
    [anon_sym_COLON_EQ] = ACTIONS(5612),
    [anon_sym_COLON] = ACTIONS(5614),
    [anon_sym_LPAREN] = ACTIONS(5612),
    [anon_sym_PLUS_EQ] = ACTIONS(5612),
    [anon_sym_DASH_EQ] = ACTIONS(5612),
    [anon_sym_STAR_EQ] = ACTIONS(5612),
    [anon_sym_SLASH_EQ] = ACTIONS(5612),
    [anon_sym_PERCENT_EQ] = ACTIONS(5612),
    [anon_sym_AMP_EQ] = ACTIONS(5612),
    [anon_sym_PIPE_EQ] = ACTIONS(5612),
    [anon_sym_CARET_EQ] = ACTIONS(5612),
    [anon_sym_LT_LT_EQ] = ACTIONS(5612),
    [anon_sym_GT_GT_EQ] = ACTIONS(5612),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5612),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5612),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5612),
    [anon_sym_if] = ACTIONS(5612),
    [anon_sym_SEMI] = ACTIONS(5612),
    [anon_sym_else] = ACTIONS(5612),
    [anon_sym_when] = ACTIONS(5612),
    [anon_sym_in] = ACTIONS(5612),
    [anon_sym_case] = ACTIONS(5612),
    [anon_sym_QMARK] = ACTIONS(5612),
    [anon_sym_PLUS] = ACTIONS(5614),
    [anon_sym_DASH] = ACTIONS(5614),
    [anon_sym_TILDE] = ACTIONS(5614),
    [anon_sym_AMP] = ACTIONS(5614),
    [anon_sym_PIPE_PIPE] = ACTIONS(5614),
    [anon_sym_or_else] = ACTIONS(5612),
    [anon_sym_AMP_AMP] = ACTIONS(5614),
    [anon_sym_GT] = ACTIONS(5614),
    [anon_sym_GT_EQ] = ACTIONS(5612),
    [anon_sym_LT_EQ] = ACTIONS(5612),
    [anon_sym_LT] = ACTIONS(5614),
    [anon_sym_EQ_EQ] = ACTIONS(5612),
    [anon_sym_BANG_EQ] = ACTIONS(5612),
    [anon_sym_TILDE_EQ] = ACTIONS(5612),
    [anon_sym_PIPE] = ACTIONS(5614),
    [anon_sym_AMP_TILDE] = ACTIONS(5614),
    [anon_sym_LT_LT] = ACTIONS(5614),
    [anon_sym_GT_GT] = ACTIONS(5614),
    [anon_sym_STAR] = ACTIONS(5614),
    [anon_sym_SLASH] = ACTIONS(5614),
    [anon_sym_PERCENT] = ACTIONS(5614),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5612),
    [anon_sym_DOT] = ACTIONS(5614),
    [anon_sym_LBRACK] = ACTIONS(5612),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5612),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5612),
    [anon_sym_not_in] = ACTIONS(5612),
    [anon_sym_or_return] = ACTIONS(5612),
    [anon_sym_or_continue] = ACTIONS(5612),
    [anon_sym_or_break] = ACTIONS(5612),
    [anon_sym_CARET] = ACTIONS(5614),
    [sym_uninitialized] = ACTIONS(5612),
    [sym_tag] = ACTIONS(5612),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5612),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1153] = {
    [anon_sym_LBRACE] = ACTIONS(5616),
    [anon_sym_RBRACE] = ACTIONS(5616),
    [anon_sym_COMMA] = ACTIONS(5616),
    [anon_sym_COLON_COLON] = ACTIONS(5616),
    [anon_sym_DASH_GT] = ACTIONS(5616),
    [anon_sym_where] = ACTIONS(5616),
    [anon_sym_EQ] = ACTIONS(5618),
    [anon_sym_COLON_EQ] = ACTIONS(5616),
    [anon_sym_COLON] = ACTIONS(5618),
    [anon_sym_LPAREN] = ACTIONS(5616),
    [anon_sym_PLUS_EQ] = ACTIONS(5616),
    [anon_sym_DASH_EQ] = ACTIONS(5616),
    [anon_sym_STAR_EQ] = ACTIONS(5616),
    [anon_sym_SLASH_EQ] = ACTIONS(5616),
    [anon_sym_PERCENT_EQ] = ACTIONS(5616),
    [anon_sym_AMP_EQ] = ACTIONS(5616),
    [anon_sym_PIPE_EQ] = ACTIONS(5616),
    [anon_sym_CARET_EQ] = ACTIONS(5616),
    [anon_sym_LT_LT_EQ] = ACTIONS(5616),
    [anon_sym_GT_GT_EQ] = ACTIONS(5616),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5616),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5616),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5616),
    [anon_sym_if] = ACTIONS(5616),
    [anon_sym_SEMI] = ACTIONS(5616),
    [anon_sym_else] = ACTIONS(5616),
    [anon_sym_when] = ACTIONS(5616),
    [anon_sym_in] = ACTIONS(5616),
    [anon_sym_case] = ACTIONS(5616),
    [anon_sym_QMARK] = ACTIONS(5616),
    [anon_sym_PLUS] = ACTIONS(5618),
    [anon_sym_DASH] = ACTIONS(5618),
    [anon_sym_TILDE] = ACTIONS(5618),
    [anon_sym_AMP] = ACTIONS(5618),
    [anon_sym_PIPE_PIPE] = ACTIONS(5618),
    [anon_sym_or_else] = ACTIONS(5616),
    [anon_sym_AMP_AMP] = ACTIONS(5618),
    [anon_sym_GT] = ACTIONS(5618),
    [anon_sym_GT_EQ] = ACTIONS(5616),
    [anon_sym_LT_EQ] = ACTIONS(5616),
    [anon_sym_LT] = ACTIONS(5618),
    [anon_sym_EQ_EQ] = ACTIONS(5616),
    [anon_sym_BANG_EQ] = ACTIONS(5616),
    [anon_sym_TILDE_EQ] = ACTIONS(5616),
    [anon_sym_PIPE] = ACTIONS(5618),
    [anon_sym_AMP_TILDE] = ACTIONS(5618),
    [anon_sym_LT_LT] = ACTIONS(5618),
    [anon_sym_GT_GT] = ACTIONS(5618),
    [anon_sym_STAR] = ACTIONS(5618),
    [anon_sym_SLASH] = ACTIONS(5618),
    [anon_sym_PERCENT] = ACTIONS(5618),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5616),
    [anon_sym_DOT] = ACTIONS(5618),
    [anon_sym_LBRACK] = ACTIONS(5616),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5616),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5616),
    [anon_sym_not_in] = ACTIONS(5616),
    [anon_sym_or_return] = ACTIONS(5616),
    [anon_sym_or_continue] = ACTIONS(5616),
    [anon_sym_or_break] = ACTIONS(5616),
    [anon_sym_CARET] = ACTIONS(5618),
    [sym_uninitialized] = ACTIONS(5616),
    [sym_tag] = ACTIONS(5616),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5616),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1154] = {
    [sym_expression] = STATE(6010),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_constant_type] = STATE(8270),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(4630),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1155] = {
    [sym_expression] = STATE(5991),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_constant_type] = STATE(8216),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(4630),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1156] = {
    [sym_expression] = STATE(6006),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_constant_type] = STATE(8270),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(4630),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1157] = {
    [sym_expression] = STATE(5995),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(4348),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(4352),
    [anon_sym_dynamic] = ACTIONS(4354),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1158] = {
    [sym_expression] = STATE(5996),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(5620),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(5622),
    [anon_sym_dynamic] = ACTIONS(5624),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1159] = {
    [sym_expression] = STATE(5999),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(5626),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(5628),
    [anon_sym_dynamic] = ACTIONS(5630),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1160] = {
    [sym_expression] = STATE(6000),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(5632),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(5634),
    [anon_sym_dynamic] = ACTIONS(5636),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1161] = {
    [sym_expression] = STATE(6002),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(4368),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(4372),
    [anon_sym_dynamic] = ACTIONS(4374),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1162] = {
    [sym_expression] = STATE(6003),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(5638),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(5640),
    [anon_sym_dynamic] = ACTIONS(5642),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1163] = {
    [sym_expression] = STATE(6007),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_constant_type] = STATE(8337),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(4630),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1164] = {
    [sym_expression] = STATE(6015),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_constant_type] = STATE(8303),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(4630),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1165] = {
    [sym_expression] = STATE(6017),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_constant_type] = STATE(8304),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(4630),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1166] = {
    [anon_sym_LBRACE] = ACTIONS(5644),
    [anon_sym_RBRACE] = ACTIONS(5644),
    [anon_sym_COMMA] = ACTIONS(5644),
    [anon_sym_COLON_COLON] = ACTIONS(5644),
    [anon_sym_DASH_GT] = ACTIONS(5644),
    [anon_sym_where] = ACTIONS(5644),
    [anon_sym_EQ] = ACTIONS(5646),
    [anon_sym_COLON_EQ] = ACTIONS(5644),
    [anon_sym_COLON] = ACTIONS(5646),
    [anon_sym_LPAREN] = ACTIONS(5644),
    [anon_sym_PLUS_EQ] = ACTIONS(5644),
    [anon_sym_DASH_EQ] = ACTIONS(5644),
    [anon_sym_STAR_EQ] = ACTIONS(5644),
    [anon_sym_SLASH_EQ] = ACTIONS(5644),
    [anon_sym_PERCENT_EQ] = ACTIONS(5644),
    [anon_sym_AMP_EQ] = ACTIONS(5644),
    [anon_sym_PIPE_EQ] = ACTIONS(5644),
    [anon_sym_CARET_EQ] = ACTIONS(5644),
    [anon_sym_LT_LT_EQ] = ACTIONS(5644),
    [anon_sym_GT_GT_EQ] = ACTIONS(5644),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5644),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5644),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5644),
    [anon_sym_if] = ACTIONS(5644),
    [anon_sym_SEMI] = ACTIONS(5644),
    [anon_sym_else] = ACTIONS(5644),
    [anon_sym_when] = ACTIONS(5644),
    [anon_sym_in] = ACTIONS(5644),
    [anon_sym_case] = ACTIONS(5644),
    [anon_sym_QMARK] = ACTIONS(5644),
    [anon_sym_PLUS] = ACTIONS(5646),
    [anon_sym_DASH] = ACTIONS(5646),
    [anon_sym_TILDE] = ACTIONS(5646),
    [anon_sym_AMP] = ACTIONS(5646),
    [anon_sym_PIPE_PIPE] = ACTIONS(5646),
    [anon_sym_or_else] = ACTIONS(5644),
    [anon_sym_AMP_AMP] = ACTIONS(5646),
    [anon_sym_GT] = ACTIONS(5646),
    [anon_sym_GT_EQ] = ACTIONS(5644),
    [anon_sym_LT_EQ] = ACTIONS(5644),
    [anon_sym_LT] = ACTIONS(5646),
    [anon_sym_EQ_EQ] = ACTIONS(5644),
    [anon_sym_BANG_EQ] = ACTIONS(5644),
    [anon_sym_TILDE_EQ] = ACTIONS(5644),
    [anon_sym_PIPE] = ACTIONS(5646),
    [anon_sym_AMP_TILDE] = ACTIONS(5646),
    [anon_sym_LT_LT] = ACTIONS(5646),
    [anon_sym_GT_GT] = ACTIONS(5646),
    [anon_sym_STAR] = ACTIONS(5646),
    [anon_sym_SLASH] = ACTIONS(5646),
    [anon_sym_PERCENT] = ACTIONS(5646),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5644),
    [anon_sym_DOT] = ACTIONS(5646),
    [anon_sym_LBRACK] = ACTIONS(5644),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5644),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5644),
    [anon_sym_not_in] = ACTIONS(5644),
    [anon_sym_or_return] = ACTIONS(5644),
    [anon_sym_or_continue] = ACTIONS(5644),
    [anon_sym_or_break] = ACTIONS(5644),
    [anon_sym_CARET] = ACTIONS(5646),
    [sym_uninitialized] = ACTIONS(5644),
    [sym_tag] = ACTIONS(5644),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5644),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1167] = {
    [sym_expression] = STATE(5887),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_constant_type] = STATE(8450),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(4630),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1168] = {
    [anon_sym_LBRACE] = ACTIONS(5648),
    [anon_sym_RBRACE] = ACTIONS(5648),
    [anon_sym_COMMA] = ACTIONS(5648),
    [anon_sym_COLON_COLON] = ACTIONS(5648),
    [anon_sym_DASH_GT] = ACTIONS(5648),
    [anon_sym_where] = ACTIONS(5648),
    [anon_sym_EQ] = ACTIONS(5650),
    [anon_sym_COLON_EQ] = ACTIONS(5648),
    [anon_sym_COLON] = ACTIONS(5650),
    [anon_sym_LPAREN] = ACTIONS(5648),
    [anon_sym_PLUS_EQ] = ACTIONS(5648),
    [anon_sym_DASH_EQ] = ACTIONS(5648),
    [anon_sym_STAR_EQ] = ACTIONS(5648),
    [anon_sym_SLASH_EQ] = ACTIONS(5648),
    [anon_sym_PERCENT_EQ] = ACTIONS(5648),
    [anon_sym_AMP_EQ] = ACTIONS(5648),
    [anon_sym_PIPE_EQ] = ACTIONS(5648),
    [anon_sym_CARET_EQ] = ACTIONS(5648),
    [anon_sym_LT_LT_EQ] = ACTIONS(5648),
    [anon_sym_GT_GT_EQ] = ACTIONS(5648),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5648),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5648),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5648),
    [anon_sym_if] = ACTIONS(5648),
    [anon_sym_SEMI] = ACTIONS(5648),
    [anon_sym_else] = ACTIONS(5648),
    [anon_sym_when] = ACTIONS(5648),
    [anon_sym_in] = ACTIONS(5648),
    [anon_sym_case] = ACTIONS(5648),
    [anon_sym_QMARK] = ACTIONS(5648),
    [anon_sym_PLUS] = ACTIONS(5650),
    [anon_sym_DASH] = ACTIONS(5650),
    [anon_sym_TILDE] = ACTIONS(5650),
    [anon_sym_AMP] = ACTIONS(5650),
    [anon_sym_PIPE_PIPE] = ACTIONS(5650),
    [anon_sym_or_else] = ACTIONS(5648),
    [anon_sym_AMP_AMP] = ACTIONS(5650),
    [anon_sym_GT] = ACTIONS(5650),
    [anon_sym_GT_EQ] = ACTIONS(5648),
    [anon_sym_LT_EQ] = ACTIONS(5648),
    [anon_sym_LT] = ACTIONS(5650),
    [anon_sym_EQ_EQ] = ACTIONS(5648),
    [anon_sym_BANG_EQ] = ACTIONS(5648),
    [anon_sym_TILDE_EQ] = ACTIONS(5648),
    [anon_sym_PIPE] = ACTIONS(5650),
    [anon_sym_AMP_TILDE] = ACTIONS(5650),
    [anon_sym_LT_LT] = ACTIONS(5650),
    [anon_sym_GT_GT] = ACTIONS(5650),
    [anon_sym_STAR] = ACTIONS(5650),
    [anon_sym_SLASH] = ACTIONS(5650),
    [anon_sym_PERCENT] = ACTIONS(5650),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5648),
    [anon_sym_DOT] = ACTIONS(5650),
    [anon_sym_LBRACK] = ACTIONS(5648),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5648),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5648),
    [anon_sym_not_in] = ACTIONS(5648),
    [anon_sym_or_return] = ACTIONS(5648),
    [anon_sym_or_continue] = ACTIONS(5648),
    [anon_sym_or_break] = ACTIONS(5648),
    [anon_sym_CARET] = ACTIONS(5650),
    [sym_uninitialized] = ACTIONS(5648),
    [sym_tag] = ACTIONS(5648),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5648),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1169] = {
    [sym_expression] = STATE(5902),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_constant_type] = STATE(8047),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(4630),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1170] = {
    [anon_sym_LBRACE] = ACTIONS(5652),
    [anon_sym_RBRACE] = ACTIONS(5652),
    [anon_sym_COMMA] = ACTIONS(5652),
    [anon_sym_COLON_COLON] = ACTIONS(5652),
    [anon_sym_DASH_GT] = ACTIONS(5652),
    [anon_sym_where] = ACTIONS(5652),
    [anon_sym_EQ] = ACTIONS(5654),
    [anon_sym_COLON_EQ] = ACTIONS(5652),
    [anon_sym_COLON] = ACTIONS(5654),
    [anon_sym_LPAREN] = ACTIONS(5652),
    [anon_sym_PLUS_EQ] = ACTIONS(5652),
    [anon_sym_DASH_EQ] = ACTIONS(5652),
    [anon_sym_STAR_EQ] = ACTIONS(5652),
    [anon_sym_SLASH_EQ] = ACTIONS(5652),
    [anon_sym_PERCENT_EQ] = ACTIONS(5652),
    [anon_sym_AMP_EQ] = ACTIONS(5652),
    [anon_sym_PIPE_EQ] = ACTIONS(5652),
    [anon_sym_CARET_EQ] = ACTIONS(5652),
    [anon_sym_LT_LT_EQ] = ACTIONS(5652),
    [anon_sym_GT_GT_EQ] = ACTIONS(5652),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5652),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5652),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5652),
    [anon_sym_if] = ACTIONS(5652),
    [anon_sym_SEMI] = ACTIONS(5652),
    [anon_sym_else] = ACTIONS(5652),
    [anon_sym_when] = ACTIONS(5652),
    [anon_sym_in] = ACTIONS(5652),
    [anon_sym_case] = ACTIONS(5652),
    [anon_sym_QMARK] = ACTIONS(5652),
    [anon_sym_PLUS] = ACTIONS(5654),
    [anon_sym_DASH] = ACTIONS(5654),
    [anon_sym_TILDE] = ACTIONS(5654),
    [anon_sym_AMP] = ACTIONS(5654),
    [anon_sym_PIPE_PIPE] = ACTIONS(5654),
    [anon_sym_or_else] = ACTIONS(5652),
    [anon_sym_AMP_AMP] = ACTIONS(5654),
    [anon_sym_GT] = ACTIONS(5654),
    [anon_sym_GT_EQ] = ACTIONS(5652),
    [anon_sym_LT_EQ] = ACTIONS(5652),
    [anon_sym_LT] = ACTIONS(5654),
    [anon_sym_EQ_EQ] = ACTIONS(5652),
    [anon_sym_BANG_EQ] = ACTIONS(5652),
    [anon_sym_TILDE_EQ] = ACTIONS(5652),
    [anon_sym_PIPE] = ACTIONS(5654),
    [anon_sym_AMP_TILDE] = ACTIONS(5654),
    [anon_sym_LT_LT] = ACTIONS(5654),
    [anon_sym_GT_GT] = ACTIONS(5654),
    [anon_sym_STAR] = ACTIONS(5654),
    [anon_sym_SLASH] = ACTIONS(5654),
    [anon_sym_PERCENT] = ACTIONS(5654),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5652),
    [anon_sym_DOT] = ACTIONS(5654),
    [anon_sym_LBRACK] = ACTIONS(5652),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5652),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5652),
    [anon_sym_not_in] = ACTIONS(5652),
    [anon_sym_or_return] = ACTIONS(5652),
    [anon_sym_or_continue] = ACTIONS(5652),
    [anon_sym_or_break] = ACTIONS(5652),
    [anon_sym_CARET] = ACTIONS(5654),
    [sym_uninitialized] = ACTIONS(5652),
    [sym_tag] = ACTIONS(5652),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5652),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1171] = {
    [sym_expression] = STATE(5909),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_constant_type] = STATE(8376),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(4630),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1172] = {
    [anon_sym_LBRACE] = ACTIONS(5656),
    [anon_sym_RBRACE] = ACTIONS(5656),
    [anon_sym_COMMA] = ACTIONS(5656),
    [anon_sym_COLON_COLON] = ACTIONS(5656),
    [anon_sym_DASH_GT] = ACTIONS(5656),
    [anon_sym_where] = ACTIONS(5656),
    [anon_sym_EQ] = ACTIONS(5658),
    [anon_sym_COLON_EQ] = ACTIONS(5656),
    [anon_sym_COLON] = ACTIONS(5658),
    [anon_sym_LPAREN] = ACTIONS(5656),
    [anon_sym_PLUS_EQ] = ACTIONS(5656),
    [anon_sym_DASH_EQ] = ACTIONS(5656),
    [anon_sym_STAR_EQ] = ACTIONS(5656),
    [anon_sym_SLASH_EQ] = ACTIONS(5656),
    [anon_sym_PERCENT_EQ] = ACTIONS(5656),
    [anon_sym_AMP_EQ] = ACTIONS(5656),
    [anon_sym_PIPE_EQ] = ACTIONS(5656),
    [anon_sym_CARET_EQ] = ACTIONS(5656),
    [anon_sym_LT_LT_EQ] = ACTIONS(5656),
    [anon_sym_GT_GT_EQ] = ACTIONS(5656),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5656),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5656),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5656),
    [anon_sym_if] = ACTIONS(5656),
    [anon_sym_SEMI] = ACTIONS(5656),
    [anon_sym_else] = ACTIONS(5656),
    [anon_sym_when] = ACTIONS(5656),
    [anon_sym_in] = ACTIONS(5656),
    [anon_sym_case] = ACTIONS(5656),
    [anon_sym_QMARK] = ACTIONS(5656),
    [anon_sym_PLUS] = ACTIONS(5658),
    [anon_sym_DASH] = ACTIONS(5658),
    [anon_sym_TILDE] = ACTIONS(5658),
    [anon_sym_AMP] = ACTIONS(5658),
    [anon_sym_PIPE_PIPE] = ACTIONS(5658),
    [anon_sym_or_else] = ACTIONS(5656),
    [anon_sym_AMP_AMP] = ACTIONS(5658),
    [anon_sym_GT] = ACTIONS(5658),
    [anon_sym_GT_EQ] = ACTIONS(5656),
    [anon_sym_LT_EQ] = ACTIONS(5656),
    [anon_sym_LT] = ACTIONS(5658),
    [anon_sym_EQ_EQ] = ACTIONS(5656),
    [anon_sym_BANG_EQ] = ACTIONS(5656),
    [anon_sym_TILDE_EQ] = ACTIONS(5656),
    [anon_sym_PIPE] = ACTIONS(5658),
    [anon_sym_AMP_TILDE] = ACTIONS(5658),
    [anon_sym_LT_LT] = ACTIONS(5658),
    [anon_sym_GT_GT] = ACTIONS(5658),
    [anon_sym_STAR] = ACTIONS(5658),
    [anon_sym_SLASH] = ACTIONS(5658),
    [anon_sym_PERCENT] = ACTIONS(5658),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5656),
    [anon_sym_DOT] = ACTIONS(5658),
    [anon_sym_LBRACK] = ACTIONS(5656),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5656),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5656),
    [anon_sym_not_in] = ACTIONS(5656),
    [anon_sym_or_return] = ACTIONS(5656),
    [anon_sym_or_continue] = ACTIONS(5656),
    [anon_sym_or_break] = ACTIONS(5656),
    [anon_sym_CARET] = ACTIONS(5658),
    [sym_uninitialized] = ACTIONS(5656),
    [sym_tag] = ACTIONS(5656),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5656),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1173] = {
    [sym_expression] = STATE(5914),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_constant_type] = STATE(8478),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(4630),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1174] = {
    [anon_sym_LBRACE] = ACTIONS(4760),
    [anon_sym_RBRACE] = ACTIONS(4760),
    [anon_sym_COMMA] = ACTIONS(4760),
    [anon_sym_COLON_COLON] = ACTIONS(4760),
    [anon_sym_DASH_GT] = ACTIONS(4760),
    [anon_sym_where] = ACTIONS(4760),
    [anon_sym_EQ] = ACTIONS(4762),
    [anon_sym_COLON_EQ] = ACTIONS(4760),
    [anon_sym_COLON] = ACTIONS(4762),
    [anon_sym_LPAREN] = ACTIONS(4760),
    [anon_sym_PLUS_EQ] = ACTIONS(4760),
    [anon_sym_DASH_EQ] = ACTIONS(4760),
    [anon_sym_STAR_EQ] = ACTIONS(4760),
    [anon_sym_SLASH_EQ] = ACTIONS(4760),
    [anon_sym_PERCENT_EQ] = ACTIONS(4760),
    [anon_sym_AMP_EQ] = ACTIONS(4760),
    [anon_sym_PIPE_EQ] = ACTIONS(4760),
    [anon_sym_CARET_EQ] = ACTIONS(4760),
    [anon_sym_LT_LT_EQ] = ACTIONS(4760),
    [anon_sym_GT_GT_EQ] = ACTIONS(4760),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4760),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4760),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4760),
    [anon_sym_if] = ACTIONS(4760),
    [anon_sym_SEMI] = ACTIONS(4760),
    [anon_sym_else] = ACTIONS(4760),
    [anon_sym_when] = ACTIONS(4760),
    [anon_sym_in] = ACTIONS(4760),
    [anon_sym_case] = ACTIONS(4760),
    [anon_sym_QMARK] = ACTIONS(4760),
    [anon_sym_PLUS] = ACTIONS(4762),
    [anon_sym_DASH] = ACTIONS(4762),
    [anon_sym_TILDE] = ACTIONS(4762),
    [anon_sym_AMP] = ACTIONS(4762),
    [anon_sym_PIPE_PIPE] = ACTIONS(4762),
    [anon_sym_or_else] = ACTIONS(4760),
    [anon_sym_AMP_AMP] = ACTIONS(4762),
    [anon_sym_GT] = ACTIONS(4762),
    [anon_sym_GT_EQ] = ACTIONS(4760),
    [anon_sym_LT_EQ] = ACTIONS(4760),
    [anon_sym_LT] = ACTIONS(4762),
    [anon_sym_EQ_EQ] = ACTIONS(4760),
    [anon_sym_BANG_EQ] = ACTIONS(4760),
    [anon_sym_TILDE_EQ] = ACTIONS(4760),
    [anon_sym_PIPE] = ACTIONS(4762),
    [anon_sym_AMP_TILDE] = ACTIONS(4762),
    [anon_sym_LT_LT] = ACTIONS(4762),
    [anon_sym_GT_GT] = ACTIONS(4762),
    [anon_sym_STAR] = ACTIONS(4762),
    [anon_sym_SLASH] = ACTIONS(4762),
    [anon_sym_PERCENT] = ACTIONS(4762),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4760),
    [anon_sym_DOT] = ACTIONS(4762),
    [anon_sym_LBRACK] = ACTIONS(4760),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4760),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4760),
    [anon_sym_not_in] = ACTIONS(4760),
    [anon_sym_or_return] = ACTIONS(4760),
    [anon_sym_or_continue] = ACTIONS(4760),
    [anon_sym_or_break] = ACTIONS(4760),
    [anon_sym_CARET] = ACTIONS(4762),
    [sym_uninitialized] = ACTIONS(4760),
    [sym_tag] = ACTIONS(4760),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4760),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1175] = {
    [sym_expression] = STATE(5921),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_constant_type] = STATE(8176),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(4630),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1176] = {
    [anon_sym_LBRACE] = ACTIONS(5660),
    [anon_sym_RBRACE] = ACTIONS(5660),
    [anon_sym_COMMA] = ACTIONS(5660),
    [anon_sym_COLON_COLON] = ACTIONS(5660),
    [anon_sym_DASH_GT] = ACTIONS(5660),
    [anon_sym_where] = ACTIONS(5660),
    [anon_sym_EQ] = ACTIONS(5662),
    [anon_sym_COLON_EQ] = ACTIONS(5660),
    [anon_sym_COLON] = ACTIONS(5662),
    [anon_sym_LPAREN] = ACTIONS(5660),
    [anon_sym_PLUS_EQ] = ACTIONS(5660),
    [anon_sym_DASH_EQ] = ACTIONS(5660),
    [anon_sym_STAR_EQ] = ACTIONS(5660),
    [anon_sym_SLASH_EQ] = ACTIONS(5660),
    [anon_sym_PERCENT_EQ] = ACTIONS(5660),
    [anon_sym_AMP_EQ] = ACTIONS(5660),
    [anon_sym_PIPE_EQ] = ACTIONS(5660),
    [anon_sym_CARET_EQ] = ACTIONS(5660),
    [anon_sym_LT_LT_EQ] = ACTIONS(5660),
    [anon_sym_GT_GT_EQ] = ACTIONS(5660),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5660),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5660),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5660),
    [anon_sym_if] = ACTIONS(5660),
    [anon_sym_SEMI] = ACTIONS(5660),
    [anon_sym_else] = ACTIONS(5660),
    [anon_sym_when] = ACTIONS(5660),
    [anon_sym_in] = ACTIONS(5660),
    [anon_sym_case] = ACTIONS(5660),
    [anon_sym_QMARK] = ACTIONS(5660),
    [anon_sym_PLUS] = ACTIONS(5662),
    [anon_sym_DASH] = ACTIONS(5662),
    [anon_sym_TILDE] = ACTIONS(5662),
    [anon_sym_AMP] = ACTIONS(5662),
    [anon_sym_PIPE_PIPE] = ACTIONS(5662),
    [anon_sym_or_else] = ACTIONS(5660),
    [anon_sym_AMP_AMP] = ACTIONS(5662),
    [anon_sym_GT] = ACTIONS(5662),
    [anon_sym_GT_EQ] = ACTIONS(5660),
    [anon_sym_LT_EQ] = ACTIONS(5660),
    [anon_sym_LT] = ACTIONS(5662),
    [anon_sym_EQ_EQ] = ACTIONS(5660),
    [anon_sym_BANG_EQ] = ACTIONS(5660),
    [anon_sym_TILDE_EQ] = ACTIONS(5660),
    [anon_sym_PIPE] = ACTIONS(5662),
    [anon_sym_AMP_TILDE] = ACTIONS(5662),
    [anon_sym_LT_LT] = ACTIONS(5662),
    [anon_sym_GT_GT] = ACTIONS(5662),
    [anon_sym_STAR] = ACTIONS(5662),
    [anon_sym_SLASH] = ACTIONS(5662),
    [anon_sym_PERCENT] = ACTIONS(5662),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5660),
    [anon_sym_DOT] = ACTIONS(5662),
    [anon_sym_LBRACK] = ACTIONS(5660),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5660),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5660),
    [anon_sym_not_in] = ACTIONS(5660),
    [anon_sym_or_return] = ACTIONS(5660),
    [anon_sym_or_continue] = ACTIONS(5660),
    [anon_sym_or_break] = ACTIONS(5660),
    [anon_sym_CARET] = ACTIONS(5662),
    [sym_uninitialized] = ACTIONS(5660),
    [sym_tag] = ACTIONS(5660),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5660),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1177] = {
    [sym_expression] = STATE(5926),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_constant_type] = STATE(7956),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(4630),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1178] = {
    [anon_sym_LBRACE] = ACTIONS(5664),
    [anon_sym_RBRACE] = ACTIONS(5664),
    [anon_sym_COMMA] = ACTIONS(5664),
    [anon_sym_COLON_COLON] = ACTIONS(5664),
    [anon_sym_DASH_GT] = ACTIONS(5664),
    [anon_sym_where] = ACTIONS(5664),
    [anon_sym_EQ] = ACTIONS(5666),
    [anon_sym_COLON_EQ] = ACTIONS(5664),
    [anon_sym_COLON] = ACTIONS(5666),
    [anon_sym_LPAREN] = ACTIONS(5664),
    [anon_sym_PLUS_EQ] = ACTIONS(5664),
    [anon_sym_DASH_EQ] = ACTIONS(5664),
    [anon_sym_STAR_EQ] = ACTIONS(5664),
    [anon_sym_SLASH_EQ] = ACTIONS(5664),
    [anon_sym_PERCENT_EQ] = ACTIONS(5664),
    [anon_sym_AMP_EQ] = ACTIONS(5664),
    [anon_sym_PIPE_EQ] = ACTIONS(5664),
    [anon_sym_CARET_EQ] = ACTIONS(5664),
    [anon_sym_LT_LT_EQ] = ACTIONS(5664),
    [anon_sym_GT_GT_EQ] = ACTIONS(5664),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5664),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5664),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5664),
    [anon_sym_if] = ACTIONS(5664),
    [anon_sym_SEMI] = ACTIONS(5664),
    [anon_sym_else] = ACTIONS(5664),
    [anon_sym_when] = ACTIONS(5664),
    [anon_sym_in] = ACTIONS(5664),
    [anon_sym_case] = ACTIONS(5664),
    [anon_sym_QMARK] = ACTIONS(5664),
    [anon_sym_PLUS] = ACTIONS(5666),
    [anon_sym_DASH] = ACTIONS(5666),
    [anon_sym_TILDE] = ACTIONS(5666),
    [anon_sym_AMP] = ACTIONS(5666),
    [anon_sym_PIPE_PIPE] = ACTIONS(5666),
    [anon_sym_or_else] = ACTIONS(5664),
    [anon_sym_AMP_AMP] = ACTIONS(5666),
    [anon_sym_GT] = ACTIONS(5666),
    [anon_sym_GT_EQ] = ACTIONS(5664),
    [anon_sym_LT_EQ] = ACTIONS(5664),
    [anon_sym_LT] = ACTIONS(5666),
    [anon_sym_EQ_EQ] = ACTIONS(5664),
    [anon_sym_BANG_EQ] = ACTIONS(5664),
    [anon_sym_TILDE_EQ] = ACTIONS(5664),
    [anon_sym_PIPE] = ACTIONS(5666),
    [anon_sym_AMP_TILDE] = ACTIONS(5666),
    [anon_sym_LT_LT] = ACTIONS(5666),
    [anon_sym_GT_GT] = ACTIONS(5666),
    [anon_sym_STAR] = ACTIONS(5666),
    [anon_sym_SLASH] = ACTIONS(5666),
    [anon_sym_PERCENT] = ACTIONS(5666),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5664),
    [anon_sym_DOT] = ACTIONS(5666),
    [anon_sym_LBRACK] = ACTIONS(5664),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5664),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5664),
    [anon_sym_not_in] = ACTIONS(5664),
    [anon_sym_or_return] = ACTIONS(5664),
    [anon_sym_or_continue] = ACTIONS(5664),
    [anon_sym_or_break] = ACTIONS(5664),
    [anon_sym_CARET] = ACTIONS(5666),
    [sym_uninitialized] = ACTIONS(5664),
    [sym_tag] = ACTIONS(5664),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5664),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1179] = {
    [sym_expression] = STATE(5932),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_constant_type] = STATE(7992),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(4630),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1180] = {
    [anon_sym_LBRACE] = ACTIONS(5668),
    [anon_sym_RBRACE] = ACTIONS(5668),
    [anon_sym_COMMA] = ACTIONS(5668),
    [anon_sym_COLON_COLON] = ACTIONS(5668),
    [anon_sym_DASH_GT] = ACTIONS(5668),
    [anon_sym_where] = ACTIONS(5668),
    [anon_sym_EQ] = ACTIONS(5670),
    [anon_sym_COLON_EQ] = ACTIONS(5668),
    [anon_sym_COLON] = ACTIONS(5670),
    [anon_sym_LPAREN] = ACTIONS(5668),
    [anon_sym_PLUS_EQ] = ACTIONS(5668),
    [anon_sym_DASH_EQ] = ACTIONS(5668),
    [anon_sym_STAR_EQ] = ACTIONS(5668),
    [anon_sym_SLASH_EQ] = ACTIONS(5668),
    [anon_sym_PERCENT_EQ] = ACTIONS(5668),
    [anon_sym_AMP_EQ] = ACTIONS(5668),
    [anon_sym_PIPE_EQ] = ACTIONS(5668),
    [anon_sym_CARET_EQ] = ACTIONS(5668),
    [anon_sym_LT_LT_EQ] = ACTIONS(5668),
    [anon_sym_GT_GT_EQ] = ACTIONS(5668),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5668),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5668),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5668),
    [anon_sym_if] = ACTIONS(5668),
    [anon_sym_SEMI] = ACTIONS(5668),
    [anon_sym_else] = ACTIONS(5668),
    [anon_sym_when] = ACTIONS(5668),
    [anon_sym_in] = ACTIONS(5668),
    [anon_sym_case] = ACTIONS(5668),
    [anon_sym_QMARK] = ACTIONS(5668),
    [anon_sym_PLUS] = ACTIONS(5670),
    [anon_sym_DASH] = ACTIONS(5670),
    [anon_sym_TILDE] = ACTIONS(5670),
    [anon_sym_AMP] = ACTIONS(5670),
    [anon_sym_PIPE_PIPE] = ACTIONS(5670),
    [anon_sym_or_else] = ACTIONS(5668),
    [anon_sym_AMP_AMP] = ACTIONS(5670),
    [anon_sym_GT] = ACTIONS(5670),
    [anon_sym_GT_EQ] = ACTIONS(5668),
    [anon_sym_LT_EQ] = ACTIONS(5668),
    [anon_sym_LT] = ACTIONS(5670),
    [anon_sym_EQ_EQ] = ACTIONS(5668),
    [anon_sym_BANG_EQ] = ACTIONS(5668),
    [anon_sym_TILDE_EQ] = ACTIONS(5668),
    [anon_sym_PIPE] = ACTIONS(5670),
    [anon_sym_AMP_TILDE] = ACTIONS(5670),
    [anon_sym_LT_LT] = ACTIONS(5670),
    [anon_sym_GT_GT] = ACTIONS(5670),
    [anon_sym_STAR] = ACTIONS(5670),
    [anon_sym_SLASH] = ACTIONS(5670),
    [anon_sym_PERCENT] = ACTIONS(5670),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5668),
    [anon_sym_DOT] = ACTIONS(5670),
    [anon_sym_LBRACK] = ACTIONS(5668),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5668),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5668),
    [anon_sym_not_in] = ACTIONS(5668),
    [anon_sym_or_return] = ACTIONS(5668),
    [anon_sym_or_continue] = ACTIONS(5668),
    [anon_sym_or_break] = ACTIONS(5668),
    [anon_sym_CARET] = ACTIONS(5670),
    [sym_uninitialized] = ACTIONS(5668),
    [sym_tag] = ACTIONS(5668),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5668),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1181] = {
    [sym_expression] = STATE(5937),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_constant_type] = STATE(8017),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(4630),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1182] = {
    [anon_sym_LBRACE] = ACTIONS(5672),
    [anon_sym_RBRACE] = ACTIONS(5672),
    [anon_sym_COMMA] = ACTIONS(5672),
    [anon_sym_COLON_COLON] = ACTIONS(5672),
    [anon_sym_DASH_GT] = ACTIONS(5672),
    [anon_sym_where] = ACTIONS(5672),
    [anon_sym_EQ] = ACTIONS(5674),
    [anon_sym_COLON_EQ] = ACTIONS(5672),
    [anon_sym_COLON] = ACTIONS(5674),
    [anon_sym_LPAREN] = ACTIONS(5672),
    [anon_sym_PLUS_EQ] = ACTIONS(5672),
    [anon_sym_DASH_EQ] = ACTIONS(5672),
    [anon_sym_STAR_EQ] = ACTIONS(5672),
    [anon_sym_SLASH_EQ] = ACTIONS(5672),
    [anon_sym_PERCENT_EQ] = ACTIONS(5672),
    [anon_sym_AMP_EQ] = ACTIONS(5672),
    [anon_sym_PIPE_EQ] = ACTIONS(5672),
    [anon_sym_CARET_EQ] = ACTIONS(5672),
    [anon_sym_LT_LT_EQ] = ACTIONS(5672),
    [anon_sym_GT_GT_EQ] = ACTIONS(5672),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5672),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5672),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5672),
    [anon_sym_if] = ACTIONS(5672),
    [anon_sym_SEMI] = ACTIONS(5672),
    [anon_sym_else] = ACTIONS(5672),
    [anon_sym_when] = ACTIONS(5672),
    [anon_sym_in] = ACTIONS(5672),
    [anon_sym_case] = ACTIONS(5672),
    [anon_sym_QMARK] = ACTIONS(5672),
    [anon_sym_PLUS] = ACTIONS(5674),
    [anon_sym_DASH] = ACTIONS(5674),
    [anon_sym_TILDE] = ACTIONS(5674),
    [anon_sym_AMP] = ACTIONS(5674),
    [anon_sym_PIPE_PIPE] = ACTIONS(5674),
    [anon_sym_or_else] = ACTIONS(5672),
    [anon_sym_AMP_AMP] = ACTIONS(5674),
    [anon_sym_GT] = ACTIONS(5674),
    [anon_sym_GT_EQ] = ACTIONS(5672),
    [anon_sym_LT_EQ] = ACTIONS(5672),
    [anon_sym_LT] = ACTIONS(5674),
    [anon_sym_EQ_EQ] = ACTIONS(5672),
    [anon_sym_BANG_EQ] = ACTIONS(5672),
    [anon_sym_TILDE_EQ] = ACTIONS(5672),
    [anon_sym_PIPE] = ACTIONS(5674),
    [anon_sym_AMP_TILDE] = ACTIONS(5674),
    [anon_sym_LT_LT] = ACTIONS(5674),
    [anon_sym_GT_GT] = ACTIONS(5674),
    [anon_sym_STAR] = ACTIONS(5674),
    [anon_sym_SLASH] = ACTIONS(5674),
    [anon_sym_PERCENT] = ACTIONS(5674),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5672),
    [anon_sym_DOT] = ACTIONS(5674),
    [anon_sym_LBRACK] = ACTIONS(5672),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5672),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5672),
    [anon_sym_not_in] = ACTIONS(5672),
    [anon_sym_or_return] = ACTIONS(5672),
    [anon_sym_or_continue] = ACTIONS(5672),
    [anon_sym_or_break] = ACTIONS(5672),
    [anon_sym_CARET] = ACTIONS(5674),
    [sym_uninitialized] = ACTIONS(5672),
    [sym_tag] = ACTIONS(5672),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5672),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1183] = {
    [sym_expression] = STATE(5942),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_constant_type] = STATE(8049),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(4630),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1184] = {
    [anon_sym_LBRACE] = ACTIONS(5672),
    [anon_sym_RBRACE] = ACTIONS(5672),
    [anon_sym_COMMA] = ACTIONS(5672),
    [anon_sym_COLON_COLON] = ACTIONS(5672),
    [anon_sym_DASH_GT] = ACTIONS(5672),
    [anon_sym_where] = ACTIONS(5672),
    [anon_sym_EQ] = ACTIONS(5674),
    [anon_sym_COLON_EQ] = ACTIONS(5672),
    [anon_sym_COLON] = ACTIONS(5674),
    [anon_sym_LPAREN] = ACTIONS(5672),
    [anon_sym_PLUS_EQ] = ACTIONS(5672),
    [anon_sym_DASH_EQ] = ACTIONS(5672),
    [anon_sym_STAR_EQ] = ACTIONS(5672),
    [anon_sym_SLASH_EQ] = ACTIONS(5672),
    [anon_sym_PERCENT_EQ] = ACTIONS(5672),
    [anon_sym_AMP_EQ] = ACTIONS(5672),
    [anon_sym_PIPE_EQ] = ACTIONS(5672),
    [anon_sym_CARET_EQ] = ACTIONS(5672),
    [anon_sym_LT_LT_EQ] = ACTIONS(5672),
    [anon_sym_GT_GT_EQ] = ACTIONS(5672),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5672),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5672),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5672),
    [anon_sym_if] = ACTIONS(5672),
    [anon_sym_SEMI] = ACTIONS(5672),
    [anon_sym_else] = ACTIONS(5672),
    [anon_sym_when] = ACTIONS(5672),
    [anon_sym_in] = ACTIONS(5672),
    [anon_sym_case] = ACTIONS(5672),
    [anon_sym_QMARK] = ACTIONS(5672),
    [anon_sym_PLUS] = ACTIONS(5674),
    [anon_sym_DASH] = ACTIONS(5674),
    [anon_sym_TILDE] = ACTIONS(5674),
    [anon_sym_AMP] = ACTIONS(5674),
    [anon_sym_PIPE_PIPE] = ACTIONS(5674),
    [anon_sym_or_else] = ACTIONS(5672),
    [anon_sym_AMP_AMP] = ACTIONS(5674),
    [anon_sym_GT] = ACTIONS(5674),
    [anon_sym_GT_EQ] = ACTIONS(5672),
    [anon_sym_LT_EQ] = ACTIONS(5672),
    [anon_sym_LT] = ACTIONS(5674),
    [anon_sym_EQ_EQ] = ACTIONS(5672),
    [anon_sym_BANG_EQ] = ACTIONS(5672),
    [anon_sym_TILDE_EQ] = ACTIONS(5672),
    [anon_sym_PIPE] = ACTIONS(5674),
    [anon_sym_AMP_TILDE] = ACTIONS(5674),
    [anon_sym_LT_LT] = ACTIONS(5674),
    [anon_sym_GT_GT] = ACTIONS(5674),
    [anon_sym_STAR] = ACTIONS(5674),
    [anon_sym_SLASH] = ACTIONS(5674),
    [anon_sym_PERCENT] = ACTIONS(5674),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5672),
    [anon_sym_DOT] = ACTIONS(5674),
    [anon_sym_LBRACK] = ACTIONS(5672),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5672),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5672),
    [anon_sym_not_in] = ACTIONS(5672),
    [anon_sym_or_return] = ACTIONS(5672),
    [anon_sym_or_continue] = ACTIONS(5672),
    [anon_sym_or_break] = ACTIONS(5672),
    [anon_sym_CARET] = ACTIONS(5674),
    [sym_uninitialized] = ACTIONS(5672),
    [sym_tag] = ACTIONS(5672),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5672),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1185] = {
    [sym_expression] = STATE(5948),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_constant_type] = STATE(8057),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(4630),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1186] = {
    [sym_expression] = STATE(5953),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_constant_type] = STATE(8061),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(4630),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1187] = {
    [sym_expression] = STATE(5956),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_constant_type] = STATE(8070),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(4630),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1188] = {
    [sym_expression] = STATE(6016),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_constant_type] = STATE(8304),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(4630),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1189] = {
    [anon_sym_LBRACE] = ACTIONS(5676),
    [anon_sym_RBRACE] = ACTIONS(5676),
    [anon_sym_COMMA] = ACTIONS(5676),
    [anon_sym_COLON_COLON] = ACTIONS(5676),
    [anon_sym_DASH_GT] = ACTIONS(5676),
    [anon_sym_where] = ACTIONS(5676),
    [anon_sym_EQ] = ACTIONS(5678),
    [anon_sym_COLON_EQ] = ACTIONS(5676),
    [anon_sym_COLON] = ACTIONS(5678),
    [anon_sym_LPAREN] = ACTIONS(5676),
    [anon_sym_PLUS_EQ] = ACTIONS(5676),
    [anon_sym_DASH_EQ] = ACTIONS(5676),
    [anon_sym_STAR_EQ] = ACTIONS(5676),
    [anon_sym_SLASH_EQ] = ACTIONS(5676),
    [anon_sym_PERCENT_EQ] = ACTIONS(5676),
    [anon_sym_AMP_EQ] = ACTIONS(5676),
    [anon_sym_PIPE_EQ] = ACTIONS(5676),
    [anon_sym_CARET_EQ] = ACTIONS(5676),
    [anon_sym_LT_LT_EQ] = ACTIONS(5676),
    [anon_sym_GT_GT_EQ] = ACTIONS(5676),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5676),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5676),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5676),
    [anon_sym_if] = ACTIONS(5676),
    [anon_sym_SEMI] = ACTIONS(5676),
    [anon_sym_else] = ACTIONS(5676),
    [anon_sym_when] = ACTIONS(5676),
    [anon_sym_in] = ACTIONS(5676),
    [anon_sym_case] = ACTIONS(5676),
    [anon_sym_QMARK] = ACTIONS(5676),
    [anon_sym_PLUS] = ACTIONS(5678),
    [anon_sym_DASH] = ACTIONS(5678),
    [anon_sym_TILDE] = ACTIONS(5678),
    [anon_sym_AMP] = ACTIONS(5678),
    [anon_sym_PIPE_PIPE] = ACTIONS(5678),
    [anon_sym_or_else] = ACTIONS(5676),
    [anon_sym_AMP_AMP] = ACTIONS(5678),
    [anon_sym_GT] = ACTIONS(5678),
    [anon_sym_GT_EQ] = ACTIONS(5676),
    [anon_sym_LT_EQ] = ACTIONS(5676),
    [anon_sym_LT] = ACTIONS(5678),
    [anon_sym_EQ_EQ] = ACTIONS(5676),
    [anon_sym_BANG_EQ] = ACTIONS(5676),
    [anon_sym_TILDE_EQ] = ACTIONS(5676),
    [anon_sym_PIPE] = ACTIONS(5678),
    [anon_sym_AMP_TILDE] = ACTIONS(5678),
    [anon_sym_LT_LT] = ACTIONS(5678),
    [anon_sym_GT_GT] = ACTIONS(5678),
    [anon_sym_STAR] = ACTIONS(5678),
    [anon_sym_SLASH] = ACTIONS(5678),
    [anon_sym_PERCENT] = ACTIONS(5678),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5676),
    [anon_sym_DOT] = ACTIONS(5678),
    [anon_sym_LBRACK] = ACTIONS(5676),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5676),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5676),
    [anon_sym_not_in] = ACTIONS(5676),
    [anon_sym_or_return] = ACTIONS(5676),
    [anon_sym_or_continue] = ACTIONS(5676),
    [anon_sym_or_break] = ACTIONS(5676),
    [anon_sym_CARET] = ACTIONS(5678),
    [sym_uninitialized] = ACTIONS(5676),
    [sym_tag] = ACTIONS(5676),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5676),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1190] = {
    [anon_sym_LBRACE] = ACTIONS(5680),
    [anon_sym_RBRACE] = ACTIONS(5680),
    [anon_sym_COMMA] = ACTIONS(5680),
    [anon_sym_COLON_COLON] = ACTIONS(5680),
    [anon_sym_DASH_GT] = ACTIONS(5680),
    [anon_sym_where] = ACTIONS(5680),
    [anon_sym_EQ] = ACTIONS(5682),
    [anon_sym_COLON_EQ] = ACTIONS(5680),
    [anon_sym_COLON] = ACTIONS(5682),
    [anon_sym_LPAREN] = ACTIONS(5680),
    [anon_sym_PLUS_EQ] = ACTIONS(5680),
    [anon_sym_DASH_EQ] = ACTIONS(5680),
    [anon_sym_STAR_EQ] = ACTIONS(5680),
    [anon_sym_SLASH_EQ] = ACTIONS(5680),
    [anon_sym_PERCENT_EQ] = ACTIONS(5680),
    [anon_sym_AMP_EQ] = ACTIONS(5680),
    [anon_sym_PIPE_EQ] = ACTIONS(5680),
    [anon_sym_CARET_EQ] = ACTIONS(5680),
    [anon_sym_LT_LT_EQ] = ACTIONS(5680),
    [anon_sym_GT_GT_EQ] = ACTIONS(5680),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5680),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5680),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5680),
    [anon_sym_if] = ACTIONS(5680),
    [anon_sym_SEMI] = ACTIONS(5680),
    [anon_sym_else] = ACTIONS(5680),
    [anon_sym_when] = ACTIONS(5680),
    [anon_sym_in] = ACTIONS(5680),
    [anon_sym_case] = ACTIONS(5680),
    [anon_sym_QMARK] = ACTIONS(5680),
    [anon_sym_PLUS] = ACTIONS(5682),
    [anon_sym_DASH] = ACTIONS(5682),
    [anon_sym_TILDE] = ACTIONS(5682),
    [anon_sym_AMP] = ACTIONS(5682),
    [anon_sym_PIPE_PIPE] = ACTIONS(5682),
    [anon_sym_or_else] = ACTIONS(5680),
    [anon_sym_AMP_AMP] = ACTIONS(5682),
    [anon_sym_GT] = ACTIONS(5682),
    [anon_sym_GT_EQ] = ACTIONS(5680),
    [anon_sym_LT_EQ] = ACTIONS(5680),
    [anon_sym_LT] = ACTIONS(5682),
    [anon_sym_EQ_EQ] = ACTIONS(5680),
    [anon_sym_BANG_EQ] = ACTIONS(5680),
    [anon_sym_TILDE_EQ] = ACTIONS(5680),
    [anon_sym_PIPE] = ACTIONS(5682),
    [anon_sym_AMP_TILDE] = ACTIONS(5682),
    [anon_sym_LT_LT] = ACTIONS(5682),
    [anon_sym_GT_GT] = ACTIONS(5682),
    [anon_sym_STAR] = ACTIONS(5682),
    [anon_sym_SLASH] = ACTIONS(5682),
    [anon_sym_PERCENT] = ACTIONS(5682),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5680),
    [anon_sym_DOT] = ACTIONS(5682),
    [anon_sym_LBRACK] = ACTIONS(5680),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5680),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5680),
    [anon_sym_not_in] = ACTIONS(5680),
    [anon_sym_or_return] = ACTIONS(5680),
    [anon_sym_or_continue] = ACTIONS(5680),
    [anon_sym_or_break] = ACTIONS(5680),
    [anon_sym_CARET] = ACTIONS(5682),
    [sym_uninitialized] = ACTIONS(5680),
    [sym_tag] = ACTIONS(5680),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5680),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1191] = {
    [anon_sym_LBRACE] = ACTIONS(5684),
    [anon_sym_RBRACE] = ACTIONS(5684),
    [anon_sym_COMMA] = ACTIONS(5684),
    [anon_sym_COLON_COLON] = ACTIONS(5684),
    [anon_sym_DASH_GT] = ACTIONS(5684),
    [anon_sym_where] = ACTIONS(5684),
    [anon_sym_EQ] = ACTIONS(5686),
    [anon_sym_COLON_EQ] = ACTIONS(5684),
    [anon_sym_COLON] = ACTIONS(5686),
    [anon_sym_LPAREN] = ACTIONS(5684),
    [anon_sym_PLUS_EQ] = ACTIONS(5684),
    [anon_sym_DASH_EQ] = ACTIONS(5684),
    [anon_sym_STAR_EQ] = ACTIONS(5684),
    [anon_sym_SLASH_EQ] = ACTIONS(5684),
    [anon_sym_PERCENT_EQ] = ACTIONS(5684),
    [anon_sym_AMP_EQ] = ACTIONS(5684),
    [anon_sym_PIPE_EQ] = ACTIONS(5684),
    [anon_sym_CARET_EQ] = ACTIONS(5684),
    [anon_sym_LT_LT_EQ] = ACTIONS(5684),
    [anon_sym_GT_GT_EQ] = ACTIONS(5684),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5684),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5684),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5684),
    [anon_sym_if] = ACTIONS(5684),
    [anon_sym_SEMI] = ACTIONS(5684),
    [anon_sym_else] = ACTIONS(5684),
    [anon_sym_when] = ACTIONS(5684),
    [anon_sym_in] = ACTIONS(5684),
    [anon_sym_case] = ACTIONS(5684),
    [anon_sym_QMARK] = ACTIONS(5684),
    [anon_sym_PLUS] = ACTIONS(5686),
    [anon_sym_DASH] = ACTIONS(5686),
    [anon_sym_TILDE] = ACTIONS(5686),
    [anon_sym_AMP] = ACTIONS(5686),
    [anon_sym_PIPE_PIPE] = ACTIONS(5686),
    [anon_sym_or_else] = ACTIONS(5684),
    [anon_sym_AMP_AMP] = ACTIONS(5686),
    [anon_sym_GT] = ACTIONS(5686),
    [anon_sym_GT_EQ] = ACTIONS(5684),
    [anon_sym_LT_EQ] = ACTIONS(5684),
    [anon_sym_LT] = ACTIONS(5686),
    [anon_sym_EQ_EQ] = ACTIONS(5684),
    [anon_sym_BANG_EQ] = ACTIONS(5684),
    [anon_sym_TILDE_EQ] = ACTIONS(5684),
    [anon_sym_PIPE] = ACTIONS(5686),
    [anon_sym_AMP_TILDE] = ACTIONS(5686),
    [anon_sym_LT_LT] = ACTIONS(5686),
    [anon_sym_GT_GT] = ACTIONS(5686),
    [anon_sym_STAR] = ACTIONS(5686),
    [anon_sym_SLASH] = ACTIONS(5686),
    [anon_sym_PERCENT] = ACTIONS(5686),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5684),
    [anon_sym_DOT] = ACTIONS(5686),
    [anon_sym_LBRACK] = ACTIONS(5684),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5684),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5684),
    [anon_sym_not_in] = ACTIONS(5684),
    [anon_sym_or_return] = ACTIONS(5684),
    [anon_sym_or_continue] = ACTIONS(5684),
    [anon_sym_or_break] = ACTIONS(5684),
    [anon_sym_CARET] = ACTIONS(5686),
    [sym_uninitialized] = ACTIONS(5684),
    [sym_tag] = ACTIONS(5684),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5684),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1192] = {
    [anon_sym_LBRACE] = ACTIONS(5688),
    [anon_sym_RBRACE] = ACTIONS(5688),
    [anon_sym_COMMA] = ACTIONS(5688),
    [anon_sym_COLON_COLON] = ACTIONS(5688),
    [anon_sym_DASH_GT] = ACTIONS(5688),
    [anon_sym_where] = ACTIONS(5688),
    [anon_sym_EQ] = ACTIONS(5690),
    [anon_sym_COLON_EQ] = ACTIONS(5688),
    [anon_sym_COLON] = ACTIONS(5690),
    [anon_sym_LPAREN] = ACTIONS(5688),
    [anon_sym_PLUS_EQ] = ACTIONS(5688),
    [anon_sym_DASH_EQ] = ACTIONS(5688),
    [anon_sym_STAR_EQ] = ACTIONS(5688),
    [anon_sym_SLASH_EQ] = ACTIONS(5688),
    [anon_sym_PERCENT_EQ] = ACTIONS(5688),
    [anon_sym_AMP_EQ] = ACTIONS(5688),
    [anon_sym_PIPE_EQ] = ACTIONS(5688),
    [anon_sym_CARET_EQ] = ACTIONS(5688),
    [anon_sym_LT_LT_EQ] = ACTIONS(5688),
    [anon_sym_GT_GT_EQ] = ACTIONS(5688),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(5688),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(5688),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(5688),
    [anon_sym_if] = ACTIONS(5688),
    [anon_sym_SEMI] = ACTIONS(5688),
    [anon_sym_else] = ACTIONS(5688),
    [anon_sym_when] = ACTIONS(5688),
    [anon_sym_in] = ACTIONS(5688),
    [anon_sym_case] = ACTIONS(5688),
    [anon_sym_QMARK] = ACTIONS(5688),
    [anon_sym_PLUS] = ACTIONS(5690),
    [anon_sym_DASH] = ACTIONS(5690),
    [anon_sym_TILDE] = ACTIONS(5690),
    [anon_sym_AMP] = ACTIONS(5690),
    [anon_sym_PIPE_PIPE] = ACTIONS(5690),
    [anon_sym_or_else] = ACTIONS(5688),
    [anon_sym_AMP_AMP] = ACTIONS(5690),
    [anon_sym_GT] = ACTIONS(5690),
    [anon_sym_GT_EQ] = ACTIONS(5688),
    [anon_sym_LT_EQ] = ACTIONS(5688),
    [anon_sym_LT] = ACTIONS(5690),
    [anon_sym_EQ_EQ] = ACTIONS(5688),
    [anon_sym_BANG_EQ] = ACTIONS(5688),
    [anon_sym_TILDE_EQ] = ACTIONS(5688),
    [anon_sym_PIPE] = ACTIONS(5690),
    [anon_sym_AMP_TILDE] = ACTIONS(5690),
    [anon_sym_LT_LT] = ACTIONS(5690),
    [anon_sym_GT_GT] = ACTIONS(5690),
    [anon_sym_STAR] = ACTIONS(5690),
    [anon_sym_SLASH] = ACTIONS(5690),
    [anon_sym_PERCENT] = ACTIONS(5690),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(5688),
    [anon_sym_DOT] = ACTIONS(5690),
    [anon_sym_LBRACK] = ACTIONS(5688),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(5688),
    [anon_sym_DOT_DOT_LT] = ACTIONS(5688),
    [anon_sym_not_in] = ACTIONS(5688),
    [anon_sym_or_return] = ACTIONS(5688),
    [anon_sym_or_continue] = ACTIONS(5688),
    [anon_sym_or_break] = ACTIONS(5688),
    [anon_sym_CARET] = ACTIONS(5690),
    [sym_uninitialized] = ACTIONS(5688),
    [sym_tag] = ACTIONS(5688),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(5688),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1193] = {
    [sym_expression] = STATE(6041),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(5692),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(5694),
    [anon_sym_dynamic] = ACTIONS(5696),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1194] = {
    [sym_expression] = STATE(6045),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(4378),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(4382),
    [anon_sym_dynamic] = ACTIONS(4384),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1195] = {
    [sym_expression] = STATE(6049),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_constant_type] = STATE(8492),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(4630),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1196] = {
    [sym_expression] = STATE(6047),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(5698),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_CARET] = ACTIONS(5700),
    [anon_sym_dynamic] = ACTIONS(5702),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1197] = {
    [sym_expression] = STATE(6053),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_constant_type] = STATE(8502),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_DOLLAR] = ACTIONS(4630),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1198] = {
    [sym_expression] = STATE(5566),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_struct_field] = STATE(7886),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(5704),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1199] = {
    [sym_expression] = STATE(4917),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(5706),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1200] = {
    [sym_expression] = STATE(5862),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(5708),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1201] = {
    [sym_expression] = STATE(6014),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(5710),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1202] = {
    [sym_expression] = STATE(5592),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(5712),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1203] = {
    [sym_expression] = STATE(5928),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(5714),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1204] = {
    [sym_expression] = STATE(5553),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(5716),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1205] = {
    [sym_expression] = STATE(5595),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(5718),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1206] = {
    [sym_expression] = STATE(5750),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(5720),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1207] = {
    [sym_expression] = STATE(4917),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(5722),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1208] = {
    [sym_expression] = STATE(5750),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(5724),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1209] = {
    [sym_expression] = STATE(4917),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(5726),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1210] = {
    [sym_expression] = STATE(5834),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(5728),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1211] = {
    [sym_expression] = STATE(5759),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(5730),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1212] = {
    [sym_expression] = STATE(5496),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(5732),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1213] = {
    [sym_expression] = STATE(5791),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(5734),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1214] = {
    [sym_expression] = STATE(5934),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(5736),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1215] = {
    [sym_expression] = STATE(5500),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(5738),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1216] = {
    [sym_expression] = STATE(5750),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(5740),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1217] = {
    [sym_expression] = STATE(4917),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(5742),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1218] = {
    [sym_expression] = STATE(5750),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(5744),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1219] = {
    [sym_expression] = STATE(4917),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(5746),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1220] = {
    [sym_expression] = STATE(5882),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(5748),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1221] = {
    [sym_expression] = STATE(5529),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(5750),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1222] = {
    [sym_expression] = STATE(6020),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(5752),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1223] = {
    [sym_expression] = STATE(5719),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(5754),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1224] = {
    [sym_expression] = STATE(5505),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(5756),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1225] = {
    [sym_expression] = STATE(5939),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(5758),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1226] = {
    [sym_expression] = STATE(5822),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(5760),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1227] = {
    [sym_expression] = STATE(5508),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(5762),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1228] = {
    [sym_expression] = STATE(5750),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(5764),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1229] = {
    [sym_expression] = STATE(4917),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(5766),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1230] = {
    [sym_expression] = STATE(5750),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(5768),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1231] = {
    [sym_expression] = STATE(4917),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(5770),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1232] = {
    [sym_expression] = STATE(5702),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(5772),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1233] = {
    [sym_expression] = STATE(5832),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(5774),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1234] = {
    [sym_expression] = STATE(5977),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(5776),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1235] = {
    [sym_expression] = STATE(5511),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(5778),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1236] = {
    [sym_expression] = STATE(5534),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(5780),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1237] = {
    [sym_expression] = STATE(5945),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(5782),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1238] = {
    [sym_expression] = STATE(4917),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(5784),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1239] = {
    [sym_expression] = STATE(5750),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(5786),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1240] = {
    [sym_expression] = STATE(5515),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(5788),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1241] = {
    [sym_expression] = STATE(4917),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(5790),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1242] = {
    [sym_expression] = STATE(5750),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(5792),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1243] = {
    [sym_expression] = STATE(4917),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(5794),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1244] = {
    [sym_expression] = STATE(5750),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(5796),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1245] = {
    [sym_expression] = STATE(4917),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(5798),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1246] = {
    [sym_expression] = STATE(5750),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(5800),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1247] = {
    [sym_expression] = STATE(4917),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(5802),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1248] = {
    [sym_expression] = STATE(5741),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(5804),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1249] = {
    [sym_expression] = STATE(5755),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(5806),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1250] = {
    [sym_block] = STATE(2046),
    [anon_sym_LBRACE] = ACTIONS(3389),
    [anon_sym_RBRACE] = ACTIONS(3299),
    [anon_sym_COMMA] = ACTIONS(3299),
    [anon_sym_COLON_COLON] = ACTIONS(3299),
    [anon_sym_DASH_GT] = ACTIONS(3299),
    [anon_sym_EQ] = ACTIONS(3303),
    [anon_sym_COLON_EQ] = ACTIONS(3299),
    [anon_sym_COLON] = ACTIONS(3303),
    [anon_sym_LPAREN] = ACTIONS(3299),
    [anon_sym_PLUS_EQ] = ACTIONS(3299),
    [anon_sym_DASH_EQ] = ACTIONS(3299),
    [anon_sym_STAR_EQ] = ACTIONS(3299),
    [anon_sym_SLASH_EQ] = ACTIONS(3299),
    [anon_sym_PERCENT_EQ] = ACTIONS(3299),
    [anon_sym_AMP_EQ] = ACTIONS(3299),
    [anon_sym_PIPE_EQ] = ACTIONS(3299),
    [anon_sym_CARET_EQ] = ACTIONS(3299),
    [anon_sym_LT_LT_EQ] = ACTIONS(3299),
    [anon_sym_GT_GT_EQ] = ACTIONS(3299),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3299),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3299),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(3299),
    [anon_sym_if] = ACTIONS(3299),
    [anon_sym_SEMI] = ACTIONS(3299),
    [anon_sym_else] = ACTIONS(3299),
    [anon_sym_when] = ACTIONS(3299),
    [anon_sym_in] = ACTIONS(3299),
    [anon_sym_case] = ACTIONS(3299),
    [anon_sym_QMARK] = ACTIONS(3299),
    [anon_sym_PLUS] = ACTIONS(3303),
    [anon_sym_DASH] = ACTIONS(3303),
    [anon_sym_TILDE] = ACTIONS(3303),
    [anon_sym_AMP] = ACTIONS(3303),
    [anon_sym_PIPE_PIPE] = ACTIONS(3303),
    [anon_sym_or_else] = ACTIONS(3299),
    [anon_sym_AMP_AMP] = ACTIONS(3303),
    [anon_sym_GT] = ACTIONS(3303),
    [anon_sym_GT_EQ] = ACTIONS(3299),
    [anon_sym_LT_EQ] = ACTIONS(3299),
    [anon_sym_LT] = ACTIONS(3303),
    [anon_sym_EQ_EQ] = ACTIONS(3299),
    [anon_sym_BANG_EQ] = ACTIONS(3299),
    [anon_sym_TILDE_EQ] = ACTIONS(3299),
    [anon_sym_PIPE] = ACTIONS(3303),
    [anon_sym_AMP_TILDE] = ACTIONS(3303),
    [anon_sym_LT_LT] = ACTIONS(3303),
    [anon_sym_GT_GT] = ACTIONS(3303),
    [anon_sym_STAR] = ACTIONS(3303),
    [anon_sym_SLASH] = ACTIONS(3303),
    [anon_sym_PERCENT] = ACTIONS(3303),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(3299),
    [anon_sym_DOT] = ACTIONS(3303),
    [anon_sym_LBRACK] = ACTIONS(3299),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(3299),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3299),
    [anon_sym_not_in] = ACTIONS(3299),
    [anon_sym_or_return] = ACTIONS(3299),
    [anon_sym_or_continue] = ACTIONS(3299),
    [anon_sym_or_break] = ACTIONS(3299),
    [anon_sym_CARET] = ACTIONS(3303),
    [sym_uninitialized] = ACTIONS(4258),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(3299),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1251] = {
    [sym_expression] = STATE(5519),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(5808),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1252] = {
    [sym_expression] = STATE(4917),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(5810),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1253] = {
    [sym_block] = STATE(2047),
    [anon_sym_LBRACE] = ACTIONS(3389),
    [anon_sym_RBRACE] = ACTIONS(3269),
    [anon_sym_COMMA] = ACTIONS(3269),
    [anon_sym_COLON_COLON] = ACTIONS(3269),
    [anon_sym_DASH_GT] = ACTIONS(3269),
    [anon_sym_EQ] = ACTIONS(3273),
    [anon_sym_COLON_EQ] = ACTIONS(3269),
    [anon_sym_COLON] = ACTIONS(3273),
    [anon_sym_LPAREN] = ACTIONS(3269),
    [anon_sym_PLUS_EQ] = ACTIONS(3269),
    [anon_sym_DASH_EQ] = ACTIONS(3269),
    [anon_sym_STAR_EQ] = ACTIONS(3269),
    [anon_sym_SLASH_EQ] = ACTIONS(3269),
    [anon_sym_PERCENT_EQ] = ACTIONS(3269),
    [anon_sym_AMP_EQ] = ACTIONS(3269),
    [anon_sym_PIPE_EQ] = ACTIONS(3269),
    [anon_sym_CARET_EQ] = ACTIONS(3269),
    [anon_sym_LT_LT_EQ] = ACTIONS(3269),
    [anon_sym_GT_GT_EQ] = ACTIONS(3269),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3269),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3269),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(3269),
    [anon_sym_if] = ACTIONS(3269),
    [anon_sym_SEMI] = ACTIONS(3269),
    [anon_sym_else] = ACTIONS(3269),
    [anon_sym_when] = ACTIONS(3269),
    [anon_sym_in] = ACTIONS(3269),
    [anon_sym_case] = ACTIONS(3269),
    [anon_sym_QMARK] = ACTIONS(3269),
    [anon_sym_PLUS] = ACTIONS(3273),
    [anon_sym_DASH] = ACTIONS(3273),
    [anon_sym_TILDE] = ACTIONS(3273),
    [anon_sym_AMP] = ACTIONS(3273),
    [anon_sym_PIPE_PIPE] = ACTIONS(3273),
    [anon_sym_or_else] = ACTIONS(3269),
    [anon_sym_AMP_AMP] = ACTIONS(3273),
    [anon_sym_GT] = ACTIONS(3273),
    [anon_sym_GT_EQ] = ACTIONS(3269),
    [anon_sym_LT_EQ] = ACTIONS(3269),
    [anon_sym_LT] = ACTIONS(3273),
    [anon_sym_EQ_EQ] = ACTIONS(3269),
    [anon_sym_BANG_EQ] = ACTIONS(3269),
    [anon_sym_TILDE_EQ] = ACTIONS(3269),
    [anon_sym_PIPE] = ACTIONS(3273),
    [anon_sym_AMP_TILDE] = ACTIONS(3273),
    [anon_sym_LT_LT] = ACTIONS(3273),
    [anon_sym_GT_GT] = ACTIONS(3273),
    [anon_sym_STAR] = ACTIONS(3273),
    [anon_sym_SLASH] = ACTIONS(3273),
    [anon_sym_PERCENT] = ACTIONS(3273),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(3269),
    [anon_sym_DOT] = ACTIONS(3273),
    [anon_sym_LBRACK] = ACTIONS(3269),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(3269),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3269),
    [anon_sym_not_in] = ACTIONS(3269),
    [anon_sym_or_return] = ACTIONS(3269),
    [anon_sym_or_continue] = ACTIONS(3269),
    [anon_sym_or_break] = ACTIONS(3269),
    [anon_sym_CARET] = ACTIONS(3273),
    [sym_uninitialized] = ACTIONS(4310),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(3269),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1254] = {
    [sym_expression] = STATE(5950),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(5812),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1255] = {
    [aux_sym_field_type_repeat1] = STATE(1269),
    [anon_sym_LBRACE] = ACTIONS(3889),
    [anon_sym_RBRACE] = ACTIONS(3889),
    [anon_sym_COMMA] = ACTIONS(3889),
    [anon_sym_COLON_COLON] = ACTIONS(3889),
    [anon_sym_DASH_GT] = ACTIONS(3889),
    [anon_sym_EQ] = ACTIONS(3891),
    [anon_sym_COLON_EQ] = ACTIONS(3889),
    [anon_sym_COLON] = ACTIONS(3891),
    [anon_sym_LPAREN] = ACTIONS(3889),
    [anon_sym_PLUS_EQ] = ACTIONS(3889),
    [anon_sym_DASH_EQ] = ACTIONS(3889),
    [anon_sym_STAR_EQ] = ACTIONS(3889),
    [anon_sym_SLASH_EQ] = ACTIONS(3889),
    [anon_sym_PERCENT_EQ] = ACTIONS(3889),
    [anon_sym_AMP_EQ] = ACTIONS(3889),
    [anon_sym_PIPE_EQ] = ACTIONS(3889),
    [anon_sym_CARET_EQ] = ACTIONS(3889),
    [anon_sym_LT_LT_EQ] = ACTIONS(3889),
    [anon_sym_GT_GT_EQ] = ACTIONS(3889),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3889),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3889),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(3889),
    [anon_sym_if] = ACTIONS(3889),
    [anon_sym_SEMI] = ACTIONS(3889),
    [anon_sym_else] = ACTIONS(3889),
    [anon_sym_when] = ACTIONS(3889),
    [anon_sym_in] = ACTIONS(3889),
    [anon_sym_case] = ACTIONS(3889),
    [anon_sym_QMARK] = ACTIONS(3889),
    [anon_sym_PLUS] = ACTIONS(3891),
    [anon_sym_DASH] = ACTIONS(3891),
    [anon_sym_TILDE] = ACTIONS(3891),
    [anon_sym_AMP] = ACTIONS(3891),
    [anon_sym_PIPE_PIPE] = ACTIONS(3891),
    [anon_sym_or_else] = ACTIONS(3889),
    [anon_sym_AMP_AMP] = ACTIONS(3891),
    [anon_sym_GT] = ACTIONS(3891),
    [anon_sym_GT_EQ] = ACTIONS(3889),
    [anon_sym_LT_EQ] = ACTIONS(3889),
    [anon_sym_LT] = ACTIONS(3891),
    [anon_sym_EQ_EQ] = ACTIONS(3889),
    [anon_sym_BANG_EQ] = ACTIONS(3889),
    [anon_sym_TILDE_EQ] = ACTIONS(3889),
    [anon_sym_PIPE] = ACTIONS(3891),
    [anon_sym_AMP_TILDE] = ACTIONS(3891),
    [anon_sym_LT_LT] = ACTIONS(3891),
    [anon_sym_GT_GT] = ACTIONS(3891),
    [anon_sym_STAR] = ACTIONS(3891),
    [anon_sym_SLASH] = ACTIONS(3891),
    [anon_sym_PERCENT] = ACTIONS(3891),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(3889),
    [anon_sym_DOT] = ACTIONS(3891),
    [anon_sym_LBRACK] = ACTIONS(3889),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(3889),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3889),
    [anon_sym_not_in] = ACTIONS(3889),
    [anon_sym_or_return] = ACTIONS(3889),
    [anon_sym_or_continue] = ACTIONS(3889),
    [anon_sym_or_break] = ACTIONS(3889),
    [anon_sym_CARET] = ACTIONS(3891),
    [anon_sym_DOT2] = ACTIONS(5814),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(3889),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1256] = {
    [sym_expression] = STATE(5523),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(5816),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1257] = {
    [sym_expression] = STATE(5750),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(5818),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1258] = {
    [sym_expression] = STATE(4917),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(5820),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1259] = {
    [sym_expression] = STATE(5750),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(5822),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1260] = {
    [sym_expression] = STATE(4917),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(5824),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1261] = {
    [sym_block] = STATE(2049),
    [anon_sym_LBRACE] = ACTIONS(3389),
    [anon_sym_RBRACE] = ACTIONS(3857),
    [anon_sym_COMMA] = ACTIONS(3857),
    [anon_sym_COLON_COLON] = ACTIONS(3857),
    [anon_sym_DASH_GT] = ACTIONS(3857),
    [anon_sym_EQ] = ACTIONS(3859),
    [anon_sym_COLON_EQ] = ACTIONS(3857),
    [anon_sym_COLON] = ACTIONS(3859),
    [anon_sym_LPAREN] = ACTIONS(3857),
    [anon_sym_PLUS_EQ] = ACTIONS(3857),
    [anon_sym_DASH_EQ] = ACTIONS(3857),
    [anon_sym_STAR_EQ] = ACTIONS(3857),
    [anon_sym_SLASH_EQ] = ACTIONS(3857),
    [anon_sym_PERCENT_EQ] = ACTIONS(3857),
    [anon_sym_AMP_EQ] = ACTIONS(3857),
    [anon_sym_PIPE_EQ] = ACTIONS(3857),
    [anon_sym_CARET_EQ] = ACTIONS(3857),
    [anon_sym_LT_LT_EQ] = ACTIONS(3857),
    [anon_sym_GT_GT_EQ] = ACTIONS(3857),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3857),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3857),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(3857),
    [anon_sym_if] = ACTIONS(3857),
    [anon_sym_SEMI] = ACTIONS(3857),
    [anon_sym_else] = ACTIONS(3857),
    [anon_sym_when] = ACTIONS(3857),
    [anon_sym_in] = ACTIONS(3857),
    [anon_sym_case] = ACTIONS(3857),
    [anon_sym_QMARK] = ACTIONS(3857),
    [anon_sym_PLUS] = ACTIONS(3859),
    [anon_sym_DASH] = ACTIONS(3859),
    [anon_sym_TILDE] = ACTIONS(3859),
    [anon_sym_AMP] = ACTIONS(3859),
    [anon_sym_PIPE_PIPE] = ACTIONS(3859),
    [anon_sym_or_else] = ACTIONS(3857),
    [anon_sym_AMP_AMP] = ACTIONS(3859),
    [anon_sym_GT] = ACTIONS(3859),
    [anon_sym_GT_EQ] = ACTIONS(3857),
    [anon_sym_LT_EQ] = ACTIONS(3857),
    [anon_sym_LT] = ACTIONS(3859),
    [anon_sym_EQ_EQ] = ACTIONS(3857),
    [anon_sym_BANG_EQ] = ACTIONS(3857),
    [anon_sym_TILDE_EQ] = ACTIONS(3857),
    [anon_sym_PIPE] = ACTIONS(3859),
    [anon_sym_AMP_TILDE] = ACTIONS(3859),
    [anon_sym_LT_LT] = ACTIONS(3859),
    [anon_sym_GT_GT] = ACTIONS(3859),
    [anon_sym_STAR] = ACTIONS(3859),
    [anon_sym_SLASH] = ACTIONS(3859),
    [anon_sym_PERCENT] = ACTIONS(3859),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(3857),
    [anon_sym_DOT] = ACTIONS(3859),
    [anon_sym_LBRACK] = ACTIONS(3857),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(3857),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3857),
    [anon_sym_not_in] = ACTIONS(3857),
    [anon_sym_or_return] = ACTIONS(3857),
    [anon_sym_or_continue] = ACTIONS(3857),
    [anon_sym_or_break] = ACTIONS(3857),
    [anon_sym_CARET] = ACTIONS(3859),
    [sym_uninitialized] = ACTIONS(3861),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(3857),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1262] = {
    [sym_expression] = STATE(5495),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(5826),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1263] = {
    [sym_block] = STATE(2050),
    [anon_sym_LBRACE] = ACTIONS(3389),
    [anon_sym_RBRACE] = ACTIONS(3281),
    [anon_sym_COMMA] = ACTIONS(3281),
    [anon_sym_COLON_COLON] = ACTIONS(3281),
    [anon_sym_DASH_GT] = ACTIONS(3281),
    [anon_sym_EQ] = ACTIONS(3283),
    [anon_sym_COLON_EQ] = ACTIONS(3281),
    [anon_sym_COLON] = ACTIONS(3283),
    [anon_sym_LPAREN] = ACTIONS(3281),
    [anon_sym_PLUS_EQ] = ACTIONS(3281),
    [anon_sym_DASH_EQ] = ACTIONS(3281),
    [anon_sym_STAR_EQ] = ACTIONS(3281),
    [anon_sym_SLASH_EQ] = ACTIONS(3281),
    [anon_sym_PERCENT_EQ] = ACTIONS(3281),
    [anon_sym_AMP_EQ] = ACTIONS(3281),
    [anon_sym_PIPE_EQ] = ACTIONS(3281),
    [anon_sym_CARET_EQ] = ACTIONS(3281),
    [anon_sym_LT_LT_EQ] = ACTIONS(3281),
    [anon_sym_GT_GT_EQ] = ACTIONS(3281),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3281),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3281),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(3281),
    [anon_sym_if] = ACTIONS(3281),
    [anon_sym_SEMI] = ACTIONS(3281),
    [anon_sym_else] = ACTIONS(3281),
    [anon_sym_when] = ACTIONS(3281),
    [anon_sym_in] = ACTIONS(3281),
    [anon_sym_case] = ACTIONS(3281),
    [anon_sym_QMARK] = ACTIONS(3281),
    [anon_sym_PLUS] = ACTIONS(3283),
    [anon_sym_DASH] = ACTIONS(3283),
    [anon_sym_TILDE] = ACTIONS(3283),
    [anon_sym_AMP] = ACTIONS(3283),
    [anon_sym_PIPE_PIPE] = ACTIONS(3283),
    [anon_sym_or_else] = ACTIONS(3281),
    [anon_sym_AMP_AMP] = ACTIONS(3283),
    [anon_sym_GT] = ACTIONS(3283),
    [anon_sym_GT_EQ] = ACTIONS(3281),
    [anon_sym_LT_EQ] = ACTIONS(3281),
    [anon_sym_LT] = ACTIONS(3283),
    [anon_sym_EQ_EQ] = ACTIONS(3281),
    [anon_sym_BANG_EQ] = ACTIONS(3281),
    [anon_sym_TILDE_EQ] = ACTIONS(3281),
    [anon_sym_PIPE] = ACTIONS(3283),
    [anon_sym_AMP_TILDE] = ACTIONS(3283),
    [anon_sym_LT_LT] = ACTIONS(3283),
    [anon_sym_GT_GT] = ACTIONS(3283),
    [anon_sym_STAR] = ACTIONS(3283),
    [anon_sym_SLASH] = ACTIONS(3283),
    [anon_sym_PERCENT] = ACTIONS(3283),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(3281),
    [anon_sym_DOT] = ACTIONS(3283),
    [anon_sym_LBRACK] = ACTIONS(3281),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(3281),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3281),
    [anon_sym_not_in] = ACTIONS(3281),
    [anon_sym_or_return] = ACTIONS(3281),
    [anon_sym_or_continue] = ACTIONS(3281),
    [anon_sym_or_break] = ACTIONS(3281),
    [anon_sym_CARET] = ACTIONS(3283),
    [sym_uninitialized] = ACTIONS(3913),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(3281),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1264] = {
    [sym_expression] = STATE(5520),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_COLON] = ACTIONS(5828),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1265] = {
    [sym_expression] = STATE(5503),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(5830),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1266] = {
    [sym_block] = STATE(2051),
    [anon_sym_LBRACE] = ACTIONS(3389),
    [anon_sym_RBRACE] = ACTIONS(3291),
    [anon_sym_COMMA] = ACTIONS(3291),
    [anon_sym_COLON_COLON] = ACTIONS(3291),
    [anon_sym_DASH_GT] = ACTIONS(3291),
    [anon_sym_EQ] = ACTIONS(3293),
    [anon_sym_COLON_EQ] = ACTIONS(3291),
    [anon_sym_COLON] = ACTIONS(3293),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_PLUS_EQ] = ACTIONS(3291),
    [anon_sym_DASH_EQ] = ACTIONS(3291),
    [anon_sym_STAR_EQ] = ACTIONS(3291),
    [anon_sym_SLASH_EQ] = ACTIONS(3291),
    [anon_sym_PERCENT_EQ] = ACTIONS(3291),
    [anon_sym_AMP_EQ] = ACTIONS(3291),
    [anon_sym_PIPE_EQ] = ACTIONS(3291),
    [anon_sym_CARET_EQ] = ACTIONS(3291),
    [anon_sym_LT_LT_EQ] = ACTIONS(3291),
    [anon_sym_GT_GT_EQ] = ACTIONS(3291),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3291),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3291),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(3291),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_SEMI] = ACTIONS(3291),
    [anon_sym_else] = ACTIONS(3291),
    [anon_sym_when] = ACTIONS(3291),
    [anon_sym_in] = ACTIONS(3291),
    [anon_sym_case] = ACTIONS(3291),
    [anon_sym_QMARK] = ACTIONS(3291),
    [anon_sym_PLUS] = ACTIONS(3293),
    [anon_sym_DASH] = ACTIONS(3293),
    [anon_sym_TILDE] = ACTIONS(3293),
    [anon_sym_AMP] = ACTIONS(3293),
    [anon_sym_PIPE_PIPE] = ACTIONS(3293),
    [anon_sym_or_else] = ACTIONS(3291),
    [anon_sym_AMP_AMP] = ACTIONS(3293),
    [anon_sym_GT] = ACTIONS(3293),
    [anon_sym_GT_EQ] = ACTIONS(3291),
    [anon_sym_LT_EQ] = ACTIONS(3291),
    [anon_sym_LT] = ACTIONS(3293),
    [anon_sym_EQ_EQ] = ACTIONS(3291),
    [anon_sym_BANG_EQ] = ACTIONS(3291),
    [anon_sym_TILDE_EQ] = ACTIONS(3291),
    [anon_sym_PIPE] = ACTIONS(3293),
    [anon_sym_AMP_TILDE] = ACTIONS(3293),
    [anon_sym_LT_LT] = ACTIONS(3293),
    [anon_sym_GT_GT] = ACTIONS(3293),
    [anon_sym_STAR] = ACTIONS(3293),
    [anon_sym_SLASH] = ACTIONS(3293),
    [anon_sym_PERCENT] = ACTIONS(3293),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(3291),
    [anon_sym_DOT] = ACTIONS(3293),
    [anon_sym_LBRACK] = ACTIONS(3291),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(3291),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3291),
    [anon_sym_not_in] = ACTIONS(3291),
    [anon_sym_or_return] = ACTIONS(3291),
    [anon_sym_or_continue] = ACTIONS(3291),
    [anon_sym_or_break] = ACTIONS(3291),
    [anon_sym_CARET] = ACTIONS(3293),
    [sym_uninitialized] = ACTIONS(3391),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(3291),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1267] = {
    [sym_block] = STATE(2052),
    [anon_sym_LBRACE] = ACTIONS(3389),
    [anon_sym_RBRACE] = ACTIONS(4525),
    [anon_sym_COMMA] = ACTIONS(4525),
    [anon_sym_COLON_COLON] = ACTIONS(4525),
    [anon_sym_DASH_GT] = ACTIONS(4525),
    [anon_sym_EQ] = ACTIONS(4527),
    [anon_sym_COLON_EQ] = ACTIONS(4525),
    [anon_sym_COLON] = ACTIONS(4527),
    [anon_sym_LPAREN] = ACTIONS(4525),
    [anon_sym_PLUS_EQ] = ACTIONS(4525),
    [anon_sym_DASH_EQ] = ACTIONS(4525),
    [anon_sym_STAR_EQ] = ACTIONS(4525),
    [anon_sym_SLASH_EQ] = ACTIONS(4525),
    [anon_sym_PERCENT_EQ] = ACTIONS(4525),
    [anon_sym_AMP_EQ] = ACTIONS(4525),
    [anon_sym_PIPE_EQ] = ACTIONS(4525),
    [anon_sym_CARET_EQ] = ACTIONS(4525),
    [anon_sym_LT_LT_EQ] = ACTIONS(4525),
    [anon_sym_GT_GT_EQ] = ACTIONS(4525),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4525),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4525),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4525),
    [anon_sym_if] = ACTIONS(4525),
    [anon_sym_SEMI] = ACTIONS(4525),
    [anon_sym_else] = ACTIONS(4525),
    [anon_sym_when] = ACTIONS(4525),
    [anon_sym_in] = ACTIONS(4525),
    [anon_sym_case] = ACTIONS(4525),
    [anon_sym_QMARK] = ACTIONS(4525),
    [anon_sym_PLUS] = ACTIONS(4527),
    [anon_sym_DASH] = ACTIONS(4527),
    [anon_sym_TILDE] = ACTIONS(4527),
    [anon_sym_AMP] = ACTIONS(4527),
    [anon_sym_PIPE_PIPE] = ACTIONS(4527),
    [anon_sym_or_else] = ACTIONS(4525),
    [anon_sym_AMP_AMP] = ACTIONS(4527),
    [anon_sym_GT] = ACTIONS(4527),
    [anon_sym_GT_EQ] = ACTIONS(4525),
    [anon_sym_LT_EQ] = ACTIONS(4525),
    [anon_sym_LT] = ACTIONS(4527),
    [anon_sym_EQ_EQ] = ACTIONS(4525),
    [anon_sym_BANG_EQ] = ACTIONS(4525),
    [anon_sym_TILDE_EQ] = ACTIONS(4525),
    [anon_sym_PIPE] = ACTIONS(4527),
    [anon_sym_AMP_TILDE] = ACTIONS(4527),
    [anon_sym_LT_LT] = ACTIONS(4527),
    [anon_sym_GT_GT] = ACTIONS(4527),
    [anon_sym_STAR] = ACTIONS(4527),
    [anon_sym_SLASH] = ACTIONS(4527),
    [anon_sym_PERCENT] = ACTIONS(4527),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4525),
    [anon_sym_DOT] = ACTIONS(4527),
    [anon_sym_LBRACK] = ACTIONS(4525),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4525),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4525),
    [anon_sym_not_in] = ACTIONS(4525),
    [anon_sym_or_return] = ACTIONS(4525),
    [anon_sym_or_continue] = ACTIONS(4525),
    [anon_sym_or_break] = ACTIONS(4525),
    [anon_sym_CARET] = ACTIONS(4527),
    [sym_uninitialized] = ACTIONS(4836),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4525),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1268] = {
    [sym_block] = STATE(2053),
    [anon_sym_LBRACE] = ACTIONS(3389),
    [anon_sym_RBRACE] = ACTIONS(4533),
    [anon_sym_COMMA] = ACTIONS(4533),
    [anon_sym_COLON_COLON] = ACTIONS(4533),
    [anon_sym_DASH_GT] = ACTIONS(4533),
    [anon_sym_EQ] = ACTIONS(4535),
    [anon_sym_COLON_EQ] = ACTIONS(4533),
    [anon_sym_COLON] = ACTIONS(4535),
    [anon_sym_LPAREN] = ACTIONS(4533),
    [anon_sym_PLUS_EQ] = ACTIONS(4533),
    [anon_sym_DASH_EQ] = ACTIONS(4533),
    [anon_sym_STAR_EQ] = ACTIONS(4533),
    [anon_sym_SLASH_EQ] = ACTIONS(4533),
    [anon_sym_PERCENT_EQ] = ACTIONS(4533),
    [anon_sym_AMP_EQ] = ACTIONS(4533),
    [anon_sym_PIPE_EQ] = ACTIONS(4533),
    [anon_sym_CARET_EQ] = ACTIONS(4533),
    [anon_sym_LT_LT_EQ] = ACTIONS(4533),
    [anon_sym_GT_GT_EQ] = ACTIONS(4533),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4533),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4533),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4533),
    [anon_sym_if] = ACTIONS(4533),
    [anon_sym_SEMI] = ACTIONS(4533),
    [anon_sym_else] = ACTIONS(4533),
    [anon_sym_when] = ACTIONS(4533),
    [anon_sym_in] = ACTIONS(4533),
    [anon_sym_case] = ACTIONS(4533),
    [anon_sym_QMARK] = ACTIONS(4533),
    [anon_sym_PLUS] = ACTIONS(4535),
    [anon_sym_DASH] = ACTIONS(4535),
    [anon_sym_TILDE] = ACTIONS(4535),
    [anon_sym_AMP] = ACTIONS(4535),
    [anon_sym_PIPE_PIPE] = ACTIONS(4535),
    [anon_sym_or_else] = ACTIONS(4533),
    [anon_sym_AMP_AMP] = ACTIONS(4535),
    [anon_sym_GT] = ACTIONS(4535),
    [anon_sym_GT_EQ] = ACTIONS(4533),
    [anon_sym_LT_EQ] = ACTIONS(4533),
    [anon_sym_LT] = ACTIONS(4535),
    [anon_sym_EQ_EQ] = ACTIONS(4533),
    [anon_sym_BANG_EQ] = ACTIONS(4533),
    [anon_sym_TILDE_EQ] = ACTIONS(4533),
    [anon_sym_PIPE] = ACTIONS(4535),
    [anon_sym_AMP_TILDE] = ACTIONS(4535),
    [anon_sym_LT_LT] = ACTIONS(4535),
    [anon_sym_GT_GT] = ACTIONS(4535),
    [anon_sym_STAR] = ACTIONS(4535),
    [anon_sym_SLASH] = ACTIONS(4535),
    [anon_sym_PERCENT] = ACTIONS(4535),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4533),
    [anon_sym_DOT] = ACTIONS(4535),
    [anon_sym_LBRACK] = ACTIONS(4533),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4533),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4533),
    [anon_sym_not_in] = ACTIONS(4533),
    [anon_sym_or_return] = ACTIONS(4533),
    [anon_sym_or_continue] = ACTIONS(4533),
    [anon_sym_or_break] = ACTIONS(4533),
    [anon_sym_CARET] = ACTIONS(4535),
    [sym_uninitialized] = ACTIONS(5832),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4533),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1269] = {
    [aux_sym_field_type_repeat1] = STATE(1269),
    [anon_sym_LBRACE] = ACTIONS(3977),
    [anon_sym_RBRACE] = ACTIONS(3977),
    [anon_sym_COMMA] = ACTIONS(3977),
    [anon_sym_COLON_COLON] = ACTIONS(3977),
    [anon_sym_DASH_GT] = ACTIONS(3977),
    [anon_sym_EQ] = ACTIONS(3979),
    [anon_sym_COLON_EQ] = ACTIONS(3977),
    [anon_sym_COLON] = ACTIONS(3979),
    [anon_sym_LPAREN] = ACTIONS(3977),
    [anon_sym_PLUS_EQ] = ACTIONS(3977),
    [anon_sym_DASH_EQ] = ACTIONS(3977),
    [anon_sym_STAR_EQ] = ACTIONS(3977),
    [anon_sym_SLASH_EQ] = ACTIONS(3977),
    [anon_sym_PERCENT_EQ] = ACTIONS(3977),
    [anon_sym_AMP_EQ] = ACTIONS(3977),
    [anon_sym_PIPE_EQ] = ACTIONS(3977),
    [anon_sym_CARET_EQ] = ACTIONS(3977),
    [anon_sym_LT_LT_EQ] = ACTIONS(3977),
    [anon_sym_GT_GT_EQ] = ACTIONS(3977),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3977),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3977),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(3977),
    [anon_sym_if] = ACTIONS(3977),
    [anon_sym_SEMI] = ACTIONS(3977),
    [anon_sym_else] = ACTIONS(3977),
    [anon_sym_when] = ACTIONS(3977),
    [anon_sym_in] = ACTIONS(3977),
    [anon_sym_case] = ACTIONS(3977),
    [anon_sym_QMARK] = ACTIONS(3977),
    [anon_sym_PLUS] = ACTIONS(3979),
    [anon_sym_DASH] = ACTIONS(3979),
    [anon_sym_TILDE] = ACTIONS(3979),
    [anon_sym_AMP] = ACTIONS(3979),
    [anon_sym_PIPE_PIPE] = ACTIONS(3979),
    [anon_sym_or_else] = ACTIONS(3977),
    [anon_sym_AMP_AMP] = ACTIONS(3979),
    [anon_sym_GT] = ACTIONS(3979),
    [anon_sym_GT_EQ] = ACTIONS(3977),
    [anon_sym_LT_EQ] = ACTIONS(3977),
    [anon_sym_LT] = ACTIONS(3979),
    [anon_sym_EQ_EQ] = ACTIONS(3977),
    [anon_sym_BANG_EQ] = ACTIONS(3977),
    [anon_sym_TILDE_EQ] = ACTIONS(3977),
    [anon_sym_PIPE] = ACTIONS(3979),
    [anon_sym_AMP_TILDE] = ACTIONS(3979),
    [anon_sym_LT_LT] = ACTIONS(3979),
    [anon_sym_GT_GT] = ACTIONS(3979),
    [anon_sym_STAR] = ACTIONS(3979),
    [anon_sym_SLASH] = ACTIONS(3979),
    [anon_sym_PERCENT] = ACTIONS(3979),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(3977),
    [anon_sym_DOT] = ACTIONS(3979),
    [anon_sym_LBRACK] = ACTIONS(3977),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(3977),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3977),
    [anon_sym_not_in] = ACTIONS(3977),
    [anon_sym_or_return] = ACTIONS(3977),
    [anon_sym_or_continue] = ACTIONS(3977),
    [anon_sym_or_break] = ACTIONS(3977),
    [anon_sym_CARET] = ACTIONS(3979),
    [anon_sym_DOT2] = ACTIONS(5834),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(3977),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1270] = {
    [sym_expression] = STATE(5540),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_COLON] = ACTIONS(5837),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1271] = {
    [sym_expression] = STATE(5558),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(5839),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1272] = {
    [sym_expression] = STATE(5559),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_COLON] = ACTIONS(5841),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1273] = {
    [sym_expression] = STATE(5731),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(5843),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1274] = {
    [sym_expression] = STATE(5567),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_COLON] = ACTIONS(5845),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1275] = {
    [sym_expression] = STATE(5743),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(5847),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1276] = {
    [sym_expression] = STATE(5545),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(5849),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1277] = {
    [sym_expression] = STATE(5575),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_COLON] = ACTIONS(5851),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1278] = {
    [aux_sym_field_type_repeat1] = STATE(1255),
    [anon_sym_LBRACE] = ACTIONS(3415),
    [anon_sym_RBRACE] = ACTIONS(3415),
    [anon_sym_COMMA] = ACTIONS(3415),
    [anon_sym_COLON_COLON] = ACTIONS(3415),
    [anon_sym_DASH_GT] = ACTIONS(3415),
    [anon_sym_EQ] = ACTIONS(3417),
    [anon_sym_COLON_EQ] = ACTIONS(3415),
    [anon_sym_COLON] = ACTIONS(3417),
    [anon_sym_LPAREN] = ACTIONS(3415),
    [anon_sym_PLUS_EQ] = ACTIONS(3415),
    [anon_sym_DASH_EQ] = ACTIONS(3415),
    [anon_sym_STAR_EQ] = ACTIONS(3415),
    [anon_sym_SLASH_EQ] = ACTIONS(3415),
    [anon_sym_PERCENT_EQ] = ACTIONS(3415),
    [anon_sym_AMP_EQ] = ACTIONS(3415),
    [anon_sym_PIPE_EQ] = ACTIONS(3415),
    [anon_sym_CARET_EQ] = ACTIONS(3415),
    [anon_sym_LT_LT_EQ] = ACTIONS(3415),
    [anon_sym_GT_GT_EQ] = ACTIONS(3415),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3415),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3415),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(3415),
    [anon_sym_if] = ACTIONS(3415),
    [anon_sym_SEMI] = ACTIONS(3415),
    [anon_sym_else] = ACTIONS(3415),
    [anon_sym_when] = ACTIONS(3415),
    [anon_sym_in] = ACTIONS(3415),
    [anon_sym_case] = ACTIONS(3415),
    [anon_sym_QMARK] = ACTIONS(3415),
    [anon_sym_PLUS] = ACTIONS(3417),
    [anon_sym_DASH] = ACTIONS(3417),
    [anon_sym_TILDE] = ACTIONS(3417),
    [anon_sym_AMP] = ACTIONS(3417),
    [anon_sym_PIPE_PIPE] = ACTIONS(3417),
    [anon_sym_or_else] = ACTIONS(3415),
    [anon_sym_AMP_AMP] = ACTIONS(3417),
    [anon_sym_GT] = ACTIONS(3417),
    [anon_sym_GT_EQ] = ACTIONS(3415),
    [anon_sym_LT_EQ] = ACTIONS(3415),
    [anon_sym_LT] = ACTIONS(3417),
    [anon_sym_EQ_EQ] = ACTIONS(3415),
    [anon_sym_BANG_EQ] = ACTIONS(3415),
    [anon_sym_TILDE_EQ] = ACTIONS(3415),
    [anon_sym_PIPE] = ACTIONS(3417),
    [anon_sym_AMP_TILDE] = ACTIONS(3417),
    [anon_sym_LT_LT] = ACTIONS(3417),
    [anon_sym_GT_GT] = ACTIONS(3417),
    [anon_sym_STAR] = ACTIONS(3417),
    [anon_sym_SLASH] = ACTIONS(3417),
    [anon_sym_PERCENT] = ACTIONS(3417),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(3415),
    [anon_sym_DOT] = ACTIONS(3417),
    [anon_sym_LBRACK] = ACTIONS(3415),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(3415),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3415),
    [anon_sym_not_in] = ACTIONS(3415),
    [anon_sym_or_return] = ACTIONS(3415),
    [anon_sym_or_continue] = ACTIONS(3415),
    [anon_sym_or_break] = ACTIONS(3415),
    [anon_sym_CARET] = ACTIONS(3417),
    [anon_sym_DOT2] = ACTIONS(5814),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(3415),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1279] = {
    [sym_expression] = STATE(5890),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(5853),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1280] = {
    [sym_expression] = STATE(5582),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_COLON] = ACTIONS(5855),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1281] = {
    [sym_expression] = STATE(4917),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(5857),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1282] = {
    [sym_expression] = STATE(5589),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_COLON] = ACTIONS(5859),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1283] = {
    [sym_expression] = STATE(5750),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(5861),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1284] = {
    [sym_expression] = STATE(4917),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(5863),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1285] = {
    [sym_expression] = STATE(5750),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(5865),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1286] = {
    [sym_expression] = STATE(5750),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(5867),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1287] = {
    [sym_expression] = STATE(6004),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(5869),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1288] = {
    [sym_expression] = STATE(5833),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(5871),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1289] = {
    [sym_expression] = STATE(5501),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_COLON] = ACTIONS(5873),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1290] = {
    [sym_block] = STATE(2357),
    [anon_sym_LBRACE] = ACTIONS(3267),
    [anon_sym_RBRACE] = ACTIONS(3299),
    [anon_sym_COMMA] = ACTIONS(3299),
    [anon_sym_COLON_COLON] = ACTIONS(3299),
    [anon_sym_DASH_GT] = ACTIONS(3299),
    [anon_sym_EQ] = ACTIONS(3303),
    [anon_sym_COLON_EQ] = ACTIONS(3299),
    [anon_sym_COLON] = ACTIONS(3303),
    [anon_sym_LPAREN] = ACTIONS(3299),
    [anon_sym_PLUS_EQ] = ACTIONS(3299),
    [anon_sym_DASH_EQ] = ACTIONS(3299),
    [anon_sym_STAR_EQ] = ACTIONS(3299),
    [anon_sym_SLASH_EQ] = ACTIONS(3299),
    [anon_sym_PERCENT_EQ] = ACTIONS(3299),
    [anon_sym_AMP_EQ] = ACTIONS(3299),
    [anon_sym_PIPE_EQ] = ACTIONS(3299),
    [anon_sym_CARET_EQ] = ACTIONS(3299),
    [anon_sym_LT_LT_EQ] = ACTIONS(3299),
    [anon_sym_GT_GT_EQ] = ACTIONS(3299),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3299),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3299),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(3299),
    [anon_sym_if] = ACTIONS(3299),
    [anon_sym_SEMI] = ACTIONS(3299),
    [anon_sym_else] = ACTIONS(3299),
    [anon_sym_when] = ACTIONS(3299),
    [anon_sym_in] = ACTIONS(3299),
    [anon_sym_case] = ACTIONS(3299),
    [anon_sym_QMARK] = ACTIONS(3299),
    [anon_sym_PLUS] = ACTIONS(3303),
    [anon_sym_DASH] = ACTIONS(3303),
    [anon_sym_TILDE] = ACTIONS(3303),
    [anon_sym_AMP] = ACTIONS(3303),
    [anon_sym_PIPE_PIPE] = ACTIONS(3303),
    [anon_sym_or_else] = ACTIONS(3299),
    [anon_sym_AMP_AMP] = ACTIONS(3303),
    [anon_sym_GT] = ACTIONS(3303),
    [anon_sym_GT_EQ] = ACTIONS(3299),
    [anon_sym_LT_EQ] = ACTIONS(3299),
    [anon_sym_LT] = ACTIONS(3303),
    [anon_sym_EQ_EQ] = ACTIONS(3299),
    [anon_sym_BANG_EQ] = ACTIONS(3299),
    [anon_sym_TILDE_EQ] = ACTIONS(3299),
    [anon_sym_PIPE] = ACTIONS(3303),
    [anon_sym_AMP_TILDE] = ACTIONS(3303),
    [anon_sym_LT_LT] = ACTIONS(3303),
    [anon_sym_GT_GT] = ACTIONS(3303),
    [anon_sym_STAR] = ACTIONS(3303),
    [anon_sym_SLASH] = ACTIONS(3303),
    [anon_sym_PERCENT] = ACTIONS(3303),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(3299),
    [anon_sym_DOT] = ACTIONS(3303),
    [anon_sym_LBRACK] = ACTIONS(3299),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(3299),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3299),
    [anon_sym_not_in] = ACTIONS(3299),
    [anon_sym_or_return] = ACTIONS(3299),
    [anon_sym_or_continue] = ACTIONS(3299),
    [anon_sym_or_break] = ACTIONS(3299),
    [anon_sym_CARET] = ACTIONS(3303),
    [sym_uninitialized] = ACTIONS(3305),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(3299),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1291] = {
    [sym_expression] = STATE(5509),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_COLON] = ACTIONS(5875),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1292] = {
    [sym_block] = STATE(2360),
    [anon_sym_LBRACE] = ACTIONS(3267),
    [anon_sym_RBRACE] = ACTIONS(3269),
    [anon_sym_COMMA] = ACTIONS(3269),
    [anon_sym_COLON_COLON] = ACTIONS(3269),
    [anon_sym_DASH_GT] = ACTIONS(3269),
    [anon_sym_EQ] = ACTIONS(3273),
    [anon_sym_COLON_EQ] = ACTIONS(3269),
    [anon_sym_COLON] = ACTIONS(3273),
    [anon_sym_LPAREN] = ACTIONS(3269),
    [anon_sym_PLUS_EQ] = ACTIONS(3269),
    [anon_sym_DASH_EQ] = ACTIONS(3269),
    [anon_sym_STAR_EQ] = ACTIONS(3269),
    [anon_sym_SLASH_EQ] = ACTIONS(3269),
    [anon_sym_PERCENT_EQ] = ACTIONS(3269),
    [anon_sym_AMP_EQ] = ACTIONS(3269),
    [anon_sym_PIPE_EQ] = ACTIONS(3269),
    [anon_sym_CARET_EQ] = ACTIONS(3269),
    [anon_sym_LT_LT_EQ] = ACTIONS(3269),
    [anon_sym_GT_GT_EQ] = ACTIONS(3269),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3269),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3269),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(3269),
    [anon_sym_if] = ACTIONS(3269),
    [anon_sym_SEMI] = ACTIONS(3269),
    [anon_sym_else] = ACTIONS(3269),
    [anon_sym_when] = ACTIONS(3269),
    [anon_sym_in] = ACTIONS(3269),
    [anon_sym_case] = ACTIONS(3269),
    [anon_sym_QMARK] = ACTIONS(3269),
    [anon_sym_PLUS] = ACTIONS(3273),
    [anon_sym_DASH] = ACTIONS(3273),
    [anon_sym_TILDE] = ACTIONS(3273),
    [anon_sym_AMP] = ACTIONS(3273),
    [anon_sym_PIPE_PIPE] = ACTIONS(3273),
    [anon_sym_or_else] = ACTIONS(3269),
    [anon_sym_AMP_AMP] = ACTIONS(3273),
    [anon_sym_GT] = ACTIONS(3273),
    [anon_sym_GT_EQ] = ACTIONS(3269),
    [anon_sym_LT_EQ] = ACTIONS(3269),
    [anon_sym_LT] = ACTIONS(3273),
    [anon_sym_EQ_EQ] = ACTIONS(3269),
    [anon_sym_BANG_EQ] = ACTIONS(3269),
    [anon_sym_TILDE_EQ] = ACTIONS(3269),
    [anon_sym_PIPE] = ACTIONS(3273),
    [anon_sym_AMP_TILDE] = ACTIONS(3273),
    [anon_sym_LT_LT] = ACTIONS(3273),
    [anon_sym_GT_GT] = ACTIONS(3273),
    [anon_sym_STAR] = ACTIONS(3273),
    [anon_sym_SLASH] = ACTIONS(3273),
    [anon_sym_PERCENT] = ACTIONS(3273),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(3269),
    [anon_sym_DOT] = ACTIONS(3273),
    [anon_sym_LBRACK] = ACTIONS(3269),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(3269),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3269),
    [anon_sym_not_in] = ACTIONS(3269),
    [anon_sym_or_return] = ACTIONS(3269),
    [anon_sym_or_continue] = ACTIONS(3269),
    [anon_sym_or_break] = ACTIONS(3269),
    [anon_sym_CARET] = ACTIONS(3273),
    [sym_uninitialized] = ACTIONS(3275),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(3269),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1293] = {
    [sym_expression] = STATE(5517),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_COLON] = ACTIONS(5877),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1294] = {
    [sym_block] = STATE(2182),
    [sym_where_clause] = STATE(1619),
    [anon_sym_LBRACE] = ACTIONS(5879),
    [anon_sym_COMMA] = ACTIONS(3931),
    [anon_sym_COLON_COLON] = ACTIONS(3931),
    [anon_sym_DASH_GT] = ACTIONS(5881),
    [anon_sym_where] = ACTIONS(5883),
    [anon_sym_EQ] = ACTIONS(3935),
    [anon_sym_COLON_EQ] = ACTIONS(3931),
    [anon_sym_COLON] = ACTIONS(3935),
    [anon_sym_LPAREN] = ACTIONS(3931),
    [anon_sym_PLUS_EQ] = ACTIONS(3931),
    [anon_sym_DASH_EQ] = ACTIONS(3931),
    [anon_sym_STAR_EQ] = ACTIONS(3931),
    [anon_sym_SLASH_EQ] = ACTIONS(3931),
    [anon_sym_PERCENT_EQ] = ACTIONS(3931),
    [anon_sym_AMP_EQ] = ACTIONS(3931),
    [anon_sym_PIPE_EQ] = ACTIONS(3931),
    [anon_sym_CARET_EQ] = ACTIONS(3931),
    [anon_sym_LT_LT_EQ] = ACTIONS(3931),
    [anon_sym_GT_GT_EQ] = ACTIONS(3931),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3931),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3931),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(3931),
    [anon_sym_if] = ACTIONS(3931),
    [anon_sym_SEMI] = ACTIONS(3931),
    [anon_sym_do] = ACTIONS(3931),
    [anon_sym_when] = ACTIONS(3931),
    [anon_sym_in] = ACTIONS(3931),
    [anon_sym_QMARK] = ACTIONS(3931),
    [anon_sym_PLUS] = ACTIONS(3935),
    [anon_sym_DASH] = ACTIONS(3935),
    [anon_sym_TILDE] = ACTIONS(3935),
    [anon_sym_AMP] = ACTIONS(3935),
    [anon_sym_PIPE_PIPE] = ACTIONS(3935),
    [anon_sym_or_else] = ACTIONS(3931),
    [anon_sym_AMP_AMP] = ACTIONS(3935),
    [anon_sym_GT] = ACTIONS(3935),
    [anon_sym_GT_EQ] = ACTIONS(3931),
    [anon_sym_LT_EQ] = ACTIONS(3931),
    [anon_sym_LT] = ACTIONS(3935),
    [anon_sym_EQ_EQ] = ACTIONS(3931),
    [anon_sym_BANG_EQ] = ACTIONS(3931),
    [anon_sym_TILDE_EQ] = ACTIONS(3931),
    [anon_sym_PIPE] = ACTIONS(3935),
    [anon_sym_AMP_TILDE] = ACTIONS(3935),
    [anon_sym_LT_LT] = ACTIONS(3935),
    [anon_sym_GT_GT] = ACTIONS(3935),
    [anon_sym_STAR] = ACTIONS(3935),
    [anon_sym_SLASH] = ACTIONS(3935),
    [anon_sym_PERCENT] = ACTIONS(3935),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(3931),
    [anon_sym_DOT] = ACTIONS(3935),
    [anon_sym_LBRACK] = ACTIONS(3931),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(3931),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3931),
    [anon_sym_not_in] = ACTIONS(3931),
    [anon_sym_or_return] = ACTIONS(3931),
    [anon_sym_or_continue] = ACTIONS(3931),
    [anon_sym_or_break] = ACTIONS(3931),
    [anon_sym_CARET] = ACTIONS(3935),
    [sym_uninitialized] = ACTIONS(5885),
    [sym_tag] = ACTIONS(5887),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1295] = {
    [sym_block] = STATE(2185),
    [sym_where_clause] = STATE(1621),
    [anon_sym_LBRACE] = ACTIONS(5879),
    [anon_sym_COMMA] = ACTIONS(3299),
    [anon_sym_COLON_COLON] = ACTIONS(3299),
    [anon_sym_DASH_GT] = ACTIONS(5889),
    [anon_sym_where] = ACTIONS(5883),
    [anon_sym_EQ] = ACTIONS(3303),
    [anon_sym_COLON_EQ] = ACTIONS(3299),
    [anon_sym_COLON] = ACTIONS(3303),
    [anon_sym_LPAREN] = ACTIONS(3299),
    [anon_sym_PLUS_EQ] = ACTIONS(3299),
    [anon_sym_DASH_EQ] = ACTIONS(3299),
    [anon_sym_STAR_EQ] = ACTIONS(3299),
    [anon_sym_SLASH_EQ] = ACTIONS(3299),
    [anon_sym_PERCENT_EQ] = ACTIONS(3299),
    [anon_sym_AMP_EQ] = ACTIONS(3299),
    [anon_sym_PIPE_EQ] = ACTIONS(3299),
    [anon_sym_CARET_EQ] = ACTIONS(3299),
    [anon_sym_LT_LT_EQ] = ACTIONS(3299),
    [anon_sym_GT_GT_EQ] = ACTIONS(3299),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3299),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3299),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(3299),
    [anon_sym_if] = ACTIONS(3299),
    [anon_sym_SEMI] = ACTIONS(3299),
    [anon_sym_do] = ACTIONS(3299),
    [anon_sym_when] = ACTIONS(3299),
    [anon_sym_in] = ACTIONS(3299),
    [anon_sym_QMARK] = ACTIONS(3299),
    [anon_sym_PLUS] = ACTIONS(3303),
    [anon_sym_DASH] = ACTIONS(3303),
    [anon_sym_TILDE] = ACTIONS(3303),
    [anon_sym_AMP] = ACTIONS(3303),
    [anon_sym_PIPE_PIPE] = ACTIONS(3303),
    [anon_sym_or_else] = ACTIONS(3299),
    [anon_sym_AMP_AMP] = ACTIONS(3303),
    [anon_sym_GT] = ACTIONS(3303),
    [anon_sym_GT_EQ] = ACTIONS(3299),
    [anon_sym_LT_EQ] = ACTIONS(3299),
    [anon_sym_LT] = ACTIONS(3303),
    [anon_sym_EQ_EQ] = ACTIONS(3299),
    [anon_sym_BANG_EQ] = ACTIONS(3299),
    [anon_sym_TILDE_EQ] = ACTIONS(3299),
    [anon_sym_PIPE] = ACTIONS(3303),
    [anon_sym_AMP_TILDE] = ACTIONS(3303),
    [anon_sym_LT_LT] = ACTIONS(3303),
    [anon_sym_GT_GT] = ACTIONS(3303),
    [anon_sym_STAR] = ACTIONS(3303),
    [anon_sym_SLASH] = ACTIONS(3303),
    [anon_sym_PERCENT] = ACTIONS(3303),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(3299),
    [anon_sym_DOT] = ACTIONS(3303),
    [anon_sym_LBRACK] = ACTIONS(3299),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(3299),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3299),
    [anon_sym_not_in] = ACTIONS(3299),
    [anon_sym_or_return] = ACTIONS(3299),
    [anon_sym_or_continue] = ACTIONS(3299),
    [anon_sym_or_break] = ACTIONS(3299),
    [anon_sym_CARET] = ACTIONS(3303),
    [sym_uninitialized] = ACTIONS(5891),
    [sym_tag] = ACTIONS(5893),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1296] = {
    [sym_block] = STATE(2192),
    [sym_where_clause] = STATE(1632),
    [anon_sym_LBRACE] = ACTIONS(5879),
    [anon_sym_COMMA] = ACTIONS(3269),
    [anon_sym_COLON_COLON] = ACTIONS(3269),
    [anon_sym_DASH_GT] = ACTIONS(3269),
    [anon_sym_where] = ACTIONS(5883),
    [anon_sym_EQ] = ACTIONS(3273),
    [anon_sym_COLON_EQ] = ACTIONS(3269),
    [anon_sym_COLON] = ACTIONS(3273),
    [anon_sym_LPAREN] = ACTIONS(5895),
    [anon_sym_PLUS_EQ] = ACTIONS(3269),
    [anon_sym_DASH_EQ] = ACTIONS(3269),
    [anon_sym_STAR_EQ] = ACTIONS(3269),
    [anon_sym_SLASH_EQ] = ACTIONS(3269),
    [anon_sym_PERCENT_EQ] = ACTIONS(3269),
    [anon_sym_AMP_EQ] = ACTIONS(3269),
    [anon_sym_PIPE_EQ] = ACTIONS(3269),
    [anon_sym_CARET_EQ] = ACTIONS(3269),
    [anon_sym_LT_LT_EQ] = ACTIONS(3269),
    [anon_sym_GT_GT_EQ] = ACTIONS(3269),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3269),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3269),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(3269),
    [anon_sym_if] = ACTIONS(3269),
    [anon_sym_SEMI] = ACTIONS(3269),
    [anon_sym_do] = ACTIONS(3269),
    [anon_sym_when] = ACTIONS(3269),
    [anon_sym_in] = ACTIONS(3269),
    [anon_sym_QMARK] = ACTIONS(3269),
    [anon_sym_PLUS] = ACTIONS(3273),
    [anon_sym_DASH] = ACTIONS(3273),
    [anon_sym_TILDE] = ACTIONS(3273),
    [anon_sym_AMP] = ACTIONS(3273),
    [anon_sym_PIPE_PIPE] = ACTIONS(3273),
    [anon_sym_or_else] = ACTIONS(3269),
    [anon_sym_AMP_AMP] = ACTIONS(3273),
    [anon_sym_GT] = ACTIONS(3273),
    [anon_sym_GT_EQ] = ACTIONS(3269),
    [anon_sym_LT_EQ] = ACTIONS(3269),
    [anon_sym_LT] = ACTIONS(3273),
    [anon_sym_EQ_EQ] = ACTIONS(3269),
    [anon_sym_BANG_EQ] = ACTIONS(3269),
    [anon_sym_TILDE_EQ] = ACTIONS(3269),
    [anon_sym_PIPE] = ACTIONS(3273),
    [anon_sym_AMP_TILDE] = ACTIONS(3273),
    [anon_sym_LT_LT] = ACTIONS(3273),
    [anon_sym_GT_GT] = ACTIONS(3273),
    [anon_sym_STAR] = ACTIONS(3273),
    [anon_sym_SLASH] = ACTIONS(5897),
    [anon_sym_PERCENT] = ACTIONS(3273),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(3269),
    [anon_sym_DOT] = ACTIONS(3273),
    [anon_sym_LBRACK] = ACTIONS(3269),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(3269),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3269),
    [anon_sym_not_in] = ACTIONS(3269),
    [anon_sym_or_return] = ACTIONS(3269),
    [anon_sym_or_continue] = ACTIONS(3269),
    [anon_sym_or_break] = ACTIONS(3269),
    [anon_sym_CARET] = ACTIONS(3273),
    [sym_uninitialized] = ACTIONS(5899),
    [sym_tag] = ACTIONS(5901),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1297] = {
    [sym_block] = STATE(2192),
    [sym_where_clause] = STATE(1632),
    [anon_sym_LBRACE] = ACTIONS(5879),
    [anon_sym_COMMA] = ACTIONS(3269),
    [anon_sym_COLON_COLON] = ACTIONS(3269),
    [anon_sym_DASH_GT] = ACTIONS(3269),
    [anon_sym_where] = ACTIONS(5883),
    [anon_sym_EQ] = ACTIONS(3273),
    [anon_sym_COLON_EQ] = ACTIONS(3269),
    [anon_sym_COLON] = ACTIONS(3273),
    [anon_sym_LPAREN] = ACTIONS(3269),
    [anon_sym_PLUS_EQ] = ACTIONS(3269),
    [anon_sym_DASH_EQ] = ACTIONS(3269),
    [anon_sym_STAR_EQ] = ACTIONS(3269),
    [anon_sym_SLASH_EQ] = ACTIONS(3269),
    [anon_sym_PERCENT_EQ] = ACTIONS(3269),
    [anon_sym_AMP_EQ] = ACTIONS(3269),
    [anon_sym_PIPE_EQ] = ACTIONS(3269),
    [anon_sym_CARET_EQ] = ACTIONS(3269),
    [anon_sym_LT_LT_EQ] = ACTIONS(3269),
    [anon_sym_GT_GT_EQ] = ACTIONS(3269),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3269),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3269),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(3269),
    [anon_sym_if] = ACTIONS(3269),
    [anon_sym_SEMI] = ACTIONS(3269),
    [anon_sym_do] = ACTIONS(3269),
    [anon_sym_when] = ACTIONS(3269),
    [anon_sym_in] = ACTIONS(3269),
    [anon_sym_QMARK] = ACTIONS(3269),
    [anon_sym_PLUS] = ACTIONS(3273),
    [anon_sym_DASH] = ACTIONS(3273),
    [anon_sym_TILDE] = ACTIONS(3273),
    [anon_sym_AMP] = ACTIONS(3273),
    [anon_sym_PIPE_PIPE] = ACTIONS(3273),
    [anon_sym_or_else] = ACTIONS(3269),
    [anon_sym_AMP_AMP] = ACTIONS(3273),
    [anon_sym_GT] = ACTIONS(3273),
    [anon_sym_GT_EQ] = ACTIONS(3269),
    [anon_sym_LT_EQ] = ACTIONS(3269),
    [anon_sym_LT] = ACTIONS(3273),
    [anon_sym_EQ_EQ] = ACTIONS(3269),
    [anon_sym_BANG_EQ] = ACTIONS(3269),
    [anon_sym_TILDE_EQ] = ACTIONS(3269),
    [anon_sym_PIPE] = ACTIONS(3273),
    [anon_sym_AMP_TILDE] = ACTIONS(3273),
    [anon_sym_LT_LT] = ACTIONS(3273),
    [anon_sym_GT_GT] = ACTIONS(3273),
    [anon_sym_STAR] = ACTIONS(3273),
    [anon_sym_SLASH] = ACTIONS(3273),
    [anon_sym_PERCENT] = ACTIONS(3273),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(3269),
    [anon_sym_DOT] = ACTIONS(3273),
    [anon_sym_LBRACK] = ACTIONS(3269),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(3269),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3269),
    [anon_sym_not_in] = ACTIONS(3269),
    [anon_sym_or_return] = ACTIONS(3269),
    [anon_sym_or_continue] = ACTIONS(3269),
    [anon_sym_or_break] = ACTIONS(3269),
    [anon_sym_CARET] = ACTIONS(3273),
    [sym_uninitialized] = ACTIONS(5899),
    [sym_tag] = ACTIONS(5901),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1298] = {
    [sym_block] = STATE(2197),
    [sym_where_clause] = STATE(1636),
    [anon_sym_LBRACE] = ACTIONS(5879),
    [anon_sym_COMMA] = ACTIONS(3857),
    [anon_sym_COLON_COLON] = ACTIONS(3857),
    [anon_sym_DASH_GT] = ACTIONS(3857),
    [anon_sym_where] = ACTIONS(5883),
    [anon_sym_EQ] = ACTIONS(3859),
    [anon_sym_COLON_EQ] = ACTIONS(3857),
    [anon_sym_COLON] = ACTIONS(3859),
    [anon_sym_LPAREN] = ACTIONS(5895),
    [anon_sym_PLUS_EQ] = ACTIONS(3857),
    [anon_sym_DASH_EQ] = ACTIONS(3857),
    [anon_sym_STAR_EQ] = ACTIONS(3857),
    [anon_sym_SLASH_EQ] = ACTIONS(3857),
    [anon_sym_PERCENT_EQ] = ACTIONS(3857),
    [anon_sym_AMP_EQ] = ACTIONS(3857),
    [anon_sym_PIPE_EQ] = ACTIONS(3857),
    [anon_sym_CARET_EQ] = ACTIONS(3857),
    [anon_sym_LT_LT_EQ] = ACTIONS(3857),
    [anon_sym_GT_GT_EQ] = ACTIONS(3857),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3857),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3857),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(3857),
    [anon_sym_if] = ACTIONS(3857),
    [anon_sym_SEMI] = ACTIONS(3857),
    [anon_sym_do] = ACTIONS(3857),
    [anon_sym_when] = ACTIONS(3857),
    [anon_sym_in] = ACTIONS(3857),
    [anon_sym_QMARK] = ACTIONS(3857),
    [anon_sym_PLUS] = ACTIONS(3859),
    [anon_sym_DASH] = ACTIONS(3859),
    [anon_sym_TILDE] = ACTIONS(3859),
    [anon_sym_AMP] = ACTIONS(3859),
    [anon_sym_PIPE_PIPE] = ACTIONS(3859),
    [anon_sym_or_else] = ACTIONS(3857),
    [anon_sym_AMP_AMP] = ACTIONS(3859),
    [anon_sym_GT] = ACTIONS(3859),
    [anon_sym_GT_EQ] = ACTIONS(3857),
    [anon_sym_LT_EQ] = ACTIONS(3857),
    [anon_sym_LT] = ACTIONS(3859),
    [anon_sym_EQ_EQ] = ACTIONS(3857),
    [anon_sym_BANG_EQ] = ACTIONS(3857),
    [anon_sym_TILDE_EQ] = ACTIONS(3857),
    [anon_sym_PIPE] = ACTIONS(3859),
    [anon_sym_AMP_TILDE] = ACTIONS(3859),
    [anon_sym_LT_LT] = ACTIONS(3859),
    [anon_sym_GT_GT] = ACTIONS(3859),
    [anon_sym_STAR] = ACTIONS(3859),
    [anon_sym_SLASH] = ACTIONS(5897),
    [anon_sym_PERCENT] = ACTIONS(3859),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(3857),
    [anon_sym_DOT] = ACTIONS(3859),
    [anon_sym_LBRACK] = ACTIONS(3857),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(3857),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3857),
    [anon_sym_not_in] = ACTIONS(3857),
    [anon_sym_or_return] = ACTIONS(3857),
    [anon_sym_or_continue] = ACTIONS(3857),
    [anon_sym_or_break] = ACTIONS(3857),
    [anon_sym_CARET] = ACTIONS(3859),
    [sym_uninitialized] = ACTIONS(5903),
    [sym_tag] = ACTIONS(5905),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1299] = {
    [sym_block] = STATE(2197),
    [sym_where_clause] = STATE(1636),
    [anon_sym_LBRACE] = ACTIONS(5879),
    [anon_sym_COMMA] = ACTIONS(3857),
    [anon_sym_COLON_COLON] = ACTIONS(3857),
    [anon_sym_DASH_GT] = ACTIONS(3857),
    [anon_sym_where] = ACTIONS(5883),
    [anon_sym_EQ] = ACTIONS(3859),
    [anon_sym_COLON_EQ] = ACTIONS(3857),
    [anon_sym_COLON] = ACTIONS(3859),
    [anon_sym_LPAREN] = ACTIONS(3857),
    [anon_sym_PLUS_EQ] = ACTIONS(3857),
    [anon_sym_DASH_EQ] = ACTIONS(3857),
    [anon_sym_STAR_EQ] = ACTIONS(3857),
    [anon_sym_SLASH_EQ] = ACTIONS(3857),
    [anon_sym_PERCENT_EQ] = ACTIONS(3857),
    [anon_sym_AMP_EQ] = ACTIONS(3857),
    [anon_sym_PIPE_EQ] = ACTIONS(3857),
    [anon_sym_CARET_EQ] = ACTIONS(3857),
    [anon_sym_LT_LT_EQ] = ACTIONS(3857),
    [anon_sym_GT_GT_EQ] = ACTIONS(3857),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3857),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3857),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(3857),
    [anon_sym_if] = ACTIONS(3857),
    [anon_sym_SEMI] = ACTIONS(3857),
    [anon_sym_do] = ACTIONS(3857),
    [anon_sym_when] = ACTIONS(3857),
    [anon_sym_in] = ACTIONS(3857),
    [anon_sym_QMARK] = ACTIONS(3857),
    [anon_sym_PLUS] = ACTIONS(3859),
    [anon_sym_DASH] = ACTIONS(3859),
    [anon_sym_TILDE] = ACTIONS(3859),
    [anon_sym_AMP] = ACTIONS(3859),
    [anon_sym_PIPE_PIPE] = ACTIONS(3859),
    [anon_sym_or_else] = ACTIONS(3857),
    [anon_sym_AMP_AMP] = ACTIONS(3859),
    [anon_sym_GT] = ACTIONS(3859),
    [anon_sym_GT_EQ] = ACTIONS(3857),
    [anon_sym_LT_EQ] = ACTIONS(3857),
    [anon_sym_LT] = ACTIONS(3859),
    [anon_sym_EQ_EQ] = ACTIONS(3857),
    [anon_sym_BANG_EQ] = ACTIONS(3857),
    [anon_sym_TILDE_EQ] = ACTIONS(3857),
    [anon_sym_PIPE] = ACTIONS(3859),
    [anon_sym_AMP_TILDE] = ACTIONS(3859),
    [anon_sym_LT_LT] = ACTIONS(3859),
    [anon_sym_GT_GT] = ACTIONS(3859),
    [anon_sym_STAR] = ACTIONS(3859),
    [anon_sym_SLASH] = ACTIONS(3859),
    [anon_sym_PERCENT] = ACTIONS(3859),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(3857),
    [anon_sym_DOT] = ACTIONS(3859),
    [anon_sym_LBRACK] = ACTIONS(3857),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(3857),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3857),
    [anon_sym_not_in] = ACTIONS(3857),
    [anon_sym_or_return] = ACTIONS(3857),
    [anon_sym_or_continue] = ACTIONS(3857),
    [anon_sym_or_break] = ACTIONS(3857),
    [anon_sym_CARET] = ACTIONS(3859),
    [sym_uninitialized] = ACTIONS(5903),
    [sym_tag] = ACTIONS(5905),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1300] = {
    [sym_block] = STATE(2197),
    [sym_where_clause] = STATE(1636),
    [anon_sym_LBRACE] = ACTIONS(5879),
    [anon_sym_COMMA] = ACTIONS(3857),
    [anon_sym_COLON_COLON] = ACTIONS(3857),
    [anon_sym_DASH_GT] = ACTIONS(3857),
    [anon_sym_where] = ACTIONS(5883),
    [anon_sym_EQ] = ACTIONS(3859),
    [anon_sym_COLON_EQ] = ACTIONS(3857),
    [anon_sym_COLON] = ACTIONS(3859),
    [anon_sym_LPAREN] = ACTIONS(3857),
    [anon_sym_PLUS_EQ] = ACTIONS(3857),
    [anon_sym_DASH_EQ] = ACTIONS(3857),
    [anon_sym_STAR_EQ] = ACTIONS(3857),
    [anon_sym_SLASH_EQ] = ACTIONS(3857),
    [anon_sym_PERCENT_EQ] = ACTIONS(3857),
    [anon_sym_AMP_EQ] = ACTIONS(3857),
    [anon_sym_PIPE_EQ] = ACTIONS(3857),
    [anon_sym_CARET_EQ] = ACTIONS(3857),
    [anon_sym_LT_LT_EQ] = ACTIONS(3857),
    [anon_sym_GT_GT_EQ] = ACTIONS(3857),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3857),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3857),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(3857),
    [anon_sym_if] = ACTIONS(3857),
    [anon_sym_SEMI] = ACTIONS(3857),
    [anon_sym_do] = ACTIONS(3857),
    [anon_sym_when] = ACTIONS(3857),
    [anon_sym_in] = ACTIONS(3857),
    [anon_sym_QMARK] = ACTIONS(3857),
    [anon_sym_PLUS] = ACTIONS(3859),
    [anon_sym_DASH] = ACTIONS(3859),
    [anon_sym_TILDE] = ACTIONS(3859),
    [anon_sym_AMP] = ACTIONS(3859),
    [anon_sym_PIPE_PIPE] = ACTIONS(3859),
    [anon_sym_or_else] = ACTIONS(3857),
    [anon_sym_AMP_AMP] = ACTIONS(3859),
    [anon_sym_GT] = ACTIONS(3859),
    [anon_sym_GT_EQ] = ACTIONS(3857),
    [anon_sym_LT_EQ] = ACTIONS(3857),
    [anon_sym_LT] = ACTIONS(3859),
    [anon_sym_EQ_EQ] = ACTIONS(3857),
    [anon_sym_BANG_EQ] = ACTIONS(3857),
    [anon_sym_TILDE_EQ] = ACTIONS(3857),
    [anon_sym_PIPE] = ACTIONS(3859),
    [anon_sym_AMP_TILDE] = ACTIONS(3859),
    [anon_sym_LT_LT] = ACTIONS(3859),
    [anon_sym_GT_GT] = ACTIONS(3859),
    [anon_sym_STAR] = ACTIONS(3859),
    [anon_sym_SLASH] = ACTIONS(3859),
    [anon_sym_PERCENT] = ACTIONS(3859),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(3857),
    [anon_sym_DOT] = ACTIONS(3859),
    [anon_sym_LBRACK] = ACTIONS(3857),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(3857),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3857),
    [anon_sym_not_in] = ACTIONS(3857),
    [anon_sym_or_return] = ACTIONS(3857),
    [anon_sym_or_continue] = ACTIONS(3857),
    [anon_sym_or_break] = ACTIONS(3857),
    [anon_sym_CARET] = ACTIONS(3859),
    [sym_uninitialized] = ACTIONS(5903),
    [sym_tag] = ACTIONS(5907),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1301] = {
    [sym_block] = STATE(2203),
    [sym_where_clause] = STATE(1640),
    [anon_sym_LBRACE] = ACTIONS(5879),
    [anon_sym_COMMA] = ACTIONS(3281),
    [anon_sym_COLON_COLON] = ACTIONS(3281),
    [anon_sym_DASH_GT] = ACTIONS(3281),
    [anon_sym_where] = ACTIONS(5883),
    [anon_sym_EQ] = ACTIONS(3283),
    [anon_sym_COLON_EQ] = ACTIONS(3281),
    [anon_sym_COLON] = ACTIONS(3283),
    [anon_sym_LPAREN] = ACTIONS(5895),
    [anon_sym_PLUS_EQ] = ACTIONS(3281),
    [anon_sym_DASH_EQ] = ACTIONS(3281),
    [anon_sym_STAR_EQ] = ACTIONS(3281),
    [anon_sym_SLASH_EQ] = ACTIONS(3281),
    [anon_sym_PERCENT_EQ] = ACTIONS(3281),
    [anon_sym_AMP_EQ] = ACTIONS(3281),
    [anon_sym_PIPE_EQ] = ACTIONS(3281),
    [anon_sym_CARET_EQ] = ACTIONS(3281),
    [anon_sym_LT_LT_EQ] = ACTIONS(3281),
    [anon_sym_GT_GT_EQ] = ACTIONS(3281),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3281),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3281),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(3281),
    [anon_sym_if] = ACTIONS(3281),
    [anon_sym_SEMI] = ACTIONS(3281),
    [anon_sym_do] = ACTIONS(3281),
    [anon_sym_when] = ACTIONS(3281),
    [anon_sym_in] = ACTIONS(3281),
    [anon_sym_QMARK] = ACTIONS(3281),
    [anon_sym_PLUS] = ACTIONS(3283),
    [anon_sym_DASH] = ACTIONS(3283),
    [anon_sym_TILDE] = ACTIONS(3283),
    [anon_sym_AMP] = ACTIONS(3283),
    [anon_sym_PIPE_PIPE] = ACTIONS(3283),
    [anon_sym_or_else] = ACTIONS(3281),
    [anon_sym_AMP_AMP] = ACTIONS(3283),
    [anon_sym_GT] = ACTIONS(3283),
    [anon_sym_GT_EQ] = ACTIONS(3281),
    [anon_sym_LT_EQ] = ACTIONS(3281),
    [anon_sym_LT] = ACTIONS(3283),
    [anon_sym_EQ_EQ] = ACTIONS(3281),
    [anon_sym_BANG_EQ] = ACTIONS(3281),
    [anon_sym_TILDE_EQ] = ACTIONS(3281),
    [anon_sym_PIPE] = ACTIONS(3283),
    [anon_sym_AMP_TILDE] = ACTIONS(3283),
    [anon_sym_LT_LT] = ACTIONS(3283),
    [anon_sym_GT_GT] = ACTIONS(3283),
    [anon_sym_STAR] = ACTIONS(3283),
    [anon_sym_SLASH] = ACTIONS(5897),
    [anon_sym_PERCENT] = ACTIONS(3283),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(3281),
    [anon_sym_DOT] = ACTIONS(3283),
    [anon_sym_LBRACK] = ACTIONS(3281),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(3281),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3281),
    [anon_sym_not_in] = ACTIONS(3281),
    [anon_sym_or_return] = ACTIONS(3281),
    [anon_sym_or_continue] = ACTIONS(3281),
    [anon_sym_or_break] = ACTIONS(3281),
    [anon_sym_CARET] = ACTIONS(3283),
    [sym_uninitialized] = ACTIONS(5909),
    [sym_tag] = ACTIONS(5911),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1302] = {
    [sym_block] = STATE(2203),
    [sym_where_clause] = STATE(1640),
    [anon_sym_LBRACE] = ACTIONS(5879),
    [anon_sym_COMMA] = ACTIONS(3281),
    [anon_sym_COLON_COLON] = ACTIONS(3281),
    [anon_sym_DASH_GT] = ACTIONS(3281),
    [anon_sym_where] = ACTIONS(5883),
    [anon_sym_EQ] = ACTIONS(3283),
    [anon_sym_COLON_EQ] = ACTIONS(3281),
    [anon_sym_COLON] = ACTIONS(3283),
    [anon_sym_LPAREN] = ACTIONS(3281),
    [anon_sym_PLUS_EQ] = ACTIONS(3281),
    [anon_sym_DASH_EQ] = ACTIONS(3281),
    [anon_sym_STAR_EQ] = ACTIONS(3281),
    [anon_sym_SLASH_EQ] = ACTIONS(3281),
    [anon_sym_PERCENT_EQ] = ACTIONS(3281),
    [anon_sym_AMP_EQ] = ACTIONS(3281),
    [anon_sym_PIPE_EQ] = ACTIONS(3281),
    [anon_sym_CARET_EQ] = ACTIONS(3281),
    [anon_sym_LT_LT_EQ] = ACTIONS(3281),
    [anon_sym_GT_GT_EQ] = ACTIONS(3281),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3281),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3281),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(3281),
    [anon_sym_if] = ACTIONS(3281),
    [anon_sym_SEMI] = ACTIONS(3281),
    [anon_sym_do] = ACTIONS(3281),
    [anon_sym_when] = ACTIONS(3281),
    [anon_sym_in] = ACTIONS(3281),
    [anon_sym_QMARK] = ACTIONS(3281),
    [anon_sym_PLUS] = ACTIONS(3283),
    [anon_sym_DASH] = ACTIONS(3283),
    [anon_sym_TILDE] = ACTIONS(3283),
    [anon_sym_AMP] = ACTIONS(3283),
    [anon_sym_PIPE_PIPE] = ACTIONS(3283),
    [anon_sym_or_else] = ACTIONS(3281),
    [anon_sym_AMP_AMP] = ACTIONS(3283),
    [anon_sym_GT] = ACTIONS(3283),
    [anon_sym_GT_EQ] = ACTIONS(3281),
    [anon_sym_LT_EQ] = ACTIONS(3281),
    [anon_sym_LT] = ACTIONS(3283),
    [anon_sym_EQ_EQ] = ACTIONS(3281),
    [anon_sym_BANG_EQ] = ACTIONS(3281),
    [anon_sym_TILDE_EQ] = ACTIONS(3281),
    [anon_sym_PIPE] = ACTIONS(3283),
    [anon_sym_AMP_TILDE] = ACTIONS(3283),
    [anon_sym_LT_LT] = ACTIONS(3283),
    [anon_sym_GT_GT] = ACTIONS(3283),
    [anon_sym_STAR] = ACTIONS(3283),
    [anon_sym_SLASH] = ACTIONS(3283),
    [anon_sym_PERCENT] = ACTIONS(3283),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(3281),
    [anon_sym_DOT] = ACTIONS(3283),
    [anon_sym_LBRACK] = ACTIONS(3281),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(3281),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3281),
    [anon_sym_not_in] = ACTIONS(3281),
    [anon_sym_or_return] = ACTIONS(3281),
    [anon_sym_or_continue] = ACTIONS(3281),
    [anon_sym_or_break] = ACTIONS(3281),
    [anon_sym_CARET] = ACTIONS(3283),
    [sym_uninitialized] = ACTIONS(5909),
    [sym_tag] = ACTIONS(5911),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1303] = {
    [sym_block] = STATE(2203),
    [sym_where_clause] = STATE(1640),
    [anon_sym_LBRACE] = ACTIONS(5879),
    [anon_sym_COMMA] = ACTIONS(3281),
    [anon_sym_COLON_COLON] = ACTIONS(3281),
    [anon_sym_DASH_GT] = ACTIONS(3281),
    [anon_sym_where] = ACTIONS(5883),
    [anon_sym_EQ] = ACTIONS(3283),
    [anon_sym_COLON_EQ] = ACTIONS(3281),
    [anon_sym_COLON] = ACTIONS(3283),
    [anon_sym_LPAREN] = ACTIONS(3281),
    [anon_sym_PLUS_EQ] = ACTIONS(3281),
    [anon_sym_DASH_EQ] = ACTIONS(3281),
    [anon_sym_STAR_EQ] = ACTIONS(3281),
    [anon_sym_SLASH_EQ] = ACTIONS(3281),
    [anon_sym_PERCENT_EQ] = ACTIONS(3281),
    [anon_sym_AMP_EQ] = ACTIONS(3281),
    [anon_sym_PIPE_EQ] = ACTIONS(3281),
    [anon_sym_CARET_EQ] = ACTIONS(3281),
    [anon_sym_LT_LT_EQ] = ACTIONS(3281),
    [anon_sym_GT_GT_EQ] = ACTIONS(3281),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3281),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3281),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(3281),
    [anon_sym_if] = ACTIONS(3281),
    [anon_sym_SEMI] = ACTIONS(3281),
    [anon_sym_do] = ACTIONS(3281),
    [anon_sym_when] = ACTIONS(3281),
    [anon_sym_in] = ACTIONS(3281),
    [anon_sym_QMARK] = ACTIONS(3281),
    [anon_sym_PLUS] = ACTIONS(3283),
    [anon_sym_DASH] = ACTIONS(3283),
    [anon_sym_TILDE] = ACTIONS(3283),
    [anon_sym_AMP] = ACTIONS(3283),
    [anon_sym_PIPE_PIPE] = ACTIONS(3283),
    [anon_sym_or_else] = ACTIONS(3281),
    [anon_sym_AMP_AMP] = ACTIONS(3283),
    [anon_sym_GT] = ACTIONS(3283),
    [anon_sym_GT_EQ] = ACTIONS(3281),
    [anon_sym_LT_EQ] = ACTIONS(3281),
    [anon_sym_LT] = ACTIONS(3283),
    [anon_sym_EQ_EQ] = ACTIONS(3281),
    [anon_sym_BANG_EQ] = ACTIONS(3281),
    [anon_sym_TILDE_EQ] = ACTIONS(3281),
    [anon_sym_PIPE] = ACTIONS(3283),
    [anon_sym_AMP_TILDE] = ACTIONS(3283),
    [anon_sym_LT_LT] = ACTIONS(3283),
    [anon_sym_GT_GT] = ACTIONS(3283),
    [anon_sym_STAR] = ACTIONS(3283),
    [anon_sym_SLASH] = ACTIONS(3283),
    [anon_sym_PERCENT] = ACTIONS(3283),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(3281),
    [anon_sym_DOT] = ACTIONS(3283),
    [anon_sym_LBRACK] = ACTIONS(3281),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(3281),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3281),
    [anon_sym_not_in] = ACTIONS(3281),
    [anon_sym_or_return] = ACTIONS(3281),
    [anon_sym_or_continue] = ACTIONS(3281),
    [anon_sym_or_break] = ACTIONS(3281),
    [anon_sym_CARET] = ACTIONS(3283),
    [sym_uninitialized] = ACTIONS(5909),
    [sym_tag] = ACTIONS(5913),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1304] = {
    [sym_block] = STATE(2206),
    [sym_where_clause] = STATE(1643),
    [anon_sym_LBRACE] = ACTIONS(5879),
    [anon_sym_COMMA] = ACTIONS(3291),
    [anon_sym_COLON_COLON] = ACTIONS(3291),
    [anon_sym_DASH_GT] = ACTIONS(3291),
    [anon_sym_where] = ACTIONS(5883),
    [anon_sym_EQ] = ACTIONS(3293),
    [anon_sym_COLON_EQ] = ACTIONS(3291),
    [anon_sym_COLON] = ACTIONS(3293),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_PLUS_EQ] = ACTIONS(3291),
    [anon_sym_DASH_EQ] = ACTIONS(3291),
    [anon_sym_STAR_EQ] = ACTIONS(3291),
    [anon_sym_SLASH_EQ] = ACTIONS(3291),
    [anon_sym_PERCENT_EQ] = ACTIONS(3291),
    [anon_sym_AMP_EQ] = ACTIONS(3291),
    [anon_sym_PIPE_EQ] = ACTIONS(3291),
    [anon_sym_CARET_EQ] = ACTIONS(3291),
    [anon_sym_LT_LT_EQ] = ACTIONS(3291),
    [anon_sym_GT_GT_EQ] = ACTIONS(3291),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3291),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3291),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(3291),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_SEMI] = ACTIONS(3291),
    [anon_sym_do] = ACTIONS(3291),
    [anon_sym_when] = ACTIONS(3291),
    [anon_sym_in] = ACTIONS(3291),
    [anon_sym_QMARK] = ACTIONS(3291),
    [anon_sym_PLUS] = ACTIONS(3293),
    [anon_sym_DASH] = ACTIONS(3293),
    [anon_sym_TILDE] = ACTIONS(3293),
    [anon_sym_AMP] = ACTIONS(3293),
    [anon_sym_PIPE_PIPE] = ACTIONS(3293),
    [anon_sym_or_else] = ACTIONS(3291),
    [anon_sym_AMP_AMP] = ACTIONS(3293),
    [anon_sym_GT] = ACTIONS(3293),
    [anon_sym_GT_EQ] = ACTIONS(3291),
    [anon_sym_LT_EQ] = ACTIONS(3291),
    [anon_sym_LT] = ACTIONS(3293),
    [anon_sym_EQ_EQ] = ACTIONS(3291),
    [anon_sym_BANG_EQ] = ACTIONS(3291),
    [anon_sym_TILDE_EQ] = ACTIONS(3291),
    [anon_sym_PIPE] = ACTIONS(3293),
    [anon_sym_AMP_TILDE] = ACTIONS(3293),
    [anon_sym_LT_LT] = ACTIONS(3293),
    [anon_sym_GT_GT] = ACTIONS(3293),
    [anon_sym_STAR] = ACTIONS(3293),
    [anon_sym_SLASH] = ACTIONS(3293),
    [anon_sym_PERCENT] = ACTIONS(3293),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(3291),
    [anon_sym_DOT] = ACTIONS(3293),
    [anon_sym_LBRACK] = ACTIONS(3291),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(3291),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3291),
    [anon_sym_not_in] = ACTIONS(3291),
    [anon_sym_or_return] = ACTIONS(3291),
    [anon_sym_or_continue] = ACTIONS(3291),
    [anon_sym_or_break] = ACTIONS(3291),
    [anon_sym_CARET] = ACTIONS(3293),
    [sym_uninitialized] = ACTIONS(5915),
    [sym_tag] = ACTIONS(5917),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1305] = {
    [aux_sym_field_type_repeat1] = STATE(1308),
    [anon_sym_LBRACE] = ACTIONS(3415),
    [anon_sym_COMMA] = ACTIONS(3415),
    [anon_sym_COLON_COLON] = ACTIONS(3415),
    [anon_sym_DASH_GT] = ACTIONS(3415),
    [anon_sym_where] = ACTIONS(3415),
    [anon_sym_EQ] = ACTIONS(3417),
    [anon_sym_COLON_EQ] = ACTIONS(3415),
    [anon_sym_COLON] = ACTIONS(3417),
    [anon_sym_LPAREN] = ACTIONS(3415),
    [anon_sym_PLUS_EQ] = ACTIONS(3415),
    [anon_sym_DASH_EQ] = ACTIONS(3415),
    [anon_sym_STAR_EQ] = ACTIONS(3415),
    [anon_sym_SLASH_EQ] = ACTIONS(3415),
    [anon_sym_PERCENT_EQ] = ACTIONS(3415),
    [anon_sym_AMP_EQ] = ACTIONS(3415),
    [anon_sym_PIPE_EQ] = ACTIONS(3415),
    [anon_sym_CARET_EQ] = ACTIONS(3415),
    [anon_sym_LT_LT_EQ] = ACTIONS(3415),
    [anon_sym_GT_GT_EQ] = ACTIONS(3415),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3415),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3415),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(3415),
    [anon_sym_if] = ACTIONS(3415),
    [anon_sym_SEMI] = ACTIONS(3415),
    [anon_sym_do] = ACTIONS(3415),
    [anon_sym_when] = ACTIONS(3415),
    [anon_sym_in] = ACTIONS(3415),
    [anon_sym_QMARK] = ACTIONS(3415),
    [anon_sym_PLUS] = ACTIONS(3417),
    [anon_sym_DASH] = ACTIONS(3417),
    [anon_sym_TILDE] = ACTIONS(3417),
    [anon_sym_AMP] = ACTIONS(3417),
    [anon_sym_PIPE_PIPE] = ACTIONS(3417),
    [anon_sym_or_else] = ACTIONS(3415),
    [anon_sym_AMP_AMP] = ACTIONS(3417),
    [anon_sym_GT] = ACTIONS(3417),
    [anon_sym_GT_EQ] = ACTIONS(3415),
    [anon_sym_LT_EQ] = ACTIONS(3415),
    [anon_sym_LT] = ACTIONS(3417),
    [anon_sym_EQ_EQ] = ACTIONS(3415),
    [anon_sym_BANG_EQ] = ACTIONS(3415),
    [anon_sym_TILDE_EQ] = ACTIONS(3415),
    [anon_sym_PIPE] = ACTIONS(3417),
    [anon_sym_AMP_TILDE] = ACTIONS(3417),
    [anon_sym_LT_LT] = ACTIONS(3417),
    [anon_sym_GT_GT] = ACTIONS(3417),
    [anon_sym_STAR] = ACTIONS(3417),
    [anon_sym_SLASH] = ACTIONS(3417),
    [anon_sym_PERCENT] = ACTIONS(3417),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(3415),
    [anon_sym_DOT] = ACTIONS(3417),
    [anon_sym_LBRACK] = ACTIONS(3415),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(3415),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3415),
    [anon_sym_not_in] = ACTIONS(3415),
    [anon_sym_or_return] = ACTIONS(3415),
    [anon_sym_or_continue] = ACTIONS(3415),
    [anon_sym_or_break] = ACTIONS(3415),
    [anon_sym_CARET] = ACTIONS(3417),
    [anon_sym_DOT2] = ACTIONS(5919),
    [sym_uninitialized] = ACTIONS(3415),
    [sym_tag] = ACTIONS(3415),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1306] = {
    [sym_block] = STATE(2362),
    [anon_sym_LBRACE] = ACTIONS(3267),
    [anon_sym_RBRACE] = ACTIONS(3857),
    [anon_sym_COMMA] = ACTIONS(3857),
    [anon_sym_COLON_COLON] = ACTIONS(3857),
    [anon_sym_DASH_GT] = ACTIONS(3857),
    [anon_sym_EQ] = ACTIONS(3859),
    [anon_sym_COLON_EQ] = ACTIONS(3857),
    [anon_sym_COLON] = ACTIONS(3859),
    [anon_sym_LPAREN] = ACTIONS(3857),
    [anon_sym_PLUS_EQ] = ACTIONS(3857),
    [anon_sym_DASH_EQ] = ACTIONS(3857),
    [anon_sym_STAR_EQ] = ACTIONS(3857),
    [anon_sym_SLASH_EQ] = ACTIONS(3857),
    [anon_sym_PERCENT_EQ] = ACTIONS(3857),
    [anon_sym_AMP_EQ] = ACTIONS(3857),
    [anon_sym_PIPE_EQ] = ACTIONS(3857),
    [anon_sym_CARET_EQ] = ACTIONS(3857),
    [anon_sym_LT_LT_EQ] = ACTIONS(3857),
    [anon_sym_GT_GT_EQ] = ACTIONS(3857),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3857),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3857),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(3857),
    [anon_sym_if] = ACTIONS(3857),
    [anon_sym_SEMI] = ACTIONS(3857),
    [anon_sym_else] = ACTIONS(3857),
    [anon_sym_when] = ACTIONS(3857),
    [anon_sym_in] = ACTIONS(3857),
    [anon_sym_case] = ACTIONS(3857),
    [anon_sym_QMARK] = ACTIONS(3857),
    [anon_sym_PLUS] = ACTIONS(3859),
    [anon_sym_DASH] = ACTIONS(3859),
    [anon_sym_TILDE] = ACTIONS(3859),
    [anon_sym_AMP] = ACTIONS(3859),
    [anon_sym_PIPE_PIPE] = ACTIONS(3859),
    [anon_sym_or_else] = ACTIONS(3857),
    [anon_sym_AMP_AMP] = ACTIONS(3859),
    [anon_sym_GT] = ACTIONS(3859),
    [anon_sym_GT_EQ] = ACTIONS(3857),
    [anon_sym_LT_EQ] = ACTIONS(3857),
    [anon_sym_LT] = ACTIONS(3859),
    [anon_sym_EQ_EQ] = ACTIONS(3857),
    [anon_sym_BANG_EQ] = ACTIONS(3857),
    [anon_sym_TILDE_EQ] = ACTIONS(3857),
    [anon_sym_PIPE] = ACTIONS(3859),
    [anon_sym_AMP_TILDE] = ACTIONS(3859),
    [anon_sym_LT_LT] = ACTIONS(3859),
    [anon_sym_GT_GT] = ACTIONS(3859),
    [anon_sym_STAR] = ACTIONS(3859),
    [anon_sym_SLASH] = ACTIONS(3859),
    [anon_sym_PERCENT] = ACTIONS(3859),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(3857),
    [anon_sym_DOT] = ACTIONS(3859),
    [anon_sym_LBRACK] = ACTIONS(3857),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(3857),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3857),
    [anon_sym_not_in] = ACTIONS(3857),
    [anon_sym_or_return] = ACTIONS(3857),
    [anon_sym_or_continue] = ACTIONS(3857),
    [anon_sym_or_break] = ACTIONS(3857),
    [anon_sym_CARET] = ACTIONS(3859),
    [sym_uninitialized] = ACTIONS(3885),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(3857),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1307] = {
    [sym_expression] = STATE(5792),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(5921),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1308] = {
    [aux_sym_field_type_repeat1] = STATE(1310),
    [anon_sym_LBRACE] = ACTIONS(3889),
    [anon_sym_COMMA] = ACTIONS(3889),
    [anon_sym_COLON_COLON] = ACTIONS(3889),
    [anon_sym_DASH_GT] = ACTIONS(3889),
    [anon_sym_where] = ACTIONS(3889),
    [anon_sym_EQ] = ACTIONS(3891),
    [anon_sym_COLON_EQ] = ACTIONS(3889),
    [anon_sym_COLON] = ACTIONS(3891),
    [anon_sym_LPAREN] = ACTIONS(3889),
    [anon_sym_PLUS_EQ] = ACTIONS(3889),
    [anon_sym_DASH_EQ] = ACTIONS(3889),
    [anon_sym_STAR_EQ] = ACTIONS(3889),
    [anon_sym_SLASH_EQ] = ACTIONS(3889),
    [anon_sym_PERCENT_EQ] = ACTIONS(3889),
    [anon_sym_AMP_EQ] = ACTIONS(3889),
    [anon_sym_PIPE_EQ] = ACTIONS(3889),
    [anon_sym_CARET_EQ] = ACTIONS(3889),
    [anon_sym_LT_LT_EQ] = ACTIONS(3889),
    [anon_sym_GT_GT_EQ] = ACTIONS(3889),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3889),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3889),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(3889),
    [anon_sym_if] = ACTIONS(3889),
    [anon_sym_SEMI] = ACTIONS(3889),
    [anon_sym_do] = ACTIONS(3889),
    [anon_sym_when] = ACTIONS(3889),
    [anon_sym_in] = ACTIONS(3889),
    [anon_sym_QMARK] = ACTIONS(3889),
    [anon_sym_PLUS] = ACTIONS(3891),
    [anon_sym_DASH] = ACTIONS(3891),
    [anon_sym_TILDE] = ACTIONS(3891),
    [anon_sym_AMP] = ACTIONS(3891),
    [anon_sym_PIPE_PIPE] = ACTIONS(3891),
    [anon_sym_or_else] = ACTIONS(3889),
    [anon_sym_AMP_AMP] = ACTIONS(3891),
    [anon_sym_GT] = ACTIONS(3891),
    [anon_sym_GT_EQ] = ACTIONS(3889),
    [anon_sym_LT_EQ] = ACTIONS(3889),
    [anon_sym_LT] = ACTIONS(3891),
    [anon_sym_EQ_EQ] = ACTIONS(3889),
    [anon_sym_BANG_EQ] = ACTIONS(3889),
    [anon_sym_TILDE_EQ] = ACTIONS(3889),
    [anon_sym_PIPE] = ACTIONS(3891),
    [anon_sym_AMP_TILDE] = ACTIONS(3891),
    [anon_sym_LT_LT] = ACTIONS(3891),
    [anon_sym_GT_GT] = ACTIONS(3891),
    [anon_sym_STAR] = ACTIONS(3891),
    [anon_sym_SLASH] = ACTIONS(3891),
    [anon_sym_PERCENT] = ACTIONS(3891),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(3889),
    [anon_sym_DOT] = ACTIONS(3891),
    [anon_sym_LBRACK] = ACTIONS(3889),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(3889),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3889),
    [anon_sym_not_in] = ACTIONS(3889),
    [anon_sym_or_return] = ACTIONS(3889),
    [anon_sym_or_continue] = ACTIONS(3889),
    [anon_sym_or_break] = ACTIONS(3889),
    [anon_sym_CARET] = ACTIONS(3891),
    [anon_sym_DOT2] = ACTIONS(5919),
    [sym_uninitialized] = ACTIONS(3889),
    [sym_tag] = ACTIONS(3889),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1309] = {
    [sym_expression] = STATE(5804),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(5923),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1310] = {
    [aux_sym_field_type_repeat1] = STATE(1310),
    [anon_sym_LBRACE] = ACTIONS(3977),
    [anon_sym_COMMA] = ACTIONS(3977),
    [anon_sym_COLON_COLON] = ACTIONS(3977),
    [anon_sym_DASH_GT] = ACTIONS(3977),
    [anon_sym_where] = ACTIONS(3977),
    [anon_sym_EQ] = ACTIONS(3979),
    [anon_sym_COLON_EQ] = ACTIONS(3977),
    [anon_sym_COLON] = ACTIONS(3979),
    [anon_sym_LPAREN] = ACTIONS(3977),
    [anon_sym_PLUS_EQ] = ACTIONS(3977),
    [anon_sym_DASH_EQ] = ACTIONS(3977),
    [anon_sym_STAR_EQ] = ACTIONS(3977),
    [anon_sym_SLASH_EQ] = ACTIONS(3977),
    [anon_sym_PERCENT_EQ] = ACTIONS(3977),
    [anon_sym_AMP_EQ] = ACTIONS(3977),
    [anon_sym_PIPE_EQ] = ACTIONS(3977),
    [anon_sym_CARET_EQ] = ACTIONS(3977),
    [anon_sym_LT_LT_EQ] = ACTIONS(3977),
    [anon_sym_GT_GT_EQ] = ACTIONS(3977),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3977),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3977),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(3977),
    [anon_sym_if] = ACTIONS(3977),
    [anon_sym_SEMI] = ACTIONS(3977),
    [anon_sym_do] = ACTIONS(3977),
    [anon_sym_when] = ACTIONS(3977),
    [anon_sym_in] = ACTIONS(3977),
    [anon_sym_QMARK] = ACTIONS(3977),
    [anon_sym_PLUS] = ACTIONS(3979),
    [anon_sym_DASH] = ACTIONS(3979),
    [anon_sym_TILDE] = ACTIONS(3979),
    [anon_sym_AMP] = ACTIONS(3979),
    [anon_sym_PIPE_PIPE] = ACTIONS(3979),
    [anon_sym_or_else] = ACTIONS(3977),
    [anon_sym_AMP_AMP] = ACTIONS(3979),
    [anon_sym_GT] = ACTIONS(3979),
    [anon_sym_GT_EQ] = ACTIONS(3977),
    [anon_sym_LT_EQ] = ACTIONS(3977),
    [anon_sym_LT] = ACTIONS(3979),
    [anon_sym_EQ_EQ] = ACTIONS(3977),
    [anon_sym_BANG_EQ] = ACTIONS(3977),
    [anon_sym_TILDE_EQ] = ACTIONS(3977),
    [anon_sym_PIPE] = ACTIONS(3979),
    [anon_sym_AMP_TILDE] = ACTIONS(3979),
    [anon_sym_LT_LT] = ACTIONS(3979),
    [anon_sym_GT_GT] = ACTIONS(3979),
    [anon_sym_STAR] = ACTIONS(3979),
    [anon_sym_SLASH] = ACTIONS(3979),
    [anon_sym_PERCENT] = ACTIONS(3979),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(3977),
    [anon_sym_DOT] = ACTIONS(3979),
    [anon_sym_LBRACK] = ACTIONS(3977),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(3977),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3977),
    [anon_sym_not_in] = ACTIONS(3977),
    [anon_sym_or_return] = ACTIONS(3977),
    [anon_sym_or_continue] = ACTIONS(3977),
    [anon_sym_or_break] = ACTIONS(3977),
    [anon_sym_CARET] = ACTIONS(3979),
    [anon_sym_DOT2] = ACTIONS(5925),
    [sym_uninitialized] = ACTIONS(3977),
    [sym_tag] = ACTIONS(3977),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1311] = {
    [sym_expression] = STATE(5561),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(5928),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1312] = {
    [sym_expression] = STATE(4917),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(5930),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1313] = {
    [sym_expression] = STATE(5904),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(5932),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1314] = {
    [sym_block] = STATE(2365),
    [anon_sym_LBRACE] = ACTIONS(3267),
    [anon_sym_RBRACE] = ACTIONS(3281),
    [anon_sym_COMMA] = ACTIONS(3281),
    [anon_sym_COLON_COLON] = ACTIONS(3281),
    [anon_sym_DASH_GT] = ACTIONS(3281),
    [anon_sym_EQ] = ACTIONS(3283),
    [anon_sym_COLON_EQ] = ACTIONS(3281),
    [anon_sym_COLON] = ACTIONS(3283),
    [anon_sym_LPAREN] = ACTIONS(3281),
    [anon_sym_PLUS_EQ] = ACTIONS(3281),
    [anon_sym_DASH_EQ] = ACTIONS(3281),
    [anon_sym_STAR_EQ] = ACTIONS(3281),
    [anon_sym_SLASH_EQ] = ACTIONS(3281),
    [anon_sym_PERCENT_EQ] = ACTIONS(3281),
    [anon_sym_AMP_EQ] = ACTIONS(3281),
    [anon_sym_PIPE_EQ] = ACTIONS(3281),
    [anon_sym_CARET_EQ] = ACTIONS(3281),
    [anon_sym_LT_LT_EQ] = ACTIONS(3281),
    [anon_sym_GT_GT_EQ] = ACTIONS(3281),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3281),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3281),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(3281),
    [anon_sym_if] = ACTIONS(3281),
    [anon_sym_SEMI] = ACTIONS(3281),
    [anon_sym_else] = ACTIONS(3281),
    [anon_sym_when] = ACTIONS(3281),
    [anon_sym_in] = ACTIONS(3281),
    [anon_sym_case] = ACTIONS(3281),
    [anon_sym_QMARK] = ACTIONS(3281),
    [anon_sym_PLUS] = ACTIONS(3283),
    [anon_sym_DASH] = ACTIONS(3283),
    [anon_sym_TILDE] = ACTIONS(3283),
    [anon_sym_AMP] = ACTIONS(3283),
    [anon_sym_PIPE_PIPE] = ACTIONS(3283),
    [anon_sym_or_else] = ACTIONS(3281),
    [anon_sym_AMP_AMP] = ACTIONS(3283),
    [anon_sym_GT] = ACTIONS(3283),
    [anon_sym_GT_EQ] = ACTIONS(3281),
    [anon_sym_LT_EQ] = ACTIONS(3281),
    [anon_sym_LT] = ACTIONS(3283),
    [anon_sym_EQ_EQ] = ACTIONS(3281),
    [anon_sym_BANG_EQ] = ACTIONS(3281),
    [anon_sym_TILDE_EQ] = ACTIONS(3281),
    [anon_sym_PIPE] = ACTIONS(3283),
    [anon_sym_AMP_TILDE] = ACTIONS(3283),
    [anon_sym_LT_LT] = ACTIONS(3283),
    [anon_sym_GT_GT] = ACTIONS(3283),
    [anon_sym_STAR] = ACTIONS(3283),
    [anon_sym_SLASH] = ACTIONS(3283),
    [anon_sym_PERCENT] = ACTIONS(3283),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(3281),
    [anon_sym_DOT] = ACTIONS(3283),
    [anon_sym_LBRACK] = ACTIONS(3281),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(3281),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3281),
    [anon_sym_not_in] = ACTIONS(3281),
    [anon_sym_or_return] = ACTIONS(3281),
    [anon_sym_or_continue] = ACTIONS(3281),
    [anon_sym_or_break] = ACTIONS(3281),
    [anon_sym_CARET] = ACTIONS(3283),
    [sym_uninitialized] = ACTIONS(3941),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(3281),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1315] = {
    [sym_block] = STATE(2367),
    [anon_sym_LBRACE] = ACTIONS(3267),
    [anon_sym_RBRACE] = ACTIONS(3291),
    [anon_sym_COMMA] = ACTIONS(3291),
    [anon_sym_COLON_COLON] = ACTIONS(3291),
    [anon_sym_DASH_GT] = ACTIONS(3291),
    [anon_sym_EQ] = ACTIONS(3293),
    [anon_sym_COLON_EQ] = ACTIONS(3291),
    [anon_sym_COLON] = ACTIONS(3293),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_PLUS_EQ] = ACTIONS(3291),
    [anon_sym_DASH_EQ] = ACTIONS(3291),
    [anon_sym_STAR_EQ] = ACTIONS(3291),
    [anon_sym_SLASH_EQ] = ACTIONS(3291),
    [anon_sym_PERCENT_EQ] = ACTIONS(3291),
    [anon_sym_AMP_EQ] = ACTIONS(3291),
    [anon_sym_PIPE_EQ] = ACTIONS(3291),
    [anon_sym_CARET_EQ] = ACTIONS(3291),
    [anon_sym_LT_LT_EQ] = ACTIONS(3291),
    [anon_sym_GT_GT_EQ] = ACTIONS(3291),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3291),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3291),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(3291),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_SEMI] = ACTIONS(3291),
    [anon_sym_else] = ACTIONS(3291),
    [anon_sym_when] = ACTIONS(3291),
    [anon_sym_in] = ACTIONS(3291),
    [anon_sym_case] = ACTIONS(3291),
    [anon_sym_QMARK] = ACTIONS(3291),
    [anon_sym_PLUS] = ACTIONS(3293),
    [anon_sym_DASH] = ACTIONS(3293),
    [anon_sym_TILDE] = ACTIONS(3293),
    [anon_sym_AMP] = ACTIONS(3293),
    [anon_sym_PIPE_PIPE] = ACTIONS(3293),
    [anon_sym_or_else] = ACTIONS(3291),
    [anon_sym_AMP_AMP] = ACTIONS(3293),
    [anon_sym_GT] = ACTIONS(3293),
    [anon_sym_GT_EQ] = ACTIONS(3291),
    [anon_sym_LT_EQ] = ACTIONS(3291),
    [anon_sym_LT] = ACTIONS(3293),
    [anon_sym_EQ_EQ] = ACTIONS(3291),
    [anon_sym_BANG_EQ] = ACTIONS(3291),
    [anon_sym_TILDE_EQ] = ACTIONS(3291),
    [anon_sym_PIPE] = ACTIONS(3293),
    [anon_sym_AMP_TILDE] = ACTIONS(3293),
    [anon_sym_LT_LT] = ACTIONS(3293),
    [anon_sym_GT_GT] = ACTIONS(3293),
    [anon_sym_STAR] = ACTIONS(3293),
    [anon_sym_SLASH] = ACTIONS(3293),
    [anon_sym_PERCENT] = ACTIONS(3293),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(3291),
    [anon_sym_DOT] = ACTIONS(3293),
    [anon_sym_LBRACK] = ACTIONS(3291),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(3291),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3291),
    [anon_sym_not_in] = ACTIONS(3291),
    [anon_sym_or_return] = ACTIONS(3291),
    [anon_sym_or_continue] = ACTIONS(3291),
    [anon_sym_or_break] = ACTIONS(3291),
    [anon_sym_CARET] = ACTIONS(3293),
    [sym_uninitialized] = ACTIONS(3973),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(3291),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1316] = {
    [sym_block] = STATE(2370),
    [anon_sym_LBRACE] = ACTIONS(3267),
    [anon_sym_RBRACE] = ACTIONS(4525),
    [anon_sym_COMMA] = ACTIONS(4525),
    [anon_sym_COLON_COLON] = ACTIONS(4525),
    [anon_sym_DASH_GT] = ACTIONS(4525),
    [anon_sym_EQ] = ACTIONS(4527),
    [anon_sym_COLON_EQ] = ACTIONS(4525),
    [anon_sym_COLON] = ACTIONS(4527),
    [anon_sym_LPAREN] = ACTIONS(4525),
    [anon_sym_PLUS_EQ] = ACTIONS(4525),
    [anon_sym_DASH_EQ] = ACTIONS(4525),
    [anon_sym_STAR_EQ] = ACTIONS(4525),
    [anon_sym_SLASH_EQ] = ACTIONS(4525),
    [anon_sym_PERCENT_EQ] = ACTIONS(4525),
    [anon_sym_AMP_EQ] = ACTIONS(4525),
    [anon_sym_PIPE_EQ] = ACTIONS(4525),
    [anon_sym_CARET_EQ] = ACTIONS(4525),
    [anon_sym_LT_LT_EQ] = ACTIONS(4525),
    [anon_sym_GT_GT_EQ] = ACTIONS(4525),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4525),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4525),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4525),
    [anon_sym_if] = ACTIONS(4525),
    [anon_sym_SEMI] = ACTIONS(4525),
    [anon_sym_else] = ACTIONS(4525),
    [anon_sym_when] = ACTIONS(4525),
    [anon_sym_in] = ACTIONS(4525),
    [anon_sym_case] = ACTIONS(4525),
    [anon_sym_QMARK] = ACTIONS(4525),
    [anon_sym_PLUS] = ACTIONS(4527),
    [anon_sym_DASH] = ACTIONS(4527),
    [anon_sym_TILDE] = ACTIONS(4527),
    [anon_sym_AMP] = ACTIONS(4527),
    [anon_sym_PIPE_PIPE] = ACTIONS(4527),
    [anon_sym_or_else] = ACTIONS(4525),
    [anon_sym_AMP_AMP] = ACTIONS(4527),
    [anon_sym_GT] = ACTIONS(4527),
    [anon_sym_GT_EQ] = ACTIONS(4525),
    [anon_sym_LT_EQ] = ACTIONS(4525),
    [anon_sym_LT] = ACTIONS(4527),
    [anon_sym_EQ_EQ] = ACTIONS(4525),
    [anon_sym_BANG_EQ] = ACTIONS(4525),
    [anon_sym_TILDE_EQ] = ACTIONS(4525),
    [anon_sym_PIPE] = ACTIONS(4527),
    [anon_sym_AMP_TILDE] = ACTIONS(4527),
    [anon_sym_LT_LT] = ACTIONS(4527),
    [anon_sym_GT_GT] = ACTIONS(4527),
    [anon_sym_STAR] = ACTIONS(4527),
    [anon_sym_SLASH] = ACTIONS(4527),
    [anon_sym_PERCENT] = ACTIONS(4527),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4525),
    [anon_sym_DOT] = ACTIONS(4527),
    [anon_sym_LBRACK] = ACTIONS(4525),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4525),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4525),
    [anon_sym_not_in] = ACTIONS(4525),
    [anon_sym_or_return] = ACTIONS(4525),
    [anon_sym_or_continue] = ACTIONS(4525),
    [anon_sym_or_break] = ACTIONS(4525),
    [anon_sym_CARET] = ACTIONS(4527),
    [sym_uninitialized] = ACTIONS(4892),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4525),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1317] = {
    [sym_expression] = STATE(5750),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(5934),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1318] = {
    [sym_expression] = STATE(4917),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(5936),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1319] = {
    [sym_block] = STATE(2372),
    [anon_sym_LBRACE] = ACTIONS(3267),
    [anon_sym_RBRACE] = ACTIONS(4533),
    [anon_sym_COMMA] = ACTIONS(4533),
    [anon_sym_COLON_COLON] = ACTIONS(4533),
    [anon_sym_DASH_GT] = ACTIONS(4533),
    [anon_sym_EQ] = ACTIONS(4535),
    [anon_sym_COLON_EQ] = ACTIONS(4533),
    [anon_sym_COLON] = ACTIONS(4535),
    [anon_sym_LPAREN] = ACTIONS(4533),
    [anon_sym_PLUS_EQ] = ACTIONS(4533),
    [anon_sym_DASH_EQ] = ACTIONS(4533),
    [anon_sym_STAR_EQ] = ACTIONS(4533),
    [anon_sym_SLASH_EQ] = ACTIONS(4533),
    [anon_sym_PERCENT_EQ] = ACTIONS(4533),
    [anon_sym_AMP_EQ] = ACTIONS(4533),
    [anon_sym_PIPE_EQ] = ACTIONS(4533),
    [anon_sym_CARET_EQ] = ACTIONS(4533),
    [anon_sym_LT_LT_EQ] = ACTIONS(4533),
    [anon_sym_GT_GT_EQ] = ACTIONS(4533),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4533),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4533),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4533),
    [anon_sym_if] = ACTIONS(4533),
    [anon_sym_SEMI] = ACTIONS(4533),
    [anon_sym_else] = ACTIONS(4533),
    [anon_sym_when] = ACTIONS(4533),
    [anon_sym_in] = ACTIONS(4533),
    [anon_sym_case] = ACTIONS(4533),
    [anon_sym_QMARK] = ACTIONS(4533),
    [anon_sym_PLUS] = ACTIONS(4535),
    [anon_sym_DASH] = ACTIONS(4535),
    [anon_sym_TILDE] = ACTIONS(4535),
    [anon_sym_AMP] = ACTIONS(4535),
    [anon_sym_PIPE_PIPE] = ACTIONS(4535),
    [anon_sym_or_else] = ACTIONS(4533),
    [anon_sym_AMP_AMP] = ACTIONS(4535),
    [anon_sym_GT] = ACTIONS(4535),
    [anon_sym_GT_EQ] = ACTIONS(4533),
    [anon_sym_LT_EQ] = ACTIONS(4533),
    [anon_sym_LT] = ACTIONS(4535),
    [anon_sym_EQ_EQ] = ACTIONS(4533),
    [anon_sym_BANG_EQ] = ACTIONS(4533),
    [anon_sym_TILDE_EQ] = ACTIONS(4533),
    [anon_sym_PIPE] = ACTIONS(4535),
    [anon_sym_AMP_TILDE] = ACTIONS(4535),
    [anon_sym_LT_LT] = ACTIONS(4535),
    [anon_sym_GT_GT] = ACTIONS(4535),
    [anon_sym_STAR] = ACTIONS(4535),
    [anon_sym_SLASH] = ACTIONS(4535),
    [anon_sym_PERCENT] = ACTIONS(4535),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4533),
    [anon_sym_DOT] = ACTIONS(4535),
    [anon_sym_LBRACK] = ACTIONS(4533),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4533),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4533),
    [anon_sym_not_in] = ACTIONS(4533),
    [anon_sym_or_return] = ACTIONS(4533),
    [anon_sym_or_continue] = ACTIONS(4533),
    [anon_sym_or_break] = ACTIONS(4533),
    [anon_sym_CARET] = ACTIONS(4535),
    [sym_uninitialized] = ACTIONS(5938),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4533),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1320] = {
    [sym_expression] = STATE(5565),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(5940),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1321] = {
    [sym_expression] = STATE(5750),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(5942),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1322] = {
    [sym_expression] = STATE(5750),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(5944),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1323] = {
    [sym_expression] = STATE(4917),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(5946),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1324] = {
    [sym_expression] = STATE(5750),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(5948),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1325] = {
    [sym_expression] = STATE(4917),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(5950),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1326] = {
    [sym_expression] = STATE(4917),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(5952),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1327] = {
    [sym_expression] = STATE(5827),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(5954),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1328] = {
    [sym_expression] = STATE(5835),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(5956),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1329] = {
    [sym_expression] = STATE(5570),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(5958),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1330] = {
    [sym_expression] = STATE(5911),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(5960),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1331] = {
    [sym_expression] = STATE(5581),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_COLON] = ACTIONS(5962),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1332] = {
    [sym_block] = STATE(2463),
    [sym_where_clause] = STATE(2239),
    [anon_sym_LBRACE] = ACTIONS(5964),
    [anon_sym_COMMA] = ACTIONS(3931),
    [anon_sym_COLON_COLON] = ACTIONS(3931),
    [anon_sym_DASH_GT] = ACTIONS(5966),
    [anon_sym_where] = ACTIONS(5883),
    [anon_sym_EQ] = ACTIONS(3935),
    [anon_sym_COLON_EQ] = ACTIONS(3931),
    [anon_sym_COLON] = ACTIONS(3935),
    [anon_sym_LPAREN] = ACTIONS(3931),
    [anon_sym_PLUS_EQ] = ACTIONS(3931),
    [anon_sym_DASH_EQ] = ACTIONS(3931),
    [anon_sym_STAR_EQ] = ACTIONS(3931),
    [anon_sym_SLASH_EQ] = ACTIONS(3931),
    [anon_sym_PERCENT_EQ] = ACTIONS(3931),
    [anon_sym_AMP_EQ] = ACTIONS(3931),
    [anon_sym_PIPE_EQ] = ACTIONS(3931),
    [anon_sym_CARET_EQ] = ACTIONS(3931),
    [anon_sym_LT_LT_EQ] = ACTIONS(3931),
    [anon_sym_GT_GT_EQ] = ACTIONS(3931),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3931),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3931),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(3931),
    [anon_sym_if] = ACTIONS(3931),
    [anon_sym_SEMI] = ACTIONS(3931),
    [anon_sym_do] = ACTIONS(3931),
    [anon_sym_when] = ACTIONS(3931),
    [anon_sym_in] = ACTIONS(3931),
    [anon_sym_QMARK] = ACTIONS(3931),
    [anon_sym_PLUS] = ACTIONS(3935),
    [anon_sym_DASH] = ACTIONS(3935),
    [anon_sym_TILDE] = ACTIONS(3935),
    [anon_sym_AMP] = ACTIONS(3935),
    [anon_sym_PIPE_PIPE] = ACTIONS(3935),
    [anon_sym_or_else] = ACTIONS(3931),
    [anon_sym_AMP_AMP] = ACTIONS(3935),
    [anon_sym_GT] = ACTIONS(3935),
    [anon_sym_GT_EQ] = ACTIONS(3931),
    [anon_sym_LT_EQ] = ACTIONS(3931),
    [anon_sym_LT] = ACTIONS(3935),
    [anon_sym_EQ_EQ] = ACTIONS(3931),
    [anon_sym_BANG_EQ] = ACTIONS(3931),
    [anon_sym_TILDE_EQ] = ACTIONS(3931),
    [anon_sym_PIPE] = ACTIONS(3935),
    [anon_sym_AMP_TILDE] = ACTIONS(3935),
    [anon_sym_LT_LT] = ACTIONS(3935),
    [anon_sym_GT_GT] = ACTIONS(3935),
    [anon_sym_STAR] = ACTIONS(3935),
    [anon_sym_SLASH] = ACTIONS(3935),
    [anon_sym_PERCENT] = ACTIONS(3935),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(3931),
    [anon_sym_DOT] = ACTIONS(3935),
    [anon_sym_LBRACK] = ACTIONS(3931),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(3931),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3931),
    [anon_sym_not_in] = ACTIONS(3931),
    [anon_sym_or_return] = ACTIONS(3931),
    [anon_sym_or_continue] = ACTIONS(3931),
    [anon_sym_or_break] = ACTIONS(3931),
    [anon_sym_CARET] = ACTIONS(3935),
    [sym_uninitialized] = ACTIONS(5968),
    [sym_tag] = ACTIONS(5970),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1333] = {
    [sym_block] = STATE(2467),
    [sym_where_clause] = STATE(2241),
    [anon_sym_LBRACE] = ACTIONS(5964),
    [anon_sym_COMMA] = ACTIONS(3299),
    [anon_sym_COLON_COLON] = ACTIONS(3299),
    [anon_sym_DASH_GT] = ACTIONS(5972),
    [anon_sym_where] = ACTIONS(5883),
    [anon_sym_EQ] = ACTIONS(3303),
    [anon_sym_COLON_EQ] = ACTIONS(3299),
    [anon_sym_COLON] = ACTIONS(3303),
    [anon_sym_LPAREN] = ACTIONS(3299),
    [anon_sym_PLUS_EQ] = ACTIONS(3299),
    [anon_sym_DASH_EQ] = ACTIONS(3299),
    [anon_sym_STAR_EQ] = ACTIONS(3299),
    [anon_sym_SLASH_EQ] = ACTIONS(3299),
    [anon_sym_PERCENT_EQ] = ACTIONS(3299),
    [anon_sym_AMP_EQ] = ACTIONS(3299),
    [anon_sym_PIPE_EQ] = ACTIONS(3299),
    [anon_sym_CARET_EQ] = ACTIONS(3299),
    [anon_sym_LT_LT_EQ] = ACTIONS(3299),
    [anon_sym_GT_GT_EQ] = ACTIONS(3299),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3299),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3299),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(3299),
    [anon_sym_if] = ACTIONS(3299),
    [anon_sym_SEMI] = ACTIONS(3299),
    [anon_sym_do] = ACTIONS(3299),
    [anon_sym_when] = ACTIONS(3299),
    [anon_sym_in] = ACTIONS(3299),
    [anon_sym_QMARK] = ACTIONS(3299),
    [anon_sym_PLUS] = ACTIONS(3303),
    [anon_sym_DASH] = ACTIONS(3303),
    [anon_sym_TILDE] = ACTIONS(3303),
    [anon_sym_AMP] = ACTIONS(3303),
    [anon_sym_PIPE_PIPE] = ACTIONS(3303),
    [anon_sym_or_else] = ACTIONS(3299),
    [anon_sym_AMP_AMP] = ACTIONS(3303),
    [anon_sym_GT] = ACTIONS(3303),
    [anon_sym_GT_EQ] = ACTIONS(3299),
    [anon_sym_LT_EQ] = ACTIONS(3299),
    [anon_sym_LT] = ACTIONS(3303),
    [anon_sym_EQ_EQ] = ACTIONS(3299),
    [anon_sym_BANG_EQ] = ACTIONS(3299),
    [anon_sym_TILDE_EQ] = ACTIONS(3299),
    [anon_sym_PIPE] = ACTIONS(3303),
    [anon_sym_AMP_TILDE] = ACTIONS(3303),
    [anon_sym_LT_LT] = ACTIONS(3303),
    [anon_sym_GT_GT] = ACTIONS(3303),
    [anon_sym_STAR] = ACTIONS(3303),
    [anon_sym_SLASH] = ACTIONS(3303),
    [anon_sym_PERCENT] = ACTIONS(3303),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(3299),
    [anon_sym_DOT] = ACTIONS(3303),
    [anon_sym_LBRACK] = ACTIONS(3299),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(3299),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3299),
    [anon_sym_not_in] = ACTIONS(3299),
    [anon_sym_or_return] = ACTIONS(3299),
    [anon_sym_or_continue] = ACTIONS(3299),
    [anon_sym_or_break] = ACTIONS(3299),
    [anon_sym_CARET] = ACTIONS(3303),
    [sym_uninitialized] = ACTIONS(5974),
    [sym_tag] = ACTIONS(5976),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1334] = {
    [sym_expression] = STATE(5750),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(5978),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1335] = {
    [sym_expression] = STATE(4917),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(5980),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1336] = {
    [sym_expression] = STATE(5750),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(5982),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1337] = {
    [sym_expression] = STATE(4917),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(5984),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1338] = {
    [aux_sym_field_type_repeat1] = STATE(1308),
    [anon_sym_LBRACE] = ACTIONS(3415),
    [anon_sym_COMMA] = ACTIONS(3415),
    [anon_sym_COLON_COLON] = ACTIONS(3415),
    [anon_sym_DASH_GT] = ACTIONS(3415),
    [anon_sym_where] = ACTIONS(3415),
    [anon_sym_EQ] = ACTIONS(3417),
    [anon_sym_COLON_EQ] = ACTIONS(3415),
    [anon_sym_COLON] = ACTIONS(5986),
    [anon_sym_LPAREN] = ACTIONS(3415),
    [anon_sym_PLUS_EQ] = ACTIONS(3415),
    [anon_sym_DASH_EQ] = ACTIONS(3415),
    [anon_sym_STAR_EQ] = ACTIONS(3415),
    [anon_sym_SLASH_EQ] = ACTIONS(3415),
    [anon_sym_PERCENT_EQ] = ACTIONS(3415),
    [anon_sym_AMP_EQ] = ACTIONS(3415),
    [anon_sym_PIPE_EQ] = ACTIONS(3415),
    [anon_sym_CARET_EQ] = ACTIONS(3415),
    [anon_sym_LT_LT_EQ] = ACTIONS(3415),
    [anon_sym_GT_GT_EQ] = ACTIONS(3415),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3415),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3415),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(3415),
    [anon_sym_if] = ACTIONS(3415),
    [anon_sym_SEMI] = ACTIONS(3415),
    [anon_sym_do] = ACTIONS(3415),
    [anon_sym_when] = ACTIONS(3415),
    [anon_sym_in] = ACTIONS(3415),
    [anon_sym_QMARK] = ACTIONS(3415),
    [anon_sym_PLUS] = ACTIONS(3417),
    [anon_sym_DASH] = ACTIONS(3417),
    [anon_sym_TILDE] = ACTIONS(3417),
    [anon_sym_AMP] = ACTIONS(3417),
    [anon_sym_PIPE_PIPE] = ACTIONS(3417),
    [anon_sym_or_else] = ACTIONS(3415),
    [anon_sym_AMP_AMP] = ACTIONS(3417),
    [anon_sym_GT] = ACTIONS(3417),
    [anon_sym_GT_EQ] = ACTIONS(3415),
    [anon_sym_LT_EQ] = ACTIONS(3415),
    [anon_sym_LT] = ACTIONS(3417),
    [anon_sym_EQ_EQ] = ACTIONS(3415),
    [anon_sym_BANG_EQ] = ACTIONS(3415),
    [anon_sym_TILDE_EQ] = ACTIONS(3415),
    [anon_sym_PIPE] = ACTIONS(3417),
    [anon_sym_AMP_TILDE] = ACTIONS(3417),
    [anon_sym_LT_LT] = ACTIONS(3417),
    [anon_sym_GT_GT] = ACTIONS(3417),
    [anon_sym_STAR] = ACTIONS(3417),
    [anon_sym_SLASH] = ACTIONS(3417),
    [anon_sym_PERCENT] = ACTIONS(3417),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(3415),
    [anon_sym_DOT] = ACTIONS(3417),
    [anon_sym_LBRACK] = ACTIONS(3415),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(3415),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3415),
    [anon_sym_not_in] = ACTIONS(3415),
    [anon_sym_or_return] = ACTIONS(3415),
    [anon_sym_or_continue] = ACTIONS(3415),
    [anon_sym_or_break] = ACTIONS(3415),
    [anon_sym_CARET] = ACTIONS(3417),
    [anon_sym_DOT2] = ACTIONS(5919),
    [sym_uninitialized] = ACTIONS(3415),
    [sym_tag] = ACTIONS(3415),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1339] = {
    [sym_expression] = STATE(5859),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(5988),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1340] = {
    [sym_block] = STATE(2473),
    [sym_where_clause] = STATE(2243),
    [anon_sym_LBRACE] = ACTIONS(5964),
    [anon_sym_COMMA] = ACTIONS(3269),
    [anon_sym_COLON_COLON] = ACTIONS(3269),
    [anon_sym_DASH_GT] = ACTIONS(3269),
    [anon_sym_where] = ACTIONS(5883),
    [anon_sym_EQ] = ACTIONS(3273),
    [anon_sym_COLON_EQ] = ACTIONS(3269),
    [anon_sym_COLON] = ACTIONS(3273),
    [anon_sym_LPAREN] = ACTIONS(5895),
    [anon_sym_PLUS_EQ] = ACTIONS(3269),
    [anon_sym_DASH_EQ] = ACTIONS(3269),
    [anon_sym_STAR_EQ] = ACTIONS(3269),
    [anon_sym_SLASH_EQ] = ACTIONS(3269),
    [anon_sym_PERCENT_EQ] = ACTIONS(3269),
    [anon_sym_AMP_EQ] = ACTIONS(3269),
    [anon_sym_PIPE_EQ] = ACTIONS(3269),
    [anon_sym_CARET_EQ] = ACTIONS(3269),
    [anon_sym_LT_LT_EQ] = ACTIONS(3269),
    [anon_sym_GT_GT_EQ] = ACTIONS(3269),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3269),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3269),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(3269),
    [anon_sym_if] = ACTIONS(3269),
    [anon_sym_SEMI] = ACTIONS(3269),
    [anon_sym_do] = ACTIONS(3269),
    [anon_sym_when] = ACTIONS(3269),
    [anon_sym_in] = ACTIONS(3269),
    [anon_sym_QMARK] = ACTIONS(3269),
    [anon_sym_PLUS] = ACTIONS(3273),
    [anon_sym_DASH] = ACTIONS(3273),
    [anon_sym_TILDE] = ACTIONS(3273),
    [anon_sym_AMP] = ACTIONS(3273),
    [anon_sym_PIPE_PIPE] = ACTIONS(3273),
    [anon_sym_or_else] = ACTIONS(3269),
    [anon_sym_AMP_AMP] = ACTIONS(3273),
    [anon_sym_GT] = ACTIONS(3273),
    [anon_sym_GT_EQ] = ACTIONS(3269),
    [anon_sym_LT_EQ] = ACTIONS(3269),
    [anon_sym_LT] = ACTIONS(3273),
    [anon_sym_EQ_EQ] = ACTIONS(3269),
    [anon_sym_BANG_EQ] = ACTIONS(3269),
    [anon_sym_TILDE_EQ] = ACTIONS(3269),
    [anon_sym_PIPE] = ACTIONS(3273),
    [anon_sym_AMP_TILDE] = ACTIONS(3273),
    [anon_sym_LT_LT] = ACTIONS(3273),
    [anon_sym_GT_GT] = ACTIONS(3273),
    [anon_sym_STAR] = ACTIONS(3273),
    [anon_sym_SLASH] = ACTIONS(5897),
    [anon_sym_PERCENT] = ACTIONS(3273),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(3269),
    [anon_sym_DOT] = ACTIONS(3273),
    [anon_sym_LBRACK] = ACTIONS(3269),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(3269),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3269),
    [anon_sym_not_in] = ACTIONS(3269),
    [anon_sym_or_return] = ACTIONS(3269),
    [anon_sym_or_continue] = ACTIONS(3269),
    [anon_sym_or_break] = ACTIONS(3269),
    [anon_sym_CARET] = ACTIONS(3273),
    [sym_uninitialized] = ACTIONS(5990),
    [sym_tag] = ACTIONS(5992),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1341] = {
    [sym_expression] = STATE(5879),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(5994),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1342] = {
    [sym_block] = STATE(2473),
    [sym_where_clause] = STATE(2243),
    [anon_sym_LBRACE] = ACTIONS(5964),
    [anon_sym_COMMA] = ACTIONS(3269),
    [anon_sym_COLON_COLON] = ACTIONS(3269),
    [anon_sym_DASH_GT] = ACTIONS(3269),
    [anon_sym_where] = ACTIONS(5883),
    [anon_sym_EQ] = ACTIONS(3273),
    [anon_sym_COLON_EQ] = ACTIONS(3269),
    [anon_sym_COLON] = ACTIONS(3273),
    [anon_sym_LPAREN] = ACTIONS(3269),
    [anon_sym_PLUS_EQ] = ACTIONS(3269),
    [anon_sym_DASH_EQ] = ACTIONS(3269),
    [anon_sym_STAR_EQ] = ACTIONS(3269),
    [anon_sym_SLASH_EQ] = ACTIONS(3269),
    [anon_sym_PERCENT_EQ] = ACTIONS(3269),
    [anon_sym_AMP_EQ] = ACTIONS(3269),
    [anon_sym_PIPE_EQ] = ACTIONS(3269),
    [anon_sym_CARET_EQ] = ACTIONS(3269),
    [anon_sym_LT_LT_EQ] = ACTIONS(3269),
    [anon_sym_GT_GT_EQ] = ACTIONS(3269),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3269),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3269),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(3269),
    [anon_sym_if] = ACTIONS(3269),
    [anon_sym_SEMI] = ACTIONS(3269),
    [anon_sym_do] = ACTIONS(3269),
    [anon_sym_when] = ACTIONS(3269),
    [anon_sym_in] = ACTIONS(3269),
    [anon_sym_QMARK] = ACTIONS(3269),
    [anon_sym_PLUS] = ACTIONS(3273),
    [anon_sym_DASH] = ACTIONS(3273),
    [anon_sym_TILDE] = ACTIONS(3273),
    [anon_sym_AMP] = ACTIONS(3273),
    [anon_sym_PIPE_PIPE] = ACTIONS(3273),
    [anon_sym_or_else] = ACTIONS(3269),
    [anon_sym_AMP_AMP] = ACTIONS(3273),
    [anon_sym_GT] = ACTIONS(3273),
    [anon_sym_GT_EQ] = ACTIONS(3269),
    [anon_sym_LT_EQ] = ACTIONS(3269),
    [anon_sym_LT] = ACTIONS(3273),
    [anon_sym_EQ_EQ] = ACTIONS(3269),
    [anon_sym_BANG_EQ] = ACTIONS(3269),
    [anon_sym_TILDE_EQ] = ACTIONS(3269),
    [anon_sym_PIPE] = ACTIONS(3273),
    [anon_sym_AMP_TILDE] = ACTIONS(3273),
    [anon_sym_LT_LT] = ACTIONS(3273),
    [anon_sym_GT_GT] = ACTIONS(3273),
    [anon_sym_STAR] = ACTIONS(3273),
    [anon_sym_SLASH] = ACTIONS(3273),
    [anon_sym_PERCENT] = ACTIONS(3273),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(3269),
    [anon_sym_DOT] = ACTIONS(3273),
    [anon_sym_LBRACK] = ACTIONS(3269),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(3269),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3269),
    [anon_sym_not_in] = ACTIONS(3269),
    [anon_sym_or_return] = ACTIONS(3269),
    [anon_sym_or_continue] = ACTIONS(3269),
    [anon_sym_or_break] = ACTIONS(3269),
    [anon_sym_CARET] = ACTIONS(3273),
    [sym_uninitialized] = ACTIONS(5990),
    [sym_tag] = ACTIONS(5992),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1343] = {
    [sym_expression] = STATE(5577),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(5996),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1344] = {
    [sym_expression] = STATE(5917),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(5998),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1345] = {
    [sym_block] = STATE(2475),
    [sym_where_clause] = STATE(2245),
    [anon_sym_LBRACE] = ACTIONS(5964),
    [anon_sym_COMMA] = ACTIONS(3857),
    [anon_sym_COLON_COLON] = ACTIONS(3857),
    [anon_sym_DASH_GT] = ACTIONS(3857),
    [anon_sym_where] = ACTIONS(5883),
    [anon_sym_EQ] = ACTIONS(3859),
    [anon_sym_COLON_EQ] = ACTIONS(3857),
    [anon_sym_COLON] = ACTIONS(3859),
    [anon_sym_LPAREN] = ACTIONS(5895),
    [anon_sym_PLUS_EQ] = ACTIONS(3857),
    [anon_sym_DASH_EQ] = ACTIONS(3857),
    [anon_sym_STAR_EQ] = ACTIONS(3857),
    [anon_sym_SLASH_EQ] = ACTIONS(3857),
    [anon_sym_PERCENT_EQ] = ACTIONS(3857),
    [anon_sym_AMP_EQ] = ACTIONS(3857),
    [anon_sym_PIPE_EQ] = ACTIONS(3857),
    [anon_sym_CARET_EQ] = ACTIONS(3857),
    [anon_sym_LT_LT_EQ] = ACTIONS(3857),
    [anon_sym_GT_GT_EQ] = ACTIONS(3857),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3857),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3857),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(3857),
    [anon_sym_if] = ACTIONS(3857),
    [anon_sym_SEMI] = ACTIONS(3857),
    [anon_sym_do] = ACTIONS(3857),
    [anon_sym_when] = ACTIONS(3857),
    [anon_sym_in] = ACTIONS(3857),
    [anon_sym_QMARK] = ACTIONS(3857),
    [anon_sym_PLUS] = ACTIONS(3859),
    [anon_sym_DASH] = ACTIONS(3859),
    [anon_sym_TILDE] = ACTIONS(3859),
    [anon_sym_AMP] = ACTIONS(3859),
    [anon_sym_PIPE_PIPE] = ACTIONS(3859),
    [anon_sym_or_else] = ACTIONS(3857),
    [anon_sym_AMP_AMP] = ACTIONS(3859),
    [anon_sym_GT] = ACTIONS(3859),
    [anon_sym_GT_EQ] = ACTIONS(3857),
    [anon_sym_LT_EQ] = ACTIONS(3857),
    [anon_sym_LT] = ACTIONS(3859),
    [anon_sym_EQ_EQ] = ACTIONS(3857),
    [anon_sym_BANG_EQ] = ACTIONS(3857),
    [anon_sym_TILDE_EQ] = ACTIONS(3857),
    [anon_sym_PIPE] = ACTIONS(3859),
    [anon_sym_AMP_TILDE] = ACTIONS(3859),
    [anon_sym_LT_LT] = ACTIONS(3859),
    [anon_sym_GT_GT] = ACTIONS(3859),
    [anon_sym_STAR] = ACTIONS(3859),
    [anon_sym_SLASH] = ACTIONS(5897),
    [anon_sym_PERCENT] = ACTIONS(3859),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(3857),
    [anon_sym_DOT] = ACTIONS(3859),
    [anon_sym_LBRACK] = ACTIONS(3857),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(3857),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3857),
    [anon_sym_not_in] = ACTIONS(3857),
    [anon_sym_or_return] = ACTIONS(3857),
    [anon_sym_or_continue] = ACTIONS(3857),
    [anon_sym_or_break] = ACTIONS(3857),
    [anon_sym_CARET] = ACTIONS(3859),
    [sym_uninitialized] = ACTIONS(6000),
    [sym_tag] = ACTIONS(6002),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1346] = {
    [sym_block] = STATE(2475),
    [sym_where_clause] = STATE(2245),
    [anon_sym_LBRACE] = ACTIONS(5964),
    [anon_sym_COMMA] = ACTIONS(3857),
    [anon_sym_COLON_COLON] = ACTIONS(3857),
    [anon_sym_DASH_GT] = ACTIONS(3857),
    [anon_sym_where] = ACTIONS(5883),
    [anon_sym_EQ] = ACTIONS(3859),
    [anon_sym_COLON_EQ] = ACTIONS(3857),
    [anon_sym_COLON] = ACTIONS(3859),
    [anon_sym_LPAREN] = ACTIONS(3857),
    [anon_sym_PLUS_EQ] = ACTIONS(3857),
    [anon_sym_DASH_EQ] = ACTIONS(3857),
    [anon_sym_STAR_EQ] = ACTIONS(3857),
    [anon_sym_SLASH_EQ] = ACTIONS(3857),
    [anon_sym_PERCENT_EQ] = ACTIONS(3857),
    [anon_sym_AMP_EQ] = ACTIONS(3857),
    [anon_sym_PIPE_EQ] = ACTIONS(3857),
    [anon_sym_CARET_EQ] = ACTIONS(3857),
    [anon_sym_LT_LT_EQ] = ACTIONS(3857),
    [anon_sym_GT_GT_EQ] = ACTIONS(3857),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3857),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3857),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(3857),
    [anon_sym_if] = ACTIONS(3857),
    [anon_sym_SEMI] = ACTIONS(3857),
    [anon_sym_do] = ACTIONS(3857),
    [anon_sym_when] = ACTIONS(3857),
    [anon_sym_in] = ACTIONS(3857),
    [anon_sym_QMARK] = ACTIONS(3857),
    [anon_sym_PLUS] = ACTIONS(3859),
    [anon_sym_DASH] = ACTIONS(3859),
    [anon_sym_TILDE] = ACTIONS(3859),
    [anon_sym_AMP] = ACTIONS(3859),
    [anon_sym_PIPE_PIPE] = ACTIONS(3859),
    [anon_sym_or_else] = ACTIONS(3857),
    [anon_sym_AMP_AMP] = ACTIONS(3859),
    [anon_sym_GT] = ACTIONS(3859),
    [anon_sym_GT_EQ] = ACTIONS(3857),
    [anon_sym_LT_EQ] = ACTIONS(3857),
    [anon_sym_LT] = ACTIONS(3859),
    [anon_sym_EQ_EQ] = ACTIONS(3857),
    [anon_sym_BANG_EQ] = ACTIONS(3857),
    [anon_sym_TILDE_EQ] = ACTIONS(3857),
    [anon_sym_PIPE] = ACTIONS(3859),
    [anon_sym_AMP_TILDE] = ACTIONS(3859),
    [anon_sym_LT_LT] = ACTIONS(3859),
    [anon_sym_GT_GT] = ACTIONS(3859),
    [anon_sym_STAR] = ACTIONS(3859),
    [anon_sym_SLASH] = ACTIONS(3859),
    [anon_sym_PERCENT] = ACTIONS(3859),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(3857),
    [anon_sym_DOT] = ACTIONS(3859),
    [anon_sym_LBRACK] = ACTIONS(3857),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(3857),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3857),
    [anon_sym_not_in] = ACTIONS(3857),
    [anon_sym_or_return] = ACTIONS(3857),
    [anon_sym_or_continue] = ACTIONS(3857),
    [anon_sym_or_break] = ACTIONS(3857),
    [anon_sym_CARET] = ACTIONS(3859),
    [sym_uninitialized] = ACTIONS(6000),
    [sym_tag] = ACTIONS(6002),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1347] = {
    [sym_block] = STATE(2475),
    [sym_where_clause] = STATE(2245),
    [anon_sym_LBRACE] = ACTIONS(5964),
    [anon_sym_COMMA] = ACTIONS(3857),
    [anon_sym_COLON_COLON] = ACTIONS(3857),
    [anon_sym_DASH_GT] = ACTIONS(3857),
    [anon_sym_where] = ACTIONS(5883),
    [anon_sym_EQ] = ACTIONS(3859),
    [anon_sym_COLON_EQ] = ACTIONS(3857),
    [anon_sym_COLON] = ACTIONS(3859),
    [anon_sym_LPAREN] = ACTIONS(3857),
    [anon_sym_PLUS_EQ] = ACTIONS(3857),
    [anon_sym_DASH_EQ] = ACTIONS(3857),
    [anon_sym_STAR_EQ] = ACTIONS(3857),
    [anon_sym_SLASH_EQ] = ACTIONS(3857),
    [anon_sym_PERCENT_EQ] = ACTIONS(3857),
    [anon_sym_AMP_EQ] = ACTIONS(3857),
    [anon_sym_PIPE_EQ] = ACTIONS(3857),
    [anon_sym_CARET_EQ] = ACTIONS(3857),
    [anon_sym_LT_LT_EQ] = ACTIONS(3857),
    [anon_sym_GT_GT_EQ] = ACTIONS(3857),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3857),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3857),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(3857),
    [anon_sym_if] = ACTIONS(3857),
    [anon_sym_SEMI] = ACTIONS(3857),
    [anon_sym_do] = ACTIONS(3857),
    [anon_sym_when] = ACTIONS(3857),
    [anon_sym_in] = ACTIONS(3857),
    [anon_sym_QMARK] = ACTIONS(3857),
    [anon_sym_PLUS] = ACTIONS(3859),
    [anon_sym_DASH] = ACTIONS(3859),
    [anon_sym_TILDE] = ACTIONS(3859),
    [anon_sym_AMP] = ACTIONS(3859),
    [anon_sym_PIPE_PIPE] = ACTIONS(3859),
    [anon_sym_or_else] = ACTIONS(3857),
    [anon_sym_AMP_AMP] = ACTIONS(3859),
    [anon_sym_GT] = ACTIONS(3859),
    [anon_sym_GT_EQ] = ACTIONS(3857),
    [anon_sym_LT_EQ] = ACTIONS(3857),
    [anon_sym_LT] = ACTIONS(3859),
    [anon_sym_EQ_EQ] = ACTIONS(3857),
    [anon_sym_BANG_EQ] = ACTIONS(3857),
    [anon_sym_TILDE_EQ] = ACTIONS(3857),
    [anon_sym_PIPE] = ACTIONS(3859),
    [anon_sym_AMP_TILDE] = ACTIONS(3859),
    [anon_sym_LT_LT] = ACTIONS(3859),
    [anon_sym_GT_GT] = ACTIONS(3859),
    [anon_sym_STAR] = ACTIONS(3859),
    [anon_sym_SLASH] = ACTIONS(3859),
    [anon_sym_PERCENT] = ACTIONS(3859),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(3857),
    [anon_sym_DOT] = ACTIONS(3859),
    [anon_sym_LBRACK] = ACTIONS(3857),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(3857),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3857),
    [anon_sym_not_in] = ACTIONS(3857),
    [anon_sym_or_return] = ACTIONS(3857),
    [anon_sym_or_continue] = ACTIONS(3857),
    [anon_sym_or_break] = ACTIONS(3857),
    [anon_sym_CARET] = ACTIONS(3859),
    [sym_uninitialized] = ACTIONS(6000),
    [sym_tag] = ACTIONS(6004),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1348] = {
    [sym_block] = STATE(2478),
    [sym_where_clause] = STATE(2246),
    [anon_sym_LBRACE] = ACTIONS(5964),
    [anon_sym_COMMA] = ACTIONS(3281),
    [anon_sym_COLON_COLON] = ACTIONS(3281),
    [anon_sym_DASH_GT] = ACTIONS(3281),
    [anon_sym_where] = ACTIONS(5883),
    [anon_sym_EQ] = ACTIONS(3283),
    [anon_sym_COLON_EQ] = ACTIONS(3281),
    [anon_sym_COLON] = ACTIONS(3283),
    [anon_sym_LPAREN] = ACTIONS(5895),
    [anon_sym_PLUS_EQ] = ACTIONS(3281),
    [anon_sym_DASH_EQ] = ACTIONS(3281),
    [anon_sym_STAR_EQ] = ACTIONS(3281),
    [anon_sym_SLASH_EQ] = ACTIONS(3281),
    [anon_sym_PERCENT_EQ] = ACTIONS(3281),
    [anon_sym_AMP_EQ] = ACTIONS(3281),
    [anon_sym_PIPE_EQ] = ACTIONS(3281),
    [anon_sym_CARET_EQ] = ACTIONS(3281),
    [anon_sym_LT_LT_EQ] = ACTIONS(3281),
    [anon_sym_GT_GT_EQ] = ACTIONS(3281),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3281),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3281),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(3281),
    [anon_sym_if] = ACTIONS(3281),
    [anon_sym_SEMI] = ACTIONS(3281),
    [anon_sym_do] = ACTIONS(3281),
    [anon_sym_when] = ACTIONS(3281),
    [anon_sym_in] = ACTIONS(3281),
    [anon_sym_QMARK] = ACTIONS(3281),
    [anon_sym_PLUS] = ACTIONS(3283),
    [anon_sym_DASH] = ACTIONS(3283),
    [anon_sym_TILDE] = ACTIONS(3283),
    [anon_sym_AMP] = ACTIONS(3283),
    [anon_sym_PIPE_PIPE] = ACTIONS(3283),
    [anon_sym_or_else] = ACTIONS(3281),
    [anon_sym_AMP_AMP] = ACTIONS(3283),
    [anon_sym_GT] = ACTIONS(3283),
    [anon_sym_GT_EQ] = ACTIONS(3281),
    [anon_sym_LT_EQ] = ACTIONS(3281),
    [anon_sym_LT] = ACTIONS(3283),
    [anon_sym_EQ_EQ] = ACTIONS(3281),
    [anon_sym_BANG_EQ] = ACTIONS(3281),
    [anon_sym_TILDE_EQ] = ACTIONS(3281),
    [anon_sym_PIPE] = ACTIONS(3283),
    [anon_sym_AMP_TILDE] = ACTIONS(3283),
    [anon_sym_LT_LT] = ACTIONS(3283),
    [anon_sym_GT_GT] = ACTIONS(3283),
    [anon_sym_STAR] = ACTIONS(3283),
    [anon_sym_SLASH] = ACTIONS(5897),
    [anon_sym_PERCENT] = ACTIONS(3283),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(3281),
    [anon_sym_DOT] = ACTIONS(3283),
    [anon_sym_LBRACK] = ACTIONS(3281),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(3281),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3281),
    [anon_sym_not_in] = ACTIONS(3281),
    [anon_sym_or_return] = ACTIONS(3281),
    [anon_sym_or_continue] = ACTIONS(3281),
    [anon_sym_or_break] = ACTIONS(3281),
    [anon_sym_CARET] = ACTIONS(3283),
    [sym_uninitialized] = ACTIONS(6006),
    [sym_tag] = ACTIONS(6008),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1349] = {
    [sym_block] = STATE(2478),
    [sym_where_clause] = STATE(2246),
    [anon_sym_LBRACE] = ACTIONS(5964),
    [anon_sym_COMMA] = ACTIONS(3281),
    [anon_sym_COLON_COLON] = ACTIONS(3281),
    [anon_sym_DASH_GT] = ACTIONS(3281),
    [anon_sym_where] = ACTIONS(5883),
    [anon_sym_EQ] = ACTIONS(3283),
    [anon_sym_COLON_EQ] = ACTIONS(3281),
    [anon_sym_COLON] = ACTIONS(3283),
    [anon_sym_LPAREN] = ACTIONS(3281),
    [anon_sym_PLUS_EQ] = ACTIONS(3281),
    [anon_sym_DASH_EQ] = ACTIONS(3281),
    [anon_sym_STAR_EQ] = ACTIONS(3281),
    [anon_sym_SLASH_EQ] = ACTIONS(3281),
    [anon_sym_PERCENT_EQ] = ACTIONS(3281),
    [anon_sym_AMP_EQ] = ACTIONS(3281),
    [anon_sym_PIPE_EQ] = ACTIONS(3281),
    [anon_sym_CARET_EQ] = ACTIONS(3281),
    [anon_sym_LT_LT_EQ] = ACTIONS(3281),
    [anon_sym_GT_GT_EQ] = ACTIONS(3281),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3281),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3281),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(3281),
    [anon_sym_if] = ACTIONS(3281),
    [anon_sym_SEMI] = ACTIONS(3281),
    [anon_sym_do] = ACTIONS(3281),
    [anon_sym_when] = ACTIONS(3281),
    [anon_sym_in] = ACTIONS(3281),
    [anon_sym_QMARK] = ACTIONS(3281),
    [anon_sym_PLUS] = ACTIONS(3283),
    [anon_sym_DASH] = ACTIONS(3283),
    [anon_sym_TILDE] = ACTIONS(3283),
    [anon_sym_AMP] = ACTIONS(3283),
    [anon_sym_PIPE_PIPE] = ACTIONS(3283),
    [anon_sym_or_else] = ACTIONS(3281),
    [anon_sym_AMP_AMP] = ACTIONS(3283),
    [anon_sym_GT] = ACTIONS(3283),
    [anon_sym_GT_EQ] = ACTIONS(3281),
    [anon_sym_LT_EQ] = ACTIONS(3281),
    [anon_sym_LT] = ACTIONS(3283),
    [anon_sym_EQ_EQ] = ACTIONS(3281),
    [anon_sym_BANG_EQ] = ACTIONS(3281),
    [anon_sym_TILDE_EQ] = ACTIONS(3281),
    [anon_sym_PIPE] = ACTIONS(3283),
    [anon_sym_AMP_TILDE] = ACTIONS(3283),
    [anon_sym_LT_LT] = ACTIONS(3283),
    [anon_sym_GT_GT] = ACTIONS(3283),
    [anon_sym_STAR] = ACTIONS(3283),
    [anon_sym_SLASH] = ACTIONS(3283),
    [anon_sym_PERCENT] = ACTIONS(3283),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(3281),
    [anon_sym_DOT] = ACTIONS(3283),
    [anon_sym_LBRACK] = ACTIONS(3281),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(3281),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3281),
    [anon_sym_not_in] = ACTIONS(3281),
    [anon_sym_or_return] = ACTIONS(3281),
    [anon_sym_or_continue] = ACTIONS(3281),
    [anon_sym_or_break] = ACTIONS(3281),
    [anon_sym_CARET] = ACTIONS(3283),
    [sym_uninitialized] = ACTIONS(6006),
    [sym_tag] = ACTIONS(6008),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1350] = {
    [sym_expression] = STATE(5580),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(6010),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1351] = {
    [sym_block] = STATE(2478),
    [sym_where_clause] = STATE(2246),
    [anon_sym_LBRACE] = ACTIONS(5964),
    [anon_sym_COMMA] = ACTIONS(3281),
    [anon_sym_COLON_COLON] = ACTIONS(3281),
    [anon_sym_DASH_GT] = ACTIONS(3281),
    [anon_sym_where] = ACTIONS(5883),
    [anon_sym_EQ] = ACTIONS(3283),
    [anon_sym_COLON_EQ] = ACTIONS(3281),
    [anon_sym_COLON] = ACTIONS(3283),
    [anon_sym_LPAREN] = ACTIONS(3281),
    [anon_sym_PLUS_EQ] = ACTIONS(3281),
    [anon_sym_DASH_EQ] = ACTIONS(3281),
    [anon_sym_STAR_EQ] = ACTIONS(3281),
    [anon_sym_SLASH_EQ] = ACTIONS(3281),
    [anon_sym_PERCENT_EQ] = ACTIONS(3281),
    [anon_sym_AMP_EQ] = ACTIONS(3281),
    [anon_sym_PIPE_EQ] = ACTIONS(3281),
    [anon_sym_CARET_EQ] = ACTIONS(3281),
    [anon_sym_LT_LT_EQ] = ACTIONS(3281),
    [anon_sym_GT_GT_EQ] = ACTIONS(3281),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3281),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3281),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(3281),
    [anon_sym_if] = ACTIONS(3281),
    [anon_sym_SEMI] = ACTIONS(3281),
    [anon_sym_do] = ACTIONS(3281),
    [anon_sym_when] = ACTIONS(3281),
    [anon_sym_in] = ACTIONS(3281),
    [anon_sym_QMARK] = ACTIONS(3281),
    [anon_sym_PLUS] = ACTIONS(3283),
    [anon_sym_DASH] = ACTIONS(3283),
    [anon_sym_TILDE] = ACTIONS(3283),
    [anon_sym_AMP] = ACTIONS(3283),
    [anon_sym_PIPE_PIPE] = ACTIONS(3283),
    [anon_sym_or_else] = ACTIONS(3281),
    [anon_sym_AMP_AMP] = ACTIONS(3283),
    [anon_sym_GT] = ACTIONS(3283),
    [anon_sym_GT_EQ] = ACTIONS(3281),
    [anon_sym_LT_EQ] = ACTIONS(3281),
    [anon_sym_LT] = ACTIONS(3283),
    [anon_sym_EQ_EQ] = ACTIONS(3281),
    [anon_sym_BANG_EQ] = ACTIONS(3281),
    [anon_sym_TILDE_EQ] = ACTIONS(3281),
    [anon_sym_PIPE] = ACTIONS(3283),
    [anon_sym_AMP_TILDE] = ACTIONS(3283),
    [anon_sym_LT_LT] = ACTIONS(3283),
    [anon_sym_GT_GT] = ACTIONS(3283),
    [anon_sym_STAR] = ACTIONS(3283),
    [anon_sym_SLASH] = ACTIONS(3283),
    [anon_sym_PERCENT] = ACTIONS(3283),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(3281),
    [anon_sym_DOT] = ACTIONS(3283),
    [anon_sym_LBRACK] = ACTIONS(3281),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(3281),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3281),
    [anon_sym_not_in] = ACTIONS(3281),
    [anon_sym_or_return] = ACTIONS(3281),
    [anon_sym_or_continue] = ACTIONS(3281),
    [anon_sym_or_break] = ACTIONS(3281),
    [anon_sym_CARET] = ACTIONS(3283),
    [sym_uninitialized] = ACTIONS(6006),
    [sym_tag] = ACTIONS(6012),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1352] = {
    [sym_expression] = STATE(5750),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(6014),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1353] = {
    [sym_expression] = STATE(4917),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(6016),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1354] = {
    [sym_expression] = STATE(5750),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(6018),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1355] = {
    [sym_expression] = STATE(4917),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(6020),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1356] = {
    [sym_block] = STATE(2513),
    [sym_where_clause] = STATE(2247),
    [anon_sym_LBRACE] = ACTIONS(5964),
    [anon_sym_COMMA] = ACTIONS(3291),
    [anon_sym_COLON_COLON] = ACTIONS(3291),
    [anon_sym_DASH_GT] = ACTIONS(3291),
    [anon_sym_where] = ACTIONS(5883),
    [anon_sym_EQ] = ACTIONS(3293),
    [anon_sym_COLON_EQ] = ACTIONS(3291),
    [anon_sym_COLON] = ACTIONS(3293),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_PLUS_EQ] = ACTIONS(3291),
    [anon_sym_DASH_EQ] = ACTIONS(3291),
    [anon_sym_STAR_EQ] = ACTIONS(3291),
    [anon_sym_SLASH_EQ] = ACTIONS(3291),
    [anon_sym_PERCENT_EQ] = ACTIONS(3291),
    [anon_sym_AMP_EQ] = ACTIONS(3291),
    [anon_sym_PIPE_EQ] = ACTIONS(3291),
    [anon_sym_CARET_EQ] = ACTIONS(3291),
    [anon_sym_LT_LT_EQ] = ACTIONS(3291),
    [anon_sym_GT_GT_EQ] = ACTIONS(3291),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3291),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3291),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(3291),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_SEMI] = ACTIONS(3291),
    [anon_sym_do] = ACTIONS(3291),
    [anon_sym_when] = ACTIONS(3291),
    [anon_sym_in] = ACTIONS(3291),
    [anon_sym_QMARK] = ACTIONS(3291),
    [anon_sym_PLUS] = ACTIONS(3293),
    [anon_sym_DASH] = ACTIONS(3293),
    [anon_sym_TILDE] = ACTIONS(3293),
    [anon_sym_AMP] = ACTIONS(3293),
    [anon_sym_PIPE_PIPE] = ACTIONS(3293),
    [anon_sym_or_else] = ACTIONS(3291),
    [anon_sym_AMP_AMP] = ACTIONS(3293),
    [anon_sym_GT] = ACTIONS(3293),
    [anon_sym_GT_EQ] = ACTIONS(3291),
    [anon_sym_LT_EQ] = ACTIONS(3291),
    [anon_sym_LT] = ACTIONS(3293),
    [anon_sym_EQ_EQ] = ACTIONS(3291),
    [anon_sym_BANG_EQ] = ACTIONS(3291),
    [anon_sym_TILDE_EQ] = ACTIONS(3291),
    [anon_sym_PIPE] = ACTIONS(3293),
    [anon_sym_AMP_TILDE] = ACTIONS(3293),
    [anon_sym_LT_LT] = ACTIONS(3293),
    [anon_sym_GT_GT] = ACTIONS(3293),
    [anon_sym_STAR] = ACTIONS(3293),
    [anon_sym_SLASH] = ACTIONS(3293),
    [anon_sym_PERCENT] = ACTIONS(3293),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(3291),
    [anon_sym_DOT] = ACTIONS(3293),
    [anon_sym_LBRACK] = ACTIONS(3291),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(3291),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3291),
    [anon_sym_not_in] = ACTIONS(3291),
    [anon_sym_or_return] = ACTIONS(3291),
    [anon_sym_or_continue] = ACTIONS(3291),
    [anon_sym_or_break] = ACTIONS(3291),
    [anon_sym_CARET] = ACTIONS(3293),
    [sym_uninitialized] = ACTIONS(6022),
    [sym_tag] = ACTIONS(6024),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1357] = {
    [sym_expression] = STATE(5930),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(6026),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1358] = {
    [sym_expression] = STATE(5973),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_RBRACK] = ACTIONS(6028),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1359] = {
    [sym_expression] = STATE(5585),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(6030),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1360] = {
    [sym_expression] = STATE(5923),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(6032),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1361] = {
    [sym_expression] = STATE(5566),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_struct_field] = STATE(7886),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1362] = {
    [sym_expression] = STATE(5588),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(6034),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1363] = {
    [sym_expression] = STATE(5750),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(6036),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1364] = {
    [sym_expression] = STATE(4917),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_RBRACE] = ACTIONS(6038),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1365] = {
    [sym_expression] = STATE(5596),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_COLON] = ACTIONS(6040),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1366] = {
    [sym_expression] = STATE(2083),
    [sym__expression_no_tag] = STATE(2219),
    [sym_unary_expression] = STATE(2219),
    [sym_binary_expression] = STATE(2219),
    [sym_ternary_expression] = STATE(2219),
    [sym_call_expression] = STATE(2219),
    [sym_selector_call_expression] = STATE(2219),
    [sym_member_expression] = STATE(2219),
    [sym_index_expression] = STATE(2219),
    [sym_slice_expression] = STATE(2219),
    [sym_range_expression] = STATE(2219),
    [sym_cast_expression] = STATE(2219),
    [sym_in_expression] = STATE(2219),
    [sym_variadic_expression] = STATE(2219),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_or_return_expression] = STATE(2219),
    [sym_or_continue_expression] = STATE(2219),
    [sym_or_break_expression] = STATE(2219),
    [sym_address] = STATE(2219),
    [sym_map_type] = STATE(2219),
    [sym_matrix_type] = STATE(2219),
    [sym_distinct_type] = STATE(2219),
    [sym_literal] = STATE(2219),
    [sym_struct] = STATE(2056),
    [sym_map] = STATE(2054),
    [sym_bit_set] = STATE(2054),
    [sym_matrix] = STATE(2054),
    [sym_string] = STATE(2054),
    [sym__string_literal] = STATE(2057),
    [sym__raw_string_literal] = STATE(2057),
    [sym_character] = STATE(2054),
    [sym_boolean] = STATE(2054),
    [sym_field_identifier] = STATE(7869),
    [sym_identifier] = ACTIONS(207),
    [anon_sym_LBRACE] = ACTIONS(237),
    [anon_sym_LPAREN] = ACTIONS(239),
    [anon_sym_QMARK] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(6042),
    [anon_sym_DASH] = ACTIONS(209),
    [anon_sym_TILDE] = ACTIONS(6042),
    [anon_sym_BANG] = ACTIONS(6042),
    [anon_sym_AMP] = ACTIONS(6042),
    [anon_sym_DOT] = ACTIONS(243),
    [anon_sym_LBRACK] = ACTIONS(245),
    [anon_sym_cast] = ACTIONS(211),
    [anon_sym_transmute] = ACTIONS(211),
    [anon_sym_auto_cast] = ACTIONS(213),
    [anon_sym_DOT_DOT] = ACTIONS(6044),
    [anon_sym_map] = ACTIONS(217),
    [anon_sym_bit_set] = ACTIONS(219),
    [anon_sym_matrix] = ACTIONS(221),
    [anon_sym_distinct] = ACTIONS(223),
    [sym_number] = ACTIONS(225),
    [anon_sym_DQUOTE] = ACTIONS(227),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_SQUOTE] = ACTIONS(231),
    [anon_sym_true] = ACTIONS(233),
    [anon_sym_false] = ACTIONS(233),
    [sym_nil] = ACTIONS(235),
    [sym_uninitialized] = ACTIONS(225),
    [sym_tag] = ACTIONS(247),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(225),
    [sym_block_comment] = ACTIONS(3),
  },
  [1367] = {
    [sym_expression] = STATE(646),
    [sym__expression_no_tag] = STATE(743),
    [sym_unary_expression] = STATE(743),
    [sym_binary_expression] = STATE(743),
    [sym_ternary_expression] = STATE(743),
    [sym_call_expression] = STATE(743),
    [sym_selector_call_expression] = STATE(743),
    [sym_member_expression] = STATE(743),
    [sym_index_expression] = STATE(743),
    [sym_slice_expression] = STATE(743),
    [sym_range_expression] = STATE(743),
    [sym_cast_expression] = STATE(743),
    [sym_in_expression] = STATE(743),
    [sym_variadic_expression] = STATE(743),
    [sym_parenthesized_expression] = STATE(743),
    [sym_or_return_expression] = STATE(743),
    [sym_or_continue_expression] = STATE(743),
    [sym_or_break_expression] = STATE(743),
    [sym_address] = STATE(743),
    [sym_map_type] = STATE(743),
    [sym_matrix_type] = STATE(743),
    [sym_distinct_type] = STATE(743),
    [sym_literal] = STATE(743),
    [sym_struct] = STATE(933),
    [sym_map] = STATE(925),
    [sym_bit_set] = STATE(925),
    [sym_matrix] = STATE(925),
    [sym_string] = STATE(925),
    [sym__string_literal] = STATE(934),
    [sym__raw_string_literal] = STATE(934),
    [sym_character] = STATE(925),
    [sym_boolean] = STATE(925),
    [sym_field_identifier] = STATE(7874),
    [sym_identifier] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(135),
    [anon_sym_QMARK] = ACTIONS(137),
    [anon_sym_PLUS] = ACTIONS(6046),
    [anon_sym_DASH] = ACTIONS(139),
    [anon_sym_TILDE] = ACTIONS(6046),
    [anon_sym_BANG] = ACTIONS(6046),
    [anon_sym_AMP] = ACTIONS(6046),
    [anon_sym_DOT] = ACTIONS(141),
    [anon_sym_LBRACK] = ACTIONS(143),
    [anon_sym_cast] = ACTIONS(145),
    [anon_sym_transmute] = ACTIONS(145),
    [anon_sym_auto_cast] = ACTIONS(147),
    [anon_sym_DOT_DOT] = ACTIONS(6048),
    [anon_sym_map] = ACTIONS(151),
    [anon_sym_bit_set] = ACTIONS(153),
    [anon_sym_matrix] = ACTIONS(155),
    [anon_sym_distinct] = ACTIONS(157),
    [sym_number] = ACTIONS(159),
    [anon_sym_DQUOTE] = ACTIONS(161),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [anon_sym_SQUOTE] = ACTIONS(165),
    [anon_sym_true] = ACTIONS(167),
    [anon_sym_false] = ACTIONS(167),
    [sym_nil] = ACTIONS(169),
    [sym_uninitialized] = ACTIONS(159),
    [sym_tag] = ACTIONS(171),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(159),
    [sym_block_comment] = ACTIONS(3),
  },
  [1368] = {
    [sym_expression] = STATE(3941),
    [sym__expression_no_tag] = STATE(3826),
    [sym_unary_expression] = STATE(3826),
    [sym_binary_expression] = STATE(3826),
    [sym_ternary_expression] = STATE(3826),
    [sym_call_expression] = STATE(3826),
    [sym_selector_call_expression] = STATE(3826),
    [sym_member_expression] = STATE(3826),
    [sym_index_expression] = STATE(3826),
    [sym_slice_expression] = STATE(3826),
    [sym_range_expression] = STATE(3826),
    [sym_cast_expression] = STATE(3826),
    [sym_in_expression] = STATE(3826),
    [sym_variadic_expression] = STATE(3826),
    [sym_parenthesized_expression] = STATE(3826),
    [sym_or_return_expression] = STATE(3826),
    [sym_or_continue_expression] = STATE(3826),
    [sym_or_break_expression] = STATE(3826),
    [sym_address] = STATE(3826),
    [sym_map_type] = STATE(3826),
    [sym_matrix_type] = STATE(3826),
    [sym_distinct_type] = STATE(3826),
    [sym_literal] = STATE(3826),
    [sym_struct] = STATE(3866),
    [sym_map] = STATE(3787),
    [sym_bit_set] = STATE(3787),
    [sym_matrix] = STATE(3787),
    [sym_string] = STATE(3787),
    [sym__string_literal] = STATE(3867),
    [sym__raw_string_literal] = STATE(3867),
    [sym_character] = STATE(3787),
    [sym_boolean] = STATE(3787),
    [sym_field_identifier] = STATE(7783),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_QMARK] = ACTIONS(657),
    [anon_sym_PLUS] = ACTIONS(27),
    [anon_sym_DASH] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(27),
    [anon_sym_DOT] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_cast] = ACTIONS(35),
    [anon_sym_transmute] = ACTIONS(35),
    [anon_sym_auto_cast] = ACTIONS(37),
    [anon_sym_DOT_DOT] = ACTIONS(39),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(611),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [1369] = {
    [sym_expression] = STATE(5022),
    [sym__expression_no_tag] = STATE(4410),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_ternary_expression] = STATE(4410),
    [sym_call_expression] = STATE(4410),
    [sym_selector_call_expression] = STATE(4410),
    [sym_member_expression] = STATE(4410),
    [sym_index_expression] = STATE(4410),
    [sym_slice_expression] = STATE(4410),
    [sym_range_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_in_expression] = STATE(4410),
    [sym_variadic_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4410),
    [sym_or_return_expression] = STATE(4410),
    [sym_or_continue_expression] = STATE(4410),
    [sym_or_break_expression] = STATE(4410),
    [sym_address] = STATE(4410),
    [sym_map_type] = STATE(4410),
    [sym_matrix_type] = STATE(4410),
    [sym_distinct_type] = STATE(4410),
    [sym_literal] = STATE(4410),
    [sym_struct] = STATE(4333),
    [sym_map] = STATE(4320),
    [sym_bit_set] = STATE(4320),
    [sym_matrix] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym__string_literal] = STATE(4334),
    [sym__raw_string_literal] = STATE(4334),
    [sym_character] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_field_identifier] = STATE(7845),
    [sym_identifier] = ACTIONS(341),
    [anon_sym_LBRACE] = ACTIONS(943),
    [anon_sym_LPAREN] = ACTIONS(945),
    [anon_sym_QMARK] = ACTIONS(3239),
    [anon_sym_PLUS] = ACTIONS(949),
    [anon_sym_DASH] = ACTIONS(951),
    [anon_sym_TILDE] = ACTIONS(949),
    [anon_sym_BANG] = ACTIONS(949),
    [anon_sym_AMP] = ACTIONS(949),
    [anon_sym_DOT] = ACTIONS(953),
    [anon_sym_LBRACK] = ACTIONS(955),
    [anon_sym_cast] = ACTIONS(957),
    [anon_sym_transmute] = ACTIONS(957),
    [anon_sym_auto_cast] = ACTIONS(959),
    [anon_sym_DOT_DOT] = ACTIONS(3241),
    [anon_sym_map] = ACTIONS(351),
    [anon_sym_bit_set] = ACTIONS(353),
    [anon_sym_matrix] = ACTIONS(355),
    [anon_sym_distinct] = ACTIONS(357),
    [sym_number] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(361),
    [anon_sym_BQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [anon_sym_true] = ACTIONS(367),
    [anon_sym_false] = ACTIONS(367),
    [sym_nil] = ACTIONS(369),
    [sym_uninitialized] = ACTIONS(359),
    [sym_tag] = ACTIONS(963),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(359),
    [sym_block_comment] = ACTIONS(3),
  },
  [1370] = {
    [sym_expression] = STATE(3158),
    [sym__expression_no_tag] = STATE(3174),
    [sym_unary_expression] = STATE(3174),
    [sym_binary_expression] = STATE(3174),
    [sym_ternary_expression] = STATE(3174),
    [sym_call_expression] = STATE(3174),
    [sym_selector_call_expression] = STATE(3174),
    [sym_member_expression] = STATE(3174),
    [sym_index_expression] = STATE(3174),
    [sym_slice_expression] = STATE(3174),
    [sym_range_expression] = STATE(3174),
    [sym_cast_expression] = STATE(3174),
    [sym_in_expression] = STATE(3174),
    [sym_variadic_expression] = STATE(3174),
    [sym_parenthesized_expression] = STATE(3174),
    [sym_or_return_expression] = STATE(3174),
    [sym_or_continue_expression] = STATE(3174),
    [sym_or_break_expression] = STATE(3174),
    [sym_address] = STATE(3174),
    [sym_map_type] = STATE(3174),
    [sym_matrix_type] = STATE(3174),
    [sym_distinct_type] = STATE(3174),
    [sym_literal] = STATE(3174),
    [sym_struct] = STATE(3165),
    [sym_map] = STATE(3078),
    [sym_bit_set] = STATE(3078),
    [sym_matrix] = STATE(3078),
    [sym_string] = STATE(3078),
    [sym__string_literal] = STATE(3166),
    [sym__raw_string_literal] = STATE(3166),
    [sym_character] = STATE(3078),
    [sym_boolean] = STATE(3078),
    [sym_field_identifier] = STATE(7864),
    [sym_identifier] = ACTIONS(449),
    [anon_sym_LBRACE] = ACTIONS(451),
    [anon_sym_LPAREN] = ACTIONS(453),
    [anon_sym_QMARK] = ACTIONS(455),
    [anon_sym_PLUS] = ACTIONS(457),
    [anon_sym_DASH] = ACTIONS(459),
    [anon_sym_TILDE] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(457),
    [anon_sym_AMP] = ACTIONS(457),
    [anon_sym_DOT] = ACTIONS(461),
    [anon_sym_LBRACK] = ACTIONS(463),
    [anon_sym_cast] = ACTIONS(465),
    [anon_sym_transmute] = ACTIONS(465),
    [anon_sym_auto_cast] = ACTIONS(467),
    [anon_sym_DOT_DOT] = ACTIONS(6050),
    [anon_sym_map] = ACTIONS(471),
    [anon_sym_bit_set] = ACTIONS(473),
    [anon_sym_matrix] = ACTIONS(475),
    [anon_sym_distinct] = ACTIONS(477),
    [sym_number] = ACTIONS(479),
    [anon_sym_DQUOTE] = ACTIONS(481),
    [anon_sym_BQUOTE] = ACTIONS(483),
    [anon_sym_SQUOTE] = ACTIONS(485),
    [anon_sym_true] = ACTIONS(487),
    [anon_sym_false] = ACTIONS(487),
    [sym_nil] = ACTIONS(489),
    [sym_uninitialized] = ACTIONS(479),
    [sym_tag] = ACTIONS(491),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(479),
    [sym_block_comment] = ACTIONS(3),
  },
  [1371] = {
    [sym_expression] = STATE(4346),
    [sym__expression_no_tag] = STATE(4431),
    [sym_unary_expression] = STATE(4431),
    [sym_binary_expression] = STATE(4431),
    [sym_ternary_expression] = STATE(4431),
    [sym_call_expression] = STATE(4431),
    [sym_selector_call_expression] = STATE(4431),
    [sym_member_expression] = STATE(4431),
    [sym_index_expression] = STATE(4431),
    [sym_slice_expression] = STATE(4431),
    [sym_range_expression] = STATE(4431),
    [sym_cast_expression] = STATE(4431),
    [sym_in_expression] = STATE(4431),
    [sym_variadic_expression] = STATE(4431),
    [sym_parenthesized_expression] = STATE(4431),
    [sym_or_return_expression] = STATE(4431),
    [sym_or_continue_expression] = STATE(4431),
    [sym_or_break_expression] = STATE(4431),
    [sym_address] = STATE(4431),
    [sym_map_type] = STATE(4431),
    [sym_matrix_type] = STATE(4431),
    [sym_distinct_type] = STATE(4431),
    [sym_literal] = STATE(4431),
    [sym_struct] = STATE(4333),
    [sym_map] = STATE(4320),
    [sym_bit_set] = STATE(4320),
    [sym_matrix] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym__string_literal] = STATE(4334),
    [sym__raw_string_literal] = STATE(4334),
    [sym_character] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_field_identifier] = STATE(7845),
    [sym_identifier] = ACTIONS(341),
    [anon_sym_LBRACE] = ACTIONS(943),
    [anon_sym_LPAREN] = ACTIONS(945),
    [anon_sym_QMARK] = ACTIONS(947),
    [anon_sym_PLUS] = ACTIONS(949),
    [anon_sym_DASH] = ACTIONS(951),
    [anon_sym_TILDE] = ACTIONS(949),
    [anon_sym_BANG] = ACTIONS(949),
    [anon_sym_AMP] = ACTIONS(949),
    [anon_sym_DOT] = ACTIONS(953),
    [anon_sym_LBRACK] = ACTIONS(955),
    [anon_sym_cast] = ACTIONS(957),
    [anon_sym_transmute] = ACTIONS(957),
    [anon_sym_auto_cast] = ACTIONS(959),
    [anon_sym_DOT_DOT] = ACTIONS(3241),
    [anon_sym_map] = ACTIONS(351),
    [anon_sym_bit_set] = ACTIONS(353),
    [anon_sym_matrix] = ACTIONS(355),
    [anon_sym_distinct] = ACTIONS(357),
    [sym_number] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(361),
    [anon_sym_BQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [anon_sym_true] = ACTIONS(367),
    [anon_sym_false] = ACTIONS(367),
    [sym_nil] = ACTIONS(369),
    [sym_uninitialized] = ACTIONS(359),
    [sym_tag] = ACTIONS(963),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(359),
    [sym_block_comment] = ACTIONS(3),
  },
  [1372] = {
    [sym_expression] = STATE(1952),
    [sym__expression_no_tag] = STATE(2219),
    [sym_unary_expression] = STATE(2219),
    [sym_binary_expression] = STATE(2219),
    [sym_ternary_expression] = STATE(2219),
    [sym_call_expression] = STATE(2219),
    [sym_selector_call_expression] = STATE(2219),
    [sym_member_expression] = STATE(2219),
    [sym_index_expression] = STATE(2219),
    [sym_slice_expression] = STATE(2219),
    [sym_range_expression] = STATE(2219),
    [sym_cast_expression] = STATE(2219),
    [sym_in_expression] = STATE(2219),
    [sym_variadic_expression] = STATE(2219),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_or_return_expression] = STATE(2219),
    [sym_or_continue_expression] = STATE(2219),
    [sym_or_break_expression] = STATE(2219),
    [sym_address] = STATE(2219),
    [sym_map_type] = STATE(2219),
    [sym_matrix_type] = STATE(2219),
    [sym_distinct_type] = STATE(2219),
    [sym_literal] = STATE(2219),
    [sym_struct] = STATE(2056),
    [sym_map] = STATE(2054),
    [sym_bit_set] = STATE(2054),
    [sym_matrix] = STATE(2054),
    [sym_string] = STATE(2054),
    [sym__string_literal] = STATE(2057),
    [sym__raw_string_literal] = STATE(2057),
    [sym_character] = STATE(2054),
    [sym_boolean] = STATE(2054),
    [sym_field_identifier] = STATE(7869),
    [sym_identifier] = ACTIONS(207),
    [anon_sym_LBRACE] = ACTIONS(237),
    [anon_sym_LPAREN] = ACTIONS(239),
    [anon_sym_QMARK] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(6042),
    [anon_sym_DASH] = ACTIONS(209),
    [anon_sym_TILDE] = ACTIONS(6042),
    [anon_sym_BANG] = ACTIONS(6042),
    [anon_sym_AMP] = ACTIONS(6042),
    [anon_sym_DOT] = ACTIONS(243),
    [anon_sym_LBRACK] = ACTIONS(245),
    [anon_sym_cast] = ACTIONS(211),
    [anon_sym_transmute] = ACTIONS(211),
    [anon_sym_auto_cast] = ACTIONS(213),
    [anon_sym_DOT_DOT] = ACTIONS(6044),
    [anon_sym_map] = ACTIONS(217),
    [anon_sym_bit_set] = ACTIONS(219),
    [anon_sym_matrix] = ACTIONS(221),
    [anon_sym_distinct] = ACTIONS(223),
    [sym_number] = ACTIONS(225),
    [anon_sym_DQUOTE] = ACTIONS(227),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_SQUOTE] = ACTIONS(231),
    [anon_sym_true] = ACTIONS(233),
    [anon_sym_false] = ACTIONS(233),
    [sym_nil] = ACTIONS(235),
    [sym_uninitialized] = ACTIONS(225),
    [sym_tag] = ACTIONS(247),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(225),
    [sym_block_comment] = ACTIONS(3),
  },
  [1373] = {
    [sym_expression] = STATE(4348),
    [sym__expression_no_tag] = STATE(4431),
    [sym_unary_expression] = STATE(4431),
    [sym_binary_expression] = STATE(4431),
    [sym_ternary_expression] = STATE(4431),
    [sym_call_expression] = STATE(4431),
    [sym_selector_call_expression] = STATE(4431),
    [sym_member_expression] = STATE(4431),
    [sym_index_expression] = STATE(4431),
    [sym_slice_expression] = STATE(4431),
    [sym_range_expression] = STATE(4431),
    [sym_cast_expression] = STATE(4431),
    [sym_in_expression] = STATE(4431),
    [sym_variadic_expression] = STATE(4431),
    [sym_parenthesized_expression] = STATE(4431),
    [sym_or_return_expression] = STATE(4431),
    [sym_or_continue_expression] = STATE(4431),
    [sym_or_break_expression] = STATE(4431),
    [sym_address] = STATE(4431),
    [sym_map_type] = STATE(4431),
    [sym_matrix_type] = STATE(4431),
    [sym_distinct_type] = STATE(4431),
    [sym_literal] = STATE(4431),
    [sym_struct] = STATE(4333),
    [sym_map] = STATE(4320),
    [sym_bit_set] = STATE(4320),
    [sym_matrix] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym__string_literal] = STATE(4334),
    [sym__raw_string_literal] = STATE(4334),
    [sym_character] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_field_identifier] = STATE(7845),
    [sym_identifier] = ACTIONS(341),
    [anon_sym_LBRACE] = ACTIONS(943),
    [anon_sym_LPAREN] = ACTIONS(945),
    [anon_sym_QMARK] = ACTIONS(947),
    [anon_sym_PLUS] = ACTIONS(949),
    [anon_sym_DASH] = ACTIONS(951),
    [anon_sym_TILDE] = ACTIONS(949),
    [anon_sym_BANG] = ACTIONS(949),
    [anon_sym_AMP] = ACTIONS(949),
    [anon_sym_DOT] = ACTIONS(953),
    [anon_sym_LBRACK] = ACTIONS(955),
    [anon_sym_cast] = ACTIONS(957),
    [anon_sym_transmute] = ACTIONS(957),
    [anon_sym_auto_cast] = ACTIONS(959),
    [anon_sym_DOT_DOT] = ACTIONS(3241),
    [anon_sym_map] = ACTIONS(351),
    [anon_sym_bit_set] = ACTIONS(353),
    [anon_sym_matrix] = ACTIONS(355),
    [anon_sym_distinct] = ACTIONS(357),
    [sym_number] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(361),
    [anon_sym_BQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [anon_sym_true] = ACTIONS(367),
    [anon_sym_false] = ACTIONS(367),
    [sym_nil] = ACTIONS(369),
    [sym_uninitialized] = ACTIONS(359),
    [sym_tag] = ACTIONS(963),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(359),
    [sym_block_comment] = ACTIONS(3),
  },
  [1374] = {
    [sym_expression] = STATE(3064),
    [sym__expression_no_tag] = STATE(3174),
    [sym_unary_expression] = STATE(3174),
    [sym_binary_expression] = STATE(3174),
    [sym_ternary_expression] = STATE(3174),
    [sym_call_expression] = STATE(3174),
    [sym_selector_call_expression] = STATE(3174),
    [sym_member_expression] = STATE(3174),
    [sym_index_expression] = STATE(3174),
    [sym_slice_expression] = STATE(3174),
    [sym_range_expression] = STATE(3174),
    [sym_cast_expression] = STATE(3174),
    [sym_in_expression] = STATE(3174),
    [sym_variadic_expression] = STATE(3174),
    [sym_parenthesized_expression] = STATE(3174),
    [sym_or_return_expression] = STATE(3174),
    [sym_or_continue_expression] = STATE(3174),
    [sym_or_break_expression] = STATE(3174),
    [sym_address] = STATE(3174),
    [sym_map_type] = STATE(3174),
    [sym_matrix_type] = STATE(3174),
    [sym_distinct_type] = STATE(3174),
    [sym_literal] = STATE(3174),
    [sym_struct] = STATE(3165),
    [sym_map] = STATE(3078),
    [sym_bit_set] = STATE(3078),
    [sym_matrix] = STATE(3078),
    [sym_string] = STATE(3078),
    [sym__string_literal] = STATE(3166),
    [sym__raw_string_literal] = STATE(3166),
    [sym_character] = STATE(3078),
    [sym_boolean] = STATE(3078),
    [sym_field_identifier] = STATE(7864),
    [sym_identifier] = ACTIONS(449),
    [anon_sym_LBRACE] = ACTIONS(451),
    [anon_sym_LPAREN] = ACTIONS(453),
    [anon_sym_QMARK] = ACTIONS(455),
    [anon_sym_PLUS] = ACTIONS(457),
    [anon_sym_DASH] = ACTIONS(459),
    [anon_sym_TILDE] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(457),
    [anon_sym_AMP] = ACTIONS(457),
    [anon_sym_DOT] = ACTIONS(461),
    [anon_sym_LBRACK] = ACTIONS(463),
    [anon_sym_cast] = ACTIONS(465),
    [anon_sym_transmute] = ACTIONS(465),
    [anon_sym_auto_cast] = ACTIONS(467),
    [anon_sym_DOT_DOT] = ACTIONS(6050),
    [anon_sym_map] = ACTIONS(471),
    [anon_sym_bit_set] = ACTIONS(473),
    [anon_sym_matrix] = ACTIONS(475),
    [anon_sym_distinct] = ACTIONS(477),
    [sym_number] = ACTIONS(479),
    [anon_sym_DQUOTE] = ACTIONS(481),
    [anon_sym_BQUOTE] = ACTIONS(483),
    [anon_sym_SQUOTE] = ACTIONS(485),
    [anon_sym_true] = ACTIONS(487),
    [anon_sym_false] = ACTIONS(487),
    [sym_nil] = ACTIONS(489),
    [sym_uninitialized] = ACTIONS(479),
    [sym_tag] = ACTIONS(491),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(479),
    [sym_block_comment] = ACTIONS(3),
  },
  [1375] = {
    [sym_expression] = STATE(3226),
    [sym__expression_no_tag] = STATE(3174),
    [sym_unary_expression] = STATE(3174),
    [sym_binary_expression] = STATE(3174),
    [sym_ternary_expression] = STATE(3174),
    [sym_call_expression] = STATE(3174),
    [sym_selector_call_expression] = STATE(3174),
    [sym_member_expression] = STATE(3174),
    [sym_index_expression] = STATE(3174),
    [sym_slice_expression] = STATE(3174),
    [sym_range_expression] = STATE(3174),
    [sym_cast_expression] = STATE(3174),
    [sym_in_expression] = STATE(3174),
    [sym_variadic_expression] = STATE(3174),
    [sym_parenthesized_expression] = STATE(3174),
    [sym_or_return_expression] = STATE(3174),
    [sym_or_continue_expression] = STATE(3174),
    [sym_or_break_expression] = STATE(3174),
    [sym_address] = STATE(3174),
    [sym_map_type] = STATE(3174),
    [sym_matrix_type] = STATE(3174),
    [sym_distinct_type] = STATE(3174),
    [sym_literal] = STATE(3174),
    [sym_struct] = STATE(3165),
    [sym_map] = STATE(3078),
    [sym_bit_set] = STATE(3078),
    [sym_matrix] = STATE(3078),
    [sym_string] = STATE(3078),
    [sym__string_literal] = STATE(3166),
    [sym__raw_string_literal] = STATE(3166),
    [sym_character] = STATE(3078),
    [sym_boolean] = STATE(3078),
    [sym_field_identifier] = STATE(7864),
    [sym_identifier] = ACTIONS(449),
    [anon_sym_LBRACE] = ACTIONS(451),
    [anon_sym_LPAREN] = ACTIONS(453),
    [anon_sym_QMARK] = ACTIONS(455),
    [anon_sym_PLUS] = ACTIONS(457),
    [anon_sym_DASH] = ACTIONS(459),
    [anon_sym_TILDE] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(457),
    [anon_sym_AMP] = ACTIONS(457),
    [anon_sym_DOT] = ACTIONS(461),
    [anon_sym_LBRACK] = ACTIONS(463),
    [anon_sym_cast] = ACTIONS(465),
    [anon_sym_transmute] = ACTIONS(465),
    [anon_sym_auto_cast] = ACTIONS(467),
    [anon_sym_DOT_DOT] = ACTIONS(6050),
    [anon_sym_map] = ACTIONS(471),
    [anon_sym_bit_set] = ACTIONS(473),
    [anon_sym_matrix] = ACTIONS(475),
    [anon_sym_distinct] = ACTIONS(477),
    [sym_number] = ACTIONS(479),
    [anon_sym_DQUOTE] = ACTIONS(481),
    [anon_sym_BQUOTE] = ACTIONS(483),
    [anon_sym_SQUOTE] = ACTIONS(485),
    [anon_sym_true] = ACTIONS(487),
    [anon_sym_false] = ACTIONS(487),
    [sym_nil] = ACTIONS(489),
    [sym_uninitialized] = ACTIONS(479),
    [sym_tag] = ACTIONS(491),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(479),
    [sym_block_comment] = ACTIONS(3),
  },
  [1376] = {
    [sym_expression] = STATE(3043),
    [sym__expression_no_tag] = STATE(3174),
    [sym_unary_expression] = STATE(3174),
    [sym_binary_expression] = STATE(3174),
    [sym_ternary_expression] = STATE(3174),
    [sym_call_expression] = STATE(3174),
    [sym_selector_call_expression] = STATE(3174),
    [sym_member_expression] = STATE(3174),
    [sym_index_expression] = STATE(3174),
    [sym_slice_expression] = STATE(3174),
    [sym_range_expression] = STATE(3174),
    [sym_cast_expression] = STATE(3174),
    [sym_in_expression] = STATE(3174),
    [sym_variadic_expression] = STATE(3174),
    [sym_parenthesized_expression] = STATE(3174),
    [sym_or_return_expression] = STATE(3174),
    [sym_or_continue_expression] = STATE(3174),
    [sym_or_break_expression] = STATE(3174),
    [sym_address] = STATE(3174),
    [sym_map_type] = STATE(3174),
    [sym_matrix_type] = STATE(3174),
    [sym_distinct_type] = STATE(3174),
    [sym_literal] = STATE(3174),
    [sym_struct] = STATE(3165),
    [sym_map] = STATE(3078),
    [sym_bit_set] = STATE(3078),
    [sym_matrix] = STATE(3078),
    [sym_string] = STATE(3078),
    [sym__string_literal] = STATE(3166),
    [sym__raw_string_literal] = STATE(3166),
    [sym_character] = STATE(3078),
    [sym_boolean] = STATE(3078),
    [sym_field_identifier] = STATE(7864),
    [sym_identifier] = ACTIONS(449),
    [anon_sym_LBRACE] = ACTIONS(451),
    [anon_sym_LPAREN] = ACTIONS(453),
    [anon_sym_QMARK] = ACTIONS(455),
    [anon_sym_PLUS] = ACTIONS(457),
    [anon_sym_DASH] = ACTIONS(459),
    [anon_sym_TILDE] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(457),
    [anon_sym_AMP] = ACTIONS(457),
    [anon_sym_DOT] = ACTIONS(461),
    [anon_sym_LBRACK] = ACTIONS(463),
    [anon_sym_cast] = ACTIONS(465),
    [anon_sym_transmute] = ACTIONS(465),
    [anon_sym_auto_cast] = ACTIONS(467),
    [anon_sym_DOT_DOT] = ACTIONS(6050),
    [anon_sym_map] = ACTIONS(471),
    [anon_sym_bit_set] = ACTIONS(473),
    [anon_sym_matrix] = ACTIONS(475),
    [anon_sym_distinct] = ACTIONS(477),
    [sym_number] = ACTIONS(479),
    [anon_sym_DQUOTE] = ACTIONS(481),
    [anon_sym_BQUOTE] = ACTIONS(483),
    [anon_sym_SQUOTE] = ACTIONS(485),
    [anon_sym_true] = ACTIONS(487),
    [anon_sym_false] = ACTIONS(487),
    [sym_nil] = ACTIONS(489),
    [sym_uninitialized] = ACTIONS(479),
    [sym_tag] = ACTIONS(491),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(479),
    [sym_block_comment] = ACTIONS(3),
  },
  [1377] = {
    [sym_expression] = STATE(2781),
    [sym__expression_no_tag] = STATE(2692),
    [sym_unary_expression] = STATE(2692),
    [sym_binary_expression] = STATE(2692),
    [sym_ternary_expression] = STATE(2692),
    [sym_call_expression] = STATE(2692),
    [sym_selector_call_expression] = STATE(2692),
    [sym_member_expression] = STATE(2692),
    [sym_index_expression] = STATE(2692),
    [sym_slice_expression] = STATE(2692),
    [sym_range_expression] = STATE(2692),
    [sym_cast_expression] = STATE(2692),
    [sym_in_expression] = STATE(2692),
    [sym_variadic_expression] = STATE(2692),
    [sym_parenthesized_expression] = STATE(2692),
    [sym_or_return_expression] = STATE(2692),
    [sym_or_continue_expression] = STATE(2692),
    [sym_or_break_expression] = STATE(2692),
    [sym_address] = STATE(2692),
    [sym_map_type] = STATE(2692),
    [sym_matrix_type] = STATE(2692),
    [sym_distinct_type] = STATE(2692),
    [sym_literal] = STATE(2692),
    [sym_struct] = STATE(2751),
    [sym_map] = STATE(2747),
    [sym_bit_set] = STATE(2747),
    [sym_matrix] = STATE(2747),
    [sym_string] = STATE(2747),
    [sym__string_literal] = STATE(2752),
    [sym__raw_string_literal] = STATE(2752),
    [sym_character] = STATE(2747),
    [sym_boolean] = STATE(2747),
    [sym_field_identifier] = STATE(7946),
    [sym_identifier] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(309),
    [anon_sym_LPAREN] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(375),
    [anon_sym_PLUS] = ACTIONS(3165),
    [anon_sym_DASH] = ACTIONS(311),
    [anon_sym_TILDE] = ACTIONS(3165),
    [anon_sym_BANG] = ACTIONS(3165),
    [anon_sym_AMP] = ACTIONS(3165),
    [anon_sym_DOT] = ACTIONS(377),
    [anon_sym_LBRACK] = ACTIONS(379),
    [anon_sym_cast] = ACTIONS(313),
    [anon_sym_transmute] = ACTIONS(313),
    [anon_sym_auto_cast] = ACTIONS(315),
    [anon_sym_DOT_DOT] = ACTIONS(3167),
    [anon_sym_map] = ACTIONS(319),
    [anon_sym_bit_set] = ACTIONS(321),
    [anon_sym_matrix] = ACTIONS(323),
    [anon_sym_distinct] = ACTIONS(325),
    [sym_number] = ACTIONS(327),
    [anon_sym_DQUOTE] = ACTIONS(329),
    [anon_sym_BQUOTE] = ACTIONS(331),
    [anon_sym_SQUOTE] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym_nil] = ACTIONS(337),
    [sym_uninitialized] = ACTIONS(327),
    [sym_tag] = ACTIONS(339),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(327),
    [sym_block_comment] = ACTIONS(3),
  },
  [1378] = {
    [sym_expression] = STATE(5625),
    [sym__expression_no_tag] = STATE(4410),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_ternary_expression] = STATE(4410),
    [sym_call_expression] = STATE(4410),
    [sym_selector_call_expression] = STATE(4410),
    [sym_member_expression] = STATE(4410),
    [sym_index_expression] = STATE(4410),
    [sym_slice_expression] = STATE(4410),
    [sym_range_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_in_expression] = STATE(4410),
    [sym_variadic_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4410),
    [sym_or_return_expression] = STATE(4410),
    [sym_or_continue_expression] = STATE(4410),
    [sym_or_break_expression] = STATE(4410),
    [sym_address] = STATE(4410),
    [sym_map_type] = STATE(4410),
    [sym_matrix_type] = STATE(4410),
    [sym_distinct_type] = STATE(4410),
    [sym_literal] = STATE(4410),
    [sym_struct] = STATE(4333),
    [sym_map] = STATE(4320),
    [sym_bit_set] = STATE(4320),
    [sym_matrix] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym__string_literal] = STATE(4334),
    [sym__raw_string_literal] = STATE(4334),
    [sym_character] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_field_identifier] = STATE(7845),
    [sym_identifier] = ACTIONS(341),
    [anon_sym_LBRACE] = ACTIONS(943),
    [anon_sym_LPAREN] = ACTIONS(945),
    [anon_sym_QMARK] = ACTIONS(3239),
    [anon_sym_PLUS] = ACTIONS(949),
    [anon_sym_DASH] = ACTIONS(951),
    [anon_sym_TILDE] = ACTIONS(949),
    [anon_sym_BANG] = ACTIONS(949),
    [anon_sym_AMP] = ACTIONS(949),
    [anon_sym_DOT] = ACTIONS(953),
    [anon_sym_LBRACK] = ACTIONS(955),
    [anon_sym_cast] = ACTIONS(957),
    [anon_sym_transmute] = ACTIONS(957),
    [anon_sym_auto_cast] = ACTIONS(959),
    [anon_sym_DOT_DOT] = ACTIONS(3241),
    [anon_sym_map] = ACTIONS(351),
    [anon_sym_bit_set] = ACTIONS(353),
    [anon_sym_matrix] = ACTIONS(355),
    [anon_sym_distinct] = ACTIONS(357),
    [sym_number] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(361),
    [anon_sym_BQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [anon_sym_true] = ACTIONS(367),
    [anon_sym_false] = ACTIONS(367),
    [sym_nil] = ACTIONS(369),
    [sym_uninitialized] = ACTIONS(359),
    [sym_tag] = ACTIONS(963),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(359),
    [sym_block_comment] = ACTIONS(3),
  },
  [1379] = {
    [sym_expression] = STATE(4367),
    [sym__expression_no_tag] = STATE(4431),
    [sym_unary_expression] = STATE(4431),
    [sym_binary_expression] = STATE(4431),
    [sym_ternary_expression] = STATE(4431),
    [sym_call_expression] = STATE(4431),
    [sym_selector_call_expression] = STATE(4431),
    [sym_member_expression] = STATE(4431),
    [sym_index_expression] = STATE(4431),
    [sym_slice_expression] = STATE(4431),
    [sym_range_expression] = STATE(4431),
    [sym_cast_expression] = STATE(4431),
    [sym_in_expression] = STATE(4431),
    [sym_variadic_expression] = STATE(4431),
    [sym_parenthesized_expression] = STATE(4431),
    [sym_or_return_expression] = STATE(4431),
    [sym_or_continue_expression] = STATE(4431),
    [sym_or_break_expression] = STATE(4431),
    [sym_address] = STATE(4431),
    [sym_map_type] = STATE(4431),
    [sym_matrix_type] = STATE(4431),
    [sym_distinct_type] = STATE(4431),
    [sym_literal] = STATE(4431),
    [sym_struct] = STATE(4333),
    [sym_map] = STATE(4320),
    [sym_bit_set] = STATE(4320),
    [sym_matrix] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym__string_literal] = STATE(4334),
    [sym__raw_string_literal] = STATE(4334),
    [sym_character] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_field_identifier] = STATE(7845),
    [sym_identifier] = ACTIONS(341),
    [anon_sym_LBRACE] = ACTIONS(943),
    [anon_sym_LPAREN] = ACTIONS(945),
    [anon_sym_QMARK] = ACTIONS(947),
    [anon_sym_PLUS] = ACTIONS(949),
    [anon_sym_DASH] = ACTIONS(951),
    [anon_sym_TILDE] = ACTIONS(949),
    [anon_sym_BANG] = ACTIONS(949),
    [anon_sym_AMP] = ACTIONS(949),
    [anon_sym_DOT] = ACTIONS(953),
    [anon_sym_LBRACK] = ACTIONS(955),
    [anon_sym_cast] = ACTIONS(957),
    [anon_sym_transmute] = ACTIONS(957),
    [anon_sym_auto_cast] = ACTIONS(959),
    [anon_sym_DOT_DOT] = ACTIONS(3241),
    [anon_sym_map] = ACTIONS(351),
    [anon_sym_bit_set] = ACTIONS(353),
    [anon_sym_matrix] = ACTIONS(355),
    [anon_sym_distinct] = ACTIONS(357),
    [sym_number] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(361),
    [anon_sym_BQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [anon_sym_true] = ACTIONS(367),
    [anon_sym_false] = ACTIONS(367),
    [sym_nil] = ACTIONS(369),
    [sym_uninitialized] = ACTIONS(359),
    [sym_tag] = ACTIONS(963),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(359),
    [sym_block_comment] = ACTIONS(3),
  },
  [1380] = {
    [sym_expression] = STATE(3047),
    [sym__expression_no_tag] = STATE(3174),
    [sym_unary_expression] = STATE(3174),
    [sym_binary_expression] = STATE(3174),
    [sym_ternary_expression] = STATE(3174),
    [sym_call_expression] = STATE(3174),
    [sym_selector_call_expression] = STATE(3174),
    [sym_member_expression] = STATE(3174),
    [sym_index_expression] = STATE(3174),
    [sym_slice_expression] = STATE(3174),
    [sym_range_expression] = STATE(3174),
    [sym_cast_expression] = STATE(3174),
    [sym_in_expression] = STATE(3174),
    [sym_variadic_expression] = STATE(3174),
    [sym_parenthesized_expression] = STATE(3174),
    [sym_or_return_expression] = STATE(3174),
    [sym_or_continue_expression] = STATE(3174),
    [sym_or_break_expression] = STATE(3174),
    [sym_address] = STATE(3174),
    [sym_map_type] = STATE(3174),
    [sym_matrix_type] = STATE(3174),
    [sym_distinct_type] = STATE(3174),
    [sym_literal] = STATE(3174),
    [sym_struct] = STATE(3165),
    [sym_map] = STATE(3078),
    [sym_bit_set] = STATE(3078),
    [sym_matrix] = STATE(3078),
    [sym_string] = STATE(3078),
    [sym__string_literal] = STATE(3166),
    [sym__raw_string_literal] = STATE(3166),
    [sym_character] = STATE(3078),
    [sym_boolean] = STATE(3078),
    [sym_field_identifier] = STATE(7864),
    [sym_identifier] = ACTIONS(449),
    [anon_sym_LBRACE] = ACTIONS(451),
    [anon_sym_LPAREN] = ACTIONS(453),
    [anon_sym_QMARK] = ACTIONS(455),
    [anon_sym_PLUS] = ACTIONS(457),
    [anon_sym_DASH] = ACTIONS(459),
    [anon_sym_TILDE] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(457),
    [anon_sym_AMP] = ACTIONS(457),
    [anon_sym_DOT] = ACTIONS(461),
    [anon_sym_LBRACK] = ACTIONS(463),
    [anon_sym_cast] = ACTIONS(465),
    [anon_sym_transmute] = ACTIONS(465),
    [anon_sym_auto_cast] = ACTIONS(467),
    [anon_sym_DOT_DOT] = ACTIONS(6050),
    [anon_sym_map] = ACTIONS(471),
    [anon_sym_bit_set] = ACTIONS(473),
    [anon_sym_matrix] = ACTIONS(475),
    [anon_sym_distinct] = ACTIONS(477),
    [sym_number] = ACTIONS(479),
    [anon_sym_DQUOTE] = ACTIONS(481),
    [anon_sym_BQUOTE] = ACTIONS(483),
    [anon_sym_SQUOTE] = ACTIONS(485),
    [anon_sym_true] = ACTIONS(487),
    [anon_sym_false] = ACTIONS(487),
    [sym_nil] = ACTIONS(489),
    [sym_uninitialized] = ACTIONS(479),
    [sym_tag] = ACTIONS(491),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(479),
    [sym_block_comment] = ACTIONS(3),
  },
  [1381] = {
    [sym_expression] = STATE(3057),
    [sym__expression_no_tag] = STATE(3174),
    [sym_unary_expression] = STATE(3174),
    [sym_binary_expression] = STATE(3174),
    [sym_ternary_expression] = STATE(3174),
    [sym_call_expression] = STATE(3174),
    [sym_selector_call_expression] = STATE(3174),
    [sym_member_expression] = STATE(3174),
    [sym_index_expression] = STATE(3174),
    [sym_slice_expression] = STATE(3174),
    [sym_range_expression] = STATE(3174),
    [sym_cast_expression] = STATE(3174),
    [sym_in_expression] = STATE(3174),
    [sym_variadic_expression] = STATE(3174),
    [sym_parenthesized_expression] = STATE(3174),
    [sym_or_return_expression] = STATE(3174),
    [sym_or_continue_expression] = STATE(3174),
    [sym_or_break_expression] = STATE(3174),
    [sym_address] = STATE(3174),
    [sym_map_type] = STATE(3174),
    [sym_matrix_type] = STATE(3174),
    [sym_distinct_type] = STATE(3174),
    [sym_literal] = STATE(3174),
    [sym_struct] = STATE(3165),
    [sym_map] = STATE(3078),
    [sym_bit_set] = STATE(3078),
    [sym_matrix] = STATE(3078),
    [sym_string] = STATE(3078),
    [sym__string_literal] = STATE(3166),
    [sym__raw_string_literal] = STATE(3166),
    [sym_character] = STATE(3078),
    [sym_boolean] = STATE(3078),
    [sym_field_identifier] = STATE(7864),
    [sym_identifier] = ACTIONS(449),
    [anon_sym_LBRACE] = ACTIONS(451),
    [anon_sym_LPAREN] = ACTIONS(453),
    [anon_sym_QMARK] = ACTIONS(455),
    [anon_sym_PLUS] = ACTIONS(457),
    [anon_sym_DASH] = ACTIONS(459),
    [anon_sym_TILDE] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(457),
    [anon_sym_AMP] = ACTIONS(457),
    [anon_sym_DOT] = ACTIONS(461),
    [anon_sym_LBRACK] = ACTIONS(463),
    [anon_sym_cast] = ACTIONS(465),
    [anon_sym_transmute] = ACTIONS(465),
    [anon_sym_auto_cast] = ACTIONS(467),
    [anon_sym_DOT_DOT] = ACTIONS(6050),
    [anon_sym_map] = ACTIONS(471),
    [anon_sym_bit_set] = ACTIONS(473),
    [anon_sym_matrix] = ACTIONS(475),
    [anon_sym_distinct] = ACTIONS(477),
    [sym_number] = ACTIONS(479),
    [anon_sym_DQUOTE] = ACTIONS(481),
    [anon_sym_BQUOTE] = ACTIONS(483),
    [anon_sym_SQUOTE] = ACTIONS(485),
    [anon_sym_true] = ACTIONS(487),
    [anon_sym_false] = ACTIONS(487),
    [sym_nil] = ACTIONS(489),
    [sym_uninitialized] = ACTIONS(479),
    [sym_tag] = ACTIONS(491),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(479),
    [sym_block_comment] = ACTIONS(3),
  },
  [1382] = {
    [sym_expression] = STATE(3059),
    [sym__expression_no_tag] = STATE(3174),
    [sym_unary_expression] = STATE(3174),
    [sym_binary_expression] = STATE(3174),
    [sym_ternary_expression] = STATE(3174),
    [sym_call_expression] = STATE(3174),
    [sym_selector_call_expression] = STATE(3174),
    [sym_member_expression] = STATE(3174),
    [sym_index_expression] = STATE(3174),
    [sym_slice_expression] = STATE(3174),
    [sym_range_expression] = STATE(3174),
    [sym_cast_expression] = STATE(3174),
    [sym_in_expression] = STATE(3174),
    [sym_variadic_expression] = STATE(3174),
    [sym_parenthesized_expression] = STATE(3174),
    [sym_or_return_expression] = STATE(3174),
    [sym_or_continue_expression] = STATE(3174),
    [sym_or_break_expression] = STATE(3174),
    [sym_address] = STATE(3174),
    [sym_map_type] = STATE(3174),
    [sym_matrix_type] = STATE(3174),
    [sym_distinct_type] = STATE(3174),
    [sym_literal] = STATE(3174),
    [sym_struct] = STATE(3165),
    [sym_map] = STATE(3078),
    [sym_bit_set] = STATE(3078),
    [sym_matrix] = STATE(3078),
    [sym_string] = STATE(3078),
    [sym__string_literal] = STATE(3166),
    [sym__raw_string_literal] = STATE(3166),
    [sym_character] = STATE(3078),
    [sym_boolean] = STATE(3078),
    [sym_field_identifier] = STATE(7864),
    [sym_identifier] = ACTIONS(449),
    [anon_sym_LBRACE] = ACTIONS(451),
    [anon_sym_LPAREN] = ACTIONS(453),
    [anon_sym_QMARK] = ACTIONS(455),
    [anon_sym_PLUS] = ACTIONS(457),
    [anon_sym_DASH] = ACTIONS(459),
    [anon_sym_TILDE] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(457),
    [anon_sym_AMP] = ACTIONS(457),
    [anon_sym_DOT] = ACTIONS(461),
    [anon_sym_LBRACK] = ACTIONS(463),
    [anon_sym_cast] = ACTIONS(465),
    [anon_sym_transmute] = ACTIONS(465),
    [anon_sym_auto_cast] = ACTIONS(467),
    [anon_sym_DOT_DOT] = ACTIONS(6050),
    [anon_sym_map] = ACTIONS(471),
    [anon_sym_bit_set] = ACTIONS(473),
    [anon_sym_matrix] = ACTIONS(475),
    [anon_sym_distinct] = ACTIONS(477),
    [sym_number] = ACTIONS(479),
    [anon_sym_DQUOTE] = ACTIONS(481),
    [anon_sym_BQUOTE] = ACTIONS(483),
    [anon_sym_SQUOTE] = ACTIONS(485),
    [anon_sym_true] = ACTIONS(487),
    [anon_sym_false] = ACTIONS(487),
    [sym_nil] = ACTIONS(489),
    [sym_uninitialized] = ACTIONS(479),
    [sym_tag] = ACTIONS(491),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(479),
    [sym_block_comment] = ACTIONS(3),
  },
  [1383] = {
    [sym_expression] = STATE(4191),
    [sym__expression_no_tag] = STATE(4282),
    [sym_unary_expression] = STATE(4282),
    [sym_binary_expression] = STATE(4282),
    [sym_ternary_expression] = STATE(4282),
    [sym_call_expression] = STATE(4282),
    [sym_selector_call_expression] = STATE(4282),
    [sym_member_expression] = STATE(4282),
    [sym_index_expression] = STATE(4282),
    [sym_slice_expression] = STATE(4282),
    [sym_range_expression] = STATE(4282),
    [sym_cast_expression] = STATE(4282),
    [sym_in_expression] = STATE(4282),
    [sym_variadic_expression] = STATE(4282),
    [sym_parenthesized_expression] = STATE(4282),
    [sym_or_return_expression] = STATE(4282),
    [sym_or_continue_expression] = STATE(4282),
    [sym_or_break_expression] = STATE(4282),
    [sym_address] = STATE(4282),
    [sym_map_type] = STATE(4282),
    [sym_matrix_type] = STATE(4282),
    [sym_distinct_type] = STATE(4282),
    [sym_literal] = STATE(4282),
    [sym_struct] = STATE(4297),
    [sym_map] = STATE(4290),
    [sym_bit_set] = STATE(4290),
    [sym_matrix] = STATE(4290),
    [sym_string] = STATE(4290),
    [sym__string_literal] = STATE(4298),
    [sym__raw_string_literal] = STATE(4298),
    [sym_character] = STATE(4290),
    [sym_boolean] = STATE(4290),
    [sym_field_identifier] = STATE(7838),
    [sym_identifier] = ACTIONS(757),
    [anon_sym_LBRACE] = ACTIONS(707),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_QMARK] = ACTIONS(769),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(721),
    [anon_sym_TILDE] = ACTIONS(719),
    [anon_sym_BANG] = ACTIONS(719),
    [anon_sym_AMP] = ACTIONS(719),
    [anon_sym_DOT] = ACTIONS(723),
    [anon_sym_LBRACK] = ACTIONS(725),
    [anon_sym_cast] = ACTIONS(727),
    [anon_sym_transmute] = ACTIONS(727),
    [anon_sym_auto_cast] = ACTIONS(729),
    [anon_sym_DOT_DOT] = ACTIONS(2849),
    [anon_sym_map] = ACTIONS(733),
    [anon_sym_bit_set] = ACTIONS(735),
    [anon_sym_matrix] = ACTIONS(737),
    [anon_sym_distinct] = ACTIONS(739),
    [sym_number] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(743),
    [anon_sym_BQUOTE] = ACTIONS(745),
    [anon_sym_SQUOTE] = ACTIONS(747),
    [anon_sym_true] = ACTIONS(749),
    [anon_sym_false] = ACTIONS(749),
    [sym_nil] = ACTIONS(751),
    [sym_uninitialized] = ACTIONS(741),
    [sym_tag] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(741),
    [sym_block_comment] = ACTIONS(3),
  },
  [1384] = {
    [sym_expression] = STATE(3848),
    [sym__expression_no_tag] = STATE(3826),
    [sym_unary_expression] = STATE(3826),
    [sym_binary_expression] = STATE(3826),
    [sym_ternary_expression] = STATE(3826),
    [sym_call_expression] = STATE(3826),
    [sym_selector_call_expression] = STATE(3826),
    [sym_member_expression] = STATE(3826),
    [sym_index_expression] = STATE(3826),
    [sym_slice_expression] = STATE(3826),
    [sym_range_expression] = STATE(3826),
    [sym_cast_expression] = STATE(3826),
    [sym_in_expression] = STATE(3826),
    [sym_variadic_expression] = STATE(3826),
    [sym_parenthesized_expression] = STATE(3826),
    [sym_or_return_expression] = STATE(3826),
    [sym_or_continue_expression] = STATE(3826),
    [sym_or_break_expression] = STATE(3826),
    [sym_address] = STATE(3826),
    [sym_map_type] = STATE(3826),
    [sym_matrix_type] = STATE(3826),
    [sym_distinct_type] = STATE(3826),
    [sym_literal] = STATE(3826),
    [sym_struct] = STATE(3866),
    [sym_map] = STATE(3787),
    [sym_bit_set] = STATE(3787),
    [sym_matrix] = STATE(3787),
    [sym_string] = STATE(3787),
    [sym__string_literal] = STATE(3867),
    [sym__raw_string_literal] = STATE(3867),
    [sym_character] = STATE(3787),
    [sym_boolean] = STATE(3787),
    [sym_field_identifier] = STATE(7783),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_QMARK] = ACTIONS(657),
    [anon_sym_PLUS] = ACTIONS(27),
    [anon_sym_DASH] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(27),
    [anon_sym_DOT] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_cast] = ACTIONS(35),
    [anon_sym_transmute] = ACTIONS(35),
    [anon_sym_auto_cast] = ACTIONS(37),
    [anon_sym_DOT_DOT] = ACTIONS(39),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(611),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [1385] = {
    [sym_expression] = STATE(3041),
    [sym__expression_no_tag] = STATE(3174),
    [sym_unary_expression] = STATE(3174),
    [sym_binary_expression] = STATE(3174),
    [sym_ternary_expression] = STATE(3174),
    [sym_call_expression] = STATE(3174),
    [sym_selector_call_expression] = STATE(3174),
    [sym_member_expression] = STATE(3174),
    [sym_index_expression] = STATE(3174),
    [sym_slice_expression] = STATE(3174),
    [sym_range_expression] = STATE(3174),
    [sym_cast_expression] = STATE(3174),
    [sym_in_expression] = STATE(3174),
    [sym_variadic_expression] = STATE(3174),
    [sym_parenthesized_expression] = STATE(3174),
    [sym_or_return_expression] = STATE(3174),
    [sym_or_continue_expression] = STATE(3174),
    [sym_or_break_expression] = STATE(3174),
    [sym_address] = STATE(3174),
    [sym_map_type] = STATE(3174),
    [sym_matrix_type] = STATE(3174),
    [sym_distinct_type] = STATE(3174),
    [sym_literal] = STATE(3174),
    [sym_struct] = STATE(3165),
    [sym_map] = STATE(3078),
    [sym_bit_set] = STATE(3078),
    [sym_matrix] = STATE(3078),
    [sym_string] = STATE(3078),
    [sym__string_literal] = STATE(3166),
    [sym__raw_string_literal] = STATE(3166),
    [sym_character] = STATE(3078),
    [sym_boolean] = STATE(3078),
    [sym_field_identifier] = STATE(7864),
    [sym_identifier] = ACTIONS(449),
    [anon_sym_LBRACE] = ACTIONS(451),
    [anon_sym_LPAREN] = ACTIONS(453),
    [anon_sym_QMARK] = ACTIONS(455),
    [anon_sym_PLUS] = ACTIONS(457),
    [anon_sym_DASH] = ACTIONS(459),
    [anon_sym_TILDE] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(457),
    [anon_sym_AMP] = ACTIONS(457),
    [anon_sym_DOT] = ACTIONS(461),
    [anon_sym_LBRACK] = ACTIONS(463),
    [anon_sym_cast] = ACTIONS(465),
    [anon_sym_transmute] = ACTIONS(465),
    [anon_sym_auto_cast] = ACTIONS(467),
    [anon_sym_DOT_DOT] = ACTIONS(6050),
    [anon_sym_map] = ACTIONS(471),
    [anon_sym_bit_set] = ACTIONS(473),
    [anon_sym_matrix] = ACTIONS(475),
    [anon_sym_distinct] = ACTIONS(477),
    [sym_number] = ACTIONS(479),
    [anon_sym_DQUOTE] = ACTIONS(481),
    [anon_sym_BQUOTE] = ACTIONS(483),
    [anon_sym_SQUOTE] = ACTIONS(485),
    [anon_sym_true] = ACTIONS(487),
    [anon_sym_false] = ACTIONS(487),
    [sym_nil] = ACTIONS(489),
    [sym_uninitialized] = ACTIONS(479),
    [sym_tag] = ACTIONS(491),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(479),
    [sym_block_comment] = ACTIONS(3),
  },
  [1386] = {
    [sym_expression] = STATE(3105),
    [sym__expression_no_tag] = STATE(3174),
    [sym_unary_expression] = STATE(3174),
    [sym_binary_expression] = STATE(3174),
    [sym_ternary_expression] = STATE(3174),
    [sym_call_expression] = STATE(3174),
    [sym_selector_call_expression] = STATE(3174),
    [sym_member_expression] = STATE(3174),
    [sym_index_expression] = STATE(3174),
    [sym_slice_expression] = STATE(3174),
    [sym_range_expression] = STATE(3174),
    [sym_cast_expression] = STATE(3174),
    [sym_in_expression] = STATE(3174),
    [sym_variadic_expression] = STATE(3174),
    [sym_parenthesized_expression] = STATE(3174),
    [sym_or_return_expression] = STATE(3174),
    [sym_or_continue_expression] = STATE(3174),
    [sym_or_break_expression] = STATE(3174),
    [sym_address] = STATE(3174),
    [sym_map_type] = STATE(3174),
    [sym_matrix_type] = STATE(3174),
    [sym_distinct_type] = STATE(3174),
    [sym_literal] = STATE(3174),
    [sym_struct] = STATE(3165),
    [sym_map] = STATE(3078),
    [sym_bit_set] = STATE(3078),
    [sym_matrix] = STATE(3078),
    [sym_string] = STATE(3078),
    [sym__string_literal] = STATE(3166),
    [sym__raw_string_literal] = STATE(3166),
    [sym_character] = STATE(3078),
    [sym_boolean] = STATE(3078),
    [sym_field_identifier] = STATE(7864),
    [sym_identifier] = ACTIONS(449),
    [anon_sym_LBRACE] = ACTIONS(451),
    [anon_sym_LPAREN] = ACTIONS(453),
    [anon_sym_QMARK] = ACTIONS(455),
    [anon_sym_PLUS] = ACTIONS(457),
    [anon_sym_DASH] = ACTIONS(459),
    [anon_sym_TILDE] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(457),
    [anon_sym_AMP] = ACTIONS(457),
    [anon_sym_DOT] = ACTIONS(461),
    [anon_sym_LBRACK] = ACTIONS(463),
    [anon_sym_cast] = ACTIONS(465),
    [anon_sym_transmute] = ACTIONS(465),
    [anon_sym_auto_cast] = ACTIONS(467),
    [anon_sym_DOT_DOT] = ACTIONS(6050),
    [anon_sym_map] = ACTIONS(471),
    [anon_sym_bit_set] = ACTIONS(473),
    [anon_sym_matrix] = ACTIONS(475),
    [anon_sym_distinct] = ACTIONS(477),
    [sym_number] = ACTIONS(479),
    [anon_sym_DQUOTE] = ACTIONS(481),
    [anon_sym_BQUOTE] = ACTIONS(483),
    [anon_sym_SQUOTE] = ACTIONS(485),
    [anon_sym_true] = ACTIONS(487),
    [anon_sym_false] = ACTIONS(487),
    [sym_nil] = ACTIONS(489),
    [sym_uninitialized] = ACTIONS(479),
    [sym_tag] = ACTIONS(491),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(479),
    [sym_block_comment] = ACTIONS(3),
  },
  [1387] = {
    [sym_expression] = STATE(4386),
    [sym__expression_no_tag] = STATE(4431),
    [sym_unary_expression] = STATE(4431),
    [sym_binary_expression] = STATE(4431),
    [sym_ternary_expression] = STATE(4431),
    [sym_call_expression] = STATE(4431),
    [sym_selector_call_expression] = STATE(4431),
    [sym_member_expression] = STATE(4431),
    [sym_index_expression] = STATE(4431),
    [sym_slice_expression] = STATE(4431),
    [sym_range_expression] = STATE(4431),
    [sym_cast_expression] = STATE(4431),
    [sym_in_expression] = STATE(4431),
    [sym_variadic_expression] = STATE(4431),
    [sym_parenthesized_expression] = STATE(4431),
    [sym_or_return_expression] = STATE(4431),
    [sym_or_continue_expression] = STATE(4431),
    [sym_or_break_expression] = STATE(4431),
    [sym_address] = STATE(4431),
    [sym_map_type] = STATE(4431),
    [sym_matrix_type] = STATE(4431),
    [sym_distinct_type] = STATE(4431),
    [sym_literal] = STATE(4431),
    [sym_struct] = STATE(4333),
    [sym_map] = STATE(4320),
    [sym_bit_set] = STATE(4320),
    [sym_matrix] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym__string_literal] = STATE(4334),
    [sym__raw_string_literal] = STATE(4334),
    [sym_character] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_field_identifier] = STATE(7845),
    [sym_identifier] = ACTIONS(341),
    [anon_sym_LBRACE] = ACTIONS(943),
    [anon_sym_LPAREN] = ACTIONS(945),
    [anon_sym_QMARK] = ACTIONS(947),
    [anon_sym_PLUS] = ACTIONS(949),
    [anon_sym_DASH] = ACTIONS(951),
    [anon_sym_TILDE] = ACTIONS(949),
    [anon_sym_BANG] = ACTIONS(949),
    [anon_sym_AMP] = ACTIONS(949),
    [anon_sym_DOT] = ACTIONS(953),
    [anon_sym_LBRACK] = ACTIONS(955),
    [anon_sym_cast] = ACTIONS(957),
    [anon_sym_transmute] = ACTIONS(957),
    [anon_sym_auto_cast] = ACTIONS(959),
    [anon_sym_DOT_DOT] = ACTIONS(3241),
    [anon_sym_map] = ACTIONS(351),
    [anon_sym_bit_set] = ACTIONS(353),
    [anon_sym_matrix] = ACTIONS(355),
    [anon_sym_distinct] = ACTIONS(357),
    [sym_number] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(361),
    [anon_sym_BQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [anon_sym_true] = ACTIONS(367),
    [anon_sym_false] = ACTIONS(367),
    [sym_nil] = ACTIONS(369),
    [sym_uninitialized] = ACTIONS(359),
    [sym_tag] = ACTIONS(963),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(359),
    [sym_block_comment] = ACTIONS(3),
  },
  [1388] = {
    [sym_expression] = STATE(2782),
    [sym__expression_no_tag] = STATE(2692),
    [sym_unary_expression] = STATE(2692),
    [sym_binary_expression] = STATE(2692),
    [sym_ternary_expression] = STATE(2692),
    [sym_call_expression] = STATE(2692),
    [sym_selector_call_expression] = STATE(2692),
    [sym_member_expression] = STATE(2692),
    [sym_index_expression] = STATE(2692),
    [sym_slice_expression] = STATE(2692),
    [sym_range_expression] = STATE(2692),
    [sym_cast_expression] = STATE(2692),
    [sym_in_expression] = STATE(2692),
    [sym_variadic_expression] = STATE(2692),
    [sym_parenthesized_expression] = STATE(2692),
    [sym_or_return_expression] = STATE(2692),
    [sym_or_continue_expression] = STATE(2692),
    [sym_or_break_expression] = STATE(2692),
    [sym_address] = STATE(2692),
    [sym_map_type] = STATE(2692),
    [sym_matrix_type] = STATE(2692),
    [sym_distinct_type] = STATE(2692),
    [sym_literal] = STATE(2692),
    [sym_struct] = STATE(2751),
    [sym_map] = STATE(2747),
    [sym_bit_set] = STATE(2747),
    [sym_matrix] = STATE(2747),
    [sym_string] = STATE(2747),
    [sym__string_literal] = STATE(2752),
    [sym__raw_string_literal] = STATE(2752),
    [sym_character] = STATE(2747),
    [sym_boolean] = STATE(2747),
    [sym_field_identifier] = STATE(7946),
    [sym_identifier] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(309),
    [anon_sym_LPAREN] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(375),
    [anon_sym_PLUS] = ACTIONS(3165),
    [anon_sym_DASH] = ACTIONS(311),
    [anon_sym_TILDE] = ACTIONS(3165),
    [anon_sym_BANG] = ACTIONS(3165),
    [anon_sym_AMP] = ACTIONS(3165),
    [anon_sym_DOT] = ACTIONS(377),
    [anon_sym_LBRACK] = ACTIONS(379),
    [anon_sym_cast] = ACTIONS(313),
    [anon_sym_transmute] = ACTIONS(313),
    [anon_sym_auto_cast] = ACTIONS(315),
    [anon_sym_DOT_DOT] = ACTIONS(3167),
    [anon_sym_map] = ACTIONS(319),
    [anon_sym_bit_set] = ACTIONS(321),
    [anon_sym_matrix] = ACTIONS(323),
    [anon_sym_distinct] = ACTIONS(325),
    [sym_number] = ACTIONS(327),
    [anon_sym_DQUOTE] = ACTIONS(329),
    [anon_sym_BQUOTE] = ACTIONS(331),
    [anon_sym_SQUOTE] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym_nil] = ACTIONS(337),
    [sym_uninitialized] = ACTIONS(327),
    [sym_tag] = ACTIONS(339),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(327),
    [sym_block_comment] = ACTIONS(3),
  },
  [1389] = {
    [sym_expression] = STATE(3106),
    [sym__expression_no_tag] = STATE(3174),
    [sym_unary_expression] = STATE(3174),
    [sym_binary_expression] = STATE(3174),
    [sym_ternary_expression] = STATE(3174),
    [sym_call_expression] = STATE(3174),
    [sym_selector_call_expression] = STATE(3174),
    [sym_member_expression] = STATE(3174),
    [sym_index_expression] = STATE(3174),
    [sym_slice_expression] = STATE(3174),
    [sym_range_expression] = STATE(3174),
    [sym_cast_expression] = STATE(3174),
    [sym_in_expression] = STATE(3174),
    [sym_variadic_expression] = STATE(3174),
    [sym_parenthesized_expression] = STATE(3174),
    [sym_or_return_expression] = STATE(3174),
    [sym_or_continue_expression] = STATE(3174),
    [sym_or_break_expression] = STATE(3174),
    [sym_address] = STATE(3174),
    [sym_map_type] = STATE(3174),
    [sym_matrix_type] = STATE(3174),
    [sym_distinct_type] = STATE(3174),
    [sym_literal] = STATE(3174),
    [sym_struct] = STATE(3165),
    [sym_map] = STATE(3078),
    [sym_bit_set] = STATE(3078),
    [sym_matrix] = STATE(3078),
    [sym_string] = STATE(3078),
    [sym__string_literal] = STATE(3166),
    [sym__raw_string_literal] = STATE(3166),
    [sym_character] = STATE(3078),
    [sym_boolean] = STATE(3078),
    [sym_field_identifier] = STATE(7864),
    [sym_identifier] = ACTIONS(449),
    [anon_sym_LBRACE] = ACTIONS(451),
    [anon_sym_LPAREN] = ACTIONS(453),
    [anon_sym_QMARK] = ACTIONS(455),
    [anon_sym_PLUS] = ACTIONS(457),
    [anon_sym_DASH] = ACTIONS(459),
    [anon_sym_TILDE] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(457),
    [anon_sym_AMP] = ACTIONS(457),
    [anon_sym_DOT] = ACTIONS(461),
    [anon_sym_LBRACK] = ACTIONS(463),
    [anon_sym_cast] = ACTIONS(465),
    [anon_sym_transmute] = ACTIONS(465),
    [anon_sym_auto_cast] = ACTIONS(467),
    [anon_sym_DOT_DOT] = ACTIONS(6050),
    [anon_sym_map] = ACTIONS(471),
    [anon_sym_bit_set] = ACTIONS(473),
    [anon_sym_matrix] = ACTIONS(475),
    [anon_sym_distinct] = ACTIONS(477),
    [sym_number] = ACTIONS(479),
    [anon_sym_DQUOTE] = ACTIONS(481),
    [anon_sym_BQUOTE] = ACTIONS(483),
    [anon_sym_SQUOTE] = ACTIONS(485),
    [anon_sym_true] = ACTIONS(487),
    [anon_sym_false] = ACTIONS(487),
    [sym_nil] = ACTIONS(489),
    [sym_uninitialized] = ACTIONS(479),
    [sym_tag] = ACTIONS(491),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(479),
    [sym_block_comment] = ACTIONS(3),
  },
  [1390] = {
    [aux_sym_struct_type_repeat2] = STATE(1390),
    [anon_sym_LBRACE] = ACTIONS(6052),
    [anon_sym_RBRACE] = ACTIONS(4497),
    [anon_sym_COMMA] = ACTIONS(4497),
    [anon_sym_COLON_COLON] = ACTIONS(4497),
    [anon_sym_DASH_GT] = ACTIONS(4497),
    [anon_sym_EQ] = ACTIONS(4499),
    [anon_sym_COLON_EQ] = ACTIONS(4497),
    [anon_sym_COLON] = ACTIONS(4499),
    [anon_sym_LPAREN] = ACTIONS(4497),
    [anon_sym_PLUS_EQ] = ACTIONS(4497),
    [anon_sym_DASH_EQ] = ACTIONS(4497),
    [anon_sym_STAR_EQ] = ACTIONS(4497),
    [anon_sym_SLASH_EQ] = ACTIONS(4497),
    [anon_sym_PERCENT_EQ] = ACTIONS(4497),
    [anon_sym_AMP_EQ] = ACTIONS(4497),
    [anon_sym_PIPE_EQ] = ACTIONS(4497),
    [anon_sym_CARET_EQ] = ACTIONS(4497),
    [anon_sym_LT_LT_EQ] = ACTIONS(4497),
    [anon_sym_GT_GT_EQ] = ACTIONS(4497),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4497),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4497),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4497),
    [anon_sym_if] = ACTIONS(4497),
    [anon_sym_SEMI] = ACTIONS(4497),
    [anon_sym_else] = ACTIONS(4497),
    [anon_sym_when] = ACTIONS(4497),
    [anon_sym_in] = ACTIONS(4497),
    [anon_sym_case] = ACTIONS(4497),
    [anon_sym_QMARK] = ACTIONS(4497),
    [anon_sym_PLUS] = ACTIONS(4499),
    [anon_sym_DASH] = ACTIONS(4499),
    [anon_sym_TILDE] = ACTIONS(4499),
    [anon_sym_AMP] = ACTIONS(4499),
    [anon_sym_PIPE_PIPE] = ACTIONS(4499),
    [anon_sym_or_else] = ACTIONS(4497),
    [anon_sym_AMP_AMP] = ACTIONS(4499),
    [anon_sym_GT] = ACTIONS(4499),
    [anon_sym_GT_EQ] = ACTIONS(4497),
    [anon_sym_LT_EQ] = ACTIONS(4497),
    [anon_sym_LT] = ACTIONS(4499),
    [anon_sym_EQ_EQ] = ACTIONS(4497),
    [anon_sym_BANG_EQ] = ACTIONS(4497),
    [anon_sym_TILDE_EQ] = ACTIONS(4497),
    [anon_sym_PIPE] = ACTIONS(4499),
    [anon_sym_AMP_TILDE] = ACTIONS(4499),
    [anon_sym_LT_LT] = ACTIONS(4499),
    [anon_sym_GT_GT] = ACTIONS(4499),
    [anon_sym_STAR] = ACTIONS(4499),
    [anon_sym_SLASH] = ACTIONS(4499),
    [anon_sym_PERCENT] = ACTIONS(4499),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4497),
    [anon_sym_DOT] = ACTIONS(4499),
    [anon_sym_LBRACK] = ACTIONS(4497),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4497),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4497),
    [anon_sym_not_in] = ACTIONS(4497),
    [anon_sym_or_return] = ACTIONS(4497),
    [anon_sym_or_continue] = ACTIONS(4497),
    [anon_sym_or_break] = ACTIONS(4497),
    [anon_sym_CARET] = ACTIONS(4499),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4497),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1391] = {
    [sym_expression] = STATE(2783),
    [sym__expression_no_tag] = STATE(2692),
    [sym_unary_expression] = STATE(2692),
    [sym_binary_expression] = STATE(2692),
    [sym_ternary_expression] = STATE(2692),
    [sym_call_expression] = STATE(2692),
    [sym_selector_call_expression] = STATE(2692),
    [sym_member_expression] = STATE(2692),
    [sym_index_expression] = STATE(2692),
    [sym_slice_expression] = STATE(2692),
    [sym_range_expression] = STATE(2692),
    [sym_cast_expression] = STATE(2692),
    [sym_in_expression] = STATE(2692),
    [sym_variadic_expression] = STATE(2692),
    [sym_parenthesized_expression] = STATE(2692),
    [sym_or_return_expression] = STATE(2692),
    [sym_or_continue_expression] = STATE(2692),
    [sym_or_break_expression] = STATE(2692),
    [sym_address] = STATE(2692),
    [sym_map_type] = STATE(2692),
    [sym_matrix_type] = STATE(2692),
    [sym_distinct_type] = STATE(2692),
    [sym_literal] = STATE(2692),
    [sym_struct] = STATE(2751),
    [sym_map] = STATE(2747),
    [sym_bit_set] = STATE(2747),
    [sym_matrix] = STATE(2747),
    [sym_string] = STATE(2747),
    [sym__string_literal] = STATE(2752),
    [sym__raw_string_literal] = STATE(2752),
    [sym_character] = STATE(2747),
    [sym_boolean] = STATE(2747),
    [sym_field_identifier] = STATE(7946),
    [sym_identifier] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(309),
    [anon_sym_LPAREN] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(375),
    [anon_sym_PLUS] = ACTIONS(3165),
    [anon_sym_DASH] = ACTIONS(311),
    [anon_sym_TILDE] = ACTIONS(3165),
    [anon_sym_BANG] = ACTIONS(3165),
    [anon_sym_AMP] = ACTIONS(3165),
    [anon_sym_DOT] = ACTIONS(377),
    [anon_sym_LBRACK] = ACTIONS(379),
    [anon_sym_cast] = ACTIONS(313),
    [anon_sym_transmute] = ACTIONS(313),
    [anon_sym_auto_cast] = ACTIONS(315),
    [anon_sym_DOT_DOT] = ACTIONS(3167),
    [anon_sym_map] = ACTIONS(319),
    [anon_sym_bit_set] = ACTIONS(321),
    [anon_sym_matrix] = ACTIONS(323),
    [anon_sym_distinct] = ACTIONS(325),
    [sym_number] = ACTIONS(327),
    [anon_sym_DQUOTE] = ACTIONS(329),
    [anon_sym_BQUOTE] = ACTIONS(331),
    [anon_sym_SQUOTE] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym_nil] = ACTIONS(337),
    [sym_uninitialized] = ACTIONS(327),
    [sym_tag] = ACTIONS(339),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(327),
    [sym_block_comment] = ACTIONS(3),
  },
  [1392] = {
    [sym_expression] = STATE(2784),
    [sym__expression_no_tag] = STATE(2692),
    [sym_unary_expression] = STATE(2692),
    [sym_binary_expression] = STATE(2692),
    [sym_ternary_expression] = STATE(2692),
    [sym_call_expression] = STATE(2692),
    [sym_selector_call_expression] = STATE(2692),
    [sym_member_expression] = STATE(2692),
    [sym_index_expression] = STATE(2692),
    [sym_slice_expression] = STATE(2692),
    [sym_range_expression] = STATE(2692),
    [sym_cast_expression] = STATE(2692),
    [sym_in_expression] = STATE(2692),
    [sym_variadic_expression] = STATE(2692),
    [sym_parenthesized_expression] = STATE(2692),
    [sym_or_return_expression] = STATE(2692),
    [sym_or_continue_expression] = STATE(2692),
    [sym_or_break_expression] = STATE(2692),
    [sym_address] = STATE(2692),
    [sym_map_type] = STATE(2692),
    [sym_matrix_type] = STATE(2692),
    [sym_distinct_type] = STATE(2692),
    [sym_literal] = STATE(2692),
    [sym_struct] = STATE(2751),
    [sym_map] = STATE(2747),
    [sym_bit_set] = STATE(2747),
    [sym_matrix] = STATE(2747),
    [sym_string] = STATE(2747),
    [sym__string_literal] = STATE(2752),
    [sym__raw_string_literal] = STATE(2752),
    [sym_character] = STATE(2747),
    [sym_boolean] = STATE(2747),
    [sym_field_identifier] = STATE(7946),
    [sym_identifier] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(309),
    [anon_sym_LPAREN] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(375),
    [anon_sym_PLUS] = ACTIONS(3165),
    [anon_sym_DASH] = ACTIONS(311),
    [anon_sym_TILDE] = ACTIONS(3165),
    [anon_sym_BANG] = ACTIONS(3165),
    [anon_sym_AMP] = ACTIONS(3165),
    [anon_sym_DOT] = ACTIONS(377),
    [anon_sym_LBRACK] = ACTIONS(379),
    [anon_sym_cast] = ACTIONS(313),
    [anon_sym_transmute] = ACTIONS(313),
    [anon_sym_auto_cast] = ACTIONS(315),
    [anon_sym_DOT_DOT] = ACTIONS(3167),
    [anon_sym_map] = ACTIONS(319),
    [anon_sym_bit_set] = ACTIONS(321),
    [anon_sym_matrix] = ACTIONS(323),
    [anon_sym_distinct] = ACTIONS(325),
    [sym_number] = ACTIONS(327),
    [anon_sym_DQUOTE] = ACTIONS(329),
    [anon_sym_BQUOTE] = ACTIONS(331),
    [anon_sym_SQUOTE] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym_nil] = ACTIONS(337),
    [sym_uninitialized] = ACTIONS(327),
    [sym_tag] = ACTIONS(339),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(327),
    [sym_block_comment] = ACTIONS(3),
  },
  [1393] = {
    [sym_expression] = STATE(4520),
    [sym__expression_no_tag] = STATE(4299),
    [sym_unary_expression] = STATE(4299),
    [sym_binary_expression] = STATE(4299),
    [sym_ternary_expression] = STATE(4299),
    [sym_call_expression] = STATE(4299),
    [sym_selector_call_expression] = STATE(4299),
    [sym_member_expression] = STATE(4299),
    [sym_index_expression] = STATE(4299),
    [sym_slice_expression] = STATE(4299),
    [sym_range_expression] = STATE(4299),
    [sym_cast_expression] = STATE(4299),
    [sym_in_expression] = STATE(4299),
    [sym_variadic_expression] = STATE(4299),
    [sym_parenthesized_expression] = STATE(4299),
    [sym_or_return_expression] = STATE(4299),
    [sym_or_continue_expression] = STATE(4299),
    [sym_or_break_expression] = STATE(4299),
    [sym_address] = STATE(4299),
    [sym_map_type] = STATE(4299),
    [sym_matrix_type] = STATE(4299),
    [sym_distinct_type] = STATE(4299),
    [sym_literal] = STATE(4299),
    [sym_struct] = STATE(4311),
    [sym_map] = STATE(3787),
    [sym_bit_set] = STATE(3787),
    [sym_matrix] = STATE(3787),
    [sym_string] = STATE(3787),
    [sym__string_literal] = STATE(3867),
    [sym__raw_string_literal] = STATE(3867),
    [sym_character] = STATE(3787),
    [sym_boolean] = STATE(3787),
    [sym_field_identifier] = STATE(7783),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(759),
    [anon_sym_QMARK] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(763),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(763),
    [anon_sym_BANG] = ACTIONS(763),
    [anon_sym_AMP] = ACTIONS(763),
    [anon_sym_DOT] = ACTIONS(765),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_cast] = ACTIONS(597),
    [anon_sym_transmute] = ACTIONS(597),
    [anon_sym_auto_cast] = ACTIONS(599),
    [anon_sym_DOT_DOT] = ACTIONS(2797),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [1394] = {
    [sym_expression] = STATE(2249),
    [sym__expression_no_tag] = STATE(2219),
    [sym_unary_expression] = STATE(2219),
    [sym_binary_expression] = STATE(2219),
    [sym_ternary_expression] = STATE(2219),
    [sym_call_expression] = STATE(2219),
    [sym_selector_call_expression] = STATE(2219),
    [sym_member_expression] = STATE(2219),
    [sym_index_expression] = STATE(2219),
    [sym_slice_expression] = STATE(2219),
    [sym_range_expression] = STATE(2219),
    [sym_cast_expression] = STATE(2219),
    [sym_in_expression] = STATE(2219),
    [sym_variadic_expression] = STATE(2219),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_or_return_expression] = STATE(2219),
    [sym_or_continue_expression] = STATE(2219),
    [sym_or_break_expression] = STATE(2219),
    [sym_address] = STATE(2219),
    [sym_map_type] = STATE(2219),
    [sym_matrix_type] = STATE(2219),
    [sym_distinct_type] = STATE(2219),
    [sym_literal] = STATE(2219),
    [sym_struct] = STATE(2056),
    [sym_map] = STATE(2054),
    [sym_bit_set] = STATE(2054),
    [sym_matrix] = STATE(2054),
    [sym_string] = STATE(2054),
    [sym__string_literal] = STATE(2057),
    [sym__raw_string_literal] = STATE(2057),
    [sym_character] = STATE(2054),
    [sym_boolean] = STATE(2054),
    [sym_field_identifier] = STATE(7869),
    [sym_identifier] = ACTIONS(207),
    [anon_sym_LBRACE] = ACTIONS(237),
    [anon_sym_LPAREN] = ACTIONS(239),
    [anon_sym_QMARK] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(6042),
    [anon_sym_DASH] = ACTIONS(209),
    [anon_sym_TILDE] = ACTIONS(6042),
    [anon_sym_BANG] = ACTIONS(6042),
    [anon_sym_AMP] = ACTIONS(6042),
    [anon_sym_DOT] = ACTIONS(243),
    [anon_sym_LBRACK] = ACTIONS(245),
    [anon_sym_cast] = ACTIONS(211),
    [anon_sym_transmute] = ACTIONS(211),
    [anon_sym_auto_cast] = ACTIONS(213),
    [anon_sym_DOT_DOT] = ACTIONS(6044),
    [anon_sym_map] = ACTIONS(217),
    [anon_sym_bit_set] = ACTIONS(219),
    [anon_sym_matrix] = ACTIONS(221),
    [anon_sym_distinct] = ACTIONS(223),
    [sym_number] = ACTIONS(225),
    [anon_sym_DQUOTE] = ACTIONS(227),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_SQUOTE] = ACTIONS(231),
    [anon_sym_true] = ACTIONS(233),
    [anon_sym_false] = ACTIONS(233),
    [sym_nil] = ACTIONS(235),
    [sym_uninitialized] = ACTIONS(225),
    [sym_tag] = ACTIONS(247),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(225),
    [sym_block_comment] = ACTIONS(3),
  },
  [1395] = {
    [sym_expression] = STATE(3107),
    [sym__expression_no_tag] = STATE(3174),
    [sym_unary_expression] = STATE(3174),
    [sym_binary_expression] = STATE(3174),
    [sym_ternary_expression] = STATE(3174),
    [sym_call_expression] = STATE(3174),
    [sym_selector_call_expression] = STATE(3174),
    [sym_member_expression] = STATE(3174),
    [sym_index_expression] = STATE(3174),
    [sym_slice_expression] = STATE(3174),
    [sym_range_expression] = STATE(3174),
    [sym_cast_expression] = STATE(3174),
    [sym_in_expression] = STATE(3174),
    [sym_variadic_expression] = STATE(3174),
    [sym_parenthesized_expression] = STATE(3174),
    [sym_or_return_expression] = STATE(3174),
    [sym_or_continue_expression] = STATE(3174),
    [sym_or_break_expression] = STATE(3174),
    [sym_address] = STATE(3174),
    [sym_map_type] = STATE(3174),
    [sym_matrix_type] = STATE(3174),
    [sym_distinct_type] = STATE(3174),
    [sym_literal] = STATE(3174),
    [sym_struct] = STATE(3165),
    [sym_map] = STATE(3078),
    [sym_bit_set] = STATE(3078),
    [sym_matrix] = STATE(3078),
    [sym_string] = STATE(3078),
    [sym__string_literal] = STATE(3166),
    [sym__raw_string_literal] = STATE(3166),
    [sym_character] = STATE(3078),
    [sym_boolean] = STATE(3078),
    [sym_field_identifier] = STATE(7864),
    [sym_identifier] = ACTIONS(449),
    [anon_sym_LBRACE] = ACTIONS(451),
    [anon_sym_LPAREN] = ACTIONS(453),
    [anon_sym_QMARK] = ACTIONS(455),
    [anon_sym_PLUS] = ACTIONS(457),
    [anon_sym_DASH] = ACTIONS(459),
    [anon_sym_TILDE] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(457),
    [anon_sym_AMP] = ACTIONS(457),
    [anon_sym_DOT] = ACTIONS(461),
    [anon_sym_LBRACK] = ACTIONS(463),
    [anon_sym_cast] = ACTIONS(465),
    [anon_sym_transmute] = ACTIONS(465),
    [anon_sym_auto_cast] = ACTIONS(467),
    [anon_sym_DOT_DOT] = ACTIONS(6050),
    [anon_sym_map] = ACTIONS(471),
    [anon_sym_bit_set] = ACTIONS(473),
    [anon_sym_matrix] = ACTIONS(475),
    [anon_sym_distinct] = ACTIONS(477),
    [sym_number] = ACTIONS(479),
    [anon_sym_DQUOTE] = ACTIONS(481),
    [anon_sym_BQUOTE] = ACTIONS(483),
    [anon_sym_SQUOTE] = ACTIONS(485),
    [anon_sym_true] = ACTIONS(487),
    [anon_sym_false] = ACTIONS(487),
    [sym_nil] = ACTIONS(489),
    [sym_uninitialized] = ACTIONS(479),
    [sym_tag] = ACTIONS(491),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(479),
    [sym_block_comment] = ACTIONS(3),
  },
  [1396] = {
    [sym_expression] = STATE(3108),
    [sym__expression_no_tag] = STATE(3174),
    [sym_unary_expression] = STATE(3174),
    [sym_binary_expression] = STATE(3174),
    [sym_ternary_expression] = STATE(3174),
    [sym_call_expression] = STATE(3174),
    [sym_selector_call_expression] = STATE(3174),
    [sym_member_expression] = STATE(3174),
    [sym_index_expression] = STATE(3174),
    [sym_slice_expression] = STATE(3174),
    [sym_range_expression] = STATE(3174),
    [sym_cast_expression] = STATE(3174),
    [sym_in_expression] = STATE(3174),
    [sym_variadic_expression] = STATE(3174),
    [sym_parenthesized_expression] = STATE(3174),
    [sym_or_return_expression] = STATE(3174),
    [sym_or_continue_expression] = STATE(3174),
    [sym_or_break_expression] = STATE(3174),
    [sym_address] = STATE(3174),
    [sym_map_type] = STATE(3174),
    [sym_matrix_type] = STATE(3174),
    [sym_distinct_type] = STATE(3174),
    [sym_literal] = STATE(3174),
    [sym_struct] = STATE(3165),
    [sym_map] = STATE(3078),
    [sym_bit_set] = STATE(3078),
    [sym_matrix] = STATE(3078),
    [sym_string] = STATE(3078),
    [sym__string_literal] = STATE(3166),
    [sym__raw_string_literal] = STATE(3166),
    [sym_character] = STATE(3078),
    [sym_boolean] = STATE(3078),
    [sym_field_identifier] = STATE(7864),
    [sym_identifier] = ACTIONS(449),
    [anon_sym_LBRACE] = ACTIONS(451),
    [anon_sym_LPAREN] = ACTIONS(453),
    [anon_sym_QMARK] = ACTIONS(455),
    [anon_sym_PLUS] = ACTIONS(457),
    [anon_sym_DASH] = ACTIONS(459),
    [anon_sym_TILDE] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(457),
    [anon_sym_AMP] = ACTIONS(457),
    [anon_sym_DOT] = ACTIONS(461),
    [anon_sym_LBRACK] = ACTIONS(463),
    [anon_sym_cast] = ACTIONS(465),
    [anon_sym_transmute] = ACTIONS(465),
    [anon_sym_auto_cast] = ACTIONS(467),
    [anon_sym_DOT_DOT] = ACTIONS(6050),
    [anon_sym_map] = ACTIONS(471),
    [anon_sym_bit_set] = ACTIONS(473),
    [anon_sym_matrix] = ACTIONS(475),
    [anon_sym_distinct] = ACTIONS(477),
    [sym_number] = ACTIONS(479),
    [anon_sym_DQUOTE] = ACTIONS(481),
    [anon_sym_BQUOTE] = ACTIONS(483),
    [anon_sym_SQUOTE] = ACTIONS(485),
    [anon_sym_true] = ACTIONS(487),
    [anon_sym_false] = ACTIONS(487),
    [sym_nil] = ACTIONS(489),
    [sym_uninitialized] = ACTIONS(479),
    [sym_tag] = ACTIONS(491),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(479),
    [sym_block_comment] = ACTIONS(3),
  },
  [1397] = {
    [sym_expression] = STATE(5583),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1398] = {
    [sym_expression] = STATE(2060),
    [sym__expression_no_tag] = STATE(2219),
    [sym_unary_expression] = STATE(2219),
    [sym_binary_expression] = STATE(2219),
    [sym_ternary_expression] = STATE(2219),
    [sym_call_expression] = STATE(2219),
    [sym_selector_call_expression] = STATE(2219),
    [sym_member_expression] = STATE(2219),
    [sym_index_expression] = STATE(2219),
    [sym_slice_expression] = STATE(2219),
    [sym_range_expression] = STATE(2219),
    [sym_cast_expression] = STATE(2219),
    [sym_in_expression] = STATE(2219),
    [sym_variadic_expression] = STATE(2219),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_or_return_expression] = STATE(2219),
    [sym_or_continue_expression] = STATE(2219),
    [sym_or_break_expression] = STATE(2219),
    [sym_address] = STATE(2219),
    [sym_map_type] = STATE(2219),
    [sym_matrix_type] = STATE(2219),
    [sym_distinct_type] = STATE(2219),
    [sym_literal] = STATE(2219),
    [sym_struct] = STATE(2056),
    [sym_map] = STATE(2054),
    [sym_bit_set] = STATE(2054),
    [sym_matrix] = STATE(2054),
    [sym_string] = STATE(2054),
    [sym__string_literal] = STATE(2057),
    [sym__raw_string_literal] = STATE(2057),
    [sym_character] = STATE(2054),
    [sym_boolean] = STATE(2054),
    [sym_field_identifier] = STATE(7869),
    [sym_identifier] = ACTIONS(207),
    [anon_sym_LBRACE] = ACTIONS(237),
    [anon_sym_LPAREN] = ACTIONS(239),
    [anon_sym_QMARK] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(6042),
    [anon_sym_DASH] = ACTIONS(209),
    [anon_sym_TILDE] = ACTIONS(6042),
    [anon_sym_BANG] = ACTIONS(6042),
    [anon_sym_AMP] = ACTIONS(6042),
    [anon_sym_DOT] = ACTIONS(243),
    [anon_sym_LBRACK] = ACTIONS(245),
    [anon_sym_cast] = ACTIONS(211),
    [anon_sym_transmute] = ACTIONS(211),
    [anon_sym_auto_cast] = ACTIONS(213),
    [anon_sym_DOT_DOT] = ACTIONS(6044),
    [anon_sym_map] = ACTIONS(217),
    [anon_sym_bit_set] = ACTIONS(219),
    [anon_sym_matrix] = ACTIONS(221),
    [anon_sym_distinct] = ACTIONS(223),
    [sym_number] = ACTIONS(225),
    [anon_sym_DQUOTE] = ACTIONS(227),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_SQUOTE] = ACTIONS(231),
    [anon_sym_true] = ACTIONS(233),
    [anon_sym_false] = ACTIONS(233),
    [sym_nil] = ACTIONS(235),
    [sym_uninitialized] = ACTIONS(225),
    [sym_tag] = ACTIONS(247),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(225),
    [sym_block_comment] = ACTIONS(3),
  },
  [1399] = {
    [sym_expression] = STATE(5599),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1400] = {
    [sym_expression] = STATE(3235),
    [sym__expression_no_tag] = STATE(3174),
    [sym_unary_expression] = STATE(3174),
    [sym_binary_expression] = STATE(3174),
    [sym_ternary_expression] = STATE(3174),
    [sym_call_expression] = STATE(3174),
    [sym_selector_call_expression] = STATE(3174),
    [sym_member_expression] = STATE(3174),
    [sym_index_expression] = STATE(3174),
    [sym_slice_expression] = STATE(3174),
    [sym_range_expression] = STATE(3174),
    [sym_cast_expression] = STATE(3174),
    [sym_in_expression] = STATE(3174),
    [sym_variadic_expression] = STATE(3174),
    [sym_parenthesized_expression] = STATE(3174),
    [sym_or_return_expression] = STATE(3174),
    [sym_or_continue_expression] = STATE(3174),
    [sym_or_break_expression] = STATE(3174),
    [sym_address] = STATE(3174),
    [sym_map_type] = STATE(3174),
    [sym_matrix_type] = STATE(3174),
    [sym_distinct_type] = STATE(3174),
    [sym_literal] = STATE(3174),
    [sym_struct] = STATE(3165),
    [sym_map] = STATE(3078),
    [sym_bit_set] = STATE(3078),
    [sym_matrix] = STATE(3078),
    [sym_string] = STATE(3078),
    [sym__string_literal] = STATE(3166),
    [sym__raw_string_literal] = STATE(3166),
    [sym_character] = STATE(3078),
    [sym_boolean] = STATE(3078),
    [sym_field_identifier] = STATE(7864),
    [sym_identifier] = ACTIONS(449),
    [anon_sym_LBRACE] = ACTIONS(451),
    [anon_sym_LPAREN] = ACTIONS(453),
    [anon_sym_QMARK] = ACTIONS(455),
    [anon_sym_PLUS] = ACTIONS(457),
    [anon_sym_DASH] = ACTIONS(459),
    [anon_sym_TILDE] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(457),
    [anon_sym_AMP] = ACTIONS(457),
    [anon_sym_DOT] = ACTIONS(461),
    [anon_sym_LBRACK] = ACTIONS(463),
    [anon_sym_cast] = ACTIONS(465),
    [anon_sym_transmute] = ACTIONS(465),
    [anon_sym_auto_cast] = ACTIONS(467),
    [anon_sym_DOT_DOT] = ACTIONS(6050),
    [anon_sym_map] = ACTIONS(471),
    [anon_sym_bit_set] = ACTIONS(473),
    [anon_sym_matrix] = ACTIONS(475),
    [anon_sym_distinct] = ACTIONS(477),
    [sym_number] = ACTIONS(479),
    [anon_sym_DQUOTE] = ACTIONS(481),
    [anon_sym_BQUOTE] = ACTIONS(483),
    [anon_sym_SQUOTE] = ACTIONS(485),
    [anon_sym_true] = ACTIONS(487),
    [anon_sym_false] = ACTIONS(487),
    [sym_nil] = ACTIONS(489),
    [sym_uninitialized] = ACTIONS(479),
    [sym_tag] = ACTIONS(491),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(479),
    [sym_block_comment] = ACTIONS(3),
  },
  [1401] = {
    [sym_expression] = STATE(4192),
    [sym__expression_no_tag] = STATE(4282),
    [sym_unary_expression] = STATE(4282),
    [sym_binary_expression] = STATE(4282),
    [sym_ternary_expression] = STATE(4282),
    [sym_call_expression] = STATE(4282),
    [sym_selector_call_expression] = STATE(4282),
    [sym_member_expression] = STATE(4282),
    [sym_index_expression] = STATE(4282),
    [sym_slice_expression] = STATE(4282),
    [sym_range_expression] = STATE(4282),
    [sym_cast_expression] = STATE(4282),
    [sym_in_expression] = STATE(4282),
    [sym_variadic_expression] = STATE(4282),
    [sym_parenthesized_expression] = STATE(4282),
    [sym_or_return_expression] = STATE(4282),
    [sym_or_continue_expression] = STATE(4282),
    [sym_or_break_expression] = STATE(4282),
    [sym_address] = STATE(4282),
    [sym_map_type] = STATE(4282),
    [sym_matrix_type] = STATE(4282),
    [sym_distinct_type] = STATE(4282),
    [sym_literal] = STATE(4282),
    [sym_struct] = STATE(4297),
    [sym_map] = STATE(4290),
    [sym_bit_set] = STATE(4290),
    [sym_matrix] = STATE(4290),
    [sym_string] = STATE(4290),
    [sym__string_literal] = STATE(4298),
    [sym__raw_string_literal] = STATE(4298),
    [sym_character] = STATE(4290),
    [sym_boolean] = STATE(4290),
    [sym_field_identifier] = STATE(7838),
    [sym_identifier] = ACTIONS(757),
    [anon_sym_LBRACE] = ACTIONS(707),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_QMARK] = ACTIONS(769),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(721),
    [anon_sym_TILDE] = ACTIONS(719),
    [anon_sym_BANG] = ACTIONS(719),
    [anon_sym_AMP] = ACTIONS(719),
    [anon_sym_DOT] = ACTIONS(723),
    [anon_sym_LBRACK] = ACTIONS(725),
    [anon_sym_cast] = ACTIONS(727),
    [anon_sym_transmute] = ACTIONS(727),
    [anon_sym_auto_cast] = ACTIONS(729),
    [anon_sym_DOT_DOT] = ACTIONS(2849),
    [anon_sym_map] = ACTIONS(733),
    [anon_sym_bit_set] = ACTIONS(735),
    [anon_sym_matrix] = ACTIONS(737),
    [anon_sym_distinct] = ACTIONS(739),
    [sym_number] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(743),
    [anon_sym_BQUOTE] = ACTIONS(745),
    [anon_sym_SQUOTE] = ACTIONS(747),
    [anon_sym_true] = ACTIONS(749),
    [anon_sym_false] = ACTIONS(749),
    [sym_nil] = ACTIONS(751),
    [sym_uninitialized] = ACTIONS(741),
    [sym_tag] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(741),
    [sym_block_comment] = ACTIONS(3),
  },
  [1402] = {
    [sym_expression] = STATE(5891),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1403] = {
    [sym_expression] = STATE(4423),
    [sym__expression_no_tag] = STATE(4431),
    [sym_unary_expression] = STATE(4431),
    [sym_binary_expression] = STATE(4431),
    [sym_ternary_expression] = STATE(4431),
    [sym_call_expression] = STATE(4431),
    [sym_selector_call_expression] = STATE(4431),
    [sym_member_expression] = STATE(4431),
    [sym_index_expression] = STATE(4431),
    [sym_slice_expression] = STATE(4431),
    [sym_range_expression] = STATE(4431),
    [sym_cast_expression] = STATE(4431),
    [sym_in_expression] = STATE(4431),
    [sym_variadic_expression] = STATE(4431),
    [sym_parenthesized_expression] = STATE(4431),
    [sym_or_return_expression] = STATE(4431),
    [sym_or_continue_expression] = STATE(4431),
    [sym_or_break_expression] = STATE(4431),
    [sym_address] = STATE(4431),
    [sym_map_type] = STATE(4431),
    [sym_matrix_type] = STATE(4431),
    [sym_distinct_type] = STATE(4431),
    [sym_literal] = STATE(4431),
    [sym_struct] = STATE(4333),
    [sym_map] = STATE(4320),
    [sym_bit_set] = STATE(4320),
    [sym_matrix] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym__string_literal] = STATE(4334),
    [sym__raw_string_literal] = STATE(4334),
    [sym_character] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_field_identifier] = STATE(7845),
    [sym_identifier] = ACTIONS(341),
    [anon_sym_LBRACE] = ACTIONS(943),
    [anon_sym_LPAREN] = ACTIONS(945),
    [anon_sym_QMARK] = ACTIONS(947),
    [anon_sym_PLUS] = ACTIONS(949),
    [anon_sym_DASH] = ACTIONS(951),
    [anon_sym_TILDE] = ACTIONS(949),
    [anon_sym_BANG] = ACTIONS(949),
    [anon_sym_AMP] = ACTIONS(949),
    [anon_sym_DOT] = ACTIONS(953),
    [anon_sym_LBRACK] = ACTIONS(955),
    [anon_sym_cast] = ACTIONS(957),
    [anon_sym_transmute] = ACTIONS(957),
    [anon_sym_auto_cast] = ACTIONS(959),
    [anon_sym_DOT_DOT] = ACTIONS(3241),
    [anon_sym_map] = ACTIONS(351),
    [anon_sym_bit_set] = ACTIONS(353),
    [anon_sym_matrix] = ACTIONS(355),
    [anon_sym_distinct] = ACTIONS(357),
    [sym_number] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(361),
    [anon_sym_BQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [anon_sym_true] = ACTIONS(367),
    [anon_sym_false] = ACTIONS(367),
    [sym_nil] = ACTIONS(369),
    [sym_uninitialized] = ACTIONS(359),
    [sym_tag] = ACTIONS(963),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(359),
    [sym_block_comment] = ACTIONS(3),
  },
  [1404] = {
    [sym_expression] = STATE(3234),
    [sym__expression_no_tag] = STATE(3174),
    [sym_unary_expression] = STATE(3174),
    [sym_binary_expression] = STATE(3174),
    [sym_ternary_expression] = STATE(3174),
    [sym_call_expression] = STATE(3174),
    [sym_selector_call_expression] = STATE(3174),
    [sym_member_expression] = STATE(3174),
    [sym_index_expression] = STATE(3174),
    [sym_slice_expression] = STATE(3174),
    [sym_range_expression] = STATE(3174),
    [sym_cast_expression] = STATE(3174),
    [sym_in_expression] = STATE(3174),
    [sym_variadic_expression] = STATE(3174),
    [sym_parenthesized_expression] = STATE(3174),
    [sym_or_return_expression] = STATE(3174),
    [sym_or_continue_expression] = STATE(3174),
    [sym_or_break_expression] = STATE(3174),
    [sym_address] = STATE(3174),
    [sym_map_type] = STATE(3174),
    [sym_matrix_type] = STATE(3174),
    [sym_distinct_type] = STATE(3174),
    [sym_literal] = STATE(3174),
    [sym_struct] = STATE(3165),
    [sym_map] = STATE(3078),
    [sym_bit_set] = STATE(3078),
    [sym_matrix] = STATE(3078),
    [sym_string] = STATE(3078),
    [sym__string_literal] = STATE(3166),
    [sym__raw_string_literal] = STATE(3166),
    [sym_character] = STATE(3078),
    [sym_boolean] = STATE(3078),
    [sym_field_identifier] = STATE(7864),
    [sym_identifier] = ACTIONS(449),
    [anon_sym_LBRACE] = ACTIONS(451),
    [anon_sym_LPAREN] = ACTIONS(453),
    [anon_sym_QMARK] = ACTIONS(455),
    [anon_sym_PLUS] = ACTIONS(457),
    [anon_sym_DASH] = ACTIONS(459),
    [anon_sym_TILDE] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(457),
    [anon_sym_AMP] = ACTIONS(457),
    [anon_sym_DOT] = ACTIONS(461),
    [anon_sym_LBRACK] = ACTIONS(463),
    [anon_sym_cast] = ACTIONS(465),
    [anon_sym_transmute] = ACTIONS(465),
    [anon_sym_auto_cast] = ACTIONS(467),
    [anon_sym_DOT_DOT] = ACTIONS(6050),
    [anon_sym_map] = ACTIONS(471),
    [anon_sym_bit_set] = ACTIONS(473),
    [anon_sym_matrix] = ACTIONS(475),
    [anon_sym_distinct] = ACTIONS(477),
    [sym_number] = ACTIONS(479),
    [anon_sym_DQUOTE] = ACTIONS(481),
    [anon_sym_BQUOTE] = ACTIONS(483),
    [anon_sym_SQUOTE] = ACTIONS(485),
    [anon_sym_true] = ACTIONS(487),
    [anon_sym_false] = ACTIONS(487),
    [sym_nil] = ACTIONS(489),
    [sym_uninitialized] = ACTIONS(479),
    [sym_tag] = ACTIONS(491),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(479),
    [sym_block_comment] = ACTIONS(3),
  },
  [1405] = {
    [sym_expression] = STATE(3104),
    [sym__expression_no_tag] = STATE(3174),
    [sym_unary_expression] = STATE(3174),
    [sym_binary_expression] = STATE(3174),
    [sym_ternary_expression] = STATE(3174),
    [sym_call_expression] = STATE(3174),
    [sym_selector_call_expression] = STATE(3174),
    [sym_member_expression] = STATE(3174),
    [sym_index_expression] = STATE(3174),
    [sym_slice_expression] = STATE(3174),
    [sym_range_expression] = STATE(3174),
    [sym_cast_expression] = STATE(3174),
    [sym_in_expression] = STATE(3174),
    [sym_variadic_expression] = STATE(3174),
    [sym_parenthesized_expression] = STATE(3174),
    [sym_or_return_expression] = STATE(3174),
    [sym_or_continue_expression] = STATE(3174),
    [sym_or_break_expression] = STATE(3174),
    [sym_address] = STATE(3174),
    [sym_map_type] = STATE(3174),
    [sym_matrix_type] = STATE(3174),
    [sym_distinct_type] = STATE(3174),
    [sym_literal] = STATE(3174),
    [sym_struct] = STATE(3165),
    [sym_map] = STATE(3078),
    [sym_bit_set] = STATE(3078),
    [sym_matrix] = STATE(3078),
    [sym_string] = STATE(3078),
    [sym__string_literal] = STATE(3166),
    [sym__raw_string_literal] = STATE(3166),
    [sym_character] = STATE(3078),
    [sym_boolean] = STATE(3078),
    [sym_field_identifier] = STATE(7864),
    [sym_identifier] = ACTIONS(449),
    [anon_sym_LBRACE] = ACTIONS(451),
    [anon_sym_LPAREN] = ACTIONS(453),
    [anon_sym_QMARK] = ACTIONS(455),
    [anon_sym_PLUS] = ACTIONS(457),
    [anon_sym_DASH] = ACTIONS(459),
    [anon_sym_TILDE] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(457),
    [anon_sym_AMP] = ACTIONS(457),
    [anon_sym_DOT] = ACTIONS(461),
    [anon_sym_LBRACK] = ACTIONS(463),
    [anon_sym_cast] = ACTIONS(465),
    [anon_sym_transmute] = ACTIONS(465),
    [anon_sym_auto_cast] = ACTIONS(467),
    [anon_sym_DOT_DOT] = ACTIONS(6050),
    [anon_sym_map] = ACTIONS(471),
    [anon_sym_bit_set] = ACTIONS(473),
    [anon_sym_matrix] = ACTIONS(475),
    [anon_sym_distinct] = ACTIONS(477),
    [sym_number] = ACTIONS(479),
    [anon_sym_DQUOTE] = ACTIONS(481),
    [anon_sym_BQUOTE] = ACTIONS(483),
    [anon_sym_SQUOTE] = ACTIONS(485),
    [anon_sym_true] = ACTIONS(487),
    [anon_sym_false] = ACTIONS(487),
    [sym_nil] = ACTIONS(489),
    [sym_uninitialized] = ACTIONS(479),
    [sym_tag] = ACTIONS(491),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(479),
    [sym_block_comment] = ACTIONS(3),
  },
  [1406] = {
    [sym_expression] = STATE(5244),
    [sym__expression_no_tag] = STATE(4410),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_ternary_expression] = STATE(4410),
    [sym_call_expression] = STATE(4410),
    [sym_selector_call_expression] = STATE(4410),
    [sym_member_expression] = STATE(4410),
    [sym_index_expression] = STATE(4410),
    [sym_slice_expression] = STATE(4410),
    [sym_range_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_in_expression] = STATE(4410),
    [sym_variadic_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4410),
    [sym_or_return_expression] = STATE(4410),
    [sym_or_continue_expression] = STATE(4410),
    [sym_or_break_expression] = STATE(4410),
    [sym_address] = STATE(4410),
    [sym_map_type] = STATE(4410),
    [sym_matrix_type] = STATE(4410),
    [sym_distinct_type] = STATE(4410),
    [sym_literal] = STATE(4410),
    [sym_struct] = STATE(4333),
    [sym_map] = STATE(4320),
    [sym_bit_set] = STATE(4320),
    [sym_matrix] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym__string_literal] = STATE(4334),
    [sym__raw_string_literal] = STATE(4334),
    [sym_character] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_field_identifier] = STATE(7845),
    [sym_identifier] = ACTIONS(341),
    [anon_sym_LBRACE] = ACTIONS(943),
    [anon_sym_LPAREN] = ACTIONS(945),
    [anon_sym_QMARK] = ACTIONS(3239),
    [anon_sym_PLUS] = ACTIONS(949),
    [anon_sym_DASH] = ACTIONS(951),
    [anon_sym_TILDE] = ACTIONS(949),
    [anon_sym_BANG] = ACTIONS(949),
    [anon_sym_AMP] = ACTIONS(949),
    [anon_sym_DOT] = ACTIONS(953),
    [anon_sym_LBRACK] = ACTIONS(955),
    [anon_sym_cast] = ACTIONS(957),
    [anon_sym_transmute] = ACTIONS(957),
    [anon_sym_auto_cast] = ACTIONS(959),
    [anon_sym_DOT_DOT] = ACTIONS(3241),
    [anon_sym_map] = ACTIONS(351),
    [anon_sym_bit_set] = ACTIONS(353),
    [anon_sym_matrix] = ACTIONS(355),
    [anon_sym_distinct] = ACTIONS(357),
    [sym_number] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(361),
    [anon_sym_BQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [anon_sym_true] = ACTIONS(367),
    [anon_sym_false] = ACTIONS(367),
    [sym_nil] = ACTIONS(369),
    [sym_uninitialized] = ACTIONS(359),
    [sym_tag] = ACTIONS(963),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(359),
    [sym_block_comment] = ACTIONS(3),
  },
  [1407] = {
    [sym_expression] = STATE(2105),
    [sym__expression_no_tag] = STATE(2219),
    [sym_unary_expression] = STATE(2219),
    [sym_binary_expression] = STATE(2219),
    [sym_ternary_expression] = STATE(2219),
    [sym_call_expression] = STATE(2219),
    [sym_selector_call_expression] = STATE(2219),
    [sym_member_expression] = STATE(2219),
    [sym_index_expression] = STATE(2219),
    [sym_slice_expression] = STATE(2219),
    [sym_range_expression] = STATE(2219),
    [sym_cast_expression] = STATE(2219),
    [sym_in_expression] = STATE(2219),
    [sym_variadic_expression] = STATE(2219),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_or_return_expression] = STATE(2219),
    [sym_or_continue_expression] = STATE(2219),
    [sym_or_break_expression] = STATE(2219),
    [sym_address] = STATE(2219),
    [sym_map_type] = STATE(2219),
    [sym_matrix_type] = STATE(2219),
    [sym_distinct_type] = STATE(2219),
    [sym_literal] = STATE(2219),
    [sym_struct] = STATE(2056),
    [sym_map] = STATE(2054),
    [sym_bit_set] = STATE(2054),
    [sym_matrix] = STATE(2054),
    [sym_string] = STATE(2054),
    [sym__string_literal] = STATE(2057),
    [sym__raw_string_literal] = STATE(2057),
    [sym_character] = STATE(2054),
    [sym_boolean] = STATE(2054),
    [sym_field_identifier] = STATE(7869),
    [sym_identifier] = ACTIONS(207),
    [anon_sym_LBRACE] = ACTIONS(237),
    [anon_sym_LPAREN] = ACTIONS(239),
    [anon_sym_QMARK] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(6042),
    [anon_sym_DASH] = ACTIONS(209),
    [anon_sym_TILDE] = ACTIONS(6042),
    [anon_sym_BANG] = ACTIONS(6042),
    [anon_sym_AMP] = ACTIONS(6042),
    [anon_sym_DOT] = ACTIONS(243),
    [anon_sym_LBRACK] = ACTIONS(245),
    [anon_sym_cast] = ACTIONS(211),
    [anon_sym_transmute] = ACTIONS(211),
    [anon_sym_auto_cast] = ACTIONS(213),
    [anon_sym_DOT_DOT] = ACTIONS(6044),
    [anon_sym_map] = ACTIONS(217),
    [anon_sym_bit_set] = ACTIONS(219),
    [anon_sym_matrix] = ACTIONS(221),
    [anon_sym_distinct] = ACTIONS(223),
    [sym_number] = ACTIONS(225),
    [anon_sym_DQUOTE] = ACTIONS(227),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_SQUOTE] = ACTIONS(231),
    [anon_sym_true] = ACTIONS(233),
    [anon_sym_false] = ACTIONS(233),
    [sym_nil] = ACTIONS(235),
    [sym_uninitialized] = ACTIONS(225),
    [sym_tag] = ACTIONS(247),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(225),
    [sym_block_comment] = ACTIONS(3),
  },
  [1408] = {
    [sym_expression] = STATE(4424),
    [sym__expression_no_tag] = STATE(4431),
    [sym_unary_expression] = STATE(4431),
    [sym_binary_expression] = STATE(4431),
    [sym_ternary_expression] = STATE(4431),
    [sym_call_expression] = STATE(4431),
    [sym_selector_call_expression] = STATE(4431),
    [sym_member_expression] = STATE(4431),
    [sym_index_expression] = STATE(4431),
    [sym_slice_expression] = STATE(4431),
    [sym_range_expression] = STATE(4431),
    [sym_cast_expression] = STATE(4431),
    [sym_in_expression] = STATE(4431),
    [sym_variadic_expression] = STATE(4431),
    [sym_parenthesized_expression] = STATE(4431),
    [sym_or_return_expression] = STATE(4431),
    [sym_or_continue_expression] = STATE(4431),
    [sym_or_break_expression] = STATE(4431),
    [sym_address] = STATE(4431),
    [sym_map_type] = STATE(4431),
    [sym_matrix_type] = STATE(4431),
    [sym_distinct_type] = STATE(4431),
    [sym_literal] = STATE(4431),
    [sym_struct] = STATE(4333),
    [sym_map] = STATE(4320),
    [sym_bit_set] = STATE(4320),
    [sym_matrix] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym__string_literal] = STATE(4334),
    [sym__raw_string_literal] = STATE(4334),
    [sym_character] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_field_identifier] = STATE(7845),
    [sym_identifier] = ACTIONS(341),
    [anon_sym_LBRACE] = ACTIONS(943),
    [anon_sym_LPAREN] = ACTIONS(945),
    [anon_sym_QMARK] = ACTIONS(947),
    [anon_sym_PLUS] = ACTIONS(949),
    [anon_sym_DASH] = ACTIONS(951),
    [anon_sym_TILDE] = ACTIONS(949),
    [anon_sym_BANG] = ACTIONS(949),
    [anon_sym_AMP] = ACTIONS(949),
    [anon_sym_DOT] = ACTIONS(953),
    [anon_sym_LBRACK] = ACTIONS(955),
    [anon_sym_cast] = ACTIONS(957),
    [anon_sym_transmute] = ACTIONS(957),
    [anon_sym_auto_cast] = ACTIONS(959),
    [anon_sym_DOT_DOT] = ACTIONS(3241),
    [anon_sym_map] = ACTIONS(351),
    [anon_sym_bit_set] = ACTIONS(353),
    [anon_sym_matrix] = ACTIONS(355),
    [anon_sym_distinct] = ACTIONS(357),
    [sym_number] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(361),
    [anon_sym_BQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [anon_sym_true] = ACTIONS(367),
    [anon_sym_false] = ACTIONS(367),
    [sym_nil] = ACTIONS(369),
    [sym_uninitialized] = ACTIONS(359),
    [sym_tag] = ACTIONS(963),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(359),
    [sym_block_comment] = ACTIONS(3),
  },
  [1409] = {
    [sym_expression] = STATE(3829),
    [sym__expression_no_tag] = STATE(3826),
    [sym_unary_expression] = STATE(3826),
    [sym_binary_expression] = STATE(3826),
    [sym_ternary_expression] = STATE(3826),
    [sym_call_expression] = STATE(3826),
    [sym_selector_call_expression] = STATE(3826),
    [sym_member_expression] = STATE(3826),
    [sym_index_expression] = STATE(3826),
    [sym_slice_expression] = STATE(3826),
    [sym_range_expression] = STATE(3826),
    [sym_cast_expression] = STATE(3826),
    [sym_in_expression] = STATE(3826),
    [sym_variadic_expression] = STATE(3826),
    [sym_parenthesized_expression] = STATE(3826),
    [sym_or_return_expression] = STATE(3826),
    [sym_or_continue_expression] = STATE(3826),
    [sym_or_break_expression] = STATE(3826),
    [sym_address] = STATE(3826),
    [sym_map_type] = STATE(3826),
    [sym_matrix_type] = STATE(3826),
    [sym_distinct_type] = STATE(3826),
    [sym_literal] = STATE(3826),
    [sym_struct] = STATE(3866),
    [sym_map] = STATE(3787),
    [sym_bit_set] = STATE(3787),
    [sym_matrix] = STATE(3787),
    [sym_string] = STATE(3787),
    [sym__string_literal] = STATE(3867),
    [sym__raw_string_literal] = STATE(3867),
    [sym_character] = STATE(3787),
    [sym_boolean] = STATE(3787),
    [sym_field_identifier] = STATE(7783),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_QMARK] = ACTIONS(657),
    [anon_sym_PLUS] = ACTIONS(27),
    [anon_sym_DASH] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(27),
    [anon_sym_DOT] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_cast] = ACTIONS(35),
    [anon_sym_transmute] = ACTIONS(35),
    [anon_sym_auto_cast] = ACTIONS(37),
    [anon_sym_DOT_DOT] = ACTIONS(39),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(611),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [1410] = {
    [sym_expression] = STATE(5980),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1411] = {
    [sym_expression] = STATE(3473),
    [sym__expression_no_tag] = STATE(3597),
    [sym_unary_expression] = STATE(3597),
    [sym_binary_expression] = STATE(3597),
    [sym_ternary_expression] = STATE(3597),
    [sym_call_expression] = STATE(3597),
    [sym_selector_call_expression] = STATE(3597),
    [sym_member_expression] = STATE(3597),
    [sym_index_expression] = STATE(3597),
    [sym_slice_expression] = STATE(3597),
    [sym_range_expression] = STATE(3597),
    [sym_cast_expression] = STATE(3597),
    [sym_in_expression] = STATE(3597),
    [sym_variadic_expression] = STATE(3597),
    [sym_parenthesized_expression] = STATE(3597),
    [sym_or_return_expression] = STATE(3597),
    [sym_or_continue_expression] = STATE(3597),
    [sym_or_break_expression] = STATE(3597),
    [sym_address] = STATE(3597),
    [sym_map_type] = STATE(3597),
    [sym_matrix_type] = STATE(3597),
    [sym_distinct_type] = STATE(3597),
    [sym_literal] = STATE(3597),
    [sym_struct] = STATE(3465),
    [sym_map] = STATE(3453),
    [sym_bit_set] = STATE(3453),
    [sym_matrix] = STATE(3453),
    [sym_string] = STATE(3453),
    [sym__string_literal] = STATE(3469),
    [sym__raw_string_literal] = STATE(3469),
    [sym_character] = STATE(3453),
    [sym_boolean] = STATE(3453),
    [sym_field_identifier] = STATE(7903),
    [sym_identifier] = ACTIONS(659),
    [anon_sym_LBRACE] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_QMARK] = ACTIONS(665),
    [anon_sym_PLUS] = ACTIONS(667),
    [anon_sym_DASH] = ACTIONS(669),
    [anon_sym_TILDE] = ACTIONS(667),
    [anon_sym_BANG] = ACTIONS(667),
    [anon_sym_AMP] = ACTIONS(667),
    [anon_sym_DOT] = ACTIONS(671),
    [anon_sym_LBRACK] = ACTIONS(673),
    [anon_sym_cast] = ACTIONS(675),
    [anon_sym_transmute] = ACTIONS(675),
    [anon_sym_auto_cast] = ACTIONS(677),
    [anon_sym_DOT_DOT] = ACTIONS(6055),
    [anon_sym_map] = ACTIONS(681),
    [anon_sym_bit_set] = ACTIONS(683),
    [anon_sym_matrix] = ACTIONS(685),
    [anon_sym_distinct] = ACTIONS(687),
    [sym_number] = ACTIONS(689),
    [anon_sym_DQUOTE] = ACTIONS(691),
    [anon_sym_BQUOTE] = ACTIONS(693),
    [anon_sym_SQUOTE] = ACTIONS(695),
    [anon_sym_true] = ACTIONS(697),
    [anon_sym_false] = ACTIONS(697),
    [sym_nil] = ACTIONS(699),
    [sym_uninitialized] = ACTIONS(689),
    [sym_tag] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(689),
    [sym_block_comment] = ACTIONS(3),
  },
  [1412] = {
    [sym_expression] = STATE(3474),
    [sym__expression_no_tag] = STATE(3597),
    [sym_unary_expression] = STATE(3597),
    [sym_binary_expression] = STATE(3597),
    [sym_ternary_expression] = STATE(3597),
    [sym_call_expression] = STATE(3597),
    [sym_selector_call_expression] = STATE(3597),
    [sym_member_expression] = STATE(3597),
    [sym_index_expression] = STATE(3597),
    [sym_slice_expression] = STATE(3597),
    [sym_range_expression] = STATE(3597),
    [sym_cast_expression] = STATE(3597),
    [sym_in_expression] = STATE(3597),
    [sym_variadic_expression] = STATE(3597),
    [sym_parenthesized_expression] = STATE(3597),
    [sym_or_return_expression] = STATE(3597),
    [sym_or_continue_expression] = STATE(3597),
    [sym_or_break_expression] = STATE(3597),
    [sym_address] = STATE(3597),
    [sym_map_type] = STATE(3597),
    [sym_matrix_type] = STATE(3597),
    [sym_distinct_type] = STATE(3597),
    [sym_literal] = STATE(3597),
    [sym_struct] = STATE(3465),
    [sym_map] = STATE(3453),
    [sym_bit_set] = STATE(3453),
    [sym_matrix] = STATE(3453),
    [sym_string] = STATE(3453),
    [sym__string_literal] = STATE(3469),
    [sym__raw_string_literal] = STATE(3469),
    [sym_character] = STATE(3453),
    [sym_boolean] = STATE(3453),
    [sym_field_identifier] = STATE(7903),
    [sym_identifier] = ACTIONS(659),
    [anon_sym_LBRACE] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_QMARK] = ACTIONS(665),
    [anon_sym_PLUS] = ACTIONS(667),
    [anon_sym_DASH] = ACTIONS(669),
    [anon_sym_TILDE] = ACTIONS(667),
    [anon_sym_BANG] = ACTIONS(667),
    [anon_sym_AMP] = ACTIONS(667),
    [anon_sym_DOT] = ACTIONS(671),
    [anon_sym_LBRACK] = ACTIONS(673),
    [anon_sym_cast] = ACTIONS(675),
    [anon_sym_transmute] = ACTIONS(675),
    [anon_sym_auto_cast] = ACTIONS(677),
    [anon_sym_DOT_DOT] = ACTIONS(6055),
    [anon_sym_map] = ACTIONS(681),
    [anon_sym_bit_set] = ACTIONS(683),
    [anon_sym_matrix] = ACTIONS(685),
    [anon_sym_distinct] = ACTIONS(687),
    [sym_number] = ACTIONS(689),
    [anon_sym_DQUOTE] = ACTIONS(691),
    [anon_sym_BQUOTE] = ACTIONS(693),
    [anon_sym_SQUOTE] = ACTIONS(695),
    [anon_sym_true] = ACTIONS(697),
    [anon_sym_false] = ACTIONS(697),
    [sym_nil] = ACTIONS(699),
    [sym_uninitialized] = ACTIONS(689),
    [sym_tag] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(689),
    [sym_block_comment] = ACTIONS(3),
  },
  [1413] = {
    [sym_expression] = STATE(3484),
    [sym__expression_no_tag] = STATE(3597),
    [sym_unary_expression] = STATE(3597),
    [sym_binary_expression] = STATE(3597),
    [sym_ternary_expression] = STATE(3597),
    [sym_call_expression] = STATE(3597),
    [sym_selector_call_expression] = STATE(3597),
    [sym_member_expression] = STATE(3597),
    [sym_index_expression] = STATE(3597),
    [sym_slice_expression] = STATE(3597),
    [sym_range_expression] = STATE(3597),
    [sym_cast_expression] = STATE(3597),
    [sym_in_expression] = STATE(3597),
    [sym_variadic_expression] = STATE(3597),
    [sym_parenthesized_expression] = STATE(3597),
    [sym_or_return_expression] = STATE(3597),
    [sym_or_continue_expression] = STATE(3597),
    [sym_or_break_expression] = STATE(3597),
    [sym_address] = STATE(3597),
    [sym_map_type] = STATE(3597),
    [sym_matrix_type] = STATE(3597),
    [sym_distinct_type] = STATE(3597),
    [sym_literal] = STATE(3597),
    [sym_struct] = STATE(3465),
    [sym_map] = STATE(3453),
    [sym_bit_set] = STATE(3453),
    [sym_matrix] = STATE(3453),
    [sym_string] = STATE(3453),
    [sym__string_literal] = STATE(3469),
    [sym__raw_string_literal] = STATE(3469),
    [sym_character] = STATE(3453),
    [sym_boolean] = STATE(3453),
    [sym_field_identifier] = STATE(7903),
    [sym_identifier] = ACTIONS(659),
    [anon_sym_LBRACE] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_QMARK] = ACTIONS(665),
    [anon_sym_PLUS] = ACTIONS(667),
    [anon_sym_DASH] = ACTIONS(669),
    [anon_sym_TILDE] = ACTIONS(667),
    [anon_sym_BANG] = ACTIONS(667),
    [anon_sym_AMP] = ACTIONS(667),
    [anon_sym_DOT] = ACTIONS(671),
    [anon_sym_LBRACK] = ACTIONS(673),
    [anon_sym_cast] = ACTIONS(675),
    [anon_sym_transmute] = ACTIONS(675),
    [anon_sym_auto_cast] = ACTIONS(677),
    [anon_sym_DOT_DOT] = ACTIONS(6055),
    [anon_sym_map] = ACTIONS(681),
    [anon_sym_bit_set] = ACTIONS(683),
    [anon_sym_matrix] = ACTIONS(685),
    [anon_sym_distinct] = ACTIONS(687),
    [sym_number] = ACTIONS(689),
    [anon_sym_DQUOTE] = ACTIONS(691),
    [anon_sym_BQUOTE] = ACTIONS(693),
    [anon_sym_SQUOTE] = ACTIONS(695),
    [anon_sym_true] = ACTIONS(697),
    [anon_sym_false] = ACTIONS(697),
    [sym_nil] = ACTIONS(699),
    [sym_uninitialized] = ACTIONS(689),
    [sym_tag] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(689),
    [sym_block_comment] = ACTIONS(3),
  },
  [1414] = {
    [sym_expression] = STATE(3485),
    [sym__expression_no_tag] = STATE(3597),
    [sym_unary_expression] = STATE(3597),
    [sym_binary_expression] = STATE(3597),
    [sym_ternary_expression] = STATE(3597),
    [sym_call_expression] = STATE(3597),
    [sym_selector_call_expression] = STATE(3597),
    [sym_member_expression] = STATE(3597),
    [sym_index_expression] = STATE(3597),
    [sym_slice_expression] = STATE(3597),
    [sym_range_expression] = STATE(3597),
    [sym_cast_expression] = STATE(3597),
    [sym_in_expression] = STATE(3597),
    [sym_variadic_expression] = STATE(3597),
    [sym_parenthesized_expression] = STATE(3597),
    [sym_or_return_expression] = STATE(3597),
    [sym_or_continue_expression] = STATE(3597),
    [sym_or_break_expression] = STATE(3597),
    [sym_address] = STATE(3597),
    [sym_map_type] = STATE(3597),
    [sym_matrix_type] = STATE(3597),
    [sym_distinct_type] = STATE(3597),
    [sym_literal] = STATE(3597),
    [sym_struct] = STATE(3465),
    [sym_map] = STATE(3453),
    [sym_bit_set] = STATE(3453),
    [sym_matrix] = STATE(3453),
    [sym_string] = STATE(3453),
    [sym__string_literal] = STATE(3469),
    [sym__raw_string_literal] = STATE(3469),
    [sym_character] = STATE(3453),
    [sym_boolean] = STATE(3453),
    [sym_field_identifier] = STATE(7903),
    [sym_identifier] = ACTIONS(659),
    [anon_sym_LBRACE] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_QMARK] = ACTIONS(665),
    [anon_sym_PLUS] = ACTIONS(667),
    [anon_sym_DASH] = ACTIONS(669),
    [anon_sym_TILDE] = ACTIONS(667),
    [anon_sym_BANG] = ACTIONS(667),
    [anon_sym_AMP] = ACTIONS(667),
    [anon_sym_DOT] = ACTIONS(671),
    [anon_sym_LBRACK] = ACTIONS(673),
    [anon_sym_cast] = ACTIONS(675),
    [anon_sym_transmute] = ACTIONS(675),
    [anon_sym_auto_cast] = ACTIONS(677),
    [anon_sym_DOT_DOT] = ACTIONS(6055),
    [anon_sym_map] = ACTIONS(681),
    [anon_sym_bit_set] = ACTIONS(683),
    [anon_sym_matrix] = ACTIONS(685),
    [anon_sym_distinct] = ACTIONS(687),
    [sym_number] = ACTIONS(689),
    [anon_sym_DQUOTE] = ACTIONS(691),
    [anon_sym_BQUOTE] = ACTIONS(693),
    [anon_sym_SQUOTE] = ACTIONS(695),
    [anon_sym_true] = ACTIONS(697),
    [anon_sym_false] = ACTIONS(697),
    [sym_nil] = ACTIONS(699),
    [sym_uninitialized] = ACTIONS(689),
    [sym_tag] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(689),
    [sym_block_comment] = ACTIONS(3),
  },
  [1415] = {
    [sym_expression] = STATE(3578),
    [sym__expression_no_tag] = STATE(3597),
    [sym_unary_expression] = STATE(3597),
    [sym_binary_expression] = STATE(3597),
    [sym_ternary_expression] = STATE(3597),
    [sym_call_expression] = STATE(3597),
    [sym_selector_call_expression] = STATE(3597),
    [sym_member_expression] = STATE(3597),
    [sym_index_expression] = STATE(3597),
    [sym_slice_expression] = STATE(3597),
    [sym_range_expression] = STATE(3597),
    [sym_cast_expression] = STATE(3597),
    [sym_in_expression] = STATE(3597),
    [sym_variadic_expression] = STATE(3597),
    [sym_parenthesized_expression] = STATE(3597),
    [sym_or_return_expression] = STATE(3597),
    [sym_or_continue_expression] = STATE(3597),
    [sym_or_break_expression] = STATE(3597),
    [sym_address] = STATE(3597),
    [sym_map_type] = STATE(3597),
    [sym_matrix_type] = STATE(3597),
    [sym_distinct_type] = STATE(3597),
    [sym_literal] = STATE(3597),
    [sym_struct] = STATE(3465),
    [sym_map] = STATE(3453),
    [sym_bit_set] = STATE(3453),
    [sym_matrix] = STATE(3453),
    [sym_string] = STATE(3453),
    [sym__string_literal] = STATE(3469),
    [sym__raw_string_literal] = STATE(3469),
    [sym_character] = STATE(3453),
    [sym_boolean] = STATE(3453),
    [sym_field_identifier] = STATE(7903),
    [sym_identifier] = ACTIONS(659),
    [anon_sym_LBRACE] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_QMARK] = ACTIONS(665),
    [anon_sym_PLUS] = ACTIONS(667),
    [anon_sym_DASH] = ACTIONS(669),
    [anon_sym_TILDE] = ACTIONS(667),
    [anon_sym_BANG] = ACTIONS(667),
    [anon_sym_AMP] = ACTIONS(667),
    [anon_sym_DOT] = ACTIONS(671),
    [anon_sym_LBRACK] = ACTIONS(673),
    [anon_sym_cast] = ACTIONS(675),
    [anon_sym_transmute] = ACTIONS(675),
    [anon_sym_auto_cast] = ACTIONS(677),
    [anon_sym_DOT_DOT] = ACTIONS(6055),
    [anon_sym_map] = ACTIONS(681),
    [anon_sym_bit_set] = ACTIONS(683),
    [anon_sym_matrix] = ACTIONS(685),
    [anon_sym_distinct] = ACTIONS(687),
    [sym_number] = ACTIONS(689),
    [anon_sym_DQUOTE] = ACTIONS(691),
    [anon_sym_BQUOTE] = ACTIONS(693),
    [anon_sym_SQUOTE] = ACTIONS(695),
    [anon_sym_true] = ACTIONS(697),
    [anon_sym_false] = ACTIONS(697),
    [sym_nil] = ACTIONS(699),
    [sym_uninitialized] = ACTIONS(689),
    [sym_tag] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(689),
    [sym_block_comment] = ACTIONS(3),
  },
  [1416] = {
    [sym_expression] = STATE(3579),
    [sym__expression_no_tag] = STATE(3597),
    [sym_unary_expression] = STATE(3597),
    [sym_binary_expression] = STATE(3597),
    [sym_ternary_expression] = STATE(3597),
    [sym_call_expression] = STATE(3597),
    [sym_selector_call_expression] = STATE(3597),
    [sym_member_expression] = STATE(3597),
    [sym_index_expression] = STATE(3597),
    [sym_slice_expression] = STATE(3597),
    [sym_range_expression] = STATE(3597),
    [sym_cast_expression] = STATE(3597),
    [sym_in_expression] = STATE(3597),
    [sym_variadic_expression] = STATE(3597),
    [sym_parenthesized_expression] = STATE(3597),
    [sym_or_return_expression] = STATE(3597),
    [sym_or_continue_expression] = STATE(3597),
    [sym_or_break_expression] = STATE(3597),
    [sym_address] = STATE(3597),
    [sym_map_type] = STATE(3597),
    [sym_matrix_type] = STATE(3597),
    [sym_distinct_type] = STATE(3597),
    [sym_literal] = STATE(3597),
    [sym_struct] = STATE(3465),
    [sym_map] = STATE(3453),
    [sym_bit_set] = STATE(3453),
    [sym_matrix] = STATE(3453),
    [sym_string] = STATE(3453),
    [sym__string_literal] = STATE(3469),
    [sym__raw_string_literal] = STATE(3469),
    [sym_character] = STATE(3453),
    [sym_boolean] = STATE(3453),
    [sym_field_identifier] = STATE(7903),
    [sym_identifier] = ACTIONS(659),
    [anon_sym_LBRACE] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_QMARK] = ACTIONS(665),
    [anon_sym_PLUS] = ACTIONS(667),
    [anon_sym_DASH] = ACTIONS(669),
    [anon_sym_TILDE] = ACTIONS(667),
    [anon_sym_BANG] = ACTIONS(667),
    [anon_sym_AMP] = ACTIONS(667),
    [anon_sym_DOT] = ACTIONS(671),
    [anon_sym_LBRACK] = ACTIONS(673),
    [anon_sym_cast] = ACTIONS(675),
    [anon_sym_transmute] = ACTIONS(675),
    [anon_sym_auto_cast] = ACTIONS(677),
    [anon_sym_DOT_DOT] = ACTIONS(6055),
    [anon_sym_map] = ACTIONS(681),
    [anon_sym_bit_set] = ACTIONS(683),
    [anon_sym_matrix] = ACTIONS(685),
    [anon_sym_distinct] = ACTIONS(687),
    [sym_number] = ACTIONS(689),
    [anon_sym_DQUOTE] = ACTIONS(691),
    [anon_sym_BQUOTE] = ACTIONS(693),
    [anon_sym_SQUOTE] = ACTIONS(695),
    [anon_sym_true] = ACTIONS(697),
    [anon_sym_false] = ACTIONS(697),
    [sym_nil] = ACTIONS(699),
    [sym_uninitialized] = ACTIONS(689),
    [sym_tag] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(689),
    [sym_block_comment] = ACTIONS(3),
  },
  [1417] = {
    [sym_expression] = STATE(3580),
    [sym__expression_no_tag] = STATE(3597),
    [sym_unary_expression] = STATE(3597),
    [sym_binary_expression] = STATE(3597),
    [sym_ternary_expression] = STATE(3597),
    [sym_call_expression] = STATE(3597),
    [sym_selector_call_expression] = STATE(3597),
    [sym_member_expression] = STATE(3597),
    [sym_index_expression] = STATE(3597),
    [sym_slice_expression] = STATE(3597),
    [sym_range_expression] = STATE(3597),
    [sym_cast_expression] = STATE(3597),
    [sym_in_expression] = STATE(3597),
    [sym_variadic_expression] = STATE(3597),
    [sym_parenthesized_expression] = STATE(3597),
    [sym_or_return_expression] = STATE(3597),
    [sym_or_continue_expression] = STATE(3597),
    [sym_or_break_expression] = STATE(3597),
    [sym_address] = STATE(3597),
    [sym_map_type] = STATE(3597),
    [sym_matrix_type] = STATE(3597),
    [sym_distinct_type] = STATE(3597),
    [sym_literal] = STATE(3597),
    [sym_struct] = STATE(3465),
    [sym_map] = STATE(3453),
    [sym_bit_set] = STATE(3453),
    [sym_matrix] = STATE(3453),
    [sym_string] = STATE(3453),
    [sym__string_literal] = STATE(3469),
    [sym__raw_string_literal] = STATE(3469),
    [sym_character] = STATE(3453),
    [sym_boolean] = STATE(3453),
    [sym_field_identifier] = STATE(7903),
    [sym_identifier] = ACTIONS(659),
    [anon_sym_LBRACE] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_QMARK] = ACTIONS(665),
    [anon_sym_PLUS] = ACTIONS(667),
    [anon_sym_DASH] = ACTIONS(669),
    [anon_sym_TILDE] = ACTIONS(667),
    [anon_sym_BANG] = ACTIONS(667),
    [anon_sym_AMP] = ACTIONS(667),
    [anon_sym_DOT] = ACTIONS(671),
    [anon_sym_LBRACK] = ACTIONS(673),
    [anon_sym_cast] = ACTIONS(675),
    [anon_sym_transmute] = ACTIONS(675),
    [anon_sym_auto_cast] = ACTIONS(677),
    [anon_sym_DOT_DOT] = ACTIONS(6055),
    [anon_sym_map] = ACTIONS(681),
    [anon_sym_bit_set] = ACTIONS(683),
    [anon_sym_matrix] = ACTIONS(685),
    [anon_sym_distinct] = ACTIONS(687),
    [sym_number] = ACTIONS(689),
    [anon_sym_DQUOTE] = ACTIONS(691),
    [anon_sym_BQUOTE] = ACTIONS(693),
    [anon_sym_SQUOTE] = ACTIONS(695),
    [anon_sym_true] = ACTIONS(697),
    [anon_sym_false] = ACTIONS(697),
    [sym_nil] = ACTIONS(699),
    [sym_uninitialized] = ACTIONS(689),
    [sym_tag] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(689),
    [sym_block_comment] = ACTIONS(3),
  },
  [1418] = {
    [sym_expression] = STATE(3581),
    [sym__expression_no_tag] = STATE(3597),
    [sym_unary_expression] = STATE(3597),
    [sym_binary_expression] = STATE(3597),
    [sym_ternary_expression] = STATE(3597),
    [sym_call_expression] = STATE(3597),
    [sym_selector_call_expression] = STATE(3597),
    [sym_member_expression] = STATE(3597),
    [sym_index_expression] = STATE(3597),
    [sym_slice_expression] = STATE(3597),
    [sym_range_expression] = STATE(3597),
    [sym_cast_expression] = STATE(3597),
    [sym_in_expression] = STATE(3597),
    [sym_variadic_expression] = STATE(3597),
    [sym_parenthesized_expression] = STATE(3597),
    [sym_or_return_expression] = STATE(3597),
    [sym_or_continue_expression] = STATE(3597),
    [sym_or_break_expression] = STATE(3597),
    [sym_address] = STATE(3597),
    [sym_map_type] = STATE(3597),
    [sym_matrix_type] = STATE(3597),
    [sym_distinct_type] = STATE(3597),
    [sym_literal] = STATE(3597),
    [sym_struct] = STATE(3465),
    [sym_map] = STATE(3453),
    [sym_bit_set] = STATE(3453),
    [sym_matrix] = STATE(3453),
    [sym_string] = STATE(3453),
    [sym__string_literal] = STATE(3469),
    [sym__raw_string_literal] = STATE(3469),
    [sym_character] = STATE(3453),
    [sym_boolean] = STATE(3453),
    [sym_field_identifier] = STATE(7903),
    [sym_identifier] = ACTIONS(659),
    [anon_sym_LBRACE] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_QMARK] = ACTIONS(665),
    [anon_sym_PLUS] = ACTIONS(667),
    [anon_sym_DASH] = ACTIONS(669),
    [anon_sym_TILDE] = ACTIONS(667),
    [anon_sym_BANG] = ACTIONS(667),
    [anon_sym_AMP] = ACTIONS(667),
    [anon_sym_DOT] = ACTIONS(671),
    [anon_sym_LBRACK] = ACTIONS(673),
    [anon_sym_cast] = ACTIONS(675),
    [anon_sym_transmute] = ACTIONS(675),
    [anon_sym_auto_cast] = ACTIONS(677),
    [anon_sym_DOT_DOT] = ACTIONS(6055),
    [anon_sym_map] = ACTIONS(681),
    [anon_sym_bit_set] = ACTIONS(683),
    [anon_sym_matrix] = ACTIONS(685),
    [anon_sym_distinct] = ACTIONS(687),
    [sym_number] = ACTIONS(689),
    [anon_sym_DQUOTE] = ACTIONS(691),
    [anon_sym_BQUOTE] = ACTIONS(693),
    [anon_sym_SQUOTE] = ACTIONS(695),
    [anon_sym_true] = ACTIONS(697),
    [anon_sym_false] = ACTIONS(697),
    [sym_nil] = ACTIONS(699),
    [sym_uninitialized] = ACTIONS(689),
    [sym_tag] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(689),
    [sym_block_comment] = ACTIONS(3),
  },
  [1419] = {
    [sym_expression] = STATE(3582),
    [sym__expression_no_tag] = STATE(3597),
    [sym_unary_expression] = STATE(3597),
    [sym_binary_expression] = STATE(3597),
    [sym_ternary_expression] = STATE(3597),
    [sym_call_expression] = STATE(3597),
    [sym_selector_call_expression] = STATE(3597),
    [sym_member_expression] = STATE(3597),
    [sym_index_expression] = STATE(3597),
    [sym_slice_expression] = STATE(3597),
    [sym_range_expression] = STATE(3597),
    [sym_cast_expression] = STATE(3597),
    [sym_in_expression] = STATE(3597),
    [sym_variadic_expression] = STATE(3597),
    [sym_parenthesized_expression] = STATE(3597),
    [sym_or_return_expression] = STATE(3597),
    [sym_or_continue_expression] = STATE(3597),
    [sym_or_break_expression] = STATE(3597),
    [sym_address] = STATE(3597),
    [sym_map_type] = STATE(3597),
    [sym_matrix_type] = STATE(3597),
    [sym_distinct_type] = STATE(3597),
    [sym_literal] = STATE(3597),
    [sym_struct] = STATE(3465),
    [sym_map] = STATE(3453),
    [sym_bit_set] = STATE(3453),
    [sym_matrix] = STATE(3453),
    [sym_string] = STATE(3453),
    [sym__string_literal] = STATE(3469),
    [sym__raw_string_literal] = STATE(3469),
    [sym_character] = STATE(3453),
    [sym_boolean] = STATE(3453),
    [sym_field_identifier] = STATE(7903),
    [sym_identifier] = ACTIONS(659),
    [anon_sym_LBRACE] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_QMARK] = ACTIONS(665),
    [anon_sym_PLUS] = ACTIONS(667),
    [anon_sym_DASH] = ACTIONS(669),
    [anon_sym_TILDE] = ACTIONS(667),
    [anon_sym_BANG] = ACTIONS(667),
    [anon_sym_AMP] = ACTIONS(667),
    [anon_sym_DOT] = ACTIONS(671),
    [anon_sym_LBRACK] = ACTIONS(673),
    [anon_sym_cast] = ACTIONS(675),
    [anon_sym_transmute] = ACTIONS(675),
    [anon_sym_auto_cast] = ACTIONS(677),
    [anon_sym_DOT_DOT] = ACTIONS(6055),
    [anon_sym_map] = ACTIONS(681),
    [anon_sym_bit_set] = ACTIONS(683),
    [anon_sym_matrix] = ACTIONS(685),
    [anon_sym_distinct] = ACTIONS(687),
    [sym_number] = ACTIONS(689),
    [anon_sym_DQUOTE] = ACTIONS(691),
    [anon_sym_BQUOTE] = ACTIONS(693),
    [anon_sym_SQUOTE] = ACTIONS(695),
    [anon_sym_true] = ACTIONS(697),
    [anon_sym_false] = ACTIONS(697),
    [sym_nil] = ACTIONS(699),
    [sym_uninitialized] = ACTIONS(689),
    [sym_tag] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(689),
    [sym_block_comment] = ACTIONS(3),
  },
  [1420] = {
    [sym_expression] = STATE(3583),
    [sym__expression_no_tag] = STATE(3597),
    [sym_unary_expression] = STATE(3597),
    [sym_binary_expression] = STATE(3597),
    [sym_ternary_expression] = STATE(3597),
    [sym_call_expression] = STATE(3597),
    [sym_selector_call_expression] = STATE(3597),
    [sym_member_expression] = STATE(3597),
    [sym_index_expression] = STATE(3597),
    [sym_slice_expression] = STATE(3597),
    [sym_range_expression] = STATE(3597),
    [sym_cast_expression] = STATE(3597),
    [sym_in_expression] = STATE(3597),
    [sym_variadic_expression] = STATE(3597),
    [sym_parenthesized_expression] = STATE(3597),
    [sym_or_return_expression] = STATE(3597),
    [sym_or_continue_expression] = STATE(3597),
    [sym_or_break_expression] = STATE(3597),
    [sym_address] = STATE(3597),
    [sym_map_type] = STATE(3597),
    [sym_matrix_type] = STATE(3597),
    [sym_distinct_type] = STATE(3597),
    [sym_literal] = STATE(3597),
    [sym_struct] = STATE(3465),
    [sym_map] = STATE(3453),
    [sym_bit_set] = STATE(3453),
    [sym_matrix] = STATE(3453),
    [sym_string] = STATE(3453),
    [sym__string_literal] = STATE(3469),
    [sym__raw_string_literal] = STATE(3469),
    [sym_character] = STATE(3453),
    [sym_boolean] = STATE(3453),
    [sym_field_identifier] = STATE(7903),
    [sym_identifier] = ACTIONS(659),
    [anon_sym_LBRACE] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_QMARK] = ACTIONS(665),
    [anon_sym_PLUS] = ACTIONS(667),
    [anon_sym_DASH] = ACTIONS(669),
    [anon_sym_TILDE] = ACTIONS(667),
    [anon_sym_BANG] = ACTIONS(667),
    [anon_sym_AMP] = ACTIONS(667),
    [anon_sym_DOT] = ACTIONS(671),
    [anon_sym_LBRACK] = ACTIONS(673),
    [anon_sym_cast] = ACTIONS(675),
    [anon_sym_transmute] = ACTIONS(675),
    [anon_sym_auto_cast] = ACTIONS(677),
    [anon_sym_DOT_DOT] = ACTIONS(6055),
    [anon_sym_map] = ACTIONS(681),
    [anon_sym_bit_set] = ACTIONS(683),
    [anon_sym_matrix] = ACTIONS(685),
    [anon_sym_distinct] = ACTIONS(687),
    [sym_number] = ACTIONS(689),
    [anon_sym_DQUOTE] = ACTIONS(691),
    [anon_sym_BQUOTE] = ACTIONS(693),
    [anon_sym_SQUOTE] = ACTIONS(695),
    [anon_sym_true] = ACTIONS(697),
    [anon_sym_false] = ACTIONS(697),
    [sym_nil] = ACTIONS(699),
    [sym_uninitialized] = ACTIONS(689),
    [sym_tag] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(689),
    [sym_block_comment] = ACTIONS(3),
  },
  [1421] = {
    [sym_expression] = STATE(3584),
    [sym__expression_no_tag] = STATE(3597),
    [sym_unary_expression] = STATE(3597),
    [sym_binary_expression] = STATE(3597),
    [sym_ternary_expression] = STATE(3597),
    [sym_call_expression] = STATE(3597),
    [sym_selector_call_expression] = STATE(3597),
    [sym_member_expression] = STATE(3597),
    [sym_index_expression] = STATE(3597),
    [sym_slice_expression] = STATE(3597),
    [sym_range_expression] = STATE(3597),
    [sym_cast_expression] = STATE(3597),
    [sym_in_expression] = STATE(3597),
    [sym_variadic_expression] = STATE(3597),
    [sym_parenthesized_expression] = STATE(3597),
    [sym_or_return_expression] = STATE(3597),
    [sym_or_continue_expression] = STATE(3597),
    [sym_or_break_expression] = STATE(3597),
    [sym_address] = STATE(3597),
    [sym_map_type] = STATE(3597),
    [sym_matrix_type] = STATE(3597),
    [sym_distinct_type] = STATE(3597),
    [sym_literal] = STATE(3597),
    [sym_struct] = STATE(3465),
    [sym_map] = STATE(3453),
    [sym_bit_set] = STATE(3453),
    [sym_matrix] = STATE(3453),
    [sym_string] = STATE(3453),
    [sym__string_literal] = STATE(3469),
    [sym__raw_string_literal] = STATE(3469),
    [sym_character] = STATE(3453),
    [sym_boolean] = STATE(3453),
    [sym_field_identifier] = STATE(7903),
    [sym_identifier] = ACTIONS(659),
    [anon_sym_LBRACE] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_QMARK] = ACTIONS(665),
    [anon_sym_PLUS] = ACTIONS(667),
    [anon_sym_DASH] = ACTIONS(669),
    [anon_sym_TILDE] = ACTIONS(667),
    [anon_sym_BANG] = ACTIONS(667),
    [anon_sym_AMP] = ACTIONS(667),
    [anon_sym_DOT] = ACTIONS(671),
    [anon_sym_LBRACK] = ACTIONS(673),
    [anon_sym_cast] = ACTIONS(675),
    [anon_sym_transmute] = ACTIONS(675),
    [anon_sym_auto_cast] = ACTIONS(677),
    [anon_sym_DOT_DOT] = ACTIONS(6055),
    [anon_sym_map] = ACTIONS(681),
    [anon_sym_bit_set] = ACTIONS(683),
    [anon_sym_matrix] = ACTIONS(685),
    [anon_sym_distinct] = ACTIONS(687),
    [sym_number] = ACTIONS(689),
    [anon_sym_DQUOTE] = ACTIONS(691),
    [anon_sym_BQUOTE] = ACTIONS(693),
    [anon_sym_SQUOTE] = ACTIONS(695),
    [anon_sym_true] = ACTIONS(697),
    [anon_sym_false] = ACTIONS(697),
    [sym_nil] = ACTIONS(699),
    [sym_uninitialized] = ACTIONS(689),
    [sym_tag] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(689),
    [sym_block_comment] = ACTIONS(3),
  },
  [1422] = {
    [sym_expression] = STATE(3585),
    [sym__expression_no_tag] = STATE(3597),
    [sym_unary_expression] = STATE(3597),
    [sym_binary_expression] = STATE(3597),
    [sym_ternary_expression] = STATE(3597),
    [sym_call_expression] = STATE(3597),
    [sym_selector_call_expression] = STATE(3597),
    [sym_member_expression] = STATE(3597),
    [sym_index_expression] = STATE(3597),
    [sym_slice_expression] = STATE(3597),
    [sym_range_expression] = STATE(3597),
    [sym_cast_expression] = STATE(3597),
    [sym_in_expression] = STATE(3597),
    [sym_variadic_expression] = STATE(3597),
    [sym_parenthesized_expression] = STATE(3597),
    [sym_or_return_expression] = STATE(3597),
    [sym_or_continue_expression] = STATE(3597),
    [sym_or_break_expression] = STATE(3597),
    [sym_address] = STATE(3597),
    [sym_map_type] = STATE(3597),
    [sym_matrix_type] = STATE(3597),
    [sym_distinct_type] = STATE(3597),
    [sym_literal] = STATE(3597),
    [sym_struct] = STATE(3465),
    [sym_map] = STATE(3453),
    [sym_bit_set] = STATE(3453),
    [sym_matrix] = STATE(3453),
    [sym_string] = STATE(3453),
    [sym__string_literal] = STATE(3469),
    [sym__raw_string_literal] = STATE(3469),
    [sym_character] = STATE(3453),
    [sym_boolean] = STATE(3453),
    [sym_field_identifier] = STATE(7903),
    [sym_identifier] = ACTIONS(659),
    [anon_sym_LBRACE] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_QMARK] = ACTIONS(665),
    [anon_sym_PLUS] = ACTIONS(667),
    [anon_sym_DASH] = ACTIONS(669),
    [anon_sym_TILDE] = ACTIONS(667),
    [anon_sym_BANG] = ACTIONS(667),
    [anon_sym_AMP] = ACTIONS(667),
    [anon_sym_DOT] = ACTIONS(671),
    [anon_sym_LBRACK] = ACTIONS(673),
    [anon_sym_cast] = ACTIONS(675),
    [anon_sym_transmute] = ACTIONS(675),
    [anon_sym_auto_cast] = ACTIONS(677),
    [anon_sym_DOT_DOT] = ACTIONS(6055),
    [anon_sym_map] = ACTIONS(681),
    [anon_sym_bit_set] = ACTIONS(683),
    [anon_sym_matrix] = ACTIONS(685),
    [anon_sym_distinct] = ACTIONS(687),
    [sym_number] = ACTIONS(689),
    [anon_sym_DQUOTE] = ACTIONS(691),
    [anon_sym_BQUOTE] = ACTIONS(693),
    [anon_sym_SQUOTE] = ACTIONS(695),
    [anon_sym_true] = ACTIONS(697),
    [anon_sym_false] = ACTIONS(697),
    [sym_nil] = ACTIONS(699),
    [sym_uninitialized] = ACTIONS(689),
    [sym_tag] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(689),
    [sym_block_comment] = ACTIONS(3),
  },
  [1423] = {
    [sym_expression] = STATE(3589),
    [sym__expression_no_tag] = STATE(3597),
    [sym_unary_expression] = STATE(3597),
    [sym_binary_expression] = STATE(3597),
    [sym_ternary_expression] = STATE(3597),
    [sym_call_expression] = STATE(3597),
    [sym_selector_call_expression] = STATE(3597),
    [sym_member_expression] = STATE(3597),
    [sym_index_expression] = STATE(3597),
    [sym_slice_expression] = STATE(3597),
    [sym_range_expression] = STATE(3597),
    [sym_cast_expression] = STATE(3597),
    [sym_in_expression] = STATE(3597),
    [sym_variadic_expression] = STATE(3597),
    [sym_parenthesized_expression] = STATE(3597),
    [sym_or_return_expression] = STATE(3597),
    [sym_or_continue_expression] = STATE(3597),
    [sym_or_break_expression] = STATE(3597),
    [sym_address] = STATE(3597),
    [sym_map_type] = STATE(3597),
    [sym_matrix_type] = STATE(3597),
    [sym_distinct_type] = STATE(3597),
    [sym_literal] = STATE(3597),
    [sym_struct] = STATE(3465),
    [sym_map] = STATE(3453),
    [sym_bit_set] = STATE(3453),
    [sym_matrix] = STATE(3453),
    [sym_string] = STATE(3453),
    [sym__string_literal] = STATE(3469),
    [sym__raw_string_literal] = STATE(3469),
    [sym_character] = STATE(3453),
    [sym_boolean] = STATE(3453),
    [sym_field_identifier] = STATE(7903),
    [sym_identifier] = ACTIONS(659),
    [anon_sym_LBRACE] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_QMARK] = ACTIONS(665),
    [anon_sym_PLUS] = ACTIONS(667),
    [anon_sym_DASH] = ACTIONS(669),
    [anon_sym_TILDE] = ACTIONS(667),
    [anon_sym_BANG] = ACTIONS(667),
    [anon_sym_AMP] = ACTIONS(667),
    [anon_sym_DOT] = ACTIONS(671),
    [anon_sym_LBRACK] = ACTIONS(673),
    [anon_sym_cast] = ACTIONS(675),
    [anon_sym_transmute] = ACTIONS(675),
    [anon_sym_auto_cast] = ACTIONS(677),
    [anon_sym_DOT_DOT] = ACTIONS(6055),
    [anon_sym_map] = ACTIONS(681),
    [anon_sym_bit_set] = ACTIONS(683),
    [anon_sym_matrix] = ACTIONS(685),
    [anon_sym_distinct] = ACTIONS(687),
    [sym_number] = ACTIONS(689),
    [anon_sym_DQUOTE] = ACTIONS(691),
    [anon_sym_BQUOTE] = ACTIONS(693),
    [anon_sym_SQUOTE] = ACTIONS(695),
    [anon_sym_true] = ACTIONS(697),
    [anon_sym_false] = ACTIONS(697),
    [sym_nil] = ACTIONS(699),
    [sym_uninitialized] = ACTIONS(689),
    [sym_tag] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(689),
    [sym_block_comment] = ACTIONS(3),
  },
  [1424] = {
    [sym_expression] = STATE(3590),
    [sym__expression_no_tag] = STATE(3597),
    [sym_unary_expression] = STATE(3597),
    [sym_binary_expression] = STATE(3597),
    [sym_ternary_expression] = STATE(3597),
    [sym_call_expression] = STATE(3597),
    [sym_selector_call_expression] = STATE(3597),
    [sym_member_expression] = STATE(3597),
    [sym_index_expression] = STATE(3597),
    [sym_slice_expression] = STATE(3597),
    [sym_range_expression] = STATE(3597),
    [sym_cast_expression] = STATE(3597),
    [sym_in_expression] = STATE(3597),
    [sym_variadic_expression] = STATE(3597),
    [sym_parenthesized_expression] = STATE(3597),
    [sym_or_return_expression] = STATE(3597),
    [sym_or_continue_expression] = STATE(3597),
    [sym_or_break_expression] = STATE(3597),
    [sym_address] = STATE(3597),
    [sym_map_type] = STATE(3597),
    [sym_matrix_type] = STATE(3597),
    [sym_distinct_type] = STATE(3597),
    [sym_literal] = STATE(3597),
    [sym_struct] = STATE(3465),
    [sym_map] = STATE(3453),
    [sym_bit_set] = STATE(3453),
    [sym_matrix] = STATE(3453),
    [sym_string] = STATE(3453),
    [sym__string_literal] = STATE(3469),
    [sym__raw_string_literal] = STATE(3469),
    [sym_character] = STATE(3453),
    [sym_boolean] = STATE(3453),
    [sym_field_identifier] = STATE(7903),
    [sym_identifier] = ACTIONS(659),
    [anon_sym_LBRACE] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_QMARK] = ACTIONS(665),
    [anon_sym_PLUS] = ACTIONS(667),
    [anon_sym_DASH] = ACTIONS(669),
    [anon_sym_TILDE] = ACTIONS(667),
    [anon_sym_BANG] = ACTIONS(667),
    [anon_sym_AMP] = ACTIONS(667),
    [anon_sym_DOT] = ACTIONS(671),
    [anon_sym_LBRACK] = ACTIONS(673),
    [anon_sym_cast] = ACTIONS(675),
    [anon_sym_transmute] = ACTIONS(675),
    [anon_sym_auto_cast] = ACTIONS(677),
    [anon_sym_DOT_DOT] = ACTIONS(6055),
    [anon_sym_map] = ACTIONS(681),
    [anon_sym_bit_set] = ACTIONS(683),
    [anon_sym_matrix] = ACTIONS(685),
    [anon_sym_distinct] = ACTIONS(687),
    [sym_number] = ACTIONS(689),
    [anon_sym_DQUOTE] = ACTIONS(691),
    [anon_sym_BQUOTE] = ACTIONS(693),
    [anon_sym_SQUOTE] = ACTIONS(695),
    [anon_sym_true] = ACTIONS(697),
    [anon_sym_false] = ACTIONS(697),
    [sym_nil] = ACTIONS(699),
    [sym_uninitialized] = ACTIONS(689),
    [sym_tag] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(689),
    [sym_block_comment] = ACTIONS(3),
  },
  [1425] = {
    [sym_expression] = STATE(3591),
    [sym__expression_no_tag] = STATE(3597),
    [sym_unary_expression] = STATE(3597),
    [sym_binary_expression] = STATE(3597),
    [sym_ternary_expression] = STATE(3597),
    [sym_call_expression] = STATE(3597),
    [sym_selector_call_expression] = STATE(3597),
    [sym_member_expression] = STATE(3597),
    [sym_index_expression] = STATE(3597),
    [sym_slice_expression] = STATE(3597),
    [sym_range_expression] = STATE(3597),
    [sym_cast_expression] = STATE(3597),
    [sym_in_expression] = STATE(3597),
    [sym_variadic_expression] = STATE(3597),
    [sym_parenthesized_expression] = STATE(3597),
    [sym_or_return_expression] = STATE(3597),
    [sym_or_continue_expression] = STATE(3597),
    [sym_or_break_expression] = STATE(3597),
    [sym_address] = STATE(3597),
    [sym_map_type] = STATE(3597),
    [sym_matrix_type] = STATE(3597),
    [sym_distinct_type] = STATE(3597),
    [sym_literal] = STATE(3597),
    [sym_struct] = STATE(3465),
    [sym_map] = STATE(3453),
    [sym_bit_set] = STATE(3453),
    [sym_matrix] = STATE(3453),
    [sym_string] = STATE(3453),
    [sym__string_literal] = STATE(3469),
    [sym__raw_string_literal] = STATE(3469),
    [sym_character] = STATE(3453),
    [sym_boolean] = STATE(3453),
    [sym_field_identifier] = STATE(7903),
    [sym_identifier] = ACTIONS(659),
    [anon_sym_LBRACE] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_QMARK] = ACTIONS(665),
    [anon_sym_PLUS] = ACTIONS(667),
    [anon_sym_DASH] = ACTIONS(669),
    [anon_sym_TILDE] = ACTIONS(667),
    [anon_sym_BANG] = ACTIONS(667),
    [anon_sym_AMP] = ACTIONS(667),
    [anon_sym_DOT] = ACTIONS(671),
    [anon_sym_LBRACK] = ACTIONS(673),
    [anon_sym_cast] = ACTIONS(675),
    [anon_sym_transmute] = ACTIONS(675),
    [anon_sym_auto_cast] = ACTIONS(677),
    [anon_sym_DOT_DOT] = ACTIONS(6055),
    [anon_sym_map] = ACTIONS(681),
    [anon_sym_bit_set] = ACTIONS(683),
    [anon_sym_matrix] = ACTIONS(685),
    [anon_sym_distinct] = ACTIONS(687),
    [sym_number] = ACTIONS(689),
    [anon_sym_DQUOTE] = ACTIONS(691),
    [anon_sym_BQUOTE] = ACTIONS(693),
    [anon_sym_SQUOTE] = ACTIONS(695),
    [anon_sym_true] = ACTIONS(697),
    [anon_sym_false] = ACTIONS(697),
    [sym_nil] = ACTIONS(699),
    [sym_uninitialized] = ACTIONS(689),
    [sym_tag] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(689),
    [sym_block_comment] = ACTIONS(3),
  },
  [1426] = {
    [sym_expression] = STATE(3592),
    [sym__expression_no_tag] = STATE(3597),
    [sym_unary_expression] = STATE(3597),
    [sym_binary_expression] = STATE(3597),
    [sym_ternary_expression] = STATE(3597),
    [sym_call_expression] = STATE(3597),
    [sym_selector_call_expression] = STATE(3597),
    [sym_member_expression] = STATE(3597),
    [sym_index_expression] = STATE(3597),
    [sym_slice_expression] = STATE(3597),
    [sym_range_expression] = STATE(3597),
    [sym_cast_expression] = STATE(3597),
    [sym_in_expression] = STATE(3597),
    [sym_variadic_expression] = STATE(3597),
    [sym_parenthesized_expression] = STATE(3597),
    [sym_or_return_expression] = STATE(3597),
    [sym_or_continue_expression] = STATE(3597),
    [sym_or_break_expression] = STATE(3597),
    [sym_address] = STATE(3597),
    [sym_map_type] = STATE(3597),
    [sym_matrix_type] = STATE(3597),
    [sym_distinct_type] = STATE(3597),
    [sym_literal] = STATE(3597),
    [sym_struct] = STATE(3465),
    [sym_map] = STATE(3453),
    [sym_bit_set] = STATE(3453),
    [sym_matrix] = STATE(3453),
    [sym_string] = STATE(3453),
    [sym__string_literal] = STATE(3469),
    [sym__raw_string_literal] = STATE(3469),
    [sym_character] = STATE(3453),
    [sym_boolean] = STATE(3453),
    [sym_field_identifier] = STATE(7903),
    [sym_identifier] = ACTIONS(659),
    [anon_sym_LBRACE] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_QMARK] = ACTIONS(665),
    [anon_sym_PLUS] = ACTIONS(667),
    [anon_sym_DASH] = ACTIONS(669),
    [anon_sym_TILDE] = ACTIONS(667),
    [anon_sym_BANG] = ACTIONS(667),
    [anon_sym_AMP] = ACTIONS(667),
    [anon_sym_DOT] = ACTIONS(671),
    [anon_sym_LBRACK] = ACTIONS(673),
    [anon_sym_cast] = ACTIONS(675),
    [anon_sym_transmute] = ACTIONS(675),
    [anon_sym_auto_cast] = ACTIONS(677),
    [anon_sym_DOT_DOT] = ACTIONS(6055),
    [anon_sym_map] = ACTIONS(681),
    [anon_sym_bit_set] = ACTIONS(683),
    [anon_sym_matrix] = ACTIONS(685),
    [anon_sym_distinct] = ACTIONS(687),
    [sym_number] = ACTIONS(689),
    [anon_sym_DQUOTE] = ACTIONS(691),
    [anon_sym_BQUOTE] = ACTIONS(693),
    [anon_sym_SQUOTE] = ACTIONS(695),
    [anon_sym_true] = ACTIONS(697),
    [anon_sym_false] = ACTIONS(697),
    [sym_nil] = ACTIONS(699),
    [sym_uninitialized] = ACTIONS(689),
    [sym_tag] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(689),
    [sym_block_comment] = ACTIONS(3),
  },
  [1427] = {
    [sym_expression] = STATE(3593),
    [sym__expression_no_tag] = STATE(3597),
    [sym_unary_expression] = STATE(3597),
    [sym_binary_expression] = STATE(3597),
    [sym_ternary_expression] = STATE(3597),
    [sym_call_expression] = STATE(3597),
    [sym_selector_call_expression] = STATE(3597),
    [sym_member_expression] = STATE(3597),
    [sym_index_expression] = STATE(3597),
    [sym_slice_expression] = STATE(3597),
    [sym_range_expression] = STATE(3597),
    [sym_cast_expression] = STATE(3597),
    [sym_in_expression] = STATE(3597),
    [sym_variadic_expression] = STATE(3597),
    [sym_parenthesized_expression] = STATE(3597),
    [sym_or_return_expression] = STATE(3597),
    [sym_or_continue_expression] = STATE(3597),
    [sym_or_break_expression] = STATE(3597),
    [sym_address] = STATE(3597),
    [sym_map_type] = STATE(3597),
    [sym_matrix_type] = STATE(3597),
    [sym_distinct_type] = STATE(3597),
    [sym_literal] = STATE(3597),
    [sym_struct] = STATE(3465),
    [sym_map] = STATE(3453),
    [sym_bit_set] = STATE(3453),
    [sym_matrix] = STATE(3453),
    [sym_string] = STATE(3453),
    [sym__string_literal] = STATE(3469),
    [sym__raw_string_literal] = STATE(3469),
    [sym_character] = STATE(3453),
    [sym_boolean] = STATE(3453),
    [sym_field_identifier] = STATE(7903),
    [sym_identifier] = ACTIONS(659),
    [anon_sym_LBRACE] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_QMARK] = ACTIONS(665),
    [anon_sym_PLUS] = ACTIONS(667),
    [anon_sym_DASH] = ACTIONS(669),
    [anon_sym_TILDE] = ACTIONS(667),
    [anon_sym_BANG] = ACTIONS(667),
    [anon_sym_AMP] = ACTIONS(667),
    [anon_sym_DOT] = ACTIONS(671),
    [anon_sym_LBRACK] = ACTIONS(673),
    [anon_sym_cast] = ACTIONS(675),
    [anon_sym_transmute] = ACTIONS(675),
    [anon_sym_auto_cast] = ACTIONS(677),
    [anon_sym_DOT_DOT] = ACTIONS(6055),
    [anon_sym_map] = ACTIONS(681),
    [anon_sym_bit_set] = ACTIONS(683),
    [anon_sym_matrix] = ACTIONS(685),
    [anon_sym_distinct] = ACTIONS(687),
    [sym_number] = ACTIONS(689),
    [anon_sym_DQUOTE] = ACTIONS(691),
    [anon_sym_BQUOTE] = ACTIONS(693),
    [anon_sym_SQUOTE] = ACTIONS(695),
    [anon_sym_true] = ACTIONS(697),
    [anon_sym_false] = ACTIONS(697),
    [sym_nil] = ACTIONS(699),
    [sym_uninitialized] = ACTIONS(689),
    [sym_tag] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(689),
    [sym_block_comment] = ACTIONS(3),
  },
  [1428] = {
    [sym_expression] = STATE(3594),
    [sym__expression_no_tag] = STATE(3597),
    [sym_unary_expression] = STATE(3597),
    [sym_binary_expression] = STATE(3597),
    [sym_ternary_expression] = STATE(3597),
    [sym_call_expression] = STATE(3597),
    [sym_selector_call_expression] = STATE(3597),
    [sym_member_expression] = STATE(3597),
    [sym_index_expression] = STATE(3597),
    [sym_slice_expression] = STATE(3597),
    [sym_range_expression] = STATE(3597),
    [sym_cast_expression] = STATE(3597),
    [sym_in_expression] = STATE(3597),
    [sym_variadic_expression] = STATE(3597),
    [sym_parenthesized_expression] = STATE(3597),
    [sym_or_return_expression] = STATE(3597),
    [sym_or_continue_expression] = STATE(3597),
    [sym_or_break_expression] = STATE(3597),
    [sym_address] = STATE(3597),
    [sym_map_type] = STATE(3597),
    [sym_matrix_type] = STATE(3597),
    [sym_distinct_type] = STATE(3597),
    [sym_literal] = STATE(3597),
    [sym_struct] = STATE(3465),
    [sym_map] = STATE(3453),
    [sym_bit_set] = STATE(3453),
    [sym_matrix] = STATE(3453),
    [sym_string] = STATE(3453),
    [sym__string_literal] = STATE(3469),
    [sym__raw_string_literal] = STATE(3469),
    [sym_character] = STATE(3453),
    [sym_boolean] = STATE(3453),
    [sym_field_identifier] = STATE(7903),
    [sym_identifier] = ACTIONS(659),
    [anon_sym_LBRACE] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_QMARK] = ACTIONS(665),
    [anon_sym_PLUS] = ACTIONS(667),
    [anon_sym_DASH] = ACTIONS(669),
    [anon_sym_TILDE] = ACTIONS(667),
    [anon_sym_BANG] = ACTIONS(667),
    [anon_sym_AMP] = ACTIONS(667),
    [anon_sym_DOT] = ACTIONS(671),
    [anon_sym_LBRACK] = ACTIONS(673),
    [anon_sym_cast] = ACTIONS(675),
    [anon_sym_transmute] = ACTIONS(675),
    [anon_sym_auto_cast] = ACTIONS(677),
    [anon_sym_DOT_DOT] = ACTIONS(6055),
    [anon_sym_map] = ACTIONS(681),
    [anon_sym_bit_set] = ACTIONS(683),
    [anon_sym_matrix] = ACTIONS(685),
    [anon_sym_distinct] = ACTIONS(687),
    [sym_number] = ACTIONS(689),
    [anon_sym_DQUOTE] = ACTIONS(691),
    [anon_sym_BQUOTE] = ACTIONS(693),
    [anon_sym_SQUOTE] = ACTIONS(695),
    [anon_sym_true] = ACTIONS(697),
    [anon_sym_false] = ACTIONS(697),
    [sym_nil] = ACTIONS(699),
    [sym_uninitialized] = ACTIONS(689),
    [sym_tag] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(689),
    [sym_block_comment] = ACTIONS(3),
  },
  [1429] = {
    [sym_expression] = STATE(5533),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1430] = {
    [sym_expression] = STATE(5983),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1431] = {
    [sym_expression] = STATE(3953),
    [sym__expression_no_tag] = STATE(3826),
    [sym_unary_expression] = STATE(3826),
    [sym_binary_expression] = STATE(3826),
    [sym_ternary_expression] = STATE(3826),
    [sym_call_expression] = STATE(3826),
    [sym_selector_call_expression] = STATE(3826),
    [sym_member_expression] = STATE(3826),
    [sym_index_expression] = STATE(3826),
    [sym_slice_expression] = STATE(3826),
    [sym_range_expression] = STATE(3826),
    [sym_cast_expression] = STATE(3826),
    [sym_in_expression] = STATE(3826),
    [sym_variadic_expression] = STATE(3826),
    [sym_parenthesized_expression] = STATE(3826),
    [sym_or_return_expression] = STATE(3826),
    [sym_or_continue_expression] = STATE(3826),
    [sym_or_break_expression] = STATE(3826),
    [sym_address] = STATE(3826),
    [sym_map_type] = STATE(3826),
    [sym_matrix_type] = STATE(3826),
    [sym_distinct_type] = STATE(3826),
    [sym_literal] = STATE(3826),
    [sym_struct] = STATE(3866),
    [sym_map] = STATE(3787),
    [sym_bit_set] = STATE(3787),
    [sym_matrix] = STATE(3787),
    [sym_string] = STATE(3787),
    [sym__string_literal] = STATE(3867),
    [sym__raw_string_literal] = STATE(3867),
    [sym_character] = STATE(3787),
    [sym_boolean] = STATE(3787),
    [sym_field_identifier] = STATE(7783),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_QMARK] = ACTIONS(657),
    [anon_sym_PLUS] = ACTIONS(27),
    [anon_sym_DASH] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(27),
    [anon_sym_DOT] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_cast] = ACTIONS(35),
    [anon_sym_transmute] = ACTIONS(35),
    [anon_sym_auto_cast] = ACTIONS(37),
    [anon_sym_DOT_DOT] = ACTIONS(39),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(611),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [1432] = {
    [sym_expression] = STATE(5063),
    [sym__expression_no_tag] = STATE(4410),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_ternary_expression] = STATE(4410),
    [sym_call_expression] = STATE(4410),
    [sym_selector_call_expression] = STATE(4410),
    [sym_member_expression] = STATE(4410),
    [sym_index_expression] = STATE(4410),
    [sym_slice_expression] = STATE(4410),
    [sym_range_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_in_expression] = STATE(4410),
    [sym_variadic_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4410),
    [sym_or_return_expression] = STATE(4410),
    [sym_or_continue_expression] = STATE(4410),
    [sym_or_break_expression] = STATE(4410),
    [sym_address] = STATE(4410),
    [sym_map_type] = STATE(4410),
    [sym_matrix_type] = STATE(4410),
    [sym_distinct_type] = STATE(4410),
    [sym_literal] = STATE(4410),
    [sym_struct] = STATE(4333),
    [sym_map] = STATE(4320),
    [sym_bit_set] = STATE(4320),
    [sym_matrix] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym__string_literal] = STATE(4334),
    [sym__raw_string_literal] = STATE(4334),
    [sym_character] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_field_identifier] = STATE(7845),
    [sym_identifier] = ACTIONS(341),
    [anon_sym_LBRACE] = ACTIONS(943),
    [anon_sym_LPAREN] = ACTIONS(945),
    [anon_sym_QMARK] = ACTIONS(3239),
    [anon_sym_PLUS] = ACTIONS(949),
    [anon_sym_DASH] = ACTIONS(951),
    [anon_sym_TILDE] = ACTIONS(949),
    [anon_sym_BANG] = ACTIONS(949),
    [anon_sym_AMP] = ACTIONS(949),
    [anon_sym_DOT] = ACTIONS(953),
    [anon_sym_LBRACK] = ACTIONS(955),
    [anon_sym_cast] = ACTIONS(957),
    [anon_sym_transmute] = ACTIONS(957),
    [anon_sym_auto_cast] = ACTIONS(959),
    [anon_sym_DOT_DOT] = ACTIONS(3241),
    [anon_sym_map] = ACTIONS(351),
    [anon_sym_bit_set] = ACTIONS(353),
    [anon_sym_matrix] = ACTIONS(355),
    [anon_sym_distinct] = ACTIONS(357),
    [sym_number] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(361),
    [anon_sym_BQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [anon_sym_true] = ACTIONS(367),
    [anon_sym_false] = ACTIONS(367),
    [sym_nil] = ACTIONS(369),
    [sym_uninitialized] = ACTIONS(359),
    [sym_tag] = ACTIONS(963),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(359),
    [sym_block_comment] = ACTIONS(3),
  },
  [1433] = {
    [sym_expression] = STATE(3457),
    [sym__expression_no_tag] = STATE(3597),
    [sym_unary_expression] = STATE(3597),
    [sym_binary_expression] = STATE(3597),
    [sym_ternary_expression] = STATE(3597),
    [sym_call_expression] = STATE(3597),
    [sym_selector_call_expression] = STATE(3597),
    [sym_member_expression] = STATE(3597),
    [sym_index_expression] = STATE(3597),
    [sym_slice_expression] = STATE(3597),
    [sym_range_expression] = STATE(3597),
    [sym_cast_expression] = STATE(3597),
    [sym_in_expression] = STATE(3597),
    [sym_variadic_expression] = STATE(3597),
    [sym_parenthesized_expression] = STATE(3597),
    [sym_or_return_expression] = STATE(3597),
    [sym_or_continue_expression] = STATE(3597),
    [sym_or_break_expression] = STATE(3597),
    [sym_address] = STATE(3597),
    [sym_map_type] = STATE(3597),
    [sym_matrix_type] = STATE(3597),
    [sym_distinct_type] = STATE(3597),
    [sym_literal] = STATE(3597),
    [sym_struct] = STATE(3465),
    [sym_map] = STATE(3453),
    [sym_bit_set] = STATE(3453),
    [sym_matrix] = STATE(3453),
    [sym_string] = STATE(3453),
    [sym__string_literal] = STATE(3469),
    [sym__raw_string_literal] = STATE(3469),
    [sym_character] = STATE(3453),
    [sym_boolean] = STATE(3453),
    [sym_field_identifier] = STATE(7903),
    [sym_identifier] = ACTIONS(659),
    [anon_sym_LBRACE] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_QMARK] = ACTIONS(665),
    [anon_sym_PLUS] = ACTIONS(667),
    [anon_sym_DASH] = ACTIONS(669),
    [anon_sym_TILDE] = ACTIONS(667),
    [anon_sym_BANG] = ACTIONS(667),
    [anon_sym_AMP] = ACTIONS(667),
    [anon_sym_DOT] = ACTIONS(671),
    [anon_sym_LBRACK] = ACTIONS(673),
    [anon_sym_cast] = ACTIONS(675),
    [anon_sym_transmute] = ACTIONS(675),
    [anon_sym_auto_cast] = ACTIONS(677),
    [anon_sym_DOT_DOT] = ACTIONS(6055),
    [anon_sym_map] = ACTIONS(681),
    [anon_sym_bit_set] = ACTIONS(683),
    [anon_sym_matrix] = ACTIONS(685),
    [anon_sym_distinct] = ACTIONS(687),
    [sym_number] = ACTIONS(689),
    [anon_sym_DQUOTE] = ACTIONS(691),
    [anon_sym_BQUOTE] = ACTIONS(693),
    [anon_sym_SQUOTE] = ACTIONS(695),
    [anon_sym_true] = ACTIONS(697),
    [anon_sym_false] = ACTIONS(697),
    [sym_nil] = ACTIONS(699),
    [sym_uninitialized] = ACTIONS(689),
    [sym_tag] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(689),
    [sym_block_comment] = ACTIONS(3),
  },
  [1434] = {
    [aux_sym_struct_type_repeat2] = STATE(1434),
    [anon_sym_LBRACE] = ACTIONS(6057),
    [anon_sym_COMMA] = ACTIONS(4497),
    [anon_sym_COLON_COLON] = ACTIONS(4497),
    [anon_sym_DASH_GT] = ACTIONS(4497),
    [anon_sym_where] = ACTIONS(4497),
    [anon_sym_EQ] = ACTIONS(4499),
    [anon_sym_COLON_EQ] = ACTIONS(4497),
    [anon_sym_COLON] = ACTIONS(4499),
    [anon_sym_LPAREN] = ACTIONS(4497),
    [anon_sym_PLUS_EQ] = ACTIONS(4497),
    [anon_sym_DASH_EQ] = ACTIONS(4497),
    [anon_sym_STAR_EQ] = ACTIONS(4497),
    [anon_sym_SLASH_EQ] = ACTIONS(4497),
    [anon_sym_PERCENT_EQ] = ACTIONS(4497),
    [anon_sym_AMP_EQ] = ACTIONS(4497),
    [anon_sym_PIPE_EQ] = ACTIONS(4497),
    [anon_sym_CARET_EQ] = ACTIONS(4497),
    [anon_sym_LT_LT_EQ] = ACTIONS(4497),
    [anon_sym_GT_GT_EQ] = ACTIONS(4497),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4497),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4497),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4497),
    [anon_sym_if] = ACTIONS(4497),
    [anon_sym_SEMI] = ACTIONS(4497),
    [anon_sym_do] = ACTIONS(4497),
    [anon_sym_when] = ACTIONS(4497),
    [anon_sym_in] = ACTIONS(4497),
    [anon_sym_QMARK] = ACTIONS(4497),
    [anon_sym_PLUS] = ACTIONS(4499),
    [anon_sym_DASH] = ACTIONS(4499),
    [anon_sym_TILDE] = ACTIONS(4499),
    [anon_sym_AMP] = ACTIONS(4499),
    [anon_sym_PIPE_PIPE] = ACTIONS(4499),
    [anon_sym_or_else] = ACTIONS(4497),
    [anon_sym_AMP_AMP] = ACTIONS(4499),
    [anon_sym_GT] = ACTIONS(4499),
    [anon_sym_GT_EQ] = ACTIONS(4497),
    [anon_sym_LT_EQ] = ACTIONS(4497),
    [anon_sym_LT] = ACTIONS(4499),
    [anon_sym_EQ_EQ] = ACTIONS(4497),
    [anon_sym_BANG_EQ] = ACTIONS(4497),
    [anon_sym_TILDE_EQ] = ACTIONS(4497),
    [anon_sym_PIPE] = ACTIONS(4499),
    [anon_sym_AMP_TILDE] = ACTIONS(4499),
    [anon_sym_LT_LT] = ACTIONS(4499),
    [anon_sym_GT_GT] = ACTIONS(4499),
    [anon_sym_STAR] = ACTIONS(4499),
    [anon_sym_SLASH] = ACTIONS(4499),
    [anon_sym_PERCENT] = ACTIONS(4499),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4497),
    [anon_sym_DOT] = ACTIONS(4499),
    [anon_sym_LBRACK] = ACTIONS(4497),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4497),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4497),
    [anon_sym_not_in] = ACTIONS(4497),
    [anon_sym_or_return] = ACTIONS(4497),
    [anon_sym_or_continue] = ACTIONS(4497),
    [anon_sym_or_break] = ACTIONS(4497),
    [anon_sym_CARET] = ACTIONS(4499),
    [sym_uninitialized] = ACTIONS(4497),
    [sym_tag] = ACTIONS(4497),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1435] = {
    [sym_expression] = STATE(5551),
    [sym__expression_no_tag] = STATE(4385),
    [sym_unary_expression] = STATE(4385),
    [sym_binary_expression] = STATE(4385),
    [sym_ternary_expression] = STATE(4385),
    [sym_call_expression] = STATE(4385),
    [sym_selector_call_expression] = STATE(4385),
    [sym_member_expression] = STATE(4385),
    [sym_index_expression] = STATE(4385),
    [sym_slice_expression] = STATE(4385),
    [sym_range_expression] = STATE(4385),
    [sym_cast_expression] = STATE(4385),
    [sym_in_expression] = STATE(4385),
    [sym_variadic_expression] = STATE(4385),
    [sym_parenthesized_expression] = STATE(4385),
    [sym_or_return_expression] = STATE(4385),
    [sym_or_continue_expression] = STATE(4385),
    [sym_or_break_expression] = STATE(4385),
    [sym_address] = STATE(4385),
    [sym_map_type] = STATE(4385),
    [sym_matrix_type] = STATE(4385),
    [sym_distinct_type] = STATE(4385),
    [sym_literal] = STATE(4385),
    [sym_struct] = STATE(4394),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(925),
    [anon_sym_QMARK] = ACTIONS(1240),
    [anon_sym_PLUS] = ACTIONS(929),
    [anon_sym_DASH] = ACTIONS(931),
    [anon_sym_TILDE] = ACTIONS(929),
    [anon_sym_BANG] = ACTIONS(929),
    [anon_sym_AMP] = ACTIONS(929),
    [anon_sym_DOT] = ACTIONS(933),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(935),
    [anon_sym_transmute] = ACTIONS(935),
    [anon_sym_auto_cast] = ACTIONS(937),
    [anon_sym_DOT_DOT] = ACTIONS(4422),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(941),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1436] = {
    [sym_expression] = STATE(3513),
    [sym__expression_no_tag] = STATE(3597),
    [sym_unary_expression] = STATE(3597),
    [sym_binary_expression] = STATE(3597),
    [sym_ternary_expression] = STATE(3597),
    [sym_call_expression] = STATE(3597),
    [sym_selector_call_expression] = STATE(3597),
    [sym_member_expression] = STATE(3597),
    [sym_index_expression] = STATE(3597),
    [sym_slice_expression] = STATE(3597),
    [sym_range_expression] = STATE(3597),
    [sym_cast_expression] = STATE(3597),
    [sym_in_expression] = STATE(3597),
    [sym_variadic_expression] = STATE(3597),
    [sym_parenthesized_expression] = STATE(3597),
    [sym_or_return_expression] = STATE(3597),
    [sym_or_continue_expression] = STATE(3597),
    [sym_or_break_expression] = STATE(3597),
    [sym_address] = STATE(3597),
    [sym_map_type] = STATE(3597),
    [sym_matrix_type] = STATE(3597),
    [sym_distinct_type] = STATE(3597),
    [sym_literal] = STATE(3597),
    [sym_struct] = STATE(3465),
    [sym_map] = STATE(3453),
    [sym_bit_set] = STATE(3453),
    [sym_matrix] = STATE(3453),
    [sym_string] = STATE(3453),
    [sym__string_literal] = STATE(3469),
    [sym__raw_string_literal] = STATE(3469),
    [sym_character] = STATE(3453),
    [sym_boolean] = STATE(3453),
    [sym_field_identifier] = STATE(7903),
    [sym_identifier] = ACTIONS(659),
    [anon_sym_LBRACE] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_QMARK] = ACTIONS(665),
    [anon_sym_PLUS] = ACTIONS(667),
    [anon_sym_DASH] = ACTIONS(669),
    [anon_sym_TILDE] = ACTIONS(667),
    [anon_sym_BANG] = ACTIONS(667),
    [anon_sym_AMP] = ACTIONS(667),
    [anon_sym_DOT] = ACTIONS(671),
    [anon_sym_LBRACK] = ACTIONS(673),
    [anon_sym_cast] = ACTIONS(675),
    [anon_sym_transmute] = ACTIONS(675),
    [anon_sym_auto_cast] = ACTIONS(677),
    [anon_sym_DOT_DOT] = ACTIONS(6055),
    [anon_sym_map] = ACTIONS(681),
    [anon_sym_bit_set] = ACTIONS(683),
    [anon_sym_matrix] = ACTIONS(685),
    [anon_sym_distinct] = ACTIONS(687),
    [sym_number] = ACTIONS(689),
    [anon_sym_DQUOTE] = ACTIONS(691),
    [anon_sym_BQUOTE] = ACTIONS(693),
    [anon_sym_SQUOTE] = ACTIONS(695),
    [anon_sym_true] = ACTIONS(697),
    [anon_sym_false] = ACTIONS(697),
    [sym_nil] = ACTIONS(699),
    [sym_uninitialized] = ACTIONS(689),
    [sym_tag] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(689),
    [sym_block_comment] = ACTIONS(3),
  },
  [1437] = {
    [sym_expression] = STATE(3514),
    [sym__expression_no_tag] = STATE(3597),
    [sym_unary_expression] = STATE(3597),
    [sym_binary_expression] = STATE(3597),
    [sym_ternary_expression] = STATE(3597),
    [sym_call_expression] = STATE(3597),
    [sym_selector_call_expression] = STATE(3597),
    [sym_member_expression] = STATE(3597),
    [sym_index_expression] = STATE(3597),
    [sym_slice_expression] = STATE(3597),
    [sym_range_expression] = STATE(3597),
    [sym_cast_expression] = STATE(3597),
    [sym_in_expression] = STATE(3597),
    [sym_variadic_expression] = STATE(3597),
    [sym_parenthesized_expression] = STATE(3597),
    [sym_or_return_expression] = STATE(3597),
    [sym_or_continue_expression] = STATE(3597),
    [sym_or_break_expression] = STATE(3597),
    [sym_address] = STATE(3597),
    [sym_map_type] = STATE(3597),
    [sym_matrix_type] = STATE(3597),
    [sym_distinct_type] = STATE(3597),
    [sym_literal] = STATE(3597),
    [sym_struct] = STATE(3465),
    [sym_map] = STATE(3453),
    [sym_bit_set] = STATE(3453),
    [sym_matrix] = STATE(3453),
    [sym_string] = STATE(3453),
    [sym__string_literal] = STATE(3469),
    [sym__raw_string_literal] = STATE(3469),
    [sym_character] = STATE(3453),
    [sym_boolean] = STATE(3453),
    [sym_field_identifier] = STATE(7903),
    [sym_identifier] = ACTIONS(659),
    [anon_sym_LBRACE] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_QMARK] = ACTIONS(665),
    [anon_sym_PLUS] = ACTIONS(667),
    [anon_sym_DASH] = ACTIONS(669),
    [anon_sym_TILDE] = ACTIONS(667),
    [anon_sym_BANG] = ACTIONS(667),
    [anon_sym_AMP] = ACTIONS(667),
    [anon_sym_DOT] = ACTIONS(671),
    [anon_sym_LBRACK] = ACTIONS(673),
    [anon_sym_cast] = ACTIONS(675),
    [anon_sym_transmute] = ACTIONS(675),
    [anon_sym_auto_cast] = ACTIONS(677),
    [anon_sym_DOT_DOT] = ACTIONS(6055),
    [anon_sym_map] = ACTIONS(681),
    [anon_sym_bit_set] = ACTIONS(683),
    [anon_sym_matrix] = ACTIONS(685),
    [anon_sym_distinct] = ACTIONS(687),
    [sym_number] = ACTIONS(689),
    [anon_sym_DQUOTE] = ACTIONS(691),
    [anon_sym_BQUOTE] = ACTIONS(693),
    [anon_sym_SQUOTE] = ACTIONS(695),
    [anon_sym_true] = ACTIONS(697),
    [anon_sym_false] = ACTIONS(697),
    [sym_nil] = ACTIONS(699),
    [sym_uninitialized] = ACTIONS(689),
    [sym_tag] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(689),
    [sym_block_comment] = ACTIONS(3),
  },
  [1438] = {
    [sym_expression] = STATE(3951),
    [sym__expression_no_tag] = STATE(3826),
    [sym_unary_expression] = STATE(3826),
    [sym_binary_expression] = STATE(3826),
    [sym_ternary_expression] = STATE(3826),
    [sym_call_expression] = STATE(3826),
    [sym_selector_call_expression] = STATE(3826),
    [sym_member_expression] = STATE(3826),
    [sym_index_expression] = STATE(3826),
    [sym_slice_expression] = STATE(3826),
    [sym_range_expression] = STATE(3826),
    [sym_cast_expression] = STATE(3826),
    [sym_in_expression] = STATE(3826),
    [sym_variadic_expression] = STATE(3826),
    [sym_parenthesized_expression] = STATE(3826),
    [sym_or_return_expression] = STATE(3826),
    [sym_or_continue_expression] = STATE(3826),
    [sym_or_break_expression] = STATE(3826),
    [sym_address] = STATE(3826),
    [sym_map_type] = STATE(3826),
    [sym_matrix_type] = STATE(3826),
    [sym_distinct_type] = STATE(3826),
    [sym_literal] = STATE(3826),
    [sym_struct] = STATE(3866),
    [sym_map] = STATE(3787),
    [sym_bit_set] = STATE(3787),
    [sym_matrix] = STATE(3787),
    [sym_string] = STATE(3787),
    [sym__string_literal] = STATE(3867),
    [sym__raw_string_literal] = STATE(3867),
    [sym_character] = STATE(3787),
    [sym_boolean] = STATE(3787),
    [sym_field_identifier] = STATE(7783),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_QMARK] = ACTIONS(657),
    [anon_sym_PLUS] = ACTIONS(27),
    [anon_sym_DASH] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(27),
    [anon_sym_DOT] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_cast] = ACTIONS(35),
    [anon_sym_transmute] = ACTIONS(35),
    [anon_sym_auto_cast] = ACTIONS(37),
    [anon_sym_DOT_DOT] = ACTIONS(39),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(611),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [1439] = {
    [sym_expression] = STATE(5907),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1440] = {
    [aux_sym_struct_type_repeat2] = STATE(1390),
    [anon_sym_LBRACE] = ACTIONS(4626),
    [anon_sym_RBRACE] = ACTIONS(4626),
    [anon_sym_COMMA] = ACTIONS(4626),
    [anon_sym_COLON_COLON] = ACTIONS(4626),
    [anon_sym_DASH_GT] = ACTIONS(4626),
    [anon_sym_EQ] = ACTIONS(4628),
    [anon_sym_COLON_EQ] = ACTIONS(4626),
    [anon_sym_COLON] = ACTIONS(4628),
    [anon_sym_LPAREN] = ACTIONS(4626),
    [anon_sym_PLUS_EQ] = ACTIONS(4626),
    [anon_sym_DASH_EQ] = ACTIONS(4626),
    [anon_sym_STAR_EQ] = ACTIONS(4626),
    [anon_sym_SLASH_EQ] = ACTIONS(4626),
    [anon_sym_PERCENT_EQ] = ACTIONS(4626),
    [anon_sym_AMP_EQ] = ACTIONS(4626),
    [anon_sym_PIPE_EQ] = ACTIONS(4626),
    [anon_sym_CARET_EQ] = ACTIONS(4626),
    [anon_sym_LT_LT_EQ] = ACTIONS(4626),
    [anon_sym_GT_GT_EQ] = ACTIONS(4626),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4626),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4626),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4626),
    [anon_sym_if] = ACTIONS(4626),
    [anon_sym_SEMI] = ACTIONS(4626),
    [anon_sym_else] = ACTIONS(4626),
    [anon_sym_when] = ACTIONS(4626),
    [anon_sym_in] = ACTIONS(4626),
    [anon_sym_case] = ACTIONS(4626),
    [anon_sym_QMARK] = ACTIONS(4626),
    [anon_sym_PLUS] = ACTIONS(4628),
    [anon_sym_DASH] = ACTIONS(4628),
    [anon_sym_TILDE] = ACTIONS(4628),
    [anon_sym_AMP] = ACTIONS(4628),
    [anon_sym_PIPE_PIPE] = ACTIONS(4628),
    [anon_sym_or_else] = ACTIONS(4626),
    [anon_sym_AMP_AMP] = ACTIONS(4628),
    [anon_sym_GT] = ACTIONS(4628),
    [anon_sym_GT_EQ] = ACTIONS(4626),
    [anon_sym_LT_EQ] = ACTIONS(4626),
    [anon_sym_LT] = ACTIONS(4628),
    [anon_sym_EQ_EQ] = ACTIONS(4626),
    [anon_sym_BANG_EQ] = ACTIONS(4626),
    [anon_sym_TILDE_EQ] = ACTIONS(4626),
    [anon_sym_PIPE] = ACTIONS(4628),
    [anon_sym_AMP_TILDE] = ACTIONS(4628),
    [anon_sym_LT_LT] = ACTIONS(4628),
    [anon_sym_GT_GT] = ACTIONS(4628),
    [anon_sym_STAR] = ACTIONS(4628),
    [anon_sym_SLASH] = ACTIONS(4628),
    [anon_sym_PERCENT] = ACTIONS(4628),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4626),
    [anon_sym_DOT] = ACTIONS(4628),
    [anon_sym_LBRACK] = ACTIONS(4626),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4626),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4626),
    [anon_sym_not_in] = ACTIONS(4626),
    [anon_sym_or_return] = ACTIONS(4626),
    [anon_sym_or_continue] = ACTIONS(4626),
    [anon_sym_or_break] = ACTIONS(4626),
    [anon_sym_CARET] = ACTIONS(4628),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4626),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1441] = {
    [sym_expression] = STATE(5660),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1442] = {
    [sym_expression] = STATE(2785),
    [sym__expression_no_tag] = STATE(2692),
    [sym_unary_expression] = STATE(2692),
    [sym_binary_expression] = STATE(2692),
    [sym_ternary_expression] = STATE(2692),
    [sym_call_expression] = STATE(2692),
    [sym_selector_call_expression] = STATE(2692),
    [sym_member_expression] = STATE(2692),
    [sym_index_expression] = STATE(2692),
    [sym_slice_expression] = STATE(2692),
    [sym_range_expression] = STATE(2692),
    [sym_cast_expression] = STATE(2692),
    [sym_in_expression] = STATE(2692),
    [sym_variadic_expression] = STATE(2692),
    [sym_parenthesized_expression] = STATE(2692),
    [sym_or_return_expression] = STATE(2692),
    [sym_or_continue_expression] = STATE(2692),
    [sym_or_break_expression] = STATE(2692),
    [sym_address] = STATE(2692),
    [sym_map_type] = STATE(2692),
    [sym_matrix_type] = STATE(2692),
    [sym_distinct_type] = STATE(2692),
    [sym_literal] = STATE(2692),
    [sym_struct] = STATE(2751),
    [sym_map] = STATE(2747),
    [sym_bit_set] = STATE(2747),
    [sym_matrix] = STATE(2747),
    [sym_string] = STATE(2747),
    [sym__string_literal] = STATE(2752),
    [sym__raw_string_literal] = STATE(2752),
    [sym_character] = STATE(2747),
    [sym_boolean] = STATE(2747),
    [sym_field_identifier] = STATE(7946),
    [sym_identifier] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(309),
    [anon_sym_LPAREN] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(375),
    [anon_sym_PLUS] = ACTIONS(3165),
    [anon_sym_DASH] = ACTIONS(311),
    [anon_sym_TILDE] = ACTIONS(3165),
    [anon_sym_BANG] = ACTIONS(3165),
    [anon_sym_AMP] = ACTIONS(3165),
    [anon_sym_DOT] = ACTIONS(377),
    [anon_sym_LBRACK] = ACTIONS(379),
    [anon_sym_cast] = ACTIONS(313),
    [anon_sym_transmute] = ACTIONS(313),
    [anon_sym_auto_cast] = ACTIONS(315),
    [anon_sym_DOT_DOT] = ACTIONS(3167),
    [anon_sym_map] = ACTIONS(319),
    [anon_sym_bit_set] = ACTIONS(321),
    [anon_sym_matrix] = ACTIONS(323),
    [anon_sym_distinct] = ACTIONS(325),
    [sym_number] = ACTIONS(327),
    [anon_sym_DQUOTE] = ACTIONS(329),
    [anon_sym_BQUOTE] = ACTIONS(331),
    [anon_sym_SQUOTE] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym_nil] = ACTIONS(337),
    [sym_uninitialized] = ACTIONS(327),
    [sym_tag] = ACTIONS(339),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(327),
    [sym_block_comment] = ACTIONS(3),
  },
  [1443] = {
    [sym_expression] = STATE(2786),
    [sym__expression_no_tag] = STATE(2692),
    [sym_unary_expression] = STATE(2692),
    [sym_binary_expression] = STATE(2692),
    [sym_ternary_expression] = STATE(2692),
    [sym_call_expression] = STATE(2692),
    [sym_selector_call_expression] = STATE(2692),
    [sym_member_expression] = STATE(2692),
    [sym_index_expression] = STATE(2692),
    [sym_slice_expression] = STATE(2692),
    [sym_range_expression] = STATE(2692),
    [sym_cast_expression] = STATE(2692),
    [sym_in_expression] = STATE(2692),
    [sym_variadic_expression] = STATE(2692),
    [sym_parenthesized_expression] = STATE(2692),
    [sym_or_return_expression] = STATE(2692),
    [sym_or_continue_expression] = STATE(2692),
    [sym_or_break_expression] = STATE(2692),
    [sym_address] = STATE(2692),
    [sym_map_type] = STATE(2692),
    [sym_matrix_type] = STATE(2692),
    [sym_distinct_type] = STATE(2692),
    [sym_literal] = STATE(2692),
    [sym_struct] = STATE(2751),
    [sym_map] = STATE(2747),
    [sym_bit_set] = STATE(2747),
    [sym_matrix] = STATE(2747),
    [sym_string] = STATE(2747),
    [sym__string_literal] = STATE(2752),
    [sym__raw_string_literal] = STATE(2752),
    [sym_character] = STATE(2747),
    [sym_boolean] = STATE(2747),
    [sym_field_identifier] = STATE(7946),
    [sym_identifier] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(309),
    [anon_sym_LPAREN] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(375),
    [anon_sym_PLUS] = ACTIONS(3165),
    [anon_sym_DASH] = ACTIONS(311),
    [anon_sym_TILDE] = ACTIONS(3165),
    [anon_sym_BANG] = ACTIONS(3165),
    [anon_sym_AMP] = ACTIONS(3165),
    [anon_sym_DOT] = ACTIONS(377),
    [anon_sym_LBRACK] = ACTIONS(379),
    [anon_sym_cast] = ACTIONS(313),
    [anon_sym_transmute] = ACTIONS(313),
    [anon_sym_auto_cast] = ACTIONS(315),
    [anon_sym_DOT_DOT] = ACTIONS(3167),
    [anon_sym_map] = ACTIONS(319),
    [anon_sym_bit_set] = ACTIONS(321),
    [anon_sym_matrix] = ACTIONS(323),
    [anon_sym_distinct] = ACTIONS(325),
    [sym_number] = ACTIONS(327),
    [anon_sym_DQUOTE] = ACTIONS(329),
    [anon_sym_BQUOTE] = ACTIONS(331),
    [anon_sym_SQUOTE] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym_nil] = ACTIONS(337),
    [sym_uninitialized] = ACTIONS(327),
    [sym_tag] = ACTIONS(339),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(327),
    [sym_block_comment] = ACTIONS(3),
  },
  [1444] = {
    [sym_expression] = STATE(5761),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1445] = {
    [sym_expression] = STATE(5763),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1446] = {
    [sym_expression] = STATE(942),
    [sym__expression_no_tag] = STATE(743),
    [sym_unary_expression] = STATE(743),
    [sym_binary_expression] = STATE(743),
    [sym_ternary_expression] = STATE(743),
    [sym_call_expression] = STATE(743),
    [sym_selector_call_expression] = STATE(743),
    [sym_member_expression] = STATE(743),
    [sym_index_expression] = STATE(743),
    [sym_slice_expression] = STATE(743),
    [sym_range_expression] = STATE(743),
    [sym_cast_expression] = STATE(743),
    [sym_in_expression] = STATE(743),
    [sym_variadic_expression] = STATE(743),
    [sym_parenthesized_expression] = STATE(743),
    [sym_or_return_expression] = STATE(743),
    [sym_or_continue_expression] = STATE(743),
    [sym_or_break_expression] = STATE(743),
    [sym_address] = STATE(743),
    [sym_map_type] = STATE(743),
    [sym_matrix_type] = STATE(743),
    [sym_distinct_type] = STATE(743),
    [sym_literal] = STATE(743),
    [sym_struct] = STATE(933),
    [sym_map] = STATE(925),
    [sym_bit_set] = STATE(925),
    [sym_matrix] = STATE(925),
    [sym_string] = STATE(925),
    [sym__string_literal] = STATE(934),
    [sym__raw_string_literal] = STATE(934),
    [sym_character] = STATE(925),
    [sym_boolean] = STATE(925),
    [sym_field_identifier] = STATE(7874),
    [sym_identifier] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(135),
    [anon_sym_QMARK] = ACTIONS(137),
    [anon_sym_PLUS] = ACTIONS(6046),
    [anon_sym_DASH] = ACTIONS(139),
    [anon_sym_TILDE] = ACTIONS(6046),
    [anon_sym_BANG] = ACTIONS(6046),
    [anon_sym_AMP] = ACTIONS(6046),
    [anon_sym_DOT] = ACTIONS(141),
    [anon_sym_LBRACK] = ACTIONS(143),
    [anon_sym_cast] = ACTIONS(145),
    [anon_sym_transmute] = ACTIONS(145),
    [anon_sym_auto_cast] = ACTIONS(147),
    [anon_sym_DOT_DOT] = ACTIONS(6048),
    [anon_sym_map] = ACTIONS(151),
    [anon_sym_bit_set] = ACTIONS(153),
    [anon_sym_matrix] = ACTIONS(155),
    [anon_sym_distinct] = ACTIONS(157),
    [sym_number] = ACTIONS(159),
    [anon_sym_DQUOTE] = ACTIONS(161),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [anon_sym_SQUOTE] = ACTIONS(165),
    [anon_sym_true] = ACTIONS(167),
    [anon_sym_false] = ACTIONS(167),
    [sym_nil] = ACTIONS(169),
    [sym_uninitialized] = ACTIONS(159),
    [sym_tag] = ACTIONS(171),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(159),
    [sym_block_comment] = ACTIONS(3),
  },
  [1447] = {
    [sym_expression] = STATE(949),
    [sym__expression_no_tag] = STATE(743),
    [sym_unary_expression] = STATE(743),
    [sym_binary_expression] = STATE(743),
    [sym_ternary_expression] = STATE(743),
    [sym_call_expression] = STATE(743),
    [sym_selector_call_expression] = STATE(743),
    [sym_member_expression] = STATE(743),
    [sym_index_expression] = STATE(743),
    [sym_slice_expression] = STATE(743),
    [sym_range_expression] = STATE(743),
    [sym_cast_expression] = STATE(743),
    [sym_in_expression] = STATE(743),
    [sym_variadic_expression] = STATE(743),
    [sym_parenthesized_expression] = STATE(743),
    [sym_or_return_expression] = STATE(743),
    [sym_or_continue_expression] = STATE(743),
    [sym_or_break_expression] = STATE(743),
    [sym_address] = STATE(743),
    [sym_map_type] = STATE(743),
    [sym_matrix_type] = STATE(743),
    [sym_distinct_type] = STATE(743),
    [sym_literal] = STATE(743),
    [sym_struct] = STATE(933),
    [sym_map] = STATE(925),
    [sym_bit_set] = STATE(925),
    [sym_matrix] = STATE(925),
    [sym_string] = STATE(925),
    [sym__string_literal] = STATE(934),
    [sym__raw_string_literal] = STATE(934),
    [sym_character] = STATE(925),
    [sym_boolean] = STATE(925),
    [sym_field_identifier] = STATE(7874),
    [sym_identifier] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(135),
    [anon_sym_QMARK] = ACTIONS(137),
    [anon_sym_PLUS] = ACTIONS(6046),
    [anon_sym_DASH] = ACTIONS(139),
    [anon_sym_TILDE] = ACTIONS(6046),
    [anon_sym_BANG] = ACTIONS(6046),
    [anon_sym_AMP] = ACTIONS(6046),
    [anon_sym_DOT] = ACTIONS(141),
    [anon_sym_LBRACK] = ACTIONS(143),
    [anon_sym_cast] = ACTIONS(145),
    [anon_sym_transmute] = ACTIONS(145),
    [anon_sym_auto_cast] = ACTIONS(147),
    [anon_sym_DOT_DOT] = ACTIONS(6048),
    [anon_sym_map] = ACTIONS(151),
    [anon_sym_bit_set] = ACTIONS(153),
    [anon_sym_matrix] = ACTIONS(155),
    [anon_sym_distinct] = ACTIONS(157),
    [sym_number] = ACTIONS(159),
    [anon_sym_DQUOTE] = ACTIONS(161),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [anon_sym_SQUOTE] = ACTIONS(165),
    [anon_sym_true] = ACTIONS(167),
    [anon_sym_false] = ACTIONS(167),
    [sym_nil] = ACTIONS(169),
    [sym_uninitialized] = ACTIONS(159),
    [sym_tag] = ACTIONS(171),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(159),
    [sym_block_comment] = ACTIONS(3),
  },
  [1448] = {
    [sym_expression] = STATE(5557),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1449] = {
    [sym_expression] = STATE(2787),
    [sym__expression_no_tag] = STATE(2692),
    [sym_unary_expression] = STATE(2692),
    [sym_binary_expression] = STATE(2692),
    [sym_ternary_expression] = STATE(2692),
    [sym_call_expression] = STATE(2692),
    [sym_selector_call_expression] = STATE(2692),
    [sym_member_expression] = STATE(2692),
    [sym_index_expression] = STATE(2692),
    [sym_slice_expression] = STATE(2692),
    [sym_range_expression] = STATE(2692),
    [sym_cast_expression] = STATE(2692),
    [sym_in_expression] = STATE(2692),
    [sym_variadic_expression] = STATE(2692),
    [sym_parenthesized_expression] = STATE(2692),
    [sym_or_return_expression] = STATE(2692),
    [sym_or_continue_expression] = STATE(2692),
    [sym_or_break_expression] = STATE(2692),
    [sym_address] = STATE(2692),
    [sym_map_type] = STATE(2692),
    [sym_matrix_type] = STATE(2692),
    [sym_distinct_type] = STATE(2692),
    [sym_literal] = STATE(2692),
    [sym_struct] = STATE(2751),
    [sym_map] = STATE(2747),
    [sym_bit_set] = STATE(2747),
    [sym_matrix] = STATE(2747),
    [sym_string] = STATE(2747),
    [sym__string_literal] = STATE(2752),
    [sym__raw_string_literal] = STATE(2752),
    [sym_character] = STATE(2747),
    [sym_boolean] = STATE(2747),
    [sym_field_identifier] = STATE(7946),
    [sym_identifier] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(309),
    [anon_sym_LPAREN] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(375),
    [anon_sym_PLUS] = ACTIONS(3165),
    [anon_sym_DASH] = ACTIONS(311),
    [anon_sym_TILDE] = ACTIONS(3165),
    [anon_sym_BANG] = ACTIONS(3165),
    [anon_sym_AMP] = ACTIONS(3165),
    [anon_sym_DOT] = ACTIONS(377),
    [anon_sym_LBRACK] = ACTIONS(379),
    [anon_sym_cast] = ACTIONS(313),
    [anon_sym_transmute] = ACTIONS(313),
    [anon_sym_auto_cast] = ACTIONS(315),
    [anon_sym_DOT_DOT] = ACTIONS(3167),
    [anon_sym_map] = ACTIONS(319),
    [anon_sym_bit_set] = ACTIONS(321),
    [anon_sym_matrix] = ACTIONS(323),
    [anon_sym_distinct] = ACTIONS(325),
    [sym_number] = ACTIONS(327),
    [anon_sym_DQUOTE] = ACTIONS(329),
    [anon_sym_BQUOTE] = ACTIONS(331),
    [anon_sym_SQUOTE] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym_nil] = ACTIONS(337),
    [sym_uninitialized] = ACTIONS(327),
    [sym_tag] = ACTIONS(339),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(327),
    [sym_block_comment] = ACTIONS(3),
  },
  [1450] = {
    [sym_expression] = STATE(5396),
    [sym__expression_no_tag] = STATE(4385),
    [sym_unary_expression] = STATE(4385),
    [sym_binary_expression] = STATE(4385),
    [sym_ternary_expression] = STATE(4385),
    [sym_call_expression] = STATE(4385),
    [sym_selector_call_expression] = STATE(4385),
    [sym_member_expression] = STATE(4385),
    [sym_index_expression] = STATE(4385),
    [sym_slice_expression] = STATE(4385),
    [sym_range_expression] = STATE(4385),
    [sym_cast_expression] = STATE(4385),
    [sym_in_expression] = STATE(4385),
    [sym_variadic_expression] = STATE(4385),
    [sym_parenthesized_expression] = STATE(4385),
    [sym_or_return_expression] = STATE(4385),
    [sym_or_continue_expression] = STATE(4385),
    [sym_or_break_expression] = STATE(4385),
    [sym_address] = STATE(4385),
    [sym_map_type] = STATE(4385),
    [sym_matrix_type] = STATE(4385),
    [sym_distinct_type] = STATE(4385),
    [sym_literal] = STATE(4385),
    [sym_struct] = STATE(4394),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(925),
    [anon_sym_QMARK] = ACTIONS(1240),
    [anon_sym_PLUS] = ACTIONS(929),
    [anon_sym_DASH] = ACTIONS(931),
    [anon_sym_TILDE] = ACTIONS(929),
    [anon_sym_BANG] = ACTIONS(929),
    [anon_sym_AMP] = ACTIONS(929),
    [anon_sym_DOT] = ACTIONS(933),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(935),
    [anon_sym_transmute] = ACTIONS(935),
    [anon_sym_auto_cast] = ACTIONS(937),
    [anon_sym_DOT_DOT] = ACTIONS(4422),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(6060),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1451] = {
    [sym_expression] = STATE(950),
    [sym__expression_no_tag] = STATE(743),
    [sym_unary_expression] = STATE(743),
    [sym_binary_expression] = STATE(743),
    [sym_ternary_expression] = STATE(743),
    [sym_call_expression] = STATE(743),
    [sym_selector_call_expression] = STATE(743),
    [sym_member_expression] = STATE(743),
    [sym_index_expression] = STATE(743),
    [sym_slice_expression] = STATE(743),
    [sym_range_expression] = STATE(743),
    [sym_cast_expression] = STATE(743),
    [sym_in_expression] = STATE(743),
    [sym_variadic_expression] = STATE(743),
    [sym_parenthesized_expression] = STATE(743),
    [sym_or_return_expression] = STATE(743),
    [sym_or_continue_expression] = STATE(743),
    [sym_or_break_expression] = STATE(743),
    [sym_address] = STATE(743),
    [sym_map_type] = STATE(743),
    [sym_matrix_type] = STATE(743),
    [sym_distinct_type] = STATE(743),
    [sym_literal] = STATE(743),
    [sym_struct] = STATE(933),
    [sym_map] = STATE(925),
    [sym_bit_set] = STATE(925),
    [sym_matrix] = STATE(925),
    [sym_string] = STATE(925),
    [sym__string_literal] = STATE(934),
    [sym__raw_string_literal] = STATE(934),
    [sym_character] = STATE(925),
    [sym_boolean] = STATE(925),
    [sym_field_identifier] = STATE(7874),
    [sym_identifier] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(135),
    [anon_sym_QMARK] = ACTIONS(137),
    [anon_sym_PLUS] = ACTIONS(6046),
    [anon_sym_DASH] = ACTIONS(139),
    [anon_sym_TILDE] = ACTIONS(6046),
    [anon_sym_BANG] = ACTIONS(6046),
    [anon_sym_AMP] = ACTIONS(6046),
    [anon_sym_DOT] = ACTIONS(141),
    [anon_sym_LBRACK] = ACTIONS(143),
    [anon_sym_cast] = ACTIONS(145),
    [anon_sym_transmute] = ACTIONS(145),
    [anon_sym_auto_cast] = ACTIONS(147),
    [anon_sym_DOT_DOT] = ACTIONS(6048),
    [anon_sym_map] = ACTIONS(151),
    [anon_sym_bit_set] = ACTIONS(153),
    [anon_sym_matrix] = ACTIONS(155),
    [anon_sym_distinct] = ACTIONS(157),
    [sym_number] = ACTIONS(159),
    [anon_sym_DQUOTE] = ACTIONS(161),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [anon_sym_SQUOTE] = ACTIONS(165),
    [anon_sym_true] = ACTIONS(167),
    [anon_sym_false] = ACTIONS(167),
    [sym_nil] = ACTIONS(169),
    [sym_uninitialized] = ACTIONS(159),
    [sym_tag] = ACTIONS(171),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(159),
    [sym_block_comment] = ACTIONS(3),
  },
  [1452] = {
    [sym_expression] = STATE(2091),
    [sym__expression_no_tag] = STATE(2219),
    [sym_unary_expression] = STATE(2219),
    [sym_binary_expression] = STATE(2219),
    [sym_ternary_expression] = STATE(2219),
    [sym_call_expression] = STATE(2219),
    [sym_selector_call_expression] = STATE(2219),
    [sym_member_expression] = STATE(2219),
    [sym_index_expression] = STATE(2219),
    [sym_slice_expression] = STATE(2219),
    [sym_range_expression] = STATE(2219),
    [sym_cast_expression] = STATE(2219),
    [sym_in_expression] = STATE(2219),
    [sym_variadic_expression] = STATE(2219),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_or_return_expression] = STATE(2219),
    [sym_or_continue_expression] = STATE(2219),
    [sym_or_break_expression] = STATE(2219),
    [sym_address] = STATE(2219),
    [sym_map_type] = STATE(2219),
    [sym_matrix_type] = STATE(2219),
    [sym_distinct_type] = STATE(2219),
    [sym_literal] = STATE(2219),
    [sym_struct] = STATE(2056),
    [sym_map] = STATE(2054),
    [sym_bit_set] = STATE(2054),
    [sym_matrix] = STATE(2054),
    [sym_string] = STATE(2054),
    [sym__string_literal] = STATE(2057),
    [sym__raw_string_literal] = STATE(2057),
    [sym_character] = STATE(2054),
    [sym_boolean] = STATE(2054),
    [sym_field_identifier] = STATE(7869),
    [sym_identifier] = ACTIONS(207),
    [anon_sym_LBRACE] = ACTIONS(237),
    [anon_sym_LPAREN] = ACTIONS(239),
    [anon_sym_QMARK] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(6042),
    [anon_sym_DASH] = ACTIONS(209),
    [anon_sym_TILDE] = ACTIONS(6042),
    [anon_sym_BANG] = ACTIONS(6042),
    [anon_sym_AMP] = ACTIONS(6042),
    [anon_sym_DOT] = ACTIONS(243),
    [anon_sym_LBRACK] = ACTIONS(245),
    [anon_sym_cast] = ACTIONS(211),
    [anon_sym_transmute] = ACTIONS(211),
    [anon_sym_auto_cast] = ACTIONS(213),
    [anon_sym_DOT_DOT] = ACTIONS(6044),
    [anon_sym_map] = ACTIONS(217),
    [anon_sym_bit_set] = ACTIONS(219),
    [anon_sym_matrix] = ACTIONS(221),
    [anon_sym_distinct] = ACTIONS(223),
    [sym_number] = ACTIONS(225),
    [anon_sym_DQUOTE] = ACTIONS(227),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_SQUOTE] = ACTIONS(231),
    [anon_sym_true] = ACTIONS(233),
    [anon_sym_false] = ACTIONS(233),
    [sym_nil] = ACTIONS(235),
    [sym_uninitialized] = ACTIONS(225),
    [sym_tag] = ACTIONS(247),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(225),
    [sym_block_comment] = ACTIONS(3),
  },
  [1453] = {
    [sym_expression] = STATE(4357),
    [sym__expression_no_tag] = STATE(4431),
    [sym_unary_expression] = STATE(4431),
    [sym_binary_expression] = STATE(4431),
    [sym_ternary_expression] = STATE(4431),
    [sym_call_expression] = STATE(4431),
    [sym_selector_call_expression] = STATE(4431),
    [sym_member_expression] = STATE(4431),
    [sym_index_expression] = STATE(4431),
    [sym_slice_expression] = STATE(4431),
    [sym_range_expression] = STATE(4431),
    [sym_cast_expression] = STATE(4431),
    [sym_in_expression] = STATE(4431),
    [sym_variadic_expression] = STATE(4431),
    [sym_parenthesized_expression] = STATE(4431),
    [sym_or_return_expression] = STATE(4431),
    [sym_or_continue_expression] = STATE(4431),
    [sym_or_break_expression] = STATE(4431),
    [sym_address] = STATE(4431),
    [sym_map_type] = STATE(4431),
    [sym_matrix_type] = STATE(4431),
    [sym_distinct_type] = STATE(4431),
    [sym_literal] = STATE(4431),
    [sym_struct] = STATE(4333),
    [sym_map] = STATE(4320),
    [sym_bit_set] = STATE(4320),
    [sym_matrix] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym__string_literal] = STATE(4334),
    [sym__raw_string_literal] = STATE(4334),
    [sym_character] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_field_identifier] = STATE(7845),
    [sym_identifier] = ACTIONS(341),
    [anon_sym_LBRACE] = ACTIONS(943),
    [anon_sym_LPAREN] = ACTIONS(945),
    [anon_sym_QMARK] = ACTIONS(947),
    [anon_sym_PLUS] = ACTIONS(949),
    [anon_sym_DASH] = ACTIONS(951),
    [anon_sym_TILDE] = ACTIONS(949),
    [anon_sym_BANG] = ACTIONS(949),
    [anon_sym_AMP] = ACTIONS(949),
    [anon_sym_DOT] = ACTIONS(953),
    [anon_sym_LBRACK] = ACTIONS(955),
    [anon_sym_cast] = ACTIONS(957),
    [anon_sym_transmute] = ACTIONS(957),
    [anon_sym_auto_cast] = ACTIONS(959),
    [anon_sym_DOT_DOT] = ACTIONS(3241),
    [anon_sym_map] = ACTIONS(351),
    [anon_sym_bit_set] = ACTIONS(353),
    [anon_sym_matrix] = ACTIONS(355),
    [anon_sym_distinct] = ACTIONS(357),
    [sym_number] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(361),
    [anon_sym_BQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [anon_sym_true] = ACTIONS(367),
    [anon_sym_false] = ACTIONS(367),
    [sym_nil] = ACTIONS(369),
    [sym_uninitialized] = ACTIONS(359),
    [sym_tag] = ACTIONS(963),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(359),
    [sym_block_comment] = ACTIONS(3),
  },
  [1454] = {
    [sym_expression] = STATE(3873),
    [sym__expression_no_tag] = STATE(3826),
    [sym_unary_expression] = STATE(3826),
    [sym_binary_expression] = STATE(3826),
    [sym_ternary_expression] = STATE(3826),
    [sym_call_expression] = STATE(3826),
    [sym_selector_call_expression] = STATE(3826),
    [sym_member_expression] = STATE(3826),
    [sym_index_expression] = STATE(3826),
    [sym_slice_expression] = STATE(3826),
    [sym_range_expression] = STATE(3826),
    [sym_cast_expression] = STATE(3826),
    [sym_in_expression] = STATE(3826),
    [sym_variadic_expression] = STATE(3826),
    [sym_parenthesized_expression] = STATE(3826),
    [sym_or_return_expression] = STATE(3826),
    [sym_or_continue_expression] = STATE(3826),
    [sym_or_break_expression] = STATE(3826),
    [sym_address] = STATE(3826),
    [sym_map_type] = STATE(3826),
    [sym_matrix_type] = STATE(3826),
    [sym_distinct_type] = STATE(3826),
    [sym_literal] = STATE(3826),
    [sym_struct] = STATE(3866),
    [sym_map] = STATE(3787),
    [sym_bit_set] = STATE(3787),
    [sym_matrix] = STATE(3787),
    [sym_string] = STATE(3787),
    [sym__string_literal] = STATE(3867),
    [sym__raw_string_literal] = STATE(3867),
    [sym_character] = STATE(3787),
    [sym_boolean] = STATE(3787),
    [sym_field_identifier] = STATE(7783),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_QMARK] = ACTIONS(657),
    [anon_sym_PLUS] = ACTIONS(27),
    [anon_sym_DASH] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(27),
    [anon_sym_DOT] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_cast] = ACTIONS(35),
    [anon_sym_transmute] = ACTIONS(35),
    [anon_sym_auto_cast] = ACTIONS(37),
    [anon_sym_DOT_DOT] = ACTIONS(39),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(611),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [1455] = {
    [sym_expression] = STATE(2788),
    [sym__expression_no_tag] = STATE(2692),
    [sym_unary_expression] = STATE(2692),
    [sym_binary_expression] = STATE(2692),
    [sym_ternary_expression] = STATE(2692),
    [sym_call_expression] = STATE(2692),
    [sym_selector_call_expression] = STATE(2692),
    [sym_member_expression] = STATE(2692),
    [sym_index_expression] = STATE(2692),
    [sym_slice_expression] = STATE(2692),
    [sym_range_expression] = STATE(2692),
    [sym_cast_expression] = STATE(2692),
    [sym_in_expression] = STATE(2692),
    [sym_variadic_expression] = STATE(2692),
    [sym_parenthesized_expression] = STATE(2692),
    [sym_or_return_expression] = STATE(2692),
    [sym_or_continue_expression] = STATE(2692),
    [sym_or_break_expression] = STATE(2692),
    [sym_address] = STATE(2692),
    [sym_map_type] = STATE(2692),
    [sym_matrix_type] = STATE(2692),
    [sym_distinct_type] = STATE(2692),
    [sym_literal] = STATE(2692),
    [sym_struct] = STATE(2751),
    [sym_map] = STATE(2747),
    [sym_bit_set] = STATE(2747),
    [sym_matrix] = STATE(2747),
    [sym_string] = STATE(2747),
    [sym__string_literal] = STATE(2752),
    [sym__raw_string_literal] = STATE(2752),
    [sym_character] = STATE(2747),
    [sym_boolean] = STATE(2747),
    [sym_field_identifier] = STATE(7946),
    [sym_identifier] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(309),
    [anon_sym_LPAREN] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(375),
    [anon_sym_PLUS] = ACTIONS(3165),
    [anon_sym_DASH] = ACTIONS(311),
    [anon_sym_TILDE] = ACTIONS(3165),
    [anon_sym_BANG] = ACTIONS(3165),
    [anon_sym_AMP] = ACTIONS(3165),
    [anon_sym_DOT] = ACTIONS(377),
    [anon_sym_LBRACK] = ACTIONS(379),
    [anon_sym_cast] = ACTIONS(313),
    [anon_sym_transmute] = ACTIONS(313),
    [anon_sym_auto_cast] = ACTIONS(315),
    [anon_sym_DOT_DOT] = ACTIONS(3167),
    [anon_sym_map] = ACTIONS(319),
    [anon_sym_bit_set] = ACTIONS(321),
    [anon_sym_matrix] = ACTIONS(323),
    [anon_sym_distinct] = ACTIONS(325),
    [sym_number] = ACTIONS(327),
    [anon_sym_DQUOTE] = ACTIONS(329),
    [anon_sym_BQUOTE] = ACTIONS(331),
    [anon_sym_SQUOTE] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym_nil] = ACTIONS(337),
    [sym_uninitialized] = ACTIONS(327),
    [sym_tag] = ACTIONS(339),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(327),
    [sym_block_comment] = ACTIONS(3),
  },
  [1456] = {
    [sym_expression] = STATE(5526),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1457] = {
    [sym_expression] = STATE(5863),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1458] = {
    [sym_expression] = STATE(5530),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1459] = {
    [sym_expression] = STATE(5531),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1460] = {
    [sym_expression] = STATE(957),
    [sym__expression_no_tag] = STATE(743),
    [sym_unary_expression] = STATE(743),
    [sym_binary_expression] = STATE(743),
    [sym_ternary_expression] = STATE(743),
    [sym_call_expression] = STATE(743),
    [sym_selector_call_expression] = STATE(743),
    [sym_member_expression] = STATE(743),
    [sym_index_expression] = STATE(743),
    [sym_slice_expression] = STATE(743),
    [sym_range_expression] = STATE(743),
    [sym_cast_expression] = STATE(743),
    [sym_in_expression] = STATE(743),
    [sym_variadic_expression] = STATE(743),
    [sym_parenthesized_expression] = STATE(743),
    [sym_or_return_expression] = STATE(743),
    [sym_or_continue_expression] = STATE(743),
    [sym_or_break_expression] = STATE(743),
    [sym_address] = STATE(743),
    [sym_map_type] = STATE(743),
    [sym_matrix_type] = STATE(743),
    [sym_distinct_type] = STATE(743),
    [sym_literal] = STATE(743),
    [sym_struct] = STATE(933),
    [sym_map] = STATE(925),
    [sym_bit_set] = STATE(925),
    [sym_matrix] = STATE(925),
    [sym_string] = STATE(925),
    [sym__string_literal] = STATE(934),
    [sym__raw_string_literal] = STATE(934),
    [sym_character] = STATE(925),
    [sym_boolean] = STATE(925),
    [sym_field_identifier] = STATE(7874),
    [sym_identifier] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(135),
    [anon_sym_QMARK] = ACTIONS(137),
    [anon_sym_PLUS] = ACTIONS(6046),
    [anon_sym_DASH] = ACTIONS(139),
    [anon_sym_TILDE] = ACTIONS(6046),
    [anon_sym_BANG] = ACTIONS(6046),
    [anon_sym_AMP] = ACTIONS(6046),
    [anon_sym_DOT] = ACTIONS(141),
    [anon_sym_LBRACK] = ACTIONS(143),
    [anon_sym_cast] = ACTIONS(145),
    [anon_sym_transmute] = ACTIONS(145),
    [anon_sym_auto_cast] = ACTIONS(147),
    [anon_sym_DOT_DOT] = ACTIONS(6048),
    [anon_sym_map] = ACTIONS(151),
    [anon_sym_bit_set] = ACTIONS(153),
    [anon_sym_matrix] = ACTIONS(155),
    [anon_sym_distinct] = ACTIONS(157),
    [sym_number] = ACTIONS(159),
    [anon_sym_DQUOTE] = ACTIONS(161),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [anon_sym_SQUOTE] = ACTIONS(165),
    [anon_sym_true] = ACTIONS(167),
    [anon_sym_false] = ACTIONS(167),
    [sym_nil] = ACTIONS(169),
    [sym_uninitialized] = ACTIONS(159),
    [sym_tag] = ACTIONS(171),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(159),
    [sym_block_comment] = ACTIONS(3),
  },
  [1461] = {
    [anon_sym_LBRACE] = ACTIONS(3977),
    [anon_sym_RBRACE] = ACTIONS(3977),
    [anon_sym_COMMA] = ACTIONS(3977),
    [anon_sym_COLON_COLON] = ACTIONS(3977),
    [anon_sym_DASH_GT] = ACTIONS(3977),
    [anon_sym_EQ] = ACTIONS(3979),
    [anon_sym_COLON_EQ] = ACTIONS(3977),
    [anon_sym_COLON] = ACTIONS(3979),
    [anon_sym_LPAREN] = ACTIONS(3977),
    [anon_sym_PLUS_EQ] = ACTIONS(3977),
    [anon_sym_DASH_EQ] = ACTIONS(3977),
    [anon_sym_STAR_EQ] = ACTIONS(3977),
    [anon_sym_SLASH_EQ] = ACTIONS(3977),
    [anon_sym_PERCENT_EQ] = ACTIONS(3977),
    [anon_sym_AMP_EQ] = ACTIONS(3977),
    [anon_sym_PIPE_EQ] = ACTIONS(3977),
    [anon_sym_CARET_EQ] = ACTIONS(3977),
    [anon_sym_LT_LT_EQ] = ACTIONS(3977),
    [anon_sym_GT_GT_EQ] = ACTIONS(3977),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3977),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3977),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(3977),
    [anon_sym_if] = ACTIONS(3977),
    [anon_sym_SEMI] = ACTIONS(3977),
    [anon_sym_else] = ACTIONS(3977),
    [anon_sym_when] = ACTIONS(3977),
    [anon_sym_in] = ACTIONS(3977),
    [anon_sym_case] = ACTIONS(3977),
    [anon_sym_QMARK] = ACTIONS(3977),
    [anon_sym_PLUS] = ACTIONS(3979),
    [anon_sym_DASH] = ACTIONS(3979),
    [anon_sym_TILDE] = ACTIONS(3979),
    [anon_sym_AMP] = ACTIONS(3979),
    [anon_sym_PIPE_PIPE] = ACTIONS(3979),
    [anon_sym_or_else] = ACTIONS(3977),
    [anon_sym_AMP_AMP] = ACTIONS(3979),
    [anon_sym_GT] = ACTIONS(3979),
    [anon_sym_GT_EQ] = ACTIONS(3977),
    [anon_sym_LT_EQ] = ACTIONS(3977),
    [anon_sym_LT] = ACTIONS(3979),
    [anon_sym_EQ_EQ] = ACTIONS(3977),
    [anon_sym_BANG_EQ] = ACTIONS(3977),
    [anon_sym_TILDE_EQ] = ACTIONS(3977),
    [anon_sym_PIPE] = ACTIONS(3979),
    [anon_sym_AMP_TILDE] = ACTIONS(3979),
    [anon_sym_LT_LT] = ACTIONS(3979),
    [anon_sym_GT_GT] = ACTIONS(3979),
    [anon_sym_STAR] = ACTIONS(3979),
    [anon_sym_SLASH] = ACTIONS(3979),
    [anon_sym_PERCENT] = ACTIONS(3979),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(3977),
    [anon_sym_DOT] = ACTIONS(3979),
    [anon_sym_LBRACK] = ACTIONS(3977),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(3977),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3977),
    [anon_sym_not_in] = ACTIONS(3977),
    [anon_sym_or_return] = ACTIONS(3977),
    [anon_sym_or_continue] = ACTIONS(3977),
    [anon_sym_or_break] = ACTIONS(3977),
    [anon_sym_CARET] = ACTIONS(3979),
    [anon_sym_DOT2] = ACTIONS(3979),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(3977),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1462] = {
    [sym_expression] = STATE(4490),
    [sym__expression_no_tag] = STATE(4299),
    [sym_unary_expression] = STATE(4299),
    [sym_binary_expression] = STATE(4299),
    [sym_ternary_expression] = STATE(4299),
    [sym_call_expression] = STATE(4299),
    [sym_selector_call_expression] = STATE(4299),
    [sym_member_expression] = STATE(4299),
    [sym_index_expression] = STATE(4299),
    [sym_slice_expression] = STATE(4299),
    [sym_range_expression] = STATE(4299),
    [sym_cast_expression] = STATE(4299),
    [sym_in_expression] = STATE(4299),
    [sym_variadic_expression] = STATE(4299),
    [sym_parenthesized_expression] = STATE(4299),
    [sym_or_return_expression] = STATE(4299),
    [sym_or_continue_expression] = STATE(4299),
    [sym_or_break_expression] = STATE(4299),
    [sym_address] = STATE(4299),
    [sym_map_type] = STATE(4299),
    [sym_matrix_type] = STATE(4299),
    [sym_distinct_type] = STATE(4299),
    [sym_literal] = STATE(4299),
    [sym_struct] = STATE(4311),
    [sym_map] = STATE(3787),
    [sym_bit_set] = STATE(3787),
    [sym_matrix] = STATE(3787),
    [sym_string] = STATE(3787),
    [sym__string_literal] = STATE(3867),
    [sym__raw_string_literal] = STATE(3867),
    [sym_character] = STATE(3787),
    [sym_boolean] = STATE(3787),
    [sym_field_identifier] = STATE(7783),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(759),
    [anon_sym_QMARK] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(763),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(763),
    [anon_sym_BANG] = ACTIONS(763),
    [anon_sym_AMP] = ACTIONS(763),
    [anon_sym_DOT] = ACTIONS(765),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_cast] = ACTIONS(597),
    [anon_sym_transmute] = ACTIONS(597),
    [anon_sym_auto_cast] = ACTIONS(599),
    [anon_sym_DOT_DOT] = ACTIONS(2797),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [1463] = {
    [sym_expression] = STATE(4883),
    [sym__expression_no_tag] = STATE(4299),
    [sym_unary_expression] = STATE(4299),
    [sym_binary_expression] = STATE(4299),
    [sym_ternary_expression] = STATE(4299),
    [sym_call_expression] = STATE(4299),
    [sym_selector_call_expression] = STATE(4299),
    [sym_member_expression] = STATE(4299),
    [sym_index_expression] = STATE(4299),
    [sym_slice_expression] = STATE(4299),
    [sym_range_expression] = STATE(4299),
    [sym_cast_expression] = STATE(4299),
    [sym_in_expression] = STATE(4299),
    [sym_variadic_expression] = STATE(4299),
    [sym_parenthesized_expression] = STATE(4299),
    [sym_or_return_expression] = STATE(4299),
    [sym_or_continue_expression] = STATE(4299),
    [sym_or_break_expression] = STATE(4299),
    [sym_address] = STATE(4299),
    [sym_map_type] = STATE(4299),
    [sym_matrix_type] = STATE(4299),
    [sym_distinct_type] = STATE(4299),
    [sym_literal] = STATE(4299),
    [sym_struct] = STATE(4311),
    [sym_map] = STATE(3787),
    [sym_bit_set] = STATE(3787),
    [sym_matrix] = STATE(3787),
    [sym_string] = STATE(3787),
    [sym__string_literal] = STATE(3867),
    [sym__raw_string_literal] = STATE(3867),
    [sym_character] = STATE(3787),
    [sym_boolean] = STATE(3787),
    [sym_field_identifier] = STATE(7783),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(759),
    [anon_sym_QMARK] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(763),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(763),
    [anon_sym_BANG] = ACTIONS(763),
    [anon_sym_AMP] = ACTIONS(763),
    [anon_sym_DOT] = ACTIONS(765),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_cast] = ACTIONS(597),
    [anon_sym_transmute] = ACTIONS(597),
    [anon_sym_auto_cast] = ACTIONS(599),
    [anon_sym_DOT_DOT] = ACTIONS(2797),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [1464] = {
    [sym_expression] = STATE(2789),
    [sym__expression_no_tag] = STATE(2692),
    [sym_unary_expression] = STATE(2692),
    [sym_binary_expression] = STATE(2692),
    [sym_ternary_expression] = STATE(2692),
    [sym_call_expression] = STATE(2692),
    [sym_selector_call_expression] = STATE(2692),
    [sym_member_expression] = STATE(2692),
    [sym_index_expression] = STATE(2692),
    [sym_slice_expression] = STATE(2692),
    [sym_range_expression] = STATE(2692),
    [sym_cast_expression] = STATE(2692),
    [sym_in_expression] = STATE(2692),
    [sym_variadic_expression] = STATE(2692),
    [sym_parenthesized_expression] = STATE(2692),
    [sym_or_return_expression] = STATE(2692),
    [sym_or_continue_expression] = STATE(2692),
    [sym_or_break_expression] = STATE(2692),
    [sym_address] = STATE(2692),
    [sym_map_type] = STATE(2692),
    [sym_matrix_type] = STATE(2692),
    [sym_distinct_type] = STATE(2692),
    [sym_literal] = STATE(2692),
    [sym_struct] = STATE(2751),
    [sym_map] = STATE(2747),
    [sym_bit_set] = STATE(2747),
    [sym_matrix] = STATE(2747),
    [sym_string] = STATE(2747),
    [sym__string_literal] = STATE(2752),
    [sym__raw_string_literal] = STATE(2752),
    [sym_character] = STATE(2747),
    [sym_boolean] = STATE(2747),
    [sym_field_identifier] = STATE(7946),
    [sym_identifier] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(309),
    [anon_sym_LPAREN] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(375),
    [anon_sym_PLUS] = ACTIONS(3165),
    [anon_sym_DASH] = ACTIONS(311),
    [anon_sym_TILDE] = ACTIONS(3165),
    [anon_sym_BANG] = ACTIONS(3165),
    [anon_sym_AMP] = ACTIONS(3165),
    [anon_sym_DOT] = ACTIONS(377),
    [anon_sym_LBRACK] = ACTIONS(379),
    [anon_sym_cast] = ACTIONS(313),
    [anon_sym_transmute] = ACTIONS(313),
    [anon_sym_auto_cast] = ACTIONS(315),
    [anon_sym_DOT_DOT] = ACTIONS(3167),
    [anon_sym_map] = ACTIONS(319),
    [anon_sym_bit_set] = ACTIONS(321),
    [anon_sym_matrix] = ACTIONS(323),
    [anon_sym_distinct] = ACTIONS(325),
    [sym_number] = ACTIONS(327),
    [anon_sym_DQUOTE] = ACTIONS(329),
    [anon_sym_BQUOTE] = ACTIONS(331),
    [anon_sym_SQUOTE] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym_nil] = ACTIONS(337),
    [sym_uninitialized] = ACTIONS(327),
    [sym_tag] = ACTIONS(339),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(327),
    [sym_block_comment] = ACTIONS(3),
  },
  [1465] = {
    [sym_expression] = STATE(3029),
    [sym__expression_no_tag] = STATE(3174),
    [sym_unary_expression] = STATE(3174),
    [sym_binary_expression] = STATE(3174),
    [sym_ternary_expression] = STATE(3174),
    [sym_call_expression] = STATE(3174),
    [sym_selector_call_expression] = STATE(3174),
    [sym_member_expression] = STATE(3174),
    [sym_index_expression] = STATE(3174),
    [sym_slice_expression] = STATE(3174),
    [sym_range_expression] = STATE(3174),
    [sym_cast_expression] = STATE(3174),
    [sym_in_expression] = STATE(3174),
    [sym_variadic_expression] = STATE(3174),
    [sym_parenthesized_expression] = STATE(3174),
    [sym_or_return_expression] = STATE(3174),
    [sym_or_continue_expression] = STATE(3174),
    [sym_or_break_expression] = STATE(3174),
    [sym_address] = STATE(3174),
    [sym_map_type] = STATE(3174),
    [sym_matrix_type] = STATE(3174),
    [sym_distinct_type] = STATE(3174),
    [sym_literal] = STATE(3174),
    [sym_struct] = STATE(3165),
    [sym_map] = STATE(3078),
    [sym_bit_set] = STATE(3078),
    [sym_matrix] = STATE(3078),
    [sym_string] = STATE(3078),
    [sym__string_literal] = STATE(3166),
    [sym__raw_string_literal] = STATE(3166),
    [sym_character] = STATE(3078),
    [sym_boolean] = STATE(3078),
    [sym_field_identifier] = STATE(7864),
    [sym_identifier] = ACTIONS(449),
    [anon_sym_LBRACE] = ACTIONS(451),
    [anon_sym_LPAREN] = ACTIONS(453),
    [anon_sym_QMARK] = ACTIONS(455),
    [anon_sym_PLUS] = ACTIONS(457),
    [anon_sym_DASH] = ACTIONS(459),
    [anon_sym_TILDE] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(457),
    [anon_sym_AMP] = ACTIONS(457),
    [anon_sym_DOT] = ACTIONS(461),
    [anon_sym_LBRACK] = ACTIONS(463),
    [anon_sym_cast] = ACTIONS(465),
    [anon_sym_transmute] = ACTIONS(465),
    [anon_sym_auto_cast] = ACTIONS(467),
    [anon_sym_DOT_DOT] = ACTIONS(6050),
    [anon_sym_map] = ACTIONS(471),
    [anon_sym_bit_set] = ACTIONS(473),
    [anon_sym_matrix] = ACTIONS(475),
    [anon_sym_distinct] = ACTIONS(477),
    [sym_number] = ACTIONS(479),
    [anon_sym_DQUOTE] = ACTIONS(481),
    [anon_sym_BQUOTE] = ACTIONS(483),
    [anon_sym_SQUOTE] = ACTIONS(485),
    [anon_sym_true] = ACTIONS(487),
    [anon_sym_false] = ACTIONS(487),
    [sym_nil] = ACTIONS(489),
    [sym_uninitialized] = ACTIONS(479),
    [sym_tag] = ACTIONS(491),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(479),
    [sym_block_comment] = ACTIONS(3),
  },
  [1466] = {
    [sym_expression] = STATE(5715),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1467] = {
    [sym_expression] = STATE(5716),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1468] = {
    [sym_expression] = STATE(4528),
    [sym__expression_no_tag] = STATE(4299),
    [sym_unary_expression] = STATE(4299),
    [sym_binary_expression] = STATE(4299),
    [sym_ternary_expression] = STATE(4299),
    [sym_call_expression] = STATE(4299),
    [sym_selector_call_expression] = STATE(4299),
    [sym_member_expression] = STATE(4299),
    [sym_index_expression] = STATE(4299),
    [sym_slice_expression] = STATE(4299),
    [sym_range_expression] = STATE(4299),
    [sym_cast_expression] = STATE(4299),
    [sym_in_expression] = STATE(4299),
    [sym_variadic_expression] = STATE(4299),
    [sym_parenthesized_expression] = STATE(4299),
    [sym_or_return_expression] = STATE(4299),
    [sym_or_continue_expression] = STATE(4299),
    [sym_or_break_expression] = STATE(4299),
    [sym_address] = STATE(4299),
    [sym_map_type] = STATE(4299),
    [sym_matrix_type] = STATE(4299),
    [sym_distinct_type] = STATE(4299),
    [sym_literal] = STATE(4299),
    [sym_struct] = STATE(4311),
    [sym_map] = STATE(3787),
    [sym_bit_set] = STATE(3787),
    [sym_matrix] = STATE(3787),
    [sym_string] = STATE(3787),
    [sym__string_literal] = STATE(3867),
    [sym__raw_string_literal] = STATE(3867),
    [sym_character] = STATE(3787),
    [sym_boolean] = STATE(3787),
    [sym_field_identifier] = STATE(7783),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(759),
    [anon_sym_QMARK] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(763),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(763),
    [anon_sym_BANG] = ACTIONS(763),
    [anon_sym_AMP] = ACTIONS(763),
    [anon_sym_DOT] = ACTIONS(765),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_cast] = ACTIONS(597),
    [anon_sym_transmute] = ACTIONS(597),
    [anon_sym_auto_cast] = ACTIONS(599),
    [anon_sym_DOT_DOT] = ACTIONS(2797),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [1469] = {
    [sym_expression] = STATE(2417),
    [sym__expression_no_tag] = STATE(2425),
    [sym_unary_expression] = STATE(2425),
    [sym_binary_expression] = STATE(2425),
    [sym_ternary_expression] = STATE(2425),
    [sym_call_expression] = STATE(2425),
    [sym_selector_call_expression] = STATE(2425),
    [sym_member_expression] = STATE(2425),
    [sym_index_expression] = STATE(2425),
    [sym_slice_expression] = STATE(2425),
    [sym_range_expression] = STATE(2425),
    [sym_cast_expression] = STATE(2425),
    [sym_in_expression] = STATE(2425),
    [sym_variadic_expression] = STATE(2425),
    [sym_parenthesized_expression] = STATE(2425),
    [sym_or_return_expression] = STATE(2425),
    [sym_or_continue_expression] = STATE(2425),
    [sym_or_break_expression] = STATE(2425),
    [sym_address] = STATE(2425),
    [sym_map_type] = STATE(2425),
    [sym_matrix_type] = STATE(2425),
    [sym_distinct_type] = STATE(2425),
    [sym_literal] = STATE(2425),
    [sym_struct] = STATE(2413),
    [sym_map] = STATE(2256),
    [sym_bit_set] = STATE(2256),
    [sym_matrix] = STATE(2256),
    [sym_string] = STATE(2256),
    [sym__string_literal] = STATE(2258),
    [sym__raw_string_literal] = STATE(2258),
    [sym_character] = STATE(2256),
    [sym_boolean] = STATE(2256),
    [sym_field_identifier] = STATE(7777),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_QMARK] = ACTIONS(205),
    [anon_sym_PLUS] = ACTIONS(391),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(391),
    [anon_sym_BANG] = ACTIONS(391),
    [anon_sym_AMP] = ACTIONS(391),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_DOT_DOT] = ACTIONS(393),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(201),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [1470] = {
    [sym_expression] = STATE(2259),
    [sym__expression_no_tag] = STATE(2425),
    [sym_unary_expression] = STATE(2425),
    [sym_binary_expression] = STATE(2425),
    [sym_ternary_expression] = STATE(2425),
    [sym_call_expression] = STATE(2425),
    [sym_selector_call_expression] = STATE(2425),
    [sym_member_expression] = STATE(2425),
    [sym_index_expression] = STATE(2425),
    [sym_slice_expression] = STATE(2425),
    [sym_range_expression] = STATE(2425),
    [sym_cast_expression] = STATE(2425),
    [sym_in_expression] = STATE(2425),
    [sym_variadic_expression] = STATE(2425),
    [sym_parenthesized_expression] = STATE(2425),
    [sym_or_return_expression] = STATE(2425),
    [sym_or_continue_expression] = STATE(2425),
    [sym_or_break_expression] = STATE(2425),
    [sym_address] = STATE(2425),
    [sym_map_type] = STATE(2425),
    [sym_matrix_type] = STATE(2425),
    [sym_distinct_type] = STATE(2425),
    [sym_literal] = STATE(2425),
    [sym_struct] = STATE(2413),
    [sym_map] = STATE(2256),
    [sym_bit_set] = STATE(2256),
    [sym_matrix] = STATE(2256),
    [sym_string] = STATE(2256),
    [sym__string_literal] = STATE(2258),
    [sym__raw_string_literal] = STATE(2258),
    [sym_character] = STATE(2256),
    [sym_boolean] = STATE(2256),
    [sym_field_identifier] = STATE(7777),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_QMARK] = ACTIONS(205),
    [anon_sym_PLUS] = ACTIONS(391),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(391),
    [anon_sym_BANG] = ACTIONS(391),
    [anon_sym_AMP] = ACTIONS(391),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_DOT_DOT] = ACTIONS(393),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(201),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [1471] = {
    [sym_expression] = STATE(2117),
    [sym__expression_no_tag] = STATE(2219),
    [sym_unary_expression] = STATE(2219),
    [sym_binary_expression] = STATE(2219),
    [sym_ternary_expression] = STATE(2219),
    [sym_call_expression] = STATE(2219),
    [sym_selector_call_expression] = STATE(2219),
    [sym_member_expression] = STATE(2219),
    [sym_index_expression] = STATE(2219),
    [sym_slice_expression] = STATE(2219),
    [sym_range_expression] = STATE(2219),
    [sym_cast_expression] = STATE(2219),
    [sym_in_expression] = STATE(2219),
    [sym_variadic_expression] = STATE(2219),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_or_return_expression] = STATE(2219),
    [sym_or_continue_expression] = STATE(2219),
    [sym_or_break_expression] = STATE(2219),
    [sym_address] = STATE(2219),
    [sym_map_type] = STATE(2219),
    [sym_matrix_type] = STATE(2219),
    [sym_distinct_type] = STATE(2219),
    [sym_literal] = STATE(2219),
    [sym_struct] = STATE(2056),
    [sym_map] = STATE(2054),
    [sym_bit_set] = STATE(2054),
    [sym_matrix] = STATE(2054),
    [sym_string] = STATE(2054),
    [sym__string_literal] = STATE(2057),
    [sym__raw_string_literal] = STATE(2057),
    [sym_character] = STATE(2054),
    [sym_boolean] = STATE(2054),
    [sym_field_identifier] = STATE(7869),
    [sym_identifier] = ACTIONS(207),
    [anon_sym_LBRACE] = ACTIONS(237),
    [anon_sym_LPAREN] = ACTIONS(239),
    [anon_sym_QMARK] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(6042),
    [anon_sym_DASH] = ACTIONS(209),
    [anon_sym_TILDE] = ACTIONS(6042),
    [anon_sym_BANG] = ACTIONS(6042),
    [anon_sym_AMP] = ACTIONS(6042),
    [anon_sym_DOT] = ACTIONS(243),
    [anon_sym_LBRACK] = ACTIONS(245),
    [anon_sym_cast] = ACTIONS(211),
    [anon_sym_transmute] = ACTIONS(211),
    [anon_sym_auto_cast] = ACTIONS(213),
    [anon_sym_DOT_DOT] = ACTIONS(6044),
    [anon_sym_map] = ACTIONS(217),
    [anon_sym_bit_set] = ACTIONS(219),
    [anon_sym_matrix] = ACTIONS(221),
    [anon_sym_distinct] = ACTIONS(223),
    [sym_number] = ACTIONS(225),
    [anon_sym_DQUOTE] = ACTIONS(227),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_SQUOTE] = ACTIONS(231),
    [anon_sym_true] = ACTIONS(233),
    [anon_sym_false] = ACTIONS(233),
    [sym_nil] = ACTIONS(235),
    [sym_uninitialized] = ACTIONS(225),
    [sym_tag] = ACTIONS(247),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(225),
    [sym_block_comment] = ACTIONS(3),
  },
  [1472] = {
    [sym_expression] = STATE(6061),
    [sym__expression_no_tag] = STATE(5388),
    [sym_unary_expression] = STATE(5388),
    [sym_binary_expression] = STATE(5388),
    [sym_ternary_expression] = STATE(5388),
    [sym_call_expression] = STATE(4414),
    [sym_selector_call_expression] = STATE(5388),
    [sym_member_expression] = STATE(5388),
    [sym_index_expression] = STATE(5388),
    [sym_slice_expression] = STATE(5388),
    [sym_range_expression] = STATE(5388),
    [sym_cast_expression] = STATE(5388),
    [sym_in_expression] = STATE(5388),
    [sym_variadic_expression] = STATE(5388),
    [sym_parenthesized_expression] = STATE(5388),
    [sym_or_return_expression] = STATE(5388),
    [sym_or_continue_expression] = STATE(5388),
    [sym_or_break_expression] = STATE(5388),
    [sym_address] = STATE(5388),
    [sym_map_type] = STATE(5388),
    [sym_matrix_type] = STATE(5388),
    [sym_distinct_type] = STATE(5388),
    [sym_literal] = STATE(5388),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(6062),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(6064),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1473] = {
    [sym_expression] = STATE(2118),
    [sym__expression_no_tag] = STATE(2219),
    [sym_unary_expression] = STATE(2219),
    [sym_binary_expression] = STATE(2219),
    [sym_ternary_expression] = STATE(2219),
    [sym_call_expression] = STATE(2219),
    [sym_selector_call_expression] = STATE(2219),
    [sym_member_expression] = STATE(2219),
    [sym_index_expression] = STATE(2219),
    [sym_slice_expression] = STATE(2219),
    [sym_range_expression] = STATE(2219),
    [sym_cast_expression] = STATE(2219),
    [sym_in_expression] = STATE(2219),
    [sym_variadic_expression] = STATE(2219),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_or_return_expression] = STATE(2219),
    [sym_or_continue_expression] = STATE(2219),
    [sym_or_break_expression] = STATE(2219),
    [sym_address] = STATE(2219),
    [sym_map_type] = STATE(2219),
    [sym_matrix_type] = STATE(2219),
    [sym_distinct_type] = STATE(2219),
    [sym_literal] = STATE(2219),
    [sym_struct] = STATE(2056),
    [sym_map] = STATE(2054),
    [sym_bit_set] = STATE(2054),
    [sym_matrix] = STATE(2054),
    [sym_string] = STATE(2054),
    [sym__string_literal] = STATE(2057),
    [sym__raw_string_literal] = STATE(2057),
    [sym_character] = STATE(2054),
    [sym_boolean] = STATE(2054),
    [sym_field_identifier] = STATE(7869),
    [sym_identifier] = ACTIONS(207),
    [anon_sym_LBRACE] = ACTIONS(237),
    [anon_sym_LPAREN] = ACTIONS(239),
    [anon_sym_QMARK] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(6042),
    [anon_sym_DASH] = ACTIONS(209),
    [anon_sym_TILDE] = ACTIONS(6042),
    [anon_sym_BANG] = ACTIONS(6042),
    [anon_sym_AMP] = ACTIONS(6042),
    [anon_sym_DOT] = ACTIONS(243),
    [anon_sym_LBRACK] = ACTIONS(245),
    [anon_sym_cast] = ACTIONS(211),
    [anon_sym_transmute] = ACTIONS(211),
    [anon_sym_auto_cast] = ACTIONS(213),
    [anon_sym_DOT_DOT] = ACTIONS(6044),
    [anon_sym_map] = ACTIONS(217),
    [anon_sym_bit_set] = ACTIONS(219),
    [anon_sym_matrix] = ACTIONS(221),
    [anon_sym_distinct] = ACTIONS(223),
    [sym_number] = ACTIONS(225),
    [anon_sym_DQUOTE] = ACTIONS(227),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_SQUOTE] = ACTIONS(231),
    [anon_sym_true] = ACTIONS(233),
    [anon_sym_false] = ACTIONS(233),
    [sym_nil] = ACTIONS(235),
    [sym_uninitialized] = ACTIONS(225),
    [sym_tag] = ACTIONS(247),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(225),
    [sym_block_comment] = ACTIONS(3),
  },
  [1474] = {
    [sym_expression] = STATE(2422),
    [sym__expression_no_tag] = STATE(2425),
    [sym_unary_expression] = STATE(2425),
    [sym_binary_expression] = STATE(2425),
    [sym_ternary_expression] = STATE(2425),
    [sym_call_expression] = STATE(2425),
    [sym_selector_call_expression] = STATE(2425),
    [sym_member_expression] = STATE(2425),
    [sym_index_expression] = STATE(2425),
    [sym_slice_expression] = STATE(2425),
    [sym_range_expression] = STATE(2425),
    [sym_cast_expression] = STATE(2425),
    [sym_in_expression] = STATE(2425),
    [sym_variadic_expression] = STATE(2425),
    [sym_parenthesized_expression] = STATE(2425),
    [sym_or_return_expression] = STATE(2425),
    [sym_or_continue_expression] = STATE(2425),
    [sym_or_break_expression] = STATE(2425),
    [sym_address] = STATE(2425),
    [sym_map_type] = STATE(2425),
    [sym_matrix_type] = STATE(2425),
    [sym_distinct_type] = STATE(2425),
    [sym_literal] = STATE(2425),
    [sym_struct] = STATE(2413),
    [sym_map] = STATE(2256),
    [sym_bit_set] = STATE(2256),
    [sym_matrix] = STATE(2256),
    [sym_string] = STATE(2256),
    [sym__string_literal] = STATE(2258),
    [sym__raw_string_literal] = STATE(2258),
    [sym_character] = STATE(2256),
    [sym_boolean] = STATE(2256),
    [sym_field_identifier] = STATE(7777),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_QMARK] = ACTIONS(205),
    [anon_sym_PLUS] = ACTIONS(391),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(391),
    [anon_sym_BANG] = ACTIONS(391),
    [anon_sym_AMP] = ACTIONS(391),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_DOT_DOT] = ACTIONS(393),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(201),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [1475] = {
    [sym_expression] = STATE(5544),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1476] = {
    [sym_expression] = STATE(5742),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1477] = {
    [sym_expression] = STATE(5546),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1478] = {
    [sym_expression] = STATE(5597),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1479] = {
    [sym_expression] = STATE(2260),
    [sym__expression_no_tag] = STATE(2425),
    [sym_unary_expression] = STATE(2425),
    [sym_binary_expression] = STATE(2425),
    [sym_ternary_expression] = STATE(2425),
    [sym_call_expression] = STATE(2425),
    [sym_selector_call_expression] = STATE(2425),
    [sym_member_expression] = STATE(2425),
    [sym_index_expression] = STATE(2425),
    [sym_slice_expression] = STATE(2425),
    [sym_range_expression] = STATE(2425),
    [sym_cast_expression] = STATE(2425),
    [sym_in_expression] = STATE(2425),
    [sym_variadic_expression] = STATE(2425),
    [sym_parenthesized_expression] = STATE(2425),
    [sym_or_return_expression] = STATE(2425),
    [sym_or_continue_expression] = STATE(2425),
    [sym_or_break_expression] = STATE(2425),
    [sym_address] = STATE(2425),
    [sym_map_type] = STATE(2425),
    [sym_matrix_type] = STATE(2425),
    [sym_distinct_type] = STATE(2425),
    [sym_literal] = STATE(2425),
    [sym_struct] = STATE(2413),
    [sym_map] = STATE(2256),
    [sym_bit_set] = STATE(2256),
    [sym_matrix] = STATE(2256),
    [sym_string] = STATE(2256),
    [sym__string_literal] = STATE(2258),
    [sym__raw_string_literal] = STATE(2258),
    [sym_character] = STATE(2256),
    [sym_boolean] = STATE(2256),
    [sym_field_identifier] = STATE(7777),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_QMARK] = ACTIONS(205),
    [anon_sym_PLUS] = ACTIONS(391),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(391),
    [anon_sym_BANG] = ACTIONS(391),
    [anon_sym_AMP] = ACTIONS(391),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_DOT_DOT] = ACTIONS(393),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(201),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [1480] = {
    [sym_expression] = STATE(5502),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1481] = {
    [sym_expression] = STATE(5783),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1482] = {
    [sym_expression] = STATE(5784),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1483] = {
    [aux_sym_field_identifier_repeat1] = STATE(6917),
    [anon_sym_LBRACE] = ACTIONS(6066),
    [anon_sym_RBRACE] = ACTIONS(4512),
    [anon_sym_COMMA] = ACTIONS(4512),
    [anon_sym_COLON_COLON] = ACTIONS(4512),
    [anon_sym_DASH_GT] = ACTIONS(4512),
    [anon_sym_EQ] = ACTIONS(4514),
    [anon_sym_COLON_EQ] = ACTIONS(4512),
    [anon_sym_COLON] = ACTIONS(4514),
    [anon_sym_LPAREN] = ACTIONS(6068),
    [anon_sym_PLUS_EQ] = ACTIONS(4512),
    [anon_sym_DASH_EQ] = ACTIONS(4512),
    [anon_sym_STAR_EQ] = ACTIONS(4512),
    [anon_sym_SLASH_EQ] = ACTIONS(4512),
    [anon_sym_PERCENT_EQ] = ACTIONS(4512),
    [anon_sym_AMP_EQ] = ACTIONS(4512),
    [anon_sym_PIPE_EQ] = ACTIONS(4512),
    [anon_sym_CARET_EQ] = ACTIONS(4512),
    [anon_sym_LT_LT_EQ] = ACTIONS(4512),
    [anon_sym_GT_GT_EQ] = ACTIONS(4512),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4512),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4512),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4512),
    [anon_sym_if] = ACTIONS(4512),
    [anon_sym_SEMI] = ACTIONS(4512),
    [anon_sym_else] = ACTIONS(4512),
    [anon_sym_when] = ACTIONS(4512),
    [anon_sym_in] = ACTIONS(4512),
    [anon_sym_case] = ACTIONS(4512),
    [anon_sym_QMARK] = ACTIONS(4512),
    [anon_sym_PLUS] = ACTIONS(4514),
    [anon_sym_DASH] = ACTIONS(4514),
    [anon_sym_TILDE] = ACTIONS(4514),
    [anon_sym_AMP] = ACTIONS(4514),
    [anon_sym_PIPE_PIPE] = ACTIONS(4514),
    [anon_sym_or_else] = ACTIONS(4512),
    [anon_sym_AMP_AMP] = ACTIONS(4514),
    [anon_sym_GT] = ACTIONS(4514),
    [anon_sym_GT_EQ] = ACTIONS(4512),
    [anon_sym_LT_EQ] = ACTIONS(4512),
    [anon_sym_LT] = ACTIONS(4514),
    [anon_sym_EQ_EQ] = ACTIONS(4512),
    [anon_sym_BANG_EQ] = ACTIONS(4512),
    [anon_sym_TILDE_EQ] = ACTIONS(4512),
    [anon_sym_PIPE] = ACTIONS(4514),
    [anon_sym_AMP_TILDE] = ACTIONS(4514),
    [anon_sym_LT_LT] = ACTIONS(4514),
    [anon_sym_GT_GT] = ACTIONS(4514),
    [anon_sym_STAR] = ACTIONS(4514),
    [anon_sym_SLASH] = ACTIONS(4514),
    [anon_sym_PERCENT] = ACTIONS(4514),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4512),
    [anon_sym_DOT] = ACTIONS(4514),
    [anon_sym_LBRACK] = ACTIONS(4512),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4512),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4512),
    [anon_sym_not_in] = ACTIONS(4512),
    [anon_sym_or_return] = ACTIONS(4512),
    [anon_sym_or_continue] = ACTIONS(4512),
    [anon_sym_or_break] = ACTIONS(4512),
    [anon_sym_CARET] = ACTIONS(4514),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4512),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1484] = {
    [aux_sym_field_type_repeat1] = STATE(1564),
    [anon_sym_RBRACE] = ACTIONS(3415),
    [anon_sym_COMMA] = ACTIONS(3415),
    [anon_sym_COLON_COLON] = ACTIONS(3415),
    [anon_sym_DASH_GT] = ACTIONS(3415),
    [anon_sym_EQ] = ACTIONS(3417),
    [anon_sym_COLON_EQ] = ACTIONS(3415),
    [anon_sym_COLON] = ACTIONS(3417),
    [anon_sym_LPAREN] = ACTIONS(3415),
    [anon_sym_PLUS_EQ] = ACTIONS(3415),
    [anon_sym_DASH_EQ] = ACTIONS(3415),
    [anon_sym_STAR_EQ] = ACTIONS(3415),
    [anon_sym_SLASH_EQ] = ACTIONS(3415),
    [anon_sym_PERCENT_EQ] = ACTIONS(3415),
    [anon_sym_AMP_EQ] = ACTIONS(3415),
    [anon_sym_PIPE_EQ] = ACTIONS(3415),
    [anon_sym_CARET_EQ] = ACTIONS(3415),
    [anon_sym_LT_LT_EQ] = ACTIONS(3415),
    [anon_sym_GT_GT_EQ] = ACTIONS(3415),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3415),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3415),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(3415),
    [anon_sym_if] = ACTIONS(3415),
    [anon_sym_SEMI] = ACTIONS(3415),
    [anon_sym_else] = ACTIONS(3415),
    [anon_sym_when] = ACTIONS(3415),
    [anon_sym_in] = ACTIONS(3415),
    [anon_sym_case] = ACTIONS(3415),
    [anon_sym_QMARK] = ACTIONS(3415),
    [anon_sym_PLUS] = ACTIONS(3417),
    [anon_sym_DASH] = ACTIONS(3417),
    [anon_sym_TILDE] = ACTIONS(3417),
    [anon_sym_AMP] = ACTIONS(3417),
    [anon_sym_PIPE_PIPE] = ACTIONS(3417),
    [anon_sym_or_else] = ACTIONS(3415),
    [anon_sym_AMP_AMP] = ACTIONS(3417),
    [anon_sym_GT] = ACTIONS(3417),
    [anon_sym_GT_EQ] = ACTIONS(3415),
    [anon_sym_LT_EQ] = ACTIONS(3415),
    [anon_sym_LT] = ACTIONS(3417),
    [anon_sym_EQ_EQ] = ACTIONS(3415),
    [anon_sym_BANG_EQ] = ACTIONS(3415),
    [anon_sym_TILDE_EQ] = ACTIONS(3415),
    [anon_sym_PIPE] = ACTIONS(3417),
    [anon_sym_AMP_TILDE] = ACTIONS(3417),
    [anon_sym_LT_LT] = ACTIONS(3417),
    [anon_sym_GT_GT] = ACTIONS(3417),
    [anon_sym_STAR] = ACTIONS(3417),
    [anon_sym_SLASH] = ACTIONS(3417),
    [anon_sym_PERCENT] = ACTIONS(3417),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(3415),
    [anon_sym_DOT] = ACTIONS(3417),
    [anon_sym_LBRACK] = ACTIONS(3415),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(3415),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3415),
    [anon_sym_not_in] = ACTIONS(3415),
    [anon_sym_or_return] = ACTIONS(3415),
    [anon_sym_or_continue] = ACTIONS(3415),
    [anon_sym_or_break] = ACTIONS(3415),
    [anon_sym_CARET] = ACTIONS(3417),
    [anon_sym_DOT2] = ACTIONS(6071),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(3415),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1485] = {
    [sym_expression] = STATE(4368),
    [sym__expression_no_tag] = STATE(4431),
    [sym_unary_expression] = STATE(4431),
    [sym_binary_expression] = STATE(4431),
    [sym_ternary_expression] = STATE(4431),
    [sym_call_expression] = STATE(4431),
    [sym_selector_call_expression] = STATE(4431),
    [sym_member_expression] = STATE(4431),
    [sym_index_expression] = STATE(4431),
    [sym_slice_expression] = STATE(4431),
    [sym_range_expression] = STATE(4431),
    [sym_cast_expression] = STATE(4431),
    [sym_in_expression] = STATE(4431),
    [sym_variadic_expression] = STATE(4431),
    [sym_parenthesized_expression] = STATE(4431),
    [sym_or_return_expression] = STATE(4431),
    [sym_or_continue_expression] = STATE(4431),
    [sym_or_break_expression] = STATE(4431),
    [sym_address] = STATE(4431),
    [sym_map_type] = STATE(4431),
    [sym_matrix_type] = STATE(4431),
    [sym_distinct_type] = STATE(4431),
    [sym_literal] = STATE(4431),
    [sym_struct] = STATE(4333),
    [sym_map] = STATE(4320),
    [sym_bit_set] = STATE(4320),
    [sym_matrix] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym__string_literal] = STATE(4334),
    [sym__raw_string_literal] = STATE(4334),
    [sym_character] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_field_identifier] = STATE(7845),
    [sym_identifier] = ACTIONS(341),
    [anon_sym_LBRACE] = ACTIONS(943),
    [anon_sym_LPAREN] = ACTIONS(945),
    [anon_sym_QMARK] = ACTIONS(947),
    [anon_sym_PLUS] = ACTIONS(949),
    [anon_sym_DASH] = ACTIONS(951),
    [anon_sym_TILDE] = ACTIONS(949),
    [anon_sym_BANG] = ACTIONS(949),
    [anon_sym_AMP] = ACTIONS(949),
    [anon_sym_DOT] = ACTIONS(953),
    [anon_sym_LBRACK] = ACTIONS(955),
    [anon_sym_cast] = ACTIONS(957),
    [anon_sym_transmute] = ACTIONS(957),
    [anon_sym_auto_cast] = ACTIONS(959),
    [anon_sym_DOT_DOT] = ACTIONS(3241),
    [anon_sym_map] = ACTIONS(351),
    [anon_sym_bit_set] = ACTIONS(353),
    [anon_sym_matrix] = ACTIONS(355),
    [anon_sym_distinct] = ACTIONS(357),
    [sym_number] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(361),
    [anon_sym_BQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [anon_sym_true] = ACTIONS(367),
    [anon_sym_false] = ACTIONS(367),
    [sym_nil] = ACTIONS(369),
    [sym_uninitialized] = ACTIONS(359),
    [sym_tag] = ACTIONS(963),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(359),
    [sym_block_comment] = ACTIONS(3),
  },
  [1486] = {
    [sym_expression] = STATE(2061),
    [sym__expression_no_tag] = STATE(2219),
    [sym_unary_expression] = STATE(2219),
    [sym_binary_expression] = STATE(2219),
    [sym_ternary_expression] = STATE(2219),
    [sym_call_expression] = STATE(2219),
    [sym_selector_call_expression] = STATE(2219),
    [sym_member_expression] = STATE(2219),
    [sym_index_expression] = STATE(2219),
    [sym_slice_expression] = STATE(2219),
    [sym_range_expression] = STATE(2219),
    [sym_cast_expression] = STATE(2219),
    [sym_in_expression] = STATE(2219),
    [sym_variadic_expression] = STATE(2219),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_or_return_expression] = STATE(2219),
    [sym_or_continue_expression] = STATE(2219),
    [sym_or_break_expression] = STATE(2219),
    [sym_address] = STATE(2219),
    [sym_map_type] = STATE(2219),
    [sym_matrix_type] = STATE(2219),
    [sym_distinct_type] = STATE(2219),
    [sym_literal] = STATE(2219),
    [sym_struct] = STATE(2056),
    [sym_map] = STATE(2054),
    [sym_bit_set] = STATE(2054),
    [sym_matrix] = STATE(2054),
    [sym_string] = STATE(2054),
    [sym__string_literal] = STATE(2057),
    [sym__raw_string_literal] = STATE(2057),
    [sym_character] = STATE(2054),
    [sym_boolean] = STATE(2054),
    [sym_field_identifier] = STATE(7869),
    [sym_identifier] = ACTIONS(207),
    [anon_sym_LBRACE] = ACTIONS(237),
    [anon_sym_LPAREN] = ACTIONS(239),
    [anon_sym_QMARK] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(6042),
    [anon_sym_DASH] = ACTIONS(209),
    [anon_sym_TILDE] = ACTIONS(6042),
    [anon_sym_BANG] = ACTIONS(6042),
    [anon_sym_AMP] = ACTIONS(6042),
    [anon_sym_DOT] = ACTIONS(243),
    [anon_sym_LBRACK] = ACTIONS(245),
    [anon_sym_cast] = ACTIONS(211),
    [anon_sym_transmute] = ACTIONS(211),
    [anon_sym_auto_cast] = ACTIONS(213),
    [anon_sym_DOT_DOT] = ACTIONS(6044),
    [anon_sym_map] = ACTIONS(217),
    [anon_sym_bit_set] = ACTIONS(219),
    [anon_sym_matrix] = ACTIONS(221),
    [anon_sym_distinct] = ACTIONS(223),
    [sym_number] = ACTIONS(225),
    [anon_sym_DQUOTE] = ACTIONS(227),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_SQUOTE] = ACTIONS(231),
    [anon_sym_true] = ACTIONS(233),
    [anon_sym_false] = ACTIONS(233),
    [sym_nil] = ACTIONS(235),
    [sym_uninitialized] = ACTIONS(225),
    [sym_tag] = ACTIONS(247),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(225),
    [sym_block_comment] = ACTIONS(3),
  },
  [1487] = {
    [sym_expression] = STATE(5516),
    [sym__expression_no_tag] = STATE(4410),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_ternary_expression] = STATE(4410),
    [sym_call_expression] = STATE(4410),
    [sym_selector_call_expression] = STATE(4410),
    [sym_member_expression] = STATE(4410),
    [sym_index_expression] = STATE(4410),
    [sym_slice_expression] = STATE(4410),
    [sym_range_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_in_expression] = STATE(4410),
    [sym_variadic_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4410),
    [sym_or_return_expression] = STATE(4410),
    [sym_or_continue_expression] = STATE(4410),
    [sym_or_break_expression] = STATE(4410),
    [sym_address] = STATE(4410),
    [sym_map_type] = STATE(4410),
    [sym_matrix_type] = STATE(4410),
    [sym_distinct_type] = STATE(4410),
    [sym_literal] = STATE(4410),
    [sym_struct] = STATE(4333),
    [sym_map] = STATE(4320),
    [sym_bit_set] = STATE(4320),
    [sym_matrix] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym__string_literal] = STATE(4334),
    [sym__raw_string_literal] = STATE(4334),
    [sym_character] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_field_identifier] = STATE(7845),
    [sym_identifier] = ACTIONS(341),
    [anon_sym_LBRACE] = ACTIONS(943),
    [anon_sym_LPAREN] = ACTIONS(945),
    [anon_sym_QMARK] = ACTIONS(3239),
    [anon_sym_PLUS] = ACTIONS(949),
    [anon_sym_DASH] = ACTIONS(951),
    [anon_sym_TILDE] = ACTIONS(949),
    [anon_sym_BANG] = ACTIONS(949),
    [anon_sym_AMP] = ACTIONS(949),
    [anon_sym_DOT] = ACTIONS(953),
    [anon_sym_LBRACK] = ACTIONS(955),
    [anon_sym_cast] = ACTIONS(957),
    [anon_sym_transmute] = ACTIONS(957),
    [anon_sym_auto_cast] = ACTIONS(959),
    [anon_sym_DOT_DOT] = ACTIONS(3241),
    [anon_sym_map] = ACTIONS(351),
    [anon_sym_bit_set] = ACTIONS(353),
    [anon_sym_matrix] = ACTIONS(355),
    [anon_sym_distinct] = ACTIONS(357),
    [sym_number] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(361),
    [anon_sym_BQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [anon_sym_true] = ACTIONS(367),
    [anon_sym_false] = ACTIONS(367),
    [sym_nil] = ACTIONS(369),
    [sym_uninitialized] = ACTIONS(359),
    [sym_tag] = ACTIONS(963),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(359),
    [sym_block_comment] = ACTIONS(3),
  },
  [1488] = {
    [sym_expression] = STATE(5568),
    [sym__expression_no_tag] = STATE(4410),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_ternary_expression] = STATE(4410),
    [sym_call_expression] = STATE(4410),
    [sym_selector_call_expression] = STATE(4410),
    [sym_member_expression] = STATE(4410),
    [sym_index_expression] = STATE(4410),
    [sym_slice_expression] = STATE(4410),
    [sym_range_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_in_expression] = STATE(4410),
    [sym_variadic_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4410),
    [sym_or_return_expression] = STATE(4410),
    [sym_or_continue_expression] = STATE(4410),
    [sym_or_break_expression] = STATE(4410),
    [sym_address] = STATE(4410),
    [sym_map_type] = STATE(4410),
    [sym_matrix_type] = STATE(4410),
    [sym_distinct_type] = STATE(4410),
    [sym_literal] = STATE(4410),
    [sym_struct] = STATE(4333),
    [sym_map] = STATE(4320),
    [sym_bit_set] = STATE(4320),
    [sym_matrix] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym__string_literal] = STATE(4334),
    [sym__raw_string_literal] = STATE(4334),
    [sym_character] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_field_identifier] = STATE(7845),
    [sym_identifier] = ACTIONS(341),
    [anon_sym_LBRACE] = ACTIONS(943),
    [anon_sym_LPAREN] = ACTIONS(945),
    [anon_sym_QMARK] = ACTIONS(3239),
    [anon_sym_PLUS] = ACTIONS(949),
    [anon_sym_DASH] = ACTIONS(951),
    [anon_sym_TILDE] = ACTIONS(949),
    [anon_sym_BANG] = ACTIONS(949),
    [anon_sym_AMP] = ACTIONS(949),
    [anon_sym_DOT] = ACTIONS(953),
    [anon_sym_LBRACK] = ACTIONS(955),
    [anon_sym_cast] = ACTIONS(957),
    [anon_sym_transmute] = ACTIONS(957),
    [anon_sym_auto_cast] = ACTIONS(959),
    [anon_sym_DOT_DOT] = ACTIONS(3241),
    [anon_sym_map] = ACTIONS(351),
    [anon_sym_bit_set] = ACTIONS(353),
    [anon_sym_matrix] = ACTIONS(355),
    [anon_sym_distinct] = ACTIONS(357),
    [sym_number] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(361),
    [anon_sym_BQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [anon_sym_true] = ACTIONS(367),
    [anon_sym_false] = ACTIONS(367),
    [sym_nil] = ACTIONS(369),
    [sym_uninitialized] = ACTIONS(359),
    [sym_tag] = ACTIONS(963),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(359),
    [sym_block_comment] = ACTIONS(3),
  },
  [1489] = {
    [aux_sym_struct_type_repeat2] = STATE(1390),
    [anon_sym_LBRACE] = ACTIONS(4480),
    [anon_sym_RBRACE] = ACTIONS(4480),
    [anon_sym_COMMA] = ACTIONS(4480),
    [anon_sym_COLON_COLON] = ACTIONS(4480),
    [anon_sym_DASH_GT] = ACTIONS(4480),
    [anon_sym_EQ] = ACTIONS(4482),
    [anon_sym_COLON_EQ] = ACTIONS(4480),
    [anon_sym_COLON] = ACTIONS(4482),
    [anon_sym_LPAREN] = ACTIONS(4480),
    [anon_sym_PLUS_EQ] = ACTIONS(4480),
    [anon_sym_DASH_EQ] = ACTIONS(4480),
    [anon_sym_STAR_EQ] = ACTIONS(4480),
    [anon_sym_SLASH_EQ] = ACTIONS(4480),
    [anon_sym_PERCENT_EQ] = ACTIONS(4480),
    [anon_sym_AMP_EQ] = ACTIONS(4480),
    [anon_sym_PIPE_EQ] = ACTIONS(4480),
    [anon_sym_CARET_EQ] = ACTIONS(4480),
    [anon_sym_LT_LT_EQ] = ACTIONS(4480),
    [anon_sym_GT_GT_EQ] = ACTIONS(4480),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4480),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4480),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4480),
    [anon_sym_if] = ACTIONS(4480),
    [anon_sym_SEMI] = ACTIONS(4480),
    [anon_sym_else] = ACTIONS(4480),
    [anon_sym_when] = ACTIONS(4480),
    [anon_sym_in] = ACTIONS(4480),
    [anon_sym_case] = ACTIONS(4480),
    [anon_sym_QMARK] = ACTIONS(4480),
    [anon_sym_PLUS] = ACTIONS(4482),
    [anon_sym_DASH] = ACTIONS(4482),
    [anon_sym_TILDE] = ACTIONS(4482),
    [anon_sym_AMP] = ACTIONS(4482),
    [anon_sym_PIPE_PIPE] = ACTIONS(4482),
    [anon_sym_or_else] = ACTIONS(4480),
    [anon_sym_AMP_AMP] = ACTIONS(4482),
    [anon_sym_GT] = ACTIONS(4482),
    [anon_sym_GT_EQ] = ACTIONS(4480),
    [anon_sym_LT_EQ] = ACTIONS(4480),
    [anon_sym_LT] = ACTIONS(4482),
    [anon_sym_EQ_EQ] = ACTIONS(4480),
    [anon_sym_BANG_EQ] = ACTIONS(4480),
    [anon_sym_TILDE_EQ] = ACTIONS(4480),
    [anon_sym_PIPE] = ACTIONS(4482),
    [anon_sym_AMP_TILDE] = ACTIONS(4482),
    [anon_sym_LT_LT] = ACTIONS(4482),
    [anon_sym_GT_GT] = ACTIONS(4482),
    [anon_sym_STAR] = ACTIONS(4482),
    [anon_sym_SLASH] = ACTIONS(4482),
    [anon_sym_PERCENT] = ACTIONS(4482),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4480),
    [anon_sym_DOT] = ACTIONS(4482),
    [anon_sym_LBRACK] = ACTIONS(4480),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4480),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4480),
    [anon_sym_not_in] = ACTIONS(4480),
    [anon_sym_or_return] = ACTIONS(4480),
    [anon_sym_or_continue] = ACTIONS(4480),
    [anon_sym_or_break] = ACTIONS(4480),
    [anon_sym_CARET] = ACTIONS(4482),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4480),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1490] = {
    [sym_expression] = STATE(5560),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1491] = {
    [sym_expression] = STATE(5803),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1492] = {
    [sym_expression] = STATE(5562),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1493] = {
    [sym_expression] = STATE(5563),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1494] = {
    [sym_expression] = STATE(2424),
    [sym__expression_no_tag] = STATE(2425),
    [sym_unary_expression] = STATE(2425),
    [sym_binary_expression] = STATE(2425),
    [sym_ternary_expression] = STATE(2425),
    [sym_call_expression] = STATE(2425),
    [sym_selector_call_expression] = STATE(2425),
    [sym_member_expression] = STATE(2425),
    [sym_index_expression] = STATE(2425),
    [sym_slice_expression] = STATE(2425),
    [sym_range_expression] = STATE(2425),
    [sym_cast_expression] = STATE(2425),
    [sym_in_expression] = STATE(2425),
    [sym_variadic_expression] = STATE(2425),
    [sym_parenthesized_expression] = STATE(2425),
    [sym_or_return_expression] = STATE(2425),
    [sym_or_continue_expression] = STATE(2425),
    [sym_or_break_expression] = STATE(2425),
    [sym_address] = STATE(2425),
    [sym_map_type] = STATE(2425),
    [sym_matrix_type] = STATE(2425),
    [sym_distinct_type] = STATE(2425),
    [sym_literal] = STATE(2425),
    [sym_struct] = STATE(2413),
    [sym_map] = STATE(2256),
    [sym_bit_set] = STATE(2256),
    [sym_matrix] = STATE(2256),
    [sym_string] = STATE(2256),
    [sym__string_literal] = STATE(2258),
    [sym__raw_string_literal] = STATE(2258),
    [sym_character] = STATE(2256),
    [sym_boolean] = STATE(2256),
    [sym_field_identifier] = STATE(7777),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_QMARK] = ACTIONS(205),
    [anon_sym_PLUS] = ACTIONS(391),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(391),
    [anon_sym_BANG] = ACTIONS(391),
    [anon_sym_AMP] = ACTIONS(391),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_DOT_DOT] = ACTIONS(393),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(201),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [1495] = {
    [sym_expression] = STATE(4215),
    [sym__expression_no_tag] = STATE(4282),
    [sym_unary_expression] = STATE(4282),
    [sym_binary_expression] = STATE(4282),
    [sym_ternary_expression] = STATE(4282),
    [sym_call_expression] = STATE(4282),
    [sym_selector_call_expression] = STATE(4282),
    [sym_member_expression] = STATE(4282),
    [sym_index_expression] = STATE(4282),
    [sym_slice_expression] = STATE(4282),
    [sym_range_expression] = STATE(4282),
    [sym_cast_expression] = STATE(4282),
    [sym_in_expression] = STATE(4282),
    [sym_variadic_expression] = STATE(4282),
    [sym_parenthesized_expression] = STATE(4282),
    [sym_or_return_expression] = STATE(4282),
    [sym_or_continue_expression] = STATE(4282),
    [sym_or_break_expression] = STATE(4282),
    [sym_address] = STATE(4282),
    [sym_map_type] = STATE(4282),
    [sym_matrix_type] = STATE(4282),
    [sym_distinct_type] = STATE(4282),
    [sym_literal] = STATE(4282),
    [sym_struct] = STATE(4297),
    [sym_map] = STATE(4290),
    [sym_bit_set] = STATE(4290),
    [sym_matrix] = STATE(4290),
    [sym_string] = STATE(4290),
    [sym__string_literal] = STATE(4298),
    [sym__raw_string_literal] = STATE(4298),
    [sym_character] = STATE(4290),
    [sym_boolean] = STATE(4290),
    [sym_field_identifier] = STATE(7838),
    [sym_identifier] = ACTIONS(757),
    [anon_sym_LBRACE] = ACTIONS(707),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_QMARK] = ACTIONS(769),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(721),
    [anon_sym_TILDE] = ACTIONS(719),
    [anon_sym_BANG] = ACTIONS(719),
    [anon_sym_AMP] = ACTIONS(719),
    [anon_sym_DOT] = ACTIONS(723),
    [anon_sym_LBRACK] = ACTIONS(725),
    [anon_sym_cast] = ACTIONS(727),
    [anon_sym_transmute] = ACTIONS(727),
    [anon_sym_auto_cast] = ACTIONS(729),
    [anon_sym_DOT_DOT] = ACTIONS(2849),
    [anon_sym_map] = ACTIONS(733),
    [anon_sym_bit_set] = ACTIONS(735),
    [anon_sym_matrix] = ACTIONS(737),
    [anon_sym_distinct] = ACTIONS(739),
    [sym_number] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(743),
    [anon_sym_BQUOTE] = ACTIONS(745),
    [anon_sym_SQUOTE] = ACTIONS(747),
    [anon_sym_true] = ACTIONS(749),
    [anon_sym_false] = ACTIONS(749),
    [sym_nil] = ACTIONS(751),
    [sym_uninitialized] = ACTIONS(741),
    [sym_tag] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(741),
    [sym_block_comment] = ACTIONS(3),
  },
  [1496] = {
    [sym_expression] = STATE(5820),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1497] = {
    [sym_expression] = STATE(5821),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1498] = {
    [sym_expression] = STATE(4240),
    [sym__expression_no_tag] = STATE(4282),
    [sym_unary_expression] = STATE(4282),
    [sym_binary_expression] = STATE(4282),
    [sym_ternary_expression] = STATE(4282),
    [sym_call_expression] = STATE(4282),
    [sym_selector_call_expression] = STATE(4282),
    [sym_member_expression] = STATE(4282),
    [sym_index_expression] = STATE(4282),
    [sym_slice_expression] = STATE(4282),
    [sym_range_expression] = STATE(4282),
    [sym_cast_expression] = STATE(4282),
    [sym_in_expression] = STATE(4282),
    [sym_variadic_expression] = STATE(4282),
    [sym_parenthesized_expression] = STATE(4282),
    [sym_or_return_expression] = STATE(4282),
    [sym_or_continue_expression] = STATE(4282),
    [sym_or_break_expression] = STATE(4282),
    [sym_address] = STATE(4282),
    [sym_map_type] = STATE(4282),
    [sym_matrix_type] = STATE(4282),
    [sym_distinct_type] = STATE(4282),
    [sym_literal] = STATE(4282),
    [sym_struct] = STATE(4297),
    [sym_map] = STATE(4290),
    [sym_bit_set] = STATE(4290),
    [sym_matrix] = STATE(4290),
    [sym_string] = STATE(4290),
    [sym__string_literal] = STATE(4298),
    [sym__raw_string_literal] = STATE(4298),
    [sym_character] = STATE(4290),
    [sym_boolean] = STATE(4290),
    [sym_field_identifier] = STATE(7838),
    [sym_identifier] = ACTIONS(757),
    [anon_sym_LBRACE] = ACTIONS(707),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_QMARK] = ACTIONS(769),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(721),
    [anon_sym_TILDE] = ACTIONS(719),
    [anon_sym_BANG] = ACTIONS(719),
    [anon_sym_AMP] = ACTIONS(719),
    [anon_sym_DOT] = ACTIONS(723),
    [anon_sym_LBRACK] = ACTIONS(725),
    [anon_sym_cast] = ACTIONS(727),
    [anon_sym_transmute] = ACTIONS(727),
    [anon_sym_auto_cast] = ACTIONS(729),
    [anon_sym_DOT_DOT] = ACTIONS(2849),
    [anon_sym_map] = ACTIONS(733),
    [anon_sym_bit_set] = ACTIONS(735),
    [anon_sym_matrix] = ACTIONS(737),
    [anon_sym_distinct] = ACTIONS(739),
    [sym_number] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(743),
    [anon_sym_BQUOTE] = ACTIONS(745),
    [anon_sym_SQUOTE] = ACTIONS(747),
    [anon_sym_true] = ACTIONS(749),
    [anon_sym_false] = ACTIONS(749),
    [sym_nil] = ACTIONS(751),
    [sym_uninitialized] = ACTIONS(741),
    [sym_tag] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(741),
    [sym_block_comment] = ACTIONS(3),
  },
  [1499] = {
    [sym_expression] = STATE(2430),
    [sym__expression_no_tag] = STATE(2425),
    [sym_unary_expression] = STATE(2425),
    [sym_binary_expression] = STATE(2425),
    [sym_ternary_expression] = STATE(2425),
    [sym_call_expression] = STATE(2425),
    [sym_selector_call_expression] = STATE(2425),
    [sym_member_expression] = STATE(2425),
    [sym_index_expression] = STATE(2425),
    [sym_slice_expression] = STATE(2425),
    [sym_range_expression] = STATE(2425),
    [sym_cast_expression] = STATE(2425),
    [sym_in_expression] = STATE(2425),
    [sym_variadic_expression] = STATE(2425),
    [sym_parenthesized_expression] = STATE(2425),
    [sym_or_return_expression] = STATE(2425),
    [sym_or_continue_expression] = STATE(2425),
    [sym_or_break_expression] = STATE(2425),
    [sym_address] = STATE(2425),
    [sym_map_type] = STATE(2425),
    [sym_matrix_type] = STATE(2425),
    [sym_distinct_type] = STATE(2425),
    [sym_literal] = STATE(2425),
    [sym_struct] = STATE(2413),
    [sym_map] = STATE(2256),
    [sym_bit_set] = STATE(2256),
    [sym_matrix] = STATE(2256),
    [sym_string] = STATE(2256),
    [sym__string_literal] = STATE(2258),
    [sym__raw_string_literal] = STATE(2258),
    [sym_character] = STATE(2256),
    [sym_boolean] = STATE(2256),
    [sym_field_identifier] = STATE(7777),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_QMARK] = ACTIONS(205),
    [anon_sym_PLUS] = ACTIONS(391),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(391),
    [anon_sym_BANG] = ACTIONS(391),
    [anon_sym_AMP] = ACTIONS(391),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_DOT_DOT] = ACTIONS(393),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(201),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [1500] = {
    [sym_expression] = STATE(4466),
    [sym__expression_no_tag] = STATE(4299),
    [sym_unary_expression] = STATE(4299),
    [sym_binary_expression] = STATE(4299),
    [sym_ternary_expression] = STATE(4299),
    [sym_call_expression] = STATE(4299),
    [sym_selector_call_expression] = STATE(4299),
    [sym_member_expression] = STATE(4299),
    [sym_index_expression] = STATE(4299),
    [sym_slice_expression] = STATE(4299),
    [sym_range_expression] = STATE(4299),
    [sym_cast_expression] = STATE(4299),
    [sym_in_expression] = STATE(4299),
    [sym_variadic_expression] = STATE(4299),
    [sym_parenthesized_expression] = STATE(4299),
    [sym_or_return_expression] = STATE(4299),
    [sym_or_continue_expression] = STATE(4299),
    [sym_or_break_expression] = STATE(4299),
    [sym_address] = STATE(4299),
    [sym_map_type] = STATE(4299),
    [sym_matrix_type] = STATE(4299),
    [sym_distinct_type] = STATE(4299),
    [sym_literal] = STATE(4299),
    [sym_struct] = STATE(4311),
    [sym_map] = STATE(3787),
    [sym_bit_set] = STATE(3787),
    [sym_matrix] = STATE(3787),
    [sym_string] = STATE(3787),
    [sym__string_literal] = STATE(3867),
    [sym__raw_string_literal] = STATE(3867),
    [sym_character] = STATE(3787),
    [sym_boolean] = STATE(3787),
    [sym_field_identifier] = STATE(7783),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(759),
    [anon_sym_QMARK] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(763),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(763),
    [anon_sym_BANG] = ACTIONS(763),
    [anon_sym_AMP] = ACTIONS(763),
    [anon_sym_DOT] = ACTIONS(765),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_cast] = ACTIONS(597),
    [anon_sym_transmute] = ACTIONS(597),
    [anon_sym_auto_cast] = ACTIONS(599),
    [anon_sym_DOT_DOT] = ACTIONS(2797),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [1501] = {
    [sym_expression] = STATE(4241),
    [sym__expression_no_tag] = STATE(4282),
    [sym_unary_expression] = STATE(4282),
    [sym_binary_expression] = STATE(4282),
    [sym_ternary_expression] = STATE(4282),
    [sym_call_expression] = STATE(4282),
    [sym_selector_call_expression] = STATE(4282),
    [sym_member_expression] = STATE(4282),
    [sym_index_expression] = STATE(4282),
    [sym_slice_expression] = STATE(4282),
    [sym_range_expression] = STATE(4282),
    [sym_cast_expression] = STATE(4282),
    [sym_in_expression] = STATE(4282),
    [sym_variadic_expression] = STATE(4282),
    [sym_parenthesized_expression] = STATE(4282),
    [sym_or_return_expression] = STATE(4282),
    [sym_or_continue_expression] = STATE(4282),
    [sym_or_break_expression] = STATE(4282),
    [sym_address] = STATE(4282),
    [sym_map_type] = STATE(4282),
    [sym_matrix_type] = STATE(4282),
    [sym_distinct_type] = STATE(4282),
    [sym_literal] = STATE(4282),
    [sym_struct] = STATE(4297),
    [sym_map] = STATE(4290),
    [sym_bit_set] = STATE(4290),
    [sym_matrix] = STATE(4290),
    [sym_string] = STATE(4290),
    [sym__string_literal] = STATE(4298),
    [sym__raw_string_literal] = STATE(4298),
    [sym_character] = STATE(4290),
    [sym_boolean] = STATE(4290),
    [sym_field_identifier] = STATE(7838),
    [sym_identifier] = ACTIONS(757),
    [anon_sym_LBRACE] = ACTIONS(707),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_QMARK] = ACTIONS(769),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(721),
    [anon_sym_TILDE] = ACTIONS(719),
    [anon_sym_BANG] = ACTIONS(719),
    [anon_sym_AMP] = ACTIONS(719),
    [anon_sym_DOT] = ACTIONS(723),
    [anon_sym_LBRACK] = ACTIONS(725),
    [anon_sym_cast] = ACTIONS(727),
    [anon_sym_transmute] = ACTIONS(727),
    [anon_sym_auto_cast] = ACTIONS(729),
    [anon_sym_DOT_DOT] = ACTIONS(2849),
    [anon_sym_map] = ACTIONS(733),
    [anon_sym_bit_set] = ACTIONS(735),
    [anon_sym_matrix] = ACTIONS(737),
    [anon_sym_distinct] = ACTIONS(739),
    [sym_number] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(743),
    [anon_sym_BQUOTE] = ACTIONS(745),
    [anon_sym_SQUOTE] = ACTIONS(747),
    [anon_sym_true] = ACTIONS(749),
    [anon_sym_false] = ACTIONS(749),
    [sym_nil] = ACTIONS(751),
    [sym_uninitialized] = ACTIONS(741),
    [sym_tag] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(741),
    [sym_block_comment] = ACTIONS(3),
  },
  [1502] = {
    [sym_expression] = STATE(2433),
    [sym__expression_no_tag] = STATE(2425),
    [sym_unary_expression] = STATE(2425),
    [sym_binary_expression] = STATE(2425),
    [sym_ternary_expression] = STATE(2425),
    [sym_call_expression] = STATE(2425),
    [sym_selector_call_expression] = STATE(2425),
    [sym_member_expression] = STATE(2425),
    [sym_index_expression] = STATE(2425),
    [sym_slice_expression] = STATE(2425),
    [sym_range_expression] = STATE(2425),
    [sym_cast_expression] = STATE(2425),
    [sym_in_expression] = STATE(2425),
    [sym_variadic_expression] = STATE(2425),
    [sym_parenthesized_expression] = STATE(2425),
    [sym_or_return_expression] = STATE(2425),
    [sym_or_continue_expression] = STATE(2425),
    [sym_or_break_expression] = STATE(2425),
    [sym_address] = STATE(2425),
    [sym_map_type] = STATE(2425),
    [sym_matrix_type] = STATE(2425),
    [sym_distinct_type] = STATE(2425),
    [sym_literal] = STATE(2425),
    [sym_struct] = STATE(2413),
    [sym_map] = STATE(2256),
    [sym_bit_set] = STATE(2256),
    [sym_matrix] = STATE(2256),
    [sym_string] = STATE(2256),
    [sym__string_literal] = STATE(2258),
    [sym__raw_string_literal] = STATE(2258),
    [sym_character] = STATE(2256),
    [sym_boolean] = STATE(2256),
    [sym_field_identifier] = STATE(7777),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_QMARK] = ACTIONS(205),
    [anon_sym_PLUS] = ACTIONS(391),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(391),
    [anon_sym_BANG] = ACTIONS(391),
    [anon_sym_AMP] = ACTIONS(391),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_DOT_DOT] = ACTIONS(393),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(201),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [1503] = {
    [sym_expression] = STATE(2434),
    [sym__expression_no_tag] = STATE(2425),
    [sym_unary_expression] = STATE(2425),
    [sym_binary_expression] = STATE(2425),
    [sym_ternary_expression] = STATE(2425),
    [sym_call_expression] = STATE(2425),
    [sym_selector_call_expression] = STATE(2425),
    [sym_member_expression] = STATE(2425),
    [sym_index_expression] = STATE(2425),
    [sym_slice_expression] = STATE(2425),
    [sym_range_expression] = STATE(2425),
    [sym_cast_expression] = STATE(2425),
    [sym_in_expression] = STATE(2425),
    [sym_variadic_expression] = STATE(2425),
    [sym_parenthesized_expression] = STATE(2425),
    [sym_or_return_expression] = STATE(2425),
    [sym_or_continue_expression] = STATE(2425),
    [sym_or_break_expression] = STATE(2425),
    [sym_address] = STATE(2425),
    [sym_map_type] = STATE(2425),
    [sym_matrix_type] = STATE(2425),
    [sym_distinct_type] = STATE(2425),
    [sym_literal] = STATE(2425),
    [sym_struct] = STATE(2413),
    [sym_map] = STATE(2256),
    [sym_bit_set] = STATE(2256),
    [sym_matrix] = STATE(2256),
    [sym_string] = STATE(2256),
    [sym__string_literal] = STATE(2258),
    [sym__raw_string_literal] = STATE(2258),
    [sym_character] = STATE(2256),
    [sym_boolean] = STATE(2256),
    [sym_field_identifier] = STATE(7777),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_QMARK] = ACTIONS(205),
    [anon_sym_PLUS] = ACTIONS(391),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(391),
    [anon_sym_BANG] = ACTIONS(391),
    [anon_sym_AMP] = ACTIONS(391),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_DOT_DOT] = ACTIONS(393),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(201),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [1504] = {
    [sym_expression] = STATE(2437),
    [sym__expression_no_tag] = STATE(2425),
    [sym_unary_expression] = STATE(2425),
    [sym_binary_expression] = STATE(2425),
    [sym_ternary_expression] = STATE(2425),
    [sym_call_expression] = STATE(2425),
    [sym_selector_call_expression] = STATE(2425),
    [sym_member_expression] = STATE(2425),
    [sym_index_expression] = STATE(2425),
    [sym_slice_expression] = STATE(2425),
    [sym_range_expression] = STATE(2425),
    [sym_cast_expression] = STATE(2425),
    [sym_in_expression] = STATE(2425),
    [sym_variadic_expression] = STATE(2425),
    [sym_parenthesized_expression] = STATE(2425),
    [sym_or_return_expression] = STATE(2425),
    [sym_or_continue_expression] = STATE(2425),
    [sym_or_break_expression] = STATE(2425),
    [sym_address] = STATE(2425),
    [sym_map_type] = STATE(2425),
    [sym_matrix_type] = STATE(2425),
    [sym_distinct_type] = STATE(2425),
    [sym_literal] = STATE(2425),
    [sym_struct] = STATE(2413),
    [sym_map] = STATE(2256),
    [sym_bit_set] = STATE(2256),
    [sym_matrix] = STATE(2256),
    [sym_string] = STATE(2256),
    [sym__string_literal] = STATE(2258),
    [sym__raw_string_literal] = STATE(2258),
    [sym_character] = STATE(2256),
    [sym_boolean] = STATE(2256),
    [sym_field_identifier] = STATE(7777),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_QMARK] = ACTIONS(205),
    [anon_sym_PLUS] = ACTIONS(391),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(391),
    [anon_sym_BANG] = ACTIONS(391),
    [anon_sym_AMP] = ACTIONS(391),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_DOT_DOT] = ACTIONS(393),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(201),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [1505] = {
    [sym_expression] = STATE(5569),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1506] = {
    [sym_expression] = STATE(5653),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1507] = {
    [sym_expression] = STATE(5571),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1508] = {
    [sym_expression] = STATE(5572),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1509] = {
    [sym_expression] = STATE(2062),
    [sym__expression_no_tag] = STATE(2219),
    [sym_unary_expression] = STATE(2219),
    [sym_binary_expression] = STATE(2219),
    [sym_ternary_expression] = STATE(2219),
    [sym_call_expression] = STATE(2219),
    [sym_selector_call_expression] = STATE(2219),
    [sym_member_expression] = STATE(2219),
    [sym_index_expression] = STATE(2219),
    [sym_slice_expression] = STATE(2219),
    [sym_range_expression] = STATE(2219),
    [sym_cast_expression] = STATE(2219),
    [sym_in_expression] = STATE(2219),
    [sym_variadic_expression] = STATE(2219),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_or_return_expression] = STATE(2219),
    [sym_or_continue_expression] = STATE(2219),
    [sym_or_break_expression] = STATE(2219),
    [sym_address] = STATE(2219),
    [sym_map_type] = STATE(2219),
    [sym_matrix_type] = STATE(2219),
    [sym_distinct_type] = STATE(2219),
    [sym_literal] = STATE(2219),
    [sym_struct] = STATE(2056),
    [sym_map] = STATE(2054),
    [sym_bit_set] = STATE(2054),
    [sym_matrix] = STATE(2054),
    [sym_string] = STATE(2054),
    [sym__string_literal] = STATE(2057),
    [sym__raw_string_literal] = STATE(2057),
    [sym_character] = STATE(2054),
    [sym_boolean] = STATE(2054),
    [sym_field_identifier] = STATE(7869),
    [sym_identifier] = ACTIONS(207),
    [anon_sym_LBRACE] = ACTIONS(237),
    [anon_sym_LPAREN] = ACTIONS(239),
    [anon_sym_QMARK] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(6042),
    [anon_sym_DASH] = ACTIONS(209),
    [anon_sym_TILDE] = ACTIONS(6042),
    [anon_sym_BANG] = ACTIONS(6042),
    [anon_sym_AMP] = ACTIONS(6042),
    [anon_sym_DOT] = ACTIONS(243),
    [anon_sym_LBRACK] = ACTIONS(245),
    [anon_sym_cast] = ACTIONS(211),
    [anon_sym_transmute] = ACTIONS(211),
    [anon_sym_auto_cast] = ACTIONS(213),
    [anon_sym_DOT_DOT] = ACTIONS(6044),
    [anon_sym_map] = ACTIONS(217),
    [anon_sym_bit_set] = ACTIONS(219),
    [anon_sym_matrix] = ACTIONS(221),
    [anon_sym_distinct] = ACTIONS(223),
    [sym_number] = ACTIONS(225),
    [anon_sym_DQUOTE] = ACTIONS(227),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_SQUOTE] = ACTIONS(231),
    [anon_sym_true] = ACTIONS(233),
    [anon_sym_false] = ACTIONS(233),
    [sym_nil] = ACTIONS(235),
    [sym_uninitialized] = ACTIONS(225),
    [sym_tag] = ACTIONS(247),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(225),
    [sym_block_comment] = ACTIONS(3),
  },
  [1510] = {
    [sym_expression] = STATE(5536),
    [sym__expression_no_tag] = STATE(4572),
    [sym_unary_expression] = STATE(4572),
    [sym_binary_expression] = STATE(4572),
    [sym_ternary_expression] = STATE(4572),
    [sym_call_expression] = STATE(4572),
    [sym_selector_call_expression] = STATE(4572),
    [sym_member_expression] = STATE(4572),
    [sym_index_expression] = STATE(4572),
    [sym_slice_expression] = STATE(4572),
    [sym_range_expression] = STATE(4572),
    [sym_cast_expression] = STATE(4572),
    [sym_in_expression] = STATE(4572),
    [sym_variadic_expression] = STATE(4572),
    [sym_parenthesized_expression] = STATE(4572),
    [sym_or_return_expression] = STATE(4572),
    [sym_or_continue_expression] = STATE(4572),
    [sym_or_break_expression] = STATE(4572),
    [sym_address] = STATE(4572),
    [sym_map_type] = STATE(4572),
    [sym_matrix_type] = STATE(4572),
    [sym_distinct_type] = STATE(4572),
    [sym_literal] = STATE(4572),
    [sym_struct] = STATE(4562),
    [sym_map] = STATE(4320),
    [sym_bit_set] = STATE(4320),
    [sym_matrix] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym__string_literal] = STATE(4334),
    [sym__raw_string_literal] = STATE(4334),
    [sym_character] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_field_identifier] = STATE(7845),
    [sym_identifier] = ACTIONS(341),
    [anon_sym_LBRACE] = ACTIONS(943),
    [anon_sym_LPAREN] = ACTIONS(1396),
    [anon_sym_QMARK] = ACTIONS(385),
    [anon_sym_PLUS] = ACTIONS(1400),
    [anon_sym_DASH] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(1400),
    [anon_sym_BANG] = ACTIONS(1400),
    [anon_sym_AMP] = ACTIONS(1400),
    [anon_sym_DOT] = ACTIONS(1402),
    [anon_sym_LBRACK] = ACTIONS(955),
    [anon_sym_cast] = ACTIONS(345),
    [anon_sym_transmute] = ACTIONS(345),
    [anon_sym_auto_cast] = ACTIONS(347),
    [anon_sym_DOT_DOT] = ACTIONS(6073),
    [anon_sym_map] = ACTIONS(351),
    [anon_sym_bit_set] = ACTIONS(353),
    [anon_sym_matrix] = ACTIONS(355),
    [anon_sym_distinct] = ACTIONS(357),
    [sym_number] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(361),
    [anon_sym_BQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [anon_sym_true] = ACTIONS(367),
    [anon_sym_false] = ACTIONS(367),
    [sym_nil] = ACTIONS(369),
    [sym_uninitialized] = ACTIONS(359),
    [sym_tag] = ACTIONS(6075),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(359),
    [sym_block_comment] = ACTIONS(3),
  },
  [1511] = {
    [sym_expression] = STATE(5847),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1512] = {
    [sym_expression] = STATE(5848),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1513] = {
    [sym_expression] = STATE(5771),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1514] = {
    [sym_expression] = STATE(5652),
    [sym__expression_no_tag] = STATE(4410),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_ternary_expression] = STATE(4410),
    [sym_call_expression] = STATE(4410),
    [sym_selector_call_expression] = STATE(4410),
    [sym_member_expression] = STATE(4410),
    [sym_index_expression] = STATE(4410),
    [sym_slice_expression] = STATE(4410),
    [sym_range_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_in_expression] = STATE(4410),
    [sym_variadic_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4410),
    [sym_or_return_expression] = STATE(4410),
    [sym_or_continue_expression] = STATE(4410),
    [sym_or_break_expression] = STATE(4410),
    [sym_address] = STATE(4410),
    [sym_map_type] = STATE(4410),
    [sym_matrix_type] = STATE(4410),
    [sym_distinct_type] = STATE(4410),
    [sym_literal] = STATE(4410),
    [sym_struct] = STATE(4333),
    [sym_map] = STATE(4320),
    [sym_bit_set] = STATE(4320),
    [sym_matrix] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym__string_literal] = STATE(4334),
    [sym__raw_string_literal] = STATE(4334),
    [sym_character] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_field_identifier] = STATE(7845),
    [sym_identifier] = ACTIONS(341),
    [anon_sym_LBRACE] = ACTIONS(943),
    [anon_sym_LPAREN] = ACTIONS(945),
    [anon_sym_QMARK] = ACTIONS(3239),
    [anon_sym_PLUS] = ACTIONS(949),
    [anon_sym_DASH] = ACTIONS(951),
    [anon_sym_TILDE] = ACTIONS(949),
    [anon_sym_BANG] = ACTIONS(949),
    [anon_sym_AMP] = ACTIONS(949),
    [anon_sym_DOT] = ACTIONS(953),
    [anon_sym_LBRACK] = ACTIONS(955),
    [anon_sym_cast] = ACTIONS(957),
    [anon_sym_transmute] = ACTIONS(957),
    [anon_sym_auto_cast] = ACTIONS(959),
    [anon_sym_DOT_DOT] = ACTIONS(3241),
    [anon_sym_map] = ACTIONS(351),
    [anon_sym_bit_set] = ACTIONS(353),
    [anon_sym_matrix] = ACTIONS(355),
    [anon_sym_distinct] = ACTIONS(357),
    [sym_number] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(361),
    [anon_sym_BQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [anon_sym_true] = ACTIONS(367),
    [anon_sym_false] = ACTIONS(367),
    [sym_nil] = ACTIONS(369),
    [sym_uninitialized] = ACTIONS(359),
    [sym_tag] = ACTIONS(963),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(359),
    [sym_block_comment] = ACTIONS(3),
  },
  [1515] = {
    [sym_expression] = STATE(3874),
    [sym__expression_no_tag] = STATE(3826),
    [sym_unary_expression] = STATE(3826),
    [sym_binary_expression] = STATE(3826),
    [sym_ternary_expression] = STATE(3826),
    [sym_call_expression] = STATE(3826),
    [sym_selector_call_expression] = STATE(3826),
    [sym_member_expression] = STATE(3826),
    [sym_index_expression] = STATE(3826),
    [sym_slice_expression] = STATE(3826),
    [sym_range_expression] = STATE(3826),
    [sym_cast_expression] = STATE(3826),
    [sym_in_expression] = STATE(3826),
    [sym_variadic_expression] = STATE(3826),
    [sym_parenthesized_expression] = STATE(3826),
    [sym_or_return_expression] = STATE(3826),
    [sym_or_continue_expression] = STATE(3826),
    [sym_or_break_expression] = STATE(3826),
    [sym_address] = STATE(3826),
    [sym_map_type] = STATE(3826),
    [sym_matrix_type] = STATE(3826),
    [sym_distinct_type] = STATE(3826),
    [sym_literal] = STATE(3826),
    [sym_struct] = STATE(3866),
    [sym_map] = STATE(3787),
    [sym_bit_set] = STATE(3787),
    [sym_matrix] = STATE(3787),
    [sym_string] = STATE(3787),
    [sym__string_literal] = STATE(3867),
    [sym__raw_string_literal] = STATE(3867),
    [sym_character] = STATE(3787),
    [sym_boolean] = STATE(3787),
    [sym_field_identifier] = STATE(7783),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_QMARK] = ACTIONS(657),
    [anon_sym_PLUS] = ACTIONS(27),
    [anon_sym_DASH] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(27),
    [anon_sym_DOT] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_cast] = ACTIONS(35),
    [anon_sym_transmute] = ACTIONS(35),
    [anon_sym_auto_cast] = ACTIONS(37),
    [anon_sym_DOT_DOT] = ACTIONS(39),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(611),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [1516] = {
    [sym_expression] = STATE(884),
    [sym__expression_no_tag] = STATE(743),
    [sym_unary_expression] = STATE(743),
    [sym_binary_expression] = STATE(743),
    [sym_ternary_expression] = STATE(743),
    [sym_call_expression] = STATE(743),
    [sym_selector_call_expression] = STATE(743),
    [sym_member_expression] = STATE(743),
    [sym_index_expression] = STATE(743),
    [sym_slice_expression] = STATE(743),
    [sym_range_expression] = STATE(743),
    [sym_cast_expression] = STATE(743),
    [sym_in_expression] = STATE(743),
    [sym_variadic_expression] = STATE(743),
    [sym_parenthesized_expression] = STATE(743),
    [sym_or_return_expression] = STATE(743),
    [sym_or_continue_expression] = STATE(743),
    [sym_or_break_expression] = STATE(743),
    [sym_address] = STATE(743),
    [sym_map_type] = STATE(743),
    [sym_matrix_type] = STATE(743),
    [sym_distinct_type] = STATE(743),
    [sym_literal] = STATE(743),
    [sym_struct] = STATE(933),
    [sym_map] = STATE(925),
    [sym_bit_set] = STATE(925),
    [sym_matrix] = STATE(925),
    [sym_string] = STATE(925),
    [sym__string_literal] = STATE(934),
    [sym__raw_string_literal] = STATE(934),
    [sym_character] = STATE(925),
    [sym_boolean] = STATE(925),
    [sym_field_identifier] = STATE(7874),
    [sym_identifier] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(135),
    [anon_sym_QMARK] = ACTIONS(137),
    [anon_sym_PLUS] = ACTIONS(6046),
    [anon_sym_DASH] = ACTIONS(139),
    [anon_sym_TILDE] = ACTIONS(6046),
    [anon_sym_BANG] = ACTIONS(6046),
    [anon_sym_AMP] = ACTIONS(6046),
    [anon_sym_DOT] = ACTIONS(141),
    [anon_sym_LBRACK] = ACTIONS(143),
    [anon_sym_cast] = ACTIONS(145),
    [anon_sym_transmute] = ACTIONS(145),
    [anon_sym_auto_cast] = ACTIONS(147),
    [anon_sym_DOT_DOT] = ACTIONS(6048),
    [anon_sym_map] = ACTIONS(151),
    [anon_sym_bit_set] = ACTIONS(153),
    [anon_sym_matrix] = ACTIONS(155),
    [anon_sym_distinct] = ACTIONS(157),
    [sym_number] = ACTIONS(159),
    [anon_sym_DQUOTE] = ACTIONS(161),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [anon_sym_SQUOTE] = ACTIONS(165),
    [anon_sym_true] = ACTIONS(167),
    [anon_sym_false] = ACTIONS(167),
    [sym_nil] = ACTIONS(169),
    [sym_uninitialized] = ACTIONS(159),
    [sym_tag] = ACTIONS(171),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(159),
    [sym_block_comment] = ACTIONS(3),
  },
  [1517] = {
    [sym_expression] = STATE(2401),
    [sym__expression_no_tag] = STATE(2425),
    [sym_unary_expression] = STATE(2425),
    [sym_binary_expression] = STATE(2425),
    [sym_ternary_expression] = STATE(2425),
    [sym_call_expression] = STATE(2425),
    [sym_selector_call_expression] = STATE(2425),
    [sym_member_expression] = STATE(2425),
    [sym_index_expression] = STATE(2425),
    [sym_slice_expression] = STATE(2425),
    [sym_range_expression] = STATE(2425),
    [sym_cast_expression] = STATE(2425),
    [sym_in_expression] = STATE(2425),
    [sym_variadic_expression] = STATE(2425),
    [sym_parenthesized_expression] = STATE(2425),
    [sym_or_return_expression] = STATE(2425),
    [sym_or_continue_expression] = STATE(2425),
    [sym_or_break_expression] = STATE(2425),
    [sym_address] = STATE(2425),
    [sym_map_type] = STATE(2425),
    [sym_matrix_type] = STATE(2425),
    [sym_distinct_type] = STATE(2425),
    [sym_literal] = STATE(2425),
    [sym_struct] = STATE(2413),
    [sym_map] = STATE(2256),
    [sym_bit_set] = STATE(2256),
    [sym_matrix] = STATE(2256),
    [sym_string] = STATE(2256),
    [sym__string_literal] = STATE(2258),
    [sym__raw_string_literal] = STATE(2258),
    [sym_character] = STATE(2256),
    [sym_boolean] = STATE(2256),
    [sym_field_identifier] = STATE(7777),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_QMARK] = ACTIONS(205),
    [anon_sym_PLUS] = ACTIONS(391),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(391),
    [anon_sym_BANG] = ACTIONS(391),
    [anon_sym_AMP] = ACTIONS(391),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_DOT_DOT] = ACTIONS(393),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(201),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [1518] = {
    [sym_expression] = STATE(2402),
    [sym__expression_no_tag] = STATE(2425),
    [sym_unary_expression] = STATE(2425),
    [sym_binary_expression] = STATE(2425),
    [sym_ternary_expression] = STATE(2425),
    [sym_call_expression] = STATE(2425),
    [sym_selector_call_expression] = STATE(2425),
    [sym_member_expression] = STATE(2425),
    [sym_index_expression] = STATE(2425),
    [sym_slice_expression] = STATE(2425),
    [sym_range_expression] = STATE(2425),
    [sym_cast_expression] = STATE(2425),
    [sym_in_expression] = STATE(2425),
    [sym_variadic_expression] = STATE(2425),
    [sym_parenthesized_expression] = STATE(2425),
    [sym_or_return_expression] = STATE(2425),
    [sym_or_continue_expression] = STATE(2425),
    [sym_or_break_expression] = STATE(2425),
    [sym_address] = STATE(2425),
    [sym_map_type] = STATE(2425),
    [sym_matrix_type] = STATE(2425),
    [sym_distinct_type] = STATE(2425),
    [sym_literal] = STATE(2425),
    [sym_struct] = STATE(2413),
    [sym_map] = STATE(2256),
    [sym_bit_set] = STATE(2256),
    [sym_matrix] = STATE(2256),
    [sym_string] = STATE(2256),
    [sym__string_literal] = STATE(2258),
    [sym__raw_string_literal] = STATE(2258),
    [sym_character] = STATE(2256),
    [sym_boolean] = STATE(2256),
    [sym_field_identifier] = STATE(7777),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_QMARK] = ACTIONS(205),
    [anon_sym_PLUS] = ACTIONS(391),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(391),
    [anon_sym_BANG] = ACTIONS(391),
    [anon_sym_AMP] = ACTIONS(391),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_DOT_DOT] = ACTIONS(393),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(201),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [1519] = {
    [sym_expression] = STATE(2403),
    [sym__expression_no_tag] = STATE(2425),
    [sym_unary_expression] = STATE(2425),
    [sym_binary_expression] = STATE(2425),
    [sym_ternary_expression] = STATE(2425),
    [sym_call_expression] = STATE(2425),
    [sym_selector_call_expression] = STATE(2425),
    [sym_member_expression] = STATE(2425),
    [sym_index_expression] = STATE(2425),
    [sym_slice_expression] = STATE(2425),
    [sym_range_expression] = STATE(2425),
    [sym_cast_expression] = STATE(2425),
    [sym_in_expression] = STATE(2425),
    [sym_variadic_expression] = STATE(2425),
    [sym_parenthesized_expression] = STATE(2425),
    [sym_or_return_expression] = STATE(2425),
    [sym_or_continue_expression] = STATE(2425),
    [sym_or_break_expression] = STATE(2425),
    [sym_address] = STATE(2425),
    [sym_map_type] = STATE(2425),
    [sym_matrix_type] = STATE(2425),
    [sym_distinct_type] = STATE(2425),
    [sym_literal] = STATE(2425),
    [sym_struct] = STATE(2413),
    [sym_map] = STATE(2256),
    [sym_bit_set] = STATE(2256),
    [sym_matrix] = STATE(2256),
    [sym_string] = STATE(2256),
    [sym__string_literal] = STATE(2258),
    [sym__raw_string_literal] = STATE(2258),
    [sym_character] = STATE(2256),
    [sym_boolean] = STATE(2256),
    [sym_field_identifier] = STATE(7777),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_QMARK] = ACTIONS(205),
    [anon_sym_PLUS] = ACTIONS(391),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(391),
    [anon_sym_BANG] = ACTIONS(391),
    [anon_sym_AMP] = ACTIONS(391),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_DOT_DOT] = ACTIONS(393),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(201),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [1520] = {
    [sym_expression] = STATE(5576),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1521] = {
    [sym_expression] = STATE(5878),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1522] = {
    [sym_expression] = STATE(5578),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1523] = {
    [sym_expression] = STATE(5579),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1524] = {
    [sym_expression] = STATE(5492),
    [sym__expression_no_tag] = STATE(4385),
    [sym_unary_expression] = STATE(4385),
    [sym_binary_expression] = STATE(4385),
    [sym_ternary_expression] = STATE(4385),
    [sym_call_expression] = STATE(4385),
    [sym_selector_call_expression] = STATE(4385),
    [sym_member_expression] = STATE(4385),
    [sym_index_expression] = STATE(4385),
    [sym_slice_expression] = STATE(4385),
    [sym_range_expression] = STATE(4385),
    [sym_cast_expression] = STATE(4385),
    [sym_in_expression] = STATE(4385),
    [sym_variadic_expression] = STATE(4385),
    [sym_parenthesized_expression] = STATE(4385),
    [sym_or_return_expression] = STATE(4385),
    [sym_or_continue_expression] = STATE(4385),
    [sym_or_break_expression] = STATE(4385),
    [sym_address] = STATE(4385),
    [sym_map_type] = STATE(4385),
    [sym_matrix_type] = STATE(4385),
    [sym_distinct_type] = STATE(4385),
    [sym_literal] = STATE(4385),
    [sym_struct] = STATE(4394),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(925),
    [anon_sym_QMARK] = ACTIONS(1240),
    [anon_sym_PLUS] = ACTIONS(929),
    [anon_sym_DASH] = ACTIONS(931),
    [anon_sym_TILDE] = ACTIONS(929),
    [anon_sym_BANG] = ACTIONS(929),
    [anon_sym_AMP] = ACTIONS(929),
    [anon_sym_DOT] = ACTIONS(933),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(935),
    [anon_sym_transmute] = ACTIONS(935),
    [anon_sym_auto_cast] = ACTIONS(937),
    [anon_sym_DOT_DOT] = ACTIONS(4422),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(941),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1525] = {
    [sym_expression] = STATE(3821),
    [sym__expression_no_tag] = STATE(3826),
    [sym_unary_expression] = STATE(3826),
    [sym_binary_expression] = STATE(3826),
    [sym_ternary_expression] = STATE(3826),
    [sym_call_expression] = STATE(3826),
    [sym_selector_call_expression] = STATE(3826),
    [sym_member_expression] = STATE(3826),
    [sym_index_expression] = STATE(3826),
    [sym_slice_expression] = STATE(3826),
    [sym_range_expression] = STATE(3826),
    [sym_cast_expression] = STATE(3826),
    [sym_in_expression] = STATE(3826),
    [sym_variadic_expression] = STATE(3826),
    [sym_parenthesized_expression] = STATE(3826),
    [sym_or_return_expression] = STATE(3826),
    [sym_or_continue_expression] = STATE(3826),
    [sym_or_break_expression] = STATE(3826),
    [sym_address] = STATE(3826),
    [sym_map_type] = STATE(3826),
    [sym_matrix_type] = STATE(3826),
    [sym_distinct_type] = STATE(3826),
    [sym_literal] = STATE(3826),
    [sym_struct] = STATE(3866),
    [sym_map] = STATE(3787),
    [sym_bit_set] = STATE(3787),
    [sym_matrix] = STATE(3787),
    [sym_string] = STATE(3787),
    [sym__string_literal] = STATE(3867),
    [sym__raw_string_literal] = STATE(3867),
    [sym_character] = STATE(3787),
    [sym_boolean] = STATE(3787),
    [sym_field_identifier] = STATE(7783),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_QMARK] = ACTIONS(657),
    [anon_sym_PLUS] = ACTIONS(27),
    [anon_sym_DASH] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(27),
    [anon_sym_DOT] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_cast] = ACTIONS(35),
    [anon_sym_transmute] = ACTIONS(35),
    [anon_sym_auto_cast] = ACTIONS(37),
    [anon_sym_DOT_DOT] = ACTIONS(39),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(611),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [1526] = {
    [sym_expression] = STATE(5899),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1527] = {
    [sym_expression] = STATE(5900),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1528] = {
    [sym_expression] = STATE(2404),
    [sym__expression_no_tag] = STATE(2425),
    [sym_unary_expression] = STATE(2425),
    [sym_binary_expression] = STATE(2425),
    [sym_ternary_expression] = STATE(2425),
    [sym_call_expression] = STATE(2425),
    [sym_selector_call_expression] = STATE(2425),
    [sym_member_expression] = STATE(2425),
    [sym_index_expression] = STATE(2425),
    [sym_slice_expression] = STATE(2425),
    [sym_range_expression] = STATE(2425),
    [sym_cast_expression] = STATE(2425),
    [sym_in_expression] = STATE(2425),
    [sym_variadic_expression] = STATE(2425),
    [sym_parenthesized_expression] = STATE(2425),
    [sym_or_return_expression] = STATE(2425),
    [sym_or_continue_expression] = STATE(2425),
    [sym_or_break_expression] = STATE(2425),
    [sym_address] = STATE(2425),
    [sym_map_type] = STATE(2425),
    [sym_matrix_type] = STATE(2425),
    [sym_distinct_type] = STATE(2425),
    [sym_literal] = STATE(2425),
    [sym_struct] = STATE(2413),
    [sym_map] = STATE(2256),
    [sym_bit_set] = STATE(2256),
    [sym_matrix] = STATE(2256),
    [sym_string] = STATE(2256),
    [sym__string_literal] = STATE(2258),
    [sym__raw_string_literal] = STATE(2258),
    [sym_character] = STATE(2256),
    [sym_boolean] = STATE(2256),
    [sym_field_identifier] = STATE(7777),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_QMARK] = ACTIONS(205),
    [anon_sym_PLUS] = ACTIONS(391),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(391),
    [anon_sym_BANG] = ACTIONS(391),
    [anon_sym_AMP] = ACTIONS(391),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_DOT_DOT] = ACTIONS(393),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(201),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [1529] = {
    [sym_expression] = STATE(2406),
    [sym__expression_no_tag] = STATE(2425),
    [sym_unary_expression] = STATE(2425),
    [sym_binary_expression] = STATE(2425),
    [sym_ternary_expression] = STATE(2425),
    [sym_call_expression] = STATE(2425),
    [sym_selector_call_expression] = STATE(2425),
    [sym_member_expression] = STATE(2425),
    [sym_index_expression] = STATE(2425),
    [sym_slice_expression] = STATE(2425),
    [sym_range_expression] = STATE(2425),
    [sym_cast_expression] = STATE(2425),
    [sym_in_expression] = STATE(2425),
    [sym_variadic_expression] = STATE(2425),
    [sym_parenthesized_expression] = STATE(2425),
    [sym_or_return_expression] = STATE(2425),
    [sym_or_continue_expression] = STATE(2425),
    [sym_or_break_expression] = STATE(2425),
    [sym_address] = STATE(2425),
    [sym_map_type] = STATE(2425),
    [sym_matrix_type] = STATE(2425),
    [sym_distinct_type] = STATE(2425),
    [sym_literal] = STATE(2425),
    [sym_struct] = STATE(2413),
    [sym_map] = STATE(2256),
    [sym_bit_set] = STATE(2256),
    [sym_matrix] = STATE(2256),
    [sym_string] = STATE(2256),
    [sym__string_literal] = STATE(2258),
    [sym__raw_string_literal] = STATE(2258),
    [sym_character] = STATE(2256),
    [sym_boolean] = STATE(2256),
    [sym_field_identifier] = STATE(7777),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_QMARK] = ACTIONS(205),
    [anon_sym_PLUS] = ACTIONS(391),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(391),
    [anon_sym_BANG] = ACTIONS(391),
    [anon_sym_AMP] = ACTIONS(391),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_DOT_DOT] = ACTIONS(393),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(201),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [1530] = {
    [sym_expression] = STATE(2408),
    [sym__expression_no_tag] = STATE(2425),
    [sym_unary_expression] = STATE(2425),
    [sym_binary_expression] = STATE(2425),
    [sym_ternary_expression] = STATE(2425),
    [sym_call_expression] = STATE(2425),
    [sym_selector_call_expression] = STATE(2425),
    [sym_member_expression] = STATE(2425),
    [sym_index_expression] = STATE(2425),
    [sym_slice_expression] = STATE(2425),
    [sym_range_expression] = STATE(2425),
    [sym_cast_expression] = STATE(2425),
    [sym_in_expression] = STATE(2425),
    [sym_variadic_expression] = STATE(2425),
    [sym_parenthesized_expression] = STATE(2425),
    [sym_or_return_expression] = STATE(2425),
    [sym_or_continue_expression] = STATE(2425),
    [sym_or_break_expression] = STATE(2425),
    [sym_address] = STATE(2425),
    [sym_map_type] = STATE(2425),
    [sym_matrix_type] = STATE(2425),
    [sym_distinct_type] = STATE(2425),
    [sym_literal] = STATE(2425),
    [sym_struct] = STATE(2413),
    [sym_map] = STATE(2256),
    [sym_bit_set] = STATE(2256),
    [sym_matrix] = STATE(2256),
    [sym_string] = STATE(2256),
    [sym__string_literal] = STATE(2258),
    [sym__raw_string_literal] = STATE(2258),
    [sym_character] = STATE(2256),
    [sym_boolean] = STATE(2256),
    [sym_field_identifier] = STATE(7777),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_QMARK] = ACTIONS(205),
    [anon_sym_PLUS] = ACTIONS(391),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(391),
    [anon_sym_BANG] = ACTIONS(391),
    [anon_sym_AMP] = ACTIONS(391),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_DOT_DOT] = ACTIONS(393),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(201),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [1531] = {
    [sym_expression] = STATE(2807),
    [sym__expression_no_tag] = STATE(2692),
    [sym_unary_expression] = STATE(2692),
    [sym_binary_expression] = STATE(2692),
    [sym_ternary_expression] = STATE(2692),
    [sym_call_expression] = STATE(2692),
    [sym_selector_call_expression] = STATE(2692),
    [sym_member_expression] = STATE(2692),
    [sym_index_expression] = STATE(2692),
    [sym_slice_expression] = STATE(2692),
    [sym_range_expression] = STATE(2692),
    [sym_cast_expression] = STATE(2692),
    [sym_in_expression] = STATE(2692),
    [sym_variadic_expression] = STATE(2692),
    [sym_parenthesized_expression] = STATE(2692),
    [sym_or_return_expression] = STATE(2692),
    [sym_or_continue_expression] = STATE(2692),
    [sym_or_break_expression] = STATE(2692),
    [sym_address] = STATE(2692),
    [sym_map_type] = STATE(2692),
    [sym_matrix_type] = STATE(2692),
    [sym_distinct_type] = STATE(2692),
    [sym_literal] = STATE(2692),
    [sym_struct] = STATE(2751),
    [sym_map] = STATE(2747),
    [sym_bit_set] = STATE(2747),
    [sym_matrix] = STATE(2747),
    [sym_string] = STATE(2747),
    [sym__string_literal] = STATE(2752),
    [sym__raw_string_literal] = STATE(2752),
    [sym_character] = STATE(2747),
    [sym_boolean] = STATE(2747),
    [sym_field_identifier] = STATE(7946),
    [sym_identifier] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(309),
    [anon_sym_LPAREN] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(375),
    [anon_sym_PLUS] = ACTIONS(3165),
    [anon_sym_DASH] = ACTIONS(311),
    [anon_sym_TILDE] = ACTIONS(3165),
    [anon_sym_BANG] = ACTIONS(3165),
    [anon_sym_AMP] = ACTIONS(3165),
    [anon_sym_DOT] = ACTIONS(377),
    [anon_sym_LBRACK] = ACTIONS(379),
    [anon_sym_cast] = ACTIONS(313),
    [anon_sym_transmute] = ACTIONS(313),
    [anon_sym_auto_cast] = ACTIONS(315),
    [anon_sym_DOT_DOT] = ACTIONS(3167),
    [anon_sym_map] = ACTIONS(319),
    [anon_sym_bit_set] = ACTIONS(321),
    [anon_sym_matrix] = ACTIONS(323),
    [anon_sym_distinct] = ACTIONS(325),
    [sym_number] = ACTIONS(327),
    [anon_sym_DQUOTE] = ACTIONS(329),
    [anon_sym_BQUOTE] = ACTIONS(331),
    [anon_sym_SQUOTE] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym_nil] = ACTIONS(337),
    [sym_uninitialized] = ACTIONS(327),
    [sym_tag] = ACTIONS(339),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(327),
    [sym_block_comment] = ACTIONS(3),
  },
  [1532] = {
    [sym_expression] = STATE(2409),
    [sym__expression_no_tag] = STATE(2425),
    [sym_unary_expression] = STATE(2425),
    [sym_binary_expression] = STATE(2425),
    [sym_ternary_expression] = STATE(2425),
    [sym_call_expression] = STATE(2425),
    [sym_selector_call_expression] = STATE(2425),
    [sym_member_expression] = STATE(2425),
    [sym_index_expression] = STATE(2425),
    [sym_slice_expression] = STATE(2425),
    [sym_range_expression] = STATE(2425),
    [sym_cast_expression] = STATE(2425),
    [sym_in_expression] = STATE(2425),
    [sym_variadic_expression] = STATE(2425),
    [sym_parenthesized_expression] = STATE(2425),
    [sym_or_return_expression] = STATE(2425),
    [sym_or_continue_expression] = STATE(2425),
    [sym_or_break_expression] = STATE(2425),
    [sym_address] = STATE(2425),
    [sym_map_type] = STATE(2425),
    [sym_matrix_type] = STATE(2425),
    [sym_distinct_type] = STATE(2425),
    [sym_literal] = STATE(2425),
    [sym_struct] = STATE(2413),
    [sym_map] = STATE(2256),
    [sym_bit_set] = STATE(2256),
    [sym_matrix] = STATE(2256),
    [sym_string] = STATE(2256),
    [sym__string_literal] = STATE(2258),
    [sym__raw_string_literal] = STATE(2258),
    [sym_character] = STATE(2256),
    [sym_boolean] = STATE(2256),
    [sym_field_identifier] = STATE(7777),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_QMARK] = ACTIONS(205),
    [anon_sym_PLUS] = ACTIONS(391),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(391),
    [anon_sym_BANG] = ACTIONS(391),
    [anon_sym_AMP] = ACTIONS(391),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_DOT_DOT] = ACTIONS(393),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(201),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [1533] = {
    [sym_expression] = STATE(2280),
    [sym__expression_no_tag] = STATE(2425),
    [sym_unary_expression] = STATE(2425),
    [sym_binary_expression] = STATE(2425),
    [sym_ternary_expression] = STATE(2425),
    [sym_call_expression] = STATE(2425),
    [sym_selector_call_expression] = STATE(2425),
    [sym_member_expression] = STATE(2425),
    [sym_index_expression] = STATE(2425),
    [sym_slice_expression] = STATE(2425),
    [sym_range_expression] = STATE(2425),
    [sym_cast_expression] = STATE(2425),
    [sym_in_expression] = STATE(2425),
    [sym_variadic_expression] = STATE(2425),
    [sym_parenthesized_expression] = STATE(2425),
    [sym_or_return_expression] = STATE(2425),
    [sym_or_continue_expression] = STATE(2425),
    [sym_or_break_expression] = STATE(2425),
    [sym_address] = STATE(2425),
    [sym_map_type] = STATE(2425),
    [sym_matrix_type] = STATE(2425),
    [sym_distinct_type] = STATE(2425),
    [sym_literal] = STATE(2425),
    [sym_struct] = STATE(2413),
    [sym_map] = STATE(2256),
    [sym_bit_set] = STATE(2256),
    [sym_matrix] = STATE(2256),
    [sym_string] = STATE(2256),
    [sym__string_literal] = STATE(2258),
    [sym__raw_string_literal] = STATE(2258),
    [sym_character] = STATE(2256),
    [sym_boolean] = STATE(2256),
    [sym_field_identifier] = STATE(7777),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_QMARK] = ACTIONS(205),
    [anon_sym_PLUS] = ACTIONS(391),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(391),
    [anon_sym_BANG] = ACTIONS(391),
    [anon_sym_AMP] = ACTIONS(391),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_DOT_DOT] = ACTIONS(393),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(201),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [1534] = {
    [sym_identifier] = ACTIONS(6077),
    [anon_sym_LBRACE] = ACTIONS(67),
    [anon_sym_COMMA] = ACTIONS(67),
    [anon_sym_COLON_COLON] = ACTIONS(67),
    [anon_sym_DASH_GT] = ACTIONS(67),
    [anon_sym_where] = ACTIONS(71),
    [anon_sym_EQ] = ACTIONS(71),
    [anon_sym_COLON_EQ] = ACTIONS(67),
    [anon_sym_COLON] = ACTIONS(71),
    [anon_sym_LPAREN] = ACTIONS(6079),
    [anon_sym_PLUS_EQ] = ACTIONS(67),
    [anon_sym_DASH_EQ] = ACTIONS(67),
    [anon_sym_STAR_EQ] = ACTIONS(67),
    [anon_sym_SLASH_EQ] = ACTIONS(67),
    [anon_sym_PERCENT_EQ] = ACTIONS(67),
    [anon_sym_AMP_EQ] = ACTIONS(67),
    [anon_sym_PIPE_EQ] = ACTIONS(67),
    [anon_sym_CARET_EQ] = ACTIONS(67),
    [anon_sym_LT_LT_EQ] = ACTIONS(67),
    [anon_sym_GT_GT_EQ] = ACTIONS(67),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(67),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(67),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(67),
    [anon_sym_if] = ACTIONS(71),
    [anon_sym_SEMI] = ACTIONS(67),
    [anon_sym_do] = ACTIONS(71),
    [anon_sym_when] = ACTIONS(71),
    [anon_sym_in] = ACTIONS(71),
    [anon_sym_QMARK] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(71),
    [anon_sym_DASH] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_AMP] = ACTIONS(71),
    [anon_sym_PIPE_PIPE] = ACTIONS(71),
    [anon_sym_or_else] = ACTIONS(71),
    [anon_sym_AMP_AMP] = ACTIONS(71),
    [anon_sym_GT] = ACTIONS(71),
    [anon_sym_GT_EQ] = ACTIONS(67),
    [anon_sym_LT_EQ] = ACTIONS(67),
    [anon_sym_LT] = ACTIONS(71),
    [anon_sym_EQ_EQ] = ACTIONS(67),
    [anon_sym_BANG_EQ] = ACTIONS(67),
    [anon_sym_TILDE_EQ] = ACTIONS(67),
    [anon_sym_PIPE] = ACTIONS(71),
    [anon_sym_AMP_TILDE] = ACTIONS(71),
    [anon_sym_LT_LT] = ACTIONS(71),
    [anon_sym_GT_GT] = ACTIONS(71),
    [anon_sym_STAR] = ACTIONS(71),
    [anon_sym_SLASH] = ACTIONS(71),
    [anon_sym_PERCENT] = ACTIONS(71),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(67),
    [anon_sym_DOT] = ACTIONS(71),
    [anon_sym_LBRACK] = ACTIONS(67),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(67),
    [anon_sym_DOT_DOT_LT] = ACTIONS(67),
    [anon_sym_not_in] = ACTIONS(71),
    [anon_sym_or_return] = ACTIONS(71),
    [anon_sym_or_continue] = ACTIONS(71),
    [anon_sym_or_break] = ACTIONS(71),
    [anon_sym_CARET] = ACTIONS(71),
    [sym_uninitialized] = ACTIONS(67),
    [sym_tag] = ACTIONS(67),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1535] = {
    [sym_expression] = STATE(5584),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1536] = {
    [sym_expression] = STATE(5971),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1537] = {
    [sym_expression] = STATE(5586),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1538] = {
    [sym_expression] = STATE(5587),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1539] = {
    [sym_expression] = STATE(1077),
    [sym__expression_no_tag] = STATE(743),
    [sym_unary_expression] = STATE(743),
    [sym_binary_expression] = STATE(743),
    [sym_ternary_expression] = STATE(743),
    [sym_call_expression] = STATE(743),
    [sym_selector_call_expression] = STATE(743),
    [sym_member_expression] = STATE(743),
    [sym_index_expression] = STATE(743),
    [sym_slice_expression] = STATE(743),
    [sym_range_expression] = STATE(743),
    [sym_cast_expression] = STATE(743),
    [sym_in_expression] = STATE(743),
    [sym_variadic_expression] = STATE(743),
    [sym_parenthesized_expression] = STATE(743),
    [sym_or_return_expression] = STATE(743),
    [sym_or_continue_expression] = STATE(743),
    [sym_or_break_expression] = STATE(743),
    [sym_address] = STATE(743),
    [sym_map_type] = STATE(743),
    [sym_matrix_type] = STATE(743),
    [sym_distinct_type] = STATE(743),
    [sym_literal] = STATE(743),
    [sym_struct] = STATE(933),
    [sym_map] = STATE(925),
    [sym_bit_set] = STATE(925),
    [sym_matrix] = STATE(925),
    [sym_string] = STATE(925),
    [sym__string_literal] = STATE(934),
    [sym__raw_string_literal] = STATE(934),
    [sym_character] = STATE(925),
    [sym_boolean] = STATE(925),
    [sym_field_identifier] = STATE(7874),
    [sym_identifier] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(135),
    [anon_sym_QMARK] = ACTIONS(137),
    [anon_sym_PLUS] = ACTIONS(6046),
    [anon_sym_DASH] = ACTIONS(139),
    [anon_sym_TILDE] = ACTIONS(6046),
    [anon_sym_BANG] = ACTIONS(6046),
    [anon_sym_AMP] = ACTIONS(6046),
    [anon_sym_DOT] = ACTIONS(141),
    [anon_sym_LBRACK] = ACTIONS(143),
    [anon_sym_cast] = ACTIONS(145),
    [anon_sym_transmute] = ACTIONS(145),
    [anon_sym_auto_cast] = ACTIONS(147),
    [anon_sym_DOT_DOT] = ACTIONS(6048),
    [anon_sym_map] = ACTIONS(151),
    [anon_sym_bit_set] = ACTIONS(153),
    [anon_sym_matrix] = ACTIONS(155),
    [anon_sym_distinct] = ACTIONS(157),
    [sym_number] = ACTIONS(159),
    [anon_sym_DQUOTE] = ACTIONS(161),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [anon_sym_SQUOTE] = ACTIONS(165),
    [anon_sym_true] = ACTIONS(167),
    [anon_sym_false] = ACTIONS(167),
    [sym_nil] = ACTIONS(169),
    [sym_uninitialized] = ACTIONS(159),
    [sym_tag] = ACTIONS(171),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(159),
    [sym_block_comment] = ACTIONS(3),
  },
  [1540] = {
    [sym_expression] = STATE(4369),
    [sym__expression_no_tag] = STATE(4431),
    [sym_unary_expression] = STATE(4431),
    [sym_binary_expression] = STATE(4431),
    [sym_ternary_expression] = STATE(4431),
    [sym_call_expression] = STATE(4431),
    [sym_selector_call_expression] = STATE(4431),
    [sym_member_expression] = STATE(4431),
    [sym_index_expression] = STATE(4431),
    [sym_slice_expression] = STATE(4431),
    [sym_range_expression] = STATE(4431),
    [sym_cast_expression] = STATE(4431),
    [sym_in_expression] = STATE(4431),
    [sym_variadic_expression] = STATE(4431),
    [sym_parenthesized_expression] = STATE(4431),
    [sym_or_return_expression] = STATE(4431),
    [sym_or_continue_expression] = STATE(4431),
    [sym_or_break_expression] = STATE(4431),
    [sym_address] = STATE(4431),
    [sym_map_type] = STATE(4431),
    [sym_matrix_type] = STATE(4431),
    [sym_distinct_type] = STATE(4431),
    [sym_literal] = STATE(4431),
    [sym_struct] = STATE(4333),
    [sym_map] = STATE(4320),
    [sym_bit_set] = STATE(4320),
    [sym_matrix] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym__string_literal] = STATE(4334),
    [sym__raw_string_literal] = STATE(4334),
    [sym_character] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_field_identifier] = STATE(7845),
    [sym_identifier] = ACTIONS(341),
    [anon_sym_LBRACE] = ACTIONS(943),
    [anon_sym_LPAREN] = ACTIONS(945),
    [anon_sym_QMARK] = ACTIONS(947),
    [anon_sym_PLUS] = ACTIONS(949),
    [anon_sym_DASH] = ACTIONS(951),
    [anon_sym_TILDE] = ACTIONS(949),
    [anon_sym_BANG] = ACTIONS(949),
    [anon_sym_AMP] = ACTIONS(949),
    [anon_sym_DOT] = ACTIONS(953),
    [anon_sym_LBRACK] = ACTIONS(955),
    [anon_sym_cast] = ACTIONS(957),
    [anon_sym_transmute] = ACTIONS(957),
    [anon_sym_auto_cast] = ACTIONS(959),
    [anon_sym_DOT_DOT] = ACTIONS(3241),
    [anon_sym_map] = ACTIONS(351),
    [anon_sym_bit_set] = ACTIONS(353),
    [anon_sym_matrix] = ACTIONS(355),
    [anon_sym_distinct] = ACTIONS(357),
    [sym_number] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(361),
    [anon_sym_BQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [anon_sym_true] = ACTIONS(367),
    [anon_sym_false] = ACTIONS(367),
    [sym_nil] = ACTIONS(369),
    [sym_uninitialized] = ACTIONS(359),
    [sym_tag] = ACTIONS(963),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(359),
    [sym_block_comment] = ACTIONS(3),
  },
  [1541] = {
    [sym_expression] = STATE(5986),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1542] = {
    [sym_expression] = STATE(5987),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1543] = {
    [sym_expression] = STATE(1078),
    [sym__expression_no_tag] = STATE(743),
    [sym_unary_expression] = STATE(743),
    [sym_binary_expression] = STATE(743),
    [sym_ternary_expression] = STATE(743),
    [sym_call_expression] = STATE(743),
    [sym_selector_call_expression] = STATE(743),
    [sym_member_expression] = STATE(743),
    [sym_index_expression] = STATE(743),
    [sym_slice_expression] = STATE(743),
    [sym_range_expression] = STATE(743),
    [sym_cast_expression] = STATE(743),
    [sym_in_expression] = STATE(743),
    [sym_variadic_expression] = STATE(743),
    [sym_parenthesized_expression] = STATE(743),
    [sym_or_return_expression] = STATE(743),
    [sym_or_continue_expression] = STATE(743),
    [sym_or_break_expression] = STATE(743),
    [sym_address] = STATE(743),
    [sym_map_type] = STATE(743),
    [sym_matrix_type] = STATE(743),
    [sym_distinct_type] = STATE(743),
    [sym_literal] = STATE(743),
    [sym_struct] = STATE(933),
    [sym_map] = STATE(925),
    [sym_bit_set] = STATE(925),
    [sym_matrix] = STATE(925),
    [sym_string] = STATE(925),
    [sym__string_literal] = STATE(934),
    [sym__raw_string_literal] = STATE(934),
    [sym_character] = STATE(925),
    [sym_boolean] = STATE(925),
    [sym_field_identifier] = STATE(7874),
    [sym_identifier] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(135),
    [anon_sym_QMARK] = ACTIONS(137),
    [anon_sym_PLUS] = ACTIONS(6046),
    [anon_sym_DASH] = ACTIONS(139),
    [anon_sym_TILDE] = ACTIONS(6046),
    [anon_sym_BANG] = ACTIONS(6046),
    [anon_sym_AMP] = ACTIONS(6046),
    [anon_sym_DOT] = ACTIONS(141),
    [anon_sym_LBRACK] = ACTIONS(143),
    [anon_sym_cast] = ACTIONS(145),
    [anon_sym_transmute] = ACTIONS(145),
    [anon_sym_auto_cast] = ACTIONS(147),
    [anon_sym_DOT_DOT] = ACTIONS(6048),
    [anon_sym_map] = ACTIONS(151),
    [anon_sym_bit_set] = ACTIONS(153),
    [anon_sym_matrix] = ACTIONS(155),
    [anon_sym_distinct] = ACTIONS(157),
    [sym_number] = ACTIONS(159),
    [anon_sym_DQUOTE] = ACTIONS(161),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [anon_sym_SQUOTE] = ACTIONS(165),
    [anon_sym_true] = ACTIONS(167),
    [anon_sym_false] = ACTIONS(167),
    [sym_nil] = ACTIONS(169),
    [sym_uninitialized] = ACTIONS(159),
    [sym_tag] = ACTIONS(171),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(159),
    [sym_block_comment] = ACTIONS(3),
  },
  [1544] = {
    [sym_expression] = STATE(2281),
    [sym__expression_no_tag] = STATE(2425),
    [sym_unary_expression] = STATE(2425),
    [sym_binary_expression] = STATE(2425),
    [sym_ternary_expression] = STATE(2425),
    [sym_call_expression] = STATE(2425),
    [sym_selector_call_expression] = STATE(2425),
    [sym_member_expression] = STATE(2425),
    [sym_index_expression] = STATE(2425),
    [sym_slice_expression] = STATE(2425),
    [sym_range_expression] = STATE(2425),
    [sym_cast_expression] = STATE(2425),
    [sym_in_expression] = STATE(2425),
    [sym_variadic_expression] = STATE(2425),
    [sym_parenthesized_expression] = STATE(2425),
    [sym_or_return_expression] = STATE(2425),
    [sym_or_continue_expression] = STATE(2425),
    [sym_or_break_expression] = STATE(2425),
    [sym_address] = STATE(2425),
    [sym_map_type] = STATE(2425),
    [sym_matrix_type] = STATE(2425),
    [sym_distinct_type] = STATE(2425),
    [sym_literal] = STATE(2425),
    [sym_struct] = STATE(2413),
    [sym_map] = STATE(2256),
    [sym_bit_set] = STATE(2256),
    [sym_matrix] = STATE(2256),
    [sym_string] = STATE(2256),
    [sym__string_literal] = STATE(2258),
    [sym__raw_string_literal] = STATE(2258),
    [sym_character] = STATE(2256),
    [sym_boolean] = STATE(2256),
    [sym_field_identifier] = STATE(7777),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_QMARK] = ACTIONS(205),
    [anon_sym_PLUS] = ACTIONS(391),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(391),
    [anon_sym_BANG] = ACTIONS(391),
    [anon_sym_AMP] = ACTIONS(391),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_DOT_DOT] = ACTIONS(393),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(201),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [1545] = {
    [sym_expression] = STATE(5603),
    [sym__expression_no_tag] = STATE(4410),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_ternary_expression] = STATE(4410),
    [sym_call_expression] = STATE(4410),
    [sym_selector_call_expression] = STATE(4410),
    [sym_member_expression] = STATE(4410),
    [sym_index_expression] = STATE(4410),
    [sym_slice_expression] = STATE(4410),
    [sym_range_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_in_expression] = STATE(4410),
    [sym_variadic_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4410),
    [sym_or_return_expression] = STATE(4410),
    [sym_or_continue_expression] = STATE(4410),
    [sym_or_break_expression] = STATE(4410),
    [sym_address] = STATE(4410),
    [sym_map_type] = STATE(4410),
    [sym_matrix_type] = STATE(4410),
    [sym_distinct_type] = STATE(4410),
    [sym_literal] = STATE(4410),
    [sym_struct] = STATE(4333),
    [sym_map] = STATE(4320),
    [sym_bit_set] = STATE(4320),
    [sym_matrix] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym__string_literal] = STATE(4334),
    [sym__raw_string_literal] = STATE(4334),
    [sym_character] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_field_identifier] = STATE(7845),
    [sym_identifier] = ACTIONS(341),
    [anon_sym_LBRACE] = ACTIONS(943),
    [anon_sym_LPAREN] = ACTIONS(945),
    [anon_sym_QMARK] = ACTIONS(3239),
    [anon_sym_PLUS] = ACTIONS(949),
    [anon_sym_DASH] = ACTIONS(951),
    [anon_sym_TILDE] = ACTIONS(949),
    [anon_sym_BANG] = ACTIONS(949),
    [anon_sym_AMP] = ACTIONS(949),
    [anon_sym_DOT] = ACTIONS(953),
    [anon_sym_LBRACK] = ACTIONS(955),
    [anon_sym_cast] = ACTIONS(957),
    [anon_sym_transmute] = ACTIONS(957),
    [anon_sym_auto_cast] = ACTIONS(959),
    [anon_sym_DOT_DOT] = ACTIONS(3241),
    [anon_sym_map] = ACTIONS(351),
    [anon_sym_bit_set] = ACTIONS(353),
    [anon_sym_matrix] = ACTIONS(355),
    [anon_sym_distinct] = ACTIONS(357),
    [sym_number] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(361),
    [anon_sym_BQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [anon_sym_true] = ACTIONS(367),
    [anon_sym_false] = ACTIONS(367),
    [sym_nil] = ACTIONS(369),
    [sym_uninitialized] = ACTIONS(359),
    [sym_tag] = ACTIONS(963),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(359),
    [sym_block_comment] = ACTIONS(3),
  },
  [1546] = {
    [sym_expression] = STATE(6061),
    [sym__expression_no_tag] = STATE(5037),
    [sym_unary_expression] = STATE(5037),
    [sym_binary_expression] = STATE(5037),
    [sym_ternary_expression] = STATE(5037),
    [sym_call_expression] = STATE(3575),
    [sym_selector_call_expression] = STATE(5037),
    [sym_member_expression] = STATE(5037),
    [sym_index_expression] = STATE(5037),
    [sym_slice_expression] = STATE(5037),
    [sym_range_expression] = STATE(5037),
    [sym_cast_expression] = STATE(5037),
    [sym_in_expression] = STATE(5037),
    [sym_variadic_expression] = STATE(5037),
    [sym_parenthesized_expression] = STATE(5037),
    [sym_or_return_expression] = STATE(5037),
    [sym_or_continue_expression] = STATE(5037),
    [sym_or_break_expression] = STATE(5037),
    [sym_address] = STATE(5037),
    [sym_map_type] = STATE(5037),
    [sym_matrix_type] = STATE(5037),
    [sym_distinct_type] = STATE(5037),
    [sym_literal] = STATE(5037),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(6081),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(6083),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1547] = {
    [sym_expression] = STATE(2092),
    [sym__expression_no_tag] = STATE(2219),
    [sym_unary_expression] = STATE(2219),
    [sym_binary_expression] = STATE(2219),
    [sym_ternary_expression] = STATE(2219),
    [sym_call_expression] = STATE(2219),
    [sym_selector_call_expression] = STATE(2219),
    [sym_member_expression] = STATE(2219),
    [sym_index_expression] = STATE(2219),
    [sym_slice_expression] = STATE(2219),
    [sym_range_expression] = STATE(2219),
    [sym_cast_expression] = STATE(2219),
    [sym_in_expression] = STATE(2219),
    [sym_variadic_expression] = STATE(2219),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_or_return_expression] = STATE(2219),
    [sym_or_continue_expression] = STATE(2219),
    [sym_or_break_expression] = STATE(2219),
    [sym_address] = STATE(2219),
    [sym_map_type] = STATE(2219),
    [sym_matrix_type] = STATE(2219),
    [sym_distinct_type] = STATE(2219),
    [sym_literal] = STATE(2219),
    [sym_struct] = STATE(2056),
    [sym_map] = STATE(2054),
    [sym_bit_set] = STATE(2054),
    [sym_matrix] = STATE(2054),
    [sym_string] = STATE(2054),
    [sym__string_literal] = STATE(2057),
    [sym__raw_string_literal] = STATE(2057),
    [sym_character] = STATE(2054),
    [sym_boolean] = STATE(2054),
    [sym_field_identifier] = STATE(7869),
    [sym_identifier] = ACTIONS(207),
    [anon_sym_LBRACE] = ACTIONS(237),
    [anon_sym_LPAREN] = ACTIONS(239),
    [anon_sym_QMARK] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(6042),
    [anon_sym_DASH] = ACTIONS(209),
    [anon_sym_TILDE] = ACTIONS(6042),
    [anon_sym_BANG] = ACTIONS(6042),
    [anon_sym_AMP] = ACTIONS(6042),
    [anon_sym_DOT] = ACTIONS(243),
    [anon_sym_LBRACK] = ACTIONS(245),
    [anon_sym_cast] = ACTIONS(211),
    [anon_sym_transmute] = ACTIONS(211),
    [anon_sym_auto_cast] = ACTIONS(213),
    [anon_sym_DOT_DOT] = ACTIONS(6044),
    [anon_sym_map] = ACTIONS(217),
    [anon_sym_bit_set] = ACTIONS(219),
    [anon_sym_matrix] = ACTIONS(221),
    [anon_sym_distinct] = ACTIONS(223),
    [sym_number] = ACTIONS(225),
    [anon_sym_DQUOTE] = ACTIONS(227),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_SQUOTE] = ACTIONS(231),
    [anon_sym_true] = ACTIONS(233),
    [anon_sym_false] = ACTIONS(233),
    [sym_nil] = ACTIONS(235),
    [sym_uninitialized] = ACTIONS(225),
    [sym_tag] = ACTIONS(247),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(225),
    [sym_block_comment] = ACTIONS(3),
  },
  [1548] = {
    [sym_expression] = STATE(2819),
    [sym__expression_no_tag] = STATE(2692),
    [sym_unary_expression] = STATE(2692),
    [sym_binary_expression] = STATE(2692),
    [sym_ternary_expression] = STATE(2692),
    [sym_call_expression] = STATE(2692),
    [sym_selector_call_expression] = STATE(2692),
    [sym_member_expression] = STATE(2692),
    [sym_index_expression] = STATE(2692),
    [sym_slice_expression] = STATE(2692),
    [sym_range_expression] = STATE(2692),
    [sym_cast_expression] = STATE(2692),
    [sym_in_expression] = STATE(2692),
    [sym_variadic_expression] = STATE(2692),
    [sym_parenthesized_expression] = STATE(2692),
    [sym_or_return_expression] = STATE(2692),
    [sym_or_continue_expression] = STATE(2692),
    [sym_or_break_expression] = STATE(2692),
    [sym_address] = STATE(2692),
    [sym_map_type] = STATE(2692),
    [sym_matrix_type] = STATE(2692),
    [sym_distinct_type] = STATE(2692),
    [sym_literal] = STATE(2692),
    [sym_struct] = STATE(2751),
    [sym_map] = STATE(2747),
    [sym_bit_set] = STATE(2747),
    [sym_matrix] = STATE(2747),
    [sym_string] = STATE(2747),
    [sym__string_literal] = STATE(2752),
    [sym__raw_string_literal] = STATE(2752),
    [sym_character] = STATE(2747),
    [sym_boolean] = STATE(2747),
    [sym_field_identifier] = STATE(7946),
    [sym_identifier] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(309),
    [anon_sym_LPAREN] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(375),
    [anon_sym_PLUS] = ACTIONS(3165),
    [anon_sym_DASH] = ACTIONS(311),
    [anon_sym_TILDE] = ACTIONS(3165),
    [anon_sym_BANG] = ACTIONS(3165),
    [anon_sym_AMP] = ACTIONS(3165),
    [anon_sym_DOT] = ACTIONS(377),
    [anon_sym_LBRACK] = ACTIONS(379),
    [anon_sym_cast] = ACTIONS(313),
    [anon_sym_transmute] = ACTIONS(313),
    [anon_sym_auto_cast] = ACTIONS(315),
    [anon_sym_DOT_DOT] = ACTIONS(3167),
    [anon_sym_map] = ACTIONS(319),
    [anon_sym_bit_set] = ACTIONS(321),
    [anon_sym_matrix] = ACTIONS(323),
    [anon_sym_distinct] = ACTIONS(325),
    [sym_number] = ACTIONS(327),
    [anon_sym_DQUOTE] = ACTIONS(329),
    [anon_sym_BQUOTE] = ACTIONS(331),
    [anon_sym_SQUOTE] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym_nil] = ACTIONS(337),
    [sym_uninitialized] = ACTIONS(327),
    [sym_tag] = ACTIONS(339),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(327),
    [sym_block_comment] = ACTIONS(3),
  },
  [1549] = {
    [sym_expression] = STATE(2820),
    [sym__expression_no_tag] = STATE(2692),
    [sym_unary_expression] = STATE(2692),
    [sym_binary_expression] = STATE(2692),
    [sym_ternary_expression] = STATE(2692),
    [sym_call_expression] = STATE(2692),
    [sym_selector_call_expression] = STATE(2692),
    [sym_member_expression] = STATE(2692),
    [sym_index_expression] = STATE(2692),
    [sym_slice_expression] = STATE(2692),
    [sym_range_expression] = STATE(2692),
    [sym_cast_expression] = STATE(2692),
    [sym_in_expression] = STATE(2692),
    [sym_variadic_expression] = STATE(2692),
    [sym_parenthesized_expression] = STATE(2692),
    [sym_or_return_expression] = STATE(2692),
    [sym_or_continue_expression] = STATE(2692),
    [sym_or_break_expression] = STATE(2692),
    [sym_address] = STATE(2692),
    [sym_map_type] = STATE(2692),
    [sym_matrix_type] = STATE(2692),
    [sym_distinct_type] = STATE(2692),
    [sym_literal] = STATE(2692),
    [sym_struct] = STATE(2751),
    [sym_map] = STATE(2747),
    [sym_bit_set] = STATE(2747),
    [sym_matrix] = STATE(2747),
    [sym_string] = STATE(2747),
    [sym__string_literal] = STATE(2752),
    [sym__raw_string_literal] = STATE(2752),
    [sym_character] = STATE(2747),
    [sym_boolean] = STATE(2747),
    [sym_field_identifier] = STATE(7946),
    [sym_identifier] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(309),
    [anon_sym_LPAREN] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(375),
    [anon_sym_PLUS] = ACTIONS(3165),
    [anon_sym_DASH] = ACTIONS(311),
    [anon_sym_TILDE] = ACTIONS(3165),
    [anon_sym_BANG] = ACTIONS(3165),
    [anon_sym_AMP] = ACTIONS(3165),
    [anon_sym_DOT] = ACTIONS(377),
    [anon_sym_LBRACK] = ACTIONS(379),
    [anon_sym_cast] = ACTIONS(313),
    [anon_sym_transmute] = ACTIONS(313),
    [anon_sym_auto_cast] = ACTIONS(315),
    [anon_sym_DOT_DOT] = ACTIONS(3167),
    [anon_sym_map] = ACTIONS(319),
    [anon_sym_bit_set] = ACTIONS(321),
    [anon_sym_matrix] = ACTIONS(323),
    [anon_sym_distinct] = ACTIONS(325),
    [sym_number] = ACTIONS(327),
    [anon_sym_DQUOTE] = ACTIONS(329),
    [anon_sym_BQUOTE] = ACTIONS(331),
    [anon_sym_SQUOTE] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym_nil] = ACTIONS(337),
    [sym_uninitialized] = ACTIONS(327),
    [sym_tag] = ACTIONS(339),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(327),
    [sym_block_comment] = ACTIONS(3),
  },
  [1550] = {
    [sym_expression] = STATE(5591),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1551] = {
    [sym_expression] = STATE(6013),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1552] = {
    [sym_expression] = STATE(5593),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1553] = {
    [sym_expression] = STATE(5594),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1554] = {
    [sym_expression] = STATE(1079),
    [sym__expression_no_tag] = STATE(743),
    [sym_unary_expression] = STATE(743),
    [sym_binary_expression] = STATE(743),
    [sym_ternary_expression] = STATE(743),
    [sym_call_expression] = STATE(743),
    [sym_selector_call_expression] = STATE(743),
    [sym_member_expression] = STATE(743),
    [sym_index_expression] = STATE(743),
    [sym_slice_expression] = STATE(743),
    [sym_range_expression] = STATE(743),
    [sym_cast_expression] = STATE(743),
    [sym_in_expression] = STATE(743),
    [sym_variadic_expression] = STATE(743),
    [sym_parenthesized_expression] = STATE(743),
    [sym_or_return_expression] = STATE(743),
    [sym_or_continue_expression] = STATE(743),
    [sym_or_break_expression] = STATE(743),
    [sym_address] = STATE(743),
    [sym_map_type] = STATE(743),
    [sym_matrix_type] = STATE(743),
    [sym_distinct_type] = STATE(743),
    [sym_literal] = STATE(743),
    [sym_struct] = STATE(933),
    [sym_map] = STATE(925),
    [sym_bit_set] = STATE(925),
    [sym_matrix] = STATE(925),
    [sym_string] = STATE(925),
    [sym__string_literal] = STATE(934),
    [sym__raw_string_literal] = STATE(934),
    [sym_character] = STATE(925),
    [sym_boolean] = STATE(925),
    [sym_field_identifier] = STATE(7874),
    [sym_identifier] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(135),
    [anon_sym_QMARK] = ACTIONS(137),
    [anon_sym_PLUS] = ACTIONS(6046),
    [anon_sym_DASH] = ACTIONS(139),
    [anon_sym_TILDE] = ACTIONS(6046),
    [anon_sym_BANG] = ACTIONS(6046),
    [anon_sym_AMP] = ACTIONS(6046),
    [anon_sym_DOT] = ACTIONS(141),
    [anon_sym_LBRACK] = ACTIONS(143),
    [anon_sym_cast] = ACTIONS(145),
    [anon_sym_transmute] = ACTIONS(145),
    [anon_sym_auto_cast] = ACTIONS(147),
    [anon_sym_DOT_DOT] = ACTIONS(6048),
    [anon_sym_map] = ACTIONS(151),
    [anon_sym_bit_set] = ACTIONS(153),
    [anon_sym_matrix] = ACTIONS(155),
    [anon_sym_distinct] = ACTIONS(157),
    [sym_number] = ACTIONS(159),
    [anon_sym_DQUOTE] = ACTIONS(161),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [anon_sym_SQUOTE] = ACTIONS(165),
    [anon_sym_true] = ACTIONS(167),
    [anon_sym_false] = ACTIONS(167),
    [sym_nil] = ACTIONS(169),
    [sym_uninitialized] = ACTIONS(159),
    [sym_tag] = ACTIONS(171),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(159),
    [sym_block_comment] = ACTIONS(3),
  },
  [1555] = {
    [sym_expression] = STATE(2089),
    [sym__expression_no_tag] = STATE(2219),
    [sym_unary_expression] = STATE(2219),
    [sym_binary_expression] = STATE(2219),
    [sym_ternary_expression] = STATE(2219),
    [sym_call_expression] = STATE(2219),
    [sym_selector_call_expression] = STATE(2219),
    [sym_member_expression] = STATE(2219),
    [sym_index_expression] = STATE(2219),
    [sym_slice_expression] = STATE(2219),
    [sym_range_expression] = STATE(2219),
    [sym_cast_expression] = STATE(2219),
    [sym_in_expression] = STATE(2219),
    [sym_variadic_expression] = STATE(2219),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_or_return_expression] = STATE(2219),
    [sym_or_continue_expression] = STATE(2219),
    [sym_or_break_expression] = STATE(2219),
    [sym_address] = STATE(2219),
    [sym_map_type] = STATE(2219),
    [sym_matrix_type] = STATE(2219),
    [sym_distinct_type] = STATE(2219),
    [sym_literal] = STATE(2219),
    [sym_struct] = STATE(2056),
    [sym_map] = STATE(2054),
    [sym_bit_set] = STATE(2054),
    [sym_matrix] = STATE(2054),
    [sym_string] = STATE(2054),
    [sym__string_literal] = STATE(2057),
    [sym__raw_string_literal] = STATE(2057),
    [sym_character] = STATE(2054),
    [sym_boolean] = STATE(2054),
    [sym_field_identifier] = STATE(7869),
    [sym_identifier] = ACTIONS(207),
    [anon_sym_LBRACE] = ACTIONS(237),
    [anon_sym_LPAREN] = ACTIONS(239),
    [anon_sym_QMARK] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(6042),
    [anon_sym_DASH] = ACTIONS(209),
    [anon_sym_TILDE] = ACTIONS(6042),
    [anon_sym_BANG] = ACTIONS(6042),
    [anon_sym_AMP] = ACTIONS(6042),
    [anon_sym_DOT] = ACTIONS(243),
    [anon_sym_LBRACK] = ACTIONS(245),
    [anon_sym_cast] = ACTIONS(211),
    [anon_sym_transmute] = ACTIONS(211),
    [anon_sym_auto_cast] = ACTIONS(213),
    [anon_sym_DOT_DOT] = ACTIONS(6044),
    [anon_sym_map] = ACTIONS(217),
    [anon_sym_bit_set] = ACTIONS(219),
    [anon_sym_matrix] = ACTIONS(221),
    [anon_sym_distinct] = ACTIONS(223),
    [sym_number] = ACTIONS(225),
    [anon_sym_DQUOTE] = ACTIONS(227),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_SQUOTE] = ACTIONS(231),
    [anon_sym_true] = ACTIONS(233),
    [anon_sym_false] = ACTIONS(233),
    [sym_nil] = ACTIONS(235),
    [sym_uninitialized] = ACTIONS(225),
    [sym_tag] = ACTIONS(247),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(225),
    [sym_block_comment] = ACTIONS(3),
  },
  [1556] = {
    [sym_expression] = STATE(6042),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1557] = {
    [sym_expression] = STATE(6043),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1558] = {
    [sym_expression] = STATE(1080),
    [sym__expression_no_tag] = STATE(743),
    [sym_unary_expression] = STATE(743),
    [sym_binary_expression] = STATE(743),
    [sym_ternary_expression] = STATE(743),
    [sym_call_expression] = STATE(743),
    [sym_selector_call_expression] = STATE(743),
    [sym_member_expression] = STATE(743),
    [sym_index_expression] = STATE(743),
    [sym_slice_expression] = STATE(743),
    [sym_range_expression] = STATE(743),
    [sym_cast_expression] = STATE(743),
    [sym_in_expression] = STATE(743),
    [sym_variadic_expression] = STATE(743),
    [sym_parenthesized_expression] = STATE(743),
    [sym_or_return_expression] = STATE(743),
    [sym_or_continue_expression] = STATE(743),
    [sym_or_break_expression] = STATE(743),
    [sym_address] = STATE(743),
    [sym_map_type] = STATE(743),
    [sym_matrix_type] = STATE(743),
    [sym_distinct_type] = STATE(743),
    [sym_literal] = STATE(743),
    [sym_struct] = STATE(933),
    [sym_map] = STATE(925),
    [sym_bit_set] = STATE(925),
    [sym_matrix] = STATE(925),
    [sym_string] = STATE(925),
    [sym__string_literal] = STATE(934),
    [sym__raw_string_literal] = STATE(934),
    [sym_character] = STATE(925),
    [sym_boolean] = STATE(925),
    [sym_field_identifier] = STATE(7874),
    [sym_identifier] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(135),
    [anon_sym_QMARK] = ACTIONS(137),
    [anon_sym_PLUS] = ACTIONS(6046),
    [anon_sym_DASH] = ACTIONS(139),
    [anon_sym_TILDE] = ACTIONS(6046),
    [anon_sym_BANG] = ACTIONS(6046),
    [anon_sym_AMP] = ACTIONS(6046),
    [anon_sym_DOT] = ACTIONS(141),
    [anon_sym_LBRACK] = ACTIONS(143),
    [anon_sym_cast] = ACTIONS(145),
    [anon_sym_transmute] = ACTIONS(145),
    [anon_sym_auto_cast] = ACTIONS(147),
    [anon_sym_DOT_DOT] = ACTIONS(6048),
    [anon_sym_map] = ACTIONS(151),
    [anon_sym_bit_set] = ACTIONS(153),
    [anon_sym_matrix] = ACTIONS(155),
    [anon_sym_distinct] = ACTIONS(157),
    [sym_number] = ACTIONS(159),
    [anon_sym_DQUOTE] = ACTIONS(161),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [anon_sym_SQUOTE] = ACTIONS(165),
    [anon_sym_true] = ACTIONS(167),
    [anon_sym_false] = ACTIONS(167),
    [sym_nil] = ACTIONS(169),
    [sym_uninitialized] = ACTIONS(159),
    [sym_tag] = ACTIONS(171),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(159),
    [sym_block_comment] = ACTIONS(3),
  },
  [1559] = {
    [sym_expression] = STATE(6061),
    [sym__expression_no_tag] = STATE(5205),
    [sym_unary_expression] = STATE(5205),
    [sym_binary_expression] = STATE(5205),
    [sym_ternary_expression] = STATE(5205),
    [sym_call_expression] = STATE(2893),
    [sym_selector_call_expression] = STATE(5205),
    [sym_member_expression] = STATE(5205),
    [sym_index_expression] = STATE(5205),
    [sym_slice_expression] = STATE(5205),
    [sym_range_expression] = STATE(5205),
    [sym_cast_expression] = STATE(5205),
    [sym_in_expression] = STATE(5205),
    [sym_variadic_expression] = STATE(5205),
    [sym_parenthesized_expression] = STATE(5205),
    [sym_or_return_expression] = STATE(5205),
    [sym_or_continue_expression] = STATE(5205),
    [sym_or_break_expression] = STATE(5205),
    [sym_address] = STATE(5205),
    [sym_map_type] = STATE(5205),
    [sym_matrix_type] = STATE(5205),
    [sym_distinct_type] = STATE(5205),
    [sym_literal] = STATE(5205),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(6085),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(6087),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1560] = {
    [sym_expression] = STATE(4488),
    [sym__expression_no_tag] = STATE(4299),
    [sym_unary_expression] = STATE(4299),
    [sym_binary_expression] = STATE(4299),
    [sym_ternary_expression] = STATE(4299),
    [sym_call_expression] = STATE(4299),
    [sym_selector_call_expression] = STATE(4299),
    [sym_member_expression] = STATE(4299),
    [sym_index_expression] = STATE(4299),
    [sym_slice_expression] = STATE(4299),
    [sym_range_expression] = STATE(4299),
    [sym_cast_expression] = STATE(4299),
    [sym_in_expression] = STATE(4299),
    [sym_variadic_expression] = STATE(4299),
    [sym_parenthesized_expression] = STATE(4299),
    [sym_or_return_expression] = STATE(4299),
    [sym_or_continue_expression] = STATE(4299),
    [sym_or_break_expression] = STATE(4299),
    [sym_address] = STATE(4299),
    [sym_map_type] = STATE(4299),
    [sym_matrix_type] = STATE(4299),
    [sym_distinct_type] = STATE(4299),
    [sym_literal] = STATE(4299),
    [sym_struct] = STATE(4311),
    [sym_map] = STATE(3787),
    [sym_bit_set] = STATE(3787),
    [sym_matrix] = STATE(3787),
    [sym_string] = STATE(3787),
    [sym__string_literal] = STATE(3867),
    [sym__raw_string_literal] = STATE(3867),
    [sym_character] = STATE(3787),
    [sym_boolean] = STATE(3787),
    [sym_field_identifier] = STATE(7783),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(759),
    [anon_sym_QMARK] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(763),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(763),
    [anon_sym_BANG] = ACTIONS(763),
    [anon_sym_AMP] = ACTIONS(763),
    [anon_sym_DOT] = ACTIONS(765),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_cast] = ACTIONS(597),
    [anon_sym_transmute] = ACTIONS(597),
    [anon_sym_auto_cast] = ACTIONS(599),
    [anon_sym_DOT_DOT] = ACTIONS(2797),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [1561] = {
    [sym_expression] = STATE(4650),
    [sym__expression_no_tag] = STATE(4299),
    [sym_unary_expression] = STATE(4299),
    [sym_binary_expression] = STATE(4299),
    [sym_ternary_expression] = STATE(4299),
    [sym_call_expression] = STATE(4299),
    [sym_selector_call_expression] = STATE(4299),
    [sym_member_expression] = STATE(4299),
    [sym_index_expression] = STATE(4299),
    [sym_slice_expression] = STATE(4299),
    [sym_range_expression] = STATE(4299),
    [sym_cast_expression] = STATE(4299),
    [sym_in_expression] = STATE(4299),
    [sym_variadic_expression] = STATE(4299),
    [sym_parenthesized_expression] = STATE(4299),
    [sym_or_return_expression] = STATE(4299),
    [sym_or_continue_expression] = STATE(4299),
    [sym_or_break_expression] = STATE(4299),
    [sym_address] = STATE(4299),
    [sym_map_type] = STATE(4299),
    [sym_matrix_type] = STATE(4299),
    [sym_distinct_type] = STATE(4299),
    [sym_literal] = STATE(4299),
    [sym_struct] = STATE(4311),
    [sym_map] = STATE(3787),
    [sym_bit_set] = STATE(3787),
    [sym_matrix] = STATE(3787),
    [sym_string] = STATE(3787),
    [sym__string_literal] = STATE(3867),
    [sym__raw_string_literal] = STATE(3867),
    [sym_character] = STATE(3787),
    [sym_boolean] = STATE(3787),
    [sym_field_identifier] = STATE(7783),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(759),
    [anon_sym_QMARK] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(763),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(763),
    [anon_sym_BANG] = ACTIONS(763),
    [anon_sym_AMP] = ACTIONS(763),
    [anon_sym_DOT] = ACTIONS(765),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_cast] = ACTIONS(597),
    [anon_sym_transmute] = ACTIONS(597),
    [anon_sym_auto_cast] = ACTIONS(599),
    [anon_sym_DOT_DOT] = ACTIONS(2797),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [1562] = {
    [aux_sym_struct_type_repeat2] = STATE(1390),
    [anon_sym_LBRACE] = ACTIONS(6089),
    [anon_sym_RBRACE] = ACTIONS(4519),
    [anon_sym_COMMA] = ACTIONS(4519),
    [anon_sym_COLON_COLON] = ACTIONS(4519),
    [anon_sym_DASH_GT] = ACTIONS(4519),
    [anon_sym_EQ] = ACTIONS(4521),
    [anon_sym_COLON_EQ] = ACTIONS(4519),
    [anon_sym_COLON] = ACTIONS(4521),
    [anon_sym_LPAREN] = ACTIONS(4519),
    [anon_sym_PLUS_EQ] = ACTIONS(4519),
    [anon_sym_DASH_EQ] = ACTIONS(4519),
    [anon_sym_STAR_EQ] = ACTIONS(4519),
    [anon_sym_SLASH_EQ] = ACTIONS(4519),
    [anon_sym_PERCENT_EQ] = ACTIONS(4519),
    [anon_sym_AMP_EQ] = ACTIONS(4519),
    [anon_sym_PIPE_EQ] = ACTIONS(4519),
    [anon_sym_CARET_EQ] = ACTIONS(4519),
    [anon_sym_LT_LT_EQ] = ACTIONS(4519),
    [anon_sym_GT_GT_EQ] = ACTIONS(4519),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4519),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4519),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4519),
    [anon_sym_if] = ACTIONS(4519),
    [anon_sym_SEMI] = ACTIONS(4519),
    [anon_sym_else] = ACTIONS(4519),
    [anon_sym_when] = ACTIONS(4519),
    [anon_sym_in] = ACTIONS(4519),
    [anon_sym_case] = ACTIONS(4519),
    [anon_sym_QMARK] = ACTIONS(4519),
    [anon_sym_PLUS] = ACTIONS(4521),
    [anon_sym_DASH] = ACTIONS(4521),
    [anon_sym_TILDE] = ACTIONS(4521),
    [anon_sym_AMP] = ACTIONS(4521),
    [anon_sym_PIPE_PIPE] = ACTIONS(4521),
    [anon_sym_or_else] = ACTIONS(4519),
    [anon_sym_AMP_AMP] = ACTIONS(4521),
    [anon_sym_GT] = ACTIONS(4521),
    [anon_sym_GT_EQ] = ACTIONS(4519),
    [anon_sym_LT_EQ] = ACTIONS(4519),
    [anon_sym_LT] = ACTIONS(4521),
    [anon_sym_EQ_EQ] = ACTIONS(4519),
    [anon_sym_BANG_EQ] = ACTIONS(4519),
    [anon_sym_TILDE_EQ] = ACTIONS(4519),
    [anon_sym_PIPE] = ACTIONS(4521),
    [anon_sym_AMP_TILDE] = ACTIONS(4521),
    [anon_sym_LT_LT] = ACTIONS(4521),
    [anon_sym_GT_GT] = ACTIONS(4521),
    [anon_sym_STAR] = ACTIONS(4521),
    [anon_sym_SLASH] = ACTIONS(4521),
    [anon_sym_PERCENT] = ACTIONS(4521),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4519),
    [anon_sym_DOT] = ACTIONS(4521),
    [anon_sym_LBRACK] = ACTIONS(4519),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4519),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4519),
    [anon_sym_not_in] = ACTIONS(4519),
    [anon_sym_or_return] = ACTIONS(4519),
    [anon_sym_or_continue] = ACTIONS(4519),
    [anon_sym_or_break] = ACTIONS(4519),
    [anon_sym_CARET] = ACTIONS(4521),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4519),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1563] = {
    [sym_expression] = STATE(3861),
    [sym__expression_no_tag] = STATE(3826),
    [sym_unary_expression] = STATE(3826),
    [sym_binary_expression] = STATE(3826),
    [sym_ternary_expression] = STATE(3826),
    [sym_call_expression] = STATE(3826),
    [sym_selector_call_expression] = STATE(3826),
    [sym_member_expression] = STATE(3826),
    [sym_index_expression] = STATE(3826),
    [sym_slice_expression] = STATE(3826),
    [sym_range_expression] = STATE(3826),
    [sym_cast_expression] = STATE(3826),
    [sym_in_expression] = STATE(3826),
    [sym_variadic_expression] = STATE(3826),
    [sym_parenthesized_expression] = STATE(3826),
    [sym_or_return_expression] = STATE(3826),
    [sym_or_continue_expression] = STATE(3826),
    [sym_or_break_expression] = STATE(3826),
    [sym_address] = STATE(3826),
    [sym_map_type] = STATE(3826),
    [sym_matrix_type] = STATE(3826),
    [sym_distinct_type] = STATE(3826),
    [sym_literal] = STATE(3826),
    [sym_struct] = STATE(3866),
    [sym_map] = STATE(3787),
    [sym_bit_set] = STATE(3787),
    [sym_matrix] = STATE(3787),
    [sym_string] = STATE(3787),
    [sym__string_literal] = STATE(3867),
    [sym__raw_string_literal] = STATE(3867),
    [sym_character] = STATE(3787),
    [sym_boolean] = STATE(3787),
    [sym_field_identifier] = STATE(7783),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_QMARK] = ACTIONS(657),
    [anon_sym_PLUS] = ACTIONS(27),
    [anon_sym_DASH] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(27),
    [anon_sym_DOT] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_cast] = ACTIONS(35),
    [anon_sym_transmute] = ACTIONS(35),
    [anon_sym_auto_cast] = ACTIONS(37),
    [anon_sym_DOT_DOT] = ACTIONS(39),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(611),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [1564] = {
    [aux_sym_field_type_repeat1] = STATE(1589),
    [anon_sym_RBRACE] = ACTIONS(3889),
    [anon_sym_COMMA] = ACTIONS(3889),
    [anon_sym_COLON_COLON] = ACTIONS(3889),
    [anon_sym_DASH_GT] = ACTIONS(3889),
    [anon_sym_EQ] = ACTIONS(3891),
    [anon_sym_COLON_EQ] = ACTIONS(3889),
    [anon_sym_COLON] = ACTIONS(3891),
    [anon_sym_LPAREN] = ACTIONS(3889),
    [anon_sym_PLUS_EQ] = ACTIONS(3889),
    [anon_sym_DASH_EQ] = ACTIONS(3889),
    [anon_sym_STAR_EQ] = ACTIONS(3889),
    [anon_sym_SLASH_EQ] = ACTIONS(3889),
    [anon_sym_PERCENT_EQ] = ACTIONS(3889),
    [anon_sym_AMP_EQ] = ACTIONS(3889),
    [anon_sym_PIPE_EQ] = ACTIONS(3889),
    [anon_sym_CARET_EQ] = ACTIONS(3889),
    [anon_sym_LT_LT_EQ] = ACTIONS(3889),
    [anon_sym_GT_GT_EQ] = ACTIONS(3889),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3889),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3889),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(3889),
    [anon_sym_if] = ACTIONS(3889),
    [anon_sym_SEMI] = ACTIONS(3889),
    [anon_sym_else] = ACTIONS(3889),
    [anon_sym_when] = ACTIONS(3889),
    [anon_sym_in] = ACTIONS(3889),
    [anon_sym_case] = ACTIONS(3889),
    [anon_sym_QMARK] = ACTIONS(3889),
    [anon_sym_PLUS] = ACTIONS(3891),
    [anon_sym_DASH] = ACTIONS(3891),
    [anon_sym_TILDE] = ACTIONS(3891),
    [anon_sym_AMP] = ACTIONS(3891),
    [anon_sym_PIPE_PIPE] = ACTIONS(3891),
    [anon_sym_or_else] = ACTIONS(3889),
    [anon_sym_AMP_AMP] = ACTIONS(3891),
    [anon_sym_GT] = ACTIONS(3891),
    [anon_sym_GT_EQ] = ACTIONS(3889),
    [anon_sym_LT_EQ] = ACTIONS(3889),
    [anon_sym_LT] = ACTIONS(3891),
    [anon_sym_EQ_EQ] = ACTIONS(3889),
    [anon_sym_BANG_EQ] = ACTIONS(3889),
    [anon_sym_TILDE_EQ] = ACTIONS(3889),
    [anon_sym_PIPE] = ACTIONS(3891),
    [anon_sym_AMP_TILDE] = ACTIONS(3891),
    [anon_sym_LT_LT] = ACTIONS(3891),
    [anon_sym_GT_GT] = ACTIONS(3891),
    [anon_sym_STAR] = ACTIONS(3891),
    [anon_sym_SLASH] = ACTIONS(3891),
    [anon_sym_PERCENT] = ACTIONS(3891),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(3889),
    [anon_sym_DOT] = ACTIONS(3891),
    [anon_sym_LBRACK] = ACTIONS(3889),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(3889),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3889),
    [anon_sym_not_in] = ACTIONS(3889),
    [anon_sym_or_return] = ACTIONS(3889),
    [anon_sym_or_continue] = ACTIONS(3889),
    [anon_sym_or_break] = ACTIONS(3889),
    [anon_sym_CARET] = ACTIONS(3891),
    [anon_sym_DOT2] = ACTIONS(6071),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(3889),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1565] = {
    [sym_expression] = STATE(5547),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1566] = {
    [sym_expression] = STATE(5735),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1567] = {
    [sym_expression] = STATE(5497),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1568] = {
    [sym_expression] = STATE(5498),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1569] = {
    [sym_expression] = STATE(1081),
    [sym__expression_no_tag] = STATE(743),
    [sym_unary_expression] = STATE(743),
    [sym_binary_expression] = STATE(743),
    [sym_ternary_expression] = STATE(743),
    [sym_call_expression] = STATE(743),
    [sym_selector_call_expression] = STATE(743),
    [sym_member_expression] = STATE(743),
    [sym_index_expression] = STATE(743),
    [sym_slice_expression] = STATE(743),
    [sym_range_expression] = STATE(743),
    [sym_cast_expression] = STATE(743),
    [sym_in_expression] = STATE(743),
    [sym_variadic_expression] = STATE(743),
    [sym_parenthesized_expression] = STATE(743),
    [sym_or_return_expression] = STATE(743),
    [sym_or_continue_expression] = STATE(743),
    [sym_or_break_expression] = STATE(743),
    [sym_address] = STATE(743),
    [sym_map_type] = STATE(743),
    [sym_matrix_type] = STATE(743),
    [sym_distinct_type] = STATE(743),
    [sym_literal] = STATE(743),
    [sym_struct] = STATE(933),
    [sym_map] = STATE(925),
    [sym_bit_set] = STATE(925),
    [sym_matrix] = STATE(925),
    [sym_string] = STATE(925),
    [sym__string_literal] = STATE(934),
    [sym__raw_string_literal] = STATE(934),
    [sym_character] = STATE(925),
    [sym_boolean] = STATE(925),
    [sym_field_identifier] = STATE(7874),
    [sym_identifier] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(135),
    [anon_sym_QMARK] = ACTIONS(137),
    [anon_sym_PLUS] = ACTIONS(6046),
    [anon_sym_DASH] = ACTIONS(139),
    [anon_sym_TILDE] = ACTIONS(6046),
    [anon_sym_BANG] = ACTIONS(6046),
    [anon_sym_AMP] = ACTIONS(6046),
    [anon_sym_DOT] = ACTIONS(141),
    [anon_sym_LBRACK] = ACTIONS(143),
    [anon_sym_cast] = ACTIONS(145),
    [anon_sym_transmute] = ACTIONS(145),
    [anon_sym_auto_cast] = ACTIONS(147),
    [anon_sym_DOT_DOT] = ACTIONS(6048),
    [anon_sym_map] = ACTIONS(151),
    [anon_sym_bit_set] = ACTIONS(153),
    [anon_sym_matrix] = ACTIONS(155),
    [anon_sym_distinct] = ACTIONS(157),
    [sym_number] = ACTIONS(159),
    [anon_sym_DQUOTE] = ACTIONS(161),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [anon_sym_SQUOTE] = ACTIONS(165),
    [anon_sym_true] = ACTIONS(167),
    [anon_sym_false] = ACTIONS(167),
    [sym_nil] = ACTIONS(169),
    [sym_uninitialized] = ACTIONS(159),
    [sym_tag] = ACTIONS(171),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(159),
    [sym_block_comment] = ACTIONS(3),
  },
  [1570] = {
    [sym_expression] = STATE(4370),
    [sym__expression_no_tag] = STATE(4431),
    [sym_unary_expression] = STATE(4431),
    [sym_binary_expression] = STATE(4431),
    [sym_ternary_expression] = STATE(4431),
    [sym_call_expression] = STATE(4431),
    [sym_selector_call_expression] = STATE(4431),
    [sym_member_expression] = STATE(4431),
    [sym_index_expression] = STATE(4431),
    [sym_slice_expression] = STATE(4431),
    [sym_range_expression] = STATE(4431),
    [sym_cast_expression] = STATE(4431),
    [sym_in_expression] = STATE(4431),
    [sym_variadic_expression] = STATE(4431),
    [sym_parenthesized_expression] = STATE(4431),
    [sym_or_return_expression] = STATE(4431),
    [sym_or_continue_expression] = STATE(4431),
    [sym_or_break_expression] = STATE(4431),
    [sym_address] = STATE(4431),
    [sym_map_type] = STATE(4431),
    [sym_matrix_type] = STATE(4431),
    [sym_distinct_type] = STATE(4431),
    [sym_literal] = STATE(4431),
    [sym_struct] = STATE(4333),
    [sym_map] = STATE(4320),
    [sym_bit_set] = STATE(4320),
    [sym_matrix] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym__string_literal] = STATE(4334),
    [sym__raw_string_literal] = STATE(4334),
    [sym_character] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_field_identifier] = STATE(7845),
    [sym_identifier] = ACTIONS(341),
    [anon_sym_LBRACE] = ACTIONS(943),
    [anon_sym_LPAREN] = ACTIONS(945),
    [anon_sym_QMARK] = ACTIONS(947),
    [anon_sym_PLUS] = ACTIONS(949),
    [anon_sym_DASH] = ACTIONS(951),
    [anon_sym_TILDE] = ACTIONS(949),
    [anon_sym_BANG] = ACTIONS(949),
    [anon_sym_AMP] = ACTIONS(949),
    [anon_sym_DOT] = ACTIONS(953),
    [anon_sym_LBRACK] = ACTIONS(955),
    [anon_sym_cast] = ACTIONS(957),
    [anon_sym_transmute] = ACTIONS(957),
    [anon_sym_auto_cast] = ACTIONS(959),
    [anon_sym_DOT_DOT] = ACTIONS(3241),
    [anon_sym_map] = ACTIONS(351),
    [anon_sym_bit_set] = ACTIONS(353),
    [anon_sym_matrix] = ACTIONS(355),
    [anon_sym_distinct] = ACTIONS(357),
    [sym_number] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(361),
    [anon_sym_BQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [anon_sym_true] = ACTIONS(367),
    [anon_sym_false] = ACTIONS(367),
    [sym_nil] = ACTIONS(369),
    [sym_uninitialized] = ACTIONS(359),
    [sym_tag] = ACTIONS(963),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(359),
    [sym_block_comment] = ACTIONS(3),
  },
  [1571] = {
    [sym_expression] = STATE(5753),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1572] = {
    [sym_expression] = STATE(5756),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1573] = {
    [sym_expression] = STATE(1082),
    [sym__expression_no_tag] = STATE(743),
    [sym_unary_expression] = STATE(743),
    [sym_binary_expression] = STATE(743),
    [sym_ternary_expression] = STATE(743),
    [sym_call_expression] = STATE(743),
    [sym_selector_call_expression] = STATE(743),
    [sym_member_expression] = STATE(743),
    [sym_index_expression] = STATE(743),
    [sym_slice_expression] = STATE(743),
    [sym_range_expression] = STATE(743),
    [sym_cast_expression] = STATE(743),
    [sym_in_expression] = STATE(743),
    [sym_variadic_expression] = STATE(743),
    [sym_parenthesized_expression] = STATE(743),
    [sym_or_return_expression] = STATE(743),
    [sym_or_continue_expression] = STATE(743),
    [sym_or_break_expression] = STATE(743),
    [sym_address] = STATE(743),
    [sym_map_type] = STATE(743),
    [sym_matrix_type] = STATE(743),
    [sym_distinct_type] = STATE(743),
    [sym_literal] = STATE(743),
    [sym_struct] = STATE(933),
    [sym_map] = STATE(925),
    [sym_bit_set] = STATE(925),
    [sym_matrix] = STATE(925),
    [sym_string] = STATE(925),
    [sym__string_literal] = STATE(934),
    [sym__raw_string_literal] = STATE(934),
    [sym_character] = STATE(925),
    [sym_boolean] = STATE(925),
    [sym_field_identifier] = STATE(7874),
    [sym_identifier] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(135),
    [anon_sym_QMARK] = ACTIONS(137),
    [anon_sym_PLUS] = ACTIONS(6046),
    [anon_sym_DASH] = ACTIONS(139),
    [anon_sym_TILDE] = ACTIONS(6046),
    [anon_sym_BANG] = ACTIONS(6046),
    [anon_sym_AMP] = ACTIONS(6046),
    [anon_sym_DOT] = ACTIONS(141),
    [anon_sym_LBRACK] = ACTIONS(143),
    [anon_sym_cast] = ACTIONS(145),
    [anon_sym_transmute] = ACTIONS(145),
    [anon_sym_auto_cast] = ACTIONS(147),
    [anon_sym_DOT_DOT] = ACTIONS(6048),
    [anon_sym_map] = ACTIONS(151),
    [anon_sym_bit_set] = ACTIONS(153),
    [anon_sym_matrix] = ACTIONS(155),
    [anon_sym_distinct] = ACTIONS(157),
    [sym_number] = ACTIONS(159),
    [anon_sym_DQUOTE] = ACTIONS(161),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [anon_sym_SQUOTE] = ACTIONS(165),
    [anon_sym_true] = ACTIONS(167),
    [anon_sym_false] = ACTIONS(167),
    [sym_nil] = ACTIONS(169),
    [sym_uninitialized] = ACTIONS(159),
    [sym_tag] = ACTIONS(171),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(159),
    [sym_block_comment] = ACTIONS(3),
  },
  [1574] = {
    [aux_sym_field_identifier_repeat1] = STATE(6917),
    [anon_sym_LBRACE] = ACTIONS(6091),
    [anon_sym_COMMA] = ACTIONS(4512),
    [anon_sym_COLON_COLON] = ACTIONS(4512),
    [anon_sym_DASH_GT] = ACTIONS(4512),
    [anon_sym_where] = ACTIONS(4512),
    [anon_sym_EQ] = ACTIONS(4514),
    [anon_sym_COLON_EQ] = ACTIONS(4512),
    [anon_sym_COLON] = ACTIONS(4514),
    [anon_sym_LPAREN] = ACTIONS(6094),
    [anon_sym_PLUS_EQ] = ACTIONS(4512),
    [anon_sym_DASH_EQ] = ACTIONS(4512),
    [anon_sym_STAR_EQ] = ACTIONS(4512),
    [anon_sym_SLASH_EQ] = ACTIONS(4512),
    [anon_sym_PERCENT_EQ] = ACTIONS(4512),
    [anon_sym_AMP_EQ] = ACTIONS(4512),
    [anon_sym_PIPE_EQ] = ACTIONS(4512),
    [anon_sym_CARET_EQ] = ACTIONS(4512),
    [anon_sym_LT_LT_EQ] = ACTIONS(4512),
    [anon_sym_GT_GT_EQ] = ACTIONS(4512),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4512),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4512),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4512),
    [anon_sym_if] = ACTIONS(4512),
    [anon_sym_SEMI] = ACTIONS(4512),
    [anon_sym_do] = ACTIONS(4512),
    [anon_sym_when] = ACTIONS(4512),
    [anon_sym_in] = ACTIONS(4512),
    [anon_sym_QMARK] = ACTIONS(4512),
    [anon_sym_PLUS] = ACTIONS(4514),
    [anon_sym_DASH] = ACTIONS(4514),
    [anon_sym_TILDE] = ACTIONS(4514),
    [anon_sym_AMP] = ACTIONS(4514),
    [anon_sym_PIPE_PIPE] = ACTIONS(4514),
    [anon_sym_or_else] = ACTIONS(4512),
    [anon_sym_AMP_AMP] = ACTIONS(4514),
    [anon_sym_GT] = ACTIONS(4514),
    [anon_sym_GT_EQ] = ACTIONS(4512),
    [anon_sym_LT_EQ] = ACTIONS(4512),
    [anon_sym_LT] = ACTIONS(4514),
    [anon_sym_EQ_EQ] = ACTIONS(4512),
    [anon_sym_BANG_EQ] = ACTIONS(4512),
    [anon_sym_TILDE_EQ] = ACTIONS(4512),
    [anon_sym_PIPE] = ACTIONS(4514),
    [anon_sym_AMP_TILDE] = ACTIONS(4514),
    [anon_sym_LT_LT] = ACTIONS(4514),
    [anon_sym_GT_GT] = ACTIONS(4514),
    [anon_sym_STAR] = ACTIONS(4514),
    [anon_sym_SLASH] = ACTIONS(4514),
    [anon_sym_PERCENT] = ACTIONS(4514),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4512),
    [anon_sym_DOT] = ACTIONS(4514),
    [anon_sym_LBRACK] = ACTIONS(4512),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4512),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4512),
    [anon_sym_not_in] = ACTIONS(4512),
    [anon_sym_or_return] = ACTIONS(4512),
    [anon_sym_or_continue] = ACTIONS(4512),
    [anon_sym_or_break] = ACTIONS(4512),
    [anon_sym_CARET] = ACTIONS(4514),
    [sym_uninitialized] = ACTIONS(4512),
    [sym_tag] = ACTIONS(4512),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1575] = {
    [sym_expression] = STATE(4917),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1576] = {
    [sym_expression] = STATE(3285),
    [sym__expression_no_tag] = STATE(3597),
    [sym_unary_expression] = STATE(3597),
    [sym_binary_expression] = STATE(3597),
    [sym_ternary_expression] = STATE(3597),
    [sym_call_expression] = STATE(3597),
    [sym_selector_call_expression] = STATE(3597),
    [sym_member_expression] = STATE(3597),
    [sym_index_expression] = STATE(3597),
    [sym_slice_expression] = STATE(3597),
    [sym_range_expression] = STATE(3597),
    [sym_cast_expression] = STATE(3597),
    [sym_in_expression] = STATE(3597),
    [sym_variadic_expression] = STATE(3597),
    [sym_parenthesized_expression] = STATE(3597),
    [sym_or_return_expression] = STATE(3597),
    [sym_or_continue_expression] = STATE(3597),
    [sym_or_break_expression] = STATE(3597),
    [sym_address] = STATE(3597),
    [sym_map_type] = STATE(3597),
    [sym_matrix_type] = STATE(3597),
    [sym_distinct_type] = STATE(3597),
    [sym_literal] = STATE(3597),
    [sym_struct] = STATE(3465),
    [sym_map] = STATE(3453),
    [sym_bit_set] = STATE(3453),
    [sym_matrix] = STATE(3453),
    [sym_string] = STATE(3453),
    [sym__string_literal] = STATE(3469),
    [sym__raw_string_literal] = STATE(3469),
    [sym_character] = STATE(3453),
    [sym_boolean] = STATE(3453),
    [sym_field_identifier] = STATE(7903),
    [sym_identifier] = ACTIONS(659),
    [anon_sym_LBRACE] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_QMARK] = ACTIONS(665),
    [anon_sym_PLUS] = ACTIONS(667),
    [anon_sym_DASH] = ACTIONS(669),
    [anon_sym_TILDE] = ACTIONS(667),
    [anon_sym_BANG] = ACTIONS(667),
    [anon_sym_AMP] = ACTIONS(667),
    [anon_sym_DOT] = ACTIONS(671),
    [anon_sym_LBRACK] = ACTIONS(673),
    [anon_sym_cast] = ACTIONS(675),
    [anon_sym_transmute] = ACTIONS(675),
    [anon_sym_auto_cast] = ACTIONS(677),
    [anon_sym_DOT_DOT] = ACTIONS(6055),
    [anon_sym_map] = ACTIONS(681),
    [anon_sym_bit_set] = ACTIONS(683),
    [anon_sym_matrix] = ACTIONS(685),
    [anon_sym_distinct] = ACTIONS(687),
    [sym_number] = ACTIONS(689),
    [anon_sym_DQUOTE] = ACTIONS(691),
    [anon_sym_BQUOTE] = ACTIONS(693),
    [anon_sym_SQUOTE] = ACTIONS(695),
    [anon_sym_true] = ACTIONS(697),
    [anon_sym_false] = ACTIONS(697),
    [sym_nil] = ACTIONS(699),
    [sym_uninitialized] = ACTIONS(689),
    [sym_tag] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(689),
    [sym_block_comment] = ACTIONS(3),
  },
  [1577] = {
    [sym_expression] = STATE(5607),
    [sym__expression_no_tag] = STATE(4410),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_ternary_expression] = STATE(4410),
    [sym_call_expression] = STATE(4410),
    [sym_selector_call_expression] = STATE(4410),
    [sym_member_expression] = STATE(4410),
    [sym_index_expression] = STATE(4410),
    [sym_slice_expression] = STATE(4410),
    [sym_range_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_in_expression] = STATE(4410),
    [sym_variadic_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4410),
    [sym_or_return_expression] = STATE(4410),
    [sym_or_continue_expression] = STATE(4410),
    [sym_or_break_expression] = STATE(4410),
    [sym_address] = STATE(4410),
    [sym_map_type] = STATE(4410),
    [sym_matrix_type] = STATE(4410),
    [sym_distinct_type] = STATE(4410),
    [sym_literal] = STATE(4410),
    [sym_struct] = STATE(4333),
    [sym_map] = STATE(4320),
    [sym_bit_set] = STATE(4320),
    [sym_matrix] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym__string_literal] = STATE(4334),
    [sym__raw_string_literal] = STATE(4334),
    [sym_character] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_field_identifier] = STATE(7845),
    [sym_identifier] = ACTIONS(341),
    [anon_sym_LBRACE] = ACTIONS(943),
    [anon_sym_LPAREN] = ACTIONS(945),
    [anon_sym_QMARK] = ACTIONS(3239),
    [anon_sym_PLUS] = ACTIONS(949),
    [anon_sym_DASH] = ACTIONS(951),
    [anon_sym_TILDE] = ACTIONS(949),
    [anon_sym_BANG] = ACTIONS(949),
    [anon_sym_AMP] = ACTIONS(949),
    [anon_sym_DOT] = ACTIONS(953),
    [anon_sym_LBRACK] = ACTIONS(955),
    [anon_sym_cast] = ACTIONS(957),
    [anon_sym_transmute] = ACTIONS(957),
    [anon_sym_auto_cast] = ACTIONS(959),
    [anon_sym_DOT_DOT] = ACTIONS(3241),
    [anon_sym_map] = ACTIONS(351),
    [anon_sym_bit_set] = ACTIONS(353),
    [anon_sym_matrix] = ACTIONS(355),
    [anon_sym_distinct] = ACTIONS(357),
    [sym_number] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(361),
    [anon_sym_BQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [anon_sym_true] = ACTIONS(367),
    [anon_sym_false] = ACTIONS(367),
    [sym_nil] = ACTIONS(369),
    [sym_uninitialized] = ACTIONS(359),
    [sym_tag] = ACTIONS(963),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(359),
    [sym_block_comment] = ACTIONS(3),
  },
  [1578] = {
    [sym_expression] = STATE(2431),
    [sym__expression_no_tag] = STATE(2425),
    [sym_unary_expression] = STATE(2425),
    [sym_binary_expression] = STATE(2425),
    [sym_ternary_expression] = STATE(2425),
    [sym_call_expression] = STATE(2425),
    [sym_selector_call_expression] = STATE(2425),
    [sym_member_expression] = STATE(2425),
    [sym_index_expression] = STATE(2425),
    [sym_slice_expression] = STATE(2425),
    [sym_range_expression] = STATE(2425),
    [sym_cast_expression] = STATE(2425),
    [sym_in_expression] = STATE(2425),
    [sym_variadic_expression] = STATE(2425),
    [sym_parenthesized_expression] = STATE(2425),
    [sym_or_return_expression] = STATE(2425),
    [sym_or_continue_expression] = STATE(2425),
    [sym_or_break_expression] = STATE(2425),
    [sym_address] = STATE(2425),
    [sym_map_type] = STATE(2425),
    [sym_matrix_type] = STATE(2425),
    [sym_distinct_type] = STATE(2425),
    [sym_literal] = STATE(2425),
    [sym_struct] = STATE(2413),
    [sym_map] = STATE(2256),
    [sym_bit_set] = STATE(2256),
    [sym_matrix] = STATE(2256),
    [sym_string] = STATE(2256),
    [sym__string_literal] = STATE(2258),
    [sym__raw_string_literal] = STATE(2258),
    [sym_character] = STATE(2256),
    [sym_boolean] = STATE(2256),
    [sym_field_identifier] = STATE(7777),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_QMARK] = ACTIONS(205),
    [anon_sym_PLUS] = ACTIONS(391),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(391),
    [anon_sym_BANG] = ACTIONS(391),
    [anon_sym_AMP] = ACTIONS(391),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_DOT_DOT] = ACTIONS(393),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(201),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [1579] = {
    [aux_sym_struct_type_repeat2] = STATE(1390),
    [anon_sym_LBRACE] = ACTIONS(6089),
    [anon_sym_RBRACE] = ACTIONS(4626),
    [anon_sym_COMMA] = ACTIONS(4626),
    [anon_sym_COLON_COLON] = ACTIONS(4626),
    [anon_sym_DASH_GT] = ACTIONS(4626),
    [anon_sym_EQ] = ACTIONS(4628),
    [anon_sym_COLON_EQ] = ACTIONS(4626),
    [anon_sym_COLON] = ACTIONS(4628),
    [anon_sym_LPAREN] = ACTIONS(4626),
    [anon_sym_PLUS_EQ] = ACTIONS(4626),
    [anon_sym_DASH_EQ] = ACTIONS(4626),
    [anon_sym_STAR_EQ] = ACTIONS(4626),
    [anon_sym_SLASH_EQ] = ACTIONS(4626),
    [anon_sym_PERCENT_EQ] = ACTIONS(4626),
    [anon_sym_AMP_EQ] = ACTIONS(4626),
    [anon_sym_PIPE_EQ] = ACTIONS(4626),
    [anon_sym_CARET_EQ] = ACTIONS(4626),
    [anon_sym_LT_LT_EQ] = ACTIONS(4626),
    [anon_sym_GT_GT_EQ] = ACTIONS(4626),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4626),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4626),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4626),
    [anon_sym_if] = ACTIONS(4626),
    [anon_sym_SEMI] = ACTIONS(4626),
    [anon_sym_else] = ACTIONS(4626),
    [anon_sym_when] = ACTIONS(4626),
    [anon_sym_in] = ACTIONS(4626),
    [anon_sym_case] = ACTIONS(4626),
    [anon_sym_QMARK] = ACTIONS(4626),
    [anon_sym_PLUS] = ACTIONS(4628),
    [anon_sym_DASH] = ACTIONS(4628),
    [anon_sym_TILDE] = ACTIONS(4628),
    [anon_sym_AMP] = ACTIONS(4628),
    [anon_sym_PIPE_PIPE] = ACTIONS(4628),
    [anon_sym_or_else] = ACTIONS(4626),
    [anon_sym_AMP_AMP] = ACTIONS(4628),
    [anon_sym_GT] = ACTIONS(4628),
    [anon_sym_GT_EQ] = ACTIONS(4626),
    [anon_sym_LT_EQ] = ACTIONS(4626),
    [anon_sym_LT] = ACTIONS(4628),
    [anon_sym_EQ_EQ] = ACTIONS(4626),
    [anon_sym_BANG_EQ] = ACTIONS(4626),
    [anon_sym_TILDE_EQ] = ACTIONS(4626),
    [anon_sym_PIPE] = ACTIONS(4628),
    [anon_sym_AMP_TILDE] = ACTIONS(4628),
    [anon_sym_LT_LT] = ACTIONS(4628),
    [anon_sym_GT_GT] = ACTIONS(4628),
    [anon_sym_STAR] = ACTIONS(4628),
    [anon_sym_SLASH] = ACTIONS(4628),
    [anon_sym_PERCENT] = ACTIONS(4628),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4626),
    [anon_sym_DOT] = ACTIONS(4628),
    [anon_sym_LBRACK] = ACTIONS(4626),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4626),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4626),
    [anon_sym_not_in] = ACTIONS(4626),
    [anon_sym_or_return] = ACTIONS(4626),
    [anon_sym_or_continue] = ACTIONS(4626),
    [anon_sym_or_break] = ACTIONS(4626),
    [anon_sym_CARET] = ACTIONS(4628),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4626),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1580] = {
    [sym_expression] = STATE(5504),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1581] = {
    [sym_expression] = STATE(5710),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1582] = {
    [sym_expression] = STATE(5506),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1583] = {
    [sym_expression] = STATE(5507),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1584] = {
    [sym_expression] = STATE(1083),
    [sym__expression_no_tag] = STATE(743),
    [sym_unary_expression] = STATE(743),
    [sym_binary_expression] = STATE(743),
    [sym_ternary_expression] = STATE(743),
    [sym_call_expression] = STATE(743),
    [sym_selector_call_expression] = STATE(743),
    [sym_member_expression] = STATE(743),
    [sym_index_expression] = STATE(743),
    [sym_slice_expression] = STATE(743),
    [sym_range_expression] = STATE(743),
    [sym_cast_expression] = STATE(743),
    [sym_in_expression] = STATE(743),
    [sym_variadic_expression] = STATE(743),
    [sym_parenthesized_expression] = STATE(743),
    [sym_or_return_expression] = STATE(743),
    [sym_or_continue_expression] = STATE(743),
    [sym_or_break_expression] = STATE(743),
    [sym_address] = STATE(743),
    [sym_map_type] = STATE(743),
    [sym_matrix_type] = STATE(743),
    [sym_distinct_type] = STATE(743),
    [sym_literal] = STATE(743),
    [sym_struct] = STATE(933),
    [sym_map] = STATE(925),
    [sym_bit_set] = STATE(925),
    [sym_matrix] = STATE(925),
    [sym_string] = STATE(925),
    [sym__string_literal] = STATE(934),
    [sym__raw_string_literal] = STATE(934),
    [sym_character] = STATE(925),
    [sym_boolean] = STATE(925),
    [sym_field_identifier] = STATE(7874),
    [sym_identifier] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(135),
    [anon_sym_QMARK] = ACTIONS(137),
    [anon_sym_PLUS] = ACTIONS(6046),
    [anon_sym_DASH] = ACTIONS(139),
    [anon_sym_TILDE] = ACTIONS(6046),
    [anon_sym_BANG] = ACTIONS(6046),
    [anon_sym_AMP] = ACTIONS(6046),
    [anon_sym_DOT] = ACTIONS(141),
    [anon_sym_LBRACK] = ACTIONS(143),
    [anon_sym_cast] = ACTIONS(145),
    [anon_sym_transmute] = ACTIONS(145),
    [anon_sym_auto_cast] = ACTIONS(147),
    [anon_sym_DOT_DOT] = ACTIONS(6048),
    [anon_sym_map] = ACTIONS(151),
    [anon_sym_bit_set] = ACTIONS(153),
    [anon_sym_matrix] = ACTIONS(155),
    [anon_sym_distinct] = ACTIONS(157),
    [sym_number] = ACTIONS(159),
    [anon_sym_DQUOTE] = ACTIONS(161),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [anon_sym_SQUOTE] = ACTIONS(165),
    [anon_sym_true] = ACTIONS(167),
    [anon_sym_false] = ACTIONS(167),
    [sym_nil] = ACTIONS(169),
    [sym_uninitialized] = ACTIONS(159),
    [sym_tag] = ACTIONS(171),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(159),
    [sym_block_comment] = ACTIONS(3),
  },
  [1585] = {
    [sym_expression] = STATE(4373),
    [sym__expression_no_tag] = STATE(4431),
    [sym_unary_expression] = STATE(4431),
    [sym_binary_expression] = STATE(4431),
    [sym_ternary_expression] = STATE(4431),
    [sym_call_expression] = STATE(4431),
    [sym_selector_call_expression] = STATE(4431),
    [sym_member_expression] = STATE(4431),
    [sym_index_expression] = STATE(4431),
    [sym_slice_expression] = STATE(4431),
    [sym_range_expression] = STATE(4431),
    [sym_cast_expression] = STATE(4431),
    [sym_in_expression] = STATE(4431),
    [sym_variadic_expression] = STATE(4431),
    [sym_parenthesized_expression] = STATE(4431),
    [sym_or_return_expression] = STATE(4431),
    [sym_or_continue_expression] = STATE(4431),
    [sym_or_break_expression] = STATE(4431),
    [sym_address] = STATE(4431),
    [sym_map_type] = STATE(4431),
    [sym_matrix_type] = STATE(4431),
    [sym_distinct_type] = STATE(4431),
    [sym_literal] = STATE(4431),
    [sym_struct] = STATE(4333),
    [sym_map] = STATE(4320),
    [sym_bit_set] = STATE(4320),
    [sym_matrix] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym__string_literal] = STATE(4334),
    [sym__raw_string_literal] = STATE(4334),
    [sym_character] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_field_identifier] = STATE(7845),
    [sym_identifier] = ACTIONS(341),
    [anon_sym_LBRACE] = ACTIONS(943),
    [anon_sym_LPAREN] = ACTIONS(945),
    [anon_sym_QMARK] = ACTIONS(947),
    [anon_sym_PLUS] = ACTIONS(949),
    [anon_sym_DASH] = ACTIONS(951),
    [anon_sym_TILDE] = ACTIONS(949),
    [anon_sym_BANG] = ACTIONS(949),
    [anon_sym_AMP] = ACTIONS(949),
    [anon_sym_DOT] = ACTIONS(953),
    [anon_sym_LBRACK] = ACTIONS(955),
    [anon_sym_cast] = ACTIONS(957),
    [anon_sym_transmute] = ACTIONS(957),
    [anon_sym_auto_cast] = ACTIONS(959),
    [anon_sym_DOT_DOT] = ACTIONS(3241),
    [anon_sym_map] = ACTIONS(351),
    [anon_sym_bit_set] = ACTIONS(353),
    [anon_sym_matrix] = ACTIONS(355),
    [anon_sym_distinct] = ACTIONS(357),
    [sym_number] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(361),
    [anon_sym_BQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [anon_sym_true] = ACTIONS(367),
    [anon_sym_false] = ACTIONS(367),
    [sym_nil] = ACTIONS(369),
    [sym_uninitialized] = ACTIONS(359),
    [sym_tag] = ACTIONS(963),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(359),
    [sym_block_comment] = ACTIONS(3),
  },
  [1586] = {
    [sym_expression] = STATE(5775),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1587] = {
    [sym_expression] = STATE(5788),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1588] = {
    [sym_expression] = STATE(1084),
    [sym__expression_no_tag] = STATE(743),
    [sym_unary_expression] = STATE(743),
    [sym_binary_expression] = STATE(743),
    [sym_ternary_expression] = STATE(743),
    [sym_call_expression] = STATE(743),
    [sym_selector_call_expression] = STATE(743),
    [sym_member_expression] = STATE(743),
    [sym_index_expression] = STATE(743),
    [sym_slice_expression] = STATE(743),
    [sym_range_expression] = STATE(743),
    [sym_cast_expression] = STATE(743),
    [sym_in_expression] = STATE(743),
    [sym_variadic_expression] = STATE(743),
    [sym_parenthesized_expression] = STATE(743),
    [sym_or_return_expression] = STATE(743),
    [sym_or_continue_expression] = STATE(743),
    [sym_or_break_expression] = STATE(743),
    [sym_address] = STATE(743),
    [sym_map_type] = STATE(743),
    [sym_matrix_type] = STATE(743),
    [sym_distinct_type] = STATE(743),
    [sym_literal] = STATE(743),
    [sym_struct] = STATE(933),
    [sym_map] = STATE(925),
    [sym_bit_set] = STATE(925),
    [sym_matrix] = STATE(925),
    [sym_string] = STATE(925),
    [sym__string_literal] = STATE(934),
    [sym__raw_string_literal] = STATE(934),
    [sym_character] = STATE(925),
    [sym_boolean] = STATE(925),
    [sym_field_identifier] = STATE(7874),
    [sym_identifier] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(135),
    [anon_sym_QMARK] = ACTIONS(137),
    [anon_sym_PLUS] = ACTIONS(6046),
    [anon_sym_DASH] = ACTIONS(139),
    [anon_sym_TILDE] = ACTIONS(6046),
    [anon_sym_BANG] = ACTIONS(6046),
    [anon_sym_AMP] = ACTIONS(6046),
    [anon_sym_DOT] = ACTIONS(141),
    [anon_sym_LBRACK] = ACTIONS(143),
    [anon_sym_cast] = ACTIONS(145),
    [anon_sym_transmute] = ACTIONS(145),
    [anon_sym_auto_cast] = ACTIONS(147),
    [anon_sym_DOT_DOT] = ACTIONS(6048),
    [anon_sym_map] = ACTIONS(151),
    [anon_sym_bit_set] = ACTIONS(153),
    [anon_sym_matrix] = ACTIONS(155),
    [anon_sym_distinct] = ACTIONS(157),
    [sym_number] = ACTIONS(159),
    [anon_sym_DQUOTE] = ACTIONS(161),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [anon_sym_SQUOTE] = ACTIONS(165),
    [anon_sym_true] = ACTIONS(167),
    [anon_sym_false] = ACTIONS(167),
    [sym_nil] = ACTIONS(169),
    [sym_uninitialized] = ACTIONS(159),
    [sym_tag] = ACTIONS(171),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(159),
    [sym_block_comment] = ACTIONS(3),
  },
  [1589] = {
    [aux_sym_field_type_repeat1] = STATE(1589),
    [anon_sym_RBRACE] = ACTIONS(3977),
    [anon_sym_COMMA] = ACTIONS(3977),
    [anon_sym_COLON_COLON] = ACTIONS(3977),
    [anon_sym_DASH_GT] = ACTIONS(3977),
    [anon_sym_EQ] = ACTIONS(3979),
    [anon_sym_COLON_EQ] = ACTIONS(3977),
    [anon_sym_COLON] = ACTIONS(3979),
    [anon_sym_LPAREN] = ACTIONS(3977),
    [anon_sym_PLUS_EQ] = ACTIONS(3977),
    [anon_sym_DASH_EQ] = ACTIONS(3977),
    [anon_sym_STAR_EQ] = ACTIONS(3977),
    [anon_sym_SLASH_EQ] = ACTIONS(3977),
    [anon_sym_PERCENT_EQ] = ACTIONS(3977),
    [anon_sym_AMP_EQ] = ACTIONS(3977),
    [anon_sym_PIPE_EQ] = ACTIONS(3977),
    [anon_sym_CARET_EQ] = ACTIONS(3977),
    [anon_sym_LT_LT_EQ] = ACTIONS(3977),
    [anon_sym_GT_GT_EQ] = ACTIONS(3977),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3977),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3977),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(3977),
    [anon_sym_if] = ACTIONS(3977),
    [anon_sym_SEMI] = ACTIONS(3977),
    [anon_sym_else] = ACTIONS(3977),
    [anon_sym_when] = ACTIONS(3977),
    [anon_sym_in] = ACTIONS(3977),
    [anon_sym_case] = ACTIONS(3977),
    [anon_sym_QMARK] = ACTIONS(3977),
    [anon_sym_PLUS] = ACTIONS(3979),
    [anon_sym_DASH] = ACTIONS(3979),
    [anon_sym_TILDE] = ACTIONS(3979),
    [anon_sym_AMP] = ACTIONS(3979),
    [anon_sym_PIPE_PIPE] = ACTIONS(3979),
    [anon_sym_or_else] = ACTIONS(3977),
    [anon_sym_AMP_AMP] = ACTIONS(3979),
    [anon_sym_GT] = ACTIONS(3979),
    [anon_sym_GT_EQ] = ACTIONS(3977),
    [anon_sym_LT_EQ] = ACTIONS(3977),
    [anon_sym_LT] = ACTIONS(3979),
    [anon_sym_EQ_EQ] = ACTIONS(3977),
    [anon_sym_BANG_EQ] = ACTIONS(3977),
    [anon_sym_TILDE_EQ] = ACTIONS(3977),
    [anon_sym_PIPE] = ACTIONS(3979),
    [anon_sym_AMP_TILDE] = ACTIONS(3979),
    [anon_sym_LT_LT] = ACTIONS(3979),
    [anon_sym_GT_GT] = ACTIONS(3979),
    [anon_sym_STAR] = ACTIONS(3979),
    [anon_sym_SLASH] = ACTIONS(3979),
    [anon_sym_PERCENT] = ACTIONS(3979),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(3977),
    [anon_sym_DOT] = ACTIONS(3979),
    [anon_sym_LBRACK] = ACTIONS(3977),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(3977),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3977),
    [anon_sym_not_in] = ACTIONS(3977),
    [anon_sym_or_return] = ACTIONS(3977),
    [anon_sym_or_continue] = ACTIONS(3977),
    [anon_sym_or_break] = ACTIONS(3977),
    [anon_sym_CARET] = ACTIONS(3979),
    [anon_sym_DOT2] = ACTIONS(6097),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(3977),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1590] = {
    [sym_expression] = STATE(2410),
    [sym__expression_no_tag] = STATE(2425),
    [sym_unary_expression] = STATE(2425),
    [sym_binary_expression] = STATE(2425),
    [sym_ternary_expression] = STATE(2425),
    [sym_call_expression] = STATE(2425),
    [sym_selector_call_expression] = STATE(2425),
    [sym_member_expression] = STATE(2425),
    [sym_index_expression] = STATE(2425),
    [sym_slice_expression] = STATE(2425),
    [sym_range_expression] = STATE(2425),
    [sym_cast_expression] = STATE(2425),
    [sym_in_expression] = STATE(2425),
    [sym_variadic_expression] = STATE(2425),
    [sym_parenthesized_expression] = STATE(2425),
    [sym_or_return_expression] = STATE(2425),
    [sym_or_continue_expression] = STATE(2425),
    [sym_or_break_expression] = STATE(2425),
    [sym_address] = STATE(2425),
    [sym_map_type] = STATE(2425),
    [sym_matrix_type] = STATE(2425),
    [sym_distinct_type] = STATE(2425),
    [sym_literal] = STATE(2425),
    [sym_struct] = STATE(2413),
    [sym_map] = STATE(2256),
    [sym_bit_set] = STATE(2256),
    [sym_matrix] = STATE(2256),
    [sym_string] = STATE(2256),
    [sym__string_literal] = STATE(2258),
    [sym__raw_string_literal] = STATE(2258),
    [sym_character] = STATE(2256),
    [sym_boolean] = STATE(2256),
    [sym_field_identifier] = STATE(7777),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_QMARK] = ACTIONS(205),
    [anon_sym_PLUS] = ACTIONS(391),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(391),
    [anon_sym_BANG] = ACTIONS(391),
    [anon_sym_AMP] = ACTIONS(391),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_DOT_DOT] = ACTIONS(393),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(201),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [1591] = {
    [sym_expression] = STATE(2411),
    [sym__expression_no_tag] = STATE(2425),
    [sym_unary_expression] = STATE(2425),
    [sym_binary_expression] = STATE(2425),
    [sym_ternary_expression] = STATE(2425),
    [sym_call_expression] = STATE(2425),
    [sym_selector_call_expression] = STATE(2425),
    [sym_member_expression] = STATE(2425),
    [sym_index_expression] = STATE(2425),
    [sym_slice_expression] = STATE(2425),
    [sym_range_expression] = STATE(2425),
    [sym_cast_expression] = STATE(2425),
    [sym_in_expression] = STATE(2425),
    [sym_variadic_expression] = STATE(2425),
    [sym_parenthesized_expression] = STATE(2425),
    [sym_or_return_expression] = STATE(2425),
    [sym_or_continue_expression] = STATE(2425),
    [sym_or_break_expression] = STATE(2425),
    [sym_address] = STATE(2425),
    [sym_map_type] = STATE(2425),
    [sym_matrix_type] = STATE(2425),
    [sym_distinct_type] = STATE(2425),
    [sym_literal] = STATE(2425),
    [sym_struct] = STATE(2413),
    [sym_map] = STATE(2256),
    [sym_bit_set] = STATE(2256),
    [sym_matrix] = STATE(2256),
    [sym_string] = STATE(2256),
    [sym__string_literal] = STATE(2258),
    [sym__raw_string_literal] = STATE(2258),
    [sym_character] = STATE(2256),
    [sym_boolean] = STATE(2256),
    [sym_field_identifier] = STATE(7777),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(203),
    [anon_sym_QMARK] = ACTIONS(205),
    [anon_sym_PLUS] = ACTIONS(391),
    [anon_sym_DASH] = ACTIONS(93),
    [anon_sym_TILDE] = ACTIONS(391),
    [anon_sym_BANG] = ACTIONS(391),
    [anon_sym_AMP] = ACTIONS(391),
    [anon_sym_DOT] = ACTIONS(95),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(99),
    [anon_sym_transmute] = ACTIONS(99),
    [anon_sym_auto_cast] = ACTIONS(101),
    [anon_sym_DOT_DOT] = ACTIONS(393),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(201),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [1592] = {
    [sym_expression] = STATE(2059),
    [sym__expression_no_tag] = STATE(2219),
    [sym_unary_expression] = STATE(2219),
    [sym_binary_expression] = STATE(2219),
    [sym_ternary_expression] = STATE(2219),
    [sym_call_expression] = STATE(2219),
    [sym_selector_call_expression] = STATE(2219),
    [sym_member_expression] = STATE(2219),
    [sym_index_expression] = STATE(2219),
    [sym_slice_expression] = STATE(2219),
    [sym_range_expression] = STATE(2219),
    [sym_cast_expression] = STATE(2219),
    [sym_in_expression] = STATE(2219),
    [sym_variadic_expression] = STATE(2219),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_or_return_expression] = STATE(2219),
    [sym_or_continue_expression] = STATE(2219),
    [sym_or_break_expression] = STATE(2219),
    [sym_address] = STATE(2219),
    [sym_map_type] = STATE(2219),
    [sym_matrix_type] = STATE(2219),
    [sym_distinct_type] = STATE(2219),
    [sym_literal] = STATE(2219),
    [sym_struct] = STATE(2056),
    [sym_map] = STATE(2054),
    [sym_bit_set] = STATE(2054),
    [sym_matrix] = STATE(2054),
    [sym_string] = STATE(2054),
    [sym__string_literal] = STATE(2057),
    [sym__raw_string_literal] = STATE(2057),
    [sym_character] = STATE(2054),
    [sym_boolean] = STATE(2054),
    [sym_field_identifier] = STATE(7869),
    [sym_identifier] = ACTIONS(207),
    [anon_sym_LBRACE] = ACTIONS(237),
    [anon_sym_LPAREN] = ACTIONS(239),
    [anon_sym_QMARK] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(6042),
    [anon_sym_DASH] = ACTIONS(209),
    [anon_sym_TILDE] = ACTIONS(6042),
    [anon_sym_BANG] = ACTIONS(6042),
    [anon_sym_AMP] = ACTIONS(6042),
    [anon_sym_DOT] = ACTIONS(243),
    [anon_sym_LBRACK] = ACTIONS(245),
    [anon_sym_cast] = ACTIONS(211),
    [anon_sym_transmute] = ACTIONS(211),
    [anon_sym_auto_cast] = ACTIONS(213),
    [anon_sym_DOT_DOT] = ACTIONS(6044),
    [anon_sym_map] = ACTIONS(217),
    [anon_sym_bit_set] = ACTIONS(219),
    [anon_sym_matrix] = ACTIONS(221),
    [anon_sym_distinct] = ACTIONS(223),
    [sym_number] = ACTIONS(225),
    [anon_sym_DQUOTE] = ACTIONS(227),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_SQUOTE] = ACTIONS(231),
    [anon_sym_true] = ACTIONS(233),
    [anon_sym_false] = ACTIONS(233),
    [sym_nil] = ACTIONS(235),
    [sym_uninitialized] = ACTIONS(225),
    [sym_tag] = ACTIONS(247),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(225),
    [sym_block_comment] = ACTIONS(3),
  },
  [1593] = {
    [sym_expression] = STATE(4380),
    [sym__expression_no_tag] = STATE(4431),
    [sym_unary_expression] = STATE(4431),
    [sym_binary_expression] = STATE(4431),
    [sym_ternary_expression] = STATE(4431),
    [sym_call_expression] = STATE(4431),
    [sym_selector_call_expression] = STATE(4431),
    [sym_member_expression] = STATE(4431),
    [sym_index_expression] = STATE(4431),
    [sym_slice_expression] = STATE(4431),
    [sym_range_expression] = STATE(4431),
    [sym_cast_expression] = STATE(4431),
    [sym_in_expression] = STATE(4431),
    [sym_variadic_expression] = STATE(4431),
    [sym_parenthesized_expression] = STATE(4431),
    [sym_or_return_expression] = STATE(4431),
    [sym_or_continue_expression] = STATE(4431),
    [sym_or_break_expression] = STATE(4431),
    [sym_address] = STATE(4431),
    [sym_map_type] = STATE(4431),
    [sym_matrix_type] = STATE(4431),
    [sym_distinct_type] = STATE(4431),
    [sym_literal] = STATE(4431),
    [sym_struct] = STATE(4333),
    [sym_map] = STATE(4320),
    [sym_bit_set] = STATE(4320),
    [sym_matrix] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym__string_literal] = STATE(4334),
    [sym__raw_string_literal] = STATE(4334),
    [sym_character] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_field_identifier] = STATE(7845),
    [sym_identifier] = ACTIONS(341),
    [anon_sym_LBRACE] = ACTIONS(943),
    [anon_sym_LPAREN] = ACTIONS(945),
    [anon_sym_QMARK] = ACTIONS(947),
    [anon_sym_PLUS] = ACTIONS(949),
    [anon_sym_DASH] = ACTIONS(951),
    [anon_sym_TILDE] = ACTIONS(949),
    [anon_sym_BANG] = ACTIONS(949),
    [anon_sym_AMP] = ACTIONS(949),
    [anon_sym_DOT] = ACTIONS(953),
    [anon_sym_LBRACK] = ACTIONS(955),
    [anon_sym_cast] = ACTIONS(957),
    [anon_sym_transmute] = ACTIONS(957),
    [anon_sym_auto_cast] = ACTIONS(959),
    [anon_sym_DOT_DOT] = ACTIONS(3241),
    [anon_sym_map] = ACTIONS(351),
    [anon_sym_bit_set] = ACTIONS(353),
    [anon_sym_matrix] = ACTIONS(355),
    [anon_sym_distinct] = ACTIONS(357),
    [sym_number] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(361),
    [anon_sym_BQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [anon_sym_true] = ACTIONS(367),
    [anon_sym_false] = ACTIONS(367),
    [sym_nil] = ACTIONS(369),
    [sym_uninitialized] = ACTIONS(359),
    [sym_tag] = ACTIONS(963),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(359),
    [sym_block_comment] = ACTIONS(3),
  },
  [1594] = {
    [sym_expression] = STATE(5611),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1595] = {
    [sym_expression] = STATE(5510),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1596] = {
    [sym_expression] = STATE(5894),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1597] = {
    [sym_expression] = STATE(5513),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1598] = {
    [sym_expression] = STATE(5514),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1599] = {
    [sym_expression] = STATE(1085),
    [sym__expression_no_tag] = STATE(743),
    [sym_unary_expression] = STATE(743),
    [sym_binary_expression] = STATE(743),
    [sym_ternary_expression] = STATE(743),
    [sym_call_expression] = STATE(743),
    [sym_selector_call_expression] = STATE(743),
    [sym_member_expression] = STATE(743),
    [sym_index_expression] = STATE(743),
    [sym_slice_expression] = STATE(743),
    [sym_range_expression] = STATE(743),
    [sym_cast_expression] = STATE(743),
    [sym_in_expression] = STATE(743),
    [sym_variadic_expression] = STATE(743),
    [sym_parenthesized_expression] = STATE(743),
    [sym_or_return_expression] = STATE(743),
    [sym_or_continue_expression] = STATE(743),
    [sym_or_break_expression] = STATE(743),
    [sym_address] = STATE(743),
    [sym_map_type] = STATE(743),
    [sym_matrix_type] = STATE(743),
    [sym_distinct_type] = STATE(743),
    [sym_literal] = STATE(743),
    [sym_struct] = STATE(933),
    [sym_map] = STATE(925),
    [sym_bit_set] = STATE(925),
    [sym_matrix] = STATE(925),
    [sym_string] = STATE(925),
    [sym__string_literal] = STATE(934),
    [sym__raw_string_literal] = STATE(934),
    [sym_character] = STATE(925),
    [sym_boolean] = STATE(925),
    [sym_field_identifier] = STATE(7874),
    [sym_identifier] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(135),
    [anon_sym_QMARK] = ACTIONS(137),
    [anon_sym_PLUS] = ACTIONS(6046),
    [anon_sym_DASH] = ACTIONS(139),
    [anon_sym_TILDE] = ACTIONS(6046),
    [anon_sym_BANG] = ACTIONS(6046),
    [anon_sym_AMP] = ACTIONS(6046),
    [anon_sym_DOT] = ACTIONS(141),
    [anon_sym_LBRACK] = ACTIONS(143),
    [anon_sym_cast] = ACTIONS(145),
    [anon_sym_transmute] = ACTIONS(145),
    [anon_sym_auto_cast] = ACTIONS(147),
    [anon_sym_DOT_DOT] = ACTIONS(6048),
    [anon_sym_map] = ACTIONS(151),
    [anon_sym_bit_set] = ACTIONS(153),
    [anon_sym_matrix] = ACTIONS(155),
    [anon_sym_distinct] = ACTIONS(157),
    [sym_number] = ACTIONS(159),
    [anon_sym_DQUOTE] = ACTIONS(161),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [anon_sym_SQUOTE] = ACTIONS(165),
    [anon_sym_true] = ACTIONS(167),
    [anon_sym_false] = ACTIONS(167),
    [sym_nil] = ACTIONS(169),
    [sym_uninitialized] = ACTIONS(159),
    [sym_tag] = ACTIONS(171),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(159),
    [sym_block_comment] = ACTIONS(3),
  },
  [1600] = {
    [sym_expression] = STATE(4544),
    [sym__expression_no_tag] = STATE(4299),
    [sym_unary_expression] = STATE(4299),
    [sym_binary_expression] = STATE(4299),
    [sym_ternary_expression] = STATE(4299),
    [sym_call_expression] = STATE(4299),
    [sym_selector_call_expression] = STATE(4299),
    [sym_member_expression] = STATE(4299),
    [sym_index_expression] = STATE(4299),
    [sym_slice_expression] = STATE(4299),
    [sym_range_expression] = STATE(4299),
    [sym_cast_expression] = STATE(4299),
    [sym_in_expression] = STATE(4299),
    [sym_variadic_expression] = STATE(4299),
    [sym_parenthesized_expression] = STATE(4299),
    [sym_or_return_expression] = STATE(4299),
    [sym_or_continue_expression] = STATE(4299),
    [sym_or_break_expression] = STATE(4299),
    [sym_address] = STATE(4299),
    [sym_map_type] = STATE(4299),
    [sym_matrix_type] = STATE(4299),
    [sym_distinct_type] = STATE(4299),
    [sym_literal] = STATE(4299),
    [sym_struct] = STATE(4311),
    [sym_map] = STATE(3787),
    [sym_bit_set] = STATE(3787),
    [sym_matrix] = STATE(3787),
    [sym_string] = STATE(3787),
    [sym__string_literal] = STATE(3867),
    [sym__raw_string_literal] = STATE(3867),
    [sym_character] = STATE(3787),
    [sym_boolean] = STATE(3787),
    [sym_field_identifier] = STATE(7783),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(759),
    [anon_sym_QMARK] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(763),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(763),
    [anon_sym_BANG] = ACTIONS(763),
    [anon_sym_AMP] = ACTIONS(763),
    [anon_sym_DOT] = ACTIONS(765),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_cast] = ACTIONS(597),
    [anon_sym_transmute] = ACTIONS(597),
    [anon_sym_auto_cast] = ACTIONS(599),
    [anon_sym_DOT_DOT] = ACTIONS(2797),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [1601] = {
    [sym_expression] = STATE(5724),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1602] = {
    [sym_expression] = STATE(5726),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1603] = {
    [sym_expression] = STATE(1086),
    [sym__expression_no_tag] = STATE(743),
    [sym_unary_expression] = STATE(743),
    [sym_binary_expression] = STATE(743),
    [sym_ternary_expression] = STATE(743),
    [sym_call_expression] = STATE(743),
    [sym_selector_call_expression] = STATE(743),
    [sym_member_expression] = STATE(743),
    [sym_index_expression] = STATE(743),
    [sym_slice_expression] = STATE(743),
    [sym_range_expression] = STATE(743),
    [sym_cast_expression] = STATE(743),
    [sym_in_expression] = STATE(743),
    [sym_variadic_expression] = STATE(743),
    [sym_parenthesized_expression] = STATE(743),
    [sym_or_return_expression] = STATE(743),
    [sym_or_continue_expression] = STATE(743),
    [sym_or_break_expression] = STATE(743),
    [sym_address] = STATE(743),
    [sym_map_type] = STATE(743),
    [sym_matrix_type] = STATE(743),
    [sym_distinct_type] = STATE(743),
    [sym_literal] = STATE(743),
    [sym_struct] = STATE(933),
    [sym_map] = STATE(925),
    [sym_bit_set] = STATE(925),
    [sym_matrix] = STATE(925),
    [sym_string] = STATE(925),
    [sym__string_literal] = STATE(934),
    [sym__raw_string_literal] = STATE(934),
    [sym_character] = STATE(925),
    [sym_boolean] = STATE(925),
    [sym_field_identifier] = STATE(7874),
    [sym_identifier] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(135),
    [anon_sym_QMARK] = ACTIONS(137),
    [anon_sym_PLUS] = ACTIONS(6046),
    [anon_sym_DASH] = ACTIONS(139),
    [anon_sym_TILDE] = ACTIONS(6046),
    [anon_sym_BANG] = ACTIONS(6046),
    [anon_sym_AMP] = ACTIONS(6046),
    [anon_sym_DOT] = ACTIONS(141),
    [anon_sym_LBRACK] = ACTIONS(143),
    [anon_sym_cast] = ACTIONS(145),
    [anon_sym_transmute] = ACTIONS(145),
    [anon_sym_auto_cast] = ACTIONS(147),
    [anon_sym_DOT_DOT] = ACTIONS(6048),
    [anon_sym_map] = ACTIONS(151),
    [anon_sym_bit_set] = ACTIONS(153),
    [anon_sym_matrix] = ACTIONS(155),
    [anon_sym_distinct] = ACTIONS(157),
    [sym_number] = ACTIONS(159),
    [anon_sym_DQUOTE] = ACTIONS(161),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [anon_sym_SQUOTE] = ACTIONS(165),
    [anon_sym_true] = ACTIONS(167),
    [anon_sym_false] = ACTIONS(167),
    [sym_nil] = ACTIONS(169),
    [sym_uninitialized] = ACTIONS(159),
    [sym_tag] = ACTIONS(171),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(159),
    [sym_block_comment] = ACTIONS(3),
  },
  [1604] = {
    [sym_expression] = STATE(5574),
    [sym__expression_no_tag] = STATE(4572),
    [sym_unary_expression] = STATE(4572),
    [sym_binary_expression] = STATE(4572),
    [sym_ternary_expression] = STATE(4572),
    [sym_call_expression] = STATE(4572),
    [sym_selector_call_expression] = STATE(4572),
    [sym_member_expression] = STATE(4572),
    [sym_index_expression] = STATE(4572),
    [sym_slice_expression] = STATE(4572),
    [sym_range_expression] = STATE(4572),
    [sym_cast_expression] = STATE(4572),
    [sym_in_expression] = STATE(4572),
    [sym_variadic_expression] = STATE(4572),
    [sym_parenthesized_expression] = STATE(4572),
    [sym_or_return_expression] = STATE(4572),
    [sym_or_continue_expression] = STATE(4572),
    [sym_or_break_expression] = STATE(4572),
    [sym_address] = STATE(4572),
    [sym_map_type] = STATE(4572),
    [sym_matrix_type] = STATE(4572),
    [sym_distinct_type] = STATE(4572),
    [sym_literal] = STATE(4572),
    [sym_struct] = STATE(4562),
    [sym_map] = STATE(4320),
    [sym_bit_set] = STATE(4320),
    [sym_matrix] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym__string_literal] = STATE(4334),
    [sym__raw_string_literal] = STATE(4334),
    [sym_character] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_field_identifier] = STATE(7845),
    [sym_identifier] = ACTIONS(341),
    [anon_sym_LBRACE] = ACTIONS(943),
    [anon_sym_LPAREN] = ACTIONS(1396),
    [anon_sym_QMARK] = ACTIONS(385),
    [anon_sym_PLUS] = ACTIONS(1400),
    [anon_sym_DASH] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(1400),
    [anon_sym_BANG] = ACTIONS(1400),
    [anon_sym_AMP] = ACTIONS(1400),
    [anon_sym_DOT] = ACTIONS(1402),
    [anon_sym_LBRACK] = ACTIONS(955),
    [anon_sym_cast] = ACTIONS(345),
    [anon_sym_transmute] = ACTIONS(345),
    [anon_sym_auto_cast] = ACTIONS(347),
    [anon_sym_DOT_DOT] = ACTIONS(6073),
    [anon_sym_map] = ACTIONS(351),
    [anon_sym_bit_set] = ACTIONS(353),
    [anon_sym_matrix] = ACTIONS(355),
    [anon_sym_distinct] = ACTIONS(357),
    [sym_number] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(361),
    [anon_sym_BQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [anon_sym_true] = ACTIONS(367),
    [anon_sym_false] = ACTIONS(367),
    [sym_nil] = ACTIONS(369),
    [sym_uninitialized] = ACTIONS(359),
    [sym_tag] = ACTIONS(6100),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(359),
    [sym_block_comment] = ACTIONS(3),
  },
  [1605] = {
    [sym_expression] = STATE(3934),
    [sym__expression_no_tag] = STATE(3826),
    [sym_unary_expression] = STATE(3826),
    [sym_binary_expression] = STATE(3826),
    [sym_ternary_expression] = STATE(3826),
    [sym_call_expression] = STATE(3826),
    [sym_selector_call_expression] = STATE(3826),
    [sym_member_expression] = STATE(3826),
    [sym_index_expression] = STATE(3826),
    [sym_slice_expression] = STATE(3826),
    [sym_range_expression] = STATE(3826),
    [sym_cast_expression] = STATE(3826),
    [sym_in_expression] = STATE(3826),
    [sym_variadic_expression] = STATE(3826),
    [sym_parenthesized_expression] = STATE(3826),
    [sym_or_return_expression] = STATE(3826),
    [sym_or_continue_expression] = STATE(3826),
    [sym_or_break_expression] = STATE(3826),
    [sym_address] = STATE(3826),
    [sym_map_type] = STATE(3826),
    [sym_matrix_type] = STATE(3826),
    [sym_distinct_type] = STATE(3826),
    [sym_literal] = STATE(3826),
    [sym_struct] = STATE(3866),
    [sym_map] = STATE(3787),
    [sym_bit_set] = STATE(3787),
    [sym_matrix] = STATE(3787),
    [sym_string] = STATE(3787),
    [sym__string_literal] = STATE(3867),
    [sym__raw_string_literal] = STATE(3867),
    [sym_character] = STATE(3787),
    [sym_boolean] = STATE(3787),
    [sym_field_identifier] = STATE(7783),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_QMARK] = ACTIONS(657),
    [anon_sym_PLUS] = ACTIONS(27),
    [anon_sym_DASH] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(27),
    [anon_sym_DOT] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_cast] = ACTIONS(35),
    [anon_sym_transmute] = ACTIONS(35),
    [anon_sym_auto_cast] = ACTIONS(37),
    [anon_sym_DOT_DOT] = ACTIONS(39),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(611),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [1606] = {
    [sym_expression] = STATE(4611),
    [sym__expression_no_tag] = STATE(4385),
    [sym_unary_expression] = STATE(4385),
    [sym_binary_expression] = STATE(4385),
    [sym_ternary_expression] = STATE(4385),
    [sym_call_expression] = STATE(4385),
    [sym_selector_call_expression] = STATE(4385),
    [sym_member_expression] = STATE(4385),
    [sym_index_expression] = STATE(4385),
    [sym_slice_expression] = STATE(4385),
    [sym_range_expression] = STATE(4385),
    [sym_cast_expression] = STATE(4385),
    [sym_in_expression] = STATE(4385),
    [sym_variadic_expression] = STATE(4385),
    [sym_parenthesized_expression] = STATE(4385),
    [sym_or_return_expression] = STATE(4385),
    [sym_or_continue_expression] = STATE(4385),
    [sym_or_break_expression] = STATE(4385),
    [sym_address] = STATE(4385),
    [sym_map_type] = STATE(4385),
    [sym_matrix_type] = STATE(4385),
    [sym_distinct_type] = STATE(4385),
    [sym_literal] = STATE(4385),
    [sym_struct] = STATE(4394),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(925),
    [anon_sym_QMARK] = ACTIONS(1240),
    [anon_sym_PLUS] = ACTIONS(929),
    [anon_sym_DASH] = ACTIONS(931),
    [anon_sym_TILDE] = ACTIONS(929),
    [anon_sym_BANG] = ACTIONS(929),
    [anon_sym_AMP] = ACTIONS(929),
    [anon_sym_DOT] = ACTIONS(933),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(935),
    [anon_sym_transmute] = ACTIONS(935),
    [anon_sym_auto_cast] = ACTIONS(937),
    [anon_sym_DOT_DOT] = ACTIONS(4422),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(6060),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1607] = {
    [aux_sym_struct_type_repeat2] = STATE(1390),
    [anon_sym_LBRACE] = ACTIONS(6089),
    [anon_sym_RBRACE] = ACTIONS(4480),
    [anon_sym_COMMA] = ACTIONS(4480),
    [anon_sym_COLON_COLON] = ACTIONS(4480),
    [anon_sym_DASH_GT] = ACTIONS(4480),
    [anon_sym_EQ] = ACTIONS(4482),
    [anon_sym_COLON_EQ] = ACTIONS(4480),
    [anon_sym_COLON] = ACTIONS(4482),
    [anon_sym_LPAREN] = ACTIONS(4480),
    [anon_sym_PLUS_EQ] = ACTIONS(4480),
    [anon_sym_DASH_EQ] = ACTIONS(4480),
    [anon_sym_STAR_EQ] = ACTIONS(4480),
    [anon_sym_SLASH_EQ] = ACTIONS(4480),
    [anon_sym_PERCENT_EQ] = ACTIONS(4480),
    [anon_sym_AMP_EQ] = ACTIONS(4480),
    [anon_sym_PIPE_EQ] = ACTIONS(4480),
    [anon_sym_CARET_EQ] = ACTIONS(4480),
    [anon_sym_LT_LT_EQ] = ACTIONS(4480),
    [anon_sym_GT_GT_EQ] = ACTIONS(4480),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4480),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4480),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4480),
    [anon_sym_if] = ACTIONS(4480),
    [anon_sym_SEMI] = ACTIONS(4480),
    [anon_sym_else] = ACTIONS(4480),
    [anon_sym_when] = ACTIONS(4480),
    [anon_sym_in] = ACTIONS(4480),
    [anon_sym_case] = ACTIONS(4480),
    [anon_sym_QMARK] = ACTIONS(4480),
    [anon_sym_PLUS] = ACTIONS(4482),
    [anon_sym_DASH] = ACTIONS(4482),
    [anon_sym_TILDE] = ACTIONS(4482),
    [anon_sym_AMP] = ACTIONS(4482),
    [anon_sym_PIPE_PIPE] = ACTIONS(4482),
    [anon_sym_or_else] = ACTIONS(4480),
    [anon_sym_AMP_AMP] = ACTIONS(4482),
    [anon_sym_GT] = ACTIONS(4482),
    [anon_sym_GT_EQ] = ACTIONS(4480),
    [anon_sym_LT_EQ] = ACTIONS(4480),
    [anon_sym_LT] = ACTIONS(4482),
    [anon_sym_EQ_EQ] = ACTIONS(4480),
    [anon_sym_BANG_EQ] = ACTIONS(4480),
    [anon_sym_TILDE_EQ] = ACTIONS(4480),
    [anon_sym_PIPE] = ACTIONS(4482),
    [anon_sym_AMP_TILDE] = ACTIONS(4482),
    [anon_sym_LT_LT] = ACTIONS(4482),
    [anon_sym_GT_GT] = ACTIONS(4482),
    [anon_sym_STAR] = ACTIONS(4482),
    [anon_sym_SLASH] = ACTIONS(4482),
    [anon_sym_PERCENT] = ACTIONS(4482),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4480),
    [anon_sym_DOT] = ACTIONS(4482),
    [anon_sym_LBRACK] = ACTIONS(4480),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4480),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4480),
    [anon_sym_not_in] = ACTIONS(4480),
    [anon_sym_or_return] = ACTIONS(4480),
    [anon_sym_or_continue] = ACTIONS(4480),
    [anon_sym_or_break] = ACTIONS(4480),
    [anon_sym_CARET] = ACTIONS(4482),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4480),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1608] = {
    [sym_expression] = STATE(3806),
    [sym__expression_no_tag] = STATE(3826),
    [sym_unary_expression] = STATE(3826),
    [sym_binary_expression] = STATE(3826),
    [sym_ternary_expression] = STATE(3826),
    [sym_call_expression] = STATE(3826),
    [sym_selector_call_expression] = STATE(3826),
    [sym_member_expression] = STATE(3826),
    [sym_index_expression] = STATE(3826),
    [sym_slice_expression] = STATE(3826),
    [sym_range_expression] = STATE(3826),
    [sym_cast_expression] = STATE(3826),
    [sym_in_expression] = STATE(3826),
    [sym_variadic_expression] = STATE(3826),
    [sym_parenthesized_expression] = STATE(3826),
    [sym_or_return_expression] = STATE(3826),
    [sym_or_continue_expression] = STATE(3826),
    [sym_or_break_expression] = STATE(3826),
    [sym_address] = STATE(3826),
    [sym_map_type] = STATE(3826),
    [sym_matrix_type] = STATE(3826),
    [sym_distinct_type] = STATE(3826),
    [sym_literal] = STATE(3826),
    [sym_struct] = STATE(3866),
    [sym_map] = STATE(3787),
    [sym_bit_set] = STATE(3787),
    [sym_matrix] = STATE(3787),
    [sym_string] = STATE(3787),
    [sym__string_literal] = STATE(3867),
    [sym__raw_string_literal] = STATE(3867),
    [sym_character] = STATE(3787),
    [sym_boolean] = STATE(3787),
    [sym_field_identifier] = STATE(7783),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_QMARK] = ACTIONS(657),
    [anon_sym_PLUS] = ACTIONS(27),
    [anon_sym_DASH] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(27),
    [anon_sym_DOT] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_cast] = ACTIONS(35),
    [anon_sym_transmute] = ACTIONS(35),
    [anon_sym_auto_cast] = ACTIONS(37),
    [anon_sym_DOT_DOT] = ACTIONS(39),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(611),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [1609] = {
    [sym_expression] = STATE(2080),
    [sym__expression_no_tag] = STATE(2219),
    [sym_unary_expression] = STATE(2219),
    [sym_binary_expression] = STATE(2219),
    [sym_ternary_expression] = STATE(2219),
    [sym_call_expression] = STATE(2219),
    [sym_selector_call_expression] = STATE(2219),
    [sym_member_expression] = STATE(2219),
    [sym_index_expression] = STATE(2219),
    [sym_slice_expression] = STATE(2219),
    [sym_range_expression] = STATE(2219),
    [sym_cast_expression] = STATE(2219),
    [sym_in_expression] = STATE(2219),
    [sym_variadic_expression] = STATE(2219),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_or_return_expression] = STATE(2219),
    [sym_or_continue_expression] = STATE(2219),
    [sym_or_break_expression] = STATE(2219),
    [sym_address] = STATE(2219),
    [sym_map_type] = STATE(2219),
    [sym_matrix_type] = STATE(2219),
    [sym_distinct_type] = STATE(2219),
    [sym_literal] = STATE(2219),
    [sym_struct] = STATE(2056),
    [sym_map] = STATE(2054),
    [sym_bit_set] = STATE(2054),
    [sym_matrix] = STATE(2054),
    [sym_string] = STATE(2054),
    [sym__string_literal] = STATE(2057),
    [sym__raw_string_literal] = STATE(2057),
    [sym_character] = STATE(2054),
    [sym_boolean] = STATE(2054),
    [sym_field_identifier] = STATE(7869),
    [sym_identifier] = ACTIONS(207),
    [anon_sym_LBRACE] = ACTIONS(237),
    [anon_sym_LPAREN] = ACTIONS(239),
    [anon_sym_QMARK] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(6042),
    [anon_sym_DASH] = ACTIONS(209),
    [anon_sym_TILDE] = ACTIONS(6042),
    [anon_sym_BANG] = ACTIONS(6042),
    [anon_sym_AMP] = ACTIONS(6042),
    [anon_sym_DOT] = ACTIONS(243),
    [anon_sym_LBRACK] = ACTIONS(245),
    [anon_sym_cast] = ACTIONS(211),
    [anon_sym_transmute] = ACTIONS(211),
    [anon_sym_auto_cast] = ACTIONS(213),
    [anon_sym_DOT_DOT] = ACTIONS(6044),
    [anon_sym_map] = ACTIONS(217),
    [anon_sym_bit_set] = ACTIONS(219),
    [anon_sym_matrix] = ACTIONS(221),
    [anon_sym_distinct] = ACTIONS(223),
    [sym_number] = ACTIONS(225),
    [anon_sym_DQUOTE] = ACTIONS(227),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_SQUOTE] = ACTIONS(231),
    [anon_sym_true] = ACTIONS(233),
    [anon_sym_false] = ACTIONS(233),
    [sym_nil] = ACTIONS(235),
    [sym_uninitialized] = ACTIONS(225),
    [sym_tag] = ACTIONS(247),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(225),
    [sym_block_comment] = ACTIONS(3),
  },
  [1610] = {
    [sym_expression] = STATE(5518),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1611] = {
    [sym_expression] = STATE(5754),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1612] = {
    [sym_expression] = STATE(5521),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1613] = {
    [sym_expression] = STATE(5522),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1614] = {
    [sym_expression] = STATE(1087),
    [sym__expression_no_tag] = STATE(743),
    [sym_unary_expression] = STATE(743),
    [sym_binary_expression] = STATE(743),
    [sym_ternary_expression] = STATE(743),
    [sym_call_expression] = STATE(743),
    [sym_selector_call_expression] = STATE(743),
    [sym_member_expression] = STATE(743),
    [sym_index_expression] = STATE(743),
    [sym_slice_expression] = STATE(743),
    [sym_range_expression] = STATE(743),
    [sym_cast_expression] = STATE(743),
    [sym_in_expression] = STATE(743),
    [sym_variadic_expression] = STATE(743),
    [sym_parenthesized_expression] = STATE(743),
    [sym_or_return_expression] = STATE(743),
    [sym_or_continue_expression] = STATE(743),
    [sym_or_break_expression] = STATE(743),
    [sym_address] = STATE(743),
    [sym_map_type] = STATE(743),
    [sym_matrix_type] = STATE(743),
    [sym_distinct_type] = STATE(743),
    [sym_literal] = STATE(743),
    [sym_struct] = STATE(933),
    [sym_map] = STATE(925),
    [sym_bit_set] = STATE(925),
    [sym_matrix] = STATE(925),
    [sym_string] = STATE(925),
    [sym__string_literal] = STATE(934),
    [sym__raw_string_literal] = STATE(934),
    [sym_character] = STATE(925),
    [sym_boolean] = STATE(925),
    [sym_field_identifier] = STATE(7874),
    [sym_identifier] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(135),
    [anon_sym_QMARK] = ACTIONS(137),
    [anon_sym_PLUS] = ACTIONS(6046),
    [anon_sym_DASH] = ACTIONS(139),
    [anon_sym_TILDE] = ACTIONS(6046),
    [anon_sym_BANG] = ACTIONS(6046),
    [anon_sym_AMP] = ACTIONS(6046),
    [anon_sym_DOT] = ACTIONS(141),
    [anon_sym_LBRACK] = ACTIONS(143),
    [anon_sym_cast] = ACTIONS(145),
    [anon_sym_transmute] = ACTIONS(145),
    [anon_sym_auto_cast] = ACTIONS(147),
    [anon_sym_DOT_DOT] = ACTIONS(6048),
    [anon_sym_map] = ACTIONS(151),
    [anon_sym_bit_set] = ACTIONS(153),
    [anon_sym_matrix] = ACTIONS(155),
    [anon_sym_distinct] = ACTIONS(157),
    [sym_number] = ACTIONS(159),
    [anon_sym_DQUOTE] = ACTIONS(161),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [anon_sym_SQUOTE] = ACTIONS(165),
    [anon_sym_true] = ACTIONS(167),
    [anon_sym_false] = ACTIONS(167),
    [sym_nil] = ACTIONS(169),
    [sym_uninitialized] = ACTIONS(159),
    [sym_tag] = ACTIONS(171),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(159),
    [sym_block_comment] = ACTIONS(3),
  },
  [1615] = {
    [sym_expression] = STATE(1088),
    [sym__expression_no_tag] = STATE(743),
    [sym_unary_expression] = STATE(743),
    [sym_binary_expression] = STATE(743),
    [sym_ternary_expression] = STATE(743),
    [sym_call_expression] = STATE(743),
    [sym_selector_call_expression] = STATE(743),
    [sym_member_expression] = STATE(743),
    [sym_index_expression] = STATE(743),
    [sym_slice_expression] = STATE(743),
    [sym_range_expression] = STATE(743),
    [sym_cast_expression] = STATE(743),
    [sym_in_expression] = STATE(743),
    [sym_variadic_expression] = STATE(743),
    [sym_parenthesized_expression] = STATE(743),
    [sym_or_return_expression] = STATE(743),
    [sym_or_continue_expression] = STATE(743),
    [sym_or_break_expression] = STATE(743),
    [sym_address] = STATE(743),
    [sym_map_type] = STATE(743),
    [sym_matrix_type] = STATE(743),
    [sym_distinct_type] = STATE(743),
    [sym_literal] = STATE(743),
    [sym_struct] = STATE(933),
    [sym_map] = STATE(925),
    [sym_bit_set] = STATE(925),
    [sym_matrix] = STATE(925),
    [sym_string] = STATE(925),
    [sym__string_literal] = STATE(934),
    [sym__raw_string_literal] = STATE(934),
    [sym_character] = STATE(925),
    [sym_boolean] = STATE(925),
    [sym_field_identifier] = STATE(7874),
    [sym_identifier] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(135),
    [anon_sym_QMARK] = ACTIONS(137),
    [anon_sym_PLUS] = ACTIONS(6046),
    [anon_sym_DASH] = ACTIONS(139),
    [anon_sym_TILDE] = ACTIONS(6046),
    [anon_sym_BANG] = ACTIONS(6046),
    [anon_sym_AMP] = ACTIONS(6046),
    [anon_sym_DOT] = ACTIONS(141),
    [anon_sym_LBRACK] = ACTIONS(143),
    [anon_sym_cast] = ACTIONS(145),
    [anon_sym_transmute] = ACTIONS(145),
    [anon_sym_auto_cast] = ACTIONS(147),
    [anon_sym_DOT_DOT] = ACTIONS(6048),
    [anon_sym_map] = ACTIONS(151),
    [anon_sym_bit_set] = ACTIONS(153),
    [anon_sym_matrix] = ACTIONS(155),
    [anon_sym_distinct] = ACTIONS(157),
    [sym_number] = ACTIONS(159),
    [anon_sym_DQUOTE] = ACTIONS(161),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [anon_sym_SQUOTE] = ACTIONS(165),
    [anon_sym_true] = ACTIONS(167),
    [anon_sym_false] = ACTIONS(167),
    [sym_nil] = ACTIONS(169),
    [sym_uninitialized] = ACTIONS(159),
    [sym_tag] = ACTIONS(171),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(159),
    [sym_block_comment] = ACTIONS(3),
  },
  [1616] = {
    [sym_expression] = STATE(2093),
    [sym__expression_no_tag] = STATE(2219),
    [sym_unary_expression] = STATE(2219),
    [sym_binary_expression] = STATE(2219),
    [sym_ternary_expression] = STATE(2219),
    [sym_call_expression] = STATE(2219),
    [sym_selector_call_expression] = STATE(2219),
    [sym_member_expression] = STATE(2219),
    [sym_index_expression] = STATE(2219),
    [sym_slice_expression] = STATE(2219),
    [sym_range_expression] = STATE(2219),
    [sym_cast_expression] = STATE(2219),
    [sym_in_expression] = STATE(2219),
    [sym_variadic_expression] = STATE(2219),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_or_return_expression] = STATE(2219),
    [sym_or_continue_expression] = STATE(2219),
    [sym_or_break_expression] = STATE(2219),
    [sym_address] = STATE(2219),
    [sym_map_type] = STATE(2219),
    [sym_matrix_type] = STATE(2219),
    [sym_distinct_type] = STATE(2219),
    [sym_literal] = STATE(2219),
    [sym_struct] = STATE(2056),
    [sym_map] = STATE(2054),
    [sym_bit_set] = STATE(2054),
    [sym_matrix] = STATE(2054),
    [sym_string] = STATE(2054),
    [sym__string_literal] = STATE(2057),
    [sym__raw_string_literal] = STATE(2057),
    [sym_character] = STATE(2054),
    [sym_boolean] = STATE(2054),
    [sym_field_identifier] = STATE(7869),
    [sym_identifier] = ACTIONS(207),
    [anon_sym_LBRACE] = ACTIONS(237),
    [anon_sym_LPAREN] = ACTIONS(239),
    [anon_sym_QMARK] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(6042),
    [anon_sym_DASH] = ACTIONS(209),
    [anon_sym_TILDE] = ACTIONS(6042),
    [anon_sym_BANG] = ACTIONS(6042),
    [anon_sym_AMP] = ACTIONS(6042),
    [anon_sym_DOT] = ACTIONS(243),
    [anon_sym_LBRACK] = ACTIONS(245),
    [anon_sym_cast] = ACTIONS(211),
    [anon_sym_transmute] = ACTIONS(211),
    [anon_sym_auto_cast] = ACTIONS(213),
    [anon_sym_DOT_DOT] = ACTIONS(6044),
    [anon_sym_map] = ACTIONS(217),
    [anon_sym_bit_set] = ACTIONS(219),
    [anon_sym_matrix] = ACTIONS(221),
    [anon_sym_distinct] = ACTIONS(223),
    [sym_number] = ACTIONS(225),
    [anon_sym_DQUOTE] = ACTIONS(227),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_SQUOTE] = ACTIONS(231),
    [anon_sym_true] = ACTIONS(233),
    [anon_sym_false] = ACTIONS(233),
    [sym_nil] = ACTIONS(235),
    [sym_uninitialized] = ACTIONS(225),
    [sym_tag] = ACTIONS(247),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(225),
    [sym_block_comment] = ACTIONS(3),
  },
  [1617] = {
    [sym_expression] = STATE(5628),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1618] = {
    [sym_block] = STATE(2185),
    [anon_sym_LBRACE] = ACTIONS(5879),
    [anon_sym_COMMA] = ACTIONS(3299),
    [anon_sym_COLON_COLON] = ACTIONS(3299),
    [anon_sym_DASH_GT] = ACTIONS(3299),
    [anon_sym_where] = ACTIONS(3299),
    [anon_sym_EQ] = ACTIONS(3303),
    [anon_sym_COLON_EQ] = ACTIONS(3299),
    [anon_sym_COLON] = ACTIONS(3303),
    [anon_sym_LPAREN] = ACTIONS(3299),
    [anon_sym_PLUS_EQ] = ACTIONS(3299),
    [anon_sym_DASH_EQ] = ACTIONS(3299),
    [anon_sym_STAR_EQ] = ACTIONS(3299),
    [anon_sym_SLASH_EQ] = ACTIONS(3299),
    [anon_sym_PERCENT_EQ] = ACTIONS(3299),
    [anon_sym_AMP_EQ] = ACTIONS(3299),
    [anon_sym_PIPE_EQ] = ACTIONS(3299),
    [anon_sym_CARET_EQ] = ACTIONS(3299),
    [anon_sym_LT_LT_EQ] = ACTIONS(3299),
    [anon_sym_GT_GT_EQ] = ACTIONS(3299),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3299),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3299),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(3299),
    [anon_sym_if] = ACTIONS(3299),
    [anon_sym_SEMI] = ACTIONS(3299),
    [anon_sym_do] = ACTIONS(3299),
    [anon_sym_when] = ACTIONS(3299),
    [anon_sym_in] = ACTIONS(3299),
    [anon_sym_QMARK] = ACTIONS(3299),
    [anon_sym_PLUS] = ACTIONS(3303),
    [anon_sym_DASH] = ACTIONS(3303),
    [anon_sym_TILDE] = ACTIONS(3303),
    [anon_sym_AMP] = ACTIONS(3303),
    [anon_sym_PIPE_PIPE] = ACTIONS(3303),
    [anon_sym_or_else] = ACTIONS(3299),
    [anon_sym_AMP_AMP] = ACTIONS(3303),
    [anon_sym_GT] = ACTIONS(3303),
    [anon_sym_GT_EQ] = ACTIONS(3299),
    [anon_sym_LT_EQ] = ACTIONS(3299),
    [anon_sym_LT] = ACTIONS(3303),
    [anon_sym_EQ_EQ] = ACTIONS(3299),
    [anon_sym_BANG_EQ] = ACTIONS(3299),
    [anon_sym_TILDE_EQ] = ACTIONS(3299),
    [anon_sym_PIPE] = ACTIONS(3303),
    [anon_sym_AMP_TILDE] = ACTIONS(3303),
    [anon_sym_LT_LT] = ACTIONS(3303),
    [anon_sym_GT_GT] = ACTIONS(3303),
    [anon_sym_STAR] = ACTIONS(3303),
    [anon_sym_SLASH] = ACTIONS(3303),
    [anon_sym_PERCENT] = ACTIONS(3303),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(3299),
    [anon_sym_DOT] = ACTIONS(3303),
    [anon_sym_LBRACK] = ACTIONS(3299),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(3299),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3299),
    [anon_sym_not_in] = ACTIONS(3299),
    [anon_sym_or_return] = ACTIONS(3299),
    [anon_sym_or_continue] = ACTIONS(3299),
    [anon_sym_or_break] = ACTIONS(3299),
    [anon_sym_CARET] = ACTIONS(3303),
    [sym_uninitialized] = ACTIONS(5891),
    [sym_tag] = ACTIONS(3299),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1619] = {
    [sym_block] = STATE(2185),
    [anon_sym_LBRACE] = ACTIONS(5879),
    [anon_sym_COMMA] = ACTIONS(3299),
    [anon_sym_COLON_COLON] = ACTIONS(3299),
    [anon_sym_DASH_GT] = ACTIONS(3299),
    [anon_sym_where] = ACTIONS(3299),
    [anon_sym_EQ] = ACTIONS(3303),
    [anon_sym_COLON_EQ] = ACTIONS(3299),
    [anon_sym_COLON] = ACTIONS(3303),
    [anon_sym_LPAREN] = ACTIONS(3299),
    [anon_sym_PLUS_EQ] = ACTIONS(3299),
    [anon_sym_DASH_EQ] = ACTIONS(3299),
    [anon_sym_STAR_EQ] = ACTIONS(3299),
    [anon_sym_SLASH_EQ] = ACTIONS(3299),
    [anon_sym_PERCENT_EQ] = ACTIONS(3299),
    [anon_sym_AMP_EQ] = ACTIONS(3299),
    [anon_sym_PIPE_EQ] = ACTIONS(3299),
    [anon_sym_CARET_EQ] = ACTIONS(3299),
    [anon_sym_LT_LT_EQ] = ACTIONS(3299),
    [anon_sym_GT_GT_EQ] = ACTIONS(3299),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3299),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3299),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(3299),
    [anon_sym_if] = ACTIONS(3299),
    [anon_sym_SEMI] = ACTIONS(3299),
    [anon_sym_do] = ACTIONS(3299),
    [anon_sym_when] = ACTIONS(3299),
    [anon_sym_in] = ACTIONS(3299),
    [anon_sym_QMARK] = ACTIONS(3299),
    [anon_sym_PLUS] = ACTIONS(3303),
    [anon_sym_DASH] = ACTIONS(3303),
    [anon_sym_TILDE] = ACTIONS(3303),
    [anon_sym_AMP] = ACTIONS(3303),
    [anon_sym_PIPE_PIPE] = ACTIONS(3303),
    [anon_sym_or_else] = ACTIONS(3299),
    [anon_sym_AMP_AMP] = ACTIONS(3303),
    [anon_sym_GT] = ACTIONS(3303),
    [anon_sym_GT_EQ] = ACTIONS(3299),
    [anon_sym_LT_EQ] = ACTIONS(3299),
    [anon_sym_LT] = ACTIONS(3303),
    [anon_sym_EQ_EQ] = ACTIONS(3299),
    [anon_sym_BANG_EQ] = ACTIONS(3299),
    [anon_sym_TILDE_EQ] = ACTIONS(3299),
    [anon_sym_PIPE] = ACTIONS(3303),
    [anon_sym_AMP_TILDE] = ACTIONS(3303),
    [anon_sym_LT_LT] = ACTIONS(3303),
    [anon_sym_GT_GT] = ACTIONS(3303),
    [anon_sym_STAR] = ACTIONS(3303),
    [anon_sym_SLASH] = ACTIONS(3303),
    [anon_sym_PERCENT] = ACTIONS(3303),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(3299),
    [anon_sym_DOT] = ACTIONS(3303),
    [anon_sym_LBRACK] = ACTIONS(3299),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(3299),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3299),
    [anon_sym_not_in] = ACTIONS(3299),
    [anon_sym_or_return] = ACTIONS(3299),
    [anon_sym_or_continue] = ACTIONS(3299),
    [anon_sym_or_break] = ACTIONS(3299),
    [anon_sym_CARET] = ACTIONS(3303),
    [sym_uninitialized] = ACTIONS(5891),
    [sym_tag] = ACTIONS(5893),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1620] = {
    [sym_block] = STATE(2192),
    [anon_sym_LBRACE] = ACTIONS(5879),
    [anon_sym_COMMA] = ACTIONS(3269),
    [anon_sym_COLON_COLON] = ACTIONS(3269),
    [anon_sym_DASH_GT] = ACTIONS(3269),
    [anon_sym_where] = ACTIONS(3269),
    [anon_sym_EQ] = ACTIONS(3273),
    [anon_sym_COLON_EQ] = ACTIONS(3269),
    [anon_sym_COLON] = ACTIONS(3273),
    [anon_sym_LPAREN] = ACTIONS(3269),
    [anon_sym_PLUS_EQ] = ACTIONS(3269),
    [anon_sym_DASH_EQ] = ACTIONS(3269),
    [anon_sym_STAR_EQ] = ACTIONS(3269),
    [anon_sym_SLASH_EQ] = ACTIONS(3269),
    [anon_sym_PERCENT_EQ] = ACTIONS(3269),
    [anon_sym_AMP_EQ] = ACTIONS(3269),
    [anon_sym_PIPE_EQ] = ACTIONS(3269),
    [anon_sym_CARET_EQ] = ACTIONS(3269),
    [anon_sym_LT_LT_EQ] = ACTIONS(3269),
    [anon_sym_GT_GT_EQ] = ACTIONS(3269),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3269),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3269),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(3269),
    [anon_sym_if] = ACTIONS(3269),
    [anon_sym_SEMI] = ACTIONS(3269),
    [anon_sym_do] = ACTIONS(3269),
    [anon_sym_when] = ACTIONS(3269),
    [anon_sym_in] = ACTIONS(3269),
    [anon_sym_QMARK] = ACTIONS(3269),
    [anon_sym_PLUS] = ACTIONS(3273),
    [anon_sym_DASH] = ACTIONS(3273),
    [anon_sym_TILDE] = ACTIONS(3273),
    [anon_sym_AMP] = ACTIONS(3273),
    [anon_sym_PIPE_PIPE] = ACTIONS(3273),
    [anon_sym_or_else] = ACTIONS(3269),
    [anon_sym_AMP_AMP] = ACTIONS(3273),
    [anon_sym_GT] = ACTIONS(3273),
    [anon_sym_GT_EQ] = ACTIONS(3269),
    [anon_sym_LT_EQ] = ACTIONS(3269),
    [anon_sym_LT] = ACTIONS(3273),
    [anon_sym_EQ_EQ] = ACTIONS(3269),
    [anon_sym_BANG_EQ] = ACTIONS(3269),
    [anon_sym_TILDE_EQ] = ACTIONS(3269),
    [anon_sym_PIPE] = ACTIONS(3273),
    [anon_sym_AMP_TILDE] = ACTIONS(3273),
    [anon_sym_LT_LT] = ACTIONS(3273),
    [anon_sym_GT_GT] = ACTIONS(3273),
    [anon_sym_STAR] = ACTIONS(3273),
    [anon_sym_SLASH] = ACTIONS(3273),
    [anon_sym_PERCENT] = ACTIONS(3273),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(3269),
    [anon_sym_DOT] = ACTIONS(3273),
    [anon_sym_LBRACK] = ACTIONS(3269),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(3269),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3269),
    [anon_sym_not_in] = ACTIONS(3269),
    [anon_sym_or_return] = ACTIONS(3269),
    [anon_sym_or_continue] = ACTIONS(3269),
    [anon_sym_or_break] = ACTIONS(3269),
    [anon_sym_CARET] = ACTIONS(3273),
    [sym_uninitialized] = ACTIONS(5899),
    [sym_tag] = ACTIONS(3269),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1621] = {
    [sym_block] = STATE(2192),
    [anon_sym_LBRACE] = ACTIONS(5879),
    [anon_sym_COMMA] = ACTIONS(3269),
    [anon_sym_COLON_COLON] = ACTIONS(3269),
    [anon_sym_DASH_GT] = ACTIONS(3269),
    [anon_sym_where] = ACTIONS(3269),
    [anon_sym_EQ] = ACTIONS(3273),
    [anon_sym_COLON_EQ] = ACTIONS(3269),
    [anon_sym_COLON] = ACTIONS(3273),
    [anon_sym_LPAREN] = ACTIONS(3269),
    [anon_sym_PLUS_EQ] = ACTIONS(3269),
    [anon_sym_DASH_EQ] = ACTIONS(3269),
    [anon_sym_STAR_EQ] = ACTIONS(3269),
    [anon_sym_SLASH_EQ] = ACTIONS(3269),
    [anon_sym_PERCENT_EQ] = ACTIONS(3269),
    [anon_sym_AMP_EQ] = ACTIONS(3269),
    [anon_sym_PIPE_EQ] = ACTIONS(3269),
    [anon_sym_CARET_EQ] = ACTIONS(3269),
    [anon_sym_LT_LT_EQ] = ACTIONS(3269),
    [anon_sym_GT_GT_EQ] = ACTIONS(3269),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3269),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3269),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(3269),
    [anon_sym_if] = ACTIONS(3269),
    [anon_sym_SEMI] = ACTIONS(3269),
    [anon_sym_do] = ACTIONS(3269),
    [anon_sym_when] = ACTIONS(3269),
    [anon_sym_in] = ACTIONS(3269),
    [anon_sym_QMARK] = ACTIONS(3269),
    [anon_sym_PLUS] = ACTIONS(3273),
    [anon_sym_DASH] = ACTIONS(3273),
    [anon_sym_TILDE] = ACTIONS(3273),
    [anon_sym_AMP] = ACTIONS(3273),
    [anon_sym_PIPE_PIPE] = ACTIONS(3273),
    [anon_sym_or_else] = ACTIONS(3269),
    [anon_sym_AMP_AMP] = ACTIONS(3273),
    [anon_sym_GT] = ACTIONS(3273),
    [anon_sym_GT_EQ] = ACTIONS(3269),
    [anon_sym_LT_EQ] = ACTIONS(3269),
    [anon_sym_LT] = ACTIONS(3273),
    [anon_sym_EQ_EQ] = ACTIONS(3269),
    [anon_sym_BANG_EQ] = ACTIONS(3269),
    [anon_sym_TILDE_EQ] = ACTIONS(3269),
    [anon_sym_PIPE] = ACTIONS(3273),
    [anon_sym_AMP_TILDE] = ACTIONS(3273),
    [anon_sym_LT_LT] = ACTIONS(3273),
    [anon_sym_GT_GT] = ACTIONS(3273),
    [anon_sym_STAR] = ACTIONS(3273),
    [anon_sym_SLASH] = ACTIONS(3273),
    [anon_sym_PERCENT] = ACTIONS(3273),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(3269),
    [anon_sym_DOT] = ACTIONS(3273),
    [anon_sym_LBRACK] = ACTIONS(3269),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(3269),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3269),
    [anon_sym_not_in] = ACTIONS(3269),
    [anon_sym_or_return] = ACTIONS(3269),
    [anon_sym_or_continue] = ACTIONS(3269),
    [anon_sym_or_break] = ACTIONS(3269),
    [anon_sym_CARET] = ACTIONS(3273),
    [sym_uninitialized] = ACTIONS(5899),
    [sym_tag] = ACTIONS(6102),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1622] = {
    [sym_expression] = STATE(5524),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1623] = {
    [sym_expression] = STATE(1089),
    [sym__expression_no_tag] = STATE(743),
    [sym_unary_expression] = STATE(743),
    [sym_binary_expression] = STATE(743),
    [sym_ternary_expression] = STATE(743),
    [sym_call_expression] = STATE(743),
    [sym_selector_call_expression] = STATE(743),
    [sym_member_expression] = STATE(743),
    [sym_index_expression] = STATE(743),
    [sym_slice_expression] = STATE(743),
    [sym_range_expression] = STATE(743),
    [sym_cast_expression] = STATE(743),
    [sym_in_expression] = STATE(743),
    [sym_variadic_expression] = STATE(743),
    [sym_parenthesized_expression] = STATE(743),
    [sym_or_return_expression] = STATE(743),
    [sym_or_continue_expression] = STATE(743),
    [sym_or_break_expression] = STATE(743),
    [sym_address] = STATE(743),
    [sym_map_type] = STATE(743),
    [sym_matrix_type] = STATE(743),
    [sym_distinct_type] = STATE(743),
    [sym_literal] = STATE(743),
    [sym_struct] = STATE(933),
    [sym_map] = STATE(925),
    [sym_bit_set] = STATE(925),
    [sym_matrix] = STATE(925),
    [sym_string] = STATE(925),
    [sym__string_literal] = STATE(934),
    [sym__raw_string_literal] = STATE(934),
    [sym_character] = STATE(925),
    [sym_boolean] = STATE(925),
    [sym_field_identifier] = STATE(7874),
    [sym_identifier] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(135),
    [anon_sym_QMARK] = ACTIONS(137),
    [anon_sym_PLUS] = ACTIONS(6046),
    [anon_sym_DASH] = ACTIONS(139),
    [anon_sym_TILDE] = ACTIONS(6046),
    [anon_sym_BANG] = ACTIONS(6046),
    [anon_sym_AMP] = ACTIONS(6046),
    [anon_sym_DOT] = ACTIONS(141),
    [anon_sym_LBRACK] = ACTIONS(143),
    [anon_sym_cast] = ACTIONS(145),
    [anon_sym_transmute] = ACTIONS(145),
    [anon_sym_auto_cast] = ACTIONS(147),
    [anon_sym_DOT_DOT] = ACTIONS(6048),
    [anon_sym_map] = ACTIONS(151),
    [anon_sym_bit_set] = ACTIONS(153),
    [anon_sym_matrix] = ACTIONS(155),
    [anon_sym_distinct] = ACTIONS(157),
    [sym_number] = ACTIONS(159),
    [anon_sym_DQUOTE] = ACTIONS(161),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [anon_sym_SQUOTE] = ACTIONS(165),
    [anon_sym_true] = ACTIONS(167),
    [anon_sym_false] = ACTIONS(167),
    [sym_nil] = ACTIONS(169),
    [sym_uninitialized] = ACTIONS(159),
    [sym_tag] = ACTIONS(171),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(159),
    [sym_block_comment] = ACTIONS(3),
  },
  [1624] = {
    [sym_expression] = STATE(1090),
    [sym__expression_no_tag] = STATE(743),
    [sym_unary_expression] = STATE(743),
    [sym_binary_expression] = STATE(743),
    [sym_ternary_expression] = STATE(743),
    [sym_call_expression] = STATE(743),
    [sym_selector_call_expression] = STATE(743),
    [sym_member_expression] = STATE(743),
    [sym_index_expression] = STATE(743),
    [sym_slice_expression] = STATE(743),
    [sym_range_expression] = STATE(743),
    [sym_cast_expression] = STATE(743),
    [sym_in_expression] = STATE(743),
    [sym_variadic_expression] = STATE(743),
    [sym_parenthesized_expression] = STATE(743),
    [sym_or_return_expression] = STATE(743),
    [sym_or_continue_expression] = STATE(743),
    [sym_or_break_expression] = STATE(743),
    [sym_address] = STATE(743),
    [sym_map_type] = STATE(743),
    [sym_matrix_type] = STATE(743),
    [sym_distinct_type] = STATE(743),
    [sym_literal] = STATE(743),
    [sym_struct] = STATE(933),
    [sym_map] = STATE(925),
    [sym_bit_set] = STATE(925),
    [sym_matrix] = STATE(925),
    [sym_string] = STATE(925),
    [sym__string_literal] = STATE(934),
    [sym__raw_string_literal] = STATE(934),
    [sym_character] = STATE(925),
    [sym_boolean] = STATE(925),
    [sym_field_identifier] = STATE(7874),
    [sym_identifier] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(135),
    [anon_sym_QMARK] = ACTIONS(137),
    [anon_sym_PLUS] = ACTIONS(6046),
    [anon_sym_DASH] = ACTIONS(139),
    [anon_sym_TILDE] = ACTIONS(6046),
    [anon_sym_BANG] = ACTIONS(6046),
    [anon_sym_AMP] = ACTIONS(6046),
    [anon_sym_DOT] = ACTIONS(141),
    [anon_sym_LBRACK] = ACTIONS(143),
    [anon_sym_cast] = ACTIONS(145),
    [anon_sym_transmute] = ACTIONS(145),
    [anon_sym_auto_cast] = ACTIONS(147),
    [anon_sym_DOT_DOT] = ACTIONS(6048),
    [anon_sym_map] = ACTIONS(151),
    [anon_sym_bit_set] = ACTIONS(153),
    [anon_sym_matrix] = ACTIONS(155),
    [anon_sym_distinct] = ACTIONS(157),
    [sym_number] = ACTIONS(159),
    [anon_sym_DQUOTE] = ACTIONS(161),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [anon_sym_SQUOTE] = ACTIONS(165),
    [anon_sym_true] = ACTIONS(167),
    [anon_sym_false] = ACTIONS(167),
    [sym_nil] = ACTIONS(169),
    [sym_uninitialized] = ACTIONS(159),
    [sym_tag] = ACTIONS(171),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(159),
    [sym_block_comment] = ACTIONS(3),
  },
  [1625] = {
    [sym_expression] = STATE(3147),
    [sym__expression_no_tag] = STATE(2689),
    [sym_unary_expression] = STATE(2689),
    [sym_binary_expression] = STATE(2689),
    [sym_ternary_expression] = STATE(2689),
    [sym_call_expression] = STATE(2689),
    [sym_selector_call_expression] = STATE(2689),
    [sym_member_expression] = STATE(2689),
    [sym_index_expression] = STATE(2689),
    [sym_slice_expression] = STATE(2689),
    [sym_range_expression] = STATE(2689),
    [sym_cast_expression] = STATE(2689),
    [sym_in_expression] = STATE(2689),
    [sym_variadic_expression] = STATE(2689),
    [sym_parenthesized_expression] = STATE(2689),
    [sym_or_return_expression] = STATE(2689),
    [sym_or_continue_expression] = STATE(2689),
    [sym_or_break_expression] = STATE(2689),
    [sym_address] = STATE(2689),
    [sym_map_type] = STATE(2689),
    [sym_matrix_type] = STATE(2689),
    [sym_distinct_type] = STATE(2689),
    [sym_literal] = STATE(2689),
    [sym_struct] = STATE(3145),
    [sym_map] = STATE(2871),
    [sym_bit_set] = STATE(2871),
    [sym_matrix] = STATE(2871),
    [sym_string] = STATE(2871),
    [sym__string_literal] = STATE(2874),
    [sym__raw_string_literal] = STATE(2874),
    [sym_character] = STATE(2871),
    [sym_boolean] = STATE(2871),
    [sym_field_identifier] = STATE(7825),
    [sym_identifier] = ACTIONS(493),
    [anon_sym_LBRACE] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_QMARK] = ACTIONS(529),
    [anon_sym_PLUS] = ACTIONS(531),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(531),
    [anon_sym_AMP] = ACTIONS(531),
    [anon_sym_DOT] = ACTIONS(533),
    [anon_sym_LBRACK] = ACTIONS(535),
    [anon_sym_cast] = ACTIONS(497),
    [anon_sym_transmute] = ACTIONS(497),
    [anon_sym_auto_cast] = ACTIONS(499),
    [anon_sym_DOT_DOT] = ACTIONS(6104),
    [anon_sym_map] = ACTIONS(503),
    [anon_sym_bit_set] = ACTIONS(505),
    [anon_sym_matrix] = ACTIONS(507),
    [anon_sym_distinct] = ACTIONS(509),
    [sym_number] = ACTIONS(511),
    [anon_sym_DQUOTE] = ACTIONS(513),
    [anon_sym_BQUOTE] = ACTIONS(515),
    [anon_sym_SQUOTE] = ACTIONS(517),
    [anon_sym_true] = ACTIONS(519),
    [anon_sym_false] = ACTIONS(519),
    [sym_nil] = ACTIONS(521),
    [sym_uninitialized] = ACTIONS(511),
    [sym_tag] = ACTIONS(537),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(511),
    [sym_block_comment] = ACTIONS(3),
  },
  [1626] = {
    [sym_expression] = STATE(2876),
    [sym__expression_no_tag] = STATE(2689),
    [sym_unary_expression] = STATE(2689),
    [sym_binary_expression] = STATE(2689),
    [sym_ternary_expression] = STATE(2689),
    [sym_call_expression] = STATE(2689),
    [sym_selector_call_expression] = STATE(2689),
    [sym_member_expression] = STATE(2689),
    [sym_index_expression] = STATE(2689),
    [sym_slice_expression] = STATE(2689),
    [sym_range_expression] = STATE(2689),
    [sym_cast_expression] = STATE(2689),
    [sym_in_expression] = STATE(2689),
    [sym_variadic_expression] = STATE(2689),
    [sym_parenthesized_expression] = STATE(2689),
    [sym_or_return_expression] = STATE(2689),
    [sym_or_continue_expression] = STATE(2689),
    [sym_or_break_expression] = STATE(2689),
    [sym_address] = STATE(2689),
    [sym_map_type] = STATE(2689),
    [sym_matrix_type] = STATE(2689),
    [sym_distinct_type] = STATE(2689),
    [sym_literal] = STATE(2689),
    [sym_struct] = STATE(3145),
    [sym_map] = STATE(2871),
    [sym_bit_set] = STATE(2871),
    [sym_matrix] = STATE(2871),
    [sym_string] = STATE(2871),
    [sym__string_literal] = STATE(2874),
    [sym__raw_string_literal] = STATE(2874),
    [sym_character] = STATE(2871),
    [sym_boolean] = STATE(2871),
    [sym_field_identifier] = STATE(7825),
    [sym_identifier] = ACTIONS(493),
    [anon_sym_LBRACE] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_QMARK] = ACTIONS(529),
    [anon_sym_PLUS] = ACTIONS(531),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(531),
    [anon_sym_AMP] = ACTIONS(531),
    [anon_sym_DOT] = ACTIONS(533),
    [anon_sym_LBRACK] = ACTIONS(535),
    [anon_sym_cast] = ACTIONS(497),
    [anon_sym_transmute] = ACTIONS(497),
    [anon_sym_auto_cast] = ACTIONS(499),
    [anon_sym_DOT_DOT] = ACTIONS(6104),
    [anon_sym_map] = ACTIONS(503),
    [anon_sym_bit_set] = ACTIONS(505),
    [anon_sym_matrix] = ACTIONS(507),
    [anon_sym_distinct] = ACTIONS(509),
    [sym_number] = ACTIONS(511),
    [anon_sym_DQUOTE] = ACTIONS(513),
    [anon_sym_BQUOTE] = ACTIONS(515),
    [anon_sym_SQUOTE] = ACTIONS(517),
    [anon_sym_true] = ACTIONS(519),
    [anon_sym_false] = ACTIONS(519),
    [sym_nil] = ACTIONS(521),
    [sym_uninitialized] = ACTIONS(511),
    [sym_tag] = ACTIONS(537),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(511),
    [sym_block_comment] = ACTIONS(3),
  },
  [1627] = {
    [sym_expression] = STATE(3149),
    [sym__expression_no_tag] = STATE(2689),
    [sym_unary_expression] = STATE(2689),
    [sym_binary_expression] = STATE(2689),
    [sym_ternary_expression] = STATE(2689),
    [sym_call_expression] = STATE(2689),
    [sym_selector_call_expression] = STATE(2689),
    [sym_member_expression] = STATE(2689),
    [sym_index_expression] = STATE(2689),
    [sym_slice_expression] = STATE(2689),
    [sym_range_expression] = STATE(2689),
    [sym_cast_expression] = STATE(2689),
    [sym_in_expression] = STATE(2689),
    [sym_variadic_expression] = STATE(2689),
    [sym_parenthesized_expression] = STATE(2689),
    [sym_or_return_expression] = STATE(2689),
    [sym_or_continue_expression] = STATE(2689),
    [sym_or_break_expression] = STATE(2689),
    [sym_address] = STATE(2689),
    [sym_map_type] = STATE(2689),
    [sym_matrix_type] = STATE(2689),
    [sym_distinct_type] = STATE(2689),
    [sym_literal] = STATE(2689),
    [sym_struct] = STATE(3145),
    [sym_map] = STATE(2871),
    [sym_bit_set] = STATE(2871),
    [sym_matrix] = STATE(2871),
    [sym_string] = STATE(2871),
    [sym__string_literal] = STATE(2874),
    [sym__raw_string_literal] = STATE(2874),
    [sym_character] = STATE(2871),
    [sym_boolean] = STATE(2871),
    [sym_field_identifier] = STATE(7825),
    [sym_identifier] = ACTIONS(493),
    [anon_sym_LBRACE] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_QMARK] = ACTIONS(529),
    [anon_sym_PLUS] = ACTIONS(531),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(531),
    [anon_sym_AMP] = ACTIONS(531),
    [anon_sym_DOT] = ACTIONS(533),
    [anon_sym_LBRACK] = ACTIONS(535),
    [anon_sym_cast] = ACTIONS(497),
    [anon_sym_transmute] = ACTIONS(497),
    [anon_sym_auto_cast] = ACTIONS(499),
    [anon_sym_DOT_DOT] = ACTIONS(6104),
    [anon_sym_map] = ACTIONS(503),
    [anon_sym_bit_set] = ACTIONS(505),
    [anon_sym_matrix] = ACTIONS(507),
    [anon_sym_distinct] = ACTIONS(509),
    [sym_number] = ACTIONS(511),
    [anon_sym_DQUOTE] = ACTIONS(513),
    [anon_sym_BQUOTE] = ACTIONS(515),
    [anon_sym_SQUOTE] = ACTIONS(517),
    [anon_sym_true] = ACTIONS(519),
    [anon_sym_false] = ACTIONS(519),
    [sym_nil] = ACTIONS(521),
    [sym_uninitialized] = ACTIONS(511),
    [sym_tag] = ACTIONS(537),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(511),
    [sym_block_comment] = ACTIONS(3),
  },
  [1628] = {
    [sym_expression] = STATE(3203),
    [sym__expression_no_tag] = STATE(3174),
    [sym_unary_expression] = STATE(3174),
    [sym_binary_expression] = STATE(3174),
    [sym_ternary_expression] = STATE(3174),
    [sym_call_expression] = STATE(3174),
    [sym_selector_call_expression] = STATE(3174),
    [sym_member_expression] = STATE(3174),
    [sym_index_expression] = STATE(3174),
    [sym_slice_expression] = STATE(3174),
    [sym_range_expression] = STATE(3174),
    [sym_cast_expression] = STATE(3174),
    [sym_in_expression] = STATE(3174),
    [sym_variadic_expression] = STATE(3174),
    [sym_parenthesized_expression] = STATE(3174),
    [sym_or_return_expression] = STATE(3174),
    [sym_or_continue_expression] = STATE(3174),
    [sym_or_break_expression] = STATE(3174),
    [sym_address] = STATE(3174),
    [sym_map_type] = STATE(3174),
    [sym_matrix_type] = STATE(3174),
    [sym_distinct_type] = STATE(3174),
    [sym_literal] = STATE(3174),
    [sym_struct] = STATE(3165),
    [sym_map] = STATE(3078),
    [sym_bit_set] = STATE(3078),
    [sym_matrix] = STATE(3078),
    [sym_string] = STATE(3078),
    [sym__string_literal] = STATE(3166),
    [sym__raw_string_literal] = STATE(3166),
    [sym_character] = STATE(3078),
    [sym_boolean] = STATE(3078),
    [sym_field_identifier] = STATE(7864),
    [sym_identifier] = ACTIONS(449),
    [anon_sym_LBRACE] = ACTIONS(451),
    [anon_sym_LPAREN] = ACTIONS(453),
    [anon_sym_QMARK] = ACTIONS(455),
    [anon_sym_PLUS] = ACTIONS(457),
    [anon_sym_DASH] = ACTIONS(459),
    [anon_sym_TILDE] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(457),
    [anon_sym_AMP] = ACTIONS(457),
    [anon_sym_DOT] = ACTIONS(461),
    [anon_sym_LBRACK] = ACTIONS(463),
    [anon_sym_cast] = ACTIONS(465),
    [anon_sym_transmute] = ACTIONS(465),
    [anon_sym_auto_cast] = ACTIONS(467),
    [anon_sym_DOT_DOT] = ACTIONS(6050),
    [anon_sym_map] = ACTIONS(471),
    [anon_sym_bit_set] = ACTIONS(473),
    [anon_sym_matrix] = ACTIONS(475),
    [anon_sym_distinct] = ACTIONS(477),
    [sym_number] = ACTIONS(479),
    [anon_sym_DQUOTE] = ACTIONS(481),
    [anon_sym_BQUOTE] = ACTIONS(483),
    [anon_sym_SQUOTE] = ACTIONS(485),
    [anon_sym_true] = ACTIONS(487),
    [anon_sym_false] = ACTIONS(487),
    [sym_nil] = ACTIONS(489),
    [sym_uninitialized] = ACTIONS(479),
    [sym_tag] = ACTIONS(491),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(479),
    [sym_block_comment] = ACTIONS(3),
  },
  [1629] = {
    [sym_block] = STATE(2197),
    [anon_sym_LBRACE] = ACTIONS(5879),
    [anon_sym_COMMA] = ACTIONS(3857),
    [anon_sym_COLON_COLON] = ACTIONS(3857),
    [anon_sym_DASH_GT] = ACTIONS(3857),
    [anon_sym_where] = ACTIONS(3857),
    [anon_sym_EQ] = ACTIONS(3859),
    [anon_sym_COLON_EQ] = ACTIONS(3857),
    [anon_sym_COLON] = ACTIONS(3859),
    [anon_sym_LPAREN] = ACTIONS(3857),
    [anon_sym_PLUS_EQ] = ACTIONS(3857),
    [anon_sym_DASH_EQ] = ACTIONS(3857),
    [anon_sym_STAR_EQ] = ACTIONS(3857),
    [anon_sym_SLASH_EQ] = ACTIONS(3857),
    [anon_sym_PERCENT_EQ] = ACTIONS(3857),
    [anon_sym_AMP_EQ] = ACTIONS(3857),
    [anon_sym_PIPE_EQ] = ACTIONS(3857),
    [anon_sym_CARET_EQ] = ACTIONS(3857),
    [anon_sym_LT_LT_EQ] = ACTIONS(3857),
    [anon_sym_GT_GT_EQ] = ACTIONS(3857),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3857),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3857),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(3857),
    [anon_sym_if] = ACTIONS(3857),
    [anon_sym_SEMI] = ACTIONS(3857),
    [anon_sym_do] = ACTIONS(3857),
    [anon_sym_when] = ACTIONS(3857),
    [anon_sym_in] = ACTIONS(3857),
    [anon_sym_QMARK] = ACTIONS(3857),
    [anon_sym_PLUS] = ACTIONS(3859),
    [anon_sym_DASH] = ACTIONS(3859),
    [anon_sym_TILDE] = ACTIONS(3859),
    [anon_sym_AMP] = ACTIONS(3859),
    [anon_sym_PIPE_PIPE] = ACTIONS(3859),
    [anon_sym_or_else] = ACTIONS(3857),
    [anon_sym_AMP_AMP] = ACTIONS(3859),
    [anon_sym_GT] = ACTIONS(3859),
    [anon_sym_GT_EQ] = ACTIONS(3857),
    [anon_sym_LT_EQ] = ACTIONS(3857),
    [anon_sym_LT] = ACTIONS(3859),
    [anon_sym_EQ_EQ] = ACTIONS(3857),
    [anon_sym_BANG_EQ] = ACTIONS(3857),
    [anon_sym_TILDE_EQ] = ACTIONS(3857),
    [anon_sym_PIPE] = ACTIONS(3859),
    [anon_sym_AMP_TILDE] = ACTIONS(3859),
    [anon_sym_LT_LT] = ACTIONS(3859),
    [anon_sym_GT_GT] = ACTIONS(3859),
    [anon_sym_STAR] = ACTIONS(3859),
    [anon_sym_SLASH] = ACTIONS(3859),
    [anon_sym_PERCENT] = ACTIONS(3859),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(3857),
    [anon_sym_DOT] = ACTIONS(3859),
    [anon_sym_LBRACK] = ACTIONS(3857),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(3857),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3857),
    [anon_sym_not_in] = ACTIONS(3857),
    [anon_sym_or_return] = ACTIONS(3857),
    [anon_sym_or_continue] = ACTIONS(3857),
    [anon_sym_or_break] = ACTIONS(3857),
    [anon_sym_CARET] = ACTIONS(3859),
    [sym_uninitialized] = ACTIONS(5903),
    [sym_tag] = ACTIONS(3857),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1630] = {
    [sym_expression] = STATE(3455),
    [sym__expression_no_tag] = STATE(3597),
    [sym_unary_expression] = STATE(3597),
    [sym_binary_expression] = STATE(3597),
    [sym_ternary_expression] = STATE(3597),
    [sym_call_expression] = STATE(3597),
    [sym_selector_call_expression] = STATE(3597),
    [sym_member_expression] = STATE(3597),
    [sym_index_expression] = STATE(3597),
    [sym_slice_expression] = STATE(3597),
    [sym_range_expression] = STATE(3597),
    [sym_cast_expression] = STATE(3597),
    [sym_in_expression] = STATE(3597),
    [sym_variadic_expression] = STATE(3597),
    [sym_parenthesized_expression] = STATE(3597),
    [sym_or_return_expression] = STATE(3597),
    [sym_or_continue_expression] = STATE(3597),
    [sym_or_break_expression] = STATE(3597),
    [sym_address] = STATE(3597),
    [sym_map_type] = STATE(3597),
    [sym_matrix_type] = STATE(3597),
    [sym_distinct_type] = STATE(3597),
    [sym_literal] = STATE(3597),
    [sym_struct] = STATE(3465),
    [sym_map] = STATE(3453),
    [sym_bit_set] = STATE(3453),
    [sym_matrix] = STATE(3453),
    [sym_string] = STATE(3453),
    [sym__string_literal] = STATE(3469),
    [sym__raw_string_literal] = STATE(3469),
    [sym_character] = STATE(3453),
    [sym_boolean] = STATE(3453),
    [sym_field_identifier] = STATE(7903),
    [sym_identifier] = ACTIONS(659),
    [anon_sym_LBRACE] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_QMARK] = ACTIONS(665),
    [anon_sym_PLUS] = ACTIONS(667),
    [anon_sym_DASH] = ACTIONS(669),
    [anon_sym_TILDE] = ACTIONS(667),
    [anon_sym_BANG] = ACTIONS(667),
    [anon_sym_AMP] = ACTIONS(667),
    [anon_sym_DOT] = ACTIONS(671),
    [anon_sym_LBRACK] = ACTIONS(673),
    [anon_sym_cast] = ACTIONS(675),
    [anon_sym_transmute] = ACTIONS(675),
    [anon_sym_auto_cast] = ACTIONS(677),
    [anon_sym_DOT_DOT] = ACTIONS(6055),
    [anon_sym_map] = ACTIONS(681),
    [anon_sym_bit_set] = ACTIONS(683),
    [anon_sym_matrix] = ACTIONS(685),
    [anon_sym_distinct] = ACTIONS(687),
    [sym_number] = ACTIONS(689),
    [anon_sym_DQUOTE] = ACTIONS(691),
    [anon_sym_BQUOTE] = ACTIONS(693),
    [anon_sym_SQUOTE] = ACTIONS(695),
    [anon_sym_true] = ACTIONS(697),
    [anon_sym_false] = ACTIONS(697),
    [sym_nil] = ACTIONS(699),
    [sym_uninitialized] = ACTIONS(689),
    [sym_tag] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(689),
    [sym_block_comment] = ACTIONS(3),
  },
  [1631] = {
    [sym_expression] = STATE(5525),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1632] = {
    [sym_block] = STATE(2197),
    [anon_sym_LBRACE] = ACTIONS(5879),
    [anon_sym_COMMA] = ACTIONS(3857),
    [anon_sym_COLON_COLON] = ACTIONS(3857),
    [anon_sym_DASH_GT] = ACTIONS(3857),
    [anon_sym_where] = ACTIONS(3857),
    [anon_sym_EQ] = ACTIONS(3859),
    [anon_sym_COLON_EQ] = ACTIONS(3857),
    [anon_sym_COLON] = ACTIONS(3859),
    [anon_sym_LPAREN] = ACTIONS(3857),
    [anon_sym_PLUS_EQ] = ACTIONS(3857),
    [anon_sym_DASH_EQ] = ACTIONS(3857),
    [anon_sym_STAR_EQ] = ACTIONS(3857),
    [anon_sym_SLASH_EQ] = ACTIONS(3857),
    [anon_sym_PERCENT_EQ] = ACTIONS(3857),
    [anon_sym_AMP_EQ] = ACTIONS(3857),
    [anon_sym_PIPE_EQ] = ACTIONS(3857),
    [anon_sym_CARET_EQ] = ACTIONS(3857),
    [anon_sym_LT_LT_EQ] = ACTIONS(3857),
    [anon_sym_GT_GT_EQ] = ACTIONS(3857),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3857),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3857),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(3857),
    [anon_sym_if] = ACTIONS(3857),
    [anon_sym_SEMI] = ACTIONS(3857),
    [anon_sym_do] = ACTIONS(3857),
    [anon_sym_when] = ACTIONS(3857),
    [anon_sym_in] = ACTIONS(3857),
    [anon_sym_QMARK] = ACTIONS(3857),
    [anon_sym_PLUS] = ACTIONS(3859),
    [anon_sym_DASH] = ACTIONS(3859),
    [anon_sym_TILDE] = ACTIONS(3859),
    [anon_sym_AMP] = ACTIONS(3859),
    [anon_sym_PIPE_PIPE] = ACTIONS(3859),
    [anon_sym_or_else] = ACTIONS(3857),
    [anon_sym_AMP_AMP] = ACTIONS(3859),
    [anon_sym_GT] = ACTIONS(3859),
    [anon_sym_GT_EQ] = ACTIONS(3857),
    [anon_sym_LT_EQ] = ACTIONS(3857),
    [anon_sym_LT] = ACTIONS(3859),
    [anon_sym_EQ_EQ] = ACTIONS(3857),
    [anon_sym_BANG_EQ] = ACTIONS(3857),
    [anon_sym_TILDE_EQ] = ACTIONS(3857),
    [anon_sym_PIPE] = ACTIONS(3859),
    [anon_sym_AMP_TILDE] = ACTIONS(3859),
    [anon_sym_LT_LT] = ACTIONS(3859),
    [anon_sym_GT_GT] = ACTIONS(3859),
    [anon_sym_STAR] = ACTIONS(3859),
    [anon_sym_SLASH] = ACTIONS(3859),
    [anon_sym_PERCENT] = ACTIONS(3859),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(3857),
    [anon_sym_DOT] = ACTIONS(3859),
    [anon_sym_LBRACK] = ACTIONS(3857),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(3857),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3857),
    [anon_sym_not_in] = ACTIONS(3857),
    [anon_sym_or_return] = ACTIONS(3857),
    [anon_sym_or_continue] = ACTIONS(3857),
    [anon_sym_or_break] = ACTIONS(3857),
    [anon_sym_CARET] = ACTIONS(3859),
    [sym_uninitialized] = ACTIONS(5903),
    [sym_tag] = ACTIONS(5907),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1633] = {
    [sym_identifier] = ACTIONS(6106),
    [anon_sym_LBRACE] = ACTIONS(4398),
    [anon_sym_COMMA] = ACTIONS(4398),
    [anon_sym_COLON_COLON] = ACTIONS(4398),
    [anon_sym_DASH_GT] = ACTIONS(4398),
    [anon_sym_where] = ACTIONS(4400),
    [anon_sym_EQ] = ACTIONS(4400),
    [anon_sym_COLON_EQ] = ACTIONS(4398),
    [anon_sym_COLON] = ACTIONS(4400),
    [anon_sym_LPAREN] = ACTIONS(4398),
    [anon_sym_PLUS_EQ] = ACTIONS(4398),
    [anon_sym_DASH_EQ] = ACTIONS(4398),
    [anon_sym_STAR_EQ] = ACTIONS(4398),
    [anon_sym_SLASH_EQ] = ACTIONS(4398),
    [anon_sym_PERCENT_EQ] = ACTIONS(4398),
    [anon_sym_AMP_EQ] = ACTIONS(4398),
    [anon_sym_PIPE_EQ] = ACTIONS(4398),
    [anon_sym_CARET_EQ] = ACTIONS(4398),
    [anon_sym_LT_LT_EQ] = ACTIONS(4398),
    [anon_sym_GT_GT_EQ] = ACTIONS(4398),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4398),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4398),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4398),
    [anon_sym_if] = ACTIONS(4400),
    [anon_sym_SEMI] = ACTIONS(4398),
    [anon_sym_do] = ACTIONS(4400),
    [anon_sym_when] = ACTIONS(4400),
    [anon_sym_in] = ACTIONS(4400),
    [anon_sym_QMARK] = ACTIONS(4398),
    [anon_sym_PLUS] = ACTIONS(4400),
    [anon_sym_DASH] = ACTIONS(4400),
    [anon_sym_TILDE] = ACTIONS(4400),
    [anon_sym_AMP] = ACTIONS(4400),
    [anon_sym_PIPE_PIPE] = ACTIONS(4400),
    [anon_sym_or_else] = ACTIONS(4400),
    [anon_sym_AMP_AMP] = ACTIONS(4400),
    [anon_sym_GT] = ACTIONS(4400),
    [anon_sym_GT_EQ] = ACTIONS(4398),
    [anon_sym_LT_EQ] = ACTIONS(4398),
    [anon_sym_LT] = ACTIONS(4400),
    [anon_sym_EQ_EQ] = ACTIONS(4398),
    [anon_sym_BANG_EQ] = ACTIONS(4398),
    [anon_sym_TILDE_EQ] = ACTIONS(4398),
    [anon_sym_PIPE] = ACTIONS(4400),
    [anon_sym_AMP_TILDE] = ACTIONS(4400),
    [anon_sym_LT_LT] = ACTIONS(4400),
    [anon_sym_GT_GT] = ACTIONS(4400),
    [anon_sym_STAR] = ACTIONS(4400),
    [anon_sym_SLASH] = ACTIONS(4400),
    [anon_sym_PERCENT] = ACTIONS(4400),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4398),
    [anon_sym_DOT] = ACTIONS(4400),
    [anon_sym_LBRACK] = ACTIONS(4398),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4398),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4398),
    [anon_sym_not_in] = ACTIONS(4400),
    [anon_sym_or_return] = ACTIONS(4400),
    [anon_sym_or_continue] = ACTIONS(4400),
    [anon_sym_or_break] = ACTIONS(4400),
    [anon_sym_CARET] = ACTIONS(4400),
    [sym_uninitialized] = ACTIONS(4398),
    [sym_tag] = ACTIONS(4398),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1634] = {
    [sym_expression] = STATE(3998),
    [sym__expression_no_tag] = STATE(3646),
    [sym_unary_expression] = STATE(3646),
    [sym_binary_expression] = STATE(3646),
    [sym_ternary_expression] = STATE(3646),
    [sym_call_expression] = STATE(3646),
    [sym_selector_call_expression] = STATE(3646),
    [sym_member_expression] = STATE(3646),
    [sym_index_expression] = STATE(3646),
    [sym_slice_expression] = STATE(3646),
    [sym_range_expression] = STATE(3646),
    [sym_cast_expression] = STATE(3646),
    [sym_in_expression] = STATE(3646),
    [sym_variadic_expression] = STATE(3646),
    [sym_parenthesized_expression] = STATE(3646),
    [sym_or_return_expression] = STATE(3646),
    [sym_or_continue_expression] = STATE(3646),
    [sym_or_break_expression] = STATE(3646),
    [sym_address] = STATE(3646),
    [sym_map_type] = STATE(3646),
    [sym_matrix_type] = STATE(3646),
    [sym_distinct_type] = STATE(3646),
    [sym_literal] = STATE(3646),
    [sym_struct] = STATE(3145),
    [sym_map] = STATE(2871),
    [sym_bit_set] = STATE(2871),
    [sym_matrix] = STATE(2871),
    [sym_string] = STATE(2871),
    [sym__string_literal] = STATE(2874),
    [sym__raw_string_literal] = STATE(2874),
    [sym_character] = STATE(2871),
    [sym_boolean] = STATE(2871),
    [sym_field_identifier] = STATE(7825),
    [sym_identifier] = ACTIONS(493),
    [anon_sym_LBRACE] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_QMARK] = ACTIONS(6108),
    [anon_sym_PLUS] = ACTIONS(531),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(531),
    [anon_sym_AMP] = ACTIONS(531),
    [anon_sym_DOT] = ACTIONS(533),
    [anon_sym_LBRACK] = ACTIONS(535),
    [anon_sym_cast] = ACTIONS(497),
    [anon_sym_transmute] = ACTIONS(497),
    [anon_sym_auto_cast] = ACTIONS(499),
    [anon_sym_DOT_DOT] = ACTIONS(6104),
    [anon_sym_map] = ACTIONS(503),
    [anon_sym_bit_set] = ACTIONS(505),
    [anon_sym_matrix] = ACTIONS(507),
    [anon_sym_distinct] = ACTIONS(509),
    [sym_number] = ACTIONS(511),
    [anon_sym_DQUOTE] = ACTIONS(513),
    [anon_sym_BQUOTE] = ACTIONS(515),
    [anon_sym_SQUOTE] = ACTIONS(517),
    [anon_sym_true] = ACTIONS(519),
    [anon_sym_false] = ACTIONS(519),
    [sym_nil] = ACTIONS(521),
    [sym_uninitialized] = ACTIONS(511),
    [sym_tag] = ACTIONS(537),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(511),
    [sym_block_comment] = ACTIONS(3),
  },
  [1635] = {
    [sym_expression] = STATE(2877),
    [sym__expression_no_tag] = STATE(2689),
    [sym_unary_expression] = STATE(2689),
    [sym_binary_expression] = STATE(2689),
    [sym_ternary_expression] = STATE(2689),
    [sym_call_expression] = STATE(2689),
    [sym_selector_call_expression] = STATE(2689),
    [sym_member_expression] = STATE(2689),
    [sym_index_expression] = STATE(2689),
    [sym_slice_expression] = STATE(2689),
    [sym_range_expression] = STATE(2689),
    [sym_cast_expression] = STATE(2689),
    [sym_in_expression] = STATE(2689),
    [sym_variadic_expression] = STATE(2689),
    [sym_parenthesized_expression] = STATE(2689),
    [sym_or_return_expression] = STATE(2689),
    [sym_or_continue_expression] = STATE(2689),
    [sym_or_break_expression] = STATE(2689),
    [sym_address] = STATE(2689),
    [sym_map_type] = STATE(2689),
    [sym_matrix_type] = STATE(2689),
    [sym_distinct_type] = STATE(2689),
    [sym_literal] = STATE(2689),
    [sym_struct] = STATE(3145),
    [sym_map] = STATE(2871),
    [sym_bit_set] = STATE(2871),
    [sym_matrix] = STATE(2871),
    [sym_string] = STATE(2871),
    [sym__string_literal] = STATE(2874),
    [sym__raw_string_literal] = STATE(2874),
    [sym_character] = STATE(2871),
    [sym_boolean] = STATE(2871),
    [sym_field_identifier] = STATE(7825),
    [sym_identifier] = ACTIONS(493),
    [anon_sym_LBRACE] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_QMARK] = ACTIONS(529),
    [anon_sym_PLUS] = ACTIONS(531),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(531),
    [anon_sym_AMP] = ACTIONS(531),
    [anon_sym_DOT] = ACTIONS(533),
    [anon_sym_LBRACK] = ACTIONS(535),
    [anon_sym_cast] = ACTIONS(497),
    [anon_sym_transmute] = ACTIONS(497),
    [anon_sym_auto_cast] = ACTIONS(499),
    [anon_sym_DOT_DOT] = ACTIONS(6104),
    [anon_sym_map] = ACTIONS(503),
    [anon_sym_bit_set] = ACTIONS(505),
    [anon_sym_matrix] = ACTIONS(507),
    [anon_sym_distinct] = ACTIONS(509),
    [sym_number] = ACTIONS(511),
    [anon_sym_DQUOTE] = ACTIONS(513),
    [anon_sym_BQUOTE] = ACTIONS(515),
    [anon_sym_SQUOTE] = ACTIONS(517),
    [anon_sym_true] = ACTIONS(519),
    [anon_sym_false] = ACTIONS(519),
    [sym_nil] = ACTIONS(521),
    [sym_uninitialized] = ACTIONS(511),
    [sym_tag] = ACTIONS(537),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(511),
    [sym_block_comment] = ACTIONS(3),
  },
  [1636] = {
    [sym_block] = STATE(2203),
    [anon_sym_LBRACE] = ACTIONS(5879),
    [anon_sym_COMMA] = ACTIONS(3281),
    [anon_sym_COLON_COLON] = ACTIONS(3281),
    [anon_sym_DASH_GT] = ACTIONS(3281),
    [anon_sym_where] = ACTIONS(3281),
    [anon_sym_EQ] = ACTIONS(3283),
    [anon_sym_COLON_EQ] = ACTIONS(3281),
    [anon_sym_COLON] = ACTIONS(3283),
    [anon_sym_LPAREN] = ACTIONS(3281),
    [anon_sym_PLUS_EQ] = ACTIONS(3281),
    [anon_sym_DASH_EQ] = ACTIONS(3281),
    [anon_sym_STAR_EQ] = ACTIONS(3281),
    [anon_sym_SLASH_EQ] = ACTIONS(3281),
    [anon_sym_PERCENT_EQ] = ACTIONS(3281),
    [anon_sym_AMP_EQ] = ACTIONS(3281),
    [anon_sym_PIPE_EQ] = ACTIONS(3281),
    [anon_sym_CARET_EQ] = ACTIONS(3281),
    [anon_sym_LT_LT_EQ] = ACTIONS(3281),
    [anon_sym_GT_GT_EQ] = ACTIONS(3281),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3281),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3281),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(3281),
    [anon_sym_if] = ACTIONS(3281),
    [anon_sym_SEMI] = ACTIONS(3281),
    [anon_sym_do] = ACTIONS(3281),
    [anon_sym_when] = ACTIONS(3281),
    [anon_sym_in] = ACTIONS(3281),
    [anon_sym_QMARK] = ACTIONS(3281),
    [anon_sym_PLUS] = ACTIONS(3283),
    [anon_sym_DASH] = ACTIONS(3283),
    [anon_sym_TILDE] = ACTIONS(3283),
    [anon_sym_AMP] = ACTIONS(3283),
    [anon_sym_PIPE_PIPE] = ACTIONS(3283),
    [anon_sym_or_else] = ACTIONS(3281),
    [anon_sym_AMP_AMP] = ACTIONS(3283),
    [anon_sym_GT] = ACTIONS(3283),
    [anon_sym_GT_EQ] = ACTIONS(3281),
    [anon_sym_LT_EQ] = ACTIONS(3281),
    [anon_sym_LT] = ACTIONS(3283),
    [anon_sym_EQ_EQ] = ACTIONS(3281),
    [anon_sym_BANG_EQ] = ACTIONS(3281),
    [anon_sym_TILDE_EQ] = ACTIONS(3281),
    [anon_sym_PIPE] = ACTIONS(3283),
    [anon_sym_AMP_TILDE] = ACTIONS(3283),
    [anon_sym_LT_LT] = ACTIONS(3283),
    [anon_sym_GT_GT] = ACTIONS(3283),
    [anon_sym_STAR] = ACTIONS(3283),
    [anon_sym_SLASH] = ACTIONS(3283),
    [anon_sym_PERCENT] = ACTIONS(3283),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(3281),
    [anon_sym_DOT] = ACTIONS(3283),
    [anon_sym_LBRACK] = ACTIONS(3281),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(3281),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3281),
    [anon_sym_not_in] = ACTIONS(3281),
    [anon_sym_or_return] = ACTIONS(3281),
    [anon_sym_or_continue] = ACTIONS(3281),
    [anon_sym_or_break] = ACTIONS(3281),
    [anon_sym_CARET] = ACTIONS(3283),
    [sym_uninitialized] = ACTIONS(5909),
    [sym_tag] = ACTIONS(5913),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1637] = {
    [sym_block] = STATE(2203),
    [anon_sym_LBRACE] = ACTIONS(5879),
    [anon_sym_COMMA] = ACTIONS(3281),
    [anon_sym_COLON_COLON] = ACTIONS(3281),
    [anon_sym_DASH_GT] = ACTIONS(3281),
    [anon_sym_where] = ACTIONS(3281),
    [anon_sym_EQ] = ACTIONS(3283),
    [anon_sym_COLON_EQ] = ACTIONS(3281),
    [anon_sym_COLON] = ACTIONS(3283),
    [anon_sym_LPAREN] = ACTIONS(3281),
    [anon_sym_PLUS_EQ] = ACTIONS(3281),
    [anon_sym_DASH_EQ] = ACTIONS(3281),
    [anon_sym_STAR_EQ] = ACTIONS(3281),
    [anon_sym_SLASH_EQ] = ACTIONS(3281),
    [anon_sym_PERCENT_EQ] = ACTIONS(3281),
    [anon_sym_AMP_EQ] = ACTIONS(3281),
    [anon_sym_PIPE_EQ] = ACTIONS(3281),
    [anon_sym_CARET_EQ] = ACTIONS(3281),
    [anon_sym_LT_LT_EQ] = ACTIONS(3281),
    [anon_sym_GT_GT_EQ] = ACTIONS(3281),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3281),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3281),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(3281),
    [anon_sym_if] = ACTIONS(3281),
    [anon_sym_SEMI] = ACTIONS(3281),
    [anon_sym_do] = ACTIONS(3281),
    [anon_sym_when] = ACTIONS(3281),
    [anon_sym_in] = ACTIONS(3281),
    [anon_sym_QMARK] = ACTIONS(3281),
    [anon_sym_PLUS] = ACTIONS(3283),
    [anon_sym_DASH] = ACTIONS(3283),
    [anon_sym_TILDE] = ACTIONS(3283),
    [anon_sym_AMP] = ACTIONS(3283),
    [anon_sym_PIPE_PIPE] = ACTIONS(3283),
    [anon_sym_or_else] = ACTIONS(3281),
    [anon_sym_AMP_AMP] = ACTIONS(3283),
    [anon_sym_GT] = ACTIONS(3283),
    [anon_sym_GT_EQ] = ACTIONS(3281),
    [anon_sym_LT_EQ] = ACTIONS(3281),
    [anon_sym_LT] = ACTIONS(3283),
    [anon_sym_EQ_EQ] = ACTIONS(3281),
    [anon_sym_BANG_EQ] = ACTIONS(3281),
    [anon_sym_TILDE_EQ] = ACTIONS(3281),
    [anon_sym_PIPE] = ACTIONS(3283),
    [anon_sym_AMP_TILDE] = ACTIONS(3283),
    [anon_sym_LT_LT] = ACTIONS(3283),
    [anon_sym_GT_GT] = ACTIONS(3283),
    [anon_sym_STAR] = ACTIONS(3283),
    [anon_sym_SLASH] = ACTIONS(3283),
    [anon_sym_PERCENT] = ACTIONS(3283),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(3281),
    [anon_sym_DOT] = ACTIONS(3283),
    [anon_sym_LBRACK] = ACTIONS(3281),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(3281),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3281),
    [anon_sym_not_in] = ACTIONS(3281),
    [anon_sym_or_return] = ACTIONS(3281),
    [anon_sym_or_continue] = ACTIONS(3281),
    [anon_sym_or_break] = ACTIONS(3281),
    [anon_sym_CARET] = ACTIONS(3283),
    [sym_uninitialized] = ACTIONS(5909),
    [sym_tag] = ACTIONS(3281),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1638] = {
    [sym_expression] = STATE(5527),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1639] = {
    [sym_expression] = STATE(3184),
    [sym__expression_no_tag] = STATE(2689),
    [sym_unary_expression] = STATE(2689),
    [sym_binary_expression] = STATE(2689),
    [sym_ternary_expression] = STATE(2689),
    [sym_call_expression] = STATE(2689),
    [sym_selector_call_expression] = STATE(2689),
    [sym_member_expression] = STATE(2689),
    [sym_index_expression] = STATE(2689),
    [sym_slice_expression] = STATE(2689),
    [sym_range_expression] = STATE(2689),
    [sym_cast_expression] = STATE(2689),
    [sym_in_expression] = STATE(2689),
    [sym_variadic_expression] = STATE(2689),
    [sym_parenthesized_expression] = STATE(2689),
    [sym_or_return_expression] = STATE(2689),
    [sym_or_continue_expression] = STATE(2689),
    [sym_or_break_expression] = STATE(2689),
    [sym_address] = STATE(2689),
    [sym_map_type] = STATE(2689),
    [sym_matrix_type] = STATE(2689),
    [sym_distinct_type] = STATE(2689),
    [sym_literal] = STATE(2689),
    [sym_struct] = STATE(3145),
    [sym_map] = STATE(2871),
    [sym_bit_set] = STATE(2871),
    [sym_matrix] = STATE(2871),
    [sym_string] = STATE(2871),
    [sym__string_literal] = STATE(2874),
    [sym__raw_string_literal] = STATE(2874),
    [sym_character] = STATE(2871),
    [sym_boolean] = STATE(2871),
    [sym_field_identifier] = STATE(7825),
    [sym_identifier] = ACTIONS(493),
    [anon_sym_LBRACE] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_QMARK] = ACTIONS(529),
    [anon_sym_PLUS] = ACTIONS(531),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(531),
    [anon_sym_AMP] = ACTIONS(531),
    [anon_sym_DOT] = ACTIONS(533),
    [anon_sym_LBRACK] = ACTIONS(535),
    [anon_sym_cast] = ACTIONS(497),
    [anon_sym_transmute] = ACTIONS(497),
    [anon_sym_auto_cast] = ACTIONS(499),
    [anon_sym_DOT_DOT] = ACTIONS(6104),
    [anon_sym_map] = ACTIONS(503),
    [anon_sym_bit_set] = ACTIONS(505),
    [anon_sym_matrix] = ACTIONS(507),
    [anon_sym_distinct] = ACTIONS(509),
    [sym_number] = ACTIONS(511),
    [anon_sym_DQUOTE] = ACTIONS(513),
    [anon_sym_BQUOTE] = ACTIONS(515),
    [anon_sym_SQUOTE] = ACTIONS(517),
    [anon_sym_true] = ACTIONS(519),
    [anon_sym_false] = ACTIONS(519),
    [sym_nil] = ACTIONS(521),
    [sym_uninitialized] = ACTIONS(511),
    [sym_tag] = ACTIONS(537),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(511),
    [sym_block_comment] = ACTIONS(3),
  },
  [1640] = {
    [sym_block] = STATE(2206),
    [anon_sym_LBRACE] = ACTIONS(5879),
    [anon_sym_COMMA] = ACTIONS(3291),
    [anon_sym_COLON_COLON] = ACTIONS(3291),
    [anon_sym_DASH_GT] = ACTIONS(3291),
    [anon_sym_where] = ACTIONS(3291),
    [anon_sym_EQ] = ACTIONS(3293),
    [anon_sym_COLON_EQ] = ACTIONS(3291),
    [anon_sym_COLON] = ACTIONS(3293),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_PLUS_EQ] = ACTIONS(3291),
    [anon_sym_DASH_EQ] = ACTIONS(3291),
    [anon_sym_STAR_EQ] = ACTIONS(3291),
    [anon_sym_SLASH_EQ] = ACTIONS(3291),
    [anon_sym_PERCENT_EQ] = ACTIONS(3291),
    [anon_sym_AMP_EQ] = ACTIONS(3291),
    [anon_sym_PIPE_EQ] = ACTIONS(3291),
    [anon_sym_CARET_EQ] = ACTIONS(3291),
    [anon_sym_LT_LT_EQ] = ACTIONS(3291),
    [anon_sym_GT_GT_EQ] = ACTIONS(3291),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3291),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3291),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(3291),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_SEMI] = ACTIONS(3291),
    [anon_sym_do] = ACTIONS(3291),
    [anon_sym_when] = ACTIONS(3291),
    [anon_sym_in] = ACTIONS(3291),
    [anon_sym_QMARK] = ACTIONS(3291),
    [anon_sym_PLUS] = ACTIONS(3293),
    [anon_sym_DASH] = ACTIONS(3293),
    [anon_sym_TILDE] = ACTIONS(3293),
    [anon_sym_AMP] = ACTIONS(3293),
    [anon_sym_PIPE_PIPE] = ACTIONS(3293),
    [anon_sym_or_else] = ACTIONS(3291),
    [anon_sym_AMP_AMP] = ACTIONS(3293),
    [anon_sym_GT] = ACTIONS(3293),
    [anon_sym_GT_EQ] = ACTIONS(3291),
    [anon_sym_LT_EQ] = ACTIONS(3291),
    [anon_sym_LT] = ACTIONS(3293),
    [anon_sym_EQ_EQ] = ACTIONS(3291),
    [anon_sym_BANG_EQ] = ACTIONS(3291),
    [anon_sym_TILDE_EQ] = ACTIONS(3291),
    [anon_sym_PIPE] = ACTIONS(3293),
    [anon_sym_AMP_TILDE] = ACTIONS(3293),
    [anon_sym_LT_LT] = ACTIONS(3293),
    [anon_sym_GT_GT] = ACTIONS(3293),
    [anon_sym_STAR] = ACTIONS(3293),
    [anon_sym_SLASH] = ACTIONS(3293),
    [anon_sym_PERCENT] = ACTIONS(3293),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(3291),
    [anon_sym_DOT] = ACTIONS(3293),
    [anon_sym_LBRACK] = ACTIONS(3291),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(3291),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3291),
    [anon_sym_not_in] = ACTIONS(3291),
    [anon_sym_or_return] = ACTIONS(3291),
    [anon_sym_or_continue] = ACTIONS(3291),
    [anon_sym_or_break] = ACTIONS(3291),
    [anon_sym_CARET] = ACTIONS(3293),
    [sym_uninitialized] = ACTIONS(5915),
    [sym_tag] = ACTIONS(5917),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1641] = {
    [sym_block] = STATE(2206),
    [anon_sym_LBRACE] = ACTIONS(5879),
    [anon_sym_COMMA] = ACTIONS(3291),
    [anon_sym_COLON_COLON] = ACTIONS(3291),
    [anon_sym_DASH_GT] = ACTIONS(3291),
    [anon_sym_where] = ACTIONS(3291),
    [anon_sym_EQ] = ACTIONS(3293),
    [anon_sym_COLON_EQ] = ACTIONS(3291),
    [anon_sym_COLON] = ACTIONS(3293),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_PLUS_EQ] = ACTIONS(3291),
    [anon_sym_DASH_EQ] = ACTIONS(3291),
    [anon_sym_STAR_EQ] = ACTIONS(3291),
    [anon_sym_SLASH_EQ] = ACTIONS(3291),
    [anon_sym_PERCENT_EQ] = ACTIONS(3291),
    [anon_sym_AMP_EQ] = ACTIONS(3291),
    [anon_sym_PIPE_EQ] = ACTIONS(3291),
    [anon_sym_CARET_EQ] = ACTIONS(3291),
    [anon_sym_LT_LT_EQ] = ACTIONS(3291),
    [anon_sym_GT_GT_EQ] = ACTIONS(3291),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3291),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3291),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(3291),
    [anon_sym_if] = ACTIONS(3291),
    [anon_sym_SEMI] = ACTIONS(3291),
    [anon_sym_do] = ACTIONS(3291),
    [anon_sym_when] = ACTIONS(3291),
    [anon_sym_in] = ACTIONS(3291),
    [anon_sym_QMARK] = ACTIONS(3291),
    [anon_sym_PLUS] = ACTIONS(3293),
    [anon_sym_DASH] = ACTIONS(3293),
    [anon_sym_TILDE] = ACTIONS(3293),
    [anon_sym_AMP] = ACTIONS(3293),
    [anon_sym_PIPE_PIPE] = ACTIONS(3293),
    [anon_sym_or_else] = ACTIONS(3291),
    [anon_sym_AMP_AMP] = ACTIONS(3293),
    [anon_sym_GT] = ACTIONS(3293),
    [anon_sym_GT_EQ] = ACTIONS(3291),
    [anon_sym_LT_EQ] = ACTIONS(3291),
    [anon_sym_LT] = ACTIONS(3293),
    [anon_sym_EQ_EQ] = ACTIONS(3291),
    [anon_sym_BANG_EQ] = ACTIONS(3291),
    [anon_sym_TILDE_EQ] = ACTIONS(3291),
    [anon_sym_PIPE] = ACTIONS(3293),
    [anon_sym_AMP_TILDE] = ACTIONS(3293),
    [anon_sym_LT_LT] = ACTIONS(3293),
    [anon_sym_GT_GT] = ACTIONS(3293),
    [anon_sym_STAR] = ACTIONS(3293),
    [anon_sym_SLASH] = ACTIONS(3293),
    [anon_sym_PERCENT] = ACTIONS(3293),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(3291),
    [anon_sym_DOT] = ACTIONS(3293),
    [anon_sym_LBRACK] = ACTIONS(3291),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(3291),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3291),
    [anon_sym_not_in] = ACTIONS(3291),
    [anon_sym_or_return] = ACTIONS(3291),
    [anon_sym_or_continue] = ACTIONS(3291),
    [anon_sym_or_break] = ACTIONS(3291),
    [anon_sym_CARET] = ACTIONS(3293),
    [sym_uninitialized] = ACTIONS(5915),
    [sym_tag] = ACTIONS(3291),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1642] = {
    [sym_block] = STATE(2208),
    [anon_sym_LBRACE] = ACTIONS(5879),
    [anon_sym_COMMA] = ACTIONS(4525),
    [anon_sym_COLON_COLON] = ACTIONS(4525),
    [anon_sym_DASH_GT] = ACTIONS(4525),
    [anon_sym_where] = ACTIONS(4525),
    [anon_sym_EQ] = ACTIONS(4527),
    [anon_sym_COLON_EQ] = ACTIONS(4525),
    [anon_sym_COLON] = ACTIONS(4527),
    [anon_sym_LPAREN] = ACTIONS(4525),
    [anon_sym_PLUS_EQ] = ACTIONS(4525),
    [anon_sym_DASH_EQ] = ACTIONS(4525),
    [anon_sym_STAR_EQ] = ACTIONS(4525),
    [anon_sym_SLASH_EQ] = ACTIONS(4525),
    [anon_sym_PERCENT_EQ] = ACTIONS(4525),
    [anon_sym_AMP_EQ] = ACTIONS(4525),
    [anon_sym_PIPE_EQ] = ACTIONS(4525),
    [anon_sym_CARET_EQ] = ACTIONS(4525),
    [anon_sym_LT_LT_EQ] = ACTIONS(4525),
    [anon_sym_GT_GT_EQ] = ACTIONS(4525),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4525),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4525),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4525),
    [anon_sym_if] = ACTIONS(4525),
    [anon_sym_SEMI] = ACTIONS(4525),
    [anon_sym_do] = ACTIONS(4525),
    [anon_sym_when] = ACTIONS(4525),
    [anon_sym_in] = ACTIONS(4525),
    [anon_sym_QMARK] = ACTIONS(4525),
    [anon_sym_PLUS] = ACTIONS(4527),
    [anon_sym_DASH] = ACTIONS(4527),
    [anon_sym_TILDE] = ACTIONS(4527),
    [anon_sym_AMP] = ACTIONS(4527),
    [anon_sym_PIPE_PIPE] = ACTIONS(4527),
    [anon_sym_or_else] = ACTIONS(4525),
    [anon_sym_AMP_AMP] = ACTIONS(4527),
    [anon_sym_GT] = ACTIONS(4527),
    [anon_sym_GT_EQ] = ACTIONS(4525),
    [anon_sym_LT_EQ] = ACTIONS(4525),
    [anon_sym_LT] = ACTIONS(4527),
    [anon_sym_EQ_EQ] = ACTIONS(4525),
    [anon_sym_BANG_EQ] = ACTIONS(4525),
    [anon_sym_TILDE_EQ] = ACTIONS(4525),
    [anon_sym_PIPE] = ACTIONS(4527),
    [anon_sym_AMP_TILDE] = ACTIONS(4527),
    [anon_sym_LT_LT] = ACTIONS(4527),
    [anon_sym_GT_GT] = ACTIONS(4527),
    [anon_sym_STAR] = ACTIONS(4527),
    [anon_sym_SLASH] = ACTIONS(4527),
    [anon_sym_PERCENT] = ACTIONS(4527),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4525),
    [anon_sym_DOT] = ACTIONS(4527),
    [anon_sym_LBRACK] = ACTIONS(4525),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4525),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4525),
    [anon_sym_not_in] = ACTIONS(4525),
    [anon_sym_or_return] = ACTIONS(4525),
    [anon_sym_or_continue] = ACTIONS(4525),
    [anon_sym_or_break] = ACTIONS(4525),
    [anon_sym_CARET] = ACTIONS(4527),
    [sym_uninitialized] = ACTIONS(6110),
    [sym_tag] = ACTIONS(4525),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1643] = {
    [sym_block] = STATE(2208),
    [anon_sym_LBRACE] = ACTIONS(5879),
    [anon_sym_COMMA] = ACTIONS(4525),
    [anon_sym_COLON_COLON] = ACTIONS(4525),
    [anon_sym_DASH_GT] = ACTIONS(4525),
    [anon_sym_where] = ACTIONS(4525),
    [anon_sym_EQ] = ACTIONS(4527),
    [anon_sym_COLON_EQ] = ACTIONS(4525),
    [anon_sym_COLON] = ACTIONS(4527),
    [anon_sym_LPAREN] = ACTIONS(4525),
    [anon_sym_PLUS_EQ] = ACTIONS(4525),
    [anon_sym_DASH_EQ] = ACTIONS(4525),
    [anon_sym_STAR_EQ] = ACTIONS(4525),
    [anon_sym_SLASH_EQ] = ACTIONS(4525),
    [anon_sym_PERCENT_EQ] = ACTIONS(4525),
    [anon_sym_AMP_EQ] = ACTIONS(4525),
    [anon_sym_PIPE_EQ] = ACTIONS(4525),
    [anon_sym_CARET_EQ] = ACTIONS(4525),
    [anon_sym_LT_LT_EQ] = ACTIONS(4525),
    [anon_sym_GT_GT_EQ] = ACTIONS(4525),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4525),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4525),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4525),
    [anon_sym_if] = ACTIONS(4525),
    [anon_sym_SEMI] = ACTIONS(4525),
    [anon_sym_do] = ACTIONS(4525),
    [anon_sym_when] = ACTIONS(4525),
    [anon_sym_in] = ACTIONS(4525),
    [anon_sym_QMARK] = ACTIONS(4525),
    [anon_sym_PLUS] = ACTIONS(4527),
    [anon_sym_DASH] = ACTIONS(4527),
    [anon_sym_TILDE] = ACTIONS(4527),
    [anon_sym_AMP] = ACTIONS(4527),
    [anon_sym_PIPE_PIPE] = ACTIONS(4527),
    [anon_sym_or_else] = ACTIONS(4525),
    [anon_sym_AMP_AMP] = ACTIONS(4527),
    [anon_sym_GT] = ACTIONS(4527),
    [anon_sym_GT_EQ] = ACTIONS(4525),
    [anon_sym_LT_EQ] = ACTIONS(4525),
    [anon_sym_LT] = ACTIONS(4527),
    [anon_sym_EQ_EQ] = ACTIONS(4525),
    [anon_sym_BANG_EQ] = ACTIONS(4525),
    [anon_sym_TILDE_EQ] = ACTIONS(4525),
    [anon_sym_PIPE] = ACTIONS(4527),
    [anon_sym_AMP_TILDE] = ACTIONS(4527),
    [anon_sym_LT_LT] = ACTIONS(4527),
    [anon_sym_GT_GT] = ACTIONS(4527),
    [anon_sym_STAR] = ACTIONS(4527),
    [anon_sym_SLASH] = ACTIONS(4527),
    [anon_sym_PERCENT] = ACTIONS(4527),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4525),
    [anon_sym_DOT] = ACTIONS(4527),
    [anon_sym_LBRACK] = ACTIONS(4525),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4525),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4525),
    [anon_sym_not_in] = ACTIONS(4525),
    [anon_sym_or_return] = ACTIONS(4525),
    [anon_sym_or_continue] = ACTIONS(4525),
    [anon_sym_or_break] = ACTIONS(4525),
    [anon_sym_CARET] = ACTIONS(4527),
    [sym_uninitialized] = ACTIONS(6110),
    [sym_tag] = ACTIONS(6112),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1644] = {
    [sym_block] = STATE(2209),
    [anon_sym_LBRACE] = ACTIONS(5879),
    [anon_sym_COMMA] = ACTIONS(4533),
    [anon_sym_COLON_COLON] = ACTIONS(4533),
    [anon_sym_DASH_GT] = ACTIONS(4533),
    [anon_sym_where] = ACTIONS(4533),
    [anon_sym_EQ] = ACTIONS(4535),
    [anon_sym_COLON_EQ] = ACTIONS(4533),
    [anon_sym_COLON] = ACTIONS(4535),
    [anon_sym_LPAREN] = ACTIONS(4533),
    [anon_sym_PLUS_EQ] = ACTIONS(4533),
    [anon_sym_DASH_EQ] = ACTIONS(4533),
    [anon_sym_STAR_EQ] = ACTIONS(4533),
    [anon_sym_SLASH_EQ] = ACTIONS(4533),
    [anon_sym_PERCENT_EQ] = ACTIONS(4533),
    [anon_sym_AMP_EQ] = ACTIONS(4533),
    [anon_sym_PIPE_EQ] = ACTIONS(4533),
    [anon_sym_CARET_EQ] = ACTIONS(4533),
    [anon_sym_LT_LT_EQ] = ACTIONS(4533),
    [anon_sym_GT_GT_EQ] = ACTIONS(4533),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4533),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4533),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4533),
    [anon_sym_if] = ACTIONS(4533),
    [anon_sym_SEMI] = ACTIONS(4533),
    [anon_sym_do] = ACTIONS(4533),
    [anon_sym_when] = ACTIONS(4533),
    [anon_sym_in] = ACTIONS(4533),
    [anon_sym_QMARK] = ACTIONS(4533),
    [anon_sym_PLUS] = ACTIONS(4535),
    [anon_sym_DASH] = ACTIONS(4535),
    [anon_sym_TILDE] = ACTIONS(4535),
    [anon_sym_AMP] = ACTIONS(4535),
    [anon_sym_PIPE_PIPE] = ACTIONS(4535),
    [anon_sym_or_else] = ACTIONS(4533),
    [anon_sym_AMP_AMP] = ACTIONS(4535),
    [anon_sym_GT] = ACTIONS(4535),
    [anon_sym_GT_EQ] = ACTIONS(4533),
    [anon_sym_LT_EQ] = ACTIONS(4533),
    [anon_sym_LT] = ACTIONS(4535),
    [anon_sym_EQ_EQ] = ACTIONS(4533),
    [anon_sym_BANG_EQ] = ACTIONS(4533),
    [anon_sym_TILDE_EQ] = ACTIONS(4533),
    [anon_sym_PIPE] = ACTIONS(4535),
    [anon_sym_AMP_TILDE] = ACTIONS(4535),
    [anon_sym_LT_LT] = ACTIONS(4535),
    [anon_sym_GT_GT] = ACTIONS(4535),
    [anon_sym_STAR] = ACTIONS(4535),
    [anon_sym_SLASH] = ACTIONS(4535),
    [anon_sym_PERCENT] = ACTIONS(4535),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4533),
    [anon_sym_DOT] = ACTIONS(4535),
    [anon_sym_LBRACK] = ACTIONS(4533),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4533),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4533),
    [anon_sym_not_in] = ACTIONS(4533),
    [anon_sym_or_return] = ACTIONS(4533),
    [anon_sym_or_continue] = ACTIONS(4533),
    [anon_sym_or_break] = ACTIONS(4533),
    [anon_sym_CARET] = ACTIONS(4535),
    [sym_uninitialized] = ACTIONS(6114),
    [sym_tag] = ACTIONS(4533),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1645] = {
    [sym_expression] = STATE(3185),
    [sym__expression_no_tag] = STATE(2689),
    [sym_unary_expression] = STATE(2689),
    [sym_binary_expression] = STATE(2689),
    [sym_ternary_expression] = STATE(2689),
    [sym_call_expression] = STATE(2689),
    [sym_selector_call_expression] = STATE(2689),
    [sym_member_expression] = STATE(2689),
    [sym_index_expression] = STATE(2689),
    [sym_slice_expression] = STATE(2689),
    [sym_range_expression] = STATE(2689),
    [sym_cast_expression] = STATE(2689),
    [sym_in_expression] = STATE(2689),
    [sym_variadic_expression] = STATE(2689),
    [sym_parenthesized_expression] = STATE(2689),
    [sym_or_return_expression] = STATE(2689),
    [sym_or_continue_expression] = STATE(2689),
    [sym_or_break_expression] = STATE(2689),
    [sym_address] = STATE(2689),
    [sym_map_type] = STATE(2689),
    [sym_matrix_type] = STATE(2689),
    [sym_distinct_type] = STATE(2689),
    [sym_literal] = STATE(2689),
    [sym_struct] = STATE(3145),
    [sym_map] = STATE(2871),
    [sym_bit_set] = STATE(2871),
    [sym_matrix] = STATE(2871),
    [sym_string] = STATE(2871),
    [sym__string_literal] = STATE(2874),
    [sym__raw_string_literal] = STATE(2874),
    [sym_character] = STATE(2871),
    [sym_boolean] = STATE(2871),
    [sym_field_identifier] = STATE(7825),
    [sym_identifier] = ACTIONS(493),
    [anon_sym_LBRACE] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_QMARK] = ACTIONS(529),
    [anon_sym_PLUS] = ACTIONS(531),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(531),
    [anon_sym_AMP] = ACTIONS(531),
    [anon_sym_DOT] = ACTIONS(533),
    [anon_sym_LBRACK] = ACTIONS(535),
    [anon_sym_cast] = ACTIONS(497),
    [anon_sym_transmute] = ACTIONS(497),
    [anon_sym_auto_cast] = ACTIONS(499),
    [anon_sym_DOT_DOT] = ACTIONS(6104),
    [anon_sym_map] = ACTIONS(503),
    [anon_sym_bit_set] = ACTIONS(505),
    [anon_sym_matrix] = ACTIONS(507),
    [anon_sym_distinct] = ACTIONS(509),
    [sym_number] = ACTIONS(511),
    [anon_sym_DQUOTE] = ACTIONS(513),
    [anon_sym_BQUOTE] = ACTIONS(515),
    [anon_sym_SQUOTE] = ACTIONS(517),
    [anon_sym_true] = ACTIONS(519),
    [anon_sym_false] = ACTIONS(519),
    [sym_nil] = ACTIONS(521),
    [sym_uninitialized] = ACTIONS(511),
    [sym_tag] = ACTIONS(537),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(511),
    [sym_block_comment] = ACTIONS(3),
  },
  [1646] = {
    [sym_expression] = STATE(5416),
    [sym__expression_no_tag] = STATE(4410),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_ternary_expression] = STATE(4410),
    [sym_call_expression] = STATE(4410),
    [sym_selector_call_expression] = STATE(4410),
    [sym_member_expression] = STATE(4410),
    [sym_index_expression] = STATE(4410),
    [sym_slice_expression] = STATE(4410),
    [sym_range_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_in_expression] = STATE(4410),
    [sym_variadic_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4410),
    [sym_or_return_expression] = STATE(4410),
    [sym_or_continue_expression] = STATE(4410),
    [sym_or_break_expression] = STATE(4410),
    [sym_address] = STATE(4410),
    [sym_map_type] = STATE(4410),
    [sym_matrix_type] = STATE(4410),
    [sym_distinct_type] = STATE(4410),
    [sym_literal] = STATE(4410),
    [sym_struct] = STATE(4333),
    [sym_map] = STATE(4320),
    [sym_bit_set] = STATE(4320),
    [sym_matrix] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym__string_literal] = STATE(4334),
    [sym__raw_string_literal] = STATE(4334),
    [sym_character] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_field_identifier] = STATE(7845),
    [sym_identifier] = ACTIONS(341),
    [anon_sym_LBRACE] = ACTIONS(943),
    [anon_sym_LPAREN] = ACTIONS(945),
    [anon_sym_QMARK] = ACTIONS(3239),
    [anon_sym_PLUS] = ACTIONS(949),
    [anon_sym_DASH] = ACTIONS(951),
    [anon_sym_TILDE] = ACTIONS(949),
    [anon_sym_BANG] = ACTIONS(949),
    [anon_sym_AMP] = ACTIONS(949),
    [anon_sym_DOT] = ACTIONS(953),
    [anon_sym_LBRACK] = ACTIONS(955),
    [anon_sym_cast] = ACTIONS(957),
    [anon_sym_transmute] = ACTIONS(957),
    [anon_sym_auto_cast] = ACTIONS(959),
    [anon_sym_DOT_DOT] = ACTIONS(3241),
    [anon_sym_map] = ACTIONS(351),
    [anon_sym_bit_set] = ACTIONS(353),
    [anon_sym_matrix] = ACTIONS(355),
    [anon_sym_distinct] = ACTIONS(357),
    [sym_number] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(361),
    [anon_sym_BQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [anon_sym_true] = ACTIONS(367),
    [anon_sym_false] = ACTIONS(367),
    [sym_nil] = ACTIONS(369),
    [sym_uninitialized] = ACTIONS(359),
    [sym_tag] = ACTIONS(963),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(359),
    [sym_block_comment] = ACTIONS(3),
  },
  [1647] = {
    [sym_expression] = STATE(3744),
    [sym__expression_no_tag] = STATE(3826),
    [sym_unary_expression] = STATE(3826),
    [sym_binary_expression] = STATE(3826),
    [sym_ternary_expression] = STATE(3826),
    [sym_call_expression] = STATE(3826),
    [sym_selector_call_expression] = STATE(3826),
    [sym_member_expression] = STATE(3826),
    [sym_index_expression] = STATE(3826),
    [sym_slice_expression] = STATE(3826),
    [sym_range_expression] = STATE(3826),
    [sym_cast_expression] = STATE(3826),
    [sym_in_expression] = STATE(3826),
    [sym_variadic_expression] = STATE(3826),
    [sym_parenthesized_expression] = STATE(3826),
    [sym_or_return_expression] = STATE(3826),
    [sym_or_continue_expression] = STATE(3826),
    [sym_or_break_expression] = STATE(3826),
    [sym_address] = STATE(3826),
    [sym_map_type] = STATE(3826),
    [sym_matrix_type] = STATE(3826),
    [sym_distinct_type] = STATE(3826),
    [sym_literal] = STATE(3826),
    [sym_struct] = STATE(3866),
    [sym_map] = STATE(3787),
    [sym_bit_set] = STATE(3787),
    [sym_matrix] = STATE(3787),
    [sym_string] = STATE(3787),
    [sym__string_literal] = STATE(3867),
    [sym__raw_string_literal] = STATE(3867),
    [sym_character] = STATE(3787),
    [sym_boolean] = STATE(3787),
    [sym_field_identifier] = STATE(7783),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_QMARK] = ACTIONS(657),
    [anon_sym_PLUS] = ACTIONS(27),
    [anon_sym_DASH] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(27),
    [anon_sym_DOT] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_cast] = ACTIONS(35),
    [anon_sym_transmute] = ACTIONS(35),
    [anon_sym_auto_cast] = ACTIONS(37),
    [anon_sym_DOT_DOT] = ACTIONS(39),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(611),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [1648] = {
    [sym_expression] = STATE(3877),
    [sym__expression_no_tag] = STATE(3826),
    [sym_unary_expression] = STATE(3826),
    [sym_binary_expression] = STATE(3826),
    [sym_ternary_expression] = STATE(3826),
    [sym_call_expression] = STATE(3826),
    [sym_selector_call_expression] = STATE(3826),
    [sym_member_expression] = STATE(3826),
    [sym_index_expression] = STATE(3826),
    [sym_slice_expression] = STATE(3826),
    [sym_range_expression] = STATE(3826),
    [sym_cast_expression] = STATE(3826),
    [sym_in_expression] = STATE(3826),
    [sym_variadic_expression] = STATE(3826),
    [sym_parenthesized_expression] = STATE(3826),
    [sym_or_return_expression] = STATE(3826),
    [sym_or_continue_expression] = STATE(3826),
    [sym_or_break_expression] = STATE(3826),
    [sym_address] = STATE(3826),
    [sym_map_type] = STATE(3826),
    [sym_matrix_type] = STATE(3826),
    [sym_distinct_type] = STATE(3826),
    [sym_literal] = STATE(3826),
    [sym_struct] = STATE(3866),
    [sym_map] = STATE(3787),
    [sym_bit_set] = STATE(3787),
    [sym_matrix] = STATE(3787),
    [sym_string] = STATE(3787),
    [sym__string_literal] = STATE(3867),
    [sym__raw_string_literal] = STATE(3867),
    [sym_character] = STATE(3787),
    [sym_boolean] = STATE(3787),
    [sym_field_identifier] = STATE(7783),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_QMARK] = ACTIONS(657),
    [anon_sym_PLUS] = ACTIONS(27),
    [anon_sym_DASH] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(27),
    [anon_sym_DOT] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_cast] = ACTIONS(35),
    [anon_sym_transmute] = ACTIONS(35),
    [anon_sym_auto_cast] = ACTIONS(37),
    [anon_sym_DOT_DOT] = ACTIONS(39),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(611),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [1649] = {
    [sym_expression] = STATE(2081),
    [sym__expression_no_tag] = STATE(2219),
    [sym_unary_expression] = STATE(2219),
    [sym_binary_expression] = STATE(2219),
    [sym_ternary_expression] = STATE(2219),
    [sym_call_expression] = STATE(2219),
    [sym_selector_call_expression] = STATE(2219),
    [sym_member_expression] = STATE(2219),
    [sym_index_expression] = STATE(2219),
    [sym_slice_expression] = STATE(2219),
    [sym_range_expression] = STATE(2219),
    [sym_cast_expression] = STATE(2219),
    [sym_in_expression] = STATE(2219),
    [sym_variadic_expression] = STATE(2219),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_or_return_expression] = STATE(2219),
    [sym_or_continue_expression] = STATE(2219),
    [sym_or_break_expression] = STATE(2219),
    [sym_address] = STATE(2219),
    [sym_map_type] = STATE(2219),
    [sym_matrix_type] = STATE(2219),
    [sym_distinct_type] = STATE(2219),
    [sym_literal] = STATE(2219),
    [sym_struct] = STATE(2056),
    [sym_map] = STATE(2054),
    [sym_bit_set] = STATE(2054),
    [sym_matrix] = STATE(2054),
    [sym_string] = STATE(2054),
    [sym__string_literal] = STATE(2057),
    [sym__raw_string_literal] = STATE(2057),
    [sym_character] = STATE(2054),
    [sym_boolean] = STATE(2054),
    [sym_field_identifier] = STATE(7869),
    [sym_identifier] = ACTIONS(207),
    [anon_sym_LBRACE] = ACTIONS(237),
    [anon_sym_LPAREN] = ACTIONS(239),
    [anon_sym_QMARK] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(6042),
    [anon_sym_DASH] = ACTIONS(209),
    [anon_sym_TILDE] = ACTIONS(6042),
    [anon_sym_BANG] = ACTIONS(6042),
    [anon_sym_AMP] = ACTIONS(6042),
    [anon_sym_DOT] = ACTIONS(243),
    [anon_sym_LBRACK] = ACTIONS(245),
    [anon_sym_cast] = ACTIONS(211),
    [anon_sym_transmute] = ACTIONS(211),
    [anon_sym_auto_cast] = ACTIONS(213),
    [anon_sym_DOT_DOT] = ACTIONS(6044),
    [anon_sym_map] = ACTIONS(217),
    [anon_sym_bit_set] = ACTIONS(219),
    [anon_sym_matrix] = ACTIONS(221),
    [anon_sym_distinct] = ACTIONS(223),
    [sym_number] = ACTIONS(225),
    [anon_sym_DQUOTE] = ACTIONS(227),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_SQUOTE] = ACTIONS(231),
    [anon_sym_true] = ACTIONS(233),
    [anon_sym_false] = ACTIONS(233),
    [sym_nil] = ACTIONS(235),
    [sym_uninitialized] = ACTIONS(225),
    [sym_tag] = ACTIONS(247),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(225),
    [sym_block_comment] = ACTIONS(3),
  },
  [1650] = {
    [sym_expression] = STATE(6061),
    [sym__expression_no_tag] = STATE(4978),
    [sym_unary_expression] = STATE(4978),
    [sym_binary_expression] = STATE(4978),
    [sym_ternary_expression] = STATE(4978),
    [sym_call_expression] = STATE(2279),
    [sym_selector_call_expression] = STATE(4978),
    [sym_member_expression] = STATE(4978),
    [sym_index_expression] = STATE(4978),
    [sym_slice_expression] = STATE(4978),
    [sym_range_expression] = STATE(4978),
    [sym_cast_expression] = STATE(4978),
    [sym_in_expression] = STATE(4978),
    [sym_variadic_expression] = STATE(4978),
    [sym_parenthesized_expression] = STATE(4978),
    [sym_or_return_expression] = STATE(4978),
    [sym_or_continue_expression] = STATE(4978),
    [sym_or_break_expression] = STATE(4978),
    [sym_address] = STATE(4978),
    [sym_map_type] = STATE(4978),
    [sym_matrix_type] = STATE(4978),
    [sym_distinct_type] = STATE(4978),
    [sym_literal] = STATE(4978),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(6116),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(6118),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1651] = {
    [aux_sym_struct_type_repeat2] = STATE(1434),
    [anon_sym_LBRACE] = ACTIONS(4519),
    [anon_sym_COMMA] = ACTIONS(4519),
    [anon_sym_COLON_COLON] = ACTIONS(4519),
    [anon_sym_DASH_GT] = ACTIONS(4519),
    [anon_sym_where] = ACTIONS(4519),
    [anon_sym_EQ] = ACTIONS(4521),
    [anon_sym_COLON_EQ] = ACTIONS(4519),
    [anon_sym_COLON] = ACTIONS(4521),
    [anon_sym_LPAREN] = ACTIONS(4519),
    [anon_sym_PLUS_EQ] = ACTIONS(4519),
    [anon_sym_DASH_EQ] = ACTIONS(4519),
    [anon_sym_STAR_EQ] = ACTIONS(4519),
    [anon_sym_SLASH_EQ] = ACTIONS(4519),
    [anon_sym_PERCENT_EQ] = ACTIONS(4519),
    [anon_sym_AMP_EQ] = ACTIONS(4519),
    [anon_sym_PIPE_EQ] = ACTIONS(4519),
    [anon_sym_CARET_EQ] = ACTIONS(4519),
    [anon_sym_LT_LT_EQ] = ACTIONS(4519),
    [anon_sym_GT_GT_EQ] = ACTIONS(4519),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4519),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4519),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4519),
    [anon_sym_if] = ACTIONS(4519),
    [anon_sym_SEMI] = ACTIONS(4519),
    [anon_sym_do] = ACTIONS(4519),
    [anon_sym_when] = ACTIONS(4519),
    [anon_sym_in] = ACTIONS(4519),
    [anon_sym_QMARK] = ACTIONS(4519),
    [anon_sym_PLUS] = ACTIONS(4521),
    [anon_sym_DASH] = ACTIONS(4521),
    [anon_sym_TILDE] = ACTIONS(4521),
    [anon_sym_AMP] = ACTIONS(4521),
    [anon_sym_PIPE_PIPE] = ACTIONS(4521),
    [anon_sym_or_else] = ACTIONS(4519),
    [anon_sym_AMP_AMP] = ACTIONS(4521),
    [anon_sym_GT] = ACTIONS(4521),
    [anon_sym_GT_EQ] = ACTIONS(4519),
    [anon_sym_LT_EQ] = ACTIONS(4519),
    [anon_sym_LT] = ACTIONS(4521),
    [anon_sym_EQ_EQ] = ACTIONS(4519),
    [anon_sym_BANG_EQ] = ACTIONS(4519),
    [anon_sym_TILDE_EQ] = ACTIONS(4519),
    [anon_sym_PIPE] = ACTIONS(4521),
    [anon_sym_AMP_TILDE] = ACTIONS(4521),
    [anon_sym_LT_LT] = ACTIONS(4521),
    [anon_sym_GT_GT] = ACTIONS(4521),
    [anon_sym_STAR] = ACTIONS(4521),
    [anon_sym_SLASH] = ACTIONS(4521),
    [anon_sym_PERCENT] = ACTIONS(4521),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4519),
    [anon_sym_DOT] = ACTIONS(4521),
    [anon_sym_LBRACK] = ACTIONS(4519),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4519),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4519),
    [anon_sym_not_in] = ACTIONS(4519),
    [anon_sym_or_return] = ACTIONS(4519),
    [anon_sym_or_continue] = ACTIONS(4519),
    [anon_sym_or_break] = ACTIONS(4519),
    [anon_sym_CARET] = ACTIONS(4521),
    [sym_uninitialized] = ACTIONS(4519),
    [sym_tag] = ACTIONS(4519),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1652] = {
    [sym_expression] = STATE(5626),
    [sym__expression_no_tag] = STATE(4572),
    [sym_unary_expression] = STATE(4572),
    [sym_binary_expression] = STATE(4572),
    [sym_ternary_expression] = STATE(4572),
    [sym_call_expression] = STATE(4572),
    [sym_selector_call_expression] = STATE(4572),
    [sym_member_expression] = STATE(4572),
    [sym_index_expression] = STATE(4572),
    [sym_slice_expression] = STATE(4572),
    [sym_range_expression] = STATE(4572),
    [sym_cast_expression] = STATE(4572),
    [sym_in_expression] = STATE(4572),
    [sym_variadic_expression] = STATE(4572),
    [sym_parenthesized_expression] = STATE(4572),
    [sym_or_return_expression] = STATE(4572),
    [sym_or_continue_expression] = STATE(4572),
    [sym_or_break_expression] = STATE(4572),
    [sym_address] = STATE(4572),
    [sym_map_type] = STATE(4572),
    [sym_matrix_type] = STATE(4572),
    [sym_distinct_type] = STATE(4572),
    [sym_literal] = STATE(4572),
    [sym_struct] = STATE(4562),
    [sym_map] = STATE(4320),
    [sym_bit_set] = STATE(4320),
    [sym_matrix] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym__string_literal] = STATE(4334),
    [sym__raw_string_literal] = STATE(4334),
    [sym_character] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_field_identifier] = STATE(7845),
    [sym_identifier] = ACTIONS(341),
    [anon_sym_LBRACE] = ACTIONS(943),
    [anon_sym_LPAREN] = ACTIONS(1396),
    [anon_sym_QMARK] = ACTIONS(385),
    [anon_sym_PLUS] = ACTIONS(1400),
    [anon_sym_DASH] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(1400),
    [anon_sym_BANG] = ACTIONS(1400),
    [anon_sym_AMP] = ACTIONS(1400),
    [anon_sym_DOT] = ACTIONS(1402),
    [anon_sym_LBRACK] = ACTIONS(955),
    [anon_sym_cast] = ACTIONS(345),
    [anon_sym_transmute] = ACTIONS(345),
    [anon_sym_auto_cast] = ACTIONS(347),
    [anon_sym_DOT_DOT] = ACTIONS(6073),
    [anon_sym_map] = ACTIONS(351),
    [anon_sym_bit_set] = ACTIONS(353),
    [anon_sym_matrix] = ACTIONS(355),
    [anon_sym_distinct] = ACTIONS(357),
    [sym_number] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(361),
    [anon_sym_BQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [anon_sym_true] = ACTIONS(367),
    [anon_sym_false] = ACTIONS(367),
    [sym_nil] = ACTIONS(369),
    [sym_uninitialized] = ACTIONS(359),
    [sym_tag] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(359),
    [sym_block_comment] = ACTIONS(3),
  },
  [1653] = {
    [sym_expression] = STATE(5604),
    [sym__expression_no_tag] = STATE(4410),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_ternary_expression] = STATE(4410),
    [sym_call_expression] = STATE(4410),
    [sym_selector_call_expression] = STATE(4410),
    [sym_member_expression] = STATE(4410),
    [sym_index_expression] = STATE(4410),
    [sym_slice_expression] = STATE(4410),
    [sym_range_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_in_expression] = STATE(4410),
    [sym_variadic_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4410),
    [sym_or_return_expression] = STATE(4410),
    [sym_or_continue_expression] = STATE(4410),
    [sym_or_break_expression] = STATE(4410),
    [sym_address] = STATE(4410),
    [sym_map_type] = STATE(4410),
    [sym_matrix_type] = STATE(4410),
    [sym_distinct_type] = STATE(4410),
    [sym_literal] = STATE(4410),
    [sym_struct] = STATE(4333),
    [sym_map] = STATE(4320),
    [sym_bit_set] = STATE(4320),
    [sym_matrix] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym__string_literal] = STATE(4334),
    [sym__raw_string_literal] = STATE(4334),
    [sym_character] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_field_identifier] = STATE(7845),
    [sym_identifier] = ACTIONS(341),
    [anon_sym_LBRACE] = ACTIONS(943),
    [anon_sym_LPAREN] = ACTIONS(945),
    [anon_sym_QMARK] = ACTIONS(3239),
    [anon_sym_PLUS] = ACTIONS(949),
    [anon_sym_DASH] = ACTIONS(951),
    [anon_sym_TILDE] = ACTIONS(949),
    [anon_sym_BANG] = ACTIONS(949),
    [anon_sym_AMP] = ACTIONS(949),
    [anon_sym_DOT] = ACTIONS(953),
    [anon_sym_LBRACK] = ACTIONS(955),
    [anon_sym_cast] = ACTIONS(957),
    [anon_sym_transmute] = ACTIONS(957),
    [anon_sym_auto_cast] = ACTIONS(959),
    [anon_sym_DOT_DOT] = ACTIONS(3241),
    [anon_sym_map] = ACTIONS(351),
    [anon_sym_bit_set] = ACTIONS(353),
    [anon_sym_matrix] = ACTIONS(355),
    [anon_sym_distinct] = ACTIONS(357),
    [sym_number] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(361),
    [anon_sym_BQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [anon_sym_true] = ACTIONS(367),
    [anon_sym_false] = ACTIONS(367),
    [sym_nil] = ACTIONS(369),
    [sym_uninitialized] = ACTIONS(359),
    [sym_tag] = ACTIONS(963),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(359),
    [sym_block_comment] = ACTIONS(3),
  },
  [1654] = {
    [sym_expression] = STATE(3765),
    [sym__expression_no_tag] = STATE(3826),
    [sym_unary_expression] = STATE(3826),
    [sym_binary_expression] = STATE(3826),
    [sym_ternary_expression] = STATE(3826),
    [sym_call_expression] = STATE(3826),
    [sym_selector_call_expression] = STATE(3826),
    [sym_member_expression] = STATE(3826),
    [sym_index_expression] = STATE(3826),
    [sym_slice_expression] = STATE(3826),
    [sym_range_expression] = STATE(3826),
    [sym_cast_expression] = STATE(3826),
    [sym_in_expression] = STATE(3826),
    [sym_variadic_expression] = STATE(3826),
    [sym_parenthesized_expression] = STATE(3826),
    [sym_or_return_expression] = STATE(3826),
    [sym_or_continue_expression] = STATE(3826),
    [sym_or_break_expression] = STATE(3826),
    [sym_address] = STATE(3826),
    [sym_map_type] = STATE(3826),
    [sym_matrix_type] = STATE(3826),
    [sym_distinct_type] = STATE(3826),
    [sym_literal] = STATE(3826),
    [sym_struct] = STATE(3866),
    [sym_map] = STATE(3787),
    [sym_bit_set] = STATE(3787),
    [sym_matrix] = STATE(3787),
    [sym_string] = STATE(3787),
    [sym__string_literal] = STATE(3867),
    [sym__raw_string_literal] = STATE(3867),
    [sym_character] = STATE(3787),
    [sym_boolean] = STATE(3787),
    [sym_field_identifier] = STATE(7783),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_QMARK] = ACTIONS(657),
    [anon_sym_PLUS] = ACTIONS(27),
    [anon_sym_DASH] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(27),
    [anon_sym_DOT] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_cast] = ACTIONS(35),
    [anon_sym_transmute] = ACTIONS(35),
    [anon_sym_auto_cast] = ACTIONS(37),
    [anon_sym_DOT_DOT] = ACTIONS(39),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(611),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [1655] = {
    [sym_expression] = STATE(4434),
    [sym__expression_no_tag] = STATE(4431),
    [sym_unary_expression] = STATE(4431),
    [sym_binary_expression] = STATE(4431),
    [sym_ternary_expression] = STATE(4431),
    [sym_call_expression] = STATE(4431),
    [sym_selector_call_expression] = STATE(4431),
    [sym_member_expression] = STATE(4431),
    [sym_index_expression] = STATE(4431),
    [sym_slice_expression] = STATE(4431),
    [sym_range_expression] = STATE(4431),
    [sym_cast_expression] = STATE(4431),
    [sym_in_expression] = STATE(4431),
    [sym_variadic_expression] = STATE(4431),
    [sym_parenthesized_expression] = STATE(4431),
    [sym_or_return_expression] = STATE(4431),
    [sym_or_continue_expression] = STATE(4431),
    [sym_or_break_expression] = STATE(4431),
    [sym_address] = STATE(4431),
    [sym_map_type] = STATE(4431),
    [sym_matrix_type] = STATE(4431),
    [sym_distinct_type] = STATE(4431),
    [sym_literal] = STATE(4431),
    [sym_struct] = STATE(4333),
    [sym_map] = STATE(4320),
    [sym_bit_set] = STATE(4320),
    [sym_matrix] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym__string_literal] = STATE(4334),
    [sym__raw_string_literal] = STATE(4334),
    [sym_character] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_field_identifier] = STATE(7845),
    [sym_identifier] = ACTIONS(341),
    [anon_sym_LBRACE] = ACTIONS(943),
    [anon_sym_LPAREN] = ACTIONS(945),
    [anon_sym_QMARK] = ACTIONS(947),
    [anon_sym_PLUS] = ACTIONS(949),
    [anon_sym_DASH] = ACTIONS(951),
    [anon_sym_TILDE] = ACTIONS(949),
    [anon_sym_BANG] = ACTIONS(949),
    [anon_sym_AMP] = ACTIONS(949),
    [anon_sym_DOT] = ACTIONS(953),
    [anon_sym_LBRACK] = ACTIONS(955),
    [anon_sym_cast] = ACTIONS(957),
    [anon_sym_transmute] = ACTIONS(957),
    [anon_sym_auto_cast] = ACTIONS(959),
    [anon_sym_DOT_DOT] = ACTIONS(3241),
    [anon_sym_map] = ACTIONS(351),
    [anon_sym_bit_set] = ACTIONS(353),
    [anon_sym_matrix] = ACTIONS(355),
    [anon_sym_distinct] = ACTIONS(357),
    [sym_number] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(361),
    [anon_sym_BQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [anon_sym_true] = ACTIONS(367),
    [anon_sym_false] = ACTIONS(367),
    [sym_nil] = ACTIONS(369),
    [sym_uninitialized] = ACTIONS(359),
    [sym_tag] = ACTIONS(963),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(359),
    [sym_block_comment] = ACTIONS(3),
  },
  [1656] = {
    [sym_expression] = STATE(3186),
    [sym__expression_no_tag] = STATE(2689),
    [sym_unary_expression] = STATE(2689),
    [sym_binary_expression] = STATE(2689),
    [sym_ternary_expression] = STATE(2689),
    [sym_call_expression] = STATE(2689),
    [sym_selector_call_expression] = STATE(2689),
    [sym_member_expression] = STATE(2689),
    [sym_index_expression] = STATE(2689),
    [sym_slice_expression] = STATE(2689),
    [sym_range_expression] = STATE(2689),
    [sym_cast_expression] = STATE(2689),
    [sym_in_expression] = STATE(2689),
    [sym_variadic_expression] = STATE(2689),
    [sym_parenthesized_expression] = STATE(2689),
    [sym_or_return_expression] = STATE(2689),
    [sym_or_continue_expression] = STATE(2689),
    [sym_or_break_expression] = STATE(2689),
    [sym_address] = STATE(2689),
    [sym_map_type] = STATE(2689),
    [sym_matrix_type] = STATE(2689),
    [sym_distinct_type] = STATE(2689),
    [sym_literal] = STATE(2689),
    [sym_struct] = STATE(3145),
    [sym_map] = STATE(2871),
    [sym_bit_set] = STATE(2871),
    [sym_matrix] = STATE(2871),
    [sym_string] = STATE(2871),
    [sym__string_literal] = STATE(2874),
    [sym__raw_string_literal] = STATE(2874),
    [sym_character] = STATE(2871),
    [sym_boolean] = STATE(2871),
    [sym_field_identifier] = STATE(7825),
    [sym_identifier] = ACTIONS(493),
    [anon_sym_LBRACE] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_QMARK] = ACTIONS(529),
    [anon_sym_PLUS] = ACTIONS(531),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(531),
    [anon_sym_AMP] = ACTIONS(531),
    [anon_sym_DOT] = ACTIONS(533),
    [anon_sym_LBRACK] = ACTIONS(535),
    [anon_sym_cast] = ACTIONS(497),
    [anon_sym_transmute] = ACTIONS(497),
    [anon_sym_auto_cast] = ACTIONS(499),
    [anon_sym_DOT_DOT] = ACTIONS(6104),
    [anon_sym_map] = ACTIONS(503),
    [anon_sym_bit_set] = ACTIONS(505),
    [anon_sym_matrix] = ACTIONS(507),
    [anon_sym_distinct] = ACTIONS(509),
    [sym_number] = ACTIONS(511),
    [anon_sym_DQUOTE] = ACTIONS(513),
    [anon_sym_BQUOTE] = ACTIONS(515),
    [anon_sym_SQUOTE] = ACTIONS(517),
    [anon_sym_true] = ACTIONS(519),
    [anon_sym_false] = ACTIONS(519),
    [sym_nil] = ACTIONS(521),
    [sym_uninitialized] = ACTIONS(511),
    [sym_tag] = ACTIONS(537),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(511),
    [sym_block_comment] = ACTIONS(3),
  },
  [1657] = {
    [sym_expression] = STATE(3870),
    [sym__expression_no_tag] = STATE(3826),
    [sym_unary_expression] = STATE(3826),
    [sym_binary_expression] = STATE(3826),
    [sym_ternary_expression] = STATE(3826),
    [sym_call_expression] = STATE(3826),
    [sym_selector_call_expression] = STATE(3826),
    [sym_member_expression] = STATE(3826),
    [sym_index_expression] = STATE(3826),
    [sym_slice_expression] = STATE(3826),
    [sym_range_expression] = STATE(3826),
    [sym_cast_expression] = STATE(3826),
    [sym_in_expression] = STATE(3826),
    [sym_variadic_expression] = STATE(3826),
    [sym_parenthesized_expression] = STATE(3826),
    [sym_or_return_expression] = STATE(3826),
    [sym_or_continue_expression] = STATE(3826),
    [sym_or_break_expression] = STATE(3826),
    [sym_address] = STATE(3826),
    [sym_map_type] = STATE(3826),
    [sym_matrix_type] = STATE(3826),
    [sym_distinct_type] = STATE(3826),
    [sym_literal] = STATE(3826),
    [sym_struct] = STATE(3866),
    [sym_map] = STATE(3787),
    [sym_bit_set] = STATE(3787),
    [sym_matrix] = STATE(3787),
    [sym_string] = STATE(3787),
    [sym__string_literal] = STATE(3867),
    [sym__raw_string_literal] = STATE(3867),
    [sym_character] = STATE(3787),
    [sym_boolean] = STATE(3787),
    [sym_field_identifier] = STATE(7783),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_QMARK] = ACTIONS(657),
    [anon_sym_PLUS] = ACTIONS(27),
    [anon_sym_DASH] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(27),
    [anon_sym_DOT] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_cast] = ACTIONS(35),
    [anon_sym_transmute] = ACTIONS(35),
    [anon_sym_auto_cast] = ACTIONS(37),
    [anon_sym_DOT_DOT] = ACTIONS(39),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(611),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [1658] = {
    [sym_expression] = STATE(3036),
    [sym__expression_no_tag] = STATE(2689),
    [sym_unary_expression] = STATE(2689),
    [sym_binary_expression] = STATE(2689),
    [sym_ternary_expression] = STATE(2689),
    [sym_call_expression] = STATE(2689),
    [sym_selector_call_expression] = STATE(2689),
    [sym_member_expression] = STATE(2689),
    [sym_index_expression] = STATE(2689),
    [sym_slice_expression] = STATE(2689),
    [sym_range_expression] = STATE(2689),
    [sym_cast_expression] = STATE(2689),
    [sym_in_expression] = STATE(2689),
    [sym_variadic_expression] = STATE(2689),
    [sym_parenthesized_expression] = STATE(2689),
    [sym_or_return_expression] = STATE(2689),
    [sym_or_continue_expression] = STATE(2689),
    [sym_or_break_expression] = STATE(2689),
    [sym_address] = STATE(2689),
    [sym_map_type] = STATE(2689),
    [sym_matrix_type] = STATE(2689),
    [sym_distinct_type] = STATE(2689),
    [sym_literal] = STATE(2689),
    [sym_struct] = STATE(3145),
    [sym_map] = STATE(2871),
    [sym_bit_set] = STATE(2871),
    [sym_matrix] = STATE(2871),
    [sym_string] = STATE(2871),
    [sym__string_literal] = STATE(2874),
    [sym__raw_string_literal] = STATE(2874),
    [sym_character] = STATE(2871),
    [sym_boolean] = STATE(2871),
    [sym_field_identifier] = STATE(7825),
    [sym_identifier] = ACTIONS(493),
    [anon_sym_LBRACE] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_QMARK] = ACTIONS(529),
    [anon_sym_PLUS] = ACTIONS(531),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(531),
    [anon_sym_AMP] = ACTIONS(531),
    [anon_sym_DOT] = ACTIONS(533),
    [anon_sym_LBRACK] = ACTIONS(535),
    [anon_sym_cast] = ACTIONS(497),
    [anon_sym_transmute] = ACTIONS(497),
    [anon_sym_auto_cast] = ACTIONS(499),
    [anon_sym_DOT_DOT] = ACTIONS(6104),
    [anon_sym_map] = ACTIONS(503),
    [anon_sym_bit_set] = ACTIONS(505),
    [anon_sym_matrix] = ACTIONS(507),
    [anon_sym_distinct] = ACTIONS(509),
    [sym_number] = ACTIONS(511),
    [anon_sym_DQUOTE] = ACTIONS(513),
    [anon_sym_BQUOTE] = ACTIONS(515),
    [anon_sym_SQUOTE] = ACTIONS(517),
    [anon_sym_true] = ACTIONS(519),
    [anon_sym_false] = ACTIONS(519),
    [sym_nil] = ACTIONS(521),
    [sym_uninitialized] = ACTIONS(511),
    [sym_tag] = ACTIONS(537),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(511),
    [sym_block_comment] = ACTIONS(3),
  },
  [1659] = {
    [aux_sym_struct_type_repeat2] = STATE(1434),
    [anon_sym_LBRACE] = ACTIONS(4626),
    [anon_sym_COMMA] = ACTIONS(4626),
    [anon_sym_COLON_COLON] = ACTIONS(4626),
    [anon_sym_DASH_GT] = ACTIONS(4626),
    [anon_sym_where] = ACTIONS(4626),
    [anon_sym_EQ] = ACTIONS(4628),
    [anon_sym_COLON_EQ] = ACTIONS(4626),
    [anon_sym_COLON] = ACTIONS(4628),
    [anon_sym_LPAREN] = ACTIONS(4626),
    [anon_sym_PLUS_EQ] = ACTIONS(4626),
    [anon_sym_DASH_EQ] = ACTIONS(4626),
    [anon_sym_STAR_EQ] = ACTIONS(4626),
    [anon_sym_SLASH_EQ] = ACTIONS(4626),
    [anon_sym_PERCENT_EQ] = ACTIONS(4626),
    [anon_sym_AMP_EQ] = ACTIONS(4626),
    [anon_sym_PIPE_EQ] = ACTIONS(4626),
    [anon_sym_CARET_EQ] = ACTIONS(4626),
    [anon_sym_LT_LT_EQ] = ACTIONS(4626),
    [anon_sym_GT_GT_EQ] = ACTIONS(4626),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4626),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4626),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4626),
    [anon_sym_if] = ACTIONS(4626),
    [anon_sym_SEMI] = ACTIONS(4626),
    [anon_sym_do] = ACTIONS(4626),
    [anon_sym_when] = ACTIONS(4626),
    [anon_sym_in] = ACTIONS(4626),
    [anon_sym_QMARK] = ACTIONS(4626),
    [anon_sym_PLUS] = ACTIONS(4628),
    [anon_sym_DASH] = ACTIONS(4628),
    [anon_sym_TILDE] = ACTIONS(4628),
    [anon_sym_AMP] = ACTIONS(4628),
    [anon_sym_PIPE_PIPE] = ACTIONS(4628),
    [anon_sym_or_else] = ACTIONS(4626),
    [anon_sym_AMP_AMP] = ACTIONS(4628),
    [anon_sym_GT] = ACTIONS(4628),
    [anon_sym_GT_EQ] = ACTIONS(4626),
    [anon_sym_LT_EQ] = ACTIONS(4626),
    [anon_sym_LT] = ACTIONS(4628),
    [anon_sym_EQ_EQ] = ACTIONS(4626),
    [anon_sym_BANG_EQ] = ACTIONS(4626),
    [anon_sym_TILDE_EQ] = ACTIONS(4626),
    [anon_sym_PIPE] = ACTIONS(4628),
    [anon_sym_AMP_TILDE] = ACTIONS(4628),
    [anon_sym_LT_LT] = ACTIONS(4628),
    [anon_sym_GT_GT] = ACTIONS(4628),
    [anon_sym_STAR] = ACTIONS(4628),
    [anon_sym_SLASH] = ACTIONS(4628),
    [anon_sym_PERCENT] = ACTIONS(4628),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4626),
    [anon_sym_DOT] = ACTIONS(4628),
    [anon_sym_LBRACK] = ACTIONS(4626),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4626),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4626),
    [anon_sym_not_in] = ACTIONS(4626),
    [anon_sym_or_return] = ACTIONS(4626),
    [anon_sym_or_continue] = ACTIONS(4626),
    [anon_sym_or_break] = ACTIONS(4626),
    [anon_sym_CARET] = ACTIONS(4628),
    [sym_uninitialized] = ACTIONS(4626),
    [sym_tag] = ACTIONS(4626),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1660] = {
    [anon_sym_LBRACE] = ACTIONS(3977),
    [anon_sym_COMMA] = ACTIONS(3977),
    [anon_sym_COLON_COLON] = ACTIONS(3977),
    [anon_sym_DASH_GT] = ACTIONS(3977),
    [anon_sym_where] = ACTIONS(3977),
    [anon_sym_EQ] = ACTIONS(3979),
    [anon_sym_COLON_EQ] = ACTIONS(3977),
    [anon_sym_COLON] = ACTIONS(3979),
    [anon_sym_LPAREN] = ACTIONS(3977),
    [anon_sym_PLUS_EQ] = ACTIONS(3977),
    [anon_sym_DASH_EQ] = ACTIONS(3977),
    [anon_sym_STAR_EQ] = ACTIONS(3977),
    [anon_sym_SLASH_EQ] = ACTIONS(3977),
    [anon_sym_PERCENT_EQ] = ACTIONS(3977),
    [anon_sym_AMP_EQ] = ACTIONS(3977),
    [anon_sym_PIPE_EQ] = ACTIONS(3977),
    [anon_sym_CARET_EQ] = ACTIONS(3977),
    [anon_sym_LT_LT_EQ] = ACTIONS(3977),
    [anon_sym_GT_GT_EQ] = ACTIONS(3977),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(3977),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(3977),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(3977),
    [anon_sym_if] = ACTIONS(3977),
    [anon_sym_SEMI] = ACTIONS(3977),
    [anon_sym_do] = ACTIONS(3977),
    [anon_sym_when] = ACTIONS(3977),
    [anon_sym_in] = ACTIONS(3977),
    [anon_sym_QMARK] = ACTIONS(3977),
    [anon_sym_PLUS] = ACTIONS(3979),
    [anon_sym_DASH] = ACTIONS(3979),
    [anon_sym_TILDE] = ACTIONS(3979),
    [anon_sym_AMP] = ACTIONS(3979),
    [anon_sym_PIPE_PIPE] = ACTIONS(3979),
    [anon_sym_or_else] = ACTIONS(3977),
    [anon_sym_AMP_AMP] = ACTIONS(3979),
    [anon_sym_GT] = ACTIONS(3979),
    [anon_sym_GT_EQ] = ACTIONS(3977),
    [anon_sym_LT_EQ] = ACTIONS(3977),
    [anon_sym_LT] = ACTIONS(3979),
    [anon_sym_EQ_EQ] = ACTIONS(3977),
    [anon_sym_BANG_EQ] = ACTIONS(3977),
    [anon_sym_TILDE_EQ] = ACTIONS(3977),
    [anon_sym_PIPE] = ACTIONS(3979),
    [anon_sym_AMP_TILDE] = ACTIONS(3979),
    [anon_sym_LT_LT] = ACTIONS(3979),
    [anon_sym_GT_GT] = ACTIONS(3979),
    [anon_sym_STAR] = ACTIONS(3979),
    [anon_sym_SLASH] = ACTIONS(3979),
    [anon_sym_PERCENT] = ACTIONS(3979),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(3977),
    [anon_sym_DOT] = ACTIONS(3979),
    [anon_sym_LBRACK] = ACTIONS(3977),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(3977),
    [anon_sym_DOT_DOT_LT] = ACTIONS(3977),
    [anon_sym_not_in] = ACTIONS(3977),
    [anon_sym_or_return] = ACTIONS(3977),
    [anon_sym_or_continue] = ACTIONS(3977),
    [anon_sym_or_break] = ACTIONS(3977),
    [anon_sym_CARET] = ACTIONS(3979),
    [anon_sym_DOT2] = ACTIONS(3979),
    [sym_uninitialized] = ACTIONS(3977),
    [sym_tag] = ACTIONS(3977),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1661] = {
    [sym_expression] = STATE(3187),
    [sym__expression_no_tag] = STATE(2689),
    [sym_unary_expression] = STATE(2689),
    [sym_binary_expression] = STATE(2689),
    [sym_ternary_expression] = STATE(2689),
    [sym_call_expression] = STATE(2689),
    [sym_selector_call_expression] = STATE(2689),
    [sym_member_expression] = STATE(2689),
    [sym_index_expression] = STATE(2689),
    [sym_slice_expression] = STATE(2689),
    [sym_range_expression] = STATE(2689),
    [sym_cast_expression] = STATE(2689),
    [sym_in_expression] = STATE(2689),
    [sym_variadic_expression] = STATE(2689),
    [sym_parenthesized_expression] = STATE(2689),
    [sym_or_return_expression] = STATE(2689),
    [sym_or_continue_expression] = STATE(2689),
    [sym_or_break_expression] = STATE(2689),
    [sym_address] = STATE(2689),
    [sym_map_type] = STATE(2689),
    [sym_matrix_type] = STATE(2689),
    [sym_distinct_type] = STATE(2689),
    [sym_literal] = STATE(2689),
    [sym_struct] = STATE(3145),
    [sym_map] = STATE(2871),
    [sym_bit_set] = STATE(2871),
    [sym_matrix] = STATE(2871),
    [sym_string] = STATE(2871),
    [sym__string_literal] = STATE(2874),
    [sym__raw_string_literal] = STATE(2874),
    [sym_character] = STATE(2871),
    [sym_boolean] = STATE(2871),
    [sym_field_identifier] = STATE(7825),
    [sym_identifier] = ACTIONS(493),
    [anon_sym_LBRACE] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_QMARK] = ACTIONS(529),
    [anon_sym_PLUS] = ACTIONS(531),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(531),
    [anon_sym_AMP] = ACTIONS(531),
    [anon_sym_DOT] = ACTIONS(533),
    [anon_sym_LBRACK] = ACTIONS(535),
    [anon_sym_cast] = ACTIONS(497),
    [anon_sym_transmute] = ACTIONS(497),
    [anon_sym_auto_cast] = ACTIONS(499),
    [anon_sym_DOT_DOT] = ACTIONS(6104),
    [anon_sym_map] = ACTIONS(503),
    [anon_sym_bit_set] = ACTIONS(505),
    [anon_sym_matrix] = ACTIONS(507),
    [anon_sym_distinct] = ACTIONS(509),
    [sym_number] = ACTIONS(511),
    [anon_sym_DQUOTE] = ACTIONS(513),
    [anon_sym_BQUOTE] = ACTIONS(515),
    [anon_sym_SQUOTE] = ACTIONS(517),
    [anon_sym_true] = ACTIONS(519),
    [anon_sym_false] = ACTIONS(519),
    [sym_nil] = ACTIONS(521),
    [sym_uninitialized] = ACTIONS(511),
    [sym_tag] = ACTIONS(537),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(511),
    [sym_block_comment] = ACTIONS(3),
  },
  [1662] = {
    [sym_expression] = STATE(5360),
    [sym__expression_no_tag] = STATE(4385),
    [sym_unary_expression] = STATE(4385),
    [sym_binary_expression] = STATE(4385),
    [sym_ternary_expression] = STATE(4385),
    [sym_call_expression] = STATE(4385),
    [sym_selector_call_expression] = STATE(4385),
    [sym_member_expression] = STATE(4385),
    [sym_index_expression] = STATE(4385),
    [sym_slice_expression] = STATE(4385),
    [sym_range_expression] = STATE(4385),
    [sym_cast_expression] = STATE(4385),
    [sym_in_expression] = STATE(4385),
    [sym_variadic_expression] = STATE(4385),
    [sym_parenthesized_expression] = STATE(4385),
    [sym_or_return_expression] = STATE(4385),
    [sym_or_continue_expression] = STATE(4385),
    [sym_or_break_expression] = STATE(4385),
    [sym_address] = STATE(4385),
    [sym_map_type] = STATE(4385),
    [sym_matrix_type] = STATE(4385),
    [sym_distinct_type] = STATE(4385),
    [sym_literal] = STATE(4385),
    [sym_struct] = STATE(4394),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(925),
    [anon_sym_QMARK] = ACTIONS(1240),
    [anon_sym_PLUS] = ACTIONS(929),
    [anon_sym_DASH] = ACTIONS(931),
    [anon_sym_TILDE] = ACTIONS(929),
    [anon_sym_BANG] = ACTIONS(929),
    [anon_sym_AMP] = ACTIONS(929),
    [anon_sym_DOT] = ACTIONS(933),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(935),
    [anon_sym_transmute] = ACTIONS(935),
    [anon_sym_auto_cast] = ACTIONS(937),
    [anon_sym_DOT_DOT] = ACTIONS(4422),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(4424),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1663] = {
    [sym_expression] = STATE(4330),
    [sym__expression_no_tag] = STATE(4431),
    [sym_unary_expression] = STATE(4431),
    [sym_binary_expression] = STATE(4431),
    [sym_ternary_expression] = STATE(4431),
    [sym_call_expression] = STATE(4431),
    [sym_selector_call_expression] = STATE(4431),
    [sym_member_expression] = STATE(4431),
    [sym_index_expression] = STATE(4431),
    [sym_slice_expression] = STATE(4431),
    [sym_range_expression] = STATE(4431),
    [sym_cast_expression] = STATE(4431),
    [sym_in_expression] = STATE(4431),
    [sym_variadic_expression] = STATE(4431),
    [sym_parenthesized_expression] = STATE(4431),
    [sym_or_return_expression] = STATE(4431),
    [sym_or_continue_expression] = STATE(4431),
    [sym_or_break_expression] = STATE(4431),
    [sym_address] = STATE(4431),
    [sym_map_type] = STATE(4431),
    [sym_matrix_type] = STATE(4431),
    [sym_distinct_type] = STATE(4431),
    [sym_literal] = STATE(4431),
    [sym_struct] = STATE(4333),
    [sym_map] = STATE(4320),
    [sym_bit_set] = STATE(4320),
    [sym_matrix] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym__string_literal] = STATE(4334),
    [sym__raw_string_literal] = STATE(4334),
    [sym_character] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_field_identifier] = STATE(7845),
    [sym_identifier] = ACTIONS(341),
    [anon_sym_LBRACE] = ACTIONS(943),
    [anon_sym_LPAREN] = ACTIONS(945),
    [anon_sym_QMARK] = ACTIONS(947),
    [anon_sym_PLUS] = ACTIONS(949),
    [anon_sym_DASH] = ACTIONS(951),
    [anon_sym_TILDE] = ACTIONS(949),
    [anon_sym_BANG] = ACTIONS(949),
    [anon_sym_AMP] = ACTIONS(949),
    [anon_sym_DOT] = ACTIONS(953),
    [anon_sym_LBRACK] = ACTIONS(955),
    [anon_sym_cast] = ACTIONS(957),
    [anon_sym_transmute] = ACTIONS(957),
    [anon_sym_auto_cast] = ACTIONS(959),
    [anon_sym_DOT_DOT] = ACTIONS(3241),
    [anon_sym_map] = ACTIONS(351),
    [anon_sym_bit_set] = ACTIONS(353),
    [anon_sym_matrix] = ACTIONS(355),
    [anon_sym_distinct] = ACTIONS(357),
    [sym_number] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(361),
    [anon_sym_BQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [anon_sym_true] = ACTIONS(367),
    [anon_sym_false] = ACTIONS(367),
    [sym_nil] = ACTIONS(369),
    [sym_uninitialized] = ACTIONS(359),
    [sym_tag] = ACTIONS(963),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(359),
    [sym_block_comment] = ACTIONS(3),
  },
  [1664] = {
    [sym_expression] = STATE(5554),
    [sym__expression_no_tag] = STATE(4385),
    [sym_unary_expression] = STATE(4385),
    [sym_binary_expression] = STATE(4385),
    [sym_ternary_expression] = STATE(4385),
    [sym_call_expression] = STATE(4385),
    [sym_selector_call_expression] = STATE(4385),
    [sym_member_expression] = STATE(4385),
    [sym_index_expression] = STATE(4385),
    [sym_slice_expression] = STATE(4385),
    [sym_range_expression] = STATE(4385),
    [sym_cast_expression] = STATE(4385),
    [sym_in_expression] = STATE(4385),
    [sym_variadic_expression] = STATE(4385),
    [sym_parenthesized_expression] = STATE(4385),
    [sym_or_return_expression] = STATE(4385),
    [sym_or_continue_expression] = STATE(4385),
    [sym_or_break_expression] = STATE(4385),
    [sym_address] = STATE(4385),
    [sym_map_type] = STATE(4385),
    [sym_matrix_type] = STATE(4385),
    [sym_distinct_type] = STATE(4385),
    [sym_literal] = STATE(4385),
    [sym_struct] = STATE(4394),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(925),
    [anon_sym_QMARK] = ACTIONS(1240),
    [anon_sym_PLUS] = ACTIONS(929),
    [anon_sym_DASH] = ACTIONS(931),
    [anon_sym_TILDE] = ACTIONS(929),
    [anon_sym_BANG] = ACTIONS(929),
    [anon_sym_AMP] = ACTIONS(929),
    [anon_sym_DOT] = ACTIONS(933),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(935),
    [anon_sym_transmute] = ACTIONS(935),
    [anon_sym_auto_cast] = ACTIONS(937),
    [anon_sym_DOT_DOT] = ACTIONS(4422),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(941),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1665] = {
    [sym_expression] = STATE(5608),
    [sym__expression_no_tag] = STATE(4572),
    [sym_unary_expression] = STATE(4572),
    [sym_binary_expression] = STATE(4572),
    [sym_ternary_expression] = STATE(4572),
    [sym_call_expression] = STATE(4572),
    [sym_selector_call_expression] = STATE(4572),
    [sym_member_expression] = STATE(4572),
    [sym_index_expression] = STATE(4572),
    [sym_slice_expression] = STATE(4572),
    [sym_range_expression] = STATE(4572),
    [sym_cast_expression] = STATE(4572),
    [sym_in_expression] = STATE(4572),
    [sym_variadic_expression] = STATE(4572),
    [sym_parenthesized_expression] = STATE(4572),
    [sym_or_return_expression] = STATE(4572),
    [sym_or_continue_expression] = STATE(4572),
    [sym_or_break_expression] = STATE(4572),
    [sym_address] = STATE(4572),
    [sym_map_type] = STATE(4572),
    [sym_matrix_type] = STATE(4572),
    [sym_distinct_type] = STATE(4572),
    [sym_literal] = STATE(4572),
    [sym_struct] = STATE(4562),
    [sym_map] = STATE(4320),
    [sym_bit_set] = STATE(4320),
    [sym_matrix] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym__string_literal] = STATE(4334),
    [sym__raw_string_literal] = STATE(4334),
    [sym_character] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_field_identifier] = STATE(7845),
    [sym_identifier] = ACTIONS(341),
    [anon_sym_LBRACE] = ACTIONS(943),
    [anon_sym_LPAREN] = ACTIONS(1396),
    [anon_sym_QMARK] = ACTIONS(385),
    [anon_sym_PLUS] = ACTIONS(1400),
    [anon_sym_DASH] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(1400),
    [anon_sym_BANG] = ACTIONS(1400),
    [anon_sym_AMP] = ACTIONS(1400),
    [anon_sym_DOT] = ACTIONS(1402),
    [anon_sym_LBRACK] = ACTIONS(955),
    [anon_sym_cast] = ACTIONS(345),
    [anon_sym_transmute] = ACTIONS(345),
    [anon_sym_auto_cast] = ACTIONS(347),
    [anon_sym_DOT_DOT] = ACTIONS(6073),
    [anon_sym_map] = ACTIONS(351),
    [anon_sym_bit_set] = ACTIONS(353),
    [anon_sym_matrix] = ACTIONS(355),
    [anon_sym_distinct] = ACTIONS(357),
    [sym_number] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(361),
    [anon_sym_BQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [anon_sym_true] = ACTIONS(367),
    [anon_sym_false] = ACTIONS(367),
    [sym_nil] = ACTIONS(369),
    [sym_uninitialized] = ACTIONS(359),
    [sym_tag] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(359),
    [sym_block_comment] = ACTIONS(3),
  },
  [1666] = {
    [sym_expression] = STATE(3783),
    [sym__expression_no_tag] = STATE(3826),
    [sym_unary_expression] = STATE(3826),
    [sym_binary_expression] = STATE(3826),
    [sym_ternary_expression] = STATE(3826),
    [sym_call_expression] = STATE(3826),
    [sym_selector_call_expression] = STATE(3826),
    [sym_member_expression] = STATE(3826),
    [sym_index_expression] = STATE(3826),
    [sym_slice_expression] = STATE(3826),
    [sym_range_expression] = STATE(3826),
    [sym_cast_expression] = STATE(3826),
    [sym_in_expression] = STATE(3826),
    [sym_variadic_expression] = STATE(3826),
    [sym_parenthesized_expression] = STATE(3826),
    [sym_or_return_expression] = STATE(3826),
    [sym_or_continue_expression] = STATE(3826),
    [sym_or_break_expression] = STATE(3826),
    [sym_address] = STATE(3826),
    [sym_map_type] = STATE(3826),
    [sym_matrix_type] = STATE(3826),
    [sym_distinct_type] = STATE(3826),
    [sym_literal] = STATE(3826),
    [sym_struct] = STATE(3866),
    [sym_map] = STATE(3787),
    [sym_bit_set] = STATE(3787),
    [sym_matrix] = STATE(3787),
    [sym_string] = STATE(3787),
    [sym__string_literal] = STATE(3867),
    [sym__raw_string_literal] = STATE(3867),
    [sym_character] = STATE(3787),
    [sym_boolean] = STATE(3787),
    [sym_field_identifier] = STATE(7783),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_QMARK] = ACTIONS(657),
    [anon_sym_PLUS] = ACTIONS(27),
    [anon_sym_DASH] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(27),
    [anon_sym_DOT] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_cast] = ACTIONS(35),
    [anon_sym_transmute] = ACTIONS(35),
    [anon_sym_auto_cast] = ACTIONS(37),
    [anon_sym_DOT_DOT] = ACTIONS(39),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(611),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [1667] = {
    [sym_expression] = STATE(2082),
    [sym__expression_no_tag] = STATE(2219),
    [sym_unary_expression] = STATE(2219),
    [sym_binary_expression] = STATE(2219),
    [sym_ternary_expression] = STATE(2219),
    [sym_call_expression] = STATE(2219),
    [sym_selector_call_expression] = STATE(2219),
    [sym_member_expression] = STATE(2219),
    [sym_index_expression] = STATE(2219),
    [sym_slice_expression] = STATE(2219),
    [sym_range_expression] = STATE(2219),
    [sym_cast_expression] = STATE(2219),
    [sym_in_expression] = STATE(2219),
    [sym_variadic_expression] = STATE(2219),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_or_return_expression] = STATE(2219),
    [sym_or_continue_expression] = STATE(2219),
    [sym_or_break_expression] = STATE(2219),
    [sym_address] = STATE(2219),
    [sym_map_type] = STATE(2219),
    [sym_matrix_type] = STATE(2219),
    [sym_distinct_type] = STATE(2219),
    [sym_literal] = STATE(2219),
    [sym_struct] = STATE(2056),
    [sym_map] = STATE(2054),
    [sym_bit_set] = STATE(2054),
    [sym_matrix] = STATE(2054),
    [sym_string] = STATE(2054),
    [sym__string_literal] = STATE(2057),
    [sym__raw_string_literal] = STATE(2057),
    [sym_character] = STATE(2054),
    [sym_boolean] = STATE(2054),
    [sym_field_identifier] = STATE(7869),
    [sym_identifier] = ACTIONS(207),
    [anon_sym_LBRACE] = ACTIONS(237),
    [anon_sym_LPAREN] = ACTIONS(239),
    [anon_sym_QMARK] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(6042),
    [anon_sym_DASH] = ACTIONS(209),
    [anon_sym_TILDE] = ACTIONS(6042),
    [anon_sym_BANG] = ACTIONS(6042),
    [anon_sym_AMP] = ACTIONS(6042),
    [anon_sym_DOT] = ACTIONS(243),
    [anon_sym_LBRACK] = ACTIONS(245),
    [anon_sym_cast] = ACTIONS(211),
    [anon_sym_transmute] = ACTIONS(211),
    [anon_sym_auto_cast] = ACTIONS(213),
    [anon_sym_DOT_DOT] = ACTIONS(6044),
    [anon_sym_map] = ACTIONS(217),
    [anon_sym_bit_set] = ACTIONS(219),
    [anon_sym_matrix] = ACTIONS(221),
    [anon_sym_distinct] = ACTIONS(223),
    [sym_number] = ACTIONS(225),
    [anon_sym_DQUOTE] = ACTIONS(227),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_SQUOTE] = ACTIONS(231),
    [anon_sym_true] = ACTIONS(233),
    [anon_sym_false] = ACTIONS(233),
    [sym_nil] = ACTIONS(235),
    [sym_uninitialized] = ACTIONS(225),
    [sym_tag] = ACTIONS(247),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(225),
    [sym_block_comment] = ACTIONS(3),
  },
  [1668] = {
    [aux_sym_struct_type_repeat2] = STATE(1434),
    [anon_sym_LBRACE] = ACTIONS(4480),
    [anon_sym_COMMA] = ACTIONS(4480),
    [anon_sym_COLON_COLON] = ACTIONS(4480),
    [anon_sym_DASH_GT] = ACTIONS(4480),
    [anon_sym_where] = ACTIONS(4480),
    [anon_sym_EQ] = ACTIONS(4482),
    [anon_sym_COLON_EQ] = ACTIONS(4480),
    [anon_sym_COLON] = ACTIONS(4482),
    [anon_sym_LPAREN] = ACTIONS(4480),
    [anon_sym_PLUS_EQ] = ACTIONS(4480),
    [anon_sym_DASH_EQ] = ACTIONS(4480),
    [anon_sym_STAR_EQ] = ACTIONS(4480),
    [anon_sym_SLASH_EQ] = ACTIONS(4480),
    [anon_sym_PERCENT_EQ] = ACTIONS(4480),
    [anon_sym_AMP_EQ] = ACTIONS(4480),
    [anon_sym_PIPE_EQ] = ACTIONS(4480),
    [anon_sym_CARET_EQ] = ACTIONS(4480),
    [anon_sym_LT_LT_EQ] = ACTIONS(4480),
    [anon_sym_GT_GT_EQ] = ACTIONS(4480),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4480),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4480),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4480),
    [anon_sym_if] = ACTIONS(4480),
    [anon_sym_SEMI] = ACTIONS(4480),
    [anon_sym_do] = ACTIONS(4480),
    [anon_sym_when] = ACTIONS(4480),
    [anon_sym_in] = ACTIONS(4480),
    [anon_sym_QMARK] = ACTIONS(4480),
    [anon_sym_PLUS] = ACTIONS(4482),
    [anon_sym_DASH] = ACTIONS(4482),
    [anon_sym_TILDE] = ACTIONS(4482),
    [anon_sym_AMP] = ACTIONS(4482),
    [anon_sym_PIPE_PIPE] = ACTIONS(4482),
    [anon_sym_or_else] = ACTIONS(4480),
    [anon_sym_AMP_AMP] = ACTIONS(4482),
    [anon_sym_GT] = ACTIONS(4482),
    [anon_sym_GT_EQ] = ACTIONS(4480),
    [anon_sym_LT_EQ] = ACTIONS(4480),
    [anon_sym_LT] = ACTIONS(4482),
    [anon_sym_EQ_EQ] = ACTIONS(4480),
    [anon_sym_BANG_EQ] = ACTIONS(4480),
    [anon_sym_TILDE_EQ] = ACTIONS(4480),
    [anon_sym_PIPE] = ACTIONS(4482),
    [anon_sym_AMP_TILDE] = ACTIONS(4482),
    [anon_sym_LT_LT] = ACTIONS(4482),
    [anon_sym_GT_GT] = ACTIONS(4482),
    [anon_sym_STAR] = ACTIONS(4482),
    [anon_sym_SLASH] = ACTIONS(4482),
    [anon_sym_PERCENT] = ACTIONS(4482),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4480),
    [anon_sym_DOT] = ACTIONS(4482),
    [anon_sym_LBRACK] = ACTIONS(4480),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4480),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4480),
    [anon_sym_not_in] = ACTIONS(4480),
    [anon_sym_or_return] = ACTIONS(4480),
    [anon_sym_or_continue] = ACTIONS(4480),
    [anon_sym_or_break] = ACTIONS(4480),
    [anon_sym_CARET] = ACTIONS(4482),
    [sym_uninitialized] = ACTIONS(4480),
    [sym_tag] = ACTIONS(4480),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1669] = {
    [sym_expression] = STATE(3218),
    [sym__expression_no_tag] = STATE(2689),
    [sym_unary_expression] = STATE(2689),
    [sym_binary_expression] = STATE(2689),
    [sym_ternary_expression] = STATE(2689),
    [sym_call_expression] = STATE(2689),
    [sym_selector_call_expression] = STATE(2689),
    [sym_member_expression] = STATE(2689),
    [sym_index_expression] = STATE(2689),
    [sym_slice_expression] = STATE(2689),
    [sym_range_expression] = STATE(2689),
    [sym_cast_expression] = STATE(2689),
    [sym_in_expression] = STATE(2689),
    [sym_variadic_expression] = STATE(2689),
    [sym_parenthesized_expression] = STATE(2689),
    [sym_or_return_expression] = STATE(2689),
    [sym_or_continue_expression] = STATE(2689),
    [sym_or_break_expression] = STATE(2689),
    [sym_address] = STATE(2689),
    [sym_map_type] = STATE(2689),
    [sym_matrix_type] = STATE(2689),
    [sym_distinct_type] = STATE(2689),
    [sym_literal] = STATE(2689),
    [sym_struct] = STATE(3145),
    [sym_map] = STATE(2871),
    [sym_bit_set] = STATE(2871),
    [sym_matrix] = STATE(2871),
    [sym_string] = STATE(2871),
    [sym__string_literal] = STATE(2874),
    [sym__raw_string_literal] = STATE(2874),
    [sym_character] = STATE(2871),
    [sym_boolean] = STATE(2871),
    [sym_field_identifier] = STATE(7825),
    [sym_identifier] = ACTIONS(493),
    [anon_sym_LBRACE] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_QMARK] = ACTIONS(529),
    [anon_sym_PLUS] = ACTIONS(531),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(531),
    [anon_sym_AMP] = ACTIONS(531),
    [anon_sym_DOT] = ACTIONS(533),
    [anon_sym_LBRACK] = ACTIONS(535),
    [anon_sym_cast] = ACTIONS(497),
    [anon_sym_transmute] = ACTIONS(497),
    [anon_sym_auto_cast] = ACTIONS(499),
    [anon_sym_DOT_DOT] = ACTIONS(6104),
    [anon_sym_map] = ACTIONS(503),
    [anon_sym_bit_set] = ACTIONS(505),
    [anon_sym_matrix] = ACTIONS(507),
    [anon_sym_distinct] = ACTIONS(509),
    [sym_number] = ACTIONS(511),
    [anon_sym_DQUOTE] = ACTIONS(513),
    [anon_sym_BQUOTE] = ACTIONS(515),
    [anon_sym_SQUOTE] = ACTIONS(517),
    [anon_sym_true] = ACTIONS(519),
    [anon_sym_false] = ACTIONS(519),
    [sym_nil] = ACTIONS(521),
    [sym_uninitialized] = ACTIONS(511),
    [sym_tag] = ACTIONS(537),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(511),
    [sym_block_comment] = ACTIONS(3),
  },
  [1670] = {
    [sym_expression] = STATE(3188),
    [sym__expression_no_tag] = STATE(2689),
    [sym_unary_expression] = STATE(2689),
    [sym_binary_expression] = STATE(2689),
    [sym_ternary_expression] = STATE(2689),
    [sym_call_expression] = STATE(2689),
    [sym_selector_call_expression] = STATE(2689),
    [sym_member_expression] = STATE(2689),
    [sym_index_expression] = STATE(2689),
    [sym_slice_expression] = STATE(2689),
    [sym_range_expression] = STATE(2689),
    [sym_cast_expression] = STATE(2689),
    [sym_in_expression] = STATE(2689),
    [sym_variadic_expression] = STATE(2689),
    [sym_parenthesized_expression] = STATE(2689),
    [sym_or_return_expression] = STATE(2689),
    [sym_or_continue_expression] = STATE(2689),
    [sym_or_break_expression] = STATE(2689),
    [sym_address] = STATE(2689),
    [sym_map_type] = STATE(2689),
    [sym_matrix_type] = STATE(2689),
    [sym_distinct_type] = STATE(2689),
    [sym_literal] = STATE(2689),
    [sym_struct] = STATE(3145),
    [sym_map] = STATE(2871),
    [sym_bit_set] = STATE(2871),
    [sym_matrix] = STATE(2871),
    [sym_string] = STATE(2871),
    [sym__string_literal] = STATE(2874),
    [sym__raw_string_literal] = STATE(2874),
    [sym_character] = STATE(2871),
    [sym_boolean] = STATE(2871),
    [sym_field_identifier] = STATE(7825),
    [sym_identifier] = ACTIONS(493),
    [anon_sym_LBRACE] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_QMARK] = ACTIONS(529),
    [anon_sym_PLUS] = ACTIONS(531),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(531),
    [anon_sym_AMP] = ACTIONS(531),
    [anon_sym_DOT] = ACTIONS(533),
    [anon_sym_LBRACK] = ACTIONS(535),
    [anon_sym_cast] = ACTIONS(497),
    [anon_sym_transmute] = ACTIONS(497),
    [anon_sym_auto_cast] = ACTIONS(499),
    [anon_sym_DOT_DOT] = ACTIONS(6104),
    [anon_sym_map] = ACTIONS(503),
    [anon_sym_bit_set] = ACTIONS(505),
    [anon_sym_matrix] = ACTIONS(507),
    [anon_sym_distinct] = ACTIONS(509),
    [sym_number] = ACTIONS(511),
    [anon_sym_DQUOTE] = ACTIONS(513),
    [anon_sym_BQUOTE] = ACTIONS(515),
    [anon_sym_SQUOTE] = ACTIONS(517),
    [anon_sym_true] = ACTIONS(519),
    [anon_sym_false] = ACTIONS(519),
    [sym_nil] = ACTIONS(521),
    [sym_uninitialized] = ACTIONS(511),
    [sym_tag] = ACTIONS(537),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(511),
    [sym_block_comment] = ACTIONS(3),
  },
  [1671] = {
    [sym_expression] = STATE(4332),
    [sym__expression_no_tag] = STATE(4431),
    [sym_unary_expression] = STATE(4431),
    [sym_binary_expression] = STATE(4431),
    [sym_ternary_expression] = STATE(4431),
    [sym_call_expression] = STATE(4431),
    [sym_selector_call_expression] = STATE(4431),
    [sym_member_expression] = STATE(4431),
    [sym_index_expression] = STATE(4431),
    [sym_slice_expression] = STATE(4431),
    [sym_range_expression] = STATE(4431),
    [sym_cast_expression] = STATE(4431),
    [sym_in_expression] = STATE(4431),
    [sym_variadic_expression] = STATE(4431),
    [sym_parenthesized_expression] = STATE(4431),
    [sym_or_return_expression] = STATE(4431),
    [sym_or_continue_expression] = STATE(4431),
    [sym_or_break_expression] = STATE(4431),
    [sym_address] = STATE(4431),
    [sym_map_type] = STATE(4431),
    [sym_matrix_type] = STATE(4431),
    [sym_distinct_type] = STATE(4431),
    [sym_literal] = STATE(4431),
    [sym_struct] = STATE(4333),
    [sym_map] = STATE(4320),
    [sym_bit_set] = STATE(4320),
    [sym_matrix] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym__string_literal] = STATE(4334),
    [sym__raw_string_literal] = STATE(4334),
    [sym_character] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_field_identifier] = STATE(7845),
    [sym_identifier] = ACTIONS(341),
    [anon_sym_LBRACE] = ACTIONS(943),
    [anon_sym_LPAREN] = ACTIONS(945),
    [anon_sym_QMARK] = ACTIONS(947),
    [anon_sym_PLUS] = ACTIONS(949),
    [anon_sym_DASH] = ACTIONS(951),
    [anon_sym_TILDE] = ACTIONS(949),
    [anon_sym_BANG] = ACTIONS(949),
    [anon_sym_AMP] = ACTIONS(949),
    [anon_sym_DOT] = ACTIONS(953),
    [anon_sym_LBRACK] = ACTIONS(955),
    [anon_sym_cast] = ACTIONS(957),
    [anon_sym_transmute] = ACTIONS(957),
    [anon_sym_auto_cast] = ACTIONS(959),
    [anon_sym_DOT_DOT] = ACTIONS(3241),
    [anon_sym_map] = ACTIONS(351),
    [anon_sym_bit_set] = ACTIONS(353),
    [anon_sym_matrix] = ACTIONS(355),
    [anon_sym_distinct] = ACTIONS(357),
    [sym_number] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(361),
    [anon_sym_BQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [anon_sym_true] = ACTIONS(367),
    [anon_sym_false] = ACTIONS(367),
    [sym_nil] = ACTIONS(369),
    [sym_uninitialized] = ACTIONS(359),
    [sym_tag] = ACTIONS(963),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(359),
    [sym_block_comment] = ACTIONS(3),
  },
  [1672] = {
    [sym_expression] = STATE(2755),
    [sym__expression_no_tag] = STATE(2692),
    [sym_unary_expression] = STATE(2692),
    [sym_binary_expression] = STATE(2692),
    [sym_ternary_expression] = STATE(2692),
    [sym_call_expression] = STATE(2692),
    [sym_selector_call_expression] = STATE(2692),
    [sym_member_expression] = STATE(2692),
    [sym_index_expression] = STATE(2692),
    [sym_slice_expression] = STATE(2692),
    [sym_range_expression] = STATE(2692),
    [sym_cast_expression] = STATE(2692),
    [sym_in_expression] = STATE(2692),
    [sym_variadic_expression] = STATE(2692),
    [sym_parenthesized_expression] = STATE(2692),
    [sym_or_return_expression] = STATE(2692),
    [sym_or_continue_expression] = STATE(2692),
    [sym_or_break_expression] = STATE(2692),
    [sym_address] = STATE(2692),
    [sym_map_type] = STATE(2692),
    [sym_matrix_type] = STATE(2692),
    [sym_distinct_type] = STATE(2692),
    [sym_literal] = STATE(2692),
    [sym_struct] = STATE(2751),
    [sym_map] = STATE(2747),
    [sym_bit_set] = STATE(2747),
    [sym_matrix] = STATE(2747),
    [sym_string] = STATE(2747),
    [sym__string_literal] = STATE(2752),
    [sym__raw_string_literal] = STATE(2752),
    [sym_character] = STATE(2747),
    [sym_boolean] = STATE(2747),
    [sym_field_identifier] = STATE(7946),
    [sym_identifier] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(309),
    [anon_sym_LPAREN] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(375),
    [anon_sym_PLUS] = ACTIONS(3165),
    [anon_sym_DASH] = ACTIONS(311),
    [anon_sym_TILDE] = ACTIONS(3165),
    [anon_sym_BANG] = ACTIONS(3165),
    [anon_sym_AMP] = ACTIONS(3165),
    [anon_sym_DOT] = ACTIONS(377),
    [anon_sym_LBRACK] = ACTIONS(379),
    [anon_sym_cast] = ACTIONS(313),
    [anon_sym_transmute] = ACTIONS(313),
    [anon_sym_auto_cast] = ACTIONS(315),
    [anon_sym_DOT_DOT] = ACTIONS(3167),
    [anon_sym_map] = ACTIONS(319),
    [anon_sym_bit_set] = ACTIONS(321),
    [anon_sym_matrix] = ACTIONS(323),
    [anon_sym_distinct] = ACTIONS(325),
    [sym_number] = ACTIONS(327),
    [anon_sym_DQUOTE] = ACTIONS(329),
    [anon_sym_BQUOTE] = ACTIONS(331),
    [anon_sym_SQUOTE] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym_nil] = ACTIONS(337),
    [sym_uninitialized] = ACTIONS(327),
    [sym_tag] = ACTIONS(339),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(327),
    [sym_block_comment] = ACTIONS(3),
  },
  [1673] = {
    [sym_expression] = STATE(5824),
    [sym__expression_no_tag] = STATE(4410),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_ternary_expression] = STATE(4410),
    [sym_call_expression] = STATE(4410),
    [sym_selector_call_expression] = STATE(4410),
    [sym_member_expression] = STATE(4410),
    [sym_index_expression] = STATE(4410),
    [sym_slice_expression] = STATE(4410),
    [sym_range_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_in_expression] = STATE(4410),
    [sym_variadic_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4410),
    [sym_or_return_expression] = STATE(4410),
    [sym_or_continue_expression] = STATE(4410),
    [sym_or_break_expression] = STATE(4410),
    [sym_address] = STATE(4410),
    [sym_map_type] = STATE(4410),
    [sym_matrix_type] = STATE(4410),
    [sym_distinct_type] = STATE(4410),
    [sym_literal] = STATE(4410),
    [sym_struct] = STATE(4333),
    [sym_map] = STATE(4320),
    [sym_bit_set] = STATE(4320),
    [sym_matrix] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym__string_literal] = STATE(4334),
    [sym__raw_string_literal] = STATE(4334),
    [sym_character] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_field_identifier] = STATE(7845),
    [sym_identifier] = ACTIONS(341),
    [anon_sym_LBRACE] = ACTIONS(6120),
    [anon_sym_LPAREN] = ACTIONS(945),
    [anon_sym_QMARK] = ACTIONS(3239),
    [anon_sym_PLUS] = ACTIONS(949),
    [anon_sym_DASH] = ACTIONS(951),
    [anon_sym_TILDE] = ACTIONS(949),
    [anon_sym_BANG] = ACTIONS(949),
    [anon_sym_AMP] = ACTIONS(949),
    [anon_sym_DOT] = ACTIONS(953),
    [anon_sym_LBRACK] = ACTIONS(955),
    [anon_sym_cast] = ACTIONS(957),
    [anon_sym_transmute] = ACTIONS(957),
    [anon_sym_auto_cast] = ACTIONS(959),
    [anon_sym_DOT_DOT] = ACTIONS(3241),
    [anon_sym_map] = ACTIONS(351),
    [anon_sym_bit_set] = ACTIONS(353),
    [anon_sym_matrix] = ACTIONS(355),
    [anon_sym_distinct] = ACTIONS(357),
    [sym_number] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(361),
    [anon_sym_BQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [anon_sym_true] = ACTIONS(367),
    [anon_sym_false] = ACTIONS(367),
    [sym_nil] = ACTIONS(369),
    [sym_uninitialized] = ACTIONS(359),
    [sym_tag] = ACTIONS(963),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(359),
    [sym_block_comment] = ACTIONS(3),
  },
  [1674] = {
    [sym_expression] = STATE(3809),
    [sym__expression_no_tag] = STATE(3826),
    [sym_unary_expression] = STATE(3826),
    [sym_binary_expression] = STATE(3826),
    [sym_ternary_expression] = STATE(3826),
    [sym_call_expression] = STATE(3826),
    [sym_selector_call_expression] = STATE(3826),
    [sym_member_expression] = STATE(3826),
    [sym_index_expression] = STATE(3826),
    [sym_slice_expression] = STATE(3826),
    [sym_range_expression] = STATE(3826),
    [sym_cast_expression] = STATE(3826),
    [sym_in_expression] = STATE(3826),
    [sym_variadic_expression] = STATE(3826),
    [sym_parenthesized_expression] = STATE(3826),
    [sym_or_return_expression] = STATE(3826),
    [sym_or_continue_expression] = STATE(3826),
    [sym_or_break_expression] = STATE(3826),
    [sym_address] = STATE(3826),
    [sym_map_type] = STATE(3826),
    [sym_matrix_type] = STATE(3826),
    [sym_distinct_type] = STATE(3826),
    [sym_literal] = STATE(3826),
    [sym_struct] = STATE(3866),
    [sym_map] = STATE(3787),
    [sym_bit_set] = STATE(3787),
    [sym_matrix] = STATE(3787),
    [sym_string] = STATE(3787),
    [sym__string_literal] = STATE(3867),
    [sym__raw_string_literal] = STATE(3867),
    [sym_character] = STATE(3787),
    [sym_boolean] = STATE(3787),
    [sym_field_identifier] = STATE(7783),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_QMARK] = ACTIONS(657),
    [anon_sym_PLUS] = ACTIONS(27),
    [anon_sym_DASH] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(27),
    [anon_sym_DOT] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_cast] = ACTIONS(35),
    [anon_sym_transmute] = ACTIONS(35),
    [anon_sym_auto_cast] = ACTIONS(37),
    [anon_sym_DOT_DOT] = ACTIONS(39),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(611),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [1675] = {
    [sym_expression] = STATE(5512),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1676] = {
    [sym_expression] = STATE(5614),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1677] = {
    [sym_expression] = STATE(2756),
    [sym__expression_no_tag] = STATE(2692),
    [sym_unary_expression] = STATE(2692),
    [sym_binary_expression] = STATE(2692),
    [sym_ternary_expression] = STATE(2692),
    [sym_call_expression] = STATE(2692),
    [sym_selector_call_expression] = STATE(2692),
    [sym_member_expression] = STATE(2692),
    [sym_index_expression] = STATE(2692),
    [sym_slice_expression] = STATE(2692),
    [sym_range_expression] = STATE(2692),
    [sym_cast_expression] = STATE(2692),
    [sym_in_expression] = STATE(2692),
    [sym_variadic_expression] = STATE(2692),
    [sym_parenthesized_expression] = STATE(2692),
    [sym_or_return_expression] = STATE(2692),
    [sym_or_continue_expression] = STATE(2692),
    [sym_or_break_expression] = STATE(2692),
    [sym_address] = STATE(2692),
    [sym_map_type] = STATE(2692),
    [sym_matrix_type] = STATE(2692),
    [sym_distinct_type] = STATE(2692),
    [sym_literal] = STATE(2692),
    [sym_struct] = STATE(2751),
    [sym_map] = STATE(2747),
    [sym_bit_set] = STATE(2747),
    [sym_matrix] = STATE(2747),
    [sym_string] = STATE(2747),
    [sym__string_literal] = STATE(2752),
    [sym__raw_string_literal] = STATE(2752),
    [sym_character] = STATE(2747),
    [sym_boolean] = STATE(2747),
    [sym_field_identifier] = STATE(7946),
    [sym_identifier] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(309),
    [anon_sym_LPAREN] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(375),
    [anon_sym_PLUS] = ACTIONS(3165),
    [anon_sym_DASH] = ACTIONS(311),
    [anon_sym_TILDE] = ACTIONS(3165),
    [anon_sym_BANG] = ACTIONS(3165),
    [anon_sym_AMP] = ACTIONS(3165),
    [anon_sym_DOT] = ACTIONS(377),
    [anon_sym_LBRACK] = ACTIONS(379),
    [anon_sym_cast] = ACTIONS(313),
    [anon_sym_transmute] = ACTIONS(313),
    [anon_sym_auto_cast] = ACTIONS(315),
    [anon_sym_DOT_DOT] = ACTIONS(3167),
    [anon_sym_map] = ACTIONS(319),
    [anon_sym_bit_set] = ACTIONS(321),
    [anon_sym_matrix] = ACTIONS(323),
    [anon_sym_distinct] = ACTIONS(325),
    [sym_number] = ACTIONS(327),
    [anon_sym_DQUOTE] = ACTIONS(329),
    [anon_sym_BQUOTE] = ACTIONS(331),
    [anon_sym_SQUOTE] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym_nil] = ACTIONS(337),
    [sym_uninitialized] = ACTIONS(327),
    [sym_tag] = ACTIONS(339),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(327),
    [sym_block_comment] = ACTIONS(3),
  },
  [1678] = {
    [sym_expression] = STATE(2088),
    [sym__expression_no_tag] = STATE(2219),
    [sym_unary_expression] = STATE(2219),
    [sym_binary_expression] = STATE(2219),
    [sym_ternary_expression] = STATE(2219),
    [sym_call_expression] = STATE(2219),
    [sym_selector_call_expression] = STATE(2219),
    [sym_member_expression] = STATE(2219),
    [sym_index_expression] = STATE(2219),
    [sym_slice_expression] = STATE(2219),
    [sym_range_expression] = STATE(2219),
    [sym_cast_expression] = STATE(2219),
    [sym_in_expression] = STATE(2219),
    [sym_variadic_expression] = STATE(2219),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_or_return_expression] = STATE(2219),
    [sym_or_continue_expression] = STATE(2219),
    [sym_or_break_expression] = STATE(2219),
    [sym_address] = STATE(2219),
    [sym_map_type] = STATE(2219),
    [sym_matrix_type] = STATE(2219),
    [sym_distinct_type] = STATE(2219),
    [sym_literal] = STATE(2219),
    [sym_struct] = STATE(2056),
    [sym_map] = STATE(2054),
    [sym_bit_set] = STATE(2054),
    [sym_matrix] = STATE(2054),
    [sym_string] = STATE(2054),
    [sym__string_literal] = STATE(2057),
    [sym__raw_string_literal] = STATE(2057),
    [sym_character] = STATE(2054),
    [sym_boolean] = STATE(2054),
    [sym_field_identifier] = STATE(7869),
    [sym_identifier] = ACTIONS(207),
    [anon_sym_LBRACE] = ACTIONS(237),
    [anon_sym_LPAREN] = ACTIONS(239),
    [anon_sym_QMARK] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(6042),
    [anon_sym_DASH] = ACTIONS(209),
    [anon_sym_TILDE] = ACTIONS(6042),
    [anon_sym_BANG] = ACTIONS(6042),
    [anon_sym_AMP] = ACTIONS(6042),
    [anon_sym_DOT] = ACTIONS(243),
    [anon_sym_LBRACK] = ACTIONS(245),
    [anon_sym_cast] = ACTIONS(211),
    [anon_sym_transmute] = ACTIONS(211),
    [anon_sym_auto_cast] = ACTIONS(213),
    [anon_sym_DOT_DOT] = ACTIONS(6044),
    [anon_sym_map] = ACTIONS(217),
    [anon_sym_bit_set] = ACTIONS(219),
    [anon_sym_matrix] = ACTIONS(221),
    [anon_sym_distinct] = ACTIONS(223),
    [sym_number] = ACTIONS(225),
    [anon_sym_DQUOTE] = ACTIONS(227),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_SQUOTE] = ACTIONS(231),
    [anon_sym_true] = ACTIONS(233),
    [anon_sym_false] = ACTIONS(233),
    [sym_nil] = ACTIONS(235),
    [sym_uninitialized] = ACTIONS(225),
    [sym_tag] = ACTIONS(247),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(225),
    [sym_block_comment] = ACTIONS(3),
  },
  [1679] = {
    [sym_expression] = STATE(4194),
    [sym__expression_no_tag] = STATE(4282),
    [sym_unary_expression] = STATE(4282),
    [sym_binary_expression] = STATE(4282),
    [sym_ternary_expression] = STATE(4282),
    [sym_call_expression] = STATE(4282),
    [sym_selector_call_expression] = STATE(4282),
    [sym_member_expression] = STATE(4282),
    [sym_index_expression] = STATE(4282),
    [sym_slice_expression] = STATE(4282),
    [sym_range_expression] = STATE(4282),
    [sym_cast_expression] = STATE(4282),
    [sym_in_expression] = STATE(4282),
    [sym_variadic_expression] = STATE(4282),
    [sym_parenthesized_expression] = STATE(4282),
    [sym_or_return_expression] = STATE(4282),
    [sym_or_continue_expression] = STATE(4282),
    [sym_or_break_expression] = STATE(4282),
    [sym_address] = STATE(4282),
    [sym_map_type] = STATE(4282),
    [sym_matrix_type] = STATE(4282),
    [sym_distinct_type] = STATE(4282),
    [sym_literal] = STATE(4282),
    [sym_struct] = STATE(4297),
    [sym_map] = STATE(4290),
    [sym_bit_set] = STATE(4290),
    [sym_matrix] = STATE(4290),
    [sym_string] = STATE(4290),
    [sym__string_literal] = STATE(4298),
    [sym__raw_string_literal] = STATE(4298),
    [sym_character] = STATE(4290),
    [sym_boolean] = STATE(4290),
    [sym_field_identifier] = STATE(7838),
    [sym_identifier] = ACTIONS(757),
    [anon_sym_LBRACE] = ACTIONS(707),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_QMARK] = ACTIONS(769),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(721),
    [anon_sym_TILDE] = ACTIONS(719),
    [anon_sym_BANG] = ACTIONS(719),
    [anon_sym_AMP] = ACTIONS(719),
    [anon_sym_DOT] = ACTIONS(723),
    [anon_sym_LBRACK] = ACTIONS(725),
    [anon_sym_cast] = ACTIONS(727),
    [anon_sym_transmute] = ACTIONS(727),
    [anon_sym_auto_cast] = ACTIONS(729),
    [anon_sym_DOT_DOT] = ACTIONS(2849),
    [anon_sym_map] = ACTIONS(733),
    [anon_sym_bit_set] = ACTIONS(735),
    [anon_sym_matrix] = ACTIONS(737),
    [anon_sym_distinct] = ACTIONS(739),
    [sym_number] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(743),
    [anon_sym_BQUOTE] = ACTIONS(745),
    [anon_sym_SQUOTE] = ACTIONS(747),
    [anon_sym_true] = ACTIONS(749),
    [anon_sym_false] = ACTIONS(749),
    [sym_nil] = ACTIONS(751),
    [sym_uninitialized] = ACTIONS(741),
    [sym_tag] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(741),
    [sym_block_comment] = ACTIONS(3),
  },
  [1680] = {
    [sym_expression] = STATE(2757),
    [sym__expression_no_tag] = STATE(2692),
    [sym_unary_expression] = STATE(2692),
    [sym_binary_expression] = STATE(2692),
    [sym_ternary_expression] = STATE(2692),
    [sym_call_expression] = STATE(2692),
    [sym_selector_call_expression] = STATE(2692),
    [sym_member_expression] = STATE(2692),
    [sym_index_expression] = STATE(2692),
    [sym_slice_expression] = STATE(2692),
    [sym_range_expression] = STATE(2692),
    [sym_cast_expression] = STATE(2692),
    [sym_in_expression] = STATE(2692),
    [sym_variadic_expression] = STATE(2692),
    [sym_parenthesized_expression] = STATE(2692),
    [sym_or_return_expression] = STATE(2692),
    [sym_or_continue_expression] = STATE(2692),
    [sym_or_break_expression] = STATE(2692),
    [sym_address] = STATE(2692),
    [sym_map_type] = STATE(2692),
    [sym_matrix_type] = STATE(2692),
    [sym_distinct_type] = STATE(2692),
    [sym_literal] = STATE(2692),
    [sym_struct] = STATE(2751),
    [sym_map] = STATE(2747),
    [sym_bit_set] = STATE(2747),
    [sym_matrix] = STATE(2747),
    [sym_string] = STATE(2747),
    [sym__string_literal] = STATE(2752),
    [sym__raw_string_literal] = STATE(2752),
    [sym_character] = STATE(2747),
    [sym_boolean] = STATE(2747),
    [sym_field_identifier] = STATE(7946),
    [sym_identifier] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(309),
    [anon_sym_LPAREN] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(375),
    [anon_sym_PLUS] = ACTIONS(3165),
    [anon_sym_DASH] = ACTIONS(311),
    [anon_sym_TILDE] = ACTIONS(3165),
    [anon_sym_BANG] = ACTIONS(3165),
    [anon_sym_AMP] = ACTIONS(3165),
    [anon_sym_DOT] = ACTIONS(377),
    [anon_sym_LBRACK] = ACTIONS(379),
    [anon_sym_cast] = ACTIONS(313),
    [anon_sym_transmute] = ACTIONS(313),
    [anon_sym_auto_cast] = ACTIONS(315),
    [anon_sym_DOT_DOT] = ACTIONS(3167),
    [anon_sym_map] = ACTIONS(319),
    [anon_sym_bit_set] = ACTIONS(321),
    [anon_sym_matrix] = ACTIONS(323),
    [anon_sym_distinct] = ACTIONS(325),
    [sym_number] = ACTIONS(327),
    [anon_sym_DQUOTE] = ACTIONS(329),
    [anon_sym_BQUOTE] = ACTIONS(331),
    [anon_sym_SQUOTE] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym_nil] = ACTIONS(337),
    [sym_uninitialized] = ACTIONS(327),
    [sym_tag] = ACTIONS(339),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(327),
    [sym_block_comment] = ACTIONS(3),
  },
  [1681] = {
    [sym_expression] = STATE(3189),
    [sym__expression_no_tag] = STATE(2689),
    [sym_unary_expression] = STATE(2689),
    [sym_binary_expression] = STATE(2689),
    [sym_ternary_expression] = STATE(2689),
    [sym_call_expression] = STATE(2689),
    [sym_selector_call_expression] = STATE(2689),
    [sym_member_expression] = STATE(2689),
    [sym_index_expression] = STATE(2689),
    [sym_slice_expression] = STATE(2689),
    [sym_range_expression] = STATE(2689),
    [sym_cast_expression] = STATE(2689),
    [sym_in_expression] = STATE(2689),
    [sym_variadic_expression] = STATE(2689),
    [sym_parenthesized_expression] = STATE(2689),
    [sym_or_return_expression] = STATE(2689),
    [sym_or_continue_expression] = STATE(2689),
    [sym_or_break_expression] = STATE(2689),
    [sym_address] = STATE(2689),
    [sym_map_type] = STATE(2689),
    [sym_matrix_type] = STATE(2689),
    [sym_distinct_type] = STATE(2689),
    [sym_literal] = STATE(2689),
    [sym_struct] = STATE(3145),
    [sym_map] = STATE(2871),
    [sym_bit_set] = STATE(2871),
    [sym_matrix] = STATE(2871),
    [sym_string] = STATE(2871),
    [sym__string_literal] = STATE(2874),
    [sym__raw_string_literal] = STATE(2874),
    [sym_character] = STATE(2871),
    [sym_boolean] = STATE(2871),
    [sym_field_identifier] = STATE(7825),
    [sym_identifier] = ACTIONS(493),
    [anon_sym_LBRACE] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_QMARK] = ACTIONS(529),
    [anon_sym_PLUS] = ACTIONS(531),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(531),
    [anon_sym_AMP] = ACTIONS(531),
    [anon_sym_DOT] = ACTIONS(533),
    [anon_sym_LBRACK] = ACTIONS(535),
    [anon_sym_cast] = ACTIONS(497),
    [anon_sym_transmute] = ACTIONS(497),
    [anon_sym_auto_cast] = ACTIONS(499),
    [anon_sym_DOT_DOT] = ACTIONS(6104),
    [anon_sym_map] = ACTIONS(503),
    [anon_sym_bit_set] = ACTIONS(505),
    [anon_sym_matrix] = ACTIONS(507),
    [anon_sym_distinct] = ACTIONS(509),
    [sym_number] = ACTIONS(511),
    [anon_sym_DQUOTE] = ACTIONS(513),
    [anon_sym_BQUOTE] = ACTIONS(515),
    [anon_sym_SQUOTE] = ACTIONS(517),
    [anon_sym_true] = ACTIONS(519),
    [anon_sym_false] = ACTIONS(519),
    [sym_nil] = ACTIONS(521),
    [sym_uninitialized] = ACTIONS(511),
    [sym_tag] = ACTIONS(537),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(511),
    [sym_block_comment] = ACTIONS(3),
  },
  [1682] = {
    [sym_expression] = STATE(5615),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1683] = {
    [sym_expression] = STATE(3190),
    [sym__expression_no_tag] = STATE(2689),
    [sym_unary_expression] = STATE(2689),
    [sym_binary_expression] = STATE(2689),
    [sym_ternary_expression] = STATE(2689),
    [sym_call_expression] = STATE(2689),
    [sym_selector_call_expression] = STATE(2689),
    [sym_member_expression] = STATE(2689),
    [sym_index_expression] = STATE(2689),
    [sym_slice_expression] = STATE(2689),
    [sym_range_expression] = STATE(2689),
    [sym_cast_expression] = STATE(2689),
    [sym_in_expression] = STATE(2689),
    [sym_variadic_expression] = STATE(2689),
    [sym_parenthesized_expression] = STATE(2689),
    [sym_or_return_expression] = STATE(2689),
    [sym_or_continue_expression] = STATE(2689),
    [sym_or_break_expression] = STATE(2689),
    [sym_address] = STATE(2689),
    [sym_map_type] = STATE(2689),
    [sym_matrix_type] = STATE(2689),
    [sym_distinct_type] = STATE(2689),
    [sym_literal] = STATE(2689),
    [sym_struct] = STATE(3145),
    [sym_map] = STATE(2871),
    [sym_bit_set] = STATE(2871),
    [sym_matrix] = STATE(2871),
    [sym_string] = STATE(2871),
    [sym__string_literal] = STATE(2874),
    [sym__raw_string_literal] = STATE(2874),
    [sym_character] = STATE(2871),
    [sym_boolean] = STATE(2871),
    [sym_field_identifier] = STATE(7825),
    [sym_identifier] = ACTIONS(493),
    [anon_sym_LBRACE] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_QMARK] = ACTIONS(529),
    [anon_sym_PLUS] = ACTIONS(531),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(531),
    [anon_sym_AMP] = ACTIONS(531),
    [anon_sym_DOT] = ACTIONS(533),
    [anon_sym_LBRACK] = ACTIONS(535),
    [anon_sym_cast] = ACTIONS(497),
    [anon_sym_transmute] = ACTIONS(497),
    [anon_sym_auto_cast] = ACTIONS(499),
    [anon_sym_DOT_DOT] = ACTIONS(6104),
    [anon_sym_map] = ACTIONS(503),
    [anon_sym_bit_set] = ACTIONS(505),
    [anon_sym_matrix] = ACTIONS(507),
    [anon_sym_distinct] = ACTIONS(509),
    [sym_number] = ACTIONS(511),
    [anon_sym_DQUOTE] = ACTIONS(513),
    [anon_sym_BQUOTE] = ACTIONS(515),
    [anon_sym_SQUOTE] = ACTIONS(517),
    [anon_sym_true] = ACTIONS(519),
    [anon_sym_false] = ACTIONS(519),
    [sym_nil] = ACTIONS(521),
    [sym_uninitialized] = ACTIONS(511),
    [sym_tag] = ACTIONS(537),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(511),
    [sym_block_comment] = ACTIONS(3),
  },
  [1684] = {
    [sym_expression] = STATE(4257),
    [sym__expression_no_tag] = STATE(4237),
    [sym_unary_expression] = STATE(4237),
    [sym_binary_expression] = STATE(4237),
    [sym_ternary_expression] = STATE(4237),
    [sym_call_expression] = STATE(4237),
    [sym_selector_call_expression] = STATE(4237),
    [sym_member_expression] = STATE(4237),
    [sym_index_expression] = STATE(4237),
    [sym_slice_expression] = STATE(4237),
    [sym_range_expression] = STATE(4237),
    [sym_cast_expression] = STATE(4237),
    [sym_in_expression] = STATE(4237),
    [sym_variadic_expression] = STATE(4237),
    [sym_parenthesized_expression] = STATE(4237),
    [sym_or_return_expression] = STATE(4237),
    [sym_or_continue_expression] = STATE(4237),
    [sym_or_break_expression] = STATE(4237),
    [sym_address] = STATE(4237),
    [sym_map_type] = STATE(4237),
    [sym_matrix_type] = STATE(4237),
    [sym_distinct_type] = STATE(4237),
    [sym_literal] = STATE(4237),
    [sym_struct] = STATE(4311),
    [sym_map] = STATE(3787),
    [sym_bit_set] = STATE(3787),
    [sym_matrix] = STATE(3787),
    [sym_string] = STATE(3787),
    [sym__string_literal] = STATE(3867),
    [sym__raw_string_literal] = STATE(3867),
    [sym_character] = STATE(3787),
    [sym_boolean] = STATE(3787),
    [sym_field_identifier] = STATE(7783),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(759),
    [anon_sym_QMARK] = ACTIONS(761),
    [anon_sym_PLUS] = ACTIONS(763),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(763),
    [anon_sym_BANG] = ACTIONS(763),
    [anon_sym_AMP] = ACTIONS(763),
    [anon_sym_DOT] = ACTIONS(765),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_cast] = ACTIONS(597),
    [anon_sym_transmute] = ACTIONS(597),
    [anon_sym_auto_cast] = ACTIONS(599),
    [anon_sym_DOT_DOT] = ACTIONS(2797),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [1685] = {
    [sym_expression] = STATE(3953),
    [sym__expression_no_tag] = STATE(4237),
    [sym_unary_expression] = STATE(4237),
    [sym_binary_expression] = STATE(4237),
    [sym_ternary_expression] = STATE(4237),
    [sym_call_expression] = STATE(4237),
    [sym_selector_call_expression] = STATE(4237),
    [sym_member_expression] = STATE(4237),
    [sym_index_expression] = STATE(4237),
    [sym_slice_expression] = STATE(4237),
    [sym_range_expression] = STATE(4237),
    [sym_cast_expression] = STATE(4237),
    [sym_in_expression] = STATE(4237),
    [sym_variadic_expression] = STATE(4237),
    [sym_parenthesized_expression] = STATE(4237),
    [sym_or_return_expression] = STATE(4237),
    [sym_or_continue_expression] = STATE(4237),
    [sym_or_break_expression] = STATE(4237),
    [sym_address] = STATE(4237),
    [sym_map_type] = STATE(4237),
    [sym_matrix_type] = STATE(4237),
    [sym_distinct_type] = STATE(4237),
    [sym_literal] = STATE(4237),
    [sym_struct] = STATE(4311),
    [sym_map] = STATE(3787),
    [sym_bit_set] = STATE(3787),
    [sym_matrix] = STATE(3787),
    [sym_string] = STATE(3787),
    [sym__string_literal] = STATE(3867),
    [sym__raw_string_literal] = STATE(3867),
    [sym_character] = STATE(3787),
    [sym_boolean] = STATE(3787),
    [sym_field_identifier] = STATE(7783),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(759),
    [anon_sym_QMARK] = ACTIONS(761),
    [anon_sym_PLUS] = ACTIONS(763),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(763),
    [anon_sym_BANG] = ACTIONS(763),
    [anon_sym_AMP] = ACTIONS(763),
    [anon_sym_DOT] = ACTIONS(765),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_cast] = ACTIONS(597),
    [anon_sym_transmute] = ACTIONS(597),
    [anon_sym_auto_cast] = ACTIONS(599),
    [anon_sym_DOT_DOT] = ACTIONS(2797),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [1686] = {
    [sym_expression] = STATE(4258),
    [sym__expression_no_tag] = STATE(4237),
    [sym_unary_expression] = STATE(4237),
    [sym_binary_expression] = STATE(4237),
    [sym_ternary_expression] = STATE(4237),
    [sym_call_expression] = STATE(4237),
    [sym_selector_call_expression] = STATE(4237),
    [sym_member_expression] = STATE(4237),
    [sym_index_expression] = STATE(4237),
    [sym_slice_expression] = STATE(4237),
    [sym_range_expression] = STATE(4237),
    [sym_cast_expression] = STATE(4237),
    [sym_in_expression] = STATE(4237),
    [sym_variadic_expression] = STATE(4237),
    [sym_parenthesized_expression] = STATE(4237),
    [sym_or_return_expression] = STATE(4237),
    [sym_or_continue_expression] = STATE(4237),
    [sym_or_break_expression] = STATE(4237),
    [sym_address] = STATE(4237),
    [sym_map_type] = STATE(4237),
    [sym_matrix_type] = STATE(4237),
    [sym_distinct_type] = STATE(4237),
    [sym_literal] = STATE(4237),
    [sym_struct] = STATE(4311),
    [sym_map] = STATE(3787),
    [sym_bit_set] = STATE(3787),
    [sym_matrix] = STATE(3787),
    [sym_string] = STATE(3787),
    [sym__string_literal] = STATE(3867),
    [sym__raw_string_literal] = STATE(3867),
    [sym_character] = STATE(3787),
    [sym_boolean] = STATE(3787),
    [sym_field_identifier] = STATE(7783),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(759),
    [anon_sym_QMARK] = ACTIONS(761),
    [anon_sym_PLUS] = ACTIONS(763),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(763),
    [anon_sym_BANG] = ACTIONS(763),
    [anon_sym_AMP] = ACTIONS(763),
    [anon_sym_DOT] = ACTIONS(765),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_cast] = ACTIONS(597),
    [anon_sym_transmute] = ACTIONS(597),
    [anon_sym_auto_cast] = ACTIONS(599),
    [anon_sym_DOT_DOT] = ACTIONS(2797),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [1687] = {
    [sym_expression] = STATE(3877),
    [sym__expression_no_tag] = STATE(4237),
    [sym_unary_expression] = STATE(4237),
    [sym_binary_expression] = STATE(4237),
    [sym_ternary_expression] = STATE(4237),
    [sym_call_expression] = STATE(4237),
    [sym_selector_call_expression] = STATE(4237),
    [sym_member_expression] = STATE(4237),
    [sym_index_expression] = STATE(4237),
    [sym_slice_expression] = STATE(4237),
    [sym_range_expression] = STATE(4237),
    [sym_cast_expression] = STATE(4237),
    [sym_in_expression] = STATE(4237),
    [sym_variadic_expression] = STATE(4237),
    [sym_parenthesized_expression] = STATE(4237),
    [sym_or_return_expression] = STATE(4237),
    [sym_or_continue_expression] = STATE(4237),
    [sym_or_break_expression] = STATE(4237),
    [sym_address] = STATE(4237),
    [sym_map_type] = STATE(4237),
    [sym_matrix_type] = STATE(4237),
    [sym_distinct_type] = STATE(4237),
    [sym_literal] = STATE(4237),
    [sym_struct] = STATE(4311),
    [sym_map] = STATE(3787),
    [sym_bit_set] = STATE(3787),
    [sym_matrix] = STATE(3787),
    [sym_string] = STATE(3787),
    [sym__string_literal] = STATE(3867),
    [sym__raw_string_literal] = STATE(3867),
    [sym_character] = STATE(3787),
    [sym_boolean] = STATE(3787),
    [sym_field_identifier] = STATE(7783),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(759),
    [anon_sym_QMARK] = ACTIONS(761),
    [anon_sym_PLUS] = ACTIONS(763),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(763),
    [anon_sym_BANG] = ACTIONS(763),
    [anon_sym_AMP] = ACTIONS(763),
    [anon_sym_DOT] = ACTIONS(765),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_cast] = ACTIONS(597),
    [anon_sym_transmute] = ACTIONS(597),
    [anon_sym_auto_cast] = ACTIONS(599),
    [anon_sym_DOT_DOT] = ACTIONS(2797),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [1688] = {
    [sym_expression] = STATE(4575),
    [sym__expression_no_tag] = STATE(4385),
    [sym_unary_expression] = STATE(4385),
    [sym_binary_expression] = STATE(4385),
    [sym_ternary_expression] = STATE(4385),
    [sym_call_expression] = STATE(4385),
    [sym_selector_call_expression] = STATE(4385),
    [sym_member_expression] = STATE(4385),
    [sym_index_expression] = STATE(4385),
    [sym_slice_expression] = STATE(4385),
    [sym_range_expression] = STATE(4385),
    [sym_cast_expression] = STATE(4385),
    [sym_in_expression] = STATE(4385),
    [sym_variadic_expression] = STATE(4385),
    [sym_parenthesized_expression] = STATE(4385),
    [sym_or_return_expression] = STATE(4385),
    [sym_or_continue_expression] = STATE(4385),
    [sym_or_break_expression] = STATE(4385),
    [sym_address] = STATE(4385),
    [sym_map_type] = STATE(4385),
    [sym_matrix_type] = STATE(4385),
    [sym_distinct_type] = STATE(4385),
    [sym_literal] = STATE(4385),
    [sym_struct] = STATE(4394),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(925),
    [anon_sym_QMARK] = ACTIONS(1240),
    [anon_sym_PLUS] = ACTIONS(929),
    [anon_sym_DASH] = ACTIONS(931),
    [anon_sym_TILDE] = ACTIONS(929),
    [anon_sym_BANG] = ACTIONS(929),
    [anon_sym_AMP] = ACTIONS(929),
    [anon_sym_DOT] = ACTIONS(933),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(935),
    [anon_sym_transmute] = ACTIONS(935),
    [anon_sym_auto_cast] = ACTIONS(937),
    [anon_sym_DOT_DOT] = ACTIONS(4422),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(941),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1689] = {
    [sym_expression] = STATE(6061),
    [sym__expression_no_tag] = STATE(5066),
    [sym_unary_expression] = STATE(5066),
    [sym_binary_expression] = STATE(5066),
    [sym_ternary_expression] = STATE(5066),
    [sym_call_expression] = STATE(3778),
    [sym_selector_call_expression] = STATE(5066),
    [sym_member_expression] = STATE(5066),
    [sym_index_expression] = STATE(5066),
    [sym_slice_expression] = STATE(5066),
    [sym_range_expression] = STATE(5066),
    [sym_cast_expression] = STATE(5066),
    [sym_in_expression] = STATE(5066),
    [sym_variadic_expression] = STATE(5066),
    [sym_parenthesized_expression] = STATE(5066),
    [sym_or_return_expression] = STATE(5066),
    [sym_or_continue_expression] = STATE(5066),
    [sym_or_break_expression] = STATE(5066),
    [sym_address] = STATE(5066),
    [sym_map_type] = STATE(5066),
    [sym_matrix_type] = STATE(5066),
    [sym_distinct_type] = STATE(5066),
    [sym_literal] = STATE(5066),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(6122),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(6124),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1690] = {
    [sym_expression] = STATE(4141),
    [sym__expression_no_tag] = STATE(4237),
    [sym_unary_expression] = STATE(4237),
    [sym_binary_expression] = STATE(4237),
    [sym_ternary_expression] = STATE(4237),
    [sym_call_expression] = STATE(4237),
    [sym_selector_call_expression] = STATE(4237),
    [sym_member_expression] = STATE(4237),
    [sym_index_expression] = STATE(4237),
    [sym_slice_expression] = STATE(4237),
    [sym_range_expression] = STATE(4237),
    [sym_cast_expression] = STATE(4237),
    [sym_in_expression] = STATE(4237),
    [sym_variadic_expression] = STATE(4237),
    [sym_parenthesized_expression] = STATE(4237),
    [sym_or_return_expression] = STATE(4237),
    [sym_or_continue_expression] = STATE(4237),
    [sym_or_break_expression] = STATE(4237),
    [sym_address] = STATE(4237),
    [sym_map_type] = STATE(4237),
    [sym_matrix_type] = STATE(4237),
    [sym_distinct_type] = STATE(4237),
    [sym_literal] = STATE(4237),
    [sym_struct] = STATE(4311),
    [sym_map] = STATE(3787),
    [sym_bit_set] = STATE(3787),
    [sym_matrix] = STATE(3787),
    [sym_string] = STATE(3787),
    [sym__string_literal] = STATE(3867),
    [sym__raw_string_literal] = STATE(3867),
    [sym_character] = STATE(3787),
    [sym_boolean] = STATE(3787),
    [sym_field_identifier] = STATE(7783),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(759),
    [anon_sym_QMARK] = ACTIONS(761),
    [anon_sym_PLUS] = ACTIONS(763),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(763),
    [anon_sym_BANG] = ACTIONS(763),
    [anon_sym_AMP] = ACTIONS(763),
    [anon_sym_DOT] = ACTIONS(765),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_cast] = ACTIONS(597),
    [anon_sym_transmute] = ACTIONS(597),
    [anon_sym_auto_cast] = ACTIONS(599),
    [anon_sym_DOT_DOT] = ACTIONS(2797),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [1691] = {
    [sym_expression] = STATE(4142),
    [sym__expression_no_tag] = STATE(4237),
    [sym_unary_expression] = STATE(4237),
    [sym_binary_expression] = STATE(4237),
    [sym_ternary_expression] = STATE(4237),
    [sym_call_expression] = STATE(4237),
    [sym_selector_call_expression] = STATE(4237),
    [sym_member_expression] = STATE(4237),
    [sym_index_expression] = STATE(4237),
    [sym_slice_expression] = STATE(4237),
    [sym_range_expression] = STATE(4237),
    [sym_cast_expression] = STATE(4237),
    [sym_in_expression] = STATE(4237),
    [sym_variadic_expression] = STATE(4237),
    [sym_parenthesized_expression] = STATE(4237),
    [sym_or_return_expression] = STATE(4237),
    [sym_or_continue_expression] = STATE(4237),
    [sym_or_break_expression] = STATE(4237),
    [sym_address] = STATE(4237),
    [sym_map_type] = STATE(4237),
    [sym_matrix_type] = STATE(4237),
    [sym_distinct_type] = STATE(4237),
    [sym_literal] = STATE(4237),
    [sym_struct] = STATE(4311),
    [sym_map] = STATE(3787),
    [sym_bit_set] = STATE(3787),
    [sym_matrix] = STATE(3787),
    [sym_string] = STATE(3787),
    [sym__string_literal] = STATE(3867),
    [sym__raw_string_literal] = STATE(3867),
    [sym_character] = STATE(3787),
    [sym_boolean] = STATE(3787),
    [sym_field_identifier] = STATE(7783),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(759),
    [anon_sym_QMARK] = ACTIONS(761),
    [anon_sym_PLUS] = ACTIONS(763),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(763),
    [anon_sym_BANG] = ACTIONS(763),
    [anon_sym_AMP] = ACTIONS(763),
    [anon_sym_DOT] = ACTIONS(765),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_cast] = ACTIONS(597),
    [anon_sym_transmute] = ACTIONS(597),
    [anon_sym_auto_cast] = ACTIONS(599),
    [anon_sym_DOT_DOT] = ACTIONS(2797),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [1692] = {
    [sym_expression] = STATE(4143),
    [sym__expression_no_tag] = STATE(4237),
    [sym_unary_expression] = STATE(4237),
    [sym_binary_expression] = STATE(4237),
    [sym_ternary_expression] = STATE(4237),
    [sym_call_expression] = STATE(4237),
    [sym_selector_call_expression] = STATE(4237),
    [sym_member_expression] = STATE(4237),
    [sym_index_expression] = STATE(4237),
    [sym_slice_expression] = STATE(4237),
    [sym_range_expression] = STATE(4237),
    [sym_cast_expression] = STATE(4237),
    [sym_in_expression] = STATE(4237),
    [sym_variadic_expression] = STATE(4237),
    [sym_parenthesized_expression] = STATE(4237),
    [sym_or_return_expression] = STATE(4237),
    [sym_or_continue_expression] = STATE(4237),
    [sym_or_break_expression] = STATE(4237),
    [sym_address] = STATE(4237),
    [sym_map_type] = STATE(4237),
    [sym_matrix_type] = STATE(4237),
    [sym_distinct_type] = STATE(4237),
    [sym_literal] = STATE(4237),
    [sym_struct] = STATE(4311),
    [sym_map] = STATE(3787),
    [sym_bit_set] = STATE(3787),
    [sym_matrix] = STATE(3787),
    [sym_string] = STATE(3787),
    [sym__string_literal] = STATE(3867),
    [sym__raw_string_literal] = STATE(3867),
    [sym_character] = STATE(3787),
    [sym_boolean] = STATE(3787),
    [sym_field_identifier] = STATE(7783),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(759),
    [anon_sym_QMARK] = ACTIONS(761),
    [anon_sym_PLUS] = ACTIONS(763),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(763),
    [anon_sym_BANG] = ACTIONS(763),
    [anon_sym_AMP] = ACTIONS(763),
    [anon_sym_DOT] = ACTIONS(765),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_cast] = ACTIONS(597),
    [anon_sym_transmute] = ACTIONS(597),
    [anon_sym_auto_cast] = ACTIONS(599),
    [anon_sym_DOT_DOT] = ACTIONS(2797),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [1693] = {
    [sym_expression] = STATE(4144),
    [sym__expression_no_tag] = STATE(4237),
    [sym_unary_expression] = STATE(4237),
    [sym_binary_expression] = STATE(4237),
    [sym_ternary_expression] = STATE(4237),
    [sym_call_expression] = STATE(4237),
    [sym_selector_call_expression] = STATE(4237),
    [sym_member_expression] = STATE(4237),
    [sym_index_expression] = STATE(4237),
    [sym_slice_expression] = STATE(4237),
    [sym_range_expression] = STATE(4237),
    [sym_cast_expression] = STATE(4237),
    [sym_in_expression] = STATE(4237),
    [sym_variadic_expression] = STATE(4237),
    [sym_parenthesized_expression] = STATE(4237),
    [sym_or_return_expression] = STATE(4237),
    [sym_or_continue_expression] = STATE(4237),
    [sym_or_break_expression] = STATE(4237),
    [sym_address] = STATE(4237),
    [sym_map_type] = STATE(4237),
    [sym_matrix_type] = STATE(4237),
    [sym_distinct_type] = STATE(4237),
    [sym_literal] = STATE(4237),
    [sym_struct] = STATE(4311),
    [sym_map] = STATE(3787),
    [sym_bit_set] = STATE(3787),
    [sym_matrix] = STATE(3787),
    [sym_string] = STATE(3787),
    [sym__string_literal] = STATE(3867),
    [sym__raw_string_literal] = STATE(3867),
    [sym_character] = STATE(3787),
    [sym_boolean] = STATE(3787),
    [sym_field_identifier] = STATE(7783),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(759),
    [anon_sym_QMARK] = ACTIONS(761),
    [anon_sym_PLUS] = ACTIONS(763),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(763),
    [anon_sym_BANG] = ACTIONS(763),
    [anon_sym_AMP] = ACTIONS(763),
    [anon_sym_DOT] = ACTIONS(765),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_cast] = ACTIONS(597),
    [anon_sym_transmute] = ACTIONS(597),
    [anon_sym_auto_cast] = ACTIONS(599),
    [anon_sym_DOT_DOT] = ACTIONS(2797),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [1694] = {
    [sym_expression] = STATE(4145),
    [sym__expression_no_tag] = STATE(4237),
    [sym_unary_expression] = STATE(4237),
    [sym_binary_expression] = STATE(4237),
    [sym_ternary_expression] = STATE(4237),
    [sym_call_expression] = STATE(4237),
    [sym_selector_call_expression] = STATE(4237),
    [sym_member_expression] = STATE(4237),
    [sym_index_expression] = STATE(4237),
    [sym_slice_expression] = STATE(4237),
    [sym_range_expression] = STATE(4237),
    [sym_cast_expression] = STATE(4237),
    [sym_in_expression] = STATE(4237),
    [sym_variadic_expression] = STATE(4237),
    [sym_parenthesized_expression] = STATE(4237),
    [sym_or_return_expression] = STATE(4237),
    [sym_or_continue_expression] = STATE(4237),
    [sym_or_break_expression] = STATE(4237),
    [sym_address] = STATE(4237),
    [sym_map_type] = STATE(4237),
    [sym_matrix_type] = STATE(4237),
    [sym_distinct_type] = STATE(4237),
    [sym_literal] = STATE(4237),
    [sym_struct] = STATE(4311),
    [sym_map] = STATE(3787),
    [sym_bit_set] = STATE(3787),
    [sym_matrix] = STATE(3787),
    [sym_string] = STATE(3787),
    [sym__string_literal] = STATE(3867),
    [sym__raw_string_literal] = STATE(3867),
    [sym_character] = STATE(3787),
    [sym_boolean] = STATE(3787),
    [sym_field_identifier] = STATE(7783),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(759),
    [anon_sym_QMARK] = ACTIONS(761),
    [anon_sym_PLUS] = ACTIONS(763),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(763),
    [anon_sym_BANG] = ACTIONS(763),
    [anon_sym_AMP] = ACTIONS(763),
    [anon_sym_DOT] = ACTIONS(765),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_cast] = ACTIONS(597),
    [anon_sym_transmute] = ACTIONS(597),
    [anon_sym_auto_cast] = ACTIONS(599),
    [anon_sym_DOT_DOT] = ACTIONS(2797),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [1695] = {
    [sym_expression] = STATE(4146),
    [sym__expression_no_tag] = STATE(4237),
    [sym_unary_expression] = STATE(4237),
    [sym_binary_expression] = STATE(4237),
    [sym_ternary_expression] = STATE(4237),
    [sym_call_expression] = STATE(4237),
    [sym_selector_call_expression] = STATE(4237),
    [sym_member_expression] = STATE(4237),
    [sym_index_expression] = STATE(4237),
    [sym_slice_expression] = STATE(4237),
    [sym_range_expression] = STATE(4237),
    [sym_cast_expression] = STATE(4237),
    [sym_in_expression] = STATE(4237),
    [sym_variadic_expression] = STATE(4237),
    [sym_parenthesized_expression] = STATE(4237),
    [sym_or_return_expression] = STATE(4237),
    [sym_or_continue_expression] = STATE(4237),
    [sym_or_break_expression] = STATE(4237),
    [sym_address] = STATE(4237),
    [sym_map_type] = STATE(4237),
    [sym_matrix_type] = STATE(4237),
    [sym_distinct_type] = STATE(4237),
    [sym_literal] = STATE(4237),
    [sym_struct] = STATE(4311),
    [sym_map] = STATE(3787),
    [sym_bit_set] = STATE(3787),
    [sym_matrix] = STATE(3787),
    [sym_string] = STATE(3787),
    [sym__string_literal] = STATE(3867),
    [sym__raw_string_literal] = STATE(3867),
    [sym_character] = STATE(3787),
    [sym_boolean] = STATE(3787),
    [sym_field_identifier] = STATE(7783),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(759),
    [anon_sym_QMARK] = ACTIONS(761),
    [anon_sym_PLUS] = ACTIONS(763),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(763),
    [anon_sym_BANG] = ACTIONS(763),
    [anon_sym_AMP] = ACTIONS(763),
    [anon_sym_DOT] = ACTIONS(765),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_cast] = ACTIONS(597),
    [anon_sym_transmute] = ACTIONS(597),
    [anon_sym_auto_cast] = ACTIONS(599),
    [anon_sym_DOT_DOT] = ACTIONS(2797),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [1696] = {
    [sym_expression] = STATE(4147),
    [sym__expression_no_tag] = STATE(4237),
    [sym_unary_expression] = STATE(4237),
    [sym_binary_expression] = STATE(4237),
    [sym_ternary_expression] = STATE(4237),
    [sym_call_expression] = STATE(4237),
    [sym_selector_call_expression] = STATE(4237),
    [sym_member_expression] = STATE(4237),
    [sym_index_expression] = STATE(4237),
    [sym_slice_expression] = STATE(4237),
    [sym_range_expression] = STATE(4237),
    [sym_cast_expression] = STATE(4237),
    [sym_in_expression] = STATE(4237),
    [sym_variadic_expression] = STATE(4237),
    [sym_parenthesized_expression] = STATE(4237),
    [sym_or_return_expression] = STATE(4237),
    [sym_or_continue_expression] = STATE(4237),
    [sym_or_break_expression] = STATE(4237),
    [sym_address] = STATE(4237),
    [sym_map_type] = STATE(4237),
    [sym_matrix_type] = STATE(4237),
    [sym_distinct_type] = STATE(4237),
    [sym_literal] = STATE(4237),
    [sym_struct] = STATE(4311),
    [sym_map] = STATE(3787),
    [sym_bit_set] = STATE(3787),
    [sym_matrix] = STATE(3787),
    [sym_string] = STATE(3787),
    [sym__string_literal] = STATE(3867),
    [sym__raw_string_literal] = STATE(3867),
    [sym_character] = STATE(3787),
    [sym_boolean] = STATE(3787),
    [sym_field_identifier] = STATE(7783),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(759),
    [anon_sym_QMARK] = ACTIONS(761),
    [anon_sym_PLUS] = ACTIONS(763),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(763),
    [anon_sym_BANG] = ACTIONS(763),
    [anon_sym_AMP] = ACTIONS(763),
    [anon_sym_DOT] = ACTIONS(765),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_cast] = ACTIONS(597),
    [anon_sym_transmute] = ACTIONS(597),
    [anon_sym_auto_cast] = ACTIONS(599),
    [anon_sym_DOT_DOT] = ACTIONS(2797),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [1697] = {
    [sym_expression] = STATE(4148),
    [sym__expression_no_tag] = STATE(4237),
    [sym_unary_expression] = STATE(4237),
    [sym_binary_expression] = STATE(4237),
    [sym_ternary_expression] = STATE(4237),
    [sym_call_expression] = STATE(4237),
    [sym_selector_call_expression] = STATE(4237),
    [sym_member_expression] = STATE(4237),
    [sym_index_expression] = STATE(4237),
    [sym_slice_expression] = STATE(4237),
    [sym_range_expression] = STATE(4237),
    [sym_cast_expression] = STATE(4237),
    [sym_in_expression] = STATE(4237),
    [sym_variadic_expression] = STATE(4237),
    [sym_parenthesized_expression] = STATE(4237),
    [sym_or_return_expression] = STATE(4237),
    [sym_or_continue_expression] = STATE(4237),
    [sym_or_break_expression] = STATE(4237),
    [sym_address] = STATE(4237),
    [sym_map_type] = STATE(4237),
    [sym_matrix_type] = STATE(4237),
    [sym_distinct_type] = STATE(4237),
    [sym_literal] = STATE(4237),
    [sym_struct] = STATE(4311),
    [sym_map] = STATE(3787),
    [sym_bit_set] = STATE(3787),
    [sym_matrix] = STATE(3787),
    [sym_string] = STATE(3787),
    [sym__string_literal] = STATE(3867),
    [sym__raw_string_literal] = STATE(3867),
    [sym_character] = STATE(3787),
    [sym_boolean] = STATE(3787),
    [sym_field_identifier] = STATE(7783),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(759),
    [anon_sym_QMARK] = ACTIONS(761),
    [anon_sym_PLUS] = ACTIONS(763),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(763),
    [anon_sym_BANG] = ACTIONS(763),
    [anon_sym_AMP] = ACTIONS(763),
    [anon_sym_DOT] = ACTIONS(765),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_cast] = ACTIONS(597),
    [anon_sym_transmute] = ACTIONS(597),
    [anon_sym_auto_cast] = ACTIONS(599),
    [anon_sym_DOT_DOT] = ACTIONS(2797),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [1698] = {
    [sym_expression] = STATE(4149),
    [sym__expression_no_tag] = STATE(4237),
    [sym_unary_expression] = STATE(4237),
    [sym_binary_expression] = STATE(4237),
    [sym_ternary_expression] = STATE(4237),
    [sym_call_expression] = STATE(4237),
    [sym_selector_call_expression] = STATE(4237),
    [sym_member_expression] = STATE(4237),
    [sym_index_expression] = STATE(4237),
    [sym_slice_expression] = STATE(4237),
    [sym_range_expression] = STATE(4237),
    [sym_cast_expression] = STATE(4237),
    [sym_in_expression] = STATE(4237),
    [sym_variadic_expression] = STATE(4237),
    [sym_parenthesized_expression] = STATE(4237),
    [sym_or_return_expression] = STATE(4237),
    [sym_or_continue_expression] = STATE(4237),
    [sym_or_break_expression] = STATE(4237),
    [sym_address] = STATE(4237),
    [sym_map_type] = STATE(4237),
    [sym_matrix_type] = STATE(4237),
    [sym_distinct_type] = STATE(4237),
    [sym_literal] = STATE(4237),
    [sym_struct] = STATE(4311),
    [sym_map] = STATE(3787),
    [sym_bit_set] = STATE(3787),
    [sym_matrix] = STATE(3787),
    [sym_string] = STATE(3787),
    [sym__string_literal] = STATE(3867),
    [sym__raw_string_literal] = STATE(3867),
    [sym_character] = STATE(3787),
    [sym_boolean] = STATE(3787),
    [sym_field_identifier] = STATE(7783),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(759),
    [anon_sym_QMARK] = ACTIONS(761),
    [anon_sym_PLUS] = ACTIONS(763),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(763),
    [anon_sym_BANG] = ACTIONS(763),
    [anon_sym_AMP] = ACTIONS(763),
    [anon_sym_DOT] = ACTIONS(765),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_cast] = ACTIONS(597),
    [anon_sym_transmute] = ACTIONS(597),
    [anon_sym_auto_cast] = ACTIONS(599),
    [anon_sym_DOT_DOT] = ACTIONS(2797),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [1699] = {
    [sym_expression] = STATE(4150),
    [sym__expression_no_tag] = STATE(4237),
    [sym_unary_expression] = STATE(4237),
    [sym_binary_expression] = STATE(4237),
    [sym_ternary_expression] = STATE(4237),
    [sym_call_expression] = STATE(4237),
    [sym_selector_call_expression] = STATE(4237),
    [sym_member_expression] = STATE(4237),
    [sym_index_expression] = STATE(4237),
    [sym_slice_expression] = STATE(4237),
    [sym_range_expression] = STATE(4237),
    [sym_cast_expression] = STATE(4237),
    [sym_in_expression] = STATE(4237),
    [sym_variadic_expression] = STATE(4237),
    [sym_parenthesized_expression] = STATE(4237),
    [sym_or_return_expression] = STATE(4237),
    [sym_or_continue_expression] = STATE(4237),
    [sym_or_break_expression] = STATE(4237),
    [sym_address] = STATE(4237),
    [sym_map_type] = STATE(4237),
    [sym_matrix_type] = STATE(4237),
    [sym_distinct_type] = STATE(4237),
    [sym_literal] = STATE(4237),
    [sym_struct] = STATE(4311),
    [sym_map] = STATE(3787),
    [sym_bit_set] = STATE(3787),
    [sym_matrix] = STATE(3787),
    [sym_string] = STATE(3787),
    [sym__string_literal] = STATE(3867),
    [sym__raw_string_literal] = STATE(3867),
    [sym_character] = STATE(3787),
    [sym_boolean] = STATE(3787),
    [sym_field_identifier] = STATE(7783),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(759),
    [anon_sym_QMARK] = ACTIONS(761),
    [anon_sym_PLUS] = ACTIONS(763),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(763),
    [anon_sym_BANG] = ACTIONS(763),
    [anon_sym_AMP] = ACTIONS(763),
    [anon_sym_DOT] = ACTIONS(765),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_cast] = ACTIONS(597),
    [anon_sym_transmute] = ACTIONS(597),
    [anon_sym_auto_cast] = ACTIONS(599),
    [anon_sym_DOT_DOT] = ACTIONS(2797),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [1700] = {
    [sym_expression] = STATE(4151),
    [sym__expression_no_tag] = STATE(4237),
    [sym_unary_expression] = STATE(4237),
    [sym_binary_expression] = STATE(4237),
    [sym_ternary_expression] = STATE(4237),
    [sym_call_expression] = STATE(4237),
    [sym_selector_call_expression] = STATE(4237),
    [sym_member_expression] = STATE(4237),
    [sym_index_expression] = STATE(4237),
    [sym_slice_expression] = STATE(4237),
    [sym_range_expression] = STATE(4237),
    [sym_cast_expression] = STATE(4237),
    [sym_in_expression] = STATE(4237),
    [sym_variadic_expression] = STATE(4237),
    [sym_parenthesized_expression] = STATE(4237),
    [sym_or_return_expression] = STATE(4237),
    [sym_or_continue_expression] = STATE(4237),
    [sym_or_break_expression] = STATE(4237),
    [sym_address] = STATE(4237),
    [sym_map_type] = STATE(4237),
    [sym_matrix_type] = STATE(4237),
    [sym_distinct_type] = STATE(4237),
    [sym_literal] = STATE(4237),
    [sym_struct] = STATE(4311),
    [sym_map] = STATE(3787),
    [sym_bit_set] = STATE(3787),
    [sym_matrix] = STATE(3787),
    [sym_string] = STATE(3787),
    [sym__string_literal] = STATE(3867),
    [sym__raw_string_literal] = STATE(3867),
    [sym_character] = STATE(3787),
    [sym_boolean] = STATE(3787),
    [sym_field_identifier] = STATE(7783),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(759),
    [anon_sym_QMARK] = ACTIONS(761),
    [anon_sym_PLUS] = ACTIONS(763),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(763),
    [anon_sym_BANG] = ACTIONS(763),
    [anon_sym_AMP] = ACTIONS(763),
    [anon_sym_DOT] = ACTIONS(765),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_cast] = ACTIONS(597),
    [anon_sym_transmute] = ACTIONS(597),
    [anon_sym_auto_cast] = ACTIONS(599),
    [anon_sym_DOT_DOT] = ACTIONS(2797),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [1701] = {
    [sym_expression] = STATE(4152),
    [sym__expression_no_tag] = STATE(4237),
    [sym_unary_expression] = STATE(4237),
    [sym_binary_expression] = STATE(4237),
    [sym_ternary_expression] = STATE(4237),
    [sym_call_expression] = STATE(4237),
    [sym_selector_call_expression] = STATE(4237),
    [sym_member_expression] = STATE(4237),
    [sym_index_expression] = STATE(4237),
    [sym_slice_expression] = STATE(4237),
    [sym_range_expression] = STATE(4237),
    [sym_cast_expression] = STATE(4237),
    [sym_in_expression] = STATE(4237),
    [sym_variadic_expression] = STATE(4237),
    [sym_parenthesized_expression] = STATE(4237),
    [sym_or_return_expression] = STATE(4237),
    [sym_or_continue_expression] = STATE(4237),
    [sym_or_break_expression] = STATE(4237),
    [sym_address] = STATE(4237),
    [sym_map_type] = STATE(4237),
    [sym_matrix_type] = STATE(4237),
    [sym_distinct_type] = STATE(4237),
    [sym_literal] = STATE(4237),
    [sym_struct] = STATE(4311),
    [sym_map] = STATE(3787),
    [sym_bit_set] = STATE(3787),
    [sym_matrix] = STATE(3787),
    [sym_string] = STATE(3787),
    [sym__string_literal] = STATE(3867),
    [sym__raw_string_literal] = STATE(3867),
    [sym_character] = STATE(3787),
    [sym_boolean] = STATE(3787),
    [sym_field_identifier] = STATE(7783),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(759),
    [anon_sym_QMARK] = ACTIONS(761),
    [anon_sym_PLUS] = ACTIONS(763),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(763),
    [anon_sym_BANG] = ACTIONS(763),
    [anon_sym_AMP] = ACTIONS(763),
    [anon_sym_DOT] = ACTIONS(765),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_cast] = ACTIONS(597),
    [anon_sym_transmute] = ACTIONS(597),
    [anon_sym_auto_cast] = ACTIONS(599),
    [anon_sym_DOT_DOT] = ACTIONS(2797),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [1702] = {
    [sym_expression] = STATE(3809),
    [sym__expression_no_tag] = STATE(4237),
    [sym_unary_expression] = STATE(4237),
    [sym_binary_expression] = STATE(4237),
    [sym_ternary_expression] = STATE(4237),
    [sym_call_expression] = STATE(4237),
    [sym_selector_call_expression] = STATE(4237),
    [sym_member_expression] = STATE(4237),
    [sym_index_expression] = STATE(4237),
    [sym_slice_expression] = STATE(4237),
    [sym_range_expression] = STATE(4237),
    [sym_cast_expression] = STATE(4237),
    [sym_in_expression] = STATE(4237),
    [sym_variadic_expression] = STATE(4237),
    [sym_parenthesized_expression] = STATE(4237),
    [sym_or_return_expression] = STATE(4237),
    [sym_or_continue_expression] = STATE(4237),
    [sym_or_break_expression] = STATE(4237),
    [sym_address] = STATE(4237),
    [sym_map_type] = STATE(4237),
    [sym_matrix_type] = STATE(4237),
    [sym_distinct_type] = STATE(4237),
    [sym_literal] = STATE(4237),
    [sym_struct] = STATE(4311),
    [sym_map] = STATE(3787),
    [sym_bit_set] = STATE(3787),
    [sym_matrix] = STATE(3787),
    [sym_string] = STATE(3787),
    [sym__string_literal] = STATE(3867),
    [sym__raw_string_literal] = STATE(3867),
    [sym_character] = STATE(3787),
    [sym_boolean] = STATE(3787),
    [sym_field_identifier] = STATE(7783),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(759),
    [anon_sym_QMARK] = ACTIONS(761),
    [anon_sym_PLUS] = ACTIONS(763),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(763),
    [anon_sym_BANG] = ACTIONS(763),
    [anon_sym_AMP] = ACTIONS(763),
    [anon_sym_DOT] = ACTIONS(765),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_cast] = ACTIONS(597),
    [anon_sym_transmute] = ACTIONS(597),
    [anon_sym_auto_cast] = ACTIONS(599),
    [anon_sym_DOT_DOT] = ACTIONS(2797),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [1703] = {
    [sym_expression] = STATE(3854),
    [sym__expression_no_tag] = STATE(4237),
    [sym_unary_expression] = STATE(4237),
    [sym_binary_expression] = STATE(4237),
    [sym_ternary_expression] = STATE(4237),
    [sym_call_expression] = STATE(4237),
    [sym_selector_call_expression] = STATE(4237),
    [sym_member_expression] = STATE(4237),
    [sym_index_expression] = STATE(4237),
    [sym_slice_expression] = STATE(4237),
    [sym_range_expression] = STATE(4237),
    [sym_cast_expression] = STATE(4237),
    [sym_in_expression] = STATE(4237),
    [sym_variadic_expression] = STATE(4237),
    [sym_parenthesized_expression] = STATE(4237),
    [sym_or_return_expression] = STATE(4237),
    [sym_or_continue_expression] = STATE(4237),
    [sym_or_break_expression] = STATE(4237),
    [sym_address] = STATE(4237),
    [sym_map_type] = STATE(4237),
    [sym_matrix_type] = STATE(4237),
    [sym_distinct_type] = STATE(4237),
    [sym_literal] = STATE(4237),
    [sym_struct] = STATE(4311),
    [sym_map] = STATE(3787),
    [sym_bit_set] = STATE(3787),
    [sym_matrix] = STATE(3787),
    [sym_string] = STATE(3787),
    [sym__string_literal] = STATE(3867),
    [sym__raw_string_literal] = STATE(3867),
    [sym_character] = STATE(3787),
    [sym_boolean] = STATE(3787),
    [sym_field_identifier] = STATE(7783),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(759),
    [anon_sym_QMARK] = ACTIONS(761),
    [anon_sym_PLUS] = ACTIONS(763),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(763),
    [anon_sym_BANG] = ACTIONS(763),
    [anon_sym_AMP] = ACTIONS(763),
    [anon_sym_DOT] = ACTIONS(765),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_cast] = ACTIONS(597),
    [anon_sym_transmute] = ACTIONS(597),
    [anon_sym_auto_cast] = ACTIONS(599),
    [anon_sym_DOT_DOT] = ACTIONS(2797),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [1704] = {
    [sym_expression] = STATE(2615),
    [sym__expression_no_tag] = STATE(2664),
    [sym_unary_expression] = STATE(2664),
    [sym_binary_expression] = STATE(2664),
    [sym_ternary_expression] = STATE(2664),
    [sym_call_expression] = STATE(2664),
    [sym_selector_call_expression] = STATE(2664),
    [sym_member_expression] = STATE(2664),
    [sym_index_expression] = STATE(2664),
    [sym_slice_expression] = STATE(2664),
    [sym_range_expression] = STATE(2664),
    [sym_cast_expression] = STATE(2664),
    [sym_in_expression] = STATE(2664),
    [sym_variadic_expression] = STATE(2664),
    [sym_parenthesized_expression] = STATE(2664),
    [sym_or_return_expression] = STATE(2664),
    [sym_or_continue_expression] = STATE(2664),
    [sym_or_break_expression] = STATE(2664),
    [sym_address] = STATE(2664),
    [sym_map_type] = STATE(2664),
    [sym_matrix_type] = STATE(2664),
    [sym_distinct_type] = STATE(2664),
    [sym_literal] = STATE(2664),
    [sym_struct] = STATE(2632),
    [sym_map] = STATE(2566),
    [sym_bit_set] = STATE(2566),
    [sym_matrix] = STATE(2566),
    [sym_string] = STATE(2566),
    [sym__string_literal] = STATE(2591),
    [sym__raw_string_literal] = STATE(2591),
    [sym_character] = STATE(2566),
    [sym_boolean] = STATE(2566),
    [sym_field_identifier] = STATE(7902),
    [sym_identifier] = ACTIONS(249),
    [anon_sym_LBRACE] = ACTIONS(251),
    [anon_sym_LPAREN] = ACTIONS(291),
    [anon_sym_QMARK] = ACTIONS(293),
    [anon_sym_PLUS] = ACTIONS(3175),
    [anon_sym_DASH] = ACTIONS(295),
    [anon_sym_TILDE] = ACTIONS(3175),
    [anon_sym_BANG] = ACTIONS(3175),
    [anon_sym_AMP] = ACTIONS(3175),
    [anon_sym_DOT] = ACTIONS(297),
    [anon_sym_LBRACK] = ACTIONS(261),
    [anon_sym_cast] = ACTIONS(299),
    [anon_sym_transmute] = ACTIONS(299),
    [anon_sym_auto_cast] = ACTIONS(301),
    [anon_sym_DOT_DOT] = ACTIONS(3177),
    [anon_sym_map] = ACTIONS(269),
    [anon_sym_bit_set] = ACTIONS(271),
    [anon_sym_matrix] = ACTIONS(273),
    [anon_sym_distinct] = ACTIONS(275),
    [sym_number] = ACTIONS(277),
    [anon_sym_DQUOTE] = ACTIONS(279),
    [anon_sym_BQUOTE] = ACTIONS(281),
    [anon_sym_SQUOTE] = ACTIONS(283),
    [anon_sym_true] = ACTIONS(285),
    [anon_sym_false] = ACTIONS(285),
    [sym_nil] = ACTIONS(287),
    [sym_uninitialized] = ACTIONS(277),
    [sym_tag] = ACTIONS(305),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(277),
    [sym_block_comment] = ACTIONS(3),
  },
  [1705] = {
    [sym_expression] = STATE(5701),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1706] = {
    [sym_expression] = STATE(3192),
    [sym__expression_no_tag] = STATE(2689),
    [sym_unary_expression] = STATE(2689),
    [sym_binary_expression] = STATE(2689),
    [sym_ternary_expression] = STATE(2689),
    [sym_call_expression] = STATE(2689),
    [sym_selector_call_expression] = STATE(2689),
    [sym_member_expression] = STATE(2689),
    [sym_index_expression] = STATE(2689),
    [sym_slice_expression] = STATE(2689),
    [sym_range_expression] = STATE(2689),
    [sym_cast_expression] = STATE(2689),
    [sym_in_expression] = STATE(2689),
    [sym_variadic_expression] = STATE(2689),
    [sym_parenthesized_expression] = STATE(2689),
    [sym_or_return_expression] = STATE(2689),
    [sym_or_continue_expression] = STATE(2689),
    [sym_or_break_expression] = STATE(2689),
    [sym_address] = STATE(2689),
    [sym_map_type] = STATE(2689),
    [sym_matrix_type] = STATE(2689),
    [sym_distinct_type] = STATE(2689),
    [sym_literal] = STATE(2689),
    [sym_struct] = STATE(3145),
    [sym_map] = STATE(2871),
    [sym_bit_set] = STATE(2871),
    [sym_matrix] = STATE(2871),
    [sym_string] = STATE(2871),
    [sym__string_literal] = STATE(2874),
    [sym__raw_string_literal] = STATE(2874),
    [sym_character] = STATE(2871),
    [sym_boolean] = STATE(2871),
    [sym_field_identifier] = STATE(7825),
    [sym_identifier] = ACTIONS(493),
    [anon_sym_LBRACE] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_QMARK] = ACTIONS(529),
    [anon_sym_PLUS] = ACTIONS(531),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(531),
    [anon_sym_AMP] = ACTIONS(531),
    [anon_sym_DOT] = ACTIONS(533),
    [anon_sym_LBRACK] = ACTIONS(535),
    [anon_sym_cast] = ACTIONS(497),
    [anon_sym_transmute] = ACTIONS(497),
    [anon_sym_auto_cast] = ACTIONS(499),
    [anon_sym_DOT_DOT] = ACTIONS(6104),
    [anon_sym_map] = ACTIONS(503),
    [anon_sym_bit_set] = ACTIONS(505),
    [anon_sym_matrix] = ACTIONS(507),
    [anon_sym_distinct] = ACTIONS(509),
    [sym_number] = ACTIONS(511),
    [anon_sym_DQUOTE] = ACTIONS(513),
    [anon_sym_BQUOTE] = ACTIONS(515),
    [anon_sym_SQUOTE] = ACTIONS(517),
    [anon_sym_true] = ACTIONS(519),
    [anon_sym_false] = ACTIONS(519),
    [sym_nil] = ACTIONS(521),
    [sym_uninitialized] = ACTIONS(511),
    [sym_tag] = ACTIONS(537),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(511),
    [sym_block_comment] = ACTIONS(3),
  },
  [1707] = {
    [sym_expression] = STATE(4339),
    [sym__expression_no_tag] = STATE(4431),
    [sym_unary_expression] = STATE(4431),
    [sym_binary_expression] = STATE(4431),
    [sym_ternary_expression] = STATE(4431),
    [sym_call_expression] = STATE(4431),
    [sym_selector_call_expression] = STATE(4431),
    [sym_member_expression] = STATE(4431),
    [sym_index_expression] = STATE(4431),
    [sym_slice_expression] = STATE(4431),
    [sym_range_expression] = STATE(4431),
    [sym_cast_expression] = STATE(4431),
    [sym_in_expression] = STATE(4431),
    [sym_variadic_expression] = STATE(4431),
    [sym_parenthesized_expression] = STATE(4431),
    [sym_or_return_expression] = STATE(4431),
    [sym_or_continue_expression] = STATE(4431),
    [sym_or_break_expression] = STATE(4431),
    [sym_address] = STATE(4431),
    [sym_map_type] = STATE(4431),
    [sym_matrix_type] = STATE(4431),
    [sym_distinct_type] = STATE(4431),
    [sym_literal] = STATE(4431),
    [sym_struct] = STATE(4333),
    [sym_map] = STATE(4320),
    [sym_bit_set] = STATE(4320),
    [sym_matrix] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym__string_literal] = STATE(4334),
    [sym__raw_string_literal] = STATE(4334),
    [sym_character] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_field_identifier] = STATE(7845),
    [sym_identifier] = ACTIONS(341),
    [anon_sym_LBRACE] = ACTIONS(943),
    [anon_sym_LPAREN] = ACTIONS(945),
    [anon_sym_QMARK] = ACTIONS(947),
    [anon_sym_PLUS] = ACTIONS(949),
    [anon_sym_DASH] = ACTIONS(951),
    [anon_sym_TILDE] = ACTIONS(949),
    [anon_sym_BANG] = ACTIONS(949),
    [anon_sym_AMP] = ACTIONS(949),
    [anon_sym_DOT] = ACTIONS(953),
    [anon_sym_LBRACK] = ACTIONS(955),
    [anon_sym_cast] = ACTIONS(957),
    [anon_sym_transmute] = ACTIONS(957),
    [anon_sym_auto_cast] = ACTIONS(959),
    [anon_sym_DOT_DOT] = ACTIONS(3241),
    [anon_sym_map] = ACTIONS(351),
    [anon_sym_bit_set] = ACTIONS(353),
    [anon_sym_matrix] = ACTIONS(355),
    [anon_sym_distinct] = ACTIONS(357),
    [sym_number] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(361),
    [anon_sym_BQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [anon_sym_true] = ACTIONS(367),
    [anon_sym_false] = ACTIONS(367),
    [sym_nil] = ACTIONS(369),
    [sym_uninitialized] = ACTIONS(359),
    [sym_tag] = ACTIONS(963),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(359),
    [sym_block_comment] = ACTIONS(3),
  },
  [1708] = {
    [sym_expression] = STATE(4393),
    [sym__expression_no_tag] = STATE(4112),
    [sym_unary_expression] = STATE(4112),
    [sym_binary_expression] = STATE(4112),
    [sym_ternary_expression] = STATE(4112),
    [sym_call_expression] = STATE(4112),
    [sym_selector_call_expression] = STATE(4112),
    [sym_member_expression] = STATE(4112),
    [sym_index_expression] = STATE(4112),
    [sym_slice_expression] = STATE(4112),
    [sym_range_expression] = STATE(4112),
    [sym_cast_expression] = STATE(4112),
    [sym_in_expression] = STATE(4112),
    [sym_variadic_expression] = STATE(4112),
    [sym_parenthesized_expression] = STATE(4112),
    [sym_or_return_expression] = STATE(4112),
    [sym_or_continue_expression] = STATE(4112),
    [sym_or_break_expression] = STATE(4112),
    [sym_address] = STATE(4112),
    [sym_map_type] = STATE(4112),
    [sym_matrix_type] = STATE(4112),
    [sym_distinct_type] = STATE(4112),
    [sym_literal] = STATE(4112),
    [sym_struct] = STATE(4105),
    [sym_map] = STATE(2871),
    [sym_bit_set] = STATE(2871),
    [sym_matrix] = STATE(2871),
    [sym_string] = STATE(2871),
    [sym__string_literal] = STATE(2874),
    [sym__raw_string_literal] = STATE(2874),
    [sym_character] = STATE(2871),
    [sym_boolean] = STATE(2871),
    [sym_field_identifier] = STATE(7825),
    [sym_identifier] = ACTIONS(493),
    [anon_sym_LBRACE] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1093),
    [anon_sym_QMARK] = ACTIONS(6126),
    [anon_sym_PLUS] = ACTIONS(1095),
    [anon_sym_DASH] = ACTIONS(1025),
    [anon_sym_TILDE] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(1095),
    [anon_sym_AMP] = ACTIONS(1095),
    [anon_sym_DOT] = ACTIONS(1097),
    [anon_sym_LBRACK] = ACTIONS(535),
    [anon_sym_cast] = ACTIONS(1027),
    [anon_sym_transmute] = ACTIONS(1027),
    [anon_sym_auto_cast] = ACTIONS(1029),
    [anon_sym_DOT_DOT] = ACTIONS(6128),
    [anon_sym_map] = ACTIONS(1033),
    [anon_sym_bit_set] = ACTIONS(505),
    [anon_sym_matrix] = ACTIONS(1035),
    [anon_sym_distinct] = ACTIONS(1037),
    [sym_number] = ACTIONS(511),
    [anon_sym_DQUOTE] = ACTIONS(513),
    [anon_sym_BQUOTE] = ACTIONS(515),
    [anon_sym_SQUOTE] = ACTIONS(517),
    [anon_sym_true] = ACTIONS(519),
    [anon_sym_false] = ACTIONS(519),
    [sym_nil] = ACTIONS(521),
    [sym_uninitialized] = ACTIONS(511),
    [sym_tag] = ACTIONS(537),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(511),
    [sym_block_comment] = ACTIONS(3),
  },
  [1709] = {
    [sym_expression] = STATE(4160),
    [sym__expression_no_tag] = STATE(4237),
    [sym_unary_expression] = STATE(4237),
    [sym_binary_expression] = STATE(4237),
    [sym_ternary_expression] = STATE(4237),
    [sym_call_expression] = STATE(4237),
    [sym_selector_call_expression] = STATE(4237),
    [sym_member_expression] = STATE(4237),
    [sym_index_expression] = STATE(4237),
    [sym_slice_expression] = STATE(4237),
    [sym_range_expression] = STATE(4237),
    [sym_cast_expression] = STATE(4237),
    [sym_in_expression] = STATE(4237),
    [sym_variadic_expression] = STATE(4237),
    [sym_parenthesized_expression] = STATE(4237),
    [sym_or_return_expression] = STATE(4237),
    [sym_or_continue_expression] = STATE(4237),
    [sym_or_break_expression] = STATE(4237),
    [sym_address] = STATE(4237),
    [sym_map_type] = STATE(4237),
    [sym_matrix_type] = STATE(4237),
    [sym_distinct_type] = STATE(4237),
    [sym_literal] = STATE(4237),
    [sym_struct] = STATE(4311),
    [sym_map] = STATE(3787),
    [sym_bit_set] = STATE(3787),
    [sym_matrix] = STATE(3787),
    [sym_string] = STATE(3787),
    [sym__string_literal] = STATE(3867),
    [sym__raw_string_literal] = STATE(3867),
    [sym_character] = STATE(3787),
    [sym_boolean] = STATE(3787),
    [sym_field_identifier] = STATE(7783),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(759),
    [anon_sym_QMARK] = ACTIONS(761),
    [anon_sym_PLUS] = ACTIONS(763),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(763),
    [anon_sym_BANG] = ACTIONS(763),
    [anon_sym_AMP] = ACTIONS(763),
    [anon_sym_DOT] = ACTIONS(765),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_cast] = ACTIONS(597),
    [anon_sym_transmute] = ACTIONS(597),
    [anon_sym_auto_cast] = ACTIONS(599),
    [anon_sym_DOT_DOT] = ACTIONS(2797),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [1710] = {
    [sym_expression] = STATE(6061),
    [sym__expression_no_tag] = STATE(5141),
    [sym_unary_expression] = STATE(5141),
    [sym_binary_expression] = STATE(5141),
    [sym_ternary_expression] = STATE(5141),
    [sym_call_expression] = STATE(1076),
    [sym_selector_call_expression] = STATE(5141),
    [sym_member_expression] = STATE(5141),
    [sym_index_expression] = STATE(5141),
    [sym_slice_expression] = STATE(5141),
    [sym_range_expression] = STATE(5141),
    [sym_cast_expression] = STATE(5141),
    [sym_in_expression] = STATE(5141),
    [sym_variadic_expression] = STATE(5141),
    [sym_parenthesized_expression] = STATE(5141),
    [sym_or_return_expression] = STATE(5141),
    [sym_or_continue_expression] = STATE(5141),
    [sym_or_break_expression] = STATE(5141),
    [sym_address] = STATE(5141),
    [sym_map_type] = STATE(5141),
    [sym_matrix_type] = STATE(5141),
    [sym_distinct_type] = STATE(5141),
    [sym_literal] = STATE(5141),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(6130),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(6132),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1711] = {
    [sym_expression] = STATE(4161),
    [sym__expression_no_tag] = STATE(4237),
    [sym_unary_expression] = STATE(4237),
    [sym_binary_expression] = STATE(4237),
    [sym_ternary_expression] = STATE(4237),
    [sym_call_expression] = STATE(4237),
    [sym_selector_call_expression] = STATE(4237),
    [sym_member_expression] = STATE(4237),
    [sym_index_expression] = STATE(4237),
    [sym_slice_expression] = STATE(4237),
    [sym_range_expression] = STATE(4237),
    [sym_cast_expression] = STATE(4237),
    [sym_in_expression] = STATE(4237),
    [sym_variadic_expression] = STATE(4237),
    [sym_parenthesized_expression] = STATE(4237),
    [sym_or_return_expression] = STATE(4237),
    [sym_or_continue_expression] = STATE(4237),
    [sym_or_break_expression] = STATE(4237),
    [sym_address] = STATE(4237),
    [sym_map_type] = STATE(4237),
    [sym_matrix_type] = STATE(4237),
    [sym_distinct_type] = STATE(4237),
    [sym_literal] = STATE(4237),
    [sym_struct] = STATE(4311),
    [sym_map] = STATE(3787),
    [sym_bit_set] = STATE(3787),
    [sym_matrix] = STATE(3787),
    [sym_string] = STATE(3787),
    [sym__string_literal] = STATE(3867),
    [sym__raw_string_literal] = STATE(3867),
    [sym_character] = STATE(3787),
    [sym_boolean] = STATE(3787),
    [sym_field_identifier] = STATE(7783),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(759),
    [anon_sym_QMARK] = ACTIONS(761),
    [anon_sym_PLUS] = ACTIONS(763),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(763),
    [anon_sym_BANG] = ACTIONS(763),
    [anon_sym_AMP] = ACTIONS(763),
    [anon_sym_DOT] = ACTIONS(765),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_cast] = ACTIONS(597),
    [anon_sym_transmute] = ACTIONS(597),
    [anon_sym_auto_cast] = ACTIONS(599),
    [anon_sym_DOT_DOT] = ACTIONS(2797),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [1712] = {
    [sym_expression] = STATE(4162),
    [sym__expression_no_tag] = STATE(4237),
    [sym_unary_expression] = STATE(4237),
    [sym_binary_expression] = STATE(4237),
    [sym_ternary_expression] = STATE(4237),
    [sym_call_expression] = STATE(4237),
    [sym_selector_call_expression] = STATE(4237),
    [sym_member_expression] = STATE(4237),
    [sym_index_expression] = STATE(4237),
    [sym_slice_expression] = STATE(4237),
    [sym_range_expression] = STATE(4237),
    [sym_cast_expression] = STATE(4237),
    [sym_in_expression] = STATE(4237),
    [sym_variadic_expression] = STATE(4237),
    [sym_parenthesized_expression] = STATE(4237),
    [sym_or_return_expression] = STATE(4237),
    [sym_or_continue_expression] = STATE(4237),
    [sym_or_break_expression] = STATE(4237),
    [sym_address] = STATE(4237),
    [sym_map_type] = STATE(4237),
    [sym_matrix_type] = STATE(4237),
    [sym_distinct_type] = STATE(4237),
    [sym_literal] = STATE(4237),
    [sym_struct] = STATE(4311),
    [sym_map] = STATE(3787),
    [sym_bit_set] = STATE(3787),
    [sym_matrix] = STATE(3787),
    [sym_string] = STATE(3787),
    [sym__string_literal] = STATE(3867),
    [sym__raw_string_literal] = STATE(3867),
    [sym_character] = STATE(3787),
    [sym_boolean] = STATE(3787),
    [sym_field_identifier] = STATE(7783),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(759),
    [anon_sym_QMARK] = ACTIONS(761),
    [anon_sym_PLUS] = ACTIONS(763),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(763),
    [anon_sym_BANG] = ACTIONS(763),
    [anon_sym_AMP] = ACTIONS(763),
    [anon_sym_DOT] = ACTIONS(765),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_cast] = ACTIONS(597),
    [anon_sym_transmute] = ACTIONS(597),
    [anon_sym_auto_cast] = ACTIONS(599),
    [anon_sym_DOT_DOT] = ACTIONS(2797),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [1713] = {
    [sym_expression] = STATE(4343),
    [sym__expression_no_tag] = STATE(4431),
    [sym_unary_expression] = STATE(4431),
    [sym_binary_expression] = STATE(4431),
    [sym_ternary_expression] = STATE(4431),
    [sym_call_expression] = STATE(4431),
    [sym_selector_call_expression] = STATE(4431),
    [sym_member_expression] = STATE(4431),
    [sym_index_expression] = STATE(4431),
    [sym_slice_expression] = STATE(4431),
    [sym_range_expression] = STATE(4431),
    [sym_cast_expression] = STATE(4431),
    [sym_in_expression] = STATE(4431),
    [sym_variadic_expression] = STATE(4431),
    [sym_parenthesized_expression] = STATE(4431),
    [sym_or_return_expression] = STATE(4431),
    [sym_or_continue_expression] = STATE(4431),
    [sym_or_break_expression] = STATE(4431),
    [sym_address] = STATE(4431),
    [sym_map_type] = STATE(4431),
    [sym_matrix_type] = STATE(4431),
    [sym_distinct_type] = STATE(4431),
    [sym_literal] = STATE(4431),
    [sym_struct] = STATE(4333),
    [sym_map] = STATE(4320),
    [sym_bit_set] = STATE(4320),
    [sym_matrix] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym__string_literal] = STATE(4334),
    [sym__raw_string_literal] = STATE(4334),
    [sym_character] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_field_identifier] = STATE(7845),
    [sym_identifier] = ACTIONS(341),
    [anon_sym_LBRACE] = ACTIONS(943),
    [anon_sym_LPAREN] = ACTIONS(945),
    [anon_sym_QMARK] = ACTIONS(947),
    [anon_sym_PLUS] = ACTIONS(949),
    [anon_sym_DASH] = ACTIONS(951),
    [anon_sym_TILDE] = ACTIONS(949),
    [anon_sym_BANG] = ACTIONS(949),
    [anon_sym_AMP] = ACTIONS(949),
    [anon_sym_DOT] = ACTIONS(953),
    [anon_sym_LBRACK] = ACTIONS(955),
    [anon_sym_cast] = ACTIONS(957),
    [anon_sym_transmute] = ACTIONS(957),
    [anon_sym_auto_cast] = ACTIONS(959),
    [anon_sym_DOT_DOT] = ACTIONS(3241),
    [anon_sym_map] = ACTIONS(351),
    [anon_sym_bit_set] = ACTIONS(353),
    [anon_sym_matrix] = ACTIONS(355),
    [anon_sym_distinct] = ACTIONS(357),
    [sym_number] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(361),
    [anon_sym_BQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [anon_sym_true] = ACTIONS(367),
    [anon_sym_false] = ACTIONS(367),
    [sym_nil] = ACTIONS(369),
    [sym_uninitialized] = ACTIONS(359),
    [sym_tag] = ACTIONS(963),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(359),
    [sym_block_comment] = ACTIONS(3),
  },
  [1714] = {
    [sym_expression] = STATE(3193),
    [sym__expression_no_tag] = STATE(2689),
    [sym_unary_expression] = STATE(2689),
    [sym_binary_expression] = STATE(2689),
    [sym_ternary_expression] = STATE(2689),
    [sym_call_expression] = STATE(2689),
    [sym_selector_call_expression] = STATE(2689),
    [sym_member_expression] = STATE(2689),
    [sym_index_expression] = STATE(2689),
    [sym_slice_expression] = STATE(2689),
    [sym_range_expression] = STATE(2689),
    [sym_cast_expression] = STATE(2689),
    [sym_in_expression] = STATE(2689),
    [sym_variadic_expression] = STATE(2689),
    [sym_parenthesized_expression] = STATE(2689),
    [sym_or_return_expression] = STATE(2689),
    [sym_or_continue_expression] = STATE(2689),
    [sym_or_break_expression] = STATE(2689),
    [sym_address] = STATE(2689),
    [sym_map_type] = STATE(2689),
    [sym_matrix_type] = STATE(2689),
    [sym_distinct_type] = STATE(2689),
    [sym_literal] = STATE(2689),
    [sym_struct] = STATE(3145),
    [sym_map] = STATE(2871),
    [sym_bit_set] = STATE(2871),
    [sym_matrix] = STATE(2871),
    [sym_string] = STATE(2871),
    [sym__string_literal] = STATE(2874),
    [sym__raw_string_literal] = STATE(2874),
    [sym_character] = STATE(2871),
    [sym_boolean] = STATE(2871),
    [sym_field_identifier] = STATE(7825),
    [sym_identifier] = ACTIONS(493),
    [anon_sym_LBRACE] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_QMARK] = ACTIONS(529),
    [anon_sym_PLUS] = ACTIONS(531),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(531),
    [anon_sym_AMP] = ACTIONS(531),
    [anon_sym_DOT] = ACTIONS(533),
    [anon_sym_LBRACK] = ACTIONS(535),
    [anon_sym_cast] = ACTIONS(497),
    [anon_sym_transmute] = ACTIONS(497),
    [anon_sym_auto_cast] = ACTIONS(499),
    [anon_sym_DOT_DOT] = ACTIONS(6104),
    [anon_sym_map] = ACTIONS(503),
    [anon_sym_bit_set] = ACTIONS(505),
    [anon_sym_matrix] = ACTIONS(507),
    [anon_sym_distinct] = ACTIONS(509),
    [sym_number] = ACTIONS(511),
    [anon_sym_DQUOTE] = ACTIONS(513),
    [anon_sym_BQUOTE] = ACTIONS(515),
    [anon_sym_SQUOTE] = ACTIONS(517),
    [anon_sym_true] = ACTIONS(519),
    [anon_sym_false] = ACTIONS(519),
    [sym_nil] = ACTIONS(521),
    [sym_uninitialized] = ACTIONS(511),
    [sym_tag] = ACTIONS(537),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(511),
    [sym_block_comment] = ACTIONS(3),
  },
  [1715] = {
    [sym_expression] = STATE(3194),
    [sym__expression_no_tag] = STATE(2689),
    [sym_unary_expression] = STATE(2689),
    [sym_binary_expression] = STATE(2689),
    [sym_ternary_expression] = STATE(2689),
    [sym_call_expression] = STATE(2689),
    [sym_selector_call_expression] = STATE(2689),
    [sym_member_expression] = STATE(2689),
    [sym_index_expression] = STATE(2689),
    [sym_slice_expression] = STATE(2689),
    [sym_range_expression] = STATE(2689),
    [sym_cast_expression] = STATE(2689),
    [sym_in_expression] = STATE(2689),
    [sym_variadic_expression] = STATE(2689),
    [sym_parenthesized_expression] = STATE(2689),
    [sym_or_return_expression] = STATE(2689),
    [sym_or_continue_expression] = STATE(2689),
    [sym_or_break_expression] = STATE(2689),
    [sym_address] = STATE(2689),
    [sym_map_type] = STATE(2689),
    [sym_matrix_type] = STATE(2689),
    [sym_distinct_type] = STATE(2689),
    [sym_literal] = STATE(2689),
    [sym_struct] = STATE(3145),
    [sym_map] = STATE(2871),
    [sym_bit_set] = STATE(2871),
    [sym_matrix] = STATE(2871),
    [sym_string] = STATE(2871),
    [sym__string_literal] = STATE(2874),
    [sym__raw_string_literal] = STATE(2874),
    [sym_character] = STATE(2871),
    [sym_boolean] = STATE(2871),
    [sym_field_identifier] = STATE(7825),
    [sym_identifier] = ACTIONS(493),
    [anon_sym_LBRACE] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_QMARK] = ACTIONS(529),
    [anon_sym_PLUS] = ACTIONS(531),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(531),
    [anon_sym_AMP] = ACTIONS(531),
    [anon_sym_DOT] = ACTIONS(533),
    [anon_sym_LBRACK] = ACTIONS(535),
    [anon_sym_cast] = ACTIONS(497),
    [anon_sym_transmute] = ACTIONS(497),
    [anon_sym_auto_cast] = ACTIONS(499),
    [anon_sym_DOT_DOT] = ACTIONS(6104),
    [anon_sym_map] = ACTIONS(503),
    [anon_sym_bit_set] = ACTIONS(505),
    [anon_sym_matrix] = ACTIONS(507),
    [anon_sym_distinct] = ACTIONS(509),
    [sym_number] = ACTIONS(511),
    [anon_sym_DQUOTE] = ACTIONS(513),
    [anon_sym_BQUOTE] = ACTIONS(515),
    [anon_sym_SQUOTE] = ACTIONS(517),
    [anon_sym_true] = ACTIONS(519),
    [anon_sym_false] = ACTIONS(519),
    [sym_nil] = ACTIONS(521),
    [sym_uninitialized] = ACTIONS(511),
    [sym_tag] = ACTIONS(537),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(511),
    [sym_block_comment] = ACTIONS(3),
  },
  [1716] = {
    [sym_expression] = STATE(5590),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1717] = {
    [sym_expression] = STATE(2593),
    [sym__expression_no_tag] = STATE(2664),
    [sym_unary_expression] = STATE(2664),
    [sym_binary_expression] = STATE(2664),
    [sym_ternary_expression] = STATE(2664),
    [sym_call_expression] = STATE(2664),
    [sym_selector_call_expression] = STATE(2664),
    [sym_member_expression] = STATE(2664),
    [sym_index_expression] = STATE(2664),
    [sym_slice_expression] = STATE(2664),
    [sym_range_expression] = STATE(2664),
    [sym_cast_expression] = STATE(2664),
    [sym_in_expression] = STATE(2664),
    [sym_variadic_expression] = STATE(2664),
    [sym_parenthesized_expression] = STATE(2664),
    [sym_or_return_expression] = STATE(2664),
    [sym_or_continue_expression] = STATE(2664),
    [sym_or_break_expression] = STATE(2664),
    [sym_address] = STATE(2664),
    [sym_map_type] = STATE(2664),
    [sym_matrix_type] = STATE(2664),
    [sym_distinct_type] = STATE(2664),
    [sym_literal] = STATE(2664),
    [sym_struct] = STATE(2632),
    [sym_map] = STATE(2566),
    [sym_bit_set] = STATE(2566),
    [sym_matrix] = STATE(2566),
    [sym_string] = STATE(2566),
    [sym__string_literal] = STATE(2591),
    [sym__raw_string_literal] = STATE(2591),
    [sym_character] = STATE(2566),
    [sym_boolean] = STATE(2566),
    [sym_field_identifier] = STATE(7902),
    [sym_identifier] = ACTIONS(249),
    [anon_sym_LBRACE] = ACTIONS(251),
    [anon_sym_LPAREN] = ACTIONS(291),
    [anon_sym_QMARK] = ACTIONS(293),
    [anon_sym_PLUS] = ACTIONS(3175),
    [anon_sym_DASH] = ACTIONS(295),
    [anon_sym_TILDE] = ACTIONS(3175),
    [anon_sym_BANG] = ACTIONS(3175),
    [anon_sym_AMP] = ACTIONS(3175),
    [anon_sym_DOT] = ACTIONS(297),
    [anon_sym_LBRACK] = ACTIONS(261),
    [anon_sym_cast] = ACTIONS(299),
    [anon_sym_transmute] = ACTIONS(299),
    [anon_sym_auto_cast] = ACTIONS(301),
    [anon_sym_DOT_DOT] = ACTIONS(3177),
    [anon_sym_map] = ACTIONS(269),
    [anon_sym_bit_set] = ACTIONS(271),
    [anon_sym_matrix] = ACTIONS(273),
    [anon_sym_distinct] = ACTIONS(275),
    [sym_number] = ACTIONS(277),
    [anon_sym_DQUOTE] = ACTIONS(279),
    [anon_sym_BQUOTE] = ACTIONS(281),
    [anon_sym_SQUOTE] = ACTIONS(283),
    [anon_sym_true] = ACTIONS(285),
    [anon_sym_false] = ACTIONS(285),
    [sym_nil] = ACTIONS(287),
    [sym_uninitialized] = ACTIONS(277),
    [sym_tag] = ACTIONS(305),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(277),
    [sym_block_comment] = ACTIONS(3),
  },
  [1718] = {
    [sym_expression] = STATE(2649),
    [sym__expression_no_tag] = STATE(2664),
    [sym_unary_expression] = STATE(2664),
    [sym_binary_expression] = STATE(2664),
    [sym_ternary_expression] = STATE(2664),
    [sym_call_expression] = STATE(2664),
    [sym_selector_call_expression] = STATE(2664),
    [sym_member_expression] = STATE(2664),
    [sym_index_expression] = STATE(2664),
    [sym_slice_expression] = STATE(2664),
    [sym_range_expression] = STATE(2664),
    [sym_cast_expression] = STATE(2664),
    [sym_in_expression] = STATE(2664),
    [sym_variadic_expression] = STATE(2664),
    [sym_parenthesized_expression] = STATE(2664),
    [sym_or_return_expression] = STATE(2664),
    [sym_or_continue_expression] = STATE(2664),
    [sym_or_break_expression] = STATE(2664),
    [sym_address] = STATE(2664),
    [sym_map_type] = STATE(2664),
    [sym_matrix_type] = STATE(2664),
    [sym_distinct_type] = STATE(2664),
    [sym_literal] = STATE(2664),
    [sym_struct] = STATE(2632),
    [sym_map] = STATE(2566),
    [sym_bit_set] = STATE(2566),
    [sym_matrix] = STATE(2566),
    [sym_string] = STATE(2566),
    [sym__string_literal] = STATE(2591),
    [sym__raw_string_literal] = STATE(2591),
    [sym_character] = STATE(2566),
    [sym_boolean] = STATE(2566),
    [sym_field_identifier] = STATE(7902),
    [sym_identifier] = ACTIONS(249),
    [anon_sym_LBRACE] = ACTIONS(251),
    [anon_sym_LPAREN] = ACTIONS(291),
    [anon_sym_QMARK] = ACTIONS(293),
    [anon_sym_PLUS] = ACTIONS(3175),
    [anon_sym_DASH] = ACTIONS(295),
    [anon_sym_TILDE] = ACTIONS(3175),
    [anon_sym_BANG] = ACTIONS(3175),
    [anon_sym_AMP] = ACTIONS(3175),
    [anon_sym_DOT] = ACTIONS(297),
    [anon_sym_LBRACK] = ACTIONS(261),
    [anon_sym_cast] = ACTIONS(299),
    [anon_sym_transmute] = ACTIONS(299),
    [anon_sym_auto_cast] = ACTIONS(301),
    [anon_sym_DOT_DOT] = ACTIONS(3177),
    [anon_sym_map] = ACTIONS(269),
    [anon_sym_bit_set] = ACTIONS(271),
    [anon_sym_matrix] = ACTIONS(273),
    [anon_sym_distinct] = ACTIONS(275),
    [sym_number] = ACTIONS(277),
    [anon_sym_DQUOTE] = ACTIONS(279),
    [anon_sym_BQUOTE] = ACTIONS(281),
    [anon_sym_SQUOTE] = ACTIONS(283),
    [anon_sym_true] = ACTIONS(285),
    [anon_sym_false] = ACTIONS(285),
    [sym_nil] = ACTIONS(287),
    [sym_uninitialized] = ACTIONS(277),
    [sym_tag] = ACTIONS(305),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(277),
    [sym_block_comment] = ACTIONS(3),
  },
  [1719] = {
    [sym_expression] = STATE(2600),
    [sym__expression_no_tag] = STATE(2664),
    [sym_unary_expression] = STATE(2664),
    [sym_binary_expression] = STATE(2664),
    [sym_ternary_expression] = STATE(2664),
    [sym_call_expression] = STATE(2664),
    [sym_selector_call_expression] = STATE(2664),
    [sym_member_expression] = STATE(2664),
    [sym_index_expression] = STATE(2664),
    [sym_slice_expression] = STATE(2664),
    [sym_range_expression] = STATE(2664),
    [sym_cast_expression] = STATE(2664),
    [sym_in_expression] = STATE(2664),
    [sym_variadic_expression] = STATE(2664),
    [sym_parenthesized_expression] = STATE(2664),
    [sym_or_return_expression] = STATE(2664),
    [sym_or_continue_expression] = STATE(2664),
    [sym_or_break_expression] = STATE(2664),
    [sym_address] = STATE(2664),
    [sym_map_type] = STATE(2664),
    [sym_matrix_type] = STATE(2664),
    [sym_distinct_type] = STATE(2664),
    [sym_literal] = STATE(2664),
    [sym_struct] = STATE(2632),
    [sym_map] = STATE(2566),
    [sym_bit_set] = STATE(2566),
    [sym_matrix] = STATE(2566),
    [sym_string] = STATE(2566),
    [sym__string_literal] = STATE(2591),
    [sym__raw_string_literal] = STATE(2591),
    [sym_character] = STATE(2566),
    [sym_boolean] = STATE(2566),
    [sym_field_identifier] = STATE(7902),
    [sym_identifier] = ACTIONS(249),
    [anon_sym_LBRACE] = ACTIONS(251),
    [anon_sym_LPAREN] = ACTIONS(291),
    [anon_sym_QMARK] = ACTIONS(293),
    [anon_sym_PLUS] = ACTIONS(3175),
    [anon_sym_DASH] = ACTIONS(295),
    [anon_sym_TILDE] = ACTIONS(3175),
    [anon_sym_BANG] = ACTIONS(3175),
    [anon_sym_AMP] = ACTIONS(3175),
    [anon_sym_DOT] = ACTIONS(297),
    [anon_sym_LBRACK] = ACTIONS(261),
    [anon_sym_cast] = ACTIONS(299),
    [anon_sym_transmute] = ACTIONS(299),
    [anon_sym_auto_cast] = ACTIONS(301),
    [anon_sym_DOT_DOT] = ACTIONS(3177),
    [anon_sym_map] = ACTIONS(269),
    [anon_sym_bit_set] = ACTIONS(271),
    [anon_sym_matrix] = ACTIONS(273),
    [anon_sym_distinct] = ACTIONS(275),
    [sym_number] = ACTIONS(277),
    [anon_sym_DQUOTE] = ACTIONS(279),
    [anon_sym_BQUOTE] = ACTIONS(281),
    [anon_sym_SQUOTE] = ACTIONS(283),
    [anon_sym_true] = ACTIONS(285),
    [anon_sym_false] = ACTIONS(285),
    [sym_nil] = ACTIONS(287),
    [sym_uninitialized] = ACTIONS(277),
    [sym_tag] = ACTIONS(305),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(277),
    [sym_block_comment] = ACTIONS(3),
  },
  [1720] = {
    [sym_expression] = STATE(4455),
    [sym__expression_no_tag] = STATE(4112),
    [sym_unary_expression] = STATE(4112),
    [sym_binary_expression] = STATE(4112),
    [sym_ternary_expression] = STATE(4112),
    [sym_call_expression] = STATE(4112),
    [sym_selector_call_expression] = STATE(4112),
    [sym_member_expression] = STATE(4112),
    [sym_index_expression] = STATE(4112),
    [sym_slice_expression] = STATE(4112),
    [sym_range_expression] = STATE(4112),
    [sym_cast_expression] = STATE(4112),
    [sym_in_expression] = STATE(4112),
    [sym_variadic_expression] = STATE(4112),
    [sym_parenthesized_expression] = STATE(4112),
    [sym_or_return_expression] = STATE(4112),
    [sym_or_continue_expression] = STATE(4112),
    [sym_or_break_expression] = STATE(4112),
    [sym_address] = STATE(4112),
    [sym_map_type] = STATE(4112),
    [sym_matrix_type] = STATE(4112),
    [sym_distinct_type] = STATE(4112),
    [sym_literal] = STATE(4112),
    [sym_struct] = STATE(4105),
    [sym_map] = STATE(2871),
    [sym_bit_set] = STATE(2871),
    [sym_matrix] = STATE(2871),
    [sym_string] = STATE(2871),
    [sym__string_literal] = STATE(2874),
    [sym__raw_string_literal] = STATE(2874),
    [sym_character] = STATE(2871),
    [sym_boolean] = STATE(2871),
    [sym_field_identifier] = STATE(7825),
    [sym_identifier] = ACTIONS(493),
    [anon_sym_LBRACE] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1093),
    [anon_sym_QMARK] = ACTIONS(6126),
    [anon_sym_PLUS] = ACTIONS(1095),
    [anon_sym_DASH] = ACTIONS(1025),
    [anon_sym_TILDE] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(1095),
    [anon_sym_AMP] = ACTIONS(1095),
    [anon_sym_DOT] = ACTIONS(1097),
    [anon_sym_LBRACK] = ACTIONS(535),
    [anon_sym_cast] = ACTIONS(1027),
    [anon_sym_transmute] = ACTIONS(1027),
    [anon_sym_auto_cast] = ACTIONS(1029),
    [anon_sym_DOT_DOT] = ACTIONS(6128),
    [anon_sym_map] = ACTIONS(1033),
    [anon_sym_bit_set] = ACTIONS(505),
    [anon_sym_matrix] = ACTIONS(1035),
    [anon_sym_distinct] = ACTIONS(1037),
    [sym_number] = ACTIONS(511),
    [anon_sym_DQUOTE] = ACTIONS(513),
    [anon_sym_BQUOTE] = ACTIONS(515),
    [anon_sym_SQUOTE] = ACTIONS(517),
    [anon_sym_true] = ACTIONS(519),
    [anon_sym_false] = ACTIONS(519),
    [sym_nil] = ACTIONS(521),
    [sym_uninitialized] = ACTIONS(511),
    [sym_tag] = ACTIONS(537),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(511),
    [sym_block_comment] = ACTIONS(3),
  },
  [1721] = {
    [sym_expression] = STATE(5633),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1722] = {
    [sym_expression] = STATE(6061),
    [sym__expression_no_tag] = STATE(5142),
    [sym_unary_expression] = STATE(5142),
    [sym_binary_expression] = STATE(5142),
    [sym_ternary_expression] = STATE(5142),
    [sym_call_expression] = STATE(2542),
    [sym_selector_call_expression] = STATE(5142),
    [sym_member_expression] = STATE(5142),
    [sym_index_expression] = STATE(5142),
    [sym_slice_expression] = STATE(5142),
    [sym_range_expression] = STATE(5142),
    [sym_cast_expression] = STATE(5142),
    [sym_in_expression] = STATE(5142),
    [sym_variadic_expression] = STATE(5142),
    [sym_parenthesized_expression] = STATE(5142),
    [sym_or_return_expression] = STATE(5142),
    [sym_or_continue_expression] = STATE(5142),
    [sym_or_break_expression] = STATE(5142),
    [sym_address] = STATE(5142),
    [sym_map_type] = STATE(5142),
    [sym_matrix_type] = STATE(5142),
    [sym_distinct_type] = STATE(5142),
    [sym_literal] = STATE(5142),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(6134),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(6136),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1723] = {
    [sym_expression] = STATE(5750),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1724] = {
    [sym_expression] = STATE(2630),
    [sym__expression_no_tag] = STATE(2664),
    [sym_unary_expression] = STATE(2664),
    [sym_binary_expression] = STATE(2664),
    [sym_ternary_expression] = STATE(2664),
    [sym_call_expression] = STATE(2664),
    [sym_selector_call_expression] = STATE(2664),
    [sym_member_expression] = STATE(2664),
    [sym_index_expression] = STATE(2664),
    [sym_slice_expression] = STATE(2664),
    [sym_range_expression] = STATE(2664),
    [sym_cast_expression] = STATE(2664),
    [sym_in_expression] = STATE(2664),
    [sym_variadic_expression] = STATE(2664),
    [sym_parenthesized_expression] = STATE(2664),
    [sym_or_return_expression] = STATE(2664),
    [sym_or_continue_expression] = STATE(2664),
    [sym_or_break_expression] = STATE(2664),
    [sym_address] = STATE(2664),
    [sym_map_type] = STATE(2664),
    [sym_matrix_type] = STATE(2664),
    [sym_distinct_type] = STATE(2664),
    [sym_literal] = STATE(2664),
    [sym_struct] = STATE(2632),
    [sym_map] = STATE(2566),
    [sym_bit_set] = STATE(2566),
    [sym_matrix] = STATE(2566),
    [sym_string] = STATE(2566),
    [sym__string_literal] = STATE(2591),
    [sym__raw_string_literal] = STATE(2591),
    [sym_character] = STATE(2566),
    [sym_boolean] = STATE(2566),
    [sym_field_identifier] = STATE(7902),
    [sym_identifier] = ACTIONS(249),
    [anon_sym_LBRACE] = ACTIONS(251),
    [anon_sym_LPAREN] = ACTIONS(291),
    [anon_sym_QMARK] = ACTIONS(293),
    [anon_sym_PLUS] = ACTIONS(3175),
    [anon_sym_DASH] = ACTIONS(295),
    [anon_sym_TILDE] = ACTIONS(3175),
    [anon_sym_BANG] = ACTIONS(3175),
    [anon_sym_AMP] = ACTIONS(3175),
    [anon_sym_DOT] = ACTIONS(297),
    [anon_sym_LBRACK] = ACTIONS(261),
    [anon_sym_cast] = ACTIONS(299),
    [anon_sym_transmute] = ACTIONS(299),
    [anon_sym_auto_cast] = ACTIONS(301),
    [anon_sym_DOT_DOT] = ACTIONS(3177),
    [anon_sym_map] = ACTIONS(269),
    [anon_sym_bit_set] = ACTIONS(271),
    [anon_sym_matrix] = ACTIONS(273),
    [anon_sym_distinct] = ACTIONS(275),
    [sym_number] = ACTIONS(277),
    [anon_sym_DQUOTE] = ACTIONS(279),
    [anon_sym_BQUOTE] = ACTIONS(281),
    [anon_sym_SQUOTE] = ACTIONS(283),
    [anon_sym_true] = ACTIONS(285),
    [anon_sym_false] = ACTIONS(285),
    [sym_nil] = ACTIONS(287),
    [sym_uninitialized] = ACTIONS(277),
    [sym_tag] = ACTIONS(305),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(277),
    [sym_block_comment] = ACTIONS(3),
  },
  [1725] = {
    [sym_expression] = STATE(2634),
    [sym__expression_no_tag] = STATE(2664),
    [sym_unary_expression] = STATE(2664),
    [sym_binary_expression] = STATE(2664),
    [sym_ternary_expression] = STATE(2664),
    [sym_call_expression] = STATE(2664),
    [sym_selector_call_expression] = STATE(2664),
    [sym_member_expression] = STATE(2664),
    [sym_index_expression] = STATE(2664),
    [sym_slice_expression] = STATE(2664),
    [sym_range_expression] = STATE(2664),
    [sym_cast_expression] = STATE(2664),
    [sym_in_expression] = STATE(2664),
    [sym_variadic_expression] = STATE(2664),
    [sym_parenthesized_expression] = STATE(2664),
    [sym_or_return_expression] = STATE(2664),
    [sym_or_continue_expression] = STATE(2664),
    [sym_or_break_expression] = STATE(2664),
    [sym_address] = STATE(2664),
    [sym_map_type] = STATE(2664),
    [sym_matrix_type] = STATE(2664),
    [sym_distinct_type] = STATE(2664),
    [sym_literal] = STATE(2664),
    [sym_struct] = STATE(2632),
    [sym_map] = STATE(2566),
    [sym_bit_set] = STATE(2566),
    [sym_matrix] = STATE(2566),
    [sym_string] = STATE(2566),
    [sym__string_literal] = STATE(2591),
    [sym__raw_string_literal] = STATE(2591),
    [sym_character] = STATE(2566),
    [sym_boolean] = STATE(2566),
    [sym_field_identifier] = STATE(7902),
    [sym_identifier] = ACTIONS(249),
    [anon_sym_LBRACE] = ACTIONS(251),
    [anon_sym_LPAREN] = ACTIONS(291),
    [anon_sym_QMARK] = ACTIONS(293),
    [anon_sym_PLUS] = ACTIONS(3175),
    [anon_sym_DASH] = ACTIONS(295),
    [anon_sym_TILDE] = ACTIONS(3175),
    [anon_sym_BANG] = ACTIONS(3175),
    [anon_sym_AMP] = ACTIONS(3175),
    [anon_sym_DOT] = ACTIONS(297),
    [anon_sym_LBRACK] = ACTIONS(261),
    [anon_sym_cast] = ACTIONS(299),
    [anon_sym_transmute] = ACTIONS(299),
    [anon_sym_auto_cast] = ACTIONS(301),
    [anon_sym_DOT_DOT] = ACTIONS(3177),
    [anon_sym_map] = ACTIONS(269),
    [anon_sym_bit_set] = ACTIONS(271),
    [anon_sym_matrix] = ACTIONS(273),
    [anon_sym_distinct] = ACTIONS(275),
    [sym_number] = ACTIONS(277),
    [anon_sym_DQUOTE] = ACTIONS(279),
    [anon_sym_BQUOTE] = ACTIONS(281),
    [anon_sym_SQUOTE] = ACTIONS(283),
    [anon_sym_true] = ACTIONS(285),
    [anon_sym_false] = ACTIONS(285),
    [sym_nil] = ACTIONS(287),
    [sym_uninitialized] = ACTIONS(277),
    [sym_tag] = ACTIONS(305),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(277),
    [sym_block_comment] = ACTIONS(3),
  },
  [1726] = {
    [sym_expression] = STATE(2640),
    [sym__expression_no_tag] = STATE(2664),
    [sym_unary_expression] = STATE(2664),
    [sym_binary_expression] = STATE(2664),
    [sym_ternary_expression] = STATE(2664),
    [sym_call_expression] = STATE(2664),
    [sym_selector_call_expression] = STATE(2664),
    [sym_member_expression] = STATE(2664),
    [sym_index_expression] = STATE(2664),
    [sym_slice_expression] = STATE(2664),
    [sym_range_expression] = STATE(2664),
    [sym_cast_expression] = STATE(2664),
    [sym_in_expression] = STATE(2664),
    [sym_variadic_expression] = STATE(2664),
    [sym_parenthesized_expression] = STATE(2664),
    [sym_or_return_expression] = STATE(2664),
    [sym_or_continue_expression] = STATE(2664),
    [sym_or_break_expression] = STATE(2664),
    [sym_address] = STATE(2664),
    [sym_map_type] = STATE(2664),
    [sym_matrix_type] = STATE(2664),
    [sym_distinct_type] = STATE(2664),
    [sym_literal] = STATE(2664),
    [sym_struct] = STATE(2632),
    [sym_map] = STATE(2566),
    [sym_bit_set] = STATE(2566),
    [sym_matrix] = STATE(2566),
    [sym_string] = STATE(2566),
    [sym__string_literal] = STATE(2591),
    [sym__raw_string_literal] = STATE(2591),
    [sym_character] = STATE(2566),
    [sym_boolean] = STATE(2566),
    [sym_field_identifier] = STATE(7902),
    [sym_identifier] = ACTIONS(249),
    [anon_sym_LBRACE] = ACTIONS(251),
    [anon_sym_LPAREN] = ACTIONS(291),
    [anon_sym_QMARK] = ACTIONS(293),
    [anon_sym_PLUS] = ACTIONS(3175),
    [anon_sym_DASH] = ACTIONS(295),
    [anon_sym_TILDE] = ACTIONS(3175),
    [anon_sym_BANG] = ACTIONS(3175),
    [anon_sym_AMP] = ACTIONS(3175),
    [anon_sym_DOT] = ACTIONS(297),
    [anon_sym_LBRACK] = ACTIONS(261),
    [anon_sym_cast] = ACTIONS(299),
    [anon_sym_transmute] = ACTIONS(299),
    [anon_sym_auto_cast] = ACTIONS(301),
    [anon_sym_DOT_DOT] = ACTIONS(3177),
    [anon_sym_map] = ACTIONS(269),
    [anon_sym_bit_set] = ACTIONS(271),
    [anon_sym_matrix] = ACTIONS(273),
    [anon_sym_distinct] = ACTIONS(275),
    [sym_number] = ACTIONS(277),
    [anon_sym_DQUOTE] = ACTIONS(279),
    [anon_sym_BQUOTE] = ACTIONS(281),
    [anon_sym_SQUOTE] = ACTIONS(283),
    [anon_sym_true] = ACTIONS(285),
    [anon_sym_false] = ACTIONS(285),
    [sym_nil] = ACTIONS(287),
    [sym_uninitialized] = ACTIONS(277),
    [sym_tag] = ACTIONS(305),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(277),
    [sym_block_comment] = ACTIONS(3),
  },
  [1727] = {
    [sym_expression] = STATE(3195),
    [sym__expression_no_tag] = STATE(2689),
    [sym_unary_expression] = STATE(2689),
    [sym_binary_expression] = STATE(2689),
    [sym_ternary_expression] = STATE(2689),
    [sym_call_expression] = STATE(2689),
    [sym_selector_call_expression] = STATE(2689),
    [sym_member_expression] = STATE(2689),
    [sym_index_expression] = STATE(2689),
    [sym_slice_expression] = STATE(2689),
    [sym_range_expression] = STATE(2689),
    [sym_cast_expression] = STATE(2689),
    [sym_in_expression] = STATE(2689),
    [sym_variadic_expression] = STATE(2689),
    [sym_parenthesized_expression] = STATE(2689),
    [sym_or_return_expression] = STATE(2689),
    [sym_or_continue_expression] = STATE(2689),
    [sym_or_break_expression] = STATE(2689),
    [sym_address] = STATE(2689),
    [sym_map_type] = STATE(2689),
    [sym_matrix_type] = STATE(2689),
    [sym_distinct_type] = STATE(2689),
    [sym_literal] = STATE(2689),
    [sym_struct] = STATE(3145),
    [sym_map] = STATE(2871),
    [sym_bit_set] = STATE(2871),
    [sym_matrix] = STATE(2871),
    [sym_string] = STATE(2871),
    [sym__string_literal] = STATE(2874),
    [sym__raw_string_literal] = STATE(2874),
    [sym_character] = STATE(2871),
    [sym_boolean] = STATE(2871),
    [sym_field_identifier] = STATE(7825),
    [sym_identifier] = ACTIONS(493),
    [anon_sym_LBRACE] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_QMARK] = ACTIONS(529),
    [anon_sym_PLUS] = ACTIONS(531),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(531),
    [anon_sym_AMP] = ACTIONS(531),
    [anon_sym_DOT] = ACTIONS(533),
    [anon_sym_LBRACK] = ACTIONS(535),
    [anon_sym_cast] = ACTIONS(497),
    [anon_sym_transmute] = ACTIONS(497),
    [anon_sym_auto_cast] = ACTIONS(499),
    [anon_sym_DOT_DOT] = ACTIONS(6104),
    [anon_sym_map] = ACTIONS(503),
    [anon_sym_bit_set] = ACTIONS(505),
    [anon_sym_matrix] = ACTIONS(507),
    [anon_sym_distinct] = ACTIONS(509),
    [sym_number] = ACTIONS(511),
    [anon_sym_DQUOTE] = ACTIONS(513),
    [anon_sym_BQUOTE] = ACTIONS(515),
    [anon_sym_SQUOTE] = ACTIONS(517),
    [anon_sym_true] = ACTIONS(519),
    [anon_sym_false] = ACTIONS(519),
    [sym_nil] = ACTIONS(521),
    [sym_uninitialized] = ACTIONS(511),
    [sym_tag] = ACTIONS(537),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(511),
    [sym_block_comment] = ACTIONS(3),
  },
  [1728] = {
    [sym_expression] = STATE(5635),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1729] = {
    [sym_expression] = STATE(2646),
    [sym__expression_no_tag] = STATE(2664),
    [sym_unary_expression] = STATE(2664),
    [sym_binary_expression] = STATE(2664),
    [sym_ternary_expression] = STATE(2664),
    [sym_call_expression] = STATE(2664),
    [sym_selector_call_expression] = STATE(2664),
    [sym_member_expression] = STATE(2664),
    [sym_index_expression] = STATE(2664),
    [sym_slice_expression] = STATE(2664),
    [sym_range_expression] = STATE(2664),
    [sym_cast_expression] = STATE(2664),
    [sym_in_expression] = STATE(2664),
    [sym_variadic_expression] = STATE(2664),
    [sym_parenthesized_expression] = STATE(2664),
    [sym_or_return_expression] = STATE(2664),
    [sym_or_continue_expression] = STATE(2664),
    [sym_or_break_expression] = STATE(2664),
    [sym_address] = STATE(2664),
    [sym_map_type] = STATE(2664),
    [sym_matrix_type] = STATE(2664),
    [sym_distinct_type] = STATE(2664),
    [sym_literal] = STATE(2664),
    [sym_struct] = STATE(2632),
    [sym_map] = STATE(2566),
    [sym_bit_set] = STATE(2566),
    [sym_matrix] = STATE(2566),
    [sym_string] = STATE(2566),
    [sym__string_literal] = STATE(2591),
    [sym__raw_string_literal] = STATE(2591),
    [sym_character] = STATE(2566),
    [sym_boolean] = STATE(2566),
    [sym_field_identifier] = STATE(7902),
    [sym_identifier] = ACTIONS(249),
    [anon_sym_LBRACE] = ACTIONS(251),
    [anon_sym_LPAREN] = ACTIONS(291),
    [anon_sym_QMARK] = ACTIONS(293),
    [anon_sym_PLUS] = ACTIONS(3175),
    [anon_sym_DASH] = ACTIONS(295),
    [anon_sym_TILDE] = ACTIONS(3175),
    [anon_sym_BANG] = ACTIONS(3175),
    [anon_sym_AMP] = ACTIONS(3175),
    [anon_sym_DOT] = ACTIONS(297),
    [anon_sym_LBRACK] = ACTIONS(261),
    [anon_sym_cast] = ACTIONS(299),
    [anon_sym_transmute] = ACTIONS(299),
    [anon_sym_auto_cast] = ACTIONS(301),
    [anon_sym_DOT_DOT] = ACTIONS(3177),
    [anon_sym_map] = ACTIONS(269),
    [anon_sym_bit_set] = ACTIONS(271),
    [anon_sym_matrix] = ACTIONS(273),
    [anon_sym_distinct] = ACTIONS(275),
    [sym_number] = ACTIONS(277),
    [anon_sym_DQUOTE] = ACTIONS(279),
    [anon_sym_BQUOTE] = ACTIONS(281),
    [anon_sym_SQUOTE] = ACTIONS(283),
    [anon_sym_true] = ACTIONS(285),
    [anon_sym_false] = ACTIONS(285),
    [sym_nil] = ACTIONS(287),
    [sym_uninitialized] = ACTIONS(277),
    [sym_tag] = ACTIONS(305),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(277),
    [sym_block_comment] = ACTIONS(3),
  },
  [1730] = {
    [sym_expression] = STATE(4395),
    [sym__expression_no_tag] = STATE(4337),
    [sym_unary_expression] = STATE(4337),
    [sym_binary_expression] = STATE(4337),
    [sym_ternary_expression] = STATE(4337),
    [sym_call_expression] = STATE(4337),
    [sym_selector_call_expression] = STATE(4337),
    [sym_member_expression] = STATE(4337),
    [sym_index_expression] = STATE(4337),
    [sym_slice_expression] = STATE(4337),
    [sym_range_expression] = STATE(4337),
    [sym_cast_expression] = STATE(4337),
    [sym_in_expression] = STATE(4337),
    [sym_variadic_expression] = STATE(4337),
    [sym_parenthesized_expression] = STATE(4337),
    [sym_or_return_expression] = STATE(4337),
    [sym_or_continue_expression] = STATE(4337),
    [sym_or_break_expression] = STATE(4337),
    [sym_address] = STATE(4337),
    [sym_map_type] = STATE(4337),
    [sym_matrix_type] = STATE(4337),
    [sym_distinct_type] = STATE(4337),
    [sym_literal] = STATE(4337),
    [sym_struct] = STATE(4394),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(925),
    [anon_sym_QMARK] = ACTIONS(927),
    [anon_sym_PLUS] = ACTIONS(929),
    [anon_sym_DASH] = ACTIONS(931),
    [anon_sym_TILDE] = ACTIONS(929),
    [anon_sym_BANG] = ACTIONS(929),
    [anon_sym_AMP] = ACTIONS(929),
    [anon_sym_DOT] = ACTIONS(933),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(935),
    [anon_sym_transmute] = ACTIONS(935),
    [anon_sym_auto_cast] = ACTIONS(937),
    [anon_sym_DOT_DOT] = ACTIONS(4422),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(941),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1731] = {
    [sym_expression] = STATE(3904),
    [sym__expression_no_tag] = STATE(4337),
    [sym_unary_expression] = STATE(4337),
    [sym_binary_expression] = STATE(4337),
    [sym_ternary_expression] = STATE(4337),
    [sym_call_expression] = STATE(4337),
    [sym_selector_call_expression] = STATE(4337),
    [sym_member_expression] = STATE(4337),
    [sym_index_expression] = STATE(4337),
    [sym_slice_expression] = STATE(4337),
    [sym_range_expression] = STATE(4337),
    [sym_cast_expression] = STATE(4337),
    [sym_in_expression] = STATE(4337),
    [sym_variadic_expression] = STATE(4337),
    [sym_parenthesized_expression] = STATE(4337),
    [sym_or_return_expression] = STATE(4337),
    [sym_or_continue_expression] = STATE(4337),
    [sym_or_break_expression] = STATE(4337),
    [sym_address] = STATE(4337),
    [sym_map_type] = STATE(4337),
    [sym_matrix_type] = STATE(4337),
    [sym_distinct_type] = STATE(4337),
    [sym_literal] = STATE(4337),
    [sym_struct] = STATE(4394),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(925),
    [anon_sym_QMARK] = ACTIONS(927),
    [anon_sym_PLUS] = ACTIONS(929),
    [anon_sym_DASH] = ACTIONS(931),
    [anon_sym_TILDE] = ACTIONS(929),
    [anon_sym_BANG] = ACTIONS(929),
    [anon_sym_AMP] = ACTIONS(929),
    [anon_sym_DOT] = ACTIONS(933),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(935),
    [anon_sym_transmute] = ACTIONS(935),
    [anon_sym_auto_cast] = ACTIONS(937),
    [anon_sym_DOT_DOT] = ACTIONS(4422),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(941),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1732] = {
    [sym_expression] = STATE(4396),
    [sym__expression_no_tag] = STATE(4337),
    [sym_unary_expression] = STATE(4337),
    [sym_binary_expression] = STATE(4337),
    [sym_ternary_expression] = STATE(4337),
    [sym_call_expression] = STATE(4337),
    [sym_selector_call_expression] = STATE(4337),
    [sym_member_expression] = STATE(4337),
    [sym_index_expression] = STATE(4337),
    [sym_slice_expression] = STATE(4337),
    [sym_range_expression] = STATE(4337),
    [sym_cast_expression] = STATE(4337),
    [sym_in_expression] = STATE(4337),
    [sym_variadic_expression] = STATE(4337),
    [sym_parenthesized_expression] = STATE(4337),
    [sym_or_return_expression] = STATE(4337),
    [sym_or_continue_expression] = STATE(4337),
    [sym_or_break_expression] = STATE(4337),
    [sym_address] = STATE(4337),
    [sym_map_type] = STATE(4337),
    [sym_matrix_type] = STATE(4337),
    [sym_distinct_type] = STATE(4337),
    [sym_literal] = STATE(4337),
    [sym_struct] = STATE(4394),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(925),
    [anon_sym_QMARK] = ACTIONS(927),
    [anon_sym_PLUS] = ACTIONS(929),
    [anon_sym_DASH] = ACTIONS(931),
    [anon_sym_TILDE] = ACTIONS(929),
    [anon_sym_BANG] = ACTIONS(929),
    [anon_sym_AMP] = ACTIONS(929),
    [anon_sym_DOT] = ACTIONS(933),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(935),
    [anon_sym_transmute] = ACTIONS(935),
    [anon_sym_auto_cast] = ACTIONS(937),
    [anon_sym_DOT_DOT] = ACTIONS(4422),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(941),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1733] = {
    [sym_expression] = STATE(3909),
    [sym__expression_no_tag] = STATE(4337),
    [sym_unary_expression] = STATE(4337),
    [sym_binary_expression] = STATE(4337),
    [sym_ternary_expression] = STATE(4337),
    [sym_call_expression] = STATE(4337),
    [sym_selector_call_expression] = STATE(4337),
    [sym_member_expression] = STATE(4337),
    [sym_index_expression] = STATE(4337),
    [sym_slice_expression] = STATE(4337),
    [sym_range_expression] = STATE(4337),
    [sym_cast_expression] = STATE(4337),
    [sym_in_expression] = STATE(4337),
    [sym_variadic_expression] = STATE(4337),
    [sym_parenthesized_expression] = STATE(4337),
    [sym_or_return_expression] = STATE(4337),
    [sym_or_continue_expression] = STATE(4337),
    [sym_or_break_expression] = STATE(4337),
    [sym_address] = STATE(4337),
    [sym_map_type] = STATE(4337),
    [sym_matrix_type] = STATE(4337),
    [sym_distinct_type] = STATE(4337),
    [sym_literal] = STATE(4337),
    [sym_struct] = STATE(4394),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(925),
    [anon_sym_QMARK] = ACTIONS(927),
    [anon_sym_PLUS] = ACTIONS(929),
    [anon_sym_DASH] = ACTIONS(931),
    [anon_sym_TILDE] = ACTIONS(929),
    [anon_sym_BANG] = ACTIONS(929),
    [anon_sym_AMP] = ACTIONS(929),
    [anon_sym_DOT] = ACTIONS(933),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(935),
    [anon_sym_transmute] = ACTIONS(935),
    [anon_sym_auto_cast] = ACTIONS(937),
    [anon_sym_DOT_DOT] = ACTIONS(4422),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(941),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1734] = {
    [sym_expression] = STATE(4437),
    [sym__expression_no_tag] = STATE(4337),
    [sym_unary_expression] = STATE(4337),
    [sym_binary_expression] = STATE(4337),
    [sym_ternary_expression] = STATE(4337),
    [sym_call_expression] = STATE(4337),
    [sym_selector_call_expression] = STATE(4337),
    [sym_member_expression] = STATE(4337),
    [sym_index_expression] = STATE(4337),
    [sym_slice_expression] = STATE(4337),
    [sym_range_expression] = STATE(4337),
    [sym_cast_expression] = STATE(4337),
    [sym_in_expression] = STATE(4337),
    [sym_variadic_expression] = STATE(4337),
    [sym_parenthesized_expression] = STATE(4337),
    [sym_or_return_expression] = STATE(4337),
    [sym_or_continue_expression] = STATE(4337),
    [sym_or_break_expression] = STATE(4337),
    [sym_address] = STATE(4337),
    [sym_map_type] = STATE(4337),
    [sym_matrix_type] = STATE(4337),
    [sym_distinct_type] = STATE(4337),
    [sym_literal] = STATE(4337),
    [sym_struct] = STATE(4394),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(925),
    [anon_sym_QMARK] = ACTIONS(927),
    [anon_sym_PLUS] = ACTIONS(929),
    [anon_sym_DASH] = ACTIONS(931),
    [anon_sym_TILDE] = ACTIONS(929),
    [anon_sym_BANG] = ACTIONS(929),
    [anon_sym_AMP] = ACTIONS(929),
    [anon_sym_DOT] = ACTIONS(933),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(935),
    [anon_sym_transmute] = ACTIONS(935),
    [anon_sym_auto_cast] = ACTIONS(937),
    [anon_sym_DOT_DOT] = ACTIONS(4422),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(941),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1735] = {
    [sym_expression] = STATE(4440),
    [sym__expression_no_tag] = STATE(4337),
    [sym_unary_expression] = STATE(4337),
    [sym_binary_expression] = STATE(4337),
    [sym_ternary_expression] = STATE(4337),
    [sym_call_expression] = STATE(4337),
    [sym_selector_call_expression] = STATE(4337),
    [sym_member_expression] = STATE(4337),
    [sym_index_expression] = STATE(4337),
    [sym_slice_expression] = STATE(4337),
    [sym_range_expression] = STATE(4337),
    [sym_cast_expression] = STATE(4337),
    [sym_in_expression] = STATE(4337),
    [sym_variadic_expression] = STATE(4337),
    [sym_parenthesized_expression] = STATE(4337),
    [sym_or_return_expression] = STATE(4337),
    [sym_or_continue_expression] = STATE(4337),
    [sym_or_break_expression] = STATE(4337),
    [sym_address] = STATE(4337),
    [sym_map_type] = STATE(4337),
    [sym_matrix_type] = STATE(4337),
    [sym_distinct_type] = STATE(4337),
    [sym_literal] = STATE(4337),
    [sym_struct] = STATE(4394),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(925),
    [anon_sym_QMARK] = ACTIONS(927),
    [anon_sym_PLUS] = ACTIONS(929),
    [anon_sym_DASH] = ACTIONS(931),
    [anon_sym_TILDE] = ACTIONS(929),
    [anon_sym_BANG] = ACTIONS(929),
    [anon_sym_AMP] = ACTIONS(929),
    [anon_sym_DOT] = ACTIONS(933),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(935),
    [anon_sym_transmute] = ACTIONS(935),
    [anon_sym_auto_cast] = ACTIONS(937),
    [anon_sym_DOT_DOT] = ACTIONS(4422),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(941),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1736] = {
    [sym_expression] = STATE(4441),
    [sym__expression_no_tag] = STATE(4337),
    [sym_unary_expression] = STATE(4337),
    [sym_binary_expression] = STATE(4337),
    [sym_ternary_expression] = STATE(4337),
    [sym_call_expression] = STATE(4337),
    [sym_selector_call_expression] = STATE(4337),
    [sym_member_expression] = STATE(4337),
    [sym_index_expression] = STATE(4337),
    [sym_slice_expression] = STATE(4337),
    [sym_range_expression] = STATE(4337),
    [sym_cast_expression] = STATE(4337),
    [sym_in_expression] = STATE(4337),
    [sym_variadic_expression] = STATE(4337),
    [sym_parenthesized_expression] = STATE(4337),
    [sym_or_return_expression] = STATE(4337),
    [sym_or_continue_expression] = STATE(4337),
    [sym_or_break_expression] = STATE(4337),
    [sym_address] = STATE(4337),
    [sym_map_type] = STATE(4337),
    [sym_matrix_type] = STATE(4337),
    [sym_distinct_type] = STATE(4337),
    [sym_literal] = STATE(4337),
    [sym_struct] = STATE(4394),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(925),
    [anon_sym_QMARK] = ACTIONS(927),
    [anon_sym_PLUS] = ACTIONS(929),
    [anon_sym_DASH] = ACTIONS(931),
    [anon_sym_TILDE] = ACTIONS(929),
    [anon_sym_BANG] = ACTIONS(929),
    [anon_sym_AMP] = ACTIONS(929),
    [anon_sym_DOT] = ACTIONS(933),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(935),
    [anon_sym_transmute] = ACTIONS(935),
    [anon_sym_auto_cast] = ACTIONS(937),
    [anon_sym_DOT_DOT] = ACTIONS(4422),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(941),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1737] = {
    [sym_expression] = STATE(4443),
    [sym__expression_no_tag] = STATE(4337),
    [sym_unary_expression] = STATE(4337),
    [sym_binary_expression] = STATE(4337),
    [sym_ternary_expression] = STATE(4337),
    [sym_call_expression] = STATE(4337),
    [sym_selector_call_expression] = STATE(4337),
    [sym_member_expression] = STATE(4337),
    [sym_index_expression] = STATE(4337),
    [sym_slice_expression] = STATE(4337),
    [sym_range_expression] = STATE(4337),
    [sym_cast_expression] = STATE(4337),
    [sym_in_expression] = STATE(4337),
    [sym_variadic_expression] = STATE(4337),
    [sym_parenthesized_expression] = STATE(4337),
    [sym_or_return_expression] = STATE(4337),
    [sym_or_continue_expression] = STATE(4337),
    [sym_or_break_expression] = STATE(4337),
    [sym_address] = STATE(4337),
    [sym_map_type] = STATE(4337),
    [sym_matrix_type] = STATE(4337),
    [sym_distinct_type] = STATE(4337),
    [sym_literal] = STATE(4337),
    [sym_struct] = STATE(4394),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(925),
    [anon_sym_QMARK] = ACTIONS(927),
    [anon_sym_PLUS] = ACTIONS(929),
    [anon_sym_DASH] = ACTIONS(931),
    [anon_sym_TILDE] = ACTIONS(929),
    [anon_sym_BANG] = ACTIONS(929),
    [anon_sym_AMP] = ACTIONS(929),
    [anon_sym_DOT] = ACTIONS(933),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(935),
    [anon_sym_transmute] = ACTIONS(935),
    [anon_sym_auto_cast] = ACTIONS(937),
    [anon_sym_DOT_DOT] = ACTIONS(4422),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(941),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1738] = {
    [sym_expression] = STATE(4445),
    [sym__expression_no_tag] = STATE(4337),
    [sym_unary_expression] = STATE(4337),
    [sym_binary_expression] = STATE(4337),
    [sym_ternary_expression] = STATE(4337),
    [sym_call_expression] = STATE(4337),
    [sym_selector_call_expression] = STATE(4337),
    [sym_member_expression] = STATE(4337),
    [sym_index_expression] = STATE(4337),
    [sym_slice_expression] = STATE(4337),
    [sym_range_expression] = STATE(4337),
    [sym_cast_expression] = STATE(4337),
    [sym_in_expression] = STATE(4337),
    [sym_variadic_expression] = STATE(4337),
    [sym_parenthesized_expression] = STATE(4337),
    [sym_or_return_expression] = STATE(4337),
    [sym_or_continue_expression] = STATE(4337),
    [sym_or_break_expression] = STATE(4337),
    [sym_address] = STATE(4337),
    [sym_map_type] = STATE(4337),
    [sym_matrix_type] = STATE(4337),
    [sym_distinct_type] = STATE(4337),
    [sym_literal] = STATE(4337),
    [sym_struct] = STATE(4394),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(925),
    [anon_sym_QMARK] = ACTIONS(927),
    [anon_sym_PLUS] = ACTIONS(929),
    [anon_sym_DASH] = ACTIONS(931),
    [anon_sym_TILDE] = ACTIONS(929),
    [anon_sym_BANG] = ACTIONS(929),
    [anon_sym_AMP] = ACTIONS(929),
    [anon_sym_DOT] = ACTIONS(933),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(935),
    [anon_sym_transmute] = ACTIONS(935),
    [anon_sym_auto_cast] = ACTIONS(937),
    [anon_sym_DOT_DOT] = ACTIONS(4422),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(941),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1739] = {
    [sym_expression] = STATE(4446),
    [sym__expression_no_tag] = STATE(4337),
    [sym_unary_expression] = STATE(4337),
    [sym_binary_expression] = STATE(4337),
    [sym_ternary_expression] = STATE(4337),
    [sym_call_expression] = STATE(4337),
    [sym_selector_call_expression] = STATE(4337),
    [sym_member_expression] = STATE(4337),
    [sym_index_expression] = STATE(4337),
    [sym_slice_expression] = STATE(4337),
    [sym_range_expression] = STATE(4337),
    [sym_cast_expression] = STATE(4337),
    [sym_in_expression] = STATE(4337),
    [sym_variadic_expression] = STATE(4337),
    [sym_parenthesized_expression] = STATE(4337),
    [sym_or_return_expression] = STATE(4337),
    [sym_or_continue_expression] = STATE(4337),
    [sym_or_break_expression] = STATE(4337),
    [sym_address] = STATE(4337),
    [sym_map_type] = STATE(4337),
    [sym_matrix_type] = STATE(4337),
    [sym_distinct_type] = STATE(4337),
    [sym_literal] = STATE(4337),
    [sym_struct] = STATE(4394),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(925),
    [anon_sym_QMARK] = ACTIONS(927),
    [anon_sym_PLUS] = ACTIONS(929),
    [anon_sym_DASH] = ACTIONS(931),
    [anon_sym_TILDE] = ACTIONS(929),
    [anon_sym_BANG] = ACTIONS(929),
    [anon_sym_AMP] = ACTIONS(929),
    [anon_sym_DOT] = ACTIONS(933),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(935),
    [anon_sym_transmute] = ACTIONS(935),
    [anon_sym_auto_cast] = ACTIONS(937),
    [anon_sym_DOT_DOT] = ACTIONS(4422),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(941),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1740] = {
    [sym_expression] = STATE(4447),
    [sym__expression_no_tag] = STATE(4337),
    [sym_unary_expression] = STATE(4337),
    [sym_binary_expression] = STATE(4337),
    [sym_ternary_expression] = STATE(4337),
    [sym_call_expression] = STATE(4337),
    [sym_selector_call_expression] = STATE(4337),
    [sym_member_expression] = STATE(4337),
    [sym_index_expression] = STATE(4337),
    [sym_slice_expression] = STATE(4337),
    [sym_range_expression] = STATE(4337),
    [sym_cast_expression] = STATE(4337),
    [sym_in_expression] = STATE(4337),
    [sym_variadic_expression] = STATE(4337),
    [sym_parenthesized_expression] = STATE(4337),
    [sym_or_return_expression] = STATE(4337),
    [sym_or_continue_expression] = STATE(4337),
    [sym_or_break_expression] = STATE(4337),
    [sym_address] = STATE(4337),
    [sym_map_type] = STATE(4337),
    [sym_matrix_type] = STATE(4337),
    [sym_distinct_type] = STATE(4337),
    [sym_literal] = STATE(4337),
    [sym_struct] = STATE(4394),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(925),
    [anon_sym_QMARK] = ACTIONS(927),
    [anon_sym_PLUS] = ACTIONS(929),
    [anon_sym_DASH] = ACTIONS(931),
    [anon_sym_TILDE] = ACTIONS(929),
    [anon_sym_BANG] = ACTIONS(929),
    [anon_sym_AMP] = ACTIONS(929),
    [anon_sym_DOT] = ACTIONS(933),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(935),
    [anon_sym_transmute] = ACTIONS(935),
    [anon_sym_auto_cast] = ACTIONS(937),
    [anon_sym_DOT_DOT] = ACTIONS(4422),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(941),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1741] = {
    [sym_expression] = STATE(4316),
    [sym__expression_no_tag] = STATE(4337),
    [sym_unary_expression] = STATE(4337),
    [sym_binary_expression] = STATE(4337),
    [sym_ternary_expression] = STATE(4337),
    [sym_call_expression] = STATE(4337),
    [sym_selector_call_expression] = STATE(4337),
    [sym_member_expression] = STATE(4337),
    [sym_index_expression] = STATE(4337),
    [sym_slice_expression] = STATE(4337),
    [sym_range_expression] = STATE(4337),
    [sym_cast_expression] = STATE(4337),
    [sym_in_expression] = STATE(4337),
    [sym_variadic_expression] = STATE(4337),
    [sym_parenthesized_expression] = STATE(4337),
    [sym_or_return_expression] = STATE(4337),
    [sym_or_continue_expression] = STATE(4337),
    [sym_or_break_expression] = STATE(4337),
    [sym_address] = STATE(4337),
    [sym_map_type] = STATE(4337),
    [sym_matrix_type] = STATE(4337),
    [sym_distinct_type] = STATE(4337),
    [sym_literal] = STATE(4337),
    [sym_struct] = STATE(4394),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(925),
    [anon_sym_QMARK] = ACTIONS(927),
    [anon_sym_PLUS] = ACTIONS(929),
    [anon_sym_DASH] = ACTIONS(931),
    [anon_sym_TILDE] = ACTIONS(929),
    [anon_sym_BANG] = ACTIONS(929),
    [anon_sym_AMP] = ACTIONS(929),
    [anon_sym_DOT] = ACTIONS(933),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(935),
    [anon_sym_transmute] = ACTIONS(935),
    [anon_sym_auto_cast] = ACTIONS(937),
    [anon_sym_DOT_DOT] = ACTIONS(4422),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(941),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1742] = {
    [sym_expression] = STATE(5548),
    [sym__expression_no_tag] = STATE(4385),
    [sym_unary_expression] = STATE(4385),
    [sym_binary_expression] = STATE(4385),
    [sym_ternary_expression] = STATE(4385),
    [sym_call_expression] = STATE(4385),
    [sym_selector_call_expression] = STATE(4385),
    [sym_member_expression] = STATE(4385),
    [sym_index_expression] = STATE(4385),
    [sym_slice_expression] = STATE(4385),
    [sym_range_expression] = STATE(4385),
    [sym_cast_expression] = STATE(4385),
    [sym_in_expression] = STATE(4385),
    [sym_variadic_expression] = STATE(4385),
    [sym_parenthesized_expression] = STATE(4385),
    [sym_or_return_expression] = STATE(4385),
    [sym_or_continue_expression] = STATE(4385),
    [sym_or_break_expression] = STATE(4385),
    [sym_address] = STATE(4385),
    [sym_map_type] = STATE(4385),
    [sym_matrix_type] = STATE(4385),
    [sym_distinct_type] = STATE(4385),
    [sym_literal] = STATE(4385),
    [sym_struct] = STATE(4394),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(925),
    [anon_sym_QMARK] = ACTIONS(1240),
    [anon_sym_PLUS] = ACTIONS(929),
    [anon_sym_DASH] = ACTIONS(931),
    [anon_sym_TILDE] = ACTIONS(929),
    [anon_sym_BANG] = ACTIONS(929),
    [anon_sym_AMP] = ACTIONS(929),
    [anon_sym_DOT] = ACTIONS(933),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(935),
    [anon_sym_transmute] = ACTIONS(935),
    [anon_sym_auto_cast] = ACTIONS(937),
    [anon_sym_DOT_DOT] = ACTIONS(4422),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(941),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1743] = {
    [sym_expression] = STATE(4450),
    [sym__expression_no_tag] = STATE(4337),
    [sym_unary_expression] = STATE(4337),
    [sym_binary_expression] = STATE(4337),
    [sym_ternary_expression] = STATE(4337),
    [sym_call_expression] = STATE(4337),
    [sym_selector_call_expression] = STATE(4337),
    [sym_member_expression] = STATE(4337),
    [sym_index_expression] = STATE(4337),
    [sym_slice_expression] = STATE(4337),
    [sym_range_expression] = STATE(4337),
    [sym_cast_expression] = STATE(4337),
    [sym_in_expression] = STATE(4337),
    [sym_variadic_expression] = STATE(4337),
    [sym_parenthesized_expression] = STATE(4337),
    [sym_or_return_expression] = STATE(4337),
    [sym_or_continue_expression] = STATE(4337),
    [sym_or_break_expression] = STATE(4337),
    [sym_address] = STATE(4337),
    [sym_map_type] = STATE(4337),
    [sym_matrix_type] = STATE(4337),
    [sym_distinct_type] = STATE(4337),
    [sym_literal] = STATE(4337),
    [sym_struct] = STATE(4394),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(925),
    [anon_sym_QMARK] = ACTIONS(927),
    [anon_sym_PLUS] = ACTIONS(929),
    [anon_sym_DASH] = ACTIONS(931),
    [anon_sym_TILDE] = ACTIONS(929),
    [anon_sym_BANG] = ACTIONS(929),
    [anon_sym_AMP] = ACTIONS(929),
    [anon_sym_DOT] = ACTIONS(933),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(935),
    [anon_sym_transmute] = ACTIONS(935),
    [anon_sym_auto_cast] = ACTIONS(937),
    [anon_sym_DOT_DOT] = ACTIONS(4422),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(941),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1744] = {
    [sym_expression] = STATE(4451),
    [sym__expression_no_tag] = STATE(4337),
    [sym_unary_expression] = STATE(4337),
    [sym_binary_expression] = STATE(4337),
    [sym_ternary_expression] = STATE(4337),
    [sym_call_expression] = STATE(4337),
    [sym_selector_call_expression] = STATE(4337),
    [sym_member_expression] = STATE(4337),
    [sym_index_expression] = STATE(4337),
    [sym_slice_expression] = STATE(4337),
    [sym_range_expression] = STATE(4337),
    [sym_cast_expression] = STATE(4337),
    [sym_in_expression] = STATE(4337),
    [sym_variadic_expression] = STATE(4337),
    [sym_parenthesized_expression] = STATE(4337),
    [sym_or_return_expression] = STATE(4337),
    [sym_or_continue_expression] = STATE(4337),
    [sym_or_break_expression] = STATE(4337),
    [sym_address] = STATE(4337),
    [sym_map_type] = STATE(4337),
    [sym_matrix_type] = STATE(4337),
    [sym_distinct_type] = STATE(4337),
    [sym_literal] = STATE(4337),
    [sym_struct] = STATE(4394),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(925),
    [anon_sym_QMARK] = ACTIONS(927),
    [anon_sym_PLUS] = ACTIONS(929),
    [anon_sym_DASH] = ACTIONS(931),
    [anon_sym_TILDE] = ACTIONS(929),
    [anon_sym_BANG] = ACTIONS(929),
    [anon_sym_AMP] = ACTIONS(929),
    [anon_sym_DOT] = ACTIONS(933),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(935),
    [anon_sym_transmute] = ACTIONS(935),
    [anon_sym_auto_cast] = ACTIONS(937),
    [anon_sym_DOT_DOT] = ACTIONS(4422),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(941),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1745] = {
    [sym_expression] = STATE(4444),
    [sym__expression_no_tag] = STATE(4337),
    [sym_unary_expression] = STATE(4337),
    [sym_binary_expression] = STATE(4337),
    [sym_ternary_expression] = STATE(4337),
    [sym_call_expression] = STATE(4337),
    [sym_selector_call_expression] = STATE(4337),
    [sym_member_expression] = STATE(4337),
    [sym_index_expression] = STATE(4337),
    [sym_slice_expression] = STATE(4337),
    [sym_range_expression] = STATE(4337),
    [sym_cast_expression] = STATE(4337),
    [sym_in_expression] = STATE(4337),
    [sym_variadic_expression] = STATE(4337),
    [sym_parenthesized_expression] = STATE(4337),
    [sym_or_return_expression] = STATE(4337),
    [sym_or_continue_expression] = STATE(4337),
    [sym_or_break_expression] = STATE(4337),
    [sym_address] = STATE(4337),
    [sym_map_type] = STATE(4337),
    [sym_matrix_type] = STATE(4337),
    [sym_distinct_type] = STATE(4337),
    [sym_literal] = STATE(4337),
    [sym_struct] = STATE(4394),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(925),
    [anon_sym_QMARK] = ACTIONS(927),
    [anon_sym_PLUS] = ACTIONS(929),
    [anon_sym_DASH] = ACTIONS(931),
    [anon_sym_TILDE] = ACTIONS(929),
    [anon_sym_BANG] = ACTIONS(929),
    [anon_sym_AMP] = ACTIONS(929),
    [anon_sym_DOT] = ACTIONS(933),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(935),
    [anon_sym_transmute] = ACTIONS(935),
    [anon_sym_auto_cast] = ACTIONS(937),
    [anon_sym_DOT_DOT] = ACTIONS(4422),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(941),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1746] = {
    [sym_expression] = STATE(3839),
    [sym__expression_no_tag] = STATE(4337),
    [sym_unary_expression] = STATE(4337),
    [sym_binary_expression] = STATE(4337),
    [sym_ternary_expression] = STATE(4337),
    [sym_call_expression] = STATE(4337),
    [sym_selector_call_expression] = STATE(4337),
    [sym_member_expression] = STATE(4337),
    [sym_index_expression] = STATE(4337),
    [sym_slice_expression] = STATE(4337),
    [sym_range_expression] = STATE(4337),
    [sym_cast_expression] = STATE(4337),
    [sym_in_expression] = STATE(4337),
    [sym_variadic_expression] = STATE(4337),
    [sym_parenthesized_expression] = STATE(4337),
    [sym_or_return_expression] = STATE(4337),
    [sym_or_continue_expression] = STATE(4337),
    [sym_or_break_expression] = STATE(4337),
    [sym_address] = STATE(4337),
    [sym_map_type] = STATE(4337),
    [sym_matrix_type] = STATE(4337),
    [sym_distinct_type] = STATE(4337),
    [sym_literal] = STATE(4337),
    [sym_struct] = STATE(4394),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(925),
    [anon_sym_QMARK] = ACTIONS(927),
    [anon_sym_PLUS] = ACTIONS(929),
    [anon_sym_DASH] = ACTIONS(931),
    [anon_sym_TILDE] = ACTIONS(929),
    [anon_sym_BANG] = ACTIONS(929),
    [anon_sym_AMP] = ACTIONS(929),
    [anon_sym_DOT] = ACTIONS(933),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(935),
    [anon_sym_transmute] = ACTIONS(935),
    [anon_sym_auto_cast] = ACTIONS(937),
    [anon_sym_DOT_DOT] = ACTIONS(4422),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(941),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1747] = {
    [sym_expression] = STATE(3844),
    [sym__expression_no_tag] = STATE(4337),
    [sym_unary_expression] = STATE(4337),
    [sym_binary_expression] = STATE(4337),
    [sym_ternary_expression] = STATE(4337),
    [sym_call_expression] = STATE(4337),
    [sym_selector_call_expression] = STATE(4337),
    [sym_member_expression] = STATE(4337),
    [sym_index_expression] = STATE(4337),
    [sym_slice_expression] = STATE(4337),
    [sym_range_expression] = STATE(4337),
    [sym_cast_expression] = STATE(4337),
    [sym_in_expression] = STATE(4337),
    [sym_variadic_expression] = STATE(4337),
    [sym_parenthesized_expression] = STATE(4337),
    [sym_or_return_expression] = STATE(4337),
    [sym_or_continue_expression] = STATE(4337),
    [sym_or_break_expression] = STATE(4337),
    [sym_address] = STATE(4337),
    [sym_map_type] = STATE(4337),
    [sym_matrix_type] = STATE(4337),
    [sym_distinct_type] = STATE(4337),
    [sym_literal] = STATE(4337),
    [sym_struct] = STATE(4394),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(925),
    [anon_sym_QMARK] = ACTIONS(927),
    [anon_sym_PLUS] = ACTIONS(929),
    [anon_sym_DASH] = ACTIONS(931),
    [anon_sym_TILDE] = ACTIONS(929),
    [anon_sym_BANG] = ACTIONS(929),
    [anon_sym_AMP] = ACTIONS(929),
    [anon_sym_DOT] = ACTIONS(933),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(935),
    [anon_sym_transmute] = ACTIONS(935),
    [anon_sym_auto_cast] = ACTIONS(937),
    [anon_sym_DOT_DOT] = ACTIONS(4422),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(941),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1748] = {
    [sym_expression] = STATE(4403),
    [sym__expression_no_tag] = STATE(4174),
    [sym_unary_expression] = STATE(4174),
    [sym_binary_expression] = STATE(4174),
    [sym_ternary_expression] = STATE(4174),
    [sym_call_expression] = STATE(4174),
    [sym_selector_call_expression] = STATE(4174),
    [sym_member_expression] = STATE(4174),
    [sym_index_expression] = STATE(4174),
    [sym_slice_expression] = STATE(4174),
    [sym_range_expression] = STATE(4174),
    [sym_cast_expression] = STATE(4174),
    [sym_in_expression] = STATE(4174),
    [sym_variadic_expression] = STATE(4174),
    [sym_parenthesized_expression] = STATE(4174),
    [sym_or_return_expression] = STATE(4174),
    [sym_or_continue_expression] = STATE(4174),
    [sym_or_break_expression] = STATE(4174),
    [sym_address] = STATE(4174),
    [sym_map_type] = STATE(4174),
    [sym_matrix_type] = STATE(4174),
    [sym_distinct_type] = STATE(4174),
    [sym_literal] = STATE(4174),
    [sym_struct] = STATE(3145),
    [sym_map] = STATE(2871),
    [sym_bit_set] = STATE(2871),
    [sym_matrix] = STATE(2871),
    [sym_string] = STATE(2871),
    [sym__string_literal] = STATE(2874),
    [sym__raw_string_literal] = STATE(2874),
    [sym_character] = STATE(2871),
    [sym_boolean] = STATE(2871),
    [sym_field_identifier] = STATE(7825),
    [sym_identifier] = ACTIONS(493),
    [anon_sym_LBRACE] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_QMARK] = ACTIONS(6138),
    [anon_sym_PLUS] = ACTIONS(531),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(531),
    [anon_sym_AMP] = ACTIONS(531),
    [anon_sym_DOT] = ACTIONS(533),
    [anon_sym_LBRACK] = ACTIONS(535),
    [anon_sym_cast] = ACTIONS(497),
    [anon_sym_transmute] = ACTIONS(497),
    [anon_sym_auto_cast] = ACTIONS(499),
    [anon_sym_DOT_DOT] = ACTIONS(6104),
    [anon_sym_map] = ACTIONS(503),
    [anon_sym_bit_set] = ACTIONS(505),
    [anon_sym_matrix] = ACTIONS(507),
    [anon_sym_distinct] = ACTIONS(509),
    [sym_number] = ACTIONS(511),
    [anon_sym_DQUOTE] = ACTIONS(513),
    [anon_sym_BQUOTE] = ACTIONS(515),
    [anon_sym_SQUOTE] = ACTIONS(517),
    [anon_sym_true] = ACTIONS(519),
    [anon_sym_false] = ACTIONS(519),
    [sym_nil] = ACTIONS(521),
    [sym_uninitialized] = ACTIONS(511),
    [sym_tag] = ACTIONS(537),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(511),
    [sym_block_comment] = ACTIONS(3),
  },
  [1749] = {
    [sym_expression] = STATE(3897),
    [sym__expression_no_tag] = STATE(3856),
    [sym_unary_expression] = STATE(3856),
    [sym_binary_expression] = STATE(3856),
    [sym_ternary_expression] = STATE(3856),
    [sym_call_expression] = STATE(3856),
    [sym_selector_call_expression] = STATE(3856),
    [sym_member_expression] = STATE(3856),
    [sym_index_expression] = STATE(3856),
    [sym_slice_expression] = STATE(3856),
    [sym_range_expression] = STATE(3856),
    [sym_cast_expression] = STATE(3856),
    [sym_in_expression] = STATE(3856),
    [sym_variadic_expression] = STATE(3856),
    [sym_parenthesized_expression] = STATE(3856),
    [sym_or_return_expression] = STATE(3856),
    [sym_or_continue_expression] = STATE(3856),
    [sym_or_break_expression] = STATE(3856),
    [sym_address] = STATE(3856),
    [sym_map_type] = STATE(3856),
    [sym_matrix_type] = STATE(3856),
    [sym_distinct_type] = STATE(3856),
    [sym_literal] = STATE(3856),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(619),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1750] = {
    [sym_expression] = STATE(4319),
    [sym__expression_no_tag] = STATE(4337),
    [sym_unary_expression] = STATE(4337),
    [sym_binary_expression] = STATE(4337),
    [sym_ternary_expression] = STATE(4337),
    [sym_call_expression] = STATE(4337),
    [sym_selector_call_expression] = STATE(4337),
    [sym_member_expression] = STATE(4337),
    [sym_index_expression] = STATE(4337),
    [sym_slice_expression] = STATE(4337),
    [sym_range_expression] = STATE(4337),
    [sym_cast_expression] = STATE(4337),
    [sym_in_expression] = STATE(4337),
    [sym_variadic_expression] = STATE(4337),
    [sym_parenthesized_expression] = STATE(4337),
    [sym_or_return_expression] = STATE(4337),
    [sym_or_continue_expression] = STATE(4337),
    [sym_or_break_expression] = STATE(4337),
    [sym_address] = STATE(4337),
    [sym_map_type] = STATE(4337),
    [sym_matrix_type] = STATE(4337),
    [sym_distinct_type] = STATE(4337),
    [sym_literal] = STATE(4337),
    [sym_struct] = STATE(4394),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(925),
    [anon_sym_QMARK] = ACTIONS(927),
    [anon_sym_PLUS] = ACTIONS(929),
    [anon_sym_DASH] = ACTIONS(931),
    [anon_sym_TILDE] = ACTIONS(929),
    [anon_sym_BANG] = ACTIONS(929),
    [anon_sym_AMP] = ACTIONS(929),
    [anon_sym_DOT] = ACTIONS(933),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(935),
    [anon_sym_transmute] = ACTIONS(935),
    [anon_sym_auto_cast] = ACTIONS(937),
    [anon_sym_DOT_DOT] = ACTIONS(4422),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(941),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1751] = {
    [sym_expression] = STATE(4321),
    [sym__expression_no_tag] = STATE(4337),
    [sym_unary_expression] = STATE(4337),
    [sym_binary_expression] = STATE(4337),
    [sym_ternary_expression] = STATE(4337),
    [sym_call_expression] = STATE(4337),
    [sym_selector_call_expression] = STATE(4337),
    [sym_member_expression] = STATE(4337),
    [sym_index_expression] = STATE(4337),
    [sym_slice_expression] = STATE(4337),
    [sym_range_expression] = STATE(4337),
    [sym_cast_expression] = STATE(4337),
    [sym_in_expression] = STATE(4337),
    [sym_variadic_expression] = STATE(4337),
    [sym_parenthesized_expression] = STATE(4337),
    [sym_or_return_expression] = STATE(4337),
    [sym_or_continue_expression] = STATE(4337),
    [sym_or_break_expression] = STATE(4337),
    [sym_address] = STATE(4337),
    [sym_map_type] = STATE(4337),
    [sym_matrix_type] = STATE(4337),
    [sym_distinct_type] = STATE(4337),
    [sym_literal] = STATE(4337),
    [sym_struct] = STATE(4394),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(925),
    [anon_sym_QMARK] = ACTIONS(927),
    [anon_sym_PLUS] = ACTIONS(929),
    [anon_sym_DASH] = ACTIONS(931),
    [anon_sym_TILDE] = ACTIONS(929),
    [anon_sym_BANG] = ACTIONS(929),
    [anon_sym_AMP] = ACTIONS(929),
    [anon_sym_DOT] = ACTIONS(933),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(935),
    [anon_sym_transmute] = ACTIONS(935),
    [anon_sym_auto_cast] = ACTIONS(937),
    [anon_sym_DOT_DOT] = ACTIONS(4422),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(941),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1752] = {
    [sym_expression] = STATE(4322),
    [sym__expression_no_tag] = STATE(4337),
    [sym_unary_expression] = STATE(4337),
    [sym_binary_expression] = STATE(4337),
    [sym_ternary_expression] = STATE(4337),
    [sym_call_expression] = STATE(4337),
    [sym_selector_call_expression] = STATE(4337),
    [sym_member_expression] = STATE(4337),
    [sym_index_expression] = STATE(4337),
    [sym_slice_expression] = STATE(4337),
    [sym_range_expression] = STATE(4337),
    [sym_cast_expression] = STATE(4337),
    [sym_in_expression] = STATE(4337),
    [sym_variadic_expression] = STATE(4337),
    [sym_parenthesized_expression] = STATE(4337),
    [sym_or_return_expression] = STATE(4337),
    [sym_or_continue_expression] = STATE(4337),
    [sym_or_break_expression] = STATE(4337),
    [sym_address] = STATE(4337),
    [sym_map_type] = STATE(4337),
    [sym_matrix_type] = STATE(4337),
    [sym_distinct_type] = STATE(4337),
    [sym_literal] = STATE(4337),
    [sym_struct] = STATE(4394),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(925),
    [anon_sym_QMARK] = ACTIONS(927),
    [anon_sym_PLUS] = ACTIONS(929),
    [anon_sym_DASH] = ACTIONS(931),
    [anon_sym_TILDE] = ACTIONS(929),
    [anon_sym_BANG] = ACTIONS(929),
    [anon_sym_AMP] = ACTIONS(929),
    [anon_sym_DOT] = ACTIONS(933),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(935),
    [anon_sym_transmute] = ACTIONS(935),
    [anon_sym_auto_cast] = ACTIONS(937),
    [anon_sym_DOT_DOT] = ACTIONS(4422),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(941),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1753] = {
    [sym_expression] = STATE(4568),
    [sym__expression_no_tag] = STATE(4564),
    [sym_unary_expression] = STATE(4564),
    [sym_binary_expression] = STATE(4564),
    [sym_ternary_expression] = STATE(4564),
    [sym_call_expression] = STATE(4564),
    [sym_selector_call_expression] = STATE(4564),
    [sym_member_expression] = STATE(4564),
    [sym_index_expression] = STATE(4564),
    [sym_slice_expression] = STATE(4564),
    [sym_range_expression] = STATE(4564),
    [sym_cast_expression] = STATE(4564),
    [sym_in_expression] = STATE(4564),
    [sym_variadic_expression] = STATE(4564),
    [sym_parenthesized_expression] = STATE(4564),
    [sym_or_return_expression] = STATE(4564),
    [sym_or_continue_expression] = STATE(4564),
    [sym_or_break_expression] = STATE(4564),
    [sym_address] = STATE(4564),
    [sym_map_type] = STATE(4564),
    [sym_matrix_type] = STATE(4564),
    [sym_distinct_type] = STATE(4564),
    [sym_literal] = STATE(4564),
    [sym_struct] = STATE(4562),
    [sym_map] = STATE(4320),
    [sym_bit_set] = STATE(4320),
    [sym_matrix] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym__string_literal] = STATE(4334),
    [sym__raw_string_literal] = STATE(4334),
    [sym_character] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_field_identifier] = STATE(7845),
    [sym_identifier] = ACTIONS(341),
    [anon_sym_LBRACE] = ACTIONS(943),
    [anon_sym_LPAREN] = ACTIONS(1396),
    [anon_sym_QMARK] = ACTIONS(1398),
    [anon_sym_PLUS] = ACTIONS(1400),
    [anon_sym_DASH] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(1400),
    [anon_sym_BANG] = ACTIONS(1400),
    [anon_sym_AMP] = ACTIONS(1400),
    [anon_sym_DOT] = ACTIONS(1402),
    [anon_sym_LBRACK] = ACTIONS(955),
    [anon_sym_cast] = ACTIONS(345),
    [anon_sym_transmute] = ACTIONS(345),
    [anon_sym_auto_cast] = ACTIONS(347),
    [anon_sym_DOT_DOT] = ACTIONS(6073),
    [anon_sym_map] = ACTIONS(351),
    [anon_sym_bit_set] = ACTIONS(353),
    [anon_sym_matrix] = ACTIONS(355),
    [anon_sym_distinct] = ACTIONS(357),
    [sym_number] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(361),
    [anon_sym_BQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [anon_sym_true] = ACTIONS(367),
    [anon_sym_false] = ACTIONS(367),
    [sym_nil] = ACTIONS(369),
    [sym_uninitialized] = ACTIONS(359),
    [sym_tag] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(359),
    [sym_block_comment] = ACTIONS(3),
  },
  [1754] = {
    [sym_expression] = STATE(4346),
    [sym__expression_no_tag] = STATE(4564),
    [sym_unary_expression] = STATE(4564),
    [sym_binary_expression] = STATE(4564),
    [sym_ternary_expression] = STATE(4564),
    [sym_call_expression] = STATE(4564),
    [sym_selector_call_expression] = STATE(4564),
    [sym_member_expression] = STATE(4564),
    [sym_index_expression] = STATE(4564),
    [sym_slice_expression] = STATE(4564),
    [sym_range_expression] = STATE(4564),
    [sym_cast_expression] = STATE(4564),
    [sym_in_expression] = STATE(4564),
    [sym_variadic_expression] = STATE(4564),
    [sym_parenthesized_expression] = STATE(4564),
    [sym_or_return_expression] = STATE(4564),
    [sym_or_continue_expression] = STATE(4564),
    [sym_or_break_expression] = STATE(4564),
    [sym_address] = STATE(4564),
    [sym_map_type] = STATE(4564),
    [sym_matrix_type] = STATE(4564),
    [sym_distinct_type] = STATE(4564),
    [sym_literal] = STATE(4564),
    [sym_struct] = STATE(4562),
    [sym_map] = STATE(4320),
    [sym_bit_set] = STATE(4320),
    [sym_matrix] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym__string_literal] = STATE(4334),
    [sym__raw_string_literal] = STATE(4334),
    [sym_character] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_field_identifier] = STATE(7845),
    [sym_identifier] = ACTIONS(341),
    [anon_sym_LBRACE] = ACTIONS(943),
    [anon_sym_LPAREN] = ACTIONS(1396),
    [anon_sym_QMARK] = ACTIONS(1398),
    [anon_sym_PLUS] = ACTIONS(1400),
    [anon_sym_DASH] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(1400),
    [anon_sym_BANG] = ACTIONS(1400),
    [anon_sym_AMP] = ACTIONS(1400),
    [anon_sym_DOT] = ACTIONS(1402),
    [anon_sym_LBRACK] = ACTIONS(955),
    [anon_sym_cast] = ACTIONS(345),
    [anon_sym_transmute] = ACTIONS(345),
    [anon_sym_auto_cast] = ACTIONS(347),
    [anon_sym_DOT_DOT] = ACTIONS(6073),
    [anon_sym_map] = ACTIONS(351),
    [anon_sym_bit_set] = ACTIONS(353),
    [anon_sym_matrix] = ACTIONS(355),
    [anon_sym_distinct] = ACTIONS(357),
    [sym_number] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(361),
    [anon_sym_BQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [anon_sym_true] = ACTIONS(367),
    [anon_sym_false] = ACTIONS(367),
    [sym_nil] = ACTIONS(369),
    [sym_uninitialized] = ACTIONS(359),
    [sym_tag] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(359),
    [sym_block_comment] = ACTIONS(3),
  },
  [1755] = {
    [sym_expression] = STATE(4560),
    [sym__expression_no_tag] = STATE(4564),
    [sym_unary_expression] = STATE(4564),
    [sym_binary_expression] = STATE(4564),
    [sym_ternary_expression] = STATE(4564),
    [sym_call_expression] = STATE(4564),
    [sym_selector_call_expression] = STATE(4564),
    [sym_member_expression] = STATE(4564),
    [sym_index_expression] = STATE(4564),
    [sym_slice_expression] = STATE(4564),
    [sym_range_expression] = STATE(4564),
    [sym_cast_expression] = STATE(4564),
    [sym_in_expression] = STATE(4564),
    [sym_variadic_expression] = STATE(4564),
    [sym_parenthesized_expression] = STATE(4564),
    [sym_or_return_expression] = STATE(4564),
    [sym_or_continue_expression] = STATE(4564),
    [sym_or_break_expression] = STATE(4564),
    [sym_address] = STATE(4564),
    [sym_map_type] = STATE(4564),
    [sym_matrix_type] = STATE(4564),
    [sym_distinct_type] = STATE(4564),
    [sym_literal] = STATE(4564),
    [sym_struct] = STATE(4562),
    [sym_map] = STATE(4320),
    [sym_bit_set] = STATE(4320),
    [sym_matrix] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym__string_literal] = STATE(4334),
    [sym__raw_string_literal] = STATE(4334),
    [sym_character] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_field_identifier] = STATE(7845),
    [sym_identifier] = ACTIONS(341),
    [anon_sym_LBRACE] = ACTIONS(943),
    [anon_sym_LPAREN] = ACTIONS(1396),
    [anon_sym_QMARK] = ACTIONS(1398),
    [anon_sym_PLUS] = ACTIONS(1400),
    [anon_sym_DASH] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(1400),
    [anon_sym_BANG] = ACTIONS(1400),
    [anon_sym_AMP] = ACTIONS(1400),
    [anon_sym_DOT] = ACTIONS(1402),
    [anon_sym_LBRACK] = ACTIONS(955),
    [anon_sym_cast] = ACTIONS(345),
    [anon_sym_transmute] = ACTIONS(345),
    [anon_sym_auto_cast] = ACTIONS(347),
    [anon_sym_DOT_DOT] = ACTIONS(6073),
    [anon_sym_map] = ACTIONS(351),
    [anon_sym_bit_set] = ACTIONS(353),
    [anon_sym_matrix] = ACTIONS(355),
    [anon_sym_distinct] = ACTIONS(357),
    [sym_number] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(361),
    [anon_sym_BQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [anon_sym_true] = ACTIONS(367),
    [anon_sym_false] = ACTIONS(367),
    [sym_nil] = ACTIONS(369),
    [sym_uninitialized] = ACTIONS(359),
    [sym_tag] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(359),
    [sym_block_comment] = ACTIONS(3),
  },
  [1756] = {
    [sym_expression] = STATE(4367),
    [sym__expression_no_tag] = STATE(4564),
    [sym_unary_expression] = STATE(4564),
    [sym_binary_expression] = STATE(4564),
    [sym_ternary_expression] = STATE(4564),
    [sym_call_expression] = STATE(4564),
    [sym_selector_call_expression] = STATE(4564),
    [sym_member_expression] = STATE(4564),
    [sym_index_expression] = STATE(4564),
    [sym_slice_expression] = STATE(4564),
    [sym_range_expression] = STATE(4564),
    [sym_cast_expression] = STATE(4564),
    [sym_in_expression] = STATE(4564),
    [sym_variadic_expression] = STATE(4564),
    [sym_parenthesized_expression] = STATE(4564),
    [sym_or_return_expression] = STATE(4564),
    [sym_or_continue_expression] = STATE(4564),
    [sym_or_break_expression] = STATE(4564),
    [sym_address] = STATE(4564),
    [sym_map_type] = STATE(4564),
    [sym_matrix_type] = STATE(4564),
    [sym_distinct_type] = STATE(4564),
    [sym_literal] = STATE(4564),
    [sym_struct] = STATE(4562),
    [sym_map] = STATE(4320),
    [sym_bit_set] = STATE(4320),
    [sym_matrix] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym__string_literal] = STATE(4334),
    [sym__raw_string_literal] = STATE(4334),
    [sym_character] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_field_identifier] = STATE(7845),
    [sym_identifier] = ACTIONS(341),
    [anon_sym_LBRACE] = ACTIONS(943),
    [anon_sym_LPAREN] = ACTIONS(1396),
    [anon_sym_QMARK] = ACTIONS(1398),
    [anon_sym_PLUS] = ACTIONS(1400),
    [anon_sym_DASH] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(1400),
    [anon_sym_BANG] = ACTIONS(1400),
    [anon_sym_AMP] = ACTIONS(1400),
    [anon_sym_DOT] = ACTIONS(1402),
    [anon_sym_LBRACK] = ACTIONS(955),
    [anon_sym_cast] = ACTIONS(345),
    [anon_sym_transmute] = ACTIONS(345),
    [anon_sym_auto_cast] = ACTIONS(347),
    [anon_sym_DOT_DOT] = ACTIONS(6073),
    [anon_sym_map] = ACTIONS(351),
    [anon_sym_bit_set] = ACTIONS(353),
    [anon_sym_matrix] = ACTIONS(355),
    [anon_sym_distinct] = ACTIONS(357),
    [sym_number] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(361),
    [anon_sym_BQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [anon_sym_true] = ACTIONS(367),
    [anon_sym_false] = ACTIONS(367),
    [sym_nil] = ACTIONS(369),
    [sym_uninitialized] = ACTIONS(359),
    [sym_tag] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(359),
    [sym_block_comment] = ACTIONS(3),
  },
  [1757] = {
    [sym_expression] = STATE(4576),
    [sym__expression_no_tag] = STATE(4564),
    [sym_unary_expression] = STATE(4564),
    [sym_binary_expression] = STATE(4564),
    [sym_ternary_expression] = STATE(4564),
    [sym_call_expression] = STATE(4564),
    [sym_selector_call_expression] = STATE(4564),
    [sym_member_expression] = STATE(4564),
    [sym_index_expression] = STATE(4564),
    [sym_slice_expression] = STATE(4564),
    [sym_range_expression] = STATE(4564),
    [sym_cast_expression] = STATE(4564),
    [sym_in_expression] = STATE(4564),
    [sym_variadic_expression] = STATE(4564),
    [sym_parenthesized_expression] = STATE(4564),
    [sym_or_return_expression] = STATE(4564),
    [sym_or_continue_expression] = STATE(4564),
    [sym_or_break_expression] = STATE(4564),
    [sym_address] = STATE(4564),
    [sym_map_type] = STATE(4564),
    [sym_matrix_type] = STATE(4564),
    [sym_distinct_type] = STATE(4564),
    [sym_literal] = STATE(4564),
    [sym_struct] = STATE(4562),
    [sym_map] = STATE(4320),
    [sym_bit_set] = STATE(4320),
    [sym_matrix] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym__string_literal] = STATE(4334),
    [sym__raw_string_literal] = STATE(4334),
    [sym_character] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_field_identifier] = STATE(7845),
    [sym_identifier] = ACTIONS(341),
    [anon_sym_LBRACE] = ACTIONS(943),
    [anon_sym_LPAREN] = ACTIONS(1396),
    [anon_sym_QMARK] = ACTIONS(1398),
    [anon_sym_PLUS] = ACTIONS(1400),
    [anon_sym_DASH] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(1400),
    [anon_sym_BANG] = ACTIONS(1400),
    [anon_sym_AMP] = ACTIONS(1400),
    [anon_sym_DOT] = ACTIONS(1402),
    [anon_sym_LBRACK] = ACTIONS(955),
    [anon_sym_cast] = ACTIONS(345),
    [anon_sym_transmute] = ACTIONS(345),
    [anon_sym_auto_cast] = ACTIONS(347),
    [anon_sym_DOT_DOT] = ACTIONS(6073),
    [anon_sym_map] = ACTIONS(351),
    [anon_sym_bit_set] = ACTIONS(353),
    [anon_sym_matrix] = ACTIONS(355),
    [anon_sym_distinct] = ACTIONS(357),
    [sym_number] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(361),
    [anon_sym_BQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [anon_sym_true] = ACTIONS(367),
    [anon_sym_false] = ACTIONS(367),
    [sym_nil] = ACTIONS(369),
    [sym_uninitialized] = ACTIONS(359),
    [sym_tag] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(359),
    [sym_block_comment] = ACTIONS(3),
  },
  [1758] = {
    [sym_expression] = STATE(4581),
    [sym__expression_no_tag] = STATE(4564),
    [sym_unary_expression] = STATE(4564),
    [sym_binary_expression] = STATE(4564),
    [sym_ternary_expression] = STATE(4564),
    [sym_call_expression] = STATE(4564),
    [sym_selector_call_expression] = STATE(4564),
    [sym_member_expression] = STATE(4564),
    [sym_index_expression] = STATE(4564),
    [sym_slice_expression] = STATE(4564),
    [sym_range_expression] = STATE(4564),
    [sym_cast_expression] = STATE(4564),
    [sym_in_expression] = STATE(4564),
    [sym_variadic_expression] = STATE(4564),
    [sym_parenthesized_expression] = STATE(4564),
    [sym_or_return_expression] = STATE(4564),
    [sym_or_continue_expression] = STATE(4564),
    [sym_or_break_expression] = STATE(4564),
    [sym_address] = STATE(4564),
    [sym_map_type] = STATE(4564),
    [sym_matrix_type] = STATE(4564),
    [sym_distinct_type] = STATE(4564),
    [sym_literal] = STATE(4564),
    [sym_struct] = STATE(4562),
    [sym_map] = STATE(4320),
    [sym_bit_set] = STATE(4320),
    [sym_matrix] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym__string_literal] = STATE(4334),
    [sym__raw_string_literal] = STATE(4334),
    [sym_character] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_field_identifier] = STATE(7845),
    [sym_identifier] = ACTIONS(341),
    [anon_sym_LBRACE] = ACTIONS(943),
    [anon_sym_LPAREN] = ACTIONS(1396),
    [anon_sym_QMARK] = ACTIONS(1398),
    [anon_sym_PLUS] = ACTIONS(1400),
    [anon_sym_DASH] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(1400),
    [anon_sym_BANG] = ACTIONS(1400),
    [anon_sym_AMP] = ACTIONS(1400),
    [anon_sym_DOT] = ACTIONS(1402),
    [anon_sym_LBRACK] = ACTIONS(955),
    [anon_sym_cast] = ACTIONS(345),
    [anon_sym_transmute] = ACTIONS(345),
    [anon_sym_auto_cast] = ACTIONS(347),
    [anon_sym_DOT_DOT] = ACTIONS(6073),
    [anon_sym_map] = ACTIONS(351),
    [anon_sym_bit_set] = ACTIONS(353),
    [anon_sym_matrix] = ACTIONS(355),
    [anon_sym_distinct] = ACTIONS(357),
    [sym_number] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(361),
    [anon_sym_BQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [anon_sym_true] = ACTIONS(367),
    [anon_sym_false] = ACTIONS(367),
    [sym_nil] = ACTIONS(369),
    [sym_uninitialized] = ACTIONS(359),
    [sym_tag] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(359),
    [sym_block_comment] = ACTIONS(3),
  },
  [1759] = {
    [sym_expression] = STATE(4569),
    [sym__expression_no_tag] = STATE(4564),
    [sym_unary_expression] = STATE(4564),
    [sym_binary_expression] = STATE(4564),
    [sym_ternary_expression] = STATE(4564),
    [sym_call_expression] = STATE(4564),
    [sym_selector_call_expression] = STATE(4564),
    [sym_member_expression] = STATE(4564),
    [sym_index_expression] = STATE(4564),
    [sym_slice_expression] = STATE(4564),
    [sym_range_expression] = STATE(4564),
    [sym_cast_expression] = STATE(4564),
    [sym_in_expression] = STATE(4564),
    [sym_variadic_expression] = STATE(4564),
    [sym_parenthesized_expression] = STATE(4564),
    [sym_or_return_expression] = STATE(4564),
    [sym_or_continue_expression] = STATE(4564),
    [sym_or_break_expression] = STATE(4564),
    [sym_address] = STATE(4564),
    [sym_map_type] = STATE(4564),
    [sym_matrix_type] = STATE(4564),
    [sym_distinct_type] = STATE(4564),
    [sym_literal] = STATE(4564),
    [sym_struct] = STATE(4562),
    [sym_map] = STATE(4320),
    [sym_bit_set] = STATE(4320),
    [sym_matrix] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym__string_literal] = STATE(4334),
    [sym__raw_string_literal] = STATE(4334),
    [sym_character] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_field_identifier] = STATE(7845),
    [sym_identifier] = ACTIONS(341),
    [anon_sym_LBRACE] = ACTIONS(943),
    [anon_sym_LPAREN] = ACTIONS(1396),
    [anon_sym_QMARK] = ACTIONS(1398),
    [anon_sym_PLUS] = ACTIONS(1400),
    [anon_sym_DASH] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(1400),
    [anon_sym_BANG] = ACTIONS(1400),
    [anon_sym_AMP] = ACTIONS(1400),
    [anon_sym_DOT] = ACTIONS(1402),
    [anon_sym_LBRACK] = ACTIONS(955),
    [anon_sym_cast] = ACTIONS(345),
    [anon_sym_transmute] = ACTIONS(345),
    [anon_sym_auto_cast] = ACTIONS(347),
    [anon_sym_DOT_DOT] = ACTIONS(6073),
    [anon_sym_map] = ACTIONS(351),
    [anon_sym_bit_set] = ACTIONS(353),
    [anon_sym_matrix] = ACTIONS(355),
    [anon_sym_distinct] = ACTIONS(357),
    [sym_number] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(361),
    [anon_sym_BQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [anon_sym_true] = ACTIONS(367),
    [anon_sym_false] = ACTIONS(367),
    [sym_nil] = ACTIONS(369),
    [sym_uninitialized] = ACTIONS(359),
    [sym_tag] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(359),
    [sym_block_comment] = ACTIONS(3),
  },
  [1760] = {
    [sym_expression] = STATE(4587),
    [sym__expression_no_tag] = STATE(4564),
    [sym_unary_expression] = STATE(4564),
    [sym_binary_expression] = STATE(4564),
    [sym_ternary_expression] = STATE(4564),
    [sym_call_expression] = STATE(4564),
    [sym_selector_call_expression] = STATE(4564),
    [sym_member_expression] = STATE(4564),
    [sym_index_expression] = STATE(4564),
    [sym_slice_expression] = STATE(4564),
    [sym_range_expression] = STATE(4564),
    [sym_cast_expression] = STATE(4564),
    [sym_in_expression] = STATE(4564),
    [sym_variadic_expression] = STATE(4564),
    [sym_parenthesized_expression] = STATE(4564),
    [sym_or_return_expression] = STATE(4564),
    [sym_or_continue_expression] = STATE(4564),
    [sym_or_break_expression] = STATE(4564),
    [sym_address] = STATE(4564),
    [sym_map_type] = STATE(4564),
    [sym_matrix_type] = STATE(4564),
    [sym_distinct_type] = STATE(4564),
    [sym_literal] = STATE(4564),
    [sym_struct] = STATE(4562),
    [sym_map] = STATE(4320),
    [sym_bit_set] = STATE(4320),
    [sym_matrix] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym__string_literal] = STATE(4334),
    [sym__raw_string_literal] = STATE(4334),
    [sym_character] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_field_identifier] = STATE(7845),
    [sym_identifier] = ACTIONS(341),
    [anon_sym_LBRACE] = ACTIONS(943),
    [anon_sym_LPAREN] = ACTIONS(1396),
    [anon_sym_QMARK] = ACTIONS(1398),
    [anon_sym_PLUS] = ACTIONS(1400),
    [anon_sym_DASH] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(1400),
    [anon_sym_BANG] = ACTIONS(1400),
    [anon_sym_AMP] = ACTIONS(1400),
    [anon_sym_DOT] = ACTIONS(1402),
    [anon_sym_LBRACK] = ACTIONS(955),
    [anon_sym_cast] = ACTIONS(345),
    [anon_sym_transmute] = ACTIONS(345),
    [anon_sym_auto_cast] = ACTIONS(347),
    [anon_sym_DOT_DOT] = ACTIONS(6073),
    [anon_sym_map] = ACTIONS(351),
    [anon_sym_bit_set] = ACTIONS(353),
    [anon_sym_matrix] = ACTIONS(355),
    [anon_sym_distinct] = ACTIONS(357),
    [sym_number] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(361),
    [anon_sym_BQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [anon_sym_true] = ACTIONS(367),
    [anon_sym_false] = ACTIONS(367),
    [sym_nil] = ACTIONS(369),
    [sym_uninitialized] = ACTIONS(359),
    [sym_tag] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(359),
    [sym_block_comment] = ACTIONS(3),
  },
  [1761] = {
    [sym_expression] = STATE(4567),
    [sym__expression_no_tag] = STATE(4564),
    [sym_unary_expression] = STATE(4564),
    [sym_binary_expression] = STATE(4564),
    [sym_ternary_expression] = STATE(4564),
    [sym_call_expression] = STATE(4564),
    [sym_selector_call_expression] = STATE(4564),
    [sym_member_expression] = STATE(4564),
    [sym_index_expression] = STATE(4564),
    [sym_slice_expression] = STATE(4564),
    [sym_range_expression] = STATE(4564),
    [sym_cast_expression] = STATE(4564),
    [sym_in_expression] = STATE(4564),
    [sym_variadic_expression] = STATE(4564),
    [sym_parenthesized_expression] = STATE(4564),
    [sym_or_return_expression] = STATE(4564),
    [sym_or_continue_expression] = STATE(4564),
    [sym_or_break_expression] = STATE(4564),
    [sym_address] = STATE(4564),
    [sym_map_type] = STATE(4564),
    [sym_matrix_type] = STATE(4564),
    [sym_distinct_type] = STATE(4564),
    [sym_literal] = STATE(4564),
    [sym_struct] = STATE(4562),
    [sym_map] = STATE(4320),
    [sym_bit_set] = STATE(4320),
    [sym_matrix] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym__string_literal] = STATE(4334),
    [sym__raw_string_literal] = STATE(4334),
    [sym_character] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_field_identifier] = STATE(7845),
    [sym_identifier] = ACTIONS(341),
    [anon_sym_LBRACE] = ACTIONS(943),
    [anon_sym_LPAREN] = ACTIONS(1396),
    [anon_sym_QMARK] = ACTIONS(1398),
    [anon_sym_PLUS] = ACTIONS(1400),
    [anon_sym_DASH] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(1400),
    [anon_sym_BANG] = ACTIONS(1400),
    [anon_sym_AMP] = ACTIONS(1400),
    [anon_sym_DOT] = ACTIONS(1402),
    [anon_sym_LBRACK] = ACTIONS(955),
    [anon_sym_cast] = ACTIONS(345),
    [anon_sym_transmute] = ACTIONS(345),
    [anon_sym_auto_cast] = ACTIONS(347),
    [anon_sym_DOT_DOT] = ACTIONS(6073),
    [anon_sym_map] = ACTIONS(351),
    [anon_sym_bit_set] = ACTIONS(353),
    [anon_sym_matrix] = ACTIONS(355),
    [anon_sym_distinct] = ACTIONS(357),
    [sym_number] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(361),
    [anon_sym_BQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [anon_sym_true] = ACTIONS(367),
    [anon_sym_false] = ACTIONS(367),
    [sym_nil] = ACTIONS(369),
    [sym_uninitialized] = ACTIONS(359),
    [sym_tag] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(359),
    [sym_block_comment] = ACTIONS(3),
  },
  [1762] = {
    [sym_expression] = STATE(4578),
    [sym__expression_no_tag] = STATE(4564),
    [sym_unary_expression] = STATE(4564),
    [sym_binary_expression] = STATE(4564),
    [sym_ternary_expression] = STATE(4564),
    [sym_call_expression] = STATE(4564),
    [sym_selector_call_expression] = STATE(4564),
    [sym_member_expression] = STATE(4564),
    [sym_index_expression] = STATE(4564),
    [sym_slice_expression] = STATE(4564),
    [sym_range_expression] = STATE(4564),
    [sym_cast_expression] = STATE(4564),
    [sym_in_expression] = STATE(4564),
    [sym_variadic_expression] = STATE(4564),
    [sym_parenthesized_expression] = STATE(4564),
    [sym_or_return_expression] = STATE(4564),
    [sym_or_continue_expression] = STATE(4564),
    [sym_or_break_expression] = STATE(4564),
    [sym_address] = STATE(4564),
    [sym_map_type] = STATE(4564),
    [sym_matrix_type] = STATE(4564),
    [sym_distinct_type] = STATE(4564),
    [sym_literal] = STATE(4564),
    [sym_struct] = STATE(4562),
    [sym_map] = STATE(4320),
    [sym_bit_set] = STATE(4320),
    [sym_matrix] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym__string_literal] = STATE(4334),
    [sym__raw_string_literal] = STATE(4334),
    [sym_character] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_field_identifier] = STATE(7845),
    [sym_identifier] = ACTIONS(341),
    [anon_sym_LBRACE] = ACTIONS(943),
    [anon_sym_LPAREN] = ACTIONS(1396),
    [anon_sym_QMARK] = ACTIONS(1398),
    [anon_sym_PLUS] = ACTIONS(1400),
    [anon_sym_DASH] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(1400),
    [anon_sym_BANG] = ACTIONS(1400),
    [anon_sym_AMP] = ACTIONS(1400),
    [anon_sym_DOT] = ACTIONS(1402),
    [anon_sym_LBRACK] = ACTIONS(955),
    [anon_sym_cast] = ACTIONS(345),
    [anon_sym_transmute] = ACTIONS(345),
    [anon_sym_auto_cast] = ACTIONS(347),
    [anon_sym_DOT_DOT] = ACTIONS(6073),
    [anon_sym_map] = ACTIONS(351),
    [anon_sym_bit_set] = ACTIONS(353),
    [anon_sym_matrix] = ACTIONS(355),
    [anon_sym_distinct] = ACTIONS(357),
    [sym_number] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(361),
    [anon_sym_BQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [anon_sym_true] = ACTIONS(367),
    [anon_sym_false] = ACTIONS(367),
    [sym_nil] = ACTIONS(369),
    [sym_uninitialized] = ACTIONS(359),
    [sym_tag] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(359),
    [sym_block_comment] = ACTIONS(3),
  },
  [1763] = {
    [sym_expression] = STATE(4558),
    [sym__expression_no_tag] = STATE(4564),
    [sym_unary_expression] = STATE(4564),
    [sym_binary_expression] = STATE(4564),
    [sym_ternary_expression] = STATE(4564),
    [sym_call_expression] = STATE(4564),
    [sym_selector_call_expression] = STATE(4564),
    [sym_member_expression] = STATE(4564),
    [sym_index_expression] = STATE(4564),
    [sym_slice_expression] = STATE(4564),
    [sym_range_expression] = STATE(4564),
    [sym_cast_expression] = STATE(4564),
    [sym_in_expression] = STATE(4564),
    [sym_variadic_expression] = STATE(4564),
    [sym_parenthesized_expression] = STATE(4564),
    [sym_or_return_expression] = STATE(4564),
    [sym_or_continue_expression] = STATE(4564),
    [sym_or_break_expression] = STATE(4564),
    [sym_address] = STATE(4564),
    [sym_map_type] = STATE(4564),
    [sym_matrix_type] = STATE(4564),
    [sym_distinct_type] = STATE(4564),
    [sym_literal] = STATE(4564),
    [sym_struct] = STATE(4562),
    [sym_map] = STATE(4320),
    [sym_bit_set] = STATE(4320),
    [sym_matrix] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym__string_literal] = STATE(4334),
    [sym__raw_string_literal] = STATE(4334),
    [sym_character] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_field_identifier] = STATE(7845),
    [sym_identifier] = ACTIONS(341),
    [anon_sym_LBRACE] = ACTIONS(943),
    [anon_sym_LPAREN] = ACTIONS(1396),
    [anon_sym_QMARK] = ACTIONS(1398),
    [anon_sym_PLUS] = ACTIONS(1400),
    [anon_sym_DASH] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(1400),
    [anon_sym_BANG] = ACTIONS(1400),
    [anon_sym_AMP] = ACTIONS(1400),
    [anon_sym_DOT] = ACTIONS(1402),
    [anon_sym_LBRACK] = ACTIONS(955),
    [anon_sym_cast] = ACTIONS(345),
    [anon_sym_transmute] = ACTIONS(345),
    [anon_sym_auto_cast] = ACTIONS(347),
    [anon_sym_DOT_DOT] = ACTIONS(6073),
    [anon_sym_map] = ACTIONS(351),
    [anon_sym_bit_set] = ACTIONS(353),
    [anon_sym_matrix] = ACTIONS(355),
    [anon_sym_distinct] = ACTIONS(357),
    [sym_number] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(361),
    [anon_sym_BQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [anon_sym_true] = ACTIONS(367),
    [anon_sym_false] = ACTIONS(367),
    [sym_nil] = ACTIONS(369),
    [sym_uninitialized] = ACTIONS(359),
    [sym_tag] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(359),
    [sym_block_comment] = ACTIONS(3),
  },
  [1764] = {
    [sym_expression] = STATE(4590),
    [sym__expression_no_tag] = STATE(4564),
    [sym_unary_expression] = STATE(4564),
    [sym_binary_expression] = STATE(4564),
    [sym_ternary_expression] = STATE(4564),
    [sym_call_expression] = STATE(4564),
    [sym_selector_call_expression] = STATE(4564),
    [sym_member_expression] = STATE(4564),
    [sym_index_expression] = STATE(4564),
    [sym_slice_expression] = STATE(4564),
    [sym_range_expression] = STATE(4564),
    [sym_cast_expression] = STATE(4564),
    [sym_in_expression] = STATE(4564),
    [sym_variadic_expression] = STATE(4564),
    [sym_parenthesized_expression] = STATE(4564),
    [sym_or_return_expression] = STATE(4564),
    [sym_or_continue_expression] = STATE(4564),
    [sym_or_break_expression] = STATE(4564),
    [sym_address] = STATE(4564),
    [sym_map_type] = STATE(4564),
    [sym_matrix_type] = STATE(4564),
    [sym_distinct_type] = STATE(4564),
    [sym_literal] = STATE(4564),
    [sym_struct] = STATE(4562),
    [sym_map] = STATE(4320),
    [sym_bit_set] = STATE(4320),
    [sym_matrix] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym__string_literal] = STATE(4334),
    [sym__raw_string_literal] = STATE(4334),
    [sym_character] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_field_identifier] = STATE(7845),
    [sym_identifier] = ACTIONS(341),
    [anon_sym_LBRACE] = ACTIONS(943),
    [anon_sym_LPAREN] = ACTIONS(1396),
    [anon_sym_QMARK] = ACTIONS(1398),
    [anon_sym_PLUS] = ACTIONS(1400),
    [anon_sym_DASH] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(1400),
    [anon_sym_BANG] = ACTIONS(1400),
    [anon_sym_AMP] = ACTIONS(1400),
    [anon_sym_DOT] = ACTIONS(1402),
    [anon_sym_LBRACK] = ACTIONS(955),
    [anon_sym_cast] = ACTIONS(345),
    [anon_sym_transmute] = ACTIONS(345),
    [anon_sym_auto_cast] = ACTIONS(347),
    [anon_sym_DOT_DOT] = ACTIONS(6073),
    [anon_sym_map] = ACTIONS(351),
    [anon_sym_bit_set] = ACTIONS(353),
    [anon_sym_matrix] = ACTIONS(355),
    [anon_sym_distinct] = ACTIONS(357),
    [sym_number] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(361),
    [anon_sym_BQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [anon_sym_true] = ACTIONS(367),
    [anon_sym_false] = ACTIONS(367),
    [sym_nil] = ACTIONS(369),
    [sym_uninitialized] = ACTIONS(359),
    [sym_tag] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(359),
    [sym_block_comment] = ACTIONS(3),
  },
  [1765] = {
    [sym_expression] = STATE(4559),
    [sym__expression_no_tag] = STATE(4564),
    [sym_unary_expression] = STATE(4564),
    [sym_binary_expression] = STATE(4564),
    [sym_ternary_expression] = STATE(4564),
    [sym_call_expression] = STATE(4564),
    [sym_selector_call_expression] = STATE(4564),
    [sym_member_expression] = STATE(4564),
    [sym_index_expression] = STATE(4564),
    [sym_slice_expression] = STATE(4564),
    [sym_range_expression] = STATE(4564),
    [sym_cast_expression] = STATE(4564),
    [sym_in_expression] = STATE(4564),
    [sym_variadic_expression] = STATE(4564),
    [sym_parenthesized_expression] = STATE(4564),
    [sym_or_return_expression] = STATE(4564),
    [sym_or_continue_expression] = STATE(4564),
    [sym_or_break_expression] = STATE(4564),
    [sym_address] = STATE(4564),
    [sym_map_type] = STATE(4564),
    [sym_matrix_type] = STATE(4564),
    [sym_distinct_type] = STATE(4564),
    [sym_literal] = STATE(4564),
    [sym_struct] = STATE(4562),
    [sym_map] = STATE(4320),
    [sym_bit_set] = STATE(4320),
    [sym_matrix] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym__string_literal] = STATE(4334),
    [sym__raw_string_literal] = STATE(4334),
    [sym_character] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_field_identifier] = STATE(7845),
    [sym_identifier] = ACTIONS(341),
    [anon_sym_LBRACE] = ACTIONS(943),
    [anon_sym_LPAREN] = ACTIONS(1396),
    [anon_sym_QMARK] = ACTIONS(1398),
    [anon_sym_PLUS] = ACTIONS(1400),
    [anon_sym_DASH] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(1400),
    [anon_sym_BANG] = ACTIONS(1400),
    [anon_sym_AMP] = ACTIONS(1400),
    [anon_sym_DOT] = ACTIONS(1402),
    [anon_sym_LBRACK] = ACTIONS(955),
    [anon_sym_cast] = ACTIONS(345),
    [anon_sym_transmute] = ACTIONS(345),
    [anon_sym_auto_cast] = ACTIONS(347),
    [anon_sym_DOT_DOT] = ACTIONS(6073),
    [anon_sym_map] = ACTIONS(351),
    [anon_sym_bit_set] = ACTIONS(353),
    [anon_sym_matrix] = ACTIONS(355),
    [anon_sym_distinct] = ACTIONS(357),
    [sym_number] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(361),
    [anon_sym_BQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [anon_sym_true] = ACTIONS(367),
    [anon_sym_false] = ACTIONS(367),
    [sym_nil] = ACTIONS(369),
    [sym_uninitialized] = ACTIONS(359),
    [sym_tag] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(359),
    [sym_block_comment] = ACTIONS(3),
  },
  [1766] = {
    [sym_expression] = STATE(4571),
    [sym__expression_no_tag] = STATE(4564),
    [sym_unary_expression] = STATE(4564),
    [sym_binary_expression] = STATE(4564),
    [sym_ternary_expression] = STATE(4564),
    [sym_call_expression] = STATE(4564),
    [sym_selector_call_expression] = STATE(4564),
    [sym_member_expression] = STATE(4564),
    [sym_index_expression] = STATE(4564),
    [sym_slice_expression] = STATE(4564),
    [sym_range_expression] = STATE(4564),
    [sym_cast_expression] = STATE(4564),
    [sym_in_expression] = STATE(4564),
    [sym_variadic_expression] = STATE(4564),
    [sym_parenthesized_expression] = STATE(4564),
    [sym_or_return_expression] = STATE(4564),
    [sym_or_continue_expression] = STATE(4564),
    [sym_or_break_expression] = STATE(4564),
    [sym_address] = STATE(4564),
    [sym_map_type] = STATE(4564),
    [sym_matrix_type] = STATE(4564),
    [sym_distinct_type] = STATE(4564),
    [sym_literal] = STATE(4564),
    [sym_struct] = STATE(4562),
    [sym_map] = STATE(4320),
    [sym_bit_set] = STATE(4320),
    [sym_matrix] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym__string_literal] = STATE(4334),
    [sym__raw_string_literal] = STATE(4334),
    [sym_character] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_field_identifier] = STATE(7845),
    [sym_identifier] = ACTIONS(341),
    [anon_sym_LBRACE] = ACTIONS(943),
    [anon_sym_LPAREN] = ACTIONS(1396),
    [anon_sym_QMARK] = ACTIONS(1398),
    [anon_sym_PLUS] = ACTIONS(1400),
    [anon_sym_DASH] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(1400),
    [anon_sym_BANG] = ACTIONS(1400),
    [anon_sym_AMP] = ACTIONS(1400),
    [anon_sym_DOT] = ACTIONS(1402),
    [anon_sym_LBRACK] = ACTIONS(955),
    [anon_sym_cast] = ACTIONS(345),
    [anon_sym_transmute] = ACTIONS(345),
    [anon_sym_auto_cast] = ACTIONS(347),
    [anon_sym_DOT_DOT] = ACTIONS(6073),
    [anon_sym_map] = ACTIONS(351),
    [anon_sym_bit_set] = ACTIONS(353),
    [anon_sym_matrix] = ACTIONS(355),
    [anon_sym_distinct] = ACTIONS(357),
    [sym_number] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(361),
    [anon_sym_BQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [anon_sym_true] = ACTIONS(367),
    [anon_sym_false] = ACTIONS(367),
    [sym_nil] = ACTIONS(369),
    [sym_uninitialized] = ACTIONS(359),
    [sym_tag] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(359),
    [sym_block_comment] = ACTIONS(3),
  },
  [1767] = {
    [sym_expression] = STATE(4592),
    [sym__expression_no_tag] = STATE(4564),
    [sym_unary_expression] = STATE(4564),
    [sym_binary_expression] = STATE(4564),
    [sym_ternary_expression] = STATE(4564),
    [sym_call_expression] = STATE(4564),
    [sym_selector_call_expression] = STATE(4564),
    [sym_member_expression] = STATE(4564),
    [sym_index_expression] = STATE(4564),
    [sym_slice_expression] = STATE(4564),
    [sym_range_expression] = STATE(4564),
    [sym_cast_expression] = STATE(4564),
    [sym_in_expression] = STATE(4564),
    [sym_variadic_expression] = STATE(4564),
    [sym_parenthesized_expression] = STATE(4564),
    [sym_or_return_expression] = STATE(4564),
    [sym_or_continue_expression] = STATE(4564),
    [sym_or_break_expression] = STATE(4564),
    [sym_address] = STATE(4564),
    [sym_map_type] = STATE(4564),
    [sym_matrix_type] = STATE(4564),
    [sym_distinct_type] = STATE(4564),
    [sym_literal] = STATE(4564),
    [sym_struct] = STATE(4562),
    [sym_map] = STATE(4320),
    [sym_bit_set] = STATE(4320),
    [sym_matrix] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym__string_literal] = STATE(4334),
    [sym__raw_string_literal] = STATE(4334),
    [sym_character] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_field_identifier] = STATE(7845),
    [sym_identifier] = ACTIONS(341),
    [anon_sym_LBRACE] = ACTIONS(943),
    [anon_sym_LPAREN] = ACTIONS(1396),
    [anon_sym_QMARK] = ACTIONS(1398),
    [anon_sym_PLUS] = ACTIONS(1400),
    [anon_sym_DASH] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(1400),
    [anon_sym_BANG] = ACTIONS(1400),
    [anon_sym_AMP] = ACTIONS(1400),
    [anon_sym_DOT] = ACTIONS(1402),
    [anon_sym_LBRACK] = ACTIONS(955),
    [anon_sym_cast] = ACTIONS(345),
    [anon_sym_transmute] = ACTIONS(345),
    [anon_sym_auto_cast] = ACTIONS(347),
    [anon_sym_DOT_DOT] = ACTIONS(6073),
    [anon_sym_map] = ACTIONS(351),
    [anon_sym_bit_set] = ACTIONS(353),
    [anon_sym_matrix] = ACTIONS(355),
    [anon_sym_distinct] = ACTIONS(357),
    [sym_number] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(361),
    [anon_sym_BQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [anon_sym_true] = ACTIONS(367),
    [anon_sym_false] = ACTIONS(367),
    [sym_nil] = ACTIONS(369),
    [sym_uninitialized] = ACTIONS(359),
    [sym_tag] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(359),
    [sym_block_comment] = ACTIONS(3),
  },
  [1768] = {
    [sym_expression] = STATE(4573),
    [sym__expression_no_tag] = STATE(4564),
    [sym_unary_expression] = STATE(4564),
    [sym_binary_expression] = STATE(4564),
    [sym_ternary_expression] = STATE(4564),
    [sym_call_expression] = STATE(4564),
    [sym_selector_call_expression] = STATE(4564),
    [sym_member_expression] = STATE(4564),
    [sym_index_expression] = STATE(4564),
    [sym_slice_expression] = STATE(4564),
    [sym_range_expression] = STATE(4564),
    [sym_cast_expression] = STATE(4564),
    [sym_in_expression] = STATE(4564),
    [sym_variadic_expression] = STATE(4564),
    [sym_parenthesized_expression] = STATE(4564),
    [sym_or_return_expression] = STATE(4564),
    [sym_or_continue_expression] = STATE(4564),
    [sym_or_break_expression] = STATE(4564),
    [sym_address] = STATE(4564),
    [sym_map_type] = STATE(4564),
    [sym_matrix_type] = STATE(4564),
    [sym_distinct_type] = STATE(4564),
    [sym_literal] = STATE(4564),
    [sym_struct] = STATE(4562),
    [sym_map] = STATE(4320),
    [sym_bit_set] = STATE(4320),
    [sym_matrix] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym__string_literal] = STATE(4334),
    [sym__raw_string_literal] = STATE(4334),
    [sym_character] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_field_identifier] = STATE(7845),
    [sym_identifier] = ACTIONS(341),
    [anon_sym_LBRACE] = ACTIONS(943),
    [anon_sym_LPAREN] = ACTIONS(1396),
    [anon_sym_QMARK] = ACTIONS(1398),
    [anon_sym_PLUS] = ACTIONS(1400),
    [anon_sym_DASH] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(1400),
    [anon_sym_BANG] = ACTIONS(1400),
    [anon_sym_AMP] = ACTIONS(1400),
    [anon_sym_DOT] = ACTIONS(1402),
    [anon_sym_LBRACK] = ACTIONS(955),
    [anon_sym_cast] = ACTIONS(345),
    [anon_sym_transmute] = ACTIONS(345),
    [anon_sym_auto_cast] = ACTIONS(347),
    [anon_sym_DOT_DOT] = ACTIONS(6073),
    [anon_sym_map] = ACTIONS(351),
    [anon_sym_bit_set] = ACTIONS(353),
    [anon_sym_matrix] = ACTIONS(355),
    [anon_sym_distinct] = ACTIONS(357),
    [sym_number] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(361),
    [anon_sym_BQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [anon_sym_true] = ACTIONS(367),
    [anon_sym_false] = ACTIONS(367),
    [sym_nil] = ACTIONS(369),
    [sym_uninitialized] = ACTIONS(359),
    [sym_tag] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(359),
    [sym_block_comment] = ACTIONS(3),
  },
  [1769] = {
    [sym_expression] = STATE(4356),
    [sym__expression_no_tag] = STATE(4564),
    [sym_unary_expression] = STATE(4564),
    [sym_binary_expression] = STATE(4564),
    [sym_ternary_expression] = STATE(4564),
    [sym_call_expression] = STATE(4564),
    [sym_selector_call_expression] = STATE(4564),
    [sym_member_expression] = STATE(4564),
    [sym_index_expression] = STATE(4564),
    [sym_slice_expression] = STATE(4564),
    [sym_range_expression] = STATE(4564),
    [sym_cast_expression] = STATE(4564),
    [sym_in_expression] = STATE(4564),
    [sym_variadic_expression] = STATE(4564),
    [sym_parenthesized_expression] = STATE(4564),
    [sym_or_return_expression] = STATE(4564),
    [sym_or_continue_expression] = STATE(4564),
    [sym_or_break_expression] = STATE(4564),
    [sym_address] = STATE(4564),
    [sym_map_type] = STATE(4564),
    [sym_matrix_type] = STATE(4564),
    [sym_distinct_type] = STATE(4564),
    [sym_literal] = STATE(4564),
    [sym_struct] = STATE(4562),
    [sym_map] = STATE(4320),
    [sym_bit_set] = STATE(4320),
    [sym_matrix] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym__string_literal] = STATE(4334),
    [sym__raw_string_literal] = STATE(4334),
    [sym_character] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_field_identifier] = STATE(7845),
    [sym_identifier] = ACTIONS(341),
    [anon_sym_LBRACE] = ACTIONS(943),
    [anon_sym_LPAREN] = ACTIONS(1396),
    [anon_sym_QMARK] = ACTIONS(1398),
    [anon_sym_PLUS] = ACTIONS(1400),
    [anon_sym_DASH] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(1400),
    [anon_sym_BANG] = ACTIONS(1400),
    [anon_sym_AMP] = ACTIONS(1400),
    [anon_sym_DOT] = ACTIONS(1402),
    [anon_sym_LBRACK] = ACTIONS(955),
    [anon_sym_cast] = ACTIONS(345),
    [anon_sym_transmute] = ACTIONS(345),
    [anon_sym_auto_cast] = ACTIONS(347),
    [anon_sym_DOT_DOT] = ACTIONS(6073),
    [anon_sym_map] = ACTIONS(351),
    [anon_sym_bit_set] = ACTIONS(353),
    [anon_sym_matrix] = ACTIONS(355),
    [anon_sym_distinct] = ACTIONS(357),
    [sym_number] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(361),
    [anon_sym_BQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [anon_sym_true] = ACTIONS(367),
    [anon_sym_false] = ACTIONS(367),
    [sym_nil] = ACTIONS(369),
    [sym_uninitialized] = ACTIONS(359),
    [sym_tag] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(359),
    [sym_block_comment] = ACTIONS(3),
  },
  [1770] = {
    [sym_expression] = STATE(4358),
    [sym__expression_no_tag] = STATE(4564),
    [sym_unary_expression] = STATE(4564),
    [sym_binary_expression] = STATE(4564),
    [sym_ternary_expression] = STATE(4564),
    [sym_call_expression] = STATE(4564),
    [sym_selector_call_expression] = STATE(4564),
    [sym_member_expression] = STATE(4564),
    [sym_index_expression] = STATE(4564),
    [sym_slice_expression] = STATE(4564),
    [sym_range_expression] = STATE(4564),
    [sym_cast_expression] = STATE(4564),
    [sym_in_expression] = STATE(4564),
    [sym_variadic_expression] = STATE(4564),
    [sym_parenthesized_expression] = STATE(4564),
    [sym_or_return_expression] = STATE(4564),
    [sym_or_continue_expression] = STATE(4564),
    [sym_or_break_expression] = STATE(4564),
    [sym_address] = STATE(4564),
    [sym_map_type] = STATE(4564),
    [sym_matrix_type] = STATE(4564),
    [sym_distinct_type] = STATE(4564),
    [sym_literal] = STATE(4564),
    [sym_struct] = STATE(4562),
    [sym_map] = STATE(4320),
    [sym_bit_set] = STATE(4320),
    [sym_matrix] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym__string_literal] = STATE(4334),
    [sym__raw_string_literal] = STATE(4334),
    [sym_character] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_field_identifier] = STATE(7845),
    [sym_identifier] = ACTIONS(341),
    [anon_sym_LBRACE] = ACTIONS(943),
    [anon_sym_LPAREN] = ACTIONS(1396),
    [anon_sym_QMARK] = ACTIONS(1398),
    [anon_sym_PLUS] = ACTIONS(1400),
    [anon_sym_DASH] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(1400),
    [anon_sym_BANG] = ACTIONS(1400),
    [anon_sym_AMP] = ACTIONS(1400),
    [anon_sym_DOT] = ACTIONS(1402),
    [anon_sym_LBRACK] = ACTIONS(955),
    [anon_sym_cast] = ACTIONS(345),
    [anon_sym_transmute] = ACTIONS(345),
    [anon_sym_auto_cast] = ACTIONS(347),
    [anon_sym_DOT_DOT] = ACTIONS(6073),
    [anon_sym_map] = ACTIONS(351),
    [anon_sym_bit_set] = ACTIONS(353),
    [anon_sym_matrix] = ACTIONS(355),
    [anon_sym_distinct] = ACTIONS(357),
    [sym_number] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(361),
    [anon_sym_BQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [anon_sym_true] = ACTIONS(367),
    [anon_sym_false] = ACTIONS(367),
    [sym_nil] = ACTIONS(369),
    [sym_uninitialized] = ACTIONS(359),
    [sym_tag] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(359),
    [sym_block_comment] = ACTIONS(3),
  },
  [1771] = {
    [sym_expression] = STATE(2638),
    [sym__expression_no_tag] = STATE(2664),
    [sym_unary_expression] = STATE(2664),
    [sym_binary_expression] = STATE(2664),
    [sym_ternary_expression] = STATE(2664),
    [sym_call_expression] = STATE(2664),
    [sym_selector_call_expression] = STATE(2664),
    [sym_member_expression] = STATE(2664),
    [sym_index_expression] = STATE(2664),
    [sym_slice_expression] = STATE(2664),
    [sym_range_expression] = STATE(2664),
    [sym_cast_expression] = STATE(2664),
    [sym_in_expression] = STATE(2664),
    [sym_variadic_expression] = STATE(2664),
    [sym_parenthesized_expression] = STATE(2664),
    [sym_or_return_expression] = STATE(2664),
    [sym_or_continue_expression] = STATE(2664),
    [sym_or_break_expression] = STATE(2664),
    [sym_address] = STATE(2664),
    [sym_map_type] = STATE(2664),
    [sym_matrix_type] = STATE(2664),
    [sym_distinct_type] = STATE(2664),
    [sym_literal] = STATE(2664),
    [sym_struct] = STATE(2632),
    [sym_map] = STATE(2566),
    [sym_bit_set] = STATE(2566),
    [sym_matrix] = STATE(2566),
    [sym_string] = STATE(2566),
    [sym__string_literal] = STATE(2591),
    [sym__raw_string_literal] = STATE(2591),
    [sym_character] = STATE(2566),
    [sym_boolean] = STATE(2566),
    [sym_field_identifier] = STATE(7902),
    [sym_identifier] = ACTIONS(249),
    [anon_sym_LBRACE] = ACTIONS(251),
    [anon_sym_LPAREN] = ACTIONS(291),
    [anon_sym_QMARK] = ACTIONS(293),
    [anon_sym_PLUS] = ACTIONS(3175),
    [anon_sym_DASH] = ACTIONS(295),
    [anon_sym_TILDE] = ACTIONS(3175),
    [anon_sym_BANG] = ACTIONS(3175),
    [anon_sym_AMP] = ACTIONS(3175),
    [anon_sym_DOT] = ACTIONS(297),
    [anon_sym_LBRACK] = ACTIONS(261),
    [anon_sym_cast] = ACTIONS(299),
    [anon_sym_transmute] = ACTIONS(299),
    [anon_sym_auto_cast] = ACTIONS(301),
    [anon_sym_DOT_DOT] = ACTIONS(3177),
    [anon_sym_map] = ACTIONS(269),
    [anon_sym_bit_set] = ACTIONS(271),
    [anon_sym_matrix] = ACTIONS(273),
    [anon_sym_distinct] = ACTIONS(275),
    [sym_number] = ACTIONS(277),
    [anon_sym_DQUOTE] = ACTIONS(279),
    [anon_sym_BQUOTE] = ACTIONS(281),
    [anon_sym_SQUOTE] = ACTIONS(283),
    [anon_sym_true] = ACTIONS(285),
    [anon_sym_false] = ACTIONS(285),
    [sym_nil] = ACTIONS(287),
    [sym_uninitialized] = ACTIONS(277),
    [sym_tag] = ACTIONS(305),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(277),
    [sym_block_comment] = ACTIONS(3),
  },
  [1772] = {
    [sym_expression] = STATE(4344),
    [sym__expression_no_tag] = STATE(4431),
    [sym_unary_expression] = STATE(4431),
    [sym_binary_expression] = STATE(4431),
    [sym_ternary_expression] = STATE(4431),
    [sym_call_expression] = STATE(4431),
    [sym_selector_call_expression] = STATE(4431),
    [sym_member_expression] = STATE(4431),
    [sym_index_expression] = STATE(4431),
    [sym_slice_expression] = STATE(4431),
    [sym_range_expression] = STATE(4431),
    [sym_cast_expression] = STATE(4431),
    [sym_in_expression] = STATE(4431),
    [sym_variadic_expression] = STATE(4431),
    [sym_parenthesized_expression] = STATE(4431),
    [sym_or_return_expression] = STATE(4431),
    [sym_or_continue_expression] = STATE(4431),
    [sym_or_break_expression] = STATE(4431),
    [sym_address] = STATE(4431),
    [sym_map_type] = STATE(4431),
    [sym_matrix_type] = STATE(4431),
    [sym_distinct_type] = STATE(4431),
    [sym_literal] = STATE(4431),
    [sym_struct] = STATE(4333),
    [sym_map] = STATE(4320),
    [sym_bit_set] = STATE(4320),
    [sym_matrix] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym__string_literal] = STATE(4334),
    [sym__raw_string_literal] = STATE(4334),
    [sym_character] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_field_identifier] = STATE(7845),
    [sym_identifier] = ACTIONS(341),
    [anon_sym_LBRACE] = ACTIONS(943),
    [anon_sym_LPAREN] = ACTIONS(945),
    [anon_sym_QMARK] = ACTIONS(947),
    [anon_sym_PLUS] = ACTIONS(949),
    [anon_sym_DASH] = ACTIONS(951),
    [anon_sym_TILDE] = ACTIONS(949),
    [anon_sym_BANG] = ACTIONS(949),
    [anon_sym_AMP] = ACTIONS(949),
    [anon_sym_DOT] = ACTIONS(953),
    [anon_sym_LBRACK] = ACTIONS(955),
    [anon_sym_cast] = ACTIONS(957),
    [anon_sym_transmute] = ACTIONS(957),
    [anon_sym_auto_cast] = ACTIONS(959),
    [anon_sym_DOT_DOT] = ACTIONS(3241),
    [anon_sym_map] = ACTIONS(351),
    [anon_sym_bit_set] = ACTIONS(353),
    [anon_sym_matrix] = ACTIONS(355),
    [anon_sym_distinct] = ACTIONS(357),
    [sym_number] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(361),
    [anon_sym_BQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [anon_sym_true] = ACTIONS(367),
    [anon_sym_false] = ACTIONS(367),
    [sym_nil] = ACTIONS(369),
    [sym_uninitialized] = ACTIONS(359),
    [sym_tag] = ACTIONS(963),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(359),
    [sym_block_comment] = ACTIONS(3),
  },
  [1773] = {
    [sym_expression] = STATE(4557),
    [sym__expression_no_tag] = STATE(4564),
    [sym_unary_expression] = STATE(4564),
    [sym_binary_expression] = STATE(4564),
    [sym_ternary_expression] = STATE(4564),
    [sym_call_expression] = STATE(4564),
    [sym_selector_call_expression] = STATE(4564),
    [sym_member_expression] = STATE(4564),
    [sym_index_expression] = STATE(4564),
    [sym_slice_expression] = STATE(4564),
    [sym_range_expression] = STATE(4564),
    [sym_cast_expression] = STATE(4564),
    [sym_in_expression] = STATE(4564),
    [sym_variadic_expression] = STATE(4564),
    [sym_parenthesized_expression] = STATE(4564),
    [sym_or_return_expression] = STATE(4564),
    [sym_or_continue_expression] = STATE(4564),
    [sym_or_break_expression] = STATE(4564),
    [sym_address] = STATE(4564),
    [sym_map_type] = STATE(4564),
    [sym_matrix_type] = STATE(4564),
    [sym_distinct_type] = STATE(4564),
    [sym_literal] = STATE(4564),
    [sym_struct] = STATE(4562),
    [sym_map] = STATE(4320),
    [sym_bit_set] = STATE(4320),
    [sym_matrix] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym__string_literal] = STATE(4334),
    [sym__raw_string_literal] = STATE(4334),
    [sym_character] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_field_identifier] = STATE(7845),
    [sym_identifier] = ACTIONS(341),
    [anon_sym_LBRACE] = ACTIONS(943),
    [anon_sym_LPAREN] = ACTIONS(1396),
    [anon_sym_QMARK] = ACTIONS(1398),
    [anon_sym_PLUS] = ACTIONS(1400),
    [anon_sym_DASH] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(1400),
    [anon_sym_BANG] = ACTIONS(1400),
    [anon_sym_AMP] = ACTIONS(1400),
    [anon_sym_DOT] = ACTIONS(1402),
    [anon_sym_LBRACK] = ACTIONS(955),
    [anon_sym_cast] = ACTIONS(345),
    [anon_sym_transmute] = ACTIONS(345),
    [anon_sym_auto_cast] = ACTIONS(347),
    [anon_sym_DOT_DOT] = ACTIONS(6073),
    [anon_sym_map] = ACTIONS(351),
    [anon_sym_bit_set] = ACTIONS(353),
    [anon_sym_matrix] = ACTIONS(355),
    [anon_sym_distinct] = ACTIONS(357),
    [sym_number] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(361),
    [anon_sym_BQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [anon_sym_true] = ACTIONS(367),
    [anon_sym_false] = ACTIONS(367),
    [sym_nil] = ACTIONS(369),
    [sym_uninitialized] = ACTIONS(359),
    [sym_tag] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(359),
    [sym_block_comment] = ACTIONS(3),
  },
  [1774] = {
    [sym_expression] = STATE(4566),
    [sym__expression_no_tag] = STATE(4564),
    [sym_unary_expression] = STATE(4564),
    [sym_binary_expression] = STATE(4564),
    [sym_ternary_expression] = STATE(4564),
    [sym_call_expression] = STATE(4564),
    [sym_selector_call_expression] = STATE(4564),
    [sym_member_expression] = STATE(4564),
    [sym_index_expression] = STATE(4564),
    [sym_slice_expression] = STATE(4564),
    [sym_range_expression] = STATE(4564),
    [sym_cast_expression] = STATE(4564),
    [sym_in_expression] = STATE(4564),
    [sym_variadic_expression] = STATE(4564),
    [sym_parenthesized_expression] = STATE(4564),
    [sym_or_return_expression] = STATE(4564),
    [sym_or_continue_expression] = STATE(4564),
    [sym_or_break_expression] = STATE(4564),
    [sym_address] = STATE(4564),
    [sym_map_type] = STATE(4564),
    [sym_matrix_type] = STATE(4564),
    [sym_distinct_type] = STATE(4564),
    [sym_literal] = STATE(4564),
    [sym_struct] = STATE(4562),
    [sym_map] = STATE(4320),
    [sym_bit_set] = STATE(4320),
    [sym_matrix] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym__string_literal] = STATE(4334),
    [sym__raw_string_literal] = STATE(4334),
    [sym_character] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_field_identifier] = STATE(7845),
    [sym_identifier] = ACTIONS(341),
    [anon_sym_LBRACE] = ACTIONS(943),
    [anon_sym_LPAREN] = ACTIONS(1396),
    [anon_sym_QMARK] = ACTIONS(1398),
    [anon_sym_PLUS] = ACTIONS(1400),
    [anon_sym_DASH] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(1400),
    [anon_sym_BANG] = ACTIONS(1400),
    [anon_sym_AMP] = ACTIONS(1400),
    [anon_sym_DOT] = ACTIONS(1402),
    [anon_sym_LBRACK] = ACTIONS(955),
    [anon_sym_cast] = ACTIONS(345),
    [anon_sym_transmute] = ACTIONS(345),
    [anon_sym_auto_cast] = ACTIONS(347),
    [anon_sym_DOT_DOT] = ACTIONS(6073),
    [anon_sym_map] = ACTIONS(351),
    [anon_sym_bit_set] = ACTIONS(353),
    [anon_sym_matrix] = ACTIONS(355),
    [anon_sym_distinct] = ACTIONS(357),
    [sym_number] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(361),
    [anon_sym_BQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [anon_sym_true] = ACTIONS(367),
    [anon_sym_false] = ACTIONS(367),
    [sym_nil] = ACTIONS(369),
    [sym_uninitialized] = ACTIONS(359),
    [sym_tag] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(359),
    [sym_block_comment] = ACTIONS(3),
  },
  [1775] = {
    [sym_expression] = STATE(4589),
    [sym__expression_no_tag] = STATE(4564),
    [sym_unary_expression] = STATE(4564),
    [sym_binary_expression] = STATE(4564),
    [sym_ternary_expression] = STATE(4564),
    [sym_call_expression] = STATE(4564),
    [sym_selector_call_expression] = STATE(4564),
    [sym_member_expression] = STATE(4564),
    [sym_index_expression] = STATE(4564),
    [sym_slice_expression] = STATE(4564),
    [sym_range_expression] = STATE(4564),
    [sym_cast_expression] = STATE(4564),
    [sym_in_expression] = STATE(4564),
    [sym_variadic_expression] = STATE(4564),
    [sym_parenthesized_expression] = STATE(4564),
    [sym_or_return_expression] = STATE(4564),
    [sym_or_continue_expression] = STATE(4564),
    [sym_or_break_expression] = STATE(4564),
    [sym_address] = STATE(4564),
    [sym_map_type] = STATE(4564),
    [sym_matrix_type] = STATE(4564),
    [sym_distinct_type] = STATE(4564),
    [sym_literal] = STATE(4564),
    [sym_struct] = STATE(4562),
    [sym_map] = STATE(4320),
    [sym_bit_set] = STATE(4320),
    [sym_matrix] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym__string_literal] = STATE(4334),
    [sym__raw_string_literal] = STATE(4334),
    [sym_character] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_field_identifier] = STATE(7845),
    [sym_identifier] = ACTIONS(341),
    [anon_sym_LBRACE] = ACTIONS(943),
    [anon_sym_LPAREN] = ACTIONS(1396),
    [anon_sym_QMARK] = ACTIONS(1398),
    [anon_sym_PLUS] = ACTIONS(1400),
    [anon_sym_DASH] = ACTIONS(343),
    [anon_sym_TILDE] = ACTIONS(1400),
    [anon_sym_BANG] = ACTIONS(1400),
    [anon_sym_AMP] = ACTIONS(1400),
    [anon_sym_DOT] = ACTIONS(1402),
    [anon_sym_LBRACK] = ACTIONS(955),
    [anon_sym_cast] = ACTIONS(345),
    [anon_sym_transmute] = ACTIONS(345),
    [anon_sym_auto_cast] = ACTIONS(347),
    [anon_sym_DOT_DOT] = ACTIONS(6073),
    [anon_sym_map] = ACTIONS(351),
    [anon_sym_bit_set] = ACTIONS(353),
    [anon_sym_matrix] = ACTIONS(355),
    [anon_sym_distinct] = ACTIONS(357),
    [sym_number] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(361),
    [anon_sym_BQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [anon_sym_true] = ACTIONS(367),
    [anon_sym_false] = ACTIONS(367),
    [sym_nil] = ACTIONS(369),
    [sym_uninitialized] = ACTIONS(359),
    [sym_tag] = ACTIONS(371),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(359),
    [sym_block_comment] = ACTIONS(3),
  },
  [1776] = {
    [sym_expression] = STATE(2609),
    [sym__expression_no_tag] = STATE(2592),
    [sym_unary_expression] = STATE(2592),
    [sym_binary_expression] = STATE(2592),
    [sym_ternary_expression] = STATE(2592),
    [sym_call_expression] = STATE(2592),
    [sym_selector_call_expression] = STATE(2592),
    [sym_member_expression] = STATE(2592),
    [sym_index_expression] = STATE(2592),
    [sym_slice_expression] = STATE(2592),
    [sym_range_expression] = STATE(2592),
    [sym_cast_expression] = STATE(2592),
    [sym_in_expression] = STATE(2592),
    [sym_variadic_expression] = STATE(2592),
    [sym_parenthesized_expression] = STATE(2592),
    [sym_or_return_expression] = STATE(2592),
    [sym_or_continue_expression] = STATE(2592),
    [sym_or_break_expression] = STATE(2592),
    [sym_address] = STATE(2592),
    [sym_map_type] = STATE(2592),
    [sym_matrix_type] = STATE(2592),
    [sym_distinct_type] = STATE(2592),
    [sym_literal] = STATE(2592),
    [sym_struct] = STATE(2608),
    [sym_map] = STATE(2566),
    [sym_bit_set] = STATE(2566),
    [sym_matrix] = STATE(2566),
    [sym_string] = STATE(2566),
    [sym__string_literal] = STATE(2591),
    [sym__raw_string_literal] = STATE(2591),
    [sym_character] = STATE(2566),
    [sym_boolean] = STATE(2566),
    [sym_field_identifier] = STATE(7902),
    [sym_identifier] = ACTIONS(249),
    [anon_sym_LBRACE] = ACTIONS(251),
    [anon_sym_LPAREN] = ACTIONS(253),
    [anon_sym_QMARK] = ACTIONS(255),
    [anon_sym_PLUS] = ACTIONS(2777),
    [anon_sym_DASH] = ACTIONS(257),
    [anon_sym_TILDE] = ACTIONS(2777),
    [anon_sym_BANG] = ACTIONS(2777),
    [anon_sym_AMP] = ACTIONS(2777),
    [anon_sym_DOT] = ACTIONS(259),
    [anon_sym_LBRACK] = ACTIONS(261),
    [anon_sym_cast] = ACTIONS(263),
    [anon_sym_transmute] = ACTIONS(263),
    [anon_sym_auto_cast] = ACTIONS(265),
    [anon_sym_DOT_DOT] = ACTIONS(2779),
    [anon_sym_map] = ACTIONS(269),
    [anon_sym_bit_set] = ACTIONS(271),
    [anon_sym_matrix] = ACTIONS(273),
    [anon_sym_distinct] = ACTIONS(275),
    [sym_number] = ACTIONS(277),
    [anon_sym_DQUOTE] = ACTIONS(279),
    [anon_sym_BQUOTE] = ACTIONS(281),
    [anon_sym_SQUOTE] = ACTIONS(283),
    [anon_sym_true] = ACTIONS(285),
    [anon_sym_false] = ACTIONS(285),
    [sym_nil] = ACTIONS(287),
    [sym_uninitialized] = ACTIONS(277),
    [sym_tag] = ACTIONS(289),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(277),
    [sym_block_comment] = ACTIONS(3),
  },
  [1777] = {
    [sym_expression] = STATE(2593),
    [sym__expression_no_tag] = STATE(2592),
    [sym_unary_expression] = STATE(2592),
    [sym_binary_expression] = STATE(2592),
    [sym_ternary_expression] = STATE(2592),
    [sym_call_expression] = STATE(2592),
    [sym_selector_call_expression] = STATE(2592),
    [sym_member_expression] = STATE(2592),
    [sym_index_expression] = STATE(2592),
    [sym_slice_expression] = STATE(2592),
    [sym_range_expression] = STATE(2592),
    [sym_cast_expression] = STATE(2592),
    [sym_in_expression] = STATE(2592),
    [sym_variadic_expression] = STATE(2592),
    [sym_parenthesized_expression] = STATE(2592),
    [sym_or_return_expression] = STATE(2592),
    [sym_or_continue_expression] = STATE(2592),
    [sym_or_break_expression] = STATE(2592),
    [sym_address] = STATE(2592),
    [sym_map_type] = STATE(2592),
    [sym_matrix_type] = STATE(2592),
    [sym_distinct_type] = STATE(2592),
    [sym_literal] = STATE(2592),
    [sym_struct] = STATE(2608),
    [sym_map] = STATE(2566),
    [sym_bit_set] = STATE(2566),
    [sym_matrix] = STATE(2566),
    [sym_string] = STATE(2566),
    [sym__string_literal] = STATE(2591),
    [sym__raw_string_literal] = STATE(2591),
    [sym_character] = STATE(2566),
    [sym_boolean] = STATE(2566),
    [sym_field_identifier] = STATE(7902),
    [sym_identifier] = ACTIONS(249),
    [anon_sym_LBRACE] = ACTIONS(251),
    [anon_sym_LPAREN] = ACTIONS(253),
    [anon_sym_QMARK] = ACTIONS(255),
    [anon_sym_PLUS] = ACTIONS(2777),
    [anon_sym_DASH] = ACTIONS(257),
    [anon_sym_TILDE] = ACTIONS(2777),
    [anon_sym_BANG] = ACTIONS(2777),
    [anon_sym_AMP] = ACTIONS(2777),
    [anon_sym_DOT] = ACTIONS(259),
    [anon_sym_LBRACK] = ACTIONS(261),
    [anon_sym_cast] = ACTIONS(263),
    [anon_sym_transmute] = ACTIONS(263),
    [anon_sym_auto_cast] = ACTIONS(265),
    [anon_sym_DOT_DOT] = ACTIONS(2779),
    [anon_sym_map] = ACTIONS(269),
    [anon_sym_bit_set] = ACTIONS(271),
    [anon_sym_matrix] = ACTIONS(273),
    [anon_sym_distinct] = ACTIONS(275),
    [sym_number] = ACTIONS(277),
    [anon_sym_DQUOTE] = ACTIONS(279),
    [anon_sym_BQUOTE] = ACTIONS(281),
    [anon_sym_SQUOTE] = ACTIONS(283),
    [anon_sym_true] = ACTIONS(285),
    [anon_sym_false] = ACTIONS(285),
    [sym_nil] = ACTIONS(287),
    [sym_uninitialized] = ACTIONS(277),
    [sym_tag] = ACTIONS(289),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(277),
    [sym_block_comment] = ACTIONS(3),
  },
  [1778] = {
    [sym_expression] = STATE(2610),
    [sym__expression_no_tag] = STATE(2592),
    [sym_unary_expression] = STATE(2592),
    [sym_binary_expression] = STATE(2592),
    [sym_ternary_expression] = STATE(2592),
    [sym_call_expression] = STATE(2592),
    [sym_selector_call_expression] = STATE(2592),
    [sym_member_expression] = STATE(2592),
    [sym_index_expression] = STATE(2592),
    [sym_slice_expression] = STATE(2592),
    [sym_range_expression] = STATE(2592),
    [sym_cast_expression] = STATE(2592),
    [sym_in_expression] = STATE(2592),
    [sym_variadic_expression] = STATE(2592),
    [sym_parenthesized_expression] = STATE(2592),
    [sym_or_return_expression] = STATE(2592),
    [sym_or_continue_expression] = STATE(2592),
    [sym_or_break_expression] = STATE(2592),
    [sym_address] = STATE(2592),
    [sym_map_type] = STATE(2592),
    [sym_matrix_type] = STATE(2592),
    [sym_distinct_type] = STATE(2592),
    [sym_literal] = STATE(2592),
    [sym_struct] = STATE(2608),
    [sym_map] = STATE(2566),
    [sym_bit_set] = STATE(2566),
    [sym_matrix] = STATE(2566),
    [sym_string] = STATE(2566),
    [sym__string_literal] = STATE(2591),
    [sym__raw_string_literal] = STATE(2591),
    [sym_character] = STATE(2566),
    [sym_boolean] = STATE(2566),
    [sym_field_identifier] = STATE(7902),
    [sym_identifier] = ACTIONS(249),
    [anon_sym_LBRACE] = ACTIONS(251),
    [anon_sym_LPAREN] = ACTIONS(253),
    [anon_sym_QMARK] = ACTIONS(255),
    [anon_sym_PLUS] = ACTIONS(2777),
    [anon_sym_DASH] = ACTIONS(257),
    [anon_sym_TILDE] = ACTIONS(2777),
    [anon_sym_BANG] = ACTIONS(2777),
    [anon_sym_AMP] = ACTIONS(2777),
    [anon_sym_DOT] = ACTIONS(259),
    [anon_sym_LBRACK] = ACTIONS(261),
    [anon_sym_cast] = ACTIONS(263),
    [anon_sym_transmute] = ACTIONS(263),
    [anon_sym_auto_cast] = ACTIONS(265),
    [anon_sym_DOT_DOT] = ACTIONS(2779),
    [anon_sym_map] = ACTIONS(269),
    [anon_sym_bit_set] = ACTIONS(271),
    [anon_sym_matrix] = ACTIONS(273),
    [anon_sym_distinct] = ACTIONS(275),
    [sym_number] = ACTIONS(277),
    [anon_sym_DQUOTE] = ACTIONS(279),
    [anon_sym_BQUOTE] = ACTIONS(281),
    [anon_sym_SQUOTE] = ACTIONS(283),
    [anon_sym_true] = ACTIONS(285),
    [anon_sym_false] = ACTIONS(285),
    [sym_nil] = ACTIONS(287),
    [sym_uninitialized] = ACTIONS(277),
    [sym_tag] = ACTIONS(289),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(277),
    [sym_block_comment] = ACTIONS(3),
  },
  [1779] = {
    [sym_expression] = STATE(2600),
    [sym__expression_no_tag] = STATE(2592),
    [sym_unary_expression] = STATE(2592),
    [sym_binary_expression] = STATE(2592),
    [sym_ternary_expression] = STATE(2592),
    [sym_call_expression] = STATE(2592),
    [sym_selector_call_expression] = STATE(2592),
    [sym_member_expression] = STATE(2592),
    [sym_index_expression] = STATE(2592),
    [sym_slice_expression] = STATE(2592),
    [sym_range_expression] = STATE(2592),
    [sym_cast_expression] = STATE(2592),
    [sym_in_expression] = STATE(2592),
    [sym_variadic_expression] = STATE(2592),
    [sym_parenthesized_expression] = STATE(2592),
    [sym_or_return_expression] = STATE(2592),
    [sym_or_continue_expression] = STATE(2592),
    [sym_or_break_expression] = STATE(2592),
    [sym_address] = STATE(2592),
    [sym_map_type] = STATE(2592),
    [sym_matrix_type] = STATE(2592),
    [sym_distinct_type] = STATE(2592),
    [sym_literal] = STATE(2592),
    [sym_struct] = STATE(2608),
    [sym_map] = STATE(2566),
    [sym_bit_set] = STATE(2566),
    [sym_matrix] = STATE(2566),
    [sym_string] = STATE(2566),
    [sym__string_literal] = STATE(2591),
    [sym__raw_string_literal] = STATE(2591),
    [sym_character] = STATE(2566),
    [sym_boolean] = STATE(2566),
    [sym_field_identifier] = STATE(7902),
    [sym_identifier] = ACTIONS(249),
    [anon_sym_LBRACE] = ACTIONS(251),
    [anon_sym_LPAREN] = ACTIONS(253),
    [anon_sym_QMARK] = ACTIONS(255),
    [anon_sym_PLUS] = ACTIONS(2777),
    [anon_sym_DASH] = ACTIONS(257),
    [anon_sym_TILDE] = ACTIONS(2777),
    [anon_sym_BANG] = ACTIONS(2777),
    [anon_sym_AMP] = ACTIONS(2777),
    [anon_sym_DOT] = ACTIONS(259),
    [anon_sym_LBRACK] = ACTIONS(261),
    [anon_sym_cast] = ACTIONS(263),
    [anon_sym_transmute] = ACTIONS(263),
    [anon_sym_auto_cast] = ACTIONS(265),
    [anon_sym_DOT_DOT] = ACTIONS(2779),
    [anon_sym_map] = ACTIONS(269),
    [anon_sym_bit_set] = ACTIONS(271),
    [anon_sym_matrix] = ACTIONS(273),
    [anon_sym_distinct] = ACTIONS(275),
    [sym_number] = ACTIONS(277),
    [anon_sym_DQUOTE] = ACTIONS(279),
    [anon_sym_BQUOTE] = ACTIONS(281),
    [anon_sym_SQUOTE] = ACTIONS(283),
    [anon_sym_true] = ACTIONS(285),
    [anon_sym_false] = ACTIONS(285),
    [sym_nil] = ACTIONS(287),
    [sym_uninitialized] = ACTIONS(277),
    [sym_tag] = ACTIONS(289),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(277),
    [sym_block_comment] = ACTIONS(3),
  },
  [1780] = {
    [sym_expression] = STATE(2573),
    [sym__expression_no_tag] = STATE(2592),
    [sym_unary_expression] = STATE(2592),
    [sym_binary_expression] = STATE(2592),
    [sym_ternary_expression] = STATE(2592),
    [sym_call_expression] = STATE(2592),
    [sym_selector_call_expression] = STATE(2592),
    [sym_member_expression] = STATE(2592),
    [sym_index_expression] = STATE(2592),
    [sym_slice_expression] = STATE(2592),
    [sym_range_expression] = STATE(2592),
    [sym_cast_expression] = STATE(2592),
    [sym_in_expression] = STATE(2592),
    [sym_variadic_expression] = STATE(2592),
    [sym_parenthesized_expression] = STATE(2592),
    [sym_or_return_expression] = STATE(2592),
    [sym_or_continue_expression] = STATE(2592),
    [sym_or_break_expression] = STATE(2592),
    [sym_address] = STATE(2592),
    [sym_map_type] = STATE(2592),
    [sym_matrix_type] = STATE(2592),
    [sym_distinct_type] = STATE(2592),
    [sym_literal] = STATE(2592),
    [sym_struct] = STATE(2608),
    [sym_map] = STATE(2566),
    [sym_bit_set] = STATE(2566),
    [sym_matrix] = STATE(2566),
    [sym_string] = STATE(2566),
    [sym__string_literal] = STATE(2591),
    [sym__raw_string_literal] = STATE(2591),
    [sym_character] = STATE(2566),
    [sym_boolean] = STATE(2566),
    [sym_field_identifier] = STATE(7902),
    [sym_identifier] = ACTIONS(249),
    [anon_sym_LBRACE] = ACTIONS(251),
    [anon_sym_LPAREN] = ACTIONS(253),
    [anon_sym_QMARK] = ACTIONS(255),
    [anon_sym_PLUS] = ACTIONS(2777),
    [anon_sym_DASH] = ACTIONS(257),
    [anon_sym_TILDE] = ACTIONS(2777),
    [anon_sym_BANG] = ACTIONS(2777),
    [anon_sym_AMP] = ACTIONS(2777),
    [anon_sym_DOT] = ACTIONS(259),
    [anon_sym_LBRACK] = ACTIONS(261),
    [anon_sym_cast] = ACTIONS(263),
    [anon_sym_transmute] = ACTIONS(263),
    [anon_sym_auto_cast] = ACTIONS(265),
    [anon_sym_DOT_DOT] = ACTIONS(2779),
    [anon_sym_map] = ACTIONS(269),
    [anon_sym_bit_set] = ACTIONS(271),
    [anon_sym_matrix] = ACTIONS(273),
    [anon_sym_distinct] = ACTIONS(275),
    [sym_number] = ACTIONS(277),
    [anon_sym_DQUOTE] = ACTIONS(279),
    [anon_sym_BQUOTE] = ACTIONS(281),
    [anon_sym_SQUOTE] = ACTIONS(283),
    [anon_sym_true] = ACTIONS(285),
    [anon_sym_false] = ACTIONS(285),
    [sym_nil] = ACTIONS(287),
    [sym_uninitialized] = ACTIONS(277),
    [sym_tag] = ACTIONS(289),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(277),
    [sym_block_comment] = ACTIONS(3),
  },
  [1781] = {
    [sym_expression] = STATE(2574),
    [sym__expression_no_tag] = STATE(2592),
    [sym_unary_expression] = STATE(2592),
    [sym_binary_expression] = STATE(2592),
    [sym_ternary_expression] = STATE(2592),
    [sym_call_expression] = STATE(2592),
    [sym_selector_call_expression] = STATE(2592),
    [sym_member_expression] = STATE(2592),
    [sym_index_expression] = STATE(2592),
    [sym_slice_expression] = STATE(2592),
    [sym_range_expression] = STATE(2592),
    [sym_cast_expression] = STATE(2592),
    [sym_in_expression] = STATE(2592),
    [sym_variadic_expression] = STATE(2592),
    [sym_parenthesized_expression] = STATE(2592),
    [sym_or_return_expression] = STATE(2592),
    [sym_or_continue_expression] = STATE(2592),
    [sym_or_break_expression] = STATE(2592),
    [sym_address] = STATE(2592),
    [sym_map_type] = STATE(2592),
    [sym_matrix_type] = STATE(2592),
    [sym_distinct_type] = STATE(2592),
    [sym_literal] = STATE(2592),
    [sym_struct] = STATE(2608),
    [sym_map] = STATE(2566),
    [sym_bit_set] = STATE(2566),
    [sym_matrix] = STATE(2566),
    [sym_string] = STATE(2566),
    [sym__string_literal] = STATE(2591),
    [sym__raw_string_literal] = STATE(2591),
    [sym_character] = STATE(2566),
    [sym_boolean] = STATE(2566),
    [sym_field_identifier] = STATE(7902),
    [sym_identifier] = ACTIONS(249),
    [anon_sym_LBRACE] = ACTIONS(251),
    [anon_sym_LPAREN] = ACTIONS(253),
    [anon_sym_QMARK] = ACTIONS(255),
    [anon_sym_PLUS] = ACTIONS(2777),
    [anon_sym_DASH] = ACTIONS(257),
    [anon_sym_TILDE] = ACTIONS(2777),
    [anon_sym_BANG] = ACTIONS(2777),
    [anon_sym_AMP] = ACTIONS(2777),
    [anon_sym_DOT] = ACTIONS(259),
    [anon_sym_LBRACK] = ACTIONS(261),
    [anon_sym_cast] = ACTIONS(263),
    [anon_sym_transmute] = ACTIONS(263),
    [anon_sym_auto_cast] = ACTIONS(265),
    [anon_sym_DOT_DOT] = ACTIONS(2779),
    [anon_sym_map] = ACTIONS(269),
    [anon_sym_bit_set] = ACTIONS(271),
    [anon_sym_matrix] = ACTIONS(273),
    [anon_sym_distinct] = ACTIONS(275),
    [sym_number] = ACTIONS(277),
    [anon_sym_DQUOTE] = ACTIONS(279),
    [anon_sym_BQUOTE] = ACTIONS(281),
    [anon_sym_SQUOTE] = ACTIONS(283),
    [anon_sym_true] = ACTIONS(285),
    [anon_sym_false] = ACTIONS(285),
    [sym_nil] = ACTIONS(287),
    [sym_uninitialized] = ACTIONS(277),
    [sym_tag] = ACTIONS(289),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(277),
    [sym_block_comment] = ACTIONS(3),
  },
  [1782] = {
    [sym_expression] = STATE(2575),
    [sym__expression_no_tag] = STATE(2592),
    [sym_unary_expression] = STATE(2592),
    [sym_binary_expression] = STATE(2592),
    [sym_ternary_expression] = STATE(2592),
    [sym_call_expression] = STATE(2592),
    [sym_selector_call_expression] = STATE(2592),
    [sym_member_expression] = STATE(2592),
    [sym_index_expression] = STATE(2592),
    [sym_slice_expression] = STATE(2592),
    [sym_range_expression] = STATE(2592),
    [sym_cast_expression] = STATE(2592),
    [sym_in_expression] = STATE(2592),
    [sym_variadic_expression] = STATE(2592),
    [sym_parenthesized_expression] = STATE(2592),
    [sym_or_return_expression] = STATE(2592),
    [sym_or_continue_expression] = STATE(2592),
    [sym_or_break_expression] = STATE(2592),
    [sym_address] = STATE(2592),
    [sym_map_type] = STATE(2592),
    [sym_matrix_type] = STATE(2592),
    [sym_distinct_type] = STATE(2592),
    [sym_literal] = STATE(2592),
    [sym_struct] = STATE(2608),
    [sym_map] = STATE(2566),
    [sym_bit_set] = STATE(2566),
    [sym_matrix] = STATE(2566),
    [sym_string] = STATE(2566),
    [sym__string_literal] = STATE(2591),
    [sym__raw_string_literal] = STATE(2591),
    [sym_character] = STATE(2566),
    [sym_boolean] = STATE(2566),
    [sym_field_identifier] = STATE(7902),
    [sym_identifier] = ACTIONS(249),
    [anon_sym_LBRACE] = ACTIONS(251),
    [anon_sym_LPAREN] = ACTIONS(253),
    [anon_sym_QMARK] = ACTIONS(255),
    [anon_sym_PLUS] = ACTIONS(2777),
    [anon_sym_DASH] = ACTIONS(257),
    [anon_sym_TILDE] = ACTIONS(2777),
    [anon_sym_BANG] = ACTIONS(2777),
    [anon_sym_AMP] = ACTIONS(2777),
    [anon_sym_DOT] = ACTIONS(259),
    [anon_sym_LBRACK] = ACTIONS(261),
    [anon_sym_cast] = ACTIONS(263),
    [anon_sym_transmute] = ACTIONS(263),
    [anon_sym_auto_cast] = ACTIONS(265),
    [anon_sym_DOT_DOT] = ACTIONS(2779),
    [anon_sym_map] = ACTIONS(269),
    [anon_sym_bit_set] = ACTIONS(271),
    [anon_sym_matrix] = ACTIONS(273),
    [anon_sym_distinct] = ACTIONS(275),
    [sym_number] = ACTIONS(277),
    [anon_sym_DQUOTE] = ACTIONS(279),
    [anon_sym_BQUOTE] = ACTIONS(281),
    [anon_sym_SQUOTE] = ACTIONS(283),
    [anon_sym_true] = ACTIONS(285),
    [anon_sym_false] = ACTIONS(285),
    [sym_nil] = ACTIONS(287),
    [sym_uninitialized] = ACTIONS(277),
    [sym_tag] = ACTIONS(289),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(277),
    [sym_block_comment] = ACTIONS(3),
  },
  [1783] = {
    [sym_expression] = STATE(2576),
    [sym__expression_no_tag] = STATE(2592),
    [sym_unary_expression] = STATE(2592),
    [sym_binary_expression] = STATE(2592),
    [sym_ternary_expression] = STATE(2592),
    [sym_call_expression] = STATE(2592),
    [sym_selector_call_expression] = STATE(2592),
    [sym_member_expression] = STATE(2592),
    [sym_index_expression] = STATE(2592),
    [sym_slice_expression] = STATE(2592),
    [sym_range_expression] = STATE(2592),
    [sym_cast_expression] = STATE(2592),
    [sym_in_expression] = STATE(2592),
    [sym_variadic_expression] = STATE(2592),
    [sym_parenthesized_expression] = STATE(2592),
    [sym_or_return_expression] = STATE(2592),
    [sym_or_continue_expression] = STATE(2592),
    [sym_or_break_expression] = STATE(2592),
    [sym_address] = STATE(2592),
    [sym_map_type] = STATE(2592),
    [sym_matrix_type] = STATE(2592),
    [sym_distinct_type] = STATE(2592),
    [sym_literal] = STATE(2592),
    [sym_struct] = STATE(2608),
    [sym_map] = STATE(2566),
    [sym_bit_set] = STATE(2566),
    [sym_matrix] = STATE(2566),
    [sym_string] = STATE(2566),
    [sym__string_literal] = STATE(2591),
    [sym__raw_string_literal] = STATE(2591),
    [sym_character] = STATE(2566),
    [sym_boolean] = STATE(2566),
    [sym_field_identifier] = STATE(7902),
    [sym_identifier] = ACTIONS(249),
    [anon_sym_LBRACE] = ACTIONS(251),
    [anon_sym_LPAREN] = ACTIONS(253),
    [anon_sym_QMARK] = ACTIONS(255),
    [anon_sym_PLUS] = ACTIONS(2777),
    [anon_sym_DASH] = ACTIONS(257),
    [anon_sym_TILDE] = ACTIONS(2777),
    [anon_sym_BANG] = ACTIONS(2777),
    [anon_sym_AMP] = ACTIONS(2777),
    [anon_sym_DOT] = ACTIONS(259),
    [anon_sym_LBRACK] = ACTIONS(261),
    [anon_sym_cast] = ACTIONS(263),
    [anon_sym_transmute] = ACTIONS(263),
    [anon_sym_auto_cast] = ACTIONS(265),
    [anon_sym_DOT_DOT] = ACTIONS(2779),
    [anon_sym_map] = ACTIONS(269),
    [anon_sym_bit_set] = ACTIONS(271),
    [anon_sym_matrix] = ACTIONS(273),
    [anon_sym_distinct] = ACTIONS(275),
    [sym_number] = ACTIONS(277),
    [anon_sym_DQUOTE] = ACTIONS(279),
    [anon_sym_BQUOTE] = ACTIONS(281),
    [anon_sym_SQUOTE] = ACTIONS(283),
    [anon_sym_true] = ACTIONS(285),
    [anon_sym_false] = ACTIONS(285),
    [sym_nil] = ACTIONS(287),
    [sym_uninitialized] = ACTIONS(277),
    [sym_tag] = ACTIONS(289),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(277),
    [sym_block_comment] = ACTIONS(3),
  },
  [1784] = {
    [sym_expression] = STATE(2577),
    [sym__expression_no_tag] = STATE(2592),
    [sym_unary_expression] = STATE(2592),
    [sym_binary_expression] = STATE(2592),
    [sym_ternary_expression] = STATE(2592),
    [sym_call_expression] = STATE(2592),
    [sym_selector_call_expression] = STATE(2592),
    [sym_member_expression] = STATE(2592),
    [sym_index_expression] = STATE(2592),
    [sym_slice_expression] = STATE(2592),
    [sym_range_expression] = STATE(2592),
    [sym_cast_expression] = STATE(2592),
    [sym_in_expression] = STATE(2592),
    [sym_variadic_expression] = STATE(2592),
    [sym_parenthesized_expression] = STATE(2592),
    [sym_or_return_expression] = STATE(2592),
    [sym_or_continue_expression] = STATE(2592),
    [sym_or_break_expression] = STATE(2592),
    [sym_address] = STATE(2592),
    [sym_map_type] = STATE(2592),
    [sym_matrix_type] = STATE(2592),
    [sym_distinct_type] = STATE(2592),
    [sym_literal] = STATE(2592),
    [sym_struct] = STATE(2608),
    [sym_map] = STATE(2566),
    [sym_bit_set] = STATE(2566),
    [sym_matrix] = STATE(2566),
    [sym_string] = STATE(2566),
    [sym__string_literal] = STATE(2591),
    [sym__raw_string_literal] = STATE(2591),
    [sym_character] = STATE(2566),
    [sym_boolean] = STATE(2566),
    [sym_field_identifier] = STATE(7902),
    [sym_identifier] = ACTIONS(249),
    [anon_sym_LBRACE] = ACTIONS(251),
    [anon_sym_LPAREN] = ACTIONS(253),
    [anon_sym_QMARK] = ACTIONS(255),
    [anon_sym_PLUS] = ACTIONS(2777),
    [anon_sym_DASH] = ACTIONS(257),
    [anon_sym_TILDE] = ACTIONS(2777),
    [anon_sym_BANG] = ACTIONS(2777),
    [anon_sym_AMP] = ACTIONS(2777),
    [anon_sym_DOT] = ACTIONS(259),
    [anon_sym_LBRACK] = ACTIONS(261),
    [anon_sym_cast] = ACTIONS(263),
    [anon_sym_transmute] = ACTIONS(263),
    [anon_sym_auto_cast] = ACTIONS(265),
    [anon_sym_DOT_DOT] = ACTIONS(2779),
    [anon_sym_map] = ACTIONS(269),
    [anon_sym_bit_set] = ACTIONS(271),
    [anon_sym_matrix] = ACTIONS(273),
    [anon_sym_distinct] = ACTIONS(275),
    [sym_number] = ACTIONS(277),
    [anon_sym_DQUOTE] = ACTIONS(279),
    [anon_sym_BQUOTE] = ACTIONS(281),
    [anon_sym_SQUOTE] = ACTIONS(283),
    [anon_sym_true] = ACTIONS(285),
    [anon_sym_false] = ACTIONS(285),
    [sym_nil] = ACTIONS(287),
    [sym_uninitialized] = ACTIONS(277),
    [sym_tag] = ACTIONS(289),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(277),
    [sym_block_comment] = ACTIONS(3),
  },
  [1785] = {
    [sym_expression] = STATE(2578),
    [sym__expression_no_tag] = STATE(2592),
    [sym_unary_expression] = STATE(2592),
    [sym_binary_expression] = STATE(2592),
    [sym_ternary_expression] = STATE(2592),
    [sym_call_expression] = STATE(2592),
    [sym_selector_call_expression] = STATE(2592),
    [sym_member_expression] = STATE(2592),
    [sym_index_expression] = STATE(2592),
    [sym_slice_expression] = STATE(2592),
    [sym_range_expression] = STATE(2592),
    [sym_cast_expression] = STATE(2592),
    [sym_in_expression] = STATE(2592),
    [sym_variadic_expression] = STATE(2592),
    [sym_parenthesized_expression] = STATE(2592),
    [sym_or_return_expression] = STATE(2592),
    [sym_or_continue_expression] = STATE(2592),
    [sym_or_break_expression] = STATE(2592),
    [sym_address] = STATE(2592),
    [sym_map_type] = STATE(2592),
    [sym_matrix_type] = STATE(2592),
    [sym_distinct_type] = STATE(2592),
    [sym_literal] = STATE(2592),
    [sym_struct] = STATE(2608),
    [sym_map] = STATE(2566),
    [sym_bit_set] = STATE(2566),
    [sym_matrix] = STATE(2566),
    [sym_string] = STATE(2566),
    [sym__string_literal] = STATE(2591),
    [sym__raw_string_literal] = STATE(2591),
    [sym_character] = STATE(2566),
    [sym_boolean] = STATE(2566),
    [sym_field_identifier] = STATE(7902),
    [sym_identifier] = ACTIONS(249),
    [anon_sym_LBRACE] = ACTIONS(251),
    [anon_sym_LPAREN] = ACTIONS(253),
    [anon_sym_QMARK] = ACTIONS(255),
    [anon_sym_PLUS] = ACTIONS(2777),
    [anon_sym_DASH] = ACTIONS(257),
    [anon_sym_TILDE] = ACTIONS(2777),
    [anon_sym_BANG] = ACTIONS(2777),
    [anon_sym_AMP] = ACTIONS(2777),
    [anon_sym_DOT] = ACTIONS(259),
    [anon_sym_LBRACK] = ACTIONS(261),
    [anon_sym_cast] = ACTIONS(263),
    [anon_sym_transmute] = ACTIONS(263),
    [anon_sym_auto_cast] = ACTIONS(265),
    [anon_sym_DOT_DOT] = ACTIONS(2779),
    [anon_sym_map] = ACTIONS(269),
    [anon_sym_bit_set] = ACTIONS(271),
    [anon_sym_matrix] = ACTIONS(273),
    [anon_sym_distinct] = ACTIONS(275),
    [sym_number] = ACTIONS(277),
    [anon_sym_DQUOTE] = ACTIONS(279),
    [anon_sym_BQUOTE] = ACTIONS(281),
    [anon_sym_SQUOTE] = ACTIONS(283),
    [anon_sym_true] = ACTIONS(285),
    [anon_sym_false] = ACTIONS(285),
    [sym_nil] = ACTIONS(287),
    [sym_uninitialized] = ACTIONS(277),
    [sym_tag] = ACTIONS(289),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(277),
    [sym_block_comment] = ACTIONS(3),
  },
  [1786] = {
    [sym_expression] = STATE(2579),
    [sym__expression_no_tag] = STATE(2592),
    [sym_unary_expression] = STATE(2592),
    [sym_binary_expression] = STATE(2592),
    [sym_ternary_expression] = STATE(2592),
    [sym_call_expression] = STATE(2592),
    [sym_selector_call_expression] = STATE(2592),
    [sym_member_expression] = STATE(2592),
    [sym_index_expression] = STATE(2592),
    [sym_slice_expression] = STATE(2592),
    [sym_range_expression] = STATE(2592),
    [sym_cast_expression] = STATE(2592),
    [sym_in_expression] = STATE(2592),
    [sym_variadic_expression] = STATE(2592),
    [sym_parenthesized_expression] = STATE(2592),
    [sym_or_return_expression] = STATE(2592),
    [sym_or_continue_expression] = STATE(2592),
    [sym_or_break_expression] = STATE(2592),
    [sym_address] = STATE(2592),
    [sym_map_type] = STATE(2592),
    [sym_matrix_type] = STATE(2592),
    [sym_distinct_type] = STATE(2592),
    [sym_literal] = STATE(2592),
    [sym_struct] = STATE(2608),
    [sym_map] = STATE(2566),
    [sym_bit_set] = STATE(2566),
    [sym_matrix] = STATE(2566),
    [sym_string] = STATE(2566),
    [sym__string_literal] = STATE(2591),
    [sym__raw_string_literal] = STATE(2591),
    [sym_character] = STATE(2566),
    [sym_boolean] = STATE(2566),
    [sym_field_identifier] = STATE(7902),
    [sym_identifier] = ACTIONS(249),
    [anon_sym_LBRACE] = ACTIONS(251),
    [anon_sym_LPAREN] = ACTIONS(253),
    [anon_sym_QMARK] = ACTIONS(255),
    [anon_sym_PLUS] = ACTIONS(2777),
    [anon_sym_DASH] = ACTIONS(257),
    [anon_sym_TILDE] = ACTIONS(2777),
    [anon_sym_BANG] = ACTIONS(2777),
    [anon_sym_AMP] = ACTIONS(2777),
    [anon_sym_DOT] = ACTIONS(259),
    [anon_sym_LBRACK] = ACTIONS(261),
    [anon_sym_cast] = ACTIONS(263),
    [anon_sym_transmute] = ACTIONS(263),
    [anon_sym_auto_cast] = ACTIONS(265),
    [anon_sym_DOT_DOT] = ACTIONS(2779),
    [anon_sym_map] = ACTIONS(269),
    [anon_sym_bit_set] = ACTIONS(271),
    [anon_sym_matrix] = ACTIONS(273),
    [anon_sym_distinct] = ACTIONS(275),
    [sym_number] = ACTIONS(277),
    [anon_sym_DQUOTE] = ACTIONS(279),
    [anon_sym_BQUOTE] = ACTIONS(281),
    [anon_sym_SQUOTE] = ACTIONS(283),
    [anon_sym_true] = ACTIONS(285),
    [anon_sym_false] = ACTIONS(285),
    [sym_nil] = ACTIONS(287),
    [sym_uninitialized] = ACTIONS(277),
    [sym_tag] = ACTIONS(289),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(277),
    [sym_block_comment] = ACTIONS(3),
  },
  [1787] = {
    [sym_expression] = STATE(2580),
    [sym__expression_no_tag] = STATE(2592),
    [sym_unary_expression] = STATE(2592),
    [sym_binary_expression] = STATE(2592),
    [sym_ternary_expression] = STATE(2592),
    [sym_call_expression] = STATE(2592),
    [sym_selector_call_expression] = STATE(2592),
    [sym_member_expression] = STATE(2592),
    [sym_index_expression] = STATE(2592),
    [sym_slice_expression] = STATE(2592),
    [sym_range_expression] = STATE(2592),
    [sym_cast_expression] = STATE(2592),
    [sym_in_expression] = STATE(2592),
    [sym_variadic_expression] = STATE(2592),
    [sym_parenthesized_expression] = STATE(2592),
    [sym_or_return_expression] = STATE(2592),
    [sym_or_continue_expression] = STATE(2592),
    [sym_or_break_expression] = STATE(2592),
    [sym_address] = STATE(2592),
    [sym_map_type] = STATE(2592),
    [sym_matrix_type] = STATE(2592),
    [sym_distinct_type] = STATE(2592),
    [sym_literal] = STATE(2592),
    [sym_struct] = STATE(2608),
    [sym_map] = STATE(2566),
    [sym_bit_set] = STATE(2566),
    [sym_matrix] = STATE(2566),
    [sym_string] = STATE(2566),
    [sym__string_literal] = STATE(2591),
    [sym__raw_string_literal] = STATE(2591),
    [sym_character] = STATE(2566),
    [sym_boolean] = STATE(2566),
    [sym_field_identifier] = STATE(7902),
    [sym_identifier] = ACTIONS(249),
    [anon_sym_LBRACE] = ACTIONS(251),
    [anon_sym_LPAREN] = ACTIONS(253),
    [anon_sym_QMARK] = ACTIONS(255),
    [anon_sym_PLUS] = ACTIONS(2777),
    [anon_sym_DASH] = ACTIONS(257),
    [anon_sym_TILDE] = ACTIONS(2777),
    [anon_sym_BANG] = ACTIONS(2777),
    [anon_sym_AMP] = ACTIONS(2777),
    [anon_sym_DOT] = ACTIONS(259),
    [anon_sym_LBRACK] = ACTIONS(261),
    [anon_sym_cast] = ACTIONS(263),
    [anon_sym_transmute] = ACTIONS(263),
    [anon_sym_auto_cast] = ACTIONS(265),
    [anon_sym_DOT_DOT] = ACTIONS(2779),
    [anon_sym_map] = ACTIONS(269),
    [anon_sym_bit_set] = ACTIONS(271),
    [anon_sym_matrix] = ACTIONS(273),
    [anon_sym_distinct] = ACTIONS(275),
    [sym_number] = ACTIONS(277),
    [anon_sym_DQUOTE] = ACTIONS(279),
    [anon_sym_BQUOTE] = ACTIONS(281),
    [anon_sym_SQUOTE] = ACTIONS(283),
    [anon_sym_true] = ACTIONS(285),
    [anon_sym_false] = ACTIONS(285),
    [sym_nil] = ACTIONS(287),
    [sym_uninitialized] = ACTIONS(277),
    [sym_tag] = ACTIONS(289),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(277),
    [sym_block_comment] = ACTIONS(3),
  },
  [1788] = {
    [sym_expression] = STATE(2581),
    [sym__expression_no_tag] = STATE(2592),
    [sym_unary_expression] = STATE(2592),
    [sym_binary_expression] = STATE(2592),
    [sym_ternary_expression] = STATE(2592),
    [sym_call_expression] = STATE(2592),
    [sym_selector_call_expression] = STATE(2592),
    [sym_member_expression] = STATE(2592),
    [sym_index_expression] = STATE(2592),
    [sym_slice_expression] = STATE(2592),
    [sym_range_expression] = STATE(2592),
    [sym_cast_expression] = STATE(2592),
    [sym_in_expression] = STATE(2592),
    [sym_variadic_expression] = STATE(2592),
    [sym_parenthesized_expression] = STATE(2592),
    [sym_or_return_expression] = STATE(2592),
    [sym_or_continue_expression] = STATE(2592),
    [sym_or_break_expression] = STATE(2592),
    [sym_address] = STATE(2592),
    [sym_map_type] = STATE(2592),
    [sym_matrix_type] = STATE(2592),
    [sym_distinct_type] = STATE(2592),
    [sym_literal] = STATE(2592),
    [sym_struct] = STATE(2608),
    [sym_map] = STATE(2566),
    [sym_bit_set] = STATE(2566),
    [sym_matrix] = STATE(2566),
    [sym_string] = STATE(2566),
    [sym__string_literal] = STATE(2591),
    [sym__raw_string_literal] = STATE(2591),
    [sym_character] = STATE(2566),
    [sym_boolean] = STATE(2566),
    [sym_field_identifier] = STATE(7902),
    [sym_identifier] = ACTIONS(249),
    [anon_sym_LBRACE] = ACTIONS(251),
    [anon_sym_LPAREN] = ACTIONS(253),
    [anon_sym_QMARK] = ACTIONS(255),
    [anon_sym_PLUS] = ACTIONS(2777),
    [anon_sym_DASH] = ACTIONS(257),
    [anon_sym_TILDE] = ACTIONS(2777),
    [anon_sym_BANG] = ACTIONS(2777),
    [anon_sym_AMP] = ACTIONS(2777),
    [anon_sym_DOT] = ACTIONS(259),
    [anon_sym_LBRACK] = ACTIONS(261),
    [anon_sym_cast] = ACTIONS(263),
    [anon_sym_transmute] = ACTIONS(263),
    [anon_sym_auto_cast] = ACTIONS(265),
    [anon_sym_DOT_DOT] = ACTIONS(2779),
    [anon_sym_map] = ACTIONS(269),
    [anon_sym_bit_set] = ACTIONS(271),
    [anon_sym_matrix] = ACTIONS(273),
    [anon_sym_distinct] = ACTIONS(275),
    [sym_number] = ACTIONS(277),
    [anon_sym_DQUOTE] = ACTIONS(279),
    [anon_sym_BQUOTE] = ACTIONS(281),
    [anon_sym_SQUOTE] = ACTIONS(283),
    [anon_sym_true] = ACTIONS(285),
    [anon_sym_false] = ACTIONS(285),
    [sym_nil] = ACTIONS(287),
    [sym_uninitialized] = ACTIONS(277),
    [sym_tag] = ACTIONS(289),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(277),
    [sym_block_comment] = ACTIONS(3),
  },
  [1789] = {
    [sym_expression] = STATE(2582),
    [sym__expression_no_tag] = STATE(2592),
    [sym_unary_expression] = STATE(2592),
    [sym_binary_expression] = STATE(2592),
    [sym_ternary_expression] = STATE(2592),
    [sym_call_expression] = STATE(2592),
    [sym_selector_call_expression] = STATE(2592),
    [sym_member_expression] = STATE(2592),
    [sym_index_expression] = STATE(2592),
    [sym_slice_expression] = STATE(2592),
    [sym_range_expression] = STATE(2592),
    [sym_cast_expression] = STATE(2592),
    [sym_in_expression] = STATE(2592),
    [sym_variadic_expression] = STATE(2592),
    [sym_parenthesized_expression] = STATE(2592),
    [sym_or_return_expression] = STATE(2592),
    [sym_or_continue_expression] = STATE(2592),
    [sym_or_break_expression] = STATE(2592),
    [sym_address] = STATE(2592),
    [sym_map_type] = STATE(2592),
    [sym_matrix_type] = STATE(2592),
    [sym_distinct_type] = STATE(2592),
    [sym_literal] = STATE(2592),
    [sym_struct] = STATE(2608),
    [sym_map] = STATE(2566),
    [sym_bit_set] = STATE(2566),
    [sym_matrix] = STATE(2566),
    [sym_string] = STATE(2566),
    [sym__string_literal] = STATE(2591),
    [sym__raw_string_literal] = STATE(2591),
    [sym_character] = STATE(2566),
    [sym_boolean] = STATE(2566),
    [sym_field_identifier] = STATE(7902),
    [sym_identifier] = ACTIONS(249),
    [anon_sym_LBRACE] = ACTIONS(251),
    [anon_sym_LPAREN] = ACTIONS(253),
    [anon_sym_QMARK] = ACTIONS(255),
    [anon_sym_PLUS] = ACTIONS(2777),
    [anon_sym_DASH] = ACTIONS(257),
    [anon_sym_TILDE] = ACTIONS(2777),
    [anon_sym_BANG] = ACTIONS(2777),
    [anon_sym_AMP] = ACTIONS(2777),
    [anon_sym_DOT] = ACTIONS(259),
    [anon_sym_LBRACK] = ACTIONS(261),
    [anon_sym_cast] = ACTIONS(263),
    [anon_sym_transmute] = ACTIONS(263),
    [anon_sym_auto_cast] = ACTIONS(265),
    [anon_sym_DOT_DOT] = ACTIONS(2779),
    [anon_sym_map] = ACTIONS(269),
    [anon_sym_bit_set] = ACTIONS(271),
    [anon_sym_matrix] = ACTIONS(273),
    [anon_sym_distinct] = ACTIONS(275),
    [sym_number] = ACTIONS(277),
    [anon_sym_DQUOTE] = ACTIONS(279),
    [anon_sym_BQUOTE] = ACTIONS(281),
    [anon_sym_SQUOTE] = ACTIONS(283),
    [anon_sym_true] = ACTIONS(285),
    [anon_sym_false] = ACTIONS(285),
    [sym_nil] = ACTIONS(287),
    [sym_uninitialized] = ACTIONS(277),
    [sym_tag] = ACTIONS(289),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(277),
    [sym_block_comment] = ACTIONS(3),
  },
  [1790] = {
    [sym_expression] = STATE(2583),
    [sym__expression_no_tag] = STATE(2592),
    [sym_unary_expression] = STATE(2592),
    [sym_binary_expression] = STATE(2592),
    [sym_ternary_expression] = STATE(2592),
    [sym_call_expression] = STATE(2592),
    [sym_selector_call_expression] = STATE(2592),
    [sym_member_expression] = STATE(2592),
    [sym_index_expression] = STATE(2592),
    [sym_slice_expression] = STATE(2592),
    [sym_range_expression] = STATE(2592),
    [sym_cast_expression] = STATE(2592),
    [sym_in_expression] = STATE(2592),
    [sym_variadic_expression] = STATE(2592),
    [sym_parenthesized_expression] = STATE(2592),
    [sym_or_return_expression] = STATE(2592),
    [sym_or_continue_expression] = STATE(2592),
    [sym_or_break_expression] = STATE(2592),
    [sym_address] = STATE(2592),
    [sym_map_type] = STATE(2592),
    [sym_matrix_type] = STATE(2592),
    [sym_distinct_type] = STATE(2592),
    [sym_literal] = STATE(2592),
    [sym_struct] = STATE(2608),
    [sym_map] = STATE(2566),
    [sym_bit_set] = STATE(2566),
    [sym_matrix] = STATE(2566),
    [sym_string] = STATE(2566),
    [sym__string_literal] = STATE(2591),
    [sym__raw_string_literal] = STATE(2591),
    [sym_character] = STATE(2566),
    [sym_boolean] = STATE(2566),
    [sym_field_identifier] = STATE(7902),
    [sym_identifier] = ACTIONS(249),
    [anon_sym_LBRACE] = ACTIONS(251),
    [anon_sym_LPAREN] = ACTIONS(253),
    [anon_sym_QMARK] = ACTIONS(255),
    [anon_sym_PLUS] = ACTIONS(2777),
    [anon_sym_DASH] = ACTIONS(257),
    [anon_sym_TILDE] = ACTIONS(2777),
    [anon_sym_BANG] = ACTIONS(2777),
    [anon_sym_AMP] = ACTIONS(2777),
    [anon_sym_DOT] = ACTIONS(259),
    [anon_sym_LBRACK] = ACTIONS(261),
    [anon_sym_cast] = ACTIONS(263),
    [anon_sym_transmute] = ACTIONS(263),
    [anon_sym_auto_cast] = ACTIONS(265),
    [anon_sym_DOT_DOT] = ACTIONS(2779),
    [anon_sym_map] = ACTIONS(269),
    [anon_sym_bit_set] = ACTIONS(271),
    [anon_sym_matrix] = ACTIONS(273),
    [anon_sym_distinct] = ACTIONS(275),
    [sym_number] = ACTIONS(277),
    [anon_sym_DQUOTE] = ACTIONS(279),
    [anon_sym_BQUOTE] = ACTIONS(281),
    [anon_sym_SQUOTE] = ACTIONS(283),
    [anon_sym_true] = ACTIONS(285),
    [anon_sym_false] = ACTIONS(285),
    [sym_nil] = ACTIONS(287),
    [sym_uninitialized] = ACTIONS(277),
    [sym_tag] = ACTIONS(289),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(277),
    [sym_block_comment] = ACTIONS(3),
  },
  [1791] = {
    [sym_expression] = STATE(2584),
    [sym__expression_no_tag] = STATE(2592),
    [sym_unary_expression] = STATE(2592),
    [sym_binary_expression] = STATE(2592),
    [sym_ternary_expression] = STATE(2592),
    [sym_call_expression] = STATE(2592),
    [sym_selector_call_expression] = STATE(2592),
    [sym_member_expression] = STATE(2592),
    [sym_index_expression] = STATE(2592),
    [sym_slice_expression] = STATE(2592),
    [sym_range_expression] = STATE(2592),
    [sym_cast_expression] = STATE(2592),
    [sym_in_expression] = STATE(2592),
    [sym_variadic_expression] = STATE(2592),
    [sym_parenthesized_expression] = STATE(2592),
    [sym_or_return_expression] = STATE(2592),
    [sym_or_continue_expression] = STATE(2592),
    [sym_or_break_expression] = STATE(2592),
    [sym_address] = STATE(2592),
    [sym_map_type] = STATE(2592),
    [sym_matrix_type] = STATE(2592),
    [sym_distinct_type] = STATE(2592),
    [sym_literal] = STATE(2592),
    [sym_struct] = STATE(2608),
    [sym_map] = STATE(2566),
    [sym_bit_set] = STATE(2566),
    [sym_matrix] = STATE(2566),
    [sym_string] = STATE(2566),
    [sym__string_literal] = STATE(2591),
    [sym__raw_string_literal] = STATE(2591),
    [sym_character] = STATE(2566),
    [sym_boolean] = STATE(2566),
    [sym_field_identifier] = STATE(7902),
    [sym_identifier] = ACTIONS(249),
    [anon_sym_LBRACE] = ACTIONS(251),
    [anon_sym_LPAREN] = ACTIONS(253),
    [anon_sym_QMARK] = ACTIONS(255),
    [anon_sym_PLUS] = ACTIONS(2777),
    [anon_sym_DASH] = ACTIONS(257),
    [anon_sym_TILDE] = ACTIONS(2777),
    [anon_sym_BANG] = ACTIONS(2777),
    [anon_sym_AMP] = ACTIONS(2777),
    [anon_sym_DOT] = ACTIONS(259),
    [anon_sym_LBRACK] = ACTIONS(261),
    [anon_sym_cast] = ACTIONS(263),
    [anon_sym_transmute] = ACTIONS(263),
    [anon_sym_auto_cast] = ACTIONS(265),
    [anon_sym_DOT_DOT] = ACTIONS(2779),
    [anon_sym_map] = ACTIONS(269),
    [anon_sym_bit_set] = ACTIONS(271),
    [anon_sym_matrix] = ACTIONS(273),
    [anon_sym_distinct] = ACTIONS(275),
    [sym_number] = ACTIONS(277),
    [anon_sym_DQUOTE] = ACTIONS(279),
    [anon_sym_BQUOTE] = ACTIONS(281),
    [anon_sym_SQUOTE] = ACTIONS(283),
    [anon_sym_true] = ACTIONS(285),
    [anon_sym_false] = ACTIONS(285),
    [sym_nil] = ACTIONS(287),
    [sym_uninitialized] = ACTIONS(277),
    [sym_tag] = ACTIONS(289),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(277),
    [sym_block_comment] = ACTIONS(3),
  },
  [1792] = {
    [sym_expression] = STATE(2556),
    [sym__expression_no_tag] = STATE(2592),
    [sym_unary_expression] = STATE(2592),
    [sym_binary_expression] = STATE(2592),
    [sym_ternary_expression] = STATE(2592),
    [sym_call_expression] = STATE(2592),
    [sym_selector_call_expression] = STATE(2592),
    [sym_member_expression] = STATE(2592),
    [sym_index_expression] = STATE(2592),
    [sym_slice_expression] = STATE(2592),
    [sym_range_expression] = STATE(2592),
    [sym_cast_expression] = STATE(2592),
    [sym_in_expression] = STATE(2592),
    [sym_variadic_expression] = STATE(2592),
    [sym_parenthesized_expression] = STATE(2592),
    [sym_or_return_expression] = STATE(2592),
    [sym_or_continue_expression] = STATE(2592),
    [sym_or_break_expression] = STATE(2592),
    [sym_address] = STATE(2592),
    [sym_map_type] = STATE(2592),
    [sym_matrix_type] = STATE(2592),
    [sym_distinct_type] = STATE(2592),
    [sym_literal] = STATE(2592),
    [sym_struct] = STATE(2608),
    [sym_map] = STATE(2566),
    [sym_bit_set] = STATE(2566),
    [sym_matrix] = STATE(2566),
    [sym_string] = STATE(2566),
    [sym__string_literal] = STATE(2591),
    [sym__raw_string_literal] = STATE(2591),
    [sym_character] = STATE(2566),
    [sym_boolean] = STATE(2566),
    [sym_field_identifier] = STATE(7902),
    [sym_identifier] = ACTIONS(249),
    [anon_sym_LBRACE] = ACTIONS(251),
    [anon_sym_LPAREN] = ACTIONS(253),
    [anon_sym_QMARK] = ACTIONS(255),
    [anon_sym_PLUS] = ACTIONS(2777),
    [anon_sym_DASH] = ACTIONS(257),
    [anon_sym_TILDE] = ACTIONS(2777),
    [anon_sym_BANG] = ACTIONS(2777),
    [anon_sym_AMP] = ACTIONS(2777),
    [anon_sym_DOT] = ACTIONS(259),
    [anon_sym_LBRACK] = ACTIONS(261),
    [anon_sym_cast] = ACTIONS(263),
    [anon_sym_transmute] = ACTIONS(263),
    [anon_sym_auto_cast] = ACTIONS(265),
    [anon_sym_DOT_DOT] = ACTIONS(2779),
    [anon_sym_map] = ACTIONS(269),
    [anon_sym_bit_set] = ACTIONS(271),
    [anon_sym_matrix] = ACTIONS(273),
    [anon_sym_distinct] = ACTIONS(275),
    [sym_number] = ACTIONS(277),
    [anon_sym_DQUOTE] = ACTIONS(279),
    [anon_sym_BQUOTE] = ACTIONS(281),
    [anon_sym_SQUOTE] = ACTIONS(283),
    [anon_sym_true] = ACTIONS(285),
    [anon_sym_false] = ACTIONS(285),
    [sym_nil] = ACTIONS(287),
    [sym_uninitialized] = ACTIONS(277),
    [sym_tag] = ACTIONS(289),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(277),
    [sym_block_comment] = ACTIONS(3),
  },
  [1793] = {
    [sym_expression] = STATE(2557),
    [sym__expression_no_tag] = STATE(2592),
    [sym_unary_expression] = STATE(2592),
    [sym_binary_expression] = STATE(2592),
    [sym_ternary_expression] = STATE(2592),
    [sym_call_expression] = STATE(2592),
    [sym_selector_call_expression] = STATE(2592),
    [sym_member_expression] = STATE(2592),
    [sym_index_expression] = STATE(2592),
    [sym_slice_expression] = STATE(2592),
    [sym_range_expression] = STATE(2592),
    [sym_cast_expression] = STATE(2592),
    [sym_in_expression] = STATE(2592),
    [sym_variadic_expression] = STATE(2592),
    [sym_parenthesized_expression] = STATE(2592),
    [sym_or_return_expression] = STATE(2592),
    [sym_or_continue_expression] = STATE(2592),
    [sym_or_break_expression] = STATE(2592),
    [sym_address] = STATE(2592),
    [sym_map_type] = STATE(2592),
    [sym_matrix_type] = STATE(2592),
    [sym_distinct_type] = STATE(2592),
    [sym_literal] = STATE(2592),
    [sym_struct] = STATE(2608),
    [sym_map] = STATE(2566),
    [sym_bit_set] = STATE(2566),
    [sym_matrix] = STATE(2566),
    [sym_string] = STATE(2566),
    [sym__string_literal] = STATE(2591),
    [sym__raw_string_literal] = STATE(2591),
    [sym_character] = STATE(2566),
    [sym_boolean] = STATE(2566),
    [sym_field_identifier] = STATE(7902),
    [sym_identifier] = ACTIONS(249),
    [anon_sym_LBRACE] = ACTIONS(251),
    [anon_sym_LPAREN] = ACTIONS(253),
    [anon_sym_QMARK] = ACTIONS(255),
    [anon_sym_PLUS] = ACTIONS(2777),
    [anon_sym_DASH] = ACTIONS(257),
    [anon_sym_TILDE] = ACTIONS(2777),
    [anon_sym_BANG] = ACTIONS(2777),
    [anon_sym_AMP] = ACTIONS(2777),
    [anon_sym_DOT] = ACTIONS(259),
    [anon_sym_LBRACK] = ACTIONS(261),
    [anon_sym_cast] = ACTIONS(263),
    [anon_sym_transmute] = ACTIONS(263),
    [anon_sym_auto_cast] = ACTIONS(265),
    [anon_sym_DOT_DOT] = ACTIONS(2779),
    [anon_sym_map] = ACTIONS(269),
    [anon_sym_bit_set] = ACTIONS(271),
    [anon_sym_matrix] = ACTIONS(273),
    [anon_sym_distinct] = ACTIONS(275),
    [sym_number] = ACTIONS(277),
    [anon_sym_DQUOTE] = ACTIONS(279),
    [anon_sym_BQUOTE] = ACTIONS(281),
    [anon_sym_SQUOTE] = ACTIONS(283),
    [anon_sym_true] = ACTIONS(285),
    [anon_sym_false] = ACTIONS(285),
    [sym_nil] = ACTIONS(287),
    [sym_uninitialized] = ACTIONS(277),
    [sym_tag] = ACTIONS(289),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(277),
    [sym_block_comment] = ACTIONS(3),
  },
  [1794] = {
    [sym_expression] = STATE(2639),
    [sym__expression_no_tag] = STATE(2664),
    [sym_unary_expression] = STATE(2664),
    [sym_binary_expression] = STATE(2664),
    [sym_ternary_expression] = STATE(2664),
    [sym_call_expression] = STATE(2664),
    [sym_selector_call_expression] = STATE(2664),
    [sym_member_expression] = STATE(2664),
    [sym_index_expression] = STATE(2664),
    [sym_slice_expression] = STATE(2664),
    [sym_range_expression] = STATE(2664),
    [sym_cast_expression] = STATE(2664),
    [sym_in_expression] = STATE(2664),
    [sym_variadic_expression] = STATE(2664),
    [sym_parenthesized_expression] = STATE(2664),
    [sym_or_return_expression] = STATE(2664),
    [sym_or_continue_expression] = STATE(2664),
    [sym_or_break_expression] = STATE(2664),
    [sym_address] = STATE(2664),
    [sym_map_type] = STATE(2664),
    [sym_matrix_type] = STATE(2664),
    [sym_distinct_type] = STATE(2664),
    [sym_literal] = STATE(2664),
    [sym_struct] = STATE(2632),
    [sym_map] = STATE(2566),
    [sym_bit_set] = STATE(2566),
    [sym_matrix] = STATE(2566),
    [sym_string] = STATE(2566),
    [sym__string_literal] = STATE(2591),
    [sym__raw_string_literal] = STATE(2591),
    [sym_character] = STATE(2566),
    [sym_boolean] = STATE(2566),
    [sym_field_identifier] = STATE(7902),
    [sym_identifier] = ACTIONS(249),
    [anon_sym_LBRACE] = ACTIONS(251),
    [anon_sym_LPAREN] = ACTIONS(291),
    [anon_sym_QMARK] = ACTIONS(293),
    [anon_sym_PLUS] = ACTIONS(3175),
    [anon_sym_DASH] = ACTIONS(295),
    [anon_sym_TILDE] = ACTIONS(3175),
    [anon_sym_BANG] = ACTIONS(3175),
    [anon_sym_AMP] = ACTIONS(3175),
    [anon_sym_DOT] = ACTIONS(297),
    [anon_sym_LBRACK] = ACTIONS(261),
    [anon_sym_cast] = ACTIONS(299),
    [anon_sym_transmute] = ACTIONS(299),
    [anon_sym_auto_cast] = ACTIONS(301),
    [anon_sym_DOT_DOT] = ACTIONS(3177),
    [anon_sym_map] = ACTIONS(269),
    [anon_sym_bit_set] = ACTIONS(271),
    [anon_sym_matrix] = ACTIONS(273),
    [anon_sym_distinct] = ACTIONS(275),
    [sym_number] = ACTIONS(277),
    [anon_sym_DQUOTE] = ACTIONS(279),
    [anon_sym_BQUOTE] = ACTIONS(281),
    [anon_sym_SQUOTE] = ACTIONS(283),
    [anon_sym_true] = ACTIONS(285),
    [anon_sym_false] = ACTIONS(285),
    [sym_nil] = ACTIONS(287),
    [sym_uninitialized] = ACTIONS(277),
    [sym_tag] = ACTIONS(305),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(277),
    [sym_block_comment] = ACTIONS(3),
  },
  [1795] = {
    [sym_expression] = STATE(3904),
    [sym__expression_no_tag] = STATE(3856),
    [sym_unary_expression] = STATE(3856),
    [sym_binary_expression] = STATE(3856),
    [sym_ternary_expression] = STATE(3856),
    [sym_call_expression] = STATE(3856),
    [sym_selector_call_expression] = STATE(3856),
    [sym_member_expression] = STATE(3856),
    [sym_index_expression] = STATE(3856),
    [sym_slice_expression] = STATE(3856),
    [sym_range_expression] = STATE(3856),
    [sym_cast_expression] = STATE(3856),
    [sym_in_expression] = STATE(3856),
    [sym_variadic_expression] = STATE(3856),
    [sym_parenthesized_expression] = STATE(3856),
    [sym_or_return_expression] = STATE(3856),
    [sym_or_continue_expression] = STATE(3856),
    [sym_or_break_expression] = STATE(3856),
    [sym_address] = STATE(3856),
    [sym_map_type] = STATE(3856),
    [sym_matrix_type] = STATE(3856),
    [sym_distinct_type] = STATE(3856),
    [sym_literal] = STATE(3856),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(619),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1796] = {
    [sym_expression] = STATE(2587),
    [sym__expression_no_tag] = STATE(2592),
    [sym_unary_expression] = STATE(2592),
    [sym_binary_expression] = STATE(2592),
    [sym_ternary_expression] = STATE(2592),
    [sym_call_expression] = STATE(2592),
    [sym_selector_call_expression] = STATE(2592),
    [sym_member_expression] = STATE(2592),
    [sym_index_expression] = STATE(2592),
    [sym_slice_expression] = STATE(2592),
    [sym_range_expression] = STATE(2592),
    [sym_cast_expression] = STATE(2592),
    [sym_in_expression] = STATE(2592),
    [sym_variadic_expression] = STATE(2592),
    [sym_parenthesized_expression] = STATE(2592),
    [sym_or_return_expression] = STATE(2592),
    [sym_or_continue_expression] = STATE(2592),
    [sym_or_break_expression] = STATE(2592),
    [sym_address] = STATE(2592),
    [sym_map_type] = STATE(2592),
    [sym_matrix_type] = STATE(2592),
    [sym_distinct_type] = STATE(2592),
    [sym_literal] = STATE(2592),
    [sym_struct] = STATE(2608),
    [sym_map] = STATE(2566),
    [sym_bit_set] = STATE(2566),
    [sym_matrix] = STATE(2566),
    [sym_string] = STATE(2566),
    [sym__string_literal] = STATE(2591),
    [sym__raw_string_literal] = STATE(2591),
    [sym_character] = STATE(2566),
    [sym_boolean] = STATE(2566),
    [sym_field_identifier] = STATE(7902),
    [sym_identifier] = ACTIONS(249),
    [anon_sym_LBRACE] = ACTIONS(251),
    [anon_sym_LPAREN] = ACTIONS(253),
    [anon_sym_QMARK] = ACTIONS(255),
    [anon_sym_PLUS] = ACTIONS(2777),
    [anon_sym_DASH] = ACTIONS(257),
    [anon_sym_TILDE] = ACTIONS(2777),
    [anon_sym_BANG] = ACTIONS(2777),
    [anon_sym_AMP] = ACTIONS(2777),
    [anon_sym_DOT] = ACTIONS(259),
    [anon_sym_LBRACK] = ACTIONS(261),
    [anon_sym_cast] = ACTIONS(263),
    [anon_sym_transmute] = ACTIONS(263),
    [anon_sym_auto_cast] = ACTIONS(265),
    [anon_sym_DOT_DOT] = ACTIONS(2779),
    [anon_sym_map] = ACTIONS(269),
    [anon_sym_bit_set] = ACTIONS(271),
    [anon_sym_matrix] = ACTIONS(273),
    [anon_sym_distinct] = ACTIONS(275),
    [sym_number] = ACTIONS(277),
    [anon_sym_DQUOTE] = ACTIONS(279),
    [anon_sym_BQUOTE] = ACTIONS(281),
    [anon_sym_SQUOTE] = ACTIONS(283),
    [anon_sym_true] = ACTIONS(285),
    [anon_sym_false] = ACTIONS(285),
    [sym_nil] = ACTIONS(287),
    [sym_uninitialized] = ACTIONS(277),
    [sym_tag] = ACTIONS(289),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(277),
    [sym_block_comment] = ACTIONS(3),
  },
  [1797] = {
    [sym_expression] = STATE(2588),
    [sym__expression_no_tag] = STATE(2592),
    [sym_unary_expression] = STATE(2592),
    [sym_binary_expression] = STATE(2592),
    [sym_ternary_expression] = STATE(2592),
    [sym_call_expression] = STATE(2592),
    [sym_selector_call_expression] = STATE(2592),
    [sym_member_expression] = STATE(2592),
    [sym_index_expression] = STATE(2592),
    [sym_slice_expression] = STATE(2592),
    [sym_range_expression] = STATE(2592),
    [sym_cast_expression] = STATE(2592),
    [sym_in_expression] = STATE(2592),
    [sym_variadic_expression] = STATE(2592),
    [sym_parenthesized_expression] = STATE(2592),
    [sym_or_return_expression] = STATE(2592),
    [sym_or_continue_expression] = STATE(2592),
    [sym_or_break_expression] = STATE(2592),
    [sym_address] = STATE(2592),
    [sym_map_type] = STATE(2592),
    [sym_matrix_type] = STATE(2592),
    [sym_distinct_type] = STATE(2592),
    [sym_literal] = STATE(2592),
    [sym_struct] = STATE(2608),
    [sym_map] = STATE(2566),
    [sym_bit_set] = STATE(2566),
    [sym_matrix] = STATE(2566),
    [sym_string] = STATE(2566),
    [sym__string_literal] = STATE(2591),
    [sym__raw_string_literal] = STATE(2591),
    [sym_character] = STATE(2566),
    [sym_boolean] = STATE(2566),
    [sym_field_identifier] = STATE(7902),
    [sym_identifier] = ACTIONS(249),
    [anon_sym_LBRACE] = ACTIONS(251),
    [anon_sym_LPAREN] = ACTIONS(253),
    [anon_sym_QMARK] = ACTIONS(255),
    [anon_sym_PLUS] = ACTIONS(2777),
    [anon_sym_DASH] = ACTIONS(257),
    [anon_sym_TILDE] = ACTIONS(2777),
    [anon_sym_BANG] = ACTIONS(2777),
    [anon_sym_AMP] = ACTIONS(2777),
    [anon_sym_DOT] = ACTIONS(259),
    [anon_sym_LBRACK] = ACTIONS(261),
    [anon_sym_cast] = ACTIONS(263),
    [anon_sym_transmute] = ACTIONS(263),
    [anon_sym_auto_cast] = ACTIONS(265),
    [anon_sym_DOT_DOT] = ACTIONS(2779),
    [anon_sym_map] = ACTIONS(269),
    [anon_sym_bit_set] = ACTIONS(271),
    [anon_sym_matrix] = ACTIONS(273),
    [anon_sym_distinct] = ACTIONS(275),
    [sym_number] = ACTIONS(277),
    [anon_sym_DQUOTE] = ACTIONS(279),
    [anon_sym_BQUOTE] = ACTIONS(281),
    [anon_sym_SQUOTE] = ACTIONS(283),
    [anon_sym_true] = ACTIONS(285),
    [anon_sym_false] = ACTIONS(285),
    [sym_nil] = ACTIONS(287),
    [sym_uninitialized] = ACTIONS(277),
    [sym_tag] = ACTIONS(289),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(277),
    [sym_block_comment] = ACTIONS(3),
  },
  [1798] = {
    [sym_expression] = STATE(2589),
    [sym__expression_no_tag] = STATE(2592),
    [sym_unary_expression] = STATE(2592),
    [sym_binary_expression] = STATE(2592),
    [sym_ternary_expression] = STATE(2592),
    [sym_call_expression] = STATE(2592),
    [sym_selector_call_expression] = STATE(2592),
    [sym_member_expression] = STATE(2592),
    [sym_index_expression] = STATE(2592),
    [sym_slice_expression] = STATE(2592),
    [sym_range_expression] = STATE(2592),
    [sym_cast_expression] = STATE(2592),
    [sym_in_expression] = STATE(2592),
    [sym_variadic_expression] = STATE(2592),
    [sym_parenthesized_expression] = STATE(2592),
    [sym_or_return_expression] = STATE(2592),
    [sym_or_continue_expression] = STATE(2592),
    [sym_or_break_expression] = STATE(2592),
    [sym_address] = STATE(2592),
    [sym_map_type] = STATE(2592),
    [sym_matrix_type] = STATE(2592),
    [sym_distinct_type] = STATE(2592),
    [sym_literal] = STATE(2592),
    [sym_struct] = STATE(2608),
    [sym_map] = STATE(2566),
    [sym_bit_set] = STATE(2566),
    [sym_matrix] = STATE(2566),
    [sym_string] = STATE(2566),
    [sym__string_literal] = STATE(2591),
    [sym__raw_string_literal] = STATE(2591),
    [sym_character] = STATE(2566),
    [sym_boolean] = STATE(2566),
    [sym_field_identifier] = STATE(7902),
    [sym_identifier] = ACTIONS(249),
    [anon_sym_LBRACE] = ACTIONS(251),
    [anon_sym_LPAREN] = ACTIONS(253),
    [anon_sym_QMARK] = ACTIONS(255),
    [anon_sym_PLUS] = ACTIONS(2777),
    [anon_sym_DASH] = ACTIONS(257),
    [anon_sym_TILDE] = ACTIONS(2777),
    [anon_sym_BANG] = ACTIONS(2777),
    [anon_sym_AMP] = ACTIONS(2777),
    [anon_sym_DOT] = ACTIONS(259),
    [anon_sym_LBRACK] = ACTIONS(261),
    [anon_sym_cast] = ACTIONS(263),
    [anon_sym_transmute] = ACTIONS(263),
    [anon_sym_auto_cast] = ACTIONS(265),
    [anon_sym_DOT_DOT] = ACTIONS(2779),
    [anon_sym_map] = ACTIONS(269),
    [anon_sym_bit_set] = ACTIONS(271),
    [anon_sym_matrix] = ACTIONS(273),
    [anon_sym_distinct] = ACTIONS(275),
    [sym_number] = ACTIONS(277),
    [anon_sym_DQUOTE] = ACTIONS(279),
    [anon_sym_BQUOTE] = ACTIONS(281),
    [anon_sym_SQUOTE] = ACTIONS(283),
    [anon_sym_true] = ACTIONS(285),
    [anon_sym_false] = ACTIONS(285),
    [sym_nil] = ACTIONS(287),
    [sym_uninitialized] = ACTIONS(277),
    [sym_tag] = ACTIONS(289),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(277),
    [sym_block_comment] = ACTIONS(3),
  },
  [1799] = {
    [sym_expression] = STATE(4106),
    [sym__expression_no_tag] = STATE(2689),
    [sym_unary_expression] = STATE(2689),
    [sym_binary_expression] = STATE(2689),
    [sym_ternary_expression] = STATE(2689),
    [sym_call_expression] = STATE(2689),
    [sym_selector_call_expression] = STATE(2689),
    [sym_member_expression] = STATE(2689),
    [sym_index_expression] = STATE(2689),
    [sym_slice_expression] = STATE(2689),
    [sym_range_expression] = STATE(2689),
    [sym_cast_expression] = STATE(2689),
    [sym_in_expression] = STATE(2689),
    [sym_variadic_expression] = STATE(2689),
    [sym_parenthesized_expression] = STATE(2689),
    [sym_or_return_expression] = STATE(2689),
    [sym_or_continue_expression] = STATE(2689),
    [sym_or_break_expression] = STATE(2689),
    [sym_address] = STATE(2689),
    [sym_map_type] = STATE(2689),
    [sym_matrix_type] = STATE(2689),
    [sym_distinct_type] = STATE(2689),
    [sym_literal] = STATE(2689),
    [sym_struct] = STATE(4105),
    [sym_map] = STATE(2871),
    [sym_bit_set] = STATE(2871),
    [sym_matrix] = STATE(2871),
    [sym_string] = STATE(2871),
    [sym__string_literal] = STATE(2874),
    [sym__raw_string_literal] = STATE(2874),
    [sym_character] = STATE(2871),
    [sym_boolean] = STATE(2871),
    [sym_field_identifier] = STATE(7825),
    [sym_identifier] = ACTIONS(493),
    [anon_sym_LBRACE] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1093),
    [anon_sym_QMARK] = ACTIONS(529),
    [anon_sym_PLUS] = ACTIONS(1095),
    [anon_sym_DASH] = ACTIONS(1025),
    [anon_sym_TILDE] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(1095),
    [anon_sym_AMP] = ACTIONS(1095),
    [anon_sym_DOT] = ACTIONS(1097),
    [anon_sym_LBRACK] = ACTIONS(535),
    [anon_sym_cast] = ACTIONS(1027),
    [anon_sym_transmute] = ACTIONS(1027),
    [anon_sym_auto_cast] = ACTIONS(1029),
    [anon_sym_DOT_DOT] = ACTIONS(6128),
    [anon_sym_map] = ACTIONS(1033),
    [anon_sym_bit_set] = ACTIONS(505),
    [anon_sym_matrix] = ACTIONS(1035),
    [anon_sym_distinct] = ACTIONS(1037),
    [sym_number] = ACTIONS(511),
    [anon_sym_DQUOTE] = ACTIONS(513),
    [anon_sym_BQUOTE] = ACTIONS(515),
    [anon_sym_SQUOTE] = ACTIONS(517),
    [anon_sym_true] = ACTIONS(519),
    [anon_sym_false] = ACTIONS(519),
    [sym_nil] = ACTIONS(521),
    [sym_uninitialized] = ACTIONS(511),
    [sym_tag] = ACTIONS(537),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(511),
    [sym_block_comment] = ACTIONS(3),
  },
  [1800] = {
    [sym_expression] = STATE(2876),
    [sym__expression_no_tag] = STATE(2689),
    [sym_unary_expression] = STATE(2689),
    [sym_binary_expression] = STATE(2689),
    [sym_ternary_expression] = STATE(2689),
    [sym_call_expression] = STATE(2689),
    [sym_selector_call_expression] = STATE(2689),
    [sym_member_expression] = STATE(2689),
    [sym_index_expression] = STATE(2689),
    [sym_slice_expression] = STATE(2689),
    [sym_range_expression] = STATE(2689),
    [sym_cast_expression] = STATE(2689),
    [sym_in_expression] = STATE(2689),
    [sym_variadic_expression] = STATE(2689),
    [sym_parenthesized_expression] = STATE(2689),
    [sym_or_return_expression] = STATE(2689),
    [sym_or_continue_expression] = STATE(2689),
    [sym_or_break_expression] = STATE(2689),
    [sym_address] = STATE(2689),
    [sym_map_type] = STATE(2689),
    [sym_matrix_type] = STATE(2689),
    [sym_distinct_type] = STATE(2689),
    [sym_literal] = STATE(2689),
    [sym_struct] = STATE(4105),
    [sym_map] = STATE(2871),
    [sym_bit_set] = STATE(2871),
    [sym_matrix] = STATE(2871),
    [sym_string] = STATE(2871),
    [sym__string_literal] = STATE(2874),
    [sym__raw_string_literal] = STATE(2874),
    [sym_character] = STATE(2871),
    [sym_boolean] = STATE(2871),
    [sym_field_identifier] = STATE(7825),
    [sym_identifier] = ACTIONS(493),
    [anon_sym_LBRACE] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1093),
    [anon_sym_QMARK] = ACTIONS(529),
    [anon_sym_PLUS] = ACTIONS(1095),
    [anon_sym_DASH] = ACTIONS(1025),
    [anon_sym_TILDE] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(1095),
    [anon_sym_AMP] = ACTIONS(1095),
    [anon_sym_DOT] = ACTIONS(1097),
    [anon_sym_LBRACK] = ACTIONS(535),
    [anon_sym_cast] = ACTIONS(1027),
    [anon_sym_transmute] = ACTIONS(1027),
    [anon_sym_auto_cast] = ACTIONS(1029),
    [anon_sym_DOT_DOT] = ACTIONS(6128),
    [anon_sym_map] = ACTIONS(1033),
    [anon_sym_bit_set] = ACTIONS(505),
    [anon_sym_matrix] = ACTIONS(1035),
    [anon_sym_distinct] = ACTIONS(1037),
    [sym_number] = ACTIONS(511),
    [anon_sym_DQUOTE] = ACTIONS(513),
    [anon_sym_BQUOTE] = ACTIONS(515),
    [anon_sym_SQUOTE] = ACTIONS(517),
    [anon_sym_true] = ACTIONS(519),
    [anon_sym_false] = ACTIONS(519),
    [sym_nil] = ACTIONS(521),
    [sym_uninitialized] = ACTIONS(511),
    [sym_tag] = ACTIONS(537),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(511),
    [sym_block_comment] = ACTIONS(3),
  },
  [1801] = {
    [sym_expression] = STATE(4107),
    [sym__expression_no_tag] = STATE(2689),
    [sym_unary_expression] = STATE(2689),
    [sym_binary_expression] = STATE(2689),
    [sym_ternary_expression] = STATE(2689),
    [sym_call_expression] = STATE(2689),
    [sym_selector_call_expression] = STATE(2689),
    [sym_member_expression] = STATE(2689),
    [sym_index_expression] = STATE(2689),
    [sym_slice_expression] = STATE(2689),
    [sym_range_expression] = STATE(2689),
    [sym_cast_expression] = STATE(2689),
    [sym_in_expression] = STATE(2689),
    [sym_variadic_expression] = STATE(2689),
    [sym_parenthesized_expression] = STATE(2689),
    [sym_or_return_expression] = STATE(2689),
    [sym_or_continue_expression] = STATE(2689),
    [sym_or_break_expression] = STATE(2689),
    [sym_address] = STATE(2689),
    [sym_map_type] = STATE(2689),
    [sym_matrix_type] = STATE(2689),
    [sym_distinct_type] = STATE(2689),
    [sym_literal] = STATE(2689),
    [sym_struct] = STATE(4105),
    [sym_map] = STATE(2871),
    [sym_bit_set] = STATE(2871),
    [sym_matrix] = STATE(2871),
    [sym_string] = STATE(2871),
    [sym__string_literal] = STATE(2874),
    [sym__raw_string_literal] = STATE(2874),
    [sym_character] = STATE(2871),
    [sym_boolean] = STATE(2871),
    [sym_field_identifier] = STATE(7825),
    [sym_identifier] = ACTIONS(493),
    [anon_sym_LBRACE] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1093),
    [anon_sym_QMARK] = ACTIONS(529),
    [anon_sym_PLUS] = ACTIONS(1095),
    [anon_sym_DASH] = ACTIONS(1025),
    [anon_sym_TILDE] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(1095),
    [anon_sym_AMP] = ACTIONS(1095),
    [anon_sym_DOT] = ACTIONS(1097),
    [anon_sym_LBRACK] = ACTIONS(535),
    [anon_sym_cast] = ACTIONS(1027),
    [anon_sym_transmute] = ACTIONS(1027),
    [anon_sym_auto_cast] = ACTIONS(1029),
    [anon_sym_DOT_DOT] = ACTIONS(6128),
    [anon_sym_map] = ACTIONS(1033),
    [anon_sym_bit_set] = ACTIONS(505),
    [anon_sym_matrix] = ACTIONS(1035),
    [anon_sym_distinct] = ACTIONS(1037),
    [sym_number] = ACTIONS(511),
    [anon_sym_DQUOTE] = ACTIONS(513),
    [anon_sym_BQUOTE] = ACTIONS(515),
    [anon_sym_SQUOTE] = ACTIONS(517),
    [anon_sym_true] = ACTIONS(519),
    [anon_sym_false] = ACTIONS(519),
    [sym_nil] = ACTIONS(521),
    [sym_uninitialized] = ACTIONS(511),
    [sym_tag] = ACTIONS(537),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(511),
    [sym_block_comment] = ACTIONS(3),
  },
  [1802] = {
    [sym_expression] = STATE(2877),
    [sym__expression_no_tag] = STATE(2689),
    [sym_unary_expression] = STATE(2689),
    [sym_binary_expression] = STATE(2689),
    [sym_ternary_expression] = STATE(2689),
    [sym_call_expression] = STATE(2689),
    [sym_selector_call_expression] = STATE(2689),
    [sym_member_expression] = STATE(2689),
    [sym_index_expression] = STATE(2689),
    [sym_slice_expression] = STATE(2689),
    [sym_range_expression] = STATE(2689),
    [sym_cast_expression] = STATE(2689),
    [sym_in_expression] = STATE(2689),
    [sym_variadic_expression] = STATE(2689),
    [sym_parenthesized_expression] = STATE(2689),
    [sym_or_return_expression] = STATE(2689),
    [sym_or_continue_expression] = STATE(2689),
    [sym_or_break_expression] = STATE(2689),
    [sym_address] = STATE(2689),
    [sym_map_type] = STATE(2689),
    [sym_matrix_type] = STATE(2689),
    [sym_distinct_type] = STATE(2689),
    [sym_literal] = STATE(2689),
    [sym_struct] = STATE(4105),
    [sym_map] = STATE(2871),
    [sym_bit_set] = STATE(2871),
    [sym_matrix] = STATE(2871),
    [sym_string] = STATE(2871),
    [sym__string_literal] = STATE(2874),
    [sym__raw_string_literal] = STATE(2874),
    [sym_character] = STATE(2871),
    [sym_boolean] = STATE(2871),
    [sym_field_identifier] = STATE(7825),
    [sym_identifier] = ACTIONS(493),
    [anon_sym_LBRACE] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1093),
    [anon_sym_QMARK] = ACTIONS(529),
    [anon_sym_PLUS] = ACTIONS(1095),
    [anon_sym_DASH] = ACTIONS(1025),
    [anon_sym_TILDE] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(1095),
    [anon_sym_AMP] = ACTIONS(1095),
    [anon_sym_DOT] = ACTIONS(1097),
    [anon_sym_LBRACK] = ACTIONS(535),
    [anon_sym_cast] = ACTIONS(1027),
    [anon_sym_transmute] = ACTIONS(1027),
    [anon_sym_auto_cast] = ACTIONS(1029),
    [anon_sym_DOT_DOT] = ACTIONS(6128),
    [anon_sym_map] = ACTIONS(1033),
    [anon_sym_bit_set] = ACTIONS(505),
    [anon_sym_matrix] = ACTIONS(1035),
    [anon_sym_distinct] = ACTIONS(1037),
    [sym_number] = ACTIONS(511),
    [anon_sym_DQUOTE] = ACTIONS(513),
    [anon_sym_BQUOTE] = ACTIONS(515),
    [anon_sym_SQUOTE] = ACTIONS(517),
    [anon_sym_true] = ACTIONS(519),
    [anon_sym_false] = ACTIONS(519),
    [sym_nil] = ACTIONS(521),
    [sym_uninitialized] = ACTIONS(511),
    [sym_tag] = ACTIONS(537),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(511),
    [sym_block_comment] = ACTIONS(3),
  },
  [1803] = {
    [sym_expression] = STATE(4054),
    [sym__expression_no_tag] = STATE(2689),
    [sym_unary_expression] = STATE(2689),
    [sym_binary_expression] = STATE(2689),
    [sym_ternary_expression] = STATE(2689),
    [sym_call_expression] = STATE(2689),
    [sym_selector_call_expression] = STATE(2689),
    [sym_member_expression] = STATE(2689),
    [sym_index_expression] = STATE(2689),
    [sym_slice_expression] = STATE(2689),
    [sym_range_expression] = STATE(2689),
    [sym_cast_expression] = STATE(2689),
    [sym_in_expression] = STATE(2689),
    [sym_variadic_expression] = STATE(2689),
    [sym_parenthesized_expression] = STATE(2689),
    [sym_or_return_expression] = STATE(2689),
    [sym_or_continue_expression] = STATE(2689),
    [sym_or_break_expression] = STATE(2689),
    [sym_address] = STATE(2689),
    [sym_map_type] = STATE(2689),
    [sym_matrix_type] = STATE(2689),
    [sym_distinct_type] = STATE(2689),
    [sym_literal] = STATE(2689),
    [sym_struct] = STATE(4105),
    [sym_map] = STATE(2871),
    [sym_bit_set] = STATE(2871),
    [sym_matrix] = STATE(2871),
    [sym_string] = STATE(2871),
    [sym__string_literal] = STATE(2874),
    [sym__raw_string_literal] = STATE(2874),
    [sym_character] = STATE(2871),
    [sym_boolean] = STATE(2871),
    [sym_field_identifier] = STATE(7825),
    [sym_identifier] = ACTIONS(493),
    [anon_sym_LBRACE] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1093),
    [anon_sym_QMARK] = ACTIONS(529),
    [anon_sym_PLUS] = ACTIONS(1095),
    [anon_sym_DASH] = ACTIONS(1025),
    [anon_sym_TILDE] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(1095),
    [anon_sym_AMP] = ACTIONS(1095),
    [anon_sym_DOT] = ACTIONS(1097),
    [anon_sym_LBRACK] = ACTIONS(535),
    [anon_sym_cast] = ACTIONS(1027),
    [anon_sym_transmute] = ACTIONS(1027),
    [anon_sym_auto_cast] = ACTIONS(1029),
    [anon_sym_DOT_DOT] = ACTIONS(6128),
    [anon_sym_map] = ACTIONS(1033),
    [anon_sym_bit_set] = ACTIONS(505),
    [anon_sym_matrix] = ACTIONS(1035),
    [anon_sym_distinct] = ACTIONS(1037),
    [sym_number] = ACTIONS(511),
    [anon_sym_DQUOTE] = ACTIONS(513),
    [anon_sym_BQUOTE] = ACTIONS(515),
    [anon_sym_SQUOTE] = ACTIONS(517),
    [anon_sym_true] = ACTIONS(519),
    [anon_sym_false] = ACTIONS(519),
    [sym_nil] = ACTIONS(521),
    [sym_uninitialized] = ACTIONS(511),
    [sym_tag] = ACTIONS(537),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(511),
    [sym_block_comment] = ACTIONS(3),
  },
  [1804] = {
    [sym_expression] = STATE(4055),
    [sym__expression_no_tag] = STATE(2689),
    [sym_unary_expression] = STATE(2689),
    [sym_binary_expression] = STATE(2689),
    [sym_ternary_expression] = STATE(2689),
    [sym_call_expression] = STATE(2689),
    [sym_selector_call_expression] = STATE(2689),
    [sym_member_expression] = STATE(2689),
    [sym_index_expression] = STATE(2689),
    [sym_slice_expression] = STATE(2689),
    [sym_range_expression] = STATE(2689),
    [sym_cast_expression] = STATE(2689),
    [sym_in_expression] = STATE(2689),
    [sym_variadic_expression] = STATE(2689),
    [sym_parenthesized_expression] = STATE(2689),
    [sym_or_return_expression] = STATE(2689),
    [sym_or_continue_expression] = STATE(2689),
    [sym_or_break_expression] = STATE(2689),
    [sym_address] = STATE(2689),
    [sym_map_type] = STATE(2689),
    [sym_matrix_type] = STATE(2689),
    [sym_distinct_type] = STATE(2689),
    [sym_literal] = STATE(2689),
    [sym_struct] = STATE(4105),
    [sym_map] = STATE(2871),
    [sym_bit_set] = STATE(2871),
    [sym_matrix] = STATE(2871),
    [sym_string] = STATE(2871),
    [sym__string_literal] = STATE(2874),
    [sym__raw_string_literal] = STATE(2874),
    [sym_character] = STATE(2871),
    [sym_boolean] = STATE(2871),
    [sym_field_identifier] = STATE(7825),
    [sym_identifier] = ACTIONS(493),
    [anon_sym_LBRACE] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1093),
    [anon_sym_QMARK] = ACTIONS(529),
    [anon_sym_PLUS] = ACTIONS(1095),
    [anon_sym_DASH] = ACTIONS(1025),
    [anon_sym_TILDE] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(1095),
    [anon_sym_AMP] = ACTIONS(1095),
    [anon_sym_DOT] = ACTIONS(1097),
    [anon_sym_LBRACK] = ACTIONS(535),
    [anon_sym_cast] = ACTIONS(1027),
    [anon_sym_transmute] = ACTIONS(1027),
    [anon_sym_auto_cast] = ACTIONS(1029),
    [anon_sym_DOT_DOT] = ACTIONS(6128),
    [anon_sym_map] = ACTIONS(1033),
    [anon_sym_bit_set] = ACTIONS(505),
    [anon_sym_matrix] = ACTIONS(1035),
    [anon_sym_distinct] = ACTIONS(1037),
    [sym_number] = ACTIONS(511),
    [anon_sym_DQUOTE] = ACTIONS(513),
    [anon_sym_BQUOTE] = ACTIONS(515),
    [anon_sym_SQUOTE] = ACTIONS(517),
    [anon_sym_true] = ACTIONS(519),
    [anon_sym_false] = ACTIONS(519),
    [sym_nil] = ACTIONS(521),
    [sym_uninitialized] = ACTIONS(511),
    [sym_tag] = ACTIONS(537),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(511),
    [sym_block_comment] = ACTIONS(3),
  },
  [1805] = {
    [sym_expression] = STATE(4056),
    [sym__expression_no_tag] = STATE(2689),
    [sym_unary_expression] = STATE(2689),
    [sym_binary_expression] = STATE(2689),
    [sym_ternary_expression] = STATE(2689),
    [sym_call_expression] = STATE(2689),
    [sym_selector_call_expression] = STATE(2689),
    [sym_member_expression] = STATE(2689),
    [sym_index_expression] = STATE(2689),
    [sym_slice_expression] = STATE(2689),
    [sym_range_expression] = STATE(2689),
    [sym_cast_expression] = STATE(2689),
    [sym_in_expression] = STATE(2689),
    [sym_variadic_expression] = STATE(2689),
    [sym_parenthesized_expression] = STATE(2689),
    [sym_or_return_expression] = STATE(2689),
    [sym_or_continue_expression] = STATE(2689),
    [sym_or_break_expression] = STATE(2689),
    [sym_address] = STATE(2689),
    [sym_map_type] = STATE(2689),
    [sym_matrix_type] = STATE(2689),
    [sym_distinct_type] = STATE(2689),
    [sym_literal] = STATE(2689),
    [sym_struct] = STATE(4105),
    [sym_map] = STATE(2871),
    [sym_bit_set] = STATE(2871),
    [sym_matrix] = STATE(2871),
    [sym_string] = STATE(2871),
    [sym__string_literal] = STATE(2874),
    [sym__raw_string_literal] = STATE(2874),
    [sym_character] = STATE(2871),
    [sym_boolean] = STATE(2871),
    [sym_field_identifier] = STATE(7825),
    [sym_identifier] = ACTIONS(493),
    [anon_sym_LBRACE] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1093),
    [anon_sym_QMARK] = ACTIONS(529),
    [anon_sym_PLUS] = ACTIONS(1095),
    [anon_sym_DASH] = ACTIONS(1025),
    [anon_sym_TILDE] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(1095),
    [anon_sym_AMP] = ACTIONS(1095),
    [anon_sym_DOT] = ACTIONS(1097),
    [anon_sym_LBRACK] = ACTIONS(535),
    [anon_sym_cast] = ACTIONS(1027),
    [anon_sym_transmute] = ACTIONS(1027),
    [anon_sym_auto_cast] = ACTIONS(1029),
    [anon_sym_DOT_DOT] = ACTIONS(6128),
    [anon_sym_map] = ACTIONS(1033),
    [anon_sym_bit_set] = ACTIONS(505),
    [anon_sym_matrix] = ACTIONS(1035),
    [anon_sym_distinct] = ACTIONS(1037),
    [sym_number] = ACTIONS(511),
    [anon_sym_DQUOTE] = ACTIONS(513),
    [anon_sym_BQUOTE] = ACTIONS(515),
    [anon_sym_SQUOTE] = ACTIONS(517),
    [anon_sym_true] = ACTIONS(519),
    [anon_sym_false] = ACTIONS(519),
    [sym_nil] = ACTIONS(521),
    [sym_uninitialized] = ACTIONS(511),
    [sym_tag] = ACTIONS(537),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(511),
    [sym_block_comment] = ACTIONS(3),
  },
  [1806] = {
    [sym_expression] = STATE(4057),
    [sym__expression_no_tag] = STATE(2689),
    [sym_unary_expression] = STATE(2689),
    [sym_binary_expression] = STATE(2689),
    [sym_ternary_expression] = STATE(2689),
    [sym_call_expression] = STATE(2689),
    [sym_selector_call_expression] = STATE(2689),
    [sym_member_expression] = STATE(2689),
    [sym_index_expression] = STATE(2689),
    [sym_slice_expression] = STATE(2689),
    [sym_range_expression] = STATE(2689),
    [sym_cast_expression] = STATE(2689),
    [sym_in_expression] = STATE(2689),
    [sym_variadic_expression] = STATE(2689),
    [sym_parenthesized_expression] = STATE(2689),
    [sym_or_return_expression] = STATE(2689),
    [sym_or_continue_expression] = STATE(2689),
    [sym_or_break_expression] = STATE(2689),
    [sym_address] = STATE(2689),
    [sym_map_type] = STATE(2689),
    [sym_matrix_type] = STATE(2689),
    [sym_distinct_type] = STATE(2689),
    [sym_literal] = STATE(2689),
    [sym_struct] = STATE(4105),
    [sym_map] = STATE(2871),
    [sym_bit_set] = STATE(2871),
    [sym_matrix] = STATE(2871),
    [sym_string] = STATE(2871),
    [sym__string_literal] = STATE(2874),
    [sym__raw_string_literal] = STATE(2874),
    [sym_character] = STATE(2871),
    [sym_boolean] = STATE(2871),
    [sym_field_identifier] = STATE(7825),
    [sym_identifier] = ACTIONS(493),
    [anon_sym_LBRACE] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1093),
    [anon_sym_QMARK] = ACTIONS(529),
    [anon_sym_PLUS] = ACTIONS(1095),
    [anon_sym_DASH] = ACTIONS(1025),
    [anon_sym_TILDE] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(1095),
    [anon_sym_AMP] = ACTIONS(1095),
    [anon_sym_DOT] = ACTIONS(1097),
    [anon_sym_LBRACK] = ACTIONS(535),
    [anon_sym_cast] = ACTIONS(1027),
    [anon_sym_transmute] = ACTIONS(1027),
    [anon_sym_auto_cast] = ACTIONS(1029),
    [anon_sym_DOT_DOT] = ACTIONS(6128),
    [anon_sym_map] = ACTIONS(1033),
    [anon_sym_bit_set] = ACTIONS(505),
    [anon_sym_matrix] = ACTIONS(1035),
    [anon_sym_distinct] = ACTIONS(1037),
    [sym_number] = ACTIONS(511),
    [anon_sym_DQUOTE] = ACTIONS(513),
    [anon_sym_BQUOTE] = ACTIONS(515),
    [anon_sym_SQUOTE] = ACTIONS(517),
    [anon_sym_true] = ACTIONS(519),
    [anon_sym_false] = ACTIONS(519),
    [sym_nil] = ACTIONS(521),
    [sym_uninitialized] = ACTIONS(511),
    [sym_tag] = ACTIONS(537),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(511),
    [sym_block_comment] = ACTIONS(3),
  },
  [1807] = {
    [sym_expression] = STATE(4058),
    [sym__expression_no_tag] = STATE(2689),
    [sym_unary_expression] = STATE(2689),
    [sym_binary_expression] = STATE(2689),
    [sym_ternary_expression] = STATE(2689),
    [sym_call_expression] = STATE(2689),
    [sym_selector_call_expression] = STATE(2689),
    [sym_member_expression] = STATE(2689),
    [sym_index_expression] = STATE(2689),
    [sym_slice_expression] = STATE(2689),
    [sym_range_expression] = STATE(2689),
    [sym_cast_expression] = STATE(2689),
    [sym_in_expression] = STATE(2689),
    [sym_variadic_expression] = STATE(2689),
    [sym_parenthesized_expression] = STATE(2689),
    [sym_or_return_expression] = STATE(2689),
    [sym_or_continue_expression] = STATE(2689),
    [sym_or_break_expression] = STATE(2689),
    [sym_address] = STATE(2689),
    [sym_map_type] = STATE(2689),
    [sym_matrix_type] = STATE(2689),
    [sym_distinct_type] = STATE(2689),
    [sym_literal] = STATE(2689),
    [sym_struct] = STATE(4105),
    [sym_map] = STATE(2871),
    [sym_bit_set] = STATE(2871),
    [sym_matrix] = STATE(2871),
    [sym_string] = STATE(2871),
    [sym__string_literal] = STATE(2874),
    [sym__raw_string_literal] = STATE(2874),
    [sym_character] = STATE(2871),
    [sym_boolean] = STATE(2871),
    [sym_field_identifier] = STATE(7825),
    [sym_identifier] = ACTIONS(493),
    [anon_sym_LBRACE] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1093),
    [anon_sym_QMARK] = ACTIONS(529),
    [anon_sym_PLUS] = ACTIONS(1095),
    [anon_sym_DASH] = ACTIONS(1025),
    [anon_sym_TILDE] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(1095),
    [anon_sym_AMP] = ACTIONS(1095),
    [anon_sym_DOT] = ACTIONS(1097),
    [anon_sym_LBRACK] = ACTIONS(535),
    [anon_sym_cast] = ACTIONS(1027),
    [anon_sym_transmute] = ACTIONS(1027),
    [anon_sym_auto_cast] = ACTIONS(1029),
    [anon_sym_DOT_DOT] = ACTIONS(6128),
    [anon_sym_map] = ACTIONS(1033),
    [anon_sym_bit_set] = ACTIONS(505),
    [anon_sym_matrix] = ACTIONS(1035),
    [anon_sym_distinct] = ACTIONS(1037),
    [sym_number] = ACTIONS(511),
    [anon_sym_DQUOTE] = ACTIONS(513),
    [anon_sym_BQUOTE] = ACTIONS(515),
    [anon_sym_SQUOTE] = ACTIONS(517),
    [anon_sym_true] = ACTIONS(519),
    [anon_sym_false] = ACTIONS(519),
    [sym_nil] = ACTIONS(521),
    [sym_uninitialized] = ACTIONS(511),
    [sym_tag] = ACTIONS(537),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(511),
    [sym_block_comment] = ACTIONS(3),
  },
  [1808] = {
    [sym_expression] = STATE(4059),
    [sym__expression_no_tag] = STATE(2689),
    [sym_unary_expression] = STATE(2689),
    [sym_binary_expression] = STATE(2689),
    [sym_ternary_expression] = STATE(2689),
    [sym_call_expression] = STATE(2689),
    [sym_selector_call_expression] = STATE(2689),
    [sym_member_expression] = STATE(2689),
    [sym_index_expression] = STATE(2689),
    [sym_slice_expression] = STATE(2689),
    [sym_range_expression] = STATE(2689),
    [sym_cast_expression] = STATE(2689),
    [sym_in_expression] = STATE(2689),
    [sym_variadic_expression] = STATE(2689),
    [sym_parenthesized_expression] = STATE(2689),
    [sym_or_return_expression] = STATE(2689),
    [sym_or_continue_expression] = STATE(2689),
    [sym_or_break_expression] = STATE(2689),
    [sym_address] = STATE(2689),
    [sym_map_type] = STATE(2689),
    [sym_matrix_type] = STATE(2689),
    [sym_distinct_type] = STATE(2689),
    [sym_literal] = STATE(2689),
    [sym_struct] = STATE(4105),
    [sym_map] = STATE(2871),
    [sym_bit_set] = STATE(2871),
    [sym_matrix] = STATE(2871),
    [sym_string] = STATE(2871),
    [sym__string_literal] = STATE(2874),
    [sym__raw_string_literal] = STATE(2874),
    [sym_character] = STATE(2871),
    [sym_boolean] = STATE(2871),
    [sym_field_identifier] = STATE(7825),
    [sym_identifier] = ACTIONS(493),
    [anon_sym_LBRACE] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1093),
    [anon_sym_QMARK] = ACTIONS(529),
    [anon_sym_PLUS] = ACTIONS(1095),
    [anon_sym_DASH] = ACTIONS(1025),
    [anon_sym_TILDE] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(1095),
    [anon_sym_AMP] = ACTIONS(1095),
    [anon_sym_DOT] = ACTIONS(1097),
    [anon_sym_LBRACK] = ACTIONS(535),
    [anon_sym_cast] = ACTIONS(1027),
    [anon_sym_transmute] = ACTIONS(1027),
    [anon_sym_auto_cast] = ACTIONS(1029),
    [anon_sym_DOT_DOT] = ACTIONS(6128),
    [anon_sym_map] = ACTIONS(1033),
    [anon_sym_bit_set] = ACTIONS(505),
    [anon_sym_matrix] = ACTIONS(1035),
    [anon_sym_distinct] = ACTIONS(1037),
    [sym_number] = ACTIONS(511),
    [anon_sym_DQUOTE] = ACTIONS(513),
    [anon_sym_BQUOTE] = ACTIONS(515),
    [anon_sym_SQUOTE] = ACTIONS(517),
    [anon_sym_true] = ACTIONS(519),
    [anon_sym_false] = ACTIONS(519),
    [sym_nil] = ACTIONS(521),
    [sym_uninitialized] = ACTIONS(511),
    [sym_tag] = ACTIONS(537),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(511),
    [sym_block_comment] = ACTIONS(3),
  },
  [1809] = {
    [sym_expression] = STATE(4060),
    [sym__expression_no_tag] = STATE(2689),
    [sym_unary_expression] = STATE(2689),
    [sym_binary_expression] = STATE(2689),
    [sym_ternary_expression] = STATE(2689),
    [sym_call_expression] = STATE(2689),
    [sym_selector_call_expression] = STATE(2689),
    [sym_member_expression] = STATE(2689),
    [sym_index_expression] = STATE(2689),
    [sym_slice_expression] = STATE(2689),
    [sym_range_expression] = STATE(2689),
    [sym_cast_expression] = STATE(2689),
    [sym_in_expression] = STATE(2689),
    [sym_variadic_expression] = STATE(2689),
    [sym_parenthesized_expression] = STATE(2689),
    [sym_or_return_expression] = STATE(2689),
    [sym_or_continue_expression] = STATE(2689),
    [sym_or_break_expression] = STATE(2689),
    [sym_address] = STATE(2689),
    [sym_map_type] = STATE(2689),
    [sym_matrix_type] = STATE(2689),
    [sym_distinct_type] = STATE(2689),
    [sym_literal] = STATE(2689),
    [sym_struct] = STATE(4105),
    [sym_map] = STATE(2871),
    [sym_bit_set] = STATE(2871),
    [sym_matrix] = STATE(2871),
    [sym_string] = STATE(2871),
    [sym__string_literal] = STATE(2874),
    [sym__raw_string_literal] = STATE(2874),
    [sym_character] = STATE(2871),
    [sym_boolean] = STATE(2871),
    [sym_field_identifier] = STATE(7825),
    [sym_identifier] = ACTIONS(493),
    [anon_sym_LBRACE] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1093),
    [anon_sym_QMARK] = ACTIONS(529),
    [anon_sym_PLUS] = ACTIONS(1095),
    [anon_sym_DASH] = ACTIONS(1025),
    [anon_sym_TILDE] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(1095),
    [anon_sym_AMP] = ACTIONS(1095),
    [anon_sym_DOT] = ACTIONS(1097),
    [anon_sym_LBRACK] = ACTIONS(535),
    [anon_sym_cast] = ACTIONS(1027),
    [anon_sym_transmute] = ACTIONS(1027),
    [anon_sym_auto_cast] = ACTIONS(1029),
    [anon_sym_DOT_DOT] = ACTIONS(6128),
    [anon_sym_map] = ACTIONS(1033),
    [anon_sym_bit_set] = ACTIONS(505),
    [anon_sym_matrix] = ACTIONS(1035),
    [anon_sym_distinct] = ACTIONS(1037),
    [sym_number] = ACTIONS(511),
    [anon_sym_DQUOTE] = ACTIONS(513),
    [anon_sym_BQUOTE] = ACTIONS(515),
    [anon_sym_SQUOTE] = ACTIONS(517),
    [anon_sym_true] = ACTIONS(519),
    [anon_sym_false] = ACTIONS(519),
    [sym_nil] = ACTIONS(521),
    [sym_uninitialized] = ACTIONS(511),
    [sym_tag] = ACTIONS(537),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(511),
    [sym_block_comment] = ACTIONS(3),
  },
  [1810] = {
    [sym_expression] = STATE(4061),
    [sym__expression_no_tag] = STATE(2689),
    [sym_unary_expression] = STATE(2689),
    [sym_binary_expression] = STATE(2689),
    [sym_ternary_expression] = STATE(2689),
    [sym_call_expression] = STATE(2689),
    [sym_selector_call_expression] = STATE(2689),
    [sym_member_expression] = STATE(2689),
    [sym_index_expression] = STATE(2689),
    [sym_slice_expression] = STATE(2689),
    [sym_range_expression] = STATE(2689),
    [sym_cast_expression] = STATE(2689),
    [sym_in_expression] = STATE(2689),
    [sym_variadic_expression] = STATE(2689),
    [sym_parenthesized_expression] = STATE(2689),
    [sym_or_return_expression] = STATE(2689),
    [sym_or_continue_expression] = STATE(2689),
    [sym_or_break_expression] = STATE(2689),
    [sym_address] = STATE(2689),
    [sym_map_type] = STATE(2689),
    [sym_matrix_type] = STATE(2689),
    [sym_distinct_type] = STATE(2689),
    [sym_literal] = STATE(2689),
    [sym_struct] = STATE(4105),
    [sym_map] = STATE(2871),
    [sym_bit_set] = STATE(2871),
    [sym_matrix] = STATE(2871),
    [sym_string] = STATE(2871),
    [sym__string_literal] = STATE(2874),
    [sym__raw_string_literal] = STATE(2874),
    [sym_character] = STATE(2871),
    [sym_boolean] = STATE(2871),
    [sym_field_identifier] = STATE(7825),
    [sym_identifier] = ACTIONS(493),
    [anon_sym_LBRACE] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1093),
    [anon_sym_QMARK] = ACTIONS(529),
    [anon_sym_PLUS] = ACTIONS(1095),
    [anon_sym_DASH] = ACTIONS(1025),
    [anon_sym_TILDE] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(1095),
    [anon_sym_AMP] = ACTIONS(1095),
    [anon_sym_DOT] = ACTIONS(1097),
    [anon_sym_LBRACK] = ACTIONS(535),
    [anon_sym_cast] = ACTIONS(1027),
    [anon_sym_transmute] = ACTIONS(1027),
    [anon_sym_auto_cast] = ACTIONS(1029),
    [anon_sym_DOT_DOT] = ACTIONS(6128),
    [anon_sym_map] = ACTIONS(1033),
    [anon_sym_bit_set] = ACTIONS(505),
    [anon_sym_matrix] = ACTIONS(1035),
    [anon_sym_distinct] = ACTIONS(1037),
    [sym_number] = ACTIONS(511),
    [anon_sym_DQUOTE] = ACTIONS(513),
    [anon_sym_BQUOTE] = ACTIONS(515),
    [anon_sym_SQUOTE] = ACTIONS(517),
    [anon_sym_true] = ACTIONS(519),
    [anon_sym_false] = ACTIONS(519),
    [sym_nil] = ACTIONS(521),
    [sym_uninitialized] = ACTIONS(511),
    [sym_tag] = ACTIONS(537),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(511),
    [sym_block_comment] = ACTIONS(3),
  },
  [1811] = {
    [sym_expression] = STATE(4062),
    [sym__expression_no_tag] = STATE(2689),
    [sym_unary_expression] = STATE(2689),
    [sym_binary_expression] = STATE(2689),
    [sym_ternary_expression] = STATE(2689),
    [sym_call_expression] = STATE(2689),
    [sym_selector_call_expression] = STATE(2689),
    [sym_member_expression] = STATE(2689),
    [sym_index_expression] = STATE(2689),
    [sym_slice_expression] = STATE(2689),
    [sym_range_expression] = STATE(2689),
    [sym_cast_expression] = STATE(2689),
    [sym_in_expression] = STATE(2689),
    [sym_variadic_expression] = STATE(2689),
    [sym_parenthesized_expression] = STATE(2689),
    [sym_or_return_expression] = STATE(2689),
    [sym_or_continue_expression] = STATE(2689),
    [sym_or_break_expression] = STATE(2689),
    [sym_address] = STATE(2689),
    [sym_map_type] = STATE(2689),
    [sym_matrix_type] = STATE(2689),
    [sym_distinct_type] = STATE(2689),
    [sym_literal] = STATE(2689),
    [sym_struct] = STATE(4105),
    [sym_map] = STATE(2871),
    [sym_bit_set] = STATE(2871),
    [sym_matrix] = STATE(2871),
    [sym_string] = STATE(2871),
    [sym__string_literal] = STATE(2874),
    [sym__raw_string_literal] = STATE(2874),
    [sym_character] = STATE(2871),
    [sym_boolean] = STATE(2871),
    [sym_field_identifier] = STATE(7825),
    [sym_identifier] = ACTIONS(493),
    [anon_sym_LBRACE] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1093),
    [anon_sym_QMARK] = ACTIONS(529),
    [anon_sym_PLUS] = ACTIONS(1095),
    [anon_sym_DASH] = ACTIONS(1025),
    [anon_sym_TILDE] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(1095),
    [anon_sym_AMP] = ACTIONS(1095),
    [anon_sym_DOT] = ACTIONS(1097),
    [anon_sym_LBRACK] = ACTIONS(535),
    [anon_sym_cast] = ACTIONS(1027),
    [anon_sym_transmute] = ACTIONS(1027),
    [anon_sym_auto_cast] = ACTIONS(1029),
    [anon_sym_DOT_DOT] = ACTIONS(6128),
    [anon_sym_map] = ACTIONS(1033),
    [anon_sym_bit_set] = ACTIONS(505),
    [anon_sym_matrix] = ACTIONS(1035),
    [anon_sym_distinct] = ACTIONS(1037),
    [sym_number] = ACTIONS(511),
    [anon_sym_DQUOTE] = ACTIONS(513),
    [anon_sym_BQUOTE] = ACTIONS(515),
    [anon_sym_SQUOTE] = ACTIONS(517),
    [anon_sym_true] = ACTIONS(519),
    [anon_sym_false] = ACTIONS(519),
    [sym_nil] = ACTIONS(521),
    [sym_uninitialized] = ACTIONS(511),
    [sym_tag] = ACTIONS(537),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(511),
    [sym_block_comment] = ACTIONS(3),
  },
  [1812] = {
    [sym_expression] = STATE(4063),
    [sym__expression_no_tag] = STATE(2689),
    [sym_unary_expression] = STATE(2689),
    [sym_binary_expression] = STATE(2689),
    [sym_ternary_expression] = STATE(2689),
    [sym_call_expression] = STATE(2689),
    [sym_selector_call_expression] = STATE(2689),
    [sym_member_expression] = STATE(2689),
    [sym_index_expression] = STATE(2689),
    [sym_slice_expression] = STATE(2689),
    [sym_range_expression] = STATE(2689),
    [sym_cast_expression] = STATE(2689),
    [sym_in_expression] = STATE(2689),
    [sym_variadic_expression] = STATE(2689),
    [sym_parenthesized_expression] = STATE(2689),
    [sym_or_return_expression] = STATE(2689),
    [sym_or_continue_expression] = STATE(2689),
    [sym_or_break_expression] = STATE(2689),
    [sym_address] = STATE(2689),
    [sym_map_type] = STATE(2689),
    [sym_matrix_type] = STATE(2689),
    [sym_distinct_type] = STATE(2689),
    [sym_literal] = STATE(2689),
    [sym_struct] = STATE(4105),
    [sym_map] = STATE(2871),
    [sym_bit_set] = STATE(2871),
    [sym_matrix] = STATE(2871),
    [sym_string] = STATE(2871),
    [sym__string_literal] = STATE(2874),
    [sym__raw_string_literal] = STATE(2874),
    [sym_character] = STATE(2871),
    [sym_boolean] = STATE(2871),
    [sym_field_identifier] = STATE(7825),
    [sym_identifier] = ACTIONS(493),
    [anon_sym_LBRACE] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1093),
    [anon_sym_QMARK] = ACTIONS(529),
    [anon_sym_PLUS] = ACTIONS(1095),
    [anon_sym_DASH] = ACTIONS(1025),
    [anon_sym_TILDE] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(1095),
    [anon_sym_AMP] = ACTIONS(1095),
    [anon_sym_DOT] = ACTIONS(1097),
    [anon_sym_LBRACK] = ACTIONS(535),
    [anon_sym_cast] = ACTIONS(1027),
    [anon_sym_transmute] = ACTIONS(1027),
    [anon_sym_auto_cast] = ACTIONS(1029),
    [anon_sym_DOT_DOT] = ACTIONS(6128),
    [anon_sym_map] = ACTIONS(1033),
    [anon_sym_bit_set] = ACTIONS(505),
    [anon_sym_matrix] = ACTIONS(1035),
    [anon_sym_distinct] = ACTIONS(1037),
    [sym_number] = ACTIONS(511),
    [anon_sym_DQUOTE] = ACTIONS(513),
    [anon_sym_BQUOTE] = ACTIONS(515),
    [anon_sym_SQUOTE] = ACTIONS(517),
    [anon_sym_true] = ACTIONS(519),
    [anon_sym_false] = ACTIONS(519),
    [sym_nil] = ACTIONS(521),
    [sym_uninitialized] = ACTIONS(511),
    [sym_tag] = ACTIONS(537),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(511),
    [sym_block_comment] = ACTIONS(3),
  },
  [1813] = {
    [sym_expression] = STATE(4064),
    [sym__expression_no_tag] = STATE(2689),
    [sym_unary_expression] = STATE(2689),
    [sym_binary_expression] = STATE(2689),
    [sym_ternary_expression] = STATE(2689),
    [sym_call_expression] = STATE(2689),
    [sym_selector_call_expression] = STATE(2689),
    [sym_member_expression] = STATE(2689),
    [sym_index_expression] = STATE(2689),
    [sym_slice_expression] = STATE(2689),
    [sym_range_expression] = STATE(2689),
    [sym_cast_expression] = STATE(2689),
    [sym_in_expression] = STATE(2689),
    [sym_variadic_expression] = STATE(2689),
    [sym_parenthesized_expression] = STATE(2689),
    [sym_or_return_expression] = STATE(2689),
    [sym_or_continue_expression] = STATE(2689),
    [sym_or_break_expression] = STATE(2689),
    [sym_address] = STATE(2689),
    [sym_map_type] = STATE(2689),
    [sym_matrix_type] = STATE(2689),
    [sym_distinct_type] = STATE(2689),
    [sym_literal] = STATE(2689),
    [sym_struct] = STATE(4105),
    [sym_map] = STATE(2871),
    [sym_bit_set] = STATE(2871),
    [sym_matrix] = STATE(2871),
    [sym_string] = STATE(2871),
    [sym__string_literal] = STATE(2874),
    [sym__raw_string_literal] = STATE(2874),
    [sym_character] = STATE(2871),
    [sym_boolean] = STATE(2871),
    [sym_field_identifier] = STATE(7825),
    [sym_identifier] = ACTIONS(493),
    [anon_sym_LBRACE] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1093),
    [anon_sym_QMARK] = ACTIONS(529),
    [anon_sym_PLUS] = ACTIONS(1095),
    [anon_sym_DASH] = ACTIONS(1025),
    [anon_sym_TILDE] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(1095),
    [anon_sym_AMP] = ACTIONS(1095),
    [anon_sym_DOT] = ACTIONS(1097),
    [anon_sym_LBRACK] = ACTIONS(535),
    [anon_sym_cast] = ACTIONS(1027),
    [anon_sym_transmute] = ACTIONS(1027),
    [anon_sym_auto_cast] = ACTIONS(1029),
    [anon_sym_DOT_DOT] = ACTIONS(6128),
    [anon_sym_map] = ACTIONS(1033),
    [anon_sym_bit_set] = ACTIONS(505),
    [anon_sym_matrix] = ACTIONS(1035),
    [anon_sym_distinct] = ACTIONS(1037),
    [sym_number] = ACTIONS(511),
    [anon_sym_DQUOTE] = ACTIONS(513),
    [anon_sym_BQUOTE] = ACTIONS(515),
    [anon_sym_SQUOTE] = ACTIONS(517),
    [anon_sym_true] = ACTIONS(519),
    [anon_sym_false] = ACTIONS(519),
    [sym_nil] = ACTIONS(521),
    [sym_uninitialized] = ACTIONS(511),
    [sym_tag] = ACTIONS(537),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(511),
    [sym_block_comment] = ACTIONS(3),
  },
  [1814] = {
    [sym_expression] = STATE(4065),
    [sym__expression_no_tag] = STATE(2689),
    [sym_unary_expression] = STATE(2689),
    [sym_binary_expression] = STATE(2689),
    [sym_ternary_expression] = STATE(2689),
    [sym_call_expression] = STATE(2689),
    [sym_selector_call_expression] = STATE(2689),
    [sym_member_expression] = STATE(2689),
    [sym_index_expression] = STATE(2689),
    [sym_slice_expression] = STATE(2689),
    [sym_range_expression] = STATE(2689),
    [sym_cast_expression] = STATE(2689),
    [sym_in_expression] = STATE(2689),
    [sym_variadic_expression] = STATE(2689),
    [sym_parenthesized_expression] = STATE(2689),
    [sym_or_return_expression] = STATE(2689),
    [sym_or_continue_expression] = STATE(2689),
    [sym_or_break_expression] = STATE(2689),
    [sym_address] = STATE(2689),
    [sym_map_type] = STATE(2689),
    [sym_matrix_type] = STATE(2689),
    [sym_distinct_type] = STATE(2689),
    [sym_literal] = STATE(2689),
    [sym_struct] = STATE(4105),
    [sym_map] = STATE(2871),
    [sym_bit_set] = STATE(2871),
    [sym_matrix] = STATE(2871),
    [sym_string] = STATE(2871),
    [sym__string_literal] = STATE(2874),
    [sym__raw_string_literal] = STATE(2874),
    [sym_character] = STATE(2871),
    [sym_boolean] = STATE(2871),
    [sym_field_identifier] = STATE(7825),
    [sym_identifier] = ACTIONS(493),
    [anon_sym_LBRACE] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1093),
    [anon_sym_QMARK] = ACTIONS(529),
    [anon_sym_PLUS] = ACTIONS(1095),
    [anon_sym_DASH] = ACTIONS(1025),
    [anon_sym_TILDE] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(1095),
    [anon_sym_AMP] = ACTIONS(1095),
    [anon_sym_DOT] = ACTIONS(1097),
    [anon_sym_LBRACK] = ACTIONS(535),
    [anon_sym_cast] = ACTIONS(1027),
    [anon_sym_transmute] = ACTIONS(1027),
    [anon_sym_auto_cast] = ACTIONS(1029),
    [anon_sym_DOT_DOT] = ACTIONS(6128),
    [anon_sym_map] = ACTIONS(1033),
    [anon_sym_bit_set] = ACTIONS(505),
    [anon_sym_matrix] = ACTIONS(1035),
    [anon_sym_distinct] = ACTIONS(1037),
    [sym_number] = ACTIONS(511),
    [anon_sym_DQUOTE] = ACTIONS(513),
    [anon_sym_BQUOTE] = ACTIONS(515),
    [anon_sym_SQUOTE] = ACTIONS(517),
    [anon_sym_true] = ACTIONS(519),
    [anon_sym_false] = ACTIONS(519),
    [sym_nil] = ACTIONS(521),
    [sym_uninitialized] = ACTIONS(511),
    [sym_tag] = ACTIONS(537),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(511),
    [sym_block_comment] = ACTIONS(3),
  },
  [1815] = {
    [sym_expression] = STATE(2895),
    [sym__expression_no_tag] = STATE(2689),
    [sym_unary_expression] = STATE(2689),
    [sym_binary_expression] = STATE(2689),
    [sym_ternary_expression] = STATE(2689),
    [sym_call_expression] = STATE(2689),
    [sym_selector_call_expression] = STATE(2689),
    [sym_member_expression] = STATE(2689),
    [sym_index_expression] = STATE(2689),
    [sym_slice_expression] = STATE(2689),
    [sym_range_expression] = STATE(2689),
    [sym_cast_expression] = STATE(2689),
    [sym_in_expression] = STATE(2689),
    [sym_variadic_expression] = STATE(2689),
    [sym_parenthesized_expression] = STATE(2689),
    [sym_or_return_expression] = STATE(2689),
    [sym_or_continue_expression] = STATE(2689),
    [sym_or_break_expression] = STATE(2689),
    [sym_address] = STATE(2689),
    [sym_map_type] = STATE(2689),
    [sym_matrix_type] = STATE(2689),
    [sym_distinct_type] = STATE(2689),
    [sym_literal] = STATE(2689),
    [sym_struct] = STATE(4105),
    [sym_map] = STATE(2871),
    [sym_bit_set] = STATE(2871),
    [sym_matrix] = STATE(2871),
    [sym_string] = STATE(2871),
    [sym__string_literal] = STATE(2874),
    [sym__raw_string_literal] = STATE(2874),
    [sym_character] = STATE(2871),
    [sym_boolean] = STATE(2871),
    [sym_field_identifier] = STATE(7825),
    [sym_identifier] = ACTIONS(493),
    [anon_sym_LBRACE] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1093),
    [anon_sym_QMARK] = ACTIONS(529),
    [anon_sym_PLUS] = ACTIONS(1095),
    [anon_sym_DASH] = ACTIONS(1025),
    [anon_sym_TILDE] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(1095),
    [anon_sym_AMP] = ACTIONS(1095),
    [anon_sym_DOT] = ACTIONS(1097),
    [anon_sym_LBRACK] = ACTIONS(535),
    [anon_sym_cast] = ACTIONS(1027),
    [anon_sym_transmute] = ACTIONS(1027),
    [anon_sym_auto_cast] = ACTIONS(1029),
    [anon_sym_DOT_DOT] = ACTIONS(6128),
    [anon_sym_map] = ACTIONS(1033),
    [anon_sym_bit_set] = ACTIONS(505),
    [anon_sym_matrix] = ACTIONS(1035),
    [anon_sym_distinct] = ACTIONS(1037),
    [sym_number] = ACTIONS(511),
    [anon_sym_DQUOTE] = ACTIONS(513),
    [anon_sym_BQUOTE] = ACTIONS(515),
    [anon_sym_SQUOTE] = ACTIONS(517),
    [anon_sym_true] = ACTIONS(519),
    [anon_sym_false] = ACTIONS(519),
    [sym_nil] = ACTIONS(521),
    [sym_uninitialized] = ACTIONS(511),
    [sym_tag] = ACTIONS(537),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(511),
    [sym_block_comment] = ACTIONS(3),
  },
  [1816] = {
    [sym_expression] = STATE(2896),
    [sym__expression_no_tag] = STATE(2689),
    [sym_unary_expression] = STATE(2689),
    [sym_binary_expression] = STATE(2689),
    [sym_ternary_expression] = STATE(2689),
    [sym_call_expression] = STATE(2689),
    [sym_selector_call_expression] = STATE(2689),
    [sym_member_expression] = STATE(2689),
    [sym_index_expression] = STATE(2689),
    [sym_slice_expression] = STATE(2689),
    [sym_range_expression] = STATE(2689),
    [sym_cast_expression] = STATE(2689),
    [sym_in_expression] = STATE(2689),
    [sym_variadic_expression] = STATE(2689),
    [sym_parenthesized_expression] = STATE(2689),
    [sym_or_return_expression] = STATE(2689),
    [sym_or_continue_expression] = STATE(2689),
    [sym_or_break_expression] = STATE(2689),
    [sym_address] = STATE(2689),
    [sym_map_type] = STATE(2689),
    [sym_matrix_type] = STATE(2689),
    [sym_distinct_type] = STATE(2689),
    [sym_literal] = STATE(2689),
    [sym_struct] = STATE(4105),
    [sym_map] = STATE(2871),
    [sym_bit_set] = STATE(2871),
    [sym_matrix] = STATE(2871),
    [sym_string] = STATE(2871),
    [sym__string_literal] = STATE(2874),
    [sym__raw_string_literal] = STATE(2874),
    [sym_character] = STATE(2871),
    [sym_boolean] = STATE(2871),
    [sym_field_identifier] = STATE(7825),
    [sym_identifier] = ACTIONS(493),
    [anon_sym_LBRACE] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1093),
    [anon_sym_QMARK] = ACTIONS(529),
    [anon_sym_PLUS] = ACTIONS(1095),
    [anon_sym_DASH] = ACTIONS(1025),
    [anon_sym_TILDE] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(1095),
    [anon_sym_AMP] = ACTIONS(1095),
    [anon_sym_DOT] = ACTIONS(1097),
    [anon_sym_LBRACK] = ACTIONS(535),
    [anon_sym_cast] = ACTIONS(1027),
    [anon_sym_transmute] = ACTIONS(1027),
    [anon_sym_auto_cast] = ACTIONS(1029),
    [anon_sym_DOT_DOT] = ACTIONS(6128),
    [anon_sym_map] = ACTIONS(1033),
    [anon_sym_bit_set] = ACTIONS(505),
    [anon_sym_matrix] = ACTIONS(1035),
    [anon_sym_distinct] = ACTIONS(1037),
    [sym_number] = ACTIONS(511),
    [anon_sym_DQUOTE] = ACTIONS(513),
    [anon_sym_BQUOTE] = ACTIONS(515),
    [anon_sym_SQUOTE] = ACTIONS(517),
    [anon_sym_true] = ACTIONS(519),
    [anon_sym_false] = ACTIONS(519),
    [sym_nil] = ACTIONS(521),
    [sym_uninitialized] = ACTIONS(511),
    [sym_tag] = ACTIONS(537),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(511),
    [sym_block_comment] = ACTIONS(3),
  },
  [1817] = {
    [sym_expression] = STATE(4351),
    [sym__expression_no_tag] = STATE(4431),
    [sym_unary_expression] = STATE(4431),
    [sym_binary_expression] = STATE(4431),
    [sym_ternary_expression] = STATE(4431),
    [sym_call_expression] = STATE(4431),
    [sym_selector_call_expression] = STATE(4431),
    [sym_member_expression] = STATE(4431),
    [sym_index_expression] = STATE(4431),
    [sym_slice_expression] = STATE(4431),
    [sym_range_expression] = STATE(4431),
    [sym_cast_expression] = STATE(4431),
    [sym_in_expression] = STATE(4431),
    [sym_variadic_expression] = STATE(4431),
    [sym_parenthesized_expression] = STATE(4431),
    [sym_or_return_expression] = STATE(4431),
    [sym_or_continue_expression] = STATE(4431),
    [sym_or_break_expression] = STATE(4431),
    [sym_address] = STATE(4431),
    [sym_map_type] = STATE(4431),
    [sym_matrix_type] = STATE(4431),
    [sym_distinct_type] = STATE(4431),
    [sym_literal] = STATE(4431),
    [sym_struct] = STATE(4333),
    [sym_map] = STATE(4320),
    [sym_bit_set] = STATE(4320),
    [sym_matrix] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym__string_literal] = STATE(4334),
    [sym__raw_string_literal] = STATE(4334),
    [sym_character] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_field_identifier] = STATE(7845),
    [sym_identifier] = ACTIONS(341),
    [anon_sym_LBRACE] = ACTIONS(943),
    [anon_sym_LPAREN] = ACTIONS(945),
    [anon_sym_QMARK] = ACTIONS(947),
    [anon_sym_PLUS] = ACTIONS(949),
    [anon_sym_DASH] = ACTIONS(951),
    [anon_sym_TILDE] = ACTIONS(949),
    [anon_sym_BANG] = ACTIONS(949),
    [anon_sym_AMP] = ACTIONS(949),
    [anon_sym_DOT] = ACTIONS(953),
    [anon_sym_LBRACK] = ACTIONS(955),
    [anon_sym_cast] = ACTIONS(957),
    [anon_sym_transmute] = ACTIONS(957),
    [anon_sym_auto_cast] = ACTIONS(959),
    [anon_sym_DOT_DOT] = ACTIONS(3241),
    [anon_sym_map] = ACTIONS(351),
    [anon_sym_bit_set] = ACTIONS(353),
    [anon_sym_matrix] = ACTIONS(355),
    [anon_sym_distinct] = ACTIONS(357),
    [sym_number] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(361),
    [anon_sym_BQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [anon_sym_true] = ACTIONS(367),
    [anon_sym_false] = ACTIONS(367),
    [sym_nil] = ACTIONS(369),
    [sym_uninitialized] = ACTIONS(359),
    [sym_tag] = ACTIONS(963),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(359),
    [sym_block_comment] = ACTIONS(3),
  },
  [1818] = {
    [sym_expression] = STATE(4068),
    [sym__expression_no_tag] = STATE(2689),
    [sym_unary_expression] = STATE(2689),
    [sym_binary_expression] = STATE(2689),
    [sym_ternary_expression] = STATE(2689),
    [sym_call_expression] = STATE(2689),
    [sym_selector_call_expression] = STATE(2689),
    [sym_member_expression] = STATE(2689),
    [sym_index_expression] = STATE(2689),
    [sym_slice_expression] = STATE(2689),
    [sym_range_expression] = STATE(2689),
    [sym_cast_expression] = STATE(2689),
    [sym_in_expression] = STATE(2689),
    [sym_variadic_expression] = STATE(2689),
    [sym_parenthesized_expression] = STATE(2689),
    [sym_or_return_expression] = STATE(2689),
    [sym_or_continue_expression] = STATE(2689),
    [sym_or_break_expression] = STATE(2689),
    [sym_address] = STATE(2689),
    [sym_map_type] = STATE(2689),
    [sym_matrix_type] = STATE(2689),
    [sym_distinct_type] = STATE(2689),
    [sym_literal] = STATE(2689),
    [sym_struct] = STATE(4105),
    [sym_map] = STATE(2871),
    [sym_bit_set] = STATE(2871),
    [sym_matrix] = STATE(2871),
    [sym_string] = STATE(2871),
    [sym__string_literal] = STATE(2874),
    [sym__raw_string_literal] = STATE(2874),
    [sym_character] = STATE(2871),
    [sym_boolean] = STATE(2871),
    [sym_field_identifier] = STATE(7825),
    [sym_identifier] = ACTIONS(493),
    [anon_sym_LBRACE] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1093),
    [anon_sym_QMARK] = ACTIONS(529),
    [anon_sym_PLUS] = ACTIONS(1095),
    [anon_sym_DASH] = ACTIONS(1025),
    [anon_sym_TILDE] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(1095),
    [anon_sym_AMP] = ACTIONS(1095),
    [anon_sym_DOT] = ACTIONS(1097),
    [anon_sym_LBRACK] = ACTIONS(535),
    [anon_sym_cast] = ACTIONS(1027),
    [anon_sym_transmute] = ACTIONS(1027),
    [anon_sym_auto_cast] = ACTIONS(1029),
    [anon_sym_DOT_DOT] = ACTIONS(6128),
    [anon_sym_map] = ACTIONS(1033),
    [anon_sym_bit_set] = ACTIONS(505),
    [anon_sym_matrix] = ACTIONS(1035),
    [anon_sym_distinct] = ACTIONS(1037),
    [sym_number] = ACTIONS(511),
    [anon_sym_DQUOTE] = ACTIONS(513),
    [anon_sym_BQUOTE] = ACTIONS(515),
    [anon_sym_SQUOTE] = ACTIONS(517),
    [anon_sym_true] = ACTIONS(519),
    [anon_sym_false] = ACTIONS(519),
    [sym_nil] = ACTIONS(521),
    [sym_uninitialized] = ACTIONS(511),
    [sym_tag] = ACTIONS(537),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(511),
    [sym_block_comment] = ACTIONS(3),
  },
  [1819] = {
    [sym_expression] = STATE(4069),
    [sym__expression_no_tag] = STATE(2689),
    [sym_unary_expression] = STATE(2689),
    [sym_binary_expression] = STATE(2689),
    [sym_ternary_expression] = STATE(2689),
    [sym_call_expression] = STATE(2689),
    [sym_selector_call_expression] = STATE(2689),
    [sym_member_expression] = STATE(2689),
    [sym_index_expression] = STATE(2689),
    [sym_slice_expression] = STATE(2689),
    [sym_range_expression] = STATE(2689),
    [sym_cast_expression] = STATE(2689),
    [sym_in_expression] = STATE(2689),
    [sym_variadic_expression] = STATE(2689),
    [sym_parenthesized_expression] = STATE(2689),
    [sym_or_return_expression] = STATE(2689),
    [sym_or_continue_expression] = STATE(2689),
    [sym_or_break_expression] = STATE(2689),
    [sym_address] = STATE(2689),
    [sym_map_type] = STATE(2689),
    [sym_matrix_type] = STATE(2689),
    [sym_distinct_type] = STATE(2689),
    [sym_literal] = STATE(2689),
    [sym_struct] = STATE(4105),
    [sym_map] = STATE(2871),
    [sym_bit_set] = STATE(2871),
    [sym_matrix] = STATE(2871),
    [sym_string] = STATE(2871),
    [sym__string_literal] = STATE(2874),
    [sym__raw_string_literal] = STATE(2874),
    [sym_character] = STATE(2871),
    [sym_boolean] = STATE(2871),
    [sym_field_identifier] = STATE(7825),
    [sym_identifier] = ACTIONS(493),
    [anon_sym_LBRACE] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1093),
    [anon_sym_QMARK] = ACTIONS(529),
    [anon_sym_PLUS] = ACTIONS(1095),
    [anon_sym_DASH] = ACTIONS(1025),
    [anon_sym_TILDE] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(1095),
    [anon_sym_AMP] = ACTIONS(1095),
    [anon_sym_DOT] = ACTIONS(1097),
    [anon_sym_LBRACK] = ACTIONS(535),
    [anon_sym_cast] = ACTIONS(1027),
    [anon_sym_transmute] = ACTIONS(1027),
    [anon_sym_auto_cast] = ACTIONS(1029),
    [anon_sym_DOT_DOT] = ACTIONS(6128),
    [anon_sym_map] = ACTIONS(1033),
    [anon_sym_bit_set] = ACTIONS(505),
    [anon_sym_matrix] = ACTIONS(1035),
    [anon_sym_distinct] = ACTIONS(1037),
    [sym_number] = ACTIONS(511),
    [anon_sym_DQUOTE] = ACTIONS(513),
    [anon_sym_BQUOTE] = ACTIONS(515),
    [anon_sym_SQUOTE] = ACTIONS(517),
    [anon_sym_true] = ACTIONS(519),
    [anon_sym_false] = ACTIONS(519),
    [sym_nil] = ACTIONS(521),
    [sym_uninitialized] = ACTIONS(511),
    [sym_tag] = ACTIONS(537),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(511),
    [sym_block_comment] = ACTIONS(3),
  },
  [1820] = {
    [sym_expression] = STATE(4070),
    [sym__expression_no_tag] = STATE(2689),
    [sym_unary_expression] = STATE(2689),
    [sym_binary_expression] = STATE(2689),
    [sym_ternary_expression] = STATE(2689),
    [sym_call_expression] = STATE(2689),
    [sym_selector_call_expression] = STATE(2689),
    [sym_member_expression] = STATE(2689),
    [sym_index_expression] = STATE(2689),
    [sym_slice_expression] = STATE(2689),
    [sym_range_expression] = STATE(2689),
    [sym_cast_expression] = STATE(2689),
    [sym_in_expression] = STATE(2689),
    [sym_variadic_expression] = STATE(2689),
    [sym_parenthesized_expression] = STATE(2689),
    [sym_or_return_expression] = STATE(2689),
    [sym_or_continue_expression] = STATE(2689),
    [sym_or_break_expression] = STATE(2689),
    [sym_address] = STATE(2689),
    [sym_map_type] = STATE(2689),
    [sym_matrix_type] = STATE(2689),
    [sym_distinct_type] = STATE(2689),
    [sym_literal] = STATE(2689),
    [sym_struct] = STATE(4105),
    [sym_map] = STATE(2871),
    [sym_bit_set] = STATE(2871),
    [sym_matrix] = STATE(2871),
    [sym_string] = STATE(2871),
    [sym__string_literal] = STATE(2874),
    [sym__raw_string_literal] = STATE(2874),
    [sym_character] = STATE(2871),
    [sym_boolean] = STATE(2871),
    [sym_field_identifier] = STATE(7825),
    [sym_identifier] = ACTIONS(493),
    [anon_sym_LBRACE] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1093),
    [anon_sym_QMARK] = ACTIONS(529),
    [anon_sym_PLUS] = ACTIONS(1095),
    [anon_sym_DASH] = ACTIONS(1025),
    [anon_sym_TILDE] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(1095),
    [anon_sym_AMP] = ACTIONS(1095),
    [anon_sym_DOT] = ACTIONS(1097),
    [anon_sym_LBRACK] = ACTIONS(535),
    [anon_sym_cast] = ACTIONS(1027),
    [anon_sym_transmute] = ACTIONS(1027),
    [anon_sym_auto_cast] = ACTIONS(1029),
    [anon_sym_DOT_DOT] = ACTIONS(6128),
    [anon_sym_map] = ACTIONS(1033),
    [anon_sym_bit_set] = ACTIONS(505),
    [anon_sym_matrix] = ACTIONS(1035),
    [anon_sym_distinct] = ACTIONS(1037),
    [sym_number] = ACTIONS(511),
    [anon_sym_DQUOTE] = ACTIONS(513),
    [anon_sym_BQUOTE] = ACTIONS(515),
    [anon_sym_SQUOTE] = ACTIONS(517),
    [anon_sym_true] = ACTIONS(519),
    [anon_sym_false] = ACTIONS(519),
    [sym_nil] = ACTIONS(521),
    [sym_uninitialized] = ACTIONS(511),
    [sym_tag] = ACTIONS(537),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(511),
    [sym_block_comment] = ACTIONS(3),
  },
  [1821] = {
    [sym_expression] = STATE(6061),
    [sym__expression_no_tag] = STATE(5089),
    [sym_unary_expression] = STATE(5089),
    [sym_binary_expression] = STATE(5089),
    [sym_ternary_expression] = STATE(5089),
    [sym_call_expression] = STATE(3770),
    [sym_selector_call_expression] = STATE(5089),
    [sym_member_expression] = STATE(5089),
    [sym_index_expression] = STATE(5089),
    [sym_slice_expression] = STATE(5089),
    [sym_range_expression] = STATE(5089),
    [sym_cast_expression] = STATE(5089),
    [sym_in_expression] = STATE(5089),
    [sym_variadic_expression] = STATE(5089),
    [sym_parenthesized_expression] = STATE(5089),
    [sym_or_return_expression] = STATE(5089),
    [sym_or_continue_expression] = STATE(5089),
    [sym_or_break_expression] = STATE(5089),
    [sym_address] = STATE(5089),
    [sym_map_type] = STATE(5089),
    [sym_matrix_type] = STATE(5089),
    [sym_distinct_type] = STATE(5089),
    [sym_literal] = STATE(5089),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(6140),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(941),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1822] = {
    [sym_expression] = STATE(2617),
    [sym__expression_no_tag] = STATE(2664),
    [sym_unary_expression] = STATE(2664),
    [sym_binary_expression] = STATE(2664),
    [sym_ternary_expression] = STATE(2664),
    [sym_call_expression] = STATE(2664),
    [sym_selector_call_expression] = STATE(2664),
    [sym_member_expression] = STATE(2664),
    [sym_index_expression] = STATE(2664),
    [sym_slice_expression] = STATE(2664),
    [sym_range_expression] = STATE(2664),
    [sym_cast_expression] = STATE(2664),
    [sym_in_expression] = STATE(2664),
    [sym_variadic_expression] = STATE(2664),
    [sym_parenthesized_expression] = STATE(2664),
    [sym_or_return_expression] = STATE(2664),
    [sym_or_continue_expression] = STATE(2664),
    [sym_or_break_expression] = STATE(2664),
    [sym_address] = STATE(2664),
    [sym_map_type] = STATE(2664),
    [sym_matrix_type] = STATE(2664),
    [sym_distinct_type] = STATE(2664),
    [sym_literal] = STATE(2664),
    [sym_struct] = STATE(2632),
    [sym_map] = STATE(2566),
    [sym_bit_set] = STATE(2566),
    [sym_matrix] = STATE(2566),
    [sym_string] = STATE(2566),
    [sym__string_literal] = STATE(2591),
    [sym__raw_string_literal] = STATE(2591),
    [sym_character] = STATE(2566),
    [sym_boolean] = STATE(2566),
    [sym_field_identifier] = STATE(7902),
    [sym_identifier] = ACTIONS(249),
    [anon_sym_LBRACE] = ACTIONS(251),
    [anon_sym_LPAREN] = ACTIONS(291),
    [anon_sym_QMARK] = ACTIONS(293),
    [anon_sym_PLUS] = ACTIONS(3175),
    [anon_sym_DASH] = ACTIONS(295),
    [anon_sym_TILDE] = ACTIONS(3175),
    [anon_sym_BANG] = ACTIONS(3175),
    [anon_sym_AMP] = ACTIONS(3175),
    [anon_sym_DOT] = ACTIONS(297),
    [anon_sym_LBRACK] = ACTIONS(261),
    [anon_sym_cast] = ACTIONS(299),
    [anon_sym_transmute] = ACTIONS(299),
    [anon_sym_auto_cast] = ACTIONS(301),
    [anon_sym_DOT_DOT] = ACTIONS(3177),
    [anon_sym_map] = ACTIONS(269),
    [anon_sym_bit_set] = ACTIONS(271),
    [anon_sym_matrix] = ACTIONS(273),
    [anon_sym_distinct] = ACTIONS(275),
    [sym_number] = ACTIONS(277),
    [anon_sym_DQUOTE] = ACTIONS(279),
    [anon_sym_BQUOTE] = ACTIONS(281),
    [anon_sym_SQUOTE] = ACTIONS(283),
    [anon_sym_true] = ACTIONS(285),
    [anon_sym_false] = ACTIONS(285),
    [sym_nil] = ACTIONS(287),
    [sym_uninitialized] = ACTIONS(277),
    [sym_tag] = ACTIONS(305),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(277),
    [sym_block_comment] = ACTIONS(3),
  },
  [1823] = {
    [sym_expression] = STATE(2635),
    [sym__expression_no_tag] = STATE(2664),
    [sym_unary_expression] = STATE(2664),
    [sym_binary_expression] = STATE(2664),
    [sym_ternary_expression] = STATE(2664),
    [sym_call_expression] = STATE(2664),
    [sym_selector_call_expression] = STATE(2664),
    [sym_member_expression] = STATE(2664),
    [sym_index_expression] = STATE(2664),
    [sym_slice_expression] = STATE(2664),
    [sym_range_expression] = STATE(2664),
    [sym_cast_expression] = STATE(2664),
    [sym_in_expression] = STATE(2664),
    [sym_variadic_expression] = STATE(2664),
    [sym_parenthesized_expression] = STATE(2664),
    [sym_or_return_expression] = STATE(2664),
    [sym_or_continue_expression] = STATE(2664),
    [sym_or_break_expression] = STATE(2664),
    [sym_address] = STATE(2664),
    [sym_map_type] = STATE(2664),
    [sym_matrix_type] = STATE(2664),
    [sym_distinct_type] = STATE(2664),
    [sym_literal] = STATE(2664),
    [sym_struct] = STATE(2632),
    [sym_map] = STATE(2566),
    [sym_bit_set] = STATE(2566),
    [sym_matrix] = STATE(2566),
    [sym_string] = STATE(2566),
    [sym__string_literal] = STATE(2591),
    [sym__raw_string_literal] = STATE(2591),
    [sym_character] = STATE(2566),
    [sym_boolean] = STATE(2566),
    [sym_field_identifier] = STATE(7902),
    [sym_identifier] = ACTIONS(249),
    [anon_sym_LBRACE] = ACTIONS(251),
    [anon_sym_LPAREN] = ACTIONS(291),
    [anon_sym_QMARK] = ACTIONS(293),
    [anon_sym_PLUS] = ACTIONS(3175),
    [anon_sym_DASH] = ACTIONS(295),
    [anon_sym_TILDE] = ACTIONS(3175),
    [anon_sym_BANG] = ACTIONS(3175),
    [anon_sym_AMP] = ACTIONS(3175),
    [anon_sym_DOT] = ACTIONS(297),
    [anon_sym_LBRACK] = ACTIONS(261),
    [anon_sym_cast] = ACTIONS(299),
    [anon_sym_transmute] = ACTIONS(299),
    [anon_sym_auto_cast] = ACTIONS(301),
    [anon_sym_DOT_DOT] = ACTIONS(3177),
    [anon_sym_map] = ACTIONS(269),
    [anon_sym_bit_set] = ACTIONS(271),
    [anon_sym_matrix] = ACTIONS(273),
    [anon_sym_distinct] = ACTIONS(275),
    [sym_number] = ACTIONS(277),
    [anon_sym_DQUOTE] = ACTIONS(279),
    [anon_sym_BQUOTE] = ACTIONS(281),
    [anon_sym_SQUOTE] = ACTIONS(283),
    [anon_sym_true] = ACTIONS(285),
    [anon_sym_false] = ACTIONS(285),
    [sym_nil] = ACTIONS(287),
    [sym_uninitialized] = ACTIONS(277),
    [sym_tag] = ACTIONS(305),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(277),
    [sym_block_comment] = ACTIONS(3),
  },
  [1824] = {
    [sym_expression] = STATE(6061),
    [sym__expression_no_tag] = STATE(5370),
    [sym_unary_expression] = STATE(5370),
    [sym_binary_expression] = STATE(5370),
    [sym_ternary_expression] = STATE(5370),
    [sym_call_expression] = STATE(4414),
    [sym_selector_call_expression] = STATE(5370),
    [sym_member_expression] = STATE(5370),
    [sym_index_expression] = STATE(5370),
    [sym_slice_expression] = STATE(5370),
    [sym_range_expression] = STATE(5370),
    [sym_cast_expression] = STATE(5370),
    [sym_in_expression] = STATE(5370),
    [sym_variadic_expression] = STATE(5370),
    [sym_parenthesized_expression] = STATE(5370),
    [sym_or_return_expression] = STATE(5370),
    [sym_or_continue_expression] = STATE(5370),
    [sym_or_break_expression] = STATE(5370),
    [sym_address] = STATE(5370),
    [sym_map_type] = STATE(5370),
    [sym_matrix_type] = STATE(5370),
    [sym_distinct_type] = STATE(5370),
    [sym_literal] = STATE(5370),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(6142),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(6144),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1825] = {
    [sym_expression] = STATE(6061),
    [sym__expression_no_tag] = STATE(5477),
    [sym_unary_expression] = STATE(5477),
    [sym_binary_expression] = STATE(5477),
    [sym_ternary_expression] = STATE(5477),
    [sym_call_expression] = STATE(2279),
    [sym_selector_call_expression] = STATE(5477),
    [sym_member_expression] = STATE(5477),
    [sym_index_expression] = STATE(5477),
    [sym_slice_expression] = STATE(5477),
    [sym_range_expression] = STATE(5477),
    [sym_cast_expression] = STATE(5477),
    [sym_in_expression] = STATE(5477),
    [sym_variadic_expression] = STATE(5477),
    [sym_parenthesized_expression] = STATE(5477),
    [sym_or_return_expression] = STATE(5477),
    [sym_or_continue_expression] = STATE(5477),
    [sym_or_break_expression] = STATE(5477),
    [sym_address] = STATE(5477),
    [sym_map_type] = STATE(5477),
    [sym_matrix_type] = STATE(5477),
    [sym_distinct_type] = STATE(5477),
    [sym_literal] = STATE(5477),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(6146),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(6148),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1826] = {
    [sym_expression] = STATE(3997),
    [sym__expression_no_tag] = STATE(2689),
    [sym_unary_expression] = STATE(2689),
    [sym_binary_expression] = STATE(2689),
    [sym_ternary_expression] = STATE(2689),
    [sym_call_expression] = STATE(2689),
    [sym_selector_call_expression] = STATE(2689),
    [sym_member_expression] = STATE(2689),
    [sym_index_expression] = STATE(2689),
    [sym_slice_expression] = STATE(2689),
    [sym_range_expression] = STATE(2689),
    [sym_cast_expression] = STATE(2689),
    [sym_in_expression] = STATE(2689),
    [sym_variadic_expression] = STATE(2689),
    [sym_parenthesized_expression] = STATE(2689),
    [sym_or_return_expression] = STATE(2689),
    [sym_or_continue_expression] = STATE(2689),
    [sym_or_break_expression] = STATE(2689),
    [sym_address] = STATE(2689),
    [sym_map_type] = STATE(2689),
    [sym_matrix_type] = STATE(2689),
    [sym_distinct_type] = STATE(2689),
    [sym_literal] = STATE(2689),
    [sym_struct] = STATE(4105),
    [sym_map] = STATE(2871),
    [sym_bit_set] = STATE(2871),
    [sym_matrix] = STATE(2871),
    [sym_string] = STATE(2871),
    [sym__string_literal] = STATE(2874),
    [sym__raw_string_literal] = STATE(2874),
    [sym_character] = STATE(2871),
    [sym_boolean] = STATE(2871),
    [sym_field_identifier] = STATE(7825),
    [sym_identifier] = ACTIONS(493),
    [anon_sym_LBRACE] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1093),
    [anon_sym_QMARK] = ACTIONS(529),
    [anon_sym_PLUS] = ACTIONS(1095),
    [anon_sym_DASH] = ACTIONS(1025),
    [anon_sym_TILDE] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(1095),
    [anon_sym_AMP] = ACTIONS(1095),
    [anon_sym_DOT] = ACTIONS(1097),
    [anon_sym_LBRACK] = ACTIONS(535),
    [anon_sym_cast] = ACTIONS(1027),
    [anon_sym_transmute] = ACTIONS(1027),
    [anon_sym_auto_cast] = ACTIONS(1029),
    [anon_sym_DOT_DOT] = ACTIONS(6128),
    [anon_sym_map] = ACTIONS(1033),
    [anon_sym_bit_set] = ACTIONS(505),
    [anon_sym_matrix] = ACTIONS(1035),
    [anon_sym_distinct] = ACTIONS(1037),
    [sym_number] = ACTIONS(511),
    [anon_sym_DQUOTE] = ACTIONS(513),
    [anon_sym_BQUOTE] = ACTIONS(515),
    [anon_sym_SQUOTE] = ACTIONS(517),
    [anon_sym_true] = ACTIONS(519),
    [anon_sym_false] = ACTIONS(519),
    [sym_nil] = ACTIONS(521),
    [sym_uninitialized] = ACTIONS(511),
    [sym_tag] = ACTIONS(537),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(511),
    [sym_block_comment] = ACTIONS(3),
  },
  [1827] = {
    [sym_expression] = STATE(4102),
    [sym__expression_no_tag] = STATE(2689),
    [sym_unary_expression] = STATE(2689),
    [sym_binary_expression] = STATE(2689),
    [sym_ternary_expression] = STATE(2689),
    [sym_call_expression] = STATE(2689),
    [sym_selector_call_expression] = STATE(2689),
    [sym_member_expression] = STATE(2689),
    [sym_index_expression] = STATE(2689),
    [sym_slice_expression] = STATE(2689),
    [sym_range_expression] = STATE(2689),
    [sym_cast_expression] = STATE(2689),
    [sym_in_expression] = STATE(2689),
    [sym_variadic_expression] = STATE(2689),
    [sym_parenthesized_expression] = STATE(2689),
    [sym_or_return_expression] = STATE(2689),
    [sym_or_continue_expression] = STATE(2689),
    [sym_or_break_expression] = STATE(2689),
    [sym_address] = STATE(2689),
    [sym_map_type] = STATE(2689),
    [sym_matrix_type] = STATE(2689),
    [sym_distinct_type] = STATE(2689),
    [sym_literal] = STATE(2689),
    [sym_struct] = STATE(4105),
    [sym_map] = STATE(2871),
    [sym_bit_set] = STATE(2871),
    [sym_matrix] = STATE(2871),
    [sym_string] = STATE(2871),
    [sym__string_literal] = STATE(2874),
    [sym__raw_string_literal] = STATE(2874),
    [sym_character] = STATE(2871),
    [sym_boolean] = STATE(2871),
    [sym_field_identifier] = STATE(7825),
    [sym_identifier] = ACTIONS(493),
    [anon_sym_LBRACE] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1093),
    [anon_sym_QMARK] = ACTIONS(529),
    [anon_sym_PLUS] = ACTIONS(1095),
    [anon_sym_DASH] = ACTIONS(1025),
    [anon_sym_TILDE] = ACTIONS(1095),
    [anon_sym_BANG] = ACTIONS(1095),
    [anon_sym_AMP] = ACTIONS(1095),
    [anon_sym_DOT] = ACTIONS(1097),
    [anon_sym_LBRACK] = ACTIONS(535),
    [anon_sym_cast] = ACTIONS(1027),
    [anon_sym_transmute] = ACTIONS(1027),
    [anon_sym_auto_cast] = ACTIONS(1029),
    [anon_sym_DOT_DOT] = ACTIONS(6128),
    [anon_sym_map] = ACTIONS(1033),
    [anon_sym_bit_set] = ACTIONS(505),
    [anon_sym_matrix] = ACTIONS(1035),
    [anon_sym_distinct] = ACTIONS(1037),
    [sym_number] = ACTIONS(511),
    [anon_sym_DQUOTE] = ACTIONS(513),
    [anon_sym_BQUOTE] = ACTIONS(515),
    [anon_sym_SQUOTE] = ACTIONS(517),
    [anon_sym_true] = ACTIONS(519),
    [anon_sym_false] = ACTIONS(519),
    [sym_nil] = ACTIONS(521),
    [sym_uninitialized] = ACTIONS(511),
    [sym_tag] = ACTIONS(537),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(511),
    [sym_block_comment] = ACTIONS(3),
  },
  [1828] = {
    [sym_expression] = STATE(6061),
    [sym__expression_no_tag] = STATE(5246),
    [sym_unary_expression] = STATE(5246),
    [sym_binary_expression] = STATE(5246),
    [sym_ternary_expression] = STATE(5246),
    [sym_call_expression] = STATE(2542),
    [sym_selector_call_expression] = STATE(5246),
    [sym_member_expression] = STATE(5246),
    [sym_index_expression] = STATE(5246),
    [sym_slice_expression] = STATE(5246),
    [sym_range_expression] = STATE(5246),
    [sym_cast_expression] = STATE(5246),
    [sym_in_expression] = STATE(5246),
    [sym_variadic_expression] = STATE(5246),
    [sym_parenthesized_expression] = STATE(5246),
    [sym_or_return_expression] = STATE(5246),
    [sym_or_continue_expression] = STATE(5246),
    [sym_or_break_expression] = STATE(5246),
    [sym_address] = STATE(5246),
    [sym_map_type] = STATE(5246),
    [sym_matrix_type] = STATE(5246),
    [sym_distinct_type] = STATE(5246),
    [sym_literal] = STATE(5246),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(6150),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(6152),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1829] = {
    [sym_expression] = STATE(2650),
    [sym__expression_no_tag] = STATE(2664),
    [sym_unary_expression] = STATE(2664),
    [sym_binary_expression] = STATE(2664),
    [sym_ternary_expression] = STATE(2664),
    [sym_call_expression] = STATE(2664),
    [sym_selector_call_expression] = STATE(2664),
    [sym_member_expression] = STATE(2664),
    [sym_index_expression] = STATE(2664),
    [sym_slice_expression] = STATE(2664),
    [sym_range_expression] = STATE(2664),
    [sym_cast_expression] = STATE(2664),
    [sym_in_expression] = STATE(2664),
    [sym_variadic_expression] = STATE(2664),
    [sym_parenthesized_expression] = STATE(2664),
    [sym_or_return_expression] = STATE(2664),
    [sym_or_continue_expression] = STATE(2664),
    [sym_or_break_expression] = STATE(2664),
    [sym_address] = STATE(2664),
    [sym_map_type] = STATE(2664),
    [sym_matrix_type] = STATE(2664),
    [sym_distinct_type] = STATE(2664),
    [sym_literal] = STATE(2664),
    [sym_struct] = STATE(2632),
    [sym_map] = STATE(2566),
    [sym_bit_set] = STATE(2566),
    [sym_matrix] = STATE(2566),
    [sym_string] = STATE(2566),
    [sym__string_literal] = STATE(2591),
    [sym__raw_string_literal] = STATE(2591),
    [sym_character] = STATE(2566),
    [sym_boolean] = STATE(2566),
    [sym_field_identifier] = STATE(7902),
    [sym_identifier] = ACTIONS(249),
    [anon_sym_LBRACE] = ACTIONS(251),
    [anon_sym_LPAREN] = ACTIONS(291),
    [anon_sym_QMARK] = ACTIONS(293),
    [anon_sym_PLUS] = ACTIONS(3175),
    [anon_sym_DASH] = ACTIONS(295),
    [anon_sym_TILDE] = ACTIONS(3175),
    [anon_sym_BANG] = ACTIONS(3175),
    [anon_sym_AMP] = ACTIONS(3175),
    [anon_sym_DOT] = ACTIONS(297),
    [anon_sym_LBRACK] = ACTIONS(261),
    [anon_sym_cast] = ACTIONS(299),
    [anon_sym_transmute] = ACTIONS(299),
    [anon_sym_auto_cast] = ACTIONS(301),
    [anon_sym_DOT_DOT] = ACTIONS(3177),
    [anon_sym_map] = ACTIONS(269),
    [anon_sym_bit_set] = ACTIONS(271),
    [anon_sym_matrix] = ACTIONS(273),
    [anon_sym_distinct] = ACTIONS(275),
    [sym_number] = ACTIONS(277),
    [anon_sym_DQUOTE] = ACTIONS(279),
    [anon_sym_BQUOTE] = ACTIONS(281),
    [anon_sym_SQUOTE] = ACTIONS(283),
    [anon_sym_true] = ACTIONS(285),
    [anon_sym_false] = ACTIONS(285),
    [sym_nil] = ACTIONS(287),
    [sym_uninitialized] = ACTIONS(277),
    [sym_tag] = ACTIONS(305),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(277),
    [sym_block_comment] = ACTIONS(3),
  },
  [1830] = {
    [sym_expression] = STATE(3908),
    [sym__expression_no_tag] = STATE(3856),
    [sym_unary_expression] = STATE(3856),
    [sym_binary_expression] = STATE(3856),
    [sym_ternary_expression] = STATE(3856),
    [sym_call_expression] = STATE(3856),
    [sym_selector_call_expression] = STATE(3856),
    [sym_member_expression] = STATE(3856),
    [sym_index_expression] = STATE(3856),
    [sym_slice_expression] = STATE(3856),
    [sym_range_expression] = STATE(3856),
    [sym_cast_expression] = STATE(3856),
    [sym_in_expression] = STATE(3856),
    [sym_variadic_expression] = STATE(3856),
    [sym_parenthesized_expression] = STATE(3856),
    [sym_or_return_expression] = STATE(3856),
    [sym_or_continue_expression] = STATE(3856),
    [sym_or_break_expression] = STATE(3856),
    [sym_address] = STATE(3856),
    [sym_map_type] = STATE(3856),
    [sym_matrix_type] = STATE(3856),
    [sym_distinct_type] = STATE(3856),
    [sym_literal] = STATE(3856),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(619),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1831] = {
    [sym_expression] = STATE(5647),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1832] = {
    [sym_expression] = STATE(3972),
    [sym__expression_no_tag] = STATE(4174),
    [sym_unary_expression] = STATE(4174),
    [sym_binary_expression] = STATE(4174),
    [sym_ternary_expression] = STATE(4174),
    [sym_call_expression] = STATE(4174),
    [sym_selector_call_expression] = STATE(4174),
    [sym_member_expression] = STATE(4174),
    [sym_index_expression] = STATE(4174),
    [sym_slice_expression] = STATE(4174),
    [sym_range_expression] = STATE(4174),
    [sym_cast_expression] = STATE(4174),
    [sym_in_expression] = STATE(4174),
    [sym_variadic_expression] = STATE(4174),
    [sym_parenthesized_expression] = STATE(4174),
    [sym_or_return_expression] = STATE(4174),
    [sym_or_continue_expression] = STATE(4174),
    [sym_or_break_expression] = STATE(4174),
    [sym_address] = STATE(4174),
    [sym_map_type] = STATE(4174),
    [sym_matrix_type] = STATE(4174),
    [sym_distinct_type] = STATE(4174),
    [sym_literal] = STATE(4174),
    [sym_struct] = STATE(3145),
    [sym_map] = STATE(2871),
    [sym_bit_set] = STATE(2871),
    [sym_matrix] = STATE(2871),
    [sym_string] = STATE(2871),
    [sym__string_literal] = STATE(2874),
    [sym__raw_string_literal] = STATE(2874),
    [sym_character] = STATE(2871),
    [sym_boolean] = STATE(2871),
    [sym_field_identifier] = STATE(7825),
    [sym_identifier] = ACTIONS(493),
    [anon_sym_LBRACE] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_QMARK] = ACTIONS(6138),
    [anon_sym_PLUS] = ACTIONS(531),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(531),
    [anon_sym_AMP] = ACTIONS(531),
    [anon_sym_DOT] = ACTIONS(533),
    [anon_sym_LBRACK] = ACTIONS(535),
    [anon_sym_cast] = ACTIONS(497),
    [anon_sym_transmute] = ACTIONS(497),
    [anon_sym_auto_cast] = ACTIONS(499),
    [anon_sym_DOT_DOT] = ACTIONS(6104),
    [anon_sym_map] = ACTIONS(503),
    [anon_sym_bit_set] = ACTIONS(505),
    [anon_sym_matrix] = ACTIONS(507),
    [anon_sym_distinct] = ACTIONS(509),
    [sym_number] = ACTIONS(511),
    [anon_sym_DQUOTE] = ACTIONS(513),
    [anon_sym_BQUOTE] = ACTIONS(515),
    [anon_sym_SQUOTE] = ACTIONS(517),
    [anon_sym_true] = ACTIONS(519),
    [anon_sym_false] = ACTIONS(519),
    [sym_nil] = ACTIONS(521),
    [sym_uninitialized] = ACTIONS(511),
    [sym_tag] = ACTIONS(537),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(511),
    [sym_block_comment] = ACTIONS(3),
  },
  [1833] = {
    [sym_expression] = STATE(1135),
    [sym__expression_no_tag] = STATE(743),
    [sym_unary_expression] = STATE(743),
    [sym_binary_expression] = STATE(743),
    [sym_ternary_expression] = STATE(743),
    [sym_call_expression] = STATE(743),
    [sym_selector_call_expression] = STATE(743),
    [sym_member_expression] = STATE(743),
    [sym_index_expression] = STATE(743),
    [sym_slice_expression] = STATE(743),
    [sym_range_expression] = STATE(743),
    [sym_cast_expression] = STATE(743),
    [sym_in_expression] = STATE(743),
    [sym_variadic_expression] = STATE(743),
    [sym_parenthesized_expression] = STATE(743),
    [sym_or_return_expression] = STATE(743),
    [sym_or_continue_expression] = STATE(743),
    [sym_or_break_expression] = STATE(743),
    [sym_address] = STATE(743),
    [sym_map_type] = STATE(743),
    [sym_matrix_type] = STATE(743),
    [sym_distinct_type] = STATE(743),
    [sym_literal] = STATE(743),
    [sym_struct] = STATE(933),
    [sym_map] = STATE(925),
    [sym_bit_set] = STATE(925),
    [sym_matrix] = STATE(925),
    [sym_string] = STATE(925),
    [sym__string_literal] = STATE(934),
    [sym__raw_string_literal] = STATE(934),
    [sym_character] = STATE(925),
    [sym_boolean] = STATE(925),
    [sym_field_identifier] = STATE(7874),
    [sym_identifier] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(135),
    [anon_sym_QMARK] = ACTIONS(137),
    [anon_sym_PLUS] = ACTIONS(6046),
    [anon_sym_DASH] = ACTIONS(139),
    [anon_sym_TILDE] = ACTIONS(6046),
    [anon_sym_BANG] = ACTIONS(6046),
    [anon_sym_AMP] = ACTIONS(6046),
    [anon_sym_DOT] = ACTIONS(141),
    [anon_sym_LBRACK] = ACTIONS(143),
    [anon_sym_cast] = ACTIONS(145),
    [anon_sym_transmute] = ACTIONS(145),
    [anon_sym_auto_cast] = ACTIONS(147),
    [anon_sym_DOT_DOT] = ACTIONS(6048),
    [anon_sym_map] = ACTIONS(151),
    [anon_sym_bit_set] = ACTIONS(153),
    [anon_sym_matrix] = ACTIONS(155),
    [anon_sym_distinct] = ACTIONS(157),
    [sym_number] = ACTIONS(159),
    [anon_sym_DQUOTE] = ACTIONS(161),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [anon_sym_SQUOTE] = ACTIONS(165),
    [anon_sym_true] = ACTIONS(167),
    [anon_sym_false] = ACTIONS(167),
    [sym_nil] = ACTIONS(169),
    [sym_uninitialized] = ACTIONS(159),
    [sym_tag] = ACTIONS(171),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(159),
    [sym_block_comment] = ACTIONS(3),
  },
  [1834] = {
    [sym_expression] = STATE(5851),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1835] = {
    [sym_expression] = STATE(5852),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1836] = {
    [sym_expression] = STATE(2084),
    [sym__expression_no_tag] = STATE(2219),
    [sym_unary_expression] = STATE(2219),
    [sym_binary_expression] = STATE(2219),
    [sym_ternary_expression] = STATE(2219),
    [sym_call_expression] = STATE(2219),
    [sym_selector_call_expression] = STATE(2219),
    [sym_member_expression] = STATE(2219),
    [sym_index_expression] = STATE(2219),
    [sym_slice_expression] = STATE(2219),
    [sym_range_expression] = STATE(2219),
    [sym_cast_expression] = STATE(2219),
    [sym_in_expression] = STATE(2219),
    [sym_variadic_expression] = STATE(2219),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_or_return_expression] = STATE(2219),
    [sym_or_continue_expression] = STATE(2219),
    [sym_or_break_expression] = STATE(2219),
    [sym_address] = STATE(2219),
    [sym_map_type] = STATE(2219),
    [sym_matrix_type] = STATE(2219),
    [sym_distinct_type] = STATE(2219),
    [sym_literal] = STATE(2219),
    [sym_struct] = STATE(2056),
    [sym_map] = STATE(2054),
    [sym_bit_set] = STATE(2054),
    [sym_matrix] = STATE(2054),
    [sym_string] = STATE(2054),
    [sym__string_literal] = STATE(2057),
    [sym__raw_string_literal] = STATE(2057),
    [sym_character] = STATE(2054),
    [sym_boolean] = STATE(2054),
    [sym_field_identifier] = STATE(7869),
    [sym_identifier] = ACTIONS(207),
    [anon_sym_LBRACE] = ACTIONS(237),
    [anon_sym_LPAREN] = ACTIONS(239),
    [anon_sym_QMARK] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(6042),
    [anon_sym_DASH] = ACTIONS(209),
    [anon_sym_TILDE] = ACTIONS(6042),
    [anon_sym_BANG] = ACTIONS(6042),
    [anon_sym_AMP] = ACTIONS(6042),
    [anon_sym_DOT] = ACTIONS(243),
    [anon_sym_LBRACK] = ACTIONS(245),
    [anon_sym_cast] = ACTIONS(211),
    [anon_sym_transmute] = ACTIONS(211),
    [anon_sym_auto_cast] = ACTIONS(213),
    [anon_sym_DOT_DOT] = ACTIONS(6044),
    [anon_sym_map] = ACTIONS(217),
    [anon_sym_bit_set] = ACTIONS(219),
    [anon_sym_matrix] = ACTIONS(221),
    [anon_sym_distinct] = ACTIONS(223),
    [sym_number] = ACTIONS(225),
    [anon_sym_DQUOTE] = ACTIONS(227),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_SQUOTE] = ACTIONS(231),
    [anon_sym_true] = ACTIONS(233),
    [anon_sym_false] = ACTIONS(233),
    [sym_nil] = ACTIONS(235),
    [sym_uninitialized] = ACTIONS(225),
    [sym_tag] = ACTIONS(247),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(225),
    [sym_block_comment] = ACTIONS(3),
  },
  [1837] = {
    [sym_expression] = STATE(5630),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1838] = {
    [sym_expression] = STATE(5856),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1839] = {
    [sym_expression] = STATE(5857),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1840] = {
    [sym_expression] = STATE(2654),
    [sym__expression_no_tag] = STATE(2664),
    [sym_unary_expression] = STATE(2664),
    [sym_binary_expression] = STATE(2664),
    [sym_ternary_expression] = STATE(2664),
    [sym_call_expression] = STATE(2664),
    [sym_selector_call_expression] = STATE(2664),
    [sym_member_expression] = STATE(2664),
    [sym_index_expression] = STATE(2664),
    [sym_slice_expression] = STATE(2664),
    [sym_range_expression] = STATE(2664),
    [sym_cast_expression] = STATE(2664),
    [sym_in_expression] = STATE(2664),
    [sym_variadic_expression] = STATE(2664),
    [sym_parenthesized_expression] = STATE(2664),
    [sym_or_return_expression] = STATE(2664),
    [sym_or_continue_expression] = STATE(2664),
    [sym_or_break_expression] = STATE(2664),
    [sym_address] = STATE(2664),
    [sym_map_type] = STATE(2664),
    [sym_matrix_type] = STATE(2664),
    [sym_distinct_type] = STATE(2664),
    [sym_literal] = STATE(2664),
    [sym_struct] = STATE(2632),
    [sym_map] = STATE(2566),
    [sym_bit_set] = STATE(2566),
    [sym_matrix] = STATE(2566),
    [sym_string] = STATE(2566),
    [sym__string_literal] = STATE(2591),
    [sym__raw_string_literal] = STATE(2591),
    [sym_character] = STATE(2566),
    [sym_boolean] = STATE(2566),
    [sym_field_identifier] = STATE(7902),
    [sym_identifier] = ACTIONS(249),
    [anon_sym_LBRACE] = ACTIONS(251),
    [anon_sym_LPAREN] = ACTIONS(291),
    [anon_sym_QMARK] = ACTIONS(293),
    [anon_sym_PLUS] = ACTIONS(3175),
    [anon_sym_DASH] = ACTIONS(295),
    [anon_sym_TILDE] = ACTIONS(3175),
    [anon_sym_BANG] = ACTIONS(3175),
    [anon_sym_AMP] = ACTIONS(3175),
    [anon_sym_DOT] = ACTIONS(297),
    [anon_sym_LBRACK] = ACTIONS(261),
    [anon_sym_cast] = ACTIONS(299),
    [anon_sym_transmute] = ACTIONS(299),
    [anon_sym_auto_cast] = ACTIONS(301),
    [anon_sym_DOT_DOT] = ACTIONS(3177),
    [anon_sym_map] = ACTIONS(269),
    [anon_sym_bit_set] = ACTIONS(271),
    [anon_sym_matrix] = ACTIONS(273),
    [anon_sym_distinct] = ACTIONS(275),
    [sym_number] = ACTIONS(277),
    [anon_sym_DQUOTE] = ACTIONS(279),
    [anon_sym_BQUOTE] = ACTIONS(281),
    [anon_sym_SQUOTE] = ACTIONS(283),
    [anon_sym_true] = ACTIONS(285),
    [anon_sym_false] = ACTIONS(285),
    [sym_nil] = ACTIONS(287),
    [sym_uninitialized] = ACTIONS(277),
    [sym_tag] = ACTIONS(305),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(277),
    [sym_block_comment] = ACTIONS(3),
  },
  [1841] = {
    [sym_expression] = STATE(2662),
    [sym__expression_no_tag] = STATE(2664),
    [sym_unary_expression] = STATE(2664),
    [sym_binary_expression] = STATE(2664),
    [sym_ternary_expression] = STATE(2664),
    [sym_call_expression] = STATE(2664),
    [sym_selector_call_expression] = STATE(2664),
    [sym_member_expression] = STATE(2664),
    [sym_index_expression] = STATE(2664),
    [sym_slice_expression] = STATE(2664),
    [sym_range_expression] = STATE(2664),
    [sym_cast_expression] = STATE(2664),
    [sym_in_expression] = STATE(2664),
    [sym_variadic_expression] = STATE(2664),
    [sym_parenthesized_expression] = STATE(2664),
    [sym_or_return_expression] = STATE(2664),
    [sym_or_continue_expression] = STATE(2664),
    [sym_or_break_expression] = STATE(2664),
    [sym_address] = STATE(2664),
    [sym_map_type] = STATE(2664),
    [sym_matrix_type] = STATE(2664),
    [sym_distinct_type] = STATE(2664),
    [sym_literal] = STATE(2664),
    [sym_struct] = STATE(2632),
    [sym_map] = STATE(2566),
    [sym_bit_set] = STATE(2566),
    [sym_matrix] = STATE(2566),
    [sym_string] = STATE(2566),
    [sym__string_literal] = STATE(2591),
    [sym__raw_string_literal] = STATE(2591),
    [sym_character] = STATE(2566),
    [sym_boolean] = STATE(2566),
    [sym_field_identifier] = STATE(7902),
    [sym_identifier] = ACTIONS(249),
    [anon_sym_LBRACE] = ACTIONS(251),
    [anon_sym_LPAREN] = ACTIONS(291),
    [anon_sym_QMARK] = ACTIONS(293),
    [anon_sym_PLUS] = ACTIONS(3175),
    [anon_sym_DASH] = ACTIONS(295),
    [anon_sym_TILDE] = ACTIONS(3175),
    [anon_sym_BANG] = ACTIONS(3175),
    [anon_sym_AMP] = ACTIONS(3175),
    [anon_sym_DOT] = ACTIONS(297),
    [anon_sym_LBRACK] = ACTIONS(261),
    [anon_sym_cast] = ACTIONS(299),
    [anon_sym_transmute] = ACTIONS(299),
    [anon_sym_auto_cast] = ACTIONS(301),
    [anon_sym_DOT_DOT] = ACTIONS(3177),
    [anon_sym_map] = ACTIONS(269),
    [anon_sym_bit_set] = ACTIONS(271),
    [anon_sym_matrix] = ACTIONS(273),
    [anon_sym_distinct] = ACTIONS(275),
    [sym_number] = ACTIONS(277),
    [anon_sym_DQUOTE] = ACTIONS(279),
    [anon_sym_BQUOTE] = ACTIONS(281),
    [anon_sym_SQUOTE] = ACTIONS(283),
    [anon_sym_true] = ACTIONS(285),
    [anon_sym_false] = ACTIONS(285),
    [sym_nil] = ACTIONS(287),
    [sym_uninitialized] = ACTIONS(277),
    [sym_tag] = ACTIONS(305),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(277),
    [sym_block_comment] = ACTIONS(3),
  },
  [1842] = {
    [sym_expression] = STATE(5860),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1843] = {
    [sym_expression] = STATE(5861),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1844] = {
    [sym_expression] = STATE(2663),
    [sym__expression_no_tag] = STATE(2664),
    [sym_unary_expression] = STATE(2664),
    [sym_binary_expression] = STATE(2664),
    [sym_ternary_expression] = STATE(2664),
    [sym_call_expression] = STATE(2664),
    [sym_selector_call_expression] = STATE(2664),
    [sym_member_expression] = STATE(2664),
    [sym_index_expression] = STATE(2664),
    [sym_slice_expression] = STATE(2664),
    [sym_range_expression] = STATE(2664),
    [sym_cast_expression] = STATE(2664),
    [sym_in_expression] = STATE(2664),
    [sym_variadic_expression] = STATE(2664),
    [sym_parenthesized_expression] = STATE(2664),
    [sym_or_return_expression] = STATE(2664),
    [sym_or_continue_expression] = STATE(2664),
    [sym_or_break_expression] = STATE(2664),
    [sym_address] = STATE(2664),
    [sym_map_type] = STATE(2664),
    [sym_matrix_type] = STATE(2664),
    [sym_distinct_type] = STATE(2664),
    [sym_literal] = STATE(2664),
    [sym_struct] = STATE(2632),
    [sym_map] = STATE(2566),
    [sym_bit_set] = STATE(2566),
    [sym_matrix] = STATE(2566),
    [sym_string] = STATE(2566),
    [sym__string_literal] = STATE(2591),
    [sym__raw_string_literal] = STATE(2591),
    [sym_character] = STATE(2566),
    [sym_boolean] = STATE(2566),
    [sym_field_identifier] = STATE(7902),
    [sym_identifier] = ACTIONS(249),
    [anon_sym_LBRACE] = ACTIONS(251),
    [anon_sym_LPAREN] = ACTIONS(291),
    [anon_sym_QMARK] = ACTIONS(293),
    [anon_sym_PLUS] = ACTIONS(3175),
    [anon_sym_DASH] = ACTIONS(295),
    [anon_sym_TILDE] = ACTIONS(3175),
    [anon_sym_BANG] = ACTIONS(3175),
    [anon_sym_AMP] = ACTIONS(3175),
    [anon_sym_DOT] = ACTIONS(297),
    [anon_sym_LBRACK] = ACTIONS(261),
    [anon_sym_cast] = ACTIONS(299),
    [anon_sym_transmute] = ACTIONS(299),
    [anon_sym_auto_cast] = ACTIONS(301),
    [anon_sym_DOT_DOT] = ACTIONS(3177),
    [anon_sym_map] = ACTIONS(269),
    [anon_sym_bit_set] = ACTIONS(271),
    [anon_sym_matrix] = ACTIONS(273),
    [anon_sym_distinct] = ACTIONS(275),
    [sym_number] = ACTIONS(277),
    [anon_sym_DQUOTE] = ACTIONS(279),
    [anon_sym_BQUOTE] = ACTIONS(281),
    [anon_sym_SQUOTE] = ACTIONS(283),
    [anon_sym_true] = ACTIONS(285),
    [anon_sym_false] = ACTIONS(285),
    [sym_nil] = ACTIONS(287),
    [sym_uninitialized] = ACTIONS(277),
    [sym_tag] = ACTIONS(305),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(277),
    [sym_block_comment] = ACTIONS(3),
  },
  [1845] = {
    [sym_expression] = STATE(5866),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1846] = {
    [sym_expression] = STATE(5867),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1847] = {
    [sym_expression] = STATE(3909),
    [sym__expression_no_tag] = STATE(3856),
    [sym_unary_expression] = STATE(3856),
    [sym_binary_expression] = STATE(3856),
    [sym_ternary_expression] = STATE(3856),
    [sym_call_expression] = STATE(3856),
    [sym_selector_call_expression] = STATE(3856),
    [sym_member_expression] = STATE(3856),
    [sym_index_expression] = STATE(3856),
    [sym_slice_expression] = STATE(3856),
    [sym_range_expression] = STATE(3856),
    [sym_cast_expression] = STATE(3856),
    [sym_in_expression] = STATE(3856),
    [sym_variadic_expression] = STATE(3856),
    [sym_parenthesized_expression] = STATE(3856),
    [sym_or_return_expression] = STATE(3856),
    [sym_or_continue_expression] = STATE(3856),
    [sym_or_break_expression] = STATE(3856),
    [sym_address] = STATE(3856),
    [sym_map_type] = STATE(3856),
    [sym_matrix_type] = STATE(3856),
    [sym_distinct_type] = STATE(3856),
    [sym_literal] = STATE(3856),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(619),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1848] = {
    [sym_expression] = STATE(2556),
    [sym__expression_no_tag] = STATE(2664),
    [sym_unary_expression] = STATE(2664),
    [sym_binary_expression] = STATE(2664),
    [sym_ternary_expression] = STATE(2664),
    [sym_call_expression] = STATE(2664),
    [sym_selector_call_expression] = STATE(2664),
    [sym_member_expression] = STATE(2664),
    [sym_index_expression] = STATE(2664),
    [sym_slice_expression] = STATE(2664),
    [sym_range_expression] = STATE(2664),
    [sym_cast_expression] = STATE(2664),
    [sym_in_expression] = STATE(2664),
    [sym_variadic_expression] = STATE(2664),
    [sym_parenthesized_expression] = STATE(2664),
    [sym_or_return_expression] = STATE(2664),
    [sym_or_continue_expression] = STATE(2664),
    [sym_or_break_expression] = STATE(2664),
    [sym_address] = STATE(2664),
    [sym_map_type] = STATE(2664),
    [sym_matrix_type] = STATE(2664),
    [sym_distinct_type] = STATE(2664),
    [sym_literal] = STATE(2664),
    [sym_struct] = STATE(2632),
    [sym_map] = STATE(2566),
    [sym_bit_set] = STATE(2566),
    [sym_matrix] = STATE(2566),
    [sym_string] = STATE(2566),
    [sym__string_literal] = STATE(2591),
    [sym__raw_string_literal] = STATE(2591),
    [sym_character] = STATE(2566),
    [sym_boolean] = STATE(2566),
    [sym_field_identifier] = STATE(7902),
    [sym_identifier] = ACTIONS(249),
    [anon_sym_LBRACE] = ACTIONS(251),
    [anon_sym_LPAREN] = ACTIONS(291),
    [anon_sym_QMARK] = ACTIONS(293),
    [anon_sym_PLUS] = ACTIONS(3175),
    [anon_sym_DASH] = ACTIONS(295),
    [anon_sym_TILDE] = ACTIONS(3175),
    [anon_sym_BANG] = ACTIONS(3175),
    [anon_sym_AMP] = ACTIONS(3175),
    [anon_sym_DOT] = ACTIONS(297),
    [anon_sym_LBRACK] = ACTIONS(261),
    [anon_sym_cast] = ACTIONS(299),
    [anon_sym_transmute] = ACTIONS(299),
    [anon_sym_auto_cast] = ACTIONS(301),
    [anon_sym_DOT_DOT] = ACTIONS(3177),
    [anon_sym_map] = ACTIONS(269),
    [anon_sym_bit_set] = ACTIONS(271),
    [anon_sym_matrix] = ACTIONS(273),
    [anon_sym_distinct] = ACTIONS(275),
    [sym_number] = ACTIONS(277),
    [anon_sym_DQUOTE] = ACTIONS(279),
    [anon_sym_BQUOTE] = ACTIONS(281),
    [anon_sym_SQUOTE] = ACTIONS(283),
    [anon_sym_true] = ACTIONS(285),
    [anon_sym_false] = ACTIONS(285),
    [sym_nil] = ACTIONS(287),
    [sym_uninitialized] = ACTIONS(277),
    [sym_tag] = ACTIONS(305),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(277),
    [sym_block_comment] = ACTIONS(3),
  },
  [1849] = {
    [sym_expression] = STATE(2557),
    [sym__expression_no_tag] = STATE(2664),
    [sym_unary_expression] = STATE(2664),
    [sym_binary_expression] = STATE(2664),
    [sym_ternary_expression] = STATE(2664),
    [sym_call_expression] = STATE(2664),
    [sym_selector_call_expression] = STATE(2664),
    [sym_member_expression] = STATE(2664),
    [sym_index_expression] = STATE(2664),
    [sym_slice_expression] = STATE(2664),
    [sym_range_expression] = STATE(2664),
    [sym_cast_expression] = STATE(2664),
    [sym_in_expression] = STATE(2664),
    [sym_variadic_expression] = STATE(2664),
    [sym_parenthesized_expression] = STATE(2664),
    [sym_or_return_expression] = STATE(2664),
    [sym_or_continue_expression] = STATE(2664),
    [sym_or_break_expression] = STATE(2664),
    [sym_address] = STATE(2664),
    [sym_map_type] = STATE(2664),
    [sym_matrix_type] = STATE(2664),
    [sym_distinct_type] = STATE(2664),
    [sym_literal] = STATE(2664),
    [sym_struct] = STATE(2632),
    [sym_map] = STATE(2566),
    [sym_bit_set] = STATE(2566),
    [sym_matrix] = STATE(2566),
    [sym_string] = STATE(2566),
    [sym__string_literal] = STATE(2591),
    [sym__raw_string_literal] = STATE(2591),
    [sym_character] = STATE(2566),
    [sym_boolean] = STATE(2566),
    [sym_field_identifier] = STATE(7902),
    [sym_identifier] = ACTIONS(249),
    [anon_sym_LBRACE] = ACTIONS(251),
    [anon_sym_LPAREN] = ACTIONS(291),
    [anon_sym_QMARK] = ACTIONS(293),
    [anon_sym_PLUS] = ACTIONS(3175),
    [anon_sym_DASH] = ACTIONS(295),
    [anon_sym_TILDE] = ACTIONS(3175),
    [anon_sym_BANG] = ACTIONS(3175),
    [anon_sym_AMP] = ACTIONS(3175),
    [anon_sym_DOT] = ACTIONS(297),
    [anon_sym_LBRACK] = ACTIONS(261),
    [anon_sym_cast] = ACTIONS(299),
    [anon_sym_transmute] = ACTIONS(299),
    [anon_sym_auto_cast] = ACTIONS(301),
    [anon_sym_DOT_DOT] = ACTIONS(3177),
    [anon_sym_map] = ACTIONS(269),
    [anon_sym_bit_set] = ACTIONS(271),
    [anon_sym_matrix] = ACTIONS(273),
    [anon_sym_distinct] = ACTIONS(275),
    [sym_number] = ACTIONS(277),
    [anon_sym_DQUOTE] = ACTIONS(279),
    [anon_sym_BQUOTE] = ACTIONS(281),
    [anon_sym_SQUOTE] = ACTIONS(283),
    [anon_sym_true] = ACTIONS(285),
    [anon_sym_false] = ACTIONS(285),
    [sym_nil] = ACTIONS(287),
    [sym_uninitialized] = ACTIONS(277),
    [sym_tag] = ACTIONS(305),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(277),
    [sym_block_comment] = ACTIONS(3),
  },
  [1850] = {
    [sym_expression] = STATE(3196),
    [sym__expression_no_tag] = STATE(2689),
    [sym_unary_expression] = STATE(2689),
    [sym_binary_expression] = STATE(2689),
    [sym_ternary_expression] = STATE(2689),
    [sym_call_expression] = STATE(2689),
    [sym_selector_call_expression] = STATE(2689),
    [sym_member_expression] = STATE(2689),
    [sym_index_expression] = STATE(2689),
    [sym_slice_expression] = STATE(2689),
    [sym_range_expression] = STATE(2689),
    [sym_cast_expression] = STATE(2689),
    [sym_in_expression] = STATE(2689),
    [sym_variadic_expression] = STATE(2689),
    [sym_parenthesized_expression] = STATE(2689),
    [sym_or_return_expression] = STATE(2689),
    [sym_or_continue_expression] = STATE(2689),
    [sym_or_break_expression] = STATE(2689),
    [sym_address] = STATE(2689),
    [sym_map_type] = STATE(2689),
    [sym_matrix_type] = STATE(2689),
    [sym_distinct_type] = STATE(2689),
    [sym_literal] = STATE(2689),
    [sym_struct] = STATE(3145),
    [sym_map] = STATE(2871),
    [sym_bit_set] = STATE(2871),
    [sym_matrix] = STATE(2871),
    [sym_string] = STATE(2871),
    [sym__string_literal] = STATE(2874),
    [sym__raw_string_literal] = STATE(2874),
    [sym_character] = STATE(2871),
    [sym_boolean] = STATE(2871),
    [sym_field_identifier] = STATE(7825),
    [sym_identifier] = ACTIONS(493),
    [anon_sym_LBRACE] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_QMARK] = ACTIONS(529),
    [anon_sym_PLUS] = ACTIONS(531),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(531),
    [anon_sym_AMP] = ACTIONS(531),
    [anon_sym_DOT] = ACTIONS(533),
    [anon_sym_LBRACK] = ACTIONS(535),
    [anon_sym_cast] = ACTIONS(497),
    [anon_sym_transmute] = ACTIONS(497),
    [anon_sym_auto_cast] = ACTIONS(499),
    [anon_sym_DOT_DOT] = ACTIONS(6104),
    [anon_sym_map] = ACTIONS(503),
    [anon_sym_bit_set] = ACTIONS(505),
    [anon_sym_matrix] = ACTIONS(507),
    [anon_sym_distinct] = ACTIONS(509),
    [sym_number] = ACTIONS(511),
    [anon_sym_DQUOTE] = ACTIONS(513),
    [anon_sym_BQUOTE] = ACTIONS(515),
    [anon_sym_SQUOTE] = ACTIONS(517),
    [anon_sym_true] = ACTIONS(519),
    [anon_sym_false] = ACTIONS(519),
    [sym_nil] = ACTIONS(521),
    [sym_uninitialized] = ACTIONS(511),
    [sym_tag] = ACTIONS(537),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(511),
    [sym_block_comment] = ACTIONS(3),
  },
  [1851] = {
    [sym_expression] = STATE(3264),
    [sym__expression_no_tag] = STATE(2799),
    [sym_unary_expression] = STATE(2799),
    [sym_binary_expression] = STATE(2799),
    [sym_ternary_expression] = STATE(2799),
    [sym_call_expression] = STATE(2799),
    [sym_selector_call_expression] = STATE(2799),
    [sym_member_expression] = STATE(2799),
    [sym_index_expression] = STATE(2799),
    [sym_slice_expression] = STATE(2799),
    [sym_range_expression] = STATE(2799),
    [sym_cast_expression] = STATE(2799),
    [sym_in_expression] = STATE(2799),
    [sym_variadic_expression] = STATE(2799),
    [sym_parenthesized_expression] = STATE(2799),
    [sym_or_return_expression] = STATE(2799),
    [sym_or_continue_expression] = STATE(2799),
    [sym_or_break_expression] = STATE(2799),
    [sym_address] = STATE(2799),
    [sym_map_type] = STATE(2799),
    [sym_matrix_type] = STATE(2799),
    [sym_distinct_type] = STATE(2799),
    [sym_literal] = STATE(2799),
    [sym_struct] = STATE(2751),
    [sym_map] = STATE(2747),
    [sym_bit_set] = STATE(2747),
    [sym_matrix] = STATE(2747),
    [sym_string] = STATE(2747),
    [sym__string_literal] = STATE(2752),
    [sym__raw_string_literal] = STATE(2752),
    [sym_character] = STATE(2747),
    [sym_boolean] = STATE(2747),
    [sym_field_identifier] = STATE(7946),
    [sym_identifier] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(309),
    [anon_sym_LPAREN] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(3163),
    [anon_sym_PLUS] = ACTIONS(3165),
    [anon_sym_DASH] = ACTIONS(311),
    [anon_sym_TILDE] = ACTIONS(3165),
    [anon_sym_BANG] = ACTIONS(3165),
    [anon_sym_AMP] = ACTIONS(3165),
    [anon_sym_DOT] = ACTIONS(377),
    [anon_sym_LBRACK] = ACTIONS(379),
    [anon_sym_cast] = ACTIONS(313),
    [anon_sym_transmute] = ACTIONS(313),
    [anon_sym_auto_cast] = ACTIONS(315),
    [anon_sym_DOT_DOT] = ACTIONS(3167),
    [anon_sym_map] = ACTIONS(319),
    [anon_sym_bit_set] = ACTIONS(321),
    [anon_sym_matrix] = ACTIONS(323),
    [anon_sym_distinct] = ACTIONS(325),
    [sym_number] = ACTIONS(327),
    [anon_sym_DQUOTE] = ACTIONS(329),
    [anon_sym_BQUOTE] = ACTIONS(331),
    [anon_sym_SQUOTE] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym_nil] = ACTIONS(337),
    [sym_uninitialized] = ACTIONS(327),
    [sym_tag] = ACTIONS(339),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(327),
    [sym_block_comment] = ACTIONS(3),
  },
  [1852] = {
    [sym_expression] = STATE(4195),
    [sym__expression_no_tag] = STATE(4282),
    [sym_unary_expression] = STATE(4282),
    [sym_binary_expression] = STATE(4282),
    [sym_ternary_expression] = STATE(4282),
    [sym_call_expression] = STATE(4282),
    [sym_selector_call_expression] = STATE(4282),
    [sym_member_expression] = STATE(4282),
    [sym_index_expression] = STATE(4282),
    [sym_slice_expression] = STATE(4282),
    [sym_range_expression] = STATE(4282),
    [sym_cast_expression] = STATE(4282),
    [sym_in_expression] = STATE(4282),
    [sym_variadic_expression] = STATE(4282),
    [sym_parenthesized_expression] = STATE(4282),
    [sym_or_return_expression] = STATE(4282),
    [sym_or_continue_expression] = STATE(4282),
    [sym_or_break_expression] = STATE(4282),
    [sym_address] = STATE(4282),
    [sym_map_type] = STATE(4282),
    [sym_matrix_type] = STATE(4282),
    [sym_distinct_type] = STATE(4282),
    [sym_literal] = STATE(4282),
    [sym_struct] = STATE(4297),
    [sym_map] = STATE(4290),
    [sym_bit_set] = STATE(4290),
    [sym_matrix] = STATE(4290),
    [sym_string] = STATE(4290),
    [sym__string_literal] = STATE(4298),
    [sym__raw_string_literal] = STATE(4298),
    [sym_character] = STATE(4290),
    [sym_boolean] = STATE(4290),
    [sym_field_identifier] = STATE(7838),
    [sym_identifier] = ACTIONS(757),
    [anon_sym_LBRACE] = ACTIONS(707),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_QMARK] = ACTIONS(769),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(721),
    [anon_sym_TILDE] = ACTIONS(719),
    [anon_sym_BANG] = ACTIONS(719),
    [anon_sym_AMP] = ACTIONS(719),
    [anon_sym_DOT] = ACTIONS(723),
    [anon_sym_LBRACK] = ACTIONS(725),
    [anon_sym_cast] = ACTIONS(727),
    [anon_sym_transmute] = ACTIONS(727),
    [anon_sym_auto_cast] = ACTIONS(729),
    [anon_sym_DOT_DOT] = ACTIONS(2849),
    [anon_sym_map] = ACTIONS(733),
    [anon_sym_bit_set] = ACTIONS(735),
    [anon_sym_matrix] = ACTIONS(737),
    [anon_sym_distinct] = ACTIONS(739),
    [sym_number] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(743),
    [anon_sym_BQUOTE] = ACTIONS(745),
    [anon_sym_SQUOTE] = ACTIONS(747),
    [anon_sym_true] = ACTIONS(749),
    [anon_sym_false] = ACTIONS(749),
    [sym_nil] = ACTIONS(751),
    [sym_uninitialized] = ACTIONS(741),
    [sym_tag] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(741),
    [sym_block_comment] = ACTIONS(3),
  },
  [1853] = {
    [sym_expression] = STATE(4294),
    [sym__expression_no_tag] = STATE(4016),
    [sym_unary_expression] = STATE(4016),
    [sym_binary_expression] = STATE(4016),
    [sym_ternary_expression] = STATE(4016),
    [sym_call_expression] = STATE(4016),
    [sym_selector_call_expression] = STATE(4016),
    [sym_member_expression] = STATE(4016),
    [sym_index_expression] = STATE(4016),
    [sym_slice_expression] = STATE(4016),
    [sym_range_expression] = STATE(4016),
    [sym_cast_expression] = STATE(4016),
    [sym_in_expression] = STATE(4016),
    [sym_variadic_expression] = STATE(4016),
    [sym_parenthesized_expression] = STATE(4016),
    [sym_or_return_expression] = STATE(4016),
    [sym_or_continue_expression] = STATE(4016),
    [sym_or_break_expression] = STATE(4016),
    [sym_address] = STATE(4016),
    [sym_map_type] = STATE(4016),
    [sym_matrix_type] = STATE(4016),
    [sym_distinct_type] = STATE(4016),
    [sym_literal] = STATE(4016),
    [sym_struct] = STATE(4013),
    [sym_map] = STATE(2871),
    [sym_bit_set] = STATE(2871),
    [sym_matrix] = STATE(2871),
    [sym_string] = STATE(2871),
    [sym__string_literal] = STATE(2874),
    [sym__raw_string_literal] = STATE(2874),
    [sym_character] = STATE(2871),
    [sym_boolean] = STATE(2871),
    [sym_field_identifier] = STATE(7825),
    [sym_identifier] = ACTIONS(493),
    [anon_sym_LBRACE] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1099),
    [anon_sym_QMARK] = ACTIONS(6154),
    [anon_sym_PLUS] = ACTIONS(1101),
    [anon_sym_DASH] = ACTIONS(965),
    [anon_sym_TILDE] = ACTIONS(1101),
    [anon_sym_BANG] = ACTIONS(1101),
    [anon_sym_AMP] = ACTIONS(1101),
    [anon_sym_DOT] = ACTIONS(1103),
    [anon_sym_LBRACK] = ACTIONS(535),
    [anon_sym_cast] = ACTIONS(967),
    [anon_sym_transmute] = ACTIONS(967),
    [anon_sym_auto_cast] = ACTIONS(969),
    [anon_sym_DOT_DOT] = ACTIONS(6156),
    [anon_sym_map] = ACTIONS(973),
    [anon_sym_bit_set] = ACTIONS(505),
    [anon_sym_matrix] = ACTIONS(975),
    [anon_sym_distinct] = ACTIONS(977),
    [sym_number] = ACTIONS(511),
    [anon_sym_DQUOTE] = ACTIONS(513),
    [anon_sym_BQUOTE] = ACTIONS(515),
    [anon_sym_SQUOTE] = ACTIONS(517),
    [anon_sym_true] = ACTIONS(519),
    [anon_sym_false] = ACTIONS(519),
    [sym_nil] = ACTIONS(521),
    [sym_uninitialized] = ACTIONS(511),
    [sym_tag] = ACTIONS(537),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(511),
    [sym_block_comment] = ACTIONS(3),
  },
  [1854] = {
    [sym_expression] = STATE(4430),
    [sym__expression_no_tag] = STATE(4016),
    [sym_unary_expression] = STATE(4016),
    [sym_binary_expression] = STATE(4016),
    [sym_ternary_expression] = STATE(4016),
    [sym_call_expression] = STATE(4016),
    [sym_selector_call_expression] = STATE(4016),
    [sym_member_expression] = STATE(4016),
    [sym_index_expression] = STATE(4016),
    [sym_slice_expression] = STATE(4016),
    [sym_range_expression] = STATE(4016),
    [sym_cast_expression] = STATE(4016),
    [sym_in_expression] = STATE(4016),
    [sym_variadic_expression] = STATE(4016),
    [sym_parenthesized_expression] = STATE(4016),
    [sym_or_return_expression] = STATE(4016),
    [sym_or_continue_expression] = STATE(4016),
    [sym_or_break_expression] = STATE(4016),
    [sym_address] = STATE(4016),
    [sym_map_type] = STATE(4016),
    [sym_matrix_type] = STATE(4016),
    [sym_distinct_type] = STATE(4016),
    [sym_literal] = STATE(4016),
    [sym_struct] = STATE(4013),
    [sym_map] = STATE(2871),
    [sym_bit_set] = STATE(2871),
    [sym_matrix] = STATE(2871),
    [sym_string] = STATE(2871),
    [sym__string_literal] = STATE(2874),
    [sym__raw_string_literal] = STATE(2874),
    [sym_character] = STATE(2871),
    [sym_boolean] = STATE(2871),
    [sym_field_identifier] = STATE(7825),
    [sym_identifier] = ACTIONS(493),
    [anon_sym_LBRACE] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1099),
    [anon_sym_QMARK] = ACTIONS(6154),
    [anon_sym_PLUS] = ACTIONS(1101),
    [anon_sym_DASH] = ACTIONS(965),
    [anon_sym_TILDE] = ACTIONS(1101),
    [anon_sym_BANG] = ACTIONS(1101),
    [anon_sym_AMP] = ACTIONS(1101),
    [anon_sym_DOT] = ACTIONS(1103),
    [anon_sym_LBRACK] = ACTIONS(535),
    [anon_sym_cast] = ACTIONS(967),
    [anon_sym_transmute] = ACTIONS(967),
    [anon_sym_auto_cast] = ACTIONS(969),
    [anon_sym_DOT_DOT] = ACTIONS(6156),
    [anon_sym_map] = ACTIONS(973),
    [anon_sym_bit_set] = ACTIONS(505),
    [anon_sym_matrix] = ACTIONS(975),
    [anon_sym_distinct] = ACTIONS(977),
    [sym_number] = ACTIONS(511),
    [anon_sym_DQUOTE] = ACTIONS(513),
    [anon_sym_BQUOTE] = ACTIONS(515),
    [anon_sym_SQUOTE] = ACTIONS(517),
    [anon_sym_true] = ACTIONS(519),
    [anon_sym_false] = ACTIONS(519),
    [sym_nil] = ACTIONS(521),
    [sym_uninitialized] = ACTIONS(511),
    [sym_tag] = ACTIONS(537),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(511),
    [sym_block_comment] = ACTIONS(3),
  },
  [1855] = {
    [sym_expression] = STATE(4014),
    [sym__expression_no_tag] = STATE(2689),
    [sym_unary_expression] = STATE(2689),
    [sym_binary_expression] = STATE(2689),
    [sym_ternary_expression] = STATE(2689),
    [sym_call_expression] = STATE(2689),
    [sym_selector_call_expression] = STATE(2689),
    [sym_member_expression] = STATE(2689),
    [sym_index_expression] = STATE(2689),
    [sym_slice_expression] = STATE(2689),
    [sym_range_expression] = STATE(2689),
    [sym_cast_expression] = STATE(2689),
    [sym_in_expression] = STATE(2689),
    [sym_variadic_expression] = STATE(2689),
    [sym_parenthesized_expression] = STATE(2689),
    [sym_or_return_expression] = STATE(2689),
    [sym_or_continue_expression] = STATE(2689),
    [sym_or_break_expression] = STATE(2689),
    [sym_address] = STATE(2689),
    [sym_map_type] = STATE(2689),
    [sym_matrix_type] = STATE(2689),
    [sym_distinct_type] = STATE(2689),
    [sym_literal] = STATE(2689),
    [sym_struct] = STATE(4013),
    [sym_map] = STATE(2871),
    [sym_bit_set] = STATE(2871),
    [sym_matrix] = STATE(2871),
    [sym_string] = STATE(2871),
    [sym__string_literal] = STATE(2874),
    [sym__raw_string_literal] = STATE(2874),
    [sym_character] = STATE(2871),
    [sym_boolean] = STATE(2871),
    [sym_field_identifier] = STATE(7825),
    [sym_identifier] = ACTIONS(493),
    [anon_sym_LBRACE] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1099),
    [anon_sym_QMARK] = ACTIONS(529),
    [anon_sym_PLUS] = ACTIONS(1101),
    [anon_sym_DASH] = ACTIONS(965),
    [anon_sym_TILDE] = ACTIONS(1101),
    [anon_sym_BANG] = ACTIONS(1101),
    [anon_sym_AMP] = ACTIONS(1101),
    [anon_sym_DOT] = ACTIONS(1103),
    [anon_sym_LBRACK] = ACTIONS(535),
    [anon_sym_cast] = ACTIONS(967),
    [anon_sym_transmute] = ACTIONS(967),
    [anon_sym_auto_cast] = ACTIONS(969),
    [anon_sym_DOT_DOT] = ACTIONS(6156),
    [anon_sym_map] = ACTIONS(973),
    [anon_sym_bit_set] = ACTIONS(505),
    [anon_sym_matrix] = ACTIONS(975),
    [anon_sym_distinct] = ACTIONS(977),
    [sym_number] = ACTIONS(511),
    [anon_sym_DQUOTE] = ACTIONS(513),
    [anon_sym_BQUOTE] = ACTIONS(515),
    [anon_sym_SQUOTE] = ACTIONS(517),
    [anon_sym_true] = ACTIONS(519),
    [anon_sym_false] = ACTIONS(519),
    [sym_nil] = ACTIONS(521),
    [sym_uninitialized] = ACTIONS(511),
    [sym_tag] = ACTIONS(537),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(511),
    [sym_block_comment] = ACTIONS(3),
  },
  [1856] = {
    [sym_expression] = STATE(2876),
    [sym__expression_no_tag] = STATE(2689),
    [sym_unary_expression] = STATE(2689),
    [sym_binary_expression] = STATE(2689),
    [sym_ternary_expression] = STATE(2689),
    [sym_call_expression] = STATE(2689),
    [sym_selector_call_expression] = STATE(2689),
    [sym_member_expression] = STATE(2689),
    [sym_index_expression] = STATE(2689),
    [sym_slice_expression] = STATE(2689),
    [sym_range_expression] = STATE(2689),
    [sym_cast_expression] = STATE(2689),
    [sym_in_expression] = STATE(2689),
    [sym_variadic_expression] = STATE(2689),
    [sym_parenthesized_expression] = STATE(2689),
    [sym_or_return_expression] = STATE(2689),
    [sym_or_continue_expression] = STATE(2689),
    [sym_or_break_expression] = STATE(2689),
    [sym_address] = STATE(2689),
    [sym_map_type] = STATE(2689),
    [sym_matrix_type] = STATE(2689),
    [sym_distinct_type] = STATE(2689),
    [sym_literal] = STATE(2689),
    [sym_struct] = STATE(4013),
    [sym_map] = STATE(2871),
    [sym_bit_set] = STATE(2871),
    [sym_matrix] = STATE(2871),
    [sym_string] = STATE(2871),
    [sym__string_literal] = STATE(2874),
    [sym__raw_string_literal] = STATE(2874),
    [sym_character] = STATE(2871),
    [sym_boolean] = STATE(2871),
    [sym_field_identifier] = STATE(7825),
    [sym_identifier] = ACTIONS(493),
    [anon_sym_LBRACE] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1099),
    [anon_sym_QMARK] = ACTIONS(529),
    [anon_sym_PLUS] = ACTIONS(1101),
    [anon_sym_DASH] = ACTIONS(965),
    [anon_sym_TILDE] = ACTIONS(1101),
    [anon_sym_BANG] = ACTIONS(1101),
    [anon_sym_AMP] = ACTIONS(1101),
    [anon_sym_DOT] = ACTIONS(1103),
    [anon_sym_LBRACK] = ACTIONS(535),
    [anon_sym_cast] = ACTIONS(967),
    [anon_sym_transmute] = ACTIONS(967),
    [anon_sym_auto_cast] = ACTIONS(969),
    [anon_sym_DOT_DOT] = ACTIONS(6156),
    [anon_sym_map] = ACTIONS(973),
    [anon_sym_bit_set] = ACTIONS(505),
    [anon_sym_matrix] = ACTIONS(975),
    [anon_sym_distinct] = ACTIONS(977),
    [sym_number] = ACTIONS(511),
    [anon_sym_DQUOTE] = ACTIONS(513),
    [anon_sym_BQUOTE] = ACTIONS(515),
    [anon_sym_SQUOTE] = ACTIONS(517),
    [anon_sym_true] = ACTIONS(519),
    [anon_sym_false] = ACTIONS(519),
    [sym_nil] = ACTIONS(521),
    [sym_uninitialized] = ACTIONS(511),
    [sym_tag] = ACTIONS(537),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(511),
    [sym_block_comment] = ACTIONS(3),
  },
  [1857] = {
    [sym_expression] = STATE(4015),
    [sym__expression_no_tag] = STATE(2689),
    [sym_unary_expression] = STATE(2689),
    [sym_binary_expression] = STATE(2689),
    [sym_ternary_expression] = STATE(2689),
    [sym_call_expression] = STATE(2689),
    [sym_selector_call_expression] = STATE(2689),
    [sym_member_expression] = STATE(2689),
    [sym_index_expression] = STATE(2689),
    [sym_slice_expression] = STATE(2689),
    [sym_range_expression] = STATE(2689),
    [sym_cast_expression] = STATE(2689),
    [sym_in_expression] = STATE(2689),
    [sym_variadic_expression] = STATE(2689),
    [sym_parenthesized_expression] = STATE(2689),
    [sym_or_return_expression] = STATE(2689),
    [sym_or_continue_expression] = STATE(2689),
    [sym_or_break_expression] = STATE(2689),
    [sym_address] = STATE(2689),
    [sym_map_type] = STATE(2689),
    [sym_matrix_type] = STATE(2689),
    [sym_distinct_type] = STATE(2689),
    [sym_literal] = STATE(2689),
    [sym_struct] = STATE(4013),
    [sym_map] = STATE(2871),
    [sym_bit_set] = STATE(2871),
    [sym_matrix] = STATE(2871),
    [sym_string] = STATE(2871),
    [sym__string_literal] = STATE(2874),
    [sym__raw_string_literal] = STATE(2874),
    [sym_character] = STATE(2871),
    [sym_boolean] = STATE(2871),
    [sym_field_identifier] = STATE(7825),
    [sym_identifier] = ACTIONS(493),
    [anon_sym_LBRACE] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1099),
    [anon_sym_QMARK] = ACTIONS(529),
    [anon_sym_PLUS] = ACTIONS(1101),
    [anon_sym_DASH] = ACTIONS(965),
    [anon_sym_TILDE] = ACTIONS(1101),
    [anon_sym_BANG] = ACTIONS(1101),
    [anon_sym_AMP] = ACTIONS(1101),
    [anon_sym_DOT] = ACTIONS(1103),
    [anon_sym_LBRACK] = ACTIONS(535),
    [anon_sym_cast] = ACTIONS(967),
    [anon_sym_transmute] = ACTIONS(967),
    [anon_sym_auto_cast] = ACTIONS(969),
    [anon_sym_DOT_DOT] = ACTIONS(6156),
    [anon_sym_map] = ACTIONS(973),
    [anon_sym_bit_set] = ACTIONS(505),
    [anon_sym_matrix] = ACTIONS(975),
    [anon_sym_distinct] = ACTIONS(977),
    [sym_number] = ACTIONS(511),
    [anon_sym_DQUOTE] = ACTIONS(513),
    [anon_sym_BQUOTE] = ACTIONS(515),
    [anon_sym_SQUOTE] = ACTIONS(517),
    [anon_sym_true] = ACTIONS(519),
    [anon_sym_false] = ACTIONS(519),
    [sym_nil] = ACTIONS(521),
    [sym_uninitialized] = ACTIONS(511),
    [sym_tag] = ACTIONS(537),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(511),
    [sym_block_comment] = ACTIONS(3),
  },
  [1858] = {
    [sym_expression] = STATE(2877),
    [sym__expression_no_tag] = STATE(2689),
    [sym_unary_expression] = STATE(2689),
    [sym_binary_expression] = STATE(2689),
    [sym_ternary_expression] = STATE(2689),
    [sym_call_expression] = STATE(2689),
    [sym_selector_call_expression] = STATE(2689),
    [sym_member_expression] = STATE(2689),
    [sym_index_expression] = STATE(2689),
    [sym_slice_expression] = STATE(2689),
    [sym_range_expression] = STATE(2689),
    [sym_cast_expression] = STATE(2689),
    [sym_in_expression] = STATE(2689),
    [sym_variadic_expression] = STATE(2689),
    [sym_parenthesized_expression] = STATE(2689),
    [sym_or_return_expression] = STATE(2689),
    [sym_or_continue_expression] = STATE(2689),
    [sym_or_break_expression] = STATE(2689),
    [sym_address] = STATE(2689),
    [sym_map_type] = STATE(2689),
    [sym_matrix_type] = STATE(2689),
    [sym_distinct_type] = STATE(2689),
    [sym_literal] = STATE(2689),
    [sym_struct] = STATE(4013),
    [sym_map] = STATE(2871),
    [sym_bit_set] = STATE(2871),
    [sym_matrix] = STATE(2871),
    [sym_string] = STATE(2871),
    [sym__string_literal] = STATE(2874),
    [sym__raw_string_literal] = STATE(2874),
    [sym_character] = STATE(2871),
    [sym_boolean] = STATE(2871),
    [sym_field_identifier] = STATE(7825),
    [sym_identifier] = ACTIONS(493),
    [anon_sym_LBRACE] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1099),
    [anon_sym_QMARK] = ACTIONS(529),
    [anon_sym_PLUS] = ACTIONS(1101),
    [anon_sym_DASH] = ACTIONS(965),
    [anon_sym_TILDE] = ACTIONS(1101),
    [anon_sym_BANG] = ACTIONS(1101),
    [anon_sym_AMP] = ACTIONS(1101),
    [anon_sym_DOT] = ACTIONS(1103),
    [anon_sym_LBRACK] = ACTIONS(535),
    [anon_sym_cast] = ACTIONS(967),
    [anon_sym_transmute] = ACTIONS(967),
    [anon_sym_auto_cast] = ACTIONS(969),
    [anon_sym_DOT_DOT] = ACTIONS(6156),
    [anon_sym_map] = ACTIONS(973),
    [anon_sym_bit_set] = ACTIONS(505),
    [anon_sym_matrix] = ACTIONS(975),
    [anon_sym_distinct] = ACTIONS(977),
    [sym_number] = ACTIONS(511),
    [anon_sym_DQUOTE] = ACTIONS(513),
    [anon_sym_BQUOTE] = ACTIONS(515),
    [anon_sym_SQUOTE] = ACTIONS(517),
    [anon_sym_true] = ACTIONS(519),
    [anon_sym_false] = ACTIONS(519),
    [sym_nil] = ACTIONS(521),
    [sym_uninitialized] = ACTIONS(511),
    [sym_tag] = ACTIONS(537),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(511),
    [sym_block_comment] = ACTIONS(3),
  },
  [1859] = {
    [sym_expression] = STATE(3980),
    [sym__expression_no_tag] = STATE(2689),
    [sym_unary_expression] = STATE(2689),
    [sym_binary_expression] = STATE(2689),
    [sym_ternary_expression] = STATE(2689),
    [sym_call_expression] = STATE(2689),
    [sym_selector_call_expression] = STATE(2689),
    [sym_member_expression] = STATE(2689),
    [sym_index_expression] = STATE(2689),
    [sym_slice_expression] = STATE(2689),
    [sym_range_expression] = STATE(2689),
    [sym_cast_expression] = STATE(2689),
    [sym_in_expression] = STATE(2689),
    [sym_variadic_expression] = STATE(2689),
    [sym_parenthesized_expression] = STATE(2689),
    [sym_or_return_expression] = STATE(2689),
    [sym_or_continue_expression] = STATE(2689),
    [sym_or_break_expression] = STATE(2689),
    [sym_address] = STATE(2689),
    [sym_map_type] = STATE(2689),
    [sym_matrix_type] = STATE(2689),
    [sym_distinct_type] = STATE(2689),
    [sym_literal] = STATE(2689),
    [sym_struct] = STATE(4013),
    [sym_map] = STATE(2871),
    [sym_bit_set] = STATE(2871),
    [sym_matrix] = STATE(2871),
    [sym_string] = STATE(2871),
    [sym__string_literal] = STATE(2874),
    [sym__raw_string_literal] = STATE(2874),
    [sym_character] = STATE(2871),
    [sym_boolean] = STATE(2871),
    [sym_field_identifier] = STATE(7825),
    [sym_identifier] = ACTIONS(493),
    [anon_sym_LBRACE] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1099),
    [anon_sym_QMARK] = ACTIONS(529),
    [anon_sym_PLUS] = ACTIONS(1101),
    [anon_sym_DASH] = ACTIONS(965),
    [anon_sym_TILDE] = ACTIONS(1101),
    [anon_sym_BANG] = ACTIONS(1101),
    [anon_sym_AMP] = ACTIONS(1101),
    [anon_sym_DOT] = ACTIONS(1103),
    [anon_sym_LBRACK] = ACTIONS(535),
    [anon_sym_cast] = ACTIONS(967),
    [anon_sym_transmute] = ACTIONS(967),
    [anon_sym_auto_cast] = ACTIONS(969),
    [anon_sym_DOT_DOT] = ACTIONS(6156),
    [anon_sym_map] = ACTIONS(973),
    [anon_sym_bit_set] = ACTIONS(505),
    [anon_sym_matrix] = ACTIONS(975),
    [anon_sym_distinct] = ACTIONS(977),
    [sym_number] = ACTIONS(511),
    [anon_sym_DQUOTE] = ACTIONS(513),
    [anon_sym_BQUOTE] = ACTIONS(515),
    [anon_sym_SQUOTE] = ACTIONS(517),
    [anon_sym_true] = ACTIONS(519),
    [anon_sym_false] = ACTIONS(519),
    [sym_nil] = ACTIONS(521),
    [sym_uninitialized] = ACTIONS(511),
    [sym_tag] = ACTIONS(537),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(511),
    [sym_block_comment] = ACTIONS(3),
  },
  [1860] = {
    [sym_expression] = STATE(3981),
    [sym__expression_no_tag] = STATE(2689),
    [sym_unary_expression] = STATE(2689),
    [sym_binary_expression] = STATE(2689),
    [sym_ternary_expression] = STATE(2689),
    [sym_call_expression] = STATE(2689),
    [sym_selector_call_expression] = STATE(2689),
    [sym_member_expression] = STATE(2689),
    [sym_index_expression] = STATE(2689),
    [sym_slice_expression] = STATE(2689),
    [sym_range_expression] = STATE(2689),
    [sym_cast_expression] = STATE(2689),
    [sym_in_expression] = STATE(2689),
    [sym_variadic_expression] = STATE(2689),
    [sym_parenthesized_expression] = STATE(2689),
    [sym_or_return_expression] = STATE(2689),
    [sym_or_continue_expression] = STATE(2689),
    [sym_or_break_expression] = STATE(2689),
    [sym_address] = STATE(2689),
    [sym_map_type] = STATE(2689),
    [sym_matrix_type] = STATE(2689),
    [sym_distinct_type] = STATE(2689),
    [sym_literal] = STATE(2689),
    [sym_struct] = STATE(4013),
    [sym_map] = STATE(2871),
    [sym_bit_set] = STATE(2871),
    [sym_matrix] = STATE(2871),
    [sym_string] = STATE(2871),
    [sym__string_literal] = STATE(2874),
    [sym__raw_string_literal] = STATE(2874),
    [sym_character] = STATE(2871),
    [sym_boolean] = STATE(2871),
    [sym_field_identifier] = STATE(7825),
    [sym_identifier] = ACTIONS(493),
    [anon_sym_LBRACE] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1099),
    [anon_sym_QMARK] = ACTIONS(529),
    [anon_sym_PLUS] = ACTIONS(1101),
    [anon_sym_DASH] = ACTIONS(965),
    [anon_sym_TILDE] = ACTIONS(1101),
    [anon_sym_BANG] = ACTIONS(1101),
    [anon_sym_AMP] = ACTIONS(1101),
    [anon_sym_DOT] = ACTIONS(1103),
    [anon_sym_LBRACK] = ACTIONS(535),
    [anon_sym_cast] = ACTIONS(967),
    [anon_sym_transmute] = ACTIONS(967),
    [anon_sym_auto_cast] = ACTIONS(969),
    [anon_sym_DOT_DOT] = ACTIONS(6156),
    [anon_sym_map] = ACTIONS(973),
    [anon_sym_bit_set] = ACTIONS(505),
    [anon_sym_matrix] = ACTIONS(975),
    [anon_sym_distinct] = ACTIONS(977),
    [sym_number] = ACTIONS(511),
    [anon_sym_DQUOTE] = ACTIONS(513),
    [anon_sym_BQUOTE] = ACTIONS(515),
    [anon_sym_SQUOTE] = ACTIONS(517),
    [anon_sym_true] = ACTIONS(519),
    [anon_sym_false] = ACTIONS(519),
    [sym_nil] = ACTIONS(521),
    [sym_uninitialized] = ACTIONS(511),
    [sym_tag] = ACTIONS(537),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(511),
    [sym_block_comment] = ACTIONS(3),
  },
  [1861] = {
    [sym_expression] = STATE(3982),
    [sym__expression_no_tag] = STATE(2689),
    [sym_unary_expression] = STATE(2689),
    [sym_binary_expression] = STATE(2689),
    [sym_ternary_expression] = STATE(2689),
    [sym_call_expression] = STATE(2689),
    [sym_selector_call_expression] = STATE(2689),
    [sym_member_expression] = STATE(2689),
    [sym_index_expression] = STATE(2689),
    [sym_slice_expression] = STATE(2689),
    [sym_range_expression] = STATE(2689),
    [sym_cast_expression] = STATE(2689),
    [sym_in_expression] = STATE(2689),
    [sym_variadic_expression] = STATE(2689),
    [sym_parenthesized_expression] = STATE(2689),
    [sym_or_return_expression] = STATE(2689),
    [sym_or_continue_expression] = STATE(2689),
    [sym_or_break_expression] = STATE(2689),
    [sym_address] = STATE(2689),
    [sym_map_type] = STATE(2689),
    [sym_matrix_type] = STATE(2689),
    [sym_distinct_type] = STATE(2689),
    [sym_literal] = STATE(2689),
    [sym_struct] = STATE(4013),
    [sym_map] = STATE(2871),
    [sym_bit_set] = STATE(2871),
    [sym_matrix] = STATE(2871),
    [sym_string] = STATE(2871),
    [sym__string_literal] = STATE(2874),
    [sym__raw_string_literal] = STATE(2874),
    [sym_character] = STATE(2871),
    [sym_boolean] = STATE(2871),
    [sym_field_identifier] = STATE(7825),
    [sym_identifier] = ACTIONS(493),
    [anon_sym_LBRACE] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1099),
    [anon_sym_QMARK] = ACTIONS(529),
    [anon_sym_PLUS] = ACTIONS(1101),
    [anon_sym_DASH] = ACTIONS(965),
    [anon_sym_TILDE] = ACTIONS(1101),
    [anon_sym_BANG] = ACTIONS(1101),
    [anon_sym_AMP] = ACTIONS(1101),
    [anon_sym_DOT] = ACTIONS(1103),
    [anon_sym_LBRACK] = ACTIONS(535),
    [anon_sym_cast] = ACTIONS(967),
    [anon_sym_transmute] = ACTIONS(967),
    [anon_sym_auto_cast] = ACTIONS(969),
    [anon_sym_DOT_DOT] = ACTIONS(6156),
    [anon_sym_map] = ACTIONS(973),
    [anon_sym_bit_set] = ACTIONS(505),
    [anon_sym_matrix] = ACTIONS(975),
    [anon_sym_distinct] = ACTIONS(977),
    [sym_number] = ACTIONS(511),
    [anon_sym_DQUOTE] = ACTIONS(513),
    [anon_sym_BQUOTE] = ACTIONS(515),
    [anon_sym_SQUOTE] = ACTIONS(517),
    [anon_sym_true] = ACTIONS(519),
    [anon_sym_false] = ACTIONS(519),
    [sym_nil] = ACTIONS(521),
    [sym_uninitialized] = ACTIONS(511),
    [sym_tag] = ACTIONS(537),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(511),
    [sym_block_comment] = ACTIONS(3),
  },
  [1862] = {
    [sym_expression] = STATE(3983),
    [sym__expression_no_tag] = STATE(2689),
    [sym_unary_expression] = STATE(2689),
    [sym_binary_expression] = STATE(2689),
    [sym_ternary_expression] = STATE(2689),
    [sym_call_expression] = STATE(2689),
    [sym_selector_call_expression] = STATE(2689),
    [sym_member_expression] = STATE(2689),
    [sym_index_expression] = STATE(2689),
    [sym_slice_expression] = STATE(2689),
    [sym_range_expression] = STATE(2689),
    [sym_cast_expression] = STATE(2689),
    [sym_in_expression] = STATE(2689),
    [sym_variadic_expression] = STATE(2689),
    [sym_parenthesized_expression] = STATE(2689),
    [sym_or_return_expression] = STATE(2689),
    [sym_or_continue_expression] = STATE(2689),
    [sym_or_break_expression] = STATE(2689),
    [sym_address] = STATE(2689),
    [sym_map_type] = STATE(2689),
    [sym_matrix_type] = STATE(2689),
    [sym_distinct_type] = STATE(2689),
    [sym_literal] = STATE(2689),
    [sym_struct] = STATE(4013),
    [sym_map] = STATE(2871),
    [sym_bit_set] = STATE(2871),
    [sym_matrix] = STATE(2871),
    [sym_string] = STATE(2871),
    [sym__string_literal] = STATE(2874),
    [sym__raw_string_literal] = STATE(2874),
    [sym_character] = STATE(2871),
    [sym_boolean] = STATE(2871),
    [sym_field_identifier] = STATE(7825),
    [sym_identifier] = ACTIONS(493),
    [anon_sym_LBRACE] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1099),
    [anon_sym_QMARK] = ACTIONS(529),
    [anon_sym_PLUS] = ACTIONS(1101),
    [anon_sym_DASH] = ACTIONS(965),
    [anon_sym_TILDE] = ACTIONS(1101),
    [anon_sym_BANG] = ACTIONS(1101),
    [anon_sym_AMP] = ACTIONS(1101),
    [anon_sym_DOT] = ACTIONS(1103),
    [anon_sym_LBRACK] = ACTIONS(535),
    [anon_sym_cast] = ACTIONS(967),
    [anon_sym_transmute] = ACTIONS(967),
    [anon_sym_auto_cast] = ACTIONS(969),
    [anon_sym_DOT_DOT] = ACTIONS(6156),
    [anon_sym_map] = ACTIONS(973),
    [anon_sym_bit_set] = ACTIONS(505),
    [anon_sym_matrix] = ACTIONS(975),
    [anon_sym_distinct] = ACTIONS(977),
    [sym_number] = ACTIONS(511),
    [anon_sym_DQUOTE] = ACTIONS(513),
    [anon_sym_BQUOTE] = ACTIONS(515),
    [anon_sym_SQUOTE] = ACTIONS(517),
    [anon_sym_true] = ACTIONS(519),
    [anon_sym_false] = ACTIONS(519),
    [sym_nil] = ACTIONS(521),
    [sym_uninitialized] = ACTIONS(511),
    [sym_tag] = ACTIONS(537),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(511),
    [sym_block_comment] = ACTIONS(3),
  },
  [1863] = {
    [sym_expression] = STATE(3984),
    [sym__expression_no_tag] = STATE(2689),
    [sym_unary_expression] = STATE(2689),
    [sym_binary_expression] = STATE(2689),
    [sym_ternary_expression] = STATE(2689),
    [sym_call_expression] = STATE(2689),
    [sym_selector_call_expression] = STATE(2689),
    [sym_member_expression] = STATE(2689),
    [sym_index_expression] = STATE(2689),
    [sym_slice_expression] = STATE(2689),
    [sym_range_expression] = STATE(2689),
    [sym_cast_expression] = STATE(2689),
    [sym_in_expression] = STATE(2689),
    [sym_variadic_expression] = STATE(2689),
    [sym_parenthesized_expression] = STATE(2689),
    [sym_or_return_expression] = STATE(2689),
    [sym_or_continue_expression] = STATE(2689),
    [sym_or_break_expression] = STATE(2689),
    [sym_address] = STATE(2689),
    [sym_map_type] = STATE(2689),
    [sym_matrix_type] = STATE(2689),
    [sym_distinct_type] = STATE(2689),
    [sym_literal] = STATE(2689),
    [sym_struct] = STATE(4013),
    [sym_map] = STATE(2871),
    [sym_bit_set] = STATE(2871),
    [sym_matrix] = STATE(2871),
    [sym_string] = STATE(2871),
    [sym__string_literal] = STATE(2874),
    [sym__raw_string_literal] = STATE(2874),
    [sym_character] = STATE(2871),
    [sym_boolean] = STATE(2871),
    [sym_field_identifier] = STATE(7825),
    [sym_identifier] = ACTIONS(493),
    [anon_sym_LBRACE] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1099),
    [anon_sym_QMARK] = ACTIONS(529),
    [anon_sym_PLUS] = ACTIONS(1101),
    [anon_sym_DASH] = ACTIONS(965),
    [anon_sym_TILDE] = ACTIONS(1101),
    [anon_sym_BANG] = ACTIONS(1101),
    [anon_sym_AMP] = ACTIONS(1101),
    [anon_sym_DOT] = ACTIONS(1103),
    [anon_sym_LBRACK] = ACTIONS(535),
    [anon_sym_cast] = ACTIONS(967),
    [anon_sym_transmute] = ACTIONS(967),
    [anon_sym_auto_cast] = ACTIONS(969),
    [anon_sym_DOT_DOT] = ACTIONS(6156),
    [anon_sym_map] = ACTIONS(973),
    [anon_sym_bit_set] = ACTIONS(505),
    [anon_sym_matrix] = ACTIONS(975),
    [anon_sym_distinct] = ACTIONS(977),
    [sym_number] = ACTIONS(511),
    [anon_sym_DQUOTE] = ACTIONS(513),
    [anon_sym_BQUOTE] = ACTIONS(515),
    [anon_sym_SQUOTE] = ACTIONS(517),
    [anon_sym_true] = ACTIONS(519),
    [anon_sym_false] = ACTIONS(519),
    [sym_nil] = ACTIONS(521),
    [sym_uninitialized] = ACTIONS(511),
    [sym_tag] = ACTIONS(537),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(511),
    [sym_block_comment] = ACTIONS(3),
  },
  [1864] = {
    [sym_expression] = STATE(3985),
    [sym__expression_no_tag] = STATE(2689),
    [sym_unary_expression] = STATE(2689),
    [sym_binary_expression] = STATE(2689),
    [sym_ternary_expression] = STATE(2689),
    [sym_call_expression] = STATE(2689),
    [sym_selector_call_expression] = STATE(2689),
    [sym_member_expression] = STATE(2689),
    [sym_index_expression] = STATE(2689),
    [sym_slice_expression] = STATE(2689),
    [sym_range_expression] = STATE(2689),
    [sym_cast_expression] = STATE(2689),
    [sym_in_expression] = STATE(2689),
    [sym_variadic_expression] = STATE(2689),
    [sym_parenthesized_expression] = STATE(2689),
    [sym_or_return_expression] = STATE(2689),
    [sym_or_continue_expression] = STATE(2689),
    [sym_or_break_expression] = STATE(2689),
    [sym_address] = STATE(2689),
    [sym_map_type] = STATE(2689),
    [sym_matrix_type] = STATE(2689),
    [sym_distinct_type] = STATE(2689),
    [sym_literal] = STATE(2689),
    [sym_struct] = STATE(4013),
    [sym_map] = STATE(2871),
    [sym_bit_set] = STATE(2871),
    [sym_matrix] = STATE(2871),
    [sym_string] = STATE(2871),
    [sym__string_literal] = STATE(2874),
    [sym__raw_string_literal] = STATE(2874),
    [sym_character] = STATE(2871),
    [sym_boolean] = STATE(2871),
    [sym_field_identifier] = STATE(7825),
    [sym_identifier] = ACTIONS(493),
    [anon_sym_LBRACE] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1099),
    [anon_sym_QMARK] = ACTIONS(529),
    [anon_sym_PLUS] = ACTIONS(1101),
    [anon_sym_DASH] = ACTIONS(965),
    [anon_sym_TILDE] = ACTIONS(1101),
    [anon_sym_BANG] = ACTIONS(1101),
    [anon_sym_AMP] = ACTIONS(1101),
    [anon_sym_DOT] = ACTIONS(1103),
    [anon_sym_LBRACK] = ACTIONS(535),
    [anon_sym_cast] = ACTIONS(967),
    [anon_sym_transmute] = ACTIONS(967),
    [anon_sym_auto_cast] = ACTIONS(969),
    [anon_sym_DOT_DOT] = ACTIONS(6156),
    [anon_sym_map] = ACTIONS(973),
    [anon_sym_bit_set] = ACTIONS(505),
    [anon_sym_matrix] = ACTIONS(975),
    [anon_sym_distinct] = ACTIONS(977),
    [sym_number] = ACTIONS(511),
    [anon_sym_DQUOTE] = ACTIONS(513),
    [anon_sym_BQUOTE] = ACTIONS(515),
    [anon_sym_SQUOTE] = ACTIONS(517),
    [anon_sym_true] = ACTIONS(519),
    [anon_sym_false] = ACTIONS(519),
    [sym_nil] = ACTIONS(521),
    [sym_uninitialized] = ACTIONS(511),
    [sym_tag] = ACTIONS(537),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(511),
    [sym_block_comment] = ACTIONS(3),
  },
  [1865] = {
    [sym_expression] = STATE(3986),
    [sym__expression_no_tag] = STATE(2689),
    [sym_unary_expression] = STATE(2689),
    [sym_binary_expression] = STATE(2689),
    [sym_ternary_expression] = STATE(2689),
    [sym_call_expression] = STATE(2689),
    [sym_selector_call_expression] = STATE(2689),
    [sym_member_expression] = STATE(2689),
    [sym_index_expression] = STATE(2689),
    [sym_slice_expression] = STATE(2689),
    [sym_range_expression] = STATE(2689),
    [sym_cast_expression] = STATE(2689),
    [sym_in_expression] = STATE(2689),
    [sym_variadic_expression] = STATE(2689),
    [sym_parenthesized_expression] = STATE(2689),
    [sym_or_return_expression] = STATE(2689),
    [sym_or_continue_expression] = STATE(2689),
    [sym_or_break_expression] = STATE(2689),
    [sym_address] = STATE(2689),
    [sym_map_type] = STATE(2689),
    [sym_matrix_type] = STATE(2689),
    [sym_distinct_type] = STATE(2689),
    [sym_literal] = STATE(2689),
    [sym_struct] = STATE(4013),
    [sym_map] = STATE(2871),
    [sym_bit_set] = STATE(2871),
    [sym_matrix] = STATE(2871),
    [sym_string] = STATE(2871),
    [sym__string_literal] = STATE(2874),
    [sym__raw_string_literal] = STATE(2874),
    [sym_character] = STATE(2871),
    [sym_boolean] = STATE(2871),
    [sym_field_identifier] = STATE(7825),
    [sym_identifier] = ACTIONS(493),
    [anon_sym_LBRACE] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1099),
    [anon_sym_QMARK] = ACTIONS(529),
    [anon_sym_PLUS] = ACTIONS(1101),
    [anon_sym_DASH] = ACTIONS(965),
    [anon_sym_TILDE] = ACTIONS(1101),
    [anon_sym_BANG] = ACTIONS(1101),
    [anon_sym_AMP] = ACTIONS(1101),
    [anon_sym_DOT] = ACTIONS(1103),
    [anon_sym_LBRACK] = ACTIONS(535),
    [anon_sym_cast] = ACTIONS(967),
    [anon_sym_transmute] = ACTIONS(967),
    [anon_sym_auto_cast] = ACTIONS(969),
    [anon_sym_DOT_DOT] = ACTIONS(6156),
    [anon_sym_map] = ACTIONS(973),
    [anon_sym_bit_set] = ACTIONS(505),
    [anon_sym_matrix] = ACTIONS(975),
    [anon_sym_distinct] = ACTIONS(977),
    [sym_number] = ACTIONS(511),
    [anon_sym_DQUOTE] = ACTIONS(513),
    [anon_sym_BQUOTE] = ACTIONS(515),
    [anon_sym_SQUOTE] = ACTIONS(517),
    [anon_sym_true] = ACTIONS(519),
    [anon_sym_false] = ACTIONS(519),
    [sym_nil] = ACTIONS(521),
    [sym_uninitialized] = ACTIONS(511),
    [sym_tag] = ACTIONS(537),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(511),
    [sym_block_comment] = ACTIONS(3),
  },
  [1866] = {
    [sym_expression] = STATE(3987),
    [sym__expression_no_tag] = STATE(2689),
    [sym_unary_expression] = STATE(2689),
    [sym_binary_expression] = STATE(2689),
    [sym_ternary_expression] = STATE(2689),
    [sym_call_expression] = STATE(2689),
    [sym_selector_call_expression] = STATE(2689),
    [sym_member_expression] = STATE(2689),
    [sym_index_expression] = STATE(2689),
    [sym_slice_expression] = STATE(2689),
    [sym_range_expression] = STATE(2689),
    [sym_cast_expression] = STATE(2689),
    [sym_in_expression] = STATE(2689),
    [sym_variadic_expression] = STATE(2689),
    [sym_parenthesized_expression] = STATE(2689),
    [sym_or_return_expression] = STATE(2689),
    [sym_or_continue_expression] = STATE(2689),
    [sym_or_break_expression] = STATE(2689),
    [sym_address] = STATE(2689),
    [sym_map_type] = STATE(2689),
    [sym_matrix_type] = STATE(2689),
    [sym_distinct_type] = STATE(2689),
    [sym_literal] = STATE(2689),
    [sym_struct] = STATE(4013),
    [sym_map] = STATE(2871),
    [sym_bit_set] = STATE(2871),
    [sym_matrix] = STATE(2871),
    [sym_string] = STATE(2871),
    [sym__string_literal] = STATE(2874),
    [sym__raw_string_literal] = STATE(2874),
    [sym_character] = STATE(2871),
    [sym_boolean] = STATE(2871),
    [sym_field_identifier] = STATE(7825),
    [sym_identifier] = ACTIONS(493),
    [anon_sym_LBRACE] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1099),
    [anon_sym_QMARK] = ACTIONS(529),
    [anon_sym_PLUS] = ACTIONS(1101),
    [anon_sym_DASH] = ACTIONS(965),
    [anon_sym_TILDE] = ACTIONS(1101),
    [anon_sym_BANG] = ACTIONS(1101),
    [anon_sym_AMP] = ACTIONS(1101),
    [anon_sym_DOT] = ACTIONS(1103),
    [anon_sym_LBRACK] = ACTIONS(535),
    [anon_sym_cast] = ACTIONS(967),
    [anon_sym_transmute] = ACTIONS(967),
    [anon_sym_auto_cast] = ACTIONS(969),
    [anon_sym_DOT_DOT] = ACTIONS(6156),
    [anon_sym_map] = ACTIONS(973),
    [anon_sym_bit_set] = ACTIONS(505),
    [anon_sym_matrix] = ACTIONS(975),
    [anon_sym_distinct] = ACTIONS(977),
    [sym_number] = ACTIONS(511),
    [anon_sym_DQUOTE] = ACTIONS(513),
    [anon_sym_BQUOTE] = ACTIONS(515),
    [anon_sym_SQUOTE] = ACTIONS(517),
    [anon_sym_true] = ACTIONS(519),
    [anon_sym_false] = ACTIONS(519),
    [sym_nil] = ACTIONS(521),
    [sym_uninitialized] = ACTIONS(511),
    [sym_tag] = ACTIONS(537),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(511),
    [sym_block_comment] = ACTIONS(3),
  },
  [1867] = {
    [sym_expression] = STATE(3988),
    [sym__expression_no_tag] = STATE(2689),
    [sym_unary_expression] = STATE(2689),
    [sym_binary_expression] = STATE(2689),
    [sym_ternary_expression] = STATE(2689),
    [sym_call_expression] = STATE(2689),
    [sym_selector_call_expression] = STATE(2689),
    [sym_member_expression] = STATE(2689),
    [sym_index_expression] = STATE(2689),
    [sym_slice_expression] = STATE(2689),
    [sym_range_expression] = STATE(2689),
    [sym_cast_expression] = STATE(2689),
    [sym_in_expression] = STATE(2689),
    [sym_variadic_expression] = STATE(2689),
    [sym_parenthesized_expression] = STATE(2689),
    [sym_or_return_expression] = STATE(2689),
    [sym_or_continue_expression] = STATE(2689),
    [sym_or_break_expression] = STATE(2689),
    [sym_address] = STATE(2689),
    [sym_map_type] = STATE(2689),
    [sym_matrix_type] = STATE(2689),
    [sym_distinct_type] = STATE(2689),
    [sym_literal] = STATE(2689),
    [sym_struct] = STATE(4013),
    [sym_map] = STATE(2871),
    [sym_bit_set] = STATE(2871),
    [sym_matrix] = STATE(2871),
    [sym_string] = STATE(2871),
    [sym__string_literal] = STATE(2874),
    [sym__raw_string_literal] = STATE(2874),
    [sym_character] = STATE(2871),
    [sym_boolean] = STATE(2871),
    [sym_field_identifier] = STATE(7825),
    [sym_identifier] = ACTIONS(493),
    [anon_sym_LBRACE] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1099),
    [anon_sym_QMARK] = ACTIONS(529),
    [anon_sym_PLUS] = ACTIONS(1101),
    [anon_sym_DASH] = ACTIONS(965),
    [anon_sym_TILDE] = ACTIONS(1101),
    [anon_sym_BANG] = ACTIONS(1101),
    [anon_sym_AMP] = ACTIONS(1101),
    [anon_sym_DOT] = ACTIONS(1103),
    [anon_sym_LBRACK] = ACTIONS(535),
    [anon_sym_cast] = ACTIONS(967),
    [anon_sym_transmute] = ACTIONS(967),
    [anon_sym_auto_cast] = ACTIONS(969),
    [anon_sym_DOT_DOT] = ACTIONS(6156),
    [anon_sym_map] = ACTIONS(973),
    [anon_sym_bit_set] = ACTIONS(505),
    [anon_sym_matrix] = ACTIONS(975),
    [anon_sym_distinct] = ACTIONS(977),
    [sym_number] = ACTIONS(511),
    [anon_sym_DQUOTE] = ACTIONS(513),
    [anon_sym_BQUOTE] = ACTIONS(515),
    [anon_sym_SQUOTE] = ACTIONS(517),
    [anon_sym_true] = ACTIONS(519),
    [anon_sym_false] = ACTIONS(519),
    [sym_nil] = ACTIONS(521),
    [sym_uninitialized] = ACTIONS(511),
    [sym_tag] = ACTIONS(537),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(511),
    [sym_block_comment] = ACTIONS(3),
  },
  [1868] = {
    [sym_expression] = STATE(3989),
    [sym__expression_no_tag] = STATE(2689),
    [sym_unary_expression] = STATE(2689),
    [sym_binary_expression] = STATE(2689),
    [sym_ternary_expression] = STATE(2689),
    [sym_call_expression] = STATE(2689),
    [sym_selector_call_expression] = STATE(2689),
    [sym_member_expression] = STATE(2689),
    [sym_index_expression] = STATE(2689),
    [sym_slice_expression] = STATE(2689),
    [sym_range_expression] = STATE(2689),
    [sym_cast_expression] = STATE(2689),
    [sym_in_expression] = STATE(2689),
    [sym_variadic_expression] = STATE(2689),
    [sym_parenthesized_expression] = STATE(2689),
    [sym_or_return_expression] = STATE(2689),
    [sym_or_continue_expression] = STATE(2689),
    [sym_or_break_expression] = STATE(2689),
    [sym_address] = STATE(2689),
    [sym_map_type] = STATE(2689),
    [sym_matrix_type] = STATE(2689),
    [sym_distinct_type] = STATE(2689),
    [sym_literal] = STATE(2689),
    [sym_struct] = STATE(4013),
    [sym_map] = STATE(2871),
    [sym_bit_set] = STATE(2871),
    [sym_matrix] = STATE(2871),
    [sym_string] = STATE(2871),
    [sym__string_literal] = STATE(2874),
    [sym__raw_string_literal] = STATE(2874),
    [sym_character] = STATE(2871),
    [sym_boolean] = STATE(2871),
    [sym_field_identifier] = STATE(7825),
    [sym_identifier] = ACTIONS(493),
    [anon_sym_LBRACE] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1099),
    [anon_sym_QMARK] = ACTIONS(529),
    [anon_sym_PLUS] = ACTIONS(1101),
    [anon_sym_DASH] = ACTIONS(965),
    [anon_sym_TILDE] = ACTIONS(1101),
    [anon_sym_BANG] = ACTIONS(1101),
    [anon_sym_AMP] = ACTIONS(1101),
    [anon_sym_DOT] = ACTIONS(1103),
    [anon_sym_LBRACK] = ACTIONS(535),
    [anon_sym_cast] = ACTIONS(967),
    [anon_sym_transmute] = ACTIONS(967),
    [anon_sym_auto_cast] = ACTIONS(969),
    [anon_sym_DOT_DOT] = ACTIONS(6156),
    [anon_sym_map] = ACTIONS(973),
    [anon_sym_bit_set] = ACTIONS(505),
    [anon_sym_matrix] = ACTIONS(975),
    [anon_sym_distinct] = ACTIONS(977),
    [sym_number] = ACTIONS(511),
    [anon_sym_DQUOTE] = ACTIONS(513),
    [anon_sym_BQUOTE] = ACTIONS(515),
    [anon_sym_SQUOTE] = ACTIONS(517),
    [anon_sym_true] = ACTIONS(519),
    [anon_sym_false] = ACTIONS(519),
    [sym_nil] = ACTIONS(521),
    [sym_uninitialized] = ACTIONS(511),
    [sym_tag] = ACTIONS(537),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(511),
    [sym_block_comment] = ACTIONS(3),
  },
  [1869] = {
    [sym_expression] = STATE(3990),
    [sym__expression_no_tag] = STATE(2689),
    [sym_unary_expression] = STATE(2689),
    [sym_binary_expression] = STATE(2689),
    [sym_ternary_expression] = STATE(2689),
    [sym_call_expression] = STATE(2689),
    [sym_selector_call_expression] = STATE(2689),
    [sym_member_expression] = STATE(2689),
    [sym_index_expression] = STATE(2689),
    [sym_slice_expression] = STATE(2689),
    [sym_range_expression] = STATE(2689),
    [sym_cast_expression] = STATE(2689),
    [sym_in_expression] = STATE(2689),
    [sym_variadic_expression] = STATE(2689),
    [sym_parenthesized_expression] = STATE(2689),
    [sym_or_return_expression] = STATE(2689),
    [sym_or_continue_expression] = STATE(2689),
    [sym_or_break_expression] = STATE(2689),
    [sym_address] = STATE(2689),
    [sym_map_type] = STATE(2689),
    [sym_matrix_type] = STATE(2689),
    [sym_distinct_type] = STATE(2689),
    [sym_literal] = STATE(2689),
    [sym_struct] = STATE(4013),
    [sym_map] = STATE(2871),
    [sym_bit_set] = STATE(2871),
    [sym_matrix] = STATE(2871),
    [sym_string] = STATE(2871),
    [sym__string_literal] = STATE(2874),
    [sym__raw_string_literal] = STATE(2874),
    [sym_character] = STATE(2871),
    [sym_boolean] = STATE(2871),
    [sym_field_identifier] = STATE(7825),
    [sym_identifier] = ACTIONS(493),
    [anon_sym_LBRACE] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1099),
    [anon_sym_QMARK] = ACTIONS(529),
    [anon_sym_PLUS] = ACTIONS(1101),
    [anon_sym_DASH] = ACTIONS(965),
    [anon_sym_TILDE] = ACTIONS(1101),
    [anon_sym_BANG] = ACTIONS(1101),
    [anon_sym_AMP] = ACTIONS(1101),
    [anon_sym_DOT] = ACTIONS(1103),
    [anon_sym_LBRACK] = ACTIONS(535),
    [anon_sym_cast] = ACTIONS(967),
    [anon_sym_transmute] = ACTIONS(967),
    [anon_sym_auto_cast] = ACTIONS(969),
    [anon_sym_DOT_DOT] = ACTIONS(6156),
    [anon_sym_map] = ACTIONS(973),
    [anon_sym_bit_set] = ACTIONS(505),
    [anon_sym_matrix] = ACTIONS(975),
    [anon_sym_distinct] = ACTIONS(977),
    [sym_number] = ACTIONS(511),
    [anon_sym_DQUOTE] = ACTIONS(513),
    [anon_sym_BQUOTE] = ACTIONS(515),
    [anon_sym_SQUOTE] = ACTIONS(517),
    [anon_sym_true] = ACTIONS(519),
    [anon_sym_false] = ACTIONS(519),
    [sym_nil] = ACTIONS(521),
    [sym_uninitialized] = ACTIONS(511),
    [sym_tag] = ACTIONS(537),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(511),
    [sym_block_comment] = ACTIONS(3),
  },
  [1870] = {
    [sym_expression] = STATE(3991),
    [sym__expression_no_tag] = STATE(2689),
    [sym_unary_expression] = STATE(2689),
    [sym_binary_expression] = STATE(2689),
    [sym_ternary_expression] = STATE(2689),
    [sym_call_expression] = STATE(2689),
    [sym_selector_call_expression] = STATE(2689),
    [sym_member_expression] = STATE(2689),
    [sym_index_expression] = STATE(2689),
    [sym_slice_expression] = STATE(2689),
    [sym_range_expression] = STATE(2689),
    [sym_cast_expression] = STATE(2689),
    [sym_in_expression] = STATE(2689),
    [sym_variadic_expression] = STATE(2689),
    [sym_parenthesized_expression] = STATE(2689),
    [sym_or_return_expression] = STATE(2689),
    [sym_or_continue_expression] = STATE(2689),
    [sym_or_break_expression] = STATE(2689),
    [sym_address] = STATE(2689),
    [sym_map_type] = STATE(2689),
    [sym_matrix_type] = STATE(2689),
    [sym_distinct_type] = STATE(2689),
    [sym_literal] = STATE(2689),
    [sym_struct] = STATE(4013),
    [sym_map] = STATE(2871),
    [sym_bit_set] = STATE(2871),
    [sym_matrix] = STATE(2871),
    [sym_string] = STATE(2871),
    [sym__string_literal] = STATE(2874),
    [sym__raw_string_literal] = STATE(2874),
    [sym_character] = STATE(2871),
    [sym_boolean] = STATE(2871),
    [sym_field_identifier] = STATE(7825),
    [sym_identifier] = ACTIONS(493),
    [anon_sym_LBRACE] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1099),
    [anon_sym_QMARK] = ACTIONS(529),
    [anon_sym_PLUS] = ACTIONS(1101),
    [anon_sym_DASH] = ACTIONS(965),
    [anon_sym_TILDE] = ACTIONS(1101),
    [anon_sym_BANG] = ACTIONS(1101),
    [anon_sym_AMP] = ACTIONS(1101),
    [anon_sym_DOT] = ACTIONS(1103),
    [anon_sym_LBRACK] = ACTIONS(535),
    [anon_sym_cast] = ACTIONS(967),
    [anon_sym_transmute] = ACTIONS(967),
    [anon_sym_auto_cast] = ACTIONS(969),
    [anon_sym_DOT_DOT] = ACTIONS(6156),
    [anon_sym_map] = ACTIONS(973),
    [anon_sym_bit_set] = ACTIONS(505),
    [anon_sym_matrix] = ACTIONS(975),
    [anon_sym_distinct] = ACTIONS(977),
    [sym_number] = ACTIONS(511),
    [anon_sym_DQUOTE] = ACTIONS(513),
    [anon_sym_BQUOTE] = ACTIONS(515),
    [anon_sym_SQUOTE] = ACTIONS(517),
    [anon_sym_true] = ACTIONS(519),
    [anon_sym_false] = ACTIONS(519),
    [sym_nil] = ACTIONS(521),
    [sym_uninitialized] = ACTIONS(511),
    [sym_tag] = ACTIONS(537),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(511),
    [sym_block_comment] = ACTIONS(3),
  },
  [1871] = {
    [sym_expression] = STATE(2895),
    [sym__expression_no_tag] = STATE(2689),
    [sym_unary_expression] = STATE(2689),
    [sym_binary_expression] = STATE(2689),
    [sym_ternary_expression] = STATE(2689),
    [sym_call_expression] = STATE(2689),
    [sym_selector_call_expression] = STATE(2689),
    [sym_member_expression] = STATE(2689),
    [sym_index_expression] = STATE(2689),
    [sym_slice_expression] = STATE(2689),
    [sym_range_expression] = STATE(2689),
    [sym_cast_expression] = STATE(2689),
    [sym_in_expression] = STATE(2689),
    [sym_variadic_expression] = STATE(2689),
    [sym_parenthesized_expression] = STATE(2689),
    [sym_or_return_expression] = STATE(2689),
    [sym_or_continue_expression] = STATE(2689),
    [sym_or_break_expression] = STATE(2689),
    [sym_address] = STATE(2689),
    [sym_map_type] = STATE(2689),
    [sym_matrix_type] = STATE(2689),
    [sym_distinct_type] = STATE(2689),
    [sym_literal] = STATE(2689),
    [sym_struct] = STATE(4013),
    [sym_map] = STATE(2871),
    [sym_bit_set] = STATE(2871),
    [sym_matrix] = STATE(2871),
    [sym_string] = STATE(2871),
    [sym__string_literal] = STATE(2874),
    [sym__raw_string_literal] = STATE(2874),
    [sym_character] = STATE(2871),
    [sym_boolean] = STATE(2871),
    [sym_field_identifier] = STATE(7825),
    [sym_identifier] = ACTIONS(493),
    [anon_sym_LBRACE] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1099),
    [anon_sym_QMARK] = ACTIONS(529),
    [anon_sym_PLUS] = ACTIONS(1101),
    [anon_sym_DASH] = ACTIONS(965),
    [anon_sym_TILDE] = ACTIONS(1101),
    [anon_sym_BANG] = ACTIONS(1101),
    [anon_sym_AMP] = ACTIONS(1101),
    [anon_sym_DOT] = ACTIONS(1103),
    [anon_sym_LBRACK] = ACTIONS(535),
    [anon_sym_cast] = ACTIONS(967),
    [anon_sym_transmute] = ACTIONS(967),
    [anon_sym_auto_cast] = ACTIONS(969),
    [anon_sym_DOT_DOT] = ACTIONS(6156),
    [anon_sym_map] = ACTIONS(973),
    [anon_sym_bit_set] = ACTIONS(505),
    [anon_sym_matrix] = ACTIONS(975),
    [anon_sym_distinct] = ACTIONS(977),
    [sym_number] = ACTIONS(511),
    [anon_sym_DQUOTE] = ACTIONS(513),
    [anon_sym_BQUOTE] = ACTIONS(515),
    [anon_sym_SQUOTE] = ACTIONS(517),
    [anon_sym_true] = ACTIONS(519),
    [anon_sym_false] = ACTIONS(519),
    [sym_nil] = ACTIONS(521),
    [sym_uninitialized] = ACTIONS(511),
    [sym_tag] = ACTIONS(537),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(511),
    [sym_block_comment] = ACTIONS(3),
  },
  [1872] = {
    [sym_expression] = STATE(2896),
    [sym__expression_no_tag] = STATE(2689),
    [sym_unary_expression] = STATE(2689),
    [sym_binary_expression] = STATE(2689),
    [sym_ternary_expression] = STATE(2689),
    [sym_call_expression] = STATE(2689),
    [sym_selector_call_expression] = STATE(2689),
    [sym_member_expression] = STATE(2689),
    [sym_index_expression] = STATE(2689),
    [sym_slice_expression] = STATE(2689),
    [sym_range_expression] = STATE(2689),
    [sym_cast_expression] = STATE(2689),
    [sym_in_expression] = STATE(2689),
    [sym_variadic_expression] = STATE(2689),
    [sym_parenthesized_expression] = STATE(2689),
    [sym_or_return_expression] = STATE(2689),
    [sym_or_continue_expression] = STATE(2689),
    [sym_or_break_expression] = STATE(2689),
    [sym_address] = STATE(2689),
    [sym_map_type] = STATE(2689),
    [sym_matrix_type] = STATE(2689),
    [sym_distinct_type] = STATE(2689),
    [sym_literal] = STATE(2689),
    [sym_struct] = STATE(4013),
    [sym_map] = STATE(2871),
    [sym_bit_set] = STATE(2871),
    [sym_matrix] = STATE(2871),
    [sym_string] = STATE(2871),
    [sym__string_literal] = STATE(2874),
    [sym__raw_string_literal] = STATE(2874),
    [sym_character] = STATE(2871),
    [sym_boolean] = STATE(2871),
    [sym_field_identifier] = STATE(7825),
    [sym_identifier] = ACTIONS(493),
    [anon_sym_LBRACE] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1099),
    [anon_sym_QMARK] = ACTIONS(529),
    [anon_sym_PLUS] = ACTIONS(1101),
    [anon_sym_DASH] = ACTIONS(965),
    [anon_sym_TILDE] = ACTIONS(1101),
    [anon_sym_BANG] = ACTIONS(1101),
    [anon_sym_AMP] = ACTIONS(1101),
    [anon_sym_DOT] = ACTIONS(1103),
    [anon_sym_LBRACK] = ACTIONS(535),
    [anon_sym_cast] = ACTIONS(967),
    [anon_sym_transmute] = ACTIONS(967),
    [anon_sym_auto_cast] = ACTIONS(969),
    [anon_sym_DOT_DOT] = ACTIONS(6156),
    [anon_sym_map] = ACTIONS(973),
    [anon_sym_bit_set] = ACTIONS(505),
    [anon_sym_matrix] = ACTIONS(975),
    [anon_sym_distinct] = ACTIONS(977),
    [sym_number] = ACTIONS(511),
    [anon_sym_DQUOTE] = ACTIONS(513),
    [anon_sym_BQUOTE] = ACTIONS(515),
    [anon_sym_SQUOTE] = ACTIONS(517),
    [anon_sym_true] = ACTIONS(519),
    [anon_sym_false] = ACTIONS(519),
    [sym_nil] = ACTIONS(521),
    [sym_uninitialized] = ACTIONS(511),
    [sym_tag] = ACTIONS(537),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(511),
    [sym_block_comment] = ACTIONS(3),
  },
  [1873] = {
    [sym_expression] = STATE(3854),
    [sym__expression_no_tag] = STATE(3826),
    [sym_unary_expression] = STATE(3826),
    [sym_binary_expression] = STATE(3826),
    [sym_ternary_expression] = STATE(3826),
    [sym_call_expression] = STATE(3826),
    [sym_selector_call_expression] = STATE(3826),
    [sym_member_expression] = STATE(3826),
    [sym_index_expression] = STATE(3826),
    [sym_slice_expression] = STATE(3826),
    [sym_range_expression] = STATE(3826),
    [sym_cast_expression] = STATE(3826),
    [sym_in_expression] = STATE(3826),
    [sym_variadic_expression] = STATE(3826),
    [sym_parenthesized_expression] = STATE(3826),
    [sym_or_return_expression] = STATE(3826),
    [sym_or_continue_expression] = STATE(3826),
    [sym_or_break_expression] = STATE(3826),
    [sym_address] = STATE(3826),
    [sym_map_type] = STATE(3826),
    [sym_matrix_type] = STATE(3826),
    [sym_distinct_type] = STATE(3826),
    [sym_literal] = STATE(3826),
    [sym_struct] = STATE(3866),
    [sym_map] = STATE(3787),
    [sym_bit_set] = STATE(3787),
    [sym_matrix] = STATE(3787),
    [sym_string] = STATE(3787),
    [sym__string_literal] = STATE(3867),
    [sym__raw_string_literal] = STATE(3867),
    [sym_character] = STATE(3787),
    [sym_boolean] = STATE(3787),
    [sym_field_identifier] = STATE(7783),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_QMARK] = ACTIONS(657),
    [anon_sym_PLUS] = ACTIONS(27),
    [anon_sym_DASH] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(27),
    [anon_sym_DOT] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_cast] = ACTIONS(35),
    [anon_sym_transmute] = ACTIONS(35),
    [anon_sym_auto_cast] = ACTIONS(37),
    [anon_sym_DOT_DOT] = ACTIONS(39),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(611),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [1874] = {
    [sym_expression] = STATE(3994),
    [sym__expression_no_tag] = STATE(2689),
    [sym_unary_expression] = STATE(2689),
    [sym_binary_expression] = STATE(2689),
    [sym_ternary_expression] = STATE(2689),
    [sym_call_expression] = STATE(2689),
    [sym_selector_call_expression] = STATE(2689),
    [sym_member_expression] = STATE(2689),
    [sym_index_expression] = STATE(2689),
    [sym_slice_expression] = STATE(2689),
    [sym_range_expression] = STATE(2689),
    [sym_cast_expression] = STATE(2689),
    [sym_in_expression] = STATE(2689),
    [sym_variadic_expression] = STATE(2689),
    [sym_parenthesized_expression] = STATE(2689),
    [sym_or_return_expression] = STATE(2689),
    [sym_or_continue_expression] = STATE(2689),
    [sym_or_break_expression] = STATE(2689),
    [sym_address] = STATE(2689),
    [sym_map_type] = STATE(2689),
    [sym_matrix_type] = STATE(2689),
    [sym_distinct_type] = STATE(2689),
    [sym_literal] = STATE(2689),
    [sym_struct] = STATE(4013),
    [sym_map] = STATE(2871),
    [sym_bit_set] = STATE(2871),
    [sym_matrix] = STATE(2871),
    [sym_string] = STATE(2871),
    [sym__string_literal] = STATE(2874),
    [sym__raw_string_literal] = STATE(2874),
    [sym_character] = STATE(2871),
    [sym_boolean] = STATE(2871),
    [sym_field_identifier] = STATE(7825),
    [sym_identifier] = ACTIONS(493),
    [anon_sym_LBRACE] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1099),
    [anon_sym_QMARK] = ACTIONS(529),
    [anon_sym_PLUS] = ACTIONS(1101),
    [anon_sym_DASH] = ACTIONS(965),
    [anon_sym_TILDE] = ACTIONS(1101),
    [anon_sym_BANG] = ACTIONS(1101),
    [anon_sym_AMP] = ACTIONS(1101),
    [anon_sym_DOT] = ACTIONS(1103),
    [anon_sym_LBRACK] = ACTIONS(535),
    [anon_sym_cast] = ACTIONS(967),
    [anon_sym_transmute] = ACTIONS(967),
    [anon_sym_auto_cast] = ACTIONS(969),
    [anon_sym_DOT_DOT] = ACTIONS(6156),
    [anon_sym_map] = ACTIONS(973),
    [anon_sym_bit_set] = ACTIONS(505),
    [anon_sym_matrix] = ACTIONS(975),
    [anon_sym_distinct] = ACTIONS(977),
    [sym_number] = ACTIONS(511),
    [anon_sym_DQUOTE] = ACTIONS(513),
    [anon_sym_BQUOTE] = ACTIONS(515),
    [anon_sym_SQUOTE] = ACTIONS(517),
    [anon_sym_true] = ACTIONS(519),
    [anon_sym_false] = ACTIONS(519),
    [sym_nil] = ACTIONS(521),
    [sym_uninitialized] = ACTIONS(511),
    [sym_tag] = ACTIONS(537),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(511),
    [sym_block_comment] = ACTIONS(3),
  },
  [1875] = {
    [sym_expression] = STATE(3995),
    [sym__expression_no_tag] = STATE(2689),
    [sym_unary_expression] = STATE(2689),
    [sym_binary_expression] = STATE(2689),
    [sym_ternary_expression] = STATE(2689),
    [sym_call_expression] = STATE(2689),
    [sym_selector_call_expression] = STATE(2689),
    [sym_member_expression] = STATE(2689),
    [sym_index_expression] = STATE(2689),
    [sym_slice_expression] = STATE(2689),
    [sym_range_expression] = STATE(2689),
    [sym_cast_expression] = STATE(2689),
    [sym_in_expression] = STATE(2689),
    [sym_variadic_expression] = STATE(2689),
    [sym_parenthesized_expression] = STATE(2689),
    [sym_or_return_expression] = STATE(2689),
    [sym_or_continue_expression] = STATE(2689),
    [sym_or_break_expression] = STATE(2689),
    [sym_address] = STATE(2689),
    [sym_map_type] = STATE(2689),
    [sym_matrix_type] = STATE(2689),
    [sym_distinct_type] = STATE(2689),
    [sym_literal] = STATE(2689),
    [sym_struct] = STATE(4013),
    [sym_map] = STATE(2871),
    [sym_bit_set] = STATE(2871),
    [sym_matrix] = STATE(2871),
    [sym_string] = STATE(2871),
    [sym__string_literal] = STATE(2874),
    [sym__raw_string_literal] = STATE(2874),
    [sym_character] = STATE(2871),
    [sym_boolean] = STATE(2871),
    [sym_field_identifier] = STATE(7825),
    [sym_identifier] = ACTIONS(493),
    [anon_sym_LBRACE] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1099),
    [anon_sym_QMARK] = ACTIONS(529),
    [anon_sym_PLUS] = ACTIONS(1101),
    [anon_sym_DASH] = ACTIONS(965),
    [anon_sym_TILDE] = ACTIONS(1101),
    [anon_sym_BANG] = ACTIONS(1101),
    [anon_sym_AMP] = ACTIONS(1101),
    [anon_sym_DOT] = ACTIONS(1103),
    [anon_sym_LBRACK] = ACTIONS(535),
    [anon_sym_cast] = ACTIONS(967),
    [anon_sym_transmute] = ACTIONS(967),
    [anon_sym_auto_cast] = ACTIONS(969),
    [anon_sym_DOT_DOT] = ACTIONS(6156),
    [anon_sym_map] = ACTIONS(973),
    [anon_sym_bit_set] = ACTIONS(505),
    [anon_sym_matrix] = ACTIONS(975),
    [anon_sym_distinct] = ACTIONS(977),
    [sym_number] = ACTIONS(511),
    [anon_sym_DQUOTE] = ACTIONS(513),
    [anon_sym_BQUOTE] = ACTIONS(515),
    [anon_sym_SQUOTE] = ACTIONS(517),
    [anon_sym_true] = ACTIONS(519),
    [anon_sym_false] = ACTIONS(519),
    [sym_nil] = ACTIONS(521),
    [sym_uninitialized] = ACTIONS(511),
    [sym_tag] = ACTIONS(537),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(511),
    [sym_block_comment] = ACTIONS(3),
  },
  [1876] = {
    [sym_expression] = STATE(3996),
    [sym__expression_no_tag] = STATE(2689),
    [sym_unary_expression] = STATE(2689),
    [sym_binary_expression] = STATE(2689),
    [sym_ternary_expression] = STATE(2689),
    [sym_call_expression] = STATE(2689),
    [sym_selector_call_expression] = STATE(2689),
    [sym_member_expression] = STATE(2689),
    [sym_index_expression] = STATE(2689),
    [sym_slice_expression] = STATE(2689),
    [sym_range_expression] = STATE(2689),
    [sym_cast_expression] = STATE(2689),
    [sym_in_expression] = STATE(2689),
    [sym_variadic_expression] = STATE(2689),
    [sym_parenthesized_expression] = STATE(2689),
    [sym_or_return_expression] = STATE(2689),
    [sym_or_continue_expression] = STATE(2689),
    [sym_or_break_expression] = STATE(2689),
    [sym_address] = STATE(2689),
    [sym_map_type] = STATE(2689),
    [sym_matrix_type] = STATE(2689),
    [sym_distinct_type] = STATE(2689),
    [sym_literal] = STATE(2689),
    [sym_struct] = STATE(4013),
    [sym_map] = STATE(2871),
    [sym_bit_set] = STATE(2871),
    [sym_matrix] = STATE(2871),
    [sym_string] = STATE(2871),
    [sym__string_literal] = STATE(2874),
    [sym__raw_string_literal] = STATE(2874),
    [sym_character] = STATE(2871),
    [sym_boolean] = STATE(2871),
    [sym_field_identifier] = STATE(7825),
    [sym_identifier] = ACTIONS(493),
    [anon_sym_LBRACE] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1099),
    [anon_sym_QMARK] = ACTIONS(529),
    [anon_sym_PLUS] = ACTIONS(1101),
    [anon_sym_DASH] = ACTIONS(965),
    [anon_sym_TILDE] = ACTIONS(1101),
    [anon_sym_BANG] = ACTIONS(1101),
    [anon_sym_AMP] = ACTIONS(1101),
    [anon_sym_DOT] = ACTIONS(1103),
    [anon_sym_LBRACK] = ACTIONS(535),
    [anon_sym_cast] = ACTIONS(967),
    [anon_sym_transmute] = ACTIONS(967),
    [anon_sym_auto_cast] = ACTIONS(969),
    [anon_sym_DOT_DOT] = ACTIONS(6156),
    [anon_sym_map] = ACTIONS(973),
    [anon_sym_bit_set] = ACTIONS(505),
    [anon_sym_matrix] = ACTIONS(975),
    [anon_sym_distinct] = ACTIONS(977),
    [sym_number] = ACTIONS(511),
    [anon_sym_DQUOTE] = ACTIONS(513),
    [anon_sym_BQUOTE] = ACTIONS(515),
    [anon_sym_SQUOTE] = ACTIONS(517),
    [anon_sym_true] = ACTIONS(519),
    [anon_sym_false] = ACTIONS(519),
    [sym_nil] = ACTIONS(521),
    [sym_uninitialized] = ACTIONS(511),
    [sym_tag] = ACTIONS(537),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(511),
    [sym_block_comment] = ACTIONS(3),
  },
  [1877] = {
    [sym_expression] = STATE(3901),
    [sym__expression_no_tag] = STATE(2689),
    [sym_unary_expression] = STATE(2689),
    [sym_binary_expression] = STATE(2689),
    [sym_ternary_expression] = STATE(2689),
    [sym_call_expression] = STATE(2689),
    [sym_selector_call_expression] = STATE(2689),
    [sym_member_expression] = STATE(2689),
    [sym_index_expression] = STATE(2689),
    [sym_slice_expression] = STATE(2689),
    [sym_range_expression] = STATE(2689),
    [sym_cast_expression] = STATE(2689),
    [sym_in_expression] = STATE(2689),
    [sym_variadic_expression] = STATE(2689),
    [sym_parenthesized_expression] = STATE(2689),
    [sym_or_return_expression] = STATE(2689),
    [sym_or_continue_expression] = STATE(2689),
    [sym_or_break_expression] = STATE(2689),
    [sym_address] = STATE(2689),
    [sym_map_type] = STATE(2689),
    [sym_matrix_type] = STATE(2689),
    [sym_distinct_type] = STATE(2689),
    [sym_literal] = STATE(2689),
    [sym_struct] = STATE(4013),
    [sym_map] = STATE(2871),
    [sym_bit_set] = STATE(2871),
    [sym_matrix] = STATE(2871),
    [sym_string] = STATE(2871),
    [sym__string_literal] = STATE(2874),
    [sym__raw_string_literal] = STATE(2874),
    [sym_character] = STATE(2871),
    [sym_boolean] = STATE(2871),
    [sym_field_identifier] = STATE(7825),
    [sym_identifier] = ACTIONS(493),
    [anon_sym_LBRACE] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1099),
    [anon_sym_QMARK] = ACTIONS(529),
    [anon_sym_PLUS] = ACTIONS(1101),
    [anon_sym_DASH] = ACTIONS(965),
    [anon_sym_TILDE] = ACTIONS(1101),
    [anon_sym_BANG] = ACTIONS(1101),
    [anon_sym_AMP] = ACTIONS(1101),
    [anon_sym_DOT] = ACTIONS(1103),
    [anon_sym_LBRACK] = ACTIONS(535),
    [anon_sym_cast] = ACTIONS(967),
    [anon_sym_transmute] = ACTIONS(967),
    [anon_sym_auto_cast] = ACTIONS(969),
    [anon_sym_DOT_DOT] = ACTIONS(6156),
    [anon_sym_map] = ACTIONS(973),
    [anon_sym_bit_set] = ACTIONS(505),
    [anon_sym_matrix] = ACTIONS(975),
    [anon_sym_distinct] = ACTIONS(977),
    [sym_number] = ACTIONS(511),
    [anon_sym_DQUOTE] = ACTIONS(513),
    [anon_sym_BQUOTE] = ACTIONS(515),
    [anon_sym_SQUOTE] = ACTIONS(517),
    [anon_sym_true] = ACTIONS(519),
    [anon_sym_false] = ACTIONS(519),
    [sym_nil] = ACTIONS(521),
    [sym_uninitialized] = ACTIONS(511),
    [sym_tag] = ACTIONS(537),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(511),
    [sym_block_comment] = ACTIONS(3),
  },
  [1878] = {
    [sym_expression] = STATE(4012),
    [sym__expression_no_tag] = STATE(2689),
    [sym_unary_expression] = STATE(2689),
    [sym_binary_expression] = STATE(2689),
    [sym_ternary_expression] = STATE(2689),
    [sym_call_expression] = STATE(2689),
    [sym_selector_call_expression] = STATE(2689),
    [sym_member_expression] = STATE(2689),
    [sym_index_expression] = STATE(2689),
    [sym_slice_expression] = STATE(2689),
    [sym_range_expression] = STATE(2689),
    [sym_cast_expression] = STATE(2689),
    [sym_in_expression] = STATE(2689),
    [sym_variadic_expression] = STATE(2689),
    [sym_parenthesized_expression] = STATE(2689),
    [sym_or_return_expression] = STATE(2689),
    [sym_or_continue_expression] = STATE(2689),
    [sym_or_break_expression] = STATE(2689),
    [sym_address] = STATE(2689),
    [sym_map_type] = STATE(2689),
    [sym_matrix_type] = STATE(2689),
    [sym_distinct_type] = STATE(2689),
    [sym_literal] = STATE(2689),
    [sym_struct] = STATE(4013),
    [sym_map] = STATE(2871),
    [sym_bit_set] = STATE(2871),
    [sym_matrix] = STATE(2871),
    [sym_string] = STATE(2871),
    [sym__string_literal] = STATE(2874),
    [sym__raw_string_literal] = STATE(2874),
    [sym_character] = STATE(2871),
    [sym_boolean] = STATE(2871),
    [sym_field_identifier] = STATE(7825),
    [sym_identifier] = ACTIONS(493),
    [anon_sym_LBRACE] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(1099),
    [anon_sym_QMARK] = ACTIONS(529),
    [anon_sym_PLUS] = ACTIONS(1101),
    [anon_sym_DASH] = ACTIONS(965),
    [anon_sym_TILDE] = ACTIONS(1101),
    [anon_sym_BANG] = ACTIONS(1101),
    [anon_sym_AMP] = ACTIONS(1101),
    [anon_sym_DOT] = ACTIONS(1103),
    [anon_sym_LBRACK] = ACTIONS(535),
    [anon_sym_cast] = ACTIONS(967),
    [anon_sym_transmute] = ACTIONS(967),
    [anon_sym_auto_cast] = ACTIONS(969),
    [anon_sym_DOT_DOT] = ACTIONS(6156),
    [anon_sym_map] = ACTIONS(973),
    [anon_sym_bit_set] = ACTIONS(505),
    [anon_sym_matrix] = ACTIONS(975),
    [anon_sym_distinct] = ACTIONS(977),
    [sym_number] = ACTIONS(511),
    [anon_sym_DQUOTE] = ACTIONS(513),
    [anon_sym_BQUOTE] = ACTIONS(515),
    [anon_sym_SQUOTE] = ACTIONS(517),
    [anon_sym_true] = ACTIONS(519),
    [anon_sym_false] = ACTIONS(519),
    [sym_nil] = ACTIONS(521),
    [sym_uninitialized] = ACTIONS(511),
    [sym_tag] = ACTIONS(537),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(511),
    [sym_block_comment] = ACTIONS(3),
  },
  [1879] = {
    [sym_expression] = STATE(5895),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1880] = {
    [sym_expression] = STATE(5896),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1881] = {
    [sym_expression] = STATE(3774),
    [sym__expression_no_tag] = STATE(3856),
    [sym_unary_expression] = STATE(3856),
    [sym_binary_expression] = STATE(3856),
    [sym_ternary_expression] = STATE(3856),
    [sym_call_expression] = STATE(3856),
    [sym_selector_call_expression] = STATE(3856),
    [sym_member_expression] = STATE(3856),
    [sym_index_expression] = STATE(3856),
    [sym_slice_expression] = STATE(3856),
    [sym_range_expression] = STATE(3856),
    [sym_cast_expression] = STATE(3856),
    [sym_in_expression] = STATE(3856),
    [sym_variadic_expression] = STATE(3856),
    [sym_parenthesized_expression] = STATE(3856),
    [sym_or_return_expression] = STATE(3856),
    [sym_or_continue_expression] = STATE(3856),
    [sym_or_break_expression] = STATE(3856),
    [sym_address] = STATE(3856),
    [sym_map_type] = STATE(3856),
    [sym_matrix_type] = STATE(3856),
    [sym_distinct_type] = STATE(3856),
    [sym_literal] = STATE(3856),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(619),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1882] = {
    [sym_expression] = STATE(4356),
    [sym__expression_no_tag] = STATE(4431),
    [sym_unary_expression] = STATE(4431),
    [sym_binary_expression] = STATE(4431),
    [sym_ternary_expression] = STATE(4431),
    [sym_call_expression] = STATE(4431),
    [sym_selector_call_expression] = STATE(4431),
    [sym_member_expression] = STATE(4431),
    [sym_index_expression] = STATE(4431),
    [sym_slice_expression] = STATE(4431),
    [sym_range_expression] = STATE(4431),
    [sym_cast_expression] = STATE(4431),
    [sym_in_expression] = STATE(4431),
    [sym_variadic_expression] = STATE(4431),
    [sym_parenthesized_expression] = STATE(4431),
    [sym_or_return_expression] = STATE(4431),
    [sym_or_continue_expression] = STATE(4431),
    [sym_or_break_expression] = STATE(4431),
    [sym_address] = STATE(4431),
    [sym_map_type] = STATE(4431),
    [sym_matrix_type] = STATE(4431),
    [sym_distinct_type] = STATE(4431),
    [sym_literal] = STATE(4431),
    [sym_struct] = STATE(4333),
    [sym_map] = STATE(4320),
    [sym_bit_set] = STATE(4320),
    [sym_matrix] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym__string_literal] = STATE(4334),
    [sym__raw_string_literal] = STATE(4334),
    [sym_character] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_field_identifier] = STATE(7845),
    [sym_identifier] = ACTIONS(341),
    [anon_sym_LBRACE] = ACTIONS(943),
    [anon_sym_LPAREN] = ACTIONS(945),
    [anon_sym_QMARK] = ACTIONS(947),
    [anon_sym_PLUS] = ACTIONS(949),
    [anon_sym_DASH] = ACTIONS(951),
    [anon_sym_TILDE] = ACTIONS(949),
    [anon_sym_BANG] = ACTIONS(949),
    [anon_sym_AMP] = ACTIONS(949),
    [anon_sym_DOT] = ACTIONS(953),
    [anon_sym_LBRACK] = ACTIONS(955),
    [anon_sym_cast] = ACTIONS(957),
    [anon_sym_transmute] = ACTIONS(957),
    [anon_sym_auto_cast] = ACTIONS(959),
    [anon_sym_DOT_DOT] = ACTIONS(3241),
    [anon_sym_map] = ACTIONS(351),
    [anon_sym_bit_set] = ACTIONS(353),
    [anon_sym_matrix] = ACTIONS(355),
    [anon_sym_distinct] = ACTIONS(357),
    [sym_number] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(361),
    [anon_sym_BQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [anon_sym_true] = ACTIONS(367),
    [anon_sym_false] = ACTIONS(367),
    [sym_nil] = ACTIONS(369),
    [sym_uninitialized] = ACTIONS(359),
    [sym_tag] = ACTIONS(963),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(359),
    [sym_block_comment] = ACTIONS(3),
  },
  [1883] = {
    [sym_expression] = STATE(3807),
    [sym__expression_no_tag] = STATE(3856),
    [sym_unary_expression] = STATE(3856),
    [sym_binary_expression] = STATE(3856),
    [sym_ternary_expression] = STATE(3856),
    [sym_call_expression] = STATE(3856),
    [sym_selector_call_expression] = STATE(3856),
    [sym_member_expression] = STATE(3856),
    [sym_index_expression] = STATE(3856),
    [sym_slice_expression] = STATE(3856),
    [sym_range_expression] = STATE(3856),
    [sym_cast_expression] = STATE(3856),
    [sym_in_expression] = STATE(3856),
    [sym_variadic_expression] = STATE(3856),
    [sym_parenthesized_expression] = STATE(3856),
    [sym_or_return_expression] = STATE(3856),
    [sym_or_continue_expression] = STATE(3856),
    [sym_or_break_expression] = STATE(3856),
    [sym_address] = STATE(3856),
    [sym_map_type] = STATE(3856),
    [sym_matrix_type] = STATE(3856),
    [sym_distinct_type] = STATE(3856),
    [sym_literal] = STATE(3856),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(619),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1884] = {
    [sym_expression] = STATE(5620),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1885] = {
    [sym_expression] = STATE(2895),
    [sym__expression_no_tag] = STATE(2689),
    [sym_unary_expression] = STATE(2689),
    [sym_binary_expression] = STATE(2689),
    [sym_ternary_expression] = STATE(2689),
    [sym_call_expression] = STATE(2689),
    [sym_selector_call_expression] = STATE(2689),
    [sym_member_expression] = STATE(2689),
    [sym_index_expression] = STATE(2689),
    [sym_slice_expression] = STATE(2689),
    [sym_range_expression] = STATE(2689),
    [sym_cast_expression] = STATE(2689),
    [sym_in_expression] = STATE(2689),
    [sym_variadic_expression] = STATE(2689),
    [sym_parenthesized_expression] = STATE(2689),
    [sym_or_return_expression] = STATE(2689),
    [sym_or_continue_expression] = STATE(2689),
    [sym_or_break_expression] = STATE(2689),
    [sym_address] = STATE(2689),
    [sym_map_type] = STATE(2689),
    [sym_matrix_type] = STATE(2689),
    [sym_distinct_type] = STATE(2689),
    [sym_literal] = STATE(2689),
    [sym_struct] = STATE(3145),
    [sym_map] = STATE(2871),
    [sym_bit_set] = STATE(2871),
    [sym_matrix] = STATE(2871),
    [sym_string] = STATE(2871),
    [sym__string_literal] = STATE(2874),
    [sym__raw_string_literal] = STATE(2874),
    [sym_character] = STATE(2871),
    [sym_boolean] = STATE(2871),
    [sym_field_identifier] = STATE(7825),
    [sym_identifier] = ACTIONS(493),
    [anon_sym_LBRACE] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_QMARK] = ACTIONS(529),
    [anon_sym_PLUS] = ACTIONS(531),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(531),
    [anon_sym_AMP] = ACTIONS(531),
    [anon_sym_DOT] = ACTIONS(533),
    [anon_sym_LBRACK] = ACTIONS(535),
    [anon_sym_cast] = ACTIONS(497),
    [anon_sym_transmute] = ACTIONS(497),
    [anon_sym_auto_cast] = ACTIONS(499),
    [anon_sym_DOT_DOT] = ACTIONS(6104),
    [anon_sym_map] = ACTIONS(503),
    [anon_sym_bit_set] = ACTIONS(505),
    [anon_sym_matrix] = ACTIONS(507),
    [anon_sym_distinct] = ACTIONS(509),
    [sym_number] = ACTIONS(511),
    [anon_sym_DQUOTE] = ACTIONS(513),
    [anon_sym_BQUOTE] = ACTIONS(515),
    [anon_sym_SQUOTE] = ACTIONS(517),
    [anon_sym_true] = ACTIONS(519),
    [anon_sym_false] = ACTIONS(519),
    [sym_nil] = ACTIONS(521),
    [sym_uninitialized] = ACTIONS(511),
    [sym_tag] = ACTIONS(537),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(511),
    [sym_block_comment] = ACTIONS(3),
  },
  [1886] = {
    [sym_expression] = STATE(2896),
    [sym__expression_no_tag] = STATE(2689),
    [sym_unary_expression] = STATE(2689),
    [sym_binary_expression] = STATE(2689),
    [sym_ternary_expression] = STATE(2689),
    [sym_call_expression] = STATE(2689),
    [sym_selector_call_expression] = STATE(2689),
    [sym_member_expression] = STATE(2689),
    [sym_index_expression] = STATE(2689),
    [sym_slice_expression] = STATE(2689),
    [sym_range_expression] = STATE(2689),
    [sym_cast_expression] = STATE(2689),
    [sym_in_expression] = STATE(2689),
    [sym_variadic_expression] = STATE(2689),
    [sym_parenthesized_expression] = STATE(2689),
    [sym_or_return_expression] = STATE(2689),
    [sym_or_continue_expression] = STATE(2689),
    [sym_or_break_expression] = STATE(2689),
    [sym_address] = STATE(2689),
    [sym_map_type] = STATE(2689),
    [sym_matrix_type] = STATE(2689),
    [sym_distinct_type] = STATE(2689),
    [sym_literal] = STATE(2689),
    [sym_struct] = STATE(3145),
    [sym_map] = STATE(2871),
    [sym_bit_set] = STATE(2871),
    [sym_matrix] = STATE(2871),
    [sym_string] = STATE(2871),
    [sym__string_literal] = STATE(2874),
    [sym__raw_string_literal] = STATE(2874),
    [sym_character] = STATE(2871),
    [sym_boolean] = STATE(2871),
    [sym_field_identifier] = STATE(7825),
    [sym_identifier] = ACTIONS(493),
    [anon_sym_LBRACE] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_QMARK] = ACTIONS(529),
    [anon_sym_PLUS] = ACTIONS(531),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(531),
    [anon_sym_AMP] = ACTIONS(531),
    [anon_sym_DOT] = ACTIONS(533),
    [anon_sym_LBRACK] = ACTIONS(535),
    [anon_sym_cast] = ACTIONS(497),
    [anon_sym_transmute] = ACTIONS(497),
    [anon_sym_auto_cast] = ACTIONS(499),
    [anon_sym_DOT_DOT] = ACTIONS(6104),
    [anon_sym_map] = ACTIONS(503),
    [anon_sym_bit_set] = ACTIONS(505),
    [anon_sym_matrix] = ACTIONS(507),
    [anon_sym_distinct] = ACTIONS(509),
    [sym_number] = ACTIONS(511),
    [anon_sym_DQUOTE] = ACTIONS(513),
    [anon_sym_BQUOTE] = ACTIONS(515),
    [anon_sym_SQUOTE] = ACTIONS(517),
    [anon_sym_true] = ACTIONS(519),
    [anon_sym_false] = ACTIONS(519),
    [sym_nil] = ACTIONS(521),
    [sym_uninitialized] = ACTIONS(511),
    [sym_tag] = ACTIONS(537),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(511),
    [sym_block_comment] = ACTIONS(3),
  },
  [1887] = {
    [sym_expression] = STATE(4358),
    [sym__expression_no_tag] = STATE(4431),
    [sym_unary_expression] = STATE(4431),
    [sym_binary_expression] = STATE(4431),
    [sym_ternary_expression] = STATE(4431),
    [sym_call_expression] = STATE(4431),
    [sym_selector_call_expression] = STATE(4431),
    [sym_member_expression] = STATE(4431),
    [sym_index_expression] = STATE(4431),
    [sym_slice_expression] = STATE(4431),
    [sym_range_expression] = STATE(4431),
    [sym_cast_expression] = STATE(4431),
    [sym_in_expression] = STATE(4431),
    [sym_variadic_expression] = STATE(4431),
    [sym_parenthesized_expression] = STATE(4431),
    [sym_or_return_expression] = STATE(4431),
    [sym_or_continue_expression] = STATE(4431),
    [sym_or_break_expression] = STATE(4431),
    [sym_address] = STATE(4431),
    [sym_map_type] = STATE(4431),
    [sym_matrix_type] = STATE(4431),
    [sym_distinct_type] = STATE(4431),
    [sym_literal] = STATE(4431),
    [sym_struct] = STATE(4333),
    [sym_map] = STATE(4320),
    [sym_bit_set] = STATE(4320),
    [sym_matrix] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym__string_literal] = STATE(4334),
    [sym__raw_string_literal] = STATE(4334),
    [sym_character] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_field_identifier] = STATE(7845),
    [sym_identifier] = ACTIONS(341),
    [anon_sym_LBRACE] = ACTIONS(943),
    [anon_sym_LPAREN] = ACTIONS(945),
    [anon_sym_QMARK] = ACTIONS(947),
    [anon_sym_PLUS] = ACTIONS(949),
    [anon_sym_DASH] = ACTIONS(951),
    [anon_sym_TILDE] = ACTIONS(949),
    [anon_sym_BANG] = ACTIONS(949),
    [anon_sym_AMP] = ACTIONS(949),
    [anon_sym_DOT] = ACTIONS(953),
    [anon_sym_LBRACK] = ACTIONS(955),
    [anon_sym_cast] = ACTIONS(957),
    [anon_sym_transmute] = ACTIONS(957),
    [anon_sym_auto_cast] = ACTIONS(959),
    [anon_sym_DOT_DOT] = ACTIONS(3241),
    [anon_sym_map] = ACTIONS(351),
    [anon_sym_bit_set] = ACTIONS(353),
    [anon_sym_matrix] = ACTIONS(355),
    [anon_sym_distinct] = ACTIONS(357),
    [sym_number] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(361),
    [anon_sym_BQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [anon_sym_true] = ACTIONS(367),
    [anon_sym_false] = ACTIONS(367),
    [sym_nil] = ACTIONS(369),
    [sym_uninitialized] = ACTIONS(359),
    [sym_tag] = ACTIONS(963),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(359),
    [sym_block_comment] = ACTIONS(3),
  },
  [1888] = {
    [sym_expression] = STATE(3808),
    [sym__expression_no_tag] = STATE(3856),
    [sym_unary_expression] = STATE(3856),
    [sym_binary_expression] = STATE(3856),
    [sym_ternary_expression] = STATE(3856),
    [sym_call_expression] = STATE(3856),
    [sym_selector_call_expression] = STATE(3856),
    [sym_member_expression] = STATE(3856),
    [sym_index_expression] = STATE(3856),
    [sym_slice_expression] = STATE(3856),
    [sym_range_expression] = STATE(3856),
    [sym_cast_expression] = STATE(3856),
    [sym_in_expression] = STATE(3856),
    [sym_variadic_expression] = STATE(3856),
    [sym_parenthesized_expression] = STATE(3856),
    [sym_or_return_expression] = STATE(3856),
    [sym_or_continue_expression] = STATE(3856),
    [sym_or_break_expression] = STATE(3856),
    [sym_address] = STATE(3856),
    [sym_map_type] = STATE(3856),
    [sym_matrix_type] = STATE(3856),
    [sym_distinct_type] = STATE(3856),
    [sym_literal] = STATE(3856),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(619),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1889] = {
    [sym_expression] = STATE(3810),
    [sym__expression_no_tag] = STATE(3856),
    [sym_unary_expression] = STATE(3856),
    [sym_binary_expression] = STATE(3856),
    [sym_ternary_expression] = STATE(3856),
    [sym_call_expression] = STATE(3856),
    [sym_selector_call_expression] = STATE(3856),
    [sym_member_expression] = STATE(3856),
    [sym_index_expression] = STATE(3856),
    [sym_slice_expression] = STATE(3856),
    [sym_range_expression] = STATE(3856),
    [sym_cast_expression] = STATE(3856),
    [sym_in_expression] = STATE(3856),
    [sym_variadic_expression] = STATE(3856),
    [sym_parenthesized_expression] = STATE(3856),
    [sym_or_return_expression] = STATE(3856),
    [sym_or_continue_expression] = STATE(3856),
    [sym_or_break_expression] = STATE(3856),
    [sym_address] = STATE(3856),
    [sym_map_type] = STATE(3856),
    [sym_matrix_type] = STATE(3856),
    [sym_distinct_type] = STATE(3856),
    [sym_literal] = STATE(3856),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(619),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1890] = {
    [sym_expression] = STATE(2652),
    [sym__expression_no_tag] = STATE(2664),
    [sym_unary_expression] = STATE(2664),
    [sym_binary_expression] = STATE(2664),
    [sym_ternary_expression] = STATE(2664),
    [sym_call_expression] = STATE(2664),
    [sym_selector_call_expression] = STATE(2664),
    [sym_member_expression] = STATE(2664),
    [sym_index_expression] = STATE(2664),
    [sym_slice_expression] = STATE(2664),
    [sym_range_expression] = STATE(2664),
    [sym_cast_expression] = STATE(2664),
    [sym_in_expression] = STATE(2664),
    [sym_variadic_expression] = STATE(2664),
    [sym_parenthesized_expression] = STATE(2664),
    [sym_or_return_expression] = STATE(2664),
    [sym_or_continue_expression] = STATE(2664),
    [sym_or_break_expression] = STATE(2664),
    [sym_address] = STATE(2664),
    [sym_map_type] = STATE(2664),
    [sym_matrix_type] = STATE(2664),
    [sym_distinct_type] = STATE(2664),
    [sym_literal] = STATE(2664),
    [sym_struct] = STATE(2632),
    [sym_map] = STATE(2566),
    [sym_bit_set] = STATE(2566),
    [sym_matrix] = STATE(2566),
    [sym_string] = STATE(2566),
    [sym__string_literal] = STATE(2591),
    [sym__raw_string_literal] = STATE(2591),
    [sym_character] = STATE(2566),
    [sym_boolean] = STATE(2566),
    [sym_field_identifier] = STATE(7902),
    [sym_identifier] = ACTIONS(249),
    [anon_sym_LBRACE] = ACTIONS(251),
    [anon_sym_LPAREN] = ACTIONS(291),
    [anon_sym_QMARK] = ACTIONS(293),
    [anon_sym_PLUS] = ACTIONS(3175),
    [anon_sym_DASH] = ACTIONS(295),
    [anon_sym_TILDE] = ACTIONS(3175),
    [anon_sym_BANG] = ACTIONS(3175),
    [anon_sym_AMP] = ACTIONS(3175),
    [anon_sym_DOT] = ACTIONS(297),
    [anon_sym_LBRACK] = ACTIONS(261),
    [anon_sym_cast] = ACTIONS(299),
    [anon_sym_transmute] = ACTIONS(299),
    [anon_sym_auto_cast] = ACTIONS(301),
    [anon_sym_DOT_DOT] = ACTIONS(3177),
    [anon_sym_map] = ACTIONS(269),
    [anon_sym_bit_set] = ACTIONS(271),
    [anon_sym_matrix] = ACTIONS(273),
    [anon_sym_distinct] = ACTIONS(275),
    [sym_number] = ACTIONS(277),
    [anon_sym_DQUOTE] = ACTIONS(279),
    [anon_sym_BQUOTE] = ACTIONS(281),
    [anon_sym_SQUOTE] = ACTIONS(283),
    [anon_sym_true] = ACTIONS(285),
    [anon_sym_false] = ACTIONS(285),
    [sym_nil] = ACTIONS(287),
    [sym_uninitialized] = ACTIONS(277),
    [sym_tag] = ACTIONS(305),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(277),
    [sym_block_comment] = ACTIONS(3),
  },
  [1891] = {
    [sym_expression] = STATE(3811),
    [sym__expression_no_tag] = STATE(3856),
    [sym_unary_expression] = STATE(3856),
    [sym_binary_expression] = STATE(3856),
    [sym_ternary_expression] = STATE(3856),
    [sym_call_expression] = STATE(3856),
    [sym_selector_call_expression] = STATE(3856),
    [sym_member_expression] = STATE(3856),
    [sym_index_expression] = STATE(3856),
    [sym_slice_expression] = STATE(3856),
    [sym_range_expression] = STATE(3856),
    [sym_cast_expression] = STATE(3856),
    [sym_in_expression] = STATE(3856),
    [sym_variadic_expression] = STATE(3856),
    [sym_parenthesized_expression] = STATE(3856),
    [sym_or_return_expression] = STATE(3856),
    [sym_or_continue_expression] = STATE(3856),
    [sym_or_break_expression] = STATE(3856),
    [sym_address] = STATE(3856),
    [sym_map_type] = STATE(3856),
    [sym_matrix_type] = STATE(3856),
    [sym_distinct_type] = STATE(3856),
    [sym_literal] = STATE(3856),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(619),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1892] = {
    [sym_expression] = STATE(3813),
    [sym__expression_no_tag] = STATE(3856),
    [sym_unary_expression] = STATE(3856),
    [sym_binary_expression] = STATE(3856),
    [sym_ternary_expression] = STATE(3856),
    [sym_call_expression] = STATE(3856),
    [sym_selector_call_expression] = STATE(3856),
    [sym_member_expression] = STATE(3856),
    [sym_index_expression] = STATE(3856),
    [sym_slice_expression] = STATE(3856),
    [sym_range_expression] = STATE(3856),
    [sym_cast_expression] = STATE(3856),
    [sym_in_expression] = STATE(3856),
    [sym_variadic_expression] = STATE(3856),
    [sym_parenthesized_expression] = STATE(3856),
    [sym_or_return_expression] = STATE(3856),
    [sym_or_continue_expression] = STATE(3856),
    [sym_or_break_expression] = STATE(3856),
    [sym_address] = STATE(3856),
    [sym_map_type] = STATE(3856),
    [sym_matrix_type] = STATE(3856),
    [sym_distinct_type] = STATE(3856),
    [sym_literal] = STATE(3856),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(619),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1893] = {
    [sym_expression] = STATE(6061),
    [sym__expression_no_tag] = STATE(5291),
    [sym_unary_expression] = STATE(5291),
    [sym_binary_expression] = STATE(5291),
    [sym_ternary_expression] = STATE(5291),
    [sym_call_expression] = STATE(4164),
    [sym_selector_call_expression] = STATE(5291),
    [sym_member_expression] = STATE(5291),
    [sym_index_expression] = STATE(5291),
    [sym_slice_expression] = STATE(5291),
    [sym_range_expression] = STATE(5291),
    [sym_cast_expression] = STATE(5291),
    [sym_in_expression] = STATE(5291),
    [sym_variadic_expression] = STATE(5291),
    [sym_parenthesized_expression] = STATE(5291),
    [sym_or_return_expression] = STATE(5291),
    [sym_or_continue_expression] = STATE(5291),
    [sym_or_break_expression] = STATE(5291),
    [sym_address] = STATE(5291),
    [sym_map_type] = STATE(5291),
    [sym_matrix_type] = STATE(5291),
    [sym_distinct_type] = STATE(5291),
    [sym_literal] = STATE(5291),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(6158),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(6160),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1894] = {
    [sym_expression] = STATE(3814),
    [sym__expression_no_tag] = STATE(3856),
    [sym_unary_expression] = STATE(3856),
    [sym_binary_expression] = STATE(3856),
    [sym_ternary_expression] = STATE(3856),
    [sym_call_expression] = STATE(3856),
    [sym_selector_call_expression] = STATE(3856),
    [sym_member_expression] = STATE(3856),
    [sym_index_expression] = STATE(3856),
    [sym_slice_expression] = STATE(3856),
    [sym_range_expression] = STATE(3856),
    [sym_cast_expression] = STATE(3856),
    [sym_in_expression] = STATE(3856),
    [sym_variadic_expression] = STATE(3856),
    [sym_parenthesized_expression] = STATE(3856),
    [sym_or_return_expression] = STATE(3856),
    [sym_or_continue_expression] = STATE(3856),
    [sym_or_break_expression] = STATE(3856),
    [sym_address] = STATE(3856),
    [sym_map_type] = STATE(3856),
    [sym_matrix_type] = STATE(3856),
    [sym_distinct_type] = STATE(3856),
    [sym_literal] = STATE(3856),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(619),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1895] = {
    [sym_expression] = STATE(2647),
    [sym__expression_no_tag] = STATE(2664),
    [sym_unary_expression] = STATE(2664),
    [sym_binary_expression] = STATE(2664),
    [sym_ternary_expression] = STATE(2664),
    [sym_call_expression] = STATE(2664),
    [sym_selector_call_expression] = STATE(2664),
    [sym_member_expression] = STATE(2664),
    [sym_index_expression] = STATE(2664),
    [sym_slice_expression] = STATE(2664),
    [sym_range_expression] = STATE(2664),
    [sym_cast_expression] = STATE(2664),
    [sym_in_expression] = STATE(2664),
    [sym_variadic_expression] = STATE(2664),
    [sym_parenthesized_expression] = STATE(2664),
    [sym_or_return_expression] = STATE(2664),
    [sym_or_continue_expression] = STATE(2664),
    [sym_or_break_expression] = STATE(2664),
    [sym_address] = STATE(2664),
    [sym_map_type] = STATE(2664),
    [sym_matrix_type] = STATE(2664),
    [sym_distinct_type] = STATE(2664),
    [sym_literal] = STATE(2664),
    [sym_struct] = STATE(2632),
    [sym_map] = STATE(2566),
    [sym_bit_set] = STATE(2566),
    [sym_matrix] = STATE(2566),
    [sym_string] = STATE(2566),
    [sym__string_literal] = STATE(2591),
    [sym__raw_string_literal] = STATE(2591),
    [sym_character] = STATE(2566),
    [sym_boolean] = STATE(2566),
    [sym_field_identifier] = STATE(7902),
    [sym_identifier] = ACTIONS(249),
    [anon_sym_LBRACE] = ACTIONS(251),
    [anon_sym_LPAREN] = ACTIONS(291),
    [anon_sym_QMARK] = ACTIONS(293),
    [anon_sym_PLUS] = ACTIONS(3175),
    [anon_sym_DASH] = ACTIONS(295),
    [anon_sym_TILDE] = ACTIONS(3175),
    [anon_sym_BANG] = ACTIONS(3175),
    [anon_sym_AMP] = ACTIONS(3175),
    [anon_sym_DOT] = ACTIONS(297),
    [anon_sym_LBRACK] = ACTIONS(261),
    [anon_sym_cast] = ACTIONS(299),
    [anon_sym_transmute] = ACTIONS(299),
    [anon_sym_auto_cast] = ACTIONS(301),
    [anon_sym_DOT_DOT] = ACTIONS(3177),
    [anon_sym_map] = ACTIONS(269),
    [anon_sym_bit_set] = ACTIONS(271),
    [anon_sym_matrix] = ACTIONS(273),
    [anon_sym_distinct] = ACTIONS(275),
    [sym_number] = ACTIONS(277),
    [anon_sym_DQUOTE] = ACTIONS(279),
    [anon_sym_BQUOTE] = ACTIONS(281),
    [anon_sym_SQUOTE] = ACTIONS(283),
    [anon_sym_true] = ACTIONS(285),
    [anon_sym_false] = ACTIONS(285),
    [sym_nil] = ACTIONS(287),
    [sym_uninitialized] = ACTIONS(277),
    [sym_tag] = ACTIONS(305),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(277),
    [sym_block_comment] = ACTIONS(3),
  },
  [1896] = {
    [sym_expression] = STATE(2648),
    [sym__expression_no_tag] = STATE(2664),
    [sym_unary_expression] = STATE(2664),
    [sym_binary_expression] = STATE(2664),
    [sym_ternary_expression] = STATE(2664),
    [sym_call_expression] = STATE(2664),
    [sym_selector_call_expression] = STATE(2664),
    [sym_member_expression] = STATE(2664),
    [sym_index_expression] = STATE(2664),
    [sym_slice_expression] = STATE(2664),
    [sym_range_expression] = STATE(2664),
    [sym_cast_expression] = STATE(2664),
    [sym_in_expression] = STATE(2664),
    [sym_variadic_expression] = STATE(2664),
    [sym_parenthesized_expression] = STATE(2664),
    [sym_or_return_expression] = STATE(2664),
    [sym_or_continue_expression] = STATE(2664),
    [sym_or_break_expression] = STATE(2664),
    [sym_address] = STATE(2664),
    [sym_map_type] = STATE(2664),
    [sym_matrix_type] = STATE(2664),
    [sym_distinct_type] = STATE(2664),
    [sym_literal] = STATE(2664),
    [sym_struct] = STATE(2632),
    [sym_map] = STATE(2566),
    [sym_bit_set] = STATE(2566),
    [sym_matrix] = STATE(2566),
    [sym_string] = STATE(2566),
    [sym__string_literal] = STATE(2591),
    [sym__raw_string_literal] = STATE(2591),
    [sym_character] = STATE(2566),
    [sym_boolean] = STATE(2566),
    [sym_field_identifier] = STATE(7902),
    [sym_identifier] = ACTIONS(249),
    [anon_sym_LBRACE] = ACTIONS(251),
    [anon_sym_LPAREN] = ACTIONS(291),
    [anon_sym_QMARK] = ACTIONS(293),
    [anon_sym_PLUS] = ACTIONS(3175),
    [anon_sym_DASH] = ACTIONS(295),
    [anon_sym_TILDE] = ACTIONS(3175),
    [anon_sym_BANG] = ACTIONS(3175),
    [anon_sym_AMP] = ACTIONS(3175),
    [anon_sym_DOT] = ACTIONS(297),
    [anon_sym_LBRACK] = ACTIONS(261),
    [anon_sym_cast] = ACTIONS(299),
    [anon_sym_transmute] = ACTIONS(299),
    [anon_sym_auto_cast] = ACTIONS(301),
    [anon_sym_DOT_DOT] = ACTIONS(3177),
    [anon_sym_map] = ACTIONS(269),
    [anon_sym_bit_set] = ACTIONS(271),
    [anon_sym_matrix] = ACTIONS(273),
    [anon_sym_distinct] = ACTIONS(275),
    [sym_number] = ACTIONS(277),
    [anon_sym_DQUOTE] = ACTIONS(279),
    [anon_sym_BQUOTE] = ACTIONS(281),
    [anon_sym_SQUOTE] = ACTIONS(283),
    [anon_sym_true] = ACTIONS(285),
    [anon_sym_false] = ACTIONS(285),
    [sym_nil] = ACTIONS(287),
    [sym_uninitialized] = ACTIONS(277),
    [sym_tag] = ACTIONS(305),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(277),
    [sym_block_comment] = ACTIONS(3),
  },
  [1897] = {
    [sym_expression] = STATE(4574),
    [sym__expression_no_tag] = STATE(4417),
    [sym_unary_expression] = STATE(4417),
    [sym_binary_expression] = STATE(4417),
    [sym_ternary_expression] = STATE(4417),
    [sym_call_expression] = STATE(4417),
    [sym_selector_call_expression] = STATE(4417),
    [sym_member_expression] = STATE(4417),
    [sym_index_expression] = STATE(4417),
    [sym_slice_expression] = STATE(4417),
    [sym_range_expression] = STATE(4417),
    [sym_cast_expression] = STATE(4417),
    [sym_in_expression] = STATE(4417),
    [sym_variadic_expression] = STATE(4417),
    [sym_parenthesized_expression] = STATE(4417),
    [sym_or_return_expression] = STATE(4417),
    [sym_or_continue_expression] = STATE(4417),
    [sym_or_break_expression] = STATE(4417),
    [sym_address] = STATE(4417),
    [sym_map_type] = STATE(4417),
    [sym_matrix_type] = STATE(4417),
    [sym_distinct_type] = STATE(4417),
    [sym_literal] = STATE(4417),
    [sym_struct] = STATE(3866),
    [sym_map] = STATE(3787),
    [sym_bit_set] = STATE(3787),
    [sym_matrix] = STATE(3787),
    [sym_string] = STATE(3787),
    [sym__string_literal] = STATE(3867),
    [sym__raw_string_literal] = STATE(3867),
    [sym_character] = STATE(3787),
    [sym_boolean] = STATE(3787),
    [sym_field_identifier] = STATE(7783),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_QMARK] = ACTIONS(6162),
    [anon_sym_PLUS] = ACTIONS(27),
    [anon_sym_DASH] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(27),
    [anon_sym_DOT] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_cast] = ACTIONS(35),
    [anon_sym_transmute] = ACTIONS(35),
    [anon_sym_auto_cast] = ACTIONS(37),
    [anon_sym_DOT_DOT] = ACTIONS(39),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(611),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [1898] = {
    [sym_expression] = STATE(4189),
    [sym__expression_no_tag] = STATE(4282),
    [sym_unary_expression] = STATE(4282),
    [sym_binary_expression] = STATE(4282),
    [sym_ternary_expression] = STATE(4282),
    [sym_call_expression] = STATE(4282),
    [sym_selector_call_expression] = STATE(4282),
    [sym_member_expression] = STATE(4282),
    [sym_index_expression] = STATE(4282),
    [sym_slice_expression] = STATE(4282),
    [sym_range_expression] = STATE(4282),
    [sym_cast_expression] = STATE(4282),
    [sym_in_expression] = STATE(4282),
    [sym_variadic_expression] = STATE(4282),
    [sym_parenthesized_expression] = STATE(4282),
    [sym_or_return_expression] = STATE(4282),
    [sym_or_continue_expression] = STATE(4282),
    [sym_or_break_expression] = STATE(4282),
    [sym_address] = STATE(4282),
    [sym_map_type] = STATE(4282),
    [sym_matrix_type] = STATE(4282),
    [sym_distinct_type] = STATE(4282),
    [sym_literal] = STATE(4282),
    [sym_struct] = STATE(4297),
    [sym_map] = STATE(4290),
    [sym_bit_set] = STATE(4290),
    [sym_matrix] = STATE(4290),
    [sym_string] = STATE(4290),
    [sym__string_literal] = STATE(4298),
    [sym__raw_string_literal] = STATE(4298),
    [sym_character] = STATE(4290),
    [sym_boolean] = STATE(4290),
    [sym_field_identifier] = STATE(7838),
    [sym_identifier] = ACTIONS(757),
    [anon_sym_LBRACE] = ACTIONS(707),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_QMARK] = ACTIONS(769),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(721),
    [anon_sym_TILDE] = ACTIONS(719),
    [anon_sym_BANG] = ACTIONS(719),
    [anon_sym_AMP] = ACTIONS(719),
    [anon_sym_DOT] = ACTIONS(723),
    [anon_sym_LBRACK] = ACTIONS(725),
    [anon_sym_cast] = ACTIONS(727),
    [anon_sym_transmute] = ACTIONS(727),
    [anon_sym_auto_cast] = ACTIONS(729),
    [anon_sym_DOT_DOT] = ACTIONS(2849),
    [anon_sym_map] = ACTIONS(733),
    [anon_sym_bit_set] = ACTIONS(735),
    [anon_sym_matrix] = ACTIONS(737),
    [anon_sym_distinct] = ACTIONS(739),
    [sym_number] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(743),
    [anon_sym_BQUOTE] = ACTIONS(745),
    [anon_sym_SQUOTE] = ACTIONS(747),
    [anon_sym_true] = ACTIONS(749),
    [anon_sym_false] = ACTIONS(749),
    [sym_nil] = ACTIONS(751),
    [sym_uninitialized] = ACTIONS(741),
    [sym_tag] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(741),
    [sym_block_comment] = ACTIONS(3),
  },
  [1899] = {
    [sym_expression] = STATE(3816),
    [sym__expression_no_tag] = STATE(3856),
    [sym_unary_expression] = STATE(3856),
    [sym_binary_expression] = STATE(3856),
    [sym_ternary_expression] = STATE(3856),
    [sym_call_expression] = STATE(3856),
    [sym_selector_call_expression] = STATE(3856),
    [sym_member_expression] = STATE(3856),
    [sym_index_expression] = STATE(3856),
    [sym_slice_expression] = STATE(3856),
    [sym_range_expression] = STATE(3856),
    [sym_cast_expression] = STATE(3856),
    [sym_in_expression] = STATE(3856),
    [sym_variadic_expression] = STATE(3856),
    [sym_parenthesized_expression] = STATE(3856),
    [sym_or_return_expression] = STATE(3856),
    [sym_or_continue_expression] = STATE(3856),
    [sym_or_break_expression] = STATE(3856),
    [sym_address] = STATE(3856),
    [sym_map_type] = STATE(3856),
    [sym_matrix_type] = STATE(3856),
    [sym_distinct_type] = STATE(3856),
    [sym_literal] = STATE(3856),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(619),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1900] = {
    [sym_expression] = STATE(3729),
    [sym__expression_no_tag] = STATE(3362),
    [sym_unary_expression] = STATE(3362),
    [sym_binary_expression] = STATE(3362),
    [sym_ternary_expression] = STATE(3362),
    [sym_call_expression] = STATE(3362),
    [sym_selector_call_expression] = STATE(3362),
    [sym_member_expression] = STATE(3362),
    [sym_index_expression] = STATE(3362),
    [sym_slice_expression] = STATE(3362),
    [sym_range_expression] = STATE(3362),
    [sym_cast_expression] = STATE(3362),
    [sym_in_expression] = STATE(3362),
    [sym_variadic_expression] = STATE(3362),
    [sym_parenthesized_expression] = STATE(3362),
    [sym_or_return_expression] = STATE(3362),
    [sym_or_continue_expression] = STATE(3362),
    [sym_or_break_expression] = STATE(3362),
    [sym_address] = STATE(3362),
    [sym_map_type] = STATE(3362),
    [sym_matrix_type] = STATE(3362),
    [sym_distinct_type] = STATE(3362),
    [sym_literal] = STATE(3362),
    [sym_struct] = STATE(3165),
    [sym_map] = STATE(3078),
    [sym_bit_set] = STATE(3078),
    [sym_matrix] = STATE(3078),
    [sym_string] = STATE(3078),
    [sym__string_literal] = STATE(3166),
    [sym__raw_string_literal] = STATE(3166),
    [sym_character] = STATE(3078),
    [sym_boolean] = STATE(3078),
    [sym_field_identifier] = STATE(7864),
    [sym_identifier] = ACTIONS(449),
    [anon_sym_LBRACE] = ACTIONS(451),
    [anon_sym_LPAREN] = ACTIONS(453),
    [anon_sym_QMARK] = ACTIONS(6164),
    [anon_sym_PLUS] = ACTIONS(457),
    [anon_sym_DASH] = ACTIONS(459),
    [anon_sym_TILDE] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(457),
    [anon_sym_AMP] = ACTIONS(457),
    [anon_sym_DOT] = ACTIONS(461),
    [anon_sym_LBRACK] = ACTIONS(463),
    [anon_sym_cast] = ACTIONS(465),
    [anon_sym_transmute] = ACTIONS(465),
    [anon_sym_auto_cast] = ACTIONS(467),
    [anon_sym_DOT_DOT] = ACTIONS(6050),
    [anon_sym_map] = ACTIONS(471),
    [anon_sym_bit_set] = ACTIONS(473),
    [anon_sym_matrix] = ACTIONS(475),
    [anon_sym_distinct] = ACTIONS(477),
    [sym_number] = ACTIONS(479),
    [anon_sym_DQUOTE] = ACTIONS(481),
    [anon_sym_BQUOTE] = ACTIONS(483),
    [anon_sym_SQUOTE] = ACTIONS(485),
    [anon_sym_true] = ACTIONS(487),
    [anon_sym_false] = ACTIONS(487),
    [sym_nil] = ACTIONS(489),
    [sym_uninitialized] = ACTIONS(479),
    [sym_tag] = ACTIONS(491),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(479),
    [sym_block_comment] = ACTIONS(3),
  },
  [1901] = {
    [sym_expression] = STATE(6057),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1902] = {
    [sym_expression] = STATE(3817),
    [sym__expression_no_tag] = STATE(3856),
    [sym_unary_expression] = STATE(3856),
    [sym_binary_expression] = STATE(3856),
    [sym_ternary_expression] = STATE(3856),
    [sym_call_expression] = STATE(3856),
    [sym_selector_call_expression] = STATE(3856),
    [sym_member_expression] = STATE(3856),
    [sym_index_expression] = STATE(3856),
    [sym_slice_expression] = STATE(3856),
    [sym_range_expression] = STATE(3856),
    [sym_cast_expression] = STATE(3856),
    [sym_in_expression] = STATE(3856),
    [sym_variadic_expression] = STATE(3856),
    [sym_parenthesized_expression] = STATE(3856),
    [sym_or_return_expression] = STATE(3856),
    [sym_or_continue_expression] = STATE(3856),
    [sym_or_break_expression] = STATE(3856),
    [sym_address] = STATE(3856),
    [sym_map_type] = STATE(3856),
    [sym_matrix_type] = STATE(3856),
    [sym_distinct_type] = STATE(3856),
    [sym_literal] = STATE(3856),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(619),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1903] = {
    [sym_expression] = STATE(3955),
    [sym__expression_no_tag] = STATE(3826),
    [sym_unary_expression] = STATE(3826),
    [sym_binary_expression] = STATE(3826),
    [sym_ternary_expression] = STATE(3826),
    [sym_call_expression] = STATE(3826),
    [sym_selector_call_expression] = STATE(3826),
    [sym_member_expression] = STATE(3826),
    [sym_index_expression] = STATE(3826),
    [sym_slice_expression] = STATE(3826),
    [sym_range_expression] = STATE(3826),
    [sym_cast_expression] = STATE(3826),
    [sym_in_expression] = STATE(3826),
    [sym_variadic_expression] = STATE(3826),
    [sym_parenthesized_expression] = STATE(3826),
    [sym_or_return_expression] = STATE(3826),
    [sym_or_continue_expression] = STATE(3826),
    [sym_or_break_expression] = STATE(3826),
    [sym_address] = STATE(3826),
    [sym_map_type] = STATE(3826),
    [sym_matrix_type] = STATE(3826),
    [sym_distinct_type] = STATE(3826),
    [sym_literal] = STATE(3826),
    [sym_struct] = STATE(3866),
    [sym_map] = STATE(3787),
    [sym_bit_set] = STATE(3787),
    [sym_matrix] = STATE(3787),
    [sym_string] = STATE(3787),
    [sym__string_literal] = STATE(3867),
    [sym__raw_string_literal] = STATE(3867),
    [sym_character] = STATE(3787),
    [sym_boolean] = STATE(3787),
    [sym_field_identifier] = STATE(7783),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_QMARK] = ACTIONS(657),
    [anon_sym_PLUS] = ACTIONS(27),
    [anon_sym_DASH] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(27),
    [anon_sym_DOT] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_cast] = ACTIONS(35),
    [anon_sym_transmute] = ACTIONS(35),
    [anon_sym_auto_cast] = ACTIONS(37),
    [anon_sym_DOT_DOT] = ACTIONS(39),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(611),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [1904] = {
    [sym_expression] = STATE(5813),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1905] = {
    [sym_expression] = STATE(4465),
    [sym__expression_no_tag] = STATE(4299),
    [sym_unary_expression] = STATE(4299),
    [sym_binary_expression] = STATE(4299),
    [sym_ternary_expression] = STATE(4299),
    [sym_call_expression] = STATE(4299),
    [sym_selector_call_expression] = STATE(4299),
    [sym_member_expression] = STATE(4299),
    [sym_index_expression] = STATE(4299),
    [sym_slice_expression] = STATE(4299),
    [sym_range_expression] = STATE(4299),
    [sym_cast_expression] = STATE(4299),
    [sym_in_expression] = STATE(4299),
    [sym_variadic_expression] = STATE(4299),
    [sym_parenthesized_expression] = STATE(4299),
    [sym_or_return_expression] = STATE(4299),
    [sym_or_continue_expression] = STATE(4299),
    [sym_or_break_expression] = STATE(4299),
    [sym_address] = STATE(4299),
    [sym_map_type] = STATE(4299),
    [sym_matrix_type] = STATE(4299),
    [sym_distinct_type] = STATE(4299),
    [sym_literal] = STATE(4299),
    [sym_struct] = STATE(4311),
    [sym_map] = STATE(3787),
    [sym_bit_set] = STATE(3787),
    [sym_matrix] = STATE(3787),
    [sym_string] = STATE(3787),
    [sym__string_literal] = STATE(3867),
    [sym__raw_string_literal] = STATE(3867),
    [sym_character] = STATE(3787),
    [sym_boolean] = STATE(3787),
    [sym_field_identifier] = STATE(7783),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(759),
    [anon_sym_QMARK] = ACTIONS(591),
    [anon_sym_PLUS] = ACTIONS(763),
    [anon_sym_DASH] = ACTIONS(593),
    [anon_sym_TILDE] = ACTIONS(763),
    [anon_sym_BANG] = ACTIONS(763),
    [anon_sym_AMP] = ACTIONS(763),
    [anon_sym_DOT] = ACTIONS(765),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_cast] = ACTIONS(597),
    [anon_sym_transmute] = ACTIONS(597),
    [anon_sym_auto_cast] = ACTIONS(599),
    [anon_sym_DOT_DOT] = ACTIONS(2797),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(755),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [1906] = {
    [sym_expression] = STATE(1142),
    [sym__expression_no_tag] = STATE(743),
    [sym_unary_expression] = STATE(743),
    [sym_binary_expression] = STATE(743),
    [sym_ternary_expression] = STATE(743),
    [sym_call_expression] = STATE(743),
    [sym_selector_call_expression] = STATE(743),
    [sym_member_expression] = STATE(743),
    [sym_index_expression] = STATE(743),
    [sym_slice_expression] = STATE(743),
    [sym_range_expression] = STATE(743),
    [sym_cast_expression] = STATE(743),
    [sym_in_expression] = STATE(743),
    [sym_variadic_expression] = STATE(743),
    [sym_parenthesized_expression] = STATE(743),
    [sym_or_return_expression] = STATE(743),
    [sym_or_continue_expression] = STATE(743),
    [sym_or_break_expression] = STATE(743),
    [sym_address] = STATE(743),
    [sym_map_type] = STATE(743),
    [sym_matrix_type] = STATE(743),
    [sym_distinct_type] = STATE(743),
    [sym_literal] = STATE(743),
    [sym_struct] = STATE(933),
    [sym_map] = STATE(925),
    [sym_bit_set] = STATE(925),
    [sym_matrix] = STATE(925),
    [sym_string] = STATE(925),
    [sym__string_literal] = STATE(934),
    [sym__raw_string_literal] = STATE(934),
    [sym_character] = STATE(925),
    [sym_boolean] = STATE(925),
    [sym_field_identifier] = STATE(7874),
    [sym_identifier] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(135),
    [anon_sym_QMARK] = ACTIONS(137),
    [anon_sym_PLUS] = ACTIONS(6046),
    [anon_sym_DASH] = ACTIONS(139),
    [anon_sym_TILDE] = ACTIONS(6046),
    [anon_sym_BANG] = ACTIONS(6046),
    [anon_sym_AMP] = ACTIONS(6046),
    [anon_sym_DOT] = ACTIONS(141),
    [anon_sym_LBRACK] = ACTIONS(143),
    [anon_sym_cast] = ACTIONS(145),
    [anon_sym_transmute] = ACTIONS(145),
    [anon_sym_auto_cast] = ACTIONS(147),
    [anon_sym_DOT_DOT] = ACTIONS(6048),
    [anon_sym_map] = ACTIONS(151),
    [anon_sym_bit_set] = ACTIONS(153),
    [anon_sym_matrix] = ACTIONS(155),
    [anon_sym_distinct] = ACTIONS(157),
    [sym_number] = ACTIONS(159),
    [anon_sym_DQUOTE] = ACTIONS(161),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [anon_sym_SQUOTE] = ACTIONS(165),
    [anon_sym_true] = ACTIONS(167),
    [anon_sym_false] = ACTIONS(167),
    [sym_nil] = ACTIONS(169),
    [sym_uninitialized] = ACTIONS(159),
    [sym_tag] = ACTIONS(171),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(159),
    [sym_block_comment] = ACTIONS(3),
  },
  [1907] = {
    [sym_expression] = STATE(1143),
    [sym__expression_no_tag] = STATE(743),
    [sym_unary_expression] = STATE(743),
    [sym_binary_expression] = STATE(743),
    [sym_ternary_expression] = STATE(743),
    [sym_call_expression] = STATE(743),
    [sym_selector_call_expression] = STATE(743),
    [sym_member_expression] = STATE(743),
    [sym_index_expression] = STATE(743),
    [sym_slice_expression] = STATE(743),
    [sym_range_expression] = STATE(743),
    [sym_cast_expression] = STATE(743),
    [sym_in_expression] = STATE(743),
    [sym_variadic_expression] = STATE(743),
    [sym_parenthesized_expression] = STATE(743),
    [sym_or_return_expression] = STATE(743),
    [sym_or_continue_expression] = STATE(743),
    [sym_or_break_expression] = STATE(743),
    [sym_address] = STATE(743),
    [sym_map_type] = STATE(743),
    [sym_matrix_type] = STATE(743),
    [sym_distinct_type] = STATE(743),
    [sym_literal] = STATE(743),
    [sym_struct] = STATE(933),
    [sym_map] = STATE(925),
    [sym_bit_set] = STATE(925),
    [sym_matrix] = STATE(925),
    [sym_string] = STATE(925),
    [sym__string_literal] = STATE(934),
    [sym__raw_string_literal] = STATE(934),
    [sym_character] = STATE(925),
    [sym_boolean] = STATE(925),
    [sym_field_identifier] = STATE(7874),
    [sym_identifier] = ACTIONS(127),
    [anon_sym_LBRACE] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(135),
    [anon_sym_QMARK] = ACTIONS(137),
    [anon_sym_PLUS] = ACTIONS(6046),
    [anon_sym_DASH] = ACTIONS(139),
    [anon_sym_TILDE] = ACTIONS(6046),
    [anon_sym_BANG] = ACTIONS(6046),
    [anon_sym_AMP] = ACTIONS(6046),
    [anon_sym_DOT] = ACTIONS(141),
    [anon_sym_LBRACK] = ACTIONS(143),
    [anon_sym_cast] = ACTIONS(145),
    [anon_sym_transmute] = ACTIONS(145),
    [anon_sym_auto_cast] = ACTIONS(147),
    [anon_sym_DOT_DOT] = ACTIONS(6048),
    [anon_sym_map] = ACTIONS(151),
    [anon_sym_bit_set] = ACTIONS(153),
    [anon_sym_matrix] = ACTIONS(155),
    [anon_sym_distinct] = ACTIONS(157),
    [sym_number] = ACTIONS(159),
    [anon_sym_DQUOTE] = ACTIONS(161),
    [anon_sym_BQUOTE] = ACTIONS(163),
    [anon_sym_SQUOTE] = ACTIONS(165),
    [anon_sym_true] = ACTIONS(167),
    [anon_sym_false] = ACTIONS(167),
    [sym_nil] = ACTIONS(169),
    [sym_uninitialized] = ACTIONS(159),
    [sym_tag] = ACTIONS(171),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(159),
    [sym_block_comment] = ACTIONS(3),
  },
  [1908] = {
    [sym_expression] = STATE(2090),
    [sym__expression_no_tag] = STATE(2219),
    [sym_unary_expression] = STATE(2219),
    [sym_binary_expression] = STATE(2219),
    [sym_ternary_expression] = STATE(2219),
    [sym_call_expression] = STATE(2219),
    [sym_selector_call_expression] = STATE(2219),
    [sym_member_expression] = STATE(2219),
    [sym_index_expression] = STATE(2219),
    [sym_slice_expression] = STATE(2219),
    [sym_range_expression] = STATE(2219),
    [sym_cast_expression] = STATE(2219),
    [sym_in_expression] = STATE(2219),
    [sym_variadic_expression] = STATE(2219),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_or_return_expression] = STATE(2219),
    [sym_or_continue_expression] = STATE(2219),
    [sym_or_break_expression] = STATE(2219),
    [sym_address] = STATE(2219),
    [sym_map_type] = STATE(2219),
    [sym_matrix_type] = STATE(2219),
    [sym_distinct_type] = STATE(2219),
    [sym_literal] = STATE(2219),
    [sym_struct] = STATE(2056),
    [sym_map] = STATE(2054),
    [sym_bit_set] = STATE(2054),
    [sym_matrix] = STATE(2054),
    [sym_string] = STATE(2054),
    [sym__string_literal] = STATE(2057),
    [sym__raw_string_literal] = STATE(2057),
    [sym_character] = STATE(2054),
    [sym_boolean] = STATE(2054),
    [sym_field_identifier] = STATE(7869),
    [sym_identifier] = ACTIONS(207),
    [anon_sym_LBRACE] = ACTIONS(237),
    [anon_sym_LPAREN] = ACTIONS(239),
    [anon_sym_QMARK] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(6042),
    [anon_sym_DASH] = ACTIONS(209),
    [anon_sym_TILDE] = ACTIONS(6042),
    [anon_sym_BANG] = ACTIONS(6042),
    [anon_sym_AMP] = ACTIONS(6042),
    [anon_sym_DOT] = ACTIONS(243),
    [anon_sym_LBRACK] = ACTIONS(245),
    [anon_sym_cast] = ACTIONS(211),
    [anon_sym_transmute] = ACTIONS(211),
    [anon_sym_auto_cast] = ACTIONS(213),
    [anon_sym_DOT_DOT] = ACTIONS(6044),
    [anon_sym_map] = ACTIONS(217),
    [anon_sym_bit_set] = ACTIONS(219),
    [anon_sym_matrix] = ACTIONS(221),
    [anon_sym_distinct] = ACTIONS(223),
    [sym_number] = ACTIONS(225),
    [anon_sym_DQUOTE] = ACTIONS(227),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_SQUOTE] = ACTIONS(231),
    [anon_sym_true] = ACTIONS(233),
    [anon_sym_false] = ACTIONS(233),
    [sym_nil] = ACTIONS(235),
    [sym_uninitialized] = ACTIONS(225),
    [sym_tag] = ACTIONS(247),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(225),
    [sym_block_comment] = ACTIONS(3),
  },
  [1909] = {
    [sym_expression] = STATE(3820),
    [sym__expression_no_tag] = STATE(3856),
    [sym_unary_expression] = STATE(3856),
    [sym_binary_expression] = STATE(3856),
    [sym_ternary_expression] = STATE(3856),
    [sym_call_expression] = STATE(3856),
    [sym_selector_call_expression] = STATE(3856),
    [sym_member_expression] = STATE(3856),
    [sym_index_expression] = STATE(3856),
    [sym_slice_expression] = STATE(3856),
    [sym_range_expression] = STATE(3856),
    [sym_cast_expression] = STATE(3856),
    [sym_in_expression] = STATE(3856),
    [sym_variadic_expression] = STATE(3856),
    [sym_parenthesized_expression] = STATE(3856),
    [sym_or_return_expression] = STATE(3856),
    [sym_or_continue_expression] = STATE(3856),
    [sym_or_break_expression] = STATE(3856),
    [sym_address] = STATE(3856),
    [sym_map_type] = STATE(3856),
    [sym_matrix_type] = STATE(3856),
    [sym_distinct_type] = STATE(3856),
    [sym_literal] = STATE(3856),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(619),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1910] = {
    [sym_expression] = STATE(5817),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1911] = {
    [sym_expression] = STATE(3211),
    [sym__expression_no_tag] = STATE(2689),
    [sym_unary_expression] = STATE(2689),
    [sym_binary_expression] = STATE(2689),
    [sym_ternary_expression] = STATE(2689),
    [sym_call_expression] = STATE(2689),
    [sym_selector_call_expression] = STATE(2689),
    [sym_member_expression] = STATE(2689),
    [sym_index_expression] = STATE(2689),
    [sym_slice_expression] = STATE(2689),
    [sym_range_expression] = STATE(2689),
    [sym_cast_expression] = STATE(2689),
    [sym_in_expression] = STATE(2689),
    [sym_variadic_expression] = STATE(2689),
    [sym_parenthesized_expression] = STATE(2689),
    [sym_or_return_expression] = STATE(2689),
    [sym_or_continue_expression] = STATE(2689),
    [sym_or_break_expression] = STATE(2689),
    [sym_address] = STATE(2689),
    [sym_map_type] = STATE(2689),
    [sym_matrix_type] = STATE(2689),
    [sym_distinct_type] = STATE(2689),
    [sym_literal] = STATE(2689),
    [sym_struct] = STATE(3145),
    [sym_map] = STATE(2871),
    [sym_bit_set] = STATE(2871),
    [sym_matrix] = STATE(2871),
    [sym_string] = STATE(2871),
    [sym__string_literal] = STATE(2874),
    [sym__raw_string_literal] = STATE(2874),
    [sym_character] = STATE(2871),
    [sym_boolean] = STATE(2871),
    [sym_field_identifier] = STATE(7825),
    [sym_identifier] = ACTIONS(493),
    [anon_sym_LBRACE] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_QMARK] = ACTIONS(529),
    [anon_sym_PLUS] = ACTIONS(531),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(531),
    [anon_sym_AMP] = ACTIONS(531),
    [anon_sym_DOT] = ACTIONS(533),
    [anon_sym_LBRACK] = ACTIONS(535),
    [anon_sym_cast] = ACTIONS(497),
    [anon_sym_transmute] = ACTIONS(497),
    [anon_sym_auto_cast] = ACTIONS(499),
    [anon_sym_DOT_DOT] = ACTIONS(6104),
    [anon_sym_map] = ACTIONS(503),
    [anon_sym_bit_set] = ACTIONS(505),
    [anon_sym_matrix] = ACTIONS(507),
    [anon_sym_distinct] = ACTIONS(509),
    [sym_number] = ACTIONS(511),
    [anon_sym_DQUOTE] = ACTIONS(513),
    [anon_sym_BQUOTE] = ACTIONS(515),
    [anon_sym_SQUOTE] = ACTIONS(517),
    [anon_sym_true] = ACTIONS(519),
    [anon_sym_false] = ACTIONS(519),
    [sym_nil] = ACTIONS(521),
    [sym_uninitialized] = ACTIONS(511),
    [sym_tag] = ACTIONS(537),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(511),
    [sym_block_comment] = ACTIONS(3),
  },
  [1912] = {
    [sym_expression] = STATE(3824),
    [sym__expression_no_tag] = STATE(3856),
    [sym_unary_expression] = STATE(3856),
    [sym_binary_expression] = STATE(3856),
    [sym_ternary_expression] = STATE(3856),
    [sym_call_expression] = STATE(3856),
    [sym_selector_call_expression] = STATE(3856),
    [sym_member_expression] = STATE(3856),
    [sym_index_expression] = STATE(3856),
    [sym_slice_expression] = STATE(3856),
    [sym_range_expression] = STATE(3856),
    [sym_cast_expression] = STATE(3856),
    [sym_in_expression] = STATE(3856),
    [sym_variadic_expression] = STATE(3856),
    [sym_parenthesized_expression] = STATE(3856),
    [sym_or_return_expression] = STATE(3856),
    [sym_or_continue_expression] = STATE(3856),
    [sym_or_break_expression] = STATE(3856),
    [sym_address] = STATE(3856),
    [sym_map_type] = STATE(3856),
    [sym_matrix_type] = STATE(3856),
    [sym_distinct_type] = STATE(3856),
    [sym_literal] = STATE(3856),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(619),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1913] = {
    [sym_expression] = STATE(3828),
    [sym__expression_no_tag] = STATE(3856),
    [sym_unary_expression] = STATE(3856),
    [sym_binary_expression] = STATE(3856),
    [sym_ternary_expression] = STATE(3856),
    [sym_call_expression] = STATE(3856),
    [sym_selector_call_expression] = STATE(3856),
    [sym_member_expression] = STATE(3856),
    [sym_index_expression] = STATE(3856),
    [sym_slice_expression] = STATE(3856),
    [sym_range_expression] = STATE(3856),
    [sym_cast_expression] = STATE(3856),
    [sym_in_expression] = STATE(3856),
    [sym_variadic_expression] = STATE(3856),
    [sym_parenthesized_expression] = STATE(3856),
    [sym_or_return_expression] = STATE(3856),
    [sym_or_continue_expression] = STATE(3856),
    [sym_or_break_expression] = STATE(3856),
    [sym_address] = STATE(3856),
    [sym_map_type] = STATE(3856),
    [sym_matrix_type] = STATE(3856),
    [sym_distinct_type] = STATE(3856),
    [sym_literal] = STATE(3856),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(619),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1914] = {
    [sym_expression] = STATE(5840),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1915] = {
    [sym_expression] = STATE(3839),
    [sym__expression_no_tag] = STATE(3856),
    [sym_unary_expression] = STATE(3856),
    [sym_binary_expression] = STATE(3856),
    [sym_ternary_expression] = STATE(3856),
    [sym_call_expression] = STATE(3856),
    [sym_selector_call_expression] = STATE(3856),
    [sym_member_expression] = STATE(3856),
    [sym_index_expression] = STATE(3856),
    [sym_slice_expression] = STATE(3856),
    [sym_range_expression] = STATE(3856),
    [sym_cast_expression] = STATE(3856),
    [sym_in_expression] = STATE(3856),
    [sym_variadic_expression] = STATE(3856),
    [sym_parenthesized_expression] = STATE(3856),
    [sym_or_return_expression] = STATE(3856),
    [sym_or_continue_expression] = STATE(3856),
    [sym_or_break_expression] = STATE(3856),
    [sym_address] = STATE(3856),
    [sym_map_type] = STATE(3856),
    [sym_matrix_type] = STATE(3856),
    [sym_distinct_type] = STATE(3856),
    [sym_literal] = STATE(3856),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(619),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1916] = {
    [sym_expression] = STATE(3759),
    [sym__expression_no_tag] = STATE(3362),
    [sym_unary_expression] = STATE(3362),
    [sym_binary_expression] = STATE(3362),
    [sym_ternary_expression] = STATE(3362),
    [sym_call_expression] = STATE(3362),
    [sym_selector_call_expression] = STATE(3362),
    [sym_member_expression] = STATE(3362),
    [sym_index_expression] = STATE(3362),
    [sym_slice_expression] = STATE(3362),
    [sym_range_expression] = STATE(3362),
    [sym_cast_expression] = STATE(3362),
    [sym_in_expression] = STATE(3362),
    [sym_variadic_expression] = STATE(3362),
    [sym_parenthesized_expression] = STATE(3362),
    [sym_or_return_expression] = STATE(3362),
    [sym_or_continue_expression] = STATE(3362),
    [sym_or_break_expression] = STATE(3362),
    [sym_address] = STATE(3362),
    [sym_map_type] = STATE(3362),
    [sym_matrix_type] = STATE(3362),
    [sym_distinct_type] = STATE(3362),
    [sym_literal] = STATE(3362),
    [sym_struct] = STATE(3165),
    [sym_map] = STATE(3078),
    [sym_bit_set] = STATE(3078),
    [sym_matrix] = STATE(3078),
    [sym_string] = STATE(3078),
    [sym__string_literal] = STATE(3166),
    [sym__raw_string_literal] = STATE(3166),
    [sym_character] = STATE(3078),
    [sym_boolean] = STATE(3078),
    [sym_field_identifier] = STATE(7864),
    [sym_identifier] = ACTIONS(449),
    [anon_sym_LBRACE] = ACTIONS(451),
    [anon_sym_LPAREN] = ACTIONS(453),
    [anon_sym_QMARK] = ACTIONS(6164),
    [anon_sym_PLUS] = ACTIONS(457),
    [anon_sym_DASH] = ACTIONS(459),
    [anon_sym_TILDE] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(457),
    [anon_sym_AMP] = ACTIONS(457),
    [anon_sym_DOT] = ACTIONS(461),
    [anon_sym_LBRACK] = ACTIONS(463),
    [anon_sym_cast] = ACTIONS(465),
    [anon_sym_transmute] = ACTIONS(465),
    [anon_sym_auto_cast] = ACTIONS(467),
    [anon_sym_DOT_DOT] = ACTIONS(6050),
    [anon_sym_map] = ACTIONS(471),
    [anon_sym_bit_set] = ACTIONS(473),
    [anon_sym_matrix] = ACTIONS(475),
    [anon_sym_distinct] = ACTIONS(477),
    [sym_number] = ACTIONS(479),
    [anon_sym_DQUOTE] = ACTIONS(481),
    [anon_sym_BQUOTE] = ACTIONS(483),
    [anon_sym_SQUOTE] = ACTIONS(485),
    [anon_sym_true] = ACTIONS(487),
    [anon_sym_false] = ACTIONS(487),
    [sym_nil] = ACTIONS(489),
    [sym_uninitialized] = ACTIONS(479),
    [sym_tag] = ACTIONS(491),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(479),
    [sym_block_comment] = ACTIONS(3),
  },
  [1917] = {
    [sym_expression] = STATE(2379),
    [sym__expression_no_tag] = STATE(2378),
    [sym_unary_expression] = STATE(2378),
    [sym_binary_expression] = STATE(2378),
    [sym_ternary_expression] = STATE(2378),
    [sym_call_expression] = STATE(2378),
    [sym_selector_call_expression] = STATE(2378),
    [sym_member_expression] = STATE(2378),
    [sym_index_expression] = STATE(2378),
    [sym_slice_expression] = STATE(2378),
    [sym_range_expression] = STATE(2378),
    [sym_cast_expression] = STATE(2378),
    [sym_in_expression] = STATE(2378),
    [sym_variadic_expression] = STATE(2378),
    [sym_parenthesized_expression] = STATE(2378),
    [sym_or_return_expression] = STATE(2378),
    [sym_or_continue_expression] = STATE(2378),
    [sym_or_break_expression] = STATE(2378),
    [sym_address] = STATE(2378),
    [sym_map_type] = STATE(2378),
    [sym_matrix_type] = STATE(2378),
    [sym_distinct_type] = STATE(2378),
    [sym_literal] = STATE(2378),
    [sym_struct] = STATE(2253),
    [sym_map] = STATE(2256),
    [sym_bit_set] = STATE(2256),
    [sym_matrix] = STATE(2256),
    [sym_string] = STATE(2256),
    [sym__string_literal] = STATE(2258),
    [sym__raw_string_literal] = STATE(2258),
    [sym_character] = STATE(2256),
    [sym_boolean] = STATE(2256),
    [sym_field_identifier] = STATE(7777),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym_QMARK] = ACTIONS(183),
    [anon_sym_PLUS] = ACTIONS(577),
    [anon_sym_DASH] = ACTIONS(185),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [anon_sym_AMP] = ACTIONS(577),
    [anon_sym_DOT] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(189),
    [anon_sym_transmute] = ACTIONS(189),
    [anon_sym_auto_cast] = ACTIONS(191),
    [anon_sym_DOT_DOT] = ACTIONS(579),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(195),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [1918] = {
    [sym_expression] = STATE(2259),
    [sym__expression_no_tag] = STATE(2378),
    [sym_unary_expression] = STATE(2378),
    [sym_binary_expression] = STATE(2378),
    [sym_ternary_expression] = STATE(2378),
    [sym_call_expression] = STATE(2378),
    [sym_selector_call_expression] = STATE(2378),
    [sym_member_expression] = STATE(2378),
    [sym_index_expression] = STATE(2378),
    [sym_slice_expression] = STATE(2378),
    [sym_range_expression] = STATE(2378),
    [sym_cast_expression] = STATE(2378),
    [sym_in_expression] = STATE(2378),
    [sym_variadic_expression] = STATE(2378),
    [sym_parenthesized_expression] = STATE(2378),
    [sym_or_return_expression] = STATE(2378),
    [sym_or_continue_expression] = STATE(2378),
    [sym_or_break_expression] = STATE(2378),
    [sym_address] = STATE(2378),
    [sym_map_type] = STATE(2378),
    [sym_matrix_type] = STATE(2378),
    [sym_distinct_type] = STATE(2378),
    [sym_literal] = STATE(2378),
    [sym_struct] = STATE(2253),
    [sym_map] = STATE(2256),
    [sym_bit_set] = STATE(2256),
    [sym_matrix] = STATE(2256),
    [sym_string] = STATE(2256),
    [sym__string_literal] = STATE(2258),
    [sym__raw_string_literal] = STATE(2258),
    [sym_character] = STATE(2256),
    [sym_boolean] = STATE(2256),
    [sym_field_identifier] = STATE(7777),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym_QMARK] = ACTIONS(183),
    [anon_sym_PLUS] = ACTIONS(577),
    [anon_sym_DASH] = ACTIONS(185),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [anon_sym_AMP] = ACTIONS(577),
    [anon_sym_DOT] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(189),
    [anon_sym_transmute] = ACTIONS(189),
    [anon_sym_auto_cast] = ACTIONS(191),
    [anon_sym_DOT_DOT] = ACTIONS(579),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(195),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [1919] = {
    [sym_expression] = STATE(2380),
    [sym__expression_no_tag] = STATE(2378),
    [sym_unary_expression] = STATE(2378),
    [sym_binary_expression] = STATE(2378),
    [sym_ternary_expression] = STATE(2378),
    [sym_call_expression] = STATE(2378),
    [sym_selector_call_expression] = STATE(2378),
    [sym_member_expression] = STATE(2378),
    [sym_index_expression] = STATE(2378),
    [sym_slice_expression] = STATE(2378),
    [sym_range_expression] = STATE(2378),
    [sym_cast_expression] = STATE(2378),
    [sym_in_expression] = STATE(2378),
    [sym_variadic_expression] = STATE(2378),
    [sym_parenthesized_expression] = STATE(2378),
    [sym_or_return_expression] = STATE(2378),
    [sym_or_continue_expression] = STATE(2378),
    [sym_or_break_expression] = STATE(2378),
    [sym_address] = STATE(2378),
    [sym_map_type] = STATE(2378),
    [sym_matrix_type] = STATE(2378),
    [sym_distinct_type] = STATE(2378),
    [sym_literal] = STATE(2378),
    [sym_struct] = STATE(2253),
    [sym_map] = STATE(2256),
    [sym_bit_set] = STATE(2256),
    [sym_matrix] = STATE(2256),
    [sym_string] = STATE(2256),
    [sym__string_literal] = STATE(2258),
    [sym__raw_string_literal] = STATE(2258),
    [sym_character] = STATE(2256),
    [sym_boolean] = STATE(2256),
    [sym_field_identifier] = STATE(7777),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym_QMARK] = ACTIONS(183),
    [anon_sym_PLUS] = ACTIONS(577),
    [anon_sym_DASH] = ACTIONS(185),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [anon_sym_AMP] = ACTIONS(577),
    [anon_sym_DOT] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(189),
    [anon_sym_transmute] = ACTIONS(189),
    [anon_sym_auto_cast] = ACTIONS(191),
    [anon_sym_DOT_DOT] = ACTIONS(579),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(195),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [1920] = {
    [sym_expression] = STATE(2260),
    [sym__expression_no_tag] = STATE(2378),
    [sym_unary_expression] = STATE(2378),
    [sym_binary_expression] = STATE(2378),
    [sym_ternary_expression] = STATE(2378),
    [sym_call_expression] = STATE(2378),
    [sym_selector_call_expression] = STATE(2378),
    [sym_member_expression] = STATE(2378),
    [sym_index_expression] = STATE(2378),
    [sym_slice_expression] = STATE(2378),
    [sym_range_expression] = STATE(2378),
    [sym_cast_expression] = STATE(2378),
    [sym_in_expression] = STATE(2378),
    [sym_variadic_expression] = STATE(2378),
    [sym_parenthesized_expression] = STATE(2378),
    [sym_or_return_expression] = STATE(2378),
    [sym_or_continue_expression] = STATE(2378),
    [sym_or_break_expression] = STATE(2378),
    [sym_address] = STATE(2378),
    [sym_map_type] = STATE(2378),
    [sym_matrix_type] = STATE(2378),
    [sym_distinct_type] = STATE(2378),
    [sym_literal] = STATE(2378),
    [sym_struct] = STATE(2253),
    [sym_map] = STATE(2256),
    [sym_bit_set] = STATE(2256),
    [sym_matrix] = STATE(2256),
    [sym_string] = STATE(2256),
    [sym__string_literal] = STATE(2258),
    [sym__raw_string_literal] = STATE(2258),
    [sym_character] = STATE(2256),
    [sym_boolean] = STATE(2256),
    [sym_field_identifier] = STATE(7777),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym_QMARK] = ACTIONS(183),
    [anon_sym_PLUS] = ACTIONS(577),
    [anon_sym_DASH] = ACTIONS(185),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [anon_sym_AMP] = ACTIONS(577),
    [anon_sym_DOT] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(189),
    [anon_sym_transmute] = ACTIONS(189),
    [anon_sym_auto_cast] = ACTIONS(191),
    [anon_sym_DOT_DOT] = ACTIONS(579),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(195),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [1921] = {
    [sym_expression] = STATE(2381),
    [sym__expression_no_tag] = STATE(2378),
    [sym_unary_expression] = STATE(2378),
    [sym_binary_expression] = STATE(2378),
    [sym_ternary_expression] = STATE(2378),
    [sym_call_expression] = STATE(2378),
    [sym_selector_call_expression] = STATE(2378),
    [sym_member_expression] = STATE(2378),
    [sym_index_expression] = STATE(2378),
    [sym_slice_expression] = STATE(2378),
    [sym_range_expression] = STATE(2378),
    [sym_cast_expression] = STATE(2378),
    [sym_in_expression] = STATE(2378),
    [sym_variadic_expression] = STATE(2378),
    [sym_parenthesized_expression] = STATE(2378),
    [sym_or_return_expression] = STATE(2378),
    [sym_or_continue_expression] = STATE(2378),
    [sym_or_break_expression] = STATE(2378),
    [sym_address] = STATE(2378),
    [sym_map_type] = STATE(2378),
    [sym_matrix_type] = STATE(2378),
    [sym_distinct_type] = STATE(2378),
    [sym_literal] = STATE(2378),
    [sym_struct] = STATE(2253),
    [sym_map] = STATE(2256),
    [sym_bit_set] = STATE(2256),
    [sym_matrix] = STATE(2256),
    [sym_string] = STATE(2256),
    [sym__string_literal] = STATE(2258),
    [sym__raw_string_literal] = STATE(2258),
    [sym_character] = STATE(2256),
    [sym_boolean] = STATE(2256),
    [sym_field_identifier] = STATE(7777),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym_QMARK] = ACTIONS(183),
    [anon_sym_PLUS] = ACTIONS(577),
    [anon_sym_DASH] = ACTIONS(185),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [anon_sym_AMP] = ACTIONS(577),
    [anon_sym_DOT] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(189),
    [anon_sym_transmute] = ACTIONS(189),
    [anon_sym_auto_cast] = ACTIONS(191),
    [anon_sym_DOT_DOT] = ACTIONS(579),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(195),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [1922] = {
    [sym_expression] = STATE(2382),
    [sym__expression_no_tag] = STATE(2378),
    [sym_unary_expression] = STATE(2378),
    [sym_binary_expression] = STATE(2378),
    [sym_ternary_expression] = STATE(2378),
    [sym_call_expression] = STATE(2378),
    [sym_selector_call_expression] = STATE(2378),
    [sym_member_expression] = STATE(2378),
    [sym_index_expression] = STATE(2378),
    [sym_slice_expression] = STATE(2378),
    [sym_range_expression] = STATE(2378),
    [sym_cast_expression] = STATE(2378),
    [sym_in_expression] = STATE(2378),
    [sym_variadic_expression] = STATE(2378),
    [sym_parenthesized_expression] = STATE(2378),
    [sym_or_return_expression] = STATE(2378),
    [sym_or_continue_expression] = STATE(2378),
    [sym_or_break_expression] = STATE(2378),
    [sym_address] = STATE(2378),
    [sym_map_type] = STATE(2378),
    [sym_matrix_type] = STATE(2378),
    [sym_distinct_type] = STATE(2378),
    [sym_literal] = STATE(2378),
    [sym_struct] = STATE(2253),
    [sym_map] = STATE(2256),
    [sym_bit_set] = STATE(2256),
    [sym_matrix] = STATE(2256),
    [sym_string] = STATE(2256),
    [sym__string_literal] = STATE(2258),
    [sym__raw_string_literal] = STATE(2258),
    [sym_character] = STATE(2256),
    [sym_boolean] = STATE(2256),
    [sym_field_identifier] = STATE(7777),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym_QMARK] = ACTIONS(183),
    [anon_sym_PLUS] = ACTIONS(577),
    [anon_sym_DASH] = ACTIONS(185),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [anon_sym_AMP] = ACTIONS(577),
    [anon_sym_DOT] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(189),
    [anon_sym_transmute] = ACTIONS(189),
    [anon_sym_auto_cast] = ACTIONS(191),
    [anon_sym_DOT_DOT] = ACTIONS(579),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(195),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [1923] = {
    [sym_expression] = STATE(2383),
    [sym__expression_no_tag] = STATE(2378),
    [sym_unary_expression] = STATE(2378),
    [sym_binary_expression] = STATE(2378),
    [sym_ternary_expression] = STATE(2378),
    [sym_call_expression] = STATE(2378),
    [sym_selector_call_expression] = STATE(2378),
    [sym_member_expression] = STATE(2378),
    [sym_index_expression] = STATE(2378),
    [sym_slice_expression] = STATE(2378),
    [sym_range_expression] = STATE(2378),
    [sym_cast_expression] = STATE(2378),
    [sym_in_expression] = STATE(2378),
    [sym_variadic_expression] = STATE(2378),
    [sym_parenthesized_expression] = STATE(2378),
    [sym_or_return_expression] = STATE(2378),
    [sym_or_continue_expression] = STATE(2378),
    [sym_or_break_expression] = STATE(2378),
    [sym_address] = STATE(2378),
    [sym_map_type] = STATE(2378),
    [sym_matrix_type] = STATE(2378),
    [sym_distinct_type] = STATE(2378),
    [sym_literal] = STATE(2378),
    [sym_struct] = STATE(2253),
    [sym_map] = STATE(2256),
    [sym_bit_set] = STATE(2256),
    [sym_matrix] = STATE(2256),
    [sym_string] = STATE(2256),
    [sym__string_literal] = STATE(2258),
    [sym__raw_string_literal] = STATE(2258),
    [sym_character] = STATE(2256),
    [sym_boolean] = STATE(2256),
    [sym_field_identifier] = STATE(7777),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym_QMARK] = ACTIONS(183),
    [anon_sym_PLUS] = ACTIONS(577),
    [anon_sym_DASH] = ACTIONS(185),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [anon_sym_AMP] = ACTIONS(577),
    [anon_sym_DOT] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(189),
    [anon_sym_transmute] = ACTIONS(189),
    [anon_sym_auto_cast] = ACTIONS(191),
    [anon_sym_DOT_DOT] = ACTIONS(579),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(195),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [1924] = {
    [sym_expression] = STATE(2384),
    [sym__expression_no_tag] = STATE(2378),
    [sym_unary_expression] = STATE(2378),
    [sym_binary_expression] = STATE(2378),
    [sym_ternary_expression] = STATE(2378),
    [sym_call_expression] = STATE(2378),
    [sym_selector_call_expression] = STATE(2378),
    [sym_member_expression] = STATE(2378),
    [sym_index_expression] = STATE(2378),
    [sym_slice_expression] = STATE(2378),
    [sym_range_expression] = STATE(2378),
    [sym_cast_expression] = STATE(2378),
    [sym_in_expression] = STATE(2378),
    [sym_variadic_expression] = STATE(2378),
    [sym_parenthesized_expression] = STATE(2378),
    [sym_or_return_expression] = STATE(2378),
    [sym_or_continue_expression] = STATE(2378),
    [sym_or_break_expression] = STATE(2378),
    [sym_address] = STATE(2378),
    [sym_map_type] = STATE(2378),
    [sym_matrix_type] = STATE(2378),
    [sym_distinct_type] = STATE(2378),
    [sym_literal] = STATE(2378),
    [sym_struct] = STATE(2253),
    [sym_map] = STATE(2256),
    [sym_bit_set] = STATE(2256),
    [sym_matrix] = STATE(2256),
    [sym_string] = STATE(2256),
    [sym__string_literal] = STATE(2258),
    [sym__raw_string_literal] = STATE(2258),
    [sym_character] = STATE(2256),
    [sym_boolean] = STATE(2256),
    [sym_field_identifier] = STATE(7777),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym_QMARK] = ACTIONS(183),
    [anon_sym_PLUS] = ACTIONS(577),
    [anon_sym_DASH] = ACTIONS(185),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [anon_sym_AMP] = ACTIONS(577),
    [anon_sym_DOT] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(189),
    [anon_sym_transmute] = ACTIONS(189),
    [anon_sym_auto_cast] = ACTIONS(191),
    [anon_sym_DOT_DOT] = ACTIONS(579),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(195),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [1925] = {
    [sym_expression] = STATE(2385),
    [sym__expression_no_tag] = STATE(2378),
    [sym_unary_expression] = STATE(2378),
    [sym_binary_expression] = STATE(2378),
    [sym_ternary_expression] = STATE(2378),
    [sym_call_expression] = STATE(2378),
    [sym_selector_call_expression] = STATE(2378),
    [sym_member_expression] = STATE(2378),
    [sym_index_expression] = STATE(2378),
    [sym_slice_expression] = STATE(2378),
    [sym_range_expression] = STATE(2378),
    [sym_cast_expression] = STATE(2378),
    [sym_in_expression] = STATE(2378),
    [sym_variadic_expression] = STATE(2378),
    [sym_parenthesized_expression] = STATE(2378),
    [sym_or_return_expression] = STATE(2378),
    [sym_or_continue_expression] = STATE(2378),
    [sym_or_break_expression] = STATE(2378),
    [sym_address] = STATE(2378),
    [sym_map_type] = STATE(2378),
    [sym_matrix_type] = STATE(2378),
    [sym_distinct_type] = STATE(2378),
    [sym_literal] = STATE(2378),
    [sym_struct] = STATE(2253),
    [sym_map] = STATE(2256),
    [sym_bit_set] = STATE(2256),
    [sym_matrix] = STATE(2256),
    [sym_string] = STATE(2256),
    [sym__string_literal] = STATE(2258),
    [sym__raw_string_literal] = STATE(2258),
    [sym_character] = STATE(2256),
    [sym_boolean] = STATE(2256),
    [sym_field_identifier] = STATE(7777),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym_QMARK] = ACTIONS(183),
    [anon_sym_PLUS] = ACTIONS(577),
    [anon_sym_DASH] = ACTIONS(185),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [anon_sym_AMP] = ACTIONS(577),
    [anon_sym_DOT] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(189),
    [anon_sym_transmute] = ACTIONS(189),
    [anon_sym_auto_cast] = ACTIONS(191),
    [anon_sym_DOT_DOT] = ACTIONS(579),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(195),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [1926] = {
    [sym_expression] = STATE(2386),
    [sym__expression_no_tag] = STATE(2378),
    [sym_unary_expression] = STATE(2378),
    [sym_binary_expression] = STATE(2378),
    [sym_ternary_expression] = STATE(2378),
    [sym_call_expression] = STATE(2378),
    [sym_selector_call_expression] = STATE(2378),
    [sym_member_expression] = STATE(2378),
    [sym_index_expression] = STATE(2378),
    [sym_slice_expression] = STATE(2378),
    [sym_range_expression] = STATE(2378),
    [sym_cast_expression] = STATE(2378),
    [sym_in_expression] = STATE(2378),
    [sym_variadic_expression] = STATE(2378),
    [sym_parenthesized_expression] = STATE(2378),
    [sym_or_return_expression] = STATE(2378),
    [sym_or_continue_expression] = STATE(2378),
    [sym_or_break_expression] = STATE(2378),
    [sym_address] = STATE(2378),
    [sym_map_type] = STATE(2378),
    [sym_matrix_type] = STATE(2378),
    [sym_distinct_type] = STATE(2378),
    [sym_literal] = STATE(2378),
    [sym_struct] = STATE(2253),
    [sym_map] = STATE(2256),
    [sym_bit_set] = STATE(2256),
    [sym_matrix] = STATE(2256),
    [sym_string] = STATE(2256),
    [sym__string_literal] = STATE(2258),
    [sym__raw_string_literal] = STATE(2258),
    [sym_character] = STATE(2256),
    [sym_boolean] = STATE(2256),
    [sym_field_identifier] = STATE(7777),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym_QMARK] = ACTIONS(183),
    [anon_sym_PLUS] = ACTIONS(577),
    [anon_sym_DASH] = ACTIONS(185),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [anon_sym_AMP] = ACTIONS(577),
    [anon_sym_DOT] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(189),
    [anon_sym_transmute] = ACTIONS(189),
    [anon_sym_auto_cast] = ACTIONS(191),
    [anon_sym_DOT_DOT] = ACTIONS(579),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(195),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [1927] = {
    [sym_expression] = STATE(2387),
    [sym__expression_no_tag] = STATE(2378),
    [sym_unary_expression] = STATE(2378),
    [sym_binary_expression] = STATE(2378),
    [sym_ternary_expression] = STATE(2378),
    [sym_call_expression] = STATE(2378),
    [sym_selector_call_expression] = STATE(2378),
    [sym_member_expression] = STATE(2378),
    [sym_index_expression] = STATE(2378),
    [sym_slice_expression] = STATE(2378),
    [sym_range_expression] = STATE(2378),
    [sym_cast_expression] = STATE(2378),
    [sym_in_expression] = STATE(2378),
    [sym_variadic_expression] = STATE(2378),
    [sym_parenthesized_expression] = STATE(2378),
    [sym_or_return_expression] = STATE(2378),
    [sym_or_continue_expression] = STATE(2378),
    [sym_or_break_expression] = STATE(2378),
    [sym_address] = STATE(2378),
    [sym_map_type] = STATE(2378),
    [sym_matrix_type] = STATE(2378),
    [sym_distinct_type] = STATE(2378),
    [sym_literal] = STATE(2378),
    [sym_struct] = STATE(2253),
    [sym_map] = STATE(2256),
    [sym_bit_set] = STATE(2256),
    [sym_matrix] = STATE(2256),
    [sym_string] = STATE(2256),
    [sym__string_literal] = STATE(2258),
    [sym__raw_string_literal] = STATE(2258),
    [sym_character] = STATE(2256),
    [sym_boolean] = STATE(2256),
    [sym_field_identifier] = STATE(7777),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym_QMARK] = ACTIONS(183),
    [anon_sym_PLUS] = ACTIONS(577),
    [anon_sym_DASH] = ACTIONS(185),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [anon_sym_AMP] = ACTIONS(577),
    [anon_sym_DOT] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(189),
    [anon_sym_transmute] = ACTIONS(189),
    [anon_sym_auto_cast] = ACTIONS(191),
    [anon_sym_DOT_DOT] = ACTIONS(579),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(195),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [1928] = {
    [sym_expression] = STATE(2388),
    [sym__expression_no_tag] = STATE(2378),
    [sym_unary_expression] = STATE(2378),
    [sym_binary_expression] = STATE(2378),
    [sym_ternary_expression] = STATE(2378),
    [sym_call_expression] = STATE(2378),
    [sym_selector_call_expression] = STATE(2378),
    [sym_member_expression] = STATE(2378),
    [sym_index_expression] = STATE(2378),
    [sym_slice_expression] = STATE(2378),
    [sym_range_expression] = STATE(2378),
    [sym_cast_expression] = STATE(2378),
    [sym_in_expression] = STATE(2378),
    [sym_variadic_expression] = STATE(2378),
    [sym_parenthesized_expression] = STATE(2378),
    [sym_or_return_expression] = STATE(2378),
    [sym_or_continue_expression] = STATE(2378),
    [sym_or_break_expression] = STATE(2378),
    [sym_address] = STATE(2378),
    [sym_map_type] = STATE(2378),
    [sym_matrix_type] = STATE(2378),
    [sym_distinct_type] = STATE(2378),
    [sym_literal] = STATE(2378),
    [sym_struct] = STATE(2253),
    [sym_map] = STATE(2256),
    [sym_bit_set] = STATE(2256),
    [sym_matrix] = STATE(2256),
    [sym_string] = STATE(2256),
    [sym__string_literal] = STATE(2258),
    [sym__raw_string_literal] = STATE(2258),
    [sym_character] = STATE(2256),
    [sym_boolean] = STATE(2256),
    [sym_field_identifier] = STATE(7777),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym_QMARK] = ACTIONS(183),
    [anon_sym_PLUS] = ACTIONS(577),
    [anon_sym_DASH] = ACTIONS(185),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [anon_sym_AMP] = ACTIONS(577),
    [anon_sym_DOT] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(189),
    [anon_sym_transmute] = ACTIONS(189),
    [anon_sym_auto_cast] = ACTIONS(191),
    [anon_sym_DOT_DOT] = ACTIONS(579),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(195),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [1929] = {
    [sym_expression] = STATE(2389),
    [sym__expression_no_tag] = STATE(2378),
    [sym_unary_expression] = STATE(2378),
    [sym_binary_expression] = STATE(2378),
    [sym_ternary_expression] = STATE(2378),
    [sym_call_expression] = STATE(2378),
    [sym_selector_call_expression] = STATE(2378),
    [sym_member_expression] = STATE(2378),
    [sym_index_expression] = STATE(2378),
    [sym_slice_expression] = STATE(2378),
    [sym_range_expression] = STATE(2378),
    [sym_cast_expression] = STATE(2378),
    [sym_in_expression] = STATE(2378),
    [sym_variadic_expression] = STATE(2378),
    [sym_parenthesized_expression] = STATE(2378),
    [sym_or_return_expression] = STATE(2378),
    [sym_or_continue_expression] = STATE(2378),
    [sym_or_break_expression] = STATE(2378),
    [sym_address] = STATE(2378),
    [sym_map_type] = STATE(2378),
    [sym_matrix_type] = STATE(2378),
    [sym_distinct_type] = STATE(2378),
    [sym_literal] = STATE(2378),
    [sym_struct] = STATE(2253),
    [sym_map] = STATE(2256),
    [sym_bit_set] = STATE(2256),
    [sym_matrix] = STATE(2256),
    [sym_string] = STATE(2256),
    [sym__string_literal] = STATE(2258),
    [sym__raw_string_literal] = STATE(2258),
    [sym_character] = STATE(2256),
    [sym_boolean] = STATE(2256),
    [sym_field_identifier] = STATE(7777),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym_QMARK] = ACTIONS(183),
    [anon_sym_PLUS] = ACTIONS(577),
    [anon_sym_DASH] = ACTIONS(185),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [anon_sym_AMP] = ACTIONS(577),
    [anon_sym_DOT] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(189),
    [anon_sym_transmute] = ACTIONS(189),
    [anon_sym_auto_cast] = ACTIONS(191),
    [anon_sym_DOT_DOT] = ACTIONS(579),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(195),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [1930] = {
    [sym_expression] = STATE(2390),
    [sym__expression_no_tag] = STATE(2378),
    [sym_unary_expression] = STATE(2378),
    [sym_binary_expression] = STATE(2378),
    [sym_ternary_expression] = STATE(2378),
    [sym_call_expression] = STATE(2378),
    [sym_selector_call_expression] = STATE(2378),
    [sym_member_expression] = STATE(2378),
    [sym_index_expression] = STATE(2378),
    [sym_slice_expression] = STATE(2378),
    [sym_range_expression] = STATE(2378),
    [sym_cast_expression] = STATE(2378),
    [sym_in_expression] = STATE(2378),
    [sym_variadic_expression] = STATE(2378),
    [sym_parenthesized_expression] = STATE(2378),
    [sym_or_return_expression] = STATE(2378),
    [sym_or_continue_expression] = STATE(2378),
    [sym_or_break_expression] = STATE(2378),
    [sym_address] = STATE(2378),
    [sym_map_type] = STATE(2378),
    [sym_matrix_type] = STATE(2378),
    [sym_distinct_type] = STATE(2378),
    [sym_literal] = STATE(2378),
    [sym_struct] = STATE(2253),
    [sym_map] = STATE(2256),
    [sym_bit_set] = STATE(2256),
    [sym_matrix] = STATE(2256),
    [sym_string] = STATE(2256),
    [sym__string_literal] = STATE(2258),
    [sym__raw_string_literal] = STATE(2258),
    [sym_character] = STATE(2256),
    [sym_boolean] = STATE(2256),
    [sym_field_identifier] = STATE(7777),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym_QMARK] = ACTIONS(183),
    [anon_sym_PLUS] = ACTIONS(577),
    [anon_sym_DASH] = ACTIONS(185),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [anon_sym_AMP] = ACTIONS(577),
    [anon_sym_DOT] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(189),
    [anon_sym_transmute] = ACTIONS(189),
    [anon_sym_auto_cast] = ACTIONS(191),
    [anon_sym_DOT_DOT] = ACTIONS(579),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(195),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [1931] = {
    [sym_expression] = STATE(2391),
    [sym__expression_no_tag] = STATE(2378),
    [sym_unary_expression] = STATE(2378),
    [sym_binary_expression] = STATE(2378),
    [sym_ternary_expression] = STATE(2378),
    [sym_call_expression] = STATE(2378),
    [sym_selector_call_expression] = STATE(2378),
    [sym_member_expression] = STATE(2378),
    [sym_index_expression] = STATE(2378),
    [sym_slice_expression] = STATE(2378),
    [sym_range_expression] = STATE(2378),
    [sym_cast_expression] = STATE(2378),
    [sym_in_expression] = STATE(2378),
    [sym_variadic_expression] = STATE(2378),
    [sym_parenthesized_expression] = STATE(2378),
    [sym_or_return_expression] = STATE(2378),
    [sym_or_continue_expression] = STATE(2378),
    [sym_or_break_expression] = STATE(2378),
    [sym_address] = STATE(2378),
    [sym_map_type] = STATE(2378),
    [sym_matrix_type] = STATE(2378),
    [sym_distinct_type] = STATE(2378),
    [sym_literal] = STATE(2378),
    [sym_struct] = STATE(2253),
    [sym_map] = STATE(2256),
    [sym_bit_set] = STATE(2256),
    [sym_matrix] = STATE(2256),
    [sym_string] = STATE(2256),
    [sym__string_literal] = STATE(2258),
    [sym__raw_string_literal] = STATE(2258),
    [sym_character] = STATE(2256),
    [sym_boolean] = STATE(2256),
    [sym_field_identifier] = STATE(7777),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym_QMARK] = ACTIONS(183),
    [anon_sym_PLUS] = ACTIONS(577),
    [anon_sym_DASH] = ACTIONS(185),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [anon_sym_AMP] = ACTIONS(577),
    [anon_sym_DOT] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(189),
    [anon_sym_transmute] = ACTIONS(189),
    [anon_sym_auto_cast] = ACTIONS(191),
    [anon_sym_DOT_DOT] = ACTIONS(579),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(195),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [1932] = {
    [sym_expression] = STATE(2392),
    [sym__expression_no_tag] = STATE(2378),
    [sym_unary_expression] = STATE(2378),
    [sym_binary_expression] = STATE(2378),
    [sym_ternary_expression] = STATE(2378),
    [sym_call_expression] = STATE(2378),
    [sym_selector_call_expression] = STATE(2378),
    [sym_member_expression] = STATE(2378),
    [sym_index_expression] = STATE(2378),
    [sym_slice_expression] = STATE(2378),
    [sym_range_expression] = STATE(2378),
    [sym_cast_expression] = STATE(2378),
    [sym_in_expression] = STATE(2378),
    [sym_variadic_expression] = STATE(2378),
    [sym_parenthesized_expression] = STATE(2378),
    [sym_or_return_expression] = STATE(2378),
    [sym_or_continue_expression] = STATE(2378),
    [sym_or_break_expression] = STATE(2378),
    [sym_address] = STATE(2378),
    [sym_map_type] = STATE(2378),
    [sym_matrix_type] = STATE(2378),
    [sym_distinct_type] = STATE(2378),
    [sym_literal] = STATE(2378),
    [sym_struct] = STATE(2253),
    [sym_map] = STATE(2256),
    [sym_bit_set] = STATE(2256),
    [sym_matrix] = STATE(2256),
    [sym_string] = STATE(2256),
    [sym__string_literal] = STATE(2258),
    [sym__raw_string_literal] = STATE(2258),
    [sym_character] = STATE(2256),
    [sym_boolean] = STATE(2256),
    [sym_field_identifier] = STATE(7777),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym_QMARK] = ACTIONS(183),
    [anon_sym_PLUS] = ACTIONS(577),
    [anon_sym_DASH] = ACTIONS(185),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [anon_sym_AMP] = ACTIONS(577),
    [anon_sym_DOT] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(189),
    [anon_sym_transmute] = ACTIONS(189),
    [anon_sym_auto_cast] = ACTIONS(191),
    [anon_sym_DOT_DOT] = ACTIONS(579),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(195),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [1933] = {
    [sym_expression] = STATE(2280),
    [sym__expression_no_tag] = STATE(2378),
    [sym_unary_expression] = STATE(2378),
    [sym_binary_expression] = STATE(2378),
    [sym_ternary_expression] = STATE(2378),
    [sym_call_expression] = STATE(2378),
    [sym_selector_call_expression] = STATE(2378),
    [sym_member_expression] = STATE(2378),
    [sym_index_expression] = STATE(2378),
    [sym_slice_expression] = STATE(2378),
    [sym_range_expression] = STATE(2378),
    [sym_cast_expression] = STATE(2378),
    [sym_in_expression] = STATE(2378),
    [sym_variadic_expression] = STATE(2378),
    [sym_parenthesized_expression] = STATE(2378),
    [sym_or_return_expression] = STATE(2378),
    [sym_or_continue_expression] = STATE(2378),
    [sym_or_break_expression] = STATE(2378),
    [sym_address] = STATE(2378),
    [sym_map_type] = STATE(2378),
    [sym_matrix_type] = STATE(2378),
    [sym_distinct_type] = STATE(2378),
    [sym_literal] = STATE(2378),
    [sym_struct] = STATE(2253),
    [sym_map] = STATE(2256),
    [sym_bit_set] = STATE(2256),
    [sym_matrix] = STATE(2256),
    [sym_string] = STATE(2256),
    [sym__string_literal] = STATE(2258),
    [sym__raw_string_literal] = STATE(2258),
    [sym_character] = STATE(2256),
    [sym_boolean] = STATE(2256),
    [sym_field_identifier] = STATE(7777),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym_QMARK] = ACTIONS(183),
    [anon_sym_PLUS] = ACTIONS(577),
    [anon_sym_DASH] = ACTIONS(185),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [anon_sym_AMP] = ACTIONS(577),
    [anon_sym_DOT] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(189),
    [anon_sym_transmute] = ACTIONS(189),
    [anon_sym_auto_cast] = ACTIONS(191),
    [anon_sym_DOT_DOT] = ACTIONS(579),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(195),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [1934] = {
    [sym_expression] = STATE(2281),
    [sym__expression_no_tag] = STATE(2378),
    [sym_unary_expression] = STATE(2378),
    [sym_binary_expression] = STATE(2378),
    [sym_ternary_expression] = STATE(2378),
    [sym_call_expression] = STATE(2378),
    [sym_selector_call_expression] = STATE(2378),
    [sym_member_expression] = STATE(2378),
    [sym_index_expression] = STATE(2378),
    [sym_slice_expression] = STATE(2378),
    [sym_range_expression] = STATE(2378),
    [sym_cast_expression] = STATE(2378),
    [sym_in_expression] = STATE(2378),
    [sym_variadic_expression] = STATE(2378),
    [sym_parenthesized_expression] = STATE(2378),
    [sym_or_return_expression] = STATE(2378),
    [sym_or_continue_expression] = STATE(2378),
    [sym_or_break_expression] = STATE(2378),
    [sym_address] = STATE(2378),
    [sym_map_type] = STATE(2378),
    [sym_matrix_type] = STATE(2378),
    [sym_distinct_type] = STATE(2378),
    [sym_literal] = STATE(2378),
    [sym_struct] = STATE(2253),
    [sym_map] = STATE(2256),
    [sym_bit_set] = STATE(2256),
    [sym_matrix] = STATE(2256),
    [sym_string] = STATE(2256),
    [sym__string_literal] = STATE(2258),
    [sym__raw_string_literal] = STATE(2258),
    [sym_character] = STATE(2256),
    [sym_boolean] = STATE(2256),
    [sym_field_identifier] = STATE(7777),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym_QMARK] = ACTIONS(183),
    [anon_sym_PLUS] = ACTIONS(577),
    [anon_sym_DASH] = ACTIONS(185),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [anon_sym_AMP] = ACTIONS(577),
    [anon_sym_DOT] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(189),
    [anon_sym_transmute] = ACTIONS(189),
    [anon_sym_auto_cast] = ACTIONS(191),
    [anon_sym_DOT_DOT] = ACTIONS(579),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(195),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [1935] = {
    [sym_expression] = STATE(3844),
    [sym__expression_no_tag] = STATE(3856),
    [sym_unary_expression] = STATE(3856),
    [sym_binary_expression] = STATE(3856),
    [sym_ternary_expression] = STATE(3856),
    [sym_call_expression] = STATE(3856),
    [sym_selector_call_expression] = STATE(3856),
    [sym_member_expression] = STATE(3856),
    [sym_index_expression] = STATE(3856),
    [sym_slice_expression] = STATE(3856),
    [sym_range_expression] = STATE(3856),
    [sym_cast_expression] = STATE(3856),
    [sym_in_expression] = STATE(3856),
    [sym_variadic_expression] = STATE(3856),
    [sym_parenthesized_expression] = STATE(3856),
    [sym_or_return_expression] = STATE(3856),
    [sym_or_continue_expression] = STATE(3856),
    [sym_or_break_expression] = STATE(3856),
    [sym_address] = STATE(3856),
    [sym_map_type] = STATE(3856),
    [sym_matrix_type] = STATE(3856),
    [sym_distinct_type] = STATE(3856),
    [sym_literal] = STATE(3856),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(619),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1936] = {
    [sym_expression] = STATE(5556),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1937] = {
    [sym_expression] = STATE(2395),
    [sym__expression_no_tag] = STATE(2378),
    [sym_unary_expression] = STATE(2378),
    [sym_binary_expression] = STATE(2378),
    [sym_ternary_expression] = STATE(2378),
    [sym_call_expression] = STATE(2378),
    [sym_selector_call_expression] = STATE(2378),
    [sym_member_expression] = STATE(2378),
    [sym_index_expression] = STATE(2378),
    [sym_slice_expression] = STATE(2378),
    [sym_range_expression] = STATE(2378),
    [sym_cast_expression] = STATE(2378),
    [sym_in_expression] = STATE(2378),
    [sym_variadic_expression] = STATE(2378),
    [sym_parenthesized_expression] = STATE(2378),
    [sym_or_return_expression] = STATE(2378),
    [sym_or_continue_expression] = STATE(2378),
    [sym_or_break_expression] = STATE(2378),
    [sym_address] = STATE(2378),
    [sym_map_type] = STATE(2378),
    [sym_matrix_type] = STATE(2378),
    [sym_distinct_type] = STATE(2378),
    [sym_literal] = STATE(2378),
    [sym_struct] = STATE(2253),
    [sym_map] = STATE(2256),
    [sym_bit_set] = STATE(2256),
    [sym_matrix] = STATE(2256),
    [sym_string] = STATE(2256),
    [sym__string_literal] = STATE(2258),
    [sym__raw_string_literal] = STATE(2258),
    [sym_character] = STATE(2256),
    [sym_boolean] = STATE(2256),
    [sym_field_identifier] = STATE(7777),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym_QMARK] = ACTIONS(183),
    [anon_sym_PLUS] = ACTIONS(577),
    [anon_sym_DASH] = ACTIONS(185),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [anon_sym_AMP] = ACTIONS(577),
    [anon_sym_DOT] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(189),
    [anon_sym_transmute] = ACTIONS(189),
    [anon_sym_auto_cast] = ACTIONS(191),
    [anon_sym_DOT_DOT] = ACTIONS(579),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(195),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [1938] = {
    [sym_expression] = STATE(2396),
    [sym__expression_no_tag] = STATE(2378),
    [sym_unary_expression] = STATE(2378),
    [sym_binary_expression] = STATE(2378),
    [sym_ternary_expression] = STATE(2378),
    [sym_call_expression] = STATE(2378),
    [sym_selector_call_expression] = STATE(2378),
    [sym_member_expression] = STATE(2378),
    [sym_index_expression] = STATE(2378),
    [sym_slice_expression] = STATE(2378),
    [sym_range_expression] = STATE(2378),
    [sym_cast_expression] = STATE(2378),
    [sym_in_expression] = STATE(2378),
    [sym_variadic_expression] = STATE(2378),
    [sym_parenthesized_expression] = STATE(2378),
    [sym_or_return_expression] = STATE(2378),
    [sym_or_continue_expression] = STATE(2378),
    [sym_or_break_expression] = STATE(2378),
    [sym_address] = STATE(2378),
    [sym_map_type] = STATE(2378),
    [sym_matrix_type] = STATE(2378),
    [sym_distinct_type] = STATE(2378),
    [sym_literal] = STATE(2378),
    [sym_struct] = STATE(2253),
    [sym_map] = STATE(2256),
    [sym_bit_set] = STATE(2256),
    [sym_matrix] = STATE(2256),
    [sym_string] = STATE(2256),
    [sym__string_literal] = STATE(2258),
    [sym__raw_string_literal] = STATE(2258),
    [sym_character] = STATE(2256),
    [sym_boolean] = STATE(2256),
    [sym_field_identifier] = STATE(7777),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym_QMARK] = ACTIONS(183),
    [anon_sym_PLUS] = ACTIONS(577),
    [anon_sym_DASH] = ACTIONS(185),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [anon_sym_AMP] = ACTIONS(577),
    [anon_sym_DOT] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(189),
    [anon_sym_transmute] = ACTIONS(189),
    [anon_sym_auto_cast] = ACTIONS(191),
    [anon_sym_DOT_DOT] = ACTIONS(579),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(195),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [1939] = {
    [sym_expression] = STATE(2397),
    [sym__expression_no_tag] = STATE(2378),
    [sym_unary_expression] = STATE(2378),
    [sym_binary_expression] = STATE(2378),
    [sym_ternary_expression] = STATE(2378),
    [sym_call_expression] = STATE(2378),
    [sym_selector_call_expression] = STATE(2378),
    [sym_member_expression] = STATE(2378),
    [sym_index_expression] = STATE(2378),
    [sym_slice_expression] = STATE(2378),
    [sym_range_expression] = STATE(2378),
    [sym_cast_expression] = STATE(2378),
    [sym_in_expression] = STATE(2378),
    [sym_variadic_expression] = STATE(2378),
    [sym_parenthesized_expression] = STATE(2378),
    [sym_or_return_expression] = STATE(2378),
    [sym_or_continue_expression] = STATE(2378),
    [sym_or_break_expression] = STATE(2378),
    [sym_address] = STATE(2378),
    [sym_map_type] = STATE(2378),
    [sym_matrix_type] = STATE(2378),
    [sym_distinct_type] = STATE(2378),
    [sym_literal] = STATE(2378),
    [sym_struct] = STATE(2253),
    [sym_map] = STATE(2256),
    [sym_bit_set] = STATE(2256),
    [sym_matrix] = STATE(2256),
    [sym_string] = STATE(2256),
    [sym__string_literal] = STATE(2258),
    [sym__raw_string_literal] = STATE(2258),
    [sym_character] = STATE(2256),
    [sym_boolean] = STATE(2256),
    [sym_field_identifier] = STATE(7777),
    [sym_identifier] = ACTIONS(177),
    [anon_sym_LBRACE] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym_QMARK] = ACTIONS(183),
    [anon_sym_PLUS] = ACTIONS(577),
    [anon_sym_DASH] = ACTIONS(185),
    [anon_sym_TILDE] = ACTIONS(577),
    [anon_sym_BANG] = ACTIONS(577),
    [anon_sym_AMP] = ACTIONS(577),
    [anon_sym_DOT] = ACTIONS(187),
    [anon_sym_LBRACK] = ACTIONS(97),
    [anon_sym_cast] = ACTIONS(189),
    [anon_sym_transmute] = ACTIONS(189),
    [anon_sym_auto_cast] = ACTIONS(191),
    [anon_sym_DOT_DOT] = ACTIONS(579),
    [anon_sym_map] = ACTIONS(105),
    [anon_sym_bit_set] = ACTIONS(107),
    [anon_sym_matrix] = ACTIONS(109),
    [anon_sym_distinct] = ACTIONS(111),
    [sym_number] = ACTIONS(113),
    [anon_sym_DQUOTE] = ACTIONS(115),
    [anon_sym_BQUOTE] = ACTIONS(117),
    [anon_sym_SQUOTE] = ACTIONS(119),
    [anon_sym_true] = ACTIONS(121),
    [anon_sym_false] = ACTIONS(121),
    [sym_nil] = ACTIONS(123),
    [sym_uninitialized] = ACTIONS(113),
    [sym_tag] = ACTIONS(195),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(113),
    [sym_block_comment] = ACTIONS(3),
  },
  [1940] = {
    [sym_expression] = STATE(5617),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1941] = {
    [aux_sym_struct_type_repeat2] = STATE(1390),
    [anon_sym_LBRACE] = ACTIONS(4519),
    [anon_sym_RBRACE] = ACTIONS(4519),
    [anon_sym_COMMA] = ACTIONS(4519),
    [anon_sym_COLON_COLON] = ACTIONS(4519),
    [anon_sym_DASH_GT] = ACTIONS(4519),
    [anon_sym_EQ] = ACTIONS(4521),
    [anon_sym_COLON_EQ] = ACTIONS(4519),
    [anon_sym_COLON] = ACTIONS(4521),
    [anon_sym_LPAREN] = ACTIONS(4519),
    [anon_sym_PLUS_EQ] = ACTIONS(4519),
    [anon_sym_DASH_EQ] = ACTIONS(4519),
    [anon_sym_STAR_EQ] = ACTIONS(4519),
    [anon_sym_SLASH_EQ] = ACTIONS(4519),
    [anon_sym_PERCENT_EQ] = ACTIONS(4519),
    [anon_sym_AMP_EQ] = ACTIONS(4519),
    [anon_sym_PIPE_EQ] = ACTIONS(4519),
    [anon_sym_CARET_EQ] = ACTIONS(4519),
    [anon_sym_LT_LT_EQ] = ACTIONS(4519),
    [anon_sym_GT_GT_EQ] = ACTIONS(4519),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4519),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4519),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4519),
    [anon_sym_if] = ACTIONS(4519),
    [anon_sym_SEMI] = ACTIONS(4519),
    [anon_sym_else] = ACTIONS(4519),
    [anon_sym_when] = ACTIONS(4519),
    [anon_sym_in] = ACTIONS(4519),
    [anon_sym_case] = ACTIONS(4519),
    [anon_sym_QMARK] = ACTIONS(4519),
    [anon_sym_PLUS] = ACTIONS(4521),
    [anon_sym_DASH] = ACTIONS(4521),
    [anon_sym_TILDE] = ACTIONS(4521),
    [anon_sym_AMP] = ACTIONS(4521),
    [anon_sym_PIPE_PIPE] = ACTIONS(4521),
    [anon_sym_or_else] = ACTIONS(4519),
    [anon_sym_AMP_AMP] = ACTIONS(4521),
    [anon_sym_GT] = ACTIONS(4521),
    [anon_sym_GT_EQ] = ACTIONS(4519),
    [anon_sym_LT_EQ] = ACTIONS(4519),
    [anon_sym_LT] = ACTIONS(4521),
    [anon_sym_EQ_EQ] = ACTIONS(4519),
    [anon_sym_BANG_EQ] = ACTIONS(4519),
    [anon_sym_TILDE_EQ] = ACTIONS(4519),
    [anon_sym_PIPE] = ACTIONS(4521),
    [anon_sym_AMP_TILDE] = ACTIONS(4521),
    [anon_sym_LT_LT] = ACTIONS(4521),
    [anon_sym_GT_GT] = ACTIONS(4521),
    [anon_sym_STAR] = ACTIONS(4521),
    [anon_sym_SLASH] = ACTIONS(4521),
    [anon_sym_PERCENT] = ACTIONS(4521),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4519),
    [anon_sym_DOT] = ACTIONS(4521),
    [anon_sym_LBRACK] = ACTIONS(4519),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4519),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4519),
    [anon_sym_not_in] = ACTIONS(4519),
    [anon_sym_or_return] = ACTIONS(4519),
    [anon_sym_or_continue] = ACTIONS(4519),
    [anon_sym_or_break] = ACTIONS(4519),
    [anon_sym_CARET] = ACTIONS(4521),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(4519),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1942] = {
    [sym_expression] = STATE(3219),
    [sym__expression_no_tag] = STATE(2689),
    [sym_unary_expression] = STATE(2689),
    [sym_binary_expression] = STATE(2689),
    [sym_ternary_expression] = STATE(2689),
    [sym_call_expression] = STATE(2689),
    [sym_selector_call_expression] = STATE(2689),
    [sym_member_expression] = STATE(2689),
    [sym_index_expression] = STATE(2689),
    [sym_slice_expression] = STATE(2689),
    [sym_range_expression] = STATE(2689),
    [sym_cast_expression] = STATE(2689),
    [sym_in_expression] = STATE(2689),
    [sym_variadic_expression] = STATE(2689),
    [sym_parenthesized_expression] = STATE(2689),
    [sym_or_return_expression] = STATE(2689),
    [sym_or_continue_expression] = STATE(2689),
    [sym_or_break_expression] = STATE(2689),
    [sym_address] = STATE(2689),
    [sym_map_type] = STATE(2689),
    [sym_matrix_type] = STATE(2689),
    [sym_distinct_type] = STATE(2689),
    [sym_literal] = STATE(2689),
    [sym_struct] = STATE(3145),
    [sym_map] = STATE(2871),
    [sym_bit_set] = STATE(2871),
    [sym_matrix] = STATE(2871),
    [sym_string] = STATE(2871),
    [sym__string_literal] = STATE(2874),
    [sym__raw_string_literal] = STATE(2874),
    [sym_character] = STATE(2871),
    [sym_boolean] = STATE(2871),
    [sym_field_identifier] = STATE(7825),
    [sym_identifier] = ACTIONS(493),
    [anon_sym_LBRACE] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_QMARK] = ACTIONS(529),
    [anon_sym_PLUS] = ACTIONS(531),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(531),
    [anon_sym_AMP] = ACTIONS(531),
    [anon_sym_DOT] = ACTIONS(533),
    [anon_sym_LBRACK] = ACTIONS(535),
    [anon_sym_cast] = ACTIONS(497),
    [anon_sym_transmute] = ACTIONS(497),
    [anon_sym_auto_cast] = ACTIONS(499),
    [anon_sym_DOT_DOT] = ACTIONS(6104),
    [anon_sym_map] = ACTIONS(503),
    [anon_sym_bit_set] = ACTIONS(505),
    [anon_sym_matrix] = ACTIONS(507),
    [anon_sym_distinct] = ACTIONS(509),
    [sym_number] = ACTIONS(511),
    [anon_sym_DQUOTE] = ACTIONS(513),
    [anon_sym_BQUOTE] = ACTIONS(515),
    [anon_sym_SQUOTE] = ACTIONS(517),
    [anon_sym_true] = ACTIONS(519),
    [anon_sym_false] = ACTIONS(519),
    [sym_nil] = ACTIONS(521),
    [sym_uninitialized] = ACTIONS(511),
    [sym_tag] = ACTIONS(537),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(511),
    [sym_block_comment] = ACTIONS(3),
  },
  [1943] = {
    [sym_expression] = STATE(2601),
    [sym__expression_no_tag] = STATE(2592),
    [sym_unary_expression] = STATE(2592),
    [sym_binary_expression] = STATE(2592),
    [sym_ternary_expression] = STATE(2592),
    [sym_call_expression] = STATE(2592),
    [sym_selector_call_expression] = STATE(2592),
    [sym_member_expression] = STATE(2592),
    [sym_index_expression] = STATE(2592),
    [sym_slice_expression] = STATE(2592),
    [sym_range_expression] = STATE(2592),
    [sym_cast_expression] = STATE(2592),
    [sym_in_expression] = STATE(2592),
    [sym_variadic_expression] = STATE(2592),
    [sym_parenthesized_expression] = STATE(2592),
    [sym_or_return_expression] = STATE(2592),
    [sym_or_continue_expression] = STATE(2592),
    [sym_or_break_expression] = STATE(2592),
    [sym_address] = STATE(2592),
    [sym_map_type] = STATE(2592),
    [sym_matrix_type] = STATE(2592),
    [sym_distinct_type] = STATE(2592),
    [sym_literal] = STATE(2592),
    [sym_struct] = STATE(2608),
    [sym_map] = STATE(2566),
    [sym_bit_set] = STATE(2566),
    [sym_matrix] = STATE(2566),
    [sym_string] = STATE(2566),
    [sym__string_literal] = STATE(2591),
    [sym__raw_string_literal] = STATE(2591),
    [sym_character] = STATE(2566),
    [sym_boolean] = STATE(2566),
    [sym_field_identifier] = STATE(7902),
    [sym_identifier] = ACTIONS(249),
    [anon_sym_LBRACE] = ACTIONS(251),
    [anon_sym_LPAREN] = ACTIONS(253),
    [anon_sym_QMARK] = ACTIONS(255),
    [anon_sym_PLUS] = ACTIONS(2777),
    [anon_sym_DASH] = ACTIONS(257),
    [anon_sym_TILDE] = ACTIONS(2777),
    [anon_sym_BANG] = ACTIONS(2777),
    [anon_sym_AMP] = ACTIONS(2777),
    [anon_sym_DOT] = ACTIONS(259),
    [anon_sym_LBRACK] = ACTIONS(261),
    [anon_sym_cast] = ACTIONS(263),
    [anon_sym_transmute] = ACTIONS(263),
    [anon_sym_auto_cast] = ACTIONS(265),
    [anon_sym_DOT_DOT] = ACTIONS(2779),
    [anon_sym_map] = ACTIONS(269),
    [anon_sym_bit_set] = ACTIONS(271),
    [anon_sym_matrix] = ACTIONS(273),
    [anon_sym_distinct] = ACTIONS(275),
    [sym_number] = ACTIONS(277),
    [anon_sym_DQUOTE] = ACTIONS(279),
    [anon_sym_BQUOTE] = ACTIONS(281),
    [anon_sym_SQUOTE] = ACTIONS(283),
    [anon_sym_true] = ACTIONS(285),
    [anon_sym_false] = ACTIONS(285),
    [sym_nil] = ACTIONS(287),
    [sym_uninitialized] = ACTIONS(277),
    [sym_tag] = ACTIONS(289),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(277),
    [sym_block_comment] = ACTIONS(3),
  },
  [1944] = {
    [sym_expression] = STATE(3220),
    [sym__expression_no_tag] = STATE(2689),
    [sym_unary_expression] = STATE(2689),
    [sym_binary_expression] = STATE(2689),
    [sym_ternary_expression] = STATE(2689),
    [sym_call_expression] = STATE(2689),
    [sym_selector_call_expression] = STATE(2689),
    [sym_member_expression] = STATE(2689),
    [sym_index_expression] = STATE(2689),
    [sym_slice_expression] = STATE(2689),
    [sym_range_expression] = STATE(2689),
    [sym_cast_expression] = STATE(2689),
    [sym_in_expression] = STATE(2689),
    [sym_variadic_expression] = STATE(2689),
    [sym_parenthesized_expression] = STATE(2689),
    [sym_or_return_expression] = STATE(2689),
    [sym_or_continue_expression] = STATE(2689),
    [sym_or_break_expression] = STATE(2689),
    [sym_address] = STATE(2689),
    [sym_map_type] = STATE(2689),
    [sym_matrix_type] = STATE(2689),
    [sym_distinct_type] = STATE(2689),
    [sym_literal] = STATE(2689),
    [sym_struct] = STATE(3145),
    [sym_map] = STATE(2871),
    [sym_bit_set] = STATE(2871),
    [sym_matrix] = STATE(2871),
    [sym_string] = STATE(2871),
    [sym__string_literal] = STATE(2874),
    [sym__raw_string_literal] = STATE(2874),
    [sym_character] = STATE(2871),
    [sym_boolean] = STATE(2871),
    [sym_field_identifier] = STATE(7825),
    [sym_identifier] = ACTIONS(493),
    [anon_sym_LBRACE] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_QMARK] = ACTIONS(529),
    [anon_sym_PLUS] = ACTIONS(531),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(531),
    [anon_sym_AMP] = ACTIONS(531),
    [anon_sym_DOT] = ACTIONS(533),
    [anon_sym_LBRACK] = ACTIONS(535),
    [anon_sym_cast] = ACTIONS(497),
    [anon_sym_transmute] = ACTIONS(497),
    [anon_sym_auto_cast] = ACTIONS(499),
    [anon_sym_DOT_DOT] = ACTIONS(6104),
    [anon_sym_map] = ACTIONS(503),
    [anon_sym_bit_set] = ACTIONS(505),
    [anon_sym_matrix] = ACTIONS(507),
    [anon_sym_distinct] = ACTIONS(509),
    [sym_number] = ACTIONS(511),
    [anon_sym_DQUOTE] = ACTIONS(513),
    [anon_sym_BQUOTE] = ACTIONS(515),
    [anon_sym_SQUOTE] = ACTIONS(517),
    [anon_sym_true] = ACTIONS(519),
    [anon_sym_false] = ACTIONS(519),
    [sym_nil] = ACTIONS(521),
    [sym_uninitialized] = ACTIONS(511),
    [sym_tag] = ACTIONS(537),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(511),
    [sym_block_comment] = ACTIONS(3),
  },
  [1945] = {
    [aux_sym_where_clause_repeat1] = STATE(1962),
    [anon_sym_LBRACE] = ACTIONS(4402),
    [anon_sym_COMMA] = ACTIONS(6166),
    [anon_sym_COLON_COLON] = ACTIONS(4402),
    [anon_sym_DASH_GT] = ACTIONS(4402),
    [anon_sym_where] = ACTIONS(4402),
    [anon_sym_EQ] = ACTIONS(4406),
    [anon_sym_COLON_EQ] = ACTIONS(4402),
    [anon_sym_COLON] = ACTIONS(4406),
    [anon_sym_LPAREN] = ACTIONS(4402),
    [anon_sym_PLUS_EQ] = ACTIONS(4402),
    [anon_sym_DASH_EQ] = ACTIONS(4402),
    [anon_sym_STAR_EQ] = ACTIONS(4402),
    [anon_sym_SLASH_EQ] = ACTIONS(4402),
    [anon_sym_PERCENT_EQ] = ACTIONS(4402),
    [anon_sym_AMP_EQ] = ACTIONS(4402),
    [anon_sym_PIPE_EQ] = ACTIONS(4402),
    [anon_sym_CARET_EQ] = ACTIONS(4402),
    [anon_sym_LT_LT_EQ] = ACTIONS(4402),
    [anon_sym_GT_GT_EQ] = ACTIONS(4402),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4402),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4402),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4402),
    [anon_sym_if] = ACTIONS(4402),
    [anon_sym_SEMI] = ACTIONS(4402),
    [anon_sym_do] = ACTIONS(4402),
    [anon_sym_when] = ACTIONS(4402),
    [anon_sym_in] = ACTIONS(4402),
    [anon_sym_QMARK] = ACTIONS(4402),
    [anon_sym_PLUS] = ACTIONS(4406),
    [anon_sym_DASH] = ACTIONS(4406),
    [anon_sym_TILDE] = ACTIONS(4406),
    [anon_sym_AMP] = ACTIONS(4406),
    [anon_sym_PIPE_PIPE] = ACTIONS(4406),
    [anon_sym_or_else] = ACTIONS(4402),
    [anon_sym_AMP_AMP] = ACTIONS(4406),
    [anon_sym_GT] = ACTIONS(4406),
    [anon_sym_GT_EQ] = ACTIONS(4402),
    [anon_sym_LT_EQ] = ACTIONS(4402),
    [anon_sym_LT] = ACTIONS(4406),
    [anon_sym_EQ_EQ] = ACTIONS(4402),
    [anon_sym_BANG_EQ] = ACTIONS(4402),
    [anon_sym_TILDE_EQ] = ACTIONS(4402),
    [anon_sym_PIPE] = ACTIONS(4406),
    [anon_sym_AMP_TILDE] = ACTIONS(4406),
    [anon_sym_LT_LT] = ACTIONS(4406),
    [anon_sym_GT_GT] = ACTIONS(4406),
    [anon_sym_STAR] = ACTIONS(4406),
    [anon_sym_SLASH] = ACTIONS(4406),
    [anon_sym_PERCENT] = ACTIONS(4406),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4402),
    [anon_sym_DOT] = ACTIONS(4406),
    [anon_sym_LBRACK] = ACTIONS(4402),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4402),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4402),
    [anon_sym_not_in] = ACTIONS(4402),
    [anon_sym_or_return] = ACTIONS(4402),
    [anon_sym_or_continue] = ACTIONS(4402),
    [anon_sym_or_break] = ACTIONS(4402),
    [anon_sym_CARET] = ACTIONS(4406),
    [sym_uninitialized] = ACTIONS(4402),
    [sym_tag] = ACTIONS(4402),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1946] = {
    [sym_expression] = STATE(5650),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1947] = {
    [sym_expression] = STATE(3972),
    [sym__expression_no_tag] = STATE(3646),
    [sym_unary_expression] = STATE(3646),
    [sym_binary_expression] = STATE(3646),
    [sym_ternary_expression] = STATE(3646),
    [sym_call_expression] = STATE(3646),
    [sym_selector_call_expression] = STATE(3646),
    [sym_member_expression] = STATE(3646),
    [sym_index_expression] = STATE(3646),
    [sym_slice_expression] = STATE(3646),
    [sym_range_expression] = STATE(3646),
    [sym_cast_expression] = STATE(3646),
    [sym_in_expression] = STATE(3646),
    [sym_variadic_expression] = STATE(3646),
    [sym_parenthesized_expression] = STATE(3646),
    [sym_or_return_expression] = STATE(3646),
    [sym_or_continue_expression] = STATE(3646),
    [sym_or_break_expression] = STATE(3646),
    [sym_address] = STATE(3646),
    [sym_map_type] = STATE(3646),
    [sym_matrix_type] = STATE(3646),
    [sym_distinct_type] = STATE(3646),
    [sym_literal] = STATE(3646),
    [sym_struct] = STATE(3145),
    [sym_map] = STATE(2871),
    [sym_bit_set] = STATE(2871),
    [sym_matrix] = STATE(2871),
    [sym_string] = STATE(2871),
    [sym__string_literal] = STATE(2874),
    [sym__raw_string_literal] = STATE(2874),
    [sym_character] = STATE(2871),
    [sym_boolean] = STATE(2871),
    [sym_field_identifier] = STATE(7825),
    [sym_identifier] = ACTIONS(493),
    [anon_sym_LBRACE] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(527),
    [anon_sym_QMARK] = ACTIONS(6108),
    [anon_sym_PLUS] = ACTIONS(531),
    [anon_sym_DASH] = ACTIONS(495),
    [anon_sym_TILDE] = ACTIONS(531),
    [anon_sym_BANG] = ACTIONS(531),
    [anon_sym_AMP] = ACTIONS(531),
    [anon_sym_DOT] = ACTIONS(533),
    [anon_sym_LBRACK] = ACTIONS(535),
    [anon_sym_cast] = ACTIONS(497),
    [anon_sym_transmute] = ACTIONS(497),
    [anon_sym_auto_cast] = ACTIONS(499),
    [anon_sym_DOT_DOT] = ACTIONS(6104),
    [anon_sym_map] = ACTIONS(503),
    [anon_sym_bit_set] = ACTIONS(505),
    [anon_sym_matrix] = ACTIONS(507),
    [anon_sym_distinct] = ACTIONS(509),
    [sym_number] = ACTIONS(511),
    [anon_sym_DQUOTE] = ACTIONS(513),
    [anon_sym_BQUOTE] = ACTIONS(515),
    [anon_sym_SQUOTE] = ACTIONS(517),
    [anon_sym_true] = ACTIONS(519),
    [anon_sym_false] = ACTIONS(519),
    [sym_nil] = ACTIONS(521),
    [sym_uninitialized] = ACTIONS(511),
    [sym_tag] = ACTIONS(537),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(511),
    [sym_block_comment] = ACTIONS(3),
  },
  [1948] = {
    [sym_expression] = STATE(6061),
    [sym__expression_no_tag] = STATE(5335),
    [sym_unary_expression] = STATE(5335),
    [sym_binary_expression] = STATE(5335),
    [sym_ternary_expression] = STATE(5335),
    [sym_call_expression] = STATE(3778),
    [sym_selector_call_expression] = STATE(5335),
    [sym_member_expression] = STATE(5335),
    [sym_index_expression] = STATE(5335),
    [sym_slice_expression] = STATE(5335),
    [sym_range_expression] = STATE(5335),
    [sym_cast_expression] = STATE(5335),
    [sym_in_expression] = STATE(5335),
    [sym_variadic_expression] = STATE(5335),
    [sym_parenthesized_expression] = STATE(5335),
    [sym_or_return_expression] = STATE(5335),
    [sym_or_continue_expression] = STATE(5335),
    [sym_or_break_expression] = STATE(5335),
    [sym_address] = STATE(5335),
    [sym_map_type] = STATE(5335),
    [sym_matrix_type] = STATE(5335),
    [sym_distinct_type] = STATE(5335),
    [sym_literal] = STATE(5335),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(6168),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1949] = {
    [sym_expression] = STATE(2758),
    [sym__expression_no_tag] = STATE(2692),
    [sym_unary_expression] = STATE(2692),
    [sym_binary_expression] = STATE(2692),
    [sym_ternary_expression] = STATE(2692),
    [sym_call_expression] = STATE(2692),
    [sym_selector_call_expression] = STATE(2692),
    [sym_member_expression] = STATE(2692),
    [sym_index_expression] = STATE(2692),
    [sym_slice_expression] = STATE(2692),
    [sym_range_expression] = STATE(2692),
    [sym_cast_expression] = STATE(2692),
    [sym_in_expression] = STATE(2692),
    [sym_variadic_expression] = STATE(2692),
    [sym_parenthesized_expression] = STATE(2692),
    [sym_or_return_expression] = STATE(2692),
    [sym_or_continue_expression] = STATE(2692),
    [sym_or_break_expression] = STATE(2692),
    [sym_address] = STATE(2692),
    [sym_map_type] = STATE(2692),
    [sym_matrix_type] = STATE(2692),
    [sym_distinct_type] = STATE(2692),
    [sym_literal] = STATE(2692),
    [sym_struct] = STATE(2751),
    [sym_map] = STATE(2747),
    [sym_bit_set] = STATE(2747),
    [sym_matrix] = STATE(2747),
    [sym_string] = STATE(2747),
    [sym__string_literal] = STATE(2752),
    [sym__raw_string_literal] = STATE(2752),
    [sym_character] = STATE(2747),
    [sym_boolean] = STATE(2747),
    [sym_field_identifier] = STATE(7946),
    [sym_identifier] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(309),
    [anon_sym_LPAREN] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(375),
    [anon_sym_PLUS] = ACTIONS(3165),
    [anon_sym_DASH] = ACTIONS(311),
    [anon_sym_TILDE] = ACTIONS(3165),
    [anon_sym_BANG] = ACTIONS(3165),
    [anon_sym_AMP] = ACTIONS(3165),
    [anon_sym_DOT] = ACTIONS(377),
    [anon_sym_LBRACK] = ACTIONS(379),
    [anon_sym_cast] = ACTIONS(313),
    [anon_sym_transmute] = ACTIONS(313),
    [anon_sym_auto_cast] = ACTIONS(315),
    [anon_sym_DOT_DOT] = ACTIONS(3167),
    [anon_sym_map] = ACTIONS(319),
    [anon_sym_bit_set] = ACTIONS(321),
    [anon_sym_matrix] = ACTIONS(323),
    [anon_sym_distinct] = ACTIONS(325),
    [sym_number] = ACTIONS(327),
    [anon_sym_DQUOTE] = ACTIONS(329),
    [anon_sym_BQUOTE] = ACTIONS(331),
    [anon_sym_SQUOTE] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym_nil] = ACTIONS(337),
    [sym_uninitialized] = ACTIONS(327),
    [sym_tag] = ACTIONS(339),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(327),
    [sym_block_comment] = ACTIONS(3),
  },
  [1950] = {
    [sym_expression] = STATE(2776),
    [sym__expression_no_tag] = STATE(2692),
    [sym_unary_expression] = STATE(2692),
    [sym_binary_expression] = STATE(2692),
    [sym_ternary_expression] = STATE(2692),
    [sym_call_expression] = STATE(2692),
    [sym_selector_call_expression] = STATE(2692),
    [sym_member_expression] = STATE(2692),
    [sym_index_expression] = STATE(2692),
    [sym_slice_expression] = STATE(2692),
    [sym_range_expression] = STATE(2692),
    [sym_cast_expression] = STATE(2692),
    [sym_in_expression] = STATE(2692),
    [sym_variadic_expression] = STATE(2692),
    [sym_parenthesized_expression] = STATE(2692),
    [sym_or_return_expression] = STATE(2692),
    [sym_or_continue_expression] = STATE(2692),
    [sym_or_break_expression] = STATE(2692),
    [sym_address] = STATE(2692),
    [sym_map_type] = STATE(2692),
    [sym_matrix_type] = STATE(2692),
    [sym_distinct_type] = STATE(2692),
    [sym_literal] = STATE(2692),
    [sym_struct] = STATE(2751),
    [sym_map] = STATE(2747),
    [sym_bit_set] = STATE(2747),
    [sym_matrix] = STATE(2747),
    [sym_string] = STATE(2747),
    [sym__string_literal] = STATE(2752),
    [sym__raw_string_literal] = STATE(2752),
    [sym_character] = STATE(2747),
    [sym_boolean] = STATE(2747),
    [sym_field_identifier] = STATE(7946),
    [sym_identifier] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(309),
    [anon_sym_LPAREN] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(375),
    [anon_sym_PLUS] = ACTIONS(3165),
    [anon_sym_DASH] = ACTIONS(311),
    [anon_sym_TILDE] = ACTIONS(3165),
    [anon_sym_BANG] = ACTIONS(3165),
    [anon_sym_AMP] = ACTIONS(3165),
    [anon_sym_DOT] = ACTIONS(377),
    [anon_sym_LBRACK] = ACTIONS(379),
    [anon_sym_cast] = ACTIONS(313),
    [anon_sym_transmute] = ACTIONS(313),
    [anon_sym_auto_cast] = ACTIONS(315),
    [anon_sym_DOT_DOT] = ACTIONS(3167),
    [anon_sym_map] = ACTIONS(319),
    [anon_sym_bit_set] = ACTIONS(321),
    [anon_sym_matrix] = ACTIONS(323),
    [anon_sym_distinct] = ACTIONS(325),
    [sym_number] = ACTIONS(327),
    [anon_sym_DQUOTE] = ACTIONS(329),
    [anon_sym_BQUOTE] = ACTIONS(331),
    [anon_sym_SQUOTE] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym_nil] = ACTIONS(337),
    [sym_uninitialized] = ACTIONS(327),
    [sym_tag] = ACTIONS(339),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(327),
    [sym_block_comment] = ACTIONS(3),
  },
  [1951] = {
    [sym_expression] = STATE(5717),
    [sym__expression_no_tag] = STATE(4410),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_ternary_expression] = STATE(4410),
    [sym_call_expression] = STATE(4410),
    [sym_selector_call_expression] = STATE(4410),
    [sym_member_expression] = STATE(4410),
    [sym_index_expression] = STATE(4410),
    [sym_slice_expression] = STATE(4410),
    [sym_range_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_in_expression] = STATE(4410),
    [sym_variadic_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4410),
    [sym_or_return_expression] = STATE(4410),
    [sym_or_continue_expression] = STATE(4410),
    [sym_or_break_expression] = STATE(4410),
    [sym_address] = STATE(4410),
    [sym_map_type] = STATE(4410),
    [sym_matrix_type] = STATE(4410),
    [sym_distinct_type] = STATE(4410),
    [sym_literal] = STATE(4410),
    [sym_struct] = STATE(4333),
    [sym_map] = STATE(4320),
    [sym_bit_set] = STATE(4320),
    [sym_matrix] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym__string_literal] = STATE(4334),
    [sym__raw_string_literal] = STATE(4334),
    [sym_character] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_field_identifier] = STATE(7845),
    [sym_identifier] = ACTIONS(341),
    [anon_sym_LBRACE] = ACTIONS(6170),
    [anon_sym_LPAREN] = ACTIONS(945),
    [anon_sym_QMARK] = ACTIONS(3239),
    [anon_sym_PLUS] = ACTIONS(949),
    [anon_sym_DASH] = ACTIONS(951),
    [anon_sym_TILDE] = ACTIONS(949),
    [anon_sym_BANG] = ACTIONS(949),
    [anon_sym_AMP] = ACTIONS(949),
    [anon_sym_DOT] = ACTIONS(953),
    [anon_sym_LBRACK] = ACTIONS(955),
    [anon_sym_cast] = ACTIONS(957),
    [anon_sym_transmute] = ACTIONS(957),
    [anon_sym_auto_cast] = ACTIONS(959),
    [anon_sym_DOT_DOT] = ACTIONS(3241),
    [anon_sym_map] = ACTIONS(351),
    [anon_sym_bit_set] = ACTIONS(353),
    [anon_sym_matrix] = ACTIONS(355),
    [anon_sym_distinct] = ACTIONS(357),
    [sym_number] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(361),
    [anon_sym_BQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [anon_sym_true] = ACTIONS(367),
    [anon_sym_false] = ACTIONS(367),
    [sym_nil] = ACTIONS(369),
    [sym_uninitialized] = ACTIONS(359),
    [sym_tag] = ACTIONS(963),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(359),
    [sym_block_comment] = ACTIONS(3),
  },
  [1952] = {
    [aux_sym_where_clause_repeat1] = STATE(1945),
    [anon_sym_LBRACE] = ACTIONS(4426),
    [anon_sym_COMMA] = ACTIONS(6166),
    [anon_sym_COLON_COLON] = ACTIONS(4426),
    [anon_sym_DASH_GT] = ACTIONS(6172),
    [anon_sym_where] = ACTIONS(4426),
    [anon_sym_EQ] = ACTIONS(4430),
    [anon_sym_COLON_EQ] = ACTIONS(4426),
    [anon_sym_COLON] = ACTIONS(4430),
    [anon_sym_LPAREN] = ACTIONS(4426),
    [anon_sym_PLUS_EQ] = ACTIONS(4426),
    [anon_sym_DASH_EQ] = ACTIONS(4426),
    [anon_sym_STAR_EQ] = ACTIONS(4426),
    [anon_sym_SLASH_EQ] = ACTIONS(4426),
    [anon_sym_PERCENT_EQ] = ACTIONS(4426),
    [anon_sym_AMP_EQ] = ACTIONS(4426),
    [anon_sym_PIPE_EQ] = ACTIONS(4426),
    [anon_sym_CARET_EQ] = ACTIONS(4426),
    [anon_sym_LT_LT_EQ] = ACTIONS(4426),
    [anon_sym_GT_GT_EQ] = ACTIONS(4426),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4426),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4426),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4426),
    [anon_sym_if] = ACTIONS(4426),
    [anon_sym_SEMI] = ACTIONS(4426),
    [anon_sym_do] = ACTIONS(4426),
    [anon_sym_when] = ACTIONS(4426),
    [anon_sym_in] = ACTIONS(4426),
    [anon_sym_QMARK] = ACTIONS(4426),
    [anon_sym_PLUS] = ACTIONS(6174),
    [anon_sym_DASH] = ACTIONS(6174),
    [anon_sym_TILDE] = ACTIONS(6176),
    [anon_sym_AMP] = ACTIONS(6178),
    [anon_sym_PIPE_PIPE] = ACTIONS(6180),
    [anon_sym_or_else] = ACTIONS(6182),
    [anon_sym_AMP_AMP] = ACTIONS(6184),
    [anon_sym_GT] = ACTIONS(6186),
    [anon_sym_GT_EQ] = ACTIONS(6188),
    [anon_sym_LT_EQ] = ACTIONS(6188),
    [anon_sym_LT] = ACTIONS(6186),
    [anon_sym_EQ_EQ] = ACTIONS(6190),
    [anon_sym_BANG_EQ] = ACTIONS(6190),
    [anon_sym_TILDE_EQ] = ACTIONS(6190),
    [anon_sym_PIPE] = ACTIONS(6192),
    [anon_sym_AMP_TILDE] = ACTIONS(6194),
    [anon_sym_LT_LT] = ACTIONS(6196),
    [anon_sym_GT_GT] = ACTIONS(6196),
    [anon_sym_STAR] = ACTIONS(6198),
    [anon_sym_SLASH] = ACTIONS(6198),
    [anon_sym_PERCENT] = ACTIONS(6198),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(6200),
    [anon_sym_DOT] = ACTIONS(6202),
    [anon_sym_LBRACK] = ACTIONS(6204),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(6206),
    [anon_sym_DOT_DOT_LT] = ACTIONS(6206),
    [anon_sym_not_in] = ACTIONS(4426),
    [anon_sym_or_return] = ACTIONS(6208),
    [anon_sym_or_continue] = ACTIONS(6210),
    [anon_sym_or_break] = ACTIONS(6212),
    [anon_sym_CARET] = ACTIONS(6214),
    [sym_uninitialized] = ACTIONS(4426),
    [sym_tag] = ACTIONS(4426),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1953] = {
    [sym_expression] = STATE(2777),
    [sym__expression_no_tag] = STATE(2692),
    [sym_unary_expression] = STATE(2692),
    [sym_binary_expression] = STATE(2692),
    [sym_ternary_expression] = STATE(2692),
    [sym_call_expression] = STATE(2692),
    [sym_selector_call_expression] = STATE(2692),
    [sym_member_expression] = STATE(2692),
    [sym_index_expression] = STATE(2692),
    [sym_slice_expression] = STATE(2692),
    [sym_range_expression] = STATE(2692),
    [sym_cast_expression] = STATE(2692),
    [sym_in_expression] = STATE(2692),
    [sym_variadic_expression] = STATE(2692),
    [sym_parenthesized_expression] = STATE(2692),
    [sym_or_return_expression] = STATE(2692),
    [sym_or_continue_expression] = STATE(2692),
    [sym_or_break_expression] = STATE(2692),
    [sym_address] = STATE(2692),
    [sym_map_type] = STATE(2692),
    [sym_matrix_type] = STATE(2692),
    [sym_distinct_type] = STATE(2692),
    [sym_literal] = STATE(2692),
    [sym_struct] = STATE(2751),
    [sym_map] = STATE(2747),
    [sym_bit_set] = STATE(2747),
    [sym_matrix] = STATE(2747),
    [sym_string] = STATE(2747),
    [sym__string_literal] = STATE(2752),
    [sym__raw_string_literal] = STATE(2752),
    [sym_character] = STATE(2747),
    [sym_boolean] = STATE(2747),
    [sym_field_identifier] = STATE(7946),
    [sym_identifier] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(309),
    [anon_sym_LPAREN] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(375),
    [anon_sym_PLUS] = ACTIONS(3165),
    [anon_sym_DASH] = ACTIONS(311),
    [anon_sym_TILDE] = ACTIONS(3165),
    [anon_sym_BANG] = ACTIONS(3165),
    [anon_sym_AMP] = ACTIONS(3165),
    [anon_sym_DOT] = ACTIONS(377),
    [anon_sym_LBRACK] = ACTIONS(379),
    [anon_sym_cast] = ACTIONS(313),
    [anon_sym_transmute] = ACTIONS(313),
    [anon_sym_auto_cast] = ACTIONS(315),
    [anon_sym_DOT_DOT] = ACTIONS(3167),
    [anon_sym_map] = ACTIONS(319),
    [anon_sym_bit_set] = ACTIONS(321),
    [anon_sym_matrix] = ACTIONS(323),
    [anon_sym_distinct] = ACTIONS(325),
    [sym_number] = ACTIONS(327),
    [anon_sym_DQUOTE] = ACTIONS(329),
    [anon_sym_BQUOTE] = ACTIONS(331),
    [anon_sym_SQUOTE] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym_nil] = ACTIONS(337),
    [sym_uninitialized] = ACTIONS(327),
    [sym_tag] = ACTIONS(339),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(327),
    [sym_block_comment] = ACTIONS(3),
  },
  [1954] = {
    [sym_expression] = STATE(5989),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1955] = {
    [sym_expression] = STATE(5990),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1956] = {
    [sym_expression] = STATE(5137),
    [sym__expression_no_tag] = STATE(4410),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_ternary_expression] = STATE(4410),
    [sym_call_expression] = STATE(4410),
    [sym_selector_call_expression] = STATE(4410),
    [sym_member_expression] = STATE(4410),
    [sym_index_expression] = STATE(4410),
    [sym_slice_expression] = STATE(4410),
    [sym_range_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_in_expression] = STATE(4410),
    [sym_variadic_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4410),
    [sym_or_return_expression] = STATE(4410),
    [sym_or_continue_expression] = STATE(4410),
    [sym_or_break_expression] = STATE(4410),
    [sym_address] = STATE(4410),
    [sym_map_type] = STATE(4410),
    [sym_matrix_type] = STATE(4410),
    [sym_distinct_type] = STATE(4410),
    [sym_literal] = STATE(4410),
    [sym_struct] = STATE(4333),
    [sym_map] = STATE(4320),
    [sym_bit_set] = STATE(4320),
    [sym_matrix] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym__string_literal] = STATE(4334),
    [sym__raw_string_literal] = STATE(4334),
    [sym_character] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_field_identifier] = STATE(7845),
    [sym_identifier] = ACTIONS(341),
    [anon_sym_LBRACE] = ACTIONS(943),
    [anon_sym_LPAREN] = ACTIONS(945),
    [anon_sym_QMARK] = ACTIONS(3239),
    [anon_sym_PLUS] = ACTIONS(949),
    [anon_sym_DASH] = ACTIONS(951),
    [anon_sym_TILDE] = ACTIONS(949),
    [anon_sym_BANG] = ACTIONS(949),
    [anon_sym_AMP] = ACTIONS(949),
    [anon_sym_DOT] = ACTIONS(953),
    [anon_sym_LBRACK] = ACTIONS(955),
    [anon_sym_cast] = ACTIONS(957),
    [anon_sym_transmute] = ACTIONS(957),
    [anon_sym_auto_cast] = ACTIONS(959),
    [anon_sym_DOT_DOT] = ACTIONS(3241),
    [anon_sym_map] = ACTIONS(351),
    [anon_sym_bit_set] = ACTIONS(353),
    [anon_sym_matrix] = ACTIONS(355),
    [anon_sym_distinct] = ACTIONS(357),
    [sym_number] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(361),
    [anon_sym_BQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [anon_sym_true] = ACTIONS(367),
    [anon_sym_false] = ACTIONS(367),
    [sym_nil] = ACTIONS(369),
    [sym_uninitialized] = ACTIONS(359),
    [sym_tag] = ACTIONS(963),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(359),
    [sym_block_comment] = ACTIONS(3),
  },
  [1957] = {
    [sym_expression] = STATE(6061),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3770),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1958] = {
    [sym_expression] = STATE(6061),
    [sym__expression_no_tag] = STATE(4961),
    [sym_unary_expression] = STATE(4961),
    [sym_binary_expression] = STATE(4961),
    [sym_ternary_expression] = STATE(4961),
    [sym_call_expression] = STATE(3227),
    [sym_selector_call_expression] = STATE(4961),
    [sym_member_expression] = STATE(4961),
    [sym_index_expression] = STATE(4961),
    [sym_slice_expression] = STATE(4961),
    [sym_range_expression] = STATE(4961),
    [sym_cast_expression] = STATE(4961),
    [sym_in_expression] = STATE(4961),
    [sym_variadic_expression] = STATE(4961),
    [sym_parenthesized_expression] = STATE(4961),
    [sym_or_return_expression] = STATE(4961),
    [sym_or_continue_expression] = STATE(4961),
    [sym_or_break_expression] = STATE(4961),
    [sym_address] = STATE(4961),
    [sym_map_type] = STATE(4961),
    [sym_matrix_type] = STATE(4961),
    [sym_distinct_type] = STATE(4961),
    [sym_literal] = STATE(4961),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(6216),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(6218),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1959] = {
    [sym_expression] = STATE(5801),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1960] = {
    [sym_expression] = STATE(2778),
    [sym__expression_no_tag] = STATE(2692),
    [sym_unary_expression] = STATE(2692),
    [sym_binary_expression] = STATE(2692),
    [sym_ternary_expression] = STATE(2692),
    [sym_call_expression] = STATE(2692),
    [sym_selector_call_expression] = STATE(2692),
    [sym_member_expression] = STATE(2692),
    [sym_index_expression] = STATE(2692),
    [sym_slice_expression] = STATE(2692),
    [sym_range_expression] = STATE(2692),
    [sym_cast_expression] = STATE(2692),
    [sym_in_expression] = STATE(2692),
    [sym_variadic_expression] = STATE(2692),
    [sym_parenthesized_expression] = STATE(2692),
    [sym_or_return_expression] = STATE(2692),
    [sym_or_continue_expression] = STATE(2692),
    [sym_or_break_expression] = STATE(2692),
    [sym_address] = STATE(2692),
    [sym_map_type] = STATE(2692),
    [sym_matrix_type] = STATE(2692),
    [sym_distinct_type] = STATE(2692),
    [sym_literal] = STATE(2692),
    [sym_struct] = STATE(2751),
    [sym_map] = STATE(2747),
    [sym_bit_set] = STATE(2747),
    [sym_matrix] = STATE(2747),
    [sym_string] = STATE(2747),
    [sym__string_literal] = STATE(2752),
    [sym__raw_string_literal] = STATE(2752),
    [sym_character] = STATE(2747),
    [sym_boolean] = STATE(2747),
    [sym_field_identifier] = STATE(7946),
    [sym_identifier] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(309),
    [anon_sym_LPAREN] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(375),
    [anon_sym_PLUS] = ACTIONS(3165),
    [anon_sym_DASH] = ACTIONS(311),
    [anon_sym_TILDE] = ACTIONS(3165),
    [anon_sym_BANG] = ACTIONS(3165),
    [anon_sym_AMP] = ACTIONS(3165),
    [anon_sym_DOT] = ACTIONS(377),
    [anon_sym_LBRACK] = ACTIONS(379),
    [anon_sym_cast] = ACTIONS(313),
    [anon_sym_transmute] = ACTIONS(313),
    [anon_sym_auto_cast] = ACTIONS(315),
    [anon_sym_DOT_DOT] = ACTIONS(3167),
    [anon_sym_map] = ACTIONS(319),
    [anon_sym_bit_set] = ACTIONS(321),
    [anon_sym_matrix] = ACTIONS(323),
    [anon_sym_distinct] = ACTIONS(325),
    [sym_number] = ACTIONS(327),
    [anon_sym_DQUOTE] = ACTIONS(329),
    [anon_sym_BQUOTE] = ACTIONS(331),
    [anon_sym_SQUOTE] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym_nil] = ACTIONS(337),
    [sym_uninitialized] = ACTIONS(327),
    [sym_tag] = ACTIONS(339),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(327),
    [sym_block_comment] = ACTIONS(3),
  },
  [1961] = {
    [sym_expression] = STATE(5499),
    [sym__expression_no_tag] = STATE(4410),
    [sym_unary_expression] = STATE(4410),
    [sym_binary_expression] = STATE(4410),
    [sym_ternary_expression] = STATE(4410),
    [sym_call_expression] = STATE(4410),
    [sym_selector_call_expression] = STATE(4410),
    [sym_member_expression] = STATE(4410),
    [sym_index_expression] = STATE(4410),
    [sym_slice_expression] = STATE(4410),
    [sym_range_expression] = STATE(4410),
    [sym_cast_expression] = STATE(4410),
    [sym_in_expression] = STATE(4410),
    [sym_variadic_expression] = STATE(4410),
    [sym_parenthesized_expression] = STATE(4410),
    [sym_or_return_expression] = STATE(4410),
    [sym_or_continue_expression] = STATE(4410),
    [sym_or_break_expression] = STATE(4410),
    [sym_address] = STATE(4410),
    [sym_map_type] = STATE(4410),
    [sym_matrix_type] = STATE(4410),
    [sym_distinct_type] = STATE(4410),
    [sym_literal] = STATE(4410),
    [sym_struct] = STATE(4333),
    [sym_map] = STATE(4320),
    [sym_bit_set] = STATE(4320),
    [sym_matrix] = STATE(4320),
    [sym_string] = STATE(4320),
    [sym__string_literal] = STATE(4334),
    [sym__raw_string_literal] = STATE(4334),
    [sym_character] = STATE(4320),
    [sym_boolean] = STATE(4320),
    [sym_field_identifier] = STATE(7845),
    [sym_identifier] = ACTIONS(341),
    [anon_sym_LBRACE] = ACTIONS(943),
    [anon_sym_LPAREN] = ACTIONS(945),
    [anon_sym_QMARK] = ACTIONS(3239),
    [anon_sym_PLUS] = ACTIONS(949),
    [anon_sym_DASH] = ACTIONS(951),
    [anon_sym_TILDE] = ACTIONS(949),
    [anon_sym_BANG] = ACTIONS(949),
    [anon_sym_AMP] = ACTIONS(949),
    [anon_sym_DOT] = ACTIONS(953),
    [anon_sym_LBRACK] = ACTIONS(955),
    [anon_sym_cast] = ACTIONS(957),
    [anon_sym_transmute] = ACTIONS(957),
    [anon_sym_auto_cast] = ACTIONS(959),
    [anon_sym_DOT_DOT] = ACTIONS(3241),
    [anon_sym_map] = ACTIONS(351),
    [anon_sym_bit_set] = ACTIONS(353),
    [anon_sym_matrix] = ACTIONS(355),
    [anon_sym_distinct] = ACTIONS(357),
    [sym_number] = ACTIONS(359),
    [anon_sym_DQUOTE] = ACTIONS(361),
    [anon_sym_BQUOTE] = ACTIONS(363),
    [anon_sym_SQUOTE] = ACTIONS(365),
    [anon_sym_true] = ACTIONS(367),
    [anon_sym_false] = ACTIONS(367),
    [sym_nil] = ACTIONS(369),
    [sym_uninitialized] = ACTIONS(359),
    [sym_tag] = ACTIONS(963),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(359),
    [sym_block_comment] = ACTIONS(3),
  },
  [1962] = {
    [aux_sym_where_clause_repeat1] = STATE(1962),
    [anon_sym_LBRACE] = ACTIONS(4619),
    [anon_sym_COMMA] = ACTIONS(6220),
    [anon_sym_COLON_COLON] = ACTIONS(4619),
    [anon_sym_DASH_GT] = ACTIONS(4619),
    [anon_sym_where] = ACTIONS(4619),
    [anon_sym_EQ] = ACTIONS(4624),
    [anon_sym_COLON_EQ] = ACTIONS(4619),
    [anon_sym_COLON] = ACTIONS(4624),
    [anon_sym_LPAREN] = ACTIONS(4619),
    [anon_sym_PLUS_EQ] = ACTIONS(4619),
    [anon_sym_DASH_EQ] = ACTIONS(4619),
    [anon_sym_STAR_EQ] = ACTIONS(4619),
    [anon_sym_SLASH_EQ] = ACTIONS(4619),
    [anon_sym_PERCENT_EQ] = ACTIONS(4619),
    [anon_sym_AMP_EQ] = ACTIONS(4619),
    [anon_sym_PIPE_EQ] = ACTIONS(4619),
    [anon_sym_CARET_EQ] = ACTIONS(4619),
    [anon_sym_LT_LT_EQ] = ACTIONS(4619),
    [anon_sym_GT_GT_EQ] = ACTIONS(4619),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(4619),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(4619),
    [anon_sym_AMP_TILDE_EQ] = ACTIONS(4619),
    [anon_sym_if] = ACTIONS(4619),
    [anon_sym_SEMI] = ACTIONS(4619),
    [anon_sym_do] = ACTIONS(4619),
    [anon_sym_when] = ACTIONS(4619),
    [anon_sym_in] = ACTIONS(4619),
    [anon_sym_QMARK] = ACTIONS(4619),
    [anon_sym_PLUS] = ACTIONS(4624),
    [anon_sym_DASH] = ACTIONS(4624),
    [anon_sym_TILDE] = ACTIONS(4624),
    [anon_sym_AMP] = ACTIONS(4624),
    [anon_sym_PIPE_PIPE] = ACTIONS(4624),
    [anon_sym_or_else] = ACTIONS(4619),
    [anon_sym_AMP_AMP] = ACTIONS(4624),
    [anon_sym_GT] = ACTIONS(4624),
    [anon_sym_GT_EQ] = ACTIONS(4619),
    [anon_sym_LT_EQ] = ACTIONS(4619),
    [anon_sym_LT] = ACTIONS(4624),
    [anon_sym_EQ_EQ] = ACTIONS(4619),
    [anon_sym_BANG_EQ] = ACTIONS(4619),
    [anon_sym_TILDE_EQ] = ACTIONS(4619),
    [anon_sym_PIPE] = ACTIONS(4624),
    [anon_sym_AMP_TILDE] = ACTIONS(4624),
    [anon_sym_LT_LT] = ACTIONS(4624),
    [anon_sym_GT_GT] = ACTIONS(4624),
    [anon_sym_STAR] = ACTIONS(4624),
    [anon_sym_SLASH] = ACTIONS(4624),
    [anon_sym_PERCENT] = ACTIONS(4624),
    [anon_sym_PERCENT_PERCENT] = ACTIONS(4619),
    [anon_sym_DOT] = ACTIONS(4624),
    [anon_sym_LBRACK] = ACTIONS(4619),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(4619),
    [anon_sym_DOT_DOT_LT] = ACTIONS(4619),
    [anon_sym_not_in] = ACTIONS(4619),
    [anon_sym_or_return] = ACTIONS(4619),
    [anon_sym_or_continue] = ACTIONS(4619),
    [anon_sym_or_break] = ACTIONS(4619),
    [anon_sym_CARET] = ACTIONS(4624),
    [sym_uninitialized] = ACTIONS(4619),
    [sym_tag] = ACTIONS(4619),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1963] = {
    [sym_expression] = STATE(5538),
    [sym__expression_no_tag] = STATE(4385),
    [sym_unary_expression] = STATE(4385),
    [sym_binary_expression] = STATE(4385),
    [sym_ternary_expression] = STATE(4385),
    [sym_call_expression] = STATE(4385),
    [sym_selector_call_expression] = STATE(4385),
    [sym_member_expression] = STATE(4385),
    [sym_index_expression] = STATE(4385),
    [sym_slice_expression] = STATE(4385),
    [sym_range_expression] = STATE(4385),
    [sym_cast_expression] = STATE(4385),
    [sym_in_expression] = STATE(4385),
    [sym_variadic_expression] = STATE(4385),
    [sym_parenthesized_expression] = STATE(4385),
    [sym_or_return_expression] = STATE(4385),
    [sym_or_continue_expression] = STATE(4385),
    [sym_or_break_expression] = STATE(4385),
    [sym_address] = STATE(4385),
    [sym_map_type] = STATE(4385),
    [sym_matrix_type] = STATE(4385),
    [sym_distinct_type] = STATE(4385),
    [sym_literal] = STATE(4385),
    [sym_struct] = STATE(4394),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(925),
    [anon_sym_QMARK] = ACTIONS(1240),
    [anon_sym_PLUS] = ACTIONS(929),
    [anon_sym_DASH] = ACTIONS(931),
    [anon_sym_TILDE] = ACTIONS(929),
    [anon_sym_BANG] = ACTIONS(929),
    [anon_sym_AMP] = ACTIONS(929),
    [anon_sym_DOT] = ACTIONS(933),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(935),
    [anon_sym_transmute] = ACTIONS(935),
    [anon_sym_auto_cast] = ACTIONS(937),
    [anon_sym_DOT_DOT] = ACTIONS(4422),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(941),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1964] = {
    [sym_expression] = STATE(2779),
    [sym__expression_no_tag] = STATE(2692),
    [sym_unary_expression] = STATE(2692),
    [sym_binary_expression] = STATE(2692),
    [sym_ternary_expression] = STATE(2692),
    [sym_call_expression] = STATE(2692),
    [sym_selector_call_expression] = STATE(2692),
    [sym_member_expression] = STATE(2692),
    [sym_index_expression] = STATE(2692),
    [sym_slice_expression] = STATE(2692),
    [sym_range_expression] = STATE(2692),
    [sym_cast_expression] = STATE(2692),
    [sym_in_expression] = STATE(2692),
    [sym_variadic_expression] = STATE(2692),
    [sym_parenthesized_expression] = STATE(2692),
    [sym_or_return_expression] = STATE(2692),
    [sym_or_continue_expression] = STATE(2692),
    [sym_or_break_expression] = STATE(2692),
    [sym_address] = STATE(2692),
    [sym_map_type] = STATE(2692),
    [sym_matrix_type] = STATE(2692),
    [sym_distinct_type] = STATE(2692),
    [sym_literal] = STATE(2692),
    [sym_struct] = STATE(2751),
    [sym_map] = STATE(2747),
    [sym_bit_set] = STATE(2747),
    [sym_matrix] = STATE(2747),
    [sym_string] = STATE(2747),
    [sym__string_literal] = STATE(2752),
    [sym__raw_string_literal] = STATE(2752),
    [sym_character] = STATE(2747),
    [sym_boolean] = STATE(2747),
    [sym_field_identifier] = STATE(7946),
    [sym_identifier] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(309),
    [anon_sym_LPAREN] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(375),
    [anon_sym_PLUS] = ACTIONS(3165),
    [anon_sym_DASH] = ACTIONS(311),
    [anon_sym_TILDE] = ACTIONS(3165),
    [anon_sym_BANG] = ACTIONS(3165),
    [anon_sym_AMP] = ACTIONS(3165),
    [anon_sym_DOT] = ACTIONS(377),
    [anon_sym_LBRACK] = ACTIONS(379),
    [anon_sym_cast] = ACTIONS(313),
    [anon_sym_transmute] = ACTIONS(313),
    [anon_sym_auto_cast] = ACTIONS(315),
    [anon_sym_DOT_DOT] = ACTIONS(3167),
    [anon_sym_map] = ACTIONS(319),
    [anon_sym_bit_set] = ACTIONS(321),
    [anon_sym_matrix] = ACTIONS(323),
    [anon_sym_distinct] = ACTIONS(325),
    [sym_number] = ACTIONS(327),
    [anon_sym_DQUOTE] = ACTIONS(329),
    [anon_sym_BQUOTE] = ACTIONS(331),
    [anon_sym_SQUOTE] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym_nil] = ACTIONS(337),
    [sym_uninitialized] = ACTIONS(327),
    [sym_tag] = ACTIONS(339),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(327),
    [sym_block_comment] = ACTIONS(3),
  },
  [1965] = {
    [sym_expression] = STATE(3900),
    [sym__expression_no_tag] = STATE(3826),
    [sym_unary_expression] = STATE(3826),
    [sym_binary_expression] = STATE(3826),
    [sym_ternary_expression] = STATE(3826),
    [sym_call_expression] = STATE(3826),
    [sym_selector_call_expression] = STATE(3826),
    [sym_member_expression] = STATE(3826),
    [sym_index_expression] = STATE(3826),
    [sym_slice_expression] = STATE(3826),
    [sym_range_expression] = STATE(3826),
    [sym_cast_expression] = STATE(3826),
    [sym_in_expression] = STATE(3826),
    [sym_variadic_expression] = STATE(3826),
    [sym_parenthesized_expression] = STATE(3826),
    [sym_or_return_expression] = STATE(3826),
    [sym_or_continue_expression] = STATE(3826),
    [sym_or_break_expression] = STATE(3826),
    [sym_address] = STATE(3826),
    [sym_map_type] = STATE(3826),
    [sym_matrix_type] = STATE(3826),
    [sym_distinct_type] = STATE(3826),
    [sym_literal] = STATE(3826),
    [sym_struct] = STATE(3866),
    [sym_map] = STATE(3787),
    [sym_bit_set] = STATE(3787),
    [sym_matrix] = STATE(3787),
    [sym_string] = STATE(3787),
    [sym__string_literal] = STATE(3867),
    [sym__raw_string_literal] = STATE(3867),
    [sym_character] = STATE(3787),
    [sym_boolean] = STATE(3787),
    [sym_field_identifier] = STATE(7783),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_QMARK] = ACTIONS(657),
    [anon_sym_PLUS] = ACTIONS(27),
    [anon_sym_DASH] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(27),
    [anon_sym_DOT] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_cast] = ACTIONS(35),
    [anon_sym_transmute] = ACTIONS(35),
    [anon_sym_auto_cast] = ACTIONS(37),
    [anon_sym_DOT_DOT] = ACTIONS(39),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(611),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [1966] = {
    [sym_expression] = STATE(6061),
    [sym__expression_no_tag] = STATE(5430),
    [sym_unary_expression] = STATE(5430),
    [sym_binary_expression] = STATE(5430),
    [sym_ternary_expression] = STATE(5430),
    [sym_call_expression] = STATE(2775),
    [sym_selector_call_expression] = STATE(5430),
    [sym_member_expression] = STATE(5430),
    [sym_index_expression] = STATE(5430),
    [sym_slice_expression] = STATE(5430),
    [sym_range_expression] = STATE(5430),
    [sym_cast_expression] = STATE(5430),
    [sym_in_expression] = STATE(5430),
    [sym_variadic_expression] = STATE(5430),
    [sym_parenthesized_expression] = STATE(5430),
    [sym_or_return_expression] = STATE(5430),
    [sym_or_continue_expression] = STATE(5430),
    [sym_or_break_expression] = STATE(5430),
    [sym_address] = STATE(5430),
    [sym_map_type] = STATE(5430),
    [sym_matrix_type] = STATE(5430),
    [sym_distinct_type] = STATE(5430),
    [sym_literal] = STATE(5430),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(6223),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(6225),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1967] = {
    [sym_expression] = STATE(3851),
    [sym__expression_no_tag] = STATE(3856),
    [sym_unary_expression] = STATE(3856),
    [sym_binary_expression] = STATE(3856),
    [sym_ternary_expression] = STATE(3856),
    [sym_call_expression] = STATE(3856),
    [sym_selector_call_expression] = STATE(3856),
    [sym_member_expression] = STATE(3856),
    [sym_index_expression] = STATE(3856),
    [sym_slice_expression] = STATE(3856),
    [sym_range_expression] = STATE(3856),
    [sym_cast_expression] = STATE(3856),
    [sym_in_expression] = STATE(3856),
    [sym_variadic_expression] = STATE(3856),
    [sym_parenthesized_expression] = STATE(3856),
    [sym_or_return_expression] = STATE(3856),
    [sym_or_continue_expression] = STATE(3856),
    [sym_or_break_expression] = STATE(3856),
    [sym_address] = STATE(3856),
    [sym_map_type] = STATE(3856),
    [sym_matrix_type] = STATE(3856),
    [sym_distinct_type] = STATE(3856),
    [sym_literal] = STATE(3856),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(619),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1968] = {
    [sym_expression] = STATE(4303),
    [sym__expression_no_tag] = STATE(4282),
    [sym_unary_expression] = STATE(4282),
    [sym_binary_expression] = STATE(4282),
    [sym_ternary_expression] = STATE(4282),
    [sym_call_expression] = STATE(4282),
    [sym_selector_call_expression] = STATE(4282),
    [sym_member_expression] = STATE(4282),
    [sym_index_expression] = STATE(4282),
    [sym_slice_expression] = STATE(4282),
    [sym_range_expression] = STATE(4282),
    [sym_cast_expression] = STATE(4282),
    [sym_in_expression] = STATE(4282),
    [sym_variadic_expression] = STATE(4282),
    [sym_parenthesized_expression] = STATE(4282),
    [sym_or_return_expression] = STATE(4282),
    [sym_or_continue_expression] = STATE(4282),
    [sym_or_break_expression] = STATE(4282),
    [sym_address] = STATE(4282),
    [sym_map_type] = STATE(4282),
    [sym_matrix_type] = STATE(4282),
    [sym_distinct_type] = STATE(4282),
    [sym_literal] = STATE(4282),
    [sym_struct] = STATE(4297),
    [sym_map] = STATE(4290),
    [sym_bit_set] = STATE(4290),
    [sym_matrix] = STATE(4290),
    [sym_string] = STATE(4290),
    [sym__string_literal] = STATE(4298),
    [sym__raw_string_literal] = STATE(4298),
    [sym_character] = STATE(4290),
    [sym_boolean] = STATE(4290),
    [sym_field_identifier] = STATE(7838),
    [sym_identifier] = ACTIONS(757),
    [anon_sym_LBRACE] = ACTIONS(707),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_QMARK] = ACTIONS(769),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(721),
    [anon_sym_TILDE] = ACTIONS(719),
    [anon_sym_BANG] = ACTIONS(719),
    [anon_sym_AMP] = ACTIONS(719),
    [anon_sym_DOT] = ACTIONS(723),
    [anon_sym_LBRACK] = ACTIONS(725),
    [anon_sym_cast] = ACTIONS(727),
    [anon_sym_transmute] = ACTIONS(727),
    [anon_sym_auto_cast] = ACTIONS(729),
    [anon_sym_DOT_DOT] = ACTIONS(2849),
    [anon_sym_map] = ACTIONS(733),
    [anon_sym_bit_set] = ACTIONS(735),
    [anon_sym_matrix] = ACTIONS(737),
    [anon_sym_distinct] = ACTIONS(739),
    [sym_number] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(743),
    [anon_sym_BQUOTE] = ACTIONS(745),
    [anon_sym_SQUOTE] = ACTIONS(747),
    [anon_sym_true] = ACTIONS(749),
    [anon_sym_false] = ACTIONS(749),
    [sym_nil] = ACTIONS(751),
    [sym_uninitialized] = ACTIONS(741),
    [sym_tag] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(741),
    [sym_block_comment] = ACTIONS(3),
  },
  [1969] = {
    [sym_expression] = STATE(5886),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1970] = {
    [sym_expression] = STATE(4307),
    [sym__expression_no_tag] = STATE(4282),
    [sym_unary_expression] = STATE(4282),
    [sym_binary_expression] = STATE(4282),
    [sym_ternary_expression] = STATE(4282),
    [sym_call_expression] = STATE(4282),
    [sym_selector_call_expression] = STATE(4282),
    [sym_member_expression] = STATE(4282),
    [sym_index_expression] = STATE(4282),
    [sym_slice_expression] = STATE(4282),
    [sym_range_expression] = STATE(4282),
    [sym_cast_expression] = STATE(4282),
    [sym_in_expression] = STATE(4282),
    [sym_variadic_expression] = STATE(4282),
    [sym_parenthesized_expression] = STATE(4282),
    [sym_or_return_expression] = STATE(4282),
    [sym_or_continue_expression] = STATE(4282),
    [sym_or_break_expression] = STATE(4282),
    [sym_address] = STATE(4282),
    [sym_map_type] = STATE(4282),
    [sym_matrix_type] = STATE(4282),
    [sym_distinct_type] = STATE(4282),
    [sym_literal] = STATE(4282),
    [sym_struct] = STATE(4297),
    [sym_map] = STATE(4290),
    [sym_bit_set] = STATE(4290),
    [sym_matrix] = STATE(4290),
    [sym_string] = STATE(4290),
    [sym__string_literal] = STATE(4298),
    [sym__raw_string_literal] = STATE(4298),
    [sym_character] = STATE(4290),
    [sym_boolean] = STATE(4290),
    [sym_field_identifier] = STATE(7838),
    [sym_identifier] = ACTIONS(757),
    [anon_sym_LBRACE] = ACTIONS(707),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_QMARK] = ACTIONS(769),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(721),
    [anon_sym_TILDE] = ACTIONS(719),
    [anon_sym_BANG] = ACTIONS(719),
    [anon_sym_AMP] = ACTIONS(719),
    [anon_sym_DOT] = ACTIONS(723),
    [anon_sym_LBRACK] = ACTIONS(725),
    [anon_sym_cast] = ACTIONS(727),
    [anon_sym_transmute] = ACTIONS(727),
    [anon_sym_auto_cast] = ACTIONS(729),
    [anon_sym_DOT_DOT] = ACTIONS(2849),
    [anon_sym_map] = ACTIONS(733),
    [anon_sym_bit_set] = ACTIONS(735),
    [anon_sym_matrix] = ACTIONS(737),
    [anon_sym_distinct] = ACTIONS(739),
    [sym_number] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(743),
    [anon_sym_BQUOTE] = ACTIONS(745),
    [anon_sym_SQUOTE] = ACTIONS(747),
    [anon_sym_true] = ACTIONS(749),
    [anon_sym_false] = ACTIONS(749),
    [sym_nil] = ACTIONS(751),
    [sym_uninitialized] = ACTIONS(741),
    [sym_tag] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(741),
    [sym_block_comment] = ACTIONS(3),
  },
  [1971] = {
    [sym_expression] = STATE(5889),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1972] = {
    [sym_expression] = STATE(4310),
    [sym__expression_no_tag] = STATE(4282),
    [sym_unary_expression] = STATE(4282),
    [sym_binary_expression] = STATE(4282),
    [sym_ternary_expression] = STATE(4282),
    [sym_call_expression] = STATE(4282),
    [sym_selector_call_expression] = STATE(4282),
    [sym_member_expression] = STATE(4282),
    [sym_index_expression] = STATE(4282),
    [sym_slice_expression] = STATE(4282),
    [sym_range_expression] = STATE(4282),
    [sym_cast_expression] = STATE(4282),
    [sym_in_expression] = STATE(4282),
    [sym_variadic_expression] = STATE(4282),
    [sym_parenthesized_expression] = STATE(4282),
    [sym_or_return_expression] = STATE(4282),
    [sym_or_continue_expression] = STATE(4282),
    [sym_or_break_expression] = STATE(4282),
    [sym_address] = STATE(4282),
    [sym_map_type] = STATE(4282),
    [sym_matrix_type] = STATE(4282),
    [sym_distinct_type] = STATE(4282),
    [sym_literal] = STATE(4282),
    [sym_struct] = STATE(4297),
    [sym_map] = STATE(4290),
    [sym_bit_set] = STATE(4290),
    [sym_matrix] = STATE(4290),
    [sym_string] = STATE(4290),
    [sym__string_literal] = STATE(4298),
    [sym__raw_string_literal] = STATE(4298),
    [sym_character] = STATE(4290),
    [sym_boolean] = STATE(4290),
    [sym_field_identifier] = STATE(7838),
    [sym_identifier] = ACTIONS(757),
    [anon_sym_LBRACE] = ACTIONS(707),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_QMARK] = ACTIONS(769),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(721),
    [anon_sym_TILDE] = ACTIONS(719),
    [anon_sym_BANG] = ACTIONS(719),
    [anon_sym_AMP] = ACTIONS(719),
    [anon_sym_DOT] = ACTIONS(723),
    [anon_sym_LBRACK] = ACTIONS(725),
    [anon_sym_cast] = ACTIONS(727),
    [anon_sym_transmute] = ACTIONS(727),
    [anon_sym_auto_cast] = ACTIONS(729),
    [anon_sym_DOT_DOT] = ACTIONS(2849),
    [anon_sym_map] = ACTIONS(733),
    [anon_sym_bit_set] = ACTIONS(735),
    [anon_sym_matrix] = ACTIONS(737),
    [anon_sym_distinct] = ACTIONS(739),
    [sym_number] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(743),
    [anon_sym_BQUOTE] = ACTIONS(745),
    [anon_sym_SQUOTE] = ACTIONS(747),
    [anon_sym_true] = ACTIONS(749),
    [anon_sym_false] = ACTIONS(749),
    [sym_nil] = ACTIONS(751),
    [sym_uninitialized] = ACTIONS(741),
    [sym_tag] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(741),
    [sym_block_comment] = ACTIONS(3),
  },
  [1973] = {
    [sym_expression] = STATE(5901),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1974] = {
    [sym_expression] = STATE(3173),
    [sym__expression_no_tag] = STATE(3174),
    [sym_unary_expression] = STATE(3174),
    [sym_binary_expression] = STATE(3174),
    [sym_ternary_expression] = STATE(3174),
    [sym_call_expression] = STATE(3174),
    [sym_selector_call_expression] = STATE(3174),
    [sym_member_expression] = STATE(3174),
    [sym_index_expression] = STATE(3174),
    [sym_slice_expression] = STATE(3174),
    [sym_range_expression] = STATE(3174),
    [sym_cast_expression] = STATE(3174),
    [sym_in_expression] = STATE(3174),
    [sym_variadic_expression] = STATE(3174),
    [sym_parenthesized_expression] = STATE(3174),
    [sym_or_return_expression] = STATE(3174),
    [sym_or_continue_expression] = STATE(3174),
    [sym_or_break_expression] = STATE(3174),
    [sym_address] = STATE(3174),
    [sym_map_type] = STATE(3174),
    [sym_matrix_type] = STATE(3174),
    [sym_distinct_type] = STATE(3174),
    [sym_literal] = STATE(3174),
    [sym_struct] = STATE(3165),
    [sym_map] = STATE(3078),
    [sym_bit_set] = STATE(3078),
    [sym_matrix] = STATE(3078),
    [sym_string] = STATE(3078),
    [sym__string_literal] = STATE(3166),
    [sym__raw_string_literal] = STATE(3166),
    [sym_character] = STATE(3078),
    [sym_boolean] = STATE(3078),
    [sym_field_identifier] = STATE(7864),
    [sym_identifier] = ACTIONS(449),
    [anon_sym_LBRACE] = ACTIONS(451),
    [anon_sym_LPAREN] = ACTIONS(453),
    [anon_sym_QMARK] = ACTIONS(455),
    [anon_sym_PLUS] = ACTIONS(457),
    [anon_sym_DASH] = ACTIONS(459),
    [anon_sym_TILDE] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(457),
    [anon_sym_AMP] = ACTIONS(457),
    [anon_sym_DOT] = ACTIONS(461),
    [anon_sym_LBRACK] = ACTIONS(463),
    [anon_sym_cast] = ACTIONS(465),
    [anon_sym_transmute] = ACTIONS(465),
    [anon_sym_auto_cast] = ACTIONS(467),
    [anon_sym_DOT_DOT] = ACTIONS(6050),
    [anon_sym_map] = ACTIONS(471),
    [anon_sym_bit_set] = ACTIONS(473),
    [anon_sym_matrix] = ACTIONS(475),
    [anon_sym_distinct] = ACTIONS(477),
    [sym_number] = ACTIONS(479),
    [anon_sym_DQUOTE] = ACTIONS(481),
    [anon_sym_BQUOTE] = ACTIONS(483),
    [anon_sym_SQUOTE] = ACTIONS(485),
    [anon_sym_true] = ACTIONS(487),
    [anon_sym_false] = ACTIONS(487),
    [sym_nil] = ACTIONS(489),
    [sym_uninitialized] = ACTIONS(479),
    [sym_tag] = ACTIONS(491),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(479),
    [sym_block_comment] = ACTIONS(3),
  },
  [1975] = {
    [sym_expression] = STATE(5903),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1976] = {
    [sym_expression] = STATE(2085),
    [sym__expression_no_tag] = STATE(2219),
    [sym_unary_expression] = STATE(2219),
    [sym_binary_expression] = STATE(2219),
    [sym_ternary_expression] = STATE(2219),
    [sym_call_expression] = STATE(2219),
    [sym_selector_call_expression] = STATE(2219),
    [sym_member_expression] = STATE(2219),
    [sym_index_expression] = STATE(2219),
    [sym_slice_expression] = STATE(2219),
    [sym_range_expression] = STATE(2219),
    [sym_cast_expression] = STATE(2219),
    [sym_in_expression] = STATE(2219),
    [sym_variadic_expression] = STATE(2219),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_or_return_expression] = STATE(2219),
    [sym_or_continue_expression] = STATE(2219),
    [sym_or_break_expression] = STATE(2219),
    [sym_address] = STATE(2219),
    [sym_map_type] = STATE(2219),
    [sym_matrix_type] = STATE(2219),
    [sym_distinct_type] = STATE(2219),
    [sym_literal] = STATE(2219),
    [sym_struct] = STATE(2056),
    [sym_map] = STATE(2054),
    [sym_bit_set] = STATE(2054),
    [sym_matrix] = STATE(2054),
    [sym_string] = STATE(2054),
    [sym__string_literal] = STATE(2057),
    [sym__raw_string_literal] = STATE(2057),
    [sym_character] = STATE(2054),
    [sym_boolean] = STATE(2054),
    [sym_field_identifier] = STATE(7869),
    [sym_identifier] = ACTIONS(207),
    [anon_sym_LBRACE] = ACTIONS(237),
    [anon_sym_LPAREN] = ACTIONS(239),
    [anon_sym_QMARK] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(6042),
    [anon_sym_DASH] = ACTIONS(209),
    [anon_sym_TILDE] = ACTIONS(6042),
    [anon_sym_BANG] = ACTIONS(6042),
    [anon_sym_AMP] = ACTIONS(6042),
    [anon_sym_DOT] = ACTIONS(243),
    [anon_sym_LBRACK] = ACTIONS(245),
    [anon_sym_cast] = ACTIONS(211),
    [anon_sym_transmute] = ACTIONS(211),
    [anon_sym_auto_cast] = ACTIONS(213),
    [anon_sym_DOT_DOT] = ACTIONS(6044),
    [anon_sym_map] = ACTIONS(217),
    [anon_sym_bit_set] = ACTIONS(219),
    [anon_sym_matrix] = ACTIONS(221),
    [anon_sym_distinct] = ACTIONS(223),
    [sym_number] = ACTIONS(225),
    [anon_sym_DQUOTE] = ACTIONS(227),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_SQUOTE] = ACTIONS(231),
    [anon_sym_true] = ACTIONS(233),
    [anon_sym_false] = ACTIONS(233),
    [sym_nil] = ACTIONS(235),
    [sym_uninitialized] = ACTIONS(225),
    [sym_tag] = ACTIONS(247),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(225),
    [sym_block_comment] = ACTIONS(3),
  },
  [1977] = {
    [sym_expression] = STATE(5908),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1978] = {
    [sym_expression] = STATE(3910),
    [sym__expression_no_tag] = STATE(3503),
    [sym_unary_expression] = STATE(3503),
    [sym_binary_expression] = STATE(3503),
    [sym_ternary_expression] = STATE(3503),
    [sym_call_expression] = STATE(3503),
    [sym_selector_call_expression] = STATE(3503),
    [sym_member_expression] = STATE(3503),
    [sym_index_expression] = STATE(3503),
    [sym_slice_expression] = STATE(3503),
    [sym_range_expression] = STATE(3503),
    [sym_cast_expression] = STATE(3503),
    [sym_in_expression] = STATE(3503),
    [sym_variadic_expression] = STATE(3503),
    [sym_parenthesized_expression] = STATE(3503),
    [sym_or_return_expression] = STATE(3503),
    [sym_or_continue_expression] = STATE(3503),
    [sym_or_break_expression] = STATE(3503),
    [sym_address] = STATE(3503),
    [sym_map_type] = STATE(3503),
    [sym_matrix_type] = STATE(3503),
    [sym_distinct_type] = STATE(3503),
    [sym_literal] = STATE(3503),
    [sym_struct] = STATE(3465),
    [sym_map] = STATE(3453),
    [sym_bit_set] = STATE(3453),
    [sym_matrix] = STATE(3453),
    [sym_string] = STATE(3453),
    [sym__string_literal] = STATE(3469),
    [sym__raw_string_literal] = STATE(3469),
    [sym_character] = STATE(3453),
    [sym_boolean] = STATE(3453),
    [sym_field_identifier] = STATE(7903),
    [sym_identifier] = ACTIONS(659),
    [anon_sym_LBRACE] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_QMARK] = ACTIONS(6227),
    [anon_sym_PLUS] = ACTIONS(667),
    [anon_sym_DASH] = ACTIONS(669),
    [anon_sym_TILDE] = ACTIONS(667),
    [anon_sym_BANG] = ACTIONS(667),
    [anon_sym_AMP] = ACTIONS(667),
    [anon_sym_DOT] = ACTIONS(671),
    [anon_sym_LBRACK] = ACTIONS(673),
    [anon_sym_cast] = ACTIONS(675),
    [anon_sym_transmute] = ACTIONS(675),
    [anon_sym_auto_cast] = ACTIONS(677),
    [anon_sym_DOT_DOT] = ACTIONS(6055),
    [anon_sym_map] = ACTIONS(681),
    [anon_sym_bit_set] = ACTIONS(683),
    [anon_sym_matrix] = ACTIONS(685),
    [anon_sym_distinct] = ACTIONS(687),
    [sym_number] = ACTIONS(689),
    [anon_sym_DQUOTE] = ACTIONS(691),
    [anon_sym_BQUOTE] = ACTIONS(693),
    [anon_sym_SQUOTE] = ACTIONS(695),
    [anon_sym_true] = ACTIONS(697),
    [anon_sym_false] = ACTIONS(697),
    [sym_nil] = ACTIONS(699),
    [sym_uninitialized] = ACTIONS(689),
    [sym_tag] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(689),
    [sym_block_comment] = ACTIONS(3),
  },
  [1979] = {
    [sym_expression] = STATE(5910),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1980] = {
    [sym_expression] = STATE(5541),
    [sym__expression_no_tag] = STATE(4385),
    [sym_unary_expression] = STATE(4385),
    [sym_binary_expression] = STATE(4385),
    [sym_ternary_expression] = STATE(4385),
    [sym_call_expression] = STATE(4385),
    [sym_selector_call_expression] = STATE(4385),
    [sym_member_expression] = STATE(4385),
    [sym_index_expression] = STATE(4385),
    [sym_slice_expression] = STATE(4385),
    [sym_range_expression] = STATE(4385),
    [sym_cast_expression] = STATE(4385),
    [sym_in_expression] = STATE(4385),
    [sym_variadic_expression] = STATE(4385),
    [sym_parenthesized_expression] = STATE(4385),
    [sym_or_return_expression] = STATE(4385),
    [sym_or_continue_expression] = STATE(4385),
    [sym_or_break_expression] = STATE(4385),
    [sym_address] = STATE(4385),
    [sym_map_type] = STATE(4385),
    [sym_matrix_type] = STATE(4385),
    [sym_distinct_type] = STATE(4385),
    [sym_literal] = STATE(4385),
    [sym_struct] = STATE(4394),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(925),
    [anon_sym_QMARK] = ACTIONS(1240),
    [anon_sym_PLUS] = ACTIONS(929),
    [anon_sym_DASH] = ACTIONS(931),
    [anon_sym_TILDE] = ACTIONS(929),
    [anon_sym_BANG] = ACTIONS(929),
    [anon_sym_AMP] = ACTIONS(929),
    [anon_sym_DOT] = ACTIONS(933),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(935),
    [anon_sym_transmute] = ACTIONS(935),
    [anon_sym_auto_cast] = ACTIONS(937),
    [anon_sym_DOT_DOT] = ACTIONS(4422),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(941),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1981] = {
    [sym_expression] = STATE(5913),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1982] = {
    [sym_expression] = STATE(4230),
    [sym__expression_no_tag] = STATE(4282),
    [sym_unary_expression] = STATE(4282),
    [sym_binary_expression] = STATE(4282),
    [sym_ternary_expression] = STATE(4282),
    [sym_call_expression] = STATE(4282),
    [sym_selector_call_expression] = STATE(4282),
    [sym_member_expression] = STATE(4282),
    [sym_index_expression] = STATE(4282),
    [sym_slice_expression] = STATE(4282),
    [sym_range_expression] = STATE(4282),
    [sym_cast_expression] = STATE(4282),
    [sym_in_expression] = STATE(4282),
    [sym_variadic_expression] = STATE(4282),
    [sym_parenthesized_expression] = STATE(4282),
    [sym_or_return_expression] = STATE(4282),
    [sym_or_continue_expression] = STATE(4282),
    [sym_or_break_expression] = STATE(4282),
    [sym_address] = STATE(4282),
    [sym_map_type] = STATE(4282),
    [sym_matrix_type] = STATE(4282),
    [sym_distinct_type] = STATE(4282),
    [sym_literal] = STATE(4282),
    [sym_struct] = STATE(4297),
    [sym_map] = STATE(4290),
    [sym_bit_set] = STATE(4290),
    [sym_matrix] = STATE(4290),
    [sym_string] = STATE(4290),
    [sym__string_literal] = STATE(4298),
    [sym__raw_string_literal] = STATE(4298),
    [sym_character] = STATE(4290),
    [sym_boolean] = STATE(4290),
    [sym_field_identifier] = STATE(7838),
    [sym_identifier] = ACTIONS(757),
    [anon_sym_LBRACE] = ACTIONS(707),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_QMARK] = ACTIONS(769),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(721),
    [anon_sym_TILDE] = ACTIONS(719),
    [anon_sym_BANG] = ACTIONS(719),
    [anon_sym_AMP] = ACTIONS(719),
    [anon_sym_DOT] = ACTIONS(723),
    [anon_sym_LBRACK] = ACTIONS(725),
    [anon_sym_cast] = ACTIONS(727),
    [anon_sym_transmute] = ACTIONS(727),
    [anon_sym_auto_cast] = ACTIONS(729),
    [anon_sym_DOT_DOT] = ACTIONS(2849),
    [anon_sym_map] = ACTIONS(733),
    [anon_sym_bit_set] = ACTIONS(735),
    [anon_sym_matrix] = ACTIONS(737),
    [anon_sym_distinct] = ACTIONS(739),
    [sym_number] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(743),
    [anon_sym_BQUOTE] = ACTIONS(745),
    [anon_sym_SQUOTE] = ACTIONS(747),
    [anon_sym_true] = ACTIONS(749),
    [anon_sym_false] = ACTIONS(749),
    [sym_nil] = ACTIONS(751),
    [sym_uninitialized] = ACTIONS(741),
    [sym_tag] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(741),
    [sym_block_comment] = ACTIONS(3),
  },
  [1983] = {
    [sym_expression] = STATE(5916),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1984] = {
    [sym_expression] = STATE(3175),
    [sym__expression_no_tag] = STATE(3174),
    [sym_unary_expression] = STATE(3174),
    [sym_binary_expression] = STATE(3174),
    [sym_ternary_expression] = STATE(3174),
    [sym_call_expression] = STATE(3174),
    [sym_selector_call_expression] = STATE(3174),
    [sym_member_expression] = STATE(3174),
    [sym_index_expression] = STATE(3174),
    [sym_slice_expression] = STATE(3174),
    [sym_range_expression] = STATE(3174),
    [sym_cast_expression] = STATE(3174),
    [sym_in_expression] = STATE(3174),
    [sym_variadic_expression] = STATE(3174),
    [sym_parenthesized_expression] = STATE(3174),
    [sym_or_return_expression] = STATE(3174),
    [sym_or_continue_expression] = STATE(3174),
    [sym_or_break_expression] = STATE(3174),
    [sym_address] = STATE(3174),
    [sym_map_type] = STATE(3174),
    [sym_matrix_type] = STATE(3174),
    [sym_distinct_type] = STATE(3174),
    [sym_literal] = STATE(3174),
    [sym_struct] = STATE(3165),
    [sym_map] = STATE(3078),
    [sym_bit_set] = STATE(3078),
    [sym_matrix] = STATE(3078),
    [sym_string] = STATE(3078),
    [sym__string_literal] = STATE(3166),
    [sym__raw_string_literal] = STATE(3166),
    [sym_character] = STATE(3078),
    [sym_boolean] = STATE(3078),
    [sym_field_identifier] = STATE(7864),
    [sym_identifier] = ACTIONS(449),
    [anon_sym_LBRACE] = ACTIONS(451),
    [anon_sym_LPAREN] = ACTIONS(453),
    [anon_sym_QMARK] = ACTIONS(455),
    [anon_sym_PLUS] = ACTIONS(457),
    [anon_sym_DASH] = ACTIONS(459),
    [anon_sym_TILDE] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(457),
    [anon_sym_AMP] = ACTIONS(457),
    [anon_sym_DOT] = ACTIONS(461),
    [anon_sym_LBRACK] = ACTIONS(463),
    [anon_sym_cast] = ACTIONS(465),
    [anon_sym_transmute] = ACTIONS(465),
    [anon_sym_auto_cast] = ACTIONS(467),
    [anon_sym_DOT_DOT] = ACTIONS(6050),
    [anon_sym_map] = ACTIONS(471),
    [anon_sym_bit_set] = ACTIONS(473),
    [anon_sym_matrix] = ACTIONS(475),
    [anon_sym_distinct] = ACTIONS(477),
    [sym_number] = ACTIONS(479),
    [anon_sym_DQUOTE] = ACTIONS(481),
    [anon_sym_BQUOTE] = ACTIONS(483),
    [anon_sym_SQUOTE] = ACTIONS(485),
    [anon_sym_true] = ACTIONS(487),
    [anon_sym_false] = ACTIONS(487),
    [sym_nil] = ACTIONS(489),
    [sym_uninitialized] = ACTIONS(479),
    [sym_tag] = ACTIONS(491),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(479),
    [sym_block_comment] = ACTIONS(3),
  },
  [1985] = {
    [sym_expression] = STATE(5920),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1986] = {
    [sym_expression] = STATE(3947),
    [sym__expression_no_tag] = STATE(3856),
    [sym_unary_expression] = STATE(3856),
    [sym_binary_expression] = STATE(3856),
    [sym_ternary_expression] = STATE(3856),
    [sym_call_expression] = STATE(3856),
    [sym_selector_call_expression] = STATE(3856),
    [sym_member_expression] = STATE(3856),
    [sym_index_expression] = STATE(3856),
    [sym_slice_expression] = STATE(3856),
    [sym_range_expression] = STATE(3856),
    [sym_cast_expression] = STATE(3856),
    [sym_in_expression] = STATE(3856),
    [sym_variadic_expression] = STATE(3856),
    [sym_parenthesized_expression] = STATE(3856),
    [sym_or_return_expression] = STATE(3856),
    [sym_or_continue_expression] = STATE(3856),
    [sym_or_break_expression] = STATE(3856),
    [sym_address] = STATE(3856),
    [sym_map_type] = STATE(3856),
    [sym_matrix_type] = STATE(3856),
    [sym_distinct_type] = STATE(3856),
    [sym_literal] = STATE(3856),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(619),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1987] = {
    [sym_expression] = STATE(5922),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1988] = {
    [sym_expression] = STATE(3176),
    [sym__expression_no_tag] = STATE(3174),
    [sym_unary_expression] = STATE(3174),
    [sym_binary_expression] = STATE(3174),
    [sym_ternary_expression] = STATE(3174),
    [sym_call_expression] = STATE(3174),
    [sym_selector_call_expression] = STATE(3174),
    [sym_member_expression] = STATE(3174),
    [sym_index_expression] = STATE(3174),
    [sym_slice_expression] = STATE(3174),
    [sym_range_expression] = STATE(3174),
    [sym_cast_expression] = STATE(3174),
    [sym_in_expression] = STATE(3174),
    [sym_variadic_expression] = STATE(3174),
    [sym_parenthesized_expression] = STATE(3174),
    [sym_or_return_expression] = STATE(3174),
    [sym_or_continue_expression] = STATE(3174),
    [sym_or_break_expression] = STATE(3174),
    [sym_address] = STATE(3174),
    [sym_map_type] = STATE(3174),
    [sym_matrix_type] = STATE(3174),
    [sym_distinct_type] = STATE(3174),
    [sym_literal] = STATE(3174),
    [sym_struct] = STATE(3165),
    [sym_map] = STATE(3078),
    [sym_bit_set] = STATE(3078),
    [sym_matrix] = STATE(3078),
    [sym_string] = STATE(3078),
    [sym__string_literal] = STATE(3166),
    [sym__raw_string_literal] = STATE(3166),
    [sym_character] = STATE(3078),
    [sym_boolean] = STATE(3078),
    [sym_field_identifier] = STATE(7864),
    [sym_identifier] = ACTIONS(449),
    [anon_sym_LBRACE] = ACTIONS(451),
    [anon_sym_LPAREN] = ACTIONS(453),
    [anon_sym_QMARK] = ACTIONS(455),
    [anon_sym_PLUS] = ACTIONS(457),
    [anon_sym_DASH] = ACTIONS(459),
    [anon_sym_TILDE] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(457),
    [anon_sym_AMP] = ACTIONS(457),
    [anon_sym_DOT] = ACTIONS(461),
    [anon_sym_LBRACK] = ACTIONS(463),
    [anon_sym_cast] = ACTIONS(465),
    [anon_sym_transmute] = ACTIONS(465),
    [anon_sym_auto_cast] = ACTIONS(467),
    [anon_sym_DOT_DOT] = ACTIONS(6050),
    [anon_sym_map] = ACTIONS(471),
    [anon_sym_bit_set] = ACTIONS(473),
    [anon_sym_matrix] = ACTIONS(475),
    [anon_sym_distinct] = ACTIONS(477),
    [sym_number] = ACTIONS(479),
    [anon_sym_DQUOTE] = ACTIONS(481),
    [anon_sym_BQUOTE] = ACTIONS(483),
    [anon_sym_SQUOTE] = ACTIONS(485),
    [anon_sym_true] = ACTIONS(487),
    [anon_sym_false] = ACTIONS(487),
    [sym_nil] = ACTIONS(489),
    [sym_uninitialized] = ACTIONS(479),
    [sym_tag] = ACTIONS(491),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(479),
    [sym_block_comment] = ACTIONS(3),
  },
  [1989] = {
    [sym_expression] = STATE(5925),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1990] = {
    [sym_expression] = STATE(4165),
    [sym__expression_no_tag] = STATE(4282),
    [sym_unary_expression] = STATE(4282),
    [sym_binary_expression] = STATE(4282),
    [sym_ternary_expression] = STATE(4282),
    [sym_call_expression] = STATE(4282),
    [sym_selector_call_expression] = STATE(4282),
    [sym_member_expression] = STATE(4282),
    [sym_index_expression] = STATE(4282),
    [sym_slice_expression] = STATE(4282),
    [sym_range_expression] = STATE(4282),
    [sym_cast_expression] = STATE(4282),
    [sym_in_expression] = STATE(4282),
    [sym_variadic_expression] = STATE(4282),
    [sym_parenthesized_expression] = STATE(4282),
    [sym_or_return_expression] = STATE(4282),
    [sym_or_continue_expression] = STATE(4282),
    [sym_or_break_expression] = STATE(4282),
    [sym_address] = STATE(4282),
    [sym_map_type] = STATE(4282),
    [sym_matrix_type] = STATE(4282),
    [sym_distinct_type] = STATE(4282),
    [sym_literal] = STATE(4282),
    [sym_struct] = STATE(4297),
    [sym_map] = STATE(4290),
    [sym_bit_set] = STATE(4290),
    [sym_matrix] = STATE(4290),
    [sym_string] = STATE(4290),
    [sym__string_literal] = STATE(4298),
    [sym__raw_string_literal] = STATE(4298),
    [sym_character] = STATE(4290),
    [sym_boolean] = STATE(4290),
    [sym_field_identifier] = STATE(7838),
    [sym_identifier] = ACTIONS(757),
    [anon_sym_LBRACE] = ACTIONS(707),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_QMARK] = ACTIONS(769),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(721),
    [anon_sym_TILDE] = ACTIONS(719),
    [anon_sym_BANG] = ACTIONS(719),
    [anon_sym_AMP] = ACTIONS(719),
    [anon_sym_DOT] = ACTIONS(723),
    [anon_sym_LBRACK] = ACTIONS(725),
    [anon_sym_cast] = ACTIONS(727),
    [anon_sym_transmute] = ACTIONS(727),
    [anon_sym_auto_cast] = ACTIONS(729),
    [anon_sym_DOT_DOT] = ACTIONS(2849),
    [anon_sym_map] = ACTIONS(733),
    [anon_sym_bit_set] = ACTIONS(735),
    [anon_sym_matrix] = ACTIONS(737),
    [anon_sym_distinct] = ACTIONS(739),
    [sym_number] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(743),
    [anon_sym_BQUOTE] = ACTIONS(745),
    [anon_sym_SQUOTE] = ACTIONS(747),
    [anon_sym_true] = ACTIONS(749),
    [anon_sym_false] = ACTIONS(749),
    [sym_nil] = ACTIONS(751),
    [sym_uninitialized] = ACTIONS(741),
    [sym_tag] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(741),
    [sym_block_comment] = ACTIONS(3),
  },
  [1991] = {
    [sym_expression] = STATE(5927),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1992] = {
    [sym_expression] = STATE(4166),
    [sym__expression_no_tag] = STATE(4282),
    [sym_unary_expression] = STATE(4282),
    [sym_binary_expression] = STATE(4282),
    [sym_ternary_expression] = STATE(4282),
    [sym_call_expression] = STATE(4282),
    [sym_selector_call_expression] = STATE(4282),
    [sym_member_expression] = STATE(4282),
    [sym_index_expression] = STATE(4282),
    [sym_slice_expression] = STATE(4282),
    [sym_range_expression] = STATE(4282),
    [sym_cast_expression] = STATE(4282),
    [sym_in_expression] = STATE(4282),
    [sym_variadic_expression] = STATE(4282),
    [sym_parenthesized_expression] = STATE(4282),
    [sym_or_return_expression] = STATE(4282),
    [sym_or_continue_expression] = STATE(4282),
    [sym_or_break_expression] = STATE(4282),
    [sym_address] = STATE(4282),
    [sym_map_type] = STATE(4282),
    [sym_matrix_type] = STATE(4282),
    [sym_distinct_type] = STATE(4282),
    [sym_literal] = STATE(4282),
    [sym_struct] = STATE(4297),
    [sym_map] = STATE(4290),
    [sym_bit_set] = STATE(4290),
    [sym_matrix] = STATE(4290),
    [sym_string] = STATE(4290),
    [sym__string_literal] = STATE(4298),
    [sym__raw_string_literal] = STATE(4298),
    [sym_character] = STATE(4290),
    [sym_boolean] = STATE(4290),
    [sym_field_identifier] = STATE(7838),
    [sym_identifier] = ACTIONS(757),
    [anon_sym_LBRACE] = ACTIONS(707),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_QMARK] = ACTIONS(769),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(721),
    [anon_sym_TILDE] = ACTIONS(719),
    [anon_sym_BANG] = ACTIONS(719),
    [anon_sym_AMP] = ACTIONS(719),
    [anon_sym_DOT] = ACTIONS(723),
    [anon_sym_LBRACK] = ACTIONS(725),
    [anon_sym_cast] = ACTIONS(727),
    [anon_sym_transmute] = ACTIONS(727),
    [anon_sym_auto_cast] = ACTIONS(729),
    [anon_sym_DOT_DOT] = ACTIONS(2849),
    [anon_sym_map] = ACTIONS(733),
    [anon_sym_bit_set] = ACTIONS(735),
    [anon_sym_matrix] = ACTIONS(737),
    [anon_sym_distinct] = ACTIONS(739),
    [sym_number] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(743),
    [anon_sym_BQUOTE] = ACTIONS(745),
    [anon_sym_SQUOTE] = ACTIONS(747),
    [anon_sym_true] = ACTIONS(749),
    [anon_sym_false] = ACTIONS(749),
    [sym_nil] = ACTIONS(751),
    [sym_uninitialized] = ACTIONS(741),
    [sym_tag] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(741),
    [sym_block_comment] = ACTIONS(3),
  },
  [1993] = {
    [sym_expression] = STATE(5931),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1994] = {
    [sym_expression] = STATE(4167),
    [sym__expression_no_tag] = STATE(4282),
    [sym_unary_expression] = STATE(4282),
    [sym_binary_expression] = STATE(4282),
    [sym_ternary_expression] = STATE(4282),
    [sym_call_expression] = STATE(4282),
    [sym_selector_call_expression] = STATE(4282),
    [sym_member_expression] = STATE(4282),
    [sym_index_expression] = STATE(4282),
    [sym_slice_expression] = STATE(4282),
    [sym_range_expression] = STATE(4282),
    [sym_cast_expression] = STATE(4282),
    [sym_in_expression] = STATE(4282),
    [sym_variadic_expression] = STATE(4282),
    [sym_parenthesized_expression] = STATE(4282),
    [sym_or_return_expression] = STATE(4282),
    [sym_or_continue_expression] = STATE(4282),
    [sym_or_break_expression] = STATE(4282),
    [sym_address] = STATE(4282),
    [sym_map_type] = STATE(4282),
    [sym_matrix_type] = STATE(4282),
    [sym_distinct_type] = STATE(4282),
    [sym_literal] = STATE(4282),
    [sym_struct] = STATE(4297),
    [sym_map] = STATE(4290),
    [sym_bit_set] = STATE(4290),
    [sym_matrix] = STATE(4290),
    [sym_string] = STATE(4290),
    [sym__string_literal] = STATE(4298),
    [sym__raw_string_literal] = STATE(4298),
    [sym_character] = STATE(4290),
    [sym_boolean] = STATE(4290),
    [sym_field_identifier] = STATE(7838),
    [sym_identifier] = ACTIONS(757),
    [anon_sym_LBRACE] = ACTIONS(707),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_QMARK] = ACTIONS(769),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(721),
    [anon_sym_TILDE] = ACTIONS(719),
    [anon_sym_BANG] = ACTIONS(719),
    [anon_sym_AMP] = ACTIONS(719),
    [anon_sym_DOT] = ACTIONS(723),
    [anon_sym_LBRACK] = ACTIONS(725),
    [anon_sym_cast] = ACTIONS(727),
    [anon_sym_transmute] = ACTIONS(727),
    [anon_sym_auto_cast] = ACTIONS(729),
    [anon_sym_DOT_DOT] = ACTIONS(2849),
    [anon_sym_map] = ACTIONS(733),
    [anon_sym_bit_set] = ACTIONS(735),
    [anon_sym_matrix] = ACTIONS(737),
    [anon_sym_distinct] = ACTIONS(739),
    [sym_number] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(743),
    [anon_sym_BQUOTE] = ACTIONS(745),
    [anon_sym_SQUOTE] = ACTIONS(747),
    [anon_sym_true] = ACTIONS(749),
    [anon_sym_false] = ACTIONS(749),
    [sym_nil] = ACTIONS(751),
    [sym_uninitialized] = ACTIONS(741),
    [sym_tag] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(741),
    [sym_block_comment] = ACTIONS(3),
  },
  [1995] = {
    [sym_expression] = STATE(5933),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1996] = {
    [sym_expression] = STATE(3913),
    [sym__expression_no_tag] = STATE(3856),
    [sym_unary_expression] = STATE(3856),
    [sym_binary_expression] = STATE(3856),
    [sym_ternary_expression] = STATE(3856),
    [sym_call_expression] = STATE(3856),
    [sym_selector_call_expression] = STATE(3856),
    [sym_member_expression] = STATE(3856),
    [sym_index_expression] = STATE(3856),
    [sym_slice_expression] = STATE(3856),
    [sym_range_expression] = STATE(3856),
    [sym_cast_expression] = STATE(3856),
    [sym_in_expression] = STATE(3856),
    [sym_variadic_expression] = STATE(3856),
    [sym_parenthesized_expression] = STATE(3856),
    [sym_or_return_expression] = STATE(3856),
    [sym_or_continue_expression] = STATE(3856),
    [sym_or_break_expression] = STATE(3856),
    [sym_address] = STATE(3856),
    [sym_map_type] = STATE(3856),
    [sym_matrix_type] = STATE(3856),
    [sym_distinct_type] = STATE(3856),
    [sym_literal] = STATE(3856),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(619),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1997] = {
    [sym_expression] = STATE(5936),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [1998] = {
    [sym_expression] = STATE(3971),
    [sym__expression_no_tag] = STATE(3503),
    [sym_unary_expression] = STATE(3503),
    [sym_binary_expression] = STATE(3503),
    [sym_ternary_expression] = STATE(3503),
    [sym_call_expression] = STATE(3503),
    [sym_selector_call_expression] = STATE(3503),
    [sym_member_expression] = STATE(3503),
    [sym_index_expression] = STATE(3503),
    [sym_slice_expression] = STATE(3503),
    [sym_range_expression] = STATE(3503),
    [sym_cast_expression] = STATE(3503),
    [sym_in_expression] = STATE(3503),
    [sym_variadic_expression] = STATE(3503),
    [sym_parenthesized_expression] = STATE(3503),
    [sym_or_return_expression] = STATE(3503),
    [sym_or_continue_expression] = STATE(3503),
    [sym_or_break_expression] = STATE(3503),
    [sym_address] = STATE(3503),
    [sym_map_type] = STATE(3503),
    [sym_matrix_type] = STATE(3503),
    [sym_distinct_type] = STATE(3503),
    [sym_literal] = STATE(3503),
    [sym_struct] = STATE(3465),
    [sym_map] = STATE(3453),
    [sym_bit_set] = STATE(3453),
    [sym_matrix] = STATE(3453),
    [sym_string] = STATE(3453),
    [sym__string_literal] = STATE(3469),
    [sym__raw_string_literal] = STATE(3469),
    [sym_character] = STATE(3453),
    [sym_boolean] = STATE(3453),
    [sym_field_identifier] = STATE(7903),
    [sym_identifier] = ACTIONS(659),
    [anon_sym_LBRACE] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_QMARK] = ACTIONS(6227),
    [anon_sym_PLUS] = ACTIONS(667),
    [anon_sym_DASH] = ACTIONS(669),
    [anon_sym_TILDE] = ACTIONS(667),
    [anon_sym_BANG] = ACTIONS(667),
    [anon_sym_AMP] = ACTIONS(667),
    [anon_sym_DOT] = ACTIONS(671),
    [anon_sym_LBRACK] = ACTIONS(673),
    [anon_sym_cast] = ACTIONS(675),
    [anon_sym_transmute] = ACTIONS(675),
    [anon_sym_auto_cast] = ACTIONS(677),
    [anon_sym_DOT_DOT] = ACTIONS(6055),
    [anon_sym_map] = ACTIONS(681),
    [anon_sym_bit_set] = ACTIONS(683),
    [anon_sym_matrix] = ACTIONS(685),
    [anon_sym_distinct] = ACTIONS(687),
    [sym_number] = ACTIONS(689),
    [anon_sym_DQUOTE] = ACTIONS(691),
    [anon_sym_BQUOTE] = ACTIONS(693),
    [anon_sym_SQUOTE] = ACTIONS(695),
    [anon_sym_true] = ACTIONS(697),
    [anon_sym_false] = ACTIONS(697),
    [sym_nil] = ACTIONS(699),
    [sym_uninitialized] = ACTIONS(689),
    [sym_tag] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(689),
    [sym_block_comment] = ACTIONS(3),
  },
  [1999] = {
    [sym_expression] = STATE(5938),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [2000] = {
    [sym_expression] = STATE(2086),
    [sym__expression_no_tag] = STATE(2219),
    [sym_unary_expression] = STATE(2219),
    [sym_binary_expression] = STATE(2219),
    [sym_ternary_expression] = STATE(2219),
    [sym_call_expression] = STATE(2219),
    [sym_selector_call_expression] = STATE(2219),
    [sym_member_expression] = STATE(2219),
    [sym_index_expression] = STATE(2219),
    [sym_slice_expression] = STATE(2219),
    [sym_range_expression] = STATE(2219),
    [sym_cast_expression] = STATE(2219),
    [sym_in_expression] = STATE(2219),
    [sym_variadic_expression] = STATE(2219),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_or_return_expression] = STATE(2219),
    [sym_or_continue_expression] = STATE(2219),
    [sym_or_break_expression] = STATE(2219),
    [sym_address] = STATE(2219),
    [sym_map_type] = STATE(2219),
    [sym_matrix_type] = STATE(2219),
    [sym_distinct_type] = STATE(2219),
    [sym_literal] = STATE(2219),
    [sym_struct] = STATE(2056),
    [sym_map] = STATE(2054),
    [sym_bit_set] = STATE(2054),
    [sym_matrix] = STATE(2054),
    [sym_string] = STATE(2054),
    [sym__string_literal] = STATE(2057),
    [sym__raw_string_literal] = STATE(2057),
    [sym_character] = STATE(2054),
    [sym_boolean] = STATE(2054),
    [sym_field_identifier] = STATE(7869),
    [sym_identifier] = ACTIONS(207),
    [anon_sym_LBRACE] = ACTIONS(237),
    [anon_sym_LPAREN] = ACTIONS(239),
    [anon_sym_QMARK] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(6042),
    [anon_sym_DASH] = ACTIONS(209),
    [anon_sym_TILDE] = ACTIONS(6042),
    [anon_sym_BANG] = ACTIONS(6042),
    [anon_sym_AMP] = ACTIONS(6042),
    [anon_sym_DOT] = ACTIONS(243),
    [anon_sym_LBRACK] = ACTIONS(245),
    [anon_sym_cast] = ACTIONS(211),
    [anon_sym_transmute] = ACTIONS(211),
    [anon_sym_auto_cast] = ACTIONS(213),
    [anon_sym_DOT_DOT] = ACTIONS(6044),
    [anon_sym_map] = ACTIONS(217),
    [anon_sym_bit_set] = ACTIONS(219),
    [anon_sym_matrix] = ACTIONS(221),
    [anon_sym_distinct] = ACTIONS(223),
    [sym_number] = ACTIONS(225),
    [anon_sym_DQUOTE] = ACTIONS(227),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_SQUOTE] = ACTIONS(231),
    [anon_sym_true] = ACTIONS(233),
    [anon_sym_false] = ACTIONS(233),
    [sym_nil] = ACTIONS(235),
    [sym_uninitialized] = ACTIONS(225),
    [sym_tag] = ACTIONS(247),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(225),
    [sym_block_comment] = ACTIONS(3),
  },
  [2001] = {
    [sym_expression] = STATE(5941),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [2002] = {
    [sym_expression] = STATE(2780),
    [sym__expression_no_tag] = STATE(2692),
    [sym_unary_expression] = STATE(2692),
    [sym_binary_expression] = STATE(2692),
    [sym_ternary_expression] = STATE(2692),
    [sym_call_expression] = STATE(2692),
    [sym_selector_call_expression] = STATE(2692),
    [sym_member_expression] = STATE(2692),
    [sym_index_expression] = STATE(2692),
    [sym_slice_expression] = STATE(2692),
    [sym_range_expression] = STATE(2692),
    [sym_cast_expression] = STATE(2692),
    [sym_in_expression] = STATE(2692),
    [sym_variadic_expression] = STATE(2692),
    [sym_parenthesized_expression] = STATE(2692),
    [sym_or_return_expression] = STATE(2692),
    [sym_or_continue_expression] = STATE(2692),
    [sym_or_break_expression] = STATE(2692),
    [sym_address] = STATE(2692),
    [sym_map_type] = STATE(2692),
    [sym_matrix_type] = STATE(2692),
    [sym_distinct_type] = STATE(2692),
    [sym_literal] = STATE(2692),
    [sym_struct] = STATE(2751),
    [sym_map] = STATE(2747),
    [sym_bit_set] = STATE(2747),
    [sym_matrix] = STATE(2747),
    [sym_string] = STATE(2747),
    [sym__string_literal] = STATE(2752),
    [sym__raw_string_literal] = STATE(2752),
    [sym_character] = STATE(2747),
    [sym_boolean] = STATE(2747),
    [sym_field_identifier] = STATE(7946),
    [sym_identifier] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(309),
    [anon_sym_LPAREN] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(375),
    [anon_sym_PLUS] = ACTIONS(3165),
    [anon_sym_DASH] = ACTIONS(311),
    [anon_sym_TILDE] = ACTIONS(3165),
    [anon_sym_BANG] = ACTIONS(3165),
    [anon_sym_AMP] = ACTIONS(3165),
    [anon_sym_DOT] = ACTIONS(377),
    [anon_sym_LBRACK] = ACTIONS(379),
    [anon_sym_cast] = ACTIONS(313),
    [anon_sym_transmute] = ACTIONS(313),
    [anon_sym_auto_cast] = ACTIONS(315),
    [anon_sym_DOT_DOT] = ACTIONS(3167),
    [anon_sym_map] = ACTIONS(319),
    [anon_sym_bit_set] = ACTIONS(321),
    [anon_sym_matrix] = ACTIONS(323),
    [anon_sym_distinct] = ACTIONS(325),
    [sym_number] = ACTIONS(327),
    [anon_sym_DQUOTE] = ACTIONS(329),
    [anon_sym_BQUOTE] = ACTIONS(331),
    [anon_sym_SQUOTE] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym_nil] = ACTIONS(337),
    [sym_uninitialized] = ACTIONS(327),
    [sym_tag] = ACTIONS(339),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(327),
    [sym_block_comment] = ACTIONS(3),
  },
  [2003] = {
    [sym_expression] = STATE(5944),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [2004] = {
    [sym_expression] = STATE(4170),
    [sym__expression_no_tag] = STATE(4282),
    [sym_unary_expression] = STATE(4282),
    [sym_binary_expression] = STATE(4282),
    [sym_ternary_expression] = STATE(4282),
    [sym_call_expression] = STATE(4282),
    [sym_selector_call_expression] = STATE(4282),
    [sym_member_expression] = STATE(4282),
    [sym_index_expression] = STATE(4282),
    [sym_slice_expression] = STATE(4282),
    [sym_range_expression] = STATE(4282),
    [sym_cast_expression] = STATE(4282),
    [sym_in_expression] = STATE(4282),
    [sym_variadic_expression] = STATE(4282),
    [sym_parenthesized_expression] = STATE(4282),
    [sym_or_return_expression] = STATE(4282),
    [sym_or_continue_expression] = STATE(4282),
    [sym_or_break_expression] = STATE(4282),
    [sym_address] = STATE(4282),
    [sym_map_type] = STATE(4282),
    [sym_matrix_type] = STATE(4282),
    [sym_distinct_type] = STATE(4282),
    [sym_literal] = STATE(4282),
    [sym_struct] = STATE(4297),
    [sym_map] = STATE(4290),
    [sym_bit_set] = STATE(4290),
    [sym_matrix] = STATE(4290),
    [sym_string] = STATE(4290),
    [sym__string_literal] = STATE(4298),
    [sym__raw_string_literal] = STATE(4298),
    [sym_character] = STATE(4290),
    [sym_boolean] = STATE(4290),
    [sym_field_identifier] = STATE(7838),
    [sym_identifier] = ACTIONS(757),
    [anon_sym_LBRACE] = ACTIONS(707),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_QMARK] = ACTIONS(769),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(721),
    [anon_sym_TILDE] = ACTIONS(719),
    [anon_sym_BANG] = ACTIONS(719),
    [anon_sym_AMP] = ACTIONS(719),
    [anon_sym_DOT] = ACTIONS(723),
    [anon_sym_LBRACK] = ACTIONS(725),
    [anon_sym_cast] = ACTIONS(727),
    [anon_sym_transmute] = ACTIONS(727),
    [anon_sym_auto_cast] = ACTIONS(729),
    [anon_sym_DOT_DOT] = ACTIONS(2849),
    [anon_sym_map] = ACTIONS(733),
    [anon_sym_bit_set] = ACTIONS(735),
    [anon_sym_matrix] = ACTIONS(737),
    [anon_sym_distinct] = ACTIONS(739),
    [sym_number] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(743),
    [anon_sym_BQUOTE] = ACTIONS(745),
    [anon_sym_SQUOTE] = ACTIONS(747),
    [anon_sym_true] = ACTIONS(749),
    [anon_sym_false] = ACTIONS(749),
    [sym_nil] = ACTIONS(751),
    [sym_uninitialized] = ACTIONS(741),
    [sym_tag] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(741),
    [sym_block_comment] = ACTIONS(3),
  },
  [2005] = {
    [sym_expression] = STATE(5947),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [2006] = {
    [sym_expression] = STATE(4172),
    [sym__expression_no_tag] = STATE(4282),
    [sym_unary_expression] = STATE(4282),
    [sym_binary_expression] = STATE(4282),
    [sym_ternary_expression] = STATE(4282),
    [sym_call_expression] = STATE(4282),
    [sym_selector_call_expression] = STATE(4282),
    [sym_member_expression] = STATE(4282),
    [sym_index_expression] = STATE(4282),
    [sym_slice_expression] = STATE(4282),
    [sym_range_expression] = STATE(4282),
    [sym_cast_expression] = STATE(4282),
    [sym_in_expression] = STATE(4282),
    [sym_variadic_expression] = STATE(4282),
    [sym_parenthesized_expression] = STATE(4282),
    [sym_or_return_expression] = STATE(4282),
    [sym_or_continue_expression] = STATE(4282),
    [sym_or_break_expression] = STATE(4282),
    [sym_address] = STATE(4282),
    [sym_map_type] = STATE(4282),
    [sym_matrix_type] = STATE(4282),
    [sym_distinct_type] = STATE(4282),
    [sym_literal] = STATE(4282),
    [sym_struct] = STATE(4297),
    [sym_map] = STATE(4290),
    [sym_bit_set] = STATE(4290),
    [sym_matrix] = STATE(4290),
    [sym_string] = STATE(4290),
    [sym__string_literal] = STATE(4298),
    [sym__raw_string_literal] = STATE(4298),
    [sym_character] = STATE(4290),
    [sym_boolean] = STATE(4290),
    [sym_field_identifier] = STATE(7838),
    [sym_identifier] = ACTIONS(757),
    [anon_sym_LBRACE] = ACTIONS(707),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_QMARK] = ACTIONS(769),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(721),
    [anon_sym_TILDE] = ACTIONS(719),
    [anon_sym_BANG] = ACTIONS(719),
    [anon_sym_AMP] = ACTIONS(719),
    [anon_sym_DOT] = ACTIONS(723),
    [anon_sym_LBRACK] = ACTIONS(725),
    [anon_sym_cast] = ACTIONS(727),
    [anon_sym_transmute] = ACTIONS(727),
    [anon_sym_auto_cast] = ACTIONS(729),
    [anon_sym_DOT_DOT] = ACTIONS(2849),
    [anon_sym_map] = ACTIONS(733),
    [anon_sym_bit_set] = ACTIONS(735),
    [anon_sym_matrix] = ACTIONS(737),
    [anon_sym_distinct] = ACTIONS(739),
    [sym_number] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(743),
    [anon_sym_BQUOTE] = ACTIONS(745),
    [anon_sym_SQUOTE] = ACTIONS(747),
    [anon_sym_true] = ACTIONS(749),
    [anon_sym_false] = ACTIONS(749),
    [sym_nil] = ACTIONS(751),
    [sym_uninitialized] = ACTIONS(741),
    [sym_tag] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(741),
    [sym_block_comment] = ACTIONS(3),
  },
  [2007] = {
    [sym_expression] = STATE(5949),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [2008] = {
    [sym_expression] = STATE(4178),
    [sym__expression_no_tag] = STATE(4282),
    [sym_unary_expression] = STATE(4282),
    [sym_binary_expression] = STATE(4282),
    [sym_ternary_expression] = STATE(4282),
    [sym_call_expression] = STATE(4282),
    [sym_selector_call_expression] = STATE(4282),
    [sym_member_expression] = STATE(4282),
    [sym_index_expression] = STATE(4282),
    [sym_slice_expression] = STATE(4282),
    [sym_range_expression] = STATE(4282),
    [sym_cast_expression] = STATE(4282),
    [sym_in_expression] = STATE(4282),
    [sym_variadic_expression] = STATE(4282),
    [sym_parenthesized_expression] = STATE(4282),
    [sym_or_return_expression] = STATE(4282),
    [sym_or_continue_expression] = STATE(4282),
    [sym_or_break_expression] = STATE(4282),
    [sym_address] = STATE(4282),
    [sym_map_type] = STATE(4282),
    [sym_matrix_type] = STATE(4282),
    [sym_distinct_type] = STATE(4282),
    [sym_literal] = STATE(4282),
    [sym_struct] = STATE(4297),
    [sym_map] = STATE(4290),
    [sym_bit_set] = STATE(4290),
    [sym_matrix] = STATE(4290),
    [sym_string] = STATE(4290),
    [sym__string_literal] = STATE(4298),
    [sym__raw_string_literal] = STATE(4298),
    [sym_character] = STATE(4290),
    [sym_boolean] = STATE(4290),
    [sym_field_identifier] = STATE(7838),
    [sym_identifier] = ACTIONS(757),
    [anon_sym_LBRACE] = ACTIONS(707),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_QMARK] = ACTIONS(769),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(721),
    [anon_sym_TILDE] = ACTIONS(719),
    [anon_sym_BANG] = ACTIONS(719),
    [anon_sym_AMP] = ACTIONS(719),
    [anon_sym_DOT] = ACTIONS(723),
    [anon_sym_LBRACK] = ACTIONS(725),
    [anon_sym_cast] = ACTIONS(727),
    [anon_sym_transmute] = ACTIONS(727),
    [anon_sym_auto_cast] = ACTIONS(729),
    [anon_sym_DOT_DOT] = ACTIONS(2849),
    [anon_sym_map] = ACTIONS(733),
    [anon_sym_bit_set] = ACTIONS(735),
    [anon_sym_matrix] = ACTIONS(737),
    [anon_sym_distinct] = ACTIONS(739),
    [sym_number] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(743),
    [anon_sym_BQUOTE] = ACTIONS(745),
    [anon_sym_SQUOTE] = ACTIONS(747),
    [anon_sym_true] = ACTIONS(749),
    [anon_sym_false] = ACTIONS(749),
    [sym_nil] = ACTIONS(751),
    [sym_uninitialized] = ACTIONS(741),
    [sym_tag] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(741),
    [sym_block_comment] = ACTIONS(3),
  },
  [2009] = {
    [sym_expression] = STATE(5954),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [2010] = {
    [sym_expression] = STATE(6061),
    [sym__expression_no_tag] = STATE(5261),
    [sym_unary_expression] = STATE(5261),
    [sym_binary_expression] = STATE(5261),
    [sym_ternary_expression] = STATE(5261),
    [sym_call_expression] = STATE(2079),
    [sym_selector_call_expression] = STATE(5261),
    [sym_member_expression] = STATE(5261),
    [sym_index_expression] = STATE(5261),
    [sym_slice_expression] = STATE(5261),
    [sym_range_expression] = STATE(5261),
    [sym_cast_expression] = STATE(5261),
    [sym_in_expression] = STATE(5261),
    [sym_variadic_expression] = STATE(5261),
    [sym_parenthesized_expression] = STATE(5261),
    [sym_or_return_expression] = STATE(5261),
    [sym_or_continue_expression] = STATE(5261),
    [sym_or_break_expression] = STATE(5261),
    [sym_address] = STATE(5261),
    [sym_map_type] = STATE(5261),
    [sym_matrix_type] = STATE(5261),
    [sym_distinct_type] = STATE(5261),
    [sym_literal] = STATE(5261),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(6229),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(6231),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [2011] = {
    [sym_expression] = STATE(5957),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [2012] = {
    [sym_expression] = STATE(5543),
    [sym__expression_no_tag] = STATE(4385),
    [sym_unary_expression] = STATE(4385),
    [sym_binary_expression] = STATE(4385),
    [sym_ternary_expression] = STATE(4385),
    [sym_call_expression] = STATE(4385),
    [sym_selector_call_expression] = STATE(4385),
    [sym_member_expression] = STATE(4385),
    [sym_index_expression] = STATE(4385),
    [sym_slice_expression] = STATE(4385),
    [sym_range_expression] = STATE(4385),
    [sym_cast_expression] = STATE(4385),
    [sym_in_expression] = STATE(4385),
    [sym_variadic_expression] = STATE(4385),
    [sym_parenthesized_expression] = STATE(4385),
    [sym_or_return_expression] = STATE(4385),
    [sym_or_continue_expression] = STATE(4385),
    [sym_or_break_expression] = STATE(4385),
    [sym_address] = STATE(4385),
    [sym_map_type] = STATE(4385),
    [sym_matrix_type] = STATE(4385),
    [sym_distinct_type] = STATE(4385),
    [sym_literal] = STATE(4385),
    [sym_struct] = STATE(4394),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(925),
    [anon_sym_QMARK] = ACTIONS(1240),
    [anon_sym_PLUS] = ACTIONS(929),
    [anon_sym_DASH] = ACTIONS(931),
    [anon_sym_TILDE] = ACTIONS(929),
    [anon_sym_BANG] = ACTIONS(929),
    [anon_sym_AMP] = ACTIONS(929),
    [anon_sym_DOT] = ACTIONS(933),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(935),
    [anon_sym_transmute] = ACTIONS(935),
    [anon_sym_auto_cast] = ACTIONS(937),
    [anon_sym_DOT_DOT] = ACTIONS(4422),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(941),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [2013] = {
    [sym_expression] = STATE(5959),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [2014] = {
    [sym_expression] = STATE(4181),
    [sym__expression_no_tag] = STATE(4282),
    [sym_unary_expression] = STATE(4282),
    [sym_binary_expression] = STATE(4282),
    [sym_ternary_expression] = STATE(4282),
    [sym_call_expression] = STATE(4282),
    [sym_selector_call_expression] = STATE(4282),
    [sym_member_expression] = STATE(4282),
    [sym_index_expression] = STATE(4282),
    [sym_slice_expression] = STATE(4282),
    [sym_range_expression] = STATE(4282),
    [sym_cast_expression] = STATE(4282),
    [sym_in_expression] = STATE(4282),
    [sym_variadic_expression] = STATE(4282),
    [sym_parenthesized_expression] = STATE(4282),
    [sym_or_return_expression] = STATE(4282),
    [sym_or_continue_expression] = STATE(4282),
    [sym_or_break_expression] = STATE(4282),
    [sym_address] = STATE(4282),
    [sym_map_type] = STATE(4282),
    [sym_matrix_type] = STATE(4282),
    [sym_distinct_type] = STATE(4282),
    [sym_literal] = STATE(4282),
    [sym_struct] = STATE(4297),
    [sym_map] = STATE(4290),
    [sym_bit_set] = STATE(4290),
    [sym_matrix] = STATE(4290),
    [sym_string] = STATE(4290),
    [sym__string_literal] = STATE(4298),
    [sym__raw_string_literal] = STATE(4298),
    [sym_character] = STATE(4290),
    [sym_boolean] = STATE(4290),
    [sym_field_identifier] = STATE(7838),
    [sym_identifier] = ACTIONS(757),
    [anon_sym_LBRACE] = ACTIONS(707),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_QMARK] = ACTIONS(769),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(721),
    [anon_sym_TILDE] = ACTIONS(719),
    [anon_sym_BANG] = ACTIONS(719),
    [anon_sym_AMP] = ACTIONS(719),
    [anon_sym_DOT] = ACTIONS(723),
    [anon_sym_LBRACK] = ACTIONS(725),
    [anon_sym_cast] = ACTIONS(727),
    [anon_sym_transmute] = ACTIONS(727),
    [anon_sym_auto_cast] = ACTIONS(729),
    [anon_sym_DOT_DOT] = ACTIONS(2849),
    [anon_sym_map] = ACTIONS(733),
    [anon_sym_bit_set] = ACTIONS(735),
    [anon_sym_matrix] = ACTIONS(737),
    [anon_sym_distinct] = ACTIONS(739),
    [sym_number] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(743),
    [anon_sym_BQUOTE] = ACTIONS(745),
    [anon_sym_SQUOTE] = ACTIONS(747),
    [anon_sym_true] = ACTIONS(749),
    [anon_sym_false] = ACTIONS(749),
    [sym_nil] = ACTIONS(751),
    [sym_uninitialized] = ACTIONS(741),
    [sym_tag] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(741),
    [sym_block_comment] = ACTIONS(3),
  },
  [2015] = {
    [sym_expression] = STATE(5974),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [2016] = {
    [sym_expression] = STATE(5975),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [2017] = {
    [sym_expression] = STATE(5979),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [2018] = {
    [sym_expression] = STATE(4183),
    [sym__expression_no_tag] = STATE(4282),
    [sym_unary_expression] = STATE(4282),
    [sym_binary_expression] = STATE(4282),
    [sym_ternary_expression] = STATE(4282),
    [sym_call_expression] = STATE(4282),
    [sym_selector_call_expression] = STATE(4282),
    [sym_member_expression] = STATE(4282),
    [sym_index_expression] = STATE(4282),
    [sym_slice_expression] = STATE(4282),
    [sym_range_expression] = STATE(4282),
    [sym_cast_expression] = STATE(4282),
    [sym_in_expression] = STATE(4282),
    [sym_variadic_expression] = STATE(4282),
    [sym_parenthesized_expression] = STATE(4282),
    [sym_or_return_expression] = STATE(4282),
    [sym_or_continue_expression] = STATE(4282),
    [sym_or_break_expression] = STATE(4282),
    [sym_address] = STATE(4282),
    [sym_map_type] = STATE(4282),
    [sym_matrix_type] = STATE(4282),
    [sym_distinct_type] = STATE(4282),
    [sym_literal] = STATE(4282),
    [sym_struct] = STATE(4297),
    [sym_map] = STATE(4290),
    [sym_bit_set] = STATE(4290),
    [sym_matrix] = STATE(4290),
    [sym_string] = STATE(4290),
    [sym__string_literal] = STATE(4298),
    [sym__raw_string_literal] = STATE(4298),
    [sym_character] = STATE(4290),
    [sym_boolean] = STATE(4290),
    [sym_field_identifier] = STATE(7838),
    [sym_identifier] = ACTIONS(757),
    [anon_sym_LBRACE] = ACTIONS(707),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_QMARK] = ACTIONS(769),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(721),
    [anon_sym_TILDE] = ACTIONS(719),
    [anon_sym_BANG] = ACTIONS(719),
    [anon_sym_AMP] = ACTIONS(719),
    [anon_sym_DOT] = ACTIONS(723),
    [anon_sym_LBRACK] = ACTIONS(725),
    [anon_sym_cast] = ACTIONS(727),
    [anon_sym_transmute] = ACTIONS(727),
    [anon_sym_auto_cast] = ACTIONS(729),
    [anon_sym_DOT_DOT] = ACTIONS(2849),
    [anon_sym_map] = ACTIONS(733),
    [anon_sym_bit_set] = ACTIONS(735),
    [anon_sym_matrix] = ACTIONS(737),
    [anon_sym_distinct] = ACTIONS(739),
    [sym_number] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(743),
    [anon_sym_BQUOTE] = ACTIONS(745),
    [anon_sym_SQUOTE] = ACTIONS(747),
    [anon_sym_true] = ACTIONS(749),
    [anon_sym_false] = ACTIONS(749),
    [sym_nil] = ACTIONS(751),
    [sym_uninitialized] = ACTIONS(741),
    [sym_tag] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(741),
    [sym_block_comment] = ACTIONS(3),
  },
  [2019] = {
    [sym_expression] = STATE(2087),
    [sym__expression_no_tag] = STATE(2219),
    [sym_unary_expression] = STATE(2219),
    [sym_binary_expression] = STATE(2219),
    [sym_ternary_expression] = STATE(2219),
    [sym_call_expression] = STATE(2219),
    [sym_selector_call_expression] = STATE(2219),
    [sym_member_expression] = STATE(2219),
    [sym_index_expression] = STATE(2219),
    [sym_slice_expression] = STATE(2219),
    [sym_range_expression] = STATE(2219),
    [sym_cast_expression] = STATE(2219),
    [sym_in_expression] = STATE(2219),
    [sym_variadic_expression] = STATE(2219),
    [sym_parenthesized_expression] = STATE(2219),
    [sym_or_return_expression] = STATE(2219),
    [sym_or_continue_expression] = STATE(2219),
    [sym_or_break_expression] = STATE(2219),
    [sym_address] = STATE(2219),
    [sym_map_type] = STATE(2219),
    [sym_matrix_type] = STATE(2219),
    [sym_distinct_type] = STATE(2219),
    [sym_literal] = STATE(2219),
    [sym_struct] = STATE(2056),
    [sym_map] = STATE(2054),
    [sym_bit_set] = STATE(2054),
    [sym_matrix] = STATE(2054),
    [sym_string] = STATE(2054),
    [sym__string_literal] = STATE(2057),
    [sym__raw_string_literal] = STATE(2057),
    [sym_character] = STATE(2054),
    [sym_boolean] = STATE(2054),
    [sym_field_identifier] = STATE(7869),
    [sym_identifier] = ACTIONS(207),
    [anon_sym_LBRACE] = ACTIONS(237),
    [anon_sym_LPAREN] = ACTIONS(239),
    [anon_sym_QMARK] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(6042),
    [anon_sym_DASH] = ACTIONS(209),
    [anon_sym_TILDE] = ACTIONS(6042),
    [anon_sym_BANG] = ACTIONS(6042),
    [anon_sym_AMP] = ACTIONS(6042),
    [anon_sym_DOT] = ACTIONS(243),
    [anon_sym_LBRACK] = ACTIONS(245),
    [anon_sym_cast] = ACTIONS(211),
    [anon_sym_transmute] = ACTIONS(211),
    [anon_sym_auto_cast] = ACTIONS(213),
    [anon_sym_DOT_DOT] = ACTIONS(6044),
    [anon_sym_map] = ACTIONS(217),
    [anon_sym_bit_set] = ACTIONS(219),
    [anon_sym_matrix] = ACTIONS(221),
    [anon_sym_distinct] = ACTIONS(223),
    [sym_number] = ACTIONS(225),
    [anon_sym_DQUOTE] = ACTIONS(227),
    [anon_sym_BQUOTE] = ACTIONS(229),
    [anon_sym_SQUOTE] = ACTIONS(231),
    [anon_sym_true] = ACTIONS(233),
    [anon_sym_false] = ACTIONS(233),
    [sym_nil] = ACTIONS(235),
    [sym_uninitialized] = ACTIONS(225),
    [sym_tag] = ACTIONS(247),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(225),
    [sym_block_comment] = ACTIONS(3),
  },
  [2020] = {
    [sym_expression] = STATE(3308),
    [sym__expression_no_tag] = STATE(2799),
    [sym_unary_expression] = STATE(2799),
    [sym_binary_expression] = STATE(2799),
    [sym_ternary_expression] = STATE(2799),
    [sym_call_expression] = STATE(2799),
    [sym_selector_call_expression] = STATE(2799),
    [sym_member_expression] = STATE(2799),
    [sym_index_expression] = STATE(2799),
    [sym_slice_expression] = STATE(2799),
    [sym_range_expression] = STATE(2799),
    [sym_cast_expression] = STATE(2799),
    [sym_in_expression] = STATE(2799),
    [sym_variadic_expression] = STATE(2799),
    [sym_parenthesized_expression] = STATE(2799),
    [sym_or_return_expression] = STATE(2799),
    [sym_or_continue_expression] = STATE(2799),
    [sym_or_break_expression] = STATE(2799),
    [sym_address] = STATE(2799),
    [sym_map_type] = STATE(2799),
    [sym_matrix_type] = STATE(2799),
    [sym_distinct_type] = STATE(2799),
    [sym_literal] = STATE(2799),
    [sym_struct] = STATE(2751),
    [sym_map] = STATE(2747),
    [sym_bit_set] = STATE(2747),
    [sym_matrix] = STATE(2747),
    [sym_string] = STATE(2747),
    [sym__string_literal] = STATE(2752),
    [sym__raw_string_literal] = STATE(2752),
    [sym_character] = STATE(2747),
    [sym_boolean] = STATE(2747),
    [sym_field_identifier] = STATE(7946),
    [sym_identifier] = ACTIONS(307),
    [anon_sym_LBRACE] = ACTIONS(309),
    [anon_sym_LPAREN] = ACTIONS(373),
    [anon_sym_QMARK] = ACTIONS(3163),
    [anon_sym_PLUS] = ACTIONS(3165),
    [anon_sym_DASH] = ACTIONS(311),
    [anon_sym_TILDE] = ACTIONS(3165),
    [anon_sym_BANG] = ACTIONS(3165),
    [anon_sym_AMP] = ACTIONS(3165),
    [anon_sym_DOT] = ACTIONS(377),
    [anon_sym_LBRACK] = ACTIONS(379),
    [anon_sym_cast] = ACTIONS(313),
    [anon_sym_transmute] = ACTIONS(313),
    [anon_sym_auto_cast] = ACTIONS(315),
    [anon_sym_DOT_DOT] = ACTIONS(3167),
    [anon_sym_map] = ACTIONS(319),
    [anon_sym_bit_set] = ACTIONS(321),
    [anon_sym_matrix] = ACTIONS(323),
    [anon_sym_distinct] = ACTIONS(325),
    [sym_number] = ACTIONS(327),
    [anon_sym_DQUOTE] = ACTIONS(329),
    [anon_sym_BQUOTE] = ACTIONS(331),
    [anon_sym_SQUOTE] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(335),
    [anon_sym_false] = ACTIONS(335),
    [sym_nil] = ACTIONS(337),
    [sym_uninitialized] = ACTIONS(327),
    [sym_tag] = ACTIONS(339),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(327),
    [sym_block_comment] = ACTIONS(3),
  },
  [2021] = {
    [sym_expression] = STATE(4185),
    [sym__expression_no_tag] = STATE(4282),
    [sym_unary_expression] = STATE(4282),
    [sym_binary_expression] = STATE(4282),
    [sym_ternary_expression] = STATE(4282),
    [sym_call_expression] = STATE(4282),
    [sym_selector_call_expression] = STATE(4282),
    [sym_member_expression] = STATE(4282),
    [sym_index_expression] = STATE(4282),
    [sym_slice_expression] = STATE(4282),
    [sym_range_expression] = STATE(4282),
    [sym_cast_expression] = STATE(4282),
    [sym_in_expression] = STATE(4282),
    [sym_variadic_expression] = STATE(4282),
    [sym_parenthesized_expression] = STATE(4282),
    [sym_or_return_expression] = STATE(4282),
    [sym_or_continue_expression] = STATE(4282),
    [sym_or_break_expression] = STATE(4282),
    [sym_address] = STATE(4282),
    [sym_map_type] = STATE(4282),
    [sym_matrix_type] = STATE(4282),
    [sym_distinct_type] = STATE(4282),
    [sym_literal] = STATE(4282),
    [sym_struct] = STATE(4297),
    [sym_map] = STATE(4290),
    [sym_bit_set] = STATE(4290),
    [sym_matrix] = STATE(4290),
    [sym_string] = STATE(4290),
    [sym__string_literal] = STATE(4298),
    [sym__raw_string_literal] = STATE(4298),
    [sym_character] = STATE(4290),
    [sym_boolean] = STATE(4290),
    [sym_field_identifier] = STATE(7838),
    [sym_identifier] = ACTIONS(757),
    [anon_sym_LBRACE] = ACTIONS(707),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_QMARK] = ACTIONS(769),
    [anon_sym_PLUS] = ACTIONS(719),
    [anon_sym_DASH] = ACTIONS(721),
    [anon_sym_TILDE] = ACTIONS(719),
    [anon_sym_BANG] = ACTIONS(719),
    [anon_sym_AMP] = ACTIONS(719),
    [anon_sym_DOT] = ACTIONS(723),
    [anon_sym_LBRACK] = ACTIONS(725),
    [anon_sym_cast] = ACTIONS(727),
    [anon_sym_transmute] = ACTIONS(727),
    [anon_sym_auto_cast] = ACTIONS(729),
    [anon_sym_DOT_DOT] = ACTIONS(2849),
    [anon_sym_map] = ACTIONS(733),
    [anon_sym_bit_set] = ACTIONS(735),
    [anon_sym_matrix] = ACTIONS(737),
    [anon_sym_distinct] = ACTIONS(739),
    [sym_number] = ACTIONS(741),
    [anon_sym_DQUOTE] = ACTIONS(743),
    [anon_sym_BQUOTE] = ACTIONS(745),
    [anon_sym_SQUOTE] = ACTIONS(747),
    [anon_sym_true] = ACTIONS(749),
    [anon_sym_false] = ACTIONS(749),
    [sym_nil] = ACTIONS(751),
    [sym_uninitialized] = ACTIONS(741),
    [sym_tag] = ACTIONS(753),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(741),
    [sym_block_comment] = ACTIONS(3),
  },
  [2022] = {
    [sym_expression] = STATE(3886),
    [sym__expression_no_tag] = STATE(3826),
    [sym_unary_expression] = STATE(3826),
    [sym_binary_expression] = STATE(3826),
    [sym_ternary_expression] = STATE(3826),
    [sym_call_expression] = STATE(3826),
    [sym_selector_call_expression] = STATE(3826),
    [sym_member_expression] = STATE(3826),
    [sym_index_expression] = STATE(3826),
    [sym_slice_expression] = STATE(3826),
    [sym_range_expression] = STATE(3826),
    [sym_cast_expression] = STATE(3826),
    [sym_in_expression] = STATE(3826),
    [sym_variadic_expression] = STATE(3826),
    [sym_parenthesized_expression] = STATE(3826),
    [sym_or_return_expression] = STATE(3826),
    [sym_or_continue_expression] = STATE(3826),
    [sym_or_break_expression] = STATE(3826),
    [sym_address] = STATE(3826),
    [sym_map_type] = STATE(3826),
    [sym_matrix_type] = STATE(3826),
    [sym_distinct_type] = STATE(3826),
    [sym_literal] = STATE(3826),
    [sym_struct] = STATE(3866),
    [sym_map] = STATE(3787),
    [sym_bit_set] = STATE(3787),
    [sym_matrix] = STATE(3787),
    [sym_string] = STATE(3787),
    [sym__string_literal] = STATE(3867),
    [sym__raw_string_literal] = STATE(3867),
    [sym_character] = STATE(3787),
    [sym_boolean] = STATE(3787),
    [sym_field_identifier] = STATE(7783),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_LBRACE] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym_QMARK] = ACTIONS(657),
    [anon_sym_PLUS] = ACTIONS(27),
    [anon_sym_DASH] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(27),
    [anon_sym_AMP] = ACTIONS(27),
    [anon_sym_DOT] = ACTIONS(31),
    [anon_sym_LBRACK] = ACTIONS(33),
    [anon_sym_cast] = ACTIONS(35),
    [anon_sym_transmute] = ACTIONS(35),
    [anon_sym_auto_cast] = ACTIONS(37),
    [anon_sym_DOT_DOT] = ACTIONS(39),
    [anon_sym_map] = ACTIONS(41),
    [anon_sym_bit_set] = ACTIONS(43),
    [anon_sym_matrix] = ACTIONS(45),
    [anon_sym_distinct] = ACTIONS(47),
    [sym_number] = ACTIONS(49),
    [anon_sym_DQUOTE] = ACTIONS(51),
    [anon_sym_BQUOTE] = ACTIONS(53),
    [anon_sym_SQUOTE] = ACTIONS(55),
    [anon_sym_true] = ACTIONS(57),
    [anon_sym_false] = ACTIONS(57),
    [sym_nil] = ACTIONS(59),
    [sym_uninitialized] = ACTIONS(49),
    [sym_tag] = ACTIONS(611),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(49),
    [sym_block_comment] = ACTIONS(3),
  },
  [2023] = {
    [sym_expression] = STATE(3177),
    [sym__expression_no_tag] = STATE(3174),
    [sym_unary_expression] = STATE(3174),
    [sym_binary_expression] = STATE(3174),
    [sym_ternary_expression] = STATE(3174),
    [sym_call_expression] = STATE(3174),
    [sym_selector_call_expression] = STATE(3174),
    [sym_member_expression] = STATE(3174),
    [sym_index_expression] = STATE(3174),
    [sym_slice_expression] = STATE(3174),
    [sym_range_expression] = STATE(3174),
    [sym_cast_expression] = STATE(3174),
    [sym_in_expression] = STATE(3174),
    [sym_variadic_expression] = STATE(3174),
    [sym_parenthesized_expression] = STATE(3174),
    [sym_or_return_expression] = STATE(3174),
    [sym_or_continue_expression] = STATE(3174),
    [sym_or_break_expression] = STATE(3174),
    [sym_address] = STATE(3174),
    [sym_map_type] = STATE(3174),
    [sym_matrix_type] = STATE(3174),
    [sym_distinct_type] = STATE(3174),
    [sym_literal] = STATE(3174),
    [sym_struct] = STATE(3165),
    [sym_map] = STATE(3078),
    [sym_bit_set] = STATE(3078),
    [sym_matrix] = STATE(3078),
    [sym_string] = STATE(3078),
    [sym__string_literal] = STATE(3166),
    [sym__raw_string_literal] = STATE(3166),
    [sym_character] = STATE(3078),
    [sym_boolean] = STATE(3078),
    [sym_field_identifier] = STATE(7864),
    [sym_identifier] = ACTIONS(449),
    [anon_sym_LBRACE] = ACTIONS(451),
    [anon_sym_LPAREN] = ACTIONS(453),
    [anon_sym_QMARK] = ACTIONS(455),
    [anon_sym_PLUS] = ACTIONS(457),
    [anon_sym_DASH] = ACTIONS(459),
    [anon_sym_TILDE] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(457),
    [anon_sym_AMP] = ACTIONS(457),
    [anon_sym_DOT] = ACTIONS(461),
    [anon_sym_LBRACK] = ACTIONS(463),
    [anon_sym_cast] = ACTIONS(465),
    [anon_sym_transmute] = ACTIONS(465),
    [anon_sym_auto_cast] = ACTIONS(467),
    [anon_sym_DOT_DOT] = ACTIONS(6050),
    [anon_sym_map] = ACTIONS(471),
    [anon_sym_bit_set] = ACTIONS(473),
    [anon_sym_matrix] = ACTIONS(475),
    [anon_sym_distinct] = ACTIONS(477),
    [sym_number] = ACTIONS(479),
    [anon_sym_DQUOTE] = ACTIONS(481),
    [anon_sym_BQUOTE] = ACTIONS(483),
    [anon_sym_SQUOTE] = ACTIONS(485),
    [anon_sym_true] = ACTIONS(487),
    [anon_sym_false] = ACTIONS(487),
    [sym_nil] = ACTIONS(489),
    [sym_uninitialized] = ACTIONS(479),
    [sym_tag] = ACTIONS(491),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(479),
    [sym_block_comment] = ACTIONS(3),
  },
  [2024] = {
    [sym_expression] = STATE(3229),
    [sym__expression_no_tag] = STATE(3174),
    [sym_unary_expression] = STATE(3174),
    [sym_binary_expression] = STATE(3174),
    [sym_ternary_expression] = STATE(3174),
    [sym_call_expression] = STATE(3174),
    [sym_selector_call_expression] = STATE(3174),
    [sym_member_expression] = STATE(3174),
    [sym_index_expression] = STATE(3174),
    [sym_slice_expression] = STATE(3174),
    [sym_range_expression] = STATE(3174),
    [sym_cast_expression] = STATE(3174),
    [sym_in_expression] = STATE(3174),
    [sym_variadic_expression] = STATE(3174),
    [sym_parenthesized_expression] = STATE(3174),
    [sym_or_return_expression] = STATE(3174),
    [sym_or_continue_expression] = STATE(3174),
    [sym_or_break_expression] = STATE(3174),
    [sym_address] = STATE(3174),
    [sym_map_type] = STATE(3174),
    [sym_matrix_type] = STATE(3174),
    [sym_distinct_type] = STATE(3174),
    [sym_literal] = STATE(3174),
    [sym_struct] = STATE(3165),
    [sym_map] = STATE(3078),
    [sym_bit_set] = STATE(3078),
    [sym_matrix] = STATE(3078),
    [sym_string] = STATE(3078),
    [sym__string_literal] = STATE(3166),
    [sym__raw_string_literal] = STATE(3166),
    [sym_character] = STATE(3078),
    [sym_boolean] = STATE(3078),
    [sym_field_identifier] = STATE(7864),
    [sym_identifier] = ACTIONS(449),
    [anon_sym_LBRACE] = ACTIONS(451),
    [anon_sym_LPAREN] = ACTIONS(453),
    [anon_sym_QMARK] = ACTIONS(455),
    [anon_sym_PLUS] = ACTIONS(457),
    [anon_sym_DASH] = ACTIONS(459),
    [anon_sym_TILDE] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(457),
    [anon_sym_AMP] = ACTIONS(457),
    [anon_sym_DOT] = ACTIONS(461),
    [anon_sym_LBRACK] = ACTIONS(463),
    [anon_sym_cast] = ACTIONS(465),
    [anon_sym_transmute] = ACTIONS(465),
    [anon_sym_auto_cast] = ACTIONS(467),
    [anon_sym_DOT_DOT] = ACTIONS(6050),
    [anon_sym_map] = ACTIONS(471),
    [anon_sym_bit_set] = ACTIONS(473),
    [anon_sym_matrix] = ACTIONS(475),
    [anon_sym_distinct] = ACTIONS(477),
    [sym_number] = ACTIONS(479),
    [anon_sym_DQUOTE] = ACTIONS(481),
    [anon_sym_BQUOTE] = ACTIONS(483),
    [anon_sym_SQUOTE] = ACTIONS(485),
    [anon_sym_true] = ACTIONS(487),
    [anon_sym_false] = ACTIONS(487),
    [sym_nil] = ACTIONS(489),
    [sym_uninitialized] = ACTIONS(479),
    [sym_tag] = ACTIONS(491),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(479),
    [sym_block_comment] = ACTIONS(3),
  },
  [2025] = {
    [sym_expression] = STATE(6021),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [2026] = {
    [sym_expression] = STATE(6025),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [2027] = {
    [sym_expression] = STATE(6027),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [2028] = {
    [sym_expression] = STATE(6029),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [2029] = {
    [sym_expression] = STATE(3230),
    [sym__expression_no_tag] = STATE(3174),
    [sym_unary_expression] = STATE(3174),
    [sym_binary_expression] = STATE(3174),
    [sym_ternary_expression] = STATE(3174),
    [sym_call_expression] = STATE(3174),
    [sym_selector_call_expression] = STATE(3174),
    [sym_member_expression] = STATE(3174),
    [sym_index_expression] = STATE(3174),
    [sym_slice_expression] = STATE(3174),
    [sym_range_expression] = STATE(3174),
    [sym_cast_expression] = STATE(3174),
    [sym_in_expression] = STATE(3174),
    [sym_variadic_expression] = STATE(3174),
    [sym_parenthesized_expression] = STATE(3174),
    [sym_or_return_expression] = STATE(3174),
    [sym_or_continue_expression] = STATE(3174),
    [sym_or_break_expression] = STATE(3174),
    [sym_address] = STATE(3174),
    [sym_map_type] = STATE(3174),
    [sym_matrix_type] = STATE(3174),
    [sym_distinct_type] = STATE(3174),
    [sym_literal] = STATE(3174),
    [sym_struct] = STATE(3165),
    [sym_map] = STATE(3078),
    [sym_bit_set] = STATE(3078),
    [sym_matrix] = STATE(3078),
    [sym_string] = STATE(3078),
    [sym__string_literal] = STATE(3166),
    [sym__raw_string_literal] = STATE(3166),
    [sym_character] = STATE(3078),
    [sym_boolean] = STATE(3078),
    [sym_field_identifier] = STATE(7864),
    [sym_identifier] = ACTIONS(449),
    [anon_sym_LBRACE] = ACTIONS(451),
    [anon_sym_LPAREN] = ACTIONS(453),
    [anon_sym_QMARK] = ACTIONS(455),
    [anon_sym_PLUS] = ACTIONS(457),
    [anon_sym_DASH] = ACTIONS(459),
    [anon_sym_TILDE] = ACTIONS(457),
    [anon_sym_BANG] = ACTIONS(457),
    [anon_sym_AMP] = ACTIONS(457),
    [anon_sym_DOT] = ACTIONS(461),
    [anon_sym_LBRACK] = ACTIONS(463),
    [anon_sym_cast] = ACTIONS(465),
    [anon_sym_transmute] = ACTIONS(465),
    [anon_sym_auto_cast] = ACTIONS(467),
    [anon_sym_DOT_DOT] = ACTIONS(6050),
    [anon_sym_map] = ACTIONS(471),
    [anon_sym_bit_set] = ACTIONS(473),
    [anon_sym_matrix] = ACTIONS(475),
    [anon_sym_distinct] = ACTIONS(477),
    [sym_number] = ACTIONS(479),
    [anon_sym_DQUOTE] = ACTIONS(481),
    [anon_sym_BQUOTE] = ACTIONS(483),
    [anon_sym_SQUOTE] = ACTIONS(485),
    [anon_sym_true] = ACTIONS(487),
    [anon_sym_false] = ACTIONS(487),
    [sym_nil] = ACTIONS(489),
    [sym_uninitialized] = ACTIONS(479),
    [sym_tag] = ACTIONS(491),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(479),
    [sym_block_comment] = ACTIONS(3),
  },
  [2030] = {
    [sym_expression] = STATE(6052),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [2031] = {
    [sym_expression] = STATE(6054),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [2032] = {
    [sym_expression] = STATE(6055),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [2033] = {
    [sym_expression] = STATE(6056),
    [sym__expression_no_tag] = STATE(3884),
    [sym_unary_expression] = STATE(3884),
    [sym_binary_expression] = STATE(3884),
    [sym_ternary_expression] = STATE(3884),
    [sym_call_expression] = STATE(3884),
    [sym_selector_call_expression] = STATE(3884),
    [sym_member_expression] = STATE(3884),
    [sym_index_expression] = STATE(3884),
    [sym_slice_expression] = STATE(3884),
    [sym_range_expression] = STATE(3884),
    [sym_cast_expression] = STATE(3884),
    [sym_in_expression] = STATE(3884),
    [sym_variadic_expression] = STATE(3884),
    [sym_parenthesized_expression] = STATE(3884),
    [sym_or_return_expression] = STATE(3884),
    [sym_or_continue_expression] = STATE(3884),
    [sym_or_break_expression] = STATE(3884),
    [sym_address] = STATE(3884),
    [sym_map_type] = STATE(3884),
    [sym_matrix_type] = STATE(3884),
    [sym_distinct_type] = STATE(3884),
    [sym_literal] = STATE(3884),
    [sym_struct] = STATE(3891),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(617),
    [anon_sym_QMARK] = ACTIONS(2815),
    [anon_sym_PLUS] = ACTIONS(621),
    [anon_sym_DASH] = ACTIONS(623),
    [anon_sym_TILDE] = ACTIONS(621),
    [anon_sym_BANG] = ACTIONS(621),
    [anon_sym_AMP] = ACTIONS(621),
    [anon_sym_DOT] = ACTIONS(625),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(629),
    [anon_sym_transmute] = ACTIONS(629),
    [anon_sym_auto_cast] = ACTIONS(631),
    [anon_sym_DOT_DOT] = ACTIONS(2819),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(655),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
  [2034] = {
    [sym_expression] = STATE(4449),
    [sym__expression_no_tag] = STATE(4337),
    [sym_unary_expression] = STATE(4337),
    [sym_binary_expression] = STATE(4337),
    [sym_ternary_expression] = STATE(4337),
    [sym_call_expression] = STATE(4337),
    [sym_selector_call_expression] = STATE(4337),
    [sym_member_expression] = STATE(4337),
    [sym_index_expression] = STATE(4337),
    [sym_slice_expression] = STATE(4337),
    [sym_range_expression] = STATE(4337),
    [sym_cast_expression] = STATE(4337),
    [sym_in_expression] = STATE(4337),
    [sym_variadic_expression] = STATE(4337),
    [sym_parenthesized_expression] = STATE(4337),
    [sym_or_return_expression] = STATE(4337),
    [sym_or_continue_expression] = STATE(4337),
    [sym_or_break_expression] = STATE(4337),
    [sym_address] = STATE(4337),
    [sym_map_type] = STATE(4337),
    [sym_matrix_type] = STATE(4337),
    [sym_distinct_type] = STATE(4337),
    [sym_literal] = STATE(4337),
    [sym_struct] = STATE(4394),
    [sym_map] = STATE(3858),
    [sym_bit_set] = STATE(3858),
    [sym_matrix] = STATE(3858),
    [sym_string] = STATE(3858),
    [sym__string_literal] = STATE(3892),
    [sym__raw_string_literal] = STATE(3892),
    [sym_character] = STATE(3858),
    [sym_boolean] = STATE(3858),
    [sym_field_identifier] = STATE(7807),
    [sym_identifier] = ACTIONS(613),
    [anon_sym_LBRACE] = ACTIONS(615),
    [anon_sym_LPAREN] = ACTIONS(925),
    [anon_sym_QMARK] = ACTIONS(927),
    [anon_sym_PLUS] = ACTIONS(929),
    [anon_sym_DASH] = ACTIONS(931),
    [anon_sym_TILDE] = ACTIONS(929),
    [anon_sym_BANG] = ACTIONS(929),
    [anon_sym_AMP] = ACTIONS(929),
    [anon_sym_DOT] = ACTIONS(933),
    [anon_sym_LBRACK] = ACTIONS(627),
    [anon_sym_cast] = ACTIONS(935),
    [anon_sym_transmute] = ACTIONS(935),
    [anon_sym_auto_cast] = ACTIONS(937),
    [anon_sym_DOT_DOT] = ACTIONS(4422),
    [anon_sym_map] = ACTIONS(635),
    [anon_sym_bit_set] = ACTIONS(637),
    [anon_sym_matrix] = ACTIONS(639),
    [anon_sym_distinct] = ACTIONS(641),
    [sym_number] = ACTIONS(643),
    [anon_sym_DQUOTE] = ACTIONS(645),
    [anon_sym_BQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(649),
    [anon_sym_true] = ACTIONS(651),
    [anon_sym_false] = ACTIONS(651),
    [sym_nil] = ACTIONS(653),
    [sym_uninitialized] = ACTIONS(643),
    [sym_tag] = ACTIONS(941),
    [sym_comment] = ACTIONS(3),
    [sym__backslash] = ACTIONS(3),
    [sym_float] = ACTIONS(643),
    [sym_block_comment] = ACTIONS(3),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4670), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4668), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [71] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5450), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5448), 42,
      sym__newline,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [142] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5508), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5506), 42,
      sym__newline,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [213] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4499), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4497), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [284] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5556), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5554), 42,
      sym__newline,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [355] = 6,
    ACTIONS(5895), 1,
      anon_sym_LPAREN,
    ACTIONS(5897), 1,
      anon_sym_SLASH,
    ACTIONS(6233), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4750), 18,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4748), 40,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [432] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5074), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5072), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [503] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5590), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5588), 42,
      sym__newline,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [574] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4758), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4756), 42,
      sym__newline,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [645] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4678), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4676), 42,
      sym__newline,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [716] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3303), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(3299), 42,
      sym__newline,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [787] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3273), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(3269), 42,
      sym__newline,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [858] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3859), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(3857), 42,
      sym__newline,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [929] = 4,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5448), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
    ACTIONS(5120), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5118), 37,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [1002] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3283), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(3281), 42,
      sym__newline,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [1073] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3293), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(3291), 42,
      sym__newline,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [1144] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4527), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4525), 42,
      sym__newline,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [1215] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4535), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4533), 42,
      sym__newline,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [1286] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4682), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4680), 42,
      sym__newline,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [1357] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5080), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5078), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [1428] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5096), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5094), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [1499] = 5,
    ACTIONS(6237), 1,
      anon_sym_QMARK,
    ACTIONS(6235), 2,
      anon_sym_if,
      anon_sym_when,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5080), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5078), 39,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_in,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [1574] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5104), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5102), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [1645] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5120), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5118), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [1716] = 7,
    ACTIONS(6172), 1,
      anon_sym_DASH_GT,
    ACTIONS(6202), 1,
      anon_sym_DOT,
    ACTIONS(6204), 1,
      anon_sym_LBRACK,
    ACTIONS(6206), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5124), 18,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
    ACTIONS(5122), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [1795] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5140), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5138), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [1866] = 7,
    ACTIONS(6172), 1,
      anon_sym_DASH_GT,
    ACTIONS(6202), 1,
      anon_sym_DOT,
    ACTIONS(6204), 1,
      anon_sym_LBRACK,
    ACTIONS(6206), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5144), 18,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
    ACTIONS(5142), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [1945] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5160), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5158), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [2016] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4686), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4684), 42,
      sym__newline,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [2087] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3417), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(3415), 42,
      sym__newline,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [2158] = 5,
    ACTIONS(6239), 1,
      anon_sym_LPAREN,
    ACTIONS(6241), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4690), 18,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4688), 41,
      sym__newline,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [2233] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5176), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5174), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [2304] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5180), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5178), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [2375] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5280), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5278), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [2446] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5442), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5440), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [2517] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5446), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5444), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [2588] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5454), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5452), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [2659] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4694), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4692), 42,
      sym__newline,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [2730] = 5,
    ACTIONS(6239), 1,
      anon_sym_LPAREN,
    ACTIONS(6241), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4698), 18,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4696), 41,
      sym__newline,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [2805] = 5,
    ACTIONS(6239), 1,
      anon_sym_LPAREN,
    ACTIONS(6241), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4702), 18,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4700), 41,
      sym__newline,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [2880] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5458), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5456), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [2951] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5462), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5460), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [3022] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5466), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5464), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [3093] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5470), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5468), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [3164] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5474), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5472), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [3235] = 26,
    ACTIONS(6172), 1,
      anon_sym_DASH_GT,
    ACTIONS(6176), 1,
      anon_sym_TILDE,
    ACTIONS(6178), 1,
      anon_sym_AMP,
    ACTIONS(6180), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6182), 1,
      anon_sym_or_else,
    ACTIONS(6184), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6192), 1,
      anon_sym_PIPE,
    ACTIONS(6194), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6200), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6202), 1,
      anon_sym_DOT,
    ACTIONS(6204), 1,
      anon_sym_LBRACK,
    ACTIONS(6208), 1,
      anon_sym_or_return,
    ACTIONS(6210), 1,
      anon_sym_or_continue,
    ACTIONS(6212), 1,
      anon_sym_or_break,
    ACTIONS(6214), 1,
      anon_sym_CARET,
    ACTIONS(5478), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(6174), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6186), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(6188), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6196), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6206), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(6243), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6190), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(6198), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5476), 26,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_QMARK,
      sym_uninitialized,
      sym_tag,
  [3352] = 9,
    ACTIONS(6172), 1,
      anon_sym_DASH_GT,
    ACTIONS(6200), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6202), 1,
      anon_sym_DOT,
    ACTIONS(6204), 1,
      anon_sym_LBRACK,
    ACTIONS(6206), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6198), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5484), 15,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_CARET,
    ACTIONS(5482), 37,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [3435] = 13,
    ACTIONS(6172), 1,
      anon_sym_DASH_GT,
    ACTIONS(6178), 1,
      anon_sym_AMP,
    ACTIONS(6194), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6200), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6202), 1,
      anon_sym_DOT,
    ACTIONS(6204), 1,
      anon_sym_LBRACK,
    ACTIONS(6174), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6196), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6206), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6198), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5484), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_TILDE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_CARET,
    ACTIONS(5482), 37,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [3526] = 12,
    ACTIONS(6172), 1,
      anon_sym_DASH_GT,
    ACTIONS(6194), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6200), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6202), 1,
      anon_sym_DOT,
    ACTIONS(6204), 1,
      anon_sym_LBRACK,
    ACTIONS(6174), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6196), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6206), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6198), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5484), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_CARET,
    ACTIONS(5482), 37,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [3615] = 19,
    ACTIONS(6172), 1,
      anon_sym_DASH_GT,
    ACTIONS(6176), 1,
      anon_sym_TILDE,
    ACTIONS(6178), 1,
      anon_sym_AMP,
    ACTIONS(6184), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6192), 1,
      anon_sym_PIPE,
    ACTIONS(6194), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6200), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6202), 1,
      anon_sym_DOT,
    ACTIONS(6204), 1,
      anon_sym_LBRACK,
    ACTIONS(6174), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6186), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(6188), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6196), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6206), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6190), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(6198), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5484), 4,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(5482), 32,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [3718] = 18,
    ACTIONS(6172), 1,
      anon_sym_DASH_GT,
    ACTIONS(6176), 1,
      anon_sym_TILDE,
    ACTIONS(6178), 1,
      anon_sym_AMP,
    ACTIONS(6192), 1,
      anon_sym_PIPE,
    ACTIONS(6194), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6200), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6202), 1,
      anon_sym_DOT,
    ACTIONS(6204), 1,
      anon_sym_LBRACK,
    ACTIONS(6174), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6186), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(6188), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6196), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6206), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6190), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(6198), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5484), 5,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
    ACTIONS(5482), 32,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [3819] = 16,
    ACTIONS(6172), 1,
      anon_sym_DASH_GT,
    ACTIONS(6176), 1,
      anon_sym_TILDE,
    ACTIONS(6178), 1,
      anon_sym_AMP,
    ACTIONS(6192), 1,
      anon_sym_PIPE,
    ACTIONS(6194), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6200), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6202), 1,
      anon_sym_DOT,
    ACTIONS(6204), 1,
      anon_sym_LBRACK,
    ACTIONS(6174), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6196), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6206), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6190), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(6198), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5484), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
    ACTIONS(5482), 34,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [3916] = 15,
    ACTIONS(6172), 1,
      anon_sym_DASH_GT,
    ACTIONS(6176), 1,
      anon_sym_TILDE,
    ACTIONS(6178), 1,
      anon_sym_AMP,
    ACTIONS(6192), 1,
      anon_sym_PIPE,
    ACTIONS(6194), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6200), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6202), 1,
      anon_sym_DOT,
    ACTIONS(6204), 1,
      anon_sym_LBRACK,
    ACTIONS(6174), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6196), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6206), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6198), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5484), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
    ACTIONS(5482), 37,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [4011] = 14,
    ACTIONS(6172), 1,
      anon_sym_DASH_GT,
    ACTIONS(6176), 1,
      anon_sym_TILDE,
    ACTIONS(6178), 1,
      anon_sym_AMP,
    ACTIONS(6194), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6200), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6202), 1,
      anon_sym_DOT,
    ACTIONS(6204), 1,
      anon_sym_LBRACK,
    ACTIONS(6174), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6196), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6206), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6198), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5484), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_CARET,
    ACTIONS(5482), 37,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [4104] = 11,
    ACTIONS(6172), 1,
      anon_sym_DASH_GT,
    ACTIONS(6200), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6202), 1,
      anon_sym_DOT,
    ACTIONS(6204), 1,
      anon_sym_LBRACK,
    ACTIONS(6174), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6196), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6206), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6198), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5484), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_CARET,
    ACTIONS(5482), 37,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [4191] = 10,
    ACTIONS(6172), 1,
      anon_sym_DASH_GT,
    ACTIONS(6200), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6202), 1,
      anon_sym_DOT,
    ACTIONS(6204), 1,
      anon_sym_LBRACK,
    ACTIONS(6174), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6206), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6198), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5484), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_CARET,
    ACTIONS(5482), 37,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [4276] = 7,
    ACTIONS(6172), 1,
      anon_sym_DASH_GT,
    ACTIONS(6202), 1,
      anon_sym_DOT,
    ACTIONS(6204), 1,
      anon_sym_LBRACK,
    ACTIONS(6206), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5484), 18,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
    ACTIONS(5482), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [4355] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5488), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5486), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [4426] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5492), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5490), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [4497] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5496), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5494), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [4568] = 25,
    ACTIONS(6172), 1,
      anon_sym_DASH_GT,
    ACTIONS(6176), 1,
      anon_sym_TILDE,
    ACTIONS(6178), 1,
      anon_sym_AMP,
    ACTIONS(6180), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6182), 1,
      anon_sym_or_else,
    ACTIONS(6184), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6192), 1,
      anon_sym_PIPE,
    ACTIONS(6194), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6200), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6202), 1,
      anon_sym_DOT,
    ACTIONS(6204), 1,
      anon_sym_LBRACK,
    ACTIONS(6208), 1,
      anon_sym_or_return,
    ACTIONS(6210), 1,
      anon_sym_or_continue,
    ACTIONS(6212), 1,
      anon_sym_or_break,
    ACTIONS(6214), 1,
      anon_sym_CARET,
    ACTIONS(5500), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(6174), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6186), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(6188), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6196), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6206), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6190), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(6198), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5498), 28,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_not_in,
      sym_uninitialized,
      sym_tag,
  [4683] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5504), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5502), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [4754] = 7,
    ACTIONS(6172), 1,
      anon_sym_DASH_GT,
    ACTIONS(6202), 1,
      anon_sym_DOT,
    ACTIONS(6204), 1,
      anon_sym_LBRACK,
    ACTIONS(6206), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5512), 18,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
    ACTIONS(5510), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [4833] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4706), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4704), 42,
      sym__newline,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [4904] = 5,
    ACTIONS(6239), 1,
      anon_sym_LPAREN,
    ACTIONS(6241), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4712), 18,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4710), 41,
      sym__newline,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [4979] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(199), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(197), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [5050] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5522), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5520), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [5121] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5544), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5542), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [5192] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5548), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5546), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [5263] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5552), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5550), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [5334] = 7,
    ACTIONS(6172), 1,
      anon_sym_DASH_GT,
    ACTIONS(6202), 1,
      anon_sym_DOT,
    ACTIONS(6204), 1,
      anon_sym_LBRACK,
    ACTIONS(6206), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5562), 18,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
    ACTIONS(5560), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [5413] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4716), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4714), 42,
      sym__newline,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [5484] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4720), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4718), 42,
      sym__newline,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [5555] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4724), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4722), 42,
      sym__newline,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [5626] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4728), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4726), 42,
      sym__newline,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [5697] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4732), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4730), 42,
      sym__newline,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [5768] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5566), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5564), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [5839] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5570), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5568), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [5910] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5570), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5568), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [5981] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5574), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5572), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [6052] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5578), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5576), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [6123] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5582), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5580), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [6194] = 25,
    ACTIONS(6172), 1,
      anon_sym_DASH_GT,
    ACTIONS(6176), 1,
      anon_sym_TILDE,
    ACTIONS(6178), 1,
      anon_sym_AMP,
    ACTIONS(6180), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6182), 1,
      anon_sym_or_else,
    ACTIONS(6184), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6192), 1,
      anon_sym_PIPE,
    ACTIONS(6194), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6200), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6202), 1,
      anon_sym_DOT,
    ACTIONS(6204), 1,
      anon_sym_LBRACK,
    ACTIONS(6208), 1,
      anon_sym_or_return,
    ACTIONS(6210), 1,
      anon_sym_or_continue,
    ACTIONS(6212), 1,
      anon_sym_or_break,
    ACTIONS(6214), 1,
      anon_sym_CARET,
    ACTIONS(5586), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(6174), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6186), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(6188), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6196), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6206), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6190), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(6198), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5584), 28,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_not_in,
      sym_uninitialized,
      sym_tag,
  [6309] = 21,
    ACTIONS(6172), 1,
      anon_sym_DASH_GT,
    ACTIONS(6176), 1,
      anon_sym_TILDE,
    ACTIONS(6178), 1,
      anon_sym_AMP,
    ACTIONS(6180), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6182), 1,
      anon_sym_or_else,
    ACTIONS(6184), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6192), 1,
      anon_sym_PIPE,
    ACTIONS(6194), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6200), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6202), 1,
      anon_sym_DOT,
    ACTIONS(6204), 1,
      anon_sym_LBRACK,
    ACTIONS(6174), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6186), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(6188), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6196), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6206), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5586), 3,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_CARET,
    ACTIONS(6190), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(6198), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5584), 31,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [6416] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5594), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5592), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [6487] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5598), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5596), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [6558] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4738), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4736), 42,
      sym__newline,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [6629] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4742), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4740), 42,
      sym__newline,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [6700] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4746), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4744), 42,
      sym__newline,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [6771] = 5,
    ACTIONS(6239), 1,
      anon_sym_LPAREN,
    ACTIONS(6241), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4750), 18,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4748), 41,
      sym__newline,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [6846] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4754), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4752), 42,
      sym__newline,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [6917] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5602), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5600), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [6988] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5606), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5604), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [7059] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5606), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5604), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [7130] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5610), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5608), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [7201] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5614), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5612), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [7272] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5614), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5612), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [7343] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5618), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5616), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [7414] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5646), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5644), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [7485] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5650), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5648), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [7556] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5654), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5652), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [7627] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5658), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5656), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [7698] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4762), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4760), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [7769] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4762), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4760), 42,
      sym__newline,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [7840] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4766), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4764), 42,
      sym__newline,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [7911] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4770), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4768), 42,
      sym__newline,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [7982] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4774), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4772), 42,
      sym__newline,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [8053] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5662), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5660), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [8124] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5666), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5664), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [8195] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5670), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5668), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [8266] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5674), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5672), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [8337] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5674), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5672), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [8408] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5678), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5676), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [8479] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5682), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5680), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [8550] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4778), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4776), 42,
      sym__newline,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [8621] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4782), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4780), 42,
      sym__newline,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [8692] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5686), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5684), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [8763] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5690), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5688), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [8834] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4634), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4632), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [8905] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4638), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4636), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [8976] = 5,
    ACTIONS(6245), 1,
      sym_identifier,
    ACTIONS(6247), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 29,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
    ACTIONS(67), 30,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
  [9051] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4786), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4784), 42,
      sym__newline,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [9122] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4646), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4644), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [9193] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4650), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4648), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [9264] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4654), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4652), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [9335] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4658), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4656), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [9406] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4662), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4660), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [9477] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4666), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4664), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [9548] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4674), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4672), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [9619] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4790), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4788), 42,
      sym__newline,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [9690] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(857), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(855), 42,
      sym__newline,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [9761] = 5,
    ACTIONS(5895), 1,
      anon_sym_LPAREN,
    ACTIONS(5897), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4690), 18,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4688), 41,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [9836] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4800), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4798), 42,
      sym__newline,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [9907] = 5,
    ACTIONS(5895), 1,
      anon_sym_LPAREN,
    ACTIONS(5897), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4702), 18,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4700), 41,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [9982] = 5,
    ACTIONS(5895), 1,
      anon_sym_LPAREN,
    ACTIONS(5897), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4712), 18,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4710), 41,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [10057] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(895), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(893), 42,
      sym__newline,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [10128] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(836), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(833), 42,
      sym__newline,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [10199] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(911), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(909), 42,
      sym__newline,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [10270] = 5,
    ACTIONS(5895), 1,
      anon_sym_LPAREN,
    ACTIONS(5897), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4750), 18,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4748), 41,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [10345] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(778), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(773), 42,
      sym__newline,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [10416] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4678), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4676), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [10487] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4686), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4684), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [10558] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3417), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(3415), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [10629] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5450), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5448), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [10700] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4694), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4692), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [10771] = 5,
    ACTIONS(5895), 1,
      anon_sym_LPAREN,
    ACTIONS(5897), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4698), 18,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4696), 41,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [10846] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5508), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5506), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [10917] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3303), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(3299), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [10988] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4706), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4704), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [11059] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5556), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5554), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [11130] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3273), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(3269), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [11201] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4716), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4714), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [11272] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4720), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4718), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [11343] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4724), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4722), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [11414] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4728), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4726), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [11485] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4732), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4730), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [11556] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5590), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5588), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [11627] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3859), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(3857), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [11698] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4738), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4736), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [11769] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4742), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4740), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [11840] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4746), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4744), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [11911] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4754), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4752), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [11982] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3283), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(3281), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [12053] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4762), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4760), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [12124] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4766), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4764), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [12195] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4770), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4768), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [12266] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4774), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4772), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [12337] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4795), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4792), 42,
      sym__newline,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [12408] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3293), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(3291), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [12479] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4778), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4776), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [12550] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4782), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4780), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [12621] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4527), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4525), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [12692] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4786), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4784), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [12763] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4535), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4533), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [12834] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4682), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4680), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [12905] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4790), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4788), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [12976] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(857), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(855), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [13047] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(836), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(833), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [13118] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(778), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(773), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [13189] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4800), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4798), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [13260] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(895), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(893), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [13331] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(911), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(909), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [13402] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4758), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4756), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [13473] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4795), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4792), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [13544] = 4,
    ACTIONS(6079), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(67), 41,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [13617] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4499), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4497), 42,
      sym__newline,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [13688] = 10,
    ACTIONS(5883), 1,
      anon_sym_where,
    ACTIONS(6249), 1,
      anon_sym_LBRACE,
    ACTIONS(6251), 1,
      anon_sym_DASH_GT,
    ACTIONS(6253), 1,
      sym_uninitialized,
    ACTIONS(6255), 1,
      sym_tag,
    STATE(2418), 1,
      sym_where_clause,
    STATE(2678), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3935), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(3931), 35,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [13773] = 10,
    ACTIONS(5883), 1,
      anon_sym_where,
    ACTIONS(6249), 1,
      anon_sym_LBRACE,
    ACTIONS(6257), 1,
      anon_sym_DASH_GT,
    ACTIONS(6259), 1,
      sym_uninitialized,
    ACTIONS(6261), 1,
      sym_tag,
    STATE(2405), 1,
      sym_where_clause,
    STATE(2680), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3303), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(3299), 35,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [13858] = 11,
    ACTIONS(5883), 1,
      anon_sym_where,
    ACTIONS(5895), 1,
      anon_sym_LPAREN,
    ACTIONS(5897), 1,
      anon_sym_SLASH,
    ACTIONS(6249), 1,
      anon_sym_LBRACE,
    ACTIONS(6263), 1,
      sym_uninitialized,
    ACTIONS(6265), 1,
      sym_tag,
    STATE(2421), 1,
      sym_where_clause,
    STATE(2682), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3273), 18,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(3269), 35,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [13945] = 9,
    ACTIONS(5883), 1,
      anon_sym_where,
    ACTIONS(6249), 1,
      anon_sym_LBRACE,
    ACTIONS(6263), 1,
      sym_uninitialized,
    ACTIONS(6265), 1,
      sym_tag,
    STATE(2421), 1,
      sym_where_clause,
    STATE(2682), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3273), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(3269), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [14028] = 11,
    ACTIONS(5883), 1,
      anon_sym_where,
    ACTIONS(5895), 1,
      anon_sym_LPAREN,
    ACTIONS(5897), 1,
      anon_sym_SLASH,
    ACTIONS(6249), 1,
      anon_sym_LBRACE,
    ACTIONS(6267), 1,
      sym_uninitialized,
    ACTIONS(6269), 1,
      sym_tag,
    STATE(2428), 1,
      sym_where_clause,
    STATE(2683), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3859), 18,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(3857), 35,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [14115] = 9,
    ACTIONS(5883), 1,
      anon_sym_where,
    ACTIONS(6249), 1,
      anon_sym_LBRACE,
    ACTIONS(6267), 1,
      sym_uninitialized,
    ACTIONS(6269), 1,
      sym_tag,
    STATE(2428), 1,
      sym_where_clause,
    STATE(2683), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3859), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(3857), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [14198] = 9,
    ACTIONS(5883), 1,
      anon_sym_where,
    ACTIONS(6249), 1,
      anon_sym_LBRACE,
    ACTIONS(6267), 1,
      sym_uninitialized,
    ACTIONS(6271), 1,
      sym_tag,
    STATE(2428), 1,
      sym_where_clause,
    STATE(2683), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3859), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(3857), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [14281] = 11,
    ACTIONS(5883), 1,
      anon_sym_where,
    ACTIONS(5895), 1,
      anon_sym_LPAREN,
    ACTIONS(5897), 1,
      anon_sym_SLASH,
    ACTIONS(6249), 1,
      anon_sym_LBRACE,
    ACTIONS(6273), 1,
      sym_uninitialized,
    ACTIONS(6275), 1,
      sym_tag,
    STATE(2423), 1,
      sym_where_clause,
    STATE(2685), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3283), 18,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(3281), 35,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [14368] = 9,
    ACTIONS(5883), 1,
      anon_sym_where,
    ACTIONS(6249), 1,
      anon_sym_LBRACE,
    ACTIONS(6273), 1,
      sym_uninitialized,
    ACTIONS(6275), 1,
      sym_tag,
    STATE(2423), 1,
      sym_where_clause,
    STATE(2685), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3283), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(3281), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [14451] = 9,
    ACTIONS(5883), 1,
      anon_sym_where,
    ACTIONS(6249), 1,
      anon_sym_LBRACE,
    ACTIONS(6273), 1,
      sym_uninitialized,
    ACTIONS(6277), 1,
      sym_tag,
    STATE(2423), 1,
      sym_where_clause,
    STATE(2685), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3283), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(3281), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [14534] = 9,
    ACTIONS(5883), 1,
      anon_sym_where,
    ACTIONS(6249), 1,
      anon_sym_LBRACE,
    ACTIONS(6279), 1,
      sym_uninitialized,
    ACTIONS(6281), 1,
      sym_tag,
    STATE(2416), 1,
      sym_where_clause,
    STATE(2686), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3293), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(3291), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [14617] = 6,
    ACTIONS(6239), 1,
      anon_sym_LPAREN,
    ACTIONS(6241), 1,
      anon_sym_SLASH,
    ACTIONS(6283), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4750), 18,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4748), 40,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [14694] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5074), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5072), 42,
      sym__newline,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [14765] = 4,
    ACTIONS(6285), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4400), 29,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
    ACTIONS(4398), 31,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
  [14838] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3979), 20,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
      anon_sym_DOT2,
    ACTIONS(3977), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [14909] = 4,
    ACTIONS(6287), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4762), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4760), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [14982] = 6,
    ACTIONS(6066), 1,
      anon_sym_LBRACE,
    ACTIONS(6289), 1,
      anon_sym_LPAREN,
    STATE(6917), 1,
      aux_sym_field_identifier_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4512), 39,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [15059] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4860), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4858), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [15130] = 7,
    ACTIONS(5964), 1,
      anon_sym_LBRACE,
    ACTIONS(5974), 1,
      sym_uninitialized,
    ACTIONS(5976), 1,
      sym_tag,
    STATE(2467), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3303), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(3299), 38,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [15209] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4866), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4864), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [15280] = 7,
    ACTIONS(5964), 1,
      anon_sym_LBRACE,
    ACTIONS(5990), 1,
      sym_uninitialized,
    ACTIONS(6291), 1,
      sym_tag,
    STATE(2473), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3273), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(3269), 38,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [15359] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4872), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4870), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [15430] = 7,
    ACTIONS(5964), 1,
      anon_sym_LBRACE,
    ACTIONS(6000), 1,
      sym_uninitialized,
    ACTIONS(6004), 1,
      sym_tag,
    STATE(2475), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3859), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(3857), 38,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [15509] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4884), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4882), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [15580] = 7,
    ACTIONS(5964), 1,
      anon_sym_LBRACE,
    ACTIONS(6006), 1,
      sym_uninitialized,
    ACTIONS(6012), 1,
      sym_tag,
    STATE(2478), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3283), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(3281), 38,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [15659] = 7,
    ACTIONS(5964), 1,
      anon_sym_LBRACE,
    ACTIONS(6022), 1,
      sym_uninitialized,
    ACTIONS(6024), 1,
      sym_tag,
    STATE(2513), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3293), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(3291), 38,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [15738] = 7,
    ACTIONS(5964), 1,
      anon_sym_LBRACE,
    ACTIONS(6293), 1,
      sym_uninitialized,
    ACTIONS(6295), 1,
      sym_tag,
    STATE(2480), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4527), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4525), 38,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [15817] = 6,
    ACTIONS(5895), 1,
      anon_sym_LPAREN,
    ACTIONS(5897), 1,
      anon_sym_SLASH,
    ACTIONS(6297), 1,
      anon_sym_EQ,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4934), 17,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4930), 41,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [15894] = 25,
    ACTIONS(6172), 1,
      anon_sym_DASH_GT,
    ACTIONS(6176), 1,
      anon_sym_TILDE,
    ACTIONS(6178), 1,
      anon_sym_AMP,
    ACTIONS(6180), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6182), 1,
      anon_sym_or_else,
    ACTIONS(6184), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6192), 1,
      anon_sym_PIPE,
    ACTIONS(6194), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6200), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6202), 1,
      anon_sym_DOT,
    ACTIONS(6204), 1,
      anon_sym_LBRACK,
    ACTIONS(6208), 1,
      anon_sym_or_return,
    ACTIONS(6210), 1,
      anon_sym_or_continue,
    ACTIONS(6212), 1,
      anon_sym_or_break,
    ACTIONS(6214), 1,
      anon_sym_CARET,
    ACTIONS(4624), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(6174), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6186), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(6188), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6196), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6206), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6190), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(6198), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4619), 28,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_not_in,
      sym_uninitialized,
      sym_tag,
  [16009] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4948), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4946), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [16080] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4642), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4640), 42,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_uninitialized,
      sym_tag,
  [16151] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(911), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(909), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [16221] = 5,
    ACTIONS(6301), 1,
      anon_sym_QMARK,
    ACTIONS(6299), 2,
      anon_sym_if,
      anon_sym_when,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5080), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5078), 38,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_in,
      anon_sym_case,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [16295] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5556), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5554), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [16365] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5590), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5588), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [16435] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5080), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5078), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [16505] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5096), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5094), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [16575] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5104), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5102), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [16645] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5140), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5138), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [16715] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5160), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5158), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [16785] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4686), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4684), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [16855] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3417), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(3415), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [16925] = 5,
    ACTIONS(6303), 1,
      anon_sym_LPAREN,
    ACTIONS(6305), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4690), 18,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4688), 40,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [16999] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5176), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5174), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [17069] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5180), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5178), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [17139] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5280), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5278), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [17209] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5442), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5440), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [17279] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5446), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5444), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [17349] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5454), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5452), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [17419] = 4,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5448), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
    ACTIONS(5120), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5118), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [17491] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4694), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4692), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [17561] = 5,
    ACTIONS(6303), 1,
      anon_sym_LPAREN,
    ACTIONS(6305), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4698), 18,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4696), 40,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [17635] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4790), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4788), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [17705] = 5,
    ACTIONS(6303), 1,
      anon_sym_LPAREN,
    ACTIONS(6305), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4702), 18,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4700), 40,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [17779] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5458), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5456), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [17849] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5462), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5460), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [17919] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5466), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5464), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [17989] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5470), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5468), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [18059] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5474), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5472), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [18129] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5488), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5486), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [18199] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5492), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5490), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [18269] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5496), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5494), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [18339] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5504), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5502), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [18409] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4706), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4704), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [18479] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(857), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(855), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [18549] = 5,
    ACTIONS(6303), 1,
      anon_sym_LPAREN,
    ACTIONS(6305), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4712), 18,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4710), 40,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [18623] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(199), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(197), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [18693] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5544), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5542), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [18763] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5548), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5546), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [18833] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5552), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5550), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [18903] = 4,
    ACTIONS(6307), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5522), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5520), 40,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [18975] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4716), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4714), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [19045] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4720), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4718), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [19115] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4724), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4722), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [19185] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4728), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4726), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [19255] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(836), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(833), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [19325] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4732), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4730), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [19395] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5566), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5564), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [19465] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5570), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5568), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [19535] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5570), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5568), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [19605] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5574), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5572), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [19675] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5578), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5576), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [19745] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5582), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5580), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [19815] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5594), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5592), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [19885] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5598), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5596), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [19955] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4738), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4736), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [20025] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4742), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4740), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [20095] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4746), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4744), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [20165] = 5,
    ACTIONS(6303), 1,
      anon_sym_LPAREN,
    ACTIONS(6305), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4750), 18,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4748), 40,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [20239] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(778), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(773), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [20309] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4754), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4752), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [20379] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5602), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5600), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [20449] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5606), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5604), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [20519] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5606), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5604), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [20589] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5610), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5608), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [20659] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5614), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5612), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [20729] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5614), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5612), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [20799] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5618), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5616), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [20869] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5646), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5644), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [20939] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5650), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5648), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [21009] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5654), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5652), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [21079] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5658), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5656), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [21149] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4762), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4760), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [21219] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4766), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4764), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [21289] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4770), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4768), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [21359] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4774), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4772), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [21429] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5662), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5660), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [21499] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5666), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5664), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [21569] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5670), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5668), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [21639] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5674), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5672), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [21709] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5674), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5672), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [21779] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5678), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5676), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [21849] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5682), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5680), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [21919] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4778), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4776), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [21989] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4782), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4780), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [22059] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5686), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5684), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [22129] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5690), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5688), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [22199] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4634), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4632), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [22269] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4638), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4636), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [22339] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4642), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4640), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [22409] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4786), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4784), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [22479] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4646), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4644), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [22549] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4650), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4648), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [22619] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4654), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4652), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [22689] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4658), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4656), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [22759] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4662), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4660), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [22829] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4666), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4664), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [22899] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4670), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4668), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [22969] = 5,
    ACTIONS(6245), 1,
      sym_identifier,
    ACTIONS(6309), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 28,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
    ACTIONS(67), 30,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
  [23043] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4678), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4676), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [23113] = 5,
    ACTIONS(6311), 1,
      anon_sym_DOT2,
    STATE(2352), 1,
      aux_sym_field_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3417), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(3415), 39,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [23187] = 5,
    ACTIONS(6311), 1,
      anon_sym_DOT2,
    STATE(2355), 1,
      aux_sym_field_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3891), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(3889), 39,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [23261] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3303), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(3299), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [23331] = 6,
    ACTIONS(5964), 1,
      anon_sym_LBRACE,
    ACTIONS(5974), 1,
      sym_uninitialized,
    STATE(2467), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3303), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(3299), 38,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [23407] = 5,
    ACTIONS(6313), 1,
      anon_sym_DOT2,
    STATE(2355), 1,
      aux_sym_field_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3979), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(3977), 39,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [23481] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5522), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5520), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [23551] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3273), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(3269), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [23621] = 6,
    ACTIONS(5964), 1,
      anon_sym_LBRACE,
    ACTIONS(5990), 1,
      sym_uninitialized,
    STATE(2473), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3273), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(3269), 38,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [23697] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(895), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(893), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [23767] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3859), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(3857), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [23837] = 6,
    ACTIONS(5964), 1,
      anon_sym_LBRACE,
    ACTIONS(6000), 1,
      sym_uninitialized,
    STATE(2475), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3859), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(3857), 38,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [23913] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3283), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(3281), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [23983] = 6,
    ACTIONS(5964), 1,
      anon_sym_LBRACE,
    ACTIONS(6006), 1,
      sym_uninitialized,
    STATE(2478), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3283), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(3281), 38,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [24059] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4795), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4792), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [24129] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3293), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(3291), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [24199] = 6,
    ACTIONS(5964), 1,
      anon_sym_LBRACE,
    ACTIONS(6022), 1,
      sym_uninitialized,
    STATE(2513), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3293), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(3291), 38,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [24275] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4527), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4525), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [24345] = 6,
    ACTIONS(5964), 1,
      anon_sym_LBRACE,
    ACTIONS(6293), 1,
      sym_uninitialized,
    STATE(2480), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4527), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4525), 38,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [24421] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5450), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5448), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [24491] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4535), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4533), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [24561] = 6,
    ACTIONS(5964), 1,
      anon_sym_LBRACE,
    ACTIONS(6316), 1,
      sym_uninitialized,
    STATE(2481), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4535), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4533), 38,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [24637] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4682), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4680), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [24707] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5120), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5118), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [24777] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4800), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4798), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [24847] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4758), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4756), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [24917] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5508), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5506), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [24987] = 7,
    ACTIONS(6247), 1,
      anon_sym_LPAREN,
    ACTIONS(6301), 1,
      anon_sym_QMARK,
    ACTIONS(6299), 2,
      anon_sym_if,
      anon_sym_when,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6318), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
    ACTIONS(71), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(67), 32,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_in,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [25065] = 4,
    ACTIONS(6247), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(67), 40,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [25137] = 7,
    ACTIONS(6320), 1,
      anon_sym_DASH_GT,
    ACTIONS(6322), 1,
      anon_sym_DOT,
    ACTIONS(6324), 1,
      anon_sym_LBRACK,
    ACTIONS(6326), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5124), 18,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
    ACTIONS(5122), 37,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [25215] = 7,
    ACTIONS(6320), 1,
      anon_sym_DASH_GT,
    ACTIONS(6322), 1,
      anon_sym_DOT,
    ACTIONS(6324), 1,
      anon_sym_LBRACK,
    ACTIONS(6326), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5144), 18,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
    ACTIONS(5142), 37,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [25293] = 26,
    ACTIONS(6320), 1,
      anon_sym_DASH_GT,
    ACTIONS(6322), 1,
      anon_sym_DOT,
    ACTIONS(6324), 1,
      anon_sym_LBRACK,
    ACTIONS(6332), 1,
      anon_sym_TILDE,
    ACTIONS(6334), 1,
      anon_sym_AMP,
    ACTIONS(6336), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6338), 1,
      anon_sym_or_else,
    ACTIONS(6340), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6348), 1,
      anon_sym_PIPE,
    ACTIONS(6350), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6356), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6358), 1,
      anon_sym_or_return,
    ACTIONS(6360), 1,
      anon_sym_or_continue,
    ACTIONS(6362), 1,
      anon_sym_or_break,
    ACTIONS(6364), 1,
      anon_sym_CARET,
    ACTIONS(5478), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(6326), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(6328), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(6330), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6342), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(6344), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6352), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6346), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(6354), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5476), 25,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_case,
      anon_sym_QMARK,
  [25409] = 9,
    ACTIONS(6320), 1,
      anon_sym_DASH_GT,
    ACTIONS(6322), 1,
      anon_sym_DOT,
    ACTIONS(6324), 1,
      anon_sym_LBRACK,
    ACTIONS(6356), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6326), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6354), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5484), 15,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_CARET,
    ACTIONS(5482), 36,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [25491] = 13,
    ACTIONS(6320), 1,
      anon_sym_DASH_GT,
    ACTIONS(6322), 1,
      anon_sym_DOT,
    ACTIONS(6324), 1,
      anon_sym_LBRACK,
    ACTIONS(6334), 1,
      anon_sym_AMP,
    ACTIONS(6350), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6356), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6326), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(6330), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6352), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6354), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5484), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_TILDE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_CARET,
    ACTIONS(5482), 36,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [25581] = 12,
    ACTIONS(6320), 1,
      anon_sym_DASH_GT,
    ACTIONS(6322), 1,
      anon_sym_DOT,
    ACTIONS(6324), 1,
      anon_sym_LBRACK,
    ACTIONS(6350), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6356), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6326), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(6330), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6352), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6354), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5484), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_CARET,
    ACTIONS(5482), 36,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [25669] = 19,
    ACTIONS(6320), 1,
      anon_sym_DASH_GT,
    ACTIONS(6322), 1,
      anon_sym_DOT,
    ACTIONS(6324), 1,
      anon_sym_LBRACK,
    ACTIONS(6332), 1,
      anon_sym_TILDE,
    ACTIONS(6334), 1,
      anon_sym_AMP,
    ACTIONS(6340), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6348), 1,
      anon_sym_PIPE,
    ACTIONS(6350), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6356), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6326), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(6330), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6342), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(6344), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6352), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6346), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(6354), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5484), 4,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(5482), 31,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [25771] = 18,
    ACTIONS(6320), 1,
      anon_sym_DASH_GT,
    ACTIONS(6322), 1,
      anon_sym_DOT,
    ACTIONS(6324), 1,
      anon_sym_LBRACK,
    ACTIONS(6332), 1,
      anon_sym_TILDE,
    ACTIONS(6334), 1,
      anon_sym_AMP,
    ACTIONS(6348), 1,
      anon_sym_PIPE,
    ACTIONS(6350), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6356), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6326), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(6330), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6342), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(6344), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6352), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6346), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(6354), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5484), 5,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
    ACTIONS(5482), 31,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [25871] = 16,
    ACTIONS(6320), 1,
      anon_sym_DASH_GT,
    ACTIONS(6322), 1,
      anon_sym_DOT,
    ACTIONS(6324), 1,
      anon_sym_LBRACK,
    ACTIONS(6332), 1,
      anon_sym_TILDE,
    ACTIONS(6334), 1,
      anon_sym_AMP,
    ACTIONS(6348), 1,
      anon_sym_PIPE,
    ACTIONS(6350), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6356), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6326), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(6330), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6352), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6346), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(6354), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5484), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
    ACTIONS(5482), 33,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [25967] = 15,
    ACTIONS(6320), 1,
      anon_sym_DASH_GT,
    ACTIONS(6322), 1,
      anon_sym_DOT,
    ACTIONS(6324), 1,
      anon_sym_LBRACK,
    ACTIONS(6332), 1,
      anon_sym_TILDE,
    ACTIONS(6334), 1,
      anon_sym_AMP,
    ACTIONS(6348), 1,
      anon_sym_PIPE,
    ACTIONS(6350), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6356), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6326), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(6330), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6352), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6354), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5484), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
    ACTIONS(5482), 36,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [26061] = 14,
    ACTIONS(6320), 1,
      anon_sym_DASH_GT,
    ACTIONS(6322), 1,
      anon_sym_DOT,
    ACTIONS(6324), 1,
      anon_sym_LBRACK,
    ACTIONS(6332), 1,
      anon_sym_TILDE,
    ACTIONS(6334), 1,
      anon_sym_AMP,
    ACTIONS(6350), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6356), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6326), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(6330), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6352), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6354), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5484), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_CARET,
    ACTIONS(5482), 36,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [26153] = 11,
    ACTIONS(6320), 1,
      anon_sym_DASH_GT,
    ACTIONS(6322), 1,
      anon_sym_DOT,
    ACTIONS(6324), 1,
      anon_sym_LBRACK,
    ACTIONS(6356), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6326), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(6330), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6352), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6354), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5484), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_CARET,
    ACTIONS(5482), 36,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [26239] = 10,
    ACTIONS(6320), 1,
      anon_sym_DASH_GT,
    ACTIONS(6322), 1,
      anon_sym_DOT,
    ACTIONS(6324), 1,
      anon_sym_LBRACK,
    ACTIONS(6356), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6326), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(6330), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6354), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5484), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_CARET,
    ACTIONS(5482), 36,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [26323] = 7,
    ACTIONS(6320), 1,
      anon_sym_DASH_GT,
    ACTIONS(6322), 1,
      anon_sym_DOT,
    ACTIONS(6324), 1,
      anon_sym_LBRACK,
    ACTIONS(6326), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5484), 18,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
    ACTIONS(5482), 37,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [26401] = 25,
    ACTIONS(6320), 1,
      anon_sym_DASH_GT,
    ACTIONS(6322), 1,
      anon_sym_DOT,
    ACTIONS(6324), 1,
      anon_sym_LBRACK,
    ACTIONS(6332), 1,
      anon_sym_TILDE,
    ACTIONS(6334), 1,
      anon_sym_AMP,
    ACTIONS(6336), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6338), 1,
      anon_sym_or_else,
    ACTIONS(6340), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6348), 1,
      anon_sym_PIPE,
    ACTIONS(6350), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6356), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6358), 1,
      anon_sym_or_return,
    ACTIONS(6360), 1,
      anon_sym_or_continue,
    ACTIONS(6362), 1,
      anon_sym_or_break,
    ACTIONS(6364), 1,
      anon_sym_CARET,
    ACTIONS(5500), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(6326), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(6330), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6342), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(6344), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6352), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6346), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(6354), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5498), 27,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_not_in,
  [26515] = 7,
    ACTIONS(6320), 1,
      anon_sym_DASH_GT,
    ACTIONS(6322), 1,
      anon_sym_DOT,
    ACTIONS(6324), 1,
      anon_sym_LBRACK,
    ACTIONS(6326), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5512), 18,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
    ACTIONS(5510), 37,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [26593] = 7,
    ACTIONS(6320), 1,
      anon_sym_DASH_GT,
    ACTIONS(6322), 1,
      anon_sym_DOT,
    ACTIONS(6324), 1,
      anon_sym_LBRACK,
    ACTIONS(6326), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5562), 18,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
    ACTIONS(5560), 37,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [26671] = 25,
    ACTIONS(6320), 1,
      anon_sym_DASH_GT,
    ACTIONS(6322), 1,
      anon_sym_DOT,
    ACTIONS(6324), 1,
      anon_sym_LBRACK,
    ACTIONS(6332), 1,
      anon_sym_TILDE,
    ACTIONS(6334), 1,
      anon_sym_AMP,
    ACTIONS(6336), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6338), 1,
      anon_sym_or_else,
    ACTIONS(6340), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6348), 1,
      anon_sym_PIPE,
    ACTIONS(6350), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6356), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6358), 1,
      anon_sym_or_return,
    ACTIONS(6360), 1,
      anon_sym_or_continue,
    ACTIONS(6362), 1,
      anon_sym_or_break,
    ACTIONS(6364), 1,
      anon_sym_CARET,
    ACTIONS(5586), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(6326), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(6330), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6342), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(6344), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6352), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6346), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(6354), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5584), 27,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_not_in,
  [26785] = 21,
    ACTIONS(6320), 1,
      anon_sym_DASH_GT,
    ACTIONS(6322), 1,
      anon_sym_DOT,
    ACTIONS(6324), 1,
      anon_sym_LBRACK,
    ACTIONS(6332), 1,
      anon_sym_TILDE,
    ACTIONS(6334), 1,
      anon_sym_AMP,
    ACTIONS(6336), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6338), 1,
      anon_sym_or_else,
    ACTIONS(6340), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6348), 1,
      anon_sym_PIPE,
    ACTIONS(6350), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6356), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6326), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(6330), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6342), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(6344), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6352), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5586), 3,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_CARET,
    ACTIONS(6346), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(6354), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5584), 30,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [26891] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4674), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4672), 41,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [26961] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5570), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5568), 40,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [27030] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3979), 20,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
      anon_sym_DOT2,
    ACTIONS(3977), 39,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [27099] = 18,
    ACTIONS(6324), 1,
      anon_sym_LBRACK,
    ACTIONS(6366), 1,
      anon_sym_DASH_GT,
    ACTIONS(6370), 1,
      anon_sym_TILDE,
    ACTIONS(6372), 1,
      anon_sym_AMP,
    ACTIONS(6380), 1,
      anon_sym_PIPE,
    ACTIONS(6382), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6388), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6390), 1,
      anon_sym_DOT,
    ACTIONS(6368), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6374), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(6376), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6384), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6392), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6378), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(6386), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5484), 5,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
    ACTIONS(5482), 30,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [27198] = 16,
    ACTIONS(6324), 1,
      anon_sym_LBRACK,
    ACTIONS(6366), 1,
      anon_sym_DASH_GT,
    ACTIONS(6370), 1,
      anon_sym_TILDE,
    ACTIONS(6372), 1,
      anon_sym_AMP,
    ACTIONS(6380), 1,
      anon_sym_PIPE,
    ACTIONS(6382), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6388), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6390), 1,
      anon_sym_DOT,
    ACTIONS(6368), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6384), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6392), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6378), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(6386), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5484), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
    ACTIONS(5482), 32,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [27293] = 15,
    ACTIONS(6324), 1,
      anon_sym_LBRACK,
    ACTIONS(6366), 1,
      anon_sym_DASH_GT,
    ACTIONS(6370), 1,
      anon_sym_TILDE,
    ACTIONS(6372), 1,
      anon_sym_AMP,
    ACTIONS(6380), 1,
      anon_sym_PIPE,
    ACTIONS(6382), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6388), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6390), 1,
      anon_sym_DOT,
    ACTIONS(6368), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6384), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6392), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6386), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5484), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
    ACTIONS(5482), 35,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [27386] = 14,
    ACTIONS(6324), 1,
      anon_sym_LBRACK,
    ACTIONS(6366), 1,
      anon_sym_DASH_GT,
    ACTIONS(6370), 1,
      anon_sym_TILDE,
    ACTIONS(6372), 1,
      anon_sym_AMP,
    ACTIONS(6382), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6388), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6390), 1,
      anon_sym_DOT,
    ACTIONS(6368), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6384), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6392), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6386), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5484), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_CARET,
    ACTIONS(5482), 35,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [27477] = 7,
    ACTIONS(6249), 1,
      anon_sym_LBRACE,
    ACTIONS(6263), 1,
      sym_uninitialized,
    ACTIONS(6394), 1,
      sym_tag,
    STATE(2682), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3273), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(3269), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [27554] = 11,
    ACTIONS(6324), 1,
      anon_sym_LBRACK,
    ACTIONS(6366), 1,
      anon_sym_DASH_GT,
    ACTIONS(6388), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6390), 1,
      anon_sym_DOT,
    ACTIONS(6368), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6384), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6392), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6386), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5484), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_CARET,
    ACTIONS(5482), 35,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [27639] = 4,
    STATE(2438), 1,
      aux_sym_struct_type_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4482), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4480), 39,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [27710] = 10,
    ACTIONS(6324), 1,
      anon_sym_LBRACK,
    ACTIONS(6366), 1,
      anon_sym_DASH_GT,
    ACTIONS(6388), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6390), 1,
      anon_sym_DOT,
    ACTIONS(6368), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6392), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6386), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5484), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_CARET,
    ACTIONS(5482), 35,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [27793] = 7,
    ACTIONS(6324), 1,
      anon_sym_LBRACK,
    ACTIONS(6366), 1,
      anon_sym_DASH_GT,
    ACTIONS(6390), 1,
      anon_sym_DOT,
    ACTIONS(6392), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5484), 18,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
    ACTIONS(5482), 36,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [27870] = 25,
    ACTIONS(6324), 1,
      anon_sym_LBRACK,
    ACTIONS(6358), 1,
      anon_sym_or_return,
    ACTIONS(6360), 1,
      anon_sym_or_continue,
    ACTIONS(6364), 1,
      anon_sym_CARET,
    ACTIONS(6366), 1,
      anon_sym_DASH_GT,
    ACTIONS(6370), 1,
      anon_sym_TILDE,
    ACTIONS(6372), 1,
      anon_sym_AMP,
    ACTIONS(6380), 1,
      anon_sym_PIPE,
    ACTIONS(6382), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6388), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6390), 1,
      anon_sym_DOT,
    ACTIONS(6396), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6398), 1,
      anon_sym_or_else,
    ACTIONS(6400), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6402), 1,
      anon_sym_or_break,
    ACTIONS(5586), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(6368), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6374), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(6376), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6384), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6392), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6378), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(6386), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5584), 26,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_not_in,
  [27983] = 21,
    ACTIONS(6324), 1,
      anon_sym_LBRACK,
    ACTIONS(6366), 1,
      anon_sym_DASH_GT,
    ACTIONS(6370), 1,
      anon_sym_TILDE,
    ACTIONS(6372), 1,
      anon_sym_AMP,
    ACTIONS(6380), 1,
      anon_sym_PIPE,
    ACTIONS(6382), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6388), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6390), 1,
      anon_sym_DOT,
    ACTIONS(6396), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6398), 1,
      anon_sym_or_else,
    ACTIONS(6400), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6368), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6374), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(6376), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6384), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6392), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5586), 3,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_CARET,
    ACTIONS(6378), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(6386), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5584), 29,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [28088] = 25,
    ACTIONS(6324), 1,
      anon_sym_LBRACK,
    ACTIONS(6358), 1,
      anon_sym_or_return,
    ACTIONS(6360), 1,
      anon_sym_or_continue,
    ACTIONS(6364), 1,
      anon_sym_CARET,
    ACTIONS(6366), 1,
      anon_sym_DASH_GT,
    ACTIONS(6370), 1,
      anon_sym_TILDE,
    ACTIONS(6372), 1,
      anon_sym_AMP,
    ACTIONS(6380), 1,
      anon_sym_PIPE,
    ACTIONS(6382), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6388), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6390), 1,
      anon_sym_DOT,
    ACTIONS(6396), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6398), 1,
      anon_sym_or_else,
    ACTIONS(6400), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6402), 1,
      anon_sym_or_break,
    ACTIONS(5500), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(6368), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6374), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(6376), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6384), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6392), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6378), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(6386), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5498), 26,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_not_in,
  [28201] = 5,
    ACTIONS(6406), 1,
      anon_sym_QMARK,
    ACTIONS(6404), 2,
      anon_sym_if,
      anon_sym_when,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5080), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5078), 37,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_case,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [28274] = 7,
    ACTIONS(6324), 1,
      anon_sym_LBRACK,
    ACTIONS(6366), 1,
      anon_sym_DASH_GT,
    ACTIONS(6390), 1,
      anon_sym_DOT,
    ACTIONS(6392), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5512), 18,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
    ACTIONS(5510), 36,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [28351] = 4,
    STATE(2438), 1,
      aux_sym_struct_type_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4628), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4626), 39,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [28422] = 7,
    ACTIONS(6249), 1,
      anon_sym_LBRACE,
    ACTIONS(6408), 1,
      sym_uninitialized,
    ACTIONS(6410), 1,
      sym_tag,
    STATE(2687), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4527), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4525), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [28499] = 7,
    ACTIONS(6324), 1,
      anon_sym_LBRACK,
    ACTIONS(6366), 1,
      anon_sym_DASH_GT,
    ACTIONS(6390), 1,
      anon_sym_DOT,
    ACTIONS(6392), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5124), 18,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
    ACTIONS(5122), 36,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [28576] = 7,
    ACTIONS(6249), 1,
      anon_sym_LBRACE,
    ACTIONS(6259), 1,
      sym_uninitialized,
    ACTIONS(6261), 1,
      sym_tag,
    STATE(2680), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3303), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(3299), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [28653] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5570), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5568), 40,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [28722] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5570), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5568), 40,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [28791] = 7,
    ACTIONS(6249), 1,
      anon_sym_LBRACE,
    ACTIONS(6267), 1,
      sym_uninitialized,
    ACTIONS(6271), 1,
      sym_tag,
    STATE(2683), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3859), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(3857), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [28868] = 7,
    ACTIONS(6324), 1,
      anon_sym_LBRACK,
    ACTIONS(6366), 1,
      anon_sym_DASH_GT,
    ACTIONS(6390), 1,
      anon_sym_DOT,
    ACTIONS(6392), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5144), 18,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
    ACTIONS(5142), 36,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [28945] = 7,
    ACTIONS(6249), 1,
      anon_sym_LBRACE,
    ACTIONS(6279), 1,
      sym_uninitialized,
    ACTIONS(6281), 1,
      sym_tag,
    STATE(2686), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3293), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(3291), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [29022] = 26,
    ACTIONS(6324), 1,
      anon_sym_LBRACK,
    ACTIONS(6358), 1,
      anon_sym_or_return,
    ACTIONS(6360), 1,
      anon_sym_or_continue,
    ACTIONS(6364), 1,
      anon_sym_CARET,
    ACTIONS(6366), 1,
      anon_sym_DASH_GT,
    ACTIONS(6370), 1,
      anon_sym_TILDE,
    ACTIONS(6372), 1,
      anon_sym_AMP,
    ACTIONS(6380), 1,
      anon_sym_PIPE,
    ACTIONS(6382), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6388), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6390), 1,
      anon_sym_DOT,
    ACTIONS(6396), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6398), 1,
      anon_sym_or_else,
    ACTIONS(6400), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6402), 1,
      anon_sym_or_break,
    ACTIONS(5478), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(6368), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6374), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(6376), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6384), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6392), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(6412), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6378), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(6386), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5476), 24,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_when,
      anon_sym_case,
      anon_sym_QMARK,
  [29137] = 4,
    ACTIONS(6309), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(67), 39,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [29208] = 7,
    ACTIONS(6309), 1,
      anon_sym_LPAREN,
    ACTIONS(6406), 1,
      anon_sym_QMARK,
    ACTIONS(6404), 2,
      anon_sym_if,
      anon_sym_when,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6318), 4,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_case,
    ACTIONS(71), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(67), 32,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_in,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [29285] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(199), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(197), 40,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [29354] = 7,
    ACTIONS(6249), 1,
      anon_sym_LBRACE,
    ACTIONS(6273), 1,
      sym_uninitialized,
    ACTIONS(6277), 1,
      sym_tag,
    STATE(2685), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3283), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(3281), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [29431] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5606), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5604), 40,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [29500] = 9,
    ACTIONS(6324), 1,
      anon_sym_LBRACK,
    ACTIONS(6366), 1,
      anon_sym_DASH_GT,
    ACTIONS(6388), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6390), 1,
      anon_sym_DOT,
    ACTIONS(6392), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6386), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5484), 15,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_CARET,
    ACTIONS(5482), 35,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [29581] = 7,
    ACTIONS(6324), 1,
      anon_sym_LBRACK,
    ACTIONS(6366), 1,
      anon_sym_DASH_GT,
    ACTIONS(6390), 1,
      anon_sym_DOT,
    ACTIONS(6392), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5562), 18,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
    ACTIONS(5560), 36,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [29658] = 4,
    STATE(2438), 1,
      aux_sym_struct_type_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4521), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4519), 39,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [29729] = 13,
    ACTIONS(6324), 1,
      anon_sym_LBRACK,
    ACTIONS(6366), 1,
      anon_sym_DASH_GT,
    ACTIONS(6372), 1,
      anon_sym_AMP,
    ACTIONS(6382), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6388), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6390), 1,
      anon_sym_DOT,
    ACTIONS(6368), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6384), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6392), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6386), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5484), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_TILDE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_CARET,
    ACTIONS(5482), 35,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [29818] = 12,
    ACTIONS(6324), 1,
      anon_sym_LBRACK,
    ACTIONS(6366), 1,
      anon_sym_DASH_GT,
    ACTIONS(6382), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6388), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6390), 1,
      anon_sym_DOT,
    ACTIONS(6368), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6384), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6392), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6386), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5484), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_CARET,
    ACTIONS(5482), 35,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [29905] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5606), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5604), 40,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [29974] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5606), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5604), 40,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [30043] = 19,
    ACTIONS(6324), 1,
      anon_sym_LBRACK,
    ACTIONS(6366), 1,
      anon_sym_DASH_GT,
    ACTIONS(6370), 1,
      anon_sym_TILDE,
    ACTIONS(6372), 1,
      anon_sym_AMP,
    ACTIONS(6380), 1,
      anon_sym_PIPE,
    ACTIONS(6382), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6388), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6390), 1,
      anon_sym_DOT,
    ACTIONS(6400), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6368), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6374), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(6376), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6384), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6392), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6378), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(6386), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5484), 4,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(5482), 30,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [30144] = 5,
    ACTIONS(6414), 1,
      anon_sym_LBRACE,
    STATE(2438), 1,
      aux_sym_struct_type_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4499), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4497), 38,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [30217] = 4,
    ACTIONS(6417), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4400), 28,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
    ACTIONS(4398), 29,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
  [30287] = 5,
    ACTIONS(6419), 1,
      sym_identifier,
    ACTIONS(6421), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(67), 28,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(71), 28,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [30359] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4778), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4776), 39,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [30427] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4782), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4780), 39,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [30495] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4716), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4714), 39,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [30563] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4720), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4718), 39,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [30631] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4724), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4722), 39,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [30699] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4786), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4784), 39,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [30767] = 32,
    ACTIONS(615), 1,
      anon_sym_LBRACE,
    ACTIONS(645), 1,
      anon_sym_DQUOTE,
    ACTIONS(647), 1,
      anon_sym_BQUOTE,
    ACTIONS(649), 1,
      anon_sym_SQUOTE,
    ACTIONS(653), 1,
      sym_nil,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6423), 1,
      sym_identifier,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6429), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6435), 1,
      anon_sym_map,
    ACTIONS(6437), 1,
      anon_sym_bit_set,
    ACTIONS(6439), 1,
      anon_sym_matrix,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    STATE(3279), 1,
      sym_procedure,
    STATE(6715), 1,
      sym_type,
    STATE(7230), 1,
      sym_literal,
    STATE(7807), 1,
      sym_field_identifier,
    ACTIONS(651), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3892), 2,
      sym__string_literal,
      sym__raw_string_literal,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(643), 3,
      sym_float,
      sym_number,
      sym_uninitialized,
    STATE(3858), 7,
      sym_struct,
      sym_map,
      sym_bit_set,
      sym_matrix,
      sym_string,
      sym_character,
      sym_boolean,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [30893] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4499), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4497), 39,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [30961] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4728), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4726), 39,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [31029] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4732), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4730), 39,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [31097] = 32,
    ACTIONS(615), 1,
      anon_sym_LBRACE,
    ACTIONS(645), 1,
      anon_sym_DQUOTE,
    ACTIONS(647), 1,
      anon_sym_BQUOTE,
    ACTIONS(649), 1,
      anon_sym_SQUOTE,
    ACTIONS(653), 1,
      sym_nil,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6423), 1,
      sym_identifier,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6429), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6435), 1,
      anon_sym_map,
    ACTIONS(6437), 1,
      anon_sym_bit_set,
    ACTIONS(6439), 1,
      anon_sym_matrix,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    STATE(3279), 1,
      sym_procedure,
    STATE(6742), 1,
      sym_type,
    STATE(7338), 1,
      sym_literal,
    STATE(7807), 1,
      sym_field_identifier,
    ACTIONS(651), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3892), 2,
      sym__string_literal,
      sym__raw_string_literal,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(643), 3,
      sym_float,
      sym_number,
      sym_uninitialized,
    STATE(3858), 7,
      sym_struct,
      sym_map,
      sym_bit_set,
      sym_matrix,
      sym_string,
      sym_character,
      sym_boolean,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [31223] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5590), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5588), 39,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [31291] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4678), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4676), 39,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [31359] = 32,
    ACTIONS(615), 1,
      anon_sym_LBRACE,
    ACTIONS(645), 1,
      anon_sym_DQUOTE,
    ACTIONS(647), 1,
      anon_sym_BQUOTE,
    ACTIONS(649), 1,
      anon_sym_SQUOTE,
    ACTIONS(653), 1,
      sym_nil,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6423), 1,
      sym_identifier,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6429), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6435), 1,
      anon_sym_map,
    ACTIONS(6437), 1,
      anon_sym_bit_set,
    ACTIONS(6439), 1,
      anon_sym_matrix,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    STATE(3279), 1,
      sym_procedure,
    STATE(6786), 1,
      sym_type,
    STATE(7484), 1,
      sym_literal,
    STATE(7807), 1,
      sym_field_identifier,
    ACTIONS(651), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3892), 2,
      sym__string_literal,
      sym__raw_string_literal,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(643), 3,
      sym_float,
      sym_number,
      sym_uninitialized,
    STATE(3858), 7,
      sym_struct,
      sym_map,
      sym_bit_set,
      sym_matrix,
      sym_string,
      sym_character,
      sym_boolean,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [31485] = 32,
    ACTIONS(615), 1,
      anon_sym_LBRACE,
    ACTIONS(645), 1,
      anon_sym_DQUOTE,
    ACTIONS(647), 1,
      anon_sym_BQUOTE,
    ACTIONS(649), 1,
      anon_sym_SQUOTE,
    ACTIONS(653), 1,
      sym_nil,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6423), 1,
      sym_identifier,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6429), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6435), 1,
      anon_sym_map,
    ACTIONS(6437), 1,
      anon_sym_bit_set,
    ACTIONS(6439), 1,
      anon_sym_matrix,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    STATE(3279), 1,
      sym_procedure,
    STATE(6648), 1,
      sym_type,
    STATE(7593), 1,
      sym_literal,
    STATE(7807), 1,
      sym_field_identifier,
    ACTIONS(651), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3892), 2,
      sym__string_literal,
      sym__raw_string_literal,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(643), 3,
      sym_float,
      sym_number,
      sym_uninitialized,
    STATE(3858), 7,
      sym_struct,
      sym_map,
      sym_bit_set,
      sym_matrix,
      sym_string,
      sym_character,
      sym_boolean,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [31611] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4706), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4704), 39,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [31679] = 32,
    ACTIONS(615), 1,
      anon_sym_LBRACE,
    ACTIONS(645), 1,
      anon_sym_DQUOTE,
    ACTIONS(647), 1,
      anon_sym_BQUOTE,
    ACTIONS(649), 1,
      anon_sym_SQUOTE,
    ACTIONS(653), 1,
      sym_nil,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6423), 1,
      sym_identifier,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6429), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6435), 1,
      anon_sym_map,
    ACTIONS(6437), 1,
      anon_sym_bit_set,
    ACTIONS(6439), 1,
      anon_sym_matrix,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    STATE(3279), 1,
      sym_procedure,
    STATE(6831), 1,
      sym_type,
    STATE(7632), 1,
      sym_literal,
    STATE(7807), 1,
      sym_field_identifier,
    ACTIONS(651), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3892), 2,
      sym__string_literal,
      sym__raw_string_literal,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(643), 3,
      sym_float,
      sym_number,
      sym_uninitialized,
    STATE(3858), 7,
      sym_struct,
      sym_map,
      sym_bit_set,
      sym_matrix,
      sym_string,
      sym_character,
      sym_boolean,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [31805] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5556), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5554), 39,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [31873] = 32,
    ACTIONS(615), 1,
      anon_sym_LBRACE,
    ACTIONS(645), 1,
      anon_sym_DQUOTE,
    ACTIONS(647), 1,
      anon_sym_BQUOTE,
    ACTIONS(649), 1,
      anon_sym_SQUOTE,
    ACTIONS(653), 1,
      sym_nil,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6423), 1,
      sym_identifier,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6429), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6435), 1,
      anon_sym_map,
    ACTIONS(6437), 1,
      anon_sym_bit_set,
    ACTIONS(6439), 1,
      anon_sym_matrix,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    STATE(3279), 1,
      sym_procedure,
    STATE(6869), 1,
      sym_type,
    STATE(7807), 1,
      sym_field_identifier,
    STATE(7868), 1,
      sym_literal,
    ACTIONS(651), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3892), 2,
      sym__string_literal,
      sym__raw_string_literal,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(643), 3,
      sym_float,
      sym_number,
      sym_uninitialized,
    STATE(3858), 7,
      sym_struct,
      sym_map,
      sym_bit_set,
      sym_matrix,
      sym_string,
      sym_character,
      sym_boolean,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [31999] = 32,
    ACTIONS(615), 1,
      anon_sym_LBRACE,
    ACTIONS(645), 1,
      anon_sym_DQUOTE,
    ACTIONS(647), 1,
      anon_sym_BQUOTE,
    ACTIONS(649), 1,
      anon_sym_SQUOTE,
    ACTIONS(653), 1,
      sym_nil,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6423), 1,
      sym_identifier,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6429), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6435), 1,
      anon_sym_map,
    ACTIONS(6437), 1,
      anon_sym_bit_set,
    ACTIONS(6439), 1,
      anon_sym_matrix,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    STATE(3279), 1,
      sym_procedure,
    STATE(6858), 1,
      sym_type,
    STATE(7748), 1,
      sym_literal,
    STATE(7807), 1,
      sym_field_identifier,
    ACTIONS(651), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3892), 2,
      sym__string_literal,
      sym__raw_string_literal,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(643), 3,
      sym_float,
      sym_number,
      sym_uninitialized,
    STATE(3858), 7,
      sym_struct,
      sym_map,
      sym_bit_set,
      sym_matrix,
      sym_string,
      sym_character,
      sym_boolean,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [32125] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4790), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4788), 39,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [32193] = 32,
    ACTIONS(615), 1,
      anon_sym_LBRACE,
    ACTIONS(645), 1,
      anon_sym_DQUOTE,
    ACTIONS(647), 1,
      anon_sym_BQUOTE,
    ACTIONS(649), 1,
      anon_sym_SQUOTE,
    ACTIONS(653), 1,
      sym_nil,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6423), 1,
      sym_identifier,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6429), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6435), 1,
      anon_sym_map,
    ACTIONS(6437), 1,
      anon_sym_bit_set,
    ACTIONS(6439), 1,
      anon_sym_matrix,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    STATE(3279), 1,
      sym_procedure,
    STATE(6841), 1,
      sym_type,
    STATE(7691), 1,
      sym_literal,
    STATE(7807), 1,
      sym_field_identifier,
    ACTIONS(651), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3892), 2,
      sym__string_literal,
      sym__raw_string_literal,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(643), 3,
      sym_float,
      sym_number,
      sym_uninitialized,
    STATE(3858), 7,
      sym_struct,
      sym_map,
      sym_bit_set,
      sym_matrix,
      sym_string,
      sym_character,
      sym_boolean,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [32319] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3303), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(3299), 39,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [32387] = 32,
    ACTIONS(615), 1,
      anon_sym_LBRACE,
    ACTIONS(645), 1,
      anon_sym_DQUOTE,
    ACTIONS(647), 1,
      anon_sym_BQUOTE,
    ACTIONS(649), 1,
      anon_sym_SQUOTE,
    ACTIONS(653), 1,
      sym_nil,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6423), 1,
      sym_identifier,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6429), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6435), 1,
      anon_sym_map,
    ACTIONS(6437), 1,
      anon_sym_bit_set,
    ACTIONS(6439), 1,
      anon_sym_matrix,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    STATE(3279), 1,
      sym_procedure,
    STATE(6762), 1,
      sym_type,
    STATE(7417), 1,
      sym_literal,
    STATE(7807), 1,
      sym_field_identifier,
    ACTIONS(651), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3892), 2,
      sym__string_literal,
      sym__raw_string_literal,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(643), 3,
      sym_float,
      sym_number,
      sym_uninitialized,
    STATE(3858), 7,
      sym_struct,
      sym_map,
      sym_bit_set,
      sym_matrix,
      sym_string,
      sym_character,
      sym_boolean,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [32513] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(857), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(855), 39,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [32581] = 32,
    ACTIONS(615), 1,
      anon_sym_LBRACE,
    ACTIONS(645), 1,
      anon_sym_DQUOTE,
    ACTIONS(647), 1,
      anon_sym_BQUOTE,
    ACTIONS(649), 1,
      anon_sym_SQUOTE,
    ACTIONS(653), 1,
      sym_nil,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6423), 1,
      sym_identifier,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6429), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6435), 1,
      anon_sym_map,
    ACTIONS(6437), 1,
      anon_sym_bit_set,
    ACTIONS(6439), 1,
      anon_sym_matrix,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    STATE(3279), 1,
      sym_procedure,
    STATE(6754), 1,
      sym_type,
    STATE(7753), 1,
      sym_literal,
    STATE(7807), 1,
      sym_field_identifier,
    ACTIONS(651), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3892), 2,
      sym__string_literal,
      sym__raw_string_literal,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(643), 3,
      sym_float,
      sym_number,
      sym_uninitialized,
    STATE(3858), 7,
      sym_struct,
      sym_map,
      sym_bit_set,
      sym_matrix,
      sym_string,
      sym_character,
      sym_boolean,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [32707] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3273), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(3269), 39,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [32775] = 32,
    ACTIONS(615), 1,
      anon_sym_LBRACE,
    ACTIONS(645), 1,
      anon_sym_DQUOTE,
    ACTIONS(647), 1,
      anon_sym_BQUOTE,
    ACTIONS(649), 1,
      anon_sym_SQUOTE,
    ACTIONS(653), 1,
      sym_nil,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6423), 1,
      sym_identifier,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6429), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6435), 1,
      anon_sym_map,
    ACTIONS(6437), 1,
      anon_sym_bit_set,
    ACTIONS(6439), 1,
      anon_sym_matrix,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    STATE(3279), 1,
      sym_procedure,
    STATE(6652), 1,
      sym_type,
    STATE(7649), 1,
      sym_literal,
    STATE(7807), 1,
      sym_field_identifier,
    ACTIONS(651), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3892), 2,
      sym__string_literal,
      sym__raw_string_literal,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(643), 3,
      sym_float,
      sym_number,
      sym_uninitialized,
    STATE(3858), 7,
      sym_struct,
      sym_map,
      sym_bit_set,
      sym_matrix,
      sym_string,
      sym_character,
      sym_boolean,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [32901] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4738), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4736), 39,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [32969] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(836), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(833), 39,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [33037] = 32,
    ACTIONS(615), 1,
      anon_sym_LBRACE,
    ACTIONS(645), 1,
      anon_sym_DQUOTE,
    ACTIONS(647), 1,
      anon_sym_BQUOTE,
    ACTIONS(649), 1,
      anon_sym_SQUOTE,
    ACTIONS(653), 1,
      sym_nil,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6423), 1,
      sym_identifier,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6429), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6435), 1,
      anon_sym_map,
    ACTIONS(6437), 1,
      anon_sym_bit_set,
    ACTIONS(6439), 1,
      anon_sym_matrix,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    STATE(3279), 1,
      sym_procedure,
    STATE(6678), 1,
      sym_type,
    STATE(7132), 1,
      sym_literal,
    STATE(7807), 1,
      sym_field_identifier,
    ACTIONS(651), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3892), 2,
      sym__string_literal,
      sym__raw_string_literal,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(643), 3,
      sym_float,
      sym_number,
      sym_uninitialized,
    STATE(3858), 7,
      sym_struct,
      sym_map,
      sym_bit_set,
      sym_matrix,
      sym_string,
      sym_character,
      sym_boolean,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [33163] = 32,
    ACTIONS(615), 1,
      anon_sym_LBRACE,
    ACTIONS(645), 1,
      anon_sym_DQUOTE,
    ACTIONS(647), 1,
      anon_sym_BQUOTE,
    ACTIONS(649), 1,
      anon_sym_SQUOTE,
    ACTIONS(653), 1,
      sym_nil,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6423), 1,
      sym_identifier,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6429), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6435), 1,
      anon_sym_map,
    ACTIONS(6437), 1,
      anon_sym_bit_set,
    ACTIONS(6439), 1,
      anon_sym_matrix,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    STATE(3279), 1,
      sym_procedure,
    STATE(6710), 1,
      sym_type,
    STATE(7221), 1,
      sym_literal,
    STATE(7807), 1,
      sym_field_identifier,
    ACTIONS(651), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3892), 2,
      sym__string_literal,
      sym__raw_string_literal,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(643), 3,
      sym_float,
      sym_number,
      sym_uninitialized,
    STATE(3858), 7,
      sym_struct,
      sym_map,
      sym_bit_set,
      sym_matrix,
      sym_string,
      sym_character,
      sym_boolean,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [33289] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3859), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(3857), 39,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [33357] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(778), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(773), 39,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [33425] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3283), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(3281), 39,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [33493] = 6,
    ACTIONS(6249), 1,
      anon_sym_LBRACE,
    ACTIONS(6445), 1,
      sym_uninitialized,
    STATE(2688), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4535), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4533), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [33567] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4742), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4740), 39,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [33635] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3293), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(3291), 39,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [33703] = 32,
    ACTIONS(615), 1,
      anon_sym_LBRACE,
    ACTIONS(645), 1,
      anon_sym_DQUOTE,
    ACTIONS(647), 1,
      anon_sym_BQUOTE,
    ACTIONS(649), 1,
      anon_sym_SQUOTE,
    ACTIONS(653), 1,
      sym_nil,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6423), 1,
      sym_identifier,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6429), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6435), 1,
      anon_sym_map,
    ACTIONS(6437), 1,
      anon_sym_bit_set,
    ACTIONS(6439), 1,
      anon_sym_matrix,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    STATE(3279), 1,
      sym_procedure,
    STATE(6667), 1,
      sym_type,
    STATE(7092), 1,
      sym_literal,
    STATE(7807), 1,
      sym_field_identifier,
    ACTIONS(651), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3892), 2,
      sym__string_literal,
      sym__raw_string_literal,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(643), 3,
      sym_float,
      sym_number,
      sym_uninitialized,
    STATE(3858), 7,
      sym_struct,
      sym_map,
      sym_bit_set,
      sym_matrix,
      sym_string,
      sym_character,
      sym_boolean,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [33829] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4535), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4533), 39,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [33897] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4682), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4680), 39,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [33965] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4746), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4744), 39,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [34033] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4800), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4798), 39,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [34101] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(895), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(893), 39,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [34169] = 5,
    ACTIONS(6447), 1,
      anon_sym_LPAREN,
    ACTIONS(6449), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4750), 18,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4748), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [34241] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(911), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(909), 39,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [34309] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4795), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4792), 39,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [34377] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4754), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4752), 39,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [34445] = 32,
    ACTIONS(615), 1,
      anon_sym_LBRACE,
    ACTIONS(645), 1,
      anon_sym_DQUOTE,
    ACTIONS(647), 1,
      anon_sym_BQUOTE,
    ACTIONS(649), 1,
      anon_sym_SQUOTE,
    ACTIONS(653), 1,
      sym_nil,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6423), 1,
      sym_identifier,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6429), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6435), 1,
      anon_sym_map,
    ACTIONS(6437), 1,
      anon_sym_bit_set,
    ACTIONS(6439), 1,
      anon_sym_matrix,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    STATE(3279), 1,
      sym_procedure,
    STATE(6654), 1,
      sym_type,
    STATE(7669), 1,
      sym_literal,
    STATE(7807), 1,
      sym_field_identifier,
    ACTIONS(651), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3892), 2,
      sym__string_literal,
      sym__raw_string_literal,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(643), 3,
      sym_float,
      sym_number,
      sym_uninitialized,
    STATE(3858), 7,
      sym_struct,
      sym_map,
      sym_bit_set,
      sym_matrix,
      sym_string,
      sym_character,
      sym_boolean,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [34571] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4758), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4756), 39,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [34639] = 6,
    ACTIONS(6249), 1,
      anon_sym_LBRACE,
    ACTIONS(6279), 1,
      sym_uninitialized,
    STATE(2686), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3293), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(3291), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [34713] = 6,
    ACTIONS(6249), 1,
      anon_sym_LBRACE,
    ACTIONS(6408), 1,
      sym_uninitialized,
    STATE(2687), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4527), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4525), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [34787] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4762), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4760), 39,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [34855] = 6,
    ACTIONS(6451), 1,
      anon_sym_LBRACE,
    ACTIONS(6454), 1,
      anon_sym_LPAREN,
    STATE(6917), 1,
      aux_sym_field_identifier_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4512), 36,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [34929] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4766), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4764), 39,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [34997] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4686), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4684), 39,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [35065] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3417), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(3415), 39,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [35133] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5074), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5072), 39,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [35201] = 5,
    ACTIONS(6447), 1,
      anon_sym_LPAREN,
    ACTIONS(6449), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4690), 18,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4688), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [35273] = 6,
    ACTIONS(6249), 1,
      anon_sym_LBRACE,
    ACTIONS(6273), 1,
      sym_uninitialized,
    STATE(2685), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3283), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(3281), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [35347] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5450), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5448), 39,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [35415] = 32,
    ACTIONS(615), 1,
      anon_sym_LBRACE,
    ACTIONS(645), 1,
      anon_sym_DQUOTE,
    ACTIONS(647), 1,
      anon_sym_BQUOTE,
    ACTIONS(649), 1,
      anon_sym_SQUOTE,
    ACTIONS(653), 1,
      sym_nil,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6423), 1,
      sym_identifier,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6429), 1,
      anon_sym_LBRACK,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6435), 1,
      anon_sym_map,
    ACTIONS(6437), 1,
      anon_sym_bit_set,
    ACTIONS(6439), 1,
      anon_sym_matrix,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    STATE(3279), 1,
      sym_procedure,
    STATE(6631), 1,
      sym_type,
    STATE(7379), 1,
      sym_literal,
    STATE(7807), 1,
      sym_field_identifier,
    ACTIONS(651), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3892), 2,
      sym__string_literal,
      sym__raw_string_literal,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(643), 3,
      sym_float,
      sym_number,
      sym_uninitialized,
    STATE(3858), 7,
      sym_struct,
      sym_map,
      sym_bit_set,
      sym_matrix,
      sym_string,
      sym_character,
      sym_boolean,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [35541] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4694), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4692), 39,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [35609] = 5,
    ACTIONS(6447), 1,
      anon_sym_LPAREN,
    ACTIONS(6449), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4698), 18,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4696), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [35681] = 5,
    ACTIONS(6447), 1,
      anon_sym_LPAREN,
    ACTIONS(6449), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4702), 18,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4700), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [35753] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4770), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4768), 39,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [35821] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5508), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5506), 39,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [35889] = 6,
    ACTIONS(6249), 1,
      anon_sym_LBRACE,
    ACTIONS(6259), 1,
      sym_uninitialized,
    STATE(2680), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3303), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(3299), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [35963] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4774), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4772), 39,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [36031] = 6,
    ACTIONS(6249), 1,
      anon_sym_LBRACE,
    ACTIONS(6263), 1,
      sym_uninitialized,
    STATE(2682), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3273), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(3269), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [36105] = 5,
    ACTIONS(6447), 1,
      anon_sym_LPAREN,
    ACTIONS(6449), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4712), 18,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4710), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [36177] = 6,
    ACTIONS(6249), 1,
      anon_sym_LBRACE,
    ACTIONS(6267), 1,
      sym_uninitialized,
    STATE(2683), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3859), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(3857), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [36251] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4527), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4525), 39,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [36319] = 5,
    ACTIONS(6457), 1,
      anon_sym_DOT2,
    STATE(2563), 1,
      aux_sym_field_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3417), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(3415), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [36390] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5280), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5278), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [36457] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5614), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5612), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [36524] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5618), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5616), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [36591] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5646), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5644), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [36658] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5442), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5440), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [36725] = 5,
    ACTIONS(6459), 1,
      anon_sym_LBRACE,
    STATE(2438), 1,
      aux_sym_struct_type_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4521), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4519), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [36796] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5446), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5444), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [36863] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5650), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5648), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [36930] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5654), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5652), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [36997] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5658), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5656), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [37064] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4762), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4760), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [37131] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5454), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5452), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [37198] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5120), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5118), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [37265] = 5,
    ACTIONS(6461), 1,
      anon_sym_DOT2,
    STATE(2570), 1,
      aux_sym_field_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3417), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(3415), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [37336] = 5,
    ACTIONS(6459), 1,
      anon_sym_LBRACE,
    STATE(2438), 1,
      aux_sym_struct_type_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4482), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4480), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [37407] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5662), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5660), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [37474] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5666), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5664), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [37541] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5670), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5668), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [37608] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5674), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5672), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [37675] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5674), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5672), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [37742] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5522), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5520), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [37809] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5458), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5456), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [37876] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5462), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5460), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [37943] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5466), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5464), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [38010] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5678), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5676), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [38077] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5682), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5680), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [38144] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5470), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5468), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [38211] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5474), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5472), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [38278] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5686), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5684), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [38345] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5690), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5688), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [38412] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4634), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4632), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [38479] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4638), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4636), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [38546] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4642), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4640), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [38613] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4646), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4644), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [38680] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4650), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4648), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [38747] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4654), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4652), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [38814] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4658), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4656), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [38881] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4662), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4660), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [38948] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4666), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4664), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [39015] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4670), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4668), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [39082] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4674), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4672), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [39149] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5488), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5486), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [39216] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5492), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5490), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [39283] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5496), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5494), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [39350] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5504), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5502), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [39417] = 6,
    ACTIONS(6447), 1,
      anon_sym_LPAREN,
    ACTIONS(6449), 1,
      anon_sym_SLASH,
    ACTIONS(6463), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4750), 18,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4748), 36,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [39490] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(199), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(197), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [39557] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5544), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5542), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [39624] = 5,
    ACTIONS(6457), 1,
      anon_sym_DOT2,
    STATE(2602), 1,
      aux_sym_field_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3891), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(3889), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [39695] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5548), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5546), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [39762] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5552), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5550), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [39829] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5080), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5078), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [39896] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5096), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5094), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [39963] = 5,
    ACTIONS(6459), 1,
      anon_sym_LBRACE,
    STATE(2438), 1,
      aux_sym_struct_type_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4628), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4626), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [40034] = 6,
    ACTIONS(6465), 1,
      anon_sym_LBRACE,
    ACTIONS(6467), 1,
      anon_sym_LPAREN,
    STATE(6917), 1,
      aux_sym_field_identifier_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4512), 35,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [40107] = 5,
    ACTIONS(6461), 1,
      anon_sym_DOT2,
    STATE(2572), 1,
      aux_sym_field_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3891), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(3889), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [40178] = 5,
    ACTIONS(6419), 1,
      sym_identifier,
    ACTIONS(6470), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(67), 27,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(71), 28,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [40249] = 5,
    ACTIONS(6472), 1,
      anon_sym_DOT2,
    STATE(2572), 1,
      aux_sym_field_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3979), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(3977), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [40320] = 26,
    ACTIONS(6475), 1,
      anon_sym_DASH_GT,
    ACTIONS(6481), 1,
      anon_sym_TILDE,
    ACTIONS(6483), 1,
      anon_sym_AMP,
    ACTIONS(6485), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6487), 1,
      anon_sym_or_else,
    ACTIONS(6489), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6497), 1,
      anon_sym_PIPE,
    ACTIONS(6499), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6505), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6507), 1,
      anon_sym_DOT,
    ACTIONS(6509), 1,
      anon_sym_LBRACK,
    ACTIONS(6513), 1,
      anon_sym_or_return,
    ACTIONS(6515), 1,
      anon_sym_or_continue,
    ACTIONS(6517), 1,
      anon_sym_or_break,
    ACTIONS(6519), 1,
      anon_sym_CARET,
    ACTIONS(5478), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(6477), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(6479), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6491), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(6493), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6501), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6511), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6495), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(6503), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5476), 22,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_QMARK,
  [40433] = 9,
    ACTIONS(6475), 1,
      anon_sym_DASH_GT,
    ACTIONS(6505), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6507), 1,
      anon_sym_DOT,
    ACTIONS(6509), 1,
      anon_sym_LBRACK,
    ACTIONS(6511), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6503), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5484), 15,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_CARET,
    ACTIONS(5482), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [40512] = 13,
    ACTIONS(6475), 1,
      anon_sym_DASH_GT,
    ACTIONS(6483), 1,
      anon_sym_AMP,
    ACTIONS(6499), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6505), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6507), 1,
      anon_sym_DOT,
    ACTIONS(6509), 1,
      anon_sym_LBRACK,
    ACTIONS(6479), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6501), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6511), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6503), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5484), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_TILDE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_CARET,
    ACTIONS(5482), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [40599] = 12,
    ACTIONS(6475), 1,
      anon_sym_DASH_GT,
    ACTIONS(6499), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6505), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6507), 1,
      anon_sym_DOT,
    ACTIONS(6509), 1,
      anon_sym_LBRACK,
    ACTIONS(6479), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6501), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6511), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6503), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5484), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_CARET,
    ACTIONS(5482), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [40684] = 19,
    ACTIONS(6475), 1,
      anon_sym_DASH_GT,
    ACTIONS(6481), 1,
      anon_sym_TILDE,
    ACTIONS(6483), 1,
      anon_sym_AMP,
    ACTIONS(6489), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6497), 1,
      anon_sym_PIPE,
    ACTIONS(6499), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6505), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6507), 1,
      anon_sym_DOT,
    ACTIONS(6509), 1,
      anon_sym_LBRACK,
    ACTIONS(6479), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6491), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(6493), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6501), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6511), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6495), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(6503), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5484), 4,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(5482), 28,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [40783] = 18,
    ACTIONS(6475), 1,
      anon_sym_DASH_GT,
    ACTIONS(6481), 1,
      anon_sym_TILDE,
    ACTIONS(6483), 1,
      anon_sym_AMP,
    ACTIONS(6497), 1,
      anon_sym_PIPE,
    ACTIONS(6499), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6505), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6507), 1,
      anon_sym_DOT,
    ACTIONS(6509), 1,
      anon_sym_LBRACK,
    ACTIONS(6479), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6491), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(6493), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6501), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6511), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6495), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(6503), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5484), 5,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
    ACTIONS(5482), 28,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [40880] = 16,
    ACTIONS(6475), 1,
      anon_sym_DASH_GT,
    ACTIONS(6481), 1,
      anon_sym_TILDE,
    ACTIONS(6483), 1,
      anon_sym_AMP,
    ACTIONS(6497), 1,
      anon_sym_PIPE,
    ACTIONS(6499), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6505), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6507), 1,
      anon_sym_DOT,
    ACTIONS(6509), 1,
      anon_sym_LBRACK,
    ACTIONS(6479), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6501), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6511), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6495), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(6503), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5484), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
    ACTIONS(5482), 30,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [40973] = 15,
    ACTIONS(6475), 1,
      anon_sym_DASH_GT,
    ACTIONS(6481), 1,
      anon_sym_TILDE,
    ACTIONS(6483), 1,
      anon_sym_AMP,
    ACTIONS(6497), 1,
      anon_sym_PIPE,
    ACTIONS(6499), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6505), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6507), 1,
      anon_sym_DOT,
    ACTIONS(6509), 1,
      anon_sym_LBRACK,
    ACTIONS(6479), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6501), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6511), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6503), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5484), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
    ACTIONS(5482), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [41064] = 14,
    ACTIONS(6475), 1,
      anon_sym_DASH_GT,
    ACTIONS(6481), 1,
      anon_sym_TILDE,
    ACTIONS(6483), 1,
      anon_sym_AMP,
    ACTIONS(6499), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6505), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6507), 1,
      anon_sym_DOT,
    ACTIONS(6509), 1,
      anon_sym_LBRACK,
    ACTIONS(6479), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6501), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6511), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6503), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5484), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_CARET,
    ACTIONS(5482), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [41153] = 11,
    ACTIONS(6475), 1,
      anon_sym_DASH_GT,
    ACTIONS(6505), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6507), 1,
      anon_sym_DOT,
    ACTIONS(6509), 1,
      anon_sym_LBRACK,
    ACTIONS(6479), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6501), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6511), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6503), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5484), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_CARET,
    ACTIONS(5482), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [41236] = 10,
    ACTIONS(6475), 1,
      anon_sym_DASH_GT,
    ACTIONS(6505), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6507), 1,
      anon_sym_DOT,
    ACTIONS(6509), 1,
      anon_sym_LBRACK,
    ACTIONS(6479), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6511), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6503), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5484), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_CARET,
    ACTIONS(5482), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [41317] = 7,
    ACTIONS(6475), 1,
      anon_sym_DASH_GT,
    ACTIONS(6507), 1,
      anon_sym_DOT,
    ACTIONS(6509), 1,
      anon_sym_LBRACK,
    ACTIONS(6511), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5484), 18,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
    ACTIONS(5482), 34,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [41392] = 25,
    ACTIONS(6475), 1,
      anon_sym_DASH_GT,
    ACTIONS(6481), 1,
      anon_sym_TILDE,
    ACTIONS(6483), 1,
      anon_sym_AMP,
    ACTIONS(6485), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6487), 1,
      anon_sym_or_else,
    ACTIONS(6489), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6497), 1,
      anon_sym_PIPE,
    ACTIONS(6499), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6505), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6507), 1,
      anon_sym_DOT,
    ACTIONS(6509), 1,
      anon_sym_LBRACK,
    ACTIONS(6513), 1,
      anon_sym_or_return,
    ACTIONS(6515), 1,
      anon_sym_or_continue,
    ACTIONS(6517), 1,
      anon_sym_or_break,
    ACTIONS(6519), 1,
      anon_sym_CARET,
    ACTIONS(5500), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(6479), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6491), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(6493), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6501), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6511), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6495), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(6503), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5498), 24,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_not_in,
  [41503] = 7,
    ACTIONS(6475), 1,
      anon_sym_DASH_GT,
    ACTIONS(6507), 1,
      anon_sym_DOT,
    ACTIONS(6509), 1,
      anon_sym_LBRACK,
    ACTIONS(6511), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5512), 18,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
    ACTIONS(5510), 34,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [41578] = 7,
    ACTIONS(6475), 1,
      anon_sym_DASH_GT,
    ACTIONS(6507), 1,
      anon_sym_DOT,
    ACTIONS(6509), 1,
      anon_sym_LBRACK,
    ACTIONS(6511), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5562), 18,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
    ACTIONS(5560), 34,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [41653] = 25,
    ACTIONS(6475), 1,
      anon_sym_DASH_GT,
    ACTIONS(6481), 1,
      anon_sym_TILDE,
    ACTIONS(6483), 1,
      anon_sym_AMP,
    ACTIONS(6485), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6487), 1,
      anon_sym_or_else,
    ACTIONS(6489), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6497), 1,
      anon_sym_PIPE,
    ACTIONS(6499), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6505), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6507), 1,
      anon_sym_DOT,
    ACTIONS(6509), 1,
      anon_sym_LBRACK,
    ACTIONS(6513), 1,
      anon_sym_or_return,
    ACTIONS(6515), 1,
      anon_sym_or_continue,
    ACTIONS(6517), 1,
      anon_sym_or_break,
    ACTIONS(6519), 1,
      anon_sym_CARET,
    ACTIONS(5586), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(6479), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6491), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(6493), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6501), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6511), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6495), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(6503), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5584), 24,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_not_in,
  [41764] = 21,
    ACTIONS(6475), 1,
      anon_sym_DASH_GT,
    ACTIONS(6481), 1,
      anon_sym_TILDE,
    ACTIONS(6483), 1,
      anon_sym_AMP,
    ACTIONS(6485), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6487), 1,
      anon_sym_or_else,
    ACTIONS(6489), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6497), 1,
      anon_sym_PIPE,
    ACTIONS(6499), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6505), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6507), 1,
      anon_sym_DOT,
    ACTIONS(6509), 1,
      anon_sym_LBRACK,
    ACTIONS(6479), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6491), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(6493), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6501), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6511), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5586), 3,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_CARET,
    ACTIONS(6495), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(6503), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5584), 27,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [41867] = 6,
    ACTIONS(6421), 1,
      anon_sym_LPAREN,
    ACTIONS(6523), 1,
      anon_sym_QMARK,
    ACTIONS(6521), 2,
      anon_sym_if,
      anon_sym_when,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(67), 34,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_in,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [41940] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5104), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5102), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [42007] = 4,
    ACTIONS(6421), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(67), 37,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [42076] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5140), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5138), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [42143] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5566), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5564), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [42210] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5570), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5568), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [42277] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5570), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5568), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [42344] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5574), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5572), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [42411] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5578), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5576), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [42478] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5582), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5580), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [42545] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5160), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5158), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [42612] = 27,
    ACTIONS(6475), 1,
      anon_sym_DASH_GT,
    ACTIONS(6481), 1,
      anon_sym_TILDE,
    ACTIONS(6483), 1,
      anon_sym_AMP,
    ACTIONS(6485), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6487), 1,
      anon_sym_or_else,
    ACTIONS(6489), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6497), 1,
      anon_sym_PIPE,
    ACTIONS(6499), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6505), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6507), 1,
      anon_sym_DOT,
    ACTIONS(6509), 1,
      anon_sym_LBRACK,
    ACTIONS(6513), 1,
      anon_sym_or_return,
    ACTIONS(6515), 1,
      anon_sym_or_continue,
    ACTIONS(6517), 1,
      anon_sym_or_break,
    ACTIONS(6519), 1,
      anon_sym_CARET,
    ACTIONS(5478), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(6477), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(6479), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6491), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(6493), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6501), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6511), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(6525), 2,
      anon_sym_LBRACE,
      anon_sym_do,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6495), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(6503), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5476), 20,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_when,
      anon_sym_QMARK,
  [42727] = 5,
    ACTIONS(6527), 1,
      anon_sym_DOT2,
    STATE(2602), 1,
      aux_sym_field_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3979), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(3977), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [42798] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5594), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5592), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [42865] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5598), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5596), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [42932] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5176), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5174), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [42999] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5180), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5178), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [43066] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5602), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5600), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [43133] = 5,
    ACTIONS(6523), 1,
      anon_sym_QMARK,
    ACTIONS(6521), 2,
      anon_sym_if,
      anon_sym_when,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5080), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5078), 35,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_in,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [43204] = 7,
    ACTIONS(6475), 1,
      anon_sym_DASH_GT,
    ACTIONS(6507), 1,
      anon_sym_DOT,
    ACTIONS(6509), 1,
      anon_sym_LBRACK,
    ACTIONS(6511), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5124), 18,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
    ACTIONS(5122), 34,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [43279] = 7,
    ACTIONS(6475), 1,
      anon_sym_DASH_GT,
    ACTIONS(6507), 1,
      anon_sym_DOT,
    ACTIONS(6509), 1,
      anon_sym_LBRACK,
    ACTIONS(6511), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5144), 18,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
    ACTIONS(5142), 34,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [43354] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5606), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5604), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [43421] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5606), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5604), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [43488] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5610), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5608), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [43555] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5614), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5612), 38,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [43622] = 7,
    ACTIONS(6509), 1,
      anon_sym_LBRACK,
    ACTIONS(6530), 1,
      anon_sym_DASH_GT,
    ACTIONS(6532), 1,
      anon_sym_DOT,
    ACTIONS(6534), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5124), 18,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
    ACTIONS(5122), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [43696] = 25,
    ACTIONS(6509), 1,
      anon_sym_LBRACK,
    ACTIONS(6513), 1,
      anon_sym_or_return,
    ACTIONS(6515), 1,
      anon_sym_or_continue,
    ACTIONS(6519), 1,
      anon_sym_CARET,
    ACTIONS(6530), 1,
      anon_sym_DASH_GT,
    ACTIONS(6532), 1,
      anon_sym_DOT,
    ACTIONS(6538), 1,
      anon_sym_TILDE,
    ACTIONS(6540), 1,
      anon_sym_AMP,
    ACTIONS(6542), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6544), 1,
      anon_sym_or_else,
    ACTIONS(6546), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6554), 1,
      anon_sym_PIPE,
    ACTIONS(6556), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6562), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6564), 1,
      anon_sym_or_break,
    ACTIONS(5500), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(6534), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(6536), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6548), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(6550), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6558), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6552), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(6560), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5498), 23,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_not_in,
  [43806] = 16,
    ACTIONS(6509), 1,
      anon_sym_LBRACK,
    ACTIONS(6530), 1,
      anon_sym_DASH_GT,
    ACTIONS(6532), 1,
      anon_sym_DOT,
    ACTIONS(6538), 1,
      anon_sym_TILDE,
    ACTIONS(6540), 1,
      anon_sym_AMP,
    ACTIONS(6554), 1,
      anon_sym_PIPE,
    ACTIONS(6556), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6562), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6534), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(6536), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6558), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6552), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(6560), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5484), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
    ACTIONS(5482), 29,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [43898] = 7,
    ACTIONS(6566), 1,
      anon_sym_LBRACE,
    ACTIONS(6568), 1,
      sym_uninitialized,
    ACTIONS(6570), 1,
      sym_tag,
    STATE(2849), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3283), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(3281), 29,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [43972] = 6,
    ACTIONS(6566), 1,
      anon_sym_LBRACE,
    ACTIONS(6568), 1,
      sym_uninitialized,
    STATE(2849), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3283), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(3281), 30,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_tag,
  [44044] = 7,
    ACTIONS(6566), 1,
      anon_sym_LBRACE,
    ACTIONS(6572), 1,
      sym_uninitialized,
    ACTIONS(6574), 1,
      sym_tag,
    STATE(2857), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3293), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(3291), 29,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [44118] = 6,
    ACTIONS(6566), 1,
      anon_sym_LBRACE,
    ACTIONS(6572), 1,
      sym_uninitialized,
    STATE(2857), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3293), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(3291), 30,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_tag,
  [44190] = 6,
    ACTIONS(6566), 1,
      anon_sym_LBRACE,
    ACTIONS(6576), 1,
      sym_uninitialized,
    STATE(2862), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4527), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4525), 30,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_tag,
  [44262] = 5,
    ACTIONS(6578), 1,
      anon_sym_LBRACE,
    STATE(2623), 1,
      aux_sym_struct_type_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4499), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4497), 31,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [44332] = 7,
    ACTIONS(6509), 1,
      anon_sym_LBRACK,
    ACTIONS(6530), 1,
      anon_sym_DASH_GT,
    ACTIONS(6532), 1,
      anon_sym_DOT,
    ACTIONS(6534), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5512), 18,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
    ACTIONS(5510), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [44406] = 7,
    ACTIONS(6566), 1,
      anon_sym_LBRACE,
    ACTIONS(6576), 1,
      sym_uninitialized,
    ACTIONS(6581), 1,
      sym_tag,
    STATE(2862), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4527), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4525), 29,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [44480] = 6,
    ACTIONS(6566), 1,
      anon_sym_LBRACE,
    ACTIONS(6583), 1,
      sym_uninitialized,
    STATE(2805), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3303), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(3299), 30,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_tag,
  [44552] = 6,
    ACTIONS(6566), 1,
      anon_sym_LBRACE,
    ACTIONS(6585), 1,
      sym_uninitialized,
    STATE(2866), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4535), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4533), 30,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_tag,
  [44624] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(199), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(197), 37,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [44690] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5522), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5520), 37,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [44756] = 26,
    ACTIONS(6509), 1,
      anon_sym_LBRACK,
    ACTIONS(6513), 1,
      anon_sym_or_return,
    ACTIONS(6515), 1,
      anon_sym_or_continue,
    ACTIONS(6519), 1,
      anon_sym_CARET,
    ACTIONS(6530), 1,
      anon_sym_DASH_GT,
    ACTIONS(6532), 1,
      anon_sym_DOT,
    ACTIONS(6538), 1,
      anon_sym_TILDE,
    ACTIONS(6540), 1,
      anon_sym_AMP,
    ACTIONS(6542), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6544), 1,
      anon_sym_or_else,
    ACTIONS(6546), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6554), 1,
      anon_sym_PIPE,
    ACTIONS(6556), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6562), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6564), 1,
      anon_sym_or_break,
    ACTIONS(5478), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(6534), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(6536), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6548), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(6550), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6558), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6587), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6552), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(6560), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5476), 21,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_do,
      anon_sym_when,
      anon_sym_QMARK,
  [44868] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5570), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5568), 37,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [44934] = 5,
    ACTIONS(6591), 1,
      anon_sym_QMARK,
    ACTIONS(6589), 2,
      anon_sym_if,
      anon_sym_when,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5080), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5078), 34,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_do,
      anon_sym_in,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [45004] = 4,
    STATE(2623), 1,
      aux_sym_struct_type_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4482), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4480), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [45072] = 9,
    ACTIONS(6509), 1,
      anon_sym_LBRACK,
    ACTIONS(6530), 1,
      anon_sym_DASH_GT,
    ACTIONS(6532), 1,
      anon_sym_DOT,
    ACTIONS(6562), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6534), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6560), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5484), 15,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_CARET,
    ACTIONS(5482), 32,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [45150] = 15,
    ACTIONS(6509), 1,
      anon_sym_LBRACK,
    ACTIONS(6530), 1,
      anon_sym_DASH_GT,
    ACTIONS(6532), 1,
      anon_sym_DOT,
    ACTIONS(6538), 1,
      anon_sym_TILDE,
    ACTIONS(6540), 1,
      anon_sym_AMP,
    ACTIONS(6554), 1,
      anon_sym_PIPE,
    ACTIONS(6556), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6562), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6534), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(6536), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6558), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6560), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5484), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
    ACTIONS(5482), 32,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [45240] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5606), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5604), 37,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [45306] = 4,
    ACTIONS(6593), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4762), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4760), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [45374] = 19,
    ACTIONS(6509), 1,
      anon_sym_LBRACK,
    ACTIONS(6530), 1,
      anon_sym_DASH_GT,
    ACTIONS(6532), 1,
      anon_sym_DOT,
    ACTIONS(6538), 1,
      anon_sym_TILDE,
    ACTIONS(6540), 1,
      anon_sym_AMP,
    ACTIONS(6546), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6554), 1,
      anon_sym_PIPE,
    ACTIONS(6556), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6562), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6534), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(6536), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6548), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(6550), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6558), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6552), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(6560), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5484), 4,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(5482), 27,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [45472] = 18,
    ACTIONS(6509), 1,
      anon_sym_LBRACK,
    ACTIONS(6530), 1,
      anon_sym_DASH_GT,
    ACTIONS(6532), 1,
      anon_sym_DOT,
    ACTIONS(6538), 1,
      anon_sym_TILDE,
    ACTIONS(6540), 1,
      anon_sym_AMP,
    ACTIONS(6554), 1,
      anon_sym_PIPE,
    ACTIONS(6556), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6562), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6534), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(6536), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6548), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(6550), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6558), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6552), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(6560), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5484), 5,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
    ACTIONS(5482), 27,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [45568] = 13,
    ACTIONS(6509), 1,
      anon_sym_LBRACK,
    ACTIONS(6530), 1,
      anon_sym_DASH_GT,
    ACTIONS(6532), 1,
      anon_sym_DOT,
    ACTIONS(6540), 1,
      anon_sym_AMP,
    ACTIONS(6556), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6562), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6534), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(6536), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6558), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6560), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5484), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_TILDE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_CARET,
    ACTIONS(5482), 32,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [45654] = 6,
    ACTIONS(6447), 1,
      anon_sym_LPAREN,
    ACTIONS(6449), 1,
      anon_sym_SLASH,
    ACTIONS(6595), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4750), 18,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4748), 35,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [45726] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5570), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5568), 37,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [45792] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5570), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5568), 37,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [45858] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5606), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5604), 37,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [45924] = 6,
    ACTIONS(6566), 1,
      anon_sym_LBRACE,
    ACTIONS(6597), 1,
      sym_uninitialized,
    STATE(2836), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3859), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(3857), 30,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_tag,
  [45996] = 12,
    ACTIONS(6509), 1,
      anon_sym_LBRACK,
    ACTIONS(6530), 1,
      anon_sym_DASH_GT,
    ACTIONS(6532), 1,
      anon_sym_DOT,
    ACTIONS(6556), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6562), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6534), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(6536), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6558), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6560), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5484), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_CARET,
    ACTIONS(5482), 32,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [46080] = 25,
    ACTIONS(6509), 1,
      anon_sym_LBRACK,
    ACTIONS(6513), 1,
      anon_sym_or_return,
    ACTIONS(6515), 1,
      anon_sym_or_continue,
    ACTIONS(6519), 1,
      anon_sym_CARET,
    ACTIONS(6530), 1,
      anon_sym_DASH_GT,
    ACTIONS(6532), 1,
      anon_sym_DOT,
    ACTIONS(6538), 1,
      anon_sym_TILDE,
    ACTIONS(6540), 1,
      anon_sym_AMP,
    ACTIONS(6542), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6544), 1,
      anon_sym_or_else,
    ACTIONS(6546), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6554), 1,
      anon_sym_PIPE,
    ACTIONS(6556), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6562), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6564), 1,
      anon_sym_or_break,
    ACTIONS(5586), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(6534), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(6536), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6548), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(6550), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6558), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6552), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(6560), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5584), 23,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_not_in,
  [46190] = 21,
    ACTIONS(6509), 1,
      anon_sym_LBRACK,
    ACTIONS(6530), 1,
      anon_sym_DASH_GT,
    ACTIONS(6532), 1,
      anon_sym_DOT,
    ACTIONS(6538), 1,
      anon_sym_TILDE,
    ACTIONS(6540), 1,
      anon_sym_AMP,
    ACTIONS(6542), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6544), 1,
      anon_sym_or_else,
    ACTIONS(6546), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6554), 1,
      anon_sym_PIPE,
    ACTIONS(6556), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6562), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6534), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(6536), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6548), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(6550), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6558), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5586), 3,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_CARET,
    ACTIONS(6552), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(6560), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5584), 26,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [46292] = 7,
    ACTIONS(6509), 1,
      anon_sym_LBRACK,
    ACTIONS(6530), 1,
      anon_sym_DASH_GT,
    ACTIONS(6532), 1,
      anon_sym_DOT,
    ACTIONS(6534), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5144), 18,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
    ACTIONS(5142), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [46366] = 14,
    ACTIONS(6509), 1,
      anon_sym_LBRACK,
    ACTIONS(6530), 1,
      anon_sym_DASH_GT,
    ACTIONS(6532), 1,
      anon_sym_DOT,
    ACTIONS(6538), 1,
      anon_sym_TILDE,
    ACTIONS(6540), 1,
      anon_sym_AMP,
    ACTIONS(6556), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6562), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6534), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(6536), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6558), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6560), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5484), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_CARET,
    ACTIONS(5482), 32,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [46454] = 7,
    ACTIONS(6566), 1,
      anon_sym_LBRACE,
    ACTIONS(6583), 1,
      sym_uninitialized,
    ACTIONS(6599), 1,
      sym_tag,
    STATE(2805), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3303), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(3299), 29,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [46528] = 7,
    ACTIONS(6509), 1,
      anon_sym_LBRACK,
    ACTIONS(6530), 1,
      anon_sym_DASH_GT,
    ACTIONS(6532), 1,
      anon_sym_DOT,
    ACTIONS(6534), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5562), 18,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
    ACTIONS(5560), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [46602] = 5,
    ACTIONS(6601), 1,
      sym_identifier,
    ACTIONS(6603), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(67), 27,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(71), 27,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [46672] = 11,
    ACTIONS(6509), 1,
      anon_sym_LBRACK,
    ACTIONS(6530), 1,
      anon_sym_DASH_GT,
    ACTIONS(6532), 1,
      anon_sym_DOT,
    ACTIONS(6562), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6534), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(6536), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6558), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6560), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5484), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_CARET,
    ACTIONS(5482), 32,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [46754] = 6,
    ACTIONS(6470), 1,
      anon_sym_LPAREN,
    ACTIONS(6591), 1,
      anon_sym_QMARK,
    ACTIONS(6589), 2,
      anon_sym_if,
      anon_sym_when,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(67), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_do,
      anon_sym_in,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [46826] = 6,
    ACTIONS(6566), 1,
      anon_sym_LBRACE,
    ACTIONS(6605), 1,
      sym_uninitialized,
    STATE(2821), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3273), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(3269), 30,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_tag,
  [46898] = 7,
    ACTIONS(6566), 1,
      anon_sym_LBRACE,
    ACTIONS(6605), 1,
      sym_uninitialized,
    ACTIONS(6607), 1,
      sym_tag,
    STATE(2821), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3273), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(3269), 29,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [46972] = 4,
    ACTIONS(6609), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4400), 27,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
    ACTIONS(4398), 28,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_QMARK,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
  [47040] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5606), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5604), 37,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [47106] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3979), 20,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
      anon_sym_DOT2,
    ACTIONS(3977), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [47172] = 4,
    STATE(2623), 1,
      aux_sym_struct_type_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4521), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4519), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [47240] = 10,
    ACTIONS(6509), 1,
      anon_sym_LBRACK,
    ACTIONS(6530), 1,
      anon_sym_DASH_GT,
    ACTIONS(6532), 1,
      anon_sym_DOT,
    ACTIONS(6562), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6534), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(6536), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6560), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5484), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_CARET,
    ACTIONS(5482), 32,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [47320] = 7,
    ACTIONS(6509), 1,
      anon_sym_LBRACK,
    ACTIONS(6530), 1,
      anon_sym_DASH_GT,
    ACTIONS(6532), 1,
      anon_sym_DOT,
    ACTIONS(6534), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5484), 18,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
    ACTIONS(5482), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [47394] = 4,
    ACTIONS(6470), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(67), 36,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [47462] = 4,
    STATE(2623), 1,
      aux_sym_struct_type_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4628), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4626), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [47530] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3979), 24,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_DOT2,
      sym_identifier,
    ACTIONS(3977), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [47596] = 7,
    ACTIONS(6566), 1,
      anon_sym_LBRACE,
    ACTIONS(6597), 1,
      sym_uninitialized,
    ACTIONS(6611), 1,
      sym_tag,
    STATE(2836), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3859), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(3857), 29,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [47670] = 6,
    ACTIONS(6613), 1,
      anon_sym_LBRACE,
    ACTIONS(6616), 1,
      anon_sym_LPAREN,
    STATE(6917), 1,
      aux_sym_field_identifier_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4512), 30,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [47742] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4872), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4870), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [47807] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5650), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5648), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [47872] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4800), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4798), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [47937] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(895), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(893), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [48002] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(911), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(909), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [48067] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(895), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(893), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [48132] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4678), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4676), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [48197] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5450), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5448), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [48262] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5508), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5506), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [48327] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3303), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(3299), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [48392] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5556), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5554), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [48457] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3273), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(3269), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [48522] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5590), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5588), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [48587] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3859), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(3857), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [48652] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3283), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(3281), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [48717] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4758), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4756), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [48782] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3293), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(3291), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [48847] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4527), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4525), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [48912] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4535), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4533), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [48977] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4682), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4680), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [49042] = 4,
    ACTIONS(6619), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(67), 31,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [49109] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4948), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4946), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [49174] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(911), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(909), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [49239] = 4,
    ACTIONS(6603), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(67), 35,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [49306] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4795), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4792), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [49371] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4758), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4756), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [49436] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4762), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4760), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [49501] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4686), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4684), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [49566] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3417), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(3415), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [49631] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4694), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4692), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [49696] = 5,
    ACTIONS(6621), 1,
      anon_sym_LPAREN,
    ACTIONS(6623), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4698), 18,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4696), 35,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [49765] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5662), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5660), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [49830] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5666), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5664), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [49895] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4706), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4704), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [49960] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5670), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5668), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [50025] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5674), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5672), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [50090] = 5,
    ACTIONS(6621), 1,
      anon_sym_LPAREN,
    ACTIONS(6623), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4712), 18,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4710), 35,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [50159] = 35,
    ACTIONS(6475), 1,
      anon_sym_DASH_GT,
    ACTIONS(6477), 1,
      anon_sym_not_in,
    ACTIONS(6481), 1,
      anon_sym_TILDE,
    ACTIONS(6483), 1,
      anon_sym_AMP,
    ACTIONS(6485), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6487), 1,
      anon_sym_or_else,
    ACTIONS(6489), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6497), 1,
      anon_sym_PIPE,
    ACTIONS(6499), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6505), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6507), 1,
      anon_sym_DOT,
    ACTIONS(6509), 1,
      anon_sym_LBRACK,
    ACTIONS(6513), 1,
      anon_sym_or_return,
    ACTIONS(6515), 1,
      anon_sym_or_continue,
    ACTIONS(6517), 1,
      anon_sym_or_break,
    ACTIONS(6519), 1,
      anon_sym_CARET,
    ACTIONS(6625), 1,
      anon_sym_LBRACE,
    ACTIONS(6627), 1,
      anon_sym_COMMA,
    ACTIONS(6629), 1,
      anon_sym_EQ,
    ACTIONS(6631), 1,
      anon_sym_COLON_EQ,
    ACTIONS(6633), 1,
      anon_sym_COLON,
    ACTIONS(6637), 1,
      anon_sym_SEMI,
    ACTIONS(6639), 1,
      anon_sym_do,
    ACTIONS(6641), 1,
      anon_sym_in,
    STATE(6088), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    STATE(6760), 1,
      sym_block,
    ACTIONS(6479), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6491), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(6493), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6501), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6511), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6495), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(6503), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6635), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
  [50288] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5674), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5672), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [50353] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5678), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5676), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [50418] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5682), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5680), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [50483] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4716), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4714), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [50548] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4720), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4718), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [50613] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4724), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4722), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [50678] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4728), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4726), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [50743] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(836), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(833), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [50808] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4732), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4730), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [50873] = 7,
    ACTIONS(6245), 1,
      sym_identifier,
    ACTIONS(6309), 1,
      anon_sym_LPAREN,
    ACTIONS(6625), 1,
      anon_sym_LBRACE,
    STATE(6783), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 25,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
    ACTIONS(67), 26,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
  [50946] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4738), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4736), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [51011] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4742), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4740), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [51076] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4746), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4744), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [51141] = 5,
    ACTIONS(6621), 1,
      anon_sym_LPAREN,
    ACTIONS(6623), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4750), 18,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4748), 35,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [51210] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(778), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(773), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [51275] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4754), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4752), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [51340] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4766), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4764), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [51405] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4770), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4768), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [51470] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4774), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4772), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [51535] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4778), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4776), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [51600] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4782), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4780), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [51665] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4786), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4784), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [51730] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5686), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5684), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [51795] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5690), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5688), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [51860] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4790), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4788), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [51925] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4860), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4858), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [51990] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4634), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4632), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [52055] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(857), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(855), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [52120] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4638), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4636), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [52185] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4642), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4640), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [52250] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5450), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5448), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [52315] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4795), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4792), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [52380] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5508), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5506), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [52445] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4499), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4497), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [52510] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5556), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5554), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [52575] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4646), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4644), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [52640] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5074), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5072), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [52705] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4884), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4882), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [52770] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5590), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5588), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [52835] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4650), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4648), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [52900] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5080), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5078), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [52965] = 7,
    ACTIONS(6245), 1,
      sym_identifier,
    ACTIONS(6247), 1,
      anon_sym_LPAREN,
    ACTIONS(6625), 1,
      anon_sym_LBRACE,
    STATE(6783), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 25,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
    ACTIONS(67), 26,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
  [53038] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5096), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5094), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [53103] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4654), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4652), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [53168] = 5,
    ACTIONS(6645), 1,
      anon_sym_QMARK,
    ACTIONS(6643), 2,
      anon_sym_if,
      anon_sym_when,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5080), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5078), 33,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_in,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [53237] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5104), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5102), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [53302] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5120), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5118), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [53367] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4678), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4676), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [53432] = 7,
    ACTIONS(6647), 1,
      anon_sym_DASH_GT,
    ACTIONS(6649), 1,
      anon_sym_DOT,
    ACTIONS(6651), 1,
      anon_sym_LBRACK,
    ACTIONS(6653), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5124), 18,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
    ACTIONS(5122), 32,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [53505] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5140), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5138), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [53570] = 7,
    ACTIONS(6647), 1,
      anon_sym_DASH_GT,
    ACTIONS(6649), 1,
      anon_sym_DOT,
    ACTIONS(6651), 1,
      anon_sym_LBRACK,
    ACTIONS(6653), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5144), 18,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
    ACTIONS(5142), 32,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [53643] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5160), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5158), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [53708] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4686), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4684), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [53773] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3417), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(3415), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [53838] = 5,
    ACTIONS(6621), 1,
      anon_sym_LPAREN,
    ACTIONS(6623), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4690), 18,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4688), 35,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [53907] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5176), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5174), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [53972] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5180), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5178), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [54037] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5280), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5278), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [54102] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5442), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5440), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [54167] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5446), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5444), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [54232] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5454), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5452), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [54297] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4658), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4656), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [54362] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4694), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4692), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [54427] = 5,
    ACTIONS(6621), 1,
      anon_sym_LPAREN,
    ACTIONS(6623), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4702), 18,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4700), 35,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [54496] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5458), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5456), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [54561] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5462), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5460), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [54626] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5466), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5464), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [54691] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5470), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5468), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [54756] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5474), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5472), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [54821] = 26,
    ACTIONS(6647), 1,
      anon_sym_DASH_GT,
    ACTIONS(6649), 1,
      anon_sym_DOT,
    ACTIONS(6651), 1,
      anon_sym_LBRACK,
    ACTIONS(6659), 1,
      anon_sym_TILDE,
    ACTIONS(6661), 1,
      anon_sym_AMP,
    ACTIONS(6663), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6665), 1,
      anon_sym_or_else,
    ACTIONS(6667), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6675), 1,
      anon_sym_PIPE,
    ACTIONS(6677), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6683), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6685), 1,
      anon_sym_or_return,
    ACTIONS(6687), 1,
      anon_sym_or_continue,
    ACTIONS(6689), 1,
      anon_sym_or_break,
    ACTIONS(6691), 1,
      anon_sym_CARET,
    ACTIONS(5478), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(6653), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(6655), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(6657), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6669), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(6671), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6679), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6673), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(6681), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5476), 20,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_QMARK,
  [54932] = 9,
    ACTIONS(6647), 1,
      anon_sym_DASH_GT,
    ACTIONS(6649), 1,
      anon_sym_DOT,
    ACTIONS(6651), 1,
      anon_sym_LBRACK,
    ACTIONS(6683), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6653), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6681), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5484), 15,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_CARET,
    ACTIONS(5482), 31,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [55009] = 13,
    ACTIONS(6647), 1,
      anon_sym_DASH_GT,
    ACTIONS(6649), 1,
      anon_sym_DOT,
    ACTIONS(6651), 1,
      anon_sym_LBRACK,
    ACTIONS(6661), 1,
      anon_sym_AMP,
    ACTIONS(6677), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6683), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6653), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(6657), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6679), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6681), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5484), 9,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_TILDE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_CARET,
    ACTIONS(5482), 31,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [55094] = 12,
    ACTIONS(6647), 1,
      anon_sym_DASH_GT,
    ACTIONS(6649), 1,
      anon_sym_DOT,
    ACTIONS(6651), 1,
      anon_sym_LBRACK,
    ACTIONS(6677), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6683), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6653), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(6657), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6679), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6681), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5484), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_CARET,
    ACTIONS(5482), 31,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [55177] = 19,
    ACTIONS(6647), 1,
      anon_sym_DASH_GT,
    ACTIONS(6649), 1,
      anon_sym_DOT,
    ACTIONS(6651), 1,
      anon_sym_LBRACK,
    ACTIONS(6659), 1,
      anon_sym_TILDE,
    ACTIONS(6661), 1,
      anon_sym_AMP,
    ACTIONS(6667), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6675), 1,
      anon_sym_PIPE,
    ACTIONS(6677), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6683), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6653), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(6657), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6669), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(6671), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6679), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6673), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(6681), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5484), 4,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
    ACTIONS(5482), 26,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [55274] = 18,
    ACTIONS(6647), 1,
      anon_sym_DASH_GT,
    ACTIONS(6649), 1,
      anon_sym_DOT,
    ACTIONS(6651), 1,
      anon_sym_LBRACK,
    ACTIONS(6659), 1,
      anon_sym_TILDE,
    ACTIONS(6661), 1,
      anon_sym_AMP,
    ACTIONS(6675), 1,
      anon_sym_PIPE,
    ACTIONS(6677), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6683), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6653), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(6657), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6669), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(6671), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6679), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6673), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(6681), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5484), 5,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
    ACTIONS(5482), 26,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [55369] = 16,
    ACTIONS(6647), 1,
      anon_sym_DASH_GT,
    ACTIONS(6649), 1,
      anon_sym_DOT,
    ACTIONS(6651), 1,
      anon_sym_LBRACK,
    ACTIONS(6659), 1,
      anon_sym_TILDE,
    ACTIONS(6661), 1,
      anon_sym_AMP,
    ACTIONS(6675), 1,
      anon_sym_PIPE,
    ACTIONS(6677), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6683), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6653), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(6657), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6679), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6673), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(6681), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5484), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
    ACTIONS(5482), 28,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [55460] = 15,
    ACTIONS(6647), 1,
      anon_sym_DASH_GT,
    ACTIONS(6649), 1,
      anon_sym_DOT,
    ACTIONS(6651), 1,
      anon_sym_LBRACK,
    ACTIONS(6659), 1,
      anon_sym_TILDE,
    ACTIONS(6661), 1,
      anon_sym_AMP,
    ACTIONS(6675), 1,
      anon_sym_PIPE,
    ACTIONS(6677), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6683), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6653), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(6657), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6679), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6681), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5484), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_CARET,
    ACTIONS(5482), 31,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [55549] = 14,
    ACTIONS(6647), 1,
      anon_sym_DASH_GT,
    ACTIONS(6649), 1,
      anon_sym_DOT,
    ACTIONS(6651), 1,
      anon_sym_LBRACK,
    ACTIONS(6659), 1,
      anon_sym_TILDE,
    ACTIONS(6661), 1,
      anon_sym_AMP,
    ACTIONS(6677), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6683), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6653), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(6657), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6679), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6681), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5484), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_CARET,
    ACTIONS(5482), 31,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [55636] = 11,
    ACTIONS(6647), 1,
      anon_sym_DASH_GT,
    ACTIONS(6649), 1,
      anon_sym_DOT,
    ACTIONS(6651), 1,
      anon_sym_LBRACK,
    ACTIONS(6683), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6653), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(6657), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6679), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6681), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5484), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_CARET,
    ACTIONS(5482), 31,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [55717] = 10,
    ACTIONS(6647), 1,
      anon_sym_DASH_GT,
    ACTIONS(6649), 1,
      anon_sym_DOT,
    ACTIONS(6651), 1,
      anon_sym_LBRACK,
    ACTIONS(6683), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6653), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(6657), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6681), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5484), 13,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_CARET,
    ACTIONS(5482), 31,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [55796] = 7,
    ACTIONS(6647), 1,
      anon_sym_DASH_GT,
    ACTIONS(6649), 1,
      anon_sym_DOT,
    ACTIONS(6651), 1,
      anon_sym_LBRACK,
    ACTIONS(6653), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5484), 18,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
    ACTIONS(5482), 32,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [55869] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5488), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5486), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [55934] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5492), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5490), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [55999] = 25,
    ACTIONS(6647), 1,
      anon_sym_DASH_GT,
    ACTIONS(6649), 1,
      anon_sym_DOT,
    ACTIONS(6651), 1,
      anon_sym_LBRACK,
    ACTIONS(6659), 1,
      anon_sym_TILDE,
    ACTIONS(6661), 1,
      anon_sym_AMP,
    ACTIONS(6663), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6665), 1,
      anon_sym_or_else,
    ACTIONS(6667), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6675), 1,
      anon_sym_PIPE,
    ACTIONS(6677), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6683), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6685), 1,
      anon_sym_or_return,
    ACTIONS(6687), 1,
      anon_sym_or_continue,
    ACTIONS(6689), 1,
      anon_sym_or_break,
    ACTIONS(6691), 1,
      anon_sym_CARET,
    ACTIONS(5500), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(6653), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(6657), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6669), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(6671), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6679), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6673), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(6681), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5498), 22,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_not_in,
  [56108] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5504), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5502), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [56173] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3303), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(3299), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [56238] = 7,
    ACTIONS(6647), 1,
      anon_sym_DASH_GT,
    ACTIONS(6649), 1,
      anon_sym_DOT,
    ACTIONS(6651), 1,
      anon_sym_LBRACK,
    ACTIONS(6653), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5512), 18,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
    ACTIONS(5510), 32,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [56311] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4706), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4704), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [56376] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(199), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(197), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [56441] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4662), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4660), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [56506] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4666), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4664), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [56571] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4670), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4668), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [56636] = 6,
    ACTIONS(6603), 1,
      anon_sym_LPAREN,
    ACTIONS(6645), 1,
      anon_sym_QMARK,
    ACTIONS(6643), 2,
      anon_sym_if,
      anon_sym_when,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(67), 32,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_in,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [56707] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4674), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4672), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [56772] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5522), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5520), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [56837] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5544), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5542), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [56902] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5548), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5546), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [56967] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5552), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5550), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [57032] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3273), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(3269), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [57097] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4866), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4864), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [57162] = 7,
    ACTIONS(6647), 1,
      anon_sym_DASH_GT,
    ACTIONS(6649), 1,
      anon_sym_DOT,
    ACTIONS(6651), 1,
      anon_sym_LBRACK,
    ACTIONS(6653), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5562), 18,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_CARET,
    ACTIONS(5560), 32,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [57235] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4716), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4714), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [57300] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4720), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4718), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [57365] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4724), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4722), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [57430] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4728), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4726), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [57495] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4732), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4730), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [57560] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5566), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5564), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [57625] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5570), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5568), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [57690] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5570), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5568), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [57755] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5574), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5572), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [57820] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5578), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5576), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [57885] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5582), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5580), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [57950] = 25,
    ACTIONS(6647), 1,
      anon_sym_DASH_GT,
    ACTIONS(6649), 1,
      anon_sym_DOT,
    ACTIONS(6651), 1,
      anon_sym_LBRACK,
    ACTIONS(6659), 1,
      anon_sym_TILDE,
    ACTIONS(6661), 1,
      anon_sym_AMP,
    ACTIONS(6663), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6665), 1,
      anon_sym_or_else,
    ACTIONS(6667), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6675), 1,
      anon_sym_PIPE,
    ACTIONS(6677), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6683), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6685), 1,
      anon_sym_or_return,
    ACTIONS(6687), 1,
      anon_sym_or_continue,
    ACTIONS(6689), 1,
      anon_sym_or_break,
    ACTIONS(6691), 1,
      anon_sym_CARET,
    ACTIONS(5586), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(6653), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(6657), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6669), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(6671), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6679), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6673), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(6681), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5584), 22,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_not_in,
  [58059] = 21,
    ACTIONS(6647), 1,
      anon_sym_DASH_GT,
    ACTIONS(6649), 1,
      anon_sym_DOT,
    ACTIONS(6651), 1,
      anon_sym_LBRACK,
    ACTIONS(6659), 1,
      anon_sym_TILDE,
    ACTIONS(6661), 1,
      anon_sym_AMP,
    ACTIONS(6663), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6665), 1,
      anon_sym_or_else,
    ACTIONS(6667), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6675), 1,
      anon_sym_PIPE,
    ACTIONS(6677), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6683), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6653), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(6657), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6669), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(6671), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6679), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5586), 3,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_CARET,
    ACTIONS(6673), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(6681), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5584), 25,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [58160] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3859), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(3857), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [58225] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5594), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5592), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [58290] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5598), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5596), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [58355] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4738), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4736), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [58420] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4742), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4740), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [58485] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4746), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4744), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [58550] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4754), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4752), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [58615] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5602), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5600), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [58680] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5606), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5604), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [58745] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5606), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5604), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [58810] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5610), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5608), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [58875] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5614), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5612), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [58940] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5614), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5612), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [59005] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5618), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5616), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [59070] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5646), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5644), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [59135] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3283), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(3281), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [59200] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5650), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5648), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [59265] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5654), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5652), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [59330] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5658), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5656), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [59395] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4762), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4760), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [59460] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4766), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4764), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [59525] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4770), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4768), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [59590] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4774), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4772), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [59655] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5662), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5660), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [59720] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5666), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5664), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [59785] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5670), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5668), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [59850] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5674), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5672), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [59915] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5674), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5672), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [59980] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3293), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(3291), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [60045] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5678), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5676), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [60110] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5682), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5680), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [60175] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4778), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4776), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [60240] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4782), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4780), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [60305] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5686), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5684), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [60370] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5690), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5688), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [60435] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4634), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4632), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [60500] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4527), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4525), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [60565] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4638), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4636), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [60630] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4642), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4640), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [60695] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4786), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4784), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [60760] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4646), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4644), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [60825] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4535), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4533), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [60890] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4650), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4648), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [60955] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4654), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4652), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [61020] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4658), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4656), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [61085] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4682), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4680), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [61150] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4662), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4660), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [61215] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4666), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4664), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [61280] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4670), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4668), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [61345] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4674), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4672), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [61410] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5080), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5078), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [61475] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5096), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5094), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [61540] = 5,
    ACTIONS(6619), 1,
      anon_sym_LPAREN,
    ACTIONS(6693), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 22,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
    ACTIONS(67), 31,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [61609] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5104), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5102), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [61674] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5120), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5118), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [61739] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5140), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5138), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [61804] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5160), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5158), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [61869] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5176), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5174), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [61934] = 35,
    ACTIONS(6475), 1,
      anon_sym_DASH_GT,
    ACTIONS(6477), 1,
      anon_sym_not_in,
    ACTIONS(6481), 1,
      anon_sym_TILDE,
    ACTIONS(6483), 1,
      anon_sym_AMP,
    ACTIONS(6485), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6487), 1,
      anon_sym_or_else,
    ACTIONS(6489), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6497), 1,
      anon_sym_PIPE,
    ACTIONS(6499), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6505), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6507), 1,
      anon_sym_DOT,
    ACTIONS(6509), 1,
      anon_sym_LBRACK,
    ACTIONS(6513), 1,
      anon_sym_or_return,
    ACTIONS(6515), 1,
      anon_sym_or_continue,
    ACTIONS(6517), 1,
      anon_sym_or_break,
    ACTIONS(6519), 1,
      anon_sym_CARET,
    ACTIONS(6625), 1,
      anon_sym_LBRACE,
    ACTIONS(6627), 1,
      anon_sym_COMMA,
    ACTIONS(6629), 1,
      anon_sym_EQ,
    ACTIONS(6631), 1,
      anon_sym_COLON_EQ,
    ACTIONS(6633), 1,
      anon_sym_COLON,
    ACTIONS(6641), 1,
      anon_sym_in,
    ACTIONS(6695), 1,
      anon_sym_SEMI,
    ACTIONS(6697), 1,
      anon_sym_do,
    STATE(6088), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    STATE(6760), 1,
      sym_block,
    ACTIONS(6479), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6491), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(6493), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6501), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6511), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6495), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(6503), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6635), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
  [62063] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5180), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5178), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [62128] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5280), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5278), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [62193] = 4,
    ACTIONS(6699), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4400), 22,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
    ACTIONS(4398), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [62260] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5442), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5440), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [62325] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5446), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5444), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [62390] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5454), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5452), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [62455] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4800), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(4798), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [62520] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5658), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5656), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [62585] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4790), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4788), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [62650] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5458), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5456), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [62715] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5462), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5460), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [62780] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5466), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5464), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [62845] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5470), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5468), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [62910] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5474), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5472), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [62975] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5654), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5652), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [63040] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5488), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5486), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [63105] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5492), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5490), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [63170] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5496), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5494), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [63235] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5504), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5502), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [63300] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(857), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(855), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [63365] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(199), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(197), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [63430] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5522), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5520), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [63495] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5544), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5542), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [63560] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5548), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5546), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [63625] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5552), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5550), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [63690] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(836), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(833), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [63755] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5566), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5564), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [63820] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5570), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5568), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [63885] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5570), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5568), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [63950] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5574), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5572), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [64015] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5578), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5576), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [64080] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5582), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5580), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [64145] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5594), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5592), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [64210] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5598), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5596), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [64275] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4762), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4760), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [64340] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(778), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(773), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [64405] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5602), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5600), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [64470] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5606), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5604), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [64535] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5606), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5604), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [64600] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5610), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5608), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [64665] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5614), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5612), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [64730] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5614), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5612), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [64795] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5618), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5616), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [64860] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5646), 23,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5644), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [64925] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5496), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_CARET,
    ACTIONS(5494), 36,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_or_else,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
  [64990] = 11,
    ACTIONS(6566), 1,
      anon_sym_LBRACE,
    ACTIONS(6605), 1,
      sym_uninitialized,
    ACTIONS(6701), 1,
      anon_sym_where,
    ACTIONS(6703), 1,
      anon_sym_LPAREN,
    ACTIONS(6705), 1,
      anon_sym_SLASH,
    ACTIONS(6707), 1,
      sym_tag,
    STATE(2667), 1,
      sym_where_clause,
    STATE(2821), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3273), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3269), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [65070] = 33,
    ACTIONS(6475), 1,
      anon_sym_DASH_GT,
    ACTIONS(6481), 1,
      anon_sym_TILDE,
    ACTIONS(6483), 1,
      anon_sym_AMP,
    ACTIONS(6485), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6487), 1,
      anon_sym_or_else,
    ACTIONS(6489), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6497), 1,
      anon_sym_PIPE,
    ACTIONS(6499), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6505), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6507), 1,
      anon_sym_DOT,
    ACTIONS(6509), 1,
      anon_sym_LBRACK,
    ACTIONS(6513), 1,
      anon_sym_or_return,
    ACTIONS(6515), 1,
      anon_sym_or_continue,
    ACTIONS(6517), 1,
      anon_sym_or_break,
    ACTIONS(6519), 1,
      anon_sym_CARET,
    ACTIONS(6625), 1,
      anon_sym_LBRACE,
    ACTIONS(6709), 1,
      anon_sym_COMMA,
    ACTIONS(6711), 1,
      anon_sym_EQ,
    ACTIONS(6713), 1,
      anon_sym_COLON_EQ,
    ACTIONS(6717), 1,
      anon_sym_SEMI,
    ACTIONS(6719), 1,
      anon_sym_do,
    STATE(6120), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    STATE(6832), 1,
      sym_block,
    ACTIONS(6477), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(6479), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6491), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(6493), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6501), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6511), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6495), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(6503), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6715), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
  [65194] = 10,
    ACTIONS(6721), 1,
      anon_sym_LBRACE,
    ACTIONS(6723), 1,
      anon_sym_DASH_GT,
    ACTIONS(6725), 1,
      anon_sym_where,
    ACTIONS(6727), 1,
      sym_uninitialized,
    ACTIONS(6729), 1,
      sym_tag,
    STATE(3010), 1,
      sym_where_clause,
    STATE(3113), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3935), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3931), 36,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [65272] = 10,
    ACTIONS(6721), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_where,
    ACTIONS(6731), 1,
      anon_sym_DASH_GT,
    ACTIONS(6733), 1,
      sym_uninitialized,
    ACTIONS(6735), 1,
      sym_tag,
    STATE(3012), 1,
      sym_where_clause,
    STATE(3131), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3303), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3299), 36,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [65350] = 6,
    ACTIONS(6461), 1,
      anon_sym_DOT2,
    ACTIONS(6737), 1,
      anon_sym_COLON,
    STATE(2570), 1,
      aux_sym_field_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3417), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3415), 41,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [65420] = 11,
    ACTIONS(6721), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_where,
    ACTIONS(6739), 1,
      anon_sym_LPAREN,
    ACTIONS(6741), 1,
      anon_sym_SLASH,
    ACTIONS(6743), 1,
      sym_uninitialized,
    ACTIONS(6745), 1,
      sym_tag,
    STATE(3014), 1,
      sym_where_clause,
    STATE(3134), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3273), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3269), 36,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [65500] = 7,
    ACTIONS(6747), 1,
      anon_sym_LBRACE,
    ACTIONS(6749), 1,
      sym_uninitialized,
    ACTIONS(6751), 1,
      sym_tag,
    STATE(3334), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3859), 21,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(3857), 29,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [65572] = 9,
    ACTIONS(6721), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_where,
    ACTIONS(6743), 1,
      sym_uninitialized,
    ACTIONS(6745), 1,
      sym_tag,
    STATE(3014), 1,
      sym_where_clause,
    STATE(3134), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3273), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3269), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [65648] = 11,
    ACTIONS(6721), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_where,
    ACTIONS(6739), 1,
      anon_sym_LPAREN,
    ACTIONS(6741), 1,
      anon_sym_SLASH,
    ACTIONS(6753), 1,
      sym_uninitialized,
    ACTIONS(6755), 1,
      sym_tag,
    STATE(3015), 1,
      sym_where_clause,
    STATE(3155), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3859), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3857), 36,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [65728] = 9,
    ACTIONS(6721), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_where,
    ACTIONS(6753), 1,
      sym_uninitialized,
    ACTIONS(6755), 1,
      sym_tag,
    STATE(3015), 1,
      sym_where_clause,
    STATE(3155), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3859), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3857), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [65804] = 9,
    ACTIONS(6721), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_where,
    ACTIONS(6753), 1,
      sym_uninitialized,
    ACTIONS(6757), 1,
      sym_tag,
    STATE(3015), 1,
      sym_where_clause,
    STATE(3155), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3859), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3857), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [65880] = 11,
    ACTIONS(6721), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_where,
    ACTIONS(6739), 1,
      anon_sym_LPAREN,
    ACTIONS(6741), 1,
      anon_sym_SLASH,
    ACTIONS(6759), 1,
      sym_uninitialized,
    ACTIONS(6761), 1,
      sym_tag,
    STATE(3018), 1,
      sym_where_clause,
    STATE(3052), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3283), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3281), 36,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [65960] = 9,
    ACTIONS(6721), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_where,
    ACTIONS(6759), 1,
      sym_uninitialized,
    ACTIONS(6761), 1,
      sym_tag,
    STATE(3018), 1,
      sym_where_clause,
    STATE(3052), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3283), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3281), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [66036] = 9,
    ACTIONS(6721), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_where,
    ACTIONS(6759), 1,
      sym_uninitialized,
    ACTIONS(6763), 1,
      sym_tag,
    STATE(3018), 1,
      sym_where_clause,
    STATE(3052), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3283), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3281), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [66112] = 9,
    ACTIONS(6721), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_where,
    ACTIONS(6765), 1,
      sym_uninitialized,
    ACTIONS(6767), 1,
      sym_tag,
    STATE(3021), 1,
      sym_where_clause,
    STATE(3089), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3293), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3291), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [66188] = 10,
    ACTIONS(6566), 1,
      anon_sym_LBRACE,
    ACTIONS(6701), 1,
      anon_sym_where,
    ACTIONS(6769), 1,
      anon_sym_DASH_GT,
    ACTIONS(6771), 1,
      sym_uninitialized,
    ACTIONS(6773), 1,
      sym_tag,
    STATE(2651), 1,
      sym_where_clause,
    STATE(2792), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3935), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3931), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [66266] = 10,
    ACTIONS(6566), 1,
      anon_sym_LBRACE,
    ACTIONS(6583), 1,
      sym_uninitialized,
    ACTIONS(6599), 1,
      sym_tag,
    ACTIONS(6701), 1,
      anon_sym_where,
    ACTIONS(6775), 1,
      anon_sym_DASH_GT,
    STATE(2657), 1,
      sym_where_clause,
    STATE(2805), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3303), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3299), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [66344] = 10,
    ACTIONS(6701), 1,
      anon_sym_where,
    ACTIONS(6777), 1,
      anon_sym_LBRACE,
    ACTIONS(6779), 1,
      anon_sym_DASH_GT,
    ACTIONS(6781), 1,
      sym_uninitialized,
    ACTIONS(6783), 1,
      sym_tag,
    STATE(3061), 1,
      sym_where_clause,
    STATE(3468), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3303), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3299), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [66422] = 7,
    ACTIONS(6747), 1,
      anon_sym_LBRACE,
    ACTIONS(6785), 1,
      sym_uninitialized,
    ACTIONS(6787), 1,
      sym_tag,
    STATE(3382), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4527), 21,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4525), 29,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [66494] = 7,
    ACTIONS(6747), 1,
      anon_sym_LBRACE,
    ACTIONS(6789), 1,
      sym_uninitialized,
    ACTIONS(6791), 1,
      sym_tag,
    STATE(3277), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3273), 21,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(3269), 29,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [66566] = 5,
    ACTIONS(6793), 1,
      anon_sym_DOT2,
    STATE(2969), 1,
      aux_sym_field_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3417), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3415), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [66634] = 11,
    ACTIONS(6566), 1,
      anon_sym_LBRACE,
    ACTIONS(6597), 1,
      sym_uninitialized,
    ACTIONS(6701), 1,
      anon_sym_where,
    ACTIONS(6703), 1,
      anon_sym_LPAREN,
    ACTIONS(6705), 1,
      anon_sym_SLASH,
    ACTIONS(6795), 1,
      sym_tag,
    STATE(2618), 1,
      sym_where_clause,
    STATE(2836), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3859), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3857), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [66714] = 33,
    ACTIONS(6475), 1,
      anon_sym_DASH_GT,
    ACTIONS(6481), 1,
      anon_sym_TILDE,
    ACTIONS(6483), 1,
      anon_sym_AMP,
    ACTIONS(6485), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6487), 1,
      anon_sym_or_else,
    ACTIONS(6489), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6497), 1,
      anon_sym_PIPE,
    ACTIONS(6499), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6505), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6507), 1,
      anon_sym_DOT,
    ACTIONS(6509), 1,
      anon_sym_LBRACK,
    ACTIONS(6513), 1,
      anon_sym_or_return,
    ACTIONS(6515), 1,
      anon_sym_or_continue,
    ACTIONS(6517), 1,
      anon_sym_or_break,
    ACTIONS(6519), 1,
      anon_sym_CARET,
    ACTIONS(6625), 1,
      anon_sym_LBRACE,
    ACTIONS(6709), 1,
      anon_sym_COMMA,
    ACTIONS(6711), 1,
      anon_sym_EQ,
    ACTIONS(6713), 1,
      anon_sym_COLON_EQ,
    ACTIONS(6797), 1,
      anon_sym_SEMI,
    ACTIONS(6799), 1,
      anon_sym_do,
    STATE(6120), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    STATE(6832), 1,
      sym_block,
    ACTIONS(6477), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(6479), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6491), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(6493), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6501), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6511), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6495), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(6503), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6715), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
  [66838] = 9,
    ACTIONS(6566), 1,
      anon_sym_LBRACE,
    ACTIONS(6597), 1,
      sym_uninitialized,
    ACTIONS(6701), 1,
      anon_sym_where,
    ACTIONS(6795), 1,
      sym_tag,
    STATE(2618), 1,
      sym_where_clause,
    STATE(2836), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3859), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3857), 37,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [66914] = 9,
    ACTIONS(6566), 1,
      anon_sym_LBRACE,
    ACTIONS(6597), 1,
      sym_uninitialized,
    ACTIONS(6611), 1,
      sym_tag,
    ACTIONS(6701), 1,
      anon_sym_where,
    STATE(2618), 1,
      sym_where_clause,
    STATE(2836), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3859), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3857), 37,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [66990] = 11,
    ACTIONS(6566), 1,
      anon_sym_LBRACE,
    ACTIONS(6568), 1,
      sym_uninitialized,
    ACTIONS(6701), 1,
      anon_sym_where,
    ACTIONS(6703), 1,
      anon_sym_LPAREN,
    ACTIONS(6705), 1,
      anon_sym_SLASH,
    ACTIONS(6801), 1,
      sym_tag,
    STATE(2620), 1,
      sym_where_clause,
    STATE(2849), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3283), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3281), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [67070] = 9,
    ACTIONS(6566), 1,
      anon_sym_LBRACE,
    ACTIONS(6568), 1,
      sym_uninitialized,
    ACTIONS(6701), 1,
      anon_sym_where,
    ACTIONS(6801), 1,
      sym_tag,
    STATE(2620), 1,
      sym_where_clause,
    STATE(2849), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3283), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3281), 37,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [67146] = 7,
    ACTIONS(6747), 1,
      anon_sym_LBRACE,
    ACTIONS(6803), 1,
      sym_uninitialized,
    ACTIONS(6805), 1,
      sym_tag,
    STATE(3359), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3303), 21,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(3299), 29,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [67218] = 9,
    ACTIONS(6566), 1,
      anon_sym_LBRACE,
    ACTIONS(6568), 1,
      sym_uninitialized,
    ACTIONS(6570), 1,
      sym_tag,
    ACTIONS(6701), 1,
      anon_sym_where,
    STATE(2620), 1,
      sym_where_clause,
    STATE(2849), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3283), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3281), 37,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [67294] = 9,
    ACTIONS(6566), 1,
      anon_sym_LBRACE,
    ACTIONS(6572), 1,
      sym_uninitialized,
    ACTIONS(6574), 1,
      sym_tag,
    ACTIONS(6701), 1,
      anon_sym_where,
    STATE(2625), 1,
      sym_where_clause,
    STATE(2857), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3293), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3291), 37,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [67370] = 33,
    ACTIONS(6509), 1,
      anon_sym_LBRACK,
    ACTIONS(6513), 1,
      anon_sym_or_return,
    ACTIONS(6515), 1,
      anon_sym_or_continue,
    ACTIONS(6519), 1,
      anon_sym_CARET,
    ACTIONS(6530), 1,
      anon_sym_DASH_GT,
    ACTIONS(6532), 1,
      anon_sym_DOT,
    ACTIONS(6538), 1,
      anon_sym_TILDE,
    ACTIONS(6540), 1,
      anon_sym_AMP,
    ACTIONS(6542), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6544), 1,
      anon_sym_or_else,
    ACTIONS(6546), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6554), 1,
      anon_sym_PIPE,
    ACTIONS(6556), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6562), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6564), 1,
      anon_sym_or_break,
    ACTIONS(6625), 1,
      anon_sym_LBRACE,
    ACTIONS(6629), 1,
      anon_sym_EQ,
    ACTIONS(6631), 1,
      anon_sym_COLON_EQ,
    ACTIONS(6633), 1,
      anon_sym_COLON,
    ACTIONS(6709), 1,
      anon_sym_COMMA,
    ACTIONS(6807), 1,
      anon_sym_do,
    STATE(6094), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    STATE(6429), 1,
      sym_block,
    ACTIONS(6534), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(6536), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6548), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(6550), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6558), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6587), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6552), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(6560), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6635), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
  [67494] = 11,
    ACTIONS(6701), 1,
      anon_sym_where,
    ACTIONS(6703), 1,
      anon_sym_LPAREN,
    ACTIONS(6705), 1,
      anon_sym_SLASH,
    ACTIONS(6777), 1,
      anon_sym_LBRACE,
    ACTIONS(6809), 1,
      sym_uninitialized,
    ACTIONS(6811), 1,
      sym_tag,
    STATE(3066), 1,
      sym_where_clause,
    STATE(3525), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3273), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3269), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [67574] = 9,
    ACTIONS(6701), 1,
      anon_sym_where,
    ACTIONS(6777), 1,
      anon_sym_LBRACE,
    ACTIONS(6809), 1,
      sym_uninitialized,
    ACTIONS(6811), 1,
      sym_tag,
    STATE(3066), 1,
      sym_where_clause,
    STATE(3525), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3273), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3269), 37,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [67650] = 5,
    ACTIONS(6813), 1,
      anon_sym_DOT2,
    STATE(2958), 1,
      aux_sym_field_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3979), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3977), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [67718] = 11,
    ACTIONS(6701), 1,
      anon_sym_where,
    ACTIONS(6703), 1,
      anon_sym_LPAREN,
    ACTIONS(6705), 1,
      anon_sym_SLASH,
    ACTIONS(6777), 1,
      anon_sym_LBRACE,
    ACTIONS(6816), 1,
      sym_uninitialized,
    ACTIONS(6818), 1,
      sym_tag,
    STATE(3071), 1,
      sym_where_clause,
    STATE(3536), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3859), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3857), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [67798] = 9,
    ACTIONS(6701), 1,
      anon_sym_where,
    ACTIONS(6777), 1,
      anon_sym_LBRACE,
    ACTIONS(6816), 1,
      sym_uninitialized,
    ACTIONS(6818), 1,
      sym_tag,
    STATE(3071), 1,
      sym_where_clause,
    STATE(3536), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3859), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3857), 37,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [67874] = 9,
    ACTIONS(6701), 1,
      anon_sym_where,
    ACTIONS(6777), 1,
      anon_sym_LBRACE,
    ACTIONS(6816), 1,
      sym_uninitialized,
    ACTIONS(6820), 1,
      sym_tag,
    STATE(3071), 1,
      sym_where_clause,
    STATE(3536), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3859), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3857), 37,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [67950] = 11,
    ACTIONS(6701), 1,
      anon_sym_where,
    ACTIONS(6703), 1,
      anon_sym_LPAREN,
    ACTIONS(6705), 1,
      anon_sym_SLASH,
    ACTIONS(6777), 1,
      anon_sym_LBRACE,
    ACTIONS(6822), 1,
      sym_uninitialized,
    ACTIONS(6824), 1,
      sym_tag,
    STATE(3073), 1,
      sym_where_clause,
    STATE(3543), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3283), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3281), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [68030] = 9,
    ACTIONS(6701), 1,
      anon_sym_where,
    ACTIONS(6777), 1,
      anon_sym_LBRACE,
    ACTIONS(6822), 1,
      sym_uninitialized,
    ACTIONS(6824), 1,
      sym_tag,
    STATE(3073), 1,
      sym_where_clause,
    STATE(3543), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3283), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3281), 37,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [68106] = 6,
    ACTIONS(6793), 1,
      anon_sym_DOT2,
    ACTIONS(6826), 1,
      anon_sym_COLON,
    STATE(2969), 1,
      aux_sym_field_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3417), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3415), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [68176] = 7,
    ACTIONS(6747), 1,
      anon_sym_LBRACE,
    ACTIONS(6828), 1,
      sym_uninitialized,
    ACTIONS(6830), 1,
      sym_tag,
    STATE(3317), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3283), 21,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(3281), 29,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [68248] = 9,
    ACTIONS(6701), 1,
      anon_sym_where,
    ACTIONS(6777), 1,
      anon_sym_LBRACE,
    ACTIONS(6822), 1,
      sym_uninitialized,
    ACTIONS(6832), 1,
      sym_tag,
    STATE(3073), 1,
      sym_where_clause,
    STATE(3543), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3283), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3281), 37,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [68324] = 9,
    ACTIONS(6701), 1,
      anon_sym_where,
    ACTIONS(6777), 1,
      anon_sym_LBRACE,
    ACTIONS(6834), 1,
      sym_uninitialized,
    ACTIONS(6836), 1,
      sym_tag,
    STATE(3076), 1,
      sym_where_clause,
    STATE(3546), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3293), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3291), 37,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [68400] = 7,
    ACTIONS(6747), 1,
      anon_sym_LBRACE,
    ACTIONS(6838), 1,
      sym_uninitialized,
    ACTIONS(6840), 1,
      sym_tag,
    STATE(3349), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3293), 21,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(3291), 29,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [68472] = 5,
    ACTIONS(6793), 1,
      anon_sym_DOT2,
    STATE(2958), 1,
      aux_sym_field_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3891), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3889), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [68540] = 10,
    ACTIONS(6701), 1,
      anon_sym_where,
    ACTIONS(6777), 1,
      anon_sym_LBRACE,
    ACTIONS(6842), 1,
      anon_sym_DASH_GT,
    ACTIONS(6844), 1,
      sym_uninitialized,
    ACTIONS(6846), 1,
      sym_tag,
    STATE(3060), 1,
      sym_where_clause,
    STATE(3444), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3935), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3931), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [68618] = 9,
    ACTIONS(6566), 1,
      anon_sym_LBRACE,
    ACTIONS(6605), 1,
      sym_uninitialized,
    ACTIONS(6701), 1,
      anon_sym_where,
    ACTIONS(6707), 1,
      sym_tag,
    STATE(2667), 1,
      sym_where_clause,
    STATE(2821), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3273), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3269), 37,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [68694] = 9,
    ACTIONS(6625), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_where,
    ACTIONS(6848), 1,
      sym_uninitialized,
    ACTIONS(6850), 1,
      sym_tag,
    STATE(3156), 1,
      sym_where_clause,
    STATE(3656), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3273), 10,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3269), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [68769] = 10,
    ACTIONS(6625), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_where,
    ACTIONS(6852), 1,
      anon_sym_DASH_GT,
    ACTIONS(6854), 1,
      sym_uninitialized,
    ACTIONS(6856), 1,
      sym_tag,
    STATE(3139), 1,
      sym_where_clause,
    STATE(3707), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3935), 10,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3931), 36,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [68846] = 10,
    ACTIONS(6701), 1,
      anon_sym_where,
    ACTIONS(6747), 1,
      anon_sym_LBRACE,
    ACTIONS(6858), 1,
      anon_sym_DASH_GT,
    ACTIONS(6860), 1,
      sym_uninitialized,
    ACTIONS(6862), 1,
      sym_tag,
    STATE(2952), 1,
      sym_where_clause,
    STATE(3293), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3935), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3931), 35,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [68923] = 10,
    ACTIONS(6701), 1,
      anon_sym_where,
    ACTIONS(6747), 1,
      anon_sym_LBRACE,
    ACTIONS(6803), 1,
      sym_uninitialized,
    ACTIONS(6805), 1,
      sym_tag,
    ACTIONS(6864), 1,
      anon_sym_DASH_GT,
    STATE(2944), 1,
      sym_where_clause,
    STATE(3359), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3303), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3299), 35,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [69000] = 6,
    ACTIONS(6747), 1,
      anon_sym_LBRACE,
    ACTIONS(6803), 1,
      sym_uninitialized,
    STATE(3359), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3303), 21,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(3299), 29,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [69069] = 5,
    ACTIONS(6866), 1,
      anon_sym_COMMA,
    STATE(2978), 1,
      aux_sym_where_clause_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4406), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4402), 40,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [69136] = 5,
    ACTIONS(6868), 1,
      anon_sym_COMMA,
    STATE(2978), 1,
      aux_sym_where_clause_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4624), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4619), 40,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [69203] = 10,
    ACTIONS(6625), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_where,
    ACTIONS(6871), 1,
      anon_sym_DASH_GT,
    ACTIONS(6873), 1,
      sym_uninitialized,
    ACTIONS(6875), 1,
      sym_tag,
    STATE(3115), 1,
      sym_where_clause,
    STATE(3655), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3303), 10,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3299), 36,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [69280] = 5,
    ACTIONS(6877), 1,
      anon_sym_LBRACE,
    STATE(2980), 1,
      aux_sym_struct_type_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4499), 22,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4497), 29,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [69347] = 6,
    ACTIONS(6747), 1,
      anon_sym_LBRACE,
    ACTIONS(6828), 1,
      sym_uninitialized,
    STATE(3317), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3283), 21,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(3281), 29,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [69416] = 9,
    ACTIONS(6625), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_where,
    ACTIONS(6880), 1,
      sym_uninitialized,
    ACTIONS(6882), 1,
      sym_tag,
    STATE(3056), 1,
      sym_where_clause,
    STATE(3702), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3293), 10,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3291), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [69491] = 11,
    ACTIONS(6701), 1,
      anon_sym_where,
    ACTIONS(6703), 1,
      anon_sym_LPAREN,
    ACTIONS(6705), 1,
      anon_sym_SLASH,
    ACTIONS(6747), 1,
      anon_sym_LBRACE,
    ACTIONS(6789), 1,
      sym_uninitialized,
    ACTIONS(6884), 1,
      sym_tag,
    STATE(2931), 1,
      sym_where_clause,
    STATE(3277), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3273), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3269), 35,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [69570] = 9,
    ACTIONS(6701), 1,
      anon_sym_where,
    ACTIONS(6747), 1,
      anon_sym_LBRACE,
    ACTIONS(6789), 1,
      sym_uninitialized,
    ACTIONS(6884), 1,
      sym_tag,
    STATE(2931), 1,
      sym_where_clause,
    STATE(3277), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3273), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3269), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [69645] = 11,
    ACTIONS(6701), 1,
      anon_sym_where,
    ACTIONS(6703), 1,
      anon_sym_LPAREN,
    ACTIONS(6705), 1,
      anon_sym_SLASH,
    ACTIONS(6747), 1,
      anon_sym_LBRACE,
    ACTIONS(6749), 1,
      sym_uninitialized,
    ACTIONS(6886), 1,
      sym_tag,
    STATE(2965), 1,
      sym_where_clause,
    STATE(3334), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3859), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3857), 35,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [69724] = 9,
    ACTIONS(6701), 1,
      anon_sym_where,
    ACTIONS(6747), 1,
      anon_sym_LBRACE,
    ACTIONS(6749), 1,
      sym_uninitialized,
    ACTIONS(6886), 1,
      sym_tag,
    STATE(2965), 1,
      sym_where_clause,
    STATE(3334), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3859), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3857), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [69799] = 9,
    ACTIONS(6701), 1,
      anon_sym_where,
    ACTIONS(6747), 1,
      anon_sym_LBRACE,
    ACTIONS(6749), 1,
      sym_uninitialized,
    ACTIONS(6751), 1,
      sym_tag,
    STATE(2965), 1,
      sym_where_clause,
    STATE(3334), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3859), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3857), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [69874] = 11,
    ACTIONS(6701), 1,
      anon_sym_where,
    ACTIONS(6703), 1,
      anon_sym_LPAREN,
    ACTIONS(6705), 1,
      anon_sym_SLASH,
    ACTIONS(6747), 1,
      anon_sym_LBRACE,
    ACTIONS(6828), 1,
      sym_uninitialized,
    ACTIONS(6888), 1,
      sym_tag,
    STATE(2968), 1,
      sym_where_clause,
    STATE(3317), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3283), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3281), 35,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [69953] = 9,
    ACTIONS(6701), 1,
      anon_sym_where,
    ACTIONS(6747), 1,
      anon_sym_LBRACE,
    ACTIONS(6828), 1,
      sym_uninitialized,
    ACTIONS(6888), 1,
      sym_tag,
    STATE(2968), 1,
      sym_where_clause,
    STATE(3317), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3283), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3281), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [70028] = 9,
    ACTIONS(6701), 1,
      anon_sym_where,
    ACTIONS(6747), 1,
      anon_sym_LBRACE,
    ACTIONS(6828), 1,
      sym_uninitialized,
    ACTIONS(6830), 1,
      sym_tag,
    STATE(2968), 1,
      sym_where_clause,
    STATE(3317), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3283), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3281), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [70103] = 9,
    ACTIONS(6701), 1,
      anon_sym_where,
    ACTIONS(6747), 1,
      anon_sym_LBRACE,
    ACTIONS(6838), 1,
      sym_uninitialized,
    ACTIONS(6840), 1,
      sym_tag,
    STATE(2943), 1,
      sym_where_clause,
    STATE(3349), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3293), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3291), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [70178] = 5,
    ACTIONS(6890), 1,
      anon_sym_LBRACE,
    STATE(2992), 1,
      aux_sym_struct_type_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4499), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4497), 40,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [70245] = 10,
    ACTIONS(6725), 1,
      anon_sym_where,
    ACTIONS(6893), 1,
      anon_sym_LBRACE,
    ACTIONS(6895), 1,
      anon_sym_DASH_GT,
    ACTIONS(6897), 1,
      sym_uninitialized,
    ACTIONS(6899), 1,
      sym_tag,
    STATE(3273), 1,
      sym_where_clause,
    STATE(3704), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3935), 10,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3931), 36,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [70322] = 10,
    ACTIONS(6725), 1,
      anon_sym_where,
    ACTIONS(6893), 1,
      anon_sym_LBRACE,
    ACTIONS(6901), 1,
      anon_sym_DASH_GT,
    ACTIONS(6903), 1,
      sym_uninitialized,
    ACTIONS(6905), 1,
      sym_tag,
    STATE(3252), 1,
      sym_where_clause,
    STATE(3711), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3303), 10,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3299), 36,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [70399] = 11,
    ACTIONS(6725), 1,
      anon_sym_where,
    ACTIONS(6739), 1,
      anon_sym_LPAREN,
    ACTIONS(6741), 1,
      anon_sym_SLASH,
    ACTIONS(6893), 1,
      anon_sym_LBRACE,
    ACTIONS(6907), 1,
      sym_uninitialized,
    ACTIONS(6909), 1,
      sym_tag,
    STATE(3250), 1,
      sym_where_clause,
    STATE(3721), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3273), 9,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3269), 36,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [70478] = 9,
    ACTIONS(6725), 1,
      anon_sym_where,
    ACTIONS(6893), 1,
      anon_sym_LBRACE,
    ACTIONS(6907), 1,
      sym_uninitialized,
    ACTIONS(6909), 1,
      sym_tag,
    STATE(3250), 1,
      sym_where_clause,
    STATE(3721), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3273), 10,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3269), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [70553] = 11,
    ACTIONS(6725), 1,
      anon_sym_where,
    ACTIONS(6739), 1,
      anon_sym_LPAREN,
    ACTIONS(6741), 1,
      anon_sym_SLASH,
    ACTIONS(6893), 1,
      anon_sym_LBRACE,
    ACTIONS(6911), 1,
      sym_uninitialized,
    ACTIONS(6913), 1,
      sym_tag,
    STATE(3259), 1,
      sym_where_clause,
    STATE(3730), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3859), 9,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3857), 36,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [70632] = 9,
    ACTIONS(6725), 1,
      anon_sym_where,
    ACTIONS(6893), 1,
      anon_sym_LBRACE,
    ACTIONS(6911), 1,
      sym_uninitialized,
    ACTIONS(6913), 1,
      sym_tag,
    STATE(3259), 1,
      sym_where_clause,
    STATE(3730), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3859), 10,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3857), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [70707] = 5,
    ACTIONS(6915), 1,
      sym_identifier,
    ACTIONS(6917), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 22,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
    ACTIONS(67), 29,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [70774] = 6,
    ACTIONS(6919), 1,
      anon_sym_LBRACE,
    ACTIONS(6922), 1,
      anon_sym_LPAREN,
    STATE(6917), 1,
      aux_sym_field_identifier_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 39,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [70843] = 9,
    ACTIONS(6725), 1,
      anon_sym_where,
    ACTIONS(6893), 1,
      anon_sym_LBRACE,
    ACTIONS(6911), 1,
      sym_uninitialized,
    ACTIONS(6925), 1,
      sym_tag,
    STATE(3259), 1,
      sym_where_clause,
    STATE(3730), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3859), 10,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3857), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [70918] = 11,
    ACTIONS(6725), 1,
      anon_sym_where,
    ACTIONS(6739), 1,
      anon_sym_LPAREN,
    ACTIONS(6741), 1,
      anon_sym_SLASH,
    ACTIONS(6893), 1,
      anon_sym_LBRACE,
    ACTIONS(6927), 1,
      sym_uninitialized,
    ACTIONS(6929), 1,
      sym_tag,
    STATE(3262), 1,
      sym_where_clause,
    STATE(3623), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3283), 9,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3281), 36,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [70997] = 9,
    ACTIONS(6725), 1,
      anon_sym_where,
    ACTIONS(6893), 1,
      anon_sym_LBRACE,
    ACTIONS(6927), 1,
      sym_uninitialized,
    ACTIONS(6929), 1,
      sym_tag,
    STATE(3262), 1,
      sym_where_clause,
    STATE(3623), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3283), 10,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3281), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [71072] = 9,
    ACTIONS(6725), 1,
      anon_sym_where,
    ACTIONS(6893), 1,
      anon_sym_LBRACE,
    ACTIONS(6927), 1,
      sym_uninitialized,
    ACTIONS(6931), 1,
      sym_tag,
    STATE(3262), 1,
      sym_where_clause,
    STATE(3623), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3283), 10,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3281), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [71147] = 9,
    ACTIONS(6725), 1,
      anon_sym_where,
    ACTIONS(6893), 1,
      anon_sym_LBRACE,
    ACTIONS(6933), 1,
      sym_uninitialized,
    ACTIONS(6935), 1,
      sym_tag,
    STATE(3263), 1,
      sym_where_clause,
    STATE(3663), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3293), 10,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3291), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [71222] = 6,
    ACTIONS(6747), 1,
      anon_sym_LBRACE,
    ACTIONS(6785), 1,
      sym_uninitialized,
    STATE(3382), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4527), 21,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4525), 29,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [71291] = 4,
    STATE(2992), 1,
      aux_sym_struct_type_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4628), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4626), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [71356] = 4,
    ACTIONS(6937), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4400), 22,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
    ACTIONS(4398), 30,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [71421] = 6,
    ACTIONS(6721), 1,
      anon_sym_LBRACE,
    ACTIONS(6733), 1,
      sym_uninitialized,
    STATE(3131), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3303), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3299), 39,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_tag,
  [71490] = 7,
    ACTIONS(6721), 1,
      anon_sym_LBRACE,
    ACTIONS(6733), 1,
      sym_uninitialized,
    ACTIONS(6735), 1,
      sym_tag,
    STATE(3131), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3303), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3299), 38,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [71561] = 6,
    ACTIONS(6721), 1,
      anon_sym_LBRACE,
    ACTIONS(6743), 1,
      sym_uninitialized,
    STATE(3134), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3273), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3269), 39,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_tag,
  [71630] = 7,
    ACTIONS(6721), 1,
      anon_sym_LBRACE,
    ACTIONS(6743), 1,
      sym_uninitialized,
    ACTIONS(6939), 1,
      sym_tag,
    STATE(3134), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3273), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3269), 38,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [71701] = 6,
    ACTIONS(6721), 1,
      anon_sym_LBRACE,
    ACTIONS(6753), 1,
      sym_uninitialized,
    STATE(3155), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3859), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3857), 39,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_tag,
  [71770] = 7,
    ACTIONS(6721), 1,
      anon_sym_LBRACE,
    ACTIONS(6753), 1,
      sym_uninitialized,
    ACTIONS(6757), 1,
      sym_tag,
    STATE(3155), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3859), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3857), 38,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [71841] = 7,
    ACTIONS(6721), 1,
      anon_sym_LBRACE,
    ACTIONS(6759), 1,
      sym_uninitialized,
    ACTIONS(6763), 1,
      sym_tag,
    STATE(3052), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3283), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3281), 38,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [71912] = 6,
    ACTIONS(6721), 1,
      anon_sym_LBRACE,
    ACTIONS(6759), 1,
      sym_uninitialized,
    STATE(3052), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3283), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3281), 39,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_tag,
  [71981] = 11,
    ACTIONS(6625), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_where,
    ACTIONS(6739), 1,
      anon_sym_LPAREN,
    ACTIONS(6741), 1,
      anon_sym_SLASH,
    ACTIONS(6941), 1,
      sym_uninitialized,
    ACTIONS(6943), 1,
      sym_tag,
    STATE(3191), 1,
      sym_where_clause,
    STATE(3648), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3859), 9,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3857), 36,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [72060] = 7,
    ACTIONS(6721), 1,
      anon_sym_LBRACE,
    ACTIONS(6765), 1,
      sym_uninitialized,
    ACTIONS(6767), 1,
      sym_tag,
    STATE(3089), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3293), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3291), 38,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [72131] = 6,
    ACTIONS(6721), 1,
      anon_sym_LBRACE,
    ACTIONS(6765), 1,
      sym_uninitialized,
    STATE(3089), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3293), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3291), 39,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_tag,
  [72200] = 6,
    ACTIONS(6721), 1,
      anon_sym_LBRACE,
    ACTIONS(6945), 1,
      sym_uninitialized,
    STATE(3094), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4527), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4525), 39,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_tag,
  [72269] = 7,
    ACTIONS(6721), 1,
      anon_sym_LBRACE,
    ACTIONS(6945), 1,
      sym_uninitialized,
    ACTIONS(6947), 1,
      sym_tag,
    STATE(3094), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4527), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4525), 38,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [72340] = 6,
    ACTIONS(6721), 1,
      anon_sym_LBRACE,
    ACTIONS(6949), 1,
      sym_uninitialized,
    STATE(3098), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4535), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4533), 39,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_tag,
  [72409] = 6,
    ACTIONS(6747), 1,
      anon_sym_LBRACE,
    ACTIONS(6951), 1,
      sym_uninitialized,
    STATE(3276), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4535), 21,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4533), 29,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [72478] = 9,
    ACTIONS(6625), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_where,
    ACTIONS(6941), 1,
      sym_uninitialized,
    ACTIONS(6943), 1,
      sym_tag,
    STATE(3191), 1,
      sym_where_clause,
    STATE(3648), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3859), 10,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3857), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [72553] = 4,
    STATE(2992), 1,
      aux_sym_struct_type_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4482), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4480), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [72618] = 9,
    ACTIONS(6625), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_where,
    ACTIONS(6941), 1,
      sym_uninitialized,
    ACTIONS(6953), 1,
      sym_tag,
    STATE(3191), 1,
      sym_where_clause,
    STATE(3648), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3859), 10,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3857), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [72693] = 11,
    ACTIONS(6625), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_where,
    ACTIONS(6739), 1,
      anon_sym_LPAREN,
    ACTIONS(6741), 1,
      anon_sym_SLASH,
    ACTIONS(6848), 1,
      sym_uninitialized,
    ACTIONS(6850), 1,
      sym_tag,
    STATE(3156), 1,
      sym_where_clause,
    STATE(3656), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3273), 9,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3269), 36,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [72772] = 32,
    ACTIONS(6324), 1,
      anon_sym_LBRACK,
    ACTIONS(6358), 1,
      anon_sym_or_return,
    ACTIONS(6360), 1,
      anon_sym_or_continue,
    ACTIONS(6364), 1,
      anon_sym_CARET,
    ACTIONS(6366), 1,
      anon_sym_DASH_GT,
    ACTIONS(6370), 1,
      anon_sym_TILDE,
    ACTIONS(6372), 1,
      anon_sym_AMP,
    ACTIONS(6380), 1,
      anon_sym_PIPE,
    ACTIONS(6382), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6388), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6390), 1,
      anon_sym_DOT,
    ACTIONS(6396), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6398), 1,
      anon_sym_or_else,
    ACTIONS(6400), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6402), 1,
      anon_sym_or_break,
    ACTIONS(6709), 1,
      anon_sym_COMMA,
    ACTIONS(6955), 1,
      anon_sym_RBRACE,
    ACTIONS(6957), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6959), 1,
      anon_sym_EQ,
    ACTIONS(6961), 1,
      anon_sym_COLON_EQ,
    ACTIONS(6963), 1,
      anon_sym_COLON,
    STATE(6086), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(6368), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6374), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(6376), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6384), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6392), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(6412), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6378), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(6386), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6965), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
  [72893] = 27,
    ACTIONS(6967), 1,
      anon_sym_COMMA,
    ACTIONS(6969), 1,
      anon_sym_DASH_GT,
    ACTIONS(6971), 1,
      anon_sym_PLUS,
    ACTIONS(6973), 1,
      anon_sym_DASH,
    ACTIONS(6975), 1,
      anon_sym_TILDE,
    ACTIONS(6977), 1,
      anon_sym_AMP,
    ACTIONS(6981), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6989), 1,
      anon_sym_PIPE,
    ACTIONS(6991), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6999), 1,
      anon_sym_DOT,
    ACTIONS(7001), 1,
      anon_sym_LBRACK,
    ACTIONS(7005), 1,
      anon_sym_or_return,
    ACTIONS(7007), 1,
      anon_sym_or_continue,
    ACTIONS(7009), 1,
      anon_sym_or_break,
    ACTIONS(7011), 1,
      anon_sym_CARET,
    STATE(3031), 1,
      aux_sym_where_clause_repeat1,
    ACTIONS(4430), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(6979), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(6983), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(6985), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6993), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6995), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6997), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7003), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6987), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(4426), 18,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_not_in,
      sym_uninitialized,
      sym_tag,
  [73004] = 6,
    ACTIONS(6747), 1,
      anon_sym_LBRACE,
    ACTIONS(6789), 1,
      sym_uninitialized,
    STATE(3277), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3273), 21,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(3269), 29,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [73073] = 5,
    ACTIONS(6967), 1,
      anon_sym_COMMA,
    STATE(3037), 1,
      aux_sym_where_clause_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4406), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4402), 40,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [73140] = 11,
    ACTIONS(6625), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_where,
    ACTIONS(6739), 1,
      anon_sym_LPAREN,
    ACTIONS(6741), 1,
      anon_sym_SLASH,
    ACTIONS(7013), 1,
      sym_uninitialized,
    ACTIONS(7015), 1,
      sym_tag,
    STATE(3049), 1,
      sym_where_clause,
    STATE(3643), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3283), 9,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3281), 36,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [73219] = 9,
    ACTIONS(6625), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_where,
    ACTIONS(7013), 1,
      sym_uninitialized,
    ACTIONS(7015), 1,
      sym_tag,
    STATE(3049), 1,
      sym_where_clause,
    STATE(3643), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3283), 10,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3281), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [73294] = 9,
    ACTIONS(6625), 1,
      anon_sym_LBRACE,
    ACTIONS(6725), 1,
      anon_sym_where,
    ACTIONS(7013), 1,
      sym_uninitialized,
    ACTIONS(7017), 1,
      sym_tag,
    STATE(3049), 1,
      sym_where_clause,
    STATE(3643), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3283), 10,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3281), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [73369] = 4,
    STATE(2992), 1,
      aux_sym_struct_type_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4521), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4519), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [73434] = 27,
    ACTIONS(6866), 1,
      anon_sym_COMMA,
    ACTIONS(7019), 1,
      anon_sym_DASH_GT,
    ACTIONS(7021), 1,
      anon_sym_PLUS,
    ACTIONS(7023), 1,
      anon_sym_DASH,
    ACTIONS(7025), 1,
      anon_sym_TILDE,
    ACTIONS(7027), 1,
      anon_sym_AMP,
    ACTIONS(7031), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7039), 1,
      anon_sym_PIPE,
    ACTIONS(7041), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7049), 1,
      anon_sym_DOT,
    ACTIONS(7051), 1,
      anon_sym_LBRACK,
    ACTIONS(7055), 1,
      anon_sym_or_return,
    ACTIONS(7057), 1,
      anon_sym_or_continue,
    ACTIONS(7059), 1,
      anon_sym_or_break,
    ACTIONS(7061), 1,
      anon_sym_CARET,
    STATE(2977), 1,
      aux_sym_where_clause_repeat1,
    ACTIONS(4430), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(7029), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7033), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7035), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7043), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7045), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7047), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7053), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7037), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(4426), 18,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_RBRACK,
      anon_sym_not_in,
      sym_uninitialized,
      sym_tag,
  [73545] = 5,
    ACTIONS(7063), 1,
      anon_sym_COMMA,
    STATE(3037), 1,
      aux_sym_where_clause_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4624), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4619), 40,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [73612] = 6,
    ACTIONS(6747), 1,
      anon_sym_LBRACE,
    ACTIONS(6838), 1,
      sym_uninitialized,
    STATE(3349), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3293), 21,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(3291), 29,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [73681] = 6,
    ACTIONS(6747), 1,
      anon_sym_LBRACE,
    ACTIONS(6749), 1,
      sym_uninitialized,
    STATE(3334), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3859), 21,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(3857), 29,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [73750] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3979), 12,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_DOT2,
    ACTIONS(3977), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [73813] = 12,
    ACTIONS(6969), 1,
      anon_sym_DASH_GT,
    ACTIONS(6971), 1,
      anon_sym_PLUS,
    ACTIONS(6973), 1,
      anon_sym_DASH,
    ACTIONS(6999), 1,
      anon_sym_DOT,
    ACTIONS(7001), 1,
      anon_sym_LBRACK,
    ACTIONS(6993), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6995), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6997), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7003), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5484), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
    ACTIONS(5482), 32,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [73893] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4774), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4772), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [73955] = 19,
    ACTIONS(6969), 1,
      anon_sym_DASH_GT,
    ACTIONS(6971), 1,
      anon_sym_PLUS,
    ACTIONS(6973), 1,
      anon_sym_DASH,
    ACTIONS(6975), 1,
      anon_sym_TILDE,
    ACTIONS(6977), 1,
      anon_sym_AMP,
    ACTIONS(6989), 1,
      anon_sym_PIPE,
    ACTIONS(6991), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6999), 1,
      anon_sym_DOT,
    ACTIONS(7001), 1,
      anon_sym_LBRACK,
    ACTIONS(5484), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(6983), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(6985), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6993), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6995), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6997), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7003), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6987), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5482), 26,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [74049] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5662), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5660), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [74111] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4738), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4736), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [74173] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5666), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5664), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [74235] = 17,
    ACTIONS(6969), 1,
      anon_sym_DASH_GT,
    ACTIONS(6971), 1,
      anon_sym_PLUS,
    ACTIONS(6973), 1,
      anon_sym_DASH,
    ACTIONS(6975), 1,
      anon_sym_TILDE,
    ACTIONS(6977), 1,
      anon_sym_AMP,
    ACTIONS(6989), 1,
      anon_sym_PIPE,
    ACTIONS(6991), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6999), 1,
      anon_sym_DOT,
    ACTIONS(7001), 1,
      anon_sym_LBRACK,
    ACTIONS(6993), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6995), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6997), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7003), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6987), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5484), 4,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5482), 28,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [74325] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5670), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5668), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [74387] = 7,
    ACTIONS(6625), 1,
      anon_sym_LBRACE,
    ACTIONS(6880), 1,
      sym_uninitialized,
    ACTIONS(6882), 1,
      sym_tag,
    STATE(3702), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3293), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3291), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [74457] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5674), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5672), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [74519] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5674), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5672), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [74581] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3293), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3291), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [74643] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5678), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5676), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [74705] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5682), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5680), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [74767] = 6,
    ACTIONS(6703), 1,
      anon_sym_LPAREN,
    ACTIONS(6705), 1,
      anon_sym_SLASH,
    ACTIONS(7066), 1,
      anon_sym_EQ,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4934), 9,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4930), 40,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [74835] = 7,
    ACTIONS(6625), 1,
      anon_sym_LBRACE,
    ACTIONS(7068), 1,
      sym_uninitialized,
    ACTIONS(7070), 1,
      sym_tag,
    STATE(3727), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4527), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4525), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [74905] = 16,
    ACTIONS(6969), 1,
      anon_sym_DASH_GT,
    ACTIONS(6971), 1,
      anon_sym_PLUS,
    ACTIONS(6973), 1,
      anon_sym_DASH,
    ACTIONS(6975), 1,
      anon_sym_TILDE,
    ACTIONS(6977), 1,
      anon_sym_AMP,
    ACTIONS(6989), 1,
      anon_sym_PIPE,
    ACTIONS(6991), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6999), 1,
      anon_sym_DOT,
    ACTIONS(7001), 1,
      anon_sym_LBRACK,
    ACTIONS(6993), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6995), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6997), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7003), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5484), 4,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5482), 31,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [74993] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4778), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4776), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [75055] = 15,
    ACTIONS(6969), 1,
      anon_sym_DASH_GT,
    ACTIONS(6971), 1,
      anon_sym_PLUS,
    ACTIONS(6973), 1,
      anon_sym_DASH,
    ACTIONS(6975), 1,
      anon_sym_TILDE,
    ACTIONS(6977), 1,
      anon_sym_AMP,
    ACTIONS(6991), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6999), 1,
      anon_sym_DOT,
    ACTIONS(7001), 1,
      anon_sym_LBRACK,
    ACTIONS(6993), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6995), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6997), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7003), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5484), 5,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
    ACTIONS(5482), 31,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [75141] = 7,
    ACTIONS(6777), 1,
      anon_sym_LBRACE,
    ACTIONS(6781), 1,
      sym_uninitialized,
    ACTIONS(6783), 1,
      sym_tag,
    STATE(3468), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3303), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3299), 37,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [75211] = 7,
    ACTIONS(6777), 1,
      anon_sym_LBRACE,
    ACTIONS(6809), 1,
      sym_uninitialized,
    ACTIONS(7072), 1,
      sym_tag,
    STATE(3525), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3273), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3269), 37,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [75281] = 5,
    ACTIONS(7074), 1,
      anon_sym_DOT2,
    STATE(3065), 1,
      aux_sym_field_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3417), 21,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(3415), 29,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [75347] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4742), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4740), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [75409] = 13,
    ACTIONS(6969), 1,
      anon_sym_DASH_GT,
    ACTIONS(6971), 1,
      anon_sym_PLUS,
    ACTIONS(6973), 1,
      anon_sym_DASH,
    ACTIONS(6991), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6999), 1,
      anon_sym_DOT,
    ACTIONS(7001), 1,
      anon_sym_LBRACK,
    ACTIONS(6993), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6995), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6997), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7003), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5484), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
    ACTIONS(5482), 31,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [75491] = 5,
    ACTIONS(7074), 1,
      anon_sym_DOT2,
    STATE(3168), 1,
      aux_sym_field_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3891), 21,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(3889), 29,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [75557] = 7,
    ACTIONS(6777), 1,
      anon_sym_LBRACE,
    ACTIONS(6816), 1,
      sym_uninitialized,
    ACTIONS(6820), 1,
      sym_tag,
    STATE(3536), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3859), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3857), 37,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [75627] = 5,
    ACTIONS(6703), 1,
      anon_sym_LPAREN,
    ACTIONS(6705), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4712), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4710), 40,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [75693] = 6,
    ACTIONS(7076), 1,
      anon_sym_COLON,
    ACTIONS(7078), 1,
      anon_sym_DOT2,
    STATE(3272), 1,
      aux_sym_field_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3417), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3415), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [75761] = 5,
    ACTIONS(6703), 1,
      anon_sym_LPAREN,
    ACTIONS(6705), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4750), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4748), 40,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [75827] = 5,
    ACTIONS(6703), 1,
      anon_sym_LPAREN,
    ACTIONS(6705), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4690), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4688), 40,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [75893] = 7,
    ACTIONS(6777), 1,
      anon_sym_LBRACE,
    ACTIONS(6822), 1,
      sym_uninitialized,
    ACTIONS(6832), 1,
      sym_tag,
    STATE(3543), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3283), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3281), 37,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [75963] = 5,
    ACTIONS(6703), 1,
      anon_sym_LPAREN,
    ACTIONS(6705), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4702), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4700), 40,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [76029] = 7,
    ACTIONS(6777), 1,
      anon_sym_LBRACE,
    ACTIONS(6834), 1,
      sym_uninitialized,
    ACTIONS(6836), 1,
      sym_tag,
    STATE(3546), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3293), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3291), 37,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [76099] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4499), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4497), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [76161] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4800), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4798), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [76223] = 7,
    ACTIONS(6777), 1,
      anon_sym_LBRACE,
    ACTIONS(7080), 1,
      sym_uninitialized,
    ACTIONS(7082), 1,
      sym_tag,
    STATE(3548), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4527), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4525), 37,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [76293] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5594), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5592), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [76355] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5080), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5078), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [76417] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5096), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5094), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [76479] = 5,
    ACTIONS(6703), 1,
      anon_sym_LPAREN,
    ACTIONS(6705), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4698), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4696), 40,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [76545] = 31,
    ACTIONS(6324), 1,
      anon_sym_LBRACK,
    ACTIONS(6358), 1,
      anon_sym_or_return,
    ACTIONS(6360), 1,
      anon_sym_or_continue,
    ACTIONS(6364), 1,
      anon_sym_CARET,
    ACTIONS(6366), 1,
      anon_sym_DASH_GT,
    ACTIONS(6370), 1,
      anon_sym_TILDE,
    ACTIONS(6372), 1,
      anon_sym_AMP,
    ACTIONS(6380), 1,
      anon_sym_PIPE,
    ACTIONS(6382), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6388), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6390), 1,
      anon_sym_DOT,
    ACTIONS(6396), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6398), 1,
      anon_sym_or_else,
    ACTIONS(6400), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6402), 1,
      anon_sym_or_break,
    ACTIONS(6709), 1,
      anon_sym_COMMA,
    ACTIONS(6957), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6961), 1,
      anon_sym_COLON_EQ,
    ACTIONS(6963), 1,
      anon_sym_COLON,
    ACTIONS(7084), 1,
      anon_sym_EQ,
    STATE(6086), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(6368), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6374), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(6376), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6384), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6392), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(6412), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6378), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(6386), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6965), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
  [76663] = 6,
    ACTIONS(6739), 1,
      anon_sym_LPAREN,
    ACTIONS(6741), 1,
      anon_sym_SLASH,
    ACTIONS(7086), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4750), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4748), 39,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [76731] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5074), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5072), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [76793] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4782), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4780), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [76855] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5686), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5684), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [76917] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4866), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4864), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [76979] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5690), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5688), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [77041] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4634), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4632), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [77103] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4527), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4525), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [77165] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4638), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4636), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [77227] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4642), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4640), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [77289] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4786), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4784), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [77351] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4646), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4644), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [77413] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4535), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4533), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [77475] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4650), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4648), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [77537] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4654), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4652), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [77599] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4658), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4656), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [77661] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4682), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4680), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [77723] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4662), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4660), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [77785] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4666), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4664), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [77847] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4670), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4668), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [77909] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4674), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4672), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [77971] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4746), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4744), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [78033] = 21,
    ACTIONS(6969), 1,
      anon_sym_DASH_GT,
    ACTIONS(6971), 1,
      anon_sym_PLUS,
    ACTIONS(6973), 1,
      anon_sym_DASH,
    ACTIONS(6975), 1,
      anon_sym_TILDE,
    ACTIONS(6977), 1,
      anon_sym_AMP,
    ACTIONS(6981), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6989), 1,
      anon_sym_PIPE,
    ACTIONS(6991), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6999), 1,
      anon_sym_DOT,
    ACTIONS(7001), 1,
      anon_sym_LBRACK,
    ACTIONS(5586), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(6979), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(6983), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(6985), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6993), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6995), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6997), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7003), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6987), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5584), 23,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [78131] = 11,
    ACTIONS(6969), 1,
      anon_sym_DASH_GT,
    ACTIONS(6971), 1,
      anon_sym_PLUS,
    ACTIONS(6973), 1,
      anon_sym_DASH,
    ACTIONS(6999), 1,
      anon_sym_DOT,
    ACTIONS(7001), 1,
      anon_sym_LBRACK,
    ACTIONS(6995), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6997), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7003), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5484), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
    ACTIONS(5482), 34,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [78209] = 7,
    ACTIONS(6969), 1,
      anon_sym_DASH_GT,
    ACTIONS(6999), 1,
      anon_sym_DOT,
    ACTIONS(7001), 1,
      anon_sym_LBRACK,
    ACTIONS(7003), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5484), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5482), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [78279] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5488), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5486), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [78341] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5492), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5490), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [78403] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5496), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5494), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [78465] = 25,
    ACTIONS(6969), 1,
      anon_sym_DASH_GT,
    ACTIONS(6971), 1,
      anon_sym_PLUS,
    ACTIONS(6973), 1,
      anon_sym_DASH,
    ACTIONS(6975), 1,
      anon_sym_TILDE,
    ACTIONS(6977), 1,
      anon_sym_AMP,
    ACTIONS(6981), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6989), 1,
      anon_sym_PIPE,
    ACTIONS(6991), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6999), 1,
      anon_sym_DOT,
    ACTIONS(7001), 1,
      anon_sym_LBRACK,
    ACTIONS(7005), 1,
      anon_sym_or_return,
    ACTIONS(7007), 1,
      anon_sym_or_continue,
    ACTIONS(7009), 1,
      anon_sym_or_break,
    ACTIONS(7011), 1,
      anon_sym_CARET,
    ACTIONS(5500), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(6979), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(6983), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(6985), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6993), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6995), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6997), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7003), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6987), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5498), 19,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_not_in,
      sym_uninitialized,
      sym_tag,
  [78571] = 6,
    ACTIONS(6739), 1,
      anon_sym_LPAREN,
    ACTIONS(6741), 1,
      anon_sym_SLASH,
    ACTIONS(7088), 1,
      anon_sym_EQ,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4934), 9,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4930), 40,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [78639] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5504), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5502), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [78701] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3303), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3299), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [78763] = 7,
    ACTIONS(6969), 1,
      anon_sym_DASH_GT,
    ACTIONS(6999), 1,
      anon_sym_DOT,
    ACTIONS(7001), 1,
      anon_sym_LBRACK,
    ACTIONS(7003), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5512), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5510), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [78833] = 7,
    ACTIONS(6625), 1,
      anon_sym_LBRACE,
    ACTIONS(6848), 1,
      sym_uninitialized,
    ACTIONS(7090), 1,
      sym_tag,
    STATE(3656), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3273), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3269), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [78903] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4706), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4704), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [78965] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(895), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(893), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [79027] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5442), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5440), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [79089] = 5,
    ACTIONS(6739), 1,
      anon_sym_LPAREN,
    ACTIONS(6741), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4690), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4688), 40,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [79155] = 5,
    ACTIONS(6739), 1,
      anon_sym_LPAREN,
    ACTIONS(6741), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4712), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4710), 40,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [79221] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(199), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(197), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [79283] = 5,
    ACTIONS(6739), 1,
      anon_sym_LPAREN,
    ACTIONS(6741), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4750), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4748), 40,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [79349] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(911), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(909), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [79411] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(778), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(773), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [79473] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4860), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4858), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [79535] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5522), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5520), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [79597] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5544), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5542), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [79659] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5548), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5546), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [79721] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5552), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5550), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [79783] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4754), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4752), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [79845] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3273), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3269), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [79907] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5602), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5600), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [79969] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5446), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5444), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [80031] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3859), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3857), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [80093] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4872), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4870), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [80155] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5606), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5604), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [80217] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5598), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5596), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [80279] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5606), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5604), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [80341] = 7,
    ACTIONS(6625), 1,
      anon_sym_LBRACE,
    ACTIONS(6873), 1,
      sym_uninitialized,
    ACTIONS(6875), 1,
      sym_tag,
    STATE(3655), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3303), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3299), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [80411] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5610), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5608), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [80473] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5614), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5612), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [80535] = 6,
    ACTIONS(6703), 1,
      anon_sym_LPAREN,
    ACTIONS(6705), 1,
      anon_sym_SLASH,
    ACTIONS(7092), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4750), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4748), 39,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [80603] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4948), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4946), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [80665] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5614), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5612), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [80727] = 5,
    ACTIONS(7096), 1,
      anon_sym_QMARK,
    ACTIONS(7094), 2,
      anon_sym_if,
      anon_sym_when,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5080), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5078), 38,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [80793] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5618), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5616), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [80855] = 7,
    ACTIONS(7019), 1,
      anon_sym_DASH_GT,
    ACTIONS(7049), 1,
      anon_sym_DOT,
    ACTIONS(7051), 1,
      anon_sym_LBRACK,
    ACTIONS(7053), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5124), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5122), 37,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_RBRACK,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [80925] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5646), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5644), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [80987] = 7,
    ACTIONS(7019), 1,
      anon_sym_DASH_GT,
    ACTIONS(7049), 1,
      anon_sym_DOT,
    ACTIONS(7051), 1,
      anon_sym_LBRACK,
    ACTIONS(7053), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5144), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5142), 37,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_RBRACK,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [81057] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4499), 22,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4497), 30,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [81119] = 31,
    ACTIONS(6320), 1,
      anon_sym_DASH_GT,
    ACTIONS(6322), 1,
      anon_sym_DOT,
    ACTIONS(6324), 1,
      anon_sym_LBRACK,
    ACTIONS(6332), 1,
      anon_sym_TILDE,
    ACTIONS(6334), 1,
      anon_sym_AMP,
    ACTIONS(6336), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6338), 1,
      anon_sym_or_else,
    ACTIONS(6340), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6348), 1,
      anon_sym_PIPE,
    ACTIONS(6350), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6356), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6358), 1,
      anon_sym_or_return,
    ACTIONS(6360), 1,
      anon_sym_or_continue,
    ACTIONS(6362), 1,
      anon_sym_or_break,
    ACTIONS(6364), 1,
      anon_sym_CARET,
    ACTIONS(6709), 1,
      anon_sym_COMMA,
    ACTIONS(6957), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6961), 1,
      anon_sym_COLON_EQ,
    ACTIONS(7084), 1,
      anon_sym_EQ,
    ACTIONS(7098), 1,
      anon_sym_COLON,
    STATE(6086), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(6326), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(6328), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(6330), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6342), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(6344), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6352), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6346), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(6354), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6965), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
  [81237] = 5,
    ACTIONS(7100), 1,
      anon_sym_LBRACE,
    STATE(2980), 1,
      aux_sym_struct_type_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4628), 21,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4626), 29,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [81303] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4790), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4788), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [81365] = 5,
    ACTIONS(6739), 1,
      anon_sym_LPAREN,
    ACTIONS(6741), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4702), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4700), 40,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [81431] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3283), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3281), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [81493] = 7,
    ACTIONS(6625), 1,
      anon_sym_LBRACE,
    ACTIONS(6941), 1,
      sym_uninitialized,
    ACTIONS(6953), 1,
      sym_tag,
    STATE(3648), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3859), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3857), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [81563] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5180), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5178), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [81625] = 14,
    ACTIONS(6969), 1,
      anon_sym_DASH_GT,
    ACTIONS(6971), 1,
      anon_sym_PLUS,
    ACTIONS(6973), 1,
      anon_sym_DASH,
    ACTIONS(6977), 1,
      anon_sym_AMP,
    ACTIONS(6991), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6999), 1,
      anon_sym_DOT,
    ACTIONS(7001), 1,
      anon_sym_LBRACK,
    ACTIONS(6993), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6995), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6997), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7003), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5484), 6,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_TILDE,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
    ACTIONS(5482), 31,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [81709] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4758), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4756), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [81771] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4716), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4714), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [81833] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4720), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4718), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [81895] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4724), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4722), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [81957] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5450), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5448), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [82019] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4884), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4882), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [82081] = 5,
    ACTIONS(7104), 1,
      anon_sym_QMARK,
    ACTIONS(7102), 2,
      anon_sym_if,
      anon_sym_when,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5080), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5078), 38,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_in,
      anon_sym_case,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [82147] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5104), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5102), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [82209] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5120), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5118), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [82271] = 5,
    ACTIONS(7106), 1,
      anon_sym_DOT2,
    STATE(3168), 1,
      aux_sym_field_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3979), 21,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(3977), 29,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [82337] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5650), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5648), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [82399] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5074), 22,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5072), 30,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [82461] = 5,
    ACTIONS(7100), 1,
      anon_sym_LBRACE,
    STATE(2980), 1,
      aux_sym_struct_type_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4482), 21,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4480), 29,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [82527] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4678), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4676), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [82589] = 7,
    ACTIONS(6969), 1,
      anon_sym_DASH_GT,
    ACTIONS(6999), 1,
      anon_sym_DOT,
    ACTIONS(7001), 1,
      anon_sym_LBRACK,
    ACTIONS(7003), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5124), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5122), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [82659] = 4,
    ACTIONS(6917), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(67), 40,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [82723] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5140), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5138), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [82785] = 7,
    ACTIONS(6969), 1,
      anon_sym_DASH_GT,
    ACTIONS(6999), 1,
      anon_sym_DOT,
    ACTIONS(7001), 1,
      anon_sym_LBRACK,
    ACTIONS(7003), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5144), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5142), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [82855] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5160), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5158), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [82917] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4686), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4684), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [82979] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5176), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5174), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [83041] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5280), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5278), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [83103] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4728), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4726), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [83165] = 5,
    ACTIONS(7100), 1,
      anon_sym_LBRACE,
    STATE(2980), 1,
      aux_sym_struct_type_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4521), 21,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4519), 29,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [83231] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(857), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(855), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [83293] = 26,
    ACTIONS(7019), 1,
      anon_sym_DASH_GT,
    ACTIONS(7021), 1,
      anon_sym_PLUS,
    ACTIONS(7023), 1,
      anon_sym_DASH,
    ACTIONS(7025), 1,
      anon_sym_TILDE,
    ACTIONS(7027), 1,
      anon_sym_AMP,
    ACTIONS(7031), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7039), 1,
      anon_sym_PIPE,
    ACTIONS(7041), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7049), 1,
      anon_sym_DOT,
    ACTIONS(7051), 1,
      anon_sym_LBRACK,
    ACTIONS(7055), 1,
      anon_sym_or_return,
    ACTIONS(7057), 1,
      anon_sym_or_continue,
    ACTIONS(7059), 1,
      anon_sym_or_break,
    ACTIONS(7061), 1,
      anon_sym_CARET,
    ACTIONS(5478), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(7029), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7033), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7035), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7043), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7045), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7047), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7053), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7109), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7037), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5476), 17,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_QMARK,
      anon_sym_RBRACK,
      sym_uninitialized,
      sym_tag,
  [83401] = 9,
    ACTIONS(7019), 1,
      anon_sym_DASH_GT,
    ACTIONS(7049), 1,
      anon_sym_DOT,
    ACTIONS(7051), 1,
      anon_sym_LBRACK,
    ACTIONS(7045), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7047), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7053), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5484), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
    ACTIONS(5482), 35,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RBRACK,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [83475] = 14,
    ACTIONS(7019), 1,
      anon_sym_DASH_GT,
    ACTIONS(7021), 1,
      anon_sym_PLUS,
    ACTIONS(7023), 1,
      anon_sym_DASH,
    ACTIONS(7027), 1,
      anon_sym_AMP,
    ACTIONS(7041), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7049), 1,
      anon_sym_DOT,
    ACTIONS(7051), 1,
      anon_sym_LBRACK,
    ACTIONS(7043), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7045), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7047), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7053), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5484), 6,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_TILDE,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
    ACTIONS(5482), 31,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_RBRACK,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [83559] = 13,
    ACTIONS(7019), 1,
      anon_sym_DASH_GT,
    ACTIONS(7021), 1,
      anon_sym_PLUS,
    ACTIONS(7023), 1,
      anon_sym_DASH,
    ACTIONS(7041), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7049), 1,
      anon_sym_DOT,
    ACTIONS(7051), 1,
      anon_sym_LBRACK,
    ACTIONS(7043), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7045), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7047), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7053), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5484), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
    ACTIONS(5482), 31,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_RBRACK,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [83641] = 20,
    ACTIONS(7019), 1,
      anon_sym_DASH_GT,
    ACTIONS(7021), 1,
      anon_sym_PLUS,
    ACTIONS(7023), 1,
      anon_sym_DASH,
    ACTIONS(7025), 1,
      anon_sym_TILDE,
    ACTIONS(7027), 1,
      anon_sym_AMP,
    ACTIONS(7031), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7039), 1,
      anon_sym_PIPE,
    ACTIONS(7041), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7049), 1,
      anon_sym_DOT,
    ACTIONS(7051), 1,
      anon_sym_LBRACK,
    ACTIONS(5484), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(7033), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7035), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7043), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7045), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7047), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7053), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7037), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5482), 25,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_RBRACK,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [83737] = 19,
    ACTIONS(7019), 1,
      anon_sym_DASH_GT,
    ACTIONS(7021), 1,
      anon_sym_PLUS,
    ACTIONS(7023), 1,
      anon_sym_DASH,
    ACTIONS(7025), 1,
      anon_sym_TILDE,
    ACTIONS(7027), 1,
      anon_sym_AMP,
    ACTIONS(7039), 1,
      anon_sym_PIPE,
    ACTIONS(7041), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7049), 1,
      anon_sym_DOT,
    ACTIONS(7051), 1,
      anon_sym_LBRACK,
    ACTIONS(5484), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(7033), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7035), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7043), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7045), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7047), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7053), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7037), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5482), 26,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_RBRACK,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [83831] = 17,
    ACTIONS(7019), 1,
      anon_sym_DASH_GT,
    ACTIONS(7021), 1,
      anon_sym_PLUS,
    ACTIONS(7023), 1,
      anon_sym_DASH,
    ACTIONS(7025), 1,
      anon_sym_TILDE,
    ACTIONS(7027), 1,
      anon_sym_AMP,
    ACTIONS(7039), 1,
      anon_sym_PIPE,
    ACTIONS(7041), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7049), 1,
      anon_sym_DOT,
    ACTIONS(7051), 1,
      anon_sym_LBRACK,
    ACTIONS(7043), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7045), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7047), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7053), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7037), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5484), 4,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5482), 28,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_RBRACK,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [83921] = 7,
    ACTIONS(6625), 1,
      anon_sym_LBRACE,
    ACTIONS(7013), 1,
      sym_uninitialized,
    ACTIONS(7017), 1,
      sym_tag,
    STATE(3643), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3283), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3281), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [83991] = 16,
    ACTIONS(7019), 1,
      anon_sym_DASH_GT,
    ACTIONS(7021), 1,
      anon_sym_PLUS,
    ACTIONS(7023), 1,
      anon_sym_DASH,
    ACTIONS(7025), 1,
      anon_sym_TILDE,
    ACTIONS(7027), 1,
      anon_sym_AMP,
    ACTIONS(7039), 1,
      anon_sym_PIPE,
    ACTIONS(7041), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7049), 1,
      anon_sym_DOT,
    ACTIONS(7051), 1,
      anon_sym_LBRACK,
    ACTIONS(7043), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7045), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7047), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7053), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5484), 4,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5482), 31,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_RBRACK,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [84079] = 15,
    ACTIONS(7019), 1,
      anon_sym_DASH_GT,
    ACTIONS(7021), 1,
      anon_sym_PLUS,
    ACTIONS(7023), 1,
      anon_sym_DASH,
    ACTIONS(7025), 1,
      anon_sym_TILDE,
    ACTIONS(7027), 1,
      anon_sym_AMP,
    ACTIONS(7041), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7049), 1,
      anon_sym_DOT,
    ACTIONS(7051), 1,
      anon_sym_LBRACK,
    ACTIONS(7043), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7045), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7047), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7053), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5484), 5,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
    ACTIONS(5482), 31,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_RBRACK,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [84165] = 12,
    ACTIONS(7019), 1,
      anon_sym_DASH_GT,
    ACTIONS(7021), 1,
      anon_sym_PLUS,
    ACTIONS(7023), 1,
      anon_sym_DASH,
    ACTIONS(7049), 1,
      anon_sym_DOT,
    ACTIONS(7051), 1,
      anon_sym_LBRACK,
    ACTIONS(7043), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7045), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7047), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7053), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5484), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
    ACTIONS(5482), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_RBRACK,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [84245] = 11,
    ACTIONS(7019), 1,
      anon_sym_DASH_GT,
    ACTIONS(7021), 1,
      anon_sym_PLUS,
    ACTIONS(7023), 1,
      anon_sym_DASH,
    ACTIONS(7049), 1,
      anon_sym_DOT,
    ACTIONS(7051), 1,
      anon_sym_LBRACK,
    ACTIONS(7045), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7047), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7053), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5484), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
    ACTIONS(5482), 34,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RBRACK,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [84323] = 7,
    ACTIONS(7019), 1,
      anon_sym_DASH_GT,
    ACTIONS(7049), 1,
      anon_sym_DOT,
    ACTIONS(7051), 1,
      anon_sym_LBRACK,
    ACTIONS(7053), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5484), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5482), 37,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_RBRACK,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [84393] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5454), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5452), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [84455] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5654), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5652), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [84517] = 25,
    ACTIONS(7019), 1,
      anon_sym_DASH_GT,
    ACTIONS(7021), 1,
      anon_sym_PLUS,
    ACTIONS(7023), 1,
      anon_sym_DASH,
    ACTIONS(7025), 1,
      anon_sym_TILDE,
    ACTIONS(7027), 1,
      anon_sym_AMP,
    ACTIONS(7031), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7039), 1,
      anon_sym_PIPE,
    ACTIONS(7041), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7049), 1,
      anon_sym_DOT,
    ACTIONS(7051), 1,
      anon_sym_LBRACK,
    ACTIONS(7055), 1,
      anon_sym_or_return,
    ACTIONS(7057), 1,
      anon_sym_or_continue,
    ACTIONS(7059), 1,
      anon_sym_or_break,
    ACTIONS(7061), 1,
      anon_sym_CARET,
    ACTIONS(5500), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(7029), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7033), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7035), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7043), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7045), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7047), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7053), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7037), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5498), 19,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_RBRACK,
      anon_sym_not_in,
      sym_uninitialized,
      sym_tag,
  [84623] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5658), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5656), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [84685] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5508), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5506), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [84747] = 7,
    ACTIONS(7019), 1,
      anon_sym_DASH_GT,
    ACTIONS(7049), 1,
      anon_sym_DOT,
    ACTIONS(7051), 1,
      anon_sym_LBRACK,
    ACTIONS(7053), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5512), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5510), 37,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_RBRACK,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [84817] = 25,
    ACTIONS(6969), 1,
      anon_sym_DASH_GT,
    ACTIONS(6971), 1,
      anon_sym_PLUS,
    ACTIONS(6973), 1,
      anon_sym_DASH,
    ACTIONS(6975), 1,
      anon_sym_TILDE,
    ACTIONS(6977), 1,
      anon_sym_AMP,
    ACTIONS(6981), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6989), 1,
      anon_sym_PIPE,
    ACTIONS(6991), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6999), 1,
      anon_sym_DOT,
    ACTIONS(7001), 1,
      anon_sym_LBRACK,
    ACTIONS(7005), 1,
      anon_sym_or_return,
    ACTIONS(7007), 1,
      anon_sym_or_continue,
    ACTIONS(7009), 1,
      anon_sym_or_break,
    ACTIONS(7011), 1,
      anon_sym_CARET,
    ACTIONS(4624), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(6979), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(6983), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(6985), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6993), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6995), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6997), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7003), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6987), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(4619), 19,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_not_in,
      sym_uninitialized,
      sym_tag,
  [84923] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4762), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4760), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [84985] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(836), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(833), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [85047] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4694), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4692), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [85109] = 5,
    ACTIONS(6739), 1,
      anon_sym_LPAREN,
    ACTIONS(6741), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4698), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4696), 40,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [85175] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3417), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3415), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [85237] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4732), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4730), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [85299] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5556), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5554), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [85361] = 7,
    ACTIONS(7019), 1,
      anon_sym_DASH_GT,
    ACTIONS(7049), 1,
      anon_sym_DOT,
    ACTIONS(7051), 1,
      anon_sym_LBRACK,
    ACTIONS(7053), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5562), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5560), 37,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_RBRACK,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [85431] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5566), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5564), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [85493] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4766), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4764), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [85555] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5458), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5456), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [85617] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4770), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4768), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [85679] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5570), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5568), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [85741] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5570), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5568), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [85803] = 25,
    ACTIONS(7019), 1,
      anon_sym_DASH_GT,
    ACTIONS(7021), 1,
      anon_sym_PLUS,
    ACTIONS(7023), 1,
      anon_sym_DASH,
    ACTIONS(7025), 1,
      anon_sym_TILDE,
    ACTIONS(7027), 1,
      anon_sym_AMP,
    ACTIONS(7031), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7039), 1,
      anon_sym_PIPE,
    ACTIONS(7041), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7049), 1,
      anon_sym_DOT,
    ACTIONS(7051), 1,
      anon_sym_LBRACK,
    ACTIONS(7055), 1,
      anon_sym_or_return,
    ACTIONS(7057), 1,
      anon_sym_or_continue,
    ACTIONS(7059), 1,
      anon_sym_or_break,
    ACTIONS(7061), 1,
      anon_sym_CARET,
    ACTIONS(4624), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(7029), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7033), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7035), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7043), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7045), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7047), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7053), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7037), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(4619), 19,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_RBRACK,
      anon_sym_not_in,
      sym_uninitialized,
      sym_tag,
  [85909] = 25,
    ACTIONS(7019), 1,
      anon_sym_DASH_GT,
    ACTIONS(7021), 1,
      anon_sym_PLUS,
    ACTIONS(7023), 1,
      anon_sym_DASH,
    ACTIONS(7025), 1,
      anon_sym_TILDE,
    ACTIONS(7027), 1,
      anon_sym_AMP,
    ACTIONS(7031), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7039), 1,
      anon_sym_PIPE,
    ACTIONS(7041), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7049), 1,
      anon_sym_DOT,
    ACTIONS(7051), 1,
      anon_sym_LBRACK,
    ACTIONS(7055), 1,
      anon_sym_or_return,
    ACTIONS(7057), 1,
      anon_sym_or_continue,
    ACTIONS(7059), 1,
      anon_sym_or_break,
    ACTIONS(7061), 1,
      anon_sym_CARET,
    ACTIONS(5586), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(7029), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7033), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7035), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7043), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7045), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7047), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7053), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7037), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5584), 19,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_RBRACK,
      anon_sym_not_in,
      sym_uninitialized,
      sym_tag,
  [86015] = 21,
    ACTIONS(7019), 1,
      anon_sym_DASH_GT,
    ACTIONS(7021), 1,
      anon_sym_PLUS,
    ACTIONS(7023), 1,
      anon_sym_DASH,
    ACTIONS(7025), 1,
      anon_sym_TILDE,
    ACTIONS(7027), 1,
      anon_sym_AMP,
    ACTIONS(7031), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7039), 1,
      anon_sym_PIPE,
    ACTIONS(7041), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7049), 1,
      anon_sym_DOT,
    ACTIONS(7051), 1,
      anon_sym_LBRACK,
    ACTIONS(5586), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(7029), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7033), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7035), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7043), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7045), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7047), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7053), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7037), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5584), 23,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_RBRACK,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [86113] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5590), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5588), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [86175] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5574), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5572), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [86237] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5462), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5460), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [86299] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5466), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5464), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [86361] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5470), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5468), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [86423] = 20,
    ACTIONS(6969), 1,
      anon_sym_DASH_GT,
    ACTIONS(6971), 1,
      anon_sym_PLUS,
    ACTIONS(6973), 1,
      anon_sym_DASH,
    ACTIONS(6975), 1,
      anon_sym_TILDE,
    ACTIONS(6977), 1,
      anon_sym_AMP,
    ACTIONS(6981), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6989), 1,
      anon_sym_PIPE,
    ACTIONS(6991), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6999), 1,
      anon_sym_DOT,
    ACTIONS(7001), 1,
      anon_sym_LBRACK,
    ACTIONS(5484), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(6983), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(6985), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6993), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6995), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6997), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7003), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6987), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5482), 25,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [86519] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5474), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5472), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [86581] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4762), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4760), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [86643] = 26,
    ACTIONS(6969), 1,
      anon_sym_DASH_GT,
    ACTIONS(6971), 1,
      anon_sym_PLUS,
    ACTIONS(6973), 1,
      anon_sym_DASH,
    ACTIONS(6975), 1,
      anon_sym_TILDE,
    ACTIONS(6977), 1,
      anon_sym_AMP,
    ACTIONS(6981), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6989), 1,
      anon_sym_PIPE,
    ACTIONS(6991), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6999), 1,
      anon_sym_DOT,
    ACTIONS(7001), 1,
      anon_sym_LBRACK,
    ACTIONS(7005), 1,
      anon_sym_or_return,
    ACTIONS(7007), 1,
      anon_sym_or_continue,
    ACTIONS(7009), 1,
      anon_sym_or_break,
    ACTIONS(7011), 1,
      anon_sym_CARET,
    ACTIONS(5478), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(6979), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(6983), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(6985), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6993), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6995), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6997), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7003), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7111), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6987), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5476), 17,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_case,
      anon_sym_QMARK,
      sym_uninitialized,
      sym_tag,
  [86751] = 9,
    ACTIONS(6969), 1,
      anon_sym_DASH_GT,
    ACTIONS(6999), 1,
      anon_sym_DOT,
    ACTIONS(7001), 1,
      anon_sym_LBRACK,
    ACTIONS(6995), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6997), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7003), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5484), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
    ACTIONS(5482), 35,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [86825] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5578), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5576), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [86887] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4795), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4792), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [86949] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5582), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5580), 41,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [87011] = 25,
    ACTIONS(6969), 1,
      anon_sym_DASH_GT,
    ACTIONS(6971), 1,
      anon_sym_PLUS,
    ACTIONS(6973), 1,
      anon_sym_DASH,
    ACTIONS(6975), 1,
      anon_sym_TILDE,
    ACTIONS(6977), 1,
      anon_sym_AMP,
    ACTIONS(6981), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6989), 1,
      anon_sym_PIPE,
    ACTIONS(6991), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6999), 1,
      anon_sym_DOT,
    ACTIONS(7001), 1,
      anon_sym_LBRACK,
    ACTIONS(7005), 1,
      anon_sym_or_return,
    ACTIONS(7007), 1,
      anon_sym_or_continue,
    ACTIONS(7009), 1,
      anon_sym_or_break,
    ACTIONS(7011), 1,
      anon_sym_CARET,
    ACTIONS(5586), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(6979), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(6983), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(6985), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6993), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6995), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6997), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7003), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6987), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5584), 19,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_not_in,
      sym_uninitialized,
      sym_tag,
  [87117] = 7,
    ACTIONS(6969), 1,
      anon_sym_DASH_GT,
    ACTIONS(6999), 1,
      anon_sym_DOT,
    ACTIONS(7001), 1,
      anon_sym_LBRACK,
    ACTIONS(7003), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5562), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5560), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_where,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [87187] = 6,
    ACTIONS(6625), 1,
      anon_sym_LBRACE,
    ACTIONS(6873), 1,
      sym_uninitialized,
    STATE(3655), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3303), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3299), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [87254] = 6,
    ACTIONS(6625), 1,
      anon_sym_LBRACE,
    ACTIONS(7013), 1,
      sym_uninitialized,
    STATE(3643), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3283), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3281), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [87321] = 10,
    ACTIONS(7113), 1,
      anon_sym_LBRACE,
    ACTIONS(7115), 1,
      anon_sym_DASH_GT,
    ACTIONS(7117), 1,
      anon_sym_where,
    ACTIONS(7119), 1,
      sym_uninitialized,
    ACTIONS(7121), 1,
      sym_tag,
    STATE(3328), 1,
      sym_where_clause,
    STATE(3601), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3935), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3931), 34,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [87396] = 6,
    ACTIONS(6625), 1,
      anon_sym_LBRACE,
    ACTIONS(7123), 1,
      sym_uninitialized,
    STATE(3728), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4535), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4533), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [87463] = 5,
    ACTIONS(7078), 1,
      anon_sym_DOT2,
    STATE(3272), 1,
      aux_sym_field_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3417), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3415), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [87528] = 10,
    ACTIONS(7113), 1,
      anon_sym_LBRACE,
    ACTIONS(7117), 1,
      anon_sym_where,
    ACTIONS(7125), 1,
      anon_sym_DASH_GT,
    ACTIONS(7127), 1,
      sym_uninitialized,
    ACTIONS(7129), 1,
      sym_tag,
    STATE(3330), 1,
      sym_where_clause,
    STATE(3454), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3303), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3299), 34,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [87603] = 11,
    ACTIONS(7113), 1,
      anon_sym_LBRACE,
    ACTIONS(7117), 1,
      anon_sym_where,
    ACTIONS(7131), 1,
      anon_sym_LPAREN,
    ACTIONS(7133), 1,
      anon_sym_SLASH,
    ACTIONS(7135), 1,
      sym_uninitialized,
    ACTIONS(7137), 1,
      sym_tag,
    STATE(3332), 1,
      sym_where_clause,
    STATE(3515), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3273), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3269), 34,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [87680] = 9,
    ACTIONS(7113), 1,
      anon_sym_LBRACE,
    ACTIONS(7117), 1,
      anon_sym_where,
    ACTIONS(7135), 1,
      sym_uninitialized,
    ACTIONS(7137), 1,
      sym_tag,
    STATE(3332), 1,
      sym_where_clause,
    STATE(3515), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3273), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3269), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [87753] = 6,
    ACTIONS(6777), 1,
      anon_sym_LBRACE,
    ACTIONS(6781), 1,
      sym_uninitialized,
    STATE(3468), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3303), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3299), 37,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [87820] = 11,
    ACTIONS(7113), 1,
      anon_sym_LBRACE,
    ACTIONS(7117), 1,
      anon_sym_where,
    ACTIONS(7131), 1,
      anon_sym_LPAREN,
    ACTIONS(7133), 1,
      anon_sym_SLASH,
    ACTIONS(7139), 1,
      sym_uninitialized,
    ACTIONS(7141), 1,
      sym_tag,
    STATE(3333), 1,
      sym_where_clause,
    STATE(3574), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3859), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3857), 34,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [87897] = 9,
    ACTIONS(7113), 1,
      anon_sym_LBRACE,
    ACTIONS(7117), 1,
      anon_sym_where,
    ACTIONS(7139), 1,
      sym_uninitialized,
    ACTIONS(7141), 1,
      sym_tag,
    STATE(3333), 1,
      sym_where_clause,
    STATE(3574), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3859), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3857), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [87970] = 5,
    ACTIONS(7143), 1,
      anon_sym_DOT2,
    STATE(3247), 1,
      aux_sym_field_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3979), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3977), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [88035] = 9,
    ACTIONS(7113), 1,
      anon_sym_LBRACE,
    ACTIONS(7117), 1,
      anon_sym_where,
    ACTIONS(7139), 1,
      sym_uninitialized,
    ACTIONS(7146), 1,
      sym_tag,
    STATE(3333), 1,
      sym_where_clause,
    STATE(3574), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3859), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3857), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [88108] = 5,
    ACTIONS(7148), 1,
      anon_sym_DOT2,
    STATE(3249), 1,
      aux_sym_field_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3979), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3977), 38,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [88173] = 7,
    ACTIONS(6893), 1,
      anon_sym_LBRACE,
    ACTIONS(6911), 1,
      sym_uninitialized,
    ACTIONS(6925), 1,
      sym_tag,
    STATE(3730), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3859), 10,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3857), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [88242] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3979), 22,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_DOT2,
      sym_identifier,
    ACTIONS(3977), 29,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [88303] = 7,
    ACTIONS(6893), 1,
      anon_sym_LBRACE,
    ACTIONS(6907), 1,
      sym_uninitialized,
    ACTIONS(7151), 1,
      sym_tag,
    STATE(3721), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3273), 10,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3269), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [88372] = 11,
    ACTIONS(7113), 1,
      anon_sym_LBRACE,
    ACTIONS(7117), 1,
      anon_sym_where,
    ACTIONS(7131), 1,
      anon_sym_LPAREN,
    ACTIONS(7133), 1,
      anon_sym_SLASH,
    ACTIONS(7153), 1,
      sym_uninitialized,
    ACTIONS(7155), 1,
      sym_tag,
    STATE(3336), 1,
      sym_where_clause,
    STATE(3419), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3283), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3281), 34,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [88449] = 9,
    ACTIONS(7113), 1,
      anon_sym_LBRACE,
    ACTIONS(7117), 1,
      anon_sym_where,
    ACTIONS(7153), 1,
      sym_uninitialized,
    ACTIONS(7155), 1,
      sym_tag,
    STATE(3336), 1,
      sym_where_clause,
    STATE(3419), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3283), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3281), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [88522] = 6,
    ACTIONS(6777), 1,
      anon_sym_LBRACE,
    ACTIONS(6816), 1,
      sym_uninitialized,
    STATE(3536), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3859), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3857), 37,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [88589] = 5,
    ACTIONS(7157), 1,
      anon_sym_DOT2,
    STATE(3268), 1,
      aux_sym_field_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3417), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3415), 38,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [88654] = 6,
    ACTIONS(6625), 1,
      anon_sym_LBRACE,
    ACTIONS(6848), 1,
      sym_uninitialized,
    STATE(3656), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3273), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3269), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [88721] = 9,
    ACTIONS(7113), 1,
      anon_sym_LBRACE,
    ACTIONS(7117), 1,
      anon_sym_where,
    ACTIONS(7153), 1,
      sym_uninitialized,
    ACTIONS(7159), 1,
      sym_tag,
    STATE(3336), 1,
      sym_where_clause,
    STATE(3419), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3283), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3281), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [88794] = 7,
    ACTIONS(6893), 1,
      anon_sym_LBRACE,
    ACTIONS(6927), 1,
      sym_uninitialized,
    ACTIONS(6931), 1,
      sym_tag,
    STATE(3623), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3283), 10,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3281), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [88863] = 6,
    ACTIONS(6625), 1,
      anon_sym_LBRACE,
    ACTIONS(6941), 1,
      sym_uninitialized,
    STATE(3648), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3859), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3857), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [88930] = 9,
    ACTIONS(7113), 1,
      anon_sym_LBRACE,
    ACTIONS(7117), 1,
      anon_sym_where,
    ACTIONS(7161), 1,
      sym_uninitialized,
    ACTIONS(7163), 1,
      sym_tag,
    STATE(3341), 1,
      sym_where_clause,
    STATE(3425), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3293), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3291), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [89003] = 7,
    ACTIONS(6893), 1,
      anon_sym_LBRACE,
    ACTIONS(6933), 1,
      sym_uninitialized,
    ACTIONS(6935), 1,
      sym_tag,
    STATE(3663), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3293), 10,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3291), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [89072] = 7,
    ACTIONS(6893), 1,
      anon_sym_LBRACE,
    ACTIONS(7165), 1,
      sym_uninitialized,
    ACTIONS(7167), 1,
      sym_tag,
    STATE(3719), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4527), 10,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4525), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [89141] = 26,
    ACTIONS(6647), 1,
      anon_sym_DASH_GT,
    ACTIONS(6649), 1,
      anon_sym_DOT,
    ACTIONS(6651), 1,
      anon_sym_LBRACK,
    ACTIONS(6659), 1,
      anon_sym_TILDE,
    ACTIONS(6661), 1,
      anon_sym_AMP,
    ACTIONS(6663), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6665), 1,
      anon_sym_or_else,
    ACTIONS(6667), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6675), 1,
      anon_sym_PIPE,
    ACTIONS(6677), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6683), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6685), 1,
      anon_sym_or_return,
    ACTIONS(6687), 1,
      anon_sym_or_continue,
    ACTIONS(6689), 1,
      anon_sym_or_break,
    ACTIONS(6691), 1,
      anon_sym_CARET,
    ACTIONS(6653), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(6655), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(6657), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6669), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(6671), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6679), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7171), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6673), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(6681), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7169), 16,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
  [89248] = 6,
    ACTIONS(6777), 1,
      anon_sym_LBRACE,
    ACTIONS(6834), 1,
      sym_uninitialized,
    STATE(3546), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3293), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3291), 37,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [89315] = 6,
    ACTIONS(6777), 1,
      anon_sym_LBRACE,
    ACTIONS(7080), 1,
      sym_uninitialized,
    STATE(3548), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4527), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4525), 37,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [89382] = 6,
    ACTIONS(6777), 1,
      anon_sym_LBRACE,
    ACTIONS(6809), 1,
      sym_uninitialized,
    STATE(3525), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3273), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3269), 37,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [89449] = 5,
    ACTIONS(7157), 1,
      anon_sym_DOT2,
    STATE(3249), 1,
      aux_sym_field_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3891), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3889), 38,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [89514] = 6,
    ACTIONS(6625), 1,
      anon_sym_LBRACE,
    ACTIONS(6880), 1,
      sym_uninitialized,
    STATE(3702), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3293), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3291), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [89581] = 6,
    ACTIONS(6777), 1,
      anon_sym_LBRACE,
    ACTIONS(7173), 1,
      sym_uninitialized,
    STATE(3550), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4535), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4533), 37,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [89648] = 6,
    ACTIONS(6625), 1,
      anon_sym_LBRACE,
    ACTIONS(7068), 1,
      sym_uninitialized,
    STATE(3727), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4527), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4525), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [89715] = 5,
    ACTIONS(7078), 1,
      anon_sym_DOT2,
    STATE(3247), 1,
      aux_sym_field_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3891), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3889), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [89780] = 7,
    ACTIONS(6893), 1,
      anon_sym_LBRACE,
    ACTIONS(6903), 1,
      sym_uninitialized,
    ACTIONS(6905), 1,
      sym_tag,
    STATE(3711), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3303), 10,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3299), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [89849] = 6,
    ACTIONS(6777), 1,
      anon_sym_LBRACE,
    ACTIONS(6822), 1,
      sym_uninitialized,
    STATE(3543), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3283), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3281), 37,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [89916] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4728), 21,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4726), 29,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [89976] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4682), 21,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4680), 29,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [90036] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3859), 21,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(3857), 29,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [90096] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4758), 21,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4756), 29,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [90156] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4678), 21,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4676), 29,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [90216] = 5,
    ACTIONS(7175), 1,
      anon_sym_DOT2,
    STATE(3381), 1,
      aux_sym_field_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3891), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3889), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [90280] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4800), 21,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4798), 29,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [90340] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4686), 21,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4684), 29,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [90400] = 5,
    ACTIONS(7175), 1,
      anon_sym_DOT2,
    STATE(3280), 1,
      aux_sym_field_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3417), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3415), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [90464] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3417), 21,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(3415), 29,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [90524] = 27,
    ACTIONS(4430), 1,
      anon_sym_EQ,
    ACTIONS(7177), 1,
      anon_sym_COMMA,
    ACTIONS(7179), 1,
      anon_sym_DASH_GT,
    ACTIONS(7181), 1,
      anon_sym_PLUS,
    ACTIONS(7183), 1,
      anon_sym_DASH,
    ACTIONS(7185), 1,
      anon_sym_TILDE,
    ACTIONS(7187), 1,
      anon_sym_AMP,
    ACTIONS(7191), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7199), 1,
      anon_sym_PIPE,
    ACTIONS(7201), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7209), 1,
      anon_sym_DOT,
    ACTIONS(7211), 1,
      anon_sym_LBRACK,
    ACTIONS(7215), 1,
      anon_sym_or_return,
    ACTIONS(7217), 1,
      anon_sym_or_continue,
    ACTIONS(7219), 1,
      anon_sym_or_break,
    ACTIONS(7221), 1,
      anon_sym_CARET,
    STATE(3301), 1,
      aux_sym_where_clause_repeat1,
    ACTIONS(7189), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7193), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7195), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7203), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7205), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7207), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7213), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7197), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(4426), 16,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_not_in,
      sym_uninitialized,
      sym_tag,
  [90632] = 4,
    STATE(3390), 1,
      aux_sym_struct_type_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4521), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4519), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [90694] = 4,
    STATE(2980), 1,
      aux_sym_struct_type_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4521), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4519), 38,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [90756] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5450), 21,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5448), 29,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [90816] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4694), 21,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4692), 29,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [90876] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4790), 21,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4788), 29,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [90936] = 4,
    STATE(3390), 1,
      aux_sym_struct_type_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4628), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4626), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [90998] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3979), 11,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_DOT2,
    ACTIONS(3977), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [91058] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3303), 21,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(3299), 29,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [91118] = 10,
    ACTIONS(7117), 1,
      anon_sym_where,
    ACTIONS(7223), 1,
      anon_sym_LBRACE,
    ACTIONS(7225), 1,
      anon_sym_DASH_GT,
    ACTIONS(7227), 1,
      sym_uninitialized,
    ACTIONS(7229), 1,
      sym_tag,
    STATE(3605), 1,
      sym_where_clause,
    STATE(4176), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3935), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3931), 34,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [91192] = 10,
    ACTIONS(7117), 1,
      anon_sym_where,
    ACTIONS(7223), 1,
      anon_sym_LBRACE,
    ACTIONS(7231), 1,
      anon_sym_DASH_GT,
    ACTIONS(7233), 1,
      sym_uninitialized,
    ACTIONS(7235), 1,
      sym_tag,
    STATE(3630), 1,
      sym_where_clause,
    STATE(4187), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3303), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3299), 34,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [91266] = 11,
    ACTIONS(7117), 1,
      anon_sym_where,
    ACTIONS(7131), 1,
      anon_sym_LPAREN,
    ACTIONS(7133), 1,
      anon_sym_SLASH,
    ACTIONS(7223), 1,
      anon_sym_LBRACE,
    ACTIONS(7237), 1,
      sym_uninitialized,
    ACTIONS(7239), 1,
      sym_tag,
    STATE(3668), 1,
      sym_where_clause,
    STATE(4227), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3273), 8,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3269), 34,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [91342] = 9,
    ACTIONS(7117), 1,
      anon_sym_where,
    ACTIONS(7223), 1,
      anon_sym_LBRACE,
    ACTIONS(7237), 1,
      sym_uninitialized,
    ACTIONS(7239), 1,
      sym_tag,
    STATE(3668), 1,
      sym_where_clause,
    STATE(4227), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3273), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3269), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [91414] = 11,
    ACTIONS(7117), 1,
      anon_sym_where,
    ACTIONS(7131), 1,
      anon_sym_LPAREN,
    ACTIONS(7133), 1,
      anon_sym_SLASH,
    ACTIONS(7223), 1,
      anon_sym_LBRACE,
    ACTIONS(7241), 1,
      sym_uninitialized,
    ACTIONS(7243), 1,
      sym_tag,
    STATE(3683), 1,
      sym_where_clause,
    STATE(4252), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3859), 8,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3857), 34,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [91490] = 9,
    ACTIONS(7117), 1,
      anon_sym_where,
    ACTIONS(7223), 1,
      anon_sym_LBRACE,
    ACTIONS(7241), 1,
      sym_uninitialized,
    ACTIONS(7243), 1,
      sym_tag,
    STATE(3683), 1,
      sym_where_clause,
    STATE(4252), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3859), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3857), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [91562] = 9,
    ACTIONS(7117), 1,
      anon_sym_where,
    ACTIONS(7223), 1,
      anon_sym_LBRACE,
    ACTIONS(7241), 1,
      sym_uninitialized,
    ACTIONS(7245), 1,
      sym_tag,
    STATE(3683), 1,
      sym_where_clause,
    STATE(4252), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3859), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3857), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [91634] = 5,
    ACTIONS(7177), 1,
      anon_sym_COMMA,
    STATE(3305), 1,
      aux_sym_where_clause_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4406), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4402), 38,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [91698] = 11,
    ACTIONS(7117), 1,
      anon_sym_where,
    ACTIONS(7131), 1,
      anon_sym_LPAREN,
    ACTIONS(7133), 1,
      anon_sym_SLASH,
    ACTIONS(7223), 1,
      anon_sym_LBRACE,
    ACTIONS(7247), 1,
      sym_uninitialized,
    ACTIONS(7249), 1,
      sym_tag,
    STATE(3688), 1,
      sym_where_clause,
    STATE(4263), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3283), 8,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3281), 34,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [91774] = 9,
    ACTIONS(7117), 1,
      anon_sym_where,
    ACTIONS(7223), 1,
      anon_sym_LBRACE,
    ACTIONS(7247), 1,
      sym_uninitialized,
    ACTIONS(7249), 1,
      sym_tag,
    STATE(3688), 1,
      sym_where_clause,
    STATE(4263), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3283), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3281), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [91846] = 9,
    ACTIONS(7117), 1,
      anon_sym_where,
    ACTIONS(7223), 1,
      anon_sym_LBRACE,
    ACTIONS(7247), 1,
      sym_uninitialized,
    ACTIONS(7251), 1,
      sym_tag,
    STATE(3688), 1,
      sym_where_clause,
    STATE(4263), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3283), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3281), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [91918] = 5,
    ACTIONS(7253), 1,
      anon_sym_COMMA,
    STATE(3305), 1,
      aux_sym_where_clause_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4624), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4619), 38,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [91982] = 9,
    ACTIONS(7117), 1,
      anon_sym_where,
    ACTIONS(7223), 1,
      anon_sym_LBRACE,
    ACTIONS(7256), 1,
      sym_uninitialized,
    ACTIONS(7258), 1,
      sym_tag,
    STATE(3690), 1,
      sym_where_clause,
    STATE(4268), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3293), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3291), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [92054] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5590), 21,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5588), 29,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [92114] = 26,
    ACTIONS(6647), 1,
      anon_sym_DASH_GT,
    ACTIONS(6649), 1,
      anon_sym_DOT,
    ACTIONS(6651), 1,
      anon_sym_LBRACK,
    ACTIONS(6655), 1,
      anon_sym_not_in,
    ACTIONS(6659), 1,
      anon_sym_TILDE,
    ACTIONS(6661), 1,
      anon_sym_AMP,
    ACTIONS(6663), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6665), 1,
      anon_sym_or_else,
    ACTIONS(6667), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6675), 1,
      anon_sym_PIPE,
    ACTIONS(6677), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6683), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6685), 1,
      anon_sym_or_return,
    ACTIONS(6687), 1,
      anon_sym_or_continue,
    ACTIONS(6689), 1,
      anon_sym_or_break,
    ACTIONS(6691), 1,
      anon_sym_CARET,
    ACTIONS(6653), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(6657), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6669), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(6671), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6679), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7171), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6673), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(6681), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7169), 16,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_in,
  [92220] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4724), 21,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4722), 29,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [92280] = 6,
    ACTIONS(6893), 1,
      anon_sym_LBRACE,
    ACTIONS(6903), 1,
      sym_uninitialized,
    STATE(3711), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3303), 10,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3299), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [92346] = 6,
    ACTIONS(6893), 1,
      anon_sym_LBRACE,
    ACTIONS(6907), 1,
      sym_uninitialized,
    STATE(3721), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3273), 10,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3269), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [92412] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4762), 21,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4760), 29,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [92472] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4766), 21,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4764), 29,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [92532] = 6,
    ACTIONS(6893), 1,
      anon_sym_LBRACE,
    ACTIONS(6911), 1,
      sym_uninitialized,
    STATE(3730), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3859), 10,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3857), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [92598] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4770), 21,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4768), 29,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [92658] = 4,
    STATE(3390), 1,
      aux_sym_struct_type_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4482), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4480), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [92720] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3293), 21,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(3291), 29,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [92780] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4774), 21,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4772), 29,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [92840] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5508), 21,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5506), 29,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [92900] = 5,
    ACTIONS(7260), 1,
      anon_sym_LBRACE,
    STATE(3321), 1,
      aux_sym_struct_type_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4628), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4626), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [92964] = 5,
    ACTIONS(7262), 1,
      anon_sym_LBRACE,
    STATE(3321), 1,
      aux_sym_struct_type_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4499), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4497), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [93028] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4795), 21,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4792), 29,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [93088] = 6,
    ACTIONS(6893), 1,
      anon_sym_LBRACE,
    ACTIONS(6927), 1,
      sym_uninitialized,
    STATE(3623), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3283), 10,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3281), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [93154] = 6,
    ACTIONS(6893), 1,
      anon_sym_LBRACE,
    ACTIONS(6933), 1,
      sym_uninitialized,
    STATE(3663), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3293), 10,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3291), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [93220] = 6,
    ACTIONS(6893), 1,
      anon_sym_LBRACE,
    ACTIONS(7165), 1,
      sym_uninitialized,
    STATE(3719), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4527), 10,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4525), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [93286] = 6,
    ACTIONS(6893), 1,
      anon_sym_LBRACE,
    ACTIONS(7265), 1,
      sym_uninitialized,
    STATE(3632), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4535), 10,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4533), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [93352] = 6,
    ACTIONS(7113), 1,
      anon_sym_LBRACE,
    ACTIONS(7127), 1,
      sym_uninitialized,
    STATE(3454), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3303), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3299), 37,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_tag,
  [93418] = 7,
    ACTIONS(7113), 1,
      anon_sym_LBRACE,
    ACTIONS(7127), 1,
      sym_uninitialized,
    ACTIONS(7129), 1,
      sym_tag,
    STATE(3454), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3303), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3299), 36,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [93486] = 6,
    ACTIONS(7113), 1,
      anon_sym_LBRACE,
    ACTIONS(7135), 1,
      sym_uninitialized,
    STATE(3515), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3273), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3269), 37,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_tag,
  [93552] = 7,
    ACTIONS(7113), 1,
      anon_sym_LBRACE,
    ACTIONS(7135), 1,
      sym_uninitialized,
    ACTIONS(7267), 1,
      sym_tag,
    STATE(3515), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3273), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3269), 36,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [93620] = 6,
    ACTIONS(7113), 1,
      anon_sym_LBRACE,
    ACTIONS(7139), 1,
      sym_uninitialized,
    STATE(3574), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3859), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3857), 37,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_tag,
  [93686] = 7,
    ACTIONS(7113), 1,
      anon_sym_LBRACE,
    ACTIONS(7139), 1,
      sym_uninitialized,
    ACTIONS(7146), 1,
      sym_tag,
    STATE(3574), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3859), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3857), 36,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [93754] = 7,
    ACTIONS(7113), 1,
      anon_sym_LBRACE,
    ACTIONS(7153), 1,
      sym_uninitialized,
    ACTIONS(7159), 1,
      sym_tag,
    STATE(3419), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3283), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3281), 36,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [93822] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3283), 21,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(3281), 29,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [93882] = 5,
    ACTIONS(7260), 1,
      anon_sym_LBRACE,
    STATE(3321), 1,
      aux_sym_struct_type_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4482), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4480), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [93946] = 7,
    ACTIONS(7113), 1,
      anon_sym_LBRACE,
    ACTIONS(7161), 1,
      sym_uninitialized,
    ACTIONS(7163), 1,
      sym_tag,
    STATE(3425), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3293), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3291), 36,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [94014] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4706), 21,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4704), 29,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [94074] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(857), 21,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(855), 29,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [94134] = 6,
    ACTIONS(7113), 1,
      anon_sym_LBRACE,
    ACTIONS(7161), 1,
      sym_uninitialized,
    STATE(3425), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3293), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3291), 37,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_tag,
  [94200] = 6,
    ACTIONS(7113), 1,
      anon_sym_LBRACE,
    ACTIONS(7269), 1,
      sym_uninitialized,
    STATE(3432), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4527), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4525), 37,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_tag,
  [94266] = 7,
    ACTIONS(7113), 1,
      anon_sym_LBRACE,
    ACTIONS(7269), 1,
      sym_uninitialized,
    ACTIONS(7271), 1,
      sym_tag,
    STATE(3432), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4527), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4525), 36,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [94334] = 6,
    ACTIONS(7113), 1,
      anon_sym_LBRACE,
    ACTIONS(7273), 1,
      sym_uninitialized,
    STATE(3437), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4535), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4533), 37,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_tag,
  [94400] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4738), 21,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4736), 29,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [94460] = 5,
    ACTIONS(7275), 1,
      anon_sym_DOT2,
    STATE(3385), 1,
      aux_sym_field_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3417), 10,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3415), 38,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [94524] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4742), 21,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4740), 29,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [94584] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4746), 21,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4744), 29,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [94644] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(778), 21,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(773), 29,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [94704] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4754), 21,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4752), 29,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [94764] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4527), 21,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4525), 29,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [94824] = 5,
    ACTIONS(7277), 1,
      sym_identifier,
    ACTIONS(7279), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 21,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
    ACTIONS(67), 27,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [94888] = 4,
    STATE(2980), 1,
      aux_sym_struct_type_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4628), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4626), 38,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [94950] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3979), 12,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_DOT2,
    ACTIONS(3977), 38,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [95010] = 6,
    ACTIONS(7281), 1,
      anon_sym_LBRACE,
    ACTIONS(7284), 1,
      anon_sym_LPAREN,
    STATE(6917), 1,
      aux_sym_field_identifier_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 37,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [95076] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(895), 21,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(893), 29,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [95136] = 4,
    STATE(2980), 1,
      aux_sym_struct_type_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4482), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4480), 38,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [95198] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5556), 21,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5554), 29,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [95258] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(836), 21,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(833), 29,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [95318] = 23,
    ACTIONS(1675), 1,
      sym_identifier,
    ACTIONS(1679), 1,
      anon_sym_struct,
    ACTIONS(1681), 1,
      anon_sym_enum,
    ACTIONS(1683), 1,
      anon_sym_union,
    ACTIONS(1700), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1704), 1,
      anon_sym_bit_set,
    ACTIONS(1835), 1,
      anon_sym_LPAREN,
    ACTIONS(7287), 1,
      anon_sym_proc,
    ACTIONS(7289), 1,
      anon_sym_DOLLAR,
    ACTIONS(7291), 1,
      anon_sym_BANG,
    ACTIONS(7293), 1,
      anon_sym_LBRACK,
    ACTIONS(7295), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7297), 1,
      anon_sym_CARET,
    ACTIONS(7299), 1,
      anon_sym_map,
    ACTIONS(7301), 1,
      anon_sym_matrix,
    ACTIONS(7303), 1,
      anon_sym_distinct,
    ACTIONS(7305), 1,
      sym_tag,
    STATE(3172), 1,
      sym_procedure,
    STATE(3205), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(874), 4,
      anon_sym_where,
      anon_sym_else,
      anon_sym_case,
      anon_sym_SLASH,
    ACTIONS(871), 9,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      sym_uninitialized,
    STATE(3208), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [95418] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3273), 21,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(3269), 29,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [95478] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4732), 21,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4730), 29,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [95538] = 23,
    ACTIONS(1675), 1,
      sym_identifier,
    ACTIONS(1679), 1,
      anon_sym_struct,
    ACTIONS(1681), 1,
      anon_sym_enum,
    ACTIONS(1683), 1,
      anon_sym_union,
    ACTIONS(1700), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1704), 1,
      anon_sym_bit_set,
    ACTIONS(1851), 1,
      anon_sym_LPAREN,
    ACTIONS(7287), 1,
      anon_sym_proc,
    ACTIONS(7289), 1,
      anon_sym_DOLLAR,
    ACTIONS(7291), 1,
      anon_sym_BANG,
    ACTIONS(7293), 1,
      anon_sym_LBRACK,
    ACTIONS(7295), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7297), 1,
      anon_sym_CARET,
    ACTIONS(7299), 1,
      anon_sym_map,
    ACTIONS(7301), 1,
      anon_sym_matrix,
    ACTIONS(7303), 1,
      anon_sym_distinct,
    ACTIONS(7309), 1,
      sym_tag,
    STATE(3124), 1,
      sym_type,
    STATE(3172), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(836), 4,
      anon_sym_where,
      anon_sym_else,
      anon_sym_case,
      anon_sym_SLASH,
    ACTIONS(833), 9,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      sym_uninitialized,
    STATE(3208), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [95638] = 6,
    ACTIONS(6917), 1,
      anon_sym_LPAREN,
    ACTIONS(7104), 1,
      anon_sym_QMARK,
    ACTIONS(7102), 2,
      anon_sym_if,
      anon_sym_when,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(67), 36,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_in,
      anon_sym_case,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [95704] = 23,
    ACTIONS(1675), 1,
      sym_identifier,
    ACTIONS(1679), 1,
      anon_sym_struct,
    ACTIONS(1681), 1,
      anon_sym_enum,
    ACTIONS(1683), 1,
      anon_sym_union,
    ACTIONS(1700), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1704), 1,
      anon_sym_bit_set,
    ACTIONS(1811), 1,
      anon_sym_LPAREN,
    ACTIONS(7287), 1,
      anon_sym_proc,
    ACTIONS(7289), 1,
      anon_sym_DOLLAR,
    ACTIONS(7291), 1,
      anon_sym_BANG,
    ACTIONS(7293), 1,
      anon_sym_LBRACK,
    ACTIONS(7295), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7297), 1,
      anon_sym_CARET,
    ACTIONS(7299), 1,
      anon_sym_map,
    ACTIONS(7301), 1,
      anon_sym_matrix,
    ACTIONS(7303), 1,
      anon_sym_distinct,
    ACTIONS(7313), 1,
      sym_tag,
    STATE(3172), 1,
      sym_procedure,
    STATE(3183), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(819), 4,
      anon_sym_where,
      anon_sym_else,
      anon_sym_case,
      anon_sym_SLASH,
    ACTIONS(817), 9,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      sym_uninitialized,
    STATE(3208), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [95804] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4778), 21,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4776), 29,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [95864] = 23,
    ACTIONS(1675), 1,
      sym_identifier,
    ACTIONS(1679), 1,
      anon_sym_struct,
    ACTIONS(1681), 1,
      anon_sym_enum,
    ACTIONS(1683), 1,
      anon_sym_union,
    ACTIONS(1700), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1704), 1,
      anon_sym_bit_set,
    ACTIONS(1767), 1,
      anon_sym_LPAREN,
    ACTIONS(7287), 1,
      anon_sym_proc,
    ACTIONS(7289), 1,
      anon_sym_DOLLAR,
    ACTIONS(7291), 1,
      anon_sym_BANG,
    ACTIONS(7293), 1,
      anon_sym_LBRACK,
    ACTIONS(7295), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7297), 1,
      anon_sym_CARET,
    ACTIONS(7299), 1,
      anon_sym_map,
    ACTIONS(7301), 1,
      anon_sym_matrix,
    ACTIONS(7303), 1,
      anon_sym_distinct,
    ACTIONS(7316), 1,
      sym_tag,
    STATE(3172), 1,
      sym_procedure,
    STATE(3232), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(778), 4,
      anon_sym_where,
      anon_sym_else,
      anon_sym_case,
      anon_sym_SLASH,
    ACTIONS(773), 9,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      sym_uninitialized,
    STATE(3208), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [95964] = 23,
    ACTIONS(1675), 1,
      sym_identifier,
    ACTIONS(1679), 1,
      anon_sym_struct,
    ACTIONS(1681), 1,
      anon_sym_enum,
    ACTIONS(1683), 1,
      anon_sym_union,
    ACTIONS(1700), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1704), 1,
      anon_sym_bit_set,
    ACTIONS(1711), 1,
      anon_sym_LPAREN,
    ACTIONS(7287), 1,
      anon_sym_proc,
    ACTIONS(7289), 1,
      anon_sym_DOLLAR,
    ACTIONS(7291), 1,
      anon_sym_BANG,
    ACTIONS(7293), 1,
      anon_sym_LBRACK,
    ACTIONS(7295), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7297), 1,
      anon_sym_CARET,
    ACTIONS(7299), 1,
      anon_sym_map,
    ACTIONS(7301), 1,
      anon_sym_matrix,
    ACTIONS(7303), 1,
      anon_sym_distinct,
    ACTIONS(7320), 1,
      sym_tag,
    STATE(3117), 1,
      sym_type,
    STATE(3172), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(857), 4,
      anon_sym_where,
      anon_sym_else,
      anon_sym_case,
      anon_sym_SLASH,
    ACTIONS(855), 9,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      sym_uninitialized,
    STATE(3208), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [96064] = 23,
    ACTIONS(1675), 1,
      sym_identifier,
    ACTIONS(1679), 1,
      anon_sym_struct,
    ACTIONS(1681), 1,
      anon_sym_enum,
    ACTIONS(1683), 1,
      anon_sym_union,
    ACTIONS(1700), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1704), 1,
      anon_sym_bit_set,
    ACTIONS(1783), 1,
      anon_sym_LPAREN,
    ACTIONS(7287), 1,
      anon_sym_proc,
    ACTIONS(7289), 1,
      anon_sym_DOLLAR,
    ACTIONS(7291), 1,
      anon_sym_BANG,
    ACTIONS(7293), 1,
      anon_sym_LBRACK,
    ACTIONS(7295), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7297), 1,
      anon_sym_CARET,
    ACTIONS(7299), 1,
      anon_sym_map,
    ACTIONS(7301), 1,
      anon_sym_matrix,
    ACTIONS(7303), 1,
      anon_sym_distinct,
    ACTIONS(7323), 1,
      sym_tag,
    STATE(3123), 1,
      sym_type,
    STATE(3172), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(895), 4,
      anon_sym_where,
      anon_sym_else,
      anon_sym_case,
      anon_sym_SLASH,
    ACTIONS(893), 9,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      sym_uninitialized,
    STATE(3208), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [96164] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4782), 21,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4780), 29,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [96224] = 10,
    ACTIONS(7117), 1,
      anon_sym_where,
    ACTIONS(7326), 1,
      anon_sym_LBRACE,
    ACTIONS(7328), 1,
      anon_sym_DASH_GT,
    ACTIONS(7330), 1,
      sym_uninitialized,
    ACTIONS(7332), 1,
      sym_tag,
    STATE(3659), 1,
      sym_where_clause,
    STATE(4033), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3935), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3931), 34,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [96298] = 10,
    ACTIONS(7117), 1,
      anon_sym_where,
    ACTIONS(7326), 1,
      anon_sym_LBRACE,
    ACTIONS(7334), 1,
      anon_sym_DASH_GT,
    ACTIONS(7336), 1,
      sym_uninitialized,
    ACTIONS(7338), 1,
      sym_tag,
    STATE(3660), 1,
      sym_where_clause,
    STATE(4100), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3303), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3299), 34,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [96372] = 11,
    ACTIONS(7117), 1,
      anon_sym_where,
    ACTIONS(7131), 1,
      anon_sym_LPAREN,
    ACTIONS(7133), 1,
      anon_sym_SLASH,
    ACTIONS(7326), 1,
      anon_sym_LBRACE,
    ACTIONS(7340), 1,
      sym_uninitialized,
    ACTIONS(7342), 1,
      sym_tag,
    STATE(3662), 1,
      sym_where_clause,
    STATE(4024), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3273), 8,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3269), 34,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [96448] = 9,
    ACTIONS(7117), 1,
      anon_sym_where,
    ACTIONS(7326), 1,
      anon_sym_LBRACE,
    ACTIONS(7340), 1,
      sym_uninitialized,
    ACTIONS(7342), 1,
      sym_tag,
    STATE(3662), 1,
      sym_where_clause,
    STATE(4024), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3273), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3269), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [96520] = 11,
    ACTIONS(7117), 1,
      anon_sym_where,
    ACTIONS(7131), 1,
      anon_sym_LPAREN,
    ACTIONS(7133), 1,
      anon_sym_SLASH,
    ACTIONS(7326), 1,
      anon_sym_LBRACE,
    ACTIONS(7344), 1,
      sym_uninitialized,
    ACTIONS(7346), 1,
      sym_tag,
    STATE(3664), 1,
      sym_where_clause,
    STATE(4092), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3859), 8,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3857), 34,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [96596] = 9,
    ACTIONS(7117), 1,
      anon_sym_where,
    ACTIONS(7326), 1,
      anon_sym_LBRACE,
    ACTIONS(7344), 1,
      sym_uninitialized,
    ACTIONS(7346), 1,
      sym_tag,
    STATE(3664), 1,
      sym_where_clause,
    STATE(4092), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3859), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3857), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [96668] = 9,
    ACTIONS(7117), 1,
      anon_sym_where,
    ACTIONS(7326), 1,
      anon_sym_LBRACE,
    ACTIONS(7344), 1,
      sym_uninitialized,
    ACTIONS(7348), 1,
      sym_tag,
    STATE(3664), 1,
      sym_where_clause,
    STATE(4092), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3859), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3857), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [96740] = 11,
    ACTIONS(7117), 1,
      anon_sym_where,
    ACTIONS(7131), 1,
      anon_sym_LPAREN,
    ACTIONS(7133), 1,
      anon_sym_SLASH,
    ACTIONS(7326), 1,
      anon_sym_LBRACE,
    ACTIONS(7350), 1,
      sym_uninitialized,
    ACTIONS(7352), 1,
      sym_tag,
    STATE(3665), 1,
      sym_where_clause,
    STATE(4023), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3283), 8,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3281), 34,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [96816] = 9,
    ACTIONS(7117), 1,
      anon_sym_where,
    ACTIONS(7326), 1,
      anon_sym_LBRACE,
    ACTIONS(7350), 1,
      sym_uninitialized,
    ACTIONS(7352), 1,
      sym_tag,
    STATE(3665), 1,
      sym_where_clause,
    STATE(4023), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3283), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3281), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [96888] = 9,
    ACTIONS(7117), 1,
      anon_sym_where,
    ACTIONS(7326), 1,
      anon_sym_LBRACE,
    ACTIONS(7350), 1,
      sym_uninitialized,
    ACTIONS(7354), 1,
      sym_tag,
    STATE(3665), 1,
      sym_where_clause,
    STATE(4023), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3283), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3281), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [96960] = 9,
    ACTIONS(7117), 1,
      anon_sym_where,
    ACTIONS(7326), 1,
      anon_sym_LBRACE,
    ACTIONS(7356), 1,
      sym_uninitialized,
    ACTIONS(7358), 1,
      sym_tag,
    STATE(3666), 1,
      sym_where_clause,
    STATE(4028), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3293), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3291), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [97032] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(911), 21,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(909), 29,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [97092] = 5,
    ACTIONS(7360), 1,
      anon_sym_DOT2,
    STATE(3381), 1,
      aux_sym_field_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3979), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3977), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [97156] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4535), 21,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4533), 29,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [97216] = 4,
    ACTIONS(7363), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4400), 21,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
    ACTIONS(4398), 28,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [97278] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4716), 21,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4714), 29,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [97338] = 5,
    ACTIONS(7275), 1,
      anon_sym_DOT2,
    STATE(3391), 1,
      aux_sym_field_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3891), 10,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3889), 38,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [97402] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4720), 21,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4718), 29,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [97462] = 23,
    ACTIONS(1675), 1,
      sym_identifier,
    ACTIONS(1679), 1,
      anon_sym_struct,
    ACTIONS(1681), 1,
      anon_sym_enum,
    ACTIONS(1683), 1,
      anon_sym_union,
    ACTIONS(1685), 1,
      anon_sym_LPAREN,
    ACTIONS(1700), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1704), 1,
      anon_sym_bit_set,
    ACTIONS(7287), 1,
      anon_sym_proc,
    ACTIONS(7289), 1,
      anon_sym_DOLLAR,
    ACTIONS(7291), 1,
      anon_sym_BANG,
    ACTIONS(7293), 1,
      anon_sym_LBRACK,
    ACTIONS(7295), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7297), 1,
      anon_sym_CARET,
    ACTIONS(7299), 1,
      anon_sym_map,
    ACTIONS(7301), 1,
      anon_sym_matrix,
    ACTIONS(7303), 1,
      anon_sym_distinct,
    ACTIONS(7365), 1,
      sym_tag,
    STATE(3159), 1,
      sym_type,
    STATE(3172), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(911), 4,
      anon_sym_where,
      anon_sym_else,
      anon_sym_case,
      anon_sym_SLASH,
    ACTIONS(909), 9,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      sym_uninitialized,
    STATE(3208), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [97562] = 29,
    ACTIONS(6647), 1,
      anon_sym_DASH_GT,
    ACTIONS(6649), 1,
      anon_sym_DOT,
    ACTIONS(6651), 1,
      anon_sym_LBRACK,
    ACTIONS(6659), 1,
      anon_sym_TILDE,
    ACTIONS(6661), 1,
      anon_sym_AMP,
    ACTIONS(6663), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6665), 1,
      anon_sym_or_else,
    ACTIONS(6667), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6675), 1,
      anon_sym_PIPE,
    ACTIONS(6677), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6683), 1,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6685), 1,
      anon_sym_or_return,
    ACTIONS(6687), 1,
      anon_sym_or_continue,
    ACTIONS(6689), 1,
      anon_sym_or_break,
    ACTIONS(6691), 1,
      anon_sym_CARET,
    ACTIONS(6709), 1,
      anon_sym_COMMA,
    ACTIONS(6711), 1,
      anon_sym_EQ,
    ACTIONS(6713), 1,
      anon_sym_COLON_EQ,
    STATE(6120), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(6653), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(6655), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(6657), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(6669), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(6671), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6679), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6673), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(6681), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6715), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
  [97674] = 5,
    ACTIONS(7260), 1,
      anon_sym_LBRACE,
    STATE(3321), 1,
      aux_sym_struct_type_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4521), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4519), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [97738] = 5,
    ACTIONS(7368), 1,
      anon_sym_LBRACE,
    STATE(3390), 1,
      aux_sym_struct_type_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4499), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4497), 38,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [97802] = 5,
    ACTIONS(7371), 1,
      anon_sym_DOT2,
    STATE(3391), 1,
      aux_sym_field_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3979), 10,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3977), 38,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [97866] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4786), 21,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4784), 29,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [97926] = 6,
    ACTIONS(7113), 1,
      anon_sym_LBRACE,
    ACTIONS(7153), 1,
      sym_uninitialized,
    STATE(3419), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3283), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3281), 37,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_tag,
  [97992] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5120), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5118), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [98051] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5658), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5656), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [98110] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4762), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4760), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [98169] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4716), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4714), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [98228] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4720), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4718), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [98287] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4724), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4722), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [98346] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4728), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4726), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [98405] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4732), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4730), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [98464] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5522), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5520), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [98523] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4738), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4736), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [98582] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4742), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4740), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [98641] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4746), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4744), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [98700] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4754), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4752), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [98759] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5662), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5660), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [98818] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4758), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4756), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [98877] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5666), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5664), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [98936] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4499), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4497), 38,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [98995] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5670), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5668), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [99054] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(836), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(833), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [99113] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5674), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5672), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [99172] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4762), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4760), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [99231] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5674), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5672), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [99290] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4766), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4764), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [99349] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4770), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4768), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [99408] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4774), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4772), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [99467] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3293), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3291), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [99526] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5678), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5676), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [99585] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5682), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5680), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [99644] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5686), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5684), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [99703] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5690), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5688), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [99762] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4634), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4632), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [99821] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4527), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4525), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [99880] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4778), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4776), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [99939] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4782), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4780), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [99998] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4638), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4636), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [100057] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4642), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4640), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [100116] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5450), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5448), 38,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [100175] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4646), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4644), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [100234] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4535), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4533), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [100293] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4650), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4648), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [100352] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4654), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4652), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [100411] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4658), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4656), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [100470] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4786), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4784), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [100529] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4682), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4680), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [100588] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4662), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4660), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [100647] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4666), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4664), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [100706] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4670), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4668), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [100765] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4674), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4672), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [100824] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5508), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5506), 38,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [100883] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4860), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4858), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [100942] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3303), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3299), 38,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [101001] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(895), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(893), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [101060] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5544), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5542), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [101119] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5548), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5546), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [101178] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5552), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5550), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [101237] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4686), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4684), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [101296] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3417), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3415), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [101355] = 6,
    ACTIONS(7374), 1,
      anon_sym_LBRACE,
    ACTIONS(7376), 1,
      anon_sym_LPAREN,
    STATE(6917), 1,
      aux_sym_field_identifier_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 35,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [101420] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(911), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(909), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [101479] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5080), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5078), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [101538] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3273), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3269), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [101597] = 25,
    ACTIONS(4624), 1,
      anon_sym_EQ,
    ACTIONS(7179), 1,
      anon_sym_DASH_GT,
    ACTIONS(7181), 1,
      anon_sym_PLUS,
    ACTIONS(7183), 1,
      anon_sym_DASH,
    ACTIONS(7185), 1,
      anon_sym_TILDE,
    ACTIONS(7187), 1,
      anon_sym_AMP,
    ACTIONS(7191), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7199), 1,
      anon_sym_PIPE,
    ACTIONS(7201), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7209), 1,
      anon_sym_DOT,
    ACTIONS(7211), 1,
      anon_sym_LBRACK,
    ACTIONS(7215), 1,
      anon_sym_or_return,
    ACTIONS(7217), 1,
      anon_sym_or_continue,
    ACTIONS(7219), 1,
      anon_sym_or_break,
    ACTIONS(7221), 1,
      anon_sym_CARET,
    ACTIONS(7189), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7193), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7195), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7203), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7205), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7207), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7213), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7197), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(4619), 17,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_not_in,
      sym_uninitialized,
      sym_tag,
  [101700] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5096), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5094), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [101759] = 7,
    ACTIONS(7179), 1,
      anon_sym_DASH_GT,
    ACTIONS(7209), 1,
      anon_sym_DOT,
    ACTIONS(7211), 1,
      anon_sym_LBRACK,
    ACTIONS(7213), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5562), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5560), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [101826] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4678), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4676), 38,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [101885] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4706), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4704), 38,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [101944] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(857), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(855), 38,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [102003] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5556), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5554), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [102062] = 5,
    ACTIONS(7379), 1,
      anon_sym_LPAREN,
    ACTIONS(7381), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4712), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4710), 37,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [102125] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5556), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5554), 38,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [102184] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4686), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4684), 38,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [102243] = 5,
    ACTIONS(7385), 1,
      anon_sym_QMARK,
    ACTIONS(7383), 2,
      anon_sym_if,
      anon_sym_when,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5080), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5078), 36,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_in,
      anon_sym_case,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [102306] = 6,
    ACTIONS(7131), 1,
      anon_sym_LPAREN,
    ACTIONS(7133), 1,
      anon_sym_SLASH,
    ACTIONS(7387), 1,
      anon_sym_EQ,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4934), 8,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4930), 38,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [102371] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4866), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4864), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [102430] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3273), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3269), 38,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [102489] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5104), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5102), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [102548] = 7,
    ACTIONS(7179), 1,
      anon_sym_DASH_GT,
    ACTIONS(7209), 1,
      anon_sym_DOT,
    ACTIONS(7211), 1,
      anon_sym_LBRACK,
    ACTIONS(7213), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5512), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5510), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [102615] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3417), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3415), 38,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [102674] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4678), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4676), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [102733] = 7,
    ACTIONS(7179), 1,
      anon_sym_DASH_GT,
    ACTIONS(7209), 1,
      anon_sym_DOT,
    ACTIONS(7211), 1,
      anon_sym_LBRACK,
    ACTIONS(7213), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5124), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5122), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [102800] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5140), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5138), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [102859] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4694), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4692), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [102918] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4716), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4714), 38,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [102977] = 6,
    ACTIONS(7389), 1,
      anon_sym_LBRACE,
    ACTIONS(7391), 1,
      anon_sym_LPAREN,
    STATE(6917), 1,
      aux_sym_field_identifier_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 10,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 36,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [103042] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4720), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4718), 38,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [103101] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4724), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4722), 38,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [103160] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4728), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4726), 38,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [103219] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(836), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(833), 38,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [103278] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(911), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(909), 38,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [103337] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5074), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5072), 38,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [103396] = 7,
    ACTIONS(7179), 1,
      anon_sym_DASH_GT,
    ACTIONS(7209), 1,
      anon_sym_DOT,
    ACTIONS(7211), 1,
      anon_sym_LBRACK,
    ACTIONS(7213), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5144), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5142), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [103463] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5160), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5158), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [103522] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4732), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4730), 38,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [103581] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4795), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4792), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [103640] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(857), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(855), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [103699] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5508), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5506), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [103758] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5176), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5174), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [103817] = 5,
    ACTIONS(7379), 1,
      anon_sym_LPAREN,
    ACTIONS(7381), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4690), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4688), 37,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [103880] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4694), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4692), 38,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [103939] = 5,
    ACTIONS(7379), 1,
      anon_sym_LPAREN,
    ACTIONS(7381), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4698), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4696), 37,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [104002] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(199), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(197), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [104061] = 5,
    ACTIONS(7131), 1,
      anon_sym_LPAREN,
    ACTIONS(7133), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4690), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4688), 38,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [104124] = 5,
    ACTIONS(7131), 1,
      anon_sym_LPAREN,
    ACTIONS(7133), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4698), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4696), 38,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [104187] = 5,
    ACTIONS(7131), 1,
      anon_sym_LPAREN,
    ACTIONS(7133), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4702), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4700), 38,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [104250] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4790), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4788), 38,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [104309] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5566), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5564), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [104368] = 5,
    ACTIONS(7379), 1,
      anon_sym_LPAREN,
    ACTIONS(7381), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4702), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4700), 37,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [104431] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5570), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5568), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [104490] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4706), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4704), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [104549] = 6,
    ACTIONS(7279), 1,
      anon_sym_LPAREN,
    ACTIONS(7385), 1,
      anon_sym_QMARK,
    ACTIONS(7383), 2,
      anon_sym_if,
      anon_sym_when,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(67), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_in,
      anon_sym_case,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [104614] = 23,
    ACTIONS(2014), 1,
      sym_identifier,
    ACTIONS(2018), 1,
      anon_sym_struct,
    ACTIONS(2020), 1,
      anon_sym_enum,
    ACTIONS(2022), 1,
      anon_sym_union,
    ACTIONS(2042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2046), 1,
      anon_sym_bit_set,
    ACTIONS(2103), 1,
      anon_sym_LPAREN,
    ACTIONS(7394), 1,
      anon_sym_proc,
    ACTIONS(7396), 1,
      anon_sym_DOLLAR,
    ACTIONS(7398), 1,
      anon_sym_BANG,
    ACTIONS(7400), 1,
      anon_sym_LBRACK,
    ACTIONS(7402), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7404), 1,
      anon_sym_CARET,
    ACTIONS(7406), 1,
      anon_sym_map,
    ACTIONS(7408), 1,
      anon_sym_matrix,
    ACTIONS(7410), 1,
      anon_sym_distinct,
    ACTIONS(7412), 1,
      sym_tag,
    STATE(3472), 1,
      sym_procedure,
    STATE(3488), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(819), 4,
      anon_sym_where,
      anon_sym_else,
      anon_sym_case,
      anon_sym_SLASH,
    ACTIONS(817), 8,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_SEMI,
      sym_uninitialized,
    STATE(3450), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [104713] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5570), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5568), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [104772] = 23,
    ACTIONS(2014), 1,
      sym_identifier,
    ACTIONS(2018), 1,
      anon_sym_struct,
    ACTIONS(2020), 1,
      anon_sym_enum,
    ACTIONS(2022), 1,
      anon_sym_union,
    ACTIONS(2042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2046), 1,
      anon_sym_bit_set,
    ACTIONS(2066), 1,
      anon_sym_LPAREN,
    ACTIONS(7394), 1,
      anon_sym_proc,
    ACTIONS(7396), 1,
      anon_sym_DOLLAR,
    ACTIONS(7398), 1,
      anon_sym_BANG,
    ACTIONS(7400), 1,
      anon_sym_LBRACK,
    ACTIONS(7402), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7404), 1,
      anon_sym_CARET,
    ACTIONS(7406), 1,
      anon_sym_map,
    ACTIONS(7408), 1,
      anon_sym_matrix,
    ACTIONS(7410), 1,
      anon_sym_distinct,
    ACTIONS(7415), 1,
      sym_tag,
    STATE(3412), 1,
      sym_type,
    STATE(3472), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(874), 4,
      anon_sym_where,
      anon_sym_else,
      anon_sym_case,
      anon_sym_SLASH,
    ACTIONS(871), 8,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_SEMI,
      sym_uninitialized,
    STATE(3450), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [104871] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(778), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(773), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [104930] = 23,
    ACTIONS(2014), 1,
      sym_identifier,
    ACTIONS(2018), 1,
      anon_sym_struct,
    ACTIONS(2020), 1,
      anon_sym_enum,
    ACTIONS(2022), 1,
      anon_sym_union,
    ACTIONS(2024), 1,
      anon_sym_LPAREN,
    ACTIONS(2042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2046), 1,
      anon_sym_bit_set,
    ACTIONS(7394), 1,
      anon_sym_proc,
    ACTIONS(7396), 1,
      anon_sym_DOLLAR,
    ACTIONS(7398), 1,
      anon_sym_BANG,
    ACTIONS(7400), 1,
      anon_sym_LBRACK,
    ACTIONS(7402), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7404), 1,
      anon_sym_CARET,
    ACTIONS(7406), 1,
      anon_sym_map,
    ACTIONS(7408), 1,
      anon_sym_matrix,
    ACTIONS(7410), 1,
      anon_sym_distinct,
    ACTIONS(7419), 1,
      sym_tag,
    STATE(3472), 1,
      sym_procedure,
    STATE(3507), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(836), 4,
      anon_sym_where,
      anon_sym_else,
      anon_sym_case,
      anon_sym_SLASH,
    ACTIONS(833), 8,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_SEMI,
      sym_uninitialized,
    STATE(3450), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [105029] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5574), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5572), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [105088] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5654), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5652), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [105147] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5578), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5576), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [105206] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5582), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5580), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [105265] = 25,
    ACTIONS(5586), 1,
      anon_sym_EQ,
    ACTIONS(7179), 1,
      anon_sym_DASH_GT,
    ACTIONS(7181), 1,
      anon_sym_PLUS,
    ACTIONS(7183), 1,
      anon_sym_DASH,
    ACTIONS(7185), 1,
      anon_sym_TILDE,
    ACTIONS(7187), 1,
      anon_sym_AMP,
    ACTIONS(7191), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7199), 1,
      anon_sym_PIPE,
    ACTIONS(7201), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7209), 1,
      anon_sym_DOT,
    ACTIONS(7211), 1,
      anon_sym_LBRACK,
    ACTIONS(7215), 1,
      anon_sym_or_return,
    ACTIONS(7217), 1,
      anon_sym_or_continue,
    ACTIONS(7219), 1,
      anon_sym_or_break,
    ACTIONS(7221), 1,
      anon_sym_CARET,
    ACTIONS(7189), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7193), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7195), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7203), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7205), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7207), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7213), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7197), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5584), 17,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_not_in,
      sym_uninitialized,
      sym_tag,
  [105368] = 21,
    ACTIONS(5586), 1,
      anon_sym_EQ,
    ACTIONS(7179), 1,
      anon_sym_DASH_GT,
    ACTIONS(7181), 1,
      anon_sym_PLUS,
    ACTIONS(7183), 1,
      anon_sym_DASH,
    ACTIONS(7185), 1,
      anon_sym_TILDE,
    ACTIONS(7187), 1,
      anon_sym_AMP,
    ACTIONS(7191), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7199), 1,
      anon_sym_PIPE,
    ACTIONS(7201), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7209), 1,
      anon_sym_DOT,
    ACTIONS(7211), 1,
      anon_sym_LBRACK,
    ACTIONS(7189), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7193), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7195), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7203), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7205), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7207), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7213), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7197), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5584), 21,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [105463] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3859), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3857), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [105522] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(895), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(893), 38,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [105581] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5594), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5592), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [105640] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5598), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5596), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [105699] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5450), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5448), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [105758] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4948), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4946), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [105817] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5602), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5600), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [105876] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5180), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5178), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [105935] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5590), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5588), 38,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [105994] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4872), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4870), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [106053] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3859), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3857), 38,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [106112] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5606), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5604), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [106171] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4738), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4736), 38,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [106230] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4742), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4740), 38,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [106289] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4746), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4744), 38,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [106348] = 5,
    ACTIONS(7379), 1,
      anon_sym_LPAREN,
    ACTIONS(7381), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4750), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4748), 37,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [106411] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(778), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(773), 38,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [106470] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4754), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4752), 38,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [106529] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3979), 12,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_DOT2,
    ACTIONS(3977), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [106588] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5606), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5604), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [106647] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4884), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4882), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [106706] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3283), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3281), 38,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [106765] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4758), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4756), 38,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [106824] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4762), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4760), 38,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [106883] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4766), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4764), 38,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [106942] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4770), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4768), 38,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [107001] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4774), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4772), 38,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [107060] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4795), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4792), 38,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [107119] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3293), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3291), 38,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [107178] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4778), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4776), 38,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [107237] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4782), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4780), 38,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [107296] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4527), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4525), 38,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [107355] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4786), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4784), 38,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [107414] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4535), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4533), 38,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [107473] = 4,
    STATE(3321), 1,
      aux_sym_struct_type_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4521), 10,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4519), 38,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [107534] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4682), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4680), 38,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [107593] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5610), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5608), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [107652] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5280), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5278), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [107711] = 5,
    ACTIONS(7131), 1,
      anon_sym_LPAREN,
    ACTIONS(7133), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4712), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4710), 38,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [107774] = 23,
    ACTIONS(2014), 1,
      sym_identifier,
    ACTIONS(2018), 1,
      anon_sym_struct,
    ACTIONS(2020), 1,
      anon_sym_enum,
    ACTIONS(2022), 1,
      anon_sym_union,
    ACTIONS(2042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2046), 1,
      anon_sym_bit_set,
    ACTIONS(2143), 1,
      anon_sym_LPAREN,
    ACTIONS(7394), 1,
      anon_sym_proc,
    ACTIONS(7396), 1,
      anon_sym_DOLLAR,
    ACTIONS(7398), 1,
      anon_sym_BANG,
    ACTIONS(7400), 1,
      anon_sym_LBRACK,
    ACTIONS(7402), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7404), 1,
      anon_sym_CARET,
    ACTIONS(7406), 1,
      anon_sym_map,
    ACTIONS(7408), 1,
      anon_sym_matrix,
    ACTIONS(7410), 1,
      anon_sym_distinct,
    ACTIONS(7423), 1,
      sym_tag,
    STATE(3452), 1,
      sym_type,
    STATE(3472), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(895), 4,
      anon_sym_where,
      anon_sym_else,
      anon_sym_case,
      anon_sym_SLASH,
    ACTIONS(893), 8,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_SEMI,
      sym_uninitialized,
    STATE(3450), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [107873] = 5,
    ACTIONS(7131), 1,
      anon_sym_LPAREN,
    ACTIONS(7133), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4750), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4748), 38,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [107936] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4790), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4788), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [107995] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5614), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5612), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [108054] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5442), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5440), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [108113] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4800), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4798), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [108172] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5446), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5444), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [108231] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5614), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5612), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [108290] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5618), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5616), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [108349] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5454), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5452), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [108408] = 23,
    ACTIONS(2014), 1,
      sym_identifier,
    ACTIONS(2018), 1,
      anon_sym_struct,
    ACTIONS(2020), 1,
      anon_sym_enum,
    ACTIONS(2022), 1,
      anon_sym_union,
    ACTIONS(2042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2046), 1,
      anon_sym_bit_set,
    ACTIONS(2115), 1,
      anon_sym_LPAREN,
    ACTIONS(7394), 1,
      anon_sym_proc,
    ACTIONS(7396), 1,
      anon_sym_DOLLAR,
    ACTIONS(7398), 1,
      anon_sym_BANG,
    ACTIONS(7400), 1,
      anon_sym_LBRACK,
    ACTIONS(7402), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7404), 1,
      anon_sym_CARET,
    ACTIONS(7406), 1,
      anon_sym_map,
    ACTIONS(7408), 1,
      anon_sym_matrix,
    ACTIONS(7410), 1,
      anon_sym_distinct,
    ACTIONS(7426), 1,
      sym_tag,
    STATE(3472), 1,
      sym_procedure,
    STATE(3487), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(778), 4,
      anon_sym_where,
      anon_sym_else,
      anon_sym_case,
      anon_sym_SLASH,
    ACTIONS(773), 8,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_SEMI,
      sym_uninitialized,
    STATE(3450), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [108507] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4800), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4798), 38,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [108566] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5646), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5644), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [108625] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5458), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5456), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [108684] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5462), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5460), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [108743] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5466), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5464), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [108802] = 6,
    ACTIONS(6461), 1,
      anon_sym_DOT2,
    ACTIONS(7430), 1,
      anon_sym_COLON,
    STATE(2570), 1,
      aux_sym_field_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3417), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3415), 36,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [108867] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5470), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5468), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [108926] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4499), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4497), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [108985] = 4,
    STATE(3321), 1,
      aux_sym_struct_type_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4628), 10,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4626), 38,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [109046] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3283), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3281), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [109105] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5474), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5472), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [109164] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3979), 11,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_DOT2,
    ACTIONS(3977), 38,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [109223] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5650), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5648), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [109282] = 26,
    ACTIONS(5478), 1,
      anon_sym_EQ,
    ACTIONS(7179), 1,
      anon_sym_DASH_GT,
    ACTIONS(7181), 1,
      anon_sym_PLUS,
    ACTIONS(7183), 1,
      anon_sym_DASH,
    ACTIONS(7185), 1,
      anon_sym_TILDE,
    ACTIONS(7187), 1,
      anon_sym_AMP,
    ACTIONS(7191), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7199), 1,
      anon_sym_PIPE,
    ACTIONS(7201), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7209), 1,
      anon_sym_DOT,
    ACTIONS(7211), 1,
      anon_sym_LBRACK,
    ACTIONS(7215), 1,
      anon_sym_or_return,
    ACTIONS(7217), 1,
      anon_sym_or_continue,
    ACTIONS(7219), 1,
      anon_sym_or_break,
    ACTIONS(7221), 1,
      anon_sym_CARET,
    ACTIONS(7189), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7193), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7195), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7203), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7205), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7207), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7213), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7432), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7197), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5476), 15,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_case,
      anon_sym_QMARK,
      sym_uninitialized,
      sym_tag,
  [109387] = 9,
    ACTIONS(7179), 1,
      anon_sym_DASH_GT,
    ACTIONS(7209), 1,
      anon_sym_DOT,
    ACTIONS(7211), 1,
      anon_sym_LBRACK,
    ACTIONS(7205), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7207), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7213), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5484), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
    ACTIONS(5482), 33,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [109458] = 14,
    ACTIONS(7179), 1,
      anon_sym_DASH_GT,
    ACTIONS(7181), 1,
      anon_sym_PLUS,
    ACTIONS(7183), 1,
      anon_sym_DASH,
    ACTIONS(7187), 1,
      anon_sym_AMP,
    ACTIONS(7201), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7209), 1,
      anon_sym_DOT,
    ACTIONS(7211), 1,
      anon_sym_LBRACK,
    ACTIONS(7203), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7205), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7207), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7213), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5484), 5,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
    ACTIONS(5482), 29,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [109539] = 13,
    ACTIONS(7179), 1,
      anon_sym_DASH_GT,
    ACTIONS(7181), 1,
      anon_sym_PLUS,
    ACTIONS(7183), 1,
      anon_sym_DASH,
    ACTIONS(7201), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7209), 1,
      anon_sym_DOT,
    ACTIONS(7211), 1,
      anon_sym_LBRACK,
    ACTIONS(7203), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7205), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7207), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7213), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5484), 6,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
    ACTIONS(5482), 29,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [109618] = 20,
    ACTIONS(5484), 1,
      anon_sym_EQ,
    ACTIONS(7179), 1,
      anon_sym_DASH_GT,
    ACTIONS(7181), 1,
      anon_sym_PLUS,
    ACTIONS(7183), 1,
      anon_sym_DASH,
    ACTIONS(7185), 1,
      anon_sym_TILDE,
    ACTIONS(7187), 1,
      anon_sym_AMP,
    ACTIONS(7191), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7199), 1,
      anon_sym_PIPE,
    ACTIONS(7201), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7209), 1,
      anon_sym_DOT,
    ACTIONS(7211), 1,
      anon_sym_LBRACK,
    ACTIONS(7193), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7195), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7203), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7205), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7207), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7213), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7197), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5482), 23,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [109711] = 19,
    ACTIONS(5484), 1,
      anon_sym_EQ,
    ACTIONS(7179), 1,
      anon_sym_DASH_GT,
    ACTIONS(7181), 1,
      anon_sym_PLUS,
    ACTIONS(7183), 1,
      anon_sym_DASH,
    ACTIONS(7185), 1,
      anon_sym_TILDE,
    ACTIONS(7187), 1,
      anon_sym_AMP,
    ACTIONS(7199), 1,
      anon_sym_PIPE,
    ACTIONS(7201), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7209), 1,
      anon_sym_DOT,
    ACTIONS(7211), 1,
      anon_sym_LBRACK,
    ACTIONS(7193), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7195), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7203), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7205), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7207), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7213), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7197), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5482), 24,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [109802] = 17,
    ACTIONS(7179), 1,
      anon_sym_DASH_GT,
    ACTIONS(7181), 1,
      anon_sym_PLUS,
    ACTIONS(7183), 1,
      anon_sym_DASH,
    ACTIONS(7185), 1,
      anon_sym_TILDE,
    ACTIONS(7187), 1,
      anon_sym_AMP,
    ACTIONS(7199), 1,
      anon_sym_PIPE,
    ACTIONS(7201), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7209), 1,
      anon_sym_DOT,
    ACTIONS(7211), 1,
      anon_sym_LBRACK,
    ACTIONS(7203), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7205), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7207), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7213), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5484), 3,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7197), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5482), 26,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [109889] = 16,
    ACTIONS(7179), 1,
      anon_sym_DASH_GT,
    ACTIONS(7181), 1,
      anon_sym_PLUS,
    ACTIONS(7183), 1,
      anon_sym_DASH,
    ACTIONS(7185), 1,
      anon_sym_TILDE,
    ACTIONS(7187), 1,
      anon_sym_AMP,
    ACTIONS(7199), 1,
      anon_sym_PIPE,
    ACTIONS(7201), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7209), 1,
      anon_sym_DOT,
    ACTIONS(7211), 1,
      anon_sym_LBRACK,
    ACTIONS(7203), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7205), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7207), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7213), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5484), 3,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5482), 29,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [109974] = 6,
    ACTIONS(7131), 1,
      anon_sym_LPAREN,
    ACTIONS(7133), 1,
      anon_sym_SLASH,
    ACTIONS(7434), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4750), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4748), 37,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [110039] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5074), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5072), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [110098] = 4,
    STATE(3321), 1,
      aux_sym_struct_type_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4482), 10,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4480), 38,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [110159] = 15,
    ACTIONS(7179), 1,
      anon_sym_DASH_GT,
    ACTIONS(7181), 1,
      anon_sym_PLUS,
    ACTIONS(7183), 1,
      anon_sym_DASH,
    ACTIONS(7185), 1,
      anon_sym_TILDE,
    ACTIONS(7187), 1,
      anon_sym_AMP,
    ACTIONS(7201), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7209), 1,
      anon_sym_DOT,
    ACTIONS(7211), 1,
      anon_sym_LBRACK,
    ACTIONS(7203), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7205), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7207), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7213), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5484), 4,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
    ACTIONS(5482), 29,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [110242] = 12,
    ACTIONS(7179), 1,
      anon_sym_DASH_GT,
    ACTIONS(7181), 1,
      anon_sym_PLUS,
    ACTIONS(7183), 1,
      anon_sym_DASH,
    ACTIONS(7209), 1,
      anon_sym_DOT,
    ACTIONS(7211), 1,
      anon_sym_LBRACK,
    ACTIONS(7203), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7205), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7207), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7213), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5484), 6,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
    ACTIONS(5482), 30,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [110319] = 11,
    ACTIONS(7179), 1,
      anon_sym_DASH_GT,
    ACTIONS(7181), 1,
      anon_sym_PLUS,
    ACTIONS(7183), 1,
      anon_sym_DASH,
    ACTIONS(7209), 1,
      anon_sym_DOT,
    ACTIONS(7211), 1,
      anon_sym_LBRACK,
    ACTIONS(7205), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7207), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7213), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5484), 6,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
    ACTIONS(5482), 32,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [110394] = 7,
    ACTIONS(7179), 1,
      anon_sym_DASH_GT,
    ACTIONS(7209), 1,
      anon_sym_DOT,
    ACTIONS(7211), 1,
      anon_sym_LBRACK,
    ACTIONS(7213), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5484), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5482), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [110461] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5488), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5486), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [110520] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5492), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5490), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [110579] = 23,
    ACTIONS(2014), 1,
      sym_identifier,
    ACTIONS(2018), 1,
      anon_sym_struct,
    ACTIONS(2020), 1,
      anon_sym_enum,
    ACTIONS(2022), 1,
      anon_sym_union,
    ACTIONS(2042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2046), 1,
      anon_sym_bit_set,
    ACTIONS(2155), 1,
      anon_sym_LPAREN,
    ACTIONS(7394), 1,
      anon_sym_proc,
    ACTIONS(7396), 1,
      anon_sym_DOLLAR,
    ACTIONS(7398), 1,
      anon_sym_BANG,
    ACTIONS(7400), 1,
      anon_sym_LBRACK,
    ACTIONS(7402), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7404), 1,
      anon_sym_CARET,
    ACTIONS(7406), 1,
      anon_sym_map,
    ACTIONS(7408), 1,
      anon_sym_matrix,
    ACTIONS(7410), 1,
      anon_sym_distinct,
    ACTIONS(7436), 1,
      sym_tag,
    STATE(3408), 1,
      sym_type,
    STATE(3472), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(911), 4,
      anon_sym_where,
      anon_sym_else,
      anon_sym_case,
      anon_sym_SLASH,
    ACTIONS(909), 8,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_SEMI,
      sym_uninitialized,
    STATE(3450), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [110678] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5590), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5588), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [110737] = 4,
    ACTIONS(7279), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(67), 38,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [110798] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5496), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5494), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [110857] = 25,
    ACTIONS(5500), 1,
      anon_sym_EQ,
    ACTIONS(7179), 1,
      anon_sym_DASH_GT,
    ACTIONS(7181), 1,
      anon_sym_PLUS,
    ACTIONS(7183), 1,
      anon_sym_DASH,
    ACTIONS(7185), 1,
      anon_sym_TILDE,
    ACTIONS(7187), 1,
      anon_sym_AMP,
    ACTIONS(7191), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7199), 1,
      anon_sym_PIPE,
    ACTIONS(7201), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7209), 1,
      anon_sym_DOT,
    ACTIONS(7211), 1,
      anon_sym_LBRACK,
    ACTIONS(7215), 1,
      anon_sym_or_return,
    ACTIONS(7217), 1,
      anon_sym_or_continue,
    ACTIONS(7219), 1,
      anon_sym_or_break,
    ACTIONS(7221), 1,
      anon_sym_CARET,
    ACTIONS(7189), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7193), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7195), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7203), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7205), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7207), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7213), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7197), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5498), 17,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_not_in,
      sym_uninitialized,
      sym_tag,
  [110960] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5504), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5502), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [111019] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3303), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3299), 39,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [111078] = 23,
    ACTIONS(2014), 1,
      sym_identifier,
    ACTIONS(2018), 1,
      anon_sym_struct,
    ACTIONS(2020), 1,
      anon_sym_enum,
    ACTIONS(2022), 1,
      anon_sym_union,
    ACTIONS(2042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2046), 1,
      anon_sym_bit_set,
    ACTIONS(2131), 1,
      anon_sym_LPAREN,
    ACTIONS(7394), 1,
      anon_sym_proc,
    ACTIONS(7396), 1,
      anon_sym_DOLLAR,
    ACTIONS(7398), 1,
      anon_sym_BANG,
    ACTIONS(7400), 1,
      anon_sym_LBRACK,
    ACTIONS(7402), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7404), 1,
      anon_sym_CARET,
    ACTIONS(7406), 1,
      anon_sym_map,
    ACTIONS(7408), 1,
      anon_sym_matrix,
    ACTIONS(7410), 1,
      anon_sym_distinct,
    ACTIONS(7439), 1,
      sym_tag,
    STATE(3445), 1,
      sym_type,
    STATE(3472), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(857), 4,
      anon_sym_where,
      anon_sym_else,
      anon_sym_case,
      anon_sym_SLASH,
    ACTIONS(855), 8,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_SEMI,
      sym_uninitialized,
    STATE(3450), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [111177] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4746), 10,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4744), 38,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [111235] = 23,
    ACTIONS(1627), 1,
      sym_identifier,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1637), 1,
      anon_sym_LPAREN,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(7442), 1,
      anon_sym_proc,
    ACTIONS(7444), 1,
      anon_sym_DOLLAR,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(7448), 1,
      anon_sym_LBRACK,
    ACTIONS(7450), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7452), 1,
      anon_sym_CARET,
    ACTIONS(7454), 1,
      anon_sym_map,
    ACTIONS(7456), 1,
      anon_sym_matrix,
    ACTIONS(7458), 1,
      anon_sym_distinct,
    ACTIONS(7460), 1,
      sym_tag,
    STATE(2694), 1,
      sym_type,
    STATE(2754), 1,
      sym_procedure,
    ACTIONS(911), 2,
      anon_sym_where,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(909), 9,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACK,
      sym_uninitialized,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [111333] = 7,
    ACTIONS(7223), 1,
      anon_sym_LBRACE,
    ACTIONS(7233), 1,
      sym_uninitialized,
    ACTIONS(7235), 1,
      sym_tag,
    STATE(4187), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3303), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3299), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [111399] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(911), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(909), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [111457] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4790), 10,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4788), 38,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [111515] = 4,
    ACTIONS(7463), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4400), 20,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
    ACTIONS(4398), 27,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
  [111575] = 4,
    ACTIONS(7465), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4762), 10,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4760), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [111635] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4762), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4760), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [111693] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(857), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(855), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [111751] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4766), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4764), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [111809] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4770), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4768), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [111867] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4774), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4772), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [111925] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4795), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4792), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [111983] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5450), 10,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5448), 38,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [112041] = 5,
    ACTIONS(7467), 1,
      anon_sym_LPAREN,
    ACTIONS(7469), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4702), 9,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4700), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [112103] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(895), 10,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(893), 38,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [112161] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4800), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4798), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [112219] = 5,
    ACTIONS(7471), 1,
      sym_identifier,
    ACTIONS(7473), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 20,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
    ACTIONS(67), 26,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
  [112281] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4778), 10,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4776), 38,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [112339] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5556), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5554), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [112397] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3293), 10,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3291), 38,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [112455] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4738), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4736), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [112513] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4742), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4740), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [112571] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(911), 10,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(909), 38,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [112629] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4694), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4692), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [112687] = 23,
    ACTIONS(1627), 1,
      sym_identifier,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(1735), 1,
      anon_sym_LPAREN,
    ACTIONS(7442), 1,
      anon_sym_proc,
    ACTIONS(7444), 1,
      anon_sym_DOLLAR,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(7448), 1,
      anon_sym_LBRACK,
    ACTIONS(7450), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7452), 1,
      anon_sym_CARET,
    ACTIONS(7454), 1,
      anon_sym_map,
    ACTIONS(7456), 1,
      anon_sym_matrix,
    ACTIONS(7458), 1,
      anon_sym_distinct,
    ACTIONS(7475), 1,
      sym_tag,
    STATE(2754), 1,
      sym_procedure,
    STATE(2905), 1,
      sym_type,
    ACTIONS(874), 2,
      anon_sym_where,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(871), 9,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACK,
      sym_uninitialized,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [112785] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5508), 10,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5506), 38,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [112843] = 7,
    ACTIONS(7223), 1,
      anon_sym_LBRACE,
    ACTIONS(7237), 1,
      sym_uninitialized,
    ACTIONS(7479), 1,
      sym_tag,
    STATE(4227), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3273), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3269), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [112909] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4762), 10,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4760), 38,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [112967] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4682), 10,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4680), 38,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [113025] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4778), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4776), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [113083] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5450), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5448), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [113141] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4728), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4726), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [113199] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(836), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(833), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [113257] = 6,
    ACTIONS(7467), 1,
      anon_sym_LPAREN,
    ACTIONS(7469), 1,
      anon_sym_SLASH,
    ACTIONS(7481), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4750), 9,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4748), 36,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [113321] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4758), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4756), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [113379] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5556), 10,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5554), 38,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [113437] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5590), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5588), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [113495] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4716), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4714), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [113553] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4782), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4780), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [113611] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3293), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3291), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [113669] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4732), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4730), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [113727] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4746), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4744), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [113785] = 6,
    ACTIONS(6619), 1,
      anon_sym_LPAREN,
    ACTIONS(7096), 1,
      anon_sym_QMARK,
    ACTIONS(7094), 2,
      anon_sym_if,
      anon_sym_when,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(67), 34,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [113849] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4795), 10,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4792), 38,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [113907] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3283), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3281), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [113965] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3417), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3415), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [114023] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(778), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(773), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [114081] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4754), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4752), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [114139] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(857), 10,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(855), 38,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [114197] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5590), 10,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5588), 38,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [114255] = 23,
    ACTIONS(1627), 1,
      sym_identifier,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(1663), 1,
      anon_sym_LPAREN,
    ACTIONS(7442), 1,
      anon_sym_proc,
    ACTIONS(7444), 1,
      anon_sym_DOLLAR,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(7448), 1,
      anon_sym_LBRACK,
    ACTIONS(7450), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7452), 1,
      anon_sym_CARET,
    ACTIONS(7454), 1,
      anon_sym_map,
    ACTIONS(7456), 1,
      anon_sym_matrix,
    ACTIONS(7458), 1,
      anon_sym_distinct,
    ACTIONS(7483), 1,
      sym_tag,
    STATE(2691), 1,
      sym_type,
    STATE(2754), 1,
      sym_procedure,
    ACTIONS(895), 2,
      anon_sym_where,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(893), 9,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACK,
      sym_uninitialized,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [114353] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3273), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3269), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [114411] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3859), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3857), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [114469] = 4,
    ACTIONS(7486), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4762), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4760), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [114529] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4758), 10,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4756), 38,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [114587] = 7,
    ACTIONS(7326), 1,
      anon_sym_LBRACE,
    ACTIONS(7336), 1,
      sym_uninitialized,
    ACTIONS(7338), 1,
      sym_tag,
    STATE(4100), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3303), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3299), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [114653] = 7,
    ACTIONS(7326), 1,
      anon_sym_LBRACE,
    ACTIONS(7340), 1,
      sym_uninitialized,
    ACTIONS(7488), 1,
      sym_tag,
    STATE(4024), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3273), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3269), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [114719] = 23,
    ACTIONS(1627), 1,
      sym_identifier,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(1723), 1,
      anon_sym_LPAREN,
    ACTIONS(7442), 1,
      anon_sym_proc,
    ACTIONS(7444), 1,
      anon_sym_DOLLAR,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(7448), 1,
      anon_sym_LBRACK,
    ACTIONS(7450), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7452), 1,
      anon_sym_CARET,
    ACTIONS(7454), 1,
      anon_sym_map,
    ACTIONS(7456), 1,
      anon_sym_matrix,
    ACTIONS(7458), 1,
      anon_sym_distinct,
    ACTIONS(7490), 1,
      sym_tag,
    STATE(2674), 1,
      sym_type,
    STATE(2754), 1,
      sym_procedure,
    ACTIONS(857), 2,
      anon_sym_where,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(855), 9,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACK,
      sym_uninitialized,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [114817] = 7,
    ACTIONS(7326), 1,
      anon_sym_LBRACE,
    ACTIONS(7344), 1,
      sym_uninitialized,
    ACTIONS(7348), 1,
      sym_tag,
    STATE(4092), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3859), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3857), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [114883] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4527), 10,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4525), 38,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [114941] = 7,
    ACTIONS(7326), 1,
      anon_sym_LBRACE,
    ACTIONS(7350), 1,
      sym_uninitialized,
    ACTIONS(7354), 1,
      sym_tag,
    STATE(4023), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3283), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3281), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [115007] = 7,
    ACTIONS(7326), 1,
      anon_sym_LBRACE,
    ACTIONS(7356), 1,
      sym_uninitialized,
    ACTIONS(7358), 1,
      sym_tag,
    STATE(4028), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3293), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3291), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [115073] = 7,
    ACTIONS(7326), 1,
      anon_sym_LBRACE,
    ACTIONS(7493), 1,
      sym_uninitialized,
    ACTIONS(7495), 1,
      sym_tag,
    STATE(4034), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4527), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4525), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [115139] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5508), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5506), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [115197] = 7,
    ACTIONS(7223), 1,
      anon_sym_LBRACE,
    ACTIONS(7241), 1,
      sym_uninitialized,
    ACTIONS(7245), 1,
      sym_tag,
    STATE(4252), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3859), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3857), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [115263] = 10,
    ACTIONS(6566), 1,
      anon_sym_LBRACE,
    ACTIONS(6771), 1,
      sym_uninitialized,
    ACTIONS(6773), 1,
      sym_tag,
    ACTIONS(7497), 1,
      anon_sym_DASH_GT,
    ACTIONS(7499), 1,
      anon_sym_where,
    STATE(2651), 1,
      sym_where_clause,
    STATE(2792), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3935), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3931), 31,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [115335] = 10,
    ACTIONS(6566), 1,
      anon_sym_LBRACE,
    ACTIONS(6583), 1,
      sym_uninitialized,
    ACTIONS(6599), 1,
      sym_tag,
    ACTIONS(7499), 1,
      anon_sym_where,
    ACTIONS(7501), 1,
      anon_sym_DASH_GT,
    STATE(2657), 1,
      sym_where_clause,
    STATE(2805), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3303), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3299), 31,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [115407] = 11,
    ACTIONS(6566), 1,
      anon_sym_LBRACE,
    ACTIONS(6605), 1,
      sym_uninitialized,
    ACTIONS(6703), 1,
      anon_sym_LPAREN,
    ACTIONS(7499), 1,
      anon_sym_where,
    ACTIONS(7503), 1,
      anon_sym_SLASH,
    ACTIONS(7505), 1,
      sym_tag,
    STATE(2667), 1,
      sym_where_clause,
    STATE(2821), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3273), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3269), 31,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [115481] = 9,
    ACTIONS(6566), 1,
      anon_sym_LBRACE,
    ACTIONS(6605), 1,
      sym_uninitialized,
    ACTIONS(7499), 1,
      anon_sym_where,
    ACTIONS(7505), 1,
      sym_tag,
    STATE(2667), 1,
      sym_where_clause,
    STATE(2821), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3273), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3269), 32,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [115551] = 11,
    ACTIONS(6566), 1,
      anon_sym_LBRACE,
    ACTIONS(6597), 1,
      sym_uninitialized,
    ACTIONS(6703), 1,
      anon_sym_LPAREN,
    ACTIONS(7499), 1,
      anon_sym_where,
    ACTIONS(7503), 1,
      anon_sym_SLASH,
    ACTIONS(7507), 1,
      sym_tag,
    STATE(2618), 1,
      sym_where_clause,
    STATE(2836), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3859), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3857), 31,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [115625] = 9,
    ACTIONS(6566), 1,
      anon_sym_LBRACE,
    ACTIONS(6597), 1,
      sym_uninitialized,
    ACTIONS(7499), 1,
      anon_sym_where,
    ACTIONS(7507), 1,
      sym_tag,
    STATE(2618), 1,
      sym_where_clause,
    STATE(2836), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3859), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3857), 32,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [115695] = 23,
    ACTIONS(1627), 1,
      sym_identifier,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(1823), 1,
      anon_sym_LPAREN,
    ACTIONS(7442), 1,
      anon_sym_proc,
    ACTIONS(7444), 1,
      anon_sym_DOLLAR,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(7448), 1,
      anon_sym_LBRACK,
    ACTIONS(7450), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7452), 1,
      anon_sym_CARET,
    ACTIONS(7454), 1,
      anon_sym_map,
    ACTIONS(7456), 1,
      anon_sym_matrix,
    ACTIONS(7458), 1,
      anon_sym_distinct,
    ACTIONS(7509), 1,
      sym_tag,
    STATE(2754), 1,
      sym_procedure,
    STATE(2899), 1,
      sym_type,
    ACTIONS(819), 2,
      anon_sym_where,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(817), 9,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACK,
      sym_uninitialized,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [115793] = 11,
    ACTIONS(6566), 1,
      anon_sym_LBRACE,
    ACTIONS(6568), 1,
      sym_uninitialized,
    ACTIONS(6703), 1,
      anon_sym_LPAREN,
    ACTIONS(7499), 1,
      anon_sym_where,
    ACTIONS(7503), 1,
      anon_sym_SLASH,
    ACTIONS(7512), 1,
      sym_tag,
    STATE(2620), 1,
      sym_where_clause,
    STATE(2849), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3283), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3281), 31,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [115867] = 9,
    ACTIONS(6566), 1,
      anon_sym_LBRACE,
    ACTIONS(6568), 1,
      sym_uninitialized,
    ACTIONS(7499), 1,
      anon_sym_where,
    ACTIONS(7512), 1,
      sym_tag,
    STATE(2620), 1,
      sym_where_clause,
    STATE(2849), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3283), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3281), 32,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [115937] = 9,
    ACTIONS(6566), 1,
      anon_sym_LBRACE,
    ACTIONS(6568), 1,
      sym_uninitialized,
    ACTIONS(6570), 1,
      sym_tag,
    ACTIONS(7499), 1,
      anon_sym_where,
    STATE(2620), 1,
      sym_where_clause,
    STATE(2849), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3283), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3281), 32,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [116007] = 9,
    ACTIONS(6566), 1,
      anon_sym_LBRACE,
    ACTIONS(6572), 1,
      sym_uninitialized,
    ACTIONS(6574), 1,
      sym_tag,
    ACTIONS(7499), 1,
      anon_sym_where,
    STATE(2625), 1,
      sym_where_clause,
    STATE(2857), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3293), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3291), 32,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [116077] = 23,
    ACTIONS(1627), 1,
      sym_identifier,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(1751), 1,
      anon_sym_LPAREN,
    ACTIONS(7442), 1,
      anon_sym_proc,
    ACTIONS(7444), 1,
      anon_sym_DOLLAR,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(7448), 1,
      anon_sym_LBRACK,
    ACTIONS(7450), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7452), 1,
      anon_sym_CARET,
    ACTIONS(7454), 1,
      anon_sym_map,
    ACTIONS(7456), 1,
      anon_sym_matrix,
    ACTIONS(7458), 1,
      anon_sym_distinct,
    ACTIONS(7514), 1,
      sym_tag,
    STATE(2754), 1,
      sym_procedure,
    STATE(2915), 1,
      sym_type,
    ACTIONS(836), 2,
      anon_sym_where,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(833), 9,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACK,
      sym_uninitialized,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [116175] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(836), 10,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(833), 38,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [116233] = 6,
    ACTIONS(6461), 1,
      anon_sym_DOT2,
    ACTIONS(7518), 1,
      anon_sym_COLON,
    STATE(2570), 1,
      aux_sym_field_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3417), 20,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(3415), 25,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [116297] = 7,
    ACTIONS(7223), 1,
      anon_sym_LBRACE,
    ACTIONS(7247), 1,
      sym_uninitialized,
    ACTIONS(7251), 1,
      sym_tag,
    STATE(4263), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3283), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3281), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [116363] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4678), 10,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4676), 38,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [116421] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4686), 10,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4684), 38,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [116479] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3417), 10,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3415), 38,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [116537] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4786), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4784), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [116595] = 7,
    ACTIONS(7223), 1,
      anon_sym_LBRACE,
    ACTIONS(7256), 1,
      sym_uninitialized,
    ACTIONS(7258), 1,
      sym_tag,
    STATE(4268), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3293), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3291), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [116661] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(778), 10,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(773), 38,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [116719] = 7,
    ACTIONS(7223), 1,
      anon_sym_LBRACE,
    ACTIONS(7520), 1,
      sym_uninitialized,
    ACTIONS(7522), 1,
      sym_tag,
    STATE(4269), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4527), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4525), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [116785] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(895), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(893), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [116843] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4694), 10,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4692), 38,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [116901] = 5,
    ACTIONS(7467), 1,
      anon_sym_LPAREN,
    ACTIONS(7469), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4698), 9,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4696), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [116963] = 6,
    ACTIONS(7379), 1,
      anon_sym_LPAREN,
    ACTIONS(7381), 1,
      anon_sym_SLASH,
    ACTIONS(7524), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4750), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4748), 35,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [117027] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4786), 10,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4784), 38,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [117085] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4766), 10,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4764), 38,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [117143] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4800), 10,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4798), 38,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [117201] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4770), 10,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4768), 38,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [117259] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4720), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4718), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [117317] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4724), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4722), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [117375] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4790), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4788), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [117433] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4527), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4525), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [117491] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4774), 10,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4772), 38,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [117549] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3303), 10,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3299), 38,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [117607] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4678), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4676), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [117665] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4706), 10,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4704), 38,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [117723] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3303), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3299), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [117781] = 5,
    ACTIONS(7467), 1,
      anon_sym_LPAREN,
    ACTIONS(7469), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4712), 9,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4710), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [117843] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4706), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4704), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [117901] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4686), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4684), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [117959] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3273), 10,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3269), 38,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [118017] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4782), 10,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4780), 38,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [118075] = 5,
    ACTIONS(7526), 1,
      sym_identifier,
    ACTIONS(7528), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 20,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
    ACTIONS(67), 26,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
  [118137] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4716), 10,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4714), 38,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [118195] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4720), 10,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4718), 38,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [118253] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4724), 10,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4722), 38,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [118311] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4728), 10,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4726), 38,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [118369] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4732), 10,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4730), 38,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [118427] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4535), 10,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4533), 38,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [118485] = 23,
    ACTIONS(1627), 1,
      sym_identifier,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(1795), 1,
      anon_sym_LPAREN,
    ACTIONS(7442), 1,
      anon_sym_proc,
    ACTIONS(7444), 1,
      anon_sym_DOLLAR,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(7448), 1,
      anon_sym_LBRACK,
    ACTIONS(7450), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7452), 1,
      anon_sym_CARET,
    ACTIONS(7454), 1,
      anon_sym_map,
    ACTIONS(7456), 1,
      anon_sym_matrix,
    ACTIONS(7458), 1,
      anon_sym_distinct,
    ACTIONS(7530), 1,
      sym_tag,
    STATE(2693), 1,
      sym_type,
    STATE(2754), 1,
      sym_procedure,
    ACTIONS(778), 2,
      anon_sym_where,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(773), 9,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACK,
      sym_uninitialized,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [118583] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3859), 10,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3857), 38,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [118641] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4738), 10,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4736), 38,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [118699] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4742), 10,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4740), 38,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [118757] = 5,
    ACTIONS(7467), 1,
      anon_sym_LPAREN,
    ACTIONS(7469), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4750), 9,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4748), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [118819] = 4,
    ACTIONS(7534), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4400), 20,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
    ACTIONS(4398), 27,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
  [118879] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4754), 10,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4752), 38,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [118937] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4535), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4533), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [118995] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4682), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4680), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [119053] = 28,
    ACTIONS(4430), 1,
      anon_sym_EQ,
    ACTIONS(6969), 1,
      anon_sym_DASH_GT,
    ACTIONS(6971), 1,
      anon_sym_PLUS,
    ACTIONS(6973), 1,
      anon_sym_DASH,
    ACTIONS(6975), 1,
      anon_sym_TILDE,
    ACTIONS(6977), 1,
      anon_sym_AMP,
    ACTIONS(6981), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6989), 1,
      anon_sym_PIPE,
    ACTIONS(6991), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6999), 1,
      anon_sym_DOT,
    ACTIONS(7001), 1,
      anon_sym_LBRACK,
    ACTIONS(7005), 1,
      anon_sym_or_return,
    ACTIONS(7007), 1,
      anon_sym_or_continue,
    ACTIONS(7009), 1,
      anon_sym_or_break,
    ACTIONS(7011), 1,
      anon_sym_CARET,
    ACTIONS(7536), 1,
      anon_sym_COMMA,
    STATE(6140), 1,
      aux_sym_where_clause_repeat1,
    ACTIONS(6979), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(6983), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(6985), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6993), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6995), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6997), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7003), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7111), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6987), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(4426), 12,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_where,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
      sym_uninitialized,
      sym_tag,
  [119161] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3283), 10,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3281), 38,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [119219] = 5,
    ACTIONS(7467), 1,
      anon_sym_LPAREN,
    ACTIONS(7469), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4690), 9,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4688), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [119281] = 9,
    ACTIONS(6566), 1,
      anon_sym_LBRACE,
    ACTIONS(6597), 1,
      sym_uninitialized,
    ACTIONS(6611), 1,
      sym_tag,
    ACTIONS(7499), 1,
      anon_sym_where,
    STATE(2618), 1,
      sym_where_clause,
    STATE(2836), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3859), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3857), 32,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [119351] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4634), 10,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4632), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [119408] = 10,
    ACTIONS(6566), 1,
      anon_sym_LBRACE,
    ACTIONS(6583), 1,
      sym_uninitialized,
    ACTIONS(6599), 1,
      sym_tag,
    ACTIONS(7538), 1,
      anon_sym_DASH_GT,
    ACTIONS(7540), 1,
      anon_sym_where,
    STATE(2657), 1,
      sym_where_clause,
    STATE(2805), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3303), 19,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(3299), 21,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
  [119479] = 11,
    ACTIONS(6566), 1,
      anon_sym_LBRACE,
    ACTIONS(6605), 1,
      sym_uninitialized,
    ACTIONS(6703), 1,
      anon_sym_LPAREN,
    ACTIONS(7540), 1,
      anon_sym_where,
    ACTIONS(7542), 1,
      anon_sym_SLASH,
    ACTIONS(7544), 1,
      sym_tag,
    STATE(2667), 1,
      sym_where_clause,
    STATE(2821), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3273), 18,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(3269), 21,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
  [119552] = 9,
    ACTIONS(6566), 1,
      anon_sym_LBRACE,
    ACTIONS(6605), 1,
      sym_uninitialized,
    ACTIONS(7540), 1,
      anon_sym_where,
    ACTIONS(7544), 1,
      sym_tag,
    STATE(2667), 1,
      sym_where_clause,
    STATE(2821), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3273), 19,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(3269), 22,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
  [119621] = 11,
    ACTIONS(6566), 1,
      anon_sym_LBRACE,
    ACTIONS(6597), 1,
      sym_uninitialized,
    ACTIONS(6703), 1,
      anon_sym_LPAREN,
    ACTIONS(7540), 1,
      anon_sym_where,
    ACTIONS(7542), 1,
      anon_sym_SLASH,
    ACTIONS(7546), 1,
      sym_tag,
    STATE(2618), 1,
      sym_where_clause,
    STATE(2836), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3859), 18,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(3857), 21,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
  [119694] = 9,
    ACTIONS(6566), 1,
      anon_sym_LBRACE,
    ACTIONS(6597), 1,
      sym_uninitialized,
    ACTIONS(7540), 1,
      anon_sym_where,
    ACTIONS(7546), 1,
      sym_tag,
    STATE(2618), 1,
      sym_where_clause,
    STATE(2836), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3859), 19,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(3857), 22,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
  [119763] = 9,
    ACTIONS(6566), 1,
      anon_sym_LBRACE,
    ACTIONS(6597), 1,
      sym_uninitialized,
    ACTIONS(6611), 1,
      sym_tag,
    ACTIONS(7540), 1,
      anon_sym_where,
    STATE(2618), 1,
      sym_where_clause,
    STATE(2836), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3859), 19,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(3857), 22,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
  [119832] = 11,
    ACTIONS(6566), 1,
      anon_sym_LBRACE,
    ACTIONS(6568), 1,
      sym_uninitialized,
    ACTIONS(6703), 1,
      anon_sym_LPAREN,
    ACTIONS(7540), 1,
      anon_sym_where,
    ACTIONS(7542), 1,
      anon_sym_SLASH,
    ACTIONS(7548), 1,
      sym_tag,
    STATE(2620), 1,
      sym_where_clause,
    STATE(2849), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3283), 18,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(3281), 21,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
  [119905] = 9,
    ACTIONS(6566), 1,
      anon_sym_LBRACE,
    ACTIONS(6568), 1,
      sym_uninitialized,
    ACTIONS(7540), 1,
      anon_sym_where,
    ACTIONS(7548), 1,
      sym_tag,
    STATE(2620), 1,
      sym_where_clause,
    STATE(2849), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3283), 19,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(3281), 22,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
  [119974] = 9,
    ACTIONS(6566), 1,
      anon_sym_LBRACE,
    ACTIONS(6568), 1,
      sym_uninitialized,
    ACTIONS(6570), 1,
      sym_tag,
    ACTIONS(7540), 1,
      anon_sym_where,
    STATE(2620), 1,
      sym_where_clause,
    STATE(2849), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3283), 19,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(3281), 22,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
  [120043] = 9,
    ACTIONS(6566), 1,
      anon_sym_LBRACE,
    ACTIONS(6572), 1,
      sym_uninitialized,
    ACTIONS(6574), 1,
      sym_tag,
    ACTIONS(7540), 1,
      anon_sym_where,
    STATE(2625), 1,
      sym_where_clause,
    STATE(2857), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3293), 19,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(3291), 22,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
  [120112] = 15,
    ACTIONS(7550), 1,
      anon_sym_DASH_GT,
    ACTIONS(7552), 1,
      anon_sym_PLUS,
    ACTIONS(7554), 1,
      anon_sym_DASH,
    ACTIONS(7556), 1,
      anon_sym_TILDE,
    ACTIONS(7558), 1,
      anon_sym_AMP,
    ACTIONS(7560), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7568), 1,
      anon_sym_DOT,
    ACTIONS(7570), 1,
      anon_sym_LBRACK,
    ACTIONS(7562), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7564), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7566), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7572), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5484), 4,
      anon_sym_COLON,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
    ACTIONS(5482), 27,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [120193] = 23,
    ACTIONS(585), 1,
      anon_sym_proc,
    ACTIONS(2241), 1,
      sym_identifier,
    ACTIONS(2245), 1,
      anon_sym_struct,
    ACTIONS(2247), 1,
      anon_sym_enum,
    ACTIONS(2249), 1,
      anon_sym_union,
    ACTIONS(2251), 1,
      anon_sym_LPAREN,
    ACTIONS(2266), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2270), 1,
      anon_sym_bit_set,
    ACTIONS(7574), 1,
      anon_sym_DOLLAR,
    ACTIONS(7576), 1,
      anon_sym_BANG,
    ACTIONS(7578), 1,
      anon_sym_LBRACK,
    ACTIONS(7580), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7582), 1,
      anon_sym_CARET,
    ACTIONS(7584), 1,
      anon_sym_map,
    ACTIONS(7586), 1,
      anon_sym_matrix,
    ACTIONS(7588), 1,
      anon_sym_distinct,
    ACTIONS(7590), 1,
      sym_tag,
    STATE(3638), 1,
      sym_type,
    STATE(3705), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(911), 3,
      anon_sym_else,
      anon_sym_case,
      anon_sym_SLASH,
    ACTIONS(909), 7,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
    STATE(3649), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [120290] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5690), 10,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5688), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [120347] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5602), 10,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5600), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [120404] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4666), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4664), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [120461] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5606), 10,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5604), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [120518] = 23,
    ACTIONS(585), 1,
      anon_sym_proc,
    ACTIONS(2241), 1,
      sym_identifier,
    ACTIONS(2245), 1,
      anon_sym_struct,
    ACTIONS(2247), 1,
      anon_sym_enum,
    ACTIONS(2249), 1,
      anon_sym_union,
    ACTIONS(2266), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2270), 1,
      anon_sym_bit_set,
    ACTIONS(2315), 1,
      anon_sym_LPAREN,
    ACTIONS(7574), 1,
      anon_sym_DOLLAR,
    ACTIONS(7576), 1,
      anon_sym_BANG,
    ACTIONS(7578), 1,
      anon_sym_LBRACK,
    ACTIONS(7580), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7582), 1,
      anon_sym_CARET,
    ACTIONS(7584), 1,
      anon_sym_map,
    ACTIONS(7586), 1,
      anon_sym_matrix,
    ACTIONS(7588), 1,
      anon_sym_distinct,
    ACTIONS(7590), 1,
      sym_tag,
    STATE(3615), 1,
      sym_type,
    STATE(3705), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(778), 3,
      anon_sym_else,
      anon_sym_case,
      anon_sym_SLASH,
    ACTIONS(773), 7,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
    STATE(3649), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [120615] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5606), 10,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5604), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [120672] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5574), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5572), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [120729] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5578), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5576), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [120786] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5552), 10,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5550), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [120843] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5610), 10,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5608), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [120900] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5686), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5684), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [120957] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5458), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5456), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [121014] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5462), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5460), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [121071] = 26,
    ACTIONS(4624), 1,
      anon_sym_EQ,
    ACTIONS(6969), 1,
      anon_sym_DASH_GT,
    ACTIONS(6971), 1,
      anon_sym_PLUS,
    ACTIONS(6973), 1,
      anon_sym_DASH,
    ACTIONS(6975), 1,
      anon_sym_TILDE,
    ACTIONS(6977), 1,
      anon_sym_AMP,
    ACTIONS(6981), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6989), 1,
      anon_sym_PIPE,
    ACTIONS(6991), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(6999), 1,
      anon_sym_DOT,
    ACTIONS(7001), 1,
      anon_sym_LBRACK,
    ACTIONS(7005), 1,
      anon_sym_or_return,
    ACTIONS(7007), 1,
      anon_sym_or_continue,
    ACTIONS(7009), 1,
      anon_sym_or_break,
    ACTIONS(7011), 1,
      anon_sym_CARET,
    ACTIONS(6979), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(6983), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(6985), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(6993), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6995), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(6997), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7003), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7111), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6987), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(4619), 13,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
      sym_uninitialized,
      sym_tag,
  [121174] = 6,
    ACTIONS(7326), 1,
      anon_sym_LBRACE,
    ACTIONS(7336), 1,
      sym_uninitialized,
    STATE(4100), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3303), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3299), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [121237] = 5,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(7594), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4698), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4696), 35,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [121298] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5606), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5604), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [121355] = 6,
    ACTIONS(7326), 1,
      anon_sym_LBRACE,
    ACTIONS(7340), 1,
      sym_uninitialized,
    STATE(4024), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3273), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3269), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [121418] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5280), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5278), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [121475] = 12,
    ACTIONS(7550), 1,
      anon_sym_DASH_GT,
    ACTIONS(7552), 1,
      anon_sym_PLUS,
    ACTIONS(7554), 1,
      anon_sym_DASH,
    ACTIONS(7568), 1,
      anon_sym_DOT,
    ACTIONS(7570), 1,
      anon_sym_LBRACK,
    ACTIONS(7562), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7564), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7566), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7572), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5484), 6,
      anon_sym_COLON,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
    ACTIONS(5482), 28,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [121550] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5466), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5464), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [121607] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5470), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5468), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [121664] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5566), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5564), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [121721] = 6,
    ACTIONS(7326), 1,
      anon_sym_LBRACE,
    ACTIONS(7344), 1,
      sym_uninitialized,
    STATE(4092), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3859), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3857), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [121784] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5474), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5472), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [121841] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5570), 10,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5568), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [121898] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5674), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5672), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [121955] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5566), 10,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5564), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [122012] = 26,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(5478), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5476), 12,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_QMARK,
      anon_sym_RBRACK,
  [122115] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5674), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5672), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [122172] = 6,
    ACTIONS(7326), 1,
      anon_sym_LBRACE,
    ACTIONS(7350), 1,
      sym_uninitialized,
    STATE(4023), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3283), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3281), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [122235] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5442), 10,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5440), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [122292] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5474), 10,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5472), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [122349] = 6,
    ACTIONS(7326), 1,
      anon_sym_LBRACE,
    ACTIONS(7356), 1,
      sym_uninitialized,
    STATE(4028), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3293), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3291), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [122412] = 6,
    ACTIONS(7326), 1,
      anon_sym_LBRACE,
    ACTIONS(7493), 1,
      sym_uninitialized,
    STATE(4034), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4527), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4525), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [122475] = 5,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(7594), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4702), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4700), 35,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [122536] = 6,
    ACTIONS(7326), 1,
      anon_sym_LBRACE,
    ACTIONS(7642), 1,
      sym_uninitialized,
    STATE(4036), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4535), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4533), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [122599] = 7,
    ACTIONS(7550), 1,
      anon_sym_DASH_GT,
    ACTIONS(7568), 1,
      anon_sym_DOT,
    ACTIONS(7570), 1,
      anon_sym_LBRACK,
    ACTIONS(7572), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5484), 9,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5482), 33,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [122664] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5570), 10,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5568), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [122721] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4658), 10,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4656), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [122778] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5614), 10,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5612), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [122835] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5080), 10,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5078), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [122892] = 6,
    ACTIONS(7223), 1,
      anon_sym_LBRACE,
    ACTIONS(7241), 1,
      sym_uninitialized,
    STATE(4252), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3859), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3857), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [122955] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5654), 10,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5652), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [123012] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5658), 10,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5656), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [123069] = 5,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(7594), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4712), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4710), 35,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [123130] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5544), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5542), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [123187] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5610), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5608), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [123244] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5614), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5612), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [123301] = 6,
    ACTIONS(7223), 1,
      anon_sym_LBRACE,
    ACTIONS(7233), 1,
      sym_uninitialized,
    STATE(4187), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3303), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3299), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [123364] = 6,
    ACTIONS(7223), 1,
      anon_sym_LBRACE,
    ACTIONS(7237), 1,
      sym_uninitialized,
    STATE(4227), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3273), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3269), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [123427] = 23,
    ACTIONS(585), 1,
      anon_sym_proc,
    ACTIONS(2241), 1,
      sym_identifier,
    ACTIONS(2245), 1,
      anon_sym_struct,
    ACTIONS(2247), 1,
      anon_sym_enum,
    ACTIONS(2249), 1,
      anon_sym_union,
    ACTIONS(2266), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2270), 1,
      anon_sym_bit_set,
    ACTIONS(2327), 1,
      anon_sym_LPAREN,
    ACTIONS(7574), 1,
      anon_sym_DOLLAR,
    ACTIONS(7576), 1,
      anon_sym_BANG,
    ACTIONS(7578), 1,
      anon_sym_LBRACK,
    ACTIONS(7580), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7582), 1,
      anon_sym_CARET,
    ACTIONS(7584), 1,
      anon_sym_map,
    ACTIONS(7586), 1,
      anon_sym_matrix,
    ACTIONS(7588), 1,
      anon_sym_distinct,
    ACTIONS(7590), 1,
      sym_tag,
    STATE(3691), 1,
      sym_type,
    STATE(3705), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(857), 3,
      anon_sym_else,
      anon_sym_case,
      anon_sym_SLASH,
    ACTIONS(855), 7,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
    STATE(3649), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [123524] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5650), 10,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5648), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [123581] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5670), 10,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5668), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [123638] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5654), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5652), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [123695] = 5,
    ACTIONS(7644), 1,
      anon_sym_COMMA,
    STATE(3802), 1,
      aux_sym_where_clause_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4406), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4402), 35,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [123756] = 5,
    ACTIONS(7646), 1,
      anon_sym_COMMA,
    STATE(3802), 1,
      aux_sym_where_clause_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4624), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4619), 35,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [123817] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5548), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5546), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [123874] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5614), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5612), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [123931] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4666), 10,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4664), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [123988] = 16,
    ACTIONS(7550), 1,
      anon_sym_DASH_GT,
    ACTIONS(7552), 1,
      anon_sym_PLUS,
    ACTIONS(7554), 1,
      anon_sym_DASH,
    ACTIONS(7556), 1,
      anon_sym_TILDE,
    ACTIONS(7558), 1,
      anon_sym_AMP,
    ACTIONS(7560), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7568), 1,
      anon_sym_DOT,
    ACTIONS(7570), 1,
      anon_sym_LBRACK,
    ACTIONS(7649), 1,
      anon_sym_PIPE,
    ACTIONS(7562), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7564), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7566), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7572), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5484), 3,
      anon_sym_COLON,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5482), 27,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [124071] = 9,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5484), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
    ACTIONS(5482), 30,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RBRACK,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [124140] = 14,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5484), 6,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_TILDE,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
    ACTIONS(5482), 26,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_RBRACK,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [124219] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5488), 10,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5486), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [124276] = 13,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5484), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
    ACTIONS(5482), 26,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_RBRACK,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [124353] = 20,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(5484), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5482), 20,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_RBRACK,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [124444] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4638), 10,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4636), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [124501] = 19,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(5484), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5482), 21,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_RBRACK,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [124590] = 17,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5484), 4,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5482), 23,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_RBRACK,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [124675] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4642), 10,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4640), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [124732] = 16,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5484), 4,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5482), 26,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_RBRACK,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [124815] = 15,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5484), 5,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
    ACTIONS(5482), 26,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_RBRACK,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [124896] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5574), 10,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5572), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [124953] = 6,
    ACTIONS(7223), 1,
      anon_sym_LBRACE,
    ACTIONS(7247), 1,
      sym_uninitialized,
    STATE(4263), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3283), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3281), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [125016] = 12,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5484), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
    ACTIONS(5482), 27,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_RBRACK,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [125091] = 7,
    ACTIONS(7550), 1,
      anon_sym_DASH_GT,
    ACTIONS(7568), 1,
      anon_sym_DOT,
    ACTIONS(7570), 1,
      anon_sym_LBRACK,
    ACTIONS(7572), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5562), 9,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5560), 33,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [125156] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5598), 10,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5596), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [125213] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5678), 10,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5676), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [125270] = 11,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5484), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
    ACTIONS(5482), 29,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RBRACK,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [125343] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5690), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5688), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [125400] = 4,
    ACTIONS(7528), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 10,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(67), 36,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [125459] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5618), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5616), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [125516] = 7,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5484), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5482), 32,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_RBRACK,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [125581] = 7,
    ACTIONS(7550), 1,
      anon_sym_DASH_GT,
    ACTIONS(7568), 1,
      anon_sym_DOT,
    ACTIONS(7570), 1,
      anon_sym_LBRACK,
    ACTIONS(7572), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5124), 9,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5122), 33,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [125646] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(199), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(197), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [125703] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4646), 10,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4644), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [125760] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4670), 10,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4668), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [125817] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5670), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5668), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [125874] = 5,
    ACTIONS(7651), 1,
      anon_sym_LPAREN,
    ACTIONS(7653), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4712), 9,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4710), 36,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [125935] = 6,
    ACTIONS(7223), 1,
      anon_sym_LBRACE,
    ACTIONS(7256), 1,
      sym_uninitialized,
    STATE(4268), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3293), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3291), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [125998] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(199), 10,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(197), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [126055] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5522), 10,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5520), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [126112] = 5,
    ACTIONS(7651), 1,
      anon_sym_LPAREN,
    ACTIONS(7653), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4702), 9,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4700), 36,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [126173] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5488), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5486), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [126230] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5552), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5550), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [126287] = 6,
    ACTIONS(7223), 1,
      anon_sym_LBRACE,
    ACTIONS(7520), 1,
      sym_uninitialized,
    STATE(4269), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4527), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4525), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [126350] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5662), 10,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5660), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [126407] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4674), 10,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4672), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [126464] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5492), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5490), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [126521] = 6,
    ACTIONS(7223), 1,
      anon_sym_LBRACE,
    ACTIONS(7655), 1,
      sym_uninitialized,
    STATE(4285), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4535), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4533), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [126584] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5570), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5568), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [126641] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5496), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5494), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [126698] = 13,
    ACTIONS(7550), 1,
      anon_sym_DASH_GT,
    ACTIONS(7552), 1,
      anon_sym_PLUS,
    ACTIONS(7554), 1,
      anon_sym_DASH,
    ACTIONS(7560), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7568), 1,
      anon_sym_DOT,
    ACTIONS(7570), 1,
      anon_sym_LBRACK,
    ACTIONS(7562), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7564), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7566), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7572), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5484), 6,
      anon_sym_COLON,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
    ACTIONS(5482), 27,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [126775] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5650), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5648), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [126832] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(5500), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5498), 14,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_RBRACK,
      anon_sym_not_in,
  [126933] = 7,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5562), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5560), 32,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_RBRACK,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [126998] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5646), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5644), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [127055] = 10,
    ACTIONS(6566), 1,
      anon_sym_LBRACE,
    ACTIONS(6771), 1,
      sym_uninitialized,
    ACTIONS(6773), 1,
      sym_tag,
    ACTIONS(7540), 1,
      anon_sym_where,
    ACTIONS(7657), 1,
      anon_sym_DASH_GT,
    STATE(2651), 1,
      sym_where_clause,
    STATE(2792), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3935), 19,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(3931), 21,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
  [127126] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5492), 10,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5490), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [127183] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5548), 10,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5546), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [127240] = 4,
    ACTIONS(7473), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(67), 35,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [127299] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5504), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5502), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [127356] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5080), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5078), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [127413] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5176), 10,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5174), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [127470] = 7,
    ACTIONS(7550), 1,
      anon_sym_DASH_GT,
    ACTIONS(7568), 1,
      anon_sym_DOT,
    ACTIONS(7570), 1,
      anon_sym_LBRACK,
    ACTIONS(7572), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5512), 9,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5510), 33,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [127535] = 19,
    ACTIONS(5484), 1,
      anon_sym_COLON,
    ACTIONS(7550), 1,
      anon_sym_DASH_GT,
    ACTIONS(7552), 1,
      anon_sym_PLUS,
    ACTIONS(7554), 1,
      anon_sym_DASH,
    ACTIONS(7556), 1,
      anon_sym_TILDE,
    ACTIONS(7558), 1,
      anon_sym_AMP,
    ACTIONS(7560), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7568), 1,
      anon_sym_DOT,
    ACTIONS(7570), 1,
      anon_sym_LBRACK,
    ACTIONS(7649), 1,
      anon_sym_PIPE,
    ACTIONS(7562), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7564), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7566), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7572), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7659), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7661), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7663), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5482), 22,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [127624] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4670), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4668), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [127681] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4634), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4632), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [127738] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5280), 10,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5278), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [127795] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5180), 10,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5178), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [127852] = 5,
    ACTIONS(7667), 1,
      anon_sym_QMARK,
    ACTIONS(7665), 2,
      anon_sym_if,
      anon_sym_when,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5080), 10,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5078), 34,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_in,
      anon_sym_case,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [127913] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5104), 10,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5102), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [127970] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5442), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5440), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [128027] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5096), 10,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5094), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [128084] = 11,
    ACTIONS(7550), 1,
      anon_sym_DASH_GT,
    ACTIONS(7552), 1,
      anon_sym_PLUS,
    ACTIONS(7554), 1,
      anon_sym_DASH,
    ACTIONS(7568), 1,
      anon_sym_DOT,
    ACTIONS(7570), 1,
      anon_sym_LBRACK,
    ACTIONS(7564), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7566), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7572), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5484), 6,
      anon_sym_COLON,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
    ACTIONS(5482), 30,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [128157] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5578), 10,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5576), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [128214] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5582), 10,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5580), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [128271] = 25,
    ACTIONS(5586), 1,
      anon_sym_COLON,
    ACTIONS(7550), 1,
      anon_sym_DASH_GT,
    ACTIONS(7552), 1,
      anon_sym_PLUS,
    ACTIONS(7554), 1,
      anon_sym_DASH,
    ACTIONS(7556), 1,
      anon_sym_TILDE,
    ACTIONS(7558), 1,
      anon_sym_AMP,
    ACTIONS(7560), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7568), 1,
      anon_sym_DOT,
    ACTIONS(7570), 1,
      anon_sym_LBRACK,
    ACTIONS(7649), 1,
      anon_sym_PIPE,
    ACTIONS(7671), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7673), 1,
      anon_sym_or_return,
    ACTIONS(7675), 1,
      anon_sym_or_continue,
    ACTIONS(7677), 1,
      anon_sym_or_break,
    ACTIONS(7679), 1,
      anon_sym_CARET,
    ACTIONS(7562), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7564), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7566), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7572), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7659), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7661), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7669), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7663), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5584), 15,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_not_in,
  [128372] = 21,
    ACTIONS(5586), 1,
      anon_sym_COLON,
    ACTIONS(7550), 1,
      anon_sym_DASH_GT,
    ACTIONS(7552), 1,
      anon_sym_PLUS,
    ACTIONS(7554), 1,
      anon_sym_DASH,
    ACTIONS(7556), 1,
      anon_sym_TILDE,
    ACTIONS(7558), 1,
      anon_sym_AMP,
    ACTIONS(7560), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7568), 1,
      anon_sym_DOT,
    ACTIONS(7570), 1,
      anon_sym_LBRACK,
    ACTIONS(7649), 1,
      anon_sym_PIPE,
    ACTIONS(7671), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7562), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7564), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7566), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7572), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7659), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7661), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7669), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7663), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5584), 19,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [128465] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5496), 10,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5494), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [128522] = 25,
    ACTIONS(5500), 1,
      anon_sym_COLON,
    ACTIONS(7550), 1,
      anon_sym_DASH_GT,
    ACTIONS(7552), 1,
      anon_sym_PLUS,
    ACTIONS(7554), 1,
      anon_sym_DASH,
    ACTIONS(7556), 1,
      anon_sym_TILDE,
    ACTIONS(7558), 1,
      anon_sym_AMP,
    ACTIONS(7560), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7568), 1,
      anon_sym_DOT,
    ACTIONS(7570), 1,
      anon_sym_LBRACK,
    ACTIONS(7649), 1,
      anon_sym_PIPE,
    ACTIONS(7671), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7673), 1,
      anon_sym_or_return,
    ACTIONS(7675), 1,
      anon_sym_or_continue,
    ACTIONS(7677), 1,
      anon_sym_or_break,
    ACTIONS(7679), 1,
      anon_sym_CARET,
    ACTIONS(7562), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7564), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7566), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7572), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7659), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7661), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7669), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7663), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5498), 15,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_not_in,
  [128623] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5160), 10,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5158), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [128680] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5686), 10,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5684), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [128737] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5096), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5094), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [128794] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4650), 10,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4648), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [128851] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5594), 10,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5592), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [128908] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5522), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5520), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [128965] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5504), 10,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5502), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [129022] = 6,
    ACTIONS(7473), 1,
      anon_sym_LPAREN,
    ACTIONS(7683), 1,
      anon_sym_QMARK,
    ACTIONS(7681), 2,
      anon_sym_if,
      anon_sym_when,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(67), 32,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [129085] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5544), 10,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5542), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [129142] = 9,
    ACTIONS(7550), 1,
      anon_sym_DASH_GT,
    ACTIONS(7568), 1,
      anon_sym_DOT,
    ACTIONS(7570), 1,
      anon_sym_LBRACK,
    ACTIONS(7564), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7566), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7572), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5484), 7,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
    ACTIONS(5482), 31,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [129211] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5674), 10,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5672), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [129268] = 5,
    ACTIONS(7685), 1,
      anon_sym_DOT2,
    STATE(3912), 1,
      aux_sym_field_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3891), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3889), 36,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [129329] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4674), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4672), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [129386] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5674), 10,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5672), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [129443] = 5,
    ACTIONS(7683), 1,
      anon_sym_QMARK,
    ACTIONS(7681), 2,
      anon_sym_if,
      anon_sym_when,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5080), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5078), 33,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [129504] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5104), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5102), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [129561] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5120), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5118), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [129618] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4662), 10,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4660), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [129675] = 23,
    ACTIONS(585), 1,
      anon_sym_proc,
    ACTIONS(2241), 1,
      sym_identifier,
    ACTIONS(2245), 1,
      anon_sym_struct,
    ACTIONS(2247), 1,
      anon_sym_enum,
    ACTIONS(2249), 1,
      anon_sym_union,
    ACTIONS(2266), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2270), 1,
      anon_sym_bit_set,
    ACTIONS(2297), 1,
      anon_sym_LPAREN,
    ACTIONS(7574), 1,
      anon_sym_DOLLAR,
    ACTIONS(7576), 1,
      anon_sym_BANG,
    ACTIONS(7578), 1,
      anon_sym_LBRACK,
    ACTIONS(7580), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7582), 1,
      anon_sym_CARET,
    ACTIONS(7584), 1,
      anon_sym_map,
    ACTIONS(7586), 1,
      anon_sym_matrix,
    ACTIONS(7588), 1,
      anon_sym_distinct,
    ACTIONS(7590), 1,
      sym_tag,
    STATE(3611), 1,
      sym_type,
    STATE(3705), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(819), 3,
      anon_sym_else,
      anon_sym_case,
      anon_sym_SLASH,
    ACTIONS(817), 7,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
    STATE(3649), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [129772] = 5,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(7594), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4750), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4748), 35,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [129833] = 7,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5124), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5122), 32,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_RBRACK,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [129898] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5662), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5660), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [129955] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5582), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5580), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [130012] = 26,
    ACTIONS(5478), 1,
      anon_sym_COLON,
    ACTIONS(7550), 1,
      anon_sym_DASH_GT,
    ACTIONS(7552), 1,
      anon_sym_PLUS,
    ACTIONS(7554), 1,
      anon_sym_DASH,
    ACTIONS(7556), 1,
      anon_sym_TILDE,
    ACTIONS(7558), 1,
      anon_sym_AMP,
    ACTIONS(7560), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7568), 1,
      anon_sym_DOT,
    ACTIONS(7570), 1,
      anon_sym_LBRACK,
    ACTIONS(7649), 1,
      anon_sym_PIPE,
    ACTIONS(7671), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7673), 1,
      anon_sym_or_return,
    ACTIONS(7675), 1,
      anon_sym_or_continue,
    ACTIONS(7677), 1,
      anon_sym_or_break,
    ACTIONS(7679), 1,
      anon_sym_CARET,
    ACTIONS(7562), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7564), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7566), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7572), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7659), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7661), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7669), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7687), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7663), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5476), 13,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_case,
      anon_sym_QMARK,
  [130115] = 27,
    ACTIONS(4430), 1,
      anon_sym_EQ,
    ACTIONS(7019), 1,
      anon_sym_DASH_GT,
    ACTIONS(7051), 1,
      anon_sym_LBRACK,
    ACTIONS(7055), 1,
      anon_sym_or_return,
    ACTIONS(7057), 1,
      anon_sym_or_continue,
    ACTIONS(7061), 1,
      anon_sym_CARET,
    ACTIONS(7644), 1,
      anon_sym_COMMA,
    ACTIONS(7689), 1,
      anon_sym_PLUS,
    ACTIONS(7691), 1,
      anon_sym_DASH,
    ACTIONS(7693), 1,
      anon_sym_TILDE,
    ACTIONS(7695), 1,
      anon_sym_AMP,
    ACTIONS(7699), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7707), 1,
      anon_sym_PIPE,
    ACTIONS(7709), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7717), 1,
      anon_sym_DOT,
    ACTIONS(7721), 1,
      anon_sym_or_break,
    STATE(3801), 1,
      aux_sym_where_clause_repeat1,
    ACTIONS(7697), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7701), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7703), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7711), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7713), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7715), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7719), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7705), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(4426), 13,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_not_in,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [130220] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5120), 10,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5118), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [130277] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5446), 10,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5444), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [130334] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5140), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5138), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [130391] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5446), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5444), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [130448] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5666), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5664), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [130505] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5666), 10,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5664), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [130562] = 7,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5144), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5142), 32,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_RBRACK,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [130627] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5160), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5158), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [130684] = 28,
    ACTIONS(4430), 1,
      anon_sym_EQ,
    ACTIONS(7179), 1,
      anon_sym_DASH_GT,
    ACTIONS(7181), 1,
      anon_sym_PLUS,
    ACTIONS(7183), 1,
      anon_sym_DASH,
    ACTIONS(7185), 1,
      anon_sym_TILDE,
    ACTIONS(7187), 1,
      anon_sym_AMP,
    ACTIONS(7191), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7199), 1,
      anon_sym_PIPE,
    ACTIONS(7201), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7209), 1,
      anon_sym_DOT,
    ACTIONS(7211), 1,
      anon_sym_LBRACK,
    ACTIONS(7215), 1,
      anon_sym_or_return,
    ACTIONS(7217), 1,
      anon_sym_or_continue,
    ACTIONS(7219), 1,
      anon_sym_or_break,
    ACTIONS(7221), 1,
      anon_sym_CARET,
    ACTIONS(7723), 1,
      anon_sym_COMMA,
    STATE(6156), 1,
      aux_sym_where_clause_repeat1,
    ACTIONS(7189), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7193), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7195), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7203), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7205), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7207), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7213), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7432), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7197), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(4426), 11,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
      sym_uninitialized,
      sym_tag,
  [130791] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5614), 10,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5612), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [130848] = 5,
    ACTIONS(7725), 1,
      anon_sym_DOT2,
    STATE(3912), 1,
      aux_sym_field_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3979), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3977), 36,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [130909] = 21,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(5586), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5584), 18,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_RBRACK,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [131002] = 23,
    ACTIONS(585), 1,
      anon_sym_proc,
    ACTIONS(2241), 1,
      sym_identifier,
    ACTIONS(2245), 1,
      anon_sym_struct,
    ACTIONS(2247), 1,
      anon_sym_enum,
    ACTIONS(2249), 1,
      anon_sym_union,
    ACTIONS(2266), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2270), 1,
      anon_sym_bit_set,
    ACTIONS(2348), 1,
      anon_sym_LPAREN,
    ACTIONS(7574), 1,
      anon_sym_DOLLAR,
    ACTIONS(7576), 1,
      anon_sym_BANG,
    ACTIONS(7578), 1,
      anon_sym_LBRACK,
    ACTIONS(7580), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7582), 1,
      anon_sym_CARET,
    ACTIONS(7584), 1,
      anon_sym_map,
    ACTIONS(7586), 1,
      anon_sym_matrix,
    ACTIONS(7588), 1,
      anon_sym_distinct,
    ACTIONS(7590), 1,
      sym_tag,
    STATE(3606), 1,
      sym_type,
    STATE(3705), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(895), 3,
      anon_sym_else,
      anon_sym_case,
      anon_sym_SLASH,
    ACTIONS(893), 7,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
    STATE(3649), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [131099] = 7,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5512), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5510), 32,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_RBRACK,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [131164] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5602), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5600), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [131221] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4662), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4660), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [131278] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5454), 10,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5452), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [131335] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5594), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5592), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [131392] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5658), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5656), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [131449] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5618), 10,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5616), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [131506] = 5,
    ACTIONS(7651), 1,
      anon_sym_LPAREN,
    ACTIONS(7653), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4750), 9,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4748), 36,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [131567] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4638), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4636), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [131624] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5598), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5596), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [131681] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4642), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4640), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [131738] = 5,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(7594), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4690), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4688), 35,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [131799] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5176), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5174), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [131856] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5180), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5178), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [131913] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5458), 10,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5456), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [131970] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5462), 10,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5460), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [132027] = 5,
    ACTIONS(7685), 1,
      anon_sym_DOT2,
    STATE(3888), 1,
      aux_sym_field_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3417), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3415), 36,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [132088] = 5,
    ACTIONS(7651), 1,
      anon_sym_LPAREN,
    ACTIONS(7653), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4690), 9,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4688), 36,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [132149] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5646), 10,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5644), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [132206] = 17,
    ACTIONS(7550), 1,
      anon_sym_DASH_GT,
    ACTIONS(7552), 1,
      anon_sym_PLUS,
    ACTIONS(7554), 1,
      anon_sym_DASH,
    ACTIONS(7556), 1,
      anon_sym_TILDE,
    ACTIONS(7558), 1,
      anon_sym_AMP,
    ACTIONS(7560), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7568), 1,
      anon_sym_DOT,
    ACTIONS(7570), 1,
      anon_sym_LBRACK,
    ACTIONS(7649), 1,
      anon_sym_PIPE,
    ACTIONS(7562), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7564), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7566), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7572), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5484), 3,
      anon_sym_COLON,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7663), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5482), 24,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [132291] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5466), 10,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5464), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [132348] = 23,
    ACTIONS(585), 1,
      anon_sym_proc,
    ACTIONS(2241), 1,
      sym_identifier,
    ACTIONS(2245), 1,
      anon_sym_struct,
    ACTIONS(2247), 1,
      anon_sym_enum,
    ACTIONS(2249), 1,
      anon_sym_union,
    ACTIONS(2266), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2270), 1,
      anon_sym_bit_set,
    ACTIONS(2357), 1,
      anon_sym_LPAREN,
    ACTIONS(7574), 1,
      anon_sym_DOLLAR,
    ACTIONS(7576), 1,
      anon_sym_BANG,
    ACTIONS(7578), 1,
      anon_sym_LBRACK,
    ACTIONS(7580), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7582), 1,
      anon_sym_CARET,
    ACTIONS(7584), 1,
      anon_sym_map,
    ACTIONS(7586), 1,
      anon_sym_matrix,
    ACTIONS(7588), 1,
      anon_sym_distinct,
    ACTIONS(7590), 1,
      sym_tag,
    STATE(3650), 1,
      sym_type,
    STATE(3705), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(836), 3,
      anon_sym_else,
      anon_sym_case,
      anon_sym_SLASH,
    ACTIONS(833), 7,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
    STATE(3649), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [132445] = 5,
    ACTIONS(7651), 1,
      anon_sym_LPAREN,
    ACTIONS(7653), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4698), 9,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4696), 36,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [132506] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5606), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5604), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [132563] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5470), 10,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5468), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [132620] = 23,
    ACTIONS(585), 1,
      anon_sym_proc,
    ACTIONS(2241), 1,
      sym_identifier,
    ACTIONS(2245), 1,
      anon_sym_struct,
    ACTIONS(2247), 1,
      anon_sym_enum,
    ACTIONS(2249), 1,
      anon_sym_union,
    ACTIONS(2266), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2270), 1,
      anon_sym_bit_set,
    ACTIONS(2285), 1,
      anon_sym_LPAREN,
    ACTIONS(7574), 1,
      anon_sym_DOLLAR,
    ACTIONS(7576), 1,
      anon_sym_BANG,
    ACTIONS(7578), 1,
      anon_sym_LBRACK,
    ACTIONS(7580), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7582), 1,
      anon_sym_CARET,
    ACTIONS(7584), 1,
      anon_sym_map,
    ACTIONS(7586), 1,
      anon_sym_matrix,
    ACTIONS(7588), 1,
      anon_sym_distinct,
    ACTIONS(7590), 1,
      sym_tag,
    STATE(3636), 1,
      sym_type,
    STATE(3705), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(874), 3,
      anon_sym_else,
      anon_sym_case,
      anon_sym_SLASH,
    ACTIONS(871), 7,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
    STATE(3649), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [132717] = 14,
    ACTIONS(7550), 1,
      anon_sym_DASH_GT,
    ACTIONS(7552), 1,
      anon_sym_PLUS,
    ACTIONS(7554), 1,
      anon_sym_DASH,
    ACTIONS(7558), 1,
      anon_sym_AMP,
    ACTIONS(7560), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7568), 1,
      anon_sym_DOT,
    ACTIONS(7570), 1,
      anon_sym_LBRACK,
    ACTIONS(7562), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7564), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7566), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7572), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5484), 5,
      anon_sym_COLON,
      anon_sym_TILDE,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
    ACTIONS(5482), 27,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [132796] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5682), 10,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5680), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [132853] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5678), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5676), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [132910] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4646), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4644), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [132967] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5682), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5680), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [133024] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5454), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5452), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [133081] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(5586), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5584), 14,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_RBRACK,
      anon_sym_not_in,
  [133182] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4650), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4648), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [133239] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4654), 10,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4652), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [133296] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4654), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4652), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [133353] = 20,
    ACTIONS(5484), 1,
      anon_sym_COLON,
    ACTIONS(7550), 1,
      anon_sym_DASH_GT,
    ACTIONS(7552), 1,
      anon_sym_PLUS,
    ACTIONS(7554), 1,
      anon_sym_DASH,
    ACTIONS(7556), 1,
      anon_sym_TILDE,
    ACTIONS(7558), 1,
      anon_sym_AMP,
    ACTIONS(7560), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7568), 1,
      anon_sym_DOT,
    ACTIONS(7570), 1,
      anon_sym_LBRACK,
    ACTIONS(7649), 1,
      anon_sym_PIPE,
    ACTIONS(7671), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7562), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7564), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7566), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7572), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7659), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7661), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7663), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5482), 21,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [133444] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5570), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5568), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [133501] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5140), 10,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5138), 37,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [133558] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4658), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4656), 36,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [133615] = 7,
    ACTIONS(7550), 1,
      anon_sym_DASH_GT,
    ACTIONS(7568), 1,
      anon_sym_DOT,
    ACTIONS(7570), 1,
      anon_sym_LBRACK,
    ACTIONS(7572), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5144), 9,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5142), 33,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [133680] = 5,
    ACTIONS(6703), 1,
      anon_sym_LPAREN,
    ACTIONS(7503), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4690), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4688), 35,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [133740] = 4,
    STATE(3958), 1,
      aux_sym_struct_type_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4482), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4480), 36,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [133798] = 5,
    ACTIONS(7728), 1,
      anon_sym_LBRACE,
    STATE(3958), 1,
      aux_sym_struct_type_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4499), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4497), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [133858] = 23,
    ACTIONS(1965), 1,
      sym_identifier,
    ACTIONS(1969), 1,
      anon_sym_struct,
    ACTIONS(1971), 1,
      anon_sym_enum,
    ACTIONS(1973), 1,
      anon_sym_union,
    ACTIONS(1990), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1994), 1,
      anon_sym_bit_set,
    ACTIONS(2002), 1,
      anon_sym_LPAREN,
    ACTIONS(7731), 1,
      anon_sym_proc,
    ACTIONS(7733), 1,
      anon_sym_DOLLAR,
    ACTIONS(7735), 1,
      anon_sym_BANG,
    ACTIONS(7737), 1,
      anon_sym_LBRACK,
    ACTIONS(7739), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7741), 1,
      anon_sym_CARET,
    ACTIONS(7743), 1,
      anon_sym_map,
    ACTIONS(7745), 1,
      anon_sym_matrix,
    ACTIONS(7747), 1,
      anon_sym_distinct,
    ACTIONS(7749), 1,
      sym_tag,
    STATE(3205), 1,
      sym_type,
    STATE(3684), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(874), 3,
      anon_sym_else,
      anon_sym_case,
      anon_sym_SLASH,
    ACTIONS(871), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
    STATE(3686), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [133954] = 23,
    ACTIONS(1965), 1,
      sym_identifier,
    ACTIONS(1969), 1,
      anon_sym_struct,
    ACTIONS(1971), 1,
      anon_sym_enum,
    ACTIONS(1973), 1,
      anon_sym_union,
    ACTIONS(1990), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1994), 1,
      anon_sym_bit_set,
    ACTIONS(2054), 1,
      anon_sym_LPAREN,
    ACTIONS(7731), 1,
      anon_sym_proc,
    ACTIONS(7733), 1,
      anon_sym_DOLLAR,
    ACTIONS(7735), 1,
      anon_sym_BANG,
    ACTIONS(7737), 1,
      anon_sym_LBRACK,
    ACTIONS(7739), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7741), 1,
      anon_sym_CARET,
    ACTIONS(7743), 1,
      anon_sym_map,
    ACTIONS(7745), 1,
      anon_sym_matrix,
    ACTIONS(7747), 1,
      anon_sym_distinct,
    ACTIONS(7749), 1,
      sym_tag,
    STATE(3124), 1,
      sym_type,
    STATE(3684), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(836), 3,
      anon_sym_else,
      anon_sym_case,
      anon_sym_SLASH,
    ACTIONS(833), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
    STATE(3686), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [134050] = 23,
    ACTIONS(1965), 1,
      sym_identifier,
    ACTIONS(1969), 1,
      anon_sym_struct,
    ACTIONS(1971), 1,
      anon_sym_enum,
    ACTIONS(1973), 1,
      anon_sym_union,
    ACTIONS(1990), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1994), 1,
      anon_sym_bit_set,
    ACTIONS(2176), 1,
      anon_sym_LPAREN,
    ACTIONS(7731), 1,
      anon_sym_proc,
    ACTIONS(7733), 1,
      anon_sym_DOLLAR,
    ACTIONS(7735), 1,
      anon_sym_BANG,
    ACTIONS(7737), 1,
      anon_sym_LBRACK,
    ACTIONS(7739), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7741), 1,
      anon_sym_CARET,
    ACTIONS(7743), 1,
      anon_sym_map,
    ACTIONS(7745), 1,
      anon_sym_matrix,
    ACTIONS(7747), 1,
      anon_sym_distinct,
    ACTIONS(7749), 1,
      sym_tag,
    STATE(3658), 1,
      sym_type,
    STATE(3684), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(911), 3,
      anon_sym_else,
      anon_sym_case,
      anon_sym_SLASH,
    ACTIONS(909), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
    STATE(3686), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [134146] = 23,
    ACTIONS(1965), 1,
      sym_identifier,
    ACTIONS(1969), 1,
      anon_sym_struct,
    ACTIONS(1971), 1,
      anon_sym_enum,
    ACTIONS(1973), 1,
      anon_sym_union,
    ACTIONS(1990), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1994), 1,
      anon_sym_bit_set,
    ACTIONS(2082), 1,
      anon_sym_LPAREN,
    ACTIONS(7731), 1,
      anon_sym_proc,
    ACTIONS(7733), 1,
      anon_sym_DOLLAR,
    ACTIONS(7735), 1,
      anon_sym_BANG,
    ACTIONS(7737), 1,
      anon_sym_LBRACK,
    ACTIONS(7739), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7741), 1,
      anon_sym_CARET,
    ACTIONS(7743), 1,
      anon_sym_map,
    ACTIONS(7745), 1,
      anon_sym_matrix,
    ACTIONS(7747), 1,
      anon_sym_distinct,
    ACTIONS(7749), 1,
      sym_tag,
    STATE(3232), 1,
      sym_type,
    STATE(3684), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(778), 3,
      anon_sym_else,
      anon_sym_case,
      anon_sym_SLASH,
    ACTIONS(773), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
    STATE(3686), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [134242] = 6,
    ACTIONS(7389), 1,
      anon_sym_LBRACE,
    ACTIONS(7751), 1,
      anon_sym_LPAREN,
    STATE(6917), 1,
      aux_sym_field_identifier_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 34,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [134304] = 6,
    ACTIONS(7753), 1,
      anon_sym_LBRACE,
    ACTIONS(7755), 1,
      anon_sym_LPAREN,
    STATE(6917), 1,
      aux_sym_field_identifier_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 34,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [134366] = 5,
    ACTIONS(7758), 1,
      anon_sym_DOT2,
    STATE(3967), 1,
      aux_sym_field_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3417), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3415), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [134426] = 5,
    ACTIONS(7760), 1,
      anon_sym_LBRACE,
    STATE(3958), 1,
      aux_sym_struct_type_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4521), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4519), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [134486] = 5,
    ACTIONS(7758), 1,
      anon_sym_DOT2,
    STATE(3969), 1,
      aux_sym_field_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3891), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3889), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [134546] = 5,
    ACTIONS(7760), 1,
      anon_sym_LBRACE,
    STATE(3958), 1,
      aux_sym_struct_type_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4628), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4626), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [134606] = 5,
    ACTIONS(7762), 1,
      anon_sym_DOT2,
    STATE(3969), 1,
      aux_sym_field_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3979), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3977), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [134666] = 5,
    ACTIONS(7760), 1,
      anon_sym_LBRACE,
    STATE(3958), 1,
      aux_sym_struct_type_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4482), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4480), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [134726] = 26,
    ACTIONS(4624), 1,
      anon_sym_EQ,
    ACTIONS(7179), 1,
      anon_sym_DASH_GT,
    ACTIONS(7181), 1,
      anon_sym_PLUS,
    ACTIONS(7183), 1,
      anon_sym_DASH,
    ACTIONS(7185), 1,
      anon_sym_TILDE,
    ACTIONS(7187), 1,
      anon_sym_AMP,
    ACTIONS(7191), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7199), 1,
      anon_sym_PIPE,
    ACTIONS(7201), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7209), 1,
      anon_sym_DOT,
    ACTIONS(7211), 1,
      anon_sym_LBRACK,
    ACTIONS(7215), 1,
      anon_sym_or_return,
    ACTIONS(7217), 1,
      anon_sym_or_continue,
    ACTIONS(7219), 1,
      anon_sym_or_break,
    ACTIONS(7221), 1,
      anon_sym_CARET,
    ACTIONS(7189), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7193), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7195), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7203), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7205), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7207), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7213), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7432), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7197), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(4619), 12,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
      sym_uninitialized,
      sym_tag,
  [134828] = 26,
    ACTIONS(4624), 1,
      anon_sym_EQ,
    ACTIONS(7019), 1,
      anon_sym_DASH_GT,
    ACTIONS(7021), 1,
      anon_sym_PLUS,
    ACTIONS(7023), 1,
      anon_sym_DASH,
    ACTIONS(7025), 1,
      anon_sym_TILDE,
    ACTIONS(7027), 1,
      anon_sym_AMP,
    ACTIONS(7031), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7039), 1,
      anon_sym_PIPE,
    ACTIONS(7041), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7049), 1,
      anon_sym_DOT,
    ACTIONS(7051), 1,
      anon_sym_LBRACK,
    ACTIONS(7055), 1,
      anon_sym_or_return,
    ACTIONS(7057), 1,
      anon_sym_or_continue,
    ACTIONS(7059), 1,
      anon_sym_or_break,
    ACTIONS(7061), 1,
      anon_sym_CARET,
    ACTIONS(7029), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7033), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7035), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7043), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7045), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7047), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7053), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7109), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7037), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(4619), 12,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_when,
      anon_sym_RBRACK,
      sym_uninitialized,
      sym_tag,
  [134930] = 23,
    ACTIONS(1965), 1,
      sym_identifier,
    ACTIONS(1969), 1,
      anon_sym_struct,
    ACTIONS(1971), 1,
      anon_sym_enum,
    ACTIONS(1973), 1,
      anon_sym_union,
    ACTIONS(1990), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1994), 1,
      anon_sym_bit_set,
    ACTIONS(2094), 1,
      anon_sym_LPAREN,
    ACTIONS(7731), 1,
      anon_sym_proc,
    ACTIONS(7733), 1,
      anon_sym_DOLLAR,
    ACTIONS(7735), 1,
      anon_sym_BANG,
    ACTIONS(7737), 1,
      anon_sym_LBRACK,
    ACTIONS(7739), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7741), 1,
      anon_sym_CARET,
    ACTIONS(7743), 1,
      anon_sym_map,
    ACTIONS(7745), 1,
      anon_sym_matrix,
    ACTIONS(7747), 1,
      anon_sym_distinct,
    ACTIONS(7749), 1,
      sym_tag,
    STATE(3618), 1,
      sym_type,
    STATE(3684), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(857), 3,
      anon_sym_else,
      anon_sym_case,
      anon_sym_SLASH,
    ACTIONS(855), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
    STATE(3686), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [135026] = 23,
    ACTIONS(1965), 1,
      sym_identifier,
    ACTIONS(1969), 1,
      anon_sym_struct,
    ACTIONS(1971), 1,
      anon_sym_enum,
    ACTIONS(1973), 1,
      anon_sym_union,
    ACTIONS(1990), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1994), 1,
      anon_sym_bit_set,
    ACTIONS(2167), 1,
      anon_sym_LPAREN,
    ACTIONS(7731), 1,
      anon_sym_proc,
    ACTIONS(7733), 1,
      anon_sym_DOLLAR,
    ACTIONS(7735), 1,
      anon_sym_BANG,
    ACTIONS(7737), 1,
      anon_sym_LBRACK,
    ACTIONS(7739), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7741), 1,
      anon_sym_CARET,
    ACTIONS(7743), 1,
      anon_sym_map,
    ACTIONS(7745), 1,
      anon_sym_matrix,
    ACTIONS(7747), 1,
      anon_sym_distinct,
    ACTIONS(7749), 1,
      sym_tag,
    STATE(3626), 1,
      sym_type,
    STATE(3684), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(895), 3,
      anon_sym_else,
      anon_sym_case,
      anon_sym_SLASH,
    ACTIONS(893), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
    STATE(3686), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [135122] = 6,
    ACTIONS(7753), 1,
      anon_sym_LBRACE,
    ACTIONS(7765), 1,
      anon_sym_LPAREN,
    STATE(6917), 1,
      aux_sym_field_identifier_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 34,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [135184] = 4,
    STATE(3958), 1,
      aux_sym_struct_type_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4521), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4519), 36,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [135242] = 5,
    ACTIONS(7767), 1,
      anon_sym_COMMA,
    STATE(3978), 1,
      aux_sym_where_clause_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4406), 20,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4402), 24,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [135302] = 5,
    ACTIONS(7769), 1,
      anon_sym_COMMA,
    STATE(3978), 1,
      aux_sym_where_clause_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4624), 20,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4619), 24,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [135362] = 23,
    ACTIONS(1965), 1,
      sym_identifier,
    ACTIONS(1969), 1,
      anon_sym_struct,
    ACTIONS(1971), 1,
      anon_sym_enum,
    ACTIONS(1973), 1,
      anon_sym_union,
    ACTIONS(1975), 1,
      anon_sym_LPAREN,
    ACTIONS(1990), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1994), 1,
      anon_sym_bit_set,
    ACTIONS(7731), 1,
      anon_sym_proc,
    ACTIONS(7733), 1,
      anon_sym_DOLLAR,
    ACTIONS(7735), 1,
      anon_sym_BANG,
    ACTIONS(7737), 1,
      anon_sym_LBRACK,
    ACTIONS(7739), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7741), 1,
      anon_sym_CARET,
    ACTIONS(7743), 1,
      anon_sym_map,
    ACTIONS(7745), 1,
      anon_sym_matrix,
    ACTIONS(7747), 1,
      anon_sym_distinct,
    ACTIONS(7749), 1,
      sym_tag,
    STATE(3652), 1,
      sym_type,
    STATE(3684), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(819), 3,
      anon_sym_else,
      anon_sym_case,
      anon_sym_SLASH,
    ACTIONS(817), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
    STATE(3686), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [135458] = 26,
    ACTIONS(5478), 1,
      anon_sym_EQ,
    ACTIONS(7019), 1,
      anon_sym_DASH_GT,
    ACTIONS(7051), 1,
      anon_sym_LBRACK,
    ACTIONS(7055), 1,
      anon_sym_or_return,
    ACTIONS(7057), 1,
      anon_sym_or_continue,
    ACTIONS(7061), 1,
      anon_sym_CARET,
    ACTIONS(7689), 1,
      anon_sym_PLUS,
    ACTIONS(7691), 1,
      anon_sym_DASH,
    ACTIONS(7693), 1,
      anon_sym_TILDE,
    ACTIONS(7695), 1,
      anon_sym_AMP,
    ACTIONS(7699), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7707), 1,
      anon_sym_PIPE,
    ACTIONS(7709), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7717), 1,
      anon_sym_DOT,
    ACTIONS(7721), 1,
      anon_sym_or_break,
    ACTIONS(7697), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7701), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7703), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7711), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7713), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7715), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7719), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7772), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7705), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5476), 12,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_QMARK,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [135560] = 9,
    ACTIONS(7019), 1,
      anon_sym_DASH_GT,
    ACTIONS(7051), 1,
      anon_sym_LBRACK,
    ACTIONS(7717), 1,
      anon_sym_DOT,
    ACTIONS(7713), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7715), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7719), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5484), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
    ACTIONS(5482), 30,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [135628] = 14,
    ACTIONS(7019), 1,
      anon_sym_DASH_GT,
    ACTIONS(7051), 1,
      anon_sym_LBRACK,
    ACTIONS(7689), 1,
      anon_sym_PLUS,
    ACTIONS(7691), 1,
      anon_sym_DASH,
    ACTIONS(7695), 1,
      anon_sym_AMP,
    ACTIONS(7709), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7717), 1,
      anon_sym_DOT,
    ACTIONS(7711), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7713), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7715), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7719), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5484), 5,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
    ACTIONS(5482), 26,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [135706] = 13,
    ACTIONS(7019), 1,
      anon_sym_DASH_GT,
    ACTIONS(7051), 1,
      anon_sym_LBRACK,
    ACTIONS(7689), 1,
      anon_sym_PLUS,
    ACTIONS(7691), 1,
      anon_sym_DASH,
    ACTIONS(7709), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7717), 1,
      anon_sym_DOT,
    ACTIONS(7711), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7713), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7715), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7719), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5484), 6,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
    ACTIONS(5482), 26,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [135782] = 20,
    ACTIONS(5484), 1,
      anon_sym_EQ,
    ACTIONS(7019), 1,
      anon_sym_DASH_GT,
    ACTIONS(7051), 1,
      anon_sym_LBRACK,
    ACTIONS(7689), 1,
      anon_sym_PLUS,
    ACTIONS(7691), 1,
      anon_sym_DASH,
    ACTIONS(7693), 1,
      anon_sym_TILDE,
    ACTIONS(7695), 1,
      anon_sym_AMP,
    ACTIONS(7699), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7707), 1,
      anon_sym_PIPE,
    ACTIONS(7709), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7717), 1,
      anon_sym_DOT,
    ACTIONS(7701), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7703), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7711), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7713), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7715), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7719), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7705), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5482), 20,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [135872] = 19,
    ACTIONS(5484), 1,
      anon_sym_EQ,
    ACTIONS(7019), 1,
      anon_sym_DASH_GT,
    ACTIONS(7051), 1,
      anon_sym_LBRACK,
    ACTIONS(7689), 1,
      anon_sym_PLUS,
    ACTIONS(7691), 1,
      anon_sym_DASH,
    ACTIONS(7693), 1,
      anon_sym_TILDE,
    ACTIONS(7695), 1,
      anon_sym_AMP,
    ACTIONS(7707), 1,
      anon_sym_PIPE,
    ACTIONS(7709), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7717), 1,
      anon_sym_DOT,
    ACTIONS(7701), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7703), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7711), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7713), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7715), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7719), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7705), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5482), 21,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [135960] = 17,
    ACTIONS(7019), 1,
      anon_sym_DASH_GT,
    ACTIONS(7051), 1,
      anon_sym_LBRACK,
    ACTIONS(7689), 1,
      anon_sym_PLUS,
    ACTIONS(7691), 1,
      anon_sym_DASH,
    ACTIONS(7693), 1,
      anon_sym_TILDE,
    ACTIONS(7695), 1,
      anon_sym_AMP,
    ACTIONS(7707), 1,
      anon_sym_PIPE,
    ACTIONS(7709), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7717), 1,
      anon_sym_DOT,
    ACTIONS(7711), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7713), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7715), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7719), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5484), 3,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7705), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5482), 23,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [136044] = 16,
    ACTIONS(7019), 1,
      anon_sym_DASH_GT,
    ACTIONS(7051), 1,
      anon_sym_LBRACK,
    ACTIONS(7689), 1,
      anon_sym_PLUS,
    ACTIONS(7691), 1,
      anon_sym_DASH,
    ACTIONS(7693), 1,
      anon_sym_TILDE,
    ACTIONS(7695), 1,
      anon_sym_AMP,
    ACTIONS(7707), 1,
      anon_sym_PIPE,
    ACTIONS(7709), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7717), 1,
      anon_sym_DOT,
    ACTIONS(7711), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7713), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7715), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7719), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5484), 3,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5482), 26,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [136126] = 15,
    ACTIONS(7019), 1,
      anon_sym_DASH_GT,
    ACTIONS(7051), 1,
      anon_sym_LBRACK,
    ACTIONS(7689), 1,
      anon_sym_PLUS,
    ACTIONS(7691), 1,
      anon_sym_DASH,
    ACTIONS(7693), 1,
      anon_sym_TILDE,
    ACTIONS(7695), 1,
      anon_sym_AMP,
    ACTIONS(7709), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7717), 1,
      anon_sym_DOT,
    ACTIONS(7711), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7713), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7715), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7719), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5484), 4,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
    ACTIONS(5482), 26,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [136206] = 12,
    ACTIONS(7019), 1,
      anon_sym_DASH_GT,
    ACTIONS(7051), 1,
      anon_sym_LBRACK,
    ACTIONS(7689), 1,
      anon_sym_PLUS,
    ACTIONS(7691), 1,
      anon_sym_DASH,
    ACTIONS(7717), 1,
      anon_sym_DOT,
    ACTIONS(7711), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7713), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7715), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7719), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5484), 6,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
    ACTIONS(5482), 27,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [136280] = 11,
    ACTIONS(7019), 1,
      anon_sym_DASH_GT,
    ACTIONS(7051), 1,
      anon_sym_LBRACK,
    ACTIONS(7689), 1,
      anon_sym_PLUS,
    ACTIONS(7691), 1,
      anon_sym_DASH,
    ACTIONS(7717), 1,
      anon_sym_DOT,
    ACTIONS(7713), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7715), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7719), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5484), 6,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
    ACTIONS(5482), 29,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [136352] = 7,
    ACTIONS(7019), 1,
      anon_sym_DASH_GT,
    ACTIONS(7051), 1,
      anon_sym_LBRACK,
    ACTIONS(7717), 1,
      anon_sym_DOT,
    ACTIONS(7719), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5484), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5482), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [136416] = 25,
    ACTIONS(5500), 1,
      anon_sym_EQ,
    ACTIONS(7019), 1,
      anon_sym_DASH_GT,
    ACTIONS(7051), 1,
      anon_sym_LBRACK,
    ACTIONS(7055), 1,
      anon_sym_or_return,
    ACTIONS(7057), 1,
      anon_sym_or_continue,
    ACTIONS(7061), 1,
      anon_sym_CARET,
    ACTIONS(7689), 1,
      anon_sym_PLUS,
    ACTIONS(7691), 1,
      anon_sym_DASH,
    ACTIONS(7693), 1,
      anon_sym_TILDE,
    ACTIONS(7695), 1,
      anon_sym_AMP,
    ACTIONS(7699), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7707), 1,
      anon_sym_PIPE,
    ACTIONS(7709), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7717), 1,
      anon_sym_DOT,
    ACTIONS(7721), 1,
      anon_sym_or_break,
    ACTIONS(7697), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7701), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7703), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7711), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7713), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7715), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7719), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7705), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5498), 14,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_not_in,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [136516] = 7,
    ACTIONS(7019), 1,
      anon_sym_DASH_GT,
    ACTIONS(7051), 1,
      anon_sym_LBRACK,
    ACTIONS(7717), 1,
      anon_sym_DOT,
    ACTIONS(7719), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5512), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5510), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [136580] = 7,
    ACTIONS(7019), 1,
      anon_sym_DASH_GT,
    ACTIONS(7051), 1,
      anon_sym_LBRACK,
    ACTIONS(7717), 1,
      anon_sym_DOT,
    ACTIONS(7719), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5562), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5560), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [136644] = 25,
    ACTIONS(5586), 1,
      anon_sym_EQ,
    ACTIONS(7019), 1,
      anon_sym_DASH_GT,
    ACTIONS(7051), 1,
      anon_sym_LBRACK,
    ACTIONS(7055), 1,
      anon_sym_or_return,
    ACTIONS(7057), 1,
      anon_sym_or_continue,
    ACTIONS(7061), 1,
      anon_sym_CARET,
    ACTIONS(7689), 1,
      anon_sym_PLUS,
    ACTIONS(7691), 1,
      anon_sym_DASH,
    ACTIONS(7693), 1,
      anon_sym_TILDE,
    ACTIONS(7695), 1,
      anon_sym_AMP,
    ACTIONS(7699), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7707), 1,
      anon_sym_PIPE,
    ACTIONS(7709), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7717), 1,
      anon_sym_DOT,
    ACTIONS(7721), 1,
      anon_sym_or_break,
    ACTIONS(7697), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7701), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7703), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7711), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7713), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7715), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7719), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7705), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5584), 14,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_not_in,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [136744] = 21,
    ACTIONS(5586), 1,
      anon_sym_EQ,
    ACTIONS(7019), 1,
      anon_sym_DASH_GT,
    ACTIONS(7051), 1,
      anon_sym_LBRACK,
    ACTIONS(7689), 1,
      anon_sym_PLUS,
    ACTIONS(7691), 1,
      anon_sym_DASH,
    ACTIONS(7693), 1,
      anon_sym_TILDE,
    ACTIONS(7695), 1,
      anon_sym_AMP,
    ACTIONS(7699), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7707), 1,
      anon_sym_PIPE,
    ACTIONS(7709), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7717), 1,
      anon_sym_DOT,
    ACTIONS(7697), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7701), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7703), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7711), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7713), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7715), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7719), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7705), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5584), 18,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [136836] = 28,
    ACTIONS(7019), 1,
      anon_sym_DASH_GT,
    ACTIONS(7051), 1,
      anon_sym_LBRACK,
    ACTIONS(7061), 1,
      anon_sym_CARET,
    ACTIONS(7767), 1,
      anon_sym_COMMA,
    ACTIONS(7774), 1,
      anon_sym_PLUS,
    ACTIONS(7776), 1,
      anon_sym_DASH,
    ACTIONS(7778), 1,
      anon_sym_TILDE,
    ACTIONS(7780), 1,
      anon_sym_AMP,
    ACTIONS(7782), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7784), 1,
      anon_sym_or_else,
    ACTIONS(7786), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7794), 1,
      anon_sym_PIPE,
    ACTIONS(7796), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7804), 1,
      anon_sym_DOT,
    ACTIONS(7808), 1,
      anon_sym_or_return,
    ACTIONS(7810), 1,
      anon_sym_or_continue,
    ACTIONS(7812), 1,
      anon_sym_or_break,
    STATE(3977), 1,
      aux_sym_where_clause_repeat1,
    ACTIONS(7788), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7790), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7798), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7800), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7802), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7806), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7792), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(4426), 6,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      sym_uninitialized,
      sym_tag,
    ACTIONS(4430), 7,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_not_in,
      sym_identifier,
  [136942] = 28,
    ACTIONS(4430), 1,
      anon_sym_EQ,
    ACTIONS(7019), 1,
      anon_sym_DASH_GT,
    ACTIONS(7021), 1,
      anon_sym_PLUS,
    ACTIONS(7023), 1,
      anon_sym_DASH,
    ACTIONS(7025), 1,
      anon_sym_TILDE,
    ACTIONS(7027), 1,
      anon_sym_AMP,
    ACTIONS(7031), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7039), 1,
      anon_sym_PIPE,
    ACTIONS(7041), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7049), 1,
      anon_sym_DOT,
    ACTIONS(7051), 1,
      anon_sym_LBRACK,
    ACTIONS(7055), 1,
      anon_sym_or_return,
    ACTIONS(7057), 1,
      anon_sym_or_continue,
    ACTIONS(7059), 1,
      anon_sym_or_break,
    ACTIONS(7061), 1,
      anon_sym_CARET,
    ACTIONS(7814), 1,
      anon_sym_COMMA,
    STATE(6198), 1,
      aux_sym_where_clause_repeat1,
    ACTIONS(7029), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7033), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7035), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7043), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7045), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7047), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7053), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7109), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7037), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(4426), 10,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_where,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACK,
      sym_uninitialized,
      sym_tag,
  [137048] = 23,
    ACTIONS(1627), 1,
      sym_identifier,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(1823), 1,
      anon_sym_LPAREN,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(7816), 1,
      anon_sym_proc,
    ACTIONS(7818), 1,
      anon_sym_DOLLAR,
    ACTIONS(7820), 1,
      anon_sym_LBRACK,
    ACTIONS(7822), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7824), 1,
      anon_sym_CARET,
    ACTIONS(7826), 1,
      anon_sym_map,
    ACTIONS(7828), 1,
      anon_sym_matrix,
    ACTIONS(7830), 1,
      anon_sym_distinct,
    ACTIONS(7832), 1,
      sym_tag,
    STATE(2754), 1,
      sym_procedure,
    STATE(2899), 1,
      sym_type,
    ACTIONS(819), 2,
      anon_sym_where,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(817), 7,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [137144] = 23,
    ACTIONS(1627), 1,
      sym_identifier,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(1735), 1,
      anon_sym_LPAREN,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(7816), 1,
      anon_sym_proc,
    ACTIONS(7818), 1,
      anon_sym_DOLLAR,
    ACTIONS(7820), 1,
      anon_sym_LBRACK,
    ACTIONS(7822), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7824), 1,
      anon_sym_CARET,
    ACTIONS(7826), 1,
      anon_sym_map,
    ACTIONS(7828), 1,
      anon_sym_matrix,
    ACTIONS(7830), 1,
      anon_sym_distinct,
    ACTIONS(7835), 1,
      sym_tag,
    STATE(2754), 1,
      sym_procedure,
    STATE(2905), 1,
      sym_type,
    ACTIONS(874), 2,
      anon_sym_where,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(871), 7,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [137240] = 23,
    ACTIONS(1627), 1,
      sym_identifier,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(1751), 1,
      anon_sym_LPAREN,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(7816), 1,
      anon_sym_proc,
    ACTIONS(7818), 1,
      anon_sym_DOLLAR,
    ACTIONS(7820), 1,
      anon_sym_LBRACK,
    ACTIONS(7822), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7824), 1,
      anon_sym_CARET,
    ACTIONS(7826), 1,
      anon_sym_map,
    ACTIONS(7828), 1,
      anon_sym_matrix,
    ACTIONS(7830), 1,
      anon_sym_distinct,
    ACTIONS(7839), 1,
      sym_tag,
    STATE(2754), 1,
      sym_procedure,
    STATE(2915), 1,
      sym_type,
    ACTIONS(836), 2,
      anon_sym_where,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(833), 7,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [137336] = 23,
    ACTIONS(1627), 1,
      sym_identifier,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(1723), 1,
      anon_sym_LPAREN,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(7816), 1,
      anon_sym_proc,
    ACTIONS(7818), 1,
      anon_sym_DOLLAR,
    ACTIONS(7820), 1,
      anon_sym_LBRACK,
    ACTIONS(7822), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7824), 1,
      anon_sym_CARET,
    ACTIONS(7826), 1,
      anon_sym_map,
    ACTIONS(7828), 1,
      anon_sym_matrix,
    ACTIONS(7830), 1,
      anon_sym_distinct,
    ACTIONS(7843), 1,
      sym_tag,
    STATE(2674), 1,
      sym_type,
    STATE(2754), 1,
      sym_procedure,
    ACTIONS(857), 2,
      anon_sym_where,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(855), 7,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [137432] = 23,
    ACTIONS(1627), 1,
      sym_identifier,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(1663), 1,
      anon_sym_LPAREN,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(7816), 1,
      anon_sym_proc,
    ACTIONS(7818), 1,
      anon_sym_DOLLAR,
    ACTIONS(7820), 1,
      anon_sym_LBRACK,
    ACTIONS(7822), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7824), 1,
      anon_sym_CARET,
    ACTIONS(7826), 1,
      anon_sym_map,
    ACTIONS(7828), 1,
      anon_sym_matrix,
    ACTIONS(7830), 1,
      anon_sym_distinct,
    ACTIONS(7846), 1,
      sym_tag,
    STATE(2691), 1,
      sym_type,
    STATE(2754), 1,
      sym_procedure,
    ACTIONS(895), 2,
      anon_sym_where,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(893), 7,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [137528] = 23,
    ACTIONS(1627), 1,
      sym_identifier,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(1795), 1,
      anon_sym_LPAREN,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(7816), 1,
      anon_sym_proc,
    ACTIONS(7818), 1,
      anon_sym_DOLLAR,
    ACTIONS(7820), 1,
      anon_sym_LBRACK,
    ACTIONS(7822), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7824), 1,
      anon_sym_CARET,
    ACTIONS(7826), 1,
      anon_sym_map,
    ACTIONS(7828), 1,
      anon_sym_matrix,
    ACTIONS(7830), 1,
      anon_sym_distinct,
    ACTIONS(7849), 1,
      sym_tag,
    STATE(2693), 1,
      sym_type,
    STATE(2754), 1,
      sym_procedure,
    ACTIONS(778), 2,
      anon_sym_where,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(773), 7,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [137624] = 23,
    ACTIONS(1627), 1,
      sym_identifier,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1637), 1,
      anon_sym_LPAREN,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(7816), 1,
      anon_sym_proc,
    ACTIONS(7818), 1,
      anon_sym_DOLLAR,
    ACTIONS(7820), 1,
      anon_sym_LBRACK,
    ACTIONS(7822), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7824), 1,
      anon_sym_CARET,
    ACTIONS(7826), 1,
      anon_sym_map,
    ACTIONS(7828), 1,
      anon_sym_matrix,
    ACTIONS(7830), 1,
      anon_sym_distinct,
    ACTIONS(7853), 1,
      sym_tag,
    STATE(2694), 1,
      sym_type,
    STATE(2754), 1,
      sym_procedure,
    ACTIONS(911), 2,
      anon_sym_where,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(909), 7,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [137720] = 5,
    ACTIONS(6703), 1,
      anon_sym_LPAREN,
    ACTIONS(7503), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4712), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4710), 35,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [137780] = 5,
    ACTIONS(6703), 1,
      anon_sym_LPAREN,
    ACTIONS(7503), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4750), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4748), 35,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [137840] = 5,
    ACTIONS(6703), 1,
      anon_sym_LPAREN,
    ACTIONS(7503), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4702), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4700), 35,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [137900] = 6,
    ACTIONS(6703), 1,
      anon_sym_LPAREN,
    ACTIONS(7066), 1,
      anon_sym_EQ,
    ACTIONS(7503), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4934), 8,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4930), 35,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [137962] = 5,
    ACTIONS(6703), 1,
      anon_sym_LPAREN,
    ACTIONS(7503), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4698), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4696), 35,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [138022] = 4,
    STATE(3958), 1,
      aux_sym_struct_type_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4628), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4626), 36,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [138080] = 25,
    ACTIONS(4624), 1,
      anon_sym_EQ,
    ACTIONS(7019), 1,
      anon_sym_DASH_GT,
    ACTIONS(7051), 1,
      anon_sym_LBRACK,
    ACTIONS(7055), 1,
      anon_sym_or_return,
    ACTIONS(7057), 1,
      anon_sym_or_continue,
    ACTIONS(7061), 1,
      anon_sym_CARET,
    ACTIONS(7689), 1,
      anon_sym_PLUS,
    ACTIONS(7691), 1,
      anon_sym_DASH,
    ACTIONS(7693), 1,
      anon_sym_TILDE,
    ACTIONS(7695), 1,
      anon_sym_AMP,
    ACTIONS(7699), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7707), 1,
      anon_sym_PIPE,
    ACTIONS(7709), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7717), 1,
      anon_sym_DOT,
    ACTIONS(7721), 1,
      anon_sym_or_break,
    ACTIONS(7697), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7701), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7703), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7711), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7713), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7715), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7719), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7705), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(4619), 14,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_not_in,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [138180] = 5,
    ACTIONS(7858), 1,
      anon_sym_QMARK,
    ACTIONS(7856), 2,
      anon_sym_if,
      anon_sym_when,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5080), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5078), 33,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [138240] = 7,
    ACTIONS(7019), 1,
      anon_sym_DASH_GT,
    ACTIONS(7051), 1,
      anon_sym_LBRACK,
    ACTIONS(7717), 1,
      anon_sym_DOT,
    ACTIONS(7719), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5124), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5122), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [138304] = 7,
    ACTIONS(7019), 1,
      anon_sym_DASH_GT,
    ACTIONS(7051), 1,
      anon_sym_LBRACK,
    ACTIONS(7717), 1,
      anon_sym_DOT,
    ACTIONS(7719), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5144), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5142), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [138368] = 6,
    ACTIONS(6619), 1,
      anon_sym_LPAREN,
    ACTIONS(7858), 1,
      anon_sym_QMARK,
    ACTIONS(7856), 2,
      anon_sym_if,
      anon_sym_when,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(67), 32,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [138430] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3979), 10,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_DOT2,
    ACTIONS(3977), 36,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [138486] = 6,
    ACTIONS(6703), 1,
      anon_sym_LPAREN,
    ACTIONS(7092), 1,
      anon_sym_LBRACE,
    ACTIONS(7503), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4750), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4748), 34,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [138548] = 4,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7860), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
    ACTIONS(5120), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5118), 31,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [138606] = 23,
    ACTIONS(1627), 1,
      sym_identifier,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(1823), 1,
      anon_sym_LPAREN,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(7862), 1,
      anon_sym_proc,
    ACTIONS(7864), 1,
      anon_sym_DOLLAR,
    ACTIONS(7866), 1,
      anon_sym_LBRACK,
    ACTIONS(7868), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7870), 1,
      anon_sym_CARET,
    ACTIONS(7872), 1,
      anon_sym_map,
    ACTIONS(7874), 1,
      anon_sym_matrix,
    ACTIONS(7876), 1,
      anon_sym_distinct,
    ACTIONS(7878), 1,
      sym_tag,
    STATE(2754), 1,
      sym_procedure,
    STATE(2899), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(819), 3,
      anon_sym_where,
      anon_sym_when,
      anon_sym_SLASH,
    ACTIONS(817), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      sym_uninitialized,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [138701] = 4,
    ACTIONS(7881), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4400), 19,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
    ACTIONS(4398), 25,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
  [138758] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4732), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4730), 36,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [138813] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3293), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3291), 36,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [138868] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3859), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3857), 36,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [138923] = 5,
    ACTIONS(7883), 1,
      anon_sym_LPAREN,
    ACTIONS(7885), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4690), 8,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4688), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [138982] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5508), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5506), 36,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [139037] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(911), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(909), 36,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [139092] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4527), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4525), 36,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [139147] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3979), 10,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_DOT2,
    ACTIONS(3977), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [139202] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4499), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4497), 36,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [139257] = 26,
    ACTIONS(75), 1,
      anon_sym_if,
    ACTIONS(77), 1,
      anon_sym_for,
    ACTIONS(79), 1,
      anon_sym_switch,
    ACTIONS(585), 1,
      anon_sym_proc,
    ACTIONS(2241), 1,
      sym_identifier,
    ACTIONS(2245), 1,
      anon_sym_struct,
    ACTIONS(2247), 1,
      anon_sym_enum,
    ACTIONS(2249), 1,
      anon_sym_union,
    ACTIONS(2266), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2270), 1,
      anon_sym_bit_set,
    ACTIONS(6625), 1,
      anon_sym_LBRACE,
    ACTIONS(7574), 1,
      anon_sym_DOLLAR,
    ACTIONS(7576), 1,
      anon_sym_BANG,
    ACTIONS(7578), 1,
      anon_sym_LBRACK,
    ACTIONS(7580), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7582), 1,
      anon_sym_CARET,
    ACTIONS(7584), 1,
      anon_sym_map,
    ACTIONS(7586), 1,
      anon_sym_matrix,
    ACTIONS(7588), 1,
      anon_sym_distinct,
    ACTIONS(7887), 1,
      anon_sym_LPAREN,
    ACTIONS(7889), 1,
      sym_tag,
    STATE(3705), 1,
      sym_procedure,
    STATE(6379), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(6835), 4,
      sym_block,
      sym_if_statement,
      sym_for_statement,
      sym_switch_statement,
    STATE(3649), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [139358] = 4,
    ACTIONS(7891), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4762), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4760), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [139415] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3303), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3299), 36,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [139470] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4535), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4533), 36,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [139525] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4795), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4792), 36,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [139580] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4682), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4680), 36,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [139635] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5556), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5554), 36,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [139690] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4790), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4788), 36,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [139745] = 5,
    ACTIONS(7883), 1,
      anon_sym_LPAREN,
    ACTIONS(7885), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4702), 8,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4700), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [139804] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4686), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4684), 36,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [139859] = 6,
    ACTIONS(7883), 1,
      anon_sym_LPAREN,
    ACTIONS(7885), 1,
      anon_sym_SLASH,
    ACTIONS(7893), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4750), 8,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4748), 34,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [139920] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3417), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3415), 36,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [139975] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(857), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(855), 36,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [140030] = 5,
    ACTIONS(7883), 1,
      anon_sym_LPAREN,
    ACTIONS(7885), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4712), 8,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4710), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [140089] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5074), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5072), 36,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [140144] = 23,
    ACTIONS(911), 1,
      anon_sym_SLASH,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(2306), 1,
      anon_sym_LPAREN,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    STATE(3278), 1,
      sym_type,
    STATE(3279), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(909), 7,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACK,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [140239] = 23,
    ACTIONS(857), 1,
      anon_sym_SLASH,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(2223), 1,
      anon_sym_LPAREN,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    STATE(3279), 1,
      sym_procedure,
    STATE(3354), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(855), 7,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACK,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [140334] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4724), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4722), 36,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [140389] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4694), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4692), 36,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [140444] = 23,
    ACTIONS(874), 1,
      anon_sym_SLASH,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(2336), 1,
      anon_sym_LPAREN,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    STATE(3279), 1,
      sym_procedure,
    STATE(3357), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(871), 7,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACK,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [140539] = 6,
    ACTIONS(6703), 1,
      anon_sym_LPAREN,
    ACTIONS(7092), 1,
      anon_sym_LBRACE,
    ACTIONS(7542), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4750), 19,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4748), 23,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [140600] = 23,
    ACTIONS(895), 1,
      anon_sym_SLASH,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(2276), 1,
      anon_sym_LPAREN,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    STATE(3279), 1,
      sym_procedure,
    STATE(3380), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(893), 7,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACK,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [140695] = 23,
    ACTIONS(836), 1,
      anon_sym_SLASH,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(2369), 1,
      anon_sym_LPAREN,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    STATE(3279), 1,
      sym_procedure,
    STATE(3347), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(833), 7,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACK,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [140790] = 27,
    ACTIONS(7019), 1,
      anon_sym_DASH_GT,
    ACTIONS(7051), 1,
      anon_sym_LBRACK,
    ACTIONS(7061), 1,
      anon_sym_CARET,
    ACTIONS(7774), 1,
      anon_sym_PLUS,
    ACTIONS(7776), 1,
      anon_sym_DASH,
    ACTIONS(7778), 1,
      anon_sym_TILDE,
    ACTIONS(7780), 1,
      anon_sym_AMP,
    ACTIONS(7782), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7784), 1,
      anon_sym_or_else,
    ACTIONS(7786), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7794), 1,
      anon_sym_PIPE,
    ACTIONS(7796), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7804), 1,
      anon_sym_DOT,
    ACTIONS(7808), 1,
      anon_sym_or_return,
    ACTIONS(7810), 1,
      anon_sym_or_continue,
    ACTIONS(7812), 1,
      anon_sym_or_break,
    ACTIONS(7788), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7790), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7798), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7800), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7802), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7806), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7901), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7792), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5478), 5,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_when,
      sym_identifier,
    ACTIONS(5476), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      sym_uninitialized,
      sym_tag,
  [140893] = 9,
    ACTIONS(7019), 1,
      anon_sym_DASH_GT,
    ACTIONS(7051), 1,
      anon_sym_LBRACK,
    ACTIONS(7804), 1,
      anon_sym_DOT,
    ACTIONS(7800), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7802), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7806), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5484), 17,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5482), 19,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [140960] = 14,
    ACTIONS(7019), 1,
      anon_sym_DASH_GT,
    ACTIONS(7051), 1,
      anon_sym_LBRACK,
    ACTIONS(7774), 1,
      anon_sym_PLUS,
    ACTIONS(7776), 1,
      anon_sym_DASH,
    ACTIONS(7780), 1,
      anon_sym_AMP,
    ACTIONS(7796), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7804), 1,
      anon_sym_DOT,
    ACTIONS(7798), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7800), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7802), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7806), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5482), 15,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
    ACTIONS(5484), 15,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_TILDE,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
  [141037] = 13,
    ACTIONS(7019), 1,
      anon_sym_DASH_GT,
    ACTIONS(7051), 1,
      anon_sym_LBRACK,
    ACTIONS(7774), 1,
      anon_sym_PLUS,
    ACTIONS(7776), 1,
      anon_sym_DASH,
    ACTIONS(7796), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7804), 1,
      anon_sym_DOT,
    ACTIONS(7798), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7800), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7802), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7806), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5482), 15,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
    ACTIONS(5484), 16,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
  [141112] = 20,
    ACTIONS(7019), 1,
      anon_sym_DASH_GT,
    ACTIONS(7051), 1,
      anon_sym_LBRACK,
    ACTIONS(7774), 1,
      anon_sym_PLUS,
    ACTIONS(7776), 1,
      anon_sym_DASH,
    ACTIONS(7778), 1,
      anon_sym_TILDE,
    ACTIONS(7780), 1,
      anon_sym_AMP,
    ACTIONS(7786), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7794), 1,
      anon_sym_PIPE,
    ACTIONS(7796), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7804), 1,
      anon_sym_DOT,
    ACTIONS(7788), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7790), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7798), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7800), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7802), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7806), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7792), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5482), 9,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
    ACTIONS(5484), 11,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_or_else,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
  [141201] = 19,
    ACTIONS(7019), 1,
      anon_sym_DASH_GT,
    ACTIONS(7051), 1,
      anon_sym_LBRACK,
    ACTIONS(7774), 1,
      anon_sym_PLUS,
    ACTIONS(7776), 1,
      anon_sym_DASH,
    ACTIONS(7778), 1,
      anon_sym_TILDE,
    ACTIONS(7780), 1,
      anon_sym_AMP,
    ACTIONS(7794), 1,
      anon_sym_PIPE,
    ACTIONS(7796), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7804), 1,
      anon_sym_DOT,
    ACTIONS(7788), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7790), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7798), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7800), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7802), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7806), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7792), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5482), 10,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
    ACTIONS(5484), 11,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_or_else,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
  [141288] = 17,
    ACTIONS(7019), 1,
      anon_sym_DASH_GT,
    ACTIONS(7051), 1,
      anon_sym_LBRACK,
    ACTIONS(7774), 1,
      anon_sym_PLUS,
    ACTIONS(7776), 1,
      anon_sym_DASH,
    ACTIONS(7778), 1,
      anon_sym_TILDE,
    ACTIONS(7780), 1,
      anon_sym_AMP,
    ACTIONS(7794), 1,
      anon_sym_PIPE,
    ACTIONS(7796), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7804), 1,
      anon_sym_DOT,
    ACTIONS(7798), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7800), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7802), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7806), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7792), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5482), 12,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
    ACTIONS(5484), 13,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
  [141371] = 16,
    ACTIONS(7019), 1,
      anon_sym_DASH_GT,
    ACTIONS(7051), 1,
      anon_sym_LBRACK,
    ACTIONS(7774), 1,
      anon_sym_PLUS,
    ACTIONS(7776), 1,
      anon_sym_DASH,
    ACTIONS(7778), 1,
      anon_sym_TILDE,
    ACTIONS(7780), 1,
      anon_sym_AMP,
    ACTIONS(7794), 1,
      anon_sym_PIPE,
    ACTIONS(7796), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7804), 1,
      anon_sym_DOT,
    ACTIONS(7798), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7800), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7802), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7806), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5484), 13,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5482), 15,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [141452] = 15,
    ACTIONS(7019), 1,
      anon_sym_DASH_GT,
    ACTIONS(7051), 1,
      anon_sym_LBRACK,
    ACTIONS(7774), 1,
      anon_sym_PLUS,
    ACTIONS(7776), 1,
      anon_sym_DASH,
    ACTIONS(7778), 1,
      anon_sym_TILDE,
    ACTIONS(7780), 1,
      anon_sym_AMP,
    ACTIONS(7796), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7804), 1,
      anon_sym_DOT,
    ACTIONS(7798), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7800), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7802), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7806), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5484), 14,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5482), 15,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [141531] = 12,
    ACTIONS(7019), 1,
      anon_sym_DASH_GT,
    ACTIONS(7051), 1,
      anon_sym_LBRACK,
    ACTIONS(7774), 1,
      anon_sym_PLUS,
    ACTIONS(7776), 1,
      anon_sym_DASH,
    ACTIONS(7804), 1,
      anon_sym_DOT,
    ACTIONS(7798), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7800), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7802), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7806), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5482), 16,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
    ACTIONS(5484), 16,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
  [141604] = 11,
    ACTIONS(7019), 1,
      anon_sym_DASH_GT,
    ACTIONS(7051), 1,
      anon_sym_LBRACK,
    ACTIONS(7774), 1,
      anon_sym_PLUS,
    ACTIONS(7776), 1,
      anon_sym_DASH,
    ACTIONS(7804), 1,
      anon_sym_DOT,
    ACTIONS(7800), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7802), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7806), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5484), 16,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5482), 18,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [141675] = 7,
    ACTIONS(7019), 1,
      anon_sym_DASH_GT,
    ACTIONS(7051), 1,
      anon_sym_LBRACK,
    ACTIONS(7804), 1,
      anon_sym_DOT,
    ACTIONS(7806), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5484), 19,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5482), 21,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [141738] = 26,
    ACTIONS(7019), 1,
      anon_sym_DASH_GT,
    ACTIONS(7051), 1,
      anon_sym_LBRACK,
    ACTIONS(7061), 1,
      anon_sym_CARET,
    ACTIONS(7774), 1,
      anon_sym_PLUS,
    ACTIONS(7776), 1,
      anon_sym_DASH,
    ACTIONS(7778), 1,
      anon_sym_TILDE,
    ACTIONS(7780), 1,
      anon_sym_AMP,
    ACTIONS(7782), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7784), 1,
      anon_sym_or_else,
    ACTIONS(7786), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7794), 1,
      anon_sym_PIPE,
    ACTIONS(7796), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7804), 1,
      anon_sym_DOT,
    ACTIONS(7808), 1,
      anon_sym_or_return,
    ACTIONS(7810), 1,
      anon_sym_or_continue,
    ACTIONS(7812), 1,
      anon_sym_or_break,
    ACTIONS(7788), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7790), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7798), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7800), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7802), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7806), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7792), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5498), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      sym_uninitialized,
      sym_tag,
    ACTIONS(5500), 7,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_not_in,
      sym_identifier,
  [141839] = 7,
    ACTIONS(7019), 1,
      anon_sym_DASH_GT,
    ACTIONS(7051), 1,
      anon_sym_LBRACK,
    ACTIONS(7804), 1,
      anon_sym_DOT,
    ACTIONS(7806), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5512), 19,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5510), 21,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [141902] = 7,
    ACTIONS(7019), 1,
      anon_sym_DASH_GT,
    ACTIONS(7051), 1,
      anon_sym_LBRACK,
    ACTIONS(7804), 1,
      anon_sym_DOT,
    ACTIONS(7806), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5562), 19,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5560), 21,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [141965] = 26,
    ACTIONS(7019), 1,
      anon_sym_DASH_GT,
    ACTIONS(7051), 1,
      anon_sym_LBRACK,
    ACTIONS(7061), 1,
      anon_sym_CARET,
    ACTIONS(7774), 1,
      anon_sym_PLUS,
    ACTIONS(7776), 1,
      anon_sym_DASH,
    ACTIONS(7778), 1,
      anon_sym_TILDE,
    ACTIONS(7780), 1,
      anon_sym_AMP,
    ACTIONS(7782), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7784), 1,
      anon_sym_or_else,
    ACTIONS(7786), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7794), 1,
      anon_sym_PIPE,
    ACTIONS(7796), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7804), 1,
      anon_sym_DOT,
    ACTIONS(7808), 1,
      anon_sym_or_return,
    ACTIONS(7810), 1,
      anon_sym_or_continue,
    ACTIONS(7812), 1,
      anon_sym_or_break,
    ACTIONS(7788), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7790), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7798), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7800), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7802), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7806), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7792), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5584), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      sym_uninitialized,
      sym_tag,
    ACTIONS(5586), 7,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_not_in,
      sym_identifier,
  [142066] = 22,
    ACTIONS(7019), 1,
      anon_sym_DASH_GT,
    ACTIONS(7051), 1,
      anon_sym_LBRACK,
    ACTIONS(7774), 1,
      anon_sym_PLUS,
    ACTIONS(7776), 1,
      anon_sym_DASH,
    ACTIONS(7778), 1,
      anon_sym_TILDE,
    ACTIONS(7780), 1,
      anon_sym_AMP,
    ACTIONS(7782), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7784), 1,
      anon_sym_or_else,
    ACTIONS(7786), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7794), 1,
      anon_sym_PIPE,
    ACTIONS(7796), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7804), 1,
      anon_sym_DOT,
    ACTIONS(7788), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7790), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7798), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7800), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7802), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7806), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7792), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5584), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
    ACTIONS(5586), 10,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
  [142159] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4720), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4718), 36,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [142214] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(895), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(893), 36,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [142269] = 23,
    ACTIONS(1627), 1,
      sym_identifier,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(1751), 1,
      anon_sym_LPAREN,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(7862), 1,
      anon_sym_proc,
    ACTIONS(7864), 1,
      anon_sym_DOLLAR,
    ACTIONS(7866), 1,
      anon_sym_LBRACK,
    ACTIONS(7868), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7870), 1,
      anon_sym_CARET,
    ACTIONS(7872), 1,
      anon_sym_map,
    ACTIONS(7874), 1,
      anon_sym_matrix,
    ACTIONS(7876), 1,
      anon_sym_distinct,
    ACTIONS(7903), 1,
      sym_tag,
    STATE(2754), 1,
      sym_procedure,
    STATE(2915), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(836), 3,
      anon_sym_where,
      anon_sym_when,
      anon_sym_SLASH,
    ACTIONS(833), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      sym_uninitialized,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [142364] = 23,
    ACTIONS(1627), 1,
      sym_identifier,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(1723), 1,
      anon_sym_LPAREN,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(7862), 1,
      anon_sym_proc,
    ACTIONS(7864), 1,
      anon_sym_DOLLAR,
    ACTIONS(7866), 1,
      anon_sym_LBRACK,
    ACTIONS(7868), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7870), 1,
      anon_sym_CARET,
    ACTIONS(7872), 1,
      anon_sym_map,
    ACTIONS(7874), 1,
      anon_sym_matrix,
    ACTIONS(7876), 1,
      anon_sym_distinct,
    ACTIONS(7907), 1,
      sym_tag,
    STATE(2674), 1,
      sym_type,
    STATE(2754), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(857), 3,
      anon_sym_where,
      anon_sym_when,
      anon_sym_SLASH,
    ACTIONS(855), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      sym_uninitialized,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [142459] = 23,
    ACTIONS(1627), 1,
      sym_identifier,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(1663), 1,
      anon_sym_LPAREN,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(7862), 1,
      anon_sym_proc,
    ACTIONS(7864), 1,
      anon_sym_DOLLAR,
    ACTIONS(7866), 1,
      anon_sym_LBRACK,
    ACTIONS(7868), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7870), 1,
      anon_sym_CARET,
    ACTIONS(7872), 1,
      anon_sym_map,
    ACTIONS(7874), 1,
      anon_sym_matrix,
    ACTIONS(7876), 1,
      anon_sym_distinct,
    ACTIONS(7910), 1,
      sym_tag,
    STATE(2691), 1,
      sym_type,
    STATE(2754), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(895), 3,
      anon_sym_where,
      anon_sym_when,
      anon_sym_SLASH,
    ACTIONS(893), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      sym_uninitialized,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [142554] = 23,
    ACTIONS(1627), 1,
      sym_identifier,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(1795), 1,
      anon_sym_LPAREN,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(7862), 1,
      anon_sym_proc,
    ACTIONS(7864), 1,
      anon_sym_DOLLAR,
    ACTIONS(7866), 1,
      anon_sym_LBRACK,
    ACTIONS(7868), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7870), 1,
      anon_sym_CARET,
    ACTIONS(7872), 1,
      anon_sym_map,
    ACTIONS(7874), 1,
      anon_sym_matrix,
    ACTIONS(7876), 1,
      anon_sym_distinct,
    ACTIONS(7913), 1,
      sym_tag,
    STATE(2693), 1,
      sym_type,
    STATE(2754), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(778), 3,
      anon_sym_where,
      anon_sym_when,
      anon_sym_SLASH,
    ACTIONS(773), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      sym_uninitialized,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [142649] = 23,
    ACTIONS(1627), 1,
      sym_identifier,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1637), 1,
      anon_sym_LPAREN,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(7862), 1,
      anon_sym_proc,
    ACTIONS(7864), 1,
      anon_sym_DOLLAR,
    ACTIONS(7866), 1,
      anon_sym_LBRACK,
    ACTIONS(7868), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7870), 1,
      anon_sym_CARET,
    ACTIONS(7872), 1,
      anon_sym_map,
    ACTIONS(7874), 1,
      anon_sym_matrix,
    ACTIONS(7876), 1,
      anon_sym_distinct,
    ACTIONS(7917), 1,
      sym_tag,
    STATE(2694), 1,
      sym_type,
    STATE(2754), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(911), 3,
      anon_sym_where,
      anon_sym_when,
      anon_sym_SLASH,
    ACTIONS(909), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      sym_uninitialized,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [142744] = 4,
    ACTIONS(7920), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5522), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5520), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [142801] = 5,
    ACTIONS(7883), 1,
      anon_sym_LPAREN,
    ACTIONS(7885), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4698), 8,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4696), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [142860] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4738), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4736), 36,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [142915] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4742), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4740), 36,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [142970] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4746), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4744), 36,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [143025] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4754), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4752), 36,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [143080] = 5,
    ACTIONS(7526), 1,
      sym_identifier,
    ACTIONS(7922), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 19,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
    ACTIONS(67), 24,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
  [143139] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4758), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4756), 36,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [143194] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4762), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4760), 36,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [143249] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4766), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4764), 36,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [143304] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4770), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4768), 36,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [143359] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4774), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4772), 36,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [143414] = 23,
    ACTIONS(819), 1,
      anon_sym_SLASH,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(2232), 1,
      anon_sym_LPAREN,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    STATE(3279), 1,
      sym_procedure,
    STATE(3338), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(817), 7,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACK,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [143509] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4728), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4726), 36,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [143564] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3283), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3281), 36,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [143619] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4778), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4776), 36,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [143674] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4782), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4780), 36,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [143729] = 6,
    ACTIONS(6703), 1,
      anon_sym_LPAREN,
    ACTIONS(7066), 1,
      anon_sym_EQ,
    ACTIONS(7542), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4934), 18,
      anon_sym_where,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4930), 24,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [143790] = 5,
    ACTIONS(6703), 1,
      anon_sym_LPAREN,
    ACTIONS(7542), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4698), 19,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4696), 24,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [143849] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(836), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(833), 36,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [143904] = 26,
    ACTIONS(75), 1,
      anon_sym_if,
    ACTIONS(79), 1,
      anon_sym_switch,
    ACTIONS(571), 1,
      anon_sym_for,
    ACTIONS(585), 1,
      anon_sym_proc,
    ACTIONS(2241), 1,
      sym_identifier,
    ACTIONS(2245), 1,
      anon_sym_struct,
    ACTIONS(2247), 1,
      anon_sym_enum,
    ACTIONS(2249), 1,
      anon_sym_union,
    ACTIONS(2266), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2270), 1,
      anon_sym_bit_set,
    ACTIONS(6625), 1,
      anon_sym_LBRACE,
    ACTIONS(7574), 1,
      anon_sym_DOLLAR,
    ACTIONS(7576), 1,
      anon_sym_BANG,
    ACTIONS(7578), 1,
      anon_sym_LBRACK,
    ACTIONS(7580), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7582), 1,
      anon_sym_CARET,
    ACTIONS(7584), 1,
      anon_sym_map,
    ACTIONS(7586), 1,
      anon_sym_matrix,
    ACTIONS(7588), 1,
      anon_sym_distinct,
    ACTIONS(7887), 1,
      anon_sym_LPAREN,
    ACTIONS(7889), 1,
      sym_tag,
    STATE(3705), 1,
      sym_procedure,
    STATE(6379), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(6835), 4,
      sym_block,
      sym_if_statement,
      sym_for_statement,
      sym_switch_statement,
    STATE(3649), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [144005] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5590), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5588), 36,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [144060] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3273), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3269), 36,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [144115] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5450), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5448), 36,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [144170] = 26,
    ACTIONS(7019), 1,
      anon_sym_DASH_GT,
    ACTIONS(7051), 1,
      anon_sym_LBRACK,
    ACTIONS(7061), 1,
      anon_sym_CARET,
    ACTIONS(7774), 1,
      anon_sym_PLUS,
    ACTIONS(7776), 1,
      anon_sym_DASH,
    ACTIONS(7778), 1,
      anon_sym_TILDE,
    ACTIONS(7780), 1,
      anon_sym_AMP,
    ACTIONS(7782), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7784), 1,
      anon_sym_or_else,
    ACTIONS(7786), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7794), 1,
      anon_sym_PIPE,
    ACTIONS(7796), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7804), 1,
      anon_sym_DOT,
    ACTIONS(7808), 1,
      anon_sym_or_return,
    ACTIONS(7810), 1,
      anon_sym_or_continue,
    ACTIONS(7812), 1,
      anon_sym_or_break,
    ACTIONS(7788), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7790), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7798), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7800), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7802), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7806), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7792), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(4619), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      sym_uninitialized,
      sym_tag,
    ACTIONS(4624), 7,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_not_in,
      sym_identifier,
  [144271] = 5,
    ACTIONS(6703), 1,
      anon_sym_LPAREN,
    ACTIONS(7542), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4712), 19,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4710), 24,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [144330] = 5,
    ACTIONS(7883), 1,
      anon_sym_LPAREN,
    ACTIONS(7885), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4750), 8,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4748), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [144389] = 5,
    ACTIONS(7926), 1,
      anon_sym_QMARK,
    ACTIONS(7924), 2,
      anon_sym_if,
      anon_sym_when,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5080), 18,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5078), 24,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [144448] = 7,
    ACTIONS(7019), 1,
      anon_sym_DASH_GT,
    ACTIONS(7051), 1,
      anon_sym_LBRACK,
    ACTIONS(7804), 1,
      anon_sym_DOT,
    ACTIONS(7806), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5124), 19,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5122), 21,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [144511] = 7,
    ACTIONS(7019), 1,
      anon_sym_DASH_GT,
    ACTIONS(7051), 1,
      anon_sym_LBRACK,
    ACTIONS(7804), 1,
      anon_sym_DOT,
    ACTIONS(7806), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5144), 19,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(5142), 21,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [144574] = 5,
    ACTIONS(6703), 1,
      anon_sym_LPAREN,
    ACTIONS(7542), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4750), 19,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4748), 24,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [144633] = 5,
    ACTIONS(6703), 1,
      anon_sym_LPAREN,
    ACTIONS(7542), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4690), 19,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4688), 24,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [144692] = 5,
    ACTIONS(6703), 1,
      anon_sym_LPAREN,
    ACTIONS(7542), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4702), 19,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(4700), 24,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [144751] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4786), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4784), 36,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [144806] = 6,
    ACTIONS(6619), 1,
      anon_sym_LPAREN,
    ACTIONS(7926), 1,
      anon_sym_QMARK,
    ACTIONS(7924), 2,
      anon_sym_if,
      anon_sym_when,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 18,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      sym_identifier,
    ACTIONS(67), 23,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [144867] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(778), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(773), 36,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [144922] = 5,
    ACTIONS(7928), 1,
      sym_identifier,
    ACTIONS(7930), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 19,
      anon_sym_if,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
    ACTIONS(67), 24,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
  [144981] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4706), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4704), 36,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [145036] = 4,
    ACTIONS(7932), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5522), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5520), 35,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [145093] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4800), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4798), 36,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [145148] = 23,
    ACTIONS(778), 1,
      anon_sym_SLASH,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2195), 1,
      anon_sym_LPAREN,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    STATE(3279), 1,
      sym_procedure,
    STATE(3322), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(773), 7,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACK,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [145243] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4678), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4676), 36,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [145298] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4716), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4714), 36,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [145353] = 23,
    ACTIONS(1627), 1,
      sym_identifier,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(1735), 1,
      anon_sym_LPAREN,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(7862), 1,
      anon_sym_proc,
    ACTIONS(7864), 1,
      anon_sym_DOLLAR,
    ACTIONS(7866), 1,
      anon_sym_LBRACK,
    ACTIONS(7868), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7870), 1,
      anon_sym_CARET,
    ACTIONS(7872), 1,
      anon_sym_map,
    ACTIONS(7874), 1,
      anon_sym_matrix,
    ACTIONS(7876), 1,
      anon_sym_distinct,
    ACTIONS(7934), 1,
      sym_tag,
    STATE(2754), 1,
      sym_procedure,
    STATE(2905), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(874), 3,
      anon_sym_where,
      anon_sym_when,
      anon_sym_SLASH,
    ACTIONS(871), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      sym_uninitialized,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [145448] = 23,
    ACTIONS(585), 1,
      anon_sym_proc,
    ACTIONS(2241), 1,
      sym_identifier,
    ACTIONS(2245), 1,
      anon_sym_struct,
    ACTIONS(2247), 1,
      anon_sym_enum,
    ACTIONS(2249), 1,
      anon_sym_union,
    ACTIONS(2266), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2270), 1,
      anon_sym_bit_set,
    ACTIONS(7574), 1,
      anon_sym_DOLLAR,
    ACTIONS(7576), 1,
      anon_sym_BANG,
    ACTIONS(7578), 1,
      anon_sym_LBRACK,
    ACTIONS(7580), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7582), 1,
      anon_sym_CARET,
    ACTIONS(7584), 1,
      anon_sym_map,
    ACTIONS(7586), 1,
      anon_sym_matrix,
    ACTIONS(7588), 1,
      anon_sym_distinct,
    ACTIONS(7590), 1,
      sym_tag,
    ACTIONS(7887), 1,
      anon_sym_LPAREN,
    STATE(3705), 1,
      sym_procedure,
    STATE(6391), 1,
      sym_type,
    ACTIONS(911), 2,
      anon_sym_else,
      anon_sym_case,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(909), 5,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
    STATE(3649), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [145542] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5678), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5676), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [145596] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5682), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5680), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [145650] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4778), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4776), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [145704] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4782), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4780), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [145758] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5686), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5684), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [145812] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5690), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5688), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [145866] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4634), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4632), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [145920] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4638), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4636), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [145974] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4642), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4640), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [146028] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4786), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4784), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [146082] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4646), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4644), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [146136] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4650), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4648), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [146190] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4654), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4652), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [146244] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4658), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4656), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [146298] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4662), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4660), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [146352] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4666), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4664), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [146406] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4670), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4668), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [146460] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4674), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4672), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [146514] = 25,
    ACTIONS(7570), 1,
      anon_sym_LBRACK,
    ACTIONS(7673), 1,
      anon_sym_or_return,
    ACTIONS(7675), 1,
      anon_sym_or_continue,
    ACTIONS(7679), 1,
      anon_sym_CARET,
    ACTIONS(7938), 1,
      anon_sym_DASH_GT,
    ACTIONS(7942), 1,
      anon_sym_PLUS,
    ACTIONS(7944), 1,
      anon_sym_DASH,
    ACTIONS(7946), 1,
      anon_sym_TILDE,
    ACTIONS(7948), 1,
      anon_sym_AMP,
    ACTIONS(7952), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7960), 1,
      anon_sym_PIPE,
    ACTIONS(7962), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7970), 1,
      anon_sym_DOT,
    ACTIONS(7974), 1,
      anon_sym_or_break,
    ACTIONS(7940), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7950), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7954), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7956), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7964), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7966), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7968), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7972), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7958), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5476), 11,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_case,
      anon_sym_QMARK,
  [146612] = 9,
    ACTIONS(7570), 1,
      anon_sym_LBRACK,
    ACTIONS(7938), 1,
      anon_sym_DASH_GT,
    ACTIONS(7970), 1,
      anon_sym_DOT,
    ACTIONS(7966), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7968), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7972), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5484), 6,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
    ACTIONS(5482), 29,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [146678] = 14,
    ACTIONS(7570), 1,
      anon_sym_LBRACK,
    ACTIONS(7938), 1,
      anon_sym_DASH_GT,
    ACTIONS(7942), 1,
      anon_sym_PLUS,
    ACTIONS(7944), 1,
      anon_sym_DASH,
    ACTIONS(7948), 1,
      anon_sym_AMP,
    ACTIONS(7962), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7970), 1,
      anon_sym_DOT,
    ACTIONS(7964), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7966), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7968), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7972), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5484), 4,
      anon_sym_TILDE,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
    ACTIONS(5482), 25,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [146754] = 13,
    ACTIONS(7570), 1,
      anon_sym_LBRACK,
    ACTIONS(7938), 1,
      anon_sym_DASH_GT,
    ACTIONS(7942), 1,
      anon_sym_PLUS,
    ACTIONS(7944), 1,
      anon_sym_DASH,
    ACTIONS(7962), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7970), 1,
      anon_sym_DOT,
    ACTIONS(7964), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7966), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7968), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7972), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5484), 5,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
    ACTIONS(5482), 25,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [146828] = 19,
    ACTIONS(7570), 1,
      anon_sym_LBRACK,
    ACTIONS(7938), 1,
      anon_sym_DASH_GT,
    ACTIONS(7942), 1,
      anon_sym_PLUS,
    ACTIONS(7944), 1,
      anon_sym_DASH,
    ACTIONS(7946), 1,
      anon_sym_TILDE,
    ACTIONS(7948), 1,
      anon_sym_AMP,
    ACTIONS(7952), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7960), 1,
      anon_sym_PIPE,
    ACTIONS(7962), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7970), 1,
      anon_sym_DOT,
    ACTIONS(7954), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7956), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7964), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7966), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7968), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7972), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7958), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5482), 19,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [146914] = 18,
    ACTIONS(7570), 1,
      anon_sym_LBRACK,
    ACTIONS(7938), 1,
      anon_sym_DASH_GT,
    ACTIONS(7942), 1,
      anon_sym_PLUS,
    ACTIONS(7944), 1,
      anon_sym_DASH,
    ACTIONS(7946), 1,
      anon_sym_TILDE,
    ACTIONS(7948), 1,
      anon_sym_AMP,
    ACTIONS(7960), 1,
      anon_sym_PIPE,
    ACTIONS(7962), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7970), 1,
      anon_sym_DOT,
    ACTIONS(7954), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7956), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7964), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7966), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7968), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7972), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7958), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5482), 20,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [146998] = 17,
    ACTIONS(7570), 1,
      anon_sym_LBRACK,
    ACTIONS(7938), 1,
      anon_sym_DASH_GT,
    ACTIONS(7942), 1,
      anon_sym_PLUS,
    ACTIONS(7944), 1,
      anon_sym_DASH,
    ACTIONS(7946), 1,
      anon_sym_TILDE,
    ACTIONS(7948), 1,
      anon_sym_AMP,
    ACTIONS(7960), 1,
      anon_sym_PIPE,
    ACTIONS(7962), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7970), 1,
      anon_sym_DOT,
    ACTIONS(5484), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7964), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7966), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7968), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7972), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7958), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5482), 22,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [147080] = 16,
    ACTIONS(7570), 1,
      anon_sym_LBRACK,
    ACTIONS(7938), 1,
      anon_sym_DASH_GT,
    ACTIONS(7942), 1,
      anon_sym_PLUS,
    ACTIONS(7944), 1,
      anon_sym_DASH,
    ACTIONS(7946), 1,
      anon_sym_TILDE,
    ACTIONS(7948), 1,
      anon_sym_AMP,
    ACTIONS(7960), 1,
      anon_sym_PIPE,
    ACTIONS(7962), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7970), 1,
      anon_sym_DOT,
    ACTIONS(5484), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7964), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7966), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7968), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7972), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5482), 25,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [147160] = 15,
    ACTIONS(7570), 1,
      anon_sym_LBRACK,
    ACTIONS(7938), 1,
      anon_sym_DASH_GT,
    ACTIONS(7942), 1,
      anon_sym_PLUS,
    ACTIONS(7944), 1,
      anon_sym_DASH,
    ACTIONS(7946), 1,
      anon_sym_TILDE,
    ACTIONS(7948), 1,
      anon_sym_AMP,
    ACTIONS(7962), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7970), 1,
      anon_sym_DOT,
    ACTIONS(7964), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7966), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7968), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7972), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5484), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
    ACTIONS(5482), 25,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [147238] = 12,
    ACTIONS(7570), 1,
      anon_sym_LBRACK,
    ACTIONS(7938), 1,
      anon_sym_DASH_GT,
    ACTIONS(7942), 1,
      anon_sym_PLUS,
    ACTIONS(7944), 1,
      anon_sym_DASH,
    ACTIONS(7970), 1,
      anon_sym_DOT,
    ACTIONS(7964), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7966), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7968), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7972), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5484), 5,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
    ACTIONS(5482), 26,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [147310] = 11,
    ACTIONS(7570), 1,
      anon_sym_LBRACK,
    ACTIONS(7938), 1,
      anon_sym_DASH_GT,
    ACTIONS(7942), 1,
      anon_sym_PLUS,
    ACTIONS(7944), 1,
      anon_sym_DASH,
    ACTIONS(7970), 1,
      anon_sym_DOT,
    ACTIONS(7966), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7968), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7972), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5484), 5,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
    ACTIONS(5482), 28,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [147380] = 7,
    ACTIONS(7570), 1,
      anon_sym_LBRACK,
    ACTIONS(7938), 1,
      anon_sym_DASH_GT,
    ACTIONS(7970), 1,
      anon_sym_DOT,
    ACTIONS(7972), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5484), 8,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5482), 31,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [147442] = 24,
    ACTIONS(7570), 1,
      anon_sym_LBRACK,
    ACTIONS(7673), 1,
      anon_sym_or_return,
    ACTIONS(7675), 1,
      anon_sym_or_continue,
    ACTIONS(7679), 1,
      anon_sym_CARET,
    ACTIONS(7938), 1,
      anon_sym_DASH_GT,
    ACTIONS(7942), 1,
      anon_sym_PLUS,
    ACTIONS(7944), 1,
      anon_sym_DASH,
    ACTIONS(7946), 1,
      anon_sym_TILDE,
    ACTIONS(7948), 1,
      anon_sym_AMP,
    ACTIONS(7952), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7960), 1,
      anon_sym_PIPE,
    ACTIONS(7962), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7970), 1,
      anon_sym_DOT,
    ACTIONS(7974), 1,
      anon_sym_or_break,
    ACTIONS(7950), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7954), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7956), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7964), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7966), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7968), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7972), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7958), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5498), 13,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_not_in,
  [147538] = 5,
    ACTIONS(7976), 1,
      anon_sym_LPAREN,
    ACTIONS(7978), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4702), 8,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4700), 34,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [147596] = 7,
    ACTIONS(7570), 1,
      anon_sym_LBRACK,
    ACTIONS(7938), 1,
      anon_sym_DASH_GT,
    ACTIONS(7970), 1,
      anon_sym_DOT,
    ACTIONS(7972), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5512), 8,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5510), 31,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [147658] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5176), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5174), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [147712] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5458), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5456), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [147766] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5462), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5460), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [147820] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5466), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5464), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [147874] = 7,
    ACTIONS(7570), 1,
      anon_sym_LBRACK,
    ACTIONS(7938), 1,
      anon_sym_DASH_GT,
    ACTIONS(7970), 1,
      anon_sym_DOT,
    ACTIONS(7972), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5562), 8,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5560), 31,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [147936] = 24,
    ACTIONS(7570), 1,
      anon_sym_LBRACK,
    ACTIONS(7673), 1,
      anon_sym_or_return,
    ACTIONS(7675), 1,
      anon_sym_or_continue,
    ACTIONS(7679), 1,
      anon_sym_CARET,
    ACTIONS(7938), 1,
      anon_sym_DASH_GT,
    ACTIONS(7942), 1,
      anon_sym_PLUS,
    ACTIONS(7944), 1,
      anon_sym_DASH,
    ACTIONS(7946), 1,
      anon_sym_TILDE,
    ACTIONS(7948), 1,
      anon_sym_AMP,
    ACTIONS(7952), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7960), 1,
      anon_sym_PIPE,
    ACTIONS(7962), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7970), 1,
      anon_sym_DOT,
    ACTIONS(7974), 1,
      anon_sym_or_break,
    ACTIONS(7950), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7954), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7956), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7964), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7966), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7968), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7972), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7958), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5584), 13,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_not_in,
  [148032] = 20,
    ACTIONS(7570), 1,
      anon_sym_LBRACK,
    ACTIONS(7938), 1,
      anon_sym_DASH_GT,
    ACTIONS(7942), 1,
      anon_sym_PLUS,
    ACTIONS(7944), 1,
      anon_sym_DASH,
    ACTIONS(7946), 1,
      anon_sym_TILDE,
    ACTIONS(7948), 1,
      anon_sym_AMP,
    ACTIONS(7952), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7960), 1,
      anon_sym_PIPE,
    ACTIONS(7962), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7970), 1,
      anon_sym_DOT,
    ACTIONS(7950), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7954), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7956), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7964), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7966), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7968), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7972), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7958), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5584), 17,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [148120] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5470), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5468), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [148174] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5474), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5472), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [148228] = 25,
    ACTIONS(7980), 1,
      anon_sym_DASH_GT,
    ACTIONS(7984), 1,
      anon_sym_PLUS,
    ACTIONS(7986), 1,
      anon_sym_DASH,
    ACTIONS(7988), 1,
      anon_sym_TILDE,
    ACTIONS(7990), 1,
      anon_sym_AMP,
    ACTIONS(7994), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8002), 1,
      anon_sym_PIPE,
    ACTIONS(8004), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8012), 1,
      anon_sym_DOT,
    ACTIONS(8014), 1,
      anon_sym_LBRACK,
    ACTIONS(8018), 1,
      anon_sym_or_return,
    ACTIONS(8020), 1,
      anon_sym_or_continue,
    ACTIONS(8022), 1,
      anon_sym_or_break,
    ACTIONS(8024), 1,
      anon_sym_CARET,
    ACTIONS(7982), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7992), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7996), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7998), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8006), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8008), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8010), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8016), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8000), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5476), 11,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_case,
      anon_sym_QMARK,
  [148326] = 9,
    ACTIONS(7980), 1,
      anon_sym_DASH_GT,
    ACTIONS(8012), 1,
      anon_sym_DOT,
    ACTIONS(8014), 1,
      anon_sym_LBRACK,
    ACTIONS(8008), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8010), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8016), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5484), 6,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
    ACTIONS(5482), 29,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [148392] = 14,
    ACTIONS(7980), 1,
      anon_sym_DASH_GT,
    ACTIONS(7984), 1,
      anon_sym_PLUS,
    ACTIONS(7986), 1,
      anon_sym_DASH,
    ACTIONS(7990), 1,
      anon_sym_AMP,
    ACTIONS(8004), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8012), 1,
      anon_sym_DOT,
    ACTIONS(8014), 1,
      anon_sym_LBRACK,
    ACTIONS(8006), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8008), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8010), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8016), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5484), 4,
      anon_sym_TILDE,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
    ACTIONS(5482), 25,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [148468] = 23,
    ACTIONS(585), 1,
      anon_sym_proc,
    ACTIONS(2241), 1,
      sym_identifier,
    ACTIONS(2245), 1,
      anon_sym_struct,
    ACTIONS(2247), 1,
      anon_sym_enum,
    ACTIONS(2249), 1,
      anon_sym_union,
    ACTIONS(2266), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2270), 1,
      anon_sym_bit_set,
    ACTIONS(7574), 1,
      anon_sym_DOLLAR,
    ACTIONS(7576), 1,
      anon_sym_BANG,
    ACTIONS(7578), 1,
      anon_sym_LBRACK,
    ACTIONS(7580), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7582), 1,
      anon_sym_CARET,
    ACTIONS(7584), 1,
      anon_sym_map,
    ACTIONS(7586), 1,
      anon_sym_matrix,
    ACTIONS(7588), 1,
      anon_sym_distinct,
    ACTIONS(7590), 1,
      sym_tag,
    ACTIONS(7887), 1,
      anon_sym_LPAREN,
    STATE(3705), 1,
      sym_procedure,
    STATE(6382), 1,
      sym_type,
    ACTIONS(857), 2,
      anon_sym_else,
      anon_sym_case,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(855), 5,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
    STATE(3649), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [148562] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4790), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4788), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [148616] = 13,
    ACTIONS(7980), 1,
      anon_sym_DASH_GT,
    ACTIONS(7984), 1,
      anon_sym_PLUS,
    ACTIONS(7986), 1,
      anon_sym_DASH,
    ACTIONS(8004), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8012), 1,
      anon_sym_DOT,
    ACTIONS(8014), 1,
      anon_sym_LBRACK,
    ACTIONS(8006), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8008), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8010), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8016), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5484), 5,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
    ACTIONS(5482), 25,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [148690] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(199), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(197), 35,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [148744] = 19,
    ACTIONS(7980), 1,
      anon_sym_DASH_GT,
    ACTIONS(7984), 1,
      anon_sym_PLUS,
    ACTIONS(7986), 1,
      anon_sym_DASH,
    ACTIONS(7988), 1,
      anon_sym_TILDE,
    ACTIONS(7990), 1,
      anon_sym_AMP,
    ACTIONS(7994), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8002), 1,
      anon_sym_PIPE,
    ACTIONS(8004), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8012), 1,
      anon_sym_DOT,
    ACTIONS(8014), 1,
      anon_sym_LBRACK,
    ACTIONS(7996), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7998), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8006), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8008), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8010), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8016), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8000), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5482), 19,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [148830] = 6,
    ACTIONS(8026), 1,
      anon_sym_LBRACE,
    ACTIONS(8029), 1,
      anon_sym_LPAREN,
    STATE(6917), 1,
      aux_sym_field_identifier_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 31,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [148890] = 6,
    ACTIONS(6619), 1,
      anon_sym_LPAREN,
    ACTIONS(7094), 1,
      anon_sym_if,
    ACTIONS(7096), 1,
      anon_sym_QMARK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(67), 31,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_when,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
      sym_uninitialized,
      sym_tag,
  [148950] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5508), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5506), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [149004] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3303), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3299), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [149058] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4795), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4792), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [149112] = 18,
    ACTIONS(7980), 1,
      anon_sym_DASH_GT,
    ACTIONS(7984), 1,
      anon_sym_PLUS,
    ACTIONS(7986), 1,
      anon_sym_DASH,
    ACTIONS(7988), 1,
      anon_sym_TILDE,
    ACTIONS(7990), 1,
      anon_sym_AMP,
    ACTIONS(8002), 1,
      anon_sym_PIPE,
    ACTIONS(8004), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8012), 1,
      anon_sym_DOT,
    ACTIONS(8014), 1,
      anon_sym_LBRACK,
    ACTIONS(7996), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7998), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8006), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8008), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8010), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8016), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8000), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5482), 20,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [149196] = 23,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(1823), 1,
      anon_sym_LPAREN,
    ACTIONS(2661), 1,
      sym_identifier,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(8032), 1,
      anon_sym_proc,
    ACTIONS(8034), 1,
      anon_sym_DOLLAR,
    ACTIONS(8036), 1,
      anon_sym_LBRACK,
    ACTIONS(8038), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8040), 1,
      anon_sym_CARET,
    ACTIONS(8042), 1,
      anon_sym_map,
    ACTIONS(8044), 1,
      anon_sym_matrix,
    ACTIONS(8046), 1,
      anon_sym_distinct,
    ACTIONS(8048), 1,
      sym_tag,
    STATE(2754), 1,
      sym_procedure,
    STATE(2899), 1,
      sym_type,
    ACTIONS(819), 2,
      anon_sym_where,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(817), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      sym_uninitialized,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [149290] = 23,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(1735), 1,
      anon_sym_LPAREN,
    ACTIONS(2699), 1,
      sym_identifier,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(8032), 1,
      anon_sym_proc,
    ACTIONS(8034), 1,
      anon_sym_DOLLAR,
    ACTIONS(8036), 1,
      anon_sym_LBRACK,
    ACTIONS(8038), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8040), 1,
      anon_sym_CARET,
    ACTIONS(8042), 1,
      anon_sym_map,
    ACTIONS(8044), 1,
      anon_sym_matrix,
    ACTIONS(8046), 1,
      anon_sym_distinct,
    ACTIONS(8051), 1,
      sym_tag,
    STATE(2754), 1,
      sym_procedure,
    STATE(2905), 1,
      sym_type,
    ACTIONS(874), 2,
      anon_sym_where,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(871), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      sym_uninitialized,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [149384] = 17,
    ACTIONS(7980), 1,
      anon_sym_DASH_GT,
    ACTIONS(7984), 1,
      anon_sym_PLUS,
    ACTIONS(7986), 1,
      anon_sym_DASH,
    ACTIONS(7988), 1,
      anon_sym_TILDE,
    ACTIONS(7990), 1,
      anon_sym_AMP,
    ACTIONS(8002), 1,
      anon_sym_PIPE,
    ACTIONS(8004), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8012), 1,
      anon_sym_DOT,
    ACTIONS(8014), 1,
      anon_sym_LBRACK,
    ACTIONS(5484), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8006), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8008), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8010), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8016), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8000), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5482), 22,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [149466] = 23,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(1751), 1,
      anon_sym_LPAREN,
    ACTIONS(2715), 1,
      sym_identifier,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(8032), 1,
      anon_sym_proc,
    ACTIONS(8034), 1,
      anon_sym_DOLLAR,
    ACTIONS(8036), 1,
      anon_sym_LBRACK,
    ACTIONS(8038), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8040), 1,
      anon_sym_CARET,
    ACTIONS(8042), 1,
      anon_sym_map,
    ACTIONS(8044), 1,
      anon_sym_matrix,
    ACTIONS(8046), 1,
      anon_sym_distinct,
    ACTIONS(8055), 1,
      sym_tag,
    STATE(2754), 1,
      sym_procedure,
    STATE(2915), 1,
      sym_type,
    ACTIONS(836), 2,
      anon_sym_where,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(833), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      sym_uninitialized,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [149560] = 16,
    ACTIONS(7980), 1,
      anon_sym_DASH_GT,
    ACTIONS(7984), 1,
      anon_sym_PLUS,
    ACTIONS(7986), 1,
      anon_sym_DASH,
    ACTIONS(7988), 1,
      anon_sym_TILDE,
    ACTIONS(7990), 1,
      anon_sym_AMP,
    ACTIONS(8002), 1,
      anon_sym_PIPE,
    ACTIONS(8004), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8012), 1,
      anon_sym_DOT,
    ACTIONS(8014), 1,
      anon_sym_LBRACK,
    ACTIONS(5484), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8006), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8008), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8010), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8016), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5482), 25,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [149640] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(857), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(855), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [149694] = 15,
    ACTIONS(7980), 1,
      anon_sym_DASH_GT,
    ACTIONS(7984), 1,
      anon_sym_PLUS,
    ACTIONS(7986), 1,
      anon_sym_DASH,
    ACTIONS(7988), 1,
      anon_sym_TILDE,
    ACTIONS(7990), 1,
      anon_sym_AMP,
    ACTIONS(8004), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8012), 1,
      anon_sym_DOT,
    ACTIONS(8014), 1,
      anon_sym_LBRACK,
    ACTIONS(8006), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8008), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8010), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8016), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5484), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
    ACTIONS(5482), 25,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [149772] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5556), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5554), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [149826] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3273), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3269), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [149880] = 23,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(1723), 1,
      anon_sym_LPAREN,
    ACTIONS(2731), 1,
      sym_identifier,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(8032), 1,
      anon_sym_proc,
    ACTIONS(8034), 1,
      anon_sym_DOLLAR,
    ACTIONS(8036), 1,
      anon_sym_LBRACK,
    ACTIONS(8038), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8040), 1,
      anon_sym_CARET,
    ACTIONS(8042), 1,
      anon_sym_map,
    ACTIONS(8044), 1,
      anon_sym_matrix,
    ACTIONS(8046), 1,
      anon_sym_distinct,
    ACTIONS(8059), 1,
      sym_tag,
    STATE(2674), 1,
      sym_type,
    STATE(2754), 1,
      sym_procedure,
    ACTIONS(857), 2,
      anon_sym_where,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(855), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      sym_uninitialized,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [149974] = 12,
    ACTIONS(7980), 1,
      anon_sym_DASH_GT,
    ACTIONS(7984), 1,
      anon_sym_PLUS,
    ACTIONS(7986), 1,
      anon_sym_DASH,
    ACTIONS(8012), 1,
      anon_sym_DOT,
    ACTIONS(8014), 1,
      anon_sym_LBRACK,
    ACTIONS(8006), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8008), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8010), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8016), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5484), 5,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
    ACTIONS(5482), 26,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [150046] = 23,
    ACTIONS(585), 1,
      anon_sym_proc,
    ACTIONS(2241), 1,
      sym_identifier,
    ACTIONS(2245), 1,
      anon_sym_struct,
    ACTIONS(2247), 1,
      anon_sym_enum,
    ACTIONS(2249), 1,
      anon_sym_union,
    ACTIONS(2266), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2270), 1,
      anon_sym_bit_set,
    ACTIONS(7574), 1,
      anon_sym_DOLLAR,
    ACTIONS(7576), 1,
      anon_sym_BANG,
    ACTIONS(7578), 1,
      anon_sym_LBRACK,
    ACTIONS(7580), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7582), 1,
      anon_sym_CARET,
    ACTIONS(7584), 1,
      anon_sym_map,
    ACTIONS(7586), 1,
      anon_sym_matrix,
    ACTIONS(7588), 1,
      anon_sym_distinct,
    ACTIONS(7590), 1,
      sym_tag,
    ACTIONS(7887), 1,
      anon_sym_LPAREN,
    STATE(3705), 1,
      sym_procedure,
    STATE(6402), 1,
      sym_type,
    ACTIONS(895), 2,
      anon_sym_else,
      anon_sym_case,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(893), 5,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
    STATE(3649), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [150140] = 11,
    ACTIONS(7980), 1,
      anon_sym_DASH_GT,
    ACTIONS(7984), 1,
      anon_sym_PLUS,
    ACTIONS(7986), 1,
      anon_sym_DASH,
    ACTIONS(8012), 1,
      anon_sym_DOT,
    ACTIONS(8014), 1,
      anon_sym_LBRACK,
    ACTIONS(8008), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8010), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8016), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5484), 5,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
    ACTIONS(5482), 28,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [150210] = 7,
    ACTIONS(7980), 1,
      anon_sym_DASH_GT,
    ACTIONS(8012), 1,
      anon_sym_DOT,
    ACTIONS(8014), 1,
      anon_sym_LBRACK,
    ACTIONS(8016), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5484), 8,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5482), 31,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [150272] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(836), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(833), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [150326] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5488), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5486), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [150380] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5492), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5490), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [150434] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5496), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5494), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [150488] = 24,
    ACTIONS(7980), 1,
      anon_sym_DASH_GT,
    ACTIONS(7984), 1,
      anon_sym_PLUS,
    ACTIONS(7986), 1,
      anon_sym_DASH,
    ACTIONS(7988), 1,
      anon_sym_TILDE,
    ACTIONS(7990), 1,
      anon_sym_AMP,
    ACTIONS(7994), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8002), 1,
      anon_sym_PIPE,
    ACTIONS(8004), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8012), 1,
      anon_sym_DOT,
    ACTIONS(8014), 1,
      anon_sym_LBRACK,
    ACTIONS(8018), 1,
      anon_sym_or_return,
    ACTIONS(8020), 1,
      anon_sym_or_continue,
    ACTIONS(8022), 1,
      anon_sym_or_break,
    ACTIONS(8024), 1,
      anon_sym_CARET,
    ACTIONS(7992), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7996), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7998), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8006), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8008), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8010), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8016), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8000), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5498), 13,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_not_in,
  [150584] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5504), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5502), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [150638] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5180), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5178), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [150692] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5280), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5278), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [150746] = 7,
    ACTIONS(7980), 1,
      anon_sym_DASH_GT,
    ACTIONS(8012), 1,
      anon_sym_DOT,
    ACTIONS(8014), 1,
      anon_sym_LBRACK,
    ACTIONS(8016), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5512), 8,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5510), 31,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [150808] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3417), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3415), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [150862] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5442), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5440), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [150916] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4706), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4704), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [150970] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5446), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5444), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [151024] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5454), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5452), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [151078] = 5,
    ACTIONS(7976), 1,
      anon_sym_LPAREN,
    ACTIONS(7978), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4712), 8,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4710), 34,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [151136] = 23,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(1663), 1,
      anon_sym_LPAREN,
    ACTIONS(2743), 1,
      sym_identifier,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(8032), 1,
      anon_sym_proc,
    ACTIONS(8034), 1,
      anon_sym_DOLLAR,
    ACTIONS(8036), 1,
      anon_sym_LBRACK,
    ACTIONS(8038), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8040), 1,
      anon_sym_CARET,
    ACTIONS(8042), 1,
      anon_sym_map,
    ACTIONS(8044), 1,
      anon_sym_matrix,
    ACTIONS(8046), 1,
      anon_sym_distinct,
    ACTIONS(8062), 1,
      sym_tag,
    STATE(2691), 1,
      sym_type,
    STATE(2754), 1,
      sym_procedure,
    ACTIONS(895), 2,
      anon_sym_where,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(893), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      sym_uninitialized,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [151230] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(199), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(197), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [151284] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5522), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5520), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [151338] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5544), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5542), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [151392] = 23,
    ACTIONS(1965), 1,
      sym_identifier,
    ACTIONS(1969), 1,
      anon_sym_struct,
    ACTIONS(1971), 1,
      anon_sym_enum,
    ACTIONS(1973), 1,
      anon_sym_union,
    ACTIONS(1990), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1994), 1,
      anon_sym_bit_set,
    ACTIONS(7731), 1,
      anon_sym_proc,
    ACTIONS(7733), 1,
      anon_sym_DOLLAR,
    ACTIONS(7735), 1,
      anon_sym_BANG,
    ACTIONS(7737), 1,
      anon_sym_LBRACK,
    ACTIONS(7739), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7741), 1,
      anon_sym_CARET,
    ACTIONS(7743), 1,
      anon_sym_map,
    ACTIONS(7745), 1,
      anon_sym_matrix,
    ACTIONS(7747), 1,
      anon_sym_distinct,
    ACTIONS(7749), 1,
      sym_tag,
    ACTIONS(8065), 1,
      anon_sym_LPAREN,
    STATE(3684), 1,
      sym_procedure,
    STATE(6358), 1,
      sym_type,
    ACTIONS(857), 2,
      anon_sym_else,
      anon_sym_case,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(855), 5,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
    STATE(3686), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [151486] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5548), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5546), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [151540] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5552), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5550), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [151594] = 7,
    ACTIONS(7980), 1,
      anon_sym_DASH_GT,
    ACTIONS(8012), 1,
      anon_sym_DOT,
    ACTIONS(8014), 1,
      anon_sym_LBRACK,
    ACTIONS(8016), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5562), 8,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5560), 31,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [151656] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5606), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5604), 35,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [151710] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4716), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4714), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [151764] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4720), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4718), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [151818] = 23,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1637), 1,
      anon_sym_LPAREN,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(2755), 1,
      sym_identifier,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(8032), 1,
      anon_sym_proc,
    ACTIONS(8034), 1,
      anon_sym_DOLLAR,
    ACTIONS(8036), 1,
      anon_sym_LBRACK,
    ACTIONS(8038), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8040), 1,
      anon_sym_CARET,
    ACTIONS(8042), 1,
      anon_sym_map,
    ACTIONS(8044), 1,
      anon_sym_matrix,
    ACTIONS(8046), 1,
      anon_sym_distinct,
    ACTIONS(8067), 1,
      sym_tag,
    STATE(2694), 1,
      sym_type,
    STATE(2754), 1,
      sym_procedure,
    ACTIONS(911), 2,
      anon_sym_where,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(909), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      sym_uninitialized,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [151912] = 23,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(1795), 1,
      anon_sym_LPAREN,
    ACTIONS(2683), 1,
      sym_identifier,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(8032), 1,
      anon_sym_proc,
    ACTIONS(8034), 1,
      anon_sym_DOLLAR,
    ACTIONS(8036), 1,
      anon_sym_LBRACK,
    ACTIONS(8038), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8040), 1,
      anon_sym_CARET,
    ACTIONS(8042), 1,
      anon_sym_map,
    ACTIONS(8044), 1,
      anon_sym_matrix,
    ACTIONS(8046), 1,
      anon_sym_distinct,
    ACTIONS(8070), 1,
      sym_tag,
    STATE(2693), 1,
      sym_type,
    STATE(2754), 1,
      sym_procedure,
    ACTIONS(778), 2,
      anon_sym_where,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(773), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      sym_uninitialized,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [152006] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(199), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(197), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [152060] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4724), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4722), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [152114] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5590), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5588), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [152168] = 4,
    ACTIONS(8074), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5522), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5520), 32,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [152224] = 23,
    ACTIONS(1965), 1,
      sym_identifier,
    ACTIONS(1969), 1,
      anon_sym_struct,
    ACTIONS(1971), 1,
      anon_sym_enum,
    ACTIONS(1973), 1,
      anon_sym_union,
    ACTIONS(1990), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1994), 1,
      anon_sym_bit_set,
    ACTIONS(7731), 1,
      anon_sym_proc,
    ACTIONS(7733), 1,
      anon_sym_DOLLAR,
    ACTIONS(7735), 1,
      anon_sym_BANG,
    ACTIONS(7737), 1,
      anon_sym_LBRACK,
    ACTIONS(7739), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7741), 1,
      anon_sym_CARET,
    ACTIONS(7743), 1,
      anon_sym_map,
    ACTIONS(7745), 1,
      anon_sym_matrix,
    ACTIONS(7747), 1,
      anon_sym_distinct,
    ACTIONS(7749), 1,
      sym_tag,
    ACTIONS(8065), 1,
      anon_sym_LPAREN,
    STATE(3684), 1,
      sym_procedure,
    STATE(6374), 1,
      sym_type,
    ACTIONS(836), 2,
      anon_sym_else,
      anon_sym_case,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(833), 5,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
    STATE(3686), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [152318] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(778), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(773), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [152372] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3859), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3857), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [152426] = 7,
    ACTIONS(7528), 1,
      anon_sym_LPAREN,
    ACTIONS(7667), 1,
      anon_sym_QMARK,
    ACTIONS(7665), 2,
      anon_sym_if,
      anon_sym_when,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8076), 3,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    ACTIONS(71), 10,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(67), 27,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [152488] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4728), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4726), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [152542] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5160), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5158), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [152596] = 23,
    ACTIONS(1965), 1,
      sym_identifier,
    ACTIONS(1969), 1,
      anon_sym_struct,
    ACTIONS(1971), 1,
      anon_sym_enum,
    ACTIONS(1973), 1,
      anon_sym_union,
    ACTIONS(1990), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1994), 1,
      anon_sym_bit_set,
    ACTIONS(7731), 1,
      anon_sym_proc,
    ACTIONS(7733), 1,
      anon_sym_DOLLAR,
    ACTIONS(7735), 1,
      anon_sym_BANG,
    ACTIONS(7737), 1,
      anon_sym_LBRACK,
    ACTIONS(7739), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7741), 1,
      anon_sym_CARET,
    ACTIONS(7743), 1,
      anon_sym_map,
    ACTIONS(7745), 1,
      anon_sym_matrix,
    ACTIONS(7747), 1,
      anon_sym_distinct,
    ACTIONS(7749), 1,
      sym_tag,
    ACTIONS(8065), 1,
      anon_sym_LPAREN,
    STATE(3684), 1,
      sym_procedure,
    STATE(6354), 1,
      sym_type,
    ACTIONS(819), 2,
      anon_sym_else,
      anon_sym_case,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(817), 5,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
    STATE(3686), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [152690] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4732), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4730), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [152744] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5566), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5564), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [152798] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5570), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5568), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [152852] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5570), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5568), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [152906] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5574), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5572), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [152960] = 4,
    ACTIONS(7922), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(67), 34,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [153016] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5578), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5576), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [153070] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5582), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5580), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [153124] = 24,
    ACTIONS(7980), 1,
      anon_sym_DASH_GT,
    ACTIONS(7984), 1,
      anon_sym_PLUS,
    ACTIONS(7986), 1,
      anon_sym_DASH,
    ACTIONS(7988), 1,
      anon_sym_TILDE,
    ACTIONS(7990), 1,
      anon_sym_AMP,
    ACTIONS(7994), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8002), 1,
      anon_sym_PIPE,
    ACTIONS(8004), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8012), 1,
      anon_sym_DOT,
    ACTIONS(8014), 1,
      anon_sym_LBRACK,
    ACTIONS(8018), 1,
      anon_sym_or_return,
    ACTIONS(8020), 1,
      anon_sym_or_continue,
    ACTIONS(8022), 1,
      anon_sym_or_break,
    ACTIONS(8024), 1,
      anon_sym_CARET,
    ACTIONS(7992), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7996), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7998), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8006), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8008), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8010), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8016), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8000), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5584), 13,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_not_in,
  [153220] = 20,
    ACTIONS(7980), 1,
      anon_sym_DASH_GT,
    ACTIONS(7984), 1,
      anon_sym_PLUS,
    ACTIONS(7986), 1,
      anon_sym_DASH,
    ACTIONS(7988), 1,
      anon_sym_TILDE,
    ACTIONS(7990), 1,
      anon_sym_AMP,
    ACTIONS(7994), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8002), 1,
      anon_sym_PIPE,
    ACTIONS(8004), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8012), 1,
      anon_sym_DOT,
    ACTIONS(8014), 1,
      anon_sym_LBRACK,
    ACTIONS(7992), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7996), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7998), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8006), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8008), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8010), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8016), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8000), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5584), 17,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [153308] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5450), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5448), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [153362] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5594), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5592), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [153416] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5598), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5596), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [153470] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4738), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4736), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [153524] = 5,
    ACTIONS(7471), 1,
      sym_identifier,
    ACTIONS(8078), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 19,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
    ACTIONS(67), 23,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
  [153582] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4742), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4740), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [153636] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4746), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4744), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [153690] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5570), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5568), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [153744] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5570), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5568), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [153798] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5570), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5568), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [153852] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3283), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3281), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [153906] = 5,
    ACTIONS(7976), 1,
      anon_sym_LPAREN,
    ACTIONS(7978), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4750), 8,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4748), 34,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [153964] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4754), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4752), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [154018] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5602), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5600), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [154072] = 6,
    ACTIONS(7930), 1,
      anon_sym_LPAREN,
    ACTIONS(8082), 1,
      anon_sym_QMARK,
    ACTIONS(8080), 2,
      anon_sym_if,
      anon_sym_when,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(67), 31,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_in,
      anon_sym_case,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [154132] = 7,
    ACTIONS(7570), 1,
      anon_sym_LBRACK,
    ACTIONS(7938), 1,
      anon_sym_DASH_GT,
    ACTIONS(7970), 1,
      anon_sym_DOT,
    ACTIONS(7972), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5124), 8,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5122), 31,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [154194] = 7,
    ACTIONS(7570), 1,
      anon_sym_LBRACK,
    ACTIONS(7938), 1,
      anon_sym_DASH_GT,
    ACTIONS(7970), 1,
      anon_sym_DOT,
    ACTIONS(7972), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5144), 8,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5142), 31,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [154256] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5606), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5604), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [154310] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5606), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5604), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [154364] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5606), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5604), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [154418] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5606), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5604), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [154472] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3293), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(3291), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [154526] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4800), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4798), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [154580] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5606), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5604), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [154634] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5610), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5608), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [154688] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5614), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5612), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [154742] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4527), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4525), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [154796] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4535), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4533), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [154850] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4678), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4676), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [154904] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5614), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5612), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [154958] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5618), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5616), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [155012] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5646), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5644), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [155066] = 4,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5448), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
    ACTIONS(5120), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5118), 30,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [155122] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4686), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4684), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [155176] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5650), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5648), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [155230] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5654), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5652), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [155284] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5658), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5656), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [155338] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4694), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4692), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [155392] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5570), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5568), 35,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [155446] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4762), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4760), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [155500] = 4,
    ACTIONS(7930), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(67), 34,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [155556] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4766), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4764), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [155610] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5570), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5568), 35,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [155664] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4682), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4680), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [155718] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5606), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5604), 35,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [155772] = 23,
    ACTIONS(1965), 1,
      sym_identifier,
    ACTIONS(1969), 1,
      anon_sym_struct,
    ACTIONS(1971), 1,
      anon_sym_enum,
    ACTIONS(1973), 1,
      anon_sym_union,
    ACTIONS(1990), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1994), 1,
      anon_sym_bit_set,
    ACTIONS(7731), 1,
      anon_sym_proc,
    ACTIONS(7733), 1,
      anon_sym_DOLLAR,
    ACTIONS(7735), 1,
      anon_sym_BANG,
    ACTIONS(7737), 1,
      anon_sym_LBRACK,
    ACTIONS(7739), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7741), 1,
      anon_sym_CARET,
    ACTIONS(7743), 1,
      anon_sym_map,
    ACTIONS(7745), 1,
      anon_sym_matrix,
    ACTIONS(7747), 1,
      anon_sym_distinct,
    ACTIONS(7749), 1,
      sym_tag,
    ACTIONS(8065), 1,
      anon_sym_LPAREN,
    STATE(3684), 1,
      sym_procedure,
    STATE(6350), 1,
      sym_type,
    ACTIONS(874), 2,
      anon_sym_else,
      anon_sym_case,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(871), 5,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
    STATE(3686), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [155866] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5570), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5568), 35,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [155920] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4770), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4768), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [155974] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5080), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5078), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [156028] = 5,
    ACTIONS(8084), 1,
      sym_identifier,
    ACTIONS(8086), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 19,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
    ACTIONS(67), 23,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
  [156086] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5096), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5094), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [156140] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5120), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5118), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [156194] = 28,
    ACTIONS(4430), 1,
      anon_sym_EQ,
    ACTIONS(7019), 1,
      anon_sym_DASH_GT,
    ACTIONS(7051), 1,
      anon_sym_LBRACK,
    ACTIONS(7055), 1,
      anon_sym_or_return,
    ACTIONS(7057), 1,
      anon_sym_or_continue,
    ACTIONS(7061), 1,
      anon_sym_CARET,
    ACTIONS(7689), 1,
      anon_sym_PLUS,
    ACTIONS(7691), 1,
      anon_sym_DASH,
    ACTIONS(7693), 1,
      anon_sym_TILDE,
    ACTIONS(7695), 1,
      anon_sym_AMP,
    ACTIONS(7699), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7707), 1,
      anon_sym_PIPE,
    ACTIONS(7709), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7717), 1,
      anon_sym_DOT,
    ACTIONS(7721), 1,
      anon_sym_or_break,
    ACTIONS(8088), 1,
      anon_sym_COMMA,
    STATE(6313), 1,
      aux_sym_where_clause_repeat1,
    ACTIONS(7697), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7701), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7703), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7711), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7713), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7715), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7719), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7772), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7705), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(4426), 8,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [156298] = 5,
    ACTIONS(7976), 1,
      anon_sym_LPAREN,
    ACTIONS(7978), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4690), 8,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4688), 34,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [156356] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5606), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5604), 35,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [156410] = 5,
    ACTIONS(8082), 1,
      anon_sym_QMARK,
    ACTIONS(8080), 2,
      anon_sym_if,
      anon_sym_when,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5080), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5078), 32,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_in,
      anon_sym_case,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [156468] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5104), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5102), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [156522] = 6,
    ACTIONS(7922), 1,
      anon_sym_LPAREN,
    ACTIONS(8092), 1,
      anon_sym_QMARK,
    ACTIONS(8090), 2,
      anon_sym_if,
      anon_sym_when,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(67), 31,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_in,
      anon_sym_case,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [156582] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4774), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4772), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [156636] = 4,
    ACTIONS(8094), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4400), 19,
      anon_sym_EQ,
      anon_sym_if,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
    ACTIONS(4398), 24,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
  [156692] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(895), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(893), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [156746] = 7,
    ACTIONS(7980), 1,
      anon_sym_DASH_GT,
    ACTIONS(8012), 1,
      anon_sym_DOT,
    ACTIONS(8014), 1,
      anon_sym_LBRACK,
    ACTIONS(8016), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5124), 8,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5122), 31,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [156808] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5662), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5660), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [156862] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(911), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(909), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [156916] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5666), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5664), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [156970] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5140), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5138), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [157024] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5670), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5668), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [157078] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5674), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5672), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [157132] = 7,
    ACTIONS(7980), 1,
      anon_sym_DASH_GT,
    ACTIONS(8012), 1,
      anon_sym_DOT,
    ACTIONS(8014), 1,
      anon_sym_LBRACK,
    ACTIONS(8016), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5144), 8,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5142), 31,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [157194] = 5,
    ACTIONS(8092), 1,
      anon_sym_QMARK,
    ACTIONS(8090), 2,
      anon_sym_if,
      anon_sym_when,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5080), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5078), 32,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_in,
      anon_sym_case,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [157252] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5674), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5672), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [157306] = 5,
    ACTIONS(7976), 1,
      anon_sym_LPAREN,
    ACTIONS(7978), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4698), 8,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4696), 34,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [157364] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4758), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4756), 35,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_when,
      anon_sym_in,
      anon_sym_case,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [157418] = 23,
    ACTIONS(585), 1,
      anon_sym_proc,
    ACTIONS(2241), 1,
      sym_identifier,
    ACTIONS(2245), 1,
      anon_sym_struct,
    ACTIONS(2247), 1,
      anon_sym_enum,
    ACTIONS(2249), 1,
      anon_sym_union,
    ACTIONS(2266), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2270), 1,
      anon_sym_bit_set,
    ACTIONS(7574), 1,
      anon_sym_DOLLAR,
    ACTIONS(7576), 1,
      anon_sym_BANG,
    ACTIONS(7578), 1,
      anon_sym_LBRACK,
    ACTIONS(7580), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7582), 1,
      anon_sym_CARET,
    ACTIONS(7584), 1,
      anon_sym_map,
    ACTIONS(7586), 1,
      anon_sym_matrix,
    ACTIONS(7588), 1,
      anon_sym_distinct,
    ACTIONS(7590), 1,
      sym_tag,
    ACTIONS(7887), 1,
      anon_sym_LPAREN,
    STATE(3705), 1,
      sym_procedure,
    STATE(6397), 1,
      sym_type,
    ACTIONS(778), 2,
      anon_sym_else,
      anon_sym_case,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(773), 5,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
    STATE(3649), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [157512] = 16,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(8096), 1,
      anon_sym_DASH_GT,
    ACTIONS(8098), 1,
      anon_sym_PLUS,
    ACTIONS(8100), 1,
      anon_sym_DASH,
    ACTIONS(8102), 1,
      anon_sym_TILDE,
    ACTIONS(8104), 1,
      anon_sym_AMP,
    ACTIONS(8106), 1,
      anon_sym_PIPE,
    ACTIONS(8108), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8116), 1,
      anon_sym_DOT,
    ACTIONS(8110), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8112), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8114), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8118), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5484), 4,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5482), 22,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [157591] = 7,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(8096), 1,
      anon_sym_DASH_GT,
    ACTIONS(8116), 1,
      anon_sym_DOT,
    ACTIONS(8118), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5512), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5510), 28,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [157652] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4650), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4648), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [157705] = 7,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(8096), 1,
      anon_sym_DASH_GT,
    ACTIONS(8116), 1,
      anon_sym_DOT,
    ACTIONS(8118), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5562), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5560), 28,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [157766] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5080), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5078), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [157819] = 25,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(8096), 1,
      anon_sym_DASH_GT,
    ACTIONS(8098), 1,
      anon_sym_PLUS,
    ACTIONS(8100), 1,
      anon_sym_DASH,
    ACTIONS(8102), 1,
      anon_sym_TILDE,
    ACTIONS(8104), 1,
      anon_sym_AMP,
    ACTIONS(8106), 1,
      anon_sym_PIPE,
    ACTIONS(8108), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8116), 1,
      anon_sym_DOT,
    ACTIONS(8122), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8130), 1,
      anon_sym_or_break,
    ACTIONS(5586), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(8110), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8112), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8114), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8118), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8120), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(8124), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8126), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8128), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5584), 10,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_not_in,
  [157916] = 21,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(8096), 1,
      anon_sym_DASH_GT,
    ACTIONS(8098), 1,
      anon_sym_PLUS,
    ACTIONS(8100), 1,
      anon_sym_DASH,
    ACTIONS(8102), 1,
      anon_sym_TILDE,
    ACTIONS(8104), 1,
      anon_sym_AMP,
    ACTIONS(8106), 1,
      anon_sym_PIPE,
    ACTIONS(8108), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8116), 1,
      anon_sym_DOT,
    ACTIONS(8122), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5586), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(8110), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8112), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8114), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8118), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8120), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(8124), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8126), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8128), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5584), 14,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [158005] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4654), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4652), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [158058] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4658), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4656), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [158111] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5610), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5608), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [158164] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5096), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5094), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [158217] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4662), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4660), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [158270] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4666), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4664), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [158323] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4670), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4668), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [158376] = 16,
    ACTIONS(8132), 1,
      anon_sym_DASH_GT,
    ACTIONS(8134), 1,
      anon_sym_PLUS,
    ACTIONS(8136), 1,
      anon_sym_DASH,
    ACTIONS(8138), 1,
      anon_sym_TILDE,
    ACTIONS(8140), 1,
      anon_sym_AMP,
    ACTIONS(8142), 1,
      anon_sym_PIPE,
    ACTIONS(8144), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8152), 1,
      anon_sym_DOT,
    ACTIONS(8154), 1,
      anon_sym_LBRACK,
    ACTIONS(8146), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8148), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8150), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8156), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5484), 3,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5482), 23,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [158455] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4674), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4672), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [158508] = 15,
    ACTIONS(8132), 1,
      anon_sym_DASH_GT,
    ACTIONS(8134), 1,
      anon_sym_PLUS,
    ACTIONS(8136), 1,
      anon_sym_DASH,
    ACTIONS(8138), 1,
      anon_sym_TILDE,
    ACTIONS(8140), 1,
      anon_sym_AMP,
    ACTIONS(8144), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8152), 1,
      anon_sym_DOT,
    ACTIONS(8154), 1,
      anon_sym_LBRACK,
    ACTIONS(8146), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8148), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8150), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8156), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5484), 4,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
    ACTIONS(5482), 23,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [158585] = 5,
    ACTIONS(8160), 1,
      anon_sym_QMARK,
    ACTIONS(8158), 2,
      anon_sym_if,
      anon_sym_when,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5080), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5078), 30,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [158642] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5104), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5102), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [158695] = 23,
    ACTIONS(895), 1,
      anon_sym_SLASH,
    ACTIONS(1867), 1,
      sym_identifier,
    ACTIONS(1871), 1,
      anon_sym_struct,
    ACTIONS(1873), 1,
      anon_sym_enum,
    ACTIONS(1875), 1,
      anon_sym_union,
    ACTIONS(1877), 1,
      anon_sym_LPAREN,
    ACTIONS(1892), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1896), 1,
      anon_sym_bit_set,
    ACTIONS(8162), 1,
      anon_sym_proc,
    ACTIONS(8164), 1,
      anon_sym_DOLLAR,
    ACTIONS(8166), 1,
      anon_sym_BANG,
    ACTIONS(8168), 1,
      anon_sym_LBRACK,
    ACTIONS(8170), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8172), 1,
      anon_sym_CARET,
    ACTIONS(8174), 1,
      anon_sym_map,
    ACTIONS(8176), 1,
      anon_sym_matrix,
    ACTIONS(8178), 1,
      anon_sym_distinct,
    ACTIONS(8180), 1,
      sym_tag,
    STATE(3458), 1,
      sym_procedure,
    STATE(3482), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(893), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RPAREN,
    STATE(3471), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [158788] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5614), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5612), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [158841] = 4,
    ACTIONS(8078), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(67), 31,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [158896] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5120), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5118), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [158949] = 12,
    ACTIONS(8132), 1,
      anon_sym_DASH_GT,
    ACTIONS(8134), 1,
      anon_sym_PLUS,
    ACTIONS(8136), 1,
      anon_sym_DASH,
    ACTIONS(8152), 1,
      anon_sym_DOT,
    ACTIONS(8154), 1,
      anon_sym_LBRACK,
    ACTIONS(8146), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8148), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8150), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8156), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5484), 6,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
    ACTIONS(5482), 24,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [159020] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5614), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5612), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [159073] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5606), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5604), 32,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [159126] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5606), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5604), 32,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [159179] = 11,
    ACTIONS(8132), 1,
      anon_sym_DASH_GT,
    ACTIONS(8134), 1,
      anon_sym_PLUS,
    ACTIONS(8136), 1,
      anon_sym_DASH,
    ACTIONS(8152), 1,
      anon_sym_DOT,
    ACTIONS(8154), 1,
      anon_sym_LBRACK,
    ACTIONS(8148), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8150), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8156), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5484), 6,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
    ACTIONS(5482), 26,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [159248] = 7,
    ACTIONS(8132), 1,
      anon_sym_DASH_GT,
    ACTIONS(8152), 1,
      anon_sym_DOT,
    ACTIONS(8154), 1,
      anon_sym_LBRACK,
    ACTIONS(8156), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5124), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5122), 29,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [159309] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5606), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5604), 32,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [159362] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5140), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5138), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [159415] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5618), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5616), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [159468] = 7,
    ACTIONS(8132), 1,
      anon_sym_DASH_GT,
    ACTIONS(8152), 1,
      anon_sym_DOT,
    ACTIONS(8154), 1,
      anon_sym_LBRACK,
    ACTIONS(8156), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5144), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5142), 29,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [159529] = 9,
    ACTIONS(7374), 1,
      anon_sym_LBRACE,
    ACTIONS(7376), 1,
      anon_sym_LPAREN,
    ACTIONS(8182), 1,
      anon_sym_COMMA,
    ACTIONS(8185), 1,
      anon_sym_RPAREN,
    STATE(6917), 1,
      aux_sym_field_identifier_repeat1,
    STATE(7465), 1,
      aux_sym_struct_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 27,
      anon_sym_DASH_GT,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [159594] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(199), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(197), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [159647] = 7,
    ACTIONS(8132), 1,
      anon_sym_DASH_GT,
    ACTIONS(8152), 1,
      anon_sym_DOT,
    ACTIONS(8154), 1,
      anon_sym_LBRACK,
    ACTIONS(8156), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5484), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5482), 29,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [159708] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5522), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5520), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [159761] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5544), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5542), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [159814] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5646), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5644), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [159867] = 6,
    ACTIONS(7374), 1,
      anon_sym_LBRACE,
    ACTIONS(8188), 1,
      anon_sym_LPAREN,
    STATE(6917), 1,
      aux_sym_field_identifier_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 30,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [159926] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5488), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5486), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [159979] = 26,
    ACTIONS(5478), 1,
      anon_sym_EQ,
    ACTIONS(8132), 1,
      anon_sym_DASH_GT,
    ACTIONS(8134), 1,
      anon_sym_PLUS,
    ACTIONS(8136), 1,
      anon_sym_DASH,
    ACTIONS(8138), 1,
      anon_sym_TILDE,
    ACTIONS(8140), 1,
      anon_sym_AMP,
    ACTIONS(8142), 1,
      anon_sym_PIPE,
    ACTIONS(8144), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8152), 1,
      anon_sym_DOT,
    ACTIONS(8154), 1,
      anon_sym_LBRACK,
    ACTIONS(8194), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8202), 1,
      anon_sym_or_return,
    ACTIONS(8204), 1,
      anon_sym_or_continue,
    ACTIONS(8206), 1,
      anon_sym_or_break,
    ACTIONS(8208), 1,
      anon_sym_CARET,
    ACTIONS(8146), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8148), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8150), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8156), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8190), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(8192), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(8196), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8198), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8200), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5476), 9,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_QMARK,
  [160078] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5492), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5490), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [160131] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5496), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5494), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [160184] = 25,
    ACTIONS(5500), 1,
      anon_sym_EQ,
    ACTIONS(8132), 1,
      anon_sym_DASH_GT,
    ACTIONS(8134), 1,
      anon_sym_PLUS,
    ACTIONS(8136), 1,
      anon_sym_DASH,
    ACTIONS(8138), 1,
      anon_sym_TILDE,
    ACTIONS(8140), 1,
      anon_sym_AMP,
    ACTIONS(8142), 1,
      anon_sym_PIPE,
    ACTIONS(8144), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8152), 1,
      anon_sym_DOT,
    ACTIONS(8154), 1,
      anon_sym_LBRACK,
    ACTIONS(8194), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8202), 1,
      anon_sym_or_return,
    ACTIONS(8204), 1,
      anon_sym_or_continue,
    ACTIONS(8206), 1,
      anon_sym_or_break,
    ACTIONS(8208), 1,
      anon_sym_CARET,
    ACTIONS(8146), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8148), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8150), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8156), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8192), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(8196), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8198), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8200), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5498), 11,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_not_in,
  [160281] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5548), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5546), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [160334] = 23,
    ACTIONS(819), 1,
      anon_sym_SLASH,
    ACTIONS(1867), 1,
      sym_identifier,
    ACTIONS(1871), 1,
      anon_sym_struct,
    ACTIONS(1873), 1,
      anon_sym_enum,
    ACTIONS(1875), 1,
      anon_sym_union,
    ACTIONS(1892), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1896), 1,
      anon_sym_bit_set,
    ACTIONS(1902), 1,
      anon_sym_LPAREN,
    ACTIONS(8162), 1,
      anon_sym_proc,
    ACTIONS(8164), 1,
      anon_sym_DOLLAR,
    ACTIONS(8166), 1,
      anon_sym_BANG,
    ACTIONS(8168), 1,
      anon_sym_LBRACK,
    ACTIONS(8170), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8172), 1,
      anon_sym_CARET,
    ACTIONS(8174), 1,
      anon_sym_map,
    ACTIONS(8176), 1,
      anon_sym_matrix,
    ACTIONS(8178), 1,
      anon_sym_distinct,
    ACTIONS(8180), 1,
      sym_tag,
    STATE(3458), 1,
      sym_procedure,
    STATE(3460), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(817), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RPAREN,
    STATE(3471), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [160427] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5504), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5502), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [160480] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5458), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5456), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [160533] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5462), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5460), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [160586] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5552), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5550), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [160639] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5160), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5158), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [160692] = 9,
    ACTIONS(8132), 1,
      anon_sym_DASH_GT,
    ACTIONS(8152), 1,
      anon_sym_DOT,
    ACTIONS(8154), 1,
      anon_sym_LBRACK,
    ACTIONS(8148), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8150), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8156), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5484), 7,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
    ACTIONS(5482), 27,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [160757] = 14,
    ACTIONS(8132), 1,
      anon_sym_DASH_GT,
    ACTIONS(8134), 1,
      anon_sym_PLUS,
    ACTIONS(8136), 1,
      anon_sym_DASH,
    ACTIONS(8140), 1,
      anon_sym_AMP,
    ACTIONS(8144), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8152), 1,
      anon_sym_DOT,
    ACTIONS(8154), 1,
      anon_sym_LBRACK,
    ACTIONS(8146), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8148), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8150), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8156), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5484), 5,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
    ACTIONS(5482), 23,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [160832] = 13,
    ACTIONS(8132), 1,
      anon_sym_DASH_GT,
    ACTIONS(8134), 1,
      anon_sym_PLUS,
    ACTIONS(8136), 1,
      anon_sym_DASH,
    ACTIONS(8144), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8152), 1,
      anon_sym_DOT,
    ACTIONS(8154), 1,
      anon_sym_LBRACK,
    ACTIONS(8146), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8148), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8150), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8156), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5484), 6,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
    ACTIONS(5482), 23,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [160905] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(199), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(197), 32,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [160958] = 9,
    ACTIONS(7374), 1,
      anon_sym_LBRACE,
    ACTIONS(7376), 1,
      anon_sym_LPAREN,
    ACTIONS(8182), 1,
      anon_sym_COMMA,
    ACTIONS(8210), 1,
      anon_sym_RPAREN,
    STATE(6917), 1,
      aux_sym_field_identifier_repeat1,
    STATE(7479), 1,
      aux_sym_struct_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 27,
      anon_sym_DASH_GT,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [161023] = 20,
    ACTIONS(5484), 1,
      anon_sym_EQ,
    ACTIONS(8132), 1,
      anon_sym_DASH_GT,
    ACTIONS(8134), 1,
      anon_sym_PLUS,
    ACTIONS(8136), 1,
      anon_sym_DASH,
    ACTIONS(8138), 1,
      anon_sym_TILDE,
    ACTIONS(8140), 1,
      anon_sym_AMP,
    ACTIONS(8142), 1,
      anon_sym_PIPE,
    ACTIONS(8144), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8152), 1,
      anon_sym_DOT,
    ACTIONS(8154), 1,
      anon_sym_LBRACK,
    ACTIONS(8194), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8146), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8148), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8150), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8156), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8196), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8198), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8200), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5482), 17,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [161110] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5466), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5464), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [161163] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5650), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5648), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [161216] = 23,
    ACTIONS(911), 1,
      anon_sym_SLASH,
    ACTIONS(1867), 1,
      sym_identifier,
    ACTIONS(1871), 1,
      anon_sym_struct,
    ACTIONS(1873), 1,
      anon_sym_enum,
    ACTIONS(1875), 1,
      anon_sym_union,
    ACTIONS(1892), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1896), 1,
      anon_sym_bit_set,
    ACTIONS(1932), 1,
      anon_sym_LPAREN,
    ACTIONS(8162), 1,
      anon_sym_proc,
    ACTIONS(8164), 1,
      anon_sym_DOLLAR,
    ACTIONS(8166), 1,
      anon_sym_BANG,
    ACTIONS(8168), 1,
      anon_sym_LBRACK,
    ACTIONS(8170), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8172), 1,
      anon_sym_CARET,
    ACTIONS(8174), 1,
      anon_sym_map,
    ACTIONS(8176), 1,
      anon_sym_matrix,
    ACTIONS(8178), 1,
      anon_sym_distinct,
    ACTIONS(8180), 1,
      sym_tag,
    STATE(3458), 1,
      sym_procedure,
    STATE(3537), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(909), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RPAREN,
    STATE(3471), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [161309] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5654), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5652), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [161362] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5658), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5656), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [161415] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4762), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4760), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [161468] = 19,
    ACTIONS(5484), 1,
      anon_sym_EQ,
    ACTIONS(8132), 1,
      anon_sym_DASH_GT,
    ACTIONS(8134), 1,
      anon_sym_PLUS,
    ACTIONS(8136), 1,
      anon_sym_DASH,
    ACTIONS(8138), 1,
      anon_sym_TILDE,
    ACTIONS(8140), 1,
      anon_sym_AMP,
    ACTIONS(8142), 1,
      anon_sym_PIPE,
    ACTIONS(8144), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8152), 1,
      anon_sym_DOT,
    ACTIONS(8154), 1,
      anon_sym_LBRACK,
    ACTIONS(8146), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8148), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8150), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8156), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8196), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8198), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8200), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5482), 18,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [161553] = 4,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8213), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
    ACTIONS(5120), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5118), 29,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [161608] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5594), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5592), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [161661] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5598), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5596), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [161714] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5176), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5174), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [161767] = 6,
    ACTIONS(8078), 1,
      anon_sym_LPAREN,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    ACTIONS(8215), 2,
      anon_sym_if,
      anon_sym_when,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(67), 28,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [161826] = 7,
    ACTIONS(8132), 1,
      anon_sym_DASH_GT,
    ACTIONS(8152), 1,
      anon_sym_DOT,
    ACTIONS(8154), 1,
      anon_sym_LBRACK,
    ACTIONS(8156), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5562), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5560), 29,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [161887] = 9,
    ACTIONS(7374), 1,
      anon_sym_LBRACE,
    ACTIONS(7376), 1,
      anon_sym_LPAREN,
    ACTIONS(8182), 1,
      anon_sym_COMMA,
    ACTIONS(8219), 1,
      anon_sym_RPAREN,
    STATE(6917), 1,
      aux_sym_field_identifier_repeat1,
    STATE(7194), 1,
      aux_sym_struct_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 27,
      anon_sym_DASH_GT,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [161952] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5662), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5660), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [162005] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5180), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5178), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [162058] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5666), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5664), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [162111] = 23,
    ACTIONS(778), 1,
      anon_sym_SLASH,
    ACTIONS(1867), 1,
      sym_identifier,
    ACTIONS(1871), 1,
      anon_sym_struct,
    ACTIONS(1873), 1,
      anon_sym_enum,
    ACTIONS(1875), 1,
      anon_sym_union,
    ACTIONS(1892), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1896), 1,
      anon_sym_bit_set,
    ACTIONS(1920), 1,
      anon_sym_LPAREN,
    ACTIONS(8162), 1,
      anon_sym_proc,
    ACTIONS(8164), 1,
      anon_sym_DOLLAR,
    ACTIONS(8166), 1,
      anon_sym_BANG,
    ACTIONS(8168), 1,
      anon_sym_LBRACK,
    ACTIONS(8170), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8172), 1,
      anon_sym_CARET,
    ACTIONS(8174), 1,
      anon_sym_map,
    ACTIONS(8176), 1,
      anon_sym_matrix,
    ACTIONS(8178), 1,
      anon_sym_distinct,
    ACTIONS(8180), 1,
      sym_tag,
    STATE(3458), 1,
      sym_procedure,
    STATE(3542), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(773), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RPAREN,
    STATE(3471), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [162204] = 25,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(8096), 1,
      anon_sym_DASH_GT,
    ACTIONS(8098), 1,
      anon_sym_PLUS,
    ACTIONS(8100), 1,
      anon_sym_DASH,
    ACTIONS(8102), 1,
      anon_sym_TILDE,
    ACTIONS(8104), 1,
      anon_sym_AMP,
    ACTIONS(8106), 1,
      anon_sym_PIPE,
    ACTIONS(8108), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8116), 1,
      anon_sym_DOT,
    ACTIONS(8122), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8130), 1,
      anon_sym_or_break,
    ACTIONS(5500), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(8110), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8112), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8114), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8118), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8120), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(8124), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8126), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8128), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5498), 10,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_not_in,
  [162301] = 29,
    ACTIONS(7019), 1,
      anon_sym_DASH_GT,
    ACTIONS(7051), 1,
      anon_sym_LBRACK,
    ACTIONS(7061), 1,
      anon_sym_CARET,
    ACTIONS(7774), 1,
      anon_sym_PLUS,
    ACTIONS(7776), 1,
      anon_sym_DASH,
    ACTIONS(7778), 1,
      anon_sym_TILDE,
    ACTIONS(7780), 1,
      anon_sym_AMP,
    ACTIONS(7782), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7784), 1,
      anon_sym_or_else,
    ACTIONS(7786), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7794), 1,
      anon_sym_PIPE,
    ACTIONS(7796), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7804), 1,
      anon_sym_DOT,
    ACTIONS(7808), 1,
      anon_sym_or_return,
    ACTIONS(7810), 1,
      anon_sym_or_continue,
    ACTIONS(7812), 1,
      anon_sym_or_break,
    ACTIONS(8222), 1,
      anon_sym_COMMA,
    STATE(6336), 1,
      aux_sym_where_clause_repeat1,
    ACTIONS(7788), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7790), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7798), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7800), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7802), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7806), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7901), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4430), 3,
      anon_sym_where,
      anon_sym_EQ,
      sym_identifier,
    ACTIONS(7792), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(4426), 5,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym_uninitialized,
      sym_tag,
  [162406] = 5,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    ACTIONS(8215), 2,
      anon_sym_if,
      anon_sym_when,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5080), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5078), 29,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [162463] = 7,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(8096), 1,
      anon_sym_DASH_GT,
    ACTIONS(8116), 1,
      anon_sym_DOT,
    ACTIONS(8118), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5124), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5122), 28,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [162524] = 7,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(8096), 1,
      anon_sym_DASH_GT,
    ACTIONS(8116), 1,
      anon_sym_DOT,
    ACTIONS(8118), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5144), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5142), 28,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [162585] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5674), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5672), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [162638] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5674), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5672), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [162691] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5570), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5568), 32,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [162744] = 4,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8224), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
    ACTIONS(5120), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5118), 29,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [162799] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5570), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5568), 32,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [162852] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5570), 11,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5568), 32,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [162905] = 28,
    ACTIONS(4430), 1,
      anon_sym_EQ,
    ACTIONS(7019), 1,
      anon_sym_DASH_GT,
    ACTIONS(7021), 1,
      anon_sym_PLUS,
    ACTIONS(7023), 1,
      anon_sym_DASH,
    ACTIONS(7025), 1,
      anon_sym_TILDE,
    ACTIONS(7027), 1,
      anon_sym_AMP,
    ACTIONS(7031), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7039), 1,
      anon_sym_PIPE,
    ACTIONS(7041), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7049), 1,
      anon_sym_DOT,
    ACTIONS(7051), 1,
      anon_sym_LBRACK,
    ACTIONS(7055), 1,
      anon_sym_or_return,
    ACTIONS(7057), 1,
      anon_sym_or_continue,
    ACTIONS(7059), 1,
      anon_sym_or_break,
    ACTIONS(7061), 1,
      anon_sym_CARET,
    ACTIONS(8226), 1,
      anon_sym_COMMA,
    STATE(6339), 1,
      aux_sym_where_clause_repeat1,
    ACTIONS(7029), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7033), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7035), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7043), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7045), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7047), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7053), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7109), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7037), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(4426), 7,
      anon_sym_LBRACE,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_when,
      sym_uninitialized,
      sym_tag,
  [163008] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5566), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5564), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [163061] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5570), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5568), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [163114] = 9,
    ACTIONS(7374), 1,
      anon_sym_LBRACE,
    ACTIONS(7376), 1,
      anon_sym_LPAREN,
    ACTIONS(8182), 1,
      anon_sym_COMMA,
    ACTIONS(8228), 1,
      anon_sym_RPAREN,
    STATE(6917), 1,
      aux_sym_field_identifier_repeat1,
    STATE(7640), 1,
      aux_sym_struct_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 27,
      anon_sym_DASH_GT,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [163179] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5570), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5568), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [163232] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5574), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5572), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [163285] = 6,
    ACTIONS(7379), 1,
      anon_sym_LPAREN,
    ACTIONS(7381), 1,
      anon_sym_SLASH,
    ACTIONS(8231), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4750), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4748), 31,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [163344] = 6,
    ACTIONS(8086), 1,
      anon_sym_LPAREN,
    ACTIONS(8160), 1,
      anon_sym_QMARK,
    ACTIONS(8158), 2,
      anon_sym_if,
      anon_sym_when,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(67), 29,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [163403] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5678), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5676), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [163456] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5682), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5680), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [163509] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5470), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5468), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [163562] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5474), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5472), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [163615] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5686), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5684), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [163668] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5690), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5688), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [163721] = 6,
    ACTIONS(7528), 1,
      anon_sym_LPAREN,
    ACTIONS(7667), 1,
      anon_sym_QMARK,
    ACTIONS(7665), 2,
      anon_sym_if,
      anon_sym_when,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(67), 30,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_in,
      anon_sym_case,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [163780] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4634), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4632), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [163833] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5602), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5600), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [163886] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5578), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5576), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [163939] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5606), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5604), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [163992] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5582), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5580), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [164045] = 25,
    ACTIONS(5586), 1,
      anon_sym_EQ,
    ACTIONS(8132), 1,
      anon_sym_DASH_GT,
    ACTIONS(8134), 1,
      anon_sym_PLUS,
    ACTIONS(8136), 1,
      anon_sym_DASH,
    ACTIONS(8138), 1,
      anon_sym_TILDE,
    ACTIONS(8140), 1,
      anon_sym_AMP,
    ACTIONS(8142), 1,
      anon_sym_PIPE,
    ACTIONS(8144), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8152), 1,
      anon_sym_DOT,
    ACTIONS(8154), 1,
      anon_sym_LBRACK,
    ACTIONS(8194), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8202), 1,
      anon_sym_or_return,
    ACTIONS(8204), 1,
      anon_sym_or_continue,
    ACTIONS(8206), 1,
      anon_sym_or_break,
    ACTIONS(8208), 1,
      anon_sym_CARET,
    ACTIONS(8146), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8148), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8150), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8156), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8192), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(8196), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8198), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8200), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5584), 11,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_not_in,
  [164142] = 21,
    ACTIONS(5586), 1,
      anon_sym_EQ,
    ACTIONS(8132), 1,
      anon_sym_DASH_GT,
    ACTIONS(8134), 1,
      anon_sym_PLUS,
    ACTIONS(8136), 1,
      anon_sym_DASH,
    ACTIONS(8138), 1,
      anon_sym_TILDE,
    ACTIONS(8140), 1,
      anon_sym_AMP,
    ACTIONS(8142), 1,
      anon_sym_PIPE,
    ACTIONS(8144), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8152), 1,
      anon_sym_DOT,
    ACTIONS(8154), 1,
      anon_sym_LBRACK,
    ACTIONS(8194), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8146), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8148), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8150), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8156), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8192), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(8196), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8198), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8200), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5584), 15,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [164231] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4638), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4636), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [164284] = 23,
    ACTIONS(857), 1,
      anon_sym_SLASH,
    ACTIONS(1867), 1,
      sym_identifier,
    ACTIONS(1871), 1,
      anon_sym_struct,
    ACTIONS(1873), 1,
      anon_sym_enum,
    ACTIONS(1875), 1,
      anon_sym_union,
    ACTIONS(1892), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1896), 1,
      anon_sym_bit_set,
    ACTIONS(1911), 1,
      anon_sym_LPAREN,
    ACTIONS(8162), 1,
      anon_sym_proc,
    ACTIONS(8164), 1,
      anon_sym_DOLLAR,
    ACTIONS(8166), 1,
      anon_sym_BANG,
    ACTIONS(8168), 1,
      anon_sym_LBRACK,
    ACTIONS(8170), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8172), 1,
      anon_sym_CARET,
    ACTIONS(8174), 1,
      anon_sym_map,
    ACTIONS(8176), 1,
      anon_sym_matrix,
    ACTIONS(8178), 1,
      anon_sym_distinct,
    ACTIONS(8180), 1,
      sym_tag,
    STATE(3458), 1,
      sym_procedure,
    STATE(3516), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(855), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RPAREN,
    STATE(3471), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [164377] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4642), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4640), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [164430] = 7,
    ACTIONS(8132), 1,
      anon_sym_DASH_GT,
    ACTIONS(8152), 1,
      anon_sym_DOT,
    ACTIONS(8154), 1,
      anon_sym_LBRACK,
    ACTIONS(8156), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5512), 9,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5510), 29,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [164491] = 9,
    ACTIONS(7374), 1,
      anon_sym_LBRACE,
    ACTIONS(7376), 1,
      anon_sym_LPAREN,
    ACTIONS(8182), 1,
      anon_sym_COMMA,
    ACTIONS(8233), 1,
      anon_sym_RPAREN,
    STATE(6917), 1,
      aux_sym_field_identifier_repeat1,
    STATE(7408), 1,
      aux_sym_struct_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 27,
      anon_sym_DASH_GT,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [164556] = 26,
    ACTIONS(4624), 1,
      anon_sym_EQ,
    ACTIONS(7019), 1,
      anon_sym_DASH_GT,
    ACTIONS(7051), 1,
      anon_sym_LBRACK,
    ACTIONS(7055), 1,
      anon_sym_or_return,
    ACTIONS(7057), 1,
      anon_sym_or_continue,
    ACTIONS(7061), 1,
      anon_sym_CARET,
    ACTIONS(7689), 1,
      anon_sym_PLUS,
    ACTIONS(7691), 1,
      anon_sym_DASH,
    ACTIONS(7693), 1,
      anon_sym_TILDE,
    ACTIONS(7695), 1,
      anon_sym_AMP,
    ACTIONS(7699), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7707), 1,
      anon_sym_PIPE,
    ACTIONS(7709), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7717), 1,
      anon_sym_DOT,
    ACTIONS(7721), 1,
      anon_sym_or_break,
    ACTIONS(7697), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7701), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7703), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7711), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7713), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7715), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7719), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7772), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7705), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(4619), 9,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [164655] = 4,
    ACTIONS(8086), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(67), 32,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [164710] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4646), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4644), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [164763] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5606), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5604), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [164816] = 17,
    ACTIONS(8132), 1,
      anon_sym_DASH_GT,
    ACTIONS(8134), 1,
      anon_sym_PLUS,
    ACTIONS(8136), 1,
      anon_sym_DASH,
    ACTIONS(8138), 1,
      anon_sym_TILDE,
    ACTIONS(8140), 1,
      anon_sym_AMP,
    ACTIONS(8142), 1,
      anon_sym_PIPE,
    ACTIONS(8144), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8152), 1,
      anon_sym_DOT,
    ACTIONS(8154), 1,
      anon_sym_LBRACK,
    ACTIONS(8146), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8148), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8150), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8156), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5484), 3,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8200), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5482), 20,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [164897] = 23,
    ACTIONS(874), 1,
      anon_sym_SLASH,
    ACTIONS(1867), 1,
      sym_identifier,
    ACTIONS(1871), 1,
      anon_sym_struct,
    ACTIONS(1873), 1,
      anon_sym_enum,
    ACTIONS(1875), 1,
      anon_sym_union,
    ACTIONS(1892), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1896), 1,
      anon_sym_bit_set,
    ACTIONS(1941), 1,
      anon_sym_LPAREN,
    ACTIONS(8162), 1,
      anon_sym_proc,
    ACTIONS(8164), 1,
      anon_sym_DOLLAR,
    ACTIONS(8166), 1,
      anon_sym_BANG,
    ACTIONS(8168), 1,
      anon_sym_LBRACK,
    ACTIONS(8170), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8172), 1,
      anon_sym_CARET,
    ACTIONS(8174), 1,
      anon_sym_map,
    ACTIONS(8176), 1,
      anon_sym_matrix,
    ACTIONS(8178), 1,
      anon_sym_distinct,
    ACTIONS(8180), 1,
      sym_tag,
    STATE(3458), 1,
      sym_procedure,
    STATE(3481), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(871), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RPAREN,
    STATE(3471), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [164990] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5280), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5278), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [165043] = 26,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(8096), 1,
      anon_sym_DASH_GT,
    ACTIONS(8098), 1,
      anon_sym_PLUS,
    ACTIONS(8100), 1,
      anon_sym_DASH,
    ACTIONS(8102), 1,
      anon_sym_TILDE,
    ACTIONS(8104), 1,
      anon_sym_AMP,
    ACTIONS(8106), 1,
      anon_sym_PIPE,
    ACTIONS(8108), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8116), 1,
      anon_sym_DOT,
    ACTIONS(8122), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8130), 1,
      anon_sym_or_break,
    ACTIONS(5478), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(8110), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8112), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8114), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8118), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8120), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(8124), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8126), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8236), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8128), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5476), 8,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_when,
      anon_sym_QMARK,
  [165142] = 23,
    ACTIONS(836), 1,
      anon_sym_SLASH,
    ACTIONS(1867), 1,
      sym_identifier,
    ACTIONS(1871), 1,
      anon_sym_struct,
    ACTIONS(1873), 1,
      anon_sym_enum,
    ACTIONS(1875), 1,
      anon_sym_union,
    ACTIONS(1892), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1896), 1,
      anon_sym_bit_set,
    ACTIONS(1953), 1,
      anon_sym_LPAREN,
    ACTIONS(8162), 1,
      anon_sym_proc,
    ACTIONS(8164), 1,
      anon_sym_DOLLAR,
    ACTIONS(8166), 1,
      anon_sym_BANG,
    ACTIONS(8168), 1,
      anon_sym_LBRACK,
    ACTIONS(8170), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8172), 1,
      anon_sym_CARET,
    ACTIONS(8174), 1,
      anon_sym_map,
    ACTIONS(8176), 1,
      anon_sym_matrix,
    ACTIONS(8178), 1,
      anon_sym_distinct,
    ACTIONS(8180), 1,
      sym_tag,
    STATE(3458), 1,
      sym_procedure,
    STATE(3531), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(833), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RPAREN,
    STATE(3471), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [165235] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5442), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5440), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [165288] = 9,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(8096), 1,
      anon_sym_DASH_GT,
    ACTIONS(8116), 1,
      anon_sym_DOT,
    ACTIONS(8112), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8114), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8118), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5484), 8,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
    ACTIONS(5482), 26,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [165353] = 14,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(8096), 1,
      anon_sym_DASH_GT,
    ACTIONS(8098), 1,
      anon_sym_PLUS,
    ACTIONS(8100), 1,
      anon_sym_DASH,
    ACTIONS(8104), 1,
      anon_sym_AMP,
    ACTIONS(8108), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8116), 1,
      anon_sym_DOT,
    ACTIONS(8110), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8112), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8114), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8118), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5484), 6,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_TILDE,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
    ACTIONS(5482), 22,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [165428] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5446), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5444), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [165481] = 13,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(8096), 1,
      anon_sym_DASH_GT,
    ACTIONS(8098), 1,
      anon_sym_PLUS,
    ACTIONS(8100), 1,
      anon_sym_DASH,
    ACTIONS(8108), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8116), 1,
      anon_sym_DOT,
    ACTIONS(8110), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8112), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8114), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8118), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5484), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
    ACTIONS(5482), 22,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [165554] = 7,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(8096), 1,
      anon_sym_DASH_GT,
    ACTIONS(8116), 1,
      anon_sym_DOT,
    ACTIONS(8118), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5484), 10,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5482), 28,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [165615] = 20,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(8096), 1,
      anon_sym_DASH_GT,
    ACTIONS(8098), 1,
      anon_sym_PLUS,
    ACTIONS(8100), 1,
      anon_sym_DASH,
    ACTIONS(8102), 1,
      anon_sym_TILDE,
    ACTIONS(8104), 1,
      anon_sym_AMP,
    ACTIONS(8106), 1,
      anon_sym_PIPE,
    ACTIONS(8108), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8116), 1,
      anon_sym_DOT,
    ACTIONS(8122), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5484), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(8110), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8112), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8114), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8118), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8124), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8126), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8128), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5482), 16,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [165702] = 19,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(8096), 1,
      anon_sym_DASH_GT,
    ACTIONS(8098), 1,
      anon_sym_PLUS,
    ACTIONS(8100), 1,
      anon_sym_DASH,
    ACTIONS(8102), 1,
      anon_sym_TILDE,
    ACTIONS(8104), 1,
      anon_sym_AMP,
    ACTIONS(8106), 1,
      anon_sym_PIPE,
    ACTIONS(8108), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8116), 1,
      anon_sym_DOT,
    ACTIONS(5484), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(8110), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8112), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8114), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8118), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8124), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8126), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8128), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5482), 17,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [165787] = 17,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(8096), 1,
      anon_sym_DASH_GT,
    ACTIONS(8098), 1,
      anon_sym_PLUS,
    ACTIONS(8100), 1,
      anon_sym_DASH,
    ACTIONS(8102), 1,
      anon_sym_TILDE,
    ACTIONS(8104), 1,
      anon_sym_AMP,
    ACTIONS(8106), 1,
      anon_sym_PIPE,
    ACTIONS(8108), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8116), 1,
      anon_sym_DOT,
    ACTIONS(8110), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8112), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8114), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8118), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8128), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5484), 4,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(5482), 19,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [165868] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5454), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5452), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [165921] = 15,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(8096), 1,
      anon_sym_DASH_GT,
    ACTIONS(8098), 1,
      anon_sym_PLUS,
    ACTIONS(8100), 1,
      anon_sym_DASH,
    ACTIONS(8102), 1,
      anon_sym_TILDE,
    ACTIONS(8104), 1,
      anon_sym_AMP,
    ACTIONS(8108), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8116), 1,
      anon_sym_DOT,
    ACTIONS(8110), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8112), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8114), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8118), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5484), 5,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
    ACTIONS(5482), 22,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [165998] = 12,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(8096), 1,
      anon_sym_DASH_GT,
    ACTIONS(8098), 1,
      anon_sym_PLUS,
    ACTIONS(8100), 1,
      anon_sym_DASH,
    ACTIONS(8116), 1,
      anon_sym_DOT,
    ACTIONS(8110), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8112), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8114), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8118), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5484), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
    ACTIONS(5482), 23,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [166069] = 11,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(8096), 1,
      anon_sym_DASH_GT,
    ACTIONS(8098), 1,
      anon_sym_PLUS,
    ACTIONS(8100), 1,
      anon_sym_DASH,
    ACTIONS(8116), 1,
      anon_sym_DOT,
    ACTIONS(8112), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8114), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8118), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5484), 7,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
    ACTIONS(5482), 25,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [166138] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5670), 10,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5668), 33,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_SEMI,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [166191] = 23,
    ACTIONS(778), 1,
      anon_sym_SLASH,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2195), 1,
      anon_sym_LPAREN,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(8238), 1,
      anon_sym_proc,
    ACTIONS(8240), 1,
      anon_sym_DOLLAR,
    ACTIONS(8242), 1,
      anon_sym_LBRACK,
    ACTIONS(8244), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8246), 1,
      anon_sym_CARET,
    ACTIONS(8248), 1,
      anon_sym_map,
    ACTIONS(8250), 1,
      anon_sym_matrix,
    ACTIONS(8252), 1,
      anon_sym_distinct,
    ACTIONS(8254), 1,
      sym_tag,
    STATE(3279), 1,
      sym_procedure,
    STATE(3322), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(773), 4,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [166283] = 23,
    ACTIONS(836), 1,
      anon_sym_SLASH,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(2369), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(8238), 1,
      anon_sym_proc,
    ACTIONS(8240), 1,
      anon_sym_DOLLAR,
    ACTIONS(8242), 1,
      anon_sym_LBRACK,
    ACTIONS(8244), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8246), 1,
      anon_sym_CARET,
    ACTIONS(8248), 1,
      anon_sym_map,
    ACTIONS(8250), 1,
      anon_sym_matrix,
    ACTIONS(8252), 1,
      anon_sym_distinct,
    ACTIONS(8254), 1,
      sym_tag,
    STATE(3279), 1,
      sym_procedure,
    STATE(3347), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(833), 4,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [166375] = 27,
    ACTIONS(7019), 1,
      anon_sym_DASH_GT,
    ACTIONS(7051), 1,
      anon_sym_LBRACK,
    ACTIONS(7061), 1,
      anon_sym_CARET,
    ACTIONS(7774), 1,
      anon_sym_PLUS,
    ACTIONS(7776), 1,
      anon_sym_DASH,
    ACTIONS(7778), 1,
      anon_sym_TILDE,
    ACTIONS(7780), 1,
      anon_sym_AMP,
    ACTIONS(7782), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7784), 1,
      anon_sym_or_else,
    ACTIONS(7786), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7794), 1,
      anon_sym_PIPE,
    ACTIONS(7796), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7804), 1,
      anon_sym_DOT,
    ACTIONS(7808), 1,
      anon_sym_or_return,
    ACTIONS(7810), 1,
      anon_sym_or_continue,
    ACTIONS(7812), 1,
      anon_sym_or_break,
    ACTIONS(7788), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7790), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7798), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7800), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7802), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7806), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7901), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4624), 3,
      anon_sym_where,
      anon_sym_EQ,
      sym_identifier,
    ACTIONS(7792), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(4619), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym_uninitialized,
      sym_tag,
  [166475] = 6,
    ACTIONS(7526), 1,
      sym_identifier,
    ACTIONS(7922), 1,
      anon_sym_LPAREN,
    ACTIONS(8256), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 17,
      anon_sym_else,
      anon_sym_in,
      anon_sym_case,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
    ACTIONS(67), 22,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
  [166533] = 23,
    ACTIONS(911), 1,
      anon_sym_SLASH,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(2306), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(8238), 1,
      anon_sym_proc,
    ACTIONS(8240), 1,
      anon_sym_DOLLAR,
    ACTIONS(8242), 1,
      anon_sym_LBRACK,
    ACTIONS(8244), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8246), 1,
      anon_sym_CARET,
    ACTIONS(8248), 1,
      anon_sym_map,
    ACTIONS(8250), 1,
      anon_sym_matrix,
    ACTIONS(8252), 1,
      anon_sym_distinct,
    ACTIONS(8254), 1,
      sym_tag,
    STATE(3278), 1,
      sym_type,
    STATE(3279), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(909), 4,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [166625] = 23,
    ACTIONS(819), 1,
      anon_sym_SLASH,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(2232), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(8238), 1,
      anon_sym_proc,
    ACTIONS(8240), 1,
      anon_sym_DOLLAR,
    ACTIONS(8242), 1,
      anon_sym_LBRACK,
    ACTIONS(8244), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8246), 1,
      anon_sym_CARET,
    ACTIONS(8248), 1,
      anon_sym_map,
    ACTIONS(8250), 1,
      anon_sym_matrix,
    ACTIONS(8252), 1,
      anon_sym_distinct,
    ACTIONS(8254), 1,
      sym_tag,
    STATE(3279), 1,
      sym_procedure,
    STATE(3338), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(817), 4,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [166717] = 23,
    ACTIONS(857), 1,
      anon_sym_SLASH,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(2223), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(8238), 1,
      anon_sym_proc,
    ACTIONS(8240), 1,
      anon_sym_DOLLAR,
    ACTIONS(8242), 1,
      anon_sym_LBRACK,
    ACTIONS(8244), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8246), 1,
      anon_sym_CARET,
    ACTIONS(8248), 1,
      anon_sym_map,
    ACTIONS(8250), 1,
      anon_sym_matrix,
    ACTIONS(8252), 1,
      anon_sym_distinct,
    ACTIONS(8254), 1,
      sym_tag,
    STATE(3279), 1,
      sym_procedure,
    STATE(3354), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(855), 4,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [166809] = 23,
    ACTIONS(895), 1,
      anon_sym_SLASH,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(2276), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(8238), 1,
      anon_sym_proc,
    ACTIONS(8240), 1,
      anon_sym_DOLLAR,
    ACTIONS(8242), 1,
      anon_sym_LBRACK,
    ACTIONS(8244), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8246), 1,
      anon_sym_CARET,
    ACTIONS(8248), 1,
      anon_sym_map,
    ACTIONS(8250), 1,
      anon_sym_matrix,
    ACTIONS(8252), 1,
      anon_sym_distinct,
    ACTIONS(8254), 1,
      sym_tag,
    STATE(3279), 1,
      sym_procedure,
    STATE(3380), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(893), 4,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [166901] = 23,
    ACTIONS(874), 1,
      anon_sym_SLASH,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(2336), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(8238), 1,
      anon_sym_proc,
    ACTIONS(8240), 1,
      anon_sym_DOLLAR,
    ACTIONS(8242), 1,
      anon_sym_LBRACK,
    ACTIONS(8244), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8246), 1,
      anon_sym_CARET,
    ACTIONS(8248), 1,
      anon_sym_map,
    ACTIONS(8250), 1,
      anon_sym_matrix,
    ACTIONS(8252), 1,
      anon_sym_distinct,
    ACTIONS(8254), 1,
      sym_tag,
    STATE(3279), 1,
      sym_procedure,
    STATE(3357), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(871), 4,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [166993] = 23,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(2223), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(8258), 1,
      anon_sym_proc,
    ACTIONS(8260), 1,
      anon_sym_DOLLAR,
    ACTIONS(8262), 1,
      anon_sym_LBRACK,
    ACTIONS(8264), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8266), 1,
      anon_sym_CARET,
    ACTIONS(8268), 1,
      anon_sym_map,
    ACTIONS(8270), 1,
      anon_sym_matrix,
    ACTIONS(8272), 1,
      anon_sym_distinct,
    ACTIONS(8274), 1,
      sym_tag,
    STATE(3279), 1,
      sym_procedure,
    STATE(3354), 1,
      sym_type,
    ACTIONS(855), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(857), 2,
      anon_sym_when,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [167084] = 23,
    ACTIONS(836), 1,
      anon_sym_SLASH,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(2369), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(8276), 1,
      sym_identifier,
    ACTIONS(8280), 1,
      anon_sym_proc,
    ACTIONS(8282), 1,
      anon_sym_DOLLAR,
    ACTIONS(8284), 1,
      anon_sym_LBRACK,
    ACTIONS(8286), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8288), 1,
      anon_sym_CARET,
    ACTIONS(8290), 1,
      anon_sym_map,
    ACTIONS(8292), 1,
      anon_sym_matrix,
    ACTIONS(8294), 1,
      anon_sym_distinct,
    ACTIONS(8296), 1,
      sym_tag,
    STATE(3279), 1,
      sym_procedure,
    STATE(3347), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(833), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [167175] = 22,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    STATE(3279), 1,
      sym_procedure,
    STATE(6506), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(909), 4,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RPAREN,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [167264] = 27,
    ACTIONS(7570), 1,
      anon_sym_LBRACK,
    ACTIONS(7673), 1,
      anon_sym_or_return,
    ACTIONS(7675), 1,
      anon_sym_or_continue,
    ACTIONS(7679), 1,
      anon_sym_CARET,
    ACTIONS(7938), 1,
      anon_sym_DASH_GT,
    ACTIONS(7942), 1,
      anon_sym_PLUS,
    ACTIONS(7944), 1,
      anon_sym_DASH,
    ACTIONS(7946), 1,
      anon_sym_TILDE,
    ACTIONS(7948), 1,
      anon_sym_AMP,
    ACTIONS(7952), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7960), 1,
      anon_sym_PIPE,
    ACTIONS(7962), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7970), 1,
      anon_sym_DOT,
    ACTIONS(7974), 1,
      anon_sym_or_break,
    ACTIONS(8300), 1,
      anon_sym_COMMA,
    STATE(6443), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(7940), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7950), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7954), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7956), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7964), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7966), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7968), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7972), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7958), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(8298), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [167363] = 27,
    ACTIONS(7570), 1,
      anon_sym_LBRACK,
    ACTIONS(7673), 1,
      anon_sym_or_return,
    ACTIONS(7675), 1,
      anon_sym_or_continue,
    ACTIONS(7679), 1,
      anon_sym_CARET,
    ACTIONS(7938), 1,
      anon_sym_DASH_GT,
    ACTIONS(7942), 1,
      anon_sym_PLUS,
    ACTIONS(7944), 1,
      anon_sym_DASH,
    ACTIONS(7946), 1,
      anon_sym_TILDE,
    ACTIONS(7948), 1,
      anon_sym_AMP,
    ACTIONS(7952), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7960), 1,
      anon_sym_PIPE,
    ACTIONS(7962), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7970), 1,
      anon_sym_DOT,
    ACTIONS(7974), 1,
      anon_sym_or_break,
    ACTIONS(8300), 1,
      anon_sym_COMMA,
    STATE(6411), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(7940), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7950), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7954), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7956), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7964), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7966), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7968), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7972), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7958), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(8302), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [167462] = 23,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(2369), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(8258), 1,
      anon_sym_proc,
    ACTIONS(8260), 1,
      anon_sym_DOLLAR,
    ACTIONS(8262), 1,
      anon_sym_LBRACK,
    ACTIONS(8264), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8266), 1,
      anon_sym_CARET,
    ACTIONS(8268), 1,
      anon_sym_map,
    ACTIONS(8270), 1,
      anon_sym_matrix,
    ACTIONS(8272), 1,
      anon_sym_distinct,
    ACTIONS(8274), 1,
      sym_tag,
    STATE(3279), 1,
      sym_procedure,
    STATE(3347), 1,
      sym_type,
    ACTIONS(833), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(836), 2,
      anon_sym_when,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [167553] = 27,
    ACTIONS(7570), 1,
      anon_sym_LBRACK,
    ACTIONS(7673), 1,
      anon_sym_or_return,
    ACTIONS(7675), 1,
      anon_sym_or_continue,
    ACTIONS(7679), 1,
      anon_sym_CARET,
    ACTIONS(7938), 1,
      anon_sym_DASH_GT,
    ACTIONS(7942), 1,
      anon_sym_PLUS,
    ACTIONS(7944), 1,
      anon_sym_DASH,
    ACTIONS(7946), 1,
      anon_sym_TILDE,
    ACTIONS(7948), 1,
      anon_sym_AMP,
    ACTIONS(7952), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7960), 1,
      anon_sym_PIPE,
    ACTIONS(7962), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7970), 1,
      anon_sym_DOT,
    ACTIONS(7974), 1,
      anon_sym_or_break,
    ACTIONS(8306), 1,
      anon_sym_COMMA,
    STATE(6438), 1,
      aux_sym_const_declaration_repeat1,
    ACTIONS(7940), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7950), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7954), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7956), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7964), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7966), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7968), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7972), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7958), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(8304), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [167652] = 27,
    ACTIONS(7570), 1,
      anon_sym_LBRACK,
    ACTIONS(7673), 1,
      anon_sym_or_return,
    ACTIONS(7675), 1,
      anon_sym_or_continue,
    ACTIONS(7679), 1,
      anon_sym_CARET,
    ACTIONS(7938), 1,
      anon_sym_DASH_GT,
    ACTIONS(7942), 1,
      anon_sym_PLUS,
    ACTIONS(7944), 1,
      anon_sym_DASH,
    ACTIONS(7946), 1,
      anon_sym_TILDE,
    ACTIONS(7948), 1,
      anon_sym_AMP,
    ACTIONS(7952), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7960), 1,
      anon_sym_PIPE,
    ACTIONS(7962), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7970), 1,
      anon_sym_DOT,
    ACTIONS(7974), 1,
      anon_sym_or_break,
    ACTIONS(8306), 1,
      anon_sym_COMMA,
    STATE(6426), 1,
      aux_sym_const_declaration_repeat1,
    ACTIONS(7940), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7950), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7954), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7956), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7964), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7966), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7968), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7972), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7958), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(8308), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [167751] = 23,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(2336), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(8258), 1,
      anon_sym_proc,
    ACTIONS(8260), 1,
      anon_sym_DOLLAR,
    ACTIONS(8262), 1,
      anon_sym_LBRACK,
    ACTIONS(8264), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8266), 1,
      anon_sym_CARET,
    ACTIONS(8268), 1,
      anon_sym_map,
    ACTIONS(8270), 1,
      anon_sym_matrix,
    ACTIONS(8272), 1,
      anon_sym_distinct,
    ACTIONS(8274), 1,
      sym_tag,
    STATE(3279), 1,
      sym_procedure,
    STATE(3357), 1,
      sym_type,
    ACTIONS(871), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(874), 2,
      anon_sym_when,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [167842] = 28,
    ACTIONS(7980), 1,
      anon_sym_DASH_GT,
    ACTIONS(7984), 1,
      anon_sym_PLUS,
    ACTIONS(7986), 1,
      anon_sym_DASH,
    ACTIONS(7988), 1,
      anon_sym_TILDE,
    ACTIONS(7990), 1,
      anon_sym_AMP,
    ACTIONS(7994), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8002), 1,
      anon_sym_PIPE,
    ACTIONS(8004), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8012), 1,
      anon_sym_DOT,
    ACTIONS(8014), 1,
      anon_sym_LBRACK,
    ACTIONS(8018), 1,
      anon_sym_or_return,
    ACTIONS(8020), 1,
      anon_sym_or_continue,
    ACTIONS(8022), 1,
      anon_sym_or_break,
    ACTIONS(8024), 1,
      anon_sym_CARET,
    ACTIONS(8310), 1,
      anon_sym_COMMA,
    ACTIONS(8312), 1,
      sym__nl_comma,
    STATE(6423), 1,
      aux_sym_return_statement_repeat1,
    ACTIONS(7982), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7992), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7996), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7998), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8006), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8008), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8010), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8016), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8000), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(709), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [167943] = 23,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(2276), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(8258), 1,
      anon_sym_proc,
    ACTIONS(8260), 1,
      anon_sym_DOLLAR,
    ACTIONS(8262), 1,
      anon_sym_LBRACK,
    ACTIONS(8264), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8266), 1,
      anon_sym_CARET,
    ACTIONS(8268), 1,
      anon_sym_map,
    ACTIONS(8270), 1,
      anon_sym_matrix,
    ACTIONS(8272), 1,
      anon_sym_distinct,
    ACTIONS(8274), 1,
      sym_tag,
    STATE(3279), 1,
      sym_procedure,
    STATE(3380), 1,
      sym_type,
    ACTIONS(893), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(895), 2,
      anon_sym_when,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [168034] = 23,
    ACTIONS(911), 1,
      anon_sym_SLASH,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(2306), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(8280), 1,
      anon_sym_proc,
    ACTIONS(8282), 1,
      anon_sym_DOLLAR,
    ACTIONS(8284), 1,
      anon_sym_LBRACK,
    ACTIONS(8286), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8288), 1,
      anon_sym_CARET,
    ACTIONS(8290), 1,
      anon_sym_map,
    ACTIONS(8292), 1,
      anon_sym_matrix,
    ACTIONS(8294), 1,
      anon_sym_distinct,
    ACTIONS(8296), 1,
      sym_tag,
    ACTIONS(8314), 1,
      sym_identifier,
    STATE(3278), 1,
      sym_type,
    STATE(3279), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(909), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [168125] = 23,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2195), 1,
      anon_sym_LPAREN,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(8258), 1,
      anon_sym_proc,
    ACTIONS(8260), 1,
      anon_sym_DOLLAR,
    ACTIONS(8262), 1,
      anon_sym_LBRACK,
    ACTIONS(8264), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8266), 1,
      anon_sym_CARET,
    ACTIONS(8268), 1,
      anon_sym_map,
    ACTIONS(8270), 1,
      anon_sym_matrix,
    ACTIONS(8272), 1,
      anon_sym_distinct,
    ACTIONS(8274), 1,
      sym_tag,
    STATE(3279), 1,
      sym_procedure,
    STATE(3322), 1,
      sym_type,
    ACTIONS(773), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(778), 2,
      anon_sym_when,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [168216] = 23,
    ACTIONS(778), 1,
      anon_sym_SLASH,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2195), 1,
      anon_sym_LPAREN,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(8280), 1,
      anon_sym_proc,
    ACTIONS(8282), 1,
      anon_sym_DOLLAR,
    ACTIONS(8284), 1,
      anon_sym_LBRACK,
    ACTIONS(8286), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8288), 1,
      anon_sym_CARET,
    ACTIONS(8290), 1,
      anon_sym_map,
    ACTIONS(8292), 1,
      anon_sym_matrix,
    ACTIONS(8294), 1,
      anon_sym_distinct,
    ACTIONS(8296), 1,
      sym_tag,
    ACTIONS(8317), 1,
      sym_identifier,
    STATE(3279), 1,
      sym_procedure,
    STATE(3322), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(773), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [168307] = 22,
    ACTIONS(1867), 1,
      sym_identifier,
    ACTIONS(1871), 1,
      anon_sym_struct,
    ACTIONS(1873), 1,
      anon_sym_enum,
    ACTIONS(1875), 1,
      anon_sym_union,
    ACTIONS(1892), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1896), 1,
      anon_sym_bit_set,
    ACTIONS(8162), 1,
      anon_sym_proc,
    ACTIONS(8164), 1,
      anon_sym_DOLLAR,
    ACTIONS(8166), 1,
      anon_sym_BANG,
    ACTIONS(8168), 1,
      anon_sym_LBRACK,
    ACTIONS(8170), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8172), 1,
      anon_sym_CARET,
    ACTIONS(8174), 1,
      anon_sym_map,
    ACTIONS(8176), 1,
      anon_sym_matrix,
    ACTIONS(8178), 1,
      anon_sym_distinct,
    ACTIONS(8180), 1,
      sym_tag,
    ACTIONS(8321), 1,
      anon_sym_LPAREN,
    STATE(3458), 1,
      sym_procedure,
    STATE(6466), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(855), 4,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RPAREN,
    STATE(3471), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [168396] = 22,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    STATE(3279), 1,
      sym_procedure,
    STATE(6482), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(855), 4,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RPAREN,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [168485] = 27,
    ACTIONS(7570), 1,
      anon_sym_LBRACK,
    ACTIONS(7673), 1,
      anon_sym_or_return,
    ACTIONS(7675), 1,
      anon_sym_or_continue,
    ACTIONS(7679), 1,
      anon_sym_CARET,
    ACTIONS(7938), 1,
      anon_sym_DASH_GT,
    ACTIONS(7942), 1,
      anon_sym_PLUS,
    ACTIONS(7944), 1,
      anon_sym_DASH,
    ACTIONS(7946), 1,
      anon_sym_TILDE,
    ACTIONS(7948), 1,
      anon_sym_AMP,
    ACTIONS(7952), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7960), 1,
      anon_sym_PIPE,
    ACTIONS(7962), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7970), 1,
      anon_sym_DOT,
    ACTIONS(7974), 1,
      anon_sym_or_break,
    ACTIONS(8306), 1,
      anon_sym_COMMA,
    STATE(6415), 1,
      aux_sym_const_declaration_repeat1,
    ACTIONS(7940), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7950), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7954), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7956), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7964), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7966), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7968), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7972), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7958), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(8323), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [168584] = 23,
    ACTIONS(895), 1,
      anon_sym_SLASH,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(2276), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(8280), 1,
      anon_sym_proc,
    ACTIONS(8282), 1,
      anon_sym_DOLLAR,
    ACTIONS(8284), 1,
      anon_sym_LBRACK,
    ACTIONS(8286), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8288), 1,
      anon_sym_CARET,
    ACTIONS(8290), 1,
      anon_sym_map,
    ACTIONS(8292), 1,
      anon_sym_matrix,
    ACTIONS(8294), 1,
      anon_sym_distinct,
    ACTIONS(8296), 1,
      sym_tag,
    ACTIONS(8325), 1,
      sym_identifier,
    STATE(3279), 1,
      sym_procedure,
    STATE(3380), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(893), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [168675] = 28,
    ACTIONS(7980), 1,
      anon_sym_DASH_GT,
    ACTIONS(7984), 1,
      anon_sym_PLUS,
    ACTIONS(7986), 1,
      anon_sym_DASH,
    ACTIONS(7988), 1,
      anon_sym_TILDE,
    ACTIONS(7990), 1,
      anon_sym_AMP,
    ACTIONS(7994), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8002), 1,
      anon_sym_PIPE,
    ACTIONS(8004), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8012), 1,
      anon_sym_DOT,
    ACTIONS(8014), 1,
      anon_sym_LBRACK,
    ACTIONS(8018), 1,
      anon_sym_or_return,
    ACTIONS(8020), 1,
      anon_sym_or_continue,
    ACTIONS(8022), 1,
      anon_sym_or_break,
    ACTIONS(8024), 1,
      anon_sym_CARET,
    ACTIONS(8312), 1,
      sym__nl_comma,
    ACTIONS(8328), 1,
      anon_sym_COMMA,
    STATE(6435), 1,
      aux_sym_return_statement_repeat1,
    ACTIONS(7982), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7992), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7996), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7998), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8006), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8008), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8010), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8016), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8000), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(3197), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [168776] = 23,
    ACTIONS(857), 1,
      anon_sym_SLASH,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(2223), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(8280), 1,
      anon_sym_proc,
    ACTIONS(8282), 1,
      anon_sym_DOLLAR,
    ACTIONS(8284), 1,
      anon_sym_LBRACK,
    ACTIONS(8286), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8288), 1,
      anon_sym_CARET,
    ACTIONS(8290), 1,
      anon_sym_map,
    ACTIONS(8292), 1,
      anon_sym_matrix,
    ACTIONS(8294), 1,
      anon_sym_distinct,
    ACTIONS(8296), 1,
      sym_tag,
    ACTIONS(8330), 1,
      sym_identifier,
    STATE(3279), 1,
      sym_procedure,
    STATE(3354), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(855), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [168867] = 22,
    ACTIONS(1867), 1,
      sym_identifier,
    ACTIONS(1871), 1,
      anon_sym_struct,
    ACTIONS(1873), 1,
      anon_sym_enum,
    ACTIONS(1875), 1,
      anon_sym_union,
    ACTIONS(1892), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1896), 1,
      anon_sym_bit_set,
    ACTIONS(8162), 1,
      anon_sym_proc,
    ACTIONS(8164), 1,
      anon_sym_DOLLAR,
    ACTIONS(8166), 1,
      anon_sym_BANG,
    ACTIONS(8168), 1,
      anon_sym_LBRACK,
    ACTIONS(8170), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8172), 1,
      anon_sym_CARET,
    ACTIONS(8174), 1,
      anon_sym_map,
    ACTIONS(8176), 1,
      anon_sym_matrix,
    ACTIONS(8178), 1,
      anon_sym_distinct,
    ACTIONS(8180), 1,
      sym_tag,
    ACTIONS(8321), 1,
      anon_sym_LPAREN,
    STATE(3458), 1,
      sym_procedure,
    STATE(6459), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(817), 4,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RPAREN,
    STATE(3471), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [168956] = 23,
    ACTIONS(874), 1,
      anon_sym_SLASH,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(2336), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(8280), 1,
      anon_sym_proc,
    ACTIONS(8282), 1,
      anon_sym_DOLLAR,
    ACTIONS(8284), 1,
      anon_sym_LBRACK,
    ACTIONS(8286), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8288), 1,
      anon_sym_CARET,
    ACTIONS(8290), 1,
      anon_sym_map,
    ACTIONS(8292), 1,
      anon_sym_matrix,
    ACTIONS(8294), 1,
      anon_sym_distinct,
    ACTIONS(8296), 1,
      sym_tag,
    ACTIONS(8333), 1,
      sym_identifier,
    STATE(3279), 1,
      sym_procedure,
    STATE(3357), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(871), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [169047] = 23,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(2306), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(8258), 1,
      anon_sym_proc,
    ACTIONS(8260), 1,
      anon_sym_DOLLAR,
    ACTIONS(8262), 1,
      anon_sym_LBRACK,
    ACTIONS(8264), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8266), 1,
      anon_sym_CARET,
    ACTIONS(8268), 1,
      anon_sym_map,
    ACTIONS(8270), 1,
      anon_sym_matrix,
    ACTIONS(8272), 1,
      anon_sym_distinct,
    ACTIONS(8274), 1,
      sym_tag,
    STATE(3278), 1,
      sym_type,
    STATE(3279), 1,
      sym_procedure,
    ACTIONS(909), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(911), 2,
      anon_sym_when,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [169138] = 27,
    ACTIONS(7570), 1,
      anon_sym_LBRACK,
    ACTIONS(7673), 1,
      anon_sym_or_return,
    ACTIONS(7675), 1,
      anon_sym_or_continue,
    ACTIONS(7679), 1,
      anon_sym_CARET,
    ACTIONS(7938), 1,
      anon_sym_DASH_GT,
    ACTIONS(7942), 1,
      anon_sym_PLUS,
    ACTIONS(7944), 1,
      anon_sym_DASH,
    ACTIONS(7946), 1,
      anon_sym_TILDE,
    ACTIONS(7948), 1,
      anon_sym_AMP,
    ACTIONS(7952), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7960), 1,
      anon_sym_PIPE,
    ACTIONS(7962), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7970), 1,
      anon_sym_DOT,
    ACTIONS(7974), 1,
      anon_sym_or_break,
    ACTIONS(8306), 1,
      anon_sym_COMMA,
    STATE(6403), 1,
      aux_sym_const_declaration_repeat1,
    ACTIONS(7940), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7950), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7954), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7956), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7964), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7966), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7968), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7972), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7958), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(8337), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [169237] = 23,
    ACTIONS(819), 1,
      anon_sym_SLASH,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(2232), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(8280), 1,
      anon_sym_proc,
    ACTIONS(8282), 1,
      anon_sym_DOLLAR,
    ACTIONS(8284), 1,
      anon_sym_LBRACK,
    ACTIONS(8286), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8288), 1,
      anon_sym_CARET,
    ACTIONS(8290), 1,
      anon_sym_map,
    ACTIONS(8292), 1,
      anon_sym_matrix,
    ACTIONS(8294), 1,
      anon_sym_distinct,
    ACTIONS(8296), 1,
      sym_tag,
    ACTIONS(8339), 1,
      sym_identifier,
    STATE(3279), 1,
      sym_procedure,
    STATE(3338), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(817), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [169328] = 23,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(2232), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(8258), 1,
      anon_sym_proc,
    ACTIONS(8260), 1,
      anon_sym_DOLLAR,
    ACTIONS(8262), 1,
      anon_sym_LBRACK,
    ACTIONS(8264), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8266), 1,
      anon_sym_CARET,
    ACTIONS(8268), 1,
      anon_sym_map,
    ACTIONS(8270), 1,
      anon_sym_matrix,
    ACTIONS(8272), 1,
      anon_sym_distinct,
    ACTIONS(8274), 1,
      sym_tag,
    STATE(3279), 1,
      sym_procedure,
    STATE(3338), 1,
      sym_type,
    ACTIONS(817), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(819), 2,
      anon_sym_when,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [169419] = 27,
    ACTIONS(7570), 1,
      anon_sym_LBRACK,
    ACTIONS(7673), 1,
      anon_sym_or_return,
    ACTIONS(7675), 1,
      anon_sym_or_continue,
    ACTIONS(7679), 1,
      anon_sym_CARET,
    ACTIONS(7938), 1,
      anon_sym_DASH_GT,
    ACTIONS(7942), 1,
      anon_sym_PLUS,
    ACTIONS(7944), 1,
      anon_sym_DASH,
    ACTIONS(7946), 1,
      anon_sym_TILDE,
    ACTIONS(7948), 1,
      anon_sym_AMP,
    ACTIONS(7952), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7960), 1,
      anon_sym_PIPE,
    ACTIONS(7962), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7970), 1,
      anon_sym_DOT,
    ACTIONS(7974), 1,
      anon_sym_or_break,
    ACTIONS(8300), 1,
      anon_sym_COMMA,
    STATE(6440), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(7940), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7950), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7954), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7956), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7964), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7966), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7968), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7972), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7958), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(8342), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [169518] = 22,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    STATE(3279), 1,
      sym_procedure,
    STATE(6622), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(893), 4,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RPAREN,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [169607] = 27,
    ACTIONS(7570), 1,
      anon_sym_LBRACK,
    ACTIONS(7673), 1,
      anon_sym_or_return,
    ACTIONS(7675), 1,
      anon_sym_or_continue,
    ACTIONS(7679), 1,
      anon_sym_CARET,
    ACTIONS(7938), 1,
      anon_sym_DASH_GT,
    ACTIONS(7942), 1,
      anon_sym_PLUS,
    ACTIONS(7944), 1,
      anon_sym_DASH,
    ACTIONS(7946), 1,
      anon_sym_TILDE,
    ACTIONS(7948), 1,
      anon_sym_AMP,
    ACTIONS(7952), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7960), 1,
      anon_sym_PIPE,
    ACTIONS(7962), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7970), 1,
      anon_sym_DOT,
    ACTIONS(7974), 1,
      anon_sym_or_break,
    ACTIONS(8300), 1,
      anon_sym_COMMA,
    STATE(6412), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(7940), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7950), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7954), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7956), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7964), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7966), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7968), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7972), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7958), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(8344), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [169706] = 23,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    ACTIONS(8346), 1,
      sym_identifier,
    ACTIONS(8348), 1,
      anon_sym_RPAREN,
    STATE(3279), 1,
      sym_procedure,
    STATE(6956), 1,
      sym_type,
    STATE(7760), 2,
      sym_named_type,
      sym_default_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [169796] = 23,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    ACTIONS(8346), 1,
      sym_identifier,
    ACTIONS(8350), 1,
      anon_sym_RPAREN,
    STATE(3279), 1,
      sym_procedure,
    STATE(6956), 1,
      sym_type,
    STATE(7760), 2,
      sym_named_type,
      sym_default_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [169886] = 23,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(8258), 1,
      anon_sym_proc,
    ACTIONS(8260), 1,
      anon_sym_DOLLAR,
    ACTIONS(8262), 1,
      anon_sym_LBRACK,
    ACTIONS(8264), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8266), 1,
      anon_sym_CARET,
    ACTIONS(8268), 1,
      anon_sym_map,
    ACTIONS(8270), 1,
      anon_sym_matrix,
    ACTIONS(8272), 1,
      anon_sym_distinct,
    ACTIONS(8274), 1,
      sym_tag,
    ACTIONS(8346), 1,
      sym_identifier,
    ACTIONS(8352), 1,
      anon_sym_RPAREN,
    STATE(3279), 1,
      sym_procedure,
    STATE(6591), 1,
      sym_type,
    STATE(7192), 2,
      sym_named_type,
      sym_default_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [169976] = 23,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(8258), 1,
      anon_sym_proc,
    ACTIONS(8260), 1,
      anon_sym_DOLLAR,
    ACTIONS(8262), 1,
      anon_sym_LBRACK,
    ACTIONS(8264), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8266), 1,
      anon_sym_CARET,
    ACTIONS(8268), 1,
      anon_sym_map,
    ACTIONS(8270), 1,
      anon_sym_matrix,
    ACTIONS(8272), 1,
      anon_sym_distinct,
    ACTIONS(8274), 1,
      sym_tag,
    ACTIONS(8346), 1,
      sym_identifier,
    ACTIONS(8354), 1,
      anon_sym_RPAREN,
    STATE(3279), 1,
      sym_procedure,
    STATE(6590), 1,
      sym_type,
    STATE(7723), 2,
      sym_named_type,
      sym_default_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [170066] = 23,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    ACTIONS(8346), 1,
      sym_identifier,
    ACTIONS(8356), 1,
      anon_sym_RPAREN,
    STATE(3279), 1,
      sym_procedure,
    STATE(6956), 1,
      sym_type,
    STATE(7760), 2,
      sym_named_type,
      sym_default_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [170156] = 23,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(8258), 1,
      anon_sym_proc,
    ACTIONS(8260), 1,
      anon_sym_DOLLAR,
    ACTIONS(8262), 1,
      anon_sym_LBRACK,
    ACTIONS(8264), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8266), 1,
      anon_sym_CARET,
    ACTIONS(8268), 1,
      anon_sym_map,
    ACTIONS(8270), 1,
      anon_sym_matrix,
    ACTIONS(8272), 1,
      anon_sym_distinct,
    ACTIONS(8274), 1,
      sym_tag,
    ACTIONS(8346), 1,
      sym_identifier,
    ACTIONS(8358), 1,
      anon_sym_RPAREN,
    STATE(3279), 1,
      sym_procedure,
    STATE(6614), 1,
      sym_type,
    STATE(7654), 2,
      sym_named_type,
      sym_default_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [170246] = 23,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(8258), 1,
      anon_sym_proc,
    ACTIONS(8260), 1,
      anon_sym_DOLLAR,
    ACTIONS(8262), 1,
      anon_sym_LBRACK,
    ACTIONS(8264), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8266), 1,
      anon_sym_CARET,
    ACTIONS(8268), 1,
      anon_sym_map,
    ACTIONS(8270), 1,
      anon_sym_matrix,
    ACTIONS(8272), 1,
      anon_sym_distinct,
    ACTIONS(8274), 1,
      sym_tag,
    ACTIONS(8346), 1,
      sym_identifier,
    ACTIONS(8360), 1,
      anon_sym_RPAREN,
    STATE(3279), 1,
      sym_procedure,
    STATE(6576), 1,
      sym_type,
    STATE(7656), 2,
      sym_named_type,
      sym_default_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [170336] = 23,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    ACTIONS(8346), 1,
      sym_identifier,
    ACTIONS(8362), 1,
      anon_sym_RPAREN,
    STATE(3279), 1,
      sym_procedure,
    STATE(6956), 1,
      sym_type,
    STATE(7760), 2,
      sym_named_type,
      sym_default_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [170426] = 27,
    ACTIONS(7570), 1,
      anon_sym_LBRACK,
    ACTIONS(7673), 1,
      anon_sym_or_return,
    ACTIONS(7675), 1,
      anon_sym_or_continue,
    ACTIONS(7679), 1,
      anon_sym_CARET,
    ACTIONS(7938), 1,
      anon_sym_DASH_GT,
    ACTIONS(7942), 1,
      anon_sym_PLUS,
    ACTIONS(7944), 1,
      anon_sym_DASH,
    ACTIONS(7946), 1,
      anon_sym_TILDE,
    ACTIONS(7948), 1,
      anon_sym_AMP,
    ACTIONS(7952), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7960), 1,
      anon_sym_PIPE,
    ACTIONS(7962), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7970), 1,
      anon_sym_DOT,
    ACTIONS(7974), 1,
      anon_sym_or_break,
    ACTIONS(8366), 1,
      anon_sym_COMMA,
    STATE(6476), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(7940), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7950), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7954), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7956), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7964), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7966), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7968), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7972), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7958), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(8364), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [170524] = 23,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    ACTIONS(8346), 1,
      sym_identifier,
    ACTIONS(8368), 1,
      anon_sym_RPAREN,
    STATE(3279), 1,
      sym_procedure,
    STATE(6956), 1,
      sym_type,
    STATE(7760), 2,
      sym_named_type,
      sym_default_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [170614] = 23,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    ACTIONS(8346), 1,
      sym_identifier,
    ACTIONS(8370), 1,
      anon_sym_RPAREN,
    STATE(3279), 1,
      sym_procedure,
    STATE(6956), 1,
      sym_type,
    STATE(7760), 2,
      sym_named_type,
      sym_default_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [170704] = 22,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    STATE(3279), 1,
      sym_procedure,
    STATE(6682), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(817), 3,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RPAREN,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [170792] = 23,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(8258), 1,
      anon_sym_proc,
    ACTIONS(8260), 1,
      anon_sym_DOLLAR,
    ACTIONS(8262), 1,
      anon_sym_LBRACK,
    ACTIONS(8264), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8266), 1,
      anon_sym_CARET,
    ACTIONS(8268), 1,
      anon_sym_map,
    ACTIONS(8270), 1,
      anon_sym_matrix,
    ACTIONS(8272), 1,
      anon_sym_distinct,
    ACTIONS(8274), 1,
      sym_tag,
    ACTIONS(8346), 1,
      sym_identifier,
    ACTIONS(8372), 1,
      anon_sym_RPAREN,
    STATE(3279), 1,
      sym_procedure,
    STATE(6610), 1,
      sym_type,
    STATE(7445), 2,
      sym_named_type,
      sym_default_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [170882] = 23,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(8258), 1,
      anon_sym_proc,
    ACTIONS(8260), 1,
      anon_sym_DOLLAR,
    ACTIONS(8262), 1,
      anon_sym_LBRACK,
    ACTIONS(8264), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8266), 1,
      anon_sym_CARET,
    ACTIONS(8268), 1,
      anon_sym_map,
    ACTIONS(8270), 1,
      anon_sym_matrix,
    ACTIONS(8272), 1,
      anon_sym_distinct,
    ACTIONS(8274), 1,
      sym_tag,
    ACTIONS(8346), 1,
      sym_identifier,
    ACTIONS(8374), 1,
      anon_sym_RPAREN,
    STATE(3279), 1,
      sym_procedure,
    STATE(6565), 1,
      sym_type,
    STATE(7196), 2,
      sym_named_type,
      sym_default_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [170972] = 6,
    ACTIONS(8026), 1,
      anon_sym_LBRACE,
    ACTIONS(8376), 1,
      anon_sym_LPAREN,
    STATE(6917), 1,
      aux_sym_field_identifier_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_if,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [171028] = 23,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(8258), 1,
      anon_sym_proc,
    ACTIONS(8260), 1,
      anon_sym_DOLLAR,
    ACTIONS(8262), 1,
      anon_sym_LBRACK,
    ACTIONS(8264), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8266), 1,
      anon_sym_CARET,
    ACTIONS(8268), 1,
      anon_sym_map,
    ACTIONS(8270), 1,
      anon_sym_matrix,
    ACTIONS(8272), 1,
      anon_sym_distinct,
    ACTIONS(8274), 1,
      sym_tag,
    ACTIONS(8346), 1,
      sym_identifier,
    ACTIONS(8378), 1,
      anon_sym_RPAREN,
    STATE(3279), 1,
      sym_procedure,
    STATE(6555), 1,
      sym_type,
    STATE(7190), 2,
      sym_named_type,
      sym_default_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [171118] = 23,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    ACTIONS(8346), 1,
      sym_identifier,
    ACTIONS(8380), 1,
      anon_sym_RPAREN,
    STATE(3279), 1,
      sym_procedure,
    STATE(6956), 1,
      sym_type,
    STATE(7760), 2,
      sym_named_type,
      sym_default_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [171208] = 23,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    ACTIONS(8346), 1,
      sym_identifier,
    ACTIONS(8382), 1,
      anon_sym_RPAREN,
    STATE(3279), 1,
      sym_procedure,
    STATE(6956), 1,
      sym_type,
    STATE(7760), 2,
      sym_named_type,
      sym_default_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [171298] = 23,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    ACTIONS(8346), 1,
      sym_identifier,
    ACTIONS(8384), 1,
      anon_sym_RPAREN,
    STATE(3279), 1,
      sym_procedure,
    STATE(6956), 1,
      sym_type,
    STATE(7760), 2,
      sym_named_type,
      sym_default_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [171388] = 23,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    ACTIONS(8346), 1,
      sym_identifier,
    ACTIONS(8386), 1,
      anon_sym_RPAREN,
    STATE(3279), 1,
      sym_procedure,
    STATE(6956), 1,
      sym_type,
    STATE(7760), 2,
      sym_named_type,
      sym_default_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [171478] = 23,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    ACTIONS(8346), 1,
      sym_identifier,
    ACTIONS(8388), 1,
      anon_sym_RPAREN,
    STATE(3279), 1,
      sym_procedure,
    STATE(6956), 1,
      sym_type,
    STATE(7760), 2,
      sym_named_type,
      sym_default_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [171568] = 23,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(8258), 1,
      anon_sym_proc,
    ACTIONS(8260), 1,
      anon_sym_DOLLAR,
    ACTIONS(8262), 1,
      anon_sym_LBRACK,
    ACTIONS(8264), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8266), 1,
      anon_sym_CARET,
    ACTIONS(8268), 1,
      anon_sym_map,
    ACTIONS(8270), 1,
      anon_sym_matrix,
    ACTIONS(8272), 1,
      anon_sym_distinct,
    ACTIONS(8274), 1,
      sym_tag,
    ACTIONS(8346), 1,
      sym_identifier,
    ACTIONS(8390), 1,
      anon_sym_RPAREN,
    STATE(3279), 1,
      sym_procedure,
    STATE(6578), 1,
      sym_type,
    STATE(7318), 2,
      sym_named_type,
      sym_default_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [171658] = 23,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(8258), 1,
      anon_sym_proc,
    ACTIONS(8260), 1,
      anon_sym_DOLLAR,
    ACTIONS(8262), 1,
      anon_sym_LBRACK,
    ACTIONS(8264), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8266), 1,
      anon_sym_CARET,
    ACTIONS(8268), 1,
      anon_sym_map,
    ACTIONS(8270), 1,
      anon_sym_matrix,
    ACTIONS(8272), 1,
      anon_sym_distinct,
    ACTIONS(8274), 1,
      sym_tag,
    ACTIONS(8346), 1,
      sym_identifier,
    ACTIONS(8392), 1,
      anon_sym_RPAREN,
    STATE(3279), 1,
      sym_procedure,
    STATE(6572), 1,
      sym_type,
    STATE(7452), 2,
      sym_named_type,
      sym_default_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [171748] = 23,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    ACTIONS(8346), 1,
      sym_identifier,
    ACTIONS(8394), 1,
      anon_sym_RPAREN,
    STATE(3279), 1,
      sym_procedure,
    STATE(6956), 1,
      sym_type,
    STATE(7760), 2,
      sym_named_type,
      sym_default_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [171838] = 23,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    ACTIONS(8346), 1,
      sym_identifier,
    ACTIONS(8396), 1,
      anon_sym_RPAREN,
    STATE(3279), 1,
      sym_procedure,
    STATE(6956), 1,
      sym_type,
    STATE(7760), 2,
      sym_named_type,
      sym_default_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [171928] = 23,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    ACTIONS(8346), 1,
      sym_identifier,
    ACTIONS(8398), 1,
      anon_sym_RPAREN,
    STATE(3279), 1,
      sym_procedure,
    STATE(6956), 1,
      sym_type,
    STATE(7760), 2,
      sym_named_type,
      sym_default_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [172018] = 23,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    ACTIONS(8346), 1,
      sym_identifier,
    ACTIONS(8400), 1,
      anon_sym_RPAREN,
    STATE(3279), 1,
      sym_procedure,
    STATE(6956), 1,
      sym_type,
    STATE(7760), 2,
      sym_named_type,
      sym_default_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [172108] = 23,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    ACTIONS(8346), 1,
      sym_identifier,
    ACTIONS(8402), 1,
      anon_sym_RPAREN,
    STATE(3279), 1,
      sym_procedure,
    STATE(6956), 1,
      sym_type,
    STATE(7760), 2,
      sym_named_type,
      sym_default_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [172198] = 27,
    ACTIONS(7570), 1,
      anon_sym_LBRACK,
    ACTIONS(7673), 1,
      anon_sym_or_return,
    ACTIONS(7675), 1,
      anon_sym_or_continue,
    ACTIONS(7679), 1,
      anon_sym_CARET,
    ACTIONS(7938), 1,
      anon_sym_DASH_GT,
    ACTIONS(7942), 1,
      anon_sym_PLUS,
    ACTIONS(7944), 1,
      anon_sym_DASH,
    ACTIONS(7946), 1,
      anon_sym_TILDE,
    ACTIONS(7948), 1,
      anon_sym_AMP,
    ACTIONS(7952), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7960), 1,
      anon_sym_PIPE,
    ACTIONS(7962), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7970), 1,
      anon_sym_DOT,
    ACTIONS(7974), 1,
      anon_sym_or_break,
    ACTIONS(8366), 1,
      anon_sym_COMMA,
    STATE(6460), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(7940), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7950), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7954), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7956), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7964), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7966), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7968), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7972), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7958), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(8404), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [172296] = 25,
    ACTIONS(7570), 1,
      anon_sym_LBRACK,
    ACTIONS(7673), 1,
      anon_sym_or_return,
    ACTIONS(7675), 1,
      anon_sym_or_continue,
    ACTIONS(7679), 1,
      anon_sym_CARET,
    ACTIONS(7938), 1,
      anon_sym_DASH_GT,
    ACTIONS(7942), 1,
      anon_sym_PLUS,
    ACTIONS(7944), 1,
      anon_sym_DASH,
    ACTIONS(7946), 1,
      anon_sym_TILDE,
    ACTIONS(7948), 1,
      anon_sym_AMP,
    ACTIONS(7952), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7960), 1,
      anon_sym_PIPE,
    ACTIONS(7962), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7970), 1,
      anon_sym_DOT,
    ACTIONS(7974), 1,
      anon_sym_or_break,
    ACTIONS(7940), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7950), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7954), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7956), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7964), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7966), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7968), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7972), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7958), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(7169), 7,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [172390] = 23,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    ACTIONS(8346), 1,
      sym_identifier,
    ACTIONS(8406), 1,
      anon_sym_RPAREN,
    STATE(3279), 1,
      sym_procedure,
    STATE(6956), 1,
      sym_type,
    STATE(7760), 2,
      sym_named_type,
      sym_default_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [172480] = 23,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    ACTIONS(8346), 1,
      sym_identifier,
    ACTIONS(8408), 1,
      anon_sym_RPAREN,
    STATE(3279), 1,
      sym_procedure,
    STATE(6956), 1,
      sym_type,
    STATE(7760), 2,
      sym_named_type,
      sym_default_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [172570] = 23,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(8258), 1,
      anon_sym_proc,
    ACTIONS(8260), 1,
      anon_sym_DOLLAR,
    ACTIONS(8262), 1,
      anon_sym_LBRACK,
    ACTIONS(8264), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8266), 1,
      anon_sym_CARET,
    ACTIONS(8268), 1,
      anon_sym_map,
    ACTIONS(8270), 1,
      anon_sym_matrix,
    ACTIONS(8272), 1,
      anon_sym_distinct,
    ACTIONS(8274), 1,
      sym_tag,
    ACTIONS(8346), 1,
      sym_identifier,
    ACTIONS(8410), 1,
      anon_sym_RPAREN,
    STATE(3279), 1,
      sym_procedure,
    STATE(6504), 1,
      sym_type,
    STATE(7604), 2,
      sym_named_type,
      sym_default_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [172660] = 23,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    ACTIONS(8346), 1,
      sym_identifier,
    ACTIONS(8412), 1,
      anon_sym_RPAREN,
    STATE(3279), 1,
      sym_procedure,
    STATE(6956), 1,
      sym_type,
    STATE(7760), 2,
      sym_named_type,
      sym_default_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [172750] = 23,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    ACTIONS(8346), 1,
      sym_identifier,
    ACTIONS(8414), 1,
      anon_sym_RPAREN,
    STATE(3279), 1,
      sym_procedure,
    STATE(6956), 1,
      sym_type,
    STATE(7760), 2,
      sym_named_type,
      sym_default_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [172840] = 27,
    ACTIONS(7570), 1,
      anon_sym_LBRACK,
    ACTIONS(7673), 1,
      anon_sym_or_return,
    ACTIONS(7675), 1,
      anon_sym_or_continue,
    ACTIONS(7679), 1,
      anon_sym_CARET,
    ACTIONS(7938), 1,
      anon_sym_DASH_GT,
    ACTIONS(7942), 1,
      anon_sym_PLUS,
    ACTIONS(7944), 1,
      anon_sym_DASH,
    ACTIONS(7946), 1,
      anon_sym_TILDE,
    ACTIONS(7948), 1,
      anon_sym_AMP,
    ACTIONS(7952), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7960), 1,
      anon_sym_PIPE,
    ACTIONS(7962), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7970), 1,
      anon_sym_DOT,
    ACTIONS(7974), 1,
      anon_sym_or_break,
    ACTIONS(8366), 1,
      anon_sym_COMMA,
    STATE(6455), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(7940), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7950), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7954), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7956), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7964), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7966), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7968), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7972), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7958), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(8416), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [172938] = 27,
    ACTIONS(7570), 1,
      anon_sym_LBRACK,
    ACTIONS(7673), 1,
      anon_sym_or_return,
    ACTIONS(7675), 1,
      anon_sym_or_continue,
    ACTIONS(7679), 1,
      anon_sym_CARET,
    ACTIONS(7938), 1,
      anon_sym_DASH_GT,
    ACTIONS(7942), 1,
      anon_sym_PLUS,
    ACTIONS(7944), 1,
      anon_sym_DASH,
    ACTIONS(7946), 1,
      anon_sym_TILDE,
    ACTIONS(7948), 1,
      anon_sym_AMP,
    ACTIONS(7952), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7960), 1,
      anon_sym_PIPE,
    ACTIONS(7962), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7970), 1,
      anon_sym_DOT,
    ACTIONS(7974), 1,
      anon_sym_or_break,
    ACTIONS(8366), 1,
      anon_sym_COMMA,
    STATE(6453), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(7940), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7950), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7954), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7956), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7964), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7966), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7968), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7972), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7958), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(8418), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [173036] = 27,
    ACTIONS(7570), 1,
      anon_sym_LBRACK,
    ACTIONS(7673), 1,
      anon_sym_or_return,
    ACTIONS(7675), 1,
      anon_sym_or_continue,
    ACTIONS(7679), 1,
      anon_sym_CARET,
    ACTIONS(7938), 1,
      anon_sym_DASH_GT,
    ACTIONS(7942), 1,
      anon_sym_PLUS,
    ACTIONS(7944), 1,
      anon_sym_DASH,
    ACTIONS(7946), 1,
      anon_sym_TILDE,
    ACTIONS(7948), 1,
      anon_sym_AMP,
    ACTIONS(7952), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7960), 1,
      anon_sym_PIPE,
    ACTIONS(7962), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7970), 1,
      anon_sym_DOT,
    ACTIONS(7974), 1,
      anon_sym_or_break,
    ACTIONS(8300), 1,
      anon_sym_COMMA,
    STATE(6479), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(7940), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7950), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7954), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7956), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7964), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7966), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7968), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7972), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7958), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(8420), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [173134] = 22,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    STATE(3279), 1,
      sym_procedure,
    STATE(6650), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(773), 3,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RPAREN,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [173222] = 23,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    ACTIONS(8346), 1,
      sym_identifier,
    ACTIONS(8422), 1,
      anon_sym_RPAREN,
    STATE(3279), 1,
      sym_procedure,
    STATE(6956), 1,
      sym_type,
    STATE(7760), 2,
      sym_named_type,
      sym_default_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [173312] = 5,
    ACTIONS(8084), 1,
      sym_identifier,
    ACTIONS(8424), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 18,
      anon_sym_if,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
    ACTIONS(67), 20,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
  [173366] = 23,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(8258), 1,
      anon_sym_proc,
    ACTIONS(8260), 1,
      anon_sym_DOLLAR,
    ACTIONS(8262), 1,
      anon_sym_LBRACK,
    ACTIONS(8264), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8266), 1,
      anon_sym_CARET,
    ACTIONS(8268), 1,
      anon_sym_map,
    ACTIONS(8270), 1,
      anon_sym_matrix,
    ACTIONS(8272), 1,
      anon_sym_distinct,
    ACTIONS(8274), 1,
      sym_tag,
    ACTIONS(8346), 1,
      sym_identifier,
    ACTIONS(8426), 1,
      anon_sym_RPAREN,
    STATE(3279), 1,
      sym_procedure,
    STATE(6496), 1,
      sym_type,
    STATE(7726), 2,
      sym_named_type,
      sym_default_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [173456] = 6,
    ACTIONS(8026), 1,
      anon_sym_LBRACE,
    ACTIONS(8428), 1,
      anon_sym_LPAREN,
    STATE(6917), 1,
      aux_sym_field_identifier_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_if,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [173512] = 22,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    STATE(3279), 1,
      sym_procedure,
    STATE(6741), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(871), 3,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RPAREN,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [173600] = 23,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(8258), 1,
      anon_sym_proc,
    ACTIONS(8260), 1,
      anon_sym_DOLLAR,
    ACTIONS(8262), 1,
      anon_sym_LBRACK,
    ACTIONS(8264), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8266), 1,
      anon_sym_CARET,
    ACTIONS(8268), 1,
      anon_sym_map,
    ACTIONS(8270), 1,
      anon_sym_matrix,
    ACTIONS(8272), 1,
      anon_sym_distinct,
    ACTIONS(8274), 1,
      sym_tag,
    ACTIONS(8346), 1,
      sym_identifier,
    ACTIONS(8430), 1,
      anon_sym_RPAREN,
    STATE(3279), 1,
      sym_procedure,
    STATE(6554), 1,
      sym_type,
    STATE(7061), 2,
      sym_named_type,
      sym_default_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [173690] = 23,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    ACTIONS(8346), 1,
      sym_identifier,
    ACTIONS(8432), 1,
      anon_sym_RPAREN,
    STATE(3279), 1,
      sym_procedure,
    STATE(6956), 1,
      sym_type,
    STATE(7760), 2,
      sym_named_type,
      sym_default_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [173780] = 23,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    ACTIONS(8346), 1,
      sym_identifier,
    ACTIONS(8434), 1,
      anon_sym_RPAREN,
    STATE(3279), 1,
      sym_procedure,
    STATE(6956), 1,
      sym_type,
    STATE(7760), 2,
      sym_named_type,
      sym_default_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [173870] = 23,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    ACTIONS(8346), 1,
      sym_identifier,
    ACTIONS(8436), 1,
      anon_sym_RPAREN,
    STATE(3279), 1,
      sym_procedure,
    STATE(6956), 1,
      sym_type,
    STATE(7760), 2,
      sym_named_type,
      sym_default_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [173960] = 25,
    ACTIONS(7980), 1,
      anon_sym_DASH_GT,
    ACTIONS(7984), 1,
      anon_sym_PLUS,
    ACTIONS(7986), 1,
      anon_sym_DASH,
    ACTIONS(7988), 1,
      anon_sym_TILDE,
    ACTIONS(7990), 1,
      anon_sym_AMP,
    ACTIONS(7994), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8002), 1,
      anon_sym_PIPE,
    ACTIONS(8004), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8012), 1,
      anon_sym_DOT,
    ACTIONS(8014), 1,
      anon_sym_LBRACK,
    ACTIONS(8018), 1,
      anon_sym_or_return,
    ACTIONS(8020), 1,
      anon_sym_or_continue,
    ACTIONS(8022), 1,
      anon_sym_or_break,
    ACTIONS(8024), 1,
      anon_sym_CARET,
    ACTIONS(7982), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7992), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7996), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7998), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8006), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8008), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8010), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8016), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8000), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(8438), 7,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [174054] = 23,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    ACTIONS(8346), 1,
      sym_identifier,
    ACTIONS(8440), 1,
      anon_sym_RPAREN,
    STATE(3279), 1,
      sym_procedure,
    STATE(6956), 1,
      sym_type,
    STATE(7760), 2,
      sym_named_type,
      sym_default_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [174144] = 23,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(8258), 1,
      anon_sym_proc,
    ACTIONS(8260), 1,
      anon_sym_DOLLAR,
    ACTIONS(8262), 1,
      anon_sym_LBRACK,
    ACTIONS(8264), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8266), 1,
      anon_sym_CARET,
    ACTIONS(8268), 1,
      anon_sym_map,
    ACTIONS(8270), 1,
      anon_sym_matrix,
    ACTIONS(8272), 1,
      anon_sym_distinct,
    ACTIONS(8274), 1,
      sym_tag,
    ACTIONS(8346), 1,
      sym_identifier,
    ACTIONS(8442), 1,
      anon_sym_RPAREN,
    STATE(3279), 1,
      sym_procedure,
    STATE(6587), 1,
      sym_type,
    STATE(7325), 2,
      sym_named_type,
      sym_default_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [174234] = 23,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    ACTIONS(8346), 1,
      sym_identifier,
    ACTIONS(8444), 1,
      anon_sym_RPAREN,
    STATE(3279), 1,
      sym_procedure,
    STATE(6956), 1,
      sym_type,
    STATE(7760), 2,
      sym_named_type,
      sym_default_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [174324] = 22,
    ACTIONS(819), 1,
      anon_sym_SLASH,
    ACTIONS(1867), 1,
      sym_identifier,
    ACTIONS(1871), 1,
      anon_sym_struct,
    ACTIONS(1873), 1,
      anon_sym_enum,
    ACTIONS(1875), 1,
      anon_sym_union,
    ACTIONS(1892), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1896), 1,
      anon_sym_bit_set,
    ACTIONS(8162), 1,
      anon_sym_proc,
    ACTIONS(8164), 1,
      anon_sym_DOLLAR,
    ACTIONS(8166), 1,
      anon_sym_BANG,
    ACTIONS(8168), 1,
      anon_sym_LBRACK,
    ACTIONS(8170), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8172), 1,
      anon_sym_CARET,
    ACTIONS(8174), 1,
      anon_sym_map,
    ACTIONS(8176), 1,
      anon_sym_matrix,
    ACTIONS(8178), 1,
      anon_sym_distinct,
    ACTIONS(8180), 1,
      sym_tag,
    STATE(3458), 1,
      sym_procedure,
    STATE(6691), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(817), 3,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    STATE(3471), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [174412] = 27,
    ACTIONS(7570), 1,
      anon_sym_LBRACK,
    ACTIONS(7673), 1,
      anon_sym_or_return,
    ACTIONS(7675), 1,
      anon_sym_or_continue,
    ACTIONS(7679), 1,
      anon_sym_CARET,
    ACTIONS(7938), 1,
      anon_sym_DASH_GT,
    ACTIONS(7942), 1,
      anon_sym_PLUS,
    ACTIONS(7944), 1,
      anon_sym_DASH,
    ACTIONS(7946), 1,
      anon_sym_TILDE,
    ACTIONS(7948), 1,
      anon_sym_AMP,
    ACTIONS(7952), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7960), 1,
      anon_sym_PIPE,
    ACTIONS(7962), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7970), 1,
      anon_sym_DOT,
    ACTIONS(7974), 1,
      anon_sym_or_break,
    ACTIONS(8300), 1,
      anon_sym_COMMA,
    STATE(6454), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(7940), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7950), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7954), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7956), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7964), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7966), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7968), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7972), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7958), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(8446), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [174510] = 27,
    ACTIONS(7570), 1,
      anon_sym_LBRACK,
    ACTIONS(7673), 1,
      anon_sym_or_return,
    ACTIONS(7675), 1,
      anon_sym_or_continue,
    ACTIONS(7679), 1,
      anon_sym_CARET,
    ACTIONS(7938), 1,
      anon_sym_DASH_GT,
    ACTIONS(7942), 1,
      anon_sym_PLUS,
    ACTIONS(7944), 1,
      anon_sym_DASH,
    ACTIONS(7946), 1,
      anon_sym_TILDE,
    ACTIONS(7948), 1,
      anon_sym_AMP,
    ACTIONS(7952), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7960), 1,
      anon_sym_PIPE,
    ACTIONS(7962), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7970), 1,
      anon_sym_DOT,
    ACTIONS(7974), 1,
      anon_sym_or_break,
    ACTIONS(8366), 1,
      anon_sym_COMMA,
    STATE(6450), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(7940), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7950), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7954), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7956), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7964), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7966), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7968), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7972), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7958), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(8448), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [174608] = 23,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(8258), 1,
      anon_sym_proc,
    ACTIONS(8260), 1,
      anon_sym_DOLLAR,
    ACTIONS(8262), 1,
      anon_sym_LBRACK,
    ACTIONS(8264), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8266), 1,
      anon_sym_CARET,
    ACTIONS(8268), 1,
      anon_sym_map,
    ACTIONS(8270), 1,
      anon_sym_matrix,
    ACTIONS(8272), 1,
      anon_sym_distinct,
    ACTIONS(8274), 1,
      sym_tag,
    ACTIONS(8346), 1,
      sym_identifier,
    ACTIONS(8450), 1,
      anon_sym_RPAREN,
    STATE(3279), 1,
      sym_procedure,
    STATE(6589), 1,
      sym_type,
    STATE(7757), 2,
      sym_named_type,
      sym_default_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [174698] = 22,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    STATE(3279), 1,
      sym_procedure,
    STATE(6776), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(833), 3,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RPAREN,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [174786] = 23,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    ACTIONS(8346), 1,
      sym_identifier,
    ACTIONS(8452), 1,
      anon_sym_RPAREN,
    STATE(3279), 1,
      sym_procedure,
    STATE(6956), 1,
      sym_type,
    STATE(7760), 2,
      sym_named_type,
      sym_default_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [174876] = 23,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(8258), 1,
      anon_sym_proc,
    ACTIONS(8260), 1,
      anon_sym_DOLLAR,
    ACTIONS(8262), 1,
      anon_sym_LBRACK,
    ACTIONS(8264), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8266), 1,
      anon_sym_CARET,
    ACTIONS(8268), 1,
      anon_sym_map,
    ACTIONS(8270), 1,
      anon_sym_matrix,
    ACTIONS(8272), 1,
      anon_sym_distinct,
    ACTIONS(8274), 1,
      sym_tag,
    ACTIONS(8346), 1,
      sym_identifier,
    ACTIONS(8454), 1,
      anon_sym_RPAREN,
    STATE(3279), 1,
      sym_procedure,
    STATE(6588), 1,
      sym_type,
    STATE(7420), 2,
      sym_named_type,
      sym_default_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [174966] = 23,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    ACTIONS(8346), 1,
      sym_identifier,
    ACTIONS(8456), 1,
      anon_sym_RPAREN,
    STATE(3279), 1,
      sym_procedure,
    STATE(6956), 1,
      sym_type,
    STATE(7760), 2,
      sym_named_type,
      sym_default_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [175056] = 23,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    ACTIONS(8346), 1,
      sym_identifier,
    ACTIONS(8458), 1,
      anon_sym_RPAREN,
    STATE(3279), 1,
      sym_procedure,
    STATE(6956), 1,
      sym_type,
    STATE(7760), 2,
      sym_named_type,
      sym_default_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [175146] = 25,
    ACTIONS(7570), 1,
      anon_sym_LBRACK,
    ACTIONS(7673), 1,
      anon_sym_or_return,
    ACTIONS(7675), 1,
      anon_sym_or_continue,
    ACTIONS(7679), 1,
      anon_sym_CARET,
    ACTIONS(7938), 1,
      anon_sym_DASH_GT,
    ACTIONS(7942), 1,
      anon_sym_PLUS,
    ACTIONS(7944), 1,
      anon_sym_DASH,
    ACTIONS(7946), 1,
      anon_sym_TILDE,
    ACTIONS(7948), 1,
      anon_sym_AMP,
    ACTIONS(7952), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7960), 1,
      anon_sym_PIPE,
    ACTIONS(7962), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7970), 1,
      anon_sym_DOT,
    ACTIONS(7974), 1,
      anon_sym_or_break,
    ACTIONS(7940), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7950), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7954), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7956), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7964), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7966), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7968), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7972), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7958), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(8460), 7,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [175240] = 25,
    ACTIONS(7570), 1,
      anon_sym_LBRACK,
    ACTIONS(7673), 1,
      anon_sym_or_return,
    ACTIONS(7675), 1,
      anon_sym_or_continue,
    ACTIONS(7679), 1,
      anon_sym_CARET,
    ACTIONS(7938), 1,
      anon_sym_DASH_GT,
    ACTIONS(7942), 1,
      anon_sym_PLUS,
    ACTIONS(7944), 1,
      anon_sym_DASH,
    ACTIONS(7946), 1,
      anon_sym_TILDE,
    ACTIONS(7948), 1,
      anon_sym_AMP,
    ACTIONS(7952), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7960), 1,
      anon_sym_PIPE,
    ACTIONS(7962), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7970), 1,
      anon_sym_DOT,
    ACTIONS(7974), 1,
      anon_sym_or_break,
    ACTIONS(7940), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7950), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7954), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7956), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7964), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7966), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7968), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7972), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7958), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(8462), 7,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [175334] = 23,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    ACTIONS(8346), 1,
      sym_identifier,
    ACTIONS(8464), 1,
      anon_sym_RPAREN,
    STATE(3279), 1,
      sym_procedure,
    STATE(6956), 1,
      sym_type,
    STATE(7760), 2,
      sym_named_type,
      sym_default_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [175424] = 22,
    ACTIONS(857), 1,
      anon_sym_SLASH,
    ACTIONS(1867), 1,
      sym_identifier,
    ACTIONS(1871), 1,
      anon_sym_struct,
    ACTIONS(1873), 1,
      anon_sym_enum,
    ACTIONS(1875), 1,
      anon_sym_union,
    ACTIONS(1892), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1896), 1,
      anon_sym_bit_set,
    ACTIONS(8162), 1,
      anon_sym_proc,
    ACTIONS(8164), 1,
      anon_sym_DOLLAR,
    ACTIONS(8166), 1,
      anon_sym_BANG,
    ACTIONS(8168), 1,
      anon_sym_LBRACK,
    ACTIONS(8170), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8172), 1,
      anon_sym_CARET,
    ACTIONS(8174), 1,
      anon_sym_map,
    ACTIONS(8176), 1,
      anon_sym_matrix,
    ACTIONS(8178), 1,
      anon_sym_distinct,
    ACTIONS(8180), 1,
      sym_tag,
    STATE(3458), 1,
      sym_procedure,
    STATE(6718), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(855), 3,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
    STATE(3471), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [175512] = 24,
    ACTIONS(8154), 1,
      anon_sym_LBRACK,
    ACTIONS(8202), 1,
      anon_sym_or_return,
    ACTIONS(8204), 1,
      anon_sym_or_continue,
    ACTIONS(8208), 1,
      anon_sym_CARET,
    ACTIONS(8466), 1,
      anon_sym_DASH_GT,
    ACTIONS(8468), 1,
      anon_sym_PLUS,
    ACTIONS(8470), 1,
      anon_sym_DASH,
    ACTIONS(8472), 1,
      anon_sym_TILDE,
    ACTIONS(8474), 1,
      anon_sym_AMP,
    ACTIONS(8478), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8486), 1,
      anon_sym_PIPE,
    ACTIONS(8488), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8496), 1,
      anon_sym_DOT,
    ACTIONS(8500), 1,
      anon_sym_or_break,
    ACTIONS(8476), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(8480), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8482), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8490), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8492), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8494), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8498), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8484), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5498), 8,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_not_in,
  [175603] = 7,
    ACTIONS(8154), 1,
      anon_sym_LBRACK,
    ACTIONS(8466), 1,
      anon_sym_DASH_GT,
    ACTIONS(8496), 1,
      anon_sym_DOT,
    ACTIONS(8498), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5562), 8,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5560), 26,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [175660] = 17,
    ACTIONS(8154), 1,
      anon_sym_LBRACK,
    ACTIONS(8466), 1,
      anon_sym_DASH_GT,
    ACTIONS(8468), 1,
      anon_sym_PLUS,
    ACTIONS(8470), 1,
      anon_sym_DASH,
    ACTIONS(8472), 1,
      anon_sym_TILDE,
    ACTIONS(8474), 1,
      anon_sym_AMP,
    ACTIONS(8486), 1,
      anon_sym_PIPE,
    ACTIONS(8488), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8496), 1,
      anon_sym_DOT,
    ACTIONS(5484), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8490), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8492), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8494), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8498), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8484), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5482), 17,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [175737] = 15,
    ACTIONS(8154), 1,
      anon_sym_LBRACK,
    ACTIONS(8466), 1,
      anon_sym_DASH_GT,
    ACTIONS(8468), 1,
      anon_sym_PLUS,
    ACTIONS(8470), 1,
      anon_sym_DASH,
    ACTIONS(8472), 1,
      anon_sym_TILDE,
    ACTIONS(8474), 1,
      anon_sym_AMP,
    ACTIONS(8488), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8496), 1,
      anon_sym_DOT,
    ACTIONS(8490), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8492), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8494), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8498), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5484), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
    ACTIONS(5482), 20,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [175810] = 7,
    ACTIONS(8154), 1,
      anon_sym_LBRACK,
    ACTIONS(8466), 1,
      anon_sym_DASH_GT,
    ACTIONS(8496), 1,
      anon_sym_DOT,
    ACTIONS(8498), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5144), 8,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5142), 26,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [175867] = 5,
    ACTIONS(7526), 1,
      sym_identifier,
    ACTIONS(7528), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 16,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
    ACTIONS(67), 21,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_DASH_GT,
      anon_sym_COLON_EQ,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
  [175920] = 5,
    ACTIONS(8504), 1,
      anon_sym_QMARK,
    ACTIONS(8502), 2,
      anon_sym_if,
      anon_sym_when,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5080), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5078), 27,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_do,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [175973] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(199), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(197), 30,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [176022] = 4,
    ACTIONS(8424), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(67), 29,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_if,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [176073] = 22,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    ACTIONS(8346), 1,
      sym_identifier,
    STATE(3279), 1,
      sym_procedure,
    STATE(6956), 1,
      sym_type,
    STATE(7760), 2,
      sym_named_type,
      sym_default_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [176160] = 24,
    ACTIONS(8154), 1,
      anon_sym_LBRACK,
    ACTIONS(8202), 1,
      anon_sym_or_return,
    ACTIONS(8204), 1,
      anon_sym_or_continue,
    ACTIONS(8208), 1,
      anon_sym_CARET,
    ACTIONS(8466), 1,
      anon_sym_DASH_GT,
    ACTIONS(8468), 1,
      anon_sym_PLUS,
    ACTIONS(8470), 1,
      anon_sym_DASH,
    ACTIONS(8472), 1,
      anon_sym_TILDE,
    ACTIONS(8474), 1,
      anon_sym_AMP,
    ACTIONS(8478), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8486), 1,
      anon_sym_PIPE,
    ACTIONS(8488), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8496), 1,
      anon_sym_DOT,
    ACTIONS(8500), 1,
      anon_sym_or_break,
    ACTIONS(8476), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(8480), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8482), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8490), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8492), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8494), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8498), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8484), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5584), 8,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_not_in,
  [176251] = 19,
    ACTIONS(8154), 1,
      anon_sym_LBRACK,
    ACTIONS(8466), 1,
      anon_sym_DASH_GT,
    ACTIONS(8468), 1,
      anon_sym_PLUS,
    ACTIONS(8470), 1,
      anon_sym_DASH,
    ACTIONS(8472), 1,
      anon_sym_TILDE,
    ACTIONS(8474), 1,
      anon_sym_AMP,
    ACTIONS(8478), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8486), 1,
      anon_sym_PIPE,
    ACTIONS(8488), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8496), 1,
      anon_sym_DOT,
    ACTIONS(8480), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8482), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8490), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8492), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8494), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8498), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8484), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5482), 14,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [176332] = 7,
    ACTIONS(8154), 1,
      anon_sym_LBRACK,
    ACTIONS(8466), 1,
      anon_sym_DASH_GT,
    ACTIONS(8496), 1,
      anon_sym_DOT,
    ACTIONS(8498), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5124), 8,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5122), 26,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [176389] = 14,
    ACTIONS(8154), 1,
      anon_sym_LBRACK,
    ACTIONS(8466), 1,
      anon_sym_DASH_GT,
    ACTIONS(8468), 1,
      anon_sym_PLUS,
    ACTIONS(8470), 1,
      anon_sym_DASH,
    ACTIONS(8474), 1,
      anon_sym_AMP,
    ACTIONS(8488), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8496), 1,
      anon_sym_DOT,
    ACTIONS(8490), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8492), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8494), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8498), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5484), 4,
      anon_sym_TILDE,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
    ACTIONS(5482), 20,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [176460] = 30,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(8096), 1,
      anon_sym_DASH_GT,
    ACTIONS(8098), 1,
      anon_sym_PLUS,
    ACTIONS(8100), 1,
      anon_sym_DASH,
    ACTIONS(8102), 1,
      anon_sym_TILDE,
    ACTIONS(8104), 1,
      anon_sym_AMP,
    ACTIONS(8106), 1,
      anon_sym_PIPE,
    ACTIONS(8108), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8116), 1,
      anon_sym_DOT,
    ACTIONS(8122), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8130), 1,
      anon_sym_or_break,
    ACTIONS(8506), 1,
      anon_sym_COMMA,
    ACTIONS(8508), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8510), 1,
      anon_sym_EQ,
    ACTIONS(8512), 1,
      anon_sym_COLON_EQ,
    ACTIONS(8514), 1,
      anon_sym_COLON,
    STATE(6509), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(8110), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8112), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8114), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8118), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8120), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(8124), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8126), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8236), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8128), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [176563] = 12,
    ACTIONS(8154), 1,
      anon_sym_LBRACK,
    ACTIONS(8466), 1,
      anon_sym_DASH_GT,
    ACTIONS(8468), 1,
      anon_sym_PLUS,
    ACTIONS(8470), 1,
      anon_sym_DASH,
    ACTIONS(8496), 1,
      anon_sym_DOT,
    ACTIONS(8490), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8492), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8494), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8498), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5484), 5,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
    ACTIONS(5482), 21,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [176630] = 6,
    ACTIONS(8424), 1,
      anon_sym_LPAREN,
    ACTIONS(8504), 1,
      anon_sym_QMARK,
    ACTIONS(8502), 2,
      anon_sym_if,
      anon_sym_when,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(67), 26,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_do,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [176685] = 7,
    ACTIONS(8154), 1,
      anon_sym_LBRACK,
    ACTIONS(8466), 1,
      anon_sym_DASH_GT,
    ACTIONS(8496), 1,
      anon_sym_DOT,
    ACTIONS(8498), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5484), 8,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5482), 26,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [176742] = 26,
    ACTIONS(7550), 1,
      anon_sym_DASH_GT,
    ACTIONS(7552), 1,
      anon_sym_PLUS,
    ACTIONS(7554), 1,
      anon_sym_DASH,
    ACTIONS(7556), 1,
      anon_sym_TILDE,
    ACTIONS(7558), 1,
      anon_sym_AMP,
    ACTIONS(7560), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7568), 1,
      anon_sym_DOT,
    ACTIONS(7570), 1,
      anon_sym_LBRACK,
    ACTIONS(7649), 1,
      anon_sym_PIPE,
    ACTIONS(7671), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7673), 1,
      anon_sym_or_return,
    ACTIONS(7675), 1,
      anon_sym_or_continue,
    ACTIONS(7677), 1,
      anon_sym_or_break,
    ACTIONS(7679), 1,
      anon_sym_CARET,
    ACTIONS(8518), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7562), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7564), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7566), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7572), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7659), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7661), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7669), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7687), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7663), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(8516), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [176837] = 26,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(8096), 1,
      anon_sym_DASH_GT,
    ACTIONS(8098), 1,
      anon_sym_PLUS,
    ACTIONS(8100), 1,
      anon_sym_DASH,
    ACTIONS(8102), 1,
      anon_sym_TILDE,
    ACTIONS(8104), 1,
      anon_sym_AMP,
    ACTIONS(8106), 1,
      anon_sym_PIPE,
    ACTIONS(8108), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8116), 1,
      anon_sym_DOT,
    ACTIONS(8122), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8130), 1,
      anon_sym_or_break,
    ACTIONS(7171), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(8110), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8112), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8114), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8118), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8120), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(8124), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8126), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8236), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8128), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(7169), 4,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
      anon_sym_SEMI,
  [176932] = 25,
    ACTIONS(8154), 1,
      anon_sym_LBRACK,
    ACTIONS(8202), 1,
      anon_sym_or_return,
    ACTIONS(8204), 1,
      anon_sym_or_continue,
    ACTIONS(8208), 1,
      anon_sym_CARET,
    ACTIONS(8466), 1,
      anon_sym_DASH_GT,
    ACTIONS(8468), 1,
      anon_sym_PLUS,
    ACTIONS(8470), 1,
      anon_sym_DASH,
    ACTIONS(8472), 1,
      anon_sym_TILDE,
    ACTIONS(8474), 1,
      anon_sym_AMP,
    ACTIONS(8478), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8486), 1,
      anon_sym_PIPE,
    ACTIONS(8488), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8496), 1,
      anon_sym_DOT,
    ACTIONS(8500), 1,
      anon_sym_or_break,
    ACTIONS(8476), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(8480), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8482), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8490), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8492), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8494), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8498), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8520), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8484), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5476), 6,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_do,
      anon_sym_when,
      anon_sym_QMARK,
  [177025] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5522), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5520), 30,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [177074] = 18,
    ACTIONS(8154), 1,
      anon_sym_LBRACK,
    ACTIONS(8466), 1,
      anon_sym_DASH_GT,
    ACTIONS(8468), 1,
      anon_sym_PLUS,
    ACTIONS(8470), 1,
      anon_sym_DASH,
    ACTIONS(8472), 1,
      anon_sym_TILDE,
    ACTIONS(8474), 1,
      anon_sym_AMP,
    ACTIONS(8486), 1,
      anon_sym_PIPE,
    ACTIONS(8488), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8496), 1,
      anon_sym_DOT,
    ACTIONS(8480), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8482), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8490), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8492), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8494), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8498), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8484), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5482), 15,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [177153] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5570), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5568), 30,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [177202] = 30,
    ACTIONS(6625), 1,
      anon_sym_LBRACE,
    ACTIONS(6629), 1,
      anon_sym_EQ,
    ACTIONS(6631), 1,
      anon_sym_COLON_EQ,
    ACTIONS(8132), 1,
      anon_sym_DASH_GT,
    ACTIONS(8134), 1,
      anon_sym_PLUS,
    ACTIONS(8136), 1,
      anon_sym_DASH,
    ACTIONS(8138), 1,
      anon_sym_TILDE,
    ACTIONS(8140), 1,
      anon_sym_AMP,
    ACTIONS(8142), 1,
      anon_sym_PIPE,
    ACTIONS(8144), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8152), 1,
      anon_sym_DOT,
    ACTIONS(8154), 1,
      anon_sym_LBRACK,
    ACTIONS(8194), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8202), 1,
      anon_sym_or_return,
    ACTIONS(8204), 1,
      anon_sym_or_continue,
    ACTIONS(8206), 1,
      anon_sym_or_break,
    ACTIONS(8208), 1,
      anon_sym_CARET,
    ACTIONS(8506), 1,
      anon_sym_COMMA,
    STATE(6634), 1,
      sym_block,
    STATE(6944), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(8146), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8148), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8150), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8156), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8190), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(8192), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(8196), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8198), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8200), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [177305] = 9,
    ACTIONS(8154), 1,
      anon_sym_LBRACK,
    ACTIONS(8466), 1,
      anon_sym_DASH_GT,
    ACTIONS(8496), 1,
      anon_sym_DOT,
    ACTIONS(8492), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8494), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8498), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5484), 6,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
    ACTIONS(5482), 24,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [177366] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5606), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5604), 30,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [177415] = 7,
    ACTIONS(8154), 1,
      anon_sym_LBRACK,
    ACTIONS(8466), 1,
      anon_sym_DASH_GT,
    ACTIONS(8496), 1,
      anon_sym_DOT,
    ACTIONS(8498), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5512), 8,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(5510), 26,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [177472] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5570), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5568), 30,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [177521] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5570), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5568), 30,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [177570] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5606), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5604), 30,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [177619] = 13,
    ACTIONS(8154), 1,
      anon_sym_LBRACK,
    ACTIONS(8466), 1,
      anon_sym_DASH_GT,
    ACTIONS(8468), 1,
      anon_sym_PLUS,
    ACTIONS(8470), 1,
      anon_sym_DASH,
    ACTIONS(8488), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8496), 1,
      anon_sym_DOT,
    ACTIONS(8490), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8492), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8494), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8498), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5484), 5,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
    ACTIONS(5482), 20,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [177688] = 6,
    ACTIONS(7471), 1,
      sym_identifier,
    ACTIONS(7473), 1,
      anon_sym_LPAREN,
    ACTIONS(8522), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 16,
      anon_sym_EQ,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
    ACTIONS(67), 20,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
  [177743] = 20,
    ACTIONS(8154), 1,
      anon_sym_LBRACK,
    ACTIONS(8466), 1,
      anon_sym_DASH_GT,
    ACTIONS(8468), 1,
      anon_sym_PLUS,
    ACTIONS(8470), 1,
      anon_sym_DASH,
    ACTIONS(8472), 1,
      anon_sym_TILDE,
    ACTIONS(8474), 1,
      anon_sym_AMP,
    ACTIONS(8478), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8486), 1,
      anon_sym_PIPE,
    ACTIONS(8488), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8496), 1,
      anon_sym_DOT,
    ACTIONS(8476), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(8480), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8482), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8490), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8492), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8494), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8498), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8484), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(5584), 12,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [177826] = 16,
    ACTIONS(8154), 1,
      anon_sym_LBRACK,
    ACTIONS(8466), 1,
      anon_sym_DASH_GT,
    ACTIONS(8468), 1,
      anon_sym_PLUS,
    ACTIONS(8470), 1,
      anon_sym_DASH,
    ACTIONS(8472), 1,
      anon_sym_TILDE,
    ACTIONS(8474), 1,
      anon_sym_AMP,
    ACTIONS(8486), 1,
      anon_sym_PIPE,
    ACTIONS(8488), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8496), 1,
      anon_sym_DOT,
    ACTIONS(5484), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8490), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8492), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8494), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8498), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5482), 20,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [177901] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5606), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(5604), 30,
      anon_sym_LBRACE,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [177950] = 11,
    ACTIONS(8154), 1,
      anon_sym_LBRACK,
    ACTIONS(8466), 1,
      anon_sym_DASH_GT,
    ACTIONS(8468), 1,
      anon_sym_PLUS,
    ACTIONS(8470), 1,
      anon_sym_DASH,
    ACTIONS(8496), 1,
      anon_sym_DOT,
    ACTIONS(8492), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8494), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8498), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(5484), 5,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
    ACTIONS(5482), 23,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_do,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [178015] = 22,
    ACTIONS(223), 1,
      anon_sym_distinct,
    ACTIONS(1107), 1,
      anon_sym_proc,
    ACTIONS(1109), 1,
      anon_sym_struct,
    ACTIONS(1111), 1,
      anon_sym_enum,
    ACTIONS(1113), 1,
      anon_sym_union,
    ACTIONS(1118), 1,
      anon_sym_DOLLAR,
    ACTIONS(1125), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1130), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1132), 1,
      anon_sym_map,
    ACTIONS(1134), 1,
      anon_sym_bit_set,
    ACTIONS(1136), 1,
      anon_sym_matrix,
    ACTIONS(8524), 1,
      sym_identifier,
    ACTIONS(8526), 1,
      anon_sym_LPAREN,
    ACTIONS(8528), 1,
      anon_sym_BANG,
    ACTIONS(8530), 1,
      anon_sym_LBRACK,
    ACTIONS(8532), 1,
      anon_sym_CARET,
    ACTIONS(8534), 1,
      sym_tag,
    STATE(1298), 1,
      sym_type,
    STATE(1299), 1,
      sym_named_type,
    STATE(2175), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2177), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [178101] = 22,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    ACTIONS(8536), 1,
      anon_sym_RBRACE,
    STATE(3279), 1,
      sym_procedure,
    STATE(6777), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [178187] = 4,
    ACTIONS(8538), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [178237] = 4,
    ACTIONS(8540), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [178287] = 4,
    ACTIONS(8542), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [178337] = 4,
    ACTIONS(8544), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [178387] = 22,
    ACTIONS(1037), 1,
      anon_sym_distinct,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(2664), 1,
      anon_sym_proc,
    ACTIONS(2666), 1,
      anon_sym_DOLLAR,
    ACTIONS(2671), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2676), 1,
      anon_sym_map,
    ACTIONS(2678), 1,
      anon_sym_matrix,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(8546), 1,
      sym_identifier,
    ACTIONS(8548), 1,
      anon_sym_LPAREN,
    ACTIONS(8550), 1,
      anon_sym_LBRACK,
    ACTIONS(8552), 1,
      anon_sym_CARET,
    ACTIONS(8554), 1,
      sym_tag,
    STATE(2754), 1,
      sym_procedure,
    STATE(3735), 1,
      sym_type,
    STATE(3736), 1,
      sym_named_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [178473] = 4,
    ACTIONS(3771), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [178523] = 27,
    ACTIONS(7570), 1,
      anon_sym_LBRACK,
    ACTIONS(7673), 1,
      anon_sym_or_return,
    ACTIONS(7675), 1,
      anon_sym_or_continue,
    ACTIONS(7679), 1,
      anon_sym_CARET,
    ACTIONS(7938), 1,
      anon_sym_DASH_GT,
    ACTIONS(7942), 1,
      anon_sym_PLUS,
    ACTIONS(7944), 1,
      anon_sym_DASH,
    ACTIONS(7946), 1,
      anon_sym_TILDE,
    ACTIONS(7948), 1,
      anon_sym_AMP,
    ACTIONS(7952), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7960), 1,
      anon_sym_PIPE,
    ACTIONS(7962), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7970), 1,
      anon_sym_DOT,
    ACTIONS(7974), 1,
      anon_sym_or_break,
    ACTIONS(8366), 1,
      anon_sym_COMMA,
    STATE(6453), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(7940), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7950), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7954), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7956), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7964), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7966), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7968), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7972), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7958), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(8418), 3,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [178619] = 22,
    ACTIONS(223), 1,
      anon_sym_distinct,
    ACTIONS(1107), 1,
      anon_sym_proc,
    ACTIONS(1109), 1,
      anon_sym_struct,
    ACTIONS(1111), 1,
      anon_sym_enum,
    ACTIONS(1113), 1,
      anon_sym_union,
    ACTIONS(1118), 1,
      anon_sym_DOLLAR,
    ACTIONS(1125), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1130), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1132), 1,
      anon_sym_map,
    ACTIONS(1134), 1,
      anon_sym_bit_set,
    ACTIONS(1136), 1,
      anon_sym_matrix,
    ACTIONS(8524), 1,
      sym_identifier,
    ACTIONS(8526), 1,
      anon_sym_LPAREN,
    ACTIONS(8528), 1,
      anon_sym_BANG,
    ACTIONS(8530), 1,
      anon_sym_LBRACK,
    ACTIONS(8532), 1,
      anon_sym_CARET,
    ACTIONS(8534), 1,
      sym_tag,
    STATE(1348), 1,
      sym_type,
    STATE(1349), 1,
      sym_named_type,
    STATE(2175), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2177), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [178705] = 4,
    ACTIONS(8556), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [178755] = 22,
    ACTIONS(1037), 1,
      anon_sym_distinct,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(2664), 1,
      anon_sym_proc,
    ACTIONS(2666), 1,
      anon_sym_DOLLAR,
    ACTIONS(2671), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2676), 1,
      anon_sym_map,
    ACTIONS(2678), 1,
      anon_sym_matrix,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(8546), 1,
      sym_identifier,
    ACTIONS(8548), 1,
      anon_sym_LPAREN,
    ACTIONS(8550), 1,
      anon_sym_LBRACK,
    ACTIONS(8552), 1,
      anon_sym_CARET,
    ACTIONS(8558), 1,
      sym_tag,
    STATE(2754), 1,
      sym_procedure,
    STATE(3737), 1,
      sym_type,
    STATE(3738), 1,
      sym_named_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [178841] = 22,
    ACTIONS(1037), 1,
      anon_sym_distinct,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(2664), 1,
      anon_sym_proc,
    ACTIONS(2666), 1,
      anon_sym_DOLLAR,
    ACTIONS(2671), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2676), 1,
      anon_sym_map,
    ACTIONS(2678), 1,
      anon_sym_matrix,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(8546), 1,
      sym_identifier,
    ACTIONS(8548), 1,
      anon_sym_LPAREN,
    ACTIONS(8552), 1,
      anon_sym_CARET,
    ACTIONS(8560), 1,
      anon_sym_LBRACK,
    ACTIONS(8562), 1,
      sym_tag,
    STATE(2754), 1,
      sym_procedure,
    STATE(3737), 1,
      sym_type,
    STATE(3738), 1,
      sym_named_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [178927] = 4,
    ACTIONS(8564), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [178977] = 4,
    ACTIONS(8566), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [179027] = 22,
    ACTIONS(1037), 1,
      anon_sym_distinct,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(2664), 1,
      anon_sym_proc,
    ACTIONS(2666), 1,
      anon_sym_DOLLAR,
    ACTIONS(2671), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2676), 1,
      anon_sym_map,
    ACTIONS(2678), 1,
      anon_sym_matrix,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(8546), 1,
      sym_identifier,
    ACTIONS(8548), 1,
      anon_sym_LPAREN,
    ACTIONS(8552), 1,
      anon_sym_CARET,
    ACTIONS(8560), 1,
      anon_sym_LBRACK,
    ACTIONS(8562), 1,
      sym_tag,
    STATE(2754), 1,
      sym_procedure,
    STATE(3740), 1,
      sym_type,
    STATE(3741), 1,
      sym_named_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [179113] = 4,
    ACTIONS(8568), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [179163] = 22,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    ACTIONS(8536), 1,
      anon_sym_RBRACE,
    STATE(3279), 1,
      sym_procedure,
    STATE(6866), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [179249] = 29,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(8096), 1,
      anon_sym_DASH_GT,
    ACTIONS(8098), 1,
      anon_sym_PLUS,
    ACTIONS(8100), 1,
      anon_sym_DASH,
    ACTIONS(8102), 1,
      anon_sym_TILDE,
    ACTIONS(8104), 1,
      anon_sym_AMP,
    ACTIONS(8106), 1,
      anon_sym_PIPE,
    ACTIONS(8108), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8116), 1,
      anon_sym_DOT,
    ACTIONS(8122), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8130), 1,
      anon_sym_or_break,
    ACTIONS(8506), 1,
      anon_sym_COMMA,
    ACTIONS(8570), 1,
      anon_sym_EQ,
    ACTIONS(8572), 1,
      anon_sym_COLON_EQ,
    ACTIONS(8574), 1,
      anon_sym_COLON,
    STATE(6814), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(8110), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8112), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8114), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8118), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8120), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(8124), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8126), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8236), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8128), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [179349] = 4,
    ACTIONS(3801), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [179399] = 4,
    ACTIONS(8576), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [179449] = 4,
    ACTIONS(8578), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [179499] = 4,
    ACTIONS(8580), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [179549] = 4,
    ACTIONS(8582), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [179599] = 22,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    ACTIONS(8584), 1,
      anon_sym_RBRACE,
    STATE(3279), 1,
      sym_procedure,
    STATE(6866), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [179685] = 4,
    ACTIONS(8586), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [179735] = 4,
    ACTIONS(3711), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [179785] = 4,
    ACTIONS(8588), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [179835] = 4,
    ACTIONS(8590), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [179885] = 4,
    ACTIONS(8592), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [179935] = 4,
    ACTIONS(8594), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [179985] = 22,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    ACTIONS(8596), 1,
      anon_sym_RBRACE,
    STATE(3279), 1,
      sym_procedure,
    STATE(6866), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [180071] = 22,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(7442), 1,
      anon_sym_proc,
    ACTIONS(7444), 1,
      anon_sym_DOLLAR,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(7448), 1,
      anon_sym_LBRACK,
    ACTIONS(7450), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7452), 1,
      anon_sym_CARET,
    ACTIONS(7454), 1,
      anon_sym_map,
    ACTIONS(7456), 1,
      anon_sym_matrix,
    ACTIONS(7458), 1,
      anon_sym_distinct,
    ACTIONS(8548), 1,
      anon_sym_LPAREN,
    ACTIONS(8598), 1,
      sym_identifier,
    ACTIONS(8600), 1,
      sym_tag,
    STATE(2754), 1,
      sym_procedure,
    STATE(6177), 1,
      sym_named_type,
    STATE(6188), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [180157] = 4,
    ACTIONS(3831), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [180207] = 22,
    ACTIONS(2018), 1,
      anon_sym_struct,
    ACTIONS(2020), 1,
      anon_sym_enum,
    ACTIONS(2022), 1,
      anon_sym_union,
    ACTIONS(2042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2046), 1,
      anon_sym_bit_set,
    ACTIONS(7394), 1,
      anon_sym_proc,
    ACTIONS(7396), 1,
      anon_sym_DOLLAR,
    ACTIONS(7398), 1,
      anon_sym_BANG,
    ACTIONS(7402), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7404), 1,
      anon_sym_CARET,
    ACTIONS(7406), 1,
      anon_sym_map,
    ACTIONS(7408), 1,
      anon_sym_matrix,
    ACTIONS(7410), 1,
      anon_sym_distinct,
    ACTIONS(8602), 1,
      sym_identifier,
    ACTIONS(8604), 1,
      anon_sym_LPAREN,
    ACTIONS(8606), 1,
      anon_sym_LBRACK,
    ACTIONS(8608), 1,
      sym_tag,
    STATE(3472), 1,
      sym_procedure,
    STATE(6189), 1,
      sym_type,
    STATE(6254), 1,
      sym_named_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3450), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [180293] = 4,
    ACTIONS(8610), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [180343] = 4,
    ACTIONS(8612), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [180393] = 4,
    ACTIONS(8614), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [180443] = 4,
    ACTIONS(8616), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [180493] = 4,
    ACTIONS(3851), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [180543] = 4,
    ACTIONS(3949), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [180593] = 4,
    ACTIONS(8618), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [180643] = 4,
    ACTIONS(8620), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [180693] = 4,
    ACTIONS(8622), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [180743] = 4,
    ACTIONS(8624), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [180793] = 22,
    ACTIONS(1867), 1,
      sym_identifier,
    ACTIONS(1871), 1,
      anon_sym_struct,
    ACTIONS(1873), 1,
      anon_sym_enum,
    ACTIONS(1875), 1,
      anon_sym_union,
    ACTIONS(1892), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1896), 1,
      anon_sym_bit_set,
    ACTIONS(8162), 1,
      anon_sym_proc,
    ACTIONS(8164), 1,
      anon_sym_DOLLAR,
    ACTIONS(8166), 1,
      anon_sym_BANG,
    ACTIONS(8168), 1,
      anon_sym_LBRACK,
    ACTIONS(8170), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8172), 1,
      anon_sym_CARET,
    ACTIONS(8174), 1,
      anon_sym_map,
    ACTIONS(8176), 1,
      anon_sym_matrix,
    ACTIONS(8178), 1,
      anon_sym_distinct,
    ACTIONS(8180), 1,
      sym_tag,
    ACTIONS(8321), 1,
      anon_sym_LPAREN,
    ACTIONS(8626), 1,
      anon_sym_LBRACE,
    STATE(3458), 1,
      sym_procedure,
    STATE(7172), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3471), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [180879] = 4,
    ACTIONS(8628), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [180929] = 4,
    ACTIONS(8630), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [180979] = 4,
    ACTIONS(8632), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [181029] = 22,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    ACTIONS(8634), 1,
      anon_sym_RBRACE,
    STATE(3279), 1,
      sym_procedure,
    STATE(6866), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [181115] = 22,
    ACTIONS(509), 1,
      anon_sym_distinct,
    ACTIONS(1629), 1,
      anon_sym_proc,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1640), 1,
      anon_sym_DOLLAR,
    ACTIONS(1647), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1654), 1,
      anon_sym_map,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(1658), 1,
      anon_sym_matrix,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(8548), 1,
      anon_sym_LPAREN,
    ACTIONS(8636), 1,
      sym_identifier,
    ACTIONS(8638), 1,
      anon_sym_LBRACK,
    ACTIONS(8640), 1,
      anon_sym_CARET,
    ACTIONS(8642), 1,
      sym_tag,
    STATE(2754), 1,
      sym_procedure,
    STATE(2983), 1,
      sym_type,
    STATE(2984), 1,
      sym_named_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [181201] = 4,
    ACTIONS(3399), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [181251] = 22,
    ACTIONS(157), 1,
      anon_sym_distinct,
    ACTIONS(776), 1,
      anon_sym_proc,
    ACTIONS(781), 1,
      anon_sym_struct,
    ACTIONS(783), 1,
      anon_sym_enum,
    ACTIONS(785), 1,
      anon_sym_union,
    ACTIONS(791), 1,
      anon_sym_DOLLAR,
    ACTIONS(799), 1,
      anon_sym_DOT_DOT,
    ACTIONS(805), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(807), 1,
      anon_sym_map,
    ACTIONS(809), 1,
      anon_sym_bit_set,
    ACTIONS(811), 1,
      anon_sym_matrix,
    ACTIONS(8644), 1,
      sym_identifier,
    ACTIONS(8646), 1,
      anon_sym_LPAREN,
    ACTIONS(8648), 1,
      anon_sym_BANG,
    ACTIONS(8650), 1,
      anon_sym_LBRACK,
    ACTIONS(8652), 1,
      anon_sym_CARET,
    ACTIONS(8654), 1,
      sym_tag,
    STATE(627), 1,
      sym_type,
    STATE(638), 1,
      sym_named_type,
    STATE(695), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(705), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [181337] = 4,
    ACTIONS(8656), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [181387] = 4,
    ACTIONS(4100), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [181437] = 22,
    ACTIONS(509), 1,
      anon_sym_distinct,
    ACTIONS(1629), 1,
      anon_sym_proc,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1640), 1,
      anon_sym_DOLLAR,
    ACTIONS(1647), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1654), 1,
      anon_sym_map,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(1658), 1,
      anon_sym_matrix,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(8548), 1,
      anon_sym_LPAREN,
    ACTIONS(8636), 1,
      sym_identifier,
    ACTIONS(8638), 1,
      anon_sym_LBRACK,
    ACTIONS(8640), 1,
      anon_sym_CARET,
    ACTIONS(8658), 1,
      sym_tag,
    STATE(2754), 1,
      sym_procedure,
    STATE(2985), 1,
      sym_type,
    STATE(2986), 1,
      sym_named_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [181523] = 22,
    ACTIONS(509), 1,
      anon_sym_distinct,
    ACTIONS(1629), 1,
      anon_sym_proc,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1640), 1,
      anon_sym_DOLLAR,
    ACTIONS(1647), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1654), 1,
      anon_sym_map,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(1658), 1,
      anon_sym_matrix,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(8548), 1,
      anon_sym_LPAREN,
    ACTIONS(8636), 1,
      sym_identifier,
    ACTIONS(8640), 1,
      anon_sym_CARET,
    ACTIONS(8660), 1,
      anon_sym_LBRACK,
    ACTIONS(8662), 1,
      sym_tag,
    STATE(2754), 1,
      sym_procedure,
    STATE(2985), 1,
      sym_type,
    STATE(2986), 1,
      sym_named_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [181609] = 27,
    ACTIONS(7570), 1,
      anon_sym_LBRACK,
    ACTIONS(7673), 1,
      anon_sym_or_return,
    ACTIONS(7675), 1,
      anon_sym_or_continue,
    ACTIONS(7679), 1,
      anon_sym_CARET,
    ACTIONS(7938), 1,
      anon_sym_DASH_GT,
    ACTIONS(7942), 1,
      anon_sym_PLUS,
    ACTIONS(7944), 1,
      anon_sym_DASH,
    ACTIONS(7946), 1,
      anon_sym_TILDE,
    ACTIONS(7948), 1,
      anon_sym_AMP,
    ACTIONS(7952), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7960), 1,
      anon_sym_PIPE,
    ACTIONS(7962), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7970), 1,
      anon_sym_DOT,
    ACTIONS(7974), 1,
      anon_sym_or_break,
    ACTIONS(8300), 1,
      anon_sym_COMMA,
    STATE(6440), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(7940), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7950), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7954), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7956), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7964), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7966), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7968), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7972), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7958), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(8664), 3,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [181705] = 4,
    ACTIONS(3501), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [181755] = 22,
    ACTIONS(509), 1,
      anon_sym_distinct,
    ACTIONS(1629), 1,
      anon_sym_proc,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1640), 1,
      anon_sym_DOLLAR,
    ACTIONS(1647), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1654), 1,
      anon_sym_map,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(1658), 1,
      anon_sym_matrix,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(8548), 1,
      anon_sym_LPAREN,
    ACTIONS(8636), 1,
      sym_identifier,
    ACTIONS(8640), 1,
      anon_sym_CARET,
    ACTIONS(8660), 1,
      anon_sym_LBRACK,
    ACTIONS(8662), 1,
      sym_tag,
    STATE(2754), 1,
      sym_procedure,
    STATE(2988), 1,
      sym_type,
    STATE(2989), 1,
      sym_named_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [181841] = 22,
    ACTIONS(1679), 1,
      anon_sym_struct,
    ACTIONS(1681), 1,
      anon_sym_enum,
    ACTIONS(1683), 1,
      anon_sym_union,
    ACTIONS(1700), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1704), 1,
      anon_sym_bit_set,
    ACTIONS(7287), 1,
      anon_sym_proc,
    ACTIONS(7289), 1,
      anon_sym_DOLLAR,
    ACTIONS(7291), 1,
      anon_sym_BANG,
    ACTIONS(7295), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7297), 1,
      anon_sym_CARET,
    ACTIONS(7299), 1,
      anon_sym_map,
    ACTIONS(7301), 1,
      anon_sym_matrix,
    ACTIONS(7303), 1,
      anon_sym_distinct,
    ACTIONS(8666), 1,
      sym_identifier,
    ACTIONS(8668), 1,
      anon_sym_LPAREN,
    ACTIONS(8670), 1,
      anon_sym_LBRACK,
    ACTIONS(8672), 1,
      sym_tag,
    STATE(3172), 1,
      sym_procedure,
    STATE(6105), 1,
      sym_type,
    STATE(6106), 1,
      sym_named_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3208), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [181927] = 22,
    ACTIONS(157), 1,
      anon_sym_distinct,
    ACTIONS(776), 1,
      anon_sym_proc,
    ACTIONS(781), 1,
      anon_sym_struct,
    ACTIONS(783), 1,
      anon_sym_enum,
    ACTIONS(785), 1,
      anon_sym_union,
    ACTIONS(791), 1,
      anon_sym_DOLLAR,
    ACTIONS(799), 1,
      anon_sym_DOT_DOT,
    ACTIONS(805), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(807), 1,
      anon_sym_map,
    ACTIONS(809), 1,
      anon_sym_bit_set,
    ACTIONS(811), 1,
      anon_sym_matrix,
    ACTIONS(8644), 1,
      sym_identifier,
    ACTIONS(8646), 1,
      anon_sym_LPAREN,
    ACTIONS(8648), 1,
      anon_sym_BANG,
    ACTIONS(8650), 1,
      anon_sym_LBRACK,
    ACTIONS(8652), 1,
      anon_sym_CARET,
    ACTIONS(8674), 1,
      sym_tag,
    STATE(591), 1,
      sym_type,
    STATE(599), 1,
      sym_named_type,
    STATE(695), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(705), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [182013] = 4,
    ACTIONS(8676), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [182063] = 22,
    ACTIONS(477), 1,
      anon_sym_distinct,
    ACTIONS(1677), 1,
      anon_sym_proc,
    ACTIONS(1679), 1,
      anon_sym_struct,
    ACTIONS(1681), 1,
      anon_sym_enum,
    ACTIONS(1683), 1,
      anon_sym_union,
    ACTIONS(1688), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1700), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1702), 1,
      anon_sym_map,
    ACTIONS(1704), 1,
      anon_sym_bit_set,
    ACTIONS(1706), 1,
      anon_sym_matrix,
    ACTIONS(7291), 1,
      anon_sym_BANG,
    ACTIONS(8668), 1,
      anon_sym_LPAREN,
    ACTIONS(8678), 1,
      sym_identifier,
    ACTIONS(8680), 1,
      anon_sym_LBRACK,
    ACTIONS(8682), 1,
      anon_sym_CARET,
    ACTIONS(8684), 1,
      sym_tag,
    STATE(3032), 1,
      sym_type,
    STATE(3033), 1,
      sym_named_type,
    STATE(3172), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3208), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [182149] = 4,
    ACTIONS(8686), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [182199] = 22,
    ACTIONS(157), 1,
      anon_sym_distinct,
    ACTIONS(776), 1,
      anon_sym_proc,
    ACTIONS(781), 1,
      anon_sym_struct,
    ACTIONS(783), 1,
      anon_sym_enum,
    ACTIONS(785), 1,
      anon_sym_union,
    ACTIONS(791), 1,
      anon_sym_DOLLAR,
    ACTIONS(799), 1,
      anon_sym_DOT_DOT,
    ACTIONS(805), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(807), 1,
      anon_sym_map,
    ACTIONS(809), 1,
      anon_sym_bit_set,
    ACTIONS(811), 1,
      anon_sym_matrix,
    ACTIONS(8644), 1,
      sym_identifier,
    ACTIONS(8646), 1,
      anon_sym_LPAREN,
    ACTIONS(8648), 1,
      anon_sym_BANG,
    ACTIONS(8650), 1,
      anon_sym_LBRACK,
    ACTIONS(8652), 1,
      anon_sym_CARET,
    ACTIONS(8688), 1,
      sym_tag,
    STATE(608), 1,
      sym_type,
    STATE(616), 1,
      sym_named_type,
    STATE(695), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(705), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [182285] = 22,
    ACTIONS(157), 1,
      anon_sym_distinct,
    ACTIONS(776), 1,
      anon_sym_proc,
    ACTIONS(781), 1,
      anon_sym_struct,
    ACTIONS(783), 1,
      anon_sym_enum,
    ACTIONS(785), 1,
      anon_sym_union,
    ACTIONS(791), 1,
      anon_sym_DOLLAR,
    ACTIONS(799), 1,
      anon_sym_DOT_DOT,
    ACTIONS(805), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(807), 1,
      anon_sym_map,
    ACTIONS(809), 1,
      anon_sym_bit_set,
    ACTIONS(811), 1,
      anon_sym_matrix,
    ACTIONS(8644), 1,
      sym_identifier,
    ACTIONS(8646), 1,
      anon_sym_LPAREN,
    ACTIONS(8648), 1,
      anon_sym_BANG,
    ACTIONS(8652), 1,
      anon_sym_CARET,
    ACTIONS(8690), 1,
      anon_sym_LBRACK,
    ACTIONS(8692), 1,
      sym_tag,
    STATE(608), 1,
      sym_type,
    STATE(616), 1,
      sym_named_type,
    STATE(695), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(705), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [182371] = 22,
    ACTIONS(687), 1,
      anon_sym_distinct,
    ACTIONS(2016), 1,
      anon_sym_proc,
    ACTIONS(2018), 1,
      anon_sym_struct,
    ACTIONS(2020), 1,
      anon_sym_enum,
    ACTIONS(2022), 1,
      anon_sym_union,
    ACTIONS(2028), 1,
      anon_sym_DOLLAR,
    ACTIONS(2036), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2044), 1,
      anon_sym_map,
    ACTIONS(2046), 1,
      anon_sym_bit_set,
    ACTIONS(2048), 1,
      anon_sym_matrix,
    ACTIONS(7398), 1,
      anon_sym_BANG,
    ACTIONS(8604), 1,
      anon_sym_LPAREN,
    ACTIONS(8694), 1,
      sym_identifier,
    ACTIONS(8696), 1,
      anon_sym_LBRACK,
    ACTIONS(8698), 1,
      anon_sym_CARET,
    ACTIONS(8700), 1,
      sym_tag,
    STATE(3302), 1,
      sym_type,
    STATE(3303), 1,
      sym_named_type,
    STATE(3472), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3450), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [182457] = 22,
    ACTIONS(157), 1,
      anon_sym_distinct,
    ACTIONS(776), 1,
      anon_sym_proc,
    ACTIONS(781), 1,
      anon_sym_struct,
    ACTIONS(783), 1,
      anon_sym_enum,
    ACTIONS(785), 1,
      anon_sym_union,
    ACTIONS(791), 1,
      anon_sym_DOLLAR,
    ACTIONS(799), 1,
      anon_sym_DOT_DOT,
    ACTIONS(805), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(807), 1,
      anon_sym_map,
    ACTIONS(809), 1,
      anon_sym_bit_set,
    ACTIONS(811), 1,
      anon_sym_matrix,
    ACTIONS(8644), 1,
      sym_identifier,
    ACTIONS(8646), 1,
      anon_sym_LPAREN,
    ACTIONS(8648), 1,
      anon_sym_BANG,
    ACTIONS(8650), 1,
      anon_sym_LBRACK,
    ACTIONS(8652), 1,
      anon_sym_CARET,
    ACTIONS(8702), 1,
      sym_tag,
    STATE(503), 1,
      sym_named_type,
    STATE(527), 1,
      sym_type,
    STATE(695), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(705), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [182543] = 4,
    ACTIONS(8704), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [182593] = 4,
    ACTIONS(8706), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [182643] = 22,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    ACTIONS(8708), 1,
      anon_sym_RBRACE,
    STATE(3279), 1,
      sym_procedure,
    STATE(6866), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [182729] = 4,
    ACTIONS(8710), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [182779] = 4,
    ACTIONS(8712), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [182829] = 22,
    ACTIONS(157), 1,
      anon_sym_distinct,
    ACTIONS(776), 1,
      anon_sym_proc,
    ACTIONS(781), 1,
      anon_sym_struct,
    ACTIONS(783), 1,
      anon_sym_enum,
    ACTIONS(785), 1,
      anon_sym_union,
    ACTIONS(791), 1,
      anon_sym_DOLLAR,
    ACTIONS(799), 1,
      anon_sym_DOT_DOT,
    ACTIONS(805), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(807), 1,
      anon_sym_map,
    ACTIONS(809), 1,
      anon_sym_bit_set,
    ACTIONS(811), 1,
      anon_sym_matrix,
    ACTIONS(8644), 1,
      sym_identifier,
    ACTIONS(8646), 1,
      anon_sym_LPAREN,
    ACTIONS(8648), 1,
      anon_sym_BANG,
    ACTIONS(8652), 1,
      anon_sym_CARET,
    ACTIONS(8690), 1,
      anon_sym_LBRACK,
    ACTIONS(8692), 1,
      sym_tag,
    STATE(574), 1,
      sym_type,
    STATE(576), 1,
      sym_named_type,
    STATE(695), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(705), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [182915] = 22,
    ACTIONS(223), 1,
      anon_sym_distinct,
    ACTIONS(1107), 1,
      anon_sym_proc,
    ACTIONS(1109), 1,
      anon_sym_struct,
    ACTIONS(1111), 1,
      anon_sym_enum,
    ACTIONS(1113), 1,
      anon_sym_union,
    ACTIONS(1118), 1,
      anon_sym_DOLLAR,
    ACTIONS(1125), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1130), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1132), 1,
      anon_sym_map,
    ACTIONS(1134), 1,
      anon_sym_bit_set,
    ACTIONS(1136), 1,
      anon_sym_matrix,
    ACTIONS(8524), 1,
      sym_identifier,
    ACTIONS(8526), 1,
      anon_sym_LPAREN,
    ACTIONS(8528), 1,
      anon_sym_BANG,
    ACTIONS(8530), 1,
      anon_sym_LBRACK,
    ACTIONS(8532), 1,
      anon_sym_CARET,
    ACTIONS(8534), 1,
      sym_tag,
    STATE(2175), 1,
      sym_procedure,
    STATE(2228), 1,
      sym_type,
    STATE(2229), 1,
      sym_named_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2177), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [183001] = 22,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    ACTIONS(8714), 1,
      anon_sym_RBRACE,
    STATE(3279), 1,
      sym_procedure,
    STATE(6866), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [183087] = 4,
    ACTIONS(8716), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [183137] = 4,
    ACTIONS(3353), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [183187] = 22,
    ACTIONS(477), 1,
      anon_sym_distinct,
    ACTIONS(1677), 1,
      anon_sym_proc,
    ACTIONS(1679), 1,
      anon_sym_struct,
    ACTIONS(1681), 1,
      anon_sym_enum,
    ACTIONS(1683), 1,
      anon_sym_union,
    ACTIONS(1688), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1700), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1702), 1,
      anon_sym_map,
    ACTIONS(1704), 1,
      anon_sym_bit_set,
    ACTIONS(1706), 1,
      anon_sym_matrix,
    ACTIONS(7291), 1,
      anon_sym_BANG,
    ACTIONS(8668), 1,
      anon_sym_LPAREN,
    ACTIONS(8678), 1,
      sym_identifier,
    ACTIONS(8682), 1,
      anon_sym_CARET,
    ACTIONS(8718), 1,
      anon_sym_LBRACK,
    ACTIONS(8720), 1,
      sym_tag,
    STATE(2995), 1,
      sym_type,
    STATE(2996), 1,
      sym_named_type,
    STATE(3172), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3208), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [183273] = 4,
    ACTIONS(8722), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [183323] = 22,
    ACTIONS(157), 1,
      anon_sym_distinct,
    ACTIONS(776), 1,
      anon_sym_proc,
    ACTIONS(781), 1,
      anon_sym_struct,
    ACTIONS(783), 1,
      anon_sym_enum,
    ACTIONS(785), 1,
      anon_sym_union,
    ACTIONS(791), 1,
      anon_sym_DOLLAR,
    ACTIONS(799), 1,
      anon_sym_DOT_DOT,
    ACTIONS(805), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(807), 1,
      anon_sym_map,
    ACTIONS(809), 1,
      anon_sym_bit_set,
    ACTIONS(811), 1,
      anon_sym_matrix,
    ACTIONS(8644), 1,
      sym_identifier,
    ACTIONS(8646), 1,
      anon_sym_LPAREN,
    ACTIONS(8648), 1,
      anon_sym_BANG,
    ACTIONS(8650), 1,
      anon_sym_LBRACK,
    ACTIONS(8652), 1,
      anon_sym_CARET,
    ACTIONS(8724), 1,
      sym_tag,
    STATE(569), 1,
      sym_type,
    STATE(575), 1,
      sym_named_type,
    STATE(695), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(705), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [183409] = 4,
    ACTIONS(8726), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [183459] = 22,
    ACTIONS(157), 1,
      anon_sym_distinct,
    ACTIONS(776), 1,
      anon_sym_proc,
    ACTIONS(781), 1,
      anon_sym_struct,
    ACTIONS(783), 1,
      anon_sym_enum,
    ACTIONS(785), 1,
      anon_sym_union,
    ACTIONS(791), 1,
      anon_sym_DOLLAR,
    ACTIONS(799), 1,
      anon_sym_DOT_DOT,
    ACTIONS(805), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(807), 1,
      anon_sym_map,
    ACTIONS(809), 1,
      anon_sym_bit_set,
    ACTIONS(811), 1,
      anon_sym_matrix,
    ACTIONS(8644), 1,
      sym_identifier,
    ACTIONS(8646), 1,
      anon_sym_LPAREN,
    ACTIONS(8648), 1,
      anon_sym_BANG,
    ACTIONS(8652), 1,
      anon_sym_CARET,
    ACTIONS(8690), 1,
      anon_sym_LBRACK,
    ACTIONS(8692), 1,
      sym_tag,
    STATE(569), 1,
      sym_type,
    STATE(575), 1,
      sym_named_type,
    STATE(695), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(705), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [183545] = 22,
    ACTIONS(477), 1,
      anon_sym_distinct,
    ACTIONS(1677), 1,
      anon_sym_proc,
    ACTIONS(1679), 1,
      anon_sym_struct,
    ACTIONS(1681), 1,
      anon_sym_enum,
    ACTIONS(1683), 1,
      anon_sym_union,
    ACTIONS(1688), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1700), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1702), 1,
      anon_sym_map,
    ACTIONS(1704), 1,
      anon_sym_bit_set,
    ACTIONS(1706), 1,
      anon_sym_matrix,
    ACTIONS(7291), 1,
      anon_sym_BANG,
    ACTIONS(8668), 1,
      anon_sym_LPAREN,
    ACTIONS(8678), 1,
      sym_identifier,
    ACTIONS(8682), 1,
      anon_sym_CARET,
    ACTIONS(8718), 1,
      anon_sym_LBRACK,
    ACTIONS(8728), 1,
      sym_tag,
    STATE(2997), 1,
      sym_type,
    STATE(2998), 1,
      sym_named_type,
    STATE(3172), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3208), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [183631] = 22,
    ACTIONS(477), 1,
      anon_sym_distinct,
    ACTIONS(1677), 1,
      anon_sym_proc,
    ACTIONS(1679), 1,
      anon_sym_struct,
    ACTIONS(1681), 1,
      anon_sym_enum,
    ACTIONS(1683), 1,
      anon_sym_union,
    ACTIONS(1688), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1700), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1702), 1,
      anon_sym_map,
    ACTIONS(1704), 1,
      anon_sym_bit_set,
    ACTIONS(1706), 1,
      anon_sym_matrix,
    ACTIONS(7291), 1,
      anon_sym_BANG,
    ACTIONS(8668), 1,
      anon_sym_LPAREN,
    ACTIONS(8678), 1,
      sym_identifier,
    ACTIONS(8680), 1,
      anon_sym_LBRACK,
    ACTIONS(8682), 1,
      anon_sym_CARET,
    ACTIONS(8684), 1,
      sym_tag,
    STATE(2997), 1,
      sym_type,
    STATE(2998), 1,
      sym_named_type,
    STATE(3172), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3208), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [183717] = 4,
    ACTIONS(8730), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [183767] = 22,
    ACTIONS(1679), 1,
      anon_sym_struct,
    ACTIONS(1681), 1,
      anon_sym_enum,
    ACTIONS(1683), 1,
      anon_sym_union,
    ACTIONS(1700), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1704), 1,
      anon_sym_bit_set,
    ACTIONS(7287), 1,
      anon_sym_proc,
    ACTIONS(7289), 1,
      anon_sym_DOLLAR,
    ACTIONS(7291), 1,
      anon_sym_BANG,
    ACTIONS(7293), 1,
      anon_sym_LBRACK,
    ACTIONS(7295), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7297), 1,
      anon_sym_CARET,
    ACTIONS(7299), 1,
      anon_sym_map,
    ACTIONS(7301), 1,
      anon_sym_matrix,
    ACTIONS(7303), 1,
      anon_sym_distinct,
    ACTIONS(8666), 1,
      sym_identifier,
    ACTIONS(8668), 1,
      anon_sym_LPAREN,
    ACTIONS(8732), 1,
      sym_tag,
    STATE(3172), 1,
      sym_procedure,
    STATE(6098), 1,
      sym_type,
    STATE(6099), 1,
      sym_named_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3208), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [183853] = 4,
    ACTIONS(8734), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [183903] = 22,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    ACTIONS(8736), 1,
      anon_sym_RBRACE,
    STATE(3279), 1,
      sym_procedure,
    STATE(6866), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [183989] = 4,
    ACTIONS(8738), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [184039] = 22,
    ACTIONS(1679), 1,
      anon_sym_struct,
    ACTIONS(1681), 1,
      anon_sym_enum,
    ACTIONS(1683), 1,
      anon_sym_union,
    ACTIONS(1700), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1704), 1,
      anon_sym_bit_set,
    ACTIONS(7287), 1,
      anon_sym_proc,
    ACTIONS(7289), 1,
      anon_sym_DOLLAR,
    ACTIONS(7291), 1,
      anon_sym_BANG,
    ACTIONS(7293), 1,
      anon_sym_LBRACK,
    ACTIONS(7295), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7297), 1,
      anon_sym_CARET,
    ACTIONS(7299), 1,
      anon_sym_map,
    ACTIONS(7301), 1,
      anon_sym_matrix,
    ACTIONS(7303), 1,
      anon_sym_distinct,
    ACTIONS(8666), 1,
      sym_identifier,
    ACTIONS(8668), 1,
      anon_sym_LPAREN,
    ACTIONS(8740), 1,
      sym_tag,
    STATE(3172), 1,
      sym_procedure,
    STATE(6100), 1,
      sym_type,
    STATE(6101), 1,
      sym_named_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3208), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [184125] = 22,
    ACTIONS(1679), 1,
      anon_sym_struct,
    ACTIONS(1681), 1,
      anon_sym_enum,
    ACTIONS(1683), 1,
      anon_sym_union,
    ACTIONS(1700), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1704), 1,
      anon_sym_bit_set,
    ACTIONS(7287), 1,
      anon_sym_proc,
    ACTIONS(7289), 1,
      anon_sym_DOLLAR,
    ACTIONS(7291), 1,
      anon_sym_BANG,
    ACTIONS(7295), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7297), 1,
      anon_sym_CARET,
    ACTIONS(7299), 1,
      anon_sym_map,
    ACTIONS(7301), 1,
      anon_sym_matrix,
    ACTIONS(7303), 1,
      anon_sym_distinct,
    ACTIONS(8666), 1,
      sym_identifier,
    ACTIONS(8668), 1,
      anon_sym_LPAREN,
    ACTIONS(8670), 1,
      anon_sym_LBRACK,
    ACTIONS(8672), 1,
      sym_tag,
    STATE(3172), 1,
      sym_procedure,
    STATE(6100), 1,
      sym_type,
    STATE(6101), 1,
      sym_named_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3208), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [184211] = 22,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    ACTIONS(8742), 1,
      anon_sym_RBRACE,
    STATE(3279), 1,
      sym_procedure,
    STATE(6866), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [184297] = 4,
    ACTIONS(8744), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [184347] = 22,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    ACTIONS(8746), 1,
      anon_sym_RBRACE,
    STATE(3279), 1,
      sym_procedure,
    STATE(6866), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [184433] = 4,
    ACTIONS(4220), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [184483] = 22,
    ACTIONS(157), 1,
      anon_sym_distinct,
    ACTIONS(776), 1,
      anon_sym_proc,
    ACTIONS(781), 1,
      anon_sym_struct,
    ACTIONS(783), 1,
      anon_sym_enum,
    ACTIONS(785), 1,
      anon_sym_union,
    ACTIONS(791), 1,
      anon_sym_DOLLAR,
    ACTIONS(799), 1,
      anon_sym_DOT_DOT,
    ACTIONS(805), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(807), 1,
      anon_sym_map,
    ACTIONS(809), 1,
      anon_sym_bit_set,
    ACTIONS(811), 1,
      anon_sym_matrix,
    ACTIONS(8644), 1,
      sym_identifier,
    ACTIONS(8646), 1,
      anon_sym_LPAREN,
    ACTIONS(8648), 1,
      anon_sym_BANG,
    ACTIONS(8650), 1,
      anon_sym_LBRACK,
    ACTIONS(8652), 1,
      anon_sym_CARET,
    ACTIONS(8748), 1,
      sym_tag,
    STATE(565), 1,
      sym_type,
    STATE(567), 1,
      sym_named_type,
    STATE(695), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(705), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [184569] = 22,
    ACTIONS(223), 1,
      anon_sym_distinct,
    ACTIONS(1107), 1,
      anon_sym_proc,
    ACTIONS(1109), 1,
      anon_sym_struct,
    ACTIONS(1111), 1,
      anon_sym_enum,
    ACTIONS(1113), 1,
      anon_sym_union,
    ACTIONS(1118), 1,
      anon_sym_DOLLAR,
    ACTIONS(1125), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1130), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1132), 1,
      anon_sym_map,
    ACTIONS(1134), 1,
      anon_sym_bit_set,
    ACTIONS(1136), 1,
      anon_sym_matrix,
    ACTIONS(8524), 1,
      sym_identifier,
    ACTIONS(8526), 1,
      anon_sym_LPAREN,
    ACTIONS(8528), 1,
      anon_sym_BANG,
    ACTIONS(8532), 1,
      anon_sym_CARET,
    ACTIONS(8750), 1,
      anon_sym_LBRACK,
    ACTIONS(8752), 1,
      sym_tag,
    STATE(1296), 1,
      sym_type,
    STATE(1297), 1,
      sym_named_type,
    STATE(2175), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2177), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [184655] = 4,
    ACTIONS(8754), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [184705] = 4,
    ACTIONS(8756), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [184755] = 22,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    ACTIONS(8758), 1,
      anon_sym_RBRACE,
    STATE(3279), 1,
      sym_procedure,
    STATE(6866), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [184841] = 22,
    ACTIONS(687), 1,
      anon_sym_distinct,
    ACTIONS(2016), 1,
      anon_sym_proc,
    ACTIONS(2018), 1,
      anon_sym_struct,
    ACTIONS(2020), 1,
      anon_sym_enum,
    ACTIONS(2022), 1,
      anon_sym_union,
    ACTIONS(2028), 1,
      anon_sym_DOLLAR,
    ACTIONS(2036), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2044), 1,
      anon_sym_map,
    ACTIONS(2046), 1,
      anon_sym_bit_set,
    ACTIONS(2048), 1,
      anon_sym_matrix,
    ACTIONS(7398), 1,
      anon_sym_BANG,
    ACTIONS(8604), 1,
      anon_sym_LPAREN,
    ACTIONS(8694), 1,
      sym_identifier,
    ACTIONS(8698), 1,
      anon_sym_CARET,
    ACTIONS(8760), 1,
      anon_sym_LBRACK,
    ACTIONS(8762), 1,
      sym_tag,
    STATE(3296), 1,
      sym_type,
    STATE(3297), 1,
      sym_named_type,
    STATE(3472), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3450), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [184927] = 22,
    ACTIONS(687), 1,
      anon_sym_distinct,
    ACTIONS(2016), 1,
      anon_sym_proc,
    ACTIONS(2018), 1,
      anon_sym_struct,
    ACTIONS(2020), 1,
      anon_sym_enum,
    ACTIONS(2022), 1,
      anon_sym_union,
    ACTIONS(2028), 1,
      anon_sym_DOLLAR,
    ACTIONS(2036), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2044), 1,
      anon_sym_map,
    ACTIONS(2046), 1,
      anon_sym_bit_set,
    ACTIONS(2048), 1,
      anon_sym_matrix,
    ACTIONS(7398), 1,
      anon_sym_BANG,
    ACTIONS(8604), 1,
      anon_sym_LPAREN,
    ACTIONS(8694), 1,
      sym_identifier,
    ACTIONS(8698), 1,
      anon_sym_CARET,
    ACTIONS(8760), 1,
      anon_sym_LBRACK,
    ACTIONS(8764), 1,
      sym_tag,
    STATE(3298), 1,
      sym_type,
    STATE(3299), 1,
      sym_named_type,
    STATE(3472), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3450), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [185013] = 22,
    ACTIONS(687), 1,
      anon_sym_distinct,
    ACTIONS(2016), 1,
      anon_sym_proc,
    ACTIONS(2018), 1,
      anon_sym_struct,
    ACTIONS(2020), 1,
      anon_sym_enum,
    ACTIONS(2022), 1,
      anon_sym_union,
    ACTIONS(2028), 1,
      anon_sym_DOLLAR,
    ACTIONS(2036), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2044), 1,
      anon_sym_map,
    ACTIONS(2046), 1,
      anon_sym_bit_set,
    ACTIONS(2048), 1,
      anon_sym_matrix,
    ACTIONS(7398), 1,
      anon_sym_BANG,
    ACTIONS(8604), 1,
      anon_sym_LPAREN,
    ACTIONS(8694), 1,
      sym_identifier,
    ACTIONS(8696), 1,
      anon_sym_LBRACK,
    ACTIONS(8698), 1,
      anon_sym_CARET,
    ACTIONS(8700), 1,
      sym_tag,
    STATE(3298), 1,
      sym_type,
    STATE(3299), 1,
      sym_named_type,
    STATE(3472), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3450), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [185099] = 22,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    ACTIONS(8766), 1,
      anon_sym_RBRACE,
    STATE(3279), 1,
      sym_procedure,
    STATE(6866), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [185185] = 22,
    ACTIONS(157), 1,
      anon_sym_distinct,
    ACTIONS(776), 1,
      anon_sym_proc,
    ACTIONS(781), 1,
      anon_sym_struct,
    ACTIONS(783), 1,
      anon_sym_enum,
    ACTIONS(785), 1,
      anon_sym_union,
    ACTIONS(791), 1,
      anon_sym_DOLLAR,
    ACTIONS(799), 1,
      anon_sym_DOT_DOT,
    ACTIONS(805), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(807), 1,
      anon_sym_map,
    ACTIONS(809), 1,
      anon_sym_bit_set,
    ACTIONS(811), 1,
      anon_sym_matrix,
    ACTIONS(8644), 1,
      sym_identifier,
    ACTIONS(8646), 1,
      anon_sym_LPAREN,
    ACTIONS(8648), 1,
      anon_sym_BANG,
    ACTIONS(8652), 1,
      anon_sym_CARET,
    ACTIONS(8690), 1,
      anon_sym_LBRACK,
    ACTIONS(8692), 1,
      sym_tag,
    STATE(565), 1,
      sym_type,
    STATE(567), 1,
      sym_named_type,
    STATE(695), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(705), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [185271] = 29,
    ACTIONS(6957), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7550), 1,
      anon_sym_DASH_GT,
    ACTIONS(7552), 1,
      anon_sym_PLUS,
    ACTIONS(7554), 1,
      anon_sym_DASH,
    ACTIONS(7556), 1,
      anon_sym_TILDE,
    ACTIONS(7558), 1,
      anon_sym_AMP,
    ACTIONS(7560), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7568), 1,
      anon_sym_DOT,
    ACTIONS(7570), 1,
      anon_sym_LBRACK,
    ACTIONS(7649), 1,
      anon_sym_PIPE,
    ACTIONS(7671), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7673), 1,
      anon_sym_or_return,
    ACTIONS(7675), 1,
      anon_sym_or_continue,
    ACTIONS(7677), 1,
      anon_sym_or_break,
    ACTIONS(7679), 1,
      anon_sym_CARET,
    ACTIONS(8768), 1,
      anon_sym_COMMA,
    ACTIONS(8770), 1,
      anon_sym_COLON_EQ,
    ACTIONS(8772), 1,
      anon_sym_COLON,
    STATE(6709), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(7562), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7564), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7566), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7572), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(7659), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7661), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7669), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7687), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7663), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [185371] = 4,
    ACTIONS(8774), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [185421] = 22,
    ACTIONS(687), 1,
      anon_sym_distinct,
    ACTIONS(2016), 1,
      anon_sym_proc,
    ACTIONS(2018), 1,
      anon_sym_struct,
    ACTIONS(2020), 1,
      anon_sym_enum,
    ACTIONS(2022), 1,
      anon_sym_union,
    ACTIONS(2028), 1,
      anon_sym_DOLLAR,
    ACTIONS(2036), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2044), 1,
      anon_sym_map,
    ACTIONS(2046), 1,
      anon_sym_bit_set,
    ACTIONS(2048), 1,
      anon_sym_matrix,
    ACTIONS(7398), 1,
      anon_sym_BANG,
    ACTIONS(8604), 1,
      anon_sym_LPAREN,
    ACTIONS(8694), 1,
      sym_identifier,
    ACTIONS(8698), 1,
      anon_sym_CARET,
    ACTIONS(8760), 1,
      anon_sym_LBRACK,
    ACTIONS(8776), 1,
      sym_tag,
    STATE(3242), 1,
      sym_type,
    STATE(3243), 1,
      sym_named_type,
    STATE(3472), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3450), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [185507] = 22,
    ACTIONS(687), 1,
      anon_sym_distinct,
    ACTIONS(2016), 1,
      anon_sym_proc,
    ACTIONS(2018), 1,
      anon_sym_struct,
    ACTIONS(2020), 1,
      anon_sym_enum,
    ACTIONS(2022), 1,
      anon_sym_union,
    ACTIONS(2028), 1,
      anon_sym_DOLLAR,
    ACTIONS(2036), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2044), 1,
      anon_sym_map,
    ACTIONS(2046), 1,
      anon_sym_bit_set,
    ACTIONS(2048), 1,
      anon_sym_matrix,
    ACTIONS(7398), 1,
      anon_sym_BANG,
    ACTIONS(8604), 1,
      anon_sym_LPAREN,
    ACTIONS(8694), 1,
      sym_identifier,
    ACTIONS(8698), 1,
      anon_sym_CARET,
    ACTIONS(8760), 1,
      anon_sym_LBRACK,
    ACTIONS(8778), 1,
      sym_tag,
    STATE(3245), 1,
      sym_type,
    STATE(3246), 1,
      sym_named_type,
    STATE(3472), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3450), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [185593] = 22,
    ACTIONS(687), 1,
      anon_sym_distinct,
    ACTIONS(2016), 1,
      anon_sym_proc,
    ACTIONS(2018), 1,
      anon_sym_struct,
    ACTIONS(2020), 1,
      anon_sym_enum,
    ACTIONS(2022), 1,
      anon_sym_union,
    ACTIONS(2028), 1,
      anon_sym_DOLLAR,
    ACTIONS(2036), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2044), 1,
      anon_sym_map,
    ACTIONS(2046), 1,
      anon_sym_bit_set,
    ACTIONS(2048), 1,
      anon_sym_matrix,
    ACTIONS(7398), 1,
      anon_sym_BANG,
    ACTIONS(8604), 1,
      anon_sym_LPAREN,
    ACTIONS(8694), 1,
      sym_identifier,
    ACTIONS(8696), 1,
      anon_sym_LBRACK,
    ACTIONS(8698), 1,
      anon_sym_CARET,
    ACTIONS(8700), 1,
      sym_tag,
    STATE(3245), 1,
      sym_type,
    STATE(3246), 1,
      sym_named_type,
    STATE(3472), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3450), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [185679] = 22,
    ACTIONS(223), 1,
      anon_sym_distinct,
    ACTIONS(1107), 1,
      anon_sym_proc,
    ACTIONS(1109), 1,
      anon_sym_struct,
    ACTIONS(1111), 1,
      anon_sym_enum,
    ACTIONS(1113), 1,
      anon_sym_union,
    ACTIONS(1118), 1,
      anon_sym_DOLLAR,
    ACTIONS(1125), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1130), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1132), 1,
      anon_sym_map,
    ACTIONS(1134), 1,
      anon_sym_bit_set,
    ACTIONS(1136), 1,
      anon_sym_matrix,
    ACTIONS(8524), 1,
      sym_identifier,
    ACTIONS(8526), 1,
      anon_sym_LPAREN,
    ACTIONS(8528), 1,
      anon_sym_BANG,
    ACTIONS(8532), 1,
      anon_sym_CARET,
    ACTIONS(8750), 1,
      anon_sym_LBRACK,
    ACTIONS(8780), 1,
      sym_tag,
    STATE(1298), 1,
      sym_type,
    STATE(1299), 1,
      sym_named_type,
    STATE(2175), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2177), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [185765] = 4,
    ACTIONS(8782), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [185815] = 4,
    ACTIONS(8784), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [185865] = 22,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    ACTIONS(8786), 1,
      anon_sym_RBRACE,
    STATE(3279), 1,
      sym_procedure,
    STATE(6866), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [185951] = 4,
    ACTIONS(8788), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [186001] = 22,
    ACTIONS(509), 1,
      anon_sym_distinct,
    ACTIONS(1629), 1,
      anon_sym_proc,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1640), 1,
      anon_sym_DOLLAR,
    ACTIONS(1647), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1654), 1,
      anon_sym_map,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(1658), 1,
      anon_sym_matrix,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(8548), 1,
      anon_sym_LPAREN,
    ACTIONS(8636), 1,
      sym_identifier,
    ACTIONS(8638), 1,
      anon_sym_LBRACK,
    ACTIONS(8640), 1,
      anon_sym_CARET,
    ACTIONS(8790), 1,
      sym_tag,
    STATE(2754), 1,
      sym_procedure,
    STATE(2956), 1,
      sym_type,
    STATE(2957), 1,
      sym_named_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [186087] = 27,
    ACTIONS(7570), 1,
      anon_sym_LBRACK,
    ACTIONS(7673), 1,
      anon_sym_or_return,
    ACTIONS(7675), 1,
      anon_sym_or_continue,
    ACTIONS(7679), 1,
      anon_sym_CARET,
    ACTIONS(7938), 1,
      anon_sym_DASH_GT,
    ACTIONS(7942), 1,
      anon_sym_PLUS,
    ACTIONS(7944), 1,
      anon_sym_DASH,
    ACTIONS(7946), 1,
      anon_sym_TILDE,
    ACTIONS(7948), 1,
      anon_sym_AMP,
    ACTIONS(7952), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7960), 1,
      anon_sym_PIPE,
    ACTIONS(7962), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7970), 1,
      anon_sym_DOT,
    ACTIONS(7974), 1,
      anon_sym_or_break,
    ACTIONS(8792), 1,
      anon_sym_COMMA,
    STATE(6665), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(7940), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7950), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7954), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7956), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7964), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7966), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7968), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7972), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3261), 3,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    ACTIONS(7958), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [186183] = 4,
    ACTIONS(8794), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [186233] = 22,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    ACTIONS(8796), 1,
      anon_sym_RBRACE,
    STATE(3279), 1,
      sym_procedure,
    STATE(6866), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [186319] = 22,
    ACTIONS(509), 1,
      anon_sym_distinct,
    ACTIONS(1629), 1,
      anon_sym_proc,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1640), 1,
      anon_sym_DOLLAR,
    ACTIONS(1647), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1654), 1,
      anon_sym_map,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(1658), 1,
      anon_sym_matrix,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(8548), 1,
      anon_sym_LPAREN,
    ACTIONS(8636), 1,
      sym_identifier,
    ACTIONS(8638), 1,
      anon_sym_LBRACK,
    ACTIONS(8640), 1,
      anon_sym_CARET,
    ACTIONS(8798), 1,
      sym_tag,
    STATE(2754), 1,
      sym_procedure,
    STATE(2959), 1,
      sym_type,
    STATE(2960), 1,
      sym_named_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [186405] = 22,
    ACTIONS(509), 1,
      anon_sym_distinct,
    ACTIONS(1629), 1,
      anon_sym_proc,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1640), 1,
      anon_sym_DOLLAR,
    ACTIONS(1647), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1654), 1,
      anon_sym_map,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(1658), 1,
      anon_sym_matrix,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(8548), 1,
      anon_sym_LPAREN,
    ACTIONS(8636), 1,
      sym_identifier,
    ACTIONS(8640), 1,
      anon_sym_CARET,
    ACTIONS(8660), 1,
      anon_sym_LBRACK,
    ACTIONS(8662), 1,
      sym_tag,
    STATE(2754), 1,
      sym_procedure,
    STATE(2959), 1,
      sym_type,
    STATE(2960), 1,
      sym_named_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [186491] = 4,
    ACTIONS(8800), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [186541] = 27,
    ACTIONS(7570), 1,
      anon_sym_LBRACK,
    ACTIONS(7673), 1,
      anon_sym_or_return,
    ACTIONS(7675), 1,
      anon_sym_or_continue,
    ACTIONS(7679), 1,
      anon_sym_CARET,
    ACTIONS(7938), 1,
      anon_sym_DASH_GT,
    ACTIONS(7942), 1,
      anon_sym_PLUS,
    ACTIONS(7944), 1,
      anon_sym_DASH,
    ACTIONS(7946), 1,
      anon_sym_TILDE,
    ACTIONS(7948), 1,
      anon_sym_AMP,
    ACTIONS(7952), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7960), 1,
      anon_sym_PIPE,
    ACTIONS(7962), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7970), 1,
      anon_sym_DOT,
    ACTIONS(7974), 1,
      anon_sym_or_break,
    ACTIONS(8804), 1,
      anon_sym_COMMA,
    STATE(6716), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(7940), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7950), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7954), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7956), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7964), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7966), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7968), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7972), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7958), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(8802), 3,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [186637] = 22,
    ACTIONS(509), 1,
      anon_sym_distinct,
    ACTIONS(1629), 1,
      anon_sym_proc,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1640), 1,
      anon_sym_DOLLAR,
    ACTIONS(1647), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1654), 1,
      anon_sym_map,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(1658), 1,
      anon_sym_matrix,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(8548), 1,
      anon_sym_LPAREN,
    ACTIONS(8636), 1,
      sym_identifier,
    ACTIONS(8640), 1,
      anon_sym_CARET,
    ACTIONS(8660), 1,
      anon_sym_LBRACK,
    ACTIONS(8662), 1,
      sym_tag,
    STATE(2754), 1,
      sym_procedure,
    STATE(2962), 1,
      sym_type,
    STATE(2963), 1,
      sym_named_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [186723] = 22,
    ACTIONS(1867), 1,
      sym_identifier,
    ACTIONS(1871), 1,
      anon_sym_struct,
    ACTIONS(1873), 1,
      anon_sym_enum,
    ACTIONS(1875), 1,
      anon_sym_union,
    ACTIONS(1892), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1896), 1,
      anon_sym_bit_set,
    ACTIONS(8162), 1,
      anon_sym_proc,
    ACTIONS(8164), 1,
      anon_sym_DOLLAR,
    ACTIONS(8166), 1,
      anon_sym_BANG,
    ACTIONS(8168), 1,
      anon_sym_LBRACK,
    ACTIONS(8170), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8172), 1,
      anon_sym_CARET,
    ACTIONS(8174), 1,
      anon_sym_map,
    ACTIONS(8176), 1,
      anon_sym_matrix,
    ACTIONS(8178), 1,
      anon_sym_distinct,
    ACTIONS(8180), 1,
      sym_tag,
    ACTIONS(8321), 1,
      anon_sym_LPAREN,
    ACTIONS(8806), 1,
      anon_sym_LBRACE,
    STATE(3458), 1,
      sym_procedure,
    STATE(7722), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3471), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [186809] = 4,
    ACTIONS(4266), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [186859] = 22,
    ACTIONS(477), 1,
      anon_sym_distinct,
    ACTIONS(1677), 1,
      anon_sym_proc,
    ACTIONS(1679), 1,
      anon_sym_struct,
    ACTIONS(1681), 1,
      anon_sym_enum,
    ACTIONS(1683), 1,
      anon_sym_union,
    ACTIONS(1688), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1700), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1702), 1,
      anon_sym_map,
    ACTIONS(1704), 1,
      anon_sym_bit_set,
    ACTIONS(1706), 1,
      anon_sym_matrix,
    ACTIONS(7291), 1,
      anon_sym_BANG,
    ACTIONS(8668), 1,
      anon_sym_LPAREN,
    ACTIONS(8678), 1,
      sym_identifier,
    ACTIONS(8680), 1,
      anon_sym_LBRACK,
    ACTIONS(8682), 1,
      anon_sym_CARET,
    ACTIONS(8684), 1,
      sym_tag,
    STATE(3002), 1,
      sym_type,
    STATE(3003), 1,
      sym_named_type,
    STATE(3172), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3208), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [186945] = 22,
    ACTIONS(477), 1,
      anon_sym_distinct,
    ACTIONS(1677), 1,
      anon_sym_proc,
    ACTIONS(1679), 1,
      anon_sym_struct,
    ACTIONS(1681), 1,
      anon_sym_enum,
    ACTIONS(1683), 1,
      anon_sym_union,
    ACTIONS(1688), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1700), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1702), 1,
      anon_sym_map,
    ACTIONS(1704), 1,
      anon_sym_bit_set,
    ACTIONS(1706), 1,
      anon_sym_matrix,
    ACTIONS(7291), 1,
      anon_sym_BANG,
    ACTIONS(8668), 1,
      anon_sym_LPAREN,
    ACTIONS(8678), 1,
      sym_identifier,
    ACTIONS(8682), 1,
      anon_sym_CARET,
    ACTIONS(8718), 1,
      anon_sym_LBRACK,
    ACTIONS(8808), 1,
      sym_tag,
    STATE(2930), 1,
      sym_type,
    STATE(2932), 1,
      sym_named_type,
    STATE(3172), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3208), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [187031] = 4,
    ACTIONS(8810), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [187081] = 22,
    ACTIONS(2018), 1,
      anon_sym_struct,
    ACTIONS(2020), 1,
      anon_sym_enum,
    ACTIONS(2022), 1,
      anon_sym_union,
    ACTIONS(2042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2046), 1,
      anon_sym_bit_set,
    ACTIONS(7394), 1,
      anon_sym_proc,
    ACTIONS(7396), 1,
      anon_sym_DOLLAR,
    ACTIONS(7398), 1,
      anon_sym_BANG,
    ACTIONS(7402), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7404), 1,
      anon_sym_CARET,
    ACTIONS(7406), 1,
      anon_sym_map,
    ACTIONS(7408), 1,
      anon_sym_matrix,
    ACTIONS(7410), 1,
      anon_sym_distinct,
    ACTIONS(8602), 1,
      sym_identifier,
    ACTIONS(8604), 1,
      anon_sym_LPAREN,
    ACTIONS(8606), 1,
      anon_sym_LBRACK,
    ACTIONS(8608), 1,
      sym_tag,
    STATE(3472), 1,
      sym_procedure,
    STATE(6147), 1,
      sym_type,
    STATE(6149), 1,
      sym_named_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3450), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [187167] = 22,
    ACTIONS(157), 1,
      anon_sym_distinct,
    ACTIONS(776), 1,
      anon_sym_proc,
    ACTIONS(781), 1,
      anon_sym_struct,
    ACTIONS(783), 1,
      anon_sym_enum,
    ACTIONS(785), 1,
      anon_sym_union,
    ACTIONS(791), 1,
      anon_sym_DOLLAR,
    ACTIONS(799), 1,
      anon_sym_DOT_DOT,
    ACTIONS(805), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(807), 1,
      anon_sym_map,
    ACTIONS(809), 1,
      anon_sym_bit_set,
    ACTIONS(811), 1,
      anon_sym_matrix,
    ACTIONS(8644), 1,
      sym_identifier,
    ACTIONS(8646), 1,
      anon_sym_LPAREN,
    ACTIONS(8648), 1,
      anon_sym_BANG,
    ACTIONS(8652), 1,
      anon_sym_CARET,
    ACTIONS(8690), 1,
      anon_sym_LBRACK,
    ACTIONS(8692), 1,
      sym_tag,
    STATE(504), 1,
      sym_named_type,
    STATE(635), 1,
      sym_type,
    STATE(695), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(705), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [187253] = 22,
    ACTIONS(223), 1,
      anon_sym_distinct,
    ACTIONS(1107), 1,
      anon_sym_proc,
    ACTIONS(1109), 1,
      anon_sym_struct,
    ACTIONS(1111), 1,
      anon_sym_enum,
    ACTIONS(1113), 1,
      anon_sym_union,
    ACTIONS(1118), 1,
      anon_sym_DOLLAR,
    ACTIONS(1125), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1130), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1132), 1,
      anon_sym_map,
    ACTIONS(1134), 1,
      anon_sym_bit_set,
    ACTIONS(1136), 1,
      anon_sym_matrix,
    ACTIONS(8524), 1,
      sym_identifier,
    ACTIONS(8526), 1,
      anon_sym_LPAREN,
    ACTIONS(8528), 1,
      anon_sym_BANG,
    ACTIONS(8530), 1,
      anon_sym_LBRACK,
    ACTIONS(8532), 1,
      anon_sym_CARET,
    ACTIONS(8534), 1,
      sym_tag,
    STATE(1301), 1,
      sym_type,
    STATE(1302), 1,
      sym_named_type,
    STATE(2175), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2177), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [187339] = 4,
    ACTIONS(8812), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [187389] = 4,
    ACTIONS(8814), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [187439] = 22,
    ACTIONS(477), 1,
      anon_sym_distinct,
    ACTIONS(1677), 1,
      anon_sym_proc,
    ACTIONS(1679), 1,
      anon_sym_struct,
    ACTIONS(1681), 1,
      anon_sym_enum,
    ACTIONS(1683), 1,
      anon_sym_union,
    ACTIONS(1688), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1700), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1702), 1,
      anon_sym_map,
    ACTIONS(1704), 1,
      anon_sym_bit_set,
    ACTIONS(1706), 1,
      anon_sym_matrix,
    ACTIONS(7291), 1,
      anon_sym_BANG,
    ACTIONS(8668), 1,
      anon_sym_LPAREN,
    ACTIONS(8678), 1,
      sym_identifier,
    ACTIONS(8682), 1,
      anon_sym_CARET,
    ACTIONS(8718), 1,
      anon_sym_LBRACK,
    ACTIONS(8816), 1,
      sym_tag,
    STATE(2933), 1,
      sym_type,
    STATE(2934), 1,
      sym_named_type,
    STATE(3172), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3208), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [187525] = 22,
    ACTIONS(477), 1,
      anon_sym_distinct,
    ACTIONS(1677), 1,
      anon_sym_proc,
    ACTIONS(1679), 1,
      anon_sym_struct,
    ACTIONS(1681), 1,
      anon_sym_enum,
    ACTIONS(1683), 1,
      anon_sym_union,
    ACTIONS(1688), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1700), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1702), 1,
      anon_sym_map,
    ACTIONS(1704), 1,
      anon_sym_bit_set,
    ACTIONS(1706), 1,
      anon_sym_matrix,
    ACTIONS(7291), 1,
      anon_sym_BANG,
    ACTIONS(8668), 1,
      anon_sym_LPAREN,
    ACTIONS(8678), 1,
      sym_identifier,
    ACTIONS(8680), 1,
      anon_sym_LBRACK,
    ACTIONS(8682), 1,
      anon_sym_CARET,
    ACTIONS(8684), 1,
      sym_tag,
    STATE(2933), 1,
      sym_type,
    STATE(2934), 1,
      sym_named_type,
    STATE(3172), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3208), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [187611] = 4,
    ACTIONS(8818), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [187661] = 22,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    ACTIONS(8820), 1,
      anon_sym_RBRACE,
    STATE(3279), 1,
      sym_procedure,
    STATE(6866), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [187747] = 22,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(7442), 1,
      anon_sym_proc,
    ACTIONS(7444), 1,
      anon_sym_DOLLAR,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(7448), 1,
      anon_sym_LBRACK,
    ACTIONS(7450), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7452), 1,
      anon_sym_CARET,
    ACTIONS(7454), 1,
      anon_sym_map,
    ACTIONS(7456), 1,
      anon_sym_matrix,
    ACTIONS(7458), 1,
      anon_sym_distinct,
    ACTIONS(8548), 1,
      anon_sym_LPAREN,
    ACTIONS(8598), 1,
      sym_identifier,
    ACTIONS(8822), 1,
      sym_tag,
    STATE(2754), 1,
      sym_procedure,
    STATE(6173), 1,
      sym_type,
    STATE(6174), 1,
      sym_named_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [187833] = 4,
    ACTIONS(8824), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [187883] = 4,
    ACTIONS(4070), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [187933] = 22,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    ACTIONS(8826), 1,
      anon_sym_RBRACE,
    STATE(3279), 1,
      sym_procedure,
    STATE(6866), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [188019] = 4,
    ACTIONS(8828), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [188069] = 22,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(7442), 1,
      anon_sym_proc,
    ACTIONS(7444), 1,
      anon_sym_DOLLAR,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(7448), 1,
      anon_sym_LBRACK,
    ACTIONS(7450), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7452), 1,
      anon_sym_CARET,
    ACTIONS(7454), 1,
      anon_sym_map,
    ACTIONS(7456), 1,
      anon_sym_matrix,
    ACTIONS(7458), 1,
      anon_sym_distinct,
    ACTIONS(8548), 1,
      anon_sym_LPAREN,
    ACTIONS(8598), 1,
      sym_identifier,
    ACTIONS(8830), 1,
      sym_tag,
    STATE(2754), 1,
      sym_procedure,
    STATE(6319), 1,
      sym_type,
    STATE(6320), 1,
      sym_named_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [188155] = 22,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    ACTIONS(8832), 1,
      anon_sym_RBRACE,
    STATE(3279), 1,
      sym_procedure,
    STATE(6866), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [188241] = 22,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    ACTIONS(8834), 1,
      anon_sym_RBRACE,
    STATE(3279), 1,
      sym_procedure,
    STATE(6866), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [188327] = 22,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    ACTIONS(8836), 1,
      anon_sym_RBRACE,
    STATE(3279), 1,
      sym_procedure,
    STATE(6866), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [188413] = 22,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    ACTIONS(8838), 1,
      anon_sym_RBRACE,
    STATE(3279), 1,
      sym_procedure,
    STATE(6660), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [188499] = 22,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(7442), 1,
      anon_sym_proc,
    ACTIONS(7444), 1,
      anon_sym_DOLLAR,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(7448), 1,
      anon_sym_LBRACK,
    ACTIONS(7450), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7452), 1,
      anon_sym_CARET,
    ACTIONS(7454), 1,
      anon_sym_map,
    ACTIONS(7456), 1,
      anon_sym_matrix,
    ACTIONS(7458), 1,
      anon_sym_distinct,
    ACTIONS(8548), 1,
      anon_sym_LPAREN,
    ACTIONS(8598), 1,
      sym_identifier,
    ACTIONS(8840), 1,
      sym_tag,
    STATE(2754), 1,
      sym_procedure,
    STATE(6323), 1,
      sym_type,
    STATE(6324), 1,
      sym_named_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [188585] = 22,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(7442), 1,
      anon_sym_proc,
    ACTIONS(7444), 1,
      anon_sym_DOLLAR,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(7450), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7452), 1,
      anon_sym_CARET,
    ACTIONS(7454), 1,
      anon_sym_map,
    ACTIONS(7456), 1,
      anon_sym_matrix,
    ACTIONS(7458), 1,
      anon_sym_distinct,
    ACTIONS(8548), 1,
      anon_sym_LPAREN,
    ACTIONS(8598), 1,
      sym_identifier,
    ACTIONS(8842), 1,
      anon_sym_LBRACK,
    ACTIONS(8844), 1,
      sym_tag,
    STATE(2754), 1,
      sym_procedure,
    STATE(6323), 1,
      sym_type,
    STATE(6324), 1,
      sym_named_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [188671] = 22,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(7442), 1,
      anon_sym_proc,
    ACTIONS(7444), 1,
      anon_sym_DOLLAR,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(7450), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7452), 1,
      anon_sym_CARET,
    ACTIONS(7454), 1,
      anon_sym_map,
    ACTIONS(7456), 1,
      anon_sym_matrix,
    ACTIONS(7458), 1,
      anon_sym_distinct,
    ACTIONS(8548), 1,
      anon_sym_LPAREN,
    ACTIONS(8598), 1,
      sym_identifier,
    ACTIONS(8842), 1,
      anon_sym_LBRACK,
    ACTIONS(8844), 1,
      sym_tag,
    STATE(2754), 1,
      sym_procedure,
    STATE(6284), 1,
      sym_type,
    STATE(6287), 1,
      sym_named_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [188757] = 4,
    ACTIONS(8846), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [188807] = 22,
    ACTIONS(2018), 1,
      anon_sym_struct,
    ACTIONS(2020), 1,
      anon_sym_enum,
    ACTIONS(2022), 1,
      anon_sym_union,
    ACTIONS(2042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2046), 1,
      anon_sym_bit_set,
    ACTIONS(7394), 1,
      anon_sym_proc,
    ACTIONS(7396), 1,
      anon_sym_DOLLAR,
    ACTIONS(7398), 1,
      anon_sym_BANG,
    ACTIONS(7400), 1,
      anon_sym_LBRACK,
    ACTIONS(7402), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7404), 1,
      anon_sym_CARET,
    ACTIONS(7406), 1,
      anon_sym_map,
    ACTIONS(7408), 1,
      anon_sym_matrix,
    ACTIONS(7410), 1,
      anon_sym_distinct,
    ACTIONS(8602), 1,
      sym_identifier,
    ACTIONS(8604), 1,
      anon_sym_LPAREN,
    ACTIONS(8848), 1,
      sym_tag,
    STATE(3472), 1,
      sym_procedure,
    STATE(6155), 1,
      sym_type,
    STATE(6220), 1,
      sym_named_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3450), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [188893] = 22,
    ACTIONS(477), 1,
      anon_sym_distinct,
    ACTIONS(1677), 1,
      anon_sym_proc,
    ACTIONS(1679), 1,
      anon_sym_struct,
    ACTIONS(1681), 1,
      anon_sym_enum,
    ACTIONS(1683), 1,
      anon_sym_union,
    ACTIONS(1688), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1700), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1702), 1,
      anon_sym_map,
    ACTIONS(1704), 1,
      anon_sym_bit_set,
    ACTIONS(1706), 1,
      anon_sym_matrix,
    ACTIONS(7291), 1,
      anon_sym_BANG,
    ACTIONS(8668), 1,
      anon_sym_LPAREN,
    ACTIONS(8678), 1,
      sym_identifier,
    ACTIONS(8680), 1,
      anon_sym_LBRACK,
    ACTIONS(8682), 1,
      anon_sym_CARET,
    ACTIONS(8684), 1,
      sym_tag,
    STATE(2936), 1,
      sym_type,
    STATE(2937), 1,
      sym_named_type,
    STATE(3172), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3208), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [188979] = 4,
    ACTIONS(4160), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [189029] = 22,
    ACTIONS(687), 1,
      anon_sym_distinct,
    ACTIONS(2016), 1,
      anon_sym_proc,
    ACTIONS(2018), 1,
      anon_sym_struct,
    ACTIONS(2020), 1,
      anon_sym_enum,
    ACTIONS(2022), 1,
      anon_sym_union,
    ACTIONS(2028), 1,
      anon_sym_DOLLAR,
    ACTIONS(2036), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2044), 1,
      anon_sym_map,
    ACTIONS(2046), 1,
      anon_sym_bit_set,
    ACTIONS(2048), 1,
      anon_sym_matrix,
    ACTIONS(7398), 1,
      anon_sym_BANG,
    ACTIONS(8604), 1,
      anon_sym_LPAREN,
    ACTIONS(8694), 1,
      sym_identifier,
    ACTIONS(8696), 1,
      anon_sym_LBRACK,
    ACTIONS(8698), 1,
      anon_sym_CARET,
    ACTIONS(8700), 1,
      sym_tag,
    STATE(3253), 1,
      sym_type,
    STATE(3254), 1,
      sym_named_type,
    STATE(3472), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3450), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [189115] = 4,
    ACTIONS(8850), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [189165] = 4,
    ACTIONS(8852), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [189215] = 4,
    ACTIONS(3531), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [189265] = 4,
    ACTIONS(8854), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [189315] = 4,
    ACTIONS(8856), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [189365] = 4,
    ACTIONS(8858), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [189415] = 4,
    ACTIONS(4210), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [189465] = 4,
    ACTIONS(8860), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [189515] = 4,
    ACTIONS(8862), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [189565] = 22,
    ACTIONS(687), 1,
      anon_sym_distinct,
    ACTIONS(2016), 1,
      anon_sym_proc,
    ACTIONS(2018), 1,
      anon_sym_struct,
    ACTIONS(2020), 1,
      anon_sym_enum,
    ACTIONS(2022), 1,
      anon_sym_union,
    ACTIONS(2028), 1,
      anon_sym_DOLLAR,
    ACTIONS(2036), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2044), 1,
      anon_sym_map,
    ACTIONS(2046), 1,
      anon_sym_bit_set,
    ACTIONS(2048), 1,
      anon_sym_matrix,
    ACTIONS(7398), 1,
      anon_sym_BANG,
    ACTIONS(8604), 1,
      anon_sym_LPAREN,
    ACTIONS(8694), 1,
      sym_identifier,
    ACTIONS(8698), 1,
      anon_sym_CARET,
    ACTIONS(8760), 1,
      anon_sym_LBRACK,
    ACTIONS(8864), 1,
      sym_tag,
    STATE(3371), 1,
      sym_type,
    STATE(3372), 1,
      sym_named_type,
    STATE(3472), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3450), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [189651] = 4,
    ACTIONS(8866), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [189701] = 22,
    ACTIONS(157), 1,
      anon_sym_distinct,
    ACTIONS(776), 1,
      anon_sym_proc,
    ACTIONS(781), 1,
      anon_sym_struct,
    ACTIONS(783), 1,
      anon_sym_enum,
    ACTIONS(785), 1,
      anon_sym_union,
    ACTIONS(791), 1,
      anon_sym_DOLLAR,
    ACTIONS(799), 1,
      anon_sym_DOT_DOT,
    ACTIONS(805), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(807), 1,
      anon_sym_map,
    ACTIONS(809), 1,
      anon_sym_bit_set,
    ACTIONS(811), 1,
      anon_sym_matrix,
    ACTIONS(8644), 1,
      sym_identifier,
    ACTIONS(8646), 1,
      anon_sym_LPAREN,
    ACTIONS(8648), 1,
      anon_sym_BANG,
    ACTIONS(8652), 1,
      anon_sym_CARET,
    ACTIONS(8690), 1,
      anon_sym_LBRACK,
    ACTIONS(8692), 1,
      sym_tag,
    STATE(581), 1,
      sym_type,
    STATE(583), 1,
      sym_named_type,
    STATE(695), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(705), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [189787] = 4,
    ACTIONS(8868), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [189837] = 4,
    ACTIONS(4240), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [189887] = 29,
    ACTIONS(6961), 1,
      anon_sym_COLON_EQ,
    ACTIONS(7084), 1,
      anon_sym_EQ,
    ACTIONS(8132), 1,
      anon_sym_DASH_GT,
    ACTIONS(8134), 1,
      anon_sym_PLUS,
    ACTIONS(8136), 1,
      anon_sym_DASH,
    ACTIONS(8138), 1,
      anon_sym_TILDE,
    ACTIONS(8140), 1,
      anon_sym_AMP,
    ACTIONS(8142), 1,
      anon_sym_PIPE,
    ACTIONS(8144), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8152), 1,
      anon_sym_DOT,
    ACTIONS(8154), 1,
      anon_sym_LBRACK,
    ACTIONS(8194), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8202), 1,
      anon_sym_or_return,
    ACTIONS(8204), 1,
      anon_sym_or_continue,
    ACTIONS(8206), 1,
      anon_sym_or_break,
    ACTIONS(8208), 1,
      anon_sym_CARET,
    ACTIONS(8506), 1,
      anon_sym_COMMA,
    ACTIONS(8870), 1,
      anon_sym_LBRACE,
    STATE(6914), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(8146), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8148), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8150), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8156), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8190), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(8192), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(8196), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8198), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8200), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [189987] = 22,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(7816), 1,
      anon_sym_proc,
    ACTIONS(7818), 1,
      anon_sym_DOLLAR,
    ACTIONS(7820), 1,
      anon_sym_LBRACK,
    ACTIONS(7822), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7824), 1,
      anon_sym_CARET,
    ACTIONS(7826), 1,
      anon_sym_map,
    ACTIONS(7828), 1,
      anon_sym_matrix,
    ACTIONS(7830), 1,
      anon_sym_distinct,
    ACTIONS(8548), 1,
      anon_sym_LPAREN,
    ACTIONS(8872), 1,
      sym_identifier,
    ACTIONS(8874), 1,
      sym_tag,
    STATE(2754), 1,
      sym_procedure,
    STATE(6255), 1,
      sym_type,
    STATE(6271), 1,
      sym_named_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [190073] = 22,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(7816), 1,
      anon_sym_proc,
    ACTIONS(7818), 1,
      anon_sym_DOLLAR,
    ACTIONS(7820), 1,
      anon_sym_LBRACK,
    ACTIONS(7822), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7824), 1,
      anon_sym_CARET,
    ACTIONS(7826), 1,
      anon_sym_map,
    ACTIONS(7828), 1,
      anon_sym_matrix,
    ACTIONS(7830), 1,
      anon_sym_distinct,
    ACTIONS(8548), 1,
      anon_sym_LPAREN,
    ACTIONS(8872), 1,
      sym_identifier,
    ACTIONS(8876), 1,
      sym_tag,
    STATE(2754), 1,
      sym_procedure,
    STATE(6242), 1,
      sym_named_type,
    STATE(6257), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [190159] = 22,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(7816), 1,
      anon_sym_proc,
    ACTIONS(7818), 1,
      anon_sym_DOLLAR,
    ACTIONS(7822), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7824), 1,
      anon_sym_CARET,
    ACTIONS(7826), 1,
      anon_sym_map,
    ACTIONS(7828), 1,
      anon_sym_matrix,
    ACTIONS(7830), 1,
      anon_sym_distinct,
    ACTIONS(8548), 1,
      anon_sym_LPAREN,
    ACTIONS(8872), 1,
      sym_identifier,
    ACTIONS(8878), 1,
      anon_sym_LBRACK,
    ACTIONS(8880), 1,
      sym_tag,
    STATE(2754), 1,
      sym_procedure,
    STATE(6242), 1,
      sym_named_type,
    STATE(6257), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [190245] = 22,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(7816), 1,
      anon_sym_proc,
    ACTIONS(7818), 1,
      anon_sym_DOLLAR,
    ACTIONS(7822), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7824), 1,
      anon_sym_CARET,
    ACTIONS(7826), 1,
      anon_sym_map,
    ACTIONS(7828), 1,
      anon_sym_matrix,
    ACTIONS(7830), 1,
      anon_sym_distinct,
    ACTIONS(8548), 1,
      anon_sym_LPAREN,
    ACTIONS(8872), 1,
      sym_identifier,
    ACTIONS(8878), 1,
      anon_sym_LBRACK,
    ACTIONS(8880), 1,
      sym_tag,
    STATE(2754), 1,
      sym_procedure,
    STATE(6208), 1,
      sym_named_type,
    STATE(6259), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [190331] = 22,
    ACTIONS(977), 1,
      anon_sym_distinct,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(2381), 1,
      anon_sym_proc,
    ACTIONS(2383), 1,
      anon_sym_DOLLAR,
    ACTIONS(2389), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2395), 1,
      anon_sym_map,
    ACTIONS(2397), 1,
      anon_sym_matrix,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(8548), 1,
      anon_sym_LPAREN,
    ACTIONS(8882), 1,
      sym_identifier,
    ACTIONS(8884), 1,
      anon_sym_LBRACK,
    ACTIONS(8886), 1,
      anon_sym_CARET,
    ACTIONS(8888), 1,
      sym_tag,
    STATE(2754), 1,
      sym_procedure,
    STATE(3671), 1,
      sym_type,
    STATE(3672), 1,
      sym_named_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [190417] = 22,
    ACTIONS(977), 1,
      anon_sym_distinct,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(2381), 1,
      anon_sym_proc,
    ACTIONS(2383), 1,
      anon_sym_DOLLAR,
    ACTIONS(2389), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2395), 1,
      anon_sym_map,
    ACTIONS(2397), 1,
      anon_sym_matrix,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(8548), 1,
      anon_sym_LPAREN,
    ACTIONS(8882), 1,
      sym_identifier,
    ACTIONS(8884), 1,
      anon_sym_LBRACK,
    ACTIONS(8886), 1,
      anon_sym_CARET,
    ACTIONS(8890), 1,
      sym_tag,
    STATE(2754), 1,
      sym_procedure,
    STATE(3673), 1,
      sym_type,
    STATE(3674), 1,
      sym_named_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [190503] = 22,
    ACTIONS(977), 1,
      anon_sym_distinct,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(2381), 1,
      anon_sym_proc,
    ACTIONS(2383), 1,
      anon_sym_DOLLAR,
    ACTIONS(2389), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2395), 1,
      anon_sym_map,
    ACTIONS(2397), 1,
      anon_sym_matrix,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(8548), 1,
      anon_sym_LPAREN,
    ACTIONS(8882), 1,
      sym_identifier,
    ACTIONS(8886), 1,
      anon_sym_CARET,
    ACTIONS(8892), 1,
      anon_sym_LBRACK,
    ACTIONS(8894), 1,
      sym_tag,
    STATE(2754), 1,
      sym_procedure,
    STATE(3673), 1,
      sym_type,
    STATE(3674), 1,
      sym_named_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [190589] = 22,
    ACTIONS(977), 1,
      anon_sym_distinct,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(2381), 1,
      anon_sym_proc,
    ACTIONS(2383), 1,
      anon_sym_DOLLAR,
    ACTIONS(2389), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2395), 1,
      anon_sym_map,
    ACTIONS(2397), 1,
      anon_sym_matrix,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(8548), 1,
      anon_sym_LPAREN,
    ACTIONS(8882), 1,
      sym_identifier,
    ACTIONS(8886), 1,
      anon_sym_CARET,
    ACTIONS(8892), 1,
      anon_sym_LBRACK,
    ACTIONS(8894), 1,
      sym_tag,
    STATE(2754), 1,
      sym_procedure,
    STATE(3676), 1,
      sym_type,
    STATE(3677), 1,
      sym_named_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [190675] = 22,
    ACTIONS(1679), 1,
      anon_sym_struct,
    ACTIONS(1681), 1,
      anon_sym_enum,
    ACTIONS(1683), 1,
      anon_sym_union,
    ACTIONS(1700), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1704), 1,
      anon_sym_bit_set,
    ACTIONS(7287), 1,
      anon_sym_proc,
    ACTIONS(7289), 1,
      anon_sym_DOLLAR,
    ACTIONS(7291), 1,
      anon_sym_BANG,
    ACTIONS(7293), 1,
      anon_sym_LBRACK,
    ACTIONS(7295), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7297), 1,
      anon_sym_CARET,
    ACTIONS(7299), 1,
      anon_sym_map,
    ACTIONS(7301), 1,
      anon_sym_matrix,
    ACTIONS(7303), 1,
      anon_sym_distinct,
    ACTIONS(8666), 1,
      sym_identifier,
    ACTIONS(8668), 1,
      anon_sym_LPAREN,
    ACTIONS(8896), 1,
      sym_tag,
    STATE(3172), 1,
      sym_procedure,
    STATE(6152), 1,
      sym_named_type,
    STATE(6167), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3208), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [190761] = 22,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    ACTIONS(8898), 1,
      anon_sym_RBRACE,
    STATE(3279), 1,
      sym_procedure,
    STATE(6866), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [190847] = 4,
    ACTIONS(8900), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [190897] = 4,
    ACTIONS(8902), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [190947] = 4,
    ACTIONS(8904), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [190997] = 22,
    ACTIONS(687), 1,
      anon_sym_distinct,
    ACTIONS(2016), 1,
      anon_sym_proc,
    ACTIONS(2018), 1,
      anon_sym_struct,
    ACTIONS(2020), 1,
      anon_sym_enum,
    ACTIONS(2022), 1,
      anon_sym_union,
    ACTIONS(2028), 1,
      anon_sym_DOLLAR,
    ACTIONS(2036), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2044), 1,
      anon_sym_map,
    ACTIONS(2046), 1,
      anon_sym_bit_set,
    ACTIONS(2048), 1,
      anon_sym_matrix,
    ACTIONS(7398), 1,
      anon_sym_BANG,
    ACTIONS(8604), 1,
      anon_sym_LPAREN,
    ACTIONS(8694), 1,
      sym_identifier,
    ACTIONS(8698), 1,
      anon_sym_CARET,
    ACTIONS(8760), 1,
      anon_sym_LBRACK,
    ACTIONS(8906), 1,
      sym_tag,
    STATE(3373), 1,
      sym_type,
    STATE(3374), 1,
      sym_named_type,
    STATE(3472), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3450), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [191083] = 4,
    ACTIONS(8908), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [191133] = 22,
    ACTIONS(1679), 1,
      anon_sym_struct,
    ACTIONS(1681), 1,
      anon_sym_enum,
    ACTIONS(1683), 1,
      anon_sym_union,
    ACTIONS(1700), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1704), 1,
      anon_sym_bit_set,
    ACTIONS(7287), 1,
      anon_sym_proc,
    ACTIONS(7289), 1,
      anon_sym_DOLLAR,
    ACTIONS(7291), 1,
      anon_sym_BANG,
    ACTIONS(7293), 1,
      anon_sym_LBRACK,
    ACTIONS(7295), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7297), 1,
      anon_sym_CARET,
    ACTIONS(7299), 1,
      anon_sym_map,
    ACTIONS(7301), 1,
      anon_sym_matrix,
    ACTIONS(7303), 1,
      anon_sym_distinct,
    ACTIONS(8666), 1,
      sym_identifier,
    ACTIONS(8668), 1,
      anon_sym_LPAREN,
    ACTIONS(8910), 1,
      sym_tag,
    STATE(3172), 1,
      sym_procedure,
    STATE(6153), 1,
      sym_type,
    STATE(6154), 1,
      sym_named_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3208), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [191219] = 22,
    ACTIONS(1679), 1,
      anon_sym_struct,
    ACTIONS(1681), 1,
      anon_sym_enum,
    ACTIONS(1683), 1,
      anon_sym_union,
    ACTIONS(1700), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1704), 1,
      anon_sym_bit_set,
    ACTIONS(7287), 1,
      anon_sym_proc,
    ACTIONS(7289), 1,
      anon_sym_DOLLAR,
    ACTIONS(7291), 1,
      anon_sym_BANG,
    ACTIONS(7295), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7297), 1,
      anon_sym_CARET,
    ACTIONS(7299), 1,
      anon_sym_map,
    ACTIONS(7301), 1,
      anon_sym_matrix,
    ACTIONS(7303), 1,
      anon_sym_distinct,
    ACTIONS(8666), 1,
      sym_identifier,
    ACTIONS(8668), 1,
      anon_sym_LPAREN,
    ACTIONS(8670), 1,
      anon_sym_LBRACK,
    ACTIONS(8672), 1,
      sym_tag,
    STATE(3172), 1,
      sym_procedure,
    STATE(6153), 1,
      sym_type,
    STATE(6154), 1,
      sym_named_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3208), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [191305] = 4,
    ACTIONS(8912), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [191355] = 22,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    ACTIONS(8914), 1,
      anon_sym_RBRACE,
    STATE(3279), 1,
      sym_procedure,
    STATE(6866), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [191441] = 22,
    ACTIONS(687), 1,
      anon_sym_distinct,
    ACTIONS(2016), 1,
      anon_sym_proc,
    ACTIONS(2018), 1,
      anon_sym_struct,
    ACTIONS(2020), 1,
      anon_sym_enum,
    ACTIONS(2022), 1,
      anon_sym_union,
    ACTIONS(2028), 1,
      anon_sym_DOLLAR,
    ACTIONS(2036), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2044), 1,
      anon_sym_map,
    ACTIONS(2046), 1,
      anon_sym_bit_set,
    ACTIONS(2048), 1,
      anon_sym_matrix,
    ACTIONS(7398), 1,
      anon_sym_BANG,
    ACTIONS(8604), 1,
      anon_sym_LPAREN,
    ACTIONS(8694), 1,
      sym_identifier,
    ACTIONS(8696), 1,
      anon_sym_LBRACK,
    ACTIONS(8698), 1,
      anon_sym_CARET,
    ACTIONS(8700), 1,
      sym_tag,
    STATE(3373), 1,
      sym_type,
    STATE(3374), 1,
      sym_named_type,
    STATE(3472), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3450), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [191527] = 4,
    ACTIONS(8916), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [191577] = 22,
    ACTIONS(2018), 1,
      anon_sym_struct,
    ACTIONS(2020), 1,
      anon_sym_enum,
    ACTIONS(2022), 1,
      anon_sym_union,
    ACTIONS(2042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2046), 1,
      anon_sym_bit_set,
    ACTIONS(7394), 1,
      anon_sym_proc,
    ACTIONS(7396), 1,
      anon_sym_DOLLAR,
    ACTIONS(7398), 1,
      anon_sym_BANG,
    ACTIONS(7400), 1,
      anon_sym_LBRACK,
    ACTIONS(7402), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7404), 1,
      anon_sym_CARET,
    ACTIONS(7406), 1,
      anon_sym_map,
    ACTIONS(7408), 1,
      anon_sym_matrix,
    ACTIONS(7410), 1,
      anon_sym_distinct,
    ACTIONS(8602), 1,
      sym_identifier,
    ACTIONS(8604), 1,
      anon_sym_LPAREN,
    ACTIONS(8918), 1,
      sym_tag,
    STATE(3472), 1,
      sym_procedure,
    STATE(6187), 1,
      sym_type,
    STATE(6262), 1,
      sym_named_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3450), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [191663] = 4,
    ACTIONS(8920), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [191713] = 22,
    ACTIONS(2018), 1,
      anon_sym_struct,
    ACTIONS(2020), 1,
      anon_sym_enum,
    ACTIONS(2022), 1,
      anon_sym_union,
    ACTIONS(2042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2046), 1,
      anon_sym_bit_set,
    ACTIONS(7394), 1,
      anon_sym_proc,
    ACTIONS(7396), 1,
      anon_sym_DOLLAR,
    ACTIONS(7398), 1,
      anon_sym_BANG,
    ACTIONS(7402), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7404), 1,
      anon_sym_CARET,
    ACTIONS(7406), 1,
      anon_sym_map,
    ACTIONS(7408), 1,
      anon_sym_matrix,
    ACTIONS(7410), 1,
      anon_sym_distinct,
    ACTIONS(8602), 1,
      sym_identifier,
    ACTIONS(8604), 1,
      anon_sym_LPAREN,
    ACTIONS(8606), 1,
      anon_sym_LBRACK,
    ACTIONS(8608), 1,
      sym_tag,
    STATE(3472), 1,
      sym_procedure,
    STATE(6187), 1,
      sym_type,
    STATE(6262), 1,
      sym_named_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3450), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [191799] = 4,
    ACTIONS(3998), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [191849] = 22,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(7862), 1,
      anon_sym_proc,
    ACTIONS(7864), 1,
      anon_sym_DOLLAR,
    ACTIONS(7866), 1,
      anon_sym_LBRACK,
    ACTIONS(7868), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7870), 1,
      anon_sym_CARET,
    ACTIONS(7872), 1,
      anon_sym_map,
    ACTIONS(7874), 1,
      anon_sym_matrix,
    ACTIONS(7876), 1,
      anon_sym_distinct,
    ACTIONS(8548), 1,
      anon_sym_LPAREN,
    ACTIONS(8922), 1,
      sym_identifier,
    ACTIONS(8924), 1,
      sym_tag,
    STATE(2754), 1,
      sym_procedure,
    STATE(6343), 1,
      sym_type,
    STATE(6344), 1,
      sym_named_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [191935] = 22,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    ACTIONS(8926), 1,
      anon_sym_RBRACE,
    STATE(3279), 1,
      sym_procedure,
    STATE(6866), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [192021] = 4,
    ACTIONS(8928), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [192071] = 22,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(7862), 1,
      anon_sym_proc,
    ACTIONS(7864), 1,
      anon_sym_DOLLAR,
    ACTIONS(7866), 1,
      anon_sym_LBRACK,
    ACTIONS(7868), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7870), 1,
      anon_sym_CARET,
    ACTIONS(7872), 1,
      anon_sym_map,
    ACTIONS(7874), 1,
      anon_sym_matrix,
    ACTIONS(7876), 1,
      anon_sym_distinct,
    ACTIONS(8548), 1,
      anon_sym_LPAREN,
    ACTIONS(8922), 1,
      sym_identifier,
    ACTIONS(8930), 1,
      sym_tag,
    STATE(2754), 1,
      sym_procedure,
    STATE(6347), 1,
      sym_named_type,
    STATE(6349), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [192157] = 22,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(7862), 1,
      anon_sym_proc,
    ACTIONS(7864), 1,
      anon_sym_DOLLAR,
    ACTIONS(7868), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7870), 1,
      anon_sym_CARET,
    ACTIONS(7872), 1,
      anon_sym_map,
    ACTIONS(7874), 1,
      anon_sym_matrix,
    ACTIONS(7876), 1,
      anon_sym_distinct,
    ACTIONS(8548), 1,
      anon_sym_LPAREN,
    ACTIONS(8922), 1,
      sym_identifier,
    ACTIONS(8932), 1,
      anon_sym_LBRACK,
    ACTIONS(8934), 1,
      sym_tag,
    STATE(2754), 1,
      sym_procedure,
    STATE(6347), 1,
      sym_named_type,
    STATE(6349), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [192243] = 22,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    ACTIONS(8936), 1,
      anon_sym_RBRACE,
    STATE(3279), 1,
      sym_procedure,
    STATE(6866), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [192329] = 4,
    ACTIONS(8938), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [192379] = 22,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(7862), 1,
      anon_sym_proc,
    ACTIONS(7864), 1,
      anon_sym_DOLLAR,
    ACTIONS(7868), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7870), 1,
      anon_sym_CARET,
    ACTIONS(7872), 1,
      anon_sym_map,
    ACTIONS(7874), 1,
      anon_sym_matrix,
    ACTIONS(7876), 1,
      anon_sym_distinct,
    ACTIONS(8548), 1,
      anon_sym_LPAREN,
    ACTIONS(8922), 1,
      sym_identifier,
    ACTIONS(8932), 1,
      anon_sym_LBRACK,
    ACTIONS(8934), 1,
      sym_tag,
    STATE(2754), 1,
      sym_procedure,
    STATE(6329), 1,
      sym_type,
    STATE(6330), 1,
      sym_named_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [192465] = 22,
    ACTIONS(1679), 1,
      anon_sym_struct,
    ACTIONS(1681), 1,
      anon_sym_enum,
    ACTIONS(1683), 1,
      anon_sym_union,
    ACTIONS(1700), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1704), 1,
      anon_sym_bit_set,
    ACTIONS(7287), 1,
      anon_sym_proc,
    ACTIONS(7289), 1,
      anon_sym_DOLLAR,
    ACTIONS(7291), 1,
      anon_sym_BANG,
    ACTIONS(7295), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7297), 1,
      anon_sym_CARET,
    ACTIONS(7299), 1,
      anon_sym_map,
    ACTIONS(7301), 1,
      anon_sym_matrix,
    ACTIONS(7303), 1,
      anon_sym_distinct,
    ACTIONS(8666), 1,
      sym_identifier,
    ACTIONS(8668), 1,
      anon_sym_LPAREN,
    ACTIONS(8670), 1,
      anon_sym_LBRACK,
    ACTIONS(8672), 1,
      sym_tag,
    STATE(3172), 1,
      sym_procedure,
    STATE(6151), 1,
      sym_named_type,
    STATE(6166), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3208), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [192551] = 22,
    ACTIONS(687), 1,
      anon_sym_distinct,
    ACTIONS(2016), 1,
      anon_sym_proc,
    ACTIONS(2018), 1,
      anon_sym_struct,
    ACTIONS(2020), 1,
      anon_sym_enum,
    ACTIONS(2022), 1,
      anon_sym_union,
    ACTIONS(2028), 1,
      anon_sym_DOLLAR,
    ACTIONS(2036), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2044), 1,
      anon_sym_map,
    ACTIONS(2046), 1,
      anon_sym_bit_set,
    ACTIONS(2048), 1,
      anon_sym_matrix,
    ACTIONS(7398), 1,
      anon_sym_BANG,
    ACTIONS(8604), 1,
      anon_sym_LPAREN,
    ACTIONS(8694), 1,
      sym_identifier,
    ACTIONS(8696), 1,
      anon_sym_LBRACK,
    ACTIONS(8698), 1,
      anon_sym_CARET,
    ACTIONS(8700), 1,
      sym_tag,
    STATE(3376), 1,
      sym_type,
    STATE(3377), 1,
      sym_named_type,
    STATE(3472), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3450), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [192637] = 22,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    ACTIONS(8940), 1,
      anon_sym_RBRACE,
    STATE(3279), 1,
      sym_procedure,
    STATE(6866), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [192723] = 22,
    ACTIONS(223), 1,
      anon_sym_distinct,
    ACTIONS(1107), 1,
      anon_sym_proc,
    ACTIONS(1109), 1,
      anon_sym_struct,
    ACTIONS(1111), 1,
      anon_sym_enum,
    ACTIONS(1113), 1,
      anon_sym_union,
    ACTIONS(1118), 1,
      anon_sym_DOLLAR,
    ACTIONS(1125), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1130), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1132), 1,
      anon_sym_map,
    ACTIONS(1134), 1,
      anon_sym_bit_set,
    ACTIONS(1136), 1,
      anon_sym_matrix,
    ACTIONS(8524), 1,
      sym_identifier,
    ACTIONS(8526), 1,
      anon_sym_LPAREN,
    ACTIONS(8528), 1,
      anon_sym_BANG,
    ACTIONS(8532), 1,
      anon_sym_CARET,
    ACTIONS(8750), 1,
      anon_sym_LBRACK,
    ACTIONS(8942), 1,
      sym_tag,
    STATE(1340), 1,
      sym_type,
    STATE(1342), 1,
      sym_named_type,
    STATE(2175), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2177), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [192809] = 4,
    ACTIONS(8944), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [192859] = 22,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    ACTIONS(8946), 1,
      anon_sym_RBRACE,
    STATE(3279), 1,
      sym_procedure,
    STATE(6866), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [192945] = 22,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(7442), 1,
      anon_sym_proc,
    ACTIONS(7444), 1,
      anon_sym_DOLLAR,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(7450), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7452), 1,
      anon_sym_CARET,
    ACTIONS(7454), 1,
      anon_sym_map,
    ACTIONS(7456), 1,
      anon_sym_matrix,
    ACTIONS(7458), 1,
      anon_sym_distinct,
    ACTIONS(8548), 1,
      anon_sym_LPAREN,
    ACTIONS(8598), 1,
      sym_identifier,
    ACTIONS(8842), 1,
      anon_sym_LBRACK,
    ACTIONS(8844), 1,
      sym_tag,
    STATE(2754), 1,
      sym_procedure,
    STATE(6158), 1,
      sym_type,
    STATE(6159), 1,
      sym_named_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [193031] = 4,
    ACTIONS(8948), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [193081] = 22,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(7442), 1,
      anon_sym_proc,
    ACTIONS(7444), 1,
      anon_sym_DOLLAR,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(7448), 1,
      anon_sym_LBRACK,
    ACTIONS(7450), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7452), 1,
      anon_sym_CARET,
    ACTIONS(7454), 1,
      anon_sym_map,
    ACTIONS(7456), 1,
      anon_sym_matrix,
    ACTIONS(7458), 1,
      anon_sym_distinct,
    ACTIONS(8548), 1,
      anon_sym_LPAREN,
    ACTIONS(8598), 1,
      sym_identifier,
    ACTIONS(8950), 1,
      sym_tag,
    STATE(2754), 1,
      sym_procedure,
    STATE(6168), 1,
      sym_type,
    STATE(6170), 1,
      sym_named_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [193167] = 22,
    ACTIONS(1867), 1,
      sym_identifier,
    ACTIONS(1871), 1,
      anon_sym_struct,
    ACTIONS(1873), 1,
      anon_sym_enum,
    ACTIONS(1875), 1,
      anon_sym_union,
    ACTIONS(1892), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1896), 1,
      anon_sym_bit_set,
    ACTIONS(8162), 1,
      anon_sym_proc,
    ACTIONS(8164), 1,
      anon_sym_DOLLAR,
    ACTIONS(8166), 1,
      anon_sym_BANG,
    ACTIONS(8168), 1,
      anon_sym_LBRACK,
    ACTIONS(8170), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8172), 1,
      anon_sym_CARET,
    ACTIONS(8174), 1,
      anon_sym_map,
    ACTIONS(8176), 1,
      anon_sym_matrix,
    ACTIONS(8178), 1,
      anon_sym_distinct,
    ACTIONS(8180), 1,
      sym_tag,
    ACTIONS(8321), 1,
      anon_sym_LPAREN,
    ACTIONS(8952), 1,
      anon_sym_LBRACE,
    STATE(3458), 1,
      sym_procedure,
    STATE(7696), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3471), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [193253] = 22,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    ACTIONS(8954), 1,
      anon_sym_RBRACE,
    STATE(3279), 1,
      sym_procedure,
    STATE(6866), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [193339] = 22,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    ACTIONS(8898), 1,
      anon_sym_RBRACE,
    STATE(3279), 1,
      sym_procedure,
    STATE(6851), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [193425] = 4,
    ACTIONS(3591), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [193475] = 4,
    ACTIONS(3323), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [193525] = 22,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    ACTIONS(8956), 1,
      anon_sym_RBRACE,
    STATE(3279), 1,
      sym_procedure,
    STATE(6866), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [193611] = 22,
    ACTIONS(223), 1,
      anon_sym_distinct,
    ACTIONS(1107), 1,
      anon_sym_proc,
    ACTIONS(1109), 1,
      anon_sym_struct,
    ACTIONS(1111), 1,
      anon_sym_enum,
    ACTIONS(1113), 1,
      anon_sym_union,
    ACTIONS(1118), 1,
      anon_sym_DOLLAR,
    ACTIONS(1125), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1130), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1132), 1,
      anon_sym_map,
    ACTIONS(1134), 1,
      anon_sym_bit_set,
    ACTIONS(1136), 1,
      anon_sym_matrix,
    ACTIONS(8524), 1,
      sym_identifier,
    ACTIONS(8526), 1,
      anon_sym_LPAREN,
    ACTIONS(8528), 1,
      anon_sym_BANG,
    ACTIONS(8532), 1,
      anon_sym_CARET,
    ACTIONS(8750), 1,
      anon_sym_LBRACK,
    ACTIONS(8958), 1,
      sym_tag,
    STATE(2175), 1,
      sym_procedure,
    STATE(2223), 1,
      sym_type,
    STATE(2224), 1,
      sym_named_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2177), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [193697] = 4,
    ACTIONS(8960), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [193747] = 4,
    ACTIONS(8962), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [193797] = 22,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(7442), 1,
      anon_sym_proc,
    ACTIONS(7444), 1,
      anon_sym_DOLLAR,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(7448), 1,
      anon_sym_LBRACK,
    ACTIONS(7450), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7452), 1,
      anon_sym_CARET,
    ACTIONS(7454), 1,
      anon_sym_map,
    ACTIONS(7456), 1,
      anon_sym_matrix,
    ACTIONS(7458), 1,
      anon_sym_distinct,
    ACTIONS(8548), 1,
      anon_sym_LPAREN,
    ACTIONS(8598), 1,
      sym_identifier,
    ACTIONS(8964), 1,
      sym_tag,
    STATE(2754), 1,
      sym_procedure,
    STATE(6178), 1,
      sym_type,
    STATE(6179), 1,
      sym_named_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [193883] = 22,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(7442), 1,
      anon_sym_proc,
    ACTIONS(7444), 1,
      anon_sym_DOLLAR,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(7450), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7452), 1,
      anon_sym_CARET,
    ACTIONS(7454), 1,
      anon_sym_map,
    ACTIONS(7456), 1,
      anon_sym_matrix,
    ACTIONS(7458), 1,
      anon_sym_distinct,
    ACTIONS(8548), 1,
      anon_sym_LPAREN,
    ACTIONS(8598), 1,
      sym_identifier,
    ACTIONS(8842), 1,
      anon_sym_LBRACK,
    ACTIONS(8844), 1,
      sym_tag,
    STATE(2754), 1,
      sym_procedure,
    STATE(6178), 1,
      sym_type,
    STATE(6179), 1,
      sym_named_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [193969] = 4,
    ACTIONS(8966), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [194019] = 4,
    ACTIONS(8969), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [194069] = 4,
    ACTIONS(8971), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [194119] = 22,
    ACTIONS(223), 1,
      anon_sym_distinct,
    ACTIONS(1107), 1,
      anon_sym_proc,
    ACTIONS(1109), 1,
      anon_sym_struct,
    ACTIONS(1111), 1,
      anon_sym_enum,
    ACTIONS(1113), 1,
      anon_sym_union,
    ACTIONS(1118), 1,
      anon_sym_DOLLAR,
    ACTIONS(1125), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1130), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1132), 1,
      anon_sym_map,
    ACTIONS(1134), 1,
      anon_sym_bit_set,
    ACTIONS(1136), 1,
      anon_sym_matrix,
    ACTIONS(8524), 1,
      sym_identifier,
    ACTIONS(8526), 1,
      anon_sym_LPAREN,
    ACTIONS(8528), 1,
      anon_sym_BANG,
    ACTIONS(8532), 1,
      anon_sym_CARET,
    ACTIONS(8750), 1,
      anon_sym_LBRACK,
    ACTIONS(8973), 1,
      sym_tag,
    STATE(2175), 1,
      sym_procedure,
    STATE(2225), 1,
      sym_type,
    STATE(2226), 1,
      sym_named_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2177), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [194205] = 22,
    ACTIONS(223), 1,
      anon_sym_distinct,
    ACTIONS(1107), 1,
      anon_sym_proc,
    ACTIONS(1109), 1,
      anon_sym_struct,
    ACTIONS(1111), 1,
      anon_sym_enum,
    ACTIONS(1113), 1,
      anon_sym_union,
    ACTIONS(1118), 1,
      anon_sym_DOLLAR,
    ACTIONS(1125), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1130), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1132), 1,
      anon_sym_map,
    ACTIONS(1134), 1,
      anon_sym_bit_set,
    ACTIONS(1136), 1,
      anon_sym_matrix,
    ACTIONS(8524), 1,
      sym_identifier,
    ACTIONS(8526), 1,
      anon_sym_LPAREN,
    ACTIONS(8528), 1,
      anon_sym_BANG,
    ACTIONS(8530), 1,
      anon_sym_LBRACK,
    ACTIONS(8532), 1,
      anon_sym_CARET,
    ACTIONS(8534), 1,
      sym_tag,
    STATE(2175), 1,
      sym_procedure,
    STATE(2225), 1,
      sym_type,
    STATE(2226), 1,
      sym_named_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2177), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [194291] = 22,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(7816), 1,
      anon_sym_proc,
    ACTIONS(7818), 1,
      anon_sym_DOLLAR,
    ACTIONS(7820), 1,
      anon_sym_LBRACK,
    ACTIONS(7822), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7824), 1,
      anon_sym_CARET,
    ACTIONS(7826), 1,
      anon_sym_map,
    ACTIONS(7828), 1,
      anon_sym_matrix,
    ACTIONS(7830), 1,
      anon_sym_distinct,
    ACTIONS(8548), 1,
      anon_sym_LPAREN,
    ACTIONS(8872), 1,
      sym_identifier,
    ACTIONS(8975), 1,
      sym_tag,
    STATE(2754), 1,
      sym_procedure,
    STATE(6308), 1,
      sym_type,
    STATE(6309), 1,
      sym_named_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [194377] = 4,
    ACTIONS(8977), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [194427] = 4,
    ACTIONS(4286), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [194477] = 22,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(7442), 1,
      anon_sym_proc,
    ACTIONS(7444), 1,
      anon_sym_DOLLAR,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(7450), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7452), 1,
      anon_sym_CARET,
    ACTIONS(7454), 1,
      anon_sym_map,
    ACTIONS(7456), 1,
      anon_sym_matrix,
    ACTIONS(7458), 1,
      anon_sym_distinct,
    ACTIONS(8548), 1,
      anon_sym_LPAREN,
    ACTIONS(8598), 1,
      sym_identifier,
    ACTIONS(8842), 1,
      anon_sym_LBRACK,
    ACTIONS(8844), 1,
      sym_tag,
    STATE(2754), 1,
      sym_procedure,
    STATE(6183), 1,
      sym_type,
    STATE(6184), 1,
      sym_named_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [194563] = 22,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(7816), 1,
      anon_sym_proc,
    ACTIONS(7818), 1,
      anon_sym_DOLLAR,
    ACTIONS(7820), 1,
      anon_sym_LBRACK,
    ACTIONS(7822), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7824), 1,
      anon_sym_CARET,
    ACTIONS(7826), 1,
      anon_sym_map,
    ACTIONS(7828), 1,
      anon_sym_matrix,
    ACTIONS(7830), 1,
      anon_sym_distinct,
    ACTIONS(8548), 1,
      anon_sym_LPAREN,
    ACTIONS(8872), 1,
      sym_identifier,
    ACTIONS(8979), 1,
      sym_tag,
    STATE(2754), 1,
      sym_procedure,
    STATE(6310), 1,
      sym_type,
    STATE(6311), 1,
      sym_named_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [194649] = 22,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(7816), 1,
      anon_sym_proc,
    ACTIONS(7818), 1,
      anon_sym_DOLLAR,
    ACTIONS(7822), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7824), 1,
      anon_sym_CARET,
    ACTIONS(7826), 1,
      anon_sym_map,
    ACTIONS(7828), 1,
      anon_sym_matrix,
    ACTIONS(7830), 1,
      anon_sym_distinct,
    ACTIONS(8548), 1,
      anon_sym_LPAREN,
    ACTIONS(8872), 1,
      sym_identifier,
    ACTIONS(8878), 1,
      anon_sym_LBRACK,
    ACTIONS(8880), 1,
      sym_tag,
    STATE(2754), 1,
      sym_procedure,
    STATE(6310), 1,
      sym_type,
    STATE(6311), 1,
      sym_named_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [194735] = 22,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    ACTIONS(8981), 1,
      anon_sym_RBRACE,
    STATE(3279), 1,
      sym_procedure,
    STATE(6866), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [194821] = 22,
    ACTIONS(1679), 1,
      anon_sym_struct,
    ACTIONS(1681), 1,
      anon_sym_enum,
    ACTIONS(1683), 1,
      anon_sym_union,
    ACTIONS(1700), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1704), 1,
      anon_sym_bit_set,
    ACTIONS(7287), 1,
      anon_sym_proc,
    ACTIONS(7289), 1,
      anon_sym_DOLLAR,
    ACTIONS(7291), 1,
      anon_sym_BANG,
    ACTIONS(7295), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7297), 1,
      anon_sym_CARET,
    ACTIONS(7299), 1,
      anon_sym_map,
    ACTIONS(7301), 1,
      anon_sym_matrix,
    ACTIONS(7303), 1,
      anon_sym_distinct,
    ACTIONS(8666), 1,
      sym_identifier,
    ACTIONS(8668), 1,
      anon_sym_LPAREN,
    ACTIONS(8670), 1,
      anon_sym_LBRACK,
    ACTIONS(8672), 1,
      sym_tag,
    STATE(3172), 1,
      sym_procedure,
    STATE(6115), 1,
      sym_type,
    STATE(6116), 1,
      sym_named_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3208), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [194907] = 22,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(7816), 1,
      anon_sym_proc,
    ACTIONS(7818), 1,
      anon_sym_DOLLAR,
    ACTIONS(7822), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7824), 1,
      anon_sym_CARET,
    ACTIONS(7826), 1,
      anon_sym_map,
    ACTIONS(7828), 1,
      anon_sym_matrix,
    ACTIONS(7830), 1,
      anon_sym_distinct,
    ACTIONS(8548), 1,
      anon_sym_LPAREN,
    ACTIONS(8872), 1,
      sym_identifier,
    ACTIONS(8878), 1,
      anon_sym_LBRACK,
    ACTIONS(8880), 1,
      sym_tag,
    STATE(2754), 1,
      sym_procedure,
    STATE(6314), 1,
      sym_type,
    STATE(6315), 1,
      sym_named_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [194993] = 4,
    ACTIONS(8983), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [195043] = 4,
    ACTIONS(8985), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [195093] = 4,
    ACTIONS(8987), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [195143] = 4,
    ACTIONS(8989), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [195193] = 4,
    ACTIONS(8991), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [195243] = 27,
    ACTIONS(7570), 1,
      anon_sym_LBRACK,
    ACTIONS(7673), 1,
      anon_sym_or_return,
    ACTIONS(7675), 1,
      anon_sym_or_continue,
    ACTIONS(7679), 1,
      anon_sym_CARET,
    ACTIONS(7938), 1,
      anon_sym_DASH_GT,
    ACTIONS(7942), 1,
      anon_sym_PLUS,
    ACTIONS(7944), 1,
      anon_sym_DASH,
    ACTIONS(7946), 1,
      anon_sym_TILDE,
    ACTIONS(7948), 1,
      anon_sym_AMP,
    ACTIONS(7952), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7960), 1,
      anon_sym_PIPE,
    ACTIONS(7962), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7970), 1,
      anon_sym_DOT,
    ACTIONS(7974), 1,
      anon_sym_or_break,
    ACTIONS(8993), 1,
      anon_sym_COMMA,
    STATE(6778), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(7940), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7950), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7954), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7956), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7964), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7966), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7968), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7972), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3257), 3,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    ACTIONS(7958), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [195339] = 22,
    ACTIONS(509), 1,
      anon_sym_distinct,
    ACTIONS(1629), 1,
      anon_sym_proc,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1640), 1,
      anon_sym_DOLLAR,
    ACTIONS(1647), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1654), 1,
      anon_sym_map,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(1658), 1,
      anon_sym_matrix,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(8548), 1,
      anon_sym_LPAREN,
    ACTIONS(8636), 1,
      sym_identifier,
    ACTIONS(8638), 1,
      anon_sym_LBRACK,
    ACTIONS(8640), 1,
      anon_sym_CARET,
    ACTIONS(8995), 1,
      sym_tag,
    STATE(2754), 1,
      sym_procedure,
    STATE(2925), 1,
      sym_type,
    STATE(2971), 1,
      sym_named_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [195425] = 4,
    ACTIONS(3621), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [195475] = 22,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    ACTIONS(8997), 1,
      anon_sym_RBRACE,
    STATE(3279), 1,
      sym_procedure,
    STATE(6866), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [195561] = 4,
    ACTIONS(8999), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [195611] = 22,
    ACTIONS(509), 1,
      anon_sym_distinct,
    ACTIONS(1629), 1,
      anon_sym_proc,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1640), 1,
      anon_sym_DOLLAR,
    ACTIONS(1647), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1654), 1,
      anon_sym_map,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(1658), 1,
      anon_sym_matrix,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(8548), 1,
      anon_sym_LPAREN,
    ACTIONS(8636), 1,
      sym_identifier,
    ACTIONS(8638), 1,
      anon_sym_LBRACK,
    ACTIONS(8640), 1,
      anon_sym_CARET,
    ACTIONS(9001), 1,
      sym_tag,
    STATE(2754), 1,
      sym_procedure,
    STATE(2946), 1,
      sym_type,
    STATE(2948), 1,
      sym_named_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [195697] = 22,
    ACTIONS(509), 1,
      anon_sym_distinct,
    ACTIONS(1629), 1,
      anon_sym_proc,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1640), 1,
      anon_sym_DOLLAR,
    ACTIONS(1647), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1654), 1,
      anon_sym_map,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(1658), 1,
      anon_sym_matrix,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(8548), 1,
      anon_sym_LPAREN,
    ACTIONS(8636), 1,
      sym_identifier,
    ACTIONS(8640), 1,
      anon_sym_CARET,
    ACTIONS(8660), 1,
      anon_sym_LBRACK,
    ACTIONS(8662), 1,
      sym_tag,
    STATE(2754), 1,
      sym_procedure,
    STATE(2946), 1,
      sym_type,
    STATE(2948), 1,
      sym_named_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [195783] = 4,
    ACTIONS(9003), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [195833] = 22,
    ACTIONS(477), 1,
      anon_sym_distinct,
    ACTIONS(1677), 1,
      anon_sym_proc,
    ACTIONS(1679), 1,
      anon_sym_struct,
    ACTIONS(1681), 1,
      anon_sym_enum,
    ACTIONS(1683), 1,
      anon_sym_union,
    ACTIONS(1688), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1700), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1702), 1,
      anon_sym_map,
    ACTIONS(1704), 1,
      anon_sym_bit_set,
    ACTIONS(1706), 1,
      anon_sym_matrix,
    ACTIONS(7291), 1,
      anon_sym_BANG,
    ACTIONS(8668), 1,
      anon_sym_LPAREN,
    ACTIONS(8678), 1,
      sym_identifier,
    ACTIONS(8682), 1,
      anon_sym_CARET,
    ACTIONS(8718), 1,
      anon_sym_LBRACK,
    ACTIONS(9005), 1,
      sym_tag,
    STATE(2972), 1,
      sym_named_type,
    STATE(3027), 1,
      sym_type,
    STATE(3172), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3208), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [195919] = 22,
    ACTIONS(509), 1,
      anon_sym_distinct,
    ACTIONS(1629), 1,
      anon_sym_proc,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1640), 1,
      anon_sym_DOLLAR,
    ACTIONS(1647), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1654), 1,
      anon_sym_map,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(1658), 1,
      anon_sym_matrix,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(8548), 1,
      anon_sym_LPAREN,
    ACTIONS(8636), 1,
      sym_identifier,
    ACTIONS(8640), 1,
      anon_sym_CARET,
    ACTIONS(8660), 1,
      anon_sym_LBRACK,
    ACTIONS(8662), 1,
      sym_tag,
    STATE(2754), 1,
      sym_procedure,
    STATE(2950), 1,
      sym_type,
    STATE(2951), 1,
      sym_named_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [196005] = 4,
    ACTIONS(9007), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [196055] = 4,
    ACTIONS(9009), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [196105] = 4,
    ACTIONS(9011), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [196155] = 4,
    ACTIONS(9013), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [196205] = 22,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(8032), 1,
      anon_sym_proc,
    ACTIONS(8034), 1,
      anon_sym_DOLLAR,
    ACTIONS(8036), 1,
      anon_sym_LBRACK,
    ACTIONS(8038), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8040), 1,
      anon_sym_CARET,
    ACTIONS(8042), 1,
      anon_sym_map,
    ACTIONS(8044), 1,
      anon_sym_matrix,
    ACTIONS(8046), 1,
      anon_sym_distinct,
    ACTIONS(8548), 1,
      anon_sym_LPAREN,
    ACTIONS(9015), 1,
      sym_identifier,
    ACTIONS(9017), 1,
      sym_tag,
    STATE(2754), 1,
      sym_procedure,
    STATE(6306), 1,
      sym_type,
    STATE(6307), 1,
      sym_named_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [196291] = 22,
    ACTIONS(223), 1,
      anon_sym_distinct,
    ACTIONS(1107), 1,
      anon_sym_proc,
    ACTIONS(1109), 1,
      anon_sym_struct,
    ACTIONS(1111), 1,
      anon_sym_enum,
    ACTIONS(1113), 1,
      anon_sym_union,
    ACTIONS(1118), 1,
      anon_sym_DOLLAR,
    ACTIONS(1125), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1130), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1132), 1,
      anon_sym_map,
    ACTIONS(1134), 1,
      anon_sym_bit_set,
    ACTIONS(1136), 1,
      anon_sym_matrix,
    ACTIONS(8524), 1,
      sym_identifier,
    ACTIONS(8526), 1,
      anon_sym_LPAREN,
    ACTIONS(8528), 1,
      anon_sym_BANG,
    ACTIONS(8532), 1,
      anon_sym_CARET,
    ACTIONS(8750), 1,
      anon_sym_LBRACK,
    ACTIONS(9019), 1,
      sym_tag,
    STATE(1345), 1,
      sym_type,
    STATE(1346), 1,
      sym_named_type,
    STATE(2175), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2177), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [196377] = 29,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(8508), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8768), 1,
      anon_sym_COMMA,
    ACTIONS(9021), 1,
      anon_sym_COLON_EQ,
    ACTIONS(9023), 1,
      anon_sym_COLON,
    STATE(6704), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [196477] = 4,
    ACTIONS(9025), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [196527] = 29,
    ACTIONS(6961), 1,
      anon_sym_COLON_EQ,
    ACTIONS(7084), 1,
      anon_sym_EQ,
    ACTIONS(8132), 1,
      anon_sym_DASH_GT,
    ACTIONS(8134), 1,
      anon_sym_PLUS,
    ACTIONS(8136), 1,
      anon_sym_DASH,
    ACTIONS(8138), 1,
      anon_sym_TILDE,
    ACTIONS(8140), 1,
      anon_sym_AMP,
    ACTIONS(8142), 1,
      anon_sym_PIPE,
    ACTIONS(8144), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8152), 1,
      anon_sym_DOT,
    ACTIONS(8154), 1,
      anon_sym_LBRACK,
    ACTIONS(8194), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8202), 1,
      anon_sym_or_return,
    ACTIONS(8204), 1,
      anon_sym_or_continue,
    ACTIONS(8206), 1,
      anon_sym_or_break,
    ACTIONS(8208), 1,
      anon_sym_CARET,
    ACTIONS(8506), 1,
      anon_sym_COMMA,
    ACTIONS(9028), 1,
      anon_sym_LBRACE,
    STATE(6914), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(8146), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8148), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8150), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8156), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8190), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(8192), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(8196), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8198), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8200), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [196627] = 22,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(8032), 1,
      anon_sym_proc,
    ACTIONS(8034), 1,
      anon_sym_DOLLAR,
    ACTIONS(8036), 1,
      anon_sym_LBRACK,
    ACTIONS(8038), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8040), 1,
      anon_sym_CARET,
    ACTIONS(8042), 1,
      anon_sym_map,
    ACTIONS(8044), 1,
      anon_sym_matrix,
    ACTIONS(8046), 1,
      anon_sym_distinct,
    ACTIONS(8548), 1,
      anon_sym_LPAREN,
    ACTIONS(9015), 1,
      sym_identifier,
    ACTIONS(9030), 1,
      sym_tag,
    STATE(2754), 1,
      sym_procedure,
    STATE(6274), 1,
      sym_named_type,
    STATE(6297), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [196713] = 4,
    ACTIONS(3437), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [196763] = 22,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(8032), 1,
      anon_sym_proc,
    ACTIONS(8034), 1,
      anon_sym_DOLLAR,
    ACTIONS(8038), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8040), 1,
      anon_sym_CARET,
    ACTIONS(8042), 1,
      anon_sym_map,
    ACTIONS(8044), 1,
      anon_sym_matrix,
    ACTIONS(8046), 1,
      anon_sym_distinct,
    ACTIONS(8548), 1,
      anon_sym_LPAREN,
    ACTIONS(9015), 1,
      sym_identifier,
    ACTIONS(9032), 1,
      anon_sym_LBRACK,
    ACTIONS(9034), 1,
      sym_tag,
    STATE(2754), 1,
      sym_procedure,
    STATE(6274), 1,
      sym_named_type,
    STATE(6297), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [196849] = 4,
    ACTIONS(4350), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [196899] = 22,
    ACTIONS(223), 1,
      anon_sym_distinct,
    ACTIONS(1107), 1,
      anon_sym_proc,
    ACTIONS(1109), 1,
      anon_sym_struct,
    ACTIONS(1111), 1,
      anon_sym_enum,
    ACTIONS(1113), 1,
      anon_sym_union,
    ACTIONS(1118), 1,
      anon_sym_DOLLAR,
    ACTIONS(1125), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1130), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1132), 1,
      anon_sym_map,
    ACTIONS(1134), 1,
      anon_sym_bit_set,
    ACTIONS(1136), 1,
      anon_sym_matrix,
    ACTIONS(8524), 1,
      sym_identifier,
    ACTIONS(8526), 1,
      anon_sym_LPAREN,
    ACTIONS(8528), 1,
      anon_sym_BANG,
    ACTIONS(8530), 1,
      anon_sym_LBRACK,
    ACTIONS(8532), 1,
      anon_sym_CARET,
    ACTIONS(8534), 1,
      sym_tag,
    STATE(1345), 1,
      sym_type,
    STATE(1346), 1,
      sym_named_type,
    STATE(2175), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2177), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [196985] = 4,
    ACTIONS(9036), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [197035] = 4,
    ACTIONS(9038), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [197085] = 4,
    ACTIONS(9040), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [197135] = 4,
    ACTIONS(9042), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [197185] = 4,
    ACTIONS(9044), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [197235] = 4,
    ACTIONS(9046), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [197285] = 4,
    ACTIONS(9048), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [197335] = 22,
    ACTIONS(1679), 1,
      anon_sym_struct,
    ACTIONS(1681), 1,
      anon_sym_enum,
    ACTIONS(1683), 1,
      anon_sym_union,
    ACTIONS(1700), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1704), 1,
      anon_sym_bit_set,
    ACTIONS(7287), 1,
      anon_sym_proc,
    ACTIONS(7289), 1,
      anon_sym_DOLLAR,
    ACTIONS(7291), 1,
      anon_sym_BANG,
    ACTIONS(7293), 1,
      anon_sym_LBRACK,
    ACTIONS(7295), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7297), 1,
      anon_sym_CARET,
    ACTIONS(7299), 1,
      anon_sym_map,
    ACTIONS(7301), 1,
      anon_sym_matrix,
    ACTIONS(7303), 1,
      anon_sym_distinct,
    ACTIONS(8666), 1,
      sym_identifier,
    ACTIONS(8668), 1,
      anon_sym_LPAREN,
    ACTIONS(9050), 1,
      sym_tag,
    STATE(3172), 1,
      sym_procedure,
    STATE(6110), 1,
      sym_type,
    STATE(6132), 1,
      sym_named_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3208), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [197421] = 4,
    ACTIONS(4370), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [197471] = 4,
    ACTIONS(9052), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [197521] = 4,
    ACTIONS(9054), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [197571] = 4,
    ACTIONS(3651), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [197621] = 4,
    ACTIONS(9056), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [197671] = 22,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(8032), 1,
      anon_sym_proc,
    ACTIONS(8034), 1,
      anon_sym_DOLLAR,
    ACTIONS(8038), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8040), 1,
      anon_sym_CARET,
    ACTIONS(8042), 1,
      anon_sym_map,
    ACTIONS(8044), 1,
      anon_sym_matrix,
    ACTIONS(8046), 1,
      anon_sym_distinct,
    ACTIONS(8548), 1,
      anon_sym_LPAREN,
    ACTIONS(9015), 1,
      sym_identifier,
    ACTIONS(9032), 1,
      anon_sym_LBRACK,
    ACTIONS(9034), 1,
      sym_tag,
    STATE(2754), 1,
      sym_procedure,
    STATE(6278), 1,
      sym_type,
    STATE(6280), 1,
      sym_named_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [197757] = 4,
    ACTIONS(9058), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [197807] = 22,
    ACTIONS(1679), 1,
      anon_sym_struct,
    ACTIONS(1681), 1,
      anon_sym_enum,
    ACTIONS(1683), 1,
      anon_sym_union,
    ACTIONS(1700), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1704), 1,
      anon_sym_bit_set,
    ACTIONS(7287), 1,
      anon_sym_proc,
    ACTIONS(7289), 1,
      anon_sym_DOLLAR,
    ACTIONS(7291), 1,
      anon_sym_BANG,
    ACTIONS(7293), 1,
      anon_sym_LBRACK,
    ACTIONS(7295), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7297), 1,
      anon_sym_CARET,
    ACTIONS(7299), 1,
      anon_sym_map,
    ACTIONS(7301), 1,
      anon_sym_matrix,
    ACTIONS(7303), 1,
      anon_sym_distinct,
    ACTIONS(8666), 1,
      sym_identifier,
    ACTIONS(8668), 1,
      anon_sym_LPAREN,
    ACTIONS(9060), 1,
      sym_tag,
    STATE(3172), 1,
      sym_procedure,
    STATE(6112), 1,
      sym_type,
    STATE(6113), 1,
      sym_named_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3208), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [197893] = 22,
    ACTIONS(1679), 1,
      anon_sym_struct,
    ACTIONS(1681), 1,
      anon_sym_enum,
    ACTIONS(1683), 1,
      anon_sym_union,
    ACTIONS(1700), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1704), 1,
      anon_sym_bit_set,
    ACTIONS(7287), 1,
      anon_sym_proc,
    ACTIONS(7289), 1,
      anon_sym_DOLLAR,
    ACTIONS(7291), 1,
      anon_sym_BANG,
    ACTIONS(7295), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7297), 1,
      anon_sym_CARET,
    ACTIONS(7299), 1,
      anon_sym_map,
    ACTIONS(7301), 1,
      anon_sym_matrix,
    ACTIONS(7303), 1,
      anon_sym_distinct,
    ACTIONS(8666), 1,
      sym_identifier,
    ACTIONS(8668), 1,
      anon_sym_LPAREN,
    ACTIONS(8670), 1,
      anon_sym_LBRACK,
    ACTIONS(8672), 1,
      sym_tag,
    STATE(3172), 1,
      sym_procedure,
    STATE(6112), 1,
      sym_type,
    STATE(6113), 1,
      sym_named_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3208), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [197979] = 4,
    ACTIONS(9062), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [198029] = 4,
    ACTIONS(9064), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [198079] = 22,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    ACTIONS(9066), 1,
      anon_sym_RBRACE,
    STATE(3279), 1,
      sym_procedure,
    STATE(6866), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [198165] = 4,
    ACTIONS(9068), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [198215] = 27,
    ACTIONS(7570), 1,
      anon_sym_LBRACK,
    ACTIONS(7673), 1,
      anon_sym_or_return,
    ACTIONS(7675), 1,
      anon_sym_or_continue,
    ACTIONS(7679), 1,
      anon_sym_CARET,
    ACTIONS(7938), 1,
      anon_sym_DASH_GT,
    ACTIONS(7942), 1,
      anon_sym_PLUS,
    ACTIONS(7944), 1,
      anon_sym_DASH,
    ACTIONS(7946), 1,
      anon_sym_TILDE,
    ACTIONS(7948), 1,
      anon_sym_AMP,
    ACTIONS(7952), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7960), 1,
      anon_sym_PIPE,
    ACTIONS(7962), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7970), 1,
      anon_sym_DOT,
    ACTIONS(7974), 1,
      anon_sym_or_break,
    ACTIONS(8300), 1,
      anon_sym_COMMA,
    STATE(6412), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(7940), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7950), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7954), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7956), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7964), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7966), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7968), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7972), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7958), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(9070), 3,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [198311] = 4,
    ACTIONS(9072), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [198361] = 4,
    ACTIONS(9074), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [198411] = 4,
    ACTIONS(9076), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [198461] = 4,
    ACTIONS(9079), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [198511] = 4,
    ACTIONS(9081), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [198561] = 4,
    ACTIONS(9083), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [198611] = 22,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(7862), 1,
      anon_sym_proc,
    ACTIONS(7864), 1,
      anon_sym_DOLLAR,
    ACTIONS(7866), 1,
      anon_sym_LBRACK,
    ACTIONS(7868), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7870), 1,
      anon_sym_CARET,
    ACTIONS(7872), 1,
      anon_sym_map,
    ACTIONS(7874), 1,
      anon_sym_matrix,
    ACTIONS(7876), 1,
      anon_sym_distinct,
    ACTIONS(8548), 1,
      anon_sym_LPAREN,
    ACTIONS(8922), 1,
      sym_identifier,
    ACTIONS(9085), 1,
      sym_tag,
    STATE(2754), 1,
      sym_procedure,
    STATE(6286), 1,
      sym_type,
    STATE(6288), 1,
      sym_named_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [198697] = 22,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    ACTIONS(9087), 1,
      anon_sym_RBRACE,
    STATE(3279), 1,
      sym_procedure,
    STATE(6866), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [198783] = 4,
    ACTIONS(3681), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [198833] = 4,
    ACTIONS(9089), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [198883] = 4,
    ACTIONS(9092), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [198933] = 22,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    ACTIONS(9095), 1,
      anon_sym_RBRACE,
    STATE(3279), 1,
      sym_procedure,
    STATE(6866), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [199019] = 22,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(7862), 1,
      anon_sym_proc,
    ACTIONS(7864), 1,
      anon_sym_DOLLAR,
    ACTIONS(7866), 1,
      anon_sym_LBRACK,
    ACTIONS(7868), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7870), 1,
      anon_sym_CARET,
    ACTIONS(7872), 1,
      anon_sym_map,
    ACTIONS(7874), 1,
      anon_sym_matrix,
    ACTIONS(7876), 1,
      anon_sym_distinct,
    ACTIONS(8548), 1,
      anon_sym_LPAREN,
    ACTIONS(8922), 1,
      sym_identifier,
    ACTIONS(9097), 1,
      sym_tag,
    STATE(2754), 1,
      sym_procedure,
    STATE(6296), 1,
      sym_type,
    STATE(6325), 1,
      sym_named_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [199105] = 4,
    ACTIONS(9099), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [199155] = 22,
    ACTIONS(477), 1,
      anon_sym_distinct,
    ACTIONS(1677), 1,
      anon_sym_proc,
    ACTIONS(1679), 1,
      anon_sym_struct,
    ACTIONS(1681), 1,
      anon_sym_enum,
    ACTIONS(1683), 1,
      anon_sym_union,
    ACTIONS(1688), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1700), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1702), 1,
      anon_sym_map,
    ACTIONS(1704), 1,
      anon_sym_bit_set,
    ACTIONS(1706), 1,
      anon_sym_matrix,
    ACTIONS(7291), 1,
      anon_sym_BANG,
    ACTIONS(8668), 1,
      anon_sym_LPAREN,
    ACTIONS(8678), 1,
      sym_identifier,
    ACTIONS(8682), 1,
      anon_sym_CARET,
    ACTIONS(8718), 1,
      anon_sym_LBRACK,
    ACTIONS(9102), 1,
      sym_tag,
    STATE(3017), 1,
      sym_type,
    STATE(3024), 1,
      sym_named_type,
    STATE(3172), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3208), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [199241] = 4,
    ACTIONS(9104), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [199291] = 22,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(7862), 1,
      anon_sym_proc,
    ACTIONS(7864), 1,
      anon_sym_DOLLAR,
    ACTIONS(7868), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7870), 1,
      anon_sym_CARET,
    ACTIONS(7872), 1,
      anon_sym_map,
    ACTIONS(7874), 1,
      anon_sym_matrix,
    ACTIONS(7876), 1,
      anon_sym_distinct,
    ACTIONS(8548), 1,
      anon_sym_LPAREN,
    ACTIONS(8922), 1,
      sym_identifier,
    ACTIONS(8932), 1,
      anon_sym_LBRACK,
    ACTIONS(8934), 1,
      sym_tag,
    STATE(2754), 1,
      sym_procedure,
    STATE(6296), 1,
      sym_type,
    STATE(6325), 1,
      sym_named_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [199377] = 4,
    ACTIONS(9107), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [199427] = 4,
    ACTIONS(9109), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [199477] = 22,
    ACTIONS(477), 1,
      anon_sym_distinct,
    ACTIONS(1677), 1,
      anon_sym_proc,
    ACTIONS(1679), 1,
      anon_sym_struct,
    ACTIONS(1681), 1,
      anon_sym_enum,
    ACTIONS(1683), 1,
      anon_sym_union,
    ACTIONS(1688), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1700), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1702), 1,
      anon_sym_map,
    ACTIONS(1704), 1,
      anon_sym_bit_set,
    ACTIONS(1706), 1,
      anon_sym_matrix,
    ACTIONS(7291), 1,
      anon_sym_BANG,
    ACTIONS(8668), 1,
      anon_sym_LPAREN,
    ACTIONS(8678), 1,
      sym_identifier,
    ACTIONS(8680), 1,
      anon_sym_LBRACK,
    ACTIONS(8682), 1,
      anon_sym_CARET,
    ACTIONS(8684), 1,
      sym_tag,
    STATE(3017), 1,
      sym_type,
    STATE(3024), 1,
      sym_named_type,
    STATE(3172), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3208), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [199563] = 22,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    ACTIONS(9112), 1,
      anon_sym_RBRACE,
    STATE(3279), 1,
      sym_procedure,
    STATE(6866), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [199649] = 4,
    ACTIONS(9114), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [199699] = 4,
    ACTIONS(9117), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [199749] = 22,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(7862), 1,
      anon_sym_proc,
    ACTIONS(7864), 1,
      anon_sym_DOLLAR,
    ACTIONS(7868), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7870), 1,
      anon_sym_CARET,
    ACTIONS(7872), 1,
      anon_sym_map,
    ACTIONS(7874), 1,
      anon_sym_matrix,
    ACTIONS(7876), 1,
      anon_sym_distinct,
    ACTIONS(8548), 1,
      anon_sym_LPAREN,
    ACTIONS(8922), 1,
      sym_identifier,
    ACTIONS(8932), 1,
      anon_sym_LBRACK,
    ACTIONS(8934), 1,
      sym_tag,
    STATE(2754), 1,
      sym_procedure,
    STATE(6299), 1,
      sym_type,
    STATE(6300), 1,
      sym_named_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [199835] = 4,
    ACTIONS(9119), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [199885] = 4,
    ACTIONS(9121), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [199935] = 4,
    ACTIONS(9124), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [199985] = 4,
    ACTIONS(9126), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [200035] = 22,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    ACTIONS(9129), 1,
      anon_sym_RBRACE,
    STATE(3279), 1,
      sym_procedure,
    STATE(6866), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [200121] = 4,
    ACTIONS(9131), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [200171] = 4,
    ACTIONS(9134), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [200221] = 4,
    ACTIONS(9136), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [200271] = 4,
    ACTIONS(3467), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [200321] = 26,
    ACTIONS(7171), 1,
      anon_sym_COLON,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(7169), 4,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
  [200415] = 4,
    ACTIONS(3561), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [200465] = 22,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    ACTIONS(9138), 1,
      anon_sym_RBRACE,
    STATE(3279), 1,
      sym_procedure,
    STATE(6792), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [200551] = 4,
    ACTIONS(9140), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [200601] = 22,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(8032), 1,
      anon_sym_proc,
    ACTIONS(8034), 1,
      anon_sym_DOLLAR,
    ACTIONS(8036), 1,
      anon_sym_LBRACK,
    ACTIONS(8038), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8040), 1,
      anon_sym_CARET,
    ACTIONS(8042), 1,
      anon_sym_map,
    ACTIONS(8044), 1,
      anon_sym_matrix,
    ACTIONS(8046), 1,
      anon_sym_distinct,
    ACTIONS(8548), 1,
      anon_sym_LPAREN,
    ACTIONS(9015), 1,
      sym_identifier,
    ACTIONS(9142), 1,
      sym_tag,
    STATE(2754), 1,
      sym_procedure,
    STATE(6285), 1,
      sym_named_type,
    STATE(6303), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [200687] = 4,
    ACTIONS(9144), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [200737] = 4,
    ACTIONS(9146), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [200787] = 4,
    ACTIONS(9148), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [200837] = 22,
    ACTIONS(2018), 1,
      anon_sym_struct,
    ACTIONS(2020), 1,
      anon_sym_enum,
    ACTIONS(2022), 1,
      anon_sym_union,
    ACTIONS(2042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2046), 1,
      anon_sym_bit_set,
    ACTIONS(7394), 1,
      anon_sym_proc,
    ACTIONS(7396), 1,
      anon_sym_DOLLAR,
    ACTIONS(7398), 1,
      anon_sym_BANG,
    ACTIONS(7400), 1,
      anon_sym_LBRACK,
    ACTIONS(7402), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7404), 1,
      anon_sym_CARET,
    ACTIONS(7406), 1,
      anon_sym_map,
    ACTIONS(7408), 1,
      anon_sym_matrix,
    ACTIONS(7410), 1,
      anon_sym_distinct,
    ACTIONS(8602), 1,
      sym_identifier,
    ACTIONS(8604), 1,
      anon_sym_LPAREN,
    ACTIONS(9150), 1,
      sym_tag,
    STATE(3472), 1,
      sym_procedure,
    STATE(6142), 1,
      sym_type,
    STATE(6143), 1,
      sym_named_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3450), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [200923] = 4,
    ACTIONS(9152), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [200973] = 4,
    ACTIONS(9154), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [201023] = 4,
    ACTIONS(4380), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [201073] = 4,
    ACTIONS(9156), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [201123] = 4,
    ACTIONS(9158), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [201173] = 4,
    ACTIONS(9160), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [201223] = 4,
    ACTIONS(9162), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [201273] = 4,
    ACTIONS(9164), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [201323] = 22,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(7442), 1,
      anon_sym_proc,
    ACTIONS(7444), 1,
      anon_sym_DOLLAR,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(7450), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7452), 1,
      anon_sym_CARET,
    ACTIONS(7454), 1,
      anon_sym_map,
    ACTIONS(7456), 1,
      anon_sym_matrix,
    ACTIONS(7458), 1,
      anon_sym_distinct,
    ACTIONS(8548), 1,
      anon_sym_LPAREN,
    ACTIONS(8598), 1,
      sym_identifier,
    ACTIONS(8842), 1,
      anon_sym_LBRACK,
    ACTIONS(8844), 1,
      sym_tag,
    STATE(2754), 1,
      sym_procedure,
    STATE(6173), 1,
      sym_type,
    STATE(6174), 1,
      sym_named_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [201409] = 22,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(8032), 1,
      anon_sym_proc,
    ACTIONS(8034), 1,
      anon_sym_DOLLAR,
    ACTIONS(8036), 1,
      anon_sym_LBRACK,
    ACTIONS(8038), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8040), 1,
      anon_sym_CARET,
    ACTIONS(8042), 1,
      anon_sym_map,
    ACTIONS(8044), 1,
      anon_sym_matrix,
    ACTIONS(8046), 1,
      anon_sym_distinct,
    ACTIONS(8548), 1,
      anon_sym_LPAREN,
    ACTIONS(9015), 1,
      sym_identifier,
    ACTIONS(9166), 1,
      sym_tag,
    STATE(2754), 1,
      sym_procedure,
    STATE(6289), 1,
      sym_named_type,
    STATE(6304), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [201495] = 22,
    ACTIONS(2018), 1,
      anon_sym_struct,
    ACTIONS(2020), 1,
      anon_sym_enum,
    ACTIONS(2022), 1,
      anon_sym_union,
    ACTIONS(2042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2046), 1,
      anon_sym_bit_set,
    ACTIONS(7394), 1,
      anon_sym_proc,
    ACTIONS(7396), 1,
      anon_sym_DOLLAR,
    ACTIONS(7398), 1,
      anon_sym_BANG,
    ACTIONS(7400), 1,
      anon_sym_LBRACK,
    ACTIONS(7402), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7404), 1,
      anon_sym_CARET,
    ACTIONS(7406), 1,
      anon_sym_map,
    ACTIONS(7408), 1,
      anon_sym_matrix,
    ACTIONS(7410), 1,
      anon_sym_distinct,
    ACTIONS(8602), 1,
      sym_identifier,
    ACTIONS(8604), 1,
      anon_sym_LPAREN,
    ACTIONS(9168), 1,
      sym_tag,
    STATE(3472), 1,
      sym_procedure,
    STATE(6144), 1,
      sym_type,
    STATE(6145), 1,
      sym_named_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3450), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [201581] = 22,
    ACTIONS(2018), 1,
      anon_sym_struct,
    ACTIONS(2020), 1,
      anon_sym_enum,
    ACTIONS(2022), 1,
      anon_sym_union,
    ACTIONS(2042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2046), 1,
      anon_sym_bit_set,
    ACTIONS(7394), 1,
      anon_sym_proc,
    ACTIONS(7396), 1,
      anon_sym_DOLLAR,
    ACTIONS(7398), 1,
      anon_sym_BANG,
    ACTIONS(7402), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7404), 1,
      anon_sym_CARET,
    ACTIONS(7406), 1,
      anon_sym_map,
    ACTIONS(7408), 1,
      anon_sym_matrix,
    ACTIONS(7410), 1,
      anon_sym_distinct,
    ACTIONS(8602), 1,
      sym_identifier,
    ACTIONS(8604), 1,
      anon_sym_LPAREN,
    ACTIONS(8606), 1,
      anon_sym_LBRACK,
    ACTIONS(8608), 1,
      sym_tag,
    STATE(3472), 1,
      sym_procedure,
    STATE(6144), 1,
      sym_type,
    STATE(6145), 1,
      sym_named_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3450), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [201667] = 22,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(8032), 1,
      anon_sym_proc,
    ACTIONS(8034), 1,
      anon_sym_DOLLAR,
    ACTIONS(8038), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8040), 1,
      anon_sym_CARET,
    ACTIONS(8042), 1,
      anon_sym_map,
    ACTIONS(8044), 1,
      anon_sym_matrix,
    ACTIONS(8046), 1,
      anon_sym_distinct,
    ACTIONS(8548), 1,
      anon_sym_LPAREN,
    ACTIONS(9015), 1,
      sym_identifier,
    ACTIONS(9032), 1,
      anon_sym_LBRACK,
    ACTIONS(9034), 1,
      sym_tag,
    STATE(2754), 1,
      sym_procedure,
    STATE(6289), 1,
      sym_named_type,
    STATE(6304), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [201753] = 4,
    ACTIONS(9170), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [201803] = 22,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    ACTIONS(9172), 1,
      anon_sym_RBRACE,
    STATE(3279), 1,
      sym_procedure,
    STATE(6866), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [201889] = 22,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    ACTIONS(9174), 1,
      anon_sym_RBRACE,
    STATE(3279), 1,
      sym_procedure,
    STATE(6866), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [201975] = 4,
    ACTIONS(3741), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [202025] = 22,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(8032), 1,
      anon_sym_proc,
    ACTIONS(8034), 1,
      anon_sym_DOLLAR,
    ACTIONS(8038), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8040), 1,
      anon_sym_CARET,
    ACTIONS(8042), 1,
      anon_sym_map,
    ACTIONS(8044), 1,
      anon_sym_matrix,
    ACTIONS(8046), 1,
      anon_sym_distinct,
    ACTIONS(8548), 1,
      anon_sym_LPAREN,
    ACTIONS(9015), 1,
      sym_identifier,
    ACTIONS(9032), 1,
      anon_sym_LBRACK,
    ACTIONS(9034), 1,
      sym_tag,
    STATE(2754), 1,
      sym_procedure,
    STATE(6293), 1,
      sym_named_type,
    STATE(6305), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [202111] = 4,
    ACTIONS(9176), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4514), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(4512), 28,
      anon_sym_DASH_GT,
      anon_sym_LPAREN,
      anon_sym_if,
      anon_sym_when,
      anon_sym_in,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [202161] = 21,
    ACTIONS(739), 1,
      anon_sym_distinct,
    ACTIONS(2563), 1,
      sym_identifier,
    ACTIONS(2565), 1,
      anon_sym_proc,
    ACTIONS(2567), 1,
      anon_sym_struct,
    ACTIONS(2569), 1,
      anon_sym_enum,
    ACTIONS(2571), 1,
      anon_sym_union,
    ACTIONS(2576), 1,
      anon_sym_DOLLAR,
    ACTIONS(2583), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2588), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2590), 1,
      anon_sym_map,
    ACTIONS(2592), 1,
      anon_sym_bit_set,
    ACTIONS(2594), 1,
      anon_sym_matrix,
    ACTIONS(2596), 1,
      sym_tag,
    ACTIONS(9178), 1,
      anon_sym_LPAREN,
    ACTIONS(9180), 1,
      anon_sym_BANG,
    ACTIONS(9182), 1,
      anon_sym_LBRACK,
    ACTIONS(9184), 1,
      anon_sym_CARET,
    STATE(4169), 1,
      sym_type,
    STATE(4270), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(4202), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [202244] = 21,
    ACTIONS(2014), 1,
      sym_identifier,
    ACTIONS(2018), 1,
      anon_sym_struct,
    ACTIONS(2020), 1,
      anon_sym_enum,
    ACTIONS(2022), 1,
      anon_sym_union,
    ACTIONS(2042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2046), 1,
      anon_sym_bit_set,
    ACTIONS(7394), 1,
      anon_sym_proc,
    ACTIONS(7396), 1,
      anon_sym_DOLLAR,
    ACTIONS(7398), 1,
      anon_sym_BANG,
    ACTIONS(7400), 1,
      anon_sym_LBRACK,
    ACTIONS(7402), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7404), 1,
      anon_sym_CARET,
    ACTIONS(7406), 1,
      anon_sym_map,
    ACTIONS(7408), 1,
      anon_sym_matrix,
    ACTIONS(7410), 1,
      anon_sym_distinct,
    ACTIONS(8604), 1,
      anon_sym_LPAREN,
    ACTIONS(8608), 1,
      sym_tag,
    STATE(3472), 1,
      sym_procedure,
    STATE(6196), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3450), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [202327] = 21,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    STATE(3279), 1,
      sym_procedure,
    STATE(6649), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [202410] = 21,
    ACTIONS(477), 1,
      anon_sym_distinct,
    ACTIONS(1675), 1,
      sym_identifier,
    ACTIONS(1677), 1,
      anon_sym_proc,
    ACTIONS(1679), 1,
      anon_sym_struct,
    ACTIONS(1681), 1,
      anon_sym_enum,
    ACTIONS(1683), 1,
      anon_sym_union,
    ACTIONS(1688), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1700), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1702), 1,
      anon_sym_map,
    ACTIONS(1704), 1,
      anon_sym_bit_set,
    ACTIONS(1706), 1,
      anon_sym_matrix,
    ACTIONS(7291), 1,
      anon_sym_BANG,
    ACTIONS(8668), 1,
      anon_sym_LPAREN,
    ACTIONS(8682), 1,
      anon_sym_CARET,
    ACTIONS(8684), 1,
      sym_tag,
    ACTIONS(8718), 1,
      anon_sym_LBRACK,
    STATE(3082), 1,
      sym_type,
    STATE(3172), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3208), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [202493] = 21,
    ACTIONS(1627), 1,
      sym_identifier,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(7862), 1,
      anon_sym_proc,
    ACTIONS(7864), 1,
      anon_sym_DOLLAR,
    ACTIONS(7866), 1,
      anon_sym_LBRACK,
    ACTIONS(7868), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7870), 1,
      anon_sym_CARET,
    ACTIONS(7872), 1,
      anon_sym_map,
    ACTIONS(7874), 1,
      anon_sym_matrix,
    ACTIONS(7876), 1,
      anon_sym_distinct,
    ACTIONS(8548), 1,
      anon_sym_LPAREN,
    ACTIONS(8934), 1,
      sym_tag,
    STATE(2754), 1,
      sym_procedure,
    STATE(2888), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [202576] = 21,
    ACTIONS(641), 1,
      anon_sym_distinct,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2187), 1,
      anon_sym_proc,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2199), 1,
      anon_sym_DOLLAR,
    ACTIONS(2207), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2215), 1,
      anon_sym_map,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(2219), 1,
      anon_sym_matrix,
    ACTIONS(2221), 1,
      sym_tag,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(9186), 1,
      anon_sym_LBRACK,
    ACTIONS(9188), 1,
      anon_sym_CARET,
    STATE(3279), 1,
      sym_procedure,
    STATE(3896), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [202659] = 21,
    ACTIONS(1627), 1,
      sym_identifier,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(7862), 1,
      anon_sym_proc,
    ACTIONS(7864), 1,
      anon_sym_DOLLAR,
    ACTIONS(7866), 1,
      anon_sym_LBRACK,
    ACTIONS(7868), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7870), 1,
      anon_sym_CARET,
    ACTIONS(7872), 1,
      anon_sym_map,
    ACTIONS(7874), 1,
      anon_sym_matrix,
    ACTIONS(7876), 1,
      anon_sym_distinct,
    ACTIONS(8548), 1,
      anon_sym_LPAREN,
    ACTIONS(8934), 1,
      sym_tag,
    STATE(2754), 1,
      sym_procedure,
    STATE(6367), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [202742] = 21,
    ACTIONS(1627), 1,
      sym_identifier,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(8032), 1,
      anon_sym_proc,
    ACTIONS(8034), 1,
      anon_sym_DOLLAR,
    ACTIONS(8036), 1,
      anon_sym_LBRACK,
    ACTIONS(8038), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8040), 1,
      anon_sym_CARET,
    ACTIONS(8042), 1,
      anon_sym_map,
    ACTIONS(8044), 1,
      anon_sym_matrix,
    ACTIONS(8046), 1,
      anon_sym_distinct,
    ACTIONS(8548), 1,
      anon_sym_LPAREN,
    ACTIONS(9034), 1,
      sym_tag,
    STATE(2754), 1,
      sym_procedure,
    STATE(2888), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [202825] = 21,
    ACTIONS(1627), 1,
      sym_identifier,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(7862), 1,
      anon_sym_proc,
    ACTIONS(7864), 1,
      anon_sym_DOLLAR,
    ACTIONS(7866), 1,
      anon_sym_LBRACK,
    ACTIONS(7868), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7870), 1,
      anon_sym_CARET,
    ACTIONS(7872), 1,
      anon_sym_map,
    ACTIONS(7874), 1,
      anon_sym_matrix,
    ACTIONS(7876), 1,
      anon_sym_distinct,
    ACTIONS(8548), 1,
      anon_sym_LPAREN,
    ACTIONS(8934), 1,
      sym_tag,
    STATE(2754), 1,
      sym_procedure,
    STATE(6370), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [202908] = 21,
    ACTIONS(1627), 1,
      sym_identifier,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(8032), 1,
      anon_sym_proc,
    ACTIONS(8034), 1,
      anon_sym_DOLLAR,
    ACTIONS(8036), 1,
      anon_sym_LBRACK,
    ACTIONS(8038), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8040), 1,
      anon_sym_CARET,
    ACTIONS(8042), 1,
      anon_sym_map,
    ACTIONS(8044), 1,
      anon_sym_matrix,
    ACTIONS(8046), 1,
      anon_sym_distinct,
    ACTIONS(8548), 1,
      anon_sym_LPAREN,
    ACTIONS(9034), 1,
      sym_tag,
    STATE(2754), 1,
      sym_procedure,
    STATE(6362), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [202991] = 21,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    STATE(3279), 1,
      sym_procedure,
    STATE(7224), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [203074] = 21,
    ACTIONS(1627), 1,
      sym_identifier,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(8032), 1,
      anon_sym_proc,
    ACTIONS(8034), 1,
      anon_sym_DOLLAR,
    ACTIONS(8036), 1,
      anon_sym_LBRACK,
    ACTIONS(8038), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8040), 1,
      anon_sym_CARET,
    ACTIONS(8042), 1,
      anon_sym_map,
    ACTIONS(8044), 1,
      anon_sym_matrix,
    ACTIONS(8046), 1,
      anon_sym_distinct,
    ACTIONS(8548), 1,
      anon_sym_LPAREN,
    ACTIONS(9034), 1,
      sym_tag,
    STATE(2754), 1,
      sym_procedure,
    STATE(6364), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [203157] = 28,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9190), 1,
      anon_sym_COMMA,
    ACTIONS(9192), 1,
      anon_sym_EQ,
    ACTIONS(9194), 1,
      anon_sym_RPAREN,
    STATE(7536), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [203254] = 21,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    STATE(3279), 1,
      sym_procedure,
    STATE(7134), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [203337] = 21,
    ACTIONS(1627), 1,
      sym_identifier,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(7862), 1,
      anon_sym_proc,
    ACTIONS(7864), 1,
      anon_sym_DOLLAR,
    ACTIONS(7868), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7870), 1,
      anon_sym_CARET,
    ACTIONS(7872), 1,
      anon_sym_map,
    ACTIONS(7874), 1,
      anon_sym_matrix,
    ACTIONS(7876), 1,
      anon_sym_distinct,
    ACTIONS(8548), 1,
      anon_sym_LPAREN,
    ACTIONS(8932), 1,
      anon_sym_LBRACK,
    ACTIONS(8934), 1,
      sym_tag,
    STATE(2754), 1,
      sym_procedure,
    STATE(6352), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [203420] = 21,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(8280), 1,
      anon_sym_proc,
    ACTIONS(8282), 1,
      anon_sym_DOLLAR,
    ACTIONS(8284), 1,
      anon_sym_LBRACK,
    ACTIONS(8286), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8288), 1,
      anon_sym_CARET,
    ACTIONS(8290), 1,
      anon_sym_map,
    ACTIONS(8292), 1,
      anon_sym_matrix,
    ACTIONS(8294), 1,
      anon_sym_distinct,
    ACTIONS(9196), 1,
      sym_tag,
    STATE(3279), 1,
      sym_procedure,
    STATE(6553), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [203503] = 6,
    ACTIONS(6917), 1,
      anon_sym_LPAREN,
    ACTIONS(7683), 1,
      anon_sym_QMARK,
    ACTIONS(7681), 2,
      anon_sym_if,
      anon_sym_when,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(67), 24,
      anon_sym_DASH_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [203556] = 21,
    ACTIONS(1627), 1,
      sym_identifier,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(8032), 1,
      anon_sym_proc,
    ACTIONS(8034), 1,
      anon_sym_DOLLAR,
    ACTIONS(8038), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8040), 1,
      anon_sym_CARET,
    ACTIONS(8042), 1,
      anon_sym_map,
    ACTIONS(8044), 1,
      anon_sym_matrix,
    ACTIONS(8046), 1,
      anon_sym_distinct,
    ACTIONS(8548), 1,
      anon_sym_LPAREN,
    ACTIONS(9032), 1,
      anon_sym_LBRACK,
    ACTIONS(9034), 1,
      sym_tag,
    STATE(2754), 1,
      sym_procedure,
    STATE(6368), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [203639] = 21,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    STATE(3279), 1,
      sym_procedure,
    STATE(7647), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [203722] = 21,
    ACTIONS(1627), 1,
      sym_identifier,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(8032), 1,
      anon_sym_proc,
    ACTIONS(8034), 1,
      anon_sym_DOLLAR,
    ACTIONS(8036), 1,
      anon_sym_LBRACK,
    ACTIONS(8038), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8040), 1,
      anon_sym_CARET,
    ACTIONS(8042), 1,
      anon_sym_map,
    ACTIONS(8044), 1,
      anon_sym_matrix,
    ACTIONS(8046), 1,
      anon_sym_distinct,
    ACTIONS(8548), 1,
      anon_sym_LPAREN,
    ACTIONS(9034), 1,
      sym_tag,
    STATE(2695), 1,
      sym_type,
    STATE(2754), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [203805] = 21,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(8280), 1,
      anon_sym_proc,
    ACTIONS(8282), 1,
      anon_sym_DOLLAR,
    ACTIONS(8284), 1,
      anon_sym_LBRACK,
    ACTIONS(8286), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8288), 1,
      anon_sym_CARET,
    ACTIONS(8290), 1,
      anon_sym_map,
    ACTIONS(8292), 1,
      anon_sym_matrix,
    ACTIONS(8294), 1,
      anon_sym_distinct,
    ACTIONS(9198), 1,
      sym_tag,
    STATE(3279), 1,
      sym_procedure,
    STATE(6600), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [203888] = 21,
    ACTIONS(223), 1,
      anon_sym_distinct,
    ACTIONS(1105), 1,
      sym_identifier,
    ACTIONS(1107), 1,
      anon_sym_proc,
    ACTIONS(1109), 1,
      anon_sym_struct,
    ACTIONS(1111), 1,
      anon_sym_enum,
    ACTIONS(1113), 1,
      anon_sym_union,
    ACTIONS(1118), 1,
      anon_sym_DOLLAR,
    ACTIONS(1125), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1130), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1132), 1,
      anon_sym_map,
    ACTIONS(1134), 1,
      anon_sym_bit_set,
    ACTIONS(1136), 1,
      anon_sym_matrix,
    ACTIONS(8526), 1,
      anon_sym_LPAREN,
    ACTIONS(8528), 1,
      anon_sym_BANG,
    ACTIONS(8532), 1,
      anon_sym_CARET,
    ACTIONS(8534), 1,
      sym_tag,
    ACTIONS(8750), 1,
      anon_sym_LBRACK,
    STATE(2175), 1,
      sym_procedure,
    STATE(2214), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2177), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [203971] = 21,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    STATE(3279), 1,
      sym_procedure,
    STATE(7319), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [204054] = 21,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(8280), 1,
      anon_sym_proc,
    ACTIONS(8282), 1,
      anon_sym_DOLLAR,
    ACTIONS(8284), 1,
      anon_sym_LBRACK,
    ACTIONS(8286), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8288), 1,
      anon_sym_CARET,
    ACTIONS(8290), 1,
      anon_sym_map,
    ACTIONS(8292), 1,
      anon_sym_matrix,
    ACTIONS(8294), 1,
      anon_sym_distinct,
    ACTIONS(8296), 1,
      sym_tag,
    STATE(3279), 1,
      sym_procedure,
    STATE(6601), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [204137] = 28,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9200), 1,
      anon_sym_COMMA,
    ACTIONS(9202), 1,
      anon_sym_EQ,
    ACTIONS(9204), 1,
      anon_sym_RPAREN,
    STATE(7183), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [204234] = 21,
    ACTIONS(585), 1,
      anon_sym_proc,
    ACTIONS(2241), 1,
      sym_identifier,
    ACTIONS(2245), 1,
      anon_sym_struct,
    ACTIONS(2247), 1,
      anon_sym_enum,
    ACTIONS(2249), 1,
      anon_sym_union,
    ACTIONS(2266), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2270), 1,
      anon_sym_bit_set,
    ACTIONS(7574), 1,
      anon_sym_DOLLAR,
    ACTIONS(7576), 1,
      anon_sym_BANG,
    ACTIONS(7578), 1,
      anon_sym_LBRACK,
    ACTIONS(7580), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7582), 1,
      anon_sym_CARET,
    ACTIONS(7584), 1,
      anon_sym_map,
    ACTIONS(7586), 1,
      anon_sym_matrix,
    ACTIONS(7588), 1,
      anon_sym_distinct,
    ACTIONS(7590), 1,
      sym_tag,
    ACTIONS(7887), 1,
      anon_sym_LPAREN,
    STATE(3705), 1,
      sym_procedure,
    STATE(6357), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3649), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [204317] = 21,
    ACTIONS(1627), 1,
      sym_identifier,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(7442), 1,
      anon_sym_proc,
    ACTIONS(7444), 1,
      anon_sym_DOLLAR,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(7448), 1,
      anon_sym_LBRACK,
    ACTIONS(7450), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7452), 1,
      anon_sym_CARET,
    ACTIONS(7454), 1,
      anon_sym_map,
    ACTIONS(7456), 1,
      anon_sym_matrix,
    ACTIONS(7458), 1,
      anon_sym_distinct,
    ACTIONS(8548), 1,
      anon_sym_LPAREN,
    ACTIONS(8844), 1,
      sym_tag,
    STATE(2754), 1,
      sym_procedure,
    STATE(6264), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [204400] = 21,
    ACTIONS(1867), 1,
      sym_identifier,
    ACTIONS(1871), 1,
      anon_sym_struct,
    ACTIONS(1873), 1,
      anon_sym_enum,
    ACTIONS(1875), 1,
      anon_sym_union,
    ACTIONS(1892), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1896), 1,
      anon_sym_bit_set,
    ACTIONS(8162), 1,
      anon_sym_proc,
    ACTIONS(8164), 1,
      anon_sym_DOLLAR,
    ACTIONS(8166), 1,
      anon_sym_BANG,
    ACTIONS(8168), 1,
      anon_sym_LBRACK,
    ACTIONS(8170), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8172), 1,
      anon_sym_CARET,
    ACTIONS(8174), 1,
      anon_sym_map,
    ACTIONS(8176), 1,
      anon_sym_matrix,
    ACTIONS(8178), 1,
      anon_sym_distinct,
    ACTIONS(8180), 1,
      sym_tag,
    ACTIONS(8321), 1,
      anon_sym_LPAREN,
    STATE(3458), 1,
      sym_procedure,
    STATE(6721), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3471), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [204483] = 21,
    ACTIONS(1627), 1,
      sym_identifier,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(8032), 1,
      anon_sym_proc,
    ACTIONS(8034), 1,
      anon_sym_DOLLAR,
    ACTIONS(8036), 1,
      anon_sym_LBRACK,
    ACTIONS(8038), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8040), 1,
      anon_sym_CARET,
    ACTIONS(8042), 1,
      anon_sym_map,
    ACTIONS(8044), 1,
      anon_sym_matrix,
    ACTIONS(8046), 1,
      anon_sym_distinct,
    ACTIONS(8548), 1,
      anon_sym_LPAREN,
    ACTIONS(9034), 1,
      sym_tag,
    STATE(2754), 1,
      sym_procedure,
    STATE(6372), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [204566] = 21,
    ACTIONS(1627), 1,
      sym_identifier,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(8032), 1,
      anon_sym_proc,
    ACTIONS(8034), 1,
      anon_sym_DOLLAR,
    ACTIONS(8036), 1,
      anon_sym_LBRACK,
    ACTIONS(8038), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8040), 1,
      anon_sym_CARET,
    ACTIONS(8042), 1,
      anon_sym_map,
    ACTIONS(8044), 1,
      anon_sym_matrix,
    ACTIONS(8046), 1,
      anon_sym_distinct,
    ACTIONS(8548), 1,
      anon_sym_LPAREN,
    ACTIONS(9034), 1,
      sym_tag,
    STATE(2754), 1,
      sym_procedure,
    STATE(6373), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [204649] = 21,
    ACTIONS(1627), 1,
      sym_identifier,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(8032), 1,
      anon_sym_proc,
    ACTIONS(8034), 1,
      anon_sym_DOLLAR,
    ACTIONS(8036), 1,
      anon_sym_LBRACK,
    ACTIONS(8038), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8040), 1,
      anon_sym_CARET,
    ACTIONS(8042), 1,
      anon_sym_map,
    ACTIONS(8044), 1,
      anon_sym_matrix,
    ACTIONS(8046), 1,
      anon_sym_distinct,
    ACTIONS(8548), 1,
      anon_sym_LPAREN,
    ACTIONS(9206), 1,
      sym_tag,
    STATE(2754), 1,
      sym_procedure,
    STATE(6365), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [204732] = 21,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(8238), 1,
      anon_sym_proc,
    ACTIONS(8240), 1,
      anon_sym_DOLLAR,
    ACTIONS(8242), 1,
      anon_sym_LBRACK,
    ACTIONS(8244), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8246), 1,
      anon_sym_CARET,
    ACTIONS(8248), 1,
      anon_sym_map,
    ACTIONS(8250), 1,
      anon_sym_matrix,
    ACTIONS(8252), 1,
      anon_sym_distinct,
    ACTIONS(9208), 1,
      sym_tag,
    STATE(3279), 1,
      sym_procedure,
    STATE(6378), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [204815] = 21,
    ACTIONS(2403), 1,
      sym_identifier,
    ACTIONS(2405), 1,
      anon_sym_proc,
    ACTIONS(2407), 1,
      anon_sym_struct,
    ACTIONS(2409), 1,
      anon_sym_enum,
    ACTIONS(2411), 1,
      anon_sym_union,
    ACTIONS(2416), 1,
      anon_sym_DOLLAR,
    ACTIONS(2423), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2428), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2430), 1,
      anon_sym_map,
    ACTIONS(2432), 1,
      anon_sym_bit_set,
    ACTIONS(2434), 1,
      anon_sym_matrix,
    ACTIONS(2436), 1,
      anon_sym_distinct,
    ACTIONS(2438), 1,
      sym_tag,
    ACTIONS(9210), 1,
      anon_sym_LPAREN,
    ACTIONS(9212), 1,
      anon_sym_BANG,
    ACTIONS(9214), 1,
      anon_sym_LBRACK,
    ACTIONS(9216), 1,
      anon_sym_CARET,
    STATE(4117), 1,
      sym_type,
    STATE(4119), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(4042), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [204898] = 6,
    ACTIONS(6309), 1,
      anon_sym_LPAREN,
    ACTIONS(7683), 1,
      anon_sym_QMARK,
    ACTIONS(7681), 2,
      anon_sym_if,
      anon_sym_when,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(67), 24,
      anon_sym_DASH_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [204951] = 21,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    STATE(3279), 1,
      sym_procedure,
    STATE(7058), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [205034] = 21,
    ACTIONS(157), 1,
      anon_sym_distinct,
    ACTIONS(771), 1,
      sym_identifier,
    ACTIONS(776), 1,
      anon_sym_proc,
    ACTIONS(781), 1,
      anon_sym_struct,
    ACTIONS(783), 1,
      anon_sym_enum,
    ACTIONS(785), 1,
      anon_sym_union,
    ACTIONS(791), 1,
      anon_sym_DOLLAR,
    ACTIONS(799), 1,
      anon_sym_DOT_DOT,
    ACTIONS(805), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(807), 1,
      anon_sym_map,
    ACTIONS(809), 1,
      anon_sym_bit_set,
    ACTIONS(811), 1,
      anon_sym_matrix,
    ACTIONS(8646), 1,
      anon_sym_LPAREN,
    ACTIONS(8648), 1,
      anon_sym_BANG,
    ACTIONS(8650), 1,
      anon_sym_LBRACK,
    ACTIONS(8652), 1,
      anon_sym_CARET,
    ACTIONS(9218), 1,
      sym_tag,
    STATE(695), 1,
      sym_procedure,
    STATE(706), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(705), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [205117] = 21,
    ACTIONS(1675), 1,
      sym_identifier,
    ACTIONS(1679), 1,
      anon_sym_struct,
    ACTIONS(1681), 1,
      anon_sym_enum,
    ACTIONS(1683), 1,
      anon_sym_union,
    ACTIONS(1700), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1704), 1,
      anon_sym_bit_set,
    ACTIONS(7287), 1,
      anon_sym_proc,
    ACTIONS(7289), 1,
      anon_sym_DOLLAR,
    ACTIONS(7291), 1,
      anon_sym_BANG,
    ACTIONS(7293), 1,
      anon_sym_LBRACK,
    ACTIONS(7295), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7297), 1,
      anon_sym_CARET,
    ACTIONS(7299), 1,
      anon_sym_map,
    ACTIONS(7301), 1,
      anon_sym_matrix,
    ACTIONS(7303), 1,
      anon_sym_distinct,
    ACTIONS(8668), 1,
      anon_sym_LPAREN,
    ACTIONS(9220), 1,
      sym_tag,
    STATE(3172), 1,
      sym_procedure,
    STATE(6164), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3208), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [205200] = 21,
    ACTIONS(1965), 1,
      sym_identifier,
    ACTIONS(1969), 1,
      anon_sym_struct,
    ACTIONS(1971), 1,
      anon_sym_enum,
    ACTIONS(1973), 1,
      anon_sym_union,
    ACTIONS(1990), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1994), 1,
      anon_sym_bit_set,
    ACTIONS(7731), 1,
      anon_sym_proc,
    ACTIONS(7733), 1,
      anon_sym_DOLLAR,
    ACTIONS(7735), 1,
      anon_sym_BANG,
    ACTIONS(7737), 1,
      anon_sym_LBRACK,
    ACTIONS(7739), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7741), 1,
      anon_sym_CARET,
    ACTIONS(7743), 1,
      anon_sym_map,
    ACTIONS(7745), 1,
      anon_sym_matrix,
    ACTIONS(7747), 1,
      anon_sym_distinct,
    ACTIONS(7749), 1,
      sym_tag,
    ACTIONS(8065), 1,
      anon_sym_LPAREN,
    STATE(3684), 1,
      sym_procedure,
    STATE(3697), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3686), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [205283] = 21,
    ACTIONS(1867), 1,
      sym_identifier,
    ACTIONS(1871), 1,
      anon_sym_struct,
    ACTIONS(1873), 1,
      anon_sym_enum,
    ACTIONS(1875), 1,
      anon_sym_union,
    ACTIONS(1892), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1896), 1,
      anon_sym_bit_set,
    ACTIONS(8162), 1,
      anon_sym_proc,
    ACTIONS(8164), 1,
      anon_sym_DOLLAR,
    ACTIONS(8166), 1,
      anon_sym_BANG,
    ACTIONS(8168), 1,
      anon_sym_LBRACK,
    ACTIONS(8170), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8172), 1,
      anon_sym_CARET,
    ACTIONS(8174), 1,
      anon_sym_map,
    ACTIONS(8176), 1,
      anon_sym_matrix,
    ACTIONS(8178), 1,
      anon_sym_distinct,
    ACTIONS(8180), 1,
      sym_tag,
    ACTIONS(8321), 1,
      anon_sym_LPAREN,
    STATE(3458), 1,
      sym_procedure,
    STATE(7633), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3471), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [205366] = 21,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    STATE(3279), 1,
      sym_procedure,
    STATE(7358), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [205449] = 21,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    STATE(3279), 1,
      sym_procedure,
    STATE(6664), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [205532] = 21,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    STATE(3279), 1,
      sym_procedure,
    STATE(7225), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [205615] = 21,
    ACTIONS(2014), 1,
      sym_identifier,
    ACTIONS(2018), 1,
      anon_sym_struct,
    ACTIONS(2020), 1,
      anon_sym_enum,
    ACTIONS(2022), 1,
      anon_sym_union,
    ACTIONS(2042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2046), 1,
      anon_sym_bit_set,
    ACTIONS(7394), 1,
      anon_sym_proc,
    ACTIONS(7396), 1,
      anon_sym_DOLLAR,
    ACTIONS(7398), 1,
      anon_sym_BANG,
    ACTIONS(7400), 1,
      anon_sym_LBRACK,
    ACTIONS(7402), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7404), 1,
      anon_sym_CARET,
    ACTIONS(7406), 1,
      anon_sym_map,
    ACTIONS(7408), 1,
      anon_sym_matrix,
    ACTIONS(7410), 1,
      anon_sym_distinct,
    ACTIONS(8604), 1,
      anon_sym_LPAREN,
    ACTIONS(8608), 1,
      sym_tag,
    STATE(3472), 1,
      sym_procedure,
    STATE(3556), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3450), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [205698] = 21,
    ACTIONS(2014), 1,
      sym_identifier,
    ACTIONS(2018), 1,
      anon_sym_struct,
    ACTIONS(2020), 1,
      anon_sym_enum,
    ACTIONS(2022), 1,
      anon_sym_union,
    ACTIONS(2042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2046), 1,
      anon_sym_bit_set,
    ACTIONS(7394), 1,
      anon_sym_proc,
    ACTIONS(7396), 1,
      anon_sym_DOLLAR,
    ACTIONS(7398), 1,
      anon_sym_BANG,
    ACTIONS(7402), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7404), 1,
      anon_sym_CARET,
    ACTIONS(7406), 1,
      anon_sym_map,
    ACTIONS(7408), 1,
      anon_sym_matrix,
    ACTIONS(7410), 1,
      anon_sym_distinct,
    ACTIONS(8604), 1,
      anon_sym_LPAREN,
    ACTIONS(8606), 1,
      anon_sym_LBRACK,
    ACTIONS(8608), 1,
      sym_tag,
    STATE(3472), 1,
      sym_procedure,
    STATE(6197), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3450), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [205781] = 28,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9222), 1,
      anon_sym_COMMA,
    ACTIONS(9224), 1,
      anon_sym_EQ,
    ACTIONS(9226), 1,
      anon_sym_RPAREN,
    STATE(7474), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [205878] = 21,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    STATE(3279), 1,
      sym_procedure,
    STATE(3290), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [205961] = 21,
    ACTIONS(979), 1,
      sym_identifier,
    ACTIONS(981), 1,
      anon_sym_proc,
    ACTIONS(983), 1,
      anon_sym_struct,
    ACTIONS(985), 1,
      anon_sym_enum,
    ACTIONS(987), 1,
      anon_sym_union,
    ACTIONS(992), 1,
      anon_sym_DOLLAR,
    ACTIONS(999), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1004), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1006), 1,
      anon_sym_map,
    ACTIONS(1008), 1,
      anon_sym_bit_set,
    ACTIONS(1010), 1,
      anon_sym_matrix,
    ACTIONS(1012), 1,
      anon_sym_distinct,
    ACTIONS(1014), 1,
      sym_tag,
    ACTIONS(9228), 1,
      anon_sym_LPAREN,
    ACTIONS(9230), 1,
      anon_sym_BANG,
    ACTIONS(9232), 1,
      anon_sym_LBRACK,
    ACTIONS(9234), 1,
      anon_sym_CARET,
    STATE(2044), 1,
      sym_procedure,
    STATE(2138), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2064), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [206044] = 21,
    ACTIONS(157), 1,
      anon_sym_distinct,
    ACTIONS(771), 1,
      sym_identifier,
    ACTIONS(776), 1,
      anon_sym_proc,
    ACTIONS(781), 1,
      anon_sym_struct,
    ACTIONS(783), 1,
      anon_sym_enum,
    ACTIONS(785), 1,
      anon_sym_union,
    ACTIONS(791), 1,
      anon_sym_DOLLAR,
    ACTIONS(799), 1,
      anon_sym_DOT_DOT,
    ACTIONS(805), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(807), 1,
      anon_sym_map,
    ACTIONS(809), 1,
      anon_sym_bit_set,
    ACTIONS(811), 1,
      anon_sym_matrix,
    ACTIONS(8646), 1,
      anon_sym_LPAREN,
    ACTIONS(8648), 1,
      anon_sym_BANG,
    ACTIONS(8650), 1,
      anon_sym_LBRACK,
    ACTIONS(8652), 1,
      anon_sym_CARET,
    ACTIONS(8692), 1,
      sym_tag,
    STATE(695), 1,
      sym_procedure,
    STATE(708), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(705), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [206127] = 21,
    ACTIONS(275), 1,
      anon_sym_distinct,
    ACTIONS(1331), 1,
      sym_identifier,
    ACTIONS(1333), 1,
      anon_sym_proc,
    ACTIONS(1335), 1,
      anon_sym_struct,
    ACTIONS(1337), 1,
      anon_sym_enum,
    ACTIONS(1339), 1,
      anon_sym_union,
    ACTIONS(1344), 1,
      anon_sym_DOLLAR,
    ACTIONS(1351), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1356), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1358), 1,
      anon_sym_map,
    ACTIONS(1360), 1,
      anon_sym_bit_set,
    ACTIONS(1362), 1,
      anon_sym_matrix,
    ACTIONS(9236), 1,
      anon_sym_LPAREN,
    ACTIONS(9238), 1,
      anon_sym_BANG,
    ACTIONS(9240), 1,
      anon_sym_LBRACK,
    ACTIONS(9242), 1,
      anon_sym_CARET,
    ACTIONS(9244), 1,
      sym_tag,
    STATE(2453), 1,
      sym_procedure,
    STATE(2499), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2497), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [206210] = 21,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    ACTIONS(9246), 1,
      anon_sym_LBRACK,
    STATE(3279), 1,
      sym_procedure,
    STATE(6396), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [206293] = 21,
    ACTIONS(1627), 1,
      sym_identifier,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(7862), 1,
      anon_sym_proc,
    ACTIONS(7864), 1,
      anon_sym_DOLLAR,
    ACTIONS(7866), 1,
      anon_sym_LBRACK,
    ACTIONS(7868), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7870), 1,
      anon_sym_CARET,
    ACTIONS(7872), 1,
      anon_sym_map,
    ACTIONS(7874), 1,
      anon_sym_matrix,
    ACTIONS(7876), 1,
      anon_sym_distinct,
    ACTIONS(8548), 1,
      anon_sym_LPAREN,
    ACTIONS(8934), 1,
      sym_tag,
    STATE(2695), 1,
      sym_type,
    STATE(2754), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [206376] = 21,
    ACTIONS(357), 1,
      anon_sym_distinct,
    ACTIONS(1867), 1,
      sym_identifier,
    ACTIONS(1869), 1,
      anon_sym_proc,
    ACTIONS(1871), 1,
      anon_sym_struct,
    ACTIONS(1873), 1,
      anon_sym_enum,
    ACTIONS(1875), 1,
      anon_sym_union,
    ACTIONS(1880), 1,
      anon_sym_DOLLAR,
    ACTIONS(1887), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1892), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1894), 1,
      anon_sym_map,
    ACTIONS(1896), 1,
      anon_sym_bit_set,
    ACTIONS(1898), 1,
      anon_sym_matrix,
    ACTIONS(1900), 1,
      sym_tag,
    ACTIONS(8166), 1,
      anon_sym_BANG,
    ACTIONS(8321), 1,
      anon_sym_LPAREN,
    ACTIONS(9248), 1,
      anon_sym_LBRACK,
    ACTIONS(9250), 1,
      anon_sym_CARET,
    STATE(3458), 1,
      sym_procedure,
    STATE(3565), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3471), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [206459] = 21,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    STATE(3279), 1,
      sym_procedure,
    STATE(6399), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [206542] = 21,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(8238), 1,
      anon_sym_proc,
    ACTIONS(8240), 1,
      anon_sym_DOLLAR,
    ACTIONS(8244), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8246), 1,
      anon_sym_CARET,
    ACTIONS(8248), 1,
      anon_sym_map,
    ACTIONS(8250), 1,
      anon_sym_matrix,
    ACTIONS(8252), 1,
      anon_sym_distinct,
    ACTIONS(8254), 1,
      sym_tag,
    ACTIONS(9252), 1,
      anon_sym_LBRACK,
    STATE(3279), 1,
      sym_procedure,
    STATE(6389), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [206625] = 21,
    ACTIONS(275), 1,
      anon_sym_distinct,
    ACTIONS(1331), 1,
      sym_identifier,
    ACTIONS(1333), 1,
      anon_sym_proc,
    ACTIONS(1335), 1,
      anon_sym_struct,
    ACTIONS(1337), 1,
      anon_sym_enum,
    ACTIONS(1339), 1,
      anon_sym_union,
    ACTIONS(1344), 1,
      anon_sym_DOLLAR,
    ACTIONS(1351), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1356), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1358), 1,
      anon_sym_map,
    ACTIONS(1360), 1,
      anon_sym_bit_set,
    ACTIONS(1362), 1,
      anon_sym_matrix,
    ACTIONS(1364), 1,
      sym_tag,
    ACTIONS(9236), 1,
      anon_sym_LPAREN,
    ACTIONS(9238), 1,
      anon_sym_BANG,
    ACTIONS(9240), 1,
      anon_sym_LBRACK,
    ACTIONS(9242), 1,
      anon_sym_CARET,
    STATE(2453), 1,
      sym_procedure,
    STATE(2637), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2497), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [206708] = 28,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9254), 1,
      anon_sym_COMMA,
    ACTIONS(9256), 1,
      anon_sym_EQ,
    ACTIONS(9258), 1,
      anon_sym_RPAREN,
    STATE(7752), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [206805] = 21,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    STATE(3279), 1,
      sym_procedure,
    STATE(6925), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [206888] = 21,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    STATE(3279), 1,
      sym_procedure,
    STATE(6381), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [206971] = 21,
    ACTIONS(157), 1,
      anon_sym_distinct,
    ACTIONS(771), 1,
      sym_identifier,
    ACTIONS(776), 1,
      anon_sym_proc,
    ACTIONS(781), 1,
      anon_sym_struct,
    ACTIONS(783), 1,
      anon_sym_enum,
    ACTIONS(785), 1,
      anon_sym_union,
    ACTIONS(791), 1,
      anon_sym_DOLLAR,
    ACTIONS(799), 1,
      anon_sym_DOT_DOT,
    ACTIONS(805), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(807), 1,
      anon_sym_map,
    ACTIONS(809), 1,
      anon_sym_bit_set,
    ACTIONS(811), 1,
      anon_sym_matrix,
    ACTIONS(8646), 1,
      anon_sym_LPAREN,
    ACTIONS(8648), 1,
      anon_sym_BANG,
    ACTIONS(8650), 1,
      anon_sym_LBRACK,
    ACTIONS(8652), 1,
      anon_sym_CARET,
    ACTIONS(8692), 1,
      sym_tag,
    STATE(695), 1,
      sym_procedure,
    STATE(713), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(705), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [207054] = 21,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    STATE(3279), 1,
      sym_procedure,
    STATE(3312), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [207137] = 21,
    ACTIONS(275), 1,
      anon_sym_distinct,
    ACTIONS(1331), 1,
      sym_identifier,
    ACTIONS(1333), 1,
      anon_sym_proc,
    ACTIONS(1335), 1,
      anon_sym_struct,
    ACTIONS(1337), 1,
      anon_sym_enum,
    ACTIONS(1339), 1,
      anon_sym_union,
    ACTIONS(1344), 1,
      anon_sym_DOLLAR,
    ACTIONS(1351), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1356), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1358), 1,
      anon_sym_map,
    ACTIONS(1360), 1,
      anon_sym_bit_set,
    ACTIONS(1362), 1,
      anon_sym_matrix,
    ACTIONS(1364), 1,
      sym_tag,
    ACTIONS(9236), 1,
      anon_sym_LPAREN,
    ACTIONS(9238), 1,
      anon_sym_BANG,
    ACTIONS(9240), 1,
      anon_sym_LBRACK,
    ACTIONS(9242), 1,
      anon_sym_CARET,
    STATE(2453), 1,
      sym_procedure,
    STATE(2504), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2497), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [207220] = 21,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    STATE(3279), 1,
      sym_procedure,
    STATE(7135), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [207303] = 21,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(8280), 1,
      anon_sym_proc,
    ACTIONS(8282), 1,
      anon_sym_DOLLAR,
    ACTIONS(8286), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8288), 1,
      anon_sym_CARET,
    ACTIONS(8290), 1,
      anon_sym_map,
    ACTIONS(8292), 1,
      anon_sym_matrix,
    ACTIONS(8294), 1,
      anon_sym_distinct,
    ACTIONS(8296), 1,
      sym_tag,
    ACTIONS(9260), 1,
      anon_sym_LBRACK,
    STATE(3279), 1,
      sym_procedure,
    STATE(6532), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [207386] = 21,
    ACTIONS(1867), 1,
      sym_identifier,
    ACTIONS(1871), 1,
      anon_sym_struct,
    ACTIONS(1873), 1,
      anon_sym_enum,
    ACTIONS(1875), 1,
      anon_sym_union,
    ACTIONS(1892), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1896), 1,
      anon_sym_bit_set,
    ACTIONS(8162), 1,
      anon_sym_proc,
    ACTIONS(8164), 1,
      anon_sym_DOLLAR,
    ACTIONS(8166), 1,
      anon_sym_BANG,
    ACTIONS(8168), 1,
      anon_sym_LBRACK,
    ACTIONS(8170), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8172), 1,
      anon_sym_CARET,
    ACTIONS(8174), 1,
      anon_sym_map,
    ACTIONS(8176), 1,
      anon_sym_matrix,
    ACTIONS(8178), 1,
      anon_sym_distinct,
    ACTIONS(8180), 1,
      sym_tag,
    ACTIONS(8321), 1,
      anon_sym_LPAREN,
    STATE(3458), 1,
      sym_procedure,
    STATE(7517), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3471), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [207469] = 21,
    ACTIONS(111), 1,
      anon_sym_distinct,
    ACTIONS(1141), 1,
      sym_identifier,
    ACTIONS(1143), 1,
      anon_sym_proc,
    ACTIONS(1145), 1,
      anon_sym_struct,
    ACTIONS(1147), 1,
      anon_sym_enum,
    ACTIONS(1149), 1,
      anon_sym_union,
    ACTIONS(1154), 1,
      anon_sym_DOLLAR,
    ACTIONS(1161), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1166), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1168), 1,
      anon_sym_map,
    ACTIONS(1170), 1,
      anon_sym_bit_set,
    ACTIONS(1172), 1,
      anon_sym_matrix,
    ACTIONS(1174), 1,
      sym_tag,
    ACTIONS(9262), 1,
      anon_sym_LPAREN,
    ACTIONS(9264), 1,
      anon_sym_BANG,
    ACTIONS(9266), 1,
      anon_sym_LBRACK,
    ACTIONS(9268), 1,
      anon_sym_CARET,
    STATE(2309), 1,
      sym_type,
    STATE(2350), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2262), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [207552] = 21,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    STATE(3279), 1,
      sym_procedure,
    STATE(7145), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [207635] = 21,
    ACTIONS(1627), 1,
      sym_identifier,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(7862), 1,
      anon_sym_proc,
    ACTIONS(7864), 1,
      anon_sym_DOLLAR,
    ACTIONS(7866), 1,
      anon_sym_LBRACK,
    ACTIONS(7868), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7870), 1,
      anon_sym_CARET,
    ACTIONS(7872), 1,
      anon_sym_map,
    ACTIONS(7874), 1,
      anon_sym_matrix,
    ACTIONS(7876), 1,
      anon_sym_distinct,
    ACTIONS(8548), 1,
      anon_sym_LPAREN,
    ACTIONS(8934), 1,
      sym_tag,
    STATE(2754), 1,
      sym_procedure,
    STATE(6360), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [207718] = 21,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    STATE(3279), 1,
      sym_procedure,
    STATE(7520), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [207801] = 21,
    ACTIONS(739), 1,
      anon_sym_distinct,
    ACTIONS(2563), 1,
      sym_identifier,
    ACTIONS(2565), 1,
      anon_sym_proc,
    ACTIONS(2567), 1,
      anon_sym_struct,
    ACTIONS(2569), 1,
      anon_sym_enum,
    ACTIONS(2571), 1,
      anon_sym_union,
    ACTIONS(2576), 1,
      anon_sym_DOLLAR,
    ACTIONS(2583), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2588), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2590), 1,
      anon_sym_map,
    ACTIONS(2592), 1,
      anon_sym_bit_set,
    ACTIONS(2594), 1,
      anon_sym_matrix,
    ACTIONS(2596), 1,
      sym_tag,
    ACTIONS(9178), 1,
      anon_sym_LPAREN,
    ACTIONS(9180), 1,
      anon_sym_BANG,
    ACTIONS(9182), 1,
      anon_sym_LBRACK,
    ACTIONS(9184), 1,
      anon_sym_CARET,
    STATE(4253), 1,
      sym_type,
    STATE(4270), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(4202), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [207884] = 21,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    STATE(3279), 1,
      sym_procedure,
    STATE(7070), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [207967] = 21,
    ACTIONS(1867), 1,
      sym_identifier,
    ACTIONS(1871), 1,
      anon_sym_struct,
    ACTIONS(1873), 1,
      anon_sym_enum,
    ACTIONS(1875), 1,
      anon_sym_union,
    ACTIONS(1892), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1896), 1,
      anon_sym_bit_set,
    ACTIONS(8162), 1,
      anon_sym_proc,
    ACTIONS(8164), 1,
      anon_sym_DOLLAR,
    ACTIONS(8166), 1,
      anon_sym_BANG,
    ACTIONS(8168), 1,
      anon_sym_LBRACK,
    ACTIONS(8170), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8172), 1,
      anon_sym_CARET,
    ACTIONS(8174), 1,
      anon_sym_map,
    ACTIONS(8176), 1,
      anon_sym_matrix,
    ACTIONS(8178), 1,
      anon_sym_distinct,
    ACTIONS(8180), 1,
      sym_tag,
    ACTIONS(8321), 1,
      anon_sym_LPAREN,
    STATE(3458), 1,
      sym_procedure,
    STATE(3498), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3471), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [208050] = 21,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(8258), 1,
      anon_sym_proc,
    ACTIONS(8260), 1,
      anon_sym_DOLLAR,
    ACTIONS(8262), 1,
      anon_sym_LBRACK,
    ACTIONS(8264), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8266), 1,
      anon_sym_CARET,
    ACTIONS(8268), 1,
      anon_sym_map,
    ACTIONS(8270), 1,
      anon_sym_matrix,
    ACTIONS(8272), 1,
      anon_sym_distinct,
    ACTIONS(8274), 1,
      sym_tag,
    STATE(3279), 1,
      sym_procedure,
    STATE(3281), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [208133] = 21,
    ACTIONS(979), 1,
      sym_identifier,
    ACTIONS(981), 1,
      anon_sym_proc,
    ACTIONS(983), 1,
      anon_sym_struct,
    ACTIONS(985), 1,
      anon_sym_enum,
    ACTIONS(987), 1,
      anon_sym_union,
    ACTIONS(992), 1,
      anon_sym_DOLLAR,
    ACTIONS(999), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1004), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1006), 1,
      anon_sym_map,
    ACTIONS(1008), 1,
      anon_sym_bit_set,
    ACTIONS(1010), 1,
      anon_sym_matrix,
    ACTIONS(1012), 1,
      anon_sym_distinct,
    ACTIONS(1014), 1,
      sym_tag,
    ACTIONS(9228), 1,
      anon_sym_LPAREN,
    ACTIONS(9230), 1,
      anon_sym_BANG,
    ACTIONS(9234), 1,
      anon_sym_CARET,
    ACTIONS(9270), 1,
      anon_sym_LBRACK,
    STATE(2044), 1,
      sym_procedure,
    STATE(2074), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2064), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [208216] = 21,
    ACTIONS(1037), 1,
      anon_sym_distinct,
    ACTIONS(1627), 1,
      sym_identifier,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(2664), 1,
      anon_sym_proc,
    ACTIONS(2666), 1,
      anon_sym_DOLLAR,
    ACTIONS(2671), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2676), 1,
      anon_sym_map,
    ACTIONS(2678), 1,
      anon_sym_matrix,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(8548), 1,
      anon_sym_LPAREN,
    ACTIONS(8550), 1,
      anon_sym_LBRACK,
    ACTIONS(8552), 1,
      anon_sym_CARET,
    ACTIONS(8562), 1,
      sym_tag,
    STATE(2754), 1,
      sym_procedure,
    STATE(2888), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [208299] = 21,
    ACTIONS(1867), 1,
      sym_identifier,
    ACTIONS(1871), 1,
      anon_sym_struct,
    ACTIONS(1873), 1,
      anon_sym_enum,
    ACTIONS(1875), 1,
      anon_sym_union,
    ACTIONS(1892), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1896), 1,
      anon_sym_bit_set,
    ACTIONS(8162), 1,
      anon_sym_proc,
    ACTIONS(8164), 1,
      anon_sym_DOLLAR,
    ACTIONS(8166), 1,
      anon_sym_BANG,
    ACTIONS(8170), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8172), 1,
      anon_sym_CARET,
    ACTIONS(8174), 1,
      anon_sym_map,
    ACTIONS(8176), 1,
      anon_sym_matrix,
    ACTIONS(8178), 1,
      anon_sym_distinct,
    ACTIONS(8180), 1,
      sym_tag,
    ACTIONS(8321), 1,
      anon_sym_LPAREN,
    ACTIONS(9272), 1,
      anon_sym_LBRACK,
    STATE(3458), 1,
      sym_procedure,
    STATE(6458), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3471), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [208382] = 21,
    ACTIONS(1037), 1,
      anon_sym_distinct,
    ACTIONS(1627), 1,
      sym_identifier,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(2664), 1,
      anon_sym_proc,
    ACTIONS(2666), 1,
      anon_sym_DOLLAR,
    ACTIONS(2671), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2676), 1,
      anon_sym_map,
    ACTIONS(2678), 1,
      anon_sym_matrix,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(8548), 1,
      anon_sym_LPAREN,
    ACTIONS(8550), 1,
      anon_sym_LBRACK,
    ACTIONS(8552), 1,
      anon_sym_CARET,
    ACTIONS(8562), 1,
      sym_tag,
    STATE(2754), 1,
      sym_procedure,
    STATE(4103), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [208465] = 21,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    STATE(3279), 1,
      sym_procedure,
    STATE(7072), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [208548] = 27,
    ACTIONS(8132), 1,
      anon_sym_DASH_GT,
    ACTIONS(8134), 1,
      anon_sym_PLUS,
    ACTIONS(8136), 1,
      anon_sym_DASH,
    ACTIONS(8138), 1,
      anon_sym_TILDE,
    ACTIONS(8140), 1,
      anon_sym_AMP,
    ACTIONS(8142), 1,
      anon_sym_PIPE,
    ACTIONS(8144), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8152), 1,
      anon_sym_DOT,
    ACTIONS(8154), 1,
      anon_sym_LBRACK,
    ACTIONS(8194), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8202), 1,
      anon_sym_or_return,
    ACTIONS(8204), 1,
      anon_sym_or_continue,
    ACTIONS(8206), 1,
      anon_sym_or_break,
    ACTIONS(8208), 1,
      anon_sym_CARET,
    ACTIONS(9274), 1,
      anon_sym_COMMA,
    STATE(6974), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(8146), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8148), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8150), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8156), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8190), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(8192), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(8196), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8198), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8446), 2,
      anon_sym_LBRACE,
      anon_sym_do,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8200), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [208643] = 21,
    ACTIONS(979), 1,
      sym_identifier,
    ACTIONS(981), 1,
      anon_sym_proc,
    ACTIONS(983), 1,
      anon_sym_struct,
    ACTIONS(985), 1,
      anon_sym_enum,
    ACTIONS(987), 1,
      anon_sym_union,
    ACTIONS(992), 1,
      anon_sym_DOLLAR,
    ACTIONS(999), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1004), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1006), 1,
      anon_sym_map,
    ACTIONS(1008), 1,
      anon_sym_bit_set,
    ACTIONS(1010), 1,
      anon_sym_matrix,
    ACTIONS(1012), 1,
      anon_sym_distinct,
    ACTIONS(1014), 1,
      sym_tag,
    ACTIONS(9228), 1,
      anon_sym_LPAREN,
    ACTIONS(9230), 1,
      anon_sym_BANG,
    ACTIONS(9232), 1,
      anon_sym_LBRACK,
    ACTIONS(9234), 1,
      anon_sym_CARET,
    STATE(2044), 1,
      sym_procedure,
    STATE(2232), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2064), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [208726] = 21,
    ACTIONS(477), 1,
      anon_sym_distinct,
    ACTIONS(1675), 1,
      sym_identifier,
    ACTIONS(1677), 1,
      anon_sym_proc,
    ACTIONS(1679), 1,
      anon_sym_struct,
    ACTIONS(1681), 1,
      anon_sym_enum,
    ACTIONS(1683), 1,
      anon_sym_union,
    ACTIONS(1688), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1700), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1702), 1,
      anon_sym_map,
    ACTIONS(1704), 1,
      anon_sym_bit_set,
    ACTIONS(1706), 1,
      anon_sym_matrix,
    ACTIONS(7291), 1,
      anon_sym_BANG,
    ACTIONS(8668), 1,
      anon_sym_LPAREN,
    ACTIONS(8682), 1,
      anon_sym_CARET,
    ACTIONS(8684), 1,
      sym_tag,
    ACTIONS(8718), 1,
      anon_sym_LBRACK,
    STATE(3111), 1,
      sym_type,
    STATE(3172), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3208), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [208809] = 21,
    ACTIONS(1867), 1,
      sym_identifier,
    ACTIONS(1871), 1,
      anon_sym_struct,
    ACTIONS(1873), 1,
      anon_sym_enum,
    ACTIONS(1875), 1,
      anon_sym_union,
    ACTIONS(1892), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1896), 1,
      anon_sym_bit_set,
    ACTIONS(8162), 1,
      anon_sym_proc,
    ACTIONS(8164), 1,
      anon_sym_DOLLAR,
    ACTIONS(8166), 1,
      anon_sym_BANG,
    ACTIONS(8168), 1,
      anon_sym_LBRACK,
    ACTIONS(8170), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8172), 1,
      anon_sym_CARET,
    ACTIONS(8174), 1,
      anon_sym_map,
    ACTIONS(8176), 1,
      anon_sym_matrix,
    ACTIONS(8178), 1,
      anon_sym_distinct,
    ACTIONS(8180), 1,
      sym_tag,
    ACTIONS(8321), 1,
      anon_sym_LPAREN,
    STATE(3458), 1,
      sym_procedure,
    STATE(6474), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3471), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [208892] = 21,
    ACTIONS(47), 1,
      anon_sym_distinct,
    ACTIONS(2241), 1,
      sym_identifier,
    ACTIONS(2243), 1,
      anon_sym_proc,
    ACTIONS(2245), 1,
      anon_sym_struct,
    ACTIONS(2247), 1,
      anon_sym_enum,
    ACTIONS(2249), 1,
      anon_sym_union,
    ACTIONS(2254), 1,
      anon_sym_DOLLAR,
    ACTIONS(2261), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2266), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2268), 1,
      anon_sym_map,
    ACTIONS(2270), 1,
      anon_sym_bit_set,
    ACTIONS(2272), 1,
      anon_sym_matrix,
    ACTIONS(2274), 1,
      sym_tag,
    ACTIONS(7576), 1,
      anon_sym_BANG,
    ACTIONS(7887), 1,
      anon_sym_LPAREN,
    ACTIONS(9276), 1,
      anon_sym_LBRACK,
    ACTIONS(9278), 1,
      anon_sym_CARET,
    STATE(3705), 1,
      sym_procedure,
    STATE(3834), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3649), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [208975] = 21,
    ACTIONS(1037), 1,
      anon_sym_distinct,
    ACTIONS(1627), 1,
      sym_identifier,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(2664), 1,
      anon_sym_proc,
    ACTIONS(2666), 1,
      anon_sym_DOLLAR,
    ACTIONS(2671), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2676), 1,
      anon_sym_map,
    ACTIONS(2678), 1,
      anon_sym_matrix,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(8548), 1,
      anon_sym_LPAREN,
    ACTIONS(8550), 1,
      anon_sym_LBRACK,
    ACTIONS(8552), 1,
      anon_sym_CARET,
    ACTIONS(8562), 1,
      sym_tag,
    STATE(2754), 1,
      sym_procedure,
    STATE(4108), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [209058] = 21,
    ACTIONS(223), 1,
      anon_sym_distinct,
    ACTIONS(1105), 1,
      sym_identifier,
    ACTIONS(1107), 1,
      anon_sym_proc,
    ACTIONS(1109), 1,
      anon_sym_struct,
    ACTIONS(1111), 1,
      anon_sym_enum,
    ACTIONS(1113), 1,
      anon_sym_union,
    ACTIONS(1118), 1,
      anon_sym_DOLLAR,
    ACTIONS(1125), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1130), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1132), 1,
      anon_sym_map,
    ACTIONS(1134), 1,
      anon_sym_bit_set,
    ACTIONS(1136), 1,
      anon_sym_matrix,
    ACTIONS(8526), 1,
      anon_sym_LPAREN,
    ACTIONS(8528), 1,
      anon_sym_BANG,
    ACTIONS(8530), 1,
      anon_sym_LBRACK,
    ACTIONS(8532), 1,
      anon_sym_CARET,
    ACTIONS(8534), 1,
      sym_tag,
    STATE(2168), 1,
      sym_type,
    STATE(2175), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2177), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [209141] = 21,
    ACTIONS(2403), 1,
      sym_identifier,
    ACTIONS(2405), 1,
      anon_sym_proc,
    ACTIONS(2407), 1,
      anon_sym_struct,
    ACTIONS(2409), 1,
      anon_sym_enum,
    ACTIONS(2411), 1,
      anon_sym_union,
    ACTIONS(2416), 1,
      anon_sym_DOLLAR,
    ACTIONS(2423), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2428), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2430), 1,
      anon_sym_map,
    ACTIONS(2432), 1,
      anon_sym_bit_set,
    ACTIONS(2434), 1,
      anon_sym_matrix,
    ACTIONS(2436), 1,
      anon_sym_distinct,
    ACTIONS(2438), 1,
      sym_tag,
    ACTIONS(9210), 1,
      anon_sym_LPAREN,
    ACTIONS(9212), 1,
      anon_sym_BANG,
    ACTIONS(9214), 1,
      anon_sym_LBRACK,
    ACTIONS(9216), 1,
      anon_sym_CARET,
    STATE(4086), 1,
      sym_type,
    STATE(4119), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(4042), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [209224] = 21,
    ACTIONS(1627), 1,
      sym_identifier,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(7442), 1,
      anon_sym_proc,
    ACTIONS(7444), 1,
      anon_sym_DOLLAR,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(7448), 1,
      anon_sym_LBRACK,
    ACTIONS(7450), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7452), 1,
      anon_sym_CARET,
    ACTIONS(7454), 1,
      anon_sym_map,
    ACTIONS(7456), 1,
      anon_sym_matrix,
    ACTIONS(7458), 1,
      anon_sym_distinct,
    ACTIONS(8548), 1,
      anon_sym_LPAREN,
    ACTIONS(8844), 1,
      sym_tag,
    STATE(2671), 1,
      sym_type,
    STATE(2754), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [209307] = 21,
    ACTIONS(1627), 1,
      sym_identifier,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(7442), 1,
      anon_sym_proc,
    ACTIONS(7444), 1,
      anon_sym_DOLLAR,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(7448), 1,
      anon_sym_LBRACK,
    ACTIONS(7450), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7452), 1,
      anon_sym_CARET,
    ACTIONS(7454), 1,
      anon_sym_map,
    ACTIONS(7456), 1,
      anon_sym_matrix,
    ACTIONS(7458), 1,
      anon_sym_distinct,
    ACTIONS(8548), 1,
      anon_sym_LPAREN,
    ACTIONS(9280), 1,
      sym_tag,
    STATE(2754), 1,
      sym_procedure,
    STATE(6244), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [209390] = 21,
    ACTIONS(1037), 1,
      anon_sym_distinct,
    ACTIONS(1627), 1,
      sym_identifier,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(2664), 1,
      anon_sym_proc,
    ACTIONS(2666), 1,
      anon_sym_DOLLAR,
    ACTIONS(2671), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2676), 1,
      anon_sym_map,
    ACTIONS(2678), 1,
      anon_sym_matrix,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(8548), 1,
      anon_sym_LPAREN,
    ACTIONS(8552), 1,
      anon_sym_CARET,
    ACTIONS(8560), 1,
      anon_sym_LBRACK,
    ACTIONS(8562), 1,
      sym_tag,
    STATE(2754), 1,
      sym_procedure,
    STATE(4110), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [209473] = 21,
    ACTIONS(1627), 1,
      sym_identifier,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(7862), 1,
      anon_sym_proc,
    ACTIONS(7864), 1,
      anon_sym_DOLLAR,
    ACTIONS(7866), 1,
      anon_sym_LBRACK,
    ACTIONS(7868), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7870), 1,
      anon_sym_CARET,
    ACTIONS(7872), 1,
      anon_sym_map,
    ACTIONS(7874), 1,
      anon_sym_matrix,
    ACTIONS(7876), 1,
      anon_sym_distinct,
    ACTIONS(8548), 1,
      anon_sym_LPAREN,
    ACTIONS(8934), 1,
      sym_tag,
    STATE(2754), 1,
      sym_procedure,
    STATE(6371), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [209556] = 21,
    ACTIONS(585), 1,
      anon_sym_proc,
    ACTIONS(2241), 1,
      sym_identifier,
    ACTIONS(2245), 1,
      anon_sym_struct,
    ACTIONS(2247), 1,
      anon_sym_enum,
    ACTIONS(2249), 1,
      anon_sym_union,
    ACTIONS(2266), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2270), 1,
      anon_sym_bit_set,
    ACTIONS(7574), 1,
      anon_sym_DOLLAR,
    ACTIONS(7576), 1,
      anon_sym_BANG,
    ACTIONS(7578), 1,
      anon_sym_LBRACK,
    ACTIONS(7580), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7582), 1,
      anon_sym_CARET,
    ACTIONS(7584), 1,
      anon_sym_map,
    ACTIONS(7586), 1,
      anon_sym_matrix,
    ACTIONS(7588), 1,
      anon_sym_distinct,
    ACTIONS(7590), 1,
      sym_tag,
    ACTIONS(7887), 1,
      anon_sym_LPAREN,
    STATE(3619), 1,
      sym_type,
    STATE(3705), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3649), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [209639] = 21,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    STATE(3279), 1,
      sym_procedure,
    STATE(6757), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [209722] = 21,
    ACTIONS(1627), 1,
      sym_identifier,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(7862), 1,
      anon_sym_proc,
    ACTIONS(7864), 1,
      anon_sym_DOLLAR,
    ACTIONS(7866), 1,
      anon_sym_LBRACK,
    ACTIONS(7868), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7870), 1,
      anon_sym_CARET,
    ACTIONS(7872), 1,
      anon_sym_map,
    ACTIONS(7874), 1,
      anon_sym_matrix,
    ACTIONS(7876), 1,
      anon_sym_distinct,
    ACTIONS(8548), 1,
      anon_sym_LPAREN,
    ACTIONS(9282), 1,
      sym_tag,
    STATE(2754), 1,
      sym_procedure,
    STATE(6375), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [209805] = 6,
    ACTIONS(7279), 1,
      anon_sym_LPAREN,
    ACTIONS(7683), 1,
      anon_sym_QMARK,
    ACTIONS(7681), 2,
      anon_sym_if,
      anon_sym_when,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(67), 24,
      anon_sym_DASH_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [209858] = 28,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9284), 1,
      anon_sym_COMMA,
    ACTIONS(9286), 1,
      anon_sym_EQ,
    ACTIONS(9288), 1,
      anon_sym_RPAREN,
    STATE(7710), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [209955] = 21,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    STATE(3279), 1,
      sym_procedure,
    STATE(7744), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [210038] = 21,
    ACTIONS(1965), 1,
      sym_identifier,
    ACTIONS(1967), 1,
      anon_sym_proc,
    ACTIONS(1969), 1,
      anon_sym_struct,
    ACTIONS(1971), 1,
      anon_sym_enum,
    ACTIONS(1973), 1,
      anon_sym_union,
    ACTIONS(1978), 1,
      anon_sym_DOLLAR,
    ACTIONS(1985), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1990), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1992), 1,
      anon_sym_map,
    ACTIONS(1994), 1,
      anon_sym_bit_set,
    ACTIONS(1996), 1,
      anon_sym_matrix,
    ACTIONS(1998), 1,
      anon_sym_distinct,
    ACTIONS(2000), 1,
      sym_tag,
    ACTIONS(7735), 1,
      anon_sym_BANG,
    ACTIONS(8065), 1,
      anon_sym_LPAREN,
    ACTIONS(9290), 1,
      anon_sym_LBRACK,
    ACTIONS(9292), 1,
      anon_sym_CARET,
    STATE(3684), 1,
      sym_procedure,
    STATE(3693), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3686), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [210121] = 21,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    STATE(3279), 1,
      sym_procedure,
    STATE(7154), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [210204] = 21,
    ACTIONS(1627), 1,
      sym_identifier,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(7862), 1,
      anon_sym_proc,
    ACTIONS(7864), 1,
      anon_sym_DOLLAR,
    ACTIONS(7866), 1,
      anon_sym_LBRACK,
    ACTIONS(7868), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7870), 1,
      anon_sym_CARET,
    ACTIONS(7872), 1,
      anon_sym_map,
    ACTIONS(7874), 1,
      anon_sym_matrix,
    ACTIONS(7876), 1,
      anon_sym_distinct,
    ACTIONS(8548), 1,
      anon_sym_LPAREN,
    ACTIONS(8934), 1,
      sym_tag,
    STATE(2671), 1,
      sym_type,
    STATE(2754), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [210287] = 21,
    ACTIONS(1867), 1,
      sym_identifier,
    ACTIONS(1871), 1,
      anon_sym_struct,
    ACTIONS(1873), 1,
      anon_sym_enum,
    ACTIONS(1875), 1,
      anon_sym_union,
    ACTIONS(1892), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1896), 1,
      anon_sym_bit_set,
    ACTIONS(8162), 1,
      anon_sym_proc,
    ACTIONS(8164), 1,
      anon_sym_DOLLAR,
    ACTIONS(8166), 1,
      anon_sym_BANG,
    ACTIONS(8168), 1,
      anon_sym_LBRACK,
    ACTIONS(8170), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8172), 1,
      anon_sym_CARET,
    ACTIONS(8174), 1,
      anon_sym_map,
    ACTIONS(8176), 1,
      anon_sym_matrix,
    ACTIONS(8178), 1,
      anon_sym_distinct,
    ACTIONS(8180), 1,
      sym_tag,
    ACTIONS(8321), 1,
      anon_sym_LPAREN,
    STATE(3458), 1,
      sym_procedure,
    STATE(6468), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3471), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [210370] = 21,
    ACTIONS(157), 1,
      anon_sym_distinct,
    ACTIONS(771), 1,
      sym_identifier,
    ACTIONS(776), 1,
      anon_sym_proc,
    ACTIONS(781), 1,
      anon_sym_struct,
    ACTIONS(783), 1,
      anon_sym_enum,
    ACTIONS(785), 1,
      anon_sym_union,
    ACTIONS(791), 1,
      anon_sym_DOLLAR,
    ACTIONS(799), 1,
      anon_sym_DOT_DOT,
    ACTIONS(805), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(807), 1,
      anon_sym_map,
    ACTIONS(809), 1,
      anon_sym_bit_set,
    ACTIONS(811), 1,
      anon_sym_matrix,
    ACTIONS(8646), 1,
      anon_sym_LPAREN,
    ACTIONS(8648), 1,
      anon_sym_BANG,
    ACTIONS(8650), 1,
      anon_sym_LBRACK,
    ACTIONS(8652), 1,
      anon_sym_CARET,
    ACTIONS(8692), 1,
      sym_tag,
    STATE(695), 1,
      sym_procedure,
    STATE(728), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(705), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [210453] = 21,
    ACTIONS(585), 1,
      anon_sym_proc,
    ACTIONS(2241), 1,
      sym_identifier,
    ACTIONS(2245), 1,
      anon_sym_struct,
    ACTIONS(2247), 1,
      anon_sym_enum,
    ACTIONS(2249), 1,
      anon_sym_union,
    ACTIONS(2266), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2270), 1,
      anon_sym_bit_set,
    ACTIONS(7574), 1,
      anon_sym_DOLLAR,
    ACTIONS(7576), 1,
      anon_sym_BANG,
    ACTIONS(7578), 1,
      anon_sym_LBRACK,
    ACTIONS(7580), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7582), 1,
      anon_sym_CARET,
    ACTIONS(7584), 1,
      anon_sym_map,
    ACTIONS(7586), 1,
      anon_sym_matrix,
    ACTIONS(7588), 1,
      anon_sym_distinct,
    ACTIONS(7887), 1,
      anon_sym_LPAREN,
    ACTIONS(9294), 1,
      sym_tag,
    STATE(3705), 1,
      sym_procedure,
    STATE(6376), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3649), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [210536] = 21,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    STATE(3279), 1,
      sym_procedure,
    STATE(6674), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [210619] = 21,
    ACTIONS(325), 1,
      anon_sym_distinct,
    ACTIONS(1441), 1,
      sym_identifier,
    ACTIONS(1443), 1,
      anon_sym_proc,
    ACTIONS(1445), 1,
      anon_sym_struct,
    ACTIONS(1447), 1,
      anon_sym_enum,
    ACTIONS(1449), 1,
      anon_sym_union,
    ACTIONS(1455), 1,
      anon_sym_DOLLAR,
    ACTIONS(1463), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1469), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1471), 1,
      anon_sym_map,
    ACTIONS(1473), 1,
      anon_sym_bit_set,
    ACTIONS(1475), 1,
      anon_sym_matrix,
    ACTIONS(1477), 1,
      sym_tag,
    ACTIONS(9296), 1,
      anon_sym_LPAREN,
    ACTIONS(9298), 1,
      anon_sym_BANG,
    ACTIONS(9300), 1,
      anon_sym_LBRACK,
    ACTIONS(9302), 1,
      anon_sym_CARET,
    STATE(2675), 1,
      sym_procedure,
    STATE(2840), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2697), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [210702] = 21,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    STATE(3279), 1,
      sym_procedure,
    STATE(7335), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [210785] = 21,
    ACTIONS(585), 1,
      anon_sym_proc,
    ACTIONS(2241), 1,
      sym_identifier,
    ACTIONS(2245), 1,
      anon_sym_struct,
    ACTIONS(2247), 1,
      anon_sym_enum,
    ACTIONS(2249), 1,
      anon_sym_union,
    ACTIONS(2266), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2270), 1,
      anon_sym_bit_set,
    ACTIONS(7574), 1,
      anon_sym_DOLLAR,
    ACTIONS(7576), 1,
      anon_sym_BANG,
    ACTIONS(7578), 1,
      anon_sym_LBRACK,
    ACTIONS(7580), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7582), 1,
      anon_sym_CARET,
    ACTIONS(7584), 1,
      anon_sym_map,
    ACTIONS(7586), 1,
      anon_sym_matrix,
    ACTIONS(7588), 1,
      anon_sym_distinct,
    ACTIONS(7590), 1,
      sym_tag,
    ACTIONS(7887), 1,
      anon_sym_LPAREN,
    STATE(3705), 1,
      sym_procedure,
    STATE(6356), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3649), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [210868] = 21,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    STATE(3279), 1,
      sym_procedure,
    STATE(7613), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [210951] = 21,
    ACTIONS(1037), 1,
      anon_sym_distinct,
    ACTIONS(1627), 1,
      sym_identifier,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(2664), 1,
      anon_sym_proc,
    ACTIONS(2666), 1,
      anon_sym_DOLLAR,
    ACTIONS(2671), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2676), 1,
      anon_sym_map,
    ACTIONS(2678), 1,
      anon_sym_matrix,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(8548), 1,
      anon_sym_LPAREN,
    ACTIONS(8550), 1,
      anon_sym_LBRACK,
    ACTIONS(8552), 1,
      anon_sym_CARET,
    ACTIONS(8562), 1,
      sym_tag,
    STATE(2695), 1,
      sym_type,
    STATE(2754), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [211034] = 21,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(8258), 1,
      anon_sym_proc,
    ACTIONS(8260), 1,
      anon_sym_DOLLAR,
    ACTIONS(8262), 1,
      anon_sym_LBRACK,
    ACTIONS(8264), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8266), 1,
      anon_sym_CARET,
    ACTIONS(8268), 1,
      anon_sym_map,
    ACTIONS(8270), 1,
      anon_sym_matrix,
    ACTIONS(8272), 1,
      anon_sym_distinct,
    ACTIONS(8274), 1,
      sym_tag,
    STATE(3279), 1,
      sym_procedure,
    STATE(3290), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [211117] = 21,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(8258), 1,
      anon_sym_proc,
    ACTIONS(8260), 1,
      anon_sym_DOLLAR,
    ACTIONS(8264), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8266), 1,
      anon_sym_CARET,
    ACTIONS(8268), 1,
      anon_sym_map,
    ACTIONS(8270), 1,
      anon_sym_matrix,
    ACTIONS(8272), 1,
      anon_sym_distinct,
    ACTIONS(8274), 1,
      sym_tag,
    ACTIONS(9304), 1,
      anon_sym_LBRACK,
    STATE(3279), 1,
      sym_procedure,
    STATE(6766), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [211200] = 21,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(8258), 1,
      anon_sym_proc,
    ACTIONS(8260), 1,
      anon_sym_DOLLAR,
    ACTIONS(8262), 1,
      anon_sym_LBRACK,
    ACTIONS(8264), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8266), 1,
      anon_sym_CARET,
    ACTIONS(8268), 1,
      anon_sym_map,
    ACTIONS(8270), 1,
      anon_sym_matrix,
    ACTIONS(8272), 1,
      anon_sym_distinct,
    ACTIONS(8274), 1,
      sym_tag,
    STATE(3279), 1,
      sym_procedure,
    STATE(6752), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [211283] = 21,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(8258), 1,
      anon_sym_proc,
    ACTIONS(8260), 1,
      anon_sym_DOLLAR,
    ACTIONS(8262), 1,
      anon_sym_LBRACK,
    ACTIONS(8264), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8266), 1,
      anon_sym_CARET,
    ACTIONS(8268), 1,
      anon_sym_map,
    ACTIONS(8270), 1,
      anon_sym_matrix,
    ACTIONS(8272), 1,
      anon_sym_distinct,
    ACTIONS(8274), 1,
      sym_tag,
    STATE(3279), 1,
      sym_procedure,
    STATE(6753), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [211366] = 21,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(8258), 1,
      anon_sym_proc,
    ACTIONS(8260), 1,
      anon_sym_DOLLAR,
    ACTIONS(8262), 1,
      anon_sym_LBRACK,
    ACTIONS(8264), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8266), 1,
      anon_sym_CARET,
    ACTIONS(8268), 1,
      anon_sym_map,
    ACTIONS(8270), 1,
      anon_sym_matrix,
    ACTIONS(8272), 1,
      anon_sym_distinct,
    ACTIONS(8274), 1,
      sym_tag,
    STATE(3279), 1,
      sym_procedure,
    STATE(3312), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [211449] = 21,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(8258), 1,
      anon_sym_proc,
    ACTIONS(8260), 1,
      anon_sym_DOLLAR,
    ACTIONS(8262), 1,
      anon_sym_LBRACK,
    ACTIONS(8264), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8266), 1,
      anon_sym_CARET,
    ACTIONS(8268), 1,
      anon_sym_map,
    ACTIONS(8270), 1,
      anon_sym_matrix,
    ACTIONS(8272), 1,
      anon_sym_distinct,
    ACTIONS(9306), 1,
      sym_tag,
    STATE(3279), 1,
      sym_procedure,
    STATE(6764), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [211532] = 21,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(8258), 1,
      anon_sym_proc,
    ACTIONS(8260), 1,
      anon_sym_DOLLAR,
    ACTIONS(8262), 1,
      anon_sym_LBRACK,
    ACTIONS(8264), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8266), 1,
      anon_sym_CARET,
    ACTIONS(8268), 1,
      anon_sym_map,
    ACTIONS(8270), 1,
      anon_sym_matrix,
    ACTIONS(8272), 1,
      anon_sym_distinct,
    ACTIONS(8274), 1,
      sym_tag,
    STATE(3279), 1,
      sym_procedure,
    STATE(6765), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [211615] = 21,
    ACTIONS(1037), 1,
      anon_sym_distinct,
    ACTIONS(1627), 1,
      sym_identifier,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(2664), 1,
      anon_sym_proc,
    ACTIONS(2666), 1,
      anon_sym_DOLLAR,
    ACTIONS(2671), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2676), 1,
      anon_sym_map,
    ACTIONS(2678), 1,
      anon_sym_matrix,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(8548), 1,
      anon_sym_LPAREN,
    ACTIONS(8550), 1,
      anon_sym_LBRACK,
    ACTIONS(8552), 1,
      anon_sym_CARET,
    ACTIONS(8562), 1,
      sym_tag,
    STATE(2754), 1,
      sym_procedure,
    STATE(4095), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [211698] = 21,
    ACTIONS(1037), 1,
      anon_sym_distinct,
    ACTIONS(1627), 1,
      sym_identifier,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(2664), 1,
      anon_sym_proc,
    ACTIONS(2666), 1,
      anon_sym_DOLLAR,
    ACTIONS(2671), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2676), 1,
      anon_sym_map,
    ACTIONS(2678), 1,
      anon_sym_matrix,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(8548), 1,
      anon_sym_LPAREN,
    ACTIONS(8550), 1,
      anon_sym_LBRACK,
    ACTIONS(8552), 1,
      anon_sym_CARET,
    ACTIONS(8562), 1,
      sym_tag,
    STATE(2754), 1,
      sym_procedure,
    STATE(4096), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [211781] = 21,
    ACTIONS(1037), 1,
      anon_sym_distinct,
    ACTIONS(1627), 1,
      sym_identifier,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(2664), 1,
      anon_sym_proc,
    ACTIONS(2666), 1,
      anon_sym_DOLLAR,
    ACTIONS(2671), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2676), 1,
      anon_sym_map,
    ACTIONS(2678), 1,
      anon_sym_matrix,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(8548), 1,
      anon_sym_LPAREN,
    ACTIONS(8550), 1,
      anon_sym_LBRACK,
    ACTIONS(8552), 1,
      anon_sym_CARET,
    ACTIONS(9308), 1,
      sym_tag,
    STATE(2754), 1,
      sym_procedure,
    STATE(4109), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [211864] = 21,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    STATE(3279), 1,
      sym_procedure,
    STATE(7339), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [211947] = 27,
    ACTIONS(8132), 1,
      anon_sym_DASH_GT,
    ACTIONS(8134), 1,
      anon_sym_PLUS,
    ACTIONS(8136), 1,
      anon_sym_DASH,
    ACTIONS(8138), 1,
      anon_sym_TILDE,
    ACTIONS(8140), 1,
      anon_sym_AMP,
    ACTIONS(8142), 1,
      anon_sym_PIPE,
    ACTIONS(8144), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8152), 1,
      anon_sym_DOT,
    ACTIONS(8154), 1,
      anon_sym_LBRACK,
    ACTIONS(8194), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8202), 1,
      anon_sym_or_return,
    ACTIONS(8204), 1,
      anon_sym_or_continue,
    ACTIONS(8206), 1,
      anon_sym_or_break,
    ACTIONS(8208), 1,
      anon_sym_CARET,
    ACTIONS(9274), 1,
      anon_sym_COMMA,
    STATE(7040), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(8146), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8148), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8150), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8156), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8190), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(8192), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(8196), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8198), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8420), 2,
      anon_sym_LBRACE,
      anon_sym_do,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8200), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [212042] = 21,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    STATE(3279), 1,
      sym_procedure,
    STATE(7289), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [212125] = 21,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    STATE(3279), 1,
      sym_procedure,
    STATE(7382), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [212208] = 6,
    ACTIONS(7683), 1,
      anon_sym_QMARK,
    ACTIONS(7922), 1,
      anon_sym_LPAREN,
    ACTIONS(7681), 2,
      anon_sym_if,
      anon_sym_when,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(67), 24,
      anon_sym_DASH_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [212261] = 21,
    ACTIONS(325), 1,
      anon_sym_distinct,
    ACTIONS(1441), 1,
      sym_identifier,
    ACTIONS(1443), 1,
      anon_sym_proc,
    ACTIONS(1445), 1,
      anon_sym_struct,
    ACTIONS(1447), 1,
      anon_sym_enum,
    ACTIONS(1449), 1,
      anon_sym_union,
    ACTIONS(1455), 1,
      anon_sym_DOLLAR,
    ACTIONS(1463), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1469), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1471), 1,
      anon_sym_map,
    ACTIONS(1473), 1,
      anon_sym_bit_set,
    ACTIONS(1475), 1,
      anon_sym_matrix,
    ACTIONS(1477), 1,
      sym_tag,
    ACTIONS(9296), 1,
      anon_sym_LPAREN,
    ACTIONS(9298), 1,
      anon_sym_BANG,
    ACTIONS(9300), 1,
      anon_sym_LBRACK,
    ACTIONS(9302), 1,
      anon_sym_CARET,
    STATE(2675), 1,
      sym_procedure,
    STATE(2705), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2697), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [212344] = 21,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    STATE(3279), 1,
      sym_procedure,
    STATE(7350), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [212427] = 21,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    STATE(3279), 1,
      sym_procedure,
    STATE(7191), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [212510] = 28,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9310), 1,
      anon_sym_COMMA,
    ACTIONS(9312), 1,
      anon_sym_EQ,
    ACTIONS(9314), 1,
      anon_sym_RPAREN,
    STATE(7126), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [212607] = 21,
    ACTIONS(739), 1,
      anon_sym_distinct,
    ACTIONS(2563), 1,
      sym_identifier,
    ACTIONS(2565), 1,
      anon_sym_proc,
    ACTIONS(2567), 1,
      anon_sym_struct,
    ACTIONS(2569), 1,
      anon_sym_enum,
    ACTIONS(2571), 1,
      anon_sym_union,
    ACTIONS(2576), 1,
      anon_sym_DOLLAR,
    ACTIONS(2583), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2588), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2590), 1,
      anon_sym_map,
    ACTIONS(2592), 1,
      anon_sym_bit_set,
    ACTIONS(2594), 1,
      anon_sym_matrix,
    ACTIONS(9178), 1,
      anon_sym_LPAREN,
    ACTIONS(9180), 1,
      anon_sym_BANG,
    ACTIONS(9182), 1,
      anon_sym_LBRACK,
    ACTIONS(9184), 1,
      anon_sym_CARET,
    ACTIONS(9316), 1,
      sym_tag,
    STATE(4270), 1,
      sym_procedure,
    STATE(4295), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(4202), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [212690] = 21,
    ACTIONS(1867), 1,
      sym_identifier,
    ACTIONS(1871), 1,
      anon_sym_struct,
    ACTIONS(1873), 1,
      anon_sym_enum,
    ACTIONS(1875), 1,
      anon_sym_union,
    ACTIONS(1892), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1896), 1,
      anon_sym_bit_set,
    ACTIONS(8162), 1,
      anon_sym_proc,
    ACTIONS(8164), 1,
      anon_sym_DOLLAR,
    ACTIONS(8166), 1,
      anon_sym_BANG,
    ACTIONS(8168), 1,
      anon_sym_LBRACK,
    ACTIONS(8170), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8172), 1,
      anon_sym_CARET,
    ACTIONS(8174), 1,
      anon_sym_map,
    ACTIONS(8176), 1,
      anon_sym_matrix,
    ACTIONS(8178), 1,
      anon_sym_distinct,
    ACTIONS(8180), 1,
      sym_tag,
    ACTIONS(8321), 1,
      anon_sym_LPAREN,
    STATE(3458), 1,
      sym_procedure,
    STATE(7529), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3471), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [212773] = 21,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    STATE(3279), 1,
      sym_procedure,
    STATE(7532), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [212856] = 21,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    STATE(3279), 1,
      sym_procedure,
    STATE(6848), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [212939] = 21,
    ACTIONS(1867), 1,
      sym_identifier,
    ACTIONS(1871), 1,
      anon_sym_struct,
    ACTIONS(1873), 1,
      anon_sym_enum,
    ACTIONS(1875), 1,
      anon_sym_union,
    ACTIONS(1892), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1896), 1,
      anon_sym_bit_set,
    ACTIONS(8162), 1,
      anon_sym_proc,
    ACTIONS(8164), 1,
      anon_sym_DOLLAR,
    ACTIONS(8166), 1,
      anon_sym_BANG,
    ACTIONS(8168), 1,
      anon_sym_LBRACK,
    ACTIONS(8170), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8172), 1,
      anon_sym_CARET,
    ACTIONS(8174), 1,
      anon_sym_map,
    ACTIONS(8176), 1,
      anon_sym_matrix,
    ACTIONS(8178), 1,
      anon_sym_distinct,
    ACTIONS(8180), 1,
      sym_tag,
    ACTIONS(8321), 1,
      anon_sym_LPAREN,
    STATE(3458), 1,
      sym_procedure,
    STATE(3538), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3471), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [213022] = 21,
    ACTIONS(275), 1,
      anon_sym_distinct,
    ACTIONS(1331), 1,
      sym_identifier,
    ACTIONS(1333), 1,
      anon_sym_proc,
    ACTIONS(1335), 1,
      anon_sym_struct,
    ACTIONS(1337), 1,
      anon_sym_enum,
    ACTIONS(1339), 1,
      anon_sym_union,
    ACTIONS(1344), 1,
      anon_sym_DOLLAR,
    ACTIONS(1351), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1356), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1358), 1,
      anon_sym_map,
    ACTIONS(1360), 1,
      anon_sym_bit_set,
    ACTIONS(1362), 1,
      anon_sym_matrix,
    ACTIONS(1364), 1,
      sym_tag,
    ACTIONS(9236), 1,
      anon_sym_LPAREN,
    ACTIONS(9238), 1,
      anon_sym_BANG,
    ACTIONS(9240), 1,
      anon_sym_LBRACK,
    ACTIONS(9242), 1,
      anon_sym_CARET,
    STATE(2453), 1,
      sym_procedure,
    STATE(2560), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2497), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [213105] = 21,
    ACTIONS(2014), 1,
      sym_identifier,
    ACTIONS(2018), 1,
      anon_sym_struct,
    ACTIONS(2020), 1,
      anon_sym_enum,
    ACTIONS(2022), 1,
      anon_sym_union,
    ACTIONS(2042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2046), 1,
      anon_sym_bit_set,
    ACTIONS(7394), 1,
      anon_sym_proc,
    ACTIONS(7396), 1,
      anon_sym_DOLLAR,
    ACTIONS(7398), 1,
      anon_sym_BANG,
    ACTIONS(7400), 1,
      anon_sym_LBRACK,
    ACTIONS(7402), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7404), 1,
      anon_sym_CARET,
    ACTIONS(7406), 1,
      anon_sym_map,
    ACTIONS(7408), 1,
      anon_sym_matrix,
    ACTIONS(7410), 1,
      anon_sym_distinct,
    ACTIONS(8604), 1,
      anon_sym_LPAREN,
    ACTIONS(8608), 1,
      sym_tag,
    STATE(3472), 1,
      sym_procedure,
    STATE(6203), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3450), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [213188] = 21,
    ACTIONS(357), 1,
      anon_sym_distinct,
    ACTIONS(1867), 1,
      sym_identifier,
    ACTIONS(1869), 1,
      anon_sym_proc,
    ACTIONS(1871), 1,
      anon_sym_struct,
    ACTIONS(1873), 1,
      anon_sym_enum,
    ACTIONS(1875), 1,
      anon_sym_union,
    ACTIONS(1880), 1,
      anon_sym_DOLLAR,
    ACTIONS(1887), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1892), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1894), 1,
      anon_sym_map,
    ACTIONS(1896), 1,
      anon_sym_bit_set,
    ACTIONS(1898), 1,
      anon_sym_matrix,
    ACTIONS(1900), 1,
      sym_tag,
    ACTIONS(8166), 1,
      anon_sym_BANG,
    ACTIONS(8321), 1,
      anon_sym_LPAREN,
    ACTIONS(9248), 1,
      anon_sym_LBRACK,
    ACTIONS(9250), 1,
      anon_sym_CARET,
    STATE(3458), 1,
      sym_procedure,
    STATE(3462), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3471), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [213271] = 21,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    STATE(3279), 1,
      sym_procedure,
    STATE(7066), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [213354] = 21,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    STATE(3279), 1,
      sym_procedure,
    STATE(7363), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [213437] = 21,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(8280), 1,
      anon_sym_proc,
    ACTIONS(8282), 1,
      anon_sym_DOLLAR,
    ACTIONS(8284), 1,
      anon_sym_LBRACK,
    ACTIONS(8286), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8288), 1,
      anon_sym_CARET,
    ACTIONS(8290), 1,
      anon_sym_map,
    ACTIONS(8292), 1,
      anon_sym_matrix,
    ACTIONS(8294), 1,
      anon_sym_distinct,
    ACTIONS(9318), 1,
      sym_tag,
    STATE(3279), 1,
      sym_procedure,
    STATE(6563), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [213520] = 21,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(8280), 1,
      anon_sym_proc,
    ACTIONS(8282), 1,
      anon_sym_DOLLAR,
    ACTIONS(8286), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8288), 1,
      anon_sym_CARET,
    ACTIONS(8290), 1,
      anon_sym_map,
    ACTIONS(8292), 1,
      anon_sym_matrix,
    ACTIONS(8294), 1,
      anon_sym_distinct,
    ACTIONS(8296), 1,
      sym_tag,
    ACTIONS(9260), 1,
      anon_sym_LBRACK,
    STATE(3279), 1,
      sym_procedure,
    STATE(6563), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [213603] = 21,
    ACTIONS(157), 1,
      anon_sym_distinct,
    ACTIONS(771), 1,
      sym_identifier,
    ACTIONS(776), 1,
      anon_sym_proc,
    ACTIONS(781), 1,
      anon_sym_struct,
    ACTIONS(783), 1,
      anon_sym_enum,
    ACTIONS(785), 1,
      anon_sym_union,
    ACTIONS(791), 1,
      anon_sym_DOLLAR,
    ACTIONS(799), 1,
      anon_sym_DOT_DOT,
    ACTIONS(805), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(807), 1,
      anon_sym_map,
    ACTIONS(809), 1,
      anon_sym_bit_set,
    ACTIONS(811), 1,
      anon_sym_matrix,
    ACTIONS(8646), 1,
      anon_sym_LPAREN,
    ACTIONS(8648), 1,
      anon_sym_BANG,
    ACTIONS(8650), 1,
      anon_sym_LBRACK,
    ACTIONS(8652), 1,
      anon_sym_CARET,
    ACTIONS(8692), 1,
      sym_tag,
    STATE(695), 1,
      sym_procedure,
    STATE(739), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(705), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [213686] = 21,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    STATE(3279), 1,
      sym_procedure,
    STATE(7361), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [213769] = 28,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9320), 1,
      anon_sym_COMMA,
    ACTIONS(9322), 1,
      anon_sym_EQ,
    ACTIONS(9324), 1,
      anon_sym_RPAREN,
    STATE(7138), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [213866] = 21,
    ACTIONS(641), 1,
      anon_sym_distinct,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2187), 1,
      anon_sym_proc,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2199), 1,
      anon_sym_DOLLAR,
    ACTIONS(2207), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2215), 1,
      anon_sym_map,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(2219), 1,
      anon_sym_matrix,
    ACTIONS(2221), 1,
      sym_tag,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(9186), 1,
      anon_sym_LBRACK,
    ACTIONS(9188), 1,
      anon_sym_CARET,
    STATE(3279), 1,
      sym_procedure,
    STATE(3791), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [213949] = 28,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9200), 1,
      anon_sym_COMMA,
    ACTIONS(9202), 1,
      anon_sym_EQ,
    ACTIONS(9326), 1,
      anon_sym_RPAREN,
    STATE(7095), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [214046] = 21,
    ACTIONS(1627), 1,
      sym_identifier,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(8032), 1,
      anon_sym_proc,
    ACTIONS(8034), 1,
      anon_sym_DOLLAR,
    ACTIONS(8036), 1,
      anon_sym_LBRACK,
    ACTIONS(8038), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8040), 1,
      anon_sym_CARET,
    ACTIONS(8042), 1,
      anon_sym_map,
    ACTIONS(8044), 1,
      anon_sym_matrix,
    ACTIONS(8046), 1,
      anon_sym_distinct,
    ACTIONS(8548), 1,
      anon_sym_LPAREN,
    ACTIONS(9034), 1,
      sym_tag,
    STATE(2671), 1,
      sym_type,
    STATE(2754), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [214129] = 6,
    ACTIONS(7683), 1,
      anon_sym_QMARK,
    ACTIONS(8078), 1,
      anon_sym_LPAREN,
    ACTIONS(7681), 2,
      anon_sym_if,
      anon_sym_when,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(67), 24,
      anon_sym_DASH_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [214182] = 21,
    ACTIONS(1867), 1,
      sym_identifier,
    ACTIONS(1871), 1,
      anon_sym_struct,
    ACTIONS(1873), 1,
      anon_sym_enum,
    ACTIONS(1875), 1,
      anon_sym_union,
    ACTIONS(1892), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1896), 1,
      anon_sym_bit_set,
    ACTIONS(8162), 1,
      anon_sym_proc,
    ACTIONS(8164), 1,
      anon_sym_DOLLAR,
    ACTIONS(8166), 1,
      anon_sym_BANG,
    ACTIONS(8168), 1,
      anon_sym_LBRACK,
    ACTIONS(8170), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8172), 1,
      anon_sym_CARET,
    ACTIONS(8174), 1,
      anon_sym_map,
    ACTIONS(8176), 1,
      anon_sym_matrix,
    ACTIONS(8178), 1,
      anon_sym_distinct,
    ACTIONS(8180), 1,
      sym_tag,
    ACTIONS(8321), 1,
      anon_sym_LPAREN,
    STATE(3458), 1,
      sym_procedure,
    STATE(7297), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3471), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [214265] = 21,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    STATE(3279), 1,
      sym_procedure,
    STATE(7303), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [214348] = 21,
    ACTIONS(1867), 1,
      sym_identifier,
    ACTIONS(1871), 1,
      anon_sym_struct,
    ACTIONS(1873), 1,
      anon_sym_enum,
    ACTIONS(1875), 1,
      anon_sym_union,
    ACTIONS(1892), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1896), 1,
      anon_sym_bit_set,
    ACTIONS(8162), 1,
      anon_sym_proc,
    ACTIONS(8164), 1,
      anon_sym_DOLLAR,
    ACTIONS(8166), 1,
      anon_sym_BANG,
    ACTIONS(8168), 1,
      anon_sym_LBRACK,
    ACTIONS(8170), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8172), 1,
      anon_sym_CARET,
    ACTIONS(8174), 1,
      anon_sym_map,
    ACTIONS(8176), 1,
      anon_sym_matrix,
    ACTIONS(8178), 1,
      anon_sym_distinct,
    ACTIONS(8180), 1,
      sym_tag,
    ACTIONS(8321), 1,
      anon_sym_LPAREN,
    STATE(3458), 1,
      sym_procedure,
    STATE(7418), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3471), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [214431] = 21,
    ACTIONS(687), 1,
      anon_sym_distinct,
    ACTIONS(2014), 1,
      sym_identifier,
    ACTIONS(2016), 1,
      anon_sym_proc,
    ACTIONS(2018), 1,
      anon_sym_struct,
    ACTIONS(2020), 1,
      anon_sym_enum,
    ACTIONS(2022), 1,
      anon_sym_union,
    ACTIONS(2028), 1,
      anon_sym_DOLLAR,
    ACTIONS(2036), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2044), 1,
      anon_sym_map,
    ACTIONS(2046), 1,
      anon_sym_bit_set,
    ACTIONS(2048), 1,
      anon_sym_matrix,
    ACTIONS(7398), 1,
      anon_sym_BANG,
    ACTIONS(8604), 1,
      anon_sym_LPAREN,
    ACTIONS(8698), 1,
      anon_sym_CARET,
    ACTIONS(8700), 1,
      sym_tag,
    ACTIONS(8760), 1,
      anon_sym_LBRACK,
    STATE(3472), 1,
      sym_procedure,
    STATE(3586), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3450), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [214514] = 21,
    ACTIONS(157), 1,
      anon_sym_distinct,
    ACTIONS(771), 1,
      sym_identifier,
    ACTIONS(776), 1,
      anon_sym_proc,
    ACTIONS(781), 1,
      anon_sym_struct,
    ACTIONS(783), 1,
      anon_sym_enum,
    ACTIONS(785), 1,
      anon_sym_union,
    ACTIONS(791), 1,
      anon_sym_DOLLAR,
    ACTIONS(799), 1,
      anon_sym_DOT_DOT,
    ACTIONS(805), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(807), 1,
      anon_sym_map,
    ACTIONS(809), 1,
      anon_sym_bit_set,
    ACTIONS(811), 1,
      anon_sym_matrix,
    ACTIONS(8646), 1,
      anon_sym_LPAREN,
    ACTIONS(8648), 1,
      anon_sym_BANG,
    ACTIONS(8650), 1,
      anon_sym_LBRACK,
    ACTIONS(8652), 1,
      anon_sym_CARET,
    ACTIONS(8692), 1,
      sym_tag,
    STATE(695), 1,
      sym_procedure,
    STATE(1174), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(705), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [214597] = 21,
    ACTIONS(509), 1,
      anon_sym_distinct,
    ACTIONS(1627), 1,
      sym_identifier,
    ACTIONS(1629), 1,
      anon_sym_proc,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1640), 1,
      anon_sym_DOLLAR,
    ACTIONS(1647), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1654), 1,
      anon_sym_map,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(1658), 1,
      anon_sym_matrix,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(8548), 1,
      anon_sym_LPAREN,
    ACTIONS(8638), 1,
      anon_sym_LBRACK,
    ACTIONS(8640), 1,
      anon_sym_CARET,
    ACTIONS(8662), 1,
      sym_tag,
    STATE(2754), 1,
      sym_procedure,
    STATE(2888), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [214680] = 21,
    ACTIONS(509), 1,
      anon_sym_distinct,
    ACTIONS(1627), 1,
      sym_identifier,
    ACTIONS(1629), 1,
      anon_sym_proc,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1640), 1,
      anon_sym_DOLLAR,
    ACTIONS(1647), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1654), 1,
      anon_sym_map,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(1658), 1,
      anon_sym_matrix,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(8548), 1,
      anon_sym_LPAREN,
    ACTIONS(8638), 1,
      anon_sym_LBRACK,
    ACTIONS(8640), 1,
      anon_sym_CARET,
    ACTIONS(8662), 1,
      sym_tag,
    STATE(2754), 1,
      sym_procedure,
    STATE(3067), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [214763] = 21,
    ACTIONS(1867), 1,
      sym_identifier,
    ACTIONS(1871), 1,
      anon_sym_struct,
    ACTIONS(1873), 1,
      anon_sym_enum,
    ACTIONS(1875), 1,
      anon_sym_union,
    ACTIONS(1892), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1896), 1,
      anon_sym_bit_set,
    ACTIONS(8162), 1,
      anon_sym_proc,
    ACTIONS(8164), 1,
      anon_sym_DOLLAR,
    ACTIONS(8166), 1,
      anon_sym_BANG,
    ACTIONS(8168), 1,
      anon_sym_LBRACK,
    ACTIONS(8170), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8172), 1,
      anon_sym_CARET,
    ACTIONS(8174), 1,
      anon_sym_map,
    ACTIONS(8176), 1,
      anon_sym_matrix,
    ACTIONS(8178), 1,
      anon_sym_distinct,
    ACTIONS(8180), 1,
      sym_tag,
    ACTIONS(8321), 1,
      anon_sym_LPAREN,
    STATE(3458), 1,
      sym_procedure,
    STATE(7653), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3471), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [214846] = 21,
    ACTIONS(1867), 1,
      sym_identifier,
    ACTIONS(1871), 1,
      anon_sym_struct,
    ACTIONS(1873), 1,
      anon_sym_enum,
    ACTIONS(1875), 1,
      anon_sym_union,
    ACTIONS(1892), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1896), 1,
      anon_sym_bit_set,
    ACTIONS(8162), 1,
      anon_sym_proc,
    ACTIONS(8164), 1,
      anon_sym_DOLLAR,
    ACTIONS(8166), 1,
      anon_sym_BANG,
    ACTIONS(8168), 1,
      anon_sym_LBRACK,
    ACTIONS(8170), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8172), 1,
      anon_sym_CARET,
    ACTIONS(8174), 1,
      anon_sym_map,
    ACTIONS(8176), 1,
      anon_sym_matrix,
    ACTIONS(8178), 1,
      anon_sym_distinct,
    ACTIONS(8180), 1,
      sym_tag,
    ACTIONS(8321), 1,
      anon_sym_LPAREN,
    STATE(3458), 1,
      sym_procedure,
    STATE(7667), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3471), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [214929] = 21,
    ACTIONS(325), 1,
      anon_sym_distinct,
    ACTIONS(1441), 1,
      sym_identifier,
    ACTIONS(1443), 1,
      anon_sym_proc,
    ACTIONS(1445), 1,
      anon_sym_struct,
    ACTIONS(1447), 1,
      anon_sym_enum,
    ACTIONS(1449), 1,
      anon_sym_union,
    ACTIONS(1455), 1,
      anon_sym_DOLLAR,
    ACTIONS(1463), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1469), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1471), 1,
      anon_sym_map,
    ACTIONS(1473), 1,
      anon_sym_bit_set,
    ACTIONS(1475), 1,
      anon_sym_matrix,
    ACTIONS(1477), 1,
      sym_tag,
    ACTIONS(9296), 1,
      anon_sym_LPAREN,
    ACTIONS(9298), 1,
      anon_sym_BANG,
    ACTIONS(9300), 1,
      anon_sym_LBRACK,
    ACTIONS(9302), 1,
      anon_sym_CARET,
    STATE(2675), 1,
      sym_procedure,
    STATE(2720), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2697), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [215012] = 28,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9328), 1,
      anon_sym_COMMA,
    ACTIONS(9330), 1,
      anon_sym_EQ,
    ACTIONS(9332), 1,
      anon_sym_RPAREN,
    STATE(7659), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [215109] = 28,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9334), 1,
      anon_sym_COMMA,
    ACTIONS(9336), 1,
      anon_sym_EQ,
    ACTIONS(9338), 1,
      anon_sym_RPAREN,
    STATE(7232), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [215206] = 28,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9340), 1,
      anon_sym_COMMA,
    ACTIONS(9342), 1,
      anon_sym_EQ,
    ACTIONS(9344), 1,
      anon_sym_RPAREN,
    STATE(7121), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [215303] = 21,
    ACTIONS(509), 1,
      anon_sym_distinct,
    ACTIONS(1627), 1,
      sym_identifier,
    ACTIONS(1629), 1,
      anon_sym_proc,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1640), 1,
      anon_sym_DOLLAR,
    ACTIONS(1647), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1654), 1,
      anon_sym_map,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(1658), 1,
      anon_sym_matrix,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(8548), 1,
      anon_sym_LPAREN,
    ACTIONS(8638), 1,
      anon_sym_LBRACK,
    ACTIONS(8640), 1,
      anon_sym_CARET,
    ACTIONS(8662), 1,
      sym_tag,
    STATE(2754), 1,
      sym_procedure,
    STATE(3069), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [215386] = 21,
    ACTIONS(1867), 1,
      sym_identifier,
    ACTIONS(1871), 1,
      anon_sym_struct,
    ACTIONS(1873), 1,
      anon_sym_enum,
    ACTIONS(1875), 1,
      anon_sym_union,
    ACTIONS(1892), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1896), 1,
      anon_sym_bit_set,
    ACTIONS(8162), 1,
      anon_sym_proc,
    ACTIONS(8164), 1,
      anon_sym_DOLLAR,
    ACTIONS(8166), 1,
      anon_sym_BANG,
    ACTIONS(8168), 1,
      anon_sym_LBRACK,
    ACTIONS(8170), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8172), 1,
      anon_sym_CARET,
    ACTIONS(8174), 1,
      anon_sym_map,
    ACTIONS(8176), 1,
      anon_sym_matrix,
    ACTIONS(8178), 1,
      anon_sym_distinct,
    ACTIONS(8180), 1,
      sym_tag,
    ACTIONS(8321), 1,
      anon_sym_LPAREN,
    STATE(3458), 1,
      sym_procedure,
    STATE(3565), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3471), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [215469] = 21,
    ACTIONS(111), 1,
      anon_sym_distinct,
    ACTIONS(1141), 1,
      sym_identifier,
    ACTIONS(1143), 1,
      anon_sym_proc,
    ACTIONS(1145), 1,
      anon_sym_struct,
    ACTIONS(1147), 1,
      anon_sym_enum,
    ACTIONS(1149), 1,
      anon_sym_union,
    ACTIONS(1154), 1,
      anon_sym_DOLLAR,
    ACTIONS(1161), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1166), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1168), 1,
      anon_sym_map,
    ACTIONS(1170), 1,
      anon_sym_bit_set,
    ACTIONS(1172), 1,
      anon_sym_matrix,
    ACTIONS(1174), 1,
      sym_tag,
    ACTIONS(9262), 1,
      anon_sym_LPAREN,
    ACTIONS(9264), 1,
      anon_sym_BANG,
    ACTIONS(9266), 1,
      anon_sym_LBRACK,
    ACTIONS(9268), 1,
      anon_sym_CARET,
    STATE(2323), 1,
      sym_type,
    STATE(2350), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2262), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [215552] = 21,
    ACTIONS(357), 1,
      anon_sym_distinct,
    ACTIONS(1867), 1,
      sym_identifier,
    ACTIONS(1869), 1,
      anon_sym_proc,
    ACTIONS(1871), 1,
      anon_sym_struct,
    ACTIONS(1873), 1,
      anon_sym_enum,
    ACTIONS(1875), 1,
      anon_sym_union,
    ACTIONS(1880), 1,
      anon_sym_DOLLAR,
    ACTIONS(1887), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1892), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1894), 1,
      anon_sym_map,
    ACTIONS(1896), 1,
      anon_sym_bit_set,
    ACTIONS(1898), 1,
      anon_sym_matrix,
    ACTIONS(1900), 1,
      sym_tag,
    ACTIONS(8166), 1,
      anon_sym_BANG,
    ACTIONS(8321), 1,
      anon_sym_LPAREN,
    ACTIONS(9248), 1,
      anon_sym_LBRACK,
    ACTIONS(9250), 1,
      anon_sym_CARET,
    STATE(3458), 1,
      sym_procedure,
    STATE(3498), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3471), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [215635] = 21,
    ACTIONS(979), 1,
      sym_identifier,
    ACTIONS(981), 1,
      anon_sym_proc,
    ACTIONS(983), 1,
      anon_sym_struct,
    ACTIONS(985), 1,
      anon_sym_enum,
    ACTIONS(987), 1,
      anon_sym_union,
    ACTIONS(992), 1,
      anon_sym_DOLLAR,
    ACTIONS(999), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1004), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1006), 1,
      anon_sym_map,
    ACTIONS(1008), 1,
      anon_sym_bit_set,
    ACTIONS(1010), 1,
      anon_sym_matrix,
    ACTIONS(1012), 1,
      anon_sym_distinct,
    ACTIONS(9228), 1,
      anon_sym_LPAREN,
    ACTIONS(9230), 1,
      anon_sym_BANG,
    ACTIONS(9232), 1,
      anon_sym_LBRACK,
    ACTIONS(9234), 1,
      anon_sym_CARET,
    ACTIONS(9346), 1,
      sym_tag,
    STATE(2044), 1,
      sym_procedure,
    STATE(2065), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2064), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [215718] = 21,
    ACTIONS(1965), 1,
      sym_identifier,
    ACTIONS(1969), 1,
      anon_sym_struct,
    ACTIONS(1971), 1,
      anon_sym_enum,
    ACTIONS(1973), 1,
      anon_sym_union,
    ACTIONS(1990), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1994), 1,
      anon_sym_bit_set,
    ACTIONS(7731), 1,
      anon_sym_proc,
    ACTIONS(7733), 1,
      anon_sym_DOLLAR,
    ACTIONS(7735), 1,
      anon_sym_BANG,
    ACTIONS(7737), 1,
      anon_sym_LBRACK,
    ACTIONS(7739), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7741), 1,
      anon_sym_CARET,
    ACTIONS(7743), 1,
      anon_sym_map,
    ACTIONS(7745), 1,
      anon_sym_matrix,
    ACTIONS(7747), 1,
      anon_sym_distinct,
    ACTIONS(7749), 1,
      sym_tag,
    ACTIONS(8065), 1,
      anon_sym_LPAREN,
    STATE(3607), 1,
      sym_type,
    STATE(3684), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3686), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [215801] = 21,
    ACTIONS(739), 1,
      anon_sym_distinct,
    ACTIONS(2563), 1,
      sym_identifier,
    ACTIONS(2565), 1,
      anon_sym_proc,
    ACTIONS(2567), 1,
      anon_sym_struct,
    ACTIONS(2569), 1,
      anon_sym_enum,
    ACTIONS(2571), 1,
      anon_sym_union,
    ACTIONS(2576), 1,
      anon_sym_DOLLAR,
    ACTIONS(2583), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2588), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2590), 1,
      anon_sym_map,
    ACTIONS(2592), 1,
      anon_sym_bit_set,
    ACTIONS(2594), 1,
      anon_sym_matrix,
    ACTIONS(2596), 1,
      sym_tag,
    ACTIONS(9178), 1,
      anon_sym_LPAREN,
    ACTIONS(9180), 1,
      anon_sym_BANG,
    ACTIONS(9182), 1,
      anon_sym_LBRACK,
    ACTIONS(9184), 1,
      anon_sym_CARET,
    STATE(4270), 1,
      sym_procedure,
    STATE(4313), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(4202), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [215884] = 21,
    ACTIONS(111), 1,
      anon_sym_distinct,
    ACTIONS(1141), 1,
      sym_identifier,
    ACTIONS(1143), 1,
      anon_sym_proc,
    ACTIONS(1145), 1,
      anon_sym_struct,
    ACTIONS(1147), 1,
      anon_sym_enum,
    ACTIONS(1149), 1,
      anon_sym_union,
    ACTIONS(1154), 1,
      anon_sym_DOLLAR,
    ACTIONS(1161), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1166), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1168), 1,
      anon_sym_map,
    ACTIONS(1170), 1,
      anon_sym_bit_set,
    ACTIONS(1172), 1,
      anon_sym_matrix,
    ACTIONS(1174), 1,
      sym_tag,
    ACTIONS(9262), 1,
      anon_sym_LPAREN,
    ACTIONS(9264), 1,
      anon_sym_BANG,
    ACTIONS(9266), 1,
      anon_sym_LBRACK,
    ACTIONS(9268), 1,
      anon_sym_CARET,
    STATE(2286), 1,
      sym_type,
    STATE(2350), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2262), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [215967] = 21,
    ACTIONS(2403), 1,
      sym_identifier,
    ACTIONS(2405), 1,
      anon_sym_proc,
    ACTIONS(2407), 1,
      anon_sym_struct,
    ACTIONS(2409), 1,
      anon_sym_enum,
    ACTIONS(2411), 1,
      anon_sym_union,
    ACTIONS(2416), 1,
      anon_sym_DOLLAR,
    ACTIONS(2423), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2428), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2430), 1,
      anon_sym_map,
    ACTIONS(2432), 1,
      anon_sym_bit_set,
    ACTIONS(2434), 1,
      anon_sym_matrix,
    ACTIONS(2436), 1,
      anon_sym_distinct,
    ACTIONS(2438), 1,
      sym_tag,
    ACTIONS(9210), 1,
      anon_sym_LPAREN,
    ACTIONS(9212), 1,
      anon_sym_BANG,
    ACTIONS(9214), 1,
      anon_sym_LBRACK,
    ACTIONS(9216), 1,
      anon_sym_CARET,
    STATE(4104), 1,
      sym_type,
    STATE(4119), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(4042), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [216050] = 21,
    ACTIONS(357), 1,
      anon_sym_distinct,
    ACTIONS(1867), 1,
      sym_identifier,
    ACTIONS(1869), 1,
      anon_sym_proc,
    ACTIONS(1871), 1,
      anon_sym_struct,
    ACTIONS(1873), 1,
      anon_sym_enum,
    ACTIONS(1875), 1,
      anon_sym_union,
    ACTIONS(1880), 1,
      anon_sym_DOLLAR,
    ACTIONS(1887), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1892), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1894), 1,
      anon_sym_map,
    ACTIONS(1896), 1,
      anon_sym_bit_set,
    ACTIONS(1898), 1,
      anon_sym_matrix,
    ACTIONS(1900), 1,
      sym_tag,
    ACTIONS(8166), 1,
      anon_sym_BANG,
    ACTIONS(8321), 1,
      anon_sym_LPAREN,
    ACTIONS(9250), 1,
      anon_sym_CARET,
    ACTIONS(9348), 1,
      anon_sym_LBRACK,
    STATE(3458), 1,
      sym_procedure,
    STATE(3500), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3471), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [216133] = 21,
    ACTIONS(509), 1,
      anon_sym_distinct,
    ACTIONS(1627), 1,
      sym_identifier,
    ACTIONS(1629), 1,
      anon_sym_proc,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1640), 1,
      anon_sym_DOLLAR,
    ACTIONS(1647), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1654), 1,
      anon_sym_map,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(1658), 1,
      anon_sym_matrix,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(8548), 1,
      anon_sym_LPAREN,
    ACTIONS(8640), 1,
      anon_sym_CARET,
    ACTIONS(8660), 1,
      anon_sym_LBRACK,
    ACTIONS(8662), 1,
      sym_tag,
    STATE(2754), 1,
      sym_procedure,
    STATE(3072), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [216216] = 28,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9310), 1,
      anon_sym_COMMA,
    ACTIONS(9312), 1,
      anon_sym_EQ,
    ACTIONS(9350), 1,
      anon_sym_RPAREN,
    STATE(7343), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [216313] = 21,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    STATE(3279), 1,
      sym_procedure,
    STATE(6711), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [216396] = 21,
    ACTIONS(641), 1,
      anon_sym_distinct,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2187), 1,
      anon_sym_proc,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2199), 1,
      anon_sym_DOLLAR,
    ACTIONS(2207), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2215), 1,
      anon_sym_map,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(2219), 1,
      anon_sym_matrix,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(9186), 1,
      anon_sym_LBRACK,
    ACTIONS(9188), 1,
      anon_sym_CARET,
    ACTIONS(9352), 1,
      sym_tag,
    STATE(3279), 1,
      sym_procedure,
    STATE(3926), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [216479] = 21,
    ACTIONS(509), 1,
      anon_sym_distinct,
    ACTIONS(1627), 1,
      sym_identifier,
    ACTIONS(1629), 1,
      anon_sym_proc,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1640), 1,
      anon_sym_DOLLAR,
    ACTIONS(1647), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1654), 1,
      anon_sym_map,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(1658), 1,
      anon_sym_matrix,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(8548), 1,
      anon_sym_LPAREN,
    ACTIONS(8638), 1,
      anon_sym_LBRACK,
    ACTIONS(8640), 1,
      anon_sym_CARET,
    ACTIONS(8662), 1,
      sym_tag,
    STATE(2754), 1,
      sym_procedure,
    STATE(2914), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [216562] = 21,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    STATE(3279), 1,
      sym_procedure,
    STATE(7738), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [216645] = 21,
    ACTIONS(111), 1,
      anon_sym_distinct,
    ACTIONS(1141), 1,
      sym_identifier,
    ACTIONS(1143), 1,
      anon_sym_proc,
    ACTIONS(1145), 1,
      anon_sym_struct,
    ACTIONS(1147), 1,
      anon_sym_enum,
    ACTIONS(1149), 1,
      anon_sym_union,
    ACTIONS(1154), 1,
      anon_sym_DOLLAR,
    ACTIONS(1161), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1166), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1168), 1,
      anon_sym_map,
    ACTIONS(1170), 1,
      anon_sym_bit_set,
    ACTIONS(1172), 1,
      anon_sym_matrix,
    ACTIONS(1174), 1,
      sym_tag,
    ACTIONS(9262), 1,
      anon_sym_LPAREN,
    ACTIONS(9264), 1,
      anon_sym_BANG,
    ACTIONS(9266), 1,
      anon_sym_LBRACK,
    ACTIONS(9268), 1,
      anon_sym_CARET,
    STATE(2273), 1,
      sym_type,
    STATE(2350), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2262), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [216728] = 21,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    STATE(3279), 1,
      sym_procedure,
    STATE(7162), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [216811] = 21,
    ACTIONS(1965), 1,
      sym_identifier,
    ACTIONS(1969), 1,
      anon_sym_struct,
    ACTIONS(1971), 1,
      anon_sym_enum,
    ACTIONS(1973), 1,
      anon_sym_union,
    ACTIONS(1990), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1994), 1,
      anon_sym_bit_set,
    ACTIONS(7731), 1,
      anon_sym_proc,
    ACTIONS(7733), 1,
      anon_sym_DOLLAR,
    ACTIONS(7735), 1,
      anon_sym_BANG,
    ACTIONS(7737), 1,
      anon_sym_LBRACK,
    ACTIONS(7739), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7741), 1,
      anon_sym_CARET,
    ACTIONS(7743), 1,
      anon_sym_map,
    ACTIONS(7745), 1,
      anon_sym_matrix,
    ACTIONS(7747), 1,
      anon_sym_distinct,
    ACTIONS(7749), 1,
      sym_tag,
    ACTIONS(8065), 1,
      anon_sym_LPAREN,
    STATE(3684), 1,
      sym_procedure,
    STATE(6359), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3686), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [216894] = 21,
    ACTIONS(1965), 1,
      sym_identifier,
    ACTIONS(1969), 1,
      anon_sym_struct,
    ACTIONS(1971), 1,
      anon_sym_enum,
    ACTIONS(1973), 1,
      anon_sym_union,
    ACTIONS(1990), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1994), 1,
      anon_sym_bit_set,
    ACTIONS(7731), 1,
      anon_sym_proc,
    ACTIONS(7733), 1,
      anon_sym_DOLLAR,
    ACTIONS(7735), 1,
      anon_sym_BANG,
    ACTIONS(7737), 1,
      anon_sym_LBRACK,
    ACTIONS(7739), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7741), 1,
      anon_sym_CARET,
    ACTIONS(7743), 1,
      anon_sym_map,
    ACTIONS(7745), 1,
      anon_sym_matrix,
    ACTIONS(7747), 1,
      anon_sym_distinct,
    ACTIONS(7749), 1,
      sym_tag,
    ACTIONS(8065), 1,
      anon_sym_LPAREN,
    STATE(3684), 1,
      sym_procedure,
    STATE(6369), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3686), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [216977] = 28,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9354), 1,
      anon_sym_COMMA,
    ACTIONS(9356), 1,
      anon_sym_EQ,
    ACTIONS(9358), 1,
      anon_sym_RPAREN,
    STATE(7275), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [217074] = 21,
    ACTIONS(111), 1,
      anon_sym_distinct,
    ACTIONS(1141), 1,
      sym_identifier,
    ACTIONS(1143), 1,
      anon_sym_proc,
    ACTIONS(1145), 1,
      anon_sym_struct,
    ACTIONS(1147), 1,
      anon_sym_enum,
    ACTIONS(1149), 1,
      anon_sym_union,
    ACTIONS(1154), 1,
      anon_sym_DOLLAR,
    ACTIONS(1161), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1166), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1168), 1,
      anon_sym_map,
    ACTIONS(1170), 1,
      anon_sym_bit_set,
    ACTIONS(1172), 1,
      anon_sym_matrix,
    ACTIONS(1174), 1,
      sym_tag,
    ACTIONS(9262), 1,
      anon_sym_LPAREN,
    ACTIONS(9264), 1,
      anon_sym_BANG,
    ACTIONS(9268), 1,
      anon_sym_CARET,
    ACTIONS(9360), 1,
      anon_sym_LBRACK,
    STATE(2274), 1,
      sym_type,
    STATE(2350), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2262), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [217157] = 21,
    ACTIONS(357), 1,
      anon_sym_distinct,
    ACTIONS(1867), 1,
      sym_identifier,
    ACTIONS(1869), 1,
      anon_sym_proc,
    ACTIONS(1871), 1,
      anon_sym_struct,
    ACTIONS(1873), 1,
      anon_sym_enum,
    ACTIONS(1875), 1,
      anon_sym_union,
    ACTIONS(1880), 1,
      anon_sym_DOLLAR,
    ACTIONS(1887), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1892), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1894), 1,
      anon_sym_map,
    ACTIONS(1896), 1,
      anon_sym_bit_set,
    ACTIONS(1898), 1,
      anon_sym_matrix,
    ACTIONS(1900), 1,
      sym_tag,
    ACTIONS(8166), 1,
      anon_sym_BANG,
    ACTIONS(8321), 1,
      anon_sym_LPAREN,
    ACTIONS(9248), 1,
      anon_sym_LBRACK,
    ACTIONS(9250), 1,
      anon_sym_CARET,
    STATE(3458), 1,
      sym_procedure,
    STATE(3538), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3471), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [217240] = 21,
    ACTIONS(477), 1,
      anon_sym_distinct,
    ACTIONS(1675), 1,
      sym_identifier,
    ACTIONS(1677), 1,
      anon_sym_proc,
    ACTIONS(1679), 1,
      anon_sym_struct,
    ACTIONS(1681), 1,
      anon_sym_enum,
    ACTIONS(1683), 1,
      anon_sym_union,
    ACTIONS(1688), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1700), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1702), 1,
      anon_sym_map,
    ACTIONS(1704), 1,
      anon_sym_bit_set,
    ACTIONS(1706), 1,
      anon_sym_matrix,
    ACTIONS(7291), 1,
      anon_sym_BANG,
    ACTIONS(8668), 1,
      anon_sym_LPAREN,
    ACTIONS(8682), 1,
      anon_sym_CARET,
    ACTIONS(8684), 1,
      sym_tag,
    ACTIONS(8718), 1,
      anon_sym_LBRACK,
    STATE(3120), 1,
      sym_type,
    STATE(3172), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3208), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [217323] = 21,
    ACTIONS(509), 1,
      anon_sym_distinct,
    ACTIONS(1627), 1,
      sym_identifier,
    ACTIONS(1629), 1,
      anon_sym_proc,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1640), 1,
      anon_sym_DOLLAR,
    ACTIONS(1647), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1654), 1,
      anon_sym_map,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(1658), 1,
      anon_sym_matrix,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(8548), 1,
      anon_sym_LPAREN,
    ACTIONS(8638), 1,
      anon_sym_LBRACK,
    ACTIONS(8640), 1,
      anon_sym_CARET,
    ACTIONS(8662), 1,
      sym_tag,
    STATE(2695), 1,
      sym_type,
    STATE(2754), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [217406] = 21,
    ACTIONS(1675), 1,
      sym_identifier,
    ACTIONS(1679), 1,
      anon_sym_struct,
    ACTIONS(1681), 1,
      anon_sym_enum,
    ACTIONS(1683), 1,
      anon_sym_union,
    ACTIONS(1700), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1704), 1,
      anon_sym_bit_set,
    ACTIONS(7287), 1,
      anon_sym_proc,
    ACTIONS(7289), 1,
      anon_sym_DOLLAR,
    ACTIONS(7291), 1,
      anon_sym_BANG,
    ACTIONS(7293), 1,
      anon_sym_LBRACK,
    ACTIONS(7295), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7297), 1,
      anon_sym_CARET,
    ACTIONS(7299), 1,
      anon_sym_map,
    ACTIONS(7301), 1,
      anon_sym_matrix,
    ACTIONS(7303), 1,
      anon_sym_distinct,
    ACTIONS(8668), 1,
      anon_sym_LPAREN,
    ACTIONS(8672), 1,
      sym_tag,
    STATE(3153), 1,
      sym_type,
    STATE(3172), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3208), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [217489] = 21,
    ACTIONS(1675), 1,
      sym_identifier,
    ACTIONS(1679), 1,
      anon_sym_struct,
    ACTIONS(1681), 1,
      anon_sym_enum,
    ACTIONS(1683), 1,
      anon_sym_union,
    ACTIONS(1700), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1704), 1,
      anon_sym_bit_set,
    ACTIONS(7287), 1,
      anon_sym_proc,
    ACTIONS(7289), 1,
      anon_sym_DOLLAR,
    ACTIONS(7291), 1,
      anon_sym_BANG,
    ACTIONS(7293), 1,
      anon_sym_LBRACK,
    ACTIONS(7295), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7297), 1,
      anon_sym_CARET,
    ACTIONS(7299), 1,
      anon_sym_map,
    ACTIONS(7301), 1,
      anon_sym_matrix,
    ACTIONS(7303), 1,
      anon_sym_distinct,
    ACTIONS(8668), 1,
      anon_sym_LPAREN,
    ACTIONS(8672), 1,
      sym_tag,
    STATE(3172), 1,
      sym_procedure,
    STATE(6162), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3208), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [217572] = 21,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    ACTIONS(9362), 1,
      sym_tag,
    STATE(3279), 1,
      sym_procedure,
    STATE(6819), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [217655] = 21,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    STATE(3279), 1,
      sym_procedure,
    STATE(7270), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [217738] = 21,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    STATE(3279), 1,
      sym_procedure,
    STATE(7164), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [217821] = 21,
    ACTIONS(1675), 1,
      sym_identifier,
    ACTIONS(1679), 1,
      anon_sym_struct,
    ACTIONS(1681), 1,
      anon_sym_enum,
    ACTIONS(1683), 1,
      anon_sym_union,
    ACTIONS(1700), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1704), 1,
      anon_sym_bit_set,
    ACTIONS(7287), 1,
      anon_sym_proc,
    ACTIONS(7289), 1,
      anon_sym_DOLLAR,
    ACTIONS(7291), 1,
      anon_sym_BANG,
    ACTIONS(7293), 1,
      anon_sym_LBRACK,
    ACTIONS(7295), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7297), 1,
      anon_sym_CARET,
    ACTIONS(7299), 1,
      anon_sym_map,
    ACTIONS(7301), 1,
      anon_sym_matrix,
    ACTIONS(7303), 1,
      anon_sym_distinct,
    ACTIONS(8668), 1,
      anon_sym_LPAREN,
    ACTIONS(8672), 1,
      sym_tag,
    STATE(3172), 1,
      sym_procedure,
    STATE(6163), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3208), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [217904] = 21,
    ACTIONS(1867), 1,
      sym_identifier,
    ACTIONS(1871), 1,
      anon_sym_struct,
    ACTIONS(1873), 1,
      anon_sym_enum,
    ACTIONS(1875), 1,
      anon_sym_union,
    ACTIONS(1892), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1896), 1,
      anon_sym_bit_set,
    ACTIONS(8162), 1,
      anon_sym_proc,
    ACTIONS(8164), 1,
      anon_sym_DOLLAR,
    ACTIONS(8166), 1,
      anon_sym_BANG,
    ACTIONS(8168), 1,
      anon_sym_LBRACK,
    ACTIONS(8170), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8172), 1,
      anon_sym_CARET,
    ACTIONS(8174), 1,
      anon_sym_map,
    ACTIONS(8176), 1,
      anon_sym_matrix,
    ACTIONS(8178), 1,
      anon_sym_distinct,
    ACTIONS(8180), 1,
      sym_tag,
    ACTIONS(8321), 1,
      anon_sym_LPAREN,
    STATE(3458), 1,
      sym_procedure,
    STATE(7648), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3471), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [217987] = 28,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9334), 1,
      anon_sym_COMMA,
    ACTIONS(9336), 1,
      anon_sym_EQ,
    ACTIONS(9364), 1,
      anon_sym_RPAREN,
    STATE(7169), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [218084] = 21,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    STATE(3279), 1,
      sym_procedure,
    STATE(7281), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [218167] = 27,
    ACTIONS(8132), 1,
      anon_sym_DASH_GT,
    ACTIONS(8134), 1,
      anon_sym_PLUS,
    ACTIONS(8136), 1,
      anon_sym_DASH,
    ACTIONS(8138), 1,
      anon_sym_TILDE,
    ACTIONS(8140), 1,
      anon_sym_AMP,
    ACTIONS(8142), 1,
      anon_sym_PIPE,
    ACTIONS(8144), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8152), 1,
      anon_sym_DOT,
    ACTIONS(8154), 1,
      anon_sym_LBRACK,
    ACTIONS(8194), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8202), 1,
      anon_sym_or_return,
    ACTIONS(8204), 1,
      anon_sym_or_continue,
    ACTIONS(8206), 1,
      anon_sym_or_break,
    ACTIONS(8208), 1,
      anon_sym_CARET,
    ACTIONS(9368), 1,
      anon_sym_COMMA,
    STATE(6993), 1,
      aux_sym__simple_assignment_statement_repeat1,
    ACTIONS(8146), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8148), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8150), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8156), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8190), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(8192), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(8196), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8198), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9366), 2,
      anon_sym_LBRACE,
      anon_sym_do,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8200), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [218262] = 21,
    ACTIONS(1965), 1,
      sym_identifier,
    ACTIONS(1969), 1,
      anon_sym_struct,
    ACTIONS(1971), 1,
      anon_sym_enum,
    ACTIONS(1973), 1,
      anon_sym_union,
    ACTIONS(1990), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1994), 1,
      anon_sym_bit_set,
    ACTIONS(7731), 1,
      anon_sym_proc,
    ACTIONS(7733), 1,
      anon_sym_DOLLAR,
    ACTIONS(7735), 1,
      anon_sym_BANG,
    ACTIONS(7737), 1,
      anon_sym_LBRACK,
    ACTIONS(7739), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7741), 1,
      anon_sym_CARET,
    ACTIONS(7743), 1,
      anon_sym_map,
    ACTIONS(7745), 1,
      anon_sym_matrix,
    ACTIONS(7747), 1,
      anon_sym_distinct,
    ACTIONS(7749), 1,
      sym_tag,
    ACTIONS(8065), 1,
      anon_sym_LPAREN,
    STATE(3631), 1,
      sym_type,
    STATE(3684), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3686), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [218345] = 21,
    ACTIONS(687), 1,
      anon_sym_distinct,
    ACTIONS(2014), 1,
      sym_identifier,
    ACTIONS(2016), 1,
      anon_sym_proc,
    ACTIONS(2018), 1,
      anon_sym_struct,
    ACTIONS(2020), 1,
      anon_sym_enum,
    ACTIONS(2022), 1,
      anon_sym_union,
    ACTIONS(2028), 1,
      anon_sym_DOLLAR,
    ACTIONS(2036), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2044), 1,
      anon_sym_map,
    ACTIONS(2046), 1,
      anon_sym_bit_set,
    ACTIONS(2048), 1,
      anon_sym_matrix,
    ACTIONS(7398), 1,
      anon_sym_BANG,
    ACTIONS(8604), 1,
      anon_sym_LPAREN,
    ACTIONS(8698), 1,
      anon_sym_CARET,
    ACTIONS(8700), 1,
      sym_tag,
    ACTIONS(8760), 1,
      anon_sym_LBRACK,
    STATE(3472), 1,
      sym_procedure,
    STATE(3556), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3450), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [218428] = 21,
    ACTIONS(2403), 1,
      sym_identifier,
    ACTIONS(2405), 1,
      anon_sym_proc,
    ACTIONS(2407), 1,
      anon_sym_struct,
    ACTIONS(2409), 1,
      anon_sym_enum,
    ACTIONS(2411), 1,
      anon_sym_union,
    ACTIONS(2416), 1,
      anon_sym_DOLLAR,
    ACTIONS(2423), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2428), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2430), 1,
      anon_sym_map,
    ACTIONS(2432), 1,
      anon_sym_bit_set,
    ACTIONS(2434), 1,
      anon_sym_matrix,
    ACTIONS(2436), 1,
      anon_sym_distinct,
    ACTIONS(2438), 1,
      sym_tag,
    ACTIONS(9210), 1,
      anon_sym_LPAREN,
    ACTIONS(9212), 1,
      anon_sym_BANG,
    ACTIONS(9214), 1,
      anon_sym_LBRACK,
    ACTIONS(9216), 1,
      anon_sym_CARET,
    STATE(4044), 1,
      sym_type,
    STATE(4119), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(4042), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [218511] = 6,
    ACTIONS(4507), 1,
      anon_sym_LPAREN,
    ACTIONS(7683), 1,
      anon_sym_QMARK,
    ACTIONS(7681), 2,
      anon_sym_if,
      anon_sym_when,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(67), 24,
      anon_sym_DASH_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [218564] = 6,
    ACTIONS(6470), 1,
      anon_sym_LPAREN,
    ACTIONS(7683), 1,
      anon_sym_QMARK,
    ACTIONS(7681), 2,
      anon_sym_if,
      anon_sym_when,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(67), 24,
      anon_sym_DASH_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [218617] = 21,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    STATE(3279), 1,
      sym_procedure,
    STATE(7315), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [218700] = 28,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(8096), 1,
      anon_sym_DASH_GT,
    ACTIONS(8098), 1,
      anon_sym_PLUS,
    ACTIONS(8100), 1,
      anon_sym_DASH,
    ACTIONS(8102), 1,
      anon_sym_TILDE,
    ACTIONS(8104), 1,
      anon_sym_AMP,
    ACTIONS(8106), 1,
      anon_sym_PIPE,
    ACTIONS(8108), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8116), 1,
      anon_sym_DOT,
    ACTIONS(8122), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8130), 1,
      anon_sym_or_break,
    ACTIONS(8506), 1,
      anon_sym_COMMA,
    ACTIONS(9370), 1,
      anon_sym_EQ,
    ACTIONS(9372), 1,
      anon_sym_COLON_EQ,
    STATE(7025), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(8110), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8112), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8114), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8118), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8120), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(8124), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8126), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8236), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8128), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [218797] = 21,
    ACTIONS(687), 1,
      anon_sym_distinct,
    ACTIONS(2014), 1,
      sym_identifier,
    ACTIONS(2016), 1,
      anon_sym_proc,
    ACTIONS(2018), 1,
      anon_sym_struct,
    ACTIONS(2020), 1,
      anon_sym_enum,
    ACTIONS(2022), 1,
      anon_sym_union,
    ACTIONS(2028), 1,
      anon_sym_DOLLAR,
    ACTIONS(2036), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2044), 1,
      anon_sym_map,
    ACTIONS(2046), 1,
      anon_sym_bit_set,
    ACTIONS(2048), 1,
      anon_sym_matrix,
    ACTIONS(7398), 1,
      anon_sym_BANG,
    ACTIONS(8604), 1,
      anon_sym_LPAREN,
    ACTIONS(8698), 1,
      anon_sym_CARET,
    ACTIONS(8700), 1,
      sym_tag,
    ACTIONS(8760), 1,
      anon_sym_LBRACK,
    STATE(3472), 1,
      sym_procedure,
    STATE(3553), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3450), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [218880] = 21,
    ACTIONS(1627), 1,
      sym_identifier,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(7442), 1,
      anon_sym_proc,
    ACTIONS(7444), 1,
      anon_sym_DOLLAR,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(7448), 1,
      anon_sym_LBRACK,
    ACTIONS(7450), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7452), 1,
      anon_sym_CARET,
    ACTIONS(7454), 1,
      anon_sym_map,
    ACTIONS(7456), 1,
      anon_sym_matrix,
    ACTIONS(7458), 1,
      anon_sym_distinct,
    ACTIONS(8548), 1,
      anon_sym_LPAREN,
    ACTIONS(8844), 1,
      sym_tag,
    STATE(2754), 1,
      sym_procedure,
    STATE(2888), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [218963] = 21,
    ACTIONS(47), 1,
      anon_sym_distinct,
    ACTIONS(2241), 1,
      sym_identifier,
    ACTIONS(2243), 1,
      anon_sym_proc,
    ACTIONS(2245), 1,
      anon_sym_struct,
    ACTIONS(2247), 1,
      anon_sym_enum,
    ACTIONS(2249), 1,
      anon_sym_union,
    ACTIONS(2254), 1,
      anon_sym_DOLLAR,
    ACTIONS(2261), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2266), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2268), 1,
      anon_sym_map,
    ACTIONS(2270), 1,
      anon_sym_bit_set,
    ACTIONS(2272), 1,
      anon_sym_matrix,
    ACTIONS(2274), 1,
      sym_tag,
    ACTIONS(7576), 1,
      anon_sym_BANG,
    ACTIONS(7887), 1,
      anon_sym_LPAREN,
    ACTIONS(9276), 1,
      anon_sym_LBRACK,
    ACTIONS(9278), 1,
      anon_sym_CARET,
    STATE(3619), 1,
      sym_type,
    STATE(3705), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3649), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [219046] = 21,
    ACTIONS(223), 1,
      anon_sym_distinct,
    ACTIONS(1105), 1,
      sym_identifier,
    ACTIONS(1107), 1,
      anon_sym_proc,
    ACTIONS(1109), 1,
      anon_sym_struct,
    ACTIONS(1111), 1,
      anon_sym_enum,
    ACTIONS(1113), 1,
      anon_sym_union,
    ACTIONS(1118), 1,
      anon_sym_DOLLAR,
    ACTIONS(1125), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1130), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1132), 1,
      anon_sym_map,
    ACTIONS(1134), 1,
      anon_sym_bit_set,
    ACTIONS(1136), 1,
      anon_sym_matrix,
    ACTIONS(8526), 1,
      anon_sym_LPAREN,
    ACTIONS(8528), 1,
      anon_sym_BANG,
    ACTIONS(8532), 1,
      anon_sym_CARET,
    ACTIONS(8750), 1,
      anon_sym_LBRACK,
    ACTIONS(9374), 1,
      sym_tag,
    STATE(2166), 1,
      sym_type,
    STATE(2175), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2177), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [219129] = 21,
    ACTIONS(2403), 1,
      sym_identifier,
    ACTIONS(2405), 1,
      anon_sym_proc,
    ACTIONS(2407), 1,
      anon_sym_struct,
    ACTIONS(2409), 1,
      anon_sym_enum,
    ACTIONS(2411), 1,
      anon_sym_union,
    ACTIONS(2416), 1,
      anon_sym_DOLLAR,
    ACTIONS(2423), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2428), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2430), 1,
      anon_sym_map,
    ACTIONS(2432), 1,
      anon_sym_bit_set,
    ACTIONS(2434), 1,
      anon_sym_matrix,
    ACTIONS(2436), 1,
      anon_sym_distinct,
    ACTIONS(2438), 1,
      sym_tag,
    ACTIONS(9210), 1,
      anon_sym_LPAREN,
    ACTIONS(9212), 1,
      anon_sym_BANG,
    ACTIONS(9214), 1,
      anon_sym_LBRACK,
    ACTIONS(9216), 1,
      anon_sym_CARET,
    STATE(4038), 1,
      sym_type,
    STATE(4119), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(4042), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [219212] = 21,
    ACTIONS(509), 1,
      anon_sym_distinct,
    ACTIONS(1627), 1,
      sym_identifier,
    ACTIONS(1629), 1,
      anon_sym_proc,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1640), 1,
      anon_sym_DOLLAR,
    ACTIONS(1647), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1654), 1,
      anon_sym_map,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(1658), 1,
      anon_sym_matrix,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(8548), 1,
      anon_sym_LPAREN,
    ACTIONS(8638), 1,
      anon_sym_LBRACK,
    ACTIONS(8640), 1,
      anon_sym_CARET,
    ACTIONS(8662), 1,
      sym_tag,
    STATE(2671), 1,
      sym_type,
    STATE(2754), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [219295] = 21,
    ACTIONS(2403), 1,
      sym_identifier,
    ACTIONS(2405), 1,
      anon_sym_proc,
    ACTIONS(2407), 1,
      anon_sym_struct,
    ACTIONS(2409), 1,
      anon_sym_enum,
    ACTIONS(2411), 1,
      anon_sym_union,
    ACTIONS(2416), 1,
      anon_sym_DOLLAR,
    ACTIONS(2423), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2428), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2430), 1,
      anon_sym_map,
    ACTIONS(2432), 1,
      anon_sym_bit_set,
    ACTIONS(2434), 1,
      anon_sym_matrix,
    ACTIONS(2436), 1,
      anon_sym_distinct,
    ACTIONS(2438), 1,
      sym_tag,
    ACTIONS(9210), 1,
      anon_sym_LPAREN,
    ACTIONS(9212), 1,
      anon_sym_BANG,
    ACTIONS(9216), 1,
      anon_sym_CARET,
    ACTIONS(9376), 1,
      anon_sym_LBRACK,
    STATE(4039), 1,
      sym_type,
    STATE(4119), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(4042), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [219378] = 21,
    ACTIONS(641), 1,
      anon_sym_distinct,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2187), 1,
      anon_sym_proc,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2199), 1,
      anon_sym_DOLLAR,
    ACTIONS(2207), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2215), 1,
      anon_sym_map,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(2219), 1,
      anon_sym_matrix,
    ACTIONS(2221), 1,
      sym_tag,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(9186), 1,
      anon_sym_LBRACK,
    ACTIONS(9188), 1,
      anon_sym_CARET,
    STATE(3279), 1,
      sym_procedure,
    STATE(3761), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [219461] = 21,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    STATE(3279), 1,
      sym_procedure,
    STATE(7455), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [219544] = 21,
    ACTIONS(1965), 1,
      sym_identifier,
    ACTIONS(1967), 1,
      anon_sym_proc,
    ACTIONS(1969), 1,
      anon_sym_struct,
    ACTIONS(1971), 1,
      anon_sym_enum,
    ACTIONS(1973), 1,
      anon_sym_union,
    ACTIONS(1978), 1,
      anon_sym_DOLLAR,
    ACTIONS(1985), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1990), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1992), 1,
      anon_sym_map,
    ACTIONS(1994), 1,
      anon_sym_bit_set,
    ACTIONS(1996), 1,
      anon_sym_matrix,
    ACTIONS(1998), 1,
      anon_sym_distinct,
    ACTIONS(7735), 1,
      anon_sym_BANG,
    ACTIONS(8065), 1,
      anon_sym_LPAREN,
    ACTIONS(9290), 1,
      anon_sym_LBRACK,
    ACTIONS(9292), 1,
      anon_sym_CARET,
    ACTIONS(9378), 1,
      sym_tag,
    STATE(3684), 1,
      sym_procedure,
    STATE(3731), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3686), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [219627] = 21,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    STATE(3279), 1,
      sym_procedure,
    STATE(6739), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [219710] = 21,
    ACTIONS(1867), 1,
      sym_identifier,
    ACTIONS(1871), 1,
      anon_sym_struct,
    ACTIONS(1873), 1,
      anon_sym_enum,
    ACTIONS(1875), 1,
      anon_sym_union,
    ACTIONS(1892), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1896), 1,
      anon_sym_bit_set,
    ACTIONS(8162), 1,
      anon_sym_proc,
    ACTIONS(8164), 1,
      anon_sym_DOLLAR,
    ACTIONS(8166), 1,
      anon_sym_BANG,
    ACTIONS(8168), 1,
      anon_sym_LBRACK,
    ACTIONS(8170), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8172), 1,
      anon_sym_CARET,
    ACTIONS(8174), 1,
      anon_sym_map,
    ACTIONS(8176), 1,
      anon_sym_matrix,
    ACTIONS(8178), 1,
      anon_sym_distinct,
    ACTIONS(8180), 1,
      sym_tag,
    ACTIONS(8321), 1,
      anon_sym_LPAREN,
    STATE(3458), 1,
      sym_procedure,
    STATE(7133), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3471), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [219793] = 21,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    STATE(3279), 1,
      sym_procedure,
    STATE(7055), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [219876] = 21,
    ACTIONS(1867), 1,
      sym_identifier,
    ACTIONS(1871), 1,
      anon_sym_struct,
    ACTIONS(1873), 1,
      anon_sym_enum,
    ACTIONS(1875), 1,
      anon_sym_union,
    ACTIONS(1892), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1896), 1,
      anon_sym_bit_set,
    ACTIONS(8162), 1,
      anon_sym_proc,
    ACTIONS(8164), 1,
      anon_sym_DOLLAR,
    ACTIONS(8166), 1,
      anon_sym_BANG,
    ACTIONS(8168), 1,
      anon_sym_LBRACK,
    ACTIONS(8170), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8172), 1,
      anon_sym_CARET,
    ACTIONS(8174), 1,
      anon_sym_map,
    ACTIONS(8176), 1,
      anon_sym_matrix,
    ACTIONS(8178), 1,
      anon_sym_distinct,
    ACTIONS(8180), 1,
      sym_tag,
    ACTIONS(8321), 1,
      anon_sym_LPAREN,
    STATE(3458), 1,
      sym_procedure,
    STATE(7168), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3471), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [219959] = 21,
    ACTIONS(111), 1,
      anon_sym_distinct,
    ACTIONS(1141), 1,
      sym_identifier,
    ACTIONS(1143), 1,
      anon_sym_proc,
    ACTIONS(1145), 1,
      anon_sym_struct,
    ACTIONS(1147), 1,
      anon_sym_enum,
    ACTIONS(1149), 1,
      anon_sym_union,
    ACTIONS(1154), 1,
      anon_sym_DOLLAR,
    ACTIONS(1161), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1166), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1168), 1,
      anon_sym_map,
    ACTIONS(1170), 1,
      anon_sym_bit_set,
    ACTIONS(1172), 1,
      anon_sym_matrix,
    ACTIONS(1174), 1,
      sym_tag,
    ACTIONS(9262), 1,
      anon_sym_LPAREN,
    ACTIONS(9264), 1,
      anon_sym_BANG,
    ACTIONS(9266), 1,
      anon_sym_LBRACK,
    ACTIONS(9268), 1,
      anon_sym_CARET,
    STATE(2350), 1,
      sym_procedure,
    STATE(2374), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2262), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [220042] = 21,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    STATE(3279), 1,
      sym_procedure,
    STATE(7090), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [220125] = 21,
    ACTIONS(275), 1,
      anon_sym_distinct,
    ACTIONS(1331), 1,
      sym_identifier,
    ACTIONS(1333), 1,
      anon_sym_proc,
    ACTIONS(1335), 1,
      anon_sym_struct,
    ACTIONS(1337), 1,
      anon_sym_enum,
    ACTIONS(1339), 1,
      anon_sym_union,
    ACTIONS(1344), 1,
      anon_sym_DOLLAR,
    ACTIONS(1351), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1356), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1358), 1,
      anon_sym_map,
    ACTIONS(1360), 1,
      anon_sym_bit_set,
    ACTIONS(1362), 1,
      anon_sym_matrix,
    ACTIONS(1364), 1,
      sym_tag,
    ACTIONS(9236), 1,
      anon_sym_LPAREN,
    ACTIONS(9238), 1,
      anon_sym_BANG,
    ACTIONS(9240), 1,
      anon_sym_LBRACK,
    ACTIONS(9242), 1,
      anon_sym_CARET,
    STATE(2453), 1,
      sym_procedure,
    STATE(2493), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2497), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [220208] = 21,
    ACTIONS(1867), 1,
      sym_identifier,
    ACTIONS(1871), 1,
      anon_sym_struct,
    ACTIONS(1873), 1,
      anon_sym_enum,
    ACTIONS(1875), 1,
      anon_sym_union,
    ACTIONS(1892), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1896), 1,
      anon_sym_bit_set,
    ACTIONS(8162), 1,
      anon_sym_proc,
    ACTIONS(8164), 1,
      anon_sym_DOLLAR,
    ACTIONS(8166), 1,
      anon_sym_BANG,
    ACTIONS(8168), 1,
      anon_sym_LBRACK,
    ACTIONS(8170), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8172), 1,
      anon_sym_CARET,
    ACTIONS(8174), 1,
      anon_sym_map,
    ACTIONS(8176), 1,
      anon_sym_matrix,
    ACTIONS(8178), 1,
      anon_sym_distinct,
    ACTIONS(8180), 1,
      sym_tag,
    ACTIONS(8321), 1,
      anon_sym_LPAREN,
    STATE(3458), 1,
      sym_procedure,
    STATE(7199), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3471), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [220291] = 21,
    ACTIONS(1867), 1,
      sym_identifier,
    ACTIONS(1871), 1,
      anon_sym_struct,
    ACTIONS(1873), 1,
      anon_sym_enum,
    ACTIONS(1875), 1,
      anon_sym_union,
    ACTIONS(1892), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1896), 1,
      anon_sym_bit_set,
    ACTIONS(8162), 1,
      anon_sym_proc,
    ACTIONS(8164), 1,
      anon_sym_DOLLAR,
    ACTIONS(8166), 1,
      anon_sym_BANG,
    ACTIONS(8168), 1,
      anon_sym_LBRACK,
    ACTIONS(8170), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8172), 1,
      anon_sym_CARET,
    ACTIONS(8174), 1,
      anon_sym_map,
    ACTIONS(8176), 1,
      anon_sym_matrix,
    ACTIONS(8178), 1,
      anon_sym_distinct,
    ACTIONS(8180), 1,
      sym_tag,
    ACTIONS(8321), 1,
      anon_sym_LPAREN,
    STATE(3458), 1,
      sym_procedure,
    STATE(7200), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3471), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [220374] = 21,
    ACTIONS(223), 1,
      anon_sym_distinct,
    ACTIONS(1105), 1,
      sym_identifier,
    ACTIONS(1107), 1,
      anon_sym_proc,
    ACTIONS(1109), 1,
      anon_sym_struct,
    ACTIONS(1111), 1,
      anon_sym_enum,
    ACTIONS(1113), 1,
      anon_sym_union,
    ACTIONS(1118), 1,
      anon_sym_DOLLAR,
    ACTIONS(1125), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1130), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1132), 1,
      anon_sym_map,
    ACTIONS(1134), 1,
      anon_sym_bit_set,
    ACTIONS(1136), 1,
      anon_sym_matrix,
    ACTIONS(8526), 1,
      anon_sym_LPAREN,
    ACTIONS(8528), 1,
      anon_sym_BANG,
    ACTIONS(8532), 1,
      anon_sym_CARET,
    ACTIONS(8534), 1,
      sym_tag,
    ACTIONS(8750), 1,
      anon_sym_LBRACK,
    STATE(2175), 1,
      sym_procedure,
    STATE(2180), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2177), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [220457] = 21,
    ACTIONS(325), 1,
      anon_sym_distinct,
    ACTIONS(1441), 1,
      sym_identifier,
    ACTIONS(1443), 1,
      anon_sym_proc,
    ACTIONS(1445), 1,
      anon_sym_struct,
    ACTIONS(1447), 1,
      anon_sym_enum,
    ACTIONS(1449), 1,
      anon_sym_union,
    ACTIONS(1455), 1,
      anon_sym_DOLLAR,
    ACTIONS(1463), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1469), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1471), 1,
      anon_sym_map,
    ACTIONS(1473), 1,
      anon_sym_bit_set,
    ACTIONS(1475), 1,
      anon_sym_matrix,
    ACTIONS(1477), 1,
      sym_tag,
    ACTIONS(9296), 1,
      anon_sym_LPAREN,
    ACTIONS(9298), 1,
      anon_sym_BANG,
    ACTIONS(9302), 1,
      anon_sym_CARET,
    ACTIONS(9380), 1,
      anon_sym_LBRACK,
    STATE(2675), 1,
      sym_procedure,
    STATE(2770), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2697), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [220540] = 21,
    ACTIONS(1867), 1,
      sym_identifier,
    ACTIONS(1871), 1,
      anon_sym_struct,
    ACTIONS(1873), 1,
      anon_sym_enum,
    ACTIONS(1875), 1,
      anon_sym_union,
    ACTIONS(1892), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1896), 1,
      anon_sym_bit_set,
    ACTIONS(8162), 1,
      anon_sym_proc,
    ACTIONS(8164), 1,
      anon_sym_DOLLAR,
    ACTIONS(8166), 1,
      anon_sym_BANG,
    ACTIONS(8168), 1,
      anon_sym_LBRACK,
    ACTIONS(8170), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8172), 1,
      anon_sym_CARET,
    ACTIONS(8174), 1,
      anon_sym_map,
    ACTIONS(8176), 1,
      anon_sym_matrix,
    ACTIONS(8178), 1,
      anon_sym_distinct,
    ACTIONS(8180), 1,
      sym_tag,
    ACTIONS(8321), 1,
      anon_sym_LPAREN,
    STATE(3458), 1,
      sym_procedure,
    STATE(7249), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3471), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [220623] = 21,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    STATE(3279), 1,
      sym_procedure,
    STATE(7257), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [220706] = 21,
    ACTIONS(1867), 1,
      sym_identifier,
    ACTIONS(1871), 1,
      anon_sym_struct,
    ACTIONS(1873), 1,
      anon_sym_enum,
    ACTIONS(1875), 1,
      anon_sym_union,
    ACTIONS(1892), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1896), 1,
      anon_sym_bit_set,
    ACTIONS(8162), 1,
      anon_sym_proc,
    ACTIONS(8164), 1,
      anon_sym_DOLLAR,
    ACTIONS(8166), 1,
      anon_sym_BANG,
    ACTIONS(8168), 1,
      anon_sym_LBRACK,
    ACTIONS(8170), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8172), 1,
      anon_sym_CARET,
    ACTIONS(8174), 1,
      anon_sym_map,
    ACTIONS(8176), 1,
      anon_sym_matrix,
    ACTIONS(8178), 1,
      anon_sym_distinct,
    ACTIONS(8180), 1,
      sym_tag,
    ACTIONS(8321), 1,
      anon_sym_LPAREN,
    STATE(3458), 1,
      sym_procedure,
    STATE(7282), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3471), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [220789] = 21,
    ACTIONS(477), 1,
      anon_sym_distinct,
    ACTIONS(1675), 1,
      sym_identifier,
    ACTIONS(1677), 1,
      anon_sym_proc,
    ACTIONS(1679), 1,
      anon_sym_struct,
    ACTIONS(1681), 1,
      anon_sym_enum,
    ACTIONS(1683), 1,
      anon_sym_union,
    ACTIONS(1688), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1700), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1702), 1,
      anon_sym_map,
    ACTIONS(1704), 1,
      anon_sym_bit_set,
    ACTIONS(1706), 1,
      anon_sym_matrix,
    ACTIONS(7291), 1,
      anon_sym_BANG,
    ACTIONS(8668), 1,
      anon_sym_LPAREN,
    ACTIONS(8682), 1,
      anon_sym_CARET,
    ACTIONS(8684), 1,
      sym_tag,
    ACTIONS(8718), 1,
      anon_sym_LBRACK,
    STATE(3172), 1,
      sym_procedure,
    STATE(3207), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3208), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [220872] = 21,
    ACTIONS(1867), 1,
      sym_identifier,
    ACTIONS(1871), 1,
      anon_sym_struct,
    ACTIONS(1873), 1,
      anon_sym_enum,
    ACTIONS(1875), 1,
      anon_sym_union,
    ACTIONS(1892), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1896), 1,
      anon_sym_bit_set,
    ACTIONS(8162), 1,
      anon_sym_proc,
    ACTIONS(8164), 1,
      anon_sym_DOLLAR,
    ACTIONS(8166), 1,
      anon_sym_BANG,
    ACTIONS(8168), 1,
      anon_sym_LBRACK,
    ACTIONS(8170), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8172), 1,
      anon_sym_CARET,
    ACTIONS(8174), 1,
      anon_sym_map,
    ACTIONS(8176), 1,
      anon_sym_matrix,
    ACTIONS(8178), 1,
      anon_sym_distinct,
    ACTIONS(8180), 1,
      sym_tag,
    ACTIONS(8321), 1,
      anon_sym_LPAREN,
    STATE(3458), 1,
      sym_procedure,
    STATE(7310), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3471), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [220955] = 21,
    ACTIONS(1867), 1,
      sym_identifier,
    ACTIONS(1871), 1,
      anon_sym_struct,
    ACTIONS(1873), 1,
      anon_sym_enum,
    ACTIONS(1875), 1,
      anon_sym_union,
    ACTIONS(1892), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1896), 1,
      anon_sym_bit_set,
    ACTIONS(8162), 1,
      anon_sym_proc,
    ACTIONS(8164), 1,
      anon_sym_DOLLAR,
    ACTIONS(8166), 1,
      anon_sym_BANG,
    ACTIONS(8168), 1,
      anon_sym_LBRACK,
    ACTIONS(8170), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8172), 1,
      anon_sym_CARET,
    ACTIONS(8174), 1,
      anon_sym_map,
    ACTIONS(8176), 1,
      anon_sym_matrix,
    ACTIONS(8178), 1,
      anon_sym_distinct,
    ACTIONS(8180), 1,
      sym_tag,
    ACTIONS(8321), 1,
      anon_sym_LPAREN,
    STATE(3458), 1,
      sym_procedure,
    STATE(7312), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3471), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [221038] = 21,
    ACTIONS(1867), 1,
      sym_identifier,
    ACTIONS(1871), 1,
      anon_sym_struct,
    ACTIONS(1873), 1,
      anon_sym_enum,
    ACTIONS(1875), 1,
      anon_sym_union,
    ACTIONS(1892), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1896), 1,
      anon_sym_bit_set,
    ACTIONS(8162), 1,
      anon_sym_proc,
    ACTIONS(8164), 1,
      anon_sym_DOLLAR,
    ACTIONS(8166), 1,
      anon_sym_BANG,
    ACTIONS(8168), 1,
      anon_sym_LBRACK,
    ACTIONS(8170), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8172), 1,
      anon_sym_CARET,
    ACTIONS(8174), 1,
      anon_sym_map,
    ACTIONS(8176), 1,
      anon_sym_matrix,
    ACTIONS(8178), 1,
      anon_sym_distinct,
    ACTIONS(8180), 1,
      sym_tag,
    ACTIONS(8321), 1,
      anon_sym_LPAREN,
    STATE(3458), 1,
      sym_procedure,
    STATE(7336), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3471), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [221121] = 21,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    STATE(3279), 1,
      sym_procedure,
    STATE(7337), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [221204] = 21,
    ACTIONS(1867), 1,
      sym_identifier,
    ACTIONS(1871), 1,
      anon_sym_struct,
    ACTIONS(1873), 1,
      anon_sym_enum,
    ACTIONS(1875), 1,
      anon_sym_union,
    ACTIONS(1892), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1896), 1,
      anon_sym_bit_set,
    ACTIONS(8162), 1,
      anon_sym_proc,
    ACTIONS(8164), 1,
      anon_sym_DOLLAR,
    ACTIONS(8166), 1,
      anon_sym_BANG,
    ACTIONS(8168), 1,
      anon_sym_LBRACK,
    ACTIONS(8170), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8172), 1,
      anon_sym_CARET,
    ACTIONS(8174), 1,
      anon_sym_map,
    ACTIONS(8176), 1,
      anon_sym_matrix,
    ACTIONS(8178), 1,
      anon_sym_distinct,
    ACTIONS(8180), 1,
      sym_tag,
    ACTIONS(8321), 1,
      anon_sym_LPAREN,
    STATE(3458), 1,
      sym_procedure,
    STATE(7359), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3471), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [221287] = 21,
    ACTIONS(2014), 1,
      sym_identifier,
    ACTIONS(2018), 1,
      anon_sym_struct,
    ACTIONS(2020), 1,
      anon_sym_enum,
    ACTIONS(2022), 1,
      anon_sym_union,
    ACTIONS(2042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2046), 1,
      anon_sym_bit_set,
    ACTIONS(7394), 1,
      anon_sym_proc,
    ACTIONS(7396), 1,
      anon_sym_DOLLAR,
    ACTIONS(7398), 1,
      anon_sym_BANG,
    ACTIONS(7400), 1,
      anon_sym_LBRACK,
    ACTIONS(7402), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7404), 1,
      anon_sym_CARET,
    ACTIONS(7406), 1,
      anon_sym_map,
    ACTIONS(7408), 1,
      anon_sym_matrix,
    ACTIONS(7410), 1,
      anon_sym_distinct,
    ACTIONS(8604), 1,
      anon_sym_LPAREN,
    ACTIONS(8608), 1,
      sym_tag,
    STATE(3472), 1,
      sym_procedure,
    STATE(6199), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3450), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [221370] = 21,
    ACTIONS(1867), 1,
      sym_identifier,
    ACTIONS(1871), 1,
      anon_sym_struct,
    ACTIONS(1873), 1,
      anon_sym_enum,
    ACTIONS(1875), 1,
      anon_sym_union,
    ACTIONS(1892), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1896), 1,
      anon_sym_bit_set,
    ACTIONS(8162), 1,
      anon_sym_proc,
    ACTIONS(8164), 1,
      anon_sym_DOLLAR,
    ACTIONS(8166), 1,
      anon_sym_BANG,
    ACTIONS(8168), 1,
      anon_sym_LBRACK,
    ACTIONS(8170), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8172), 1,
      anon_sym_CARET,
    ACTIONS(8174), 1,
      anon_sym_map,
    ACTIONS(8176), 1,
      anon_sym_matrix,
    ACTIONS(8178), 1,
      anon_sym_distinct,
    ACTIONS(8180), 1,
      sym_tag,
    ACTIONS(8321), 1,
      anon_sym_LPAREN,
    STATE(3458), 1,
      sym_procedure,
    STATE(7415), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3471), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [221453] = 21,
    ACTIONS(1867), 1,
      sym_identifier,
    ACTIONS(1871), 1,
      anon_sym_struct,
    ACTIONS(1873), 1,
      anon_sym_enum,
    ACTIONS(1875), 1,
      anon_sym_union,
    ACTIONS(1892), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1896), 1,
      anon_sym_bit_set,
    ACTIONS(8162), 1,
      anon_sym_proc,
    ACTIONS(8164), 1,
      anon_sym_DOLLAR,
    ACTIONS(8166), 1,
      anon_sym_BANG,
    ACTIONS(8168), 1,
      anon_sym_LBRACK,
    ACTIONS(8170), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8172), 1,
      anon_sym_CARET,
    ACTIONS(8174), 1,
      anon_sym_map,
    ACTIONS(8176), 1,
      anon_sym_matrix,
    ACTIONS(8178), 1,
      anon_sym_distinct,
    ACTIONS(8180), 1,
      sym_tag,
    ACTIONS(8321), 1,
      anon_sym_LPAREN,
    STATE(3458), 1,
      sym_procedure,
    STATE(7416), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3471), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [221536] = 21,
    ACTIONS(1867), 1,
      sym_identifier,
    ACTIONS(1871), 1,
      anon_sym_struct,
    ACTIONS(1873), 1,
      anon_sym_enum,
    ACTIONS(1875), 1,
      anon_sym_union,
    ACTIONS(1892), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1896), 1,
      anon_sym_bit_set,
    ACTIONS(8162), 1,
      anon_sym_proc,
    ACTIONS(8164), 1,
      anon_sym_DOLLAR,
    ACTIONS(8166), 1,
      anon_sym_BANG,
    ACTIONS(8168), 1,
      anon_sym_LBRACK,
    ACTIONS(8170), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8172), 1,
      anon_sym_CARET,
    ACTIONS(8174), 1,
      anon_sym_map,
    ACTIONS(8176), 1,
      anon_sym_matrix,
    ACTIONS(8178), 1,
      anon_sym_distinct,
    ACTIONS(8180), 1,
      sym_tag,
    ACTIONS(8321), 1,
      anon_sym_LPAREN,
    STATE(3458), 1,
      sym_procedure,
    STATE(7444), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3471), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [221619] = 21,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    STATE(3279), 1,
      sym_procedure,
    STATE(7447), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [221702] = 21,
    ACTIONS(1867), 1,
      sym_identifier,
    ACTIONS(1871), 1,
      anon_sym_struct,
    ACTIONS(1873), 1,
      anon_sym_enum,
    ACTIONS(1875), 1,
      anon_sym_union,
    ACTIONS(1892), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1896), 1,
      anon_sym_bit_set,
    ACTIONS(8162), 1,
      anon_sym_proc,
    ACTIONS(8164), 1,
      anon_sym_DOLLAR,
    ACTIONS(8166), 1,
      anon_sym_BANG,
    ACTIONS(8168), 1,
      anon_sym_LBRACK,
    ACTIONS(8170), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8172), 1,
      anon_sym_CARET,
    ACTIONS(8174), 1,
      anon_sym_map,
    ACTIONS(8176), 1,
      anon_sym_matrix,
    ACTIONS(8178), 1,
      anon_sym_distinct,
    ACTIONS(8180), 1,
      sym_tag,
    ACTIONS(8321), 1,
      anon_sym_LPAREN,
    STATE(3458), 1,
      sym_procedure,
    STATE(7463), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3471), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [221785] = 21,
    ACTIONS(585), 1,
      anon_sym_proc,
    ACTIONS(2241), 1,
      sym_identifier,
    ACTIONS(2245), 1,
      anon_sym_struct,
    ACTIONS(2247), 1,
      anon_sym_enum,
    ACTIONS(2249), 1,
      anon_sym_union,
    ACTIONS(2266), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2270), 1,
      anon_sym_bit_set,
    ACTIONS(7574), 1,
      anon_sym_DOLLAR,
    ACTIONS(7576), 1,
      anon_sym_BANG,
    ACTIONS(7578), 1,
      anon_sym_LBRACK,
    ACTIONS(7580), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7582), 1,
      anon_sym_CARET,
    ACTIONS(7584), 1,
      anon_sym_map,
    ACTIONS(7586), 1,
      anon_sym_matrix,
    ACTIONS(7588), 1,
      anon_sym_distinct,
    ACTIONS(7590), 1,
      sym_tag,
    ACTIONS(7887), 1,
      anon_sym_LPAREN,
    STATE(3701), 1,
      sym_type,
    STATE(3705), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3649), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [221868] = 21,
    ACTIONS(1867), 1,
      sym_identifier,
    ACTIONS(1871), 1,
      anon_sym_struct,
    ACTIONS(1873), 1,
      anon_sym_enum,
    ACTIONS(1875), 1,
      anon_sym_union,
    ACTIONS(1892), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1896), 1,
      anon_sym_bit_set,
    ACTIONS(8162), 1,
      anon_sym_proc,
    ACTIONS(8164), 1,
      anon_sym_DOLLAR,
    ACTIONS(8166), 1,
      anon_sym_BANG,
    ACTIONS(8168), 1,
      anon_sym_LBRACK,
    ACTIONS(8170), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8172), 1,
      anon_sym_CARET,
    ACTIONS(8174), 1,
      anon_sym_map,
    ACTIONS(8176), 1,
      anon_sym_matrix,
    ACTIONS(8178), 1,
      anon_sym_distinct,
    ACTIONS(8180), 1,
      sym_tag,
    ACTIONS(8321), 1,
      anon_sym_LPAREN,
    STATE(3458), 1,
      sym_procedure,
    STATE(7558), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3471), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [221951] = 21,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    STATE(3279), 1,
      sym_procedure,
    STATE(7559), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [222034] = 21,
    ACTIONS(1867), 1,
      sym_identifier,
    ACTIONS(1871), 1,
      anon_sym_struct,
    ACTIONS(1873), 1,
      anon_sym_enum,
    ACTIONS(1875), 1,
      anon_sym_union,
    ACTIONS(1892), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1896), 1,
      anon_sym_bit_set,
    ACTIONS(8162), 1,
      anon_sym_proc,
    ACTIONS(8164), 1,
      anon_sym_DOLLAR,
    ACTIONS(8166), 1,
      anon_sym_BANG,
    ACTIONS(8168), 1,
      anon_sym_LBRACK,
    ACTIONS(8170), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8172), 1,
      anon_sym_CARET,
    ACTIONS(8174), 1,
      anon_sym_map,
    ACTIONS(8176), 1,
      anon_sym_matrix,
    ACTIONS(8178), 1,
      anon_sym_distinct,
    ACTIONS(8180), 1,
      sym_tag,
    ACTIONS(8321), 1,
      anon_sym_LPAREN,
    STATE(3458), 1,
      sym_procedure,
    STATE(7581), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3471), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [222117] = 21,
    ACTIONS(585), 1,
      anon_sym_proc,
    ACTIONS(2241), 1,
      sym_identifier,
    ACTIONS(2245), 1,
      anon_sym_struct,
    ACTIONS(2247), 1,
      anon_sym_enum,
    ACTIONS(2249), 1,
      anon_sym_union,
    ACTIONS(2266), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2270), 1,
      anon_sym_bit_set,
    ACTIONS(7574), 1,
      anon_sym_DOLLAR,
    ACTIONS(7576), 1,
      anon_sym_BANG,
    ACTIONS(7580), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7582), 1,
      anon_sym_CARET,
    ACTIONS(7584), 1,
      anon_sym_map,
    ACTIONS(7586), 1,
      anon_sym_matrix,
    ACTIONS(7588), 1,
      anon_sym_distinct,
    ACTIONS(7590), 1,
      sym_tag,
    ACTIONS(7887), 1,
      anon_sym_LPAREN,
    ACTIONS(9382), 1,
      anon_sym_LBRACK,
    STATE(3705), 1,
      sym_procedure,
    STATE(6346), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3649), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [222200] = 21,
    ACTIONS(1867), 1,
      sym_identifier,
    ACTIONS(1871), 1,
      anon_sym_struct,
    ACTIONS(1873), 1,
      anon_sym_enum,
    ACTIONS(1875), 1,
      anon_sym_union,
    ACTIONS(1892), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1896), 1,
      anon_sym_bit_set,
    ACTIONS(8162), 1,
      anon_sym_proc,
    ACTIONS(8164), 1,
      anon_sym_DOLLAR,
    ACTIONS(8166), 1,
      anon_sym_BANG,
    ACTIONS(8168), 1,
      anon_sym_LBRACK,
    ACTIONS(8170), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8172), 1,
      anon_sym_CARET,
    ACTIONS(8174), 1,
      anon_sym_map,
    ACTIONS(8176), 1,
      anon_sym_matrix,
    ACTIONS(8178), 1,
      anon_sym_distinct,
    ACTIONS(8180), 1,
      sym_tag,
    ACTIONS(8321), 1,
      anon_sym_LPAREN,
    STATE(3458), 1,
      sym_procedure,
    STATE(7617), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3471), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [222283] = 21,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    STATE(3279), 1,
      sym_procedure,
    STATE(7618), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [222366] = 21,
    ACTIONS(1867), 1,
      sym_identifier,
    ACTIONS(1871), 1,
      anon_sym_struct,
    ACTIONS(1873), 1,
      anon_sym_enum,
    ACTIONS(1875), 1,
      anon_sym_union,
    ACTIONS(1892), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1896), 1,
      anon_sym_bit_set,
    ACTIONS(8162), 1,
      anon_sym_proc,
    ACTIONS(8164), 1,
      anon_sym_DOLLAR,
    ACTIONS(8166), 1,
      anon_sym_BANG,
    ACTIONS(8168), 1,
      anon_sym_LBRACK,
    ACTIONS(8170), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8172), 1,
      anon_sym_CARET,
    ACTIONS(8174), 1,
      anon_sym_map,
    ACTIONS(8176), 1,
      anon_sym_matrix,
    ACTIONS(8178), 1,
      anon_sym_distinct,
    ACTIONS(8180), 1,
      sym_tag,
    ACTIONS(8321), 1,
      anon_sym_LPAREN,
    STATE(3458), 1,
      sym_procedure,
    STATE(7625), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3471), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [222449] = 21,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(8280), 1,
      anon_sym_proc,
    ACTIONS(8282), 1,
      anon_sym_DOLLAR,
    ACTIONS(8286), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8288), 1,
      anon_sym_CARET,
    ACTIONS(8290), 1,
      anon_sym_map,
    ACTIONS(8292), 1,
      anon_sym_matrix,
    ACTIONS(8294), 1,
      anon_sym_distinct,
    ACTIONS(8296), 1,
      sym_tag,
    ACTIONS(9260), 1,
      anon_sym_LBRACK,
    STATE(3279), 1,
      sym_procedure,
    STATE(6493), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [222532] = 21,
    ACTIONS(1867), 1,
      sym_identifier,
    ACTIONS(1871), 1,
      anon_sym_struct,
    ACTIONS(1873), 1,
      anon_sym_enum,
    ACTIONS(1875), 1,
      anon_sym_union,
    ACTIONS(1892), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1896), 1,
      anon_sym_bit_set,
    ACTIONS(8162), 1,
      anon_sym_proc,
    ACTIONS(8164), 1,
      anon_sym_DOLLAR,
    ACTIONS(8166), 1,
      anon_sym_BANG,
    ACTIONS(8168), 1,
      anon_sym_LBRACK,
    ACTIONS(8170), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8172), 1,
      anon_sym_CARET,
    ACTIONS(8174), 1,
      anon_sym_map,
    ACTIONS(8176), 1,
      anon_sym_matrix,
    ACTIONS(8178), 1,
      anon_sym_distinct,
    ACTIONS(8180), 1,
      sym_tag,
    ACTIONS(8321), 1,
      anon_sym_LPAREN,
    STATE(3458), 1,
      sym_procedure,
    STATE(7720), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3471), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [222615] = 21,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    STATE(3279), 1,
      sym_procedure,
    STATE(7721), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [222698] = 21,
    ACTIONS(1867), 1,
      sym_identifier,
    ACTIONS(1871), 1,
      anon_sym_struct,
    ACTIONS(1873), 1,
      anon_sym_enum,
    ACTIONS(1875), 1,
      anon_sym_union,
    ACTIONS(1892), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1896), 1,
      anon_sym_bit_set,
    ACTIONS(8162), 1,
      anon_sym_proc,
    ACTIONS(8164), 1,
      anon_sym_DOLLAR,
    ACTIONS(8166), 1,
      anon_sym_BANG,
    ACTIONS(8168), 1,
      anon_sym_LBRACK,
    ACTIONS(8170), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8172), 1,
      anon_sym_CARET,
    ACTIONS(8174), 1,
      anon_sym_map,
    ACTIONS(8176), 1,
      anon_sym_matrix,
    ACTIONS(8178), 1,
      anon_sym_distinct,
    ACTIONS(8180), 1,
      sym_tag,
    ACTIONS(8321), 1,
      anon_sym_LPAREN,
    STATE(3458), 1,
      sym_procedure,
    STATE(7728), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3471), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [222781] = 21,
    ACTIONS(509), 1,
      anon_sym_distinct,
    ACTIONS(1627), 1,
      sym_identifier,
    ACTIONS(1629), 1,
      anon_sym_proc,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1640), 1,
      anon_sym_DOLLAR,
    ACTIONS(1647), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1654), 1,
      anon_sym_map,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(1658), 1,
      anon_sym_matrix,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(8548), 1,
      anon_sym_LPAREN,
    ACTIONS(8638), 1,
      anon_sym_LBRACK,
    ACTIONS(8640), 1,
      anon_sym_CARET,
    ACTIONS(8662), 1,
      sym_tag,
    STATE(2754), 1,
      sym_procedure,
    STATE(3142), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [222864] = 21,
    ACTIONS(1867), 1,
      sym_identifier,
    ACTIONS(1871), 1,
      anon_sym_struct,
    ACTIONS(1873), 1,
      anon_sym_enum,
    ACTIONS(1875), 1,
      anon_sym_union,
    ACTIONS(1892), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1896), 1,
      anon_sym_bit_set,
    ACTIONS(8162), 1,
      anon_sym_proc,
    ACTIONS(8164), 1,
      anon_sym_DOLLAR,
    ACTIONS(8166), 1,
      anon_sym_BANG,
    ACTIONS(8168), 1,
      anon_sym_LBRACK,
    ACTIONS(8170), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8172), 1,
      anon_sym_CARET,
    ACTIONS(8174), 1,
      anon_sym_map,
    ACTIONS(8176), 1,
      anon_sym_matrix,
    ACTIONS(8178), 1,
      anon_sym_distinct,
    ACTIONS(8180), 1,
      sym_tag,
    ACTIONS(8321), 1,
      anon_sym_LPAREN,
    STATE(3458), 1,
      sym_procedure,
    STATE(7062), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3471), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [222947] = 21,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    STATE(3279), 1,
      sym_procedure,
    STATE(7063), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [223030] = 21,
    ACTIONS(1867), 1,
      sym_identifier,
    ACTIONS(1871), 1,
      anon_sym_struct,
    ACTIONS(1873), 1,
      anon_sym_enum,
    ACTIONS(1875), 1,
      anon_sym_union,
    ACTIONS(1892), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1896), 1,
      anon_sym_bit_set,
    ACTIONS(8162), 1,
      anon_sym_proc,
    ACTIONS(8164), 1,
      anon_sym_DOLLAR,
    ACTIONS(8166), 1,
      anon_sym_BANG,
    ACTIONS(8168), 1,
      anon_sym_LBRACK,
    ACTIONS(8170), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8172), 1,
      anon_sym_CARET,
    ACTIONS(8174), 1,
      anon_sym_map,
    ACTIONS(8176), 1,
      anon_sym_matrix,
    ACTIONS(8178), 1,
      anon_sym_distinct,
    ACTIONS(8180), 1,
      sym_tag,
    ACTIONS(8321), 1,
      anon_sym_LPAREN,
    STATE(3458), 1,
      sym_procedure,
    STATE(7067), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3471), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [223113] = 21,
    ACTIONS(223), 1,
      anon_sym_distinct,
    ACTIONS(1105), 1,
      sym_identifier,
    ACTIONS(1107), 1,
      anon_sym_proc,
    ACTIONS(1109), 1,
      anon_sym_struct,
    ACTIONS(1111), 1,
      anon_sym_enum,
    ACTIONS(1113), 1,
      anon_sym_union,
    ACTIONS(1118), 1,
      anon_sym_DOLLAR,
    ACTIONS(1125), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1130), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1132), 1,
      anon_sym_map,
    ACTIONS(1134), 1,
      anon_sym_bit_set,
    ACTIONS(1136), 1,
      anon_sym_matrix,
    ACTIONS(8526), 1,
      anon_sym_LPAREN,
    ACTIONS(8528), 1,
      anon_sym_BANG,
    ACTIONS(8532), 1,
      anon_sym_CARET,
    ACTIONS(8534), 1,
      sym_tag,
    ACTIONS(8750), 1,
      anon_sym_LBRACK,
    STATE(2175), 1,
      sym_procedure,
    STATE(2248), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2177), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [223196] = 21,
    ACTIONS(1867), 1,
      sym_identifier,
    ACTIONS(1871), 1,
      anon_sym_struct,
    ACTIONS(1873), 1,
      anon_sym_enum,
    ACTIONS(1875), 1,
      anon_sym_union,
    ACTIONS(1892), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1896), 1,
      anon_sym_bit_set,
    ACTIONS(8162), 1,
      anon_sym_proc,
    ACTIONS(8164), 1,
      anon_sym_DOLLAR,
    ACTIONS(8166), 1,
      anon_sym_BANG,
    ACTIONS(8168), 1,
      anon_sym_LBRACK,
    ACTIONS(8170), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8172), 1,
      anon_sym_CARET,
    ACTIONS(8174), 1,
      anon_sym_map,
    ACTIONS(8176), 1,
      anon_sym_matrix,
    ACTIONS(8178), 1,
      anon_sym_distinct,
    ACTIONS(8180), 1,
      sym_tag,
    ACTIONS(8321), 1,
      anon_sym_LPAREN,
    STATE(3458), 1,
      sym_procedure,
    STATE(7083), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3471), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [223279] = 21,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    STATE(3279), 1,
      sym_procedure,
    STATE(7084), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [223362] = 21,
    ACTIONS(1867), 1,
      sym_identifier,
    ACTIONS(1871), 1,
      anon_sym_struct,
    ACTIONS(1873), 1,
      anon_sym_enum,
    ACTIONS(1875), 1,
      anon_sym_union,
    ACTIONS(1892), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1896), 1,
      anon_sym_bit_set,
    ACTIONS(8162), 1,
      anon_sym_proc,
    ACTIONS(8164), 1,
      anon_sym_DOLLAR,
    ACTIONS(8166), 1,
      anon_sym_BANG,
    ACTIONS(8168), 1,
      anon_sym_LBRACK,
    ACTIONS(8170), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8172), 1,
      anon_sym_CARET,
    ACTIONS(8174), 1,
      anon_sym_map,
    ACTIONS(8176), 1,
      anon_sym_matrix,
    ACTIONS(8178), 1,
      anon_sym_distinct,
    ACTIONS(8180), 1,
      sym_tag,
    ACTIONS(8321), 1,
      anon_sym_LPAREN,
    STATE(3458), 1,
      sym_procedure,
    STATE(7087), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3471), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [223445] = 21,
    ACTIONS(1867), 1,
      sym_identifier,
    ACTIONS(1871), 1,
      anon_sym_struct,
    ACTIONS(1873), 1,
      anon_sym_enum,
    ACTIONS(1875), 1,
      anon_sym_union,
    ACTIONS(1892), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1896), 1,
      anon_sym_bit_set,
    ACTIONS(8162), 1,
      anon_sym_proc,
    ACTIONS(8164), 1,
      anon_sym_DOLLAR,
    ACTIONS(8166), 1,
      anon_sym_BANG,
    ACTIONS(8168), 1,
      anon_sym_LBRACK,
    ACTIONS(8170), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8172), 1,
      anon_sym_CARET,
    ACTIONS(8174), 1,
      anon_sym_map,
    ACTIONS(8176), 1,
      anon_sym_matrix,
    ACTIONS(8178), 1,
      anon_sym_distinct,
    ACTIONS(8180), 1,
      sym_tag,
    ACTIONS(8321), 1,
      anon_sym_LPAREN,
    STATE(3458), 1,
      sym_procedure,
    STATE(7555), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3471), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [223528] = 21,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    STATE(3279), 1,
      sym_procedure,
    STATE(7096), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [223611] = 21,
    ACTIONS(357), 1,
      anon_sym_distinct,
    ACTIONS(1867), 1,
      sym_identifier,
    ACTIONS(1869), 1,
      anon_sym_proc,
    ACTIONS(1871), 1,
      anon_sym_struct,
    ACTIONS(1873), 1,
      anon_sym_enum,
    ACTIONS(1875), 1,
      anon_sym_union,
    ACTIONS(1880), 1,
      anon_sym_DOLLAR,
    ACTIONS(1887), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1892), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1894), 1,
      anon_sym_map,
    ACTIONS(1896), 1,
      anon_sym_bit_set,
    ACTIONS(1898), 1,
      anon_sym_matrix,
    ACTIONS(1900), 1,
      sym_tag,
    ACTIONS(8166), 1,
      anon_sym_BANG,
    ACTIONS(8321), 1,
      anon_sym_LPAREN,
    ACTIONS(9248), 1,
      anon_sym_LBRACK,
    ACTIONS(9250), 1,
      anon_sym_CARET,
    STATE(3458), 1,
      sym_procedure,
    STATE(3657), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3471), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [223694] = 21,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    STATE(3279), 1,
      sym_procedure,
    STATE(7108), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [223777] = 6,
    ACTIONS(6619), 1,
      anon_sym_LPAREN,
    ACTIONS(7683), 1,
      anon_sym_QMARK,
    ACTIONS(7681), 2,
      anon_sym_if,
      anon_sym_when,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(67), 24,
      anon_sym_DASH_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [223830] = 28,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9384), 1,
      anon_sym_COMMA,
    ACTIONS(9386), 1,
      anon_sym_EQ,
    ACTIONS(9388), 1,
      anon_sym_RPAREN,
    STATE(7431), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [223927] = 28,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9390), 1,
      anon_sym_COMMA,
    ACTIONS(9392), 1,
      anon_sym_EQ,
    ACTIONS(9394), 1,
      anon_sym_RPAREN,
    STATE(7261), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [224024] = 21,
    ACTIONS(357), 1,
      anon_sym_distinct,
    ACTIONS(1867), 1,
      sym_identifier,
    ACTIONS(1869), 1,
      anon_sym_proc,
    ACTIONS(1871), 1,
      anon_sym_struct,
    ACTIONS(1873), 1,
      anon_sym_enum,
    ACTIONS(1875), 1,
      anon_sym_union,
    ACTIONS(1880), 1,
      anon_sym_DOLLAR,
    ACTIONS(1887), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1892), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1894), 1,
      anon_sym_map,
    ACTIONS(1896), 1,
      anon_sym_bit_set,
    ACTIONS(1898), 1,
      anon_sym_matrix,
    ACTIONS(1900), 1,
      sym_tag,
    ACTIONS(8166), 1,
      anon_sym_BANG,
    ACTIONS(8321), 1,
      anon_sym_LPAREN,
    ACTIONS(9248), 1,
      anon_sym_LBRACK,
    ACTIONS(9250), 1,
      anon_sym_CARET,
    STATE(3458), 1,
      sym_procedure,
    STATE(4379), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3471), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [224107] = 21,
    ACTIONS(1867), 1,
      sym_identifier,
    ACTIONS(1871), 1,
      anon_sym_struct,
    ACTIONS(1873), 1,
      anon_sym_enum,
    ACTIONS(1875), 1,
      anon_sym_union,
    ACTIONS(1892), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1896), 1,
      anon_sym_bit_set,
    ACTIONS(8162), 1,
      anon_sym_proc,
    ACTIONS(8164), 1,
      anon_sym_DOLLAR,
    ACTIONS(8166), 1,
      anon_sym_BANG,
    ACTIONS(8168), 1,
      anon_sym_LBRACK,
    ACTIONS(8170), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8172), 1,
      anon_sym_CARET,
    ACTIONS(8174), 1,
      anon_sym_map,
    ACTIONS(8176), 1,
      anon_sym_matrix,
    ACTIONS(8178), 1,
      anon_sym_distinct,
    ACTIONS(8180), 1,
      sym_tag,
    ACTIONS(8321), 1,
      anon_sym_LPAREN,
    STATE(3458), 1,
      sym_procedure,
    STATE(7557), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3471), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [224190] = 21,
    ACTIONS(47), 1,
      anon_sym_distinct,
    ACTIONS(2241), 1,
      sym_identifier,
    ACTIONS(2243), 1,
      anon_sym_proc,
    ACTIONS(2245), 1,
      anon_sym_struct,
    ACTIONS(2247), 1,
      anon_sym_enum,
    ACTIONS(2249), 1,
      anon_sym_union,
    ACTIONS(2254), 1,
      anon_sym_DOLLAR,
    ACTIONS(2261), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2266), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2268), 1,
      anon_sym_map,
    ACTIONS(2270), 1,
      anon_sym_bit_set,
    ACTIONS(2272), 1,
      anon_sym_matrix,
    ACTIONS(2274), 1,
      sym_tag,
    ACTIONS(7576), 1,
      anon_sym_BANG,
    ACTIONS(7887), 1,
      anon_sym_LPAREN,
    ACTIONS(9276), 1,
      anon_sym_LBRACK,
    ACTIONS(9278), 1,
      anon_sym_CARET,
    STATE(3705), 1,
      sym_procedure,
    STATE(3922), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3649), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [224273] = 21,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    STATE(3279), 1,
      sym_procedure,
    STATE(6705), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [224356] = 21,
    ACTIONS(585), 1,
      anon_sym_proc,
    ACTIONS(2241), 1,
      sym_identifier,
    ACTIONS(2245), 1,
      anon_sym_struct,
    ACTIONS(2247), 1,
      anon_sym_enum,
    ACTIONS(2249), 1,
      anon_sym_union,
    ACTIONS(2266), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2270), 1,
      anon_sym_bit_set,
    ACTIONS(7574), 1,
      anon_sym_DOLLAR,
    ACTIONS(7576), 1,
      anon_sym_BANG,
    ACTIONS(7578), 1,
      anon_sym_LBRACK,
    ACTIONS(7580), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7582), 1,
      anon_sym_CARET,
    ACTIONS(7584), 1,
      anon_sym_map,
    ACTIONS(7586), 1,
      anon_sym_matrix,
    ACTIONS(7588), 1,
      anon_sym_distinct,
    ACTIONS(7590), 1,
      sym_tag,
    ACTIONS(7887), 1,
      anon_sym_LPAREN,
    STATE(3705), 1,
      sym_procedure,
    STATE(6393), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3649), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [224439] = 21,
    ACTIONS(979), 1,
      sym_identifier,
    ACTIONS(981), 1,
      anon_sym_proc,
    ACTIONS(983), 1,
      anon_sym_struct,
    ACTIONS(985), 1,
      anon_sym_enum,
    ACTIONS(987), 1,
      anon_sym_union,
    ACTIONS(992), 1,
      anon_sym_DOLLAR,
    ACTIONS(999), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1004), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1006), 1,
      anon_sym_map,
    ACTIONS(1008), 1,
      anon_sym_bit_set,
    ACTIONS(1010), 1,
      anon_sym_matrix,
    ACTIONS(1012), 1,
      anon_sym_distinct,
    ACTIONS(1014), 1,
      sym_tag,
    ACTIONS(9228), 1,
      anon_sym_LPAREN,
    ACTIONS(9230), 1,
      anon_sym_BANG,
    ACTIONS(9232), 1,
      anon_sym_LBRACK,
    ACTIONS(9234), 1,
      anon_sym_CARET,
    STATE(2044), 1,
      sym_procedure,
    STATE(2124), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2064), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [224522] = 21,
    ACTIONS(687), 1,
      anon_sym_distinct,
    ACTIONS(2014), 1,
      sym_identifier,
    ACTIONS(2016), 1,
      anon_sym_proc,
    ACTIONS(2018), 1,
      anon_sym_struct,
    ACTIONS(2020), 1,
      anon_sym_enum,
    ACTIONS(2022), 1,
      anon_sym_union,
    ACTIONS(2028), 1,
      anon_sym_DOLLAR,
    ACTIONS(2036), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2044), 1,
      anon_sym_map,
    ACTIONS(2046), 1,
      anon_sym_bit_set,
    ACTIONS(2048), 1,
      anon_sym_matrix,
    ACTIONS(7398), 1,
      anon_sym_BANG,
    ACTIONS(8604), 1,
      anon_sym_LPAREN,
    ACTIONS(8698), 1,
      anon_sym_CARET,
    ACTIONS(8700), 1,
      sym_tag,
    ACTIONS(8760), 1,
      anon_sym_LBRACK,
    STATE(3472), 1,
      sym_procedure,
    STATE(3555), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3450), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [224605] = 28,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9396), 1,
      anon_sym_COMMA,
    ACTIONS(9398), 1,
      anon_sym_EQ,
    ACTIONS(9400), 1,
      anon_sym_RPAREN,
    STATE(7377), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [224702] = 21,
    ACTIONS(157), 1,
      anon_sym_distinct,
    ACTIONS(771), 1,
      sym_identifier,
    ACTIONS(776), 1,
      anon_sym_proc,
    ACTIONS(781), 1,
      anon_sym_struct,
    ACTIONS(783), 1,
      anon_sym_enum,
    ACTIONS(785), 1,
      anon_sym_union,
    ACTIONS(791), 1,
      anon_sym_DOLLAR,
    ACTIONS(799), 1,
      anon_sym_DOT_DOT,
    ACTIONS(805), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(807), 1,
      anon_sym_map,
    ACTIONS(809), 1,
      anon_sym_bit_set,
    ACTIONS(811), 1,
      anon_sym_matrix,
    ACTIONS(8646), 1,
      anon_sym_LPAREN,
    ACTIONS(8648), 1,
      anon_sym_BANG,
    ACTIONS(8650), 1,
      anon_sym_LBRACK,
    ACTIONS(8652), 1,
      anon_sym_CARET,
    ACTIONS(8692), 1,
      sym_tag,
    STATE(695), 1,
      sym_procedure,
    STATE(920), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(705), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [224785] = 21,
    ACTIONS(223), 1,
      anon_sym_distinct,
    ACTIONS(1105), 1,
      sym_identifier,
    ACTIONS(1107), 1,
      anon_sym_proc,
    ACTIONS(1109), 1,
      anon_sym_struct,
    ACTIONS(1111), 1,
      anon_sym_enum,
    ACTIONS(1113), 1,
      anon_sym_union,
    ACTIONS(1118), 1,
      anon_sym_DOLLAR,
    ACTIONS(1125), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1130), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1132), 1,
      anon_sym_map,
    ACTIONS(1134), 1,
      anon_sym_bit_set,
    ACTIONS(1136), 1,
      anon_sym_matrix,
    ACTIONS(8526), 1,
      anon_sym_LPAREN,
    ACTIONS(8528), 1,
      anon_sym_BANG,
    ACTIONS(8532), 1,
      anon_sym_CARET,
    ACTIONS(8534), 1,
      sym_tag,
    ACTIONS(8750), 1,
      anon_sym_LBRACK,
    STATE(2175), 1,
      sym_procedure,
    STATE(2210), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2177), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [224868] = 21,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    STATE(3279), 1,
      sym_procedure,
    STATE(7091), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [224951] = 21,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    ACTIONS(9402), 1,
      sym_tag,
    STATE(3279), 1,
      sym_procedure,
    STATE(6394), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [225034] = 21,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(8238), 1,
      anon_sym_proc,
    ACTIONS(8240), 1,
      anon_sym_DOLLAR,
    ACTIONS(8244), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8246), 1,
      anon_sym_CARET,
    ACTIONS(8248), 1,
      anon_sym_map,
    ACTIONS(8250), 1,
      anon_sym_matrix,
    ACTIONS(8252), 1,
      anon_sym_distinct,
    ACTIONS(8254), 1,
      sym_tag,
    ACTIONS(9252), 1,
      anon_sym_LBRACK,
    STATE(3279), 1,
      sym_procedure,
    STATE(6390), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [225117] = 21,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(8238), 1,
      anon_sym_proc,
    ACTIONS(8240), 1,
      anon_sym_DOLLAR,
    ACTIONS(8242), 1,
      anon_sym_LBRACK,
    ACTIONS(8244), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8246), 1,
      anon_sym_CARET,
    ACTIONS(8248), 1,
      anon_sym_map,
    ACTIONS(8250), 1,
      anon_sym_matrix,
    ACTIONS(8252), 1,
      anon_sym_distinct,
    ACTIONS(9404), 1,
      sym_tag,
    STATE(3279), 1,
      sym_procedure,
    STATE(6390), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [225200] = 21,
    ACTIONS(1965), 1,
      sym_identifier,
    ACTIONS(1967), 1,
      anon_sym_proc,
    ACTIONS(1969), 1,
      anon_sym_struct,
    ACTIONS(1971), 1,
      anon_sym_enum,
    ACTIONS(1973), 1,
      anon_sym_union,
    ACTIONS(1978), 1,
      anon_sym_DOLLAR,
    ACTIONS(1985), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1990), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1992), 1,
      anon_sym_map,
    ACTIONS(1994), 1,
      anon_sym_bit_set,
    ACTIONS(1996), 1,
      anon_sym_matrix,
    ACTIONS(1998), 1,
      anon_sym_distinct,
    ACTIONS(2000), 1,
      sym_tag,
    ACTIONS(7735), 1,
      anon_sym_BANG,
    ACTIONS(8065), 1,
      anon_sym_LPAREN,
    ACTIONS(9290), 1,
      anon_sym_LBRACK,
    ACTIONS(9292), 1,
      anon_sym_CARET,
    STATE(3607), 1,
      sym_type,
    STATE(3684), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3686), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [225283] = 21,
    ACTIONS(357), 1,
      anon_sym_distinct,
    ACTIONS(1867), 1,
      sym_identifier,
    ACTIONS(1869), 1,
      anon_sym_proc,
    ACTIONS(1871), 1,
      anon_sym_struct,
    ACTIONS(1873), 1,
      anon_sym_enum,
    ACTIONS(1875), 1,
      anon_sym_union,
    ACTIONS(1880), 1,
      anon_sym_DOLLAR,
    ACTIONS(1887), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1892), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1894), 1,
      anon_sym_map,
    ACTIONS(1896), 1,
      anon_sym_bit_set,
    ACTIONS(1898), 1,
      anon_sym_matrix,
    ACTIONS(1900), 1,
      sym_tag,
    ACTIONS(8166), 1,
      anon_sym_BANG,
    ACTIONS(8321), 1,
      anon_sym_LPAREN,
    ACTIONS(9248), 1,
      anon_sym_LBRACK,
    ACTIONS(9250), 1,
      anon_sym_CARET,
    STATE(3458), 1,
      sym_procedure,
    STATE(3530), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3471), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [225366] = 21,
    ACTIONS(1627), 1,
      sym_identifier,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(7442), 1,
      anon_sym_proc,
    ACTIONS(7444), 1,
      anon_sym_DOLLAR,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(7450), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7452), 1,
      anon_sym_CARET,
    ACTIONS(7454), 1,
      anon_sym_map,
    ACTIONS(7456), 1,
      anon_sym_matrix,
    ACTIONS(7458), 1,
      anon_sym_distinct,
    ACTIONS(8548), 1,
      anon_sym_LPAREN,
    ACTIONS(8842), 1,
      anon_sym_LBRACK,
    ACTIONS(8844), 1,
      sym_tag,
    STATE(2754), 1,
      sym_procedure,
    STATE(6216), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [225449] = 28,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9406), 1,
      anon_sym_COMMA,
    ACTIONS(9408), 1,
      anon_sym_EQ,
    ACTIONS(9410), 1,
      anon_sym_RPAREN,
    STATE(7173), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [225546] = 21,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    STATE(3279), 1,
      sym_procedure,
    STATE(7616), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [225629] = 21,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    STATE(3279), 1,
      sym_procedure,
    STATE(7392), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [225712] = 21,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    STATE(3279), 1,
      sym_procedure,
    STATE(6842), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [225795] = 28,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9222), 1,
      anon_sym_COMMA,
    ACTIONS(9224), 1,
      anon_sym_EQ,
    ACTIONS(9412), 1,
      anon_sym_RPAREN,
    STATE(7474), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [225892] = 21,
    ACTIONS(2403), 1,
      sym_identifier,
    ACTIONS(2405), 1,
      anon_sym_proc,
    ACTIONS(2407), 1,
      anon_sym_struct,
    ACTIONS(2409), 1,
      anon_sym_enum,
    ACTIONS(2411), 1,
      anon_sym_union,
    ACTIONS(2416), 1,
      anon_sym_DOLLAR,
    ACTIONS(2423), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2428), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2430), 1,
      anon_sym_map,
    ACTIONS(2432), 1,
      anon_sym_bit_set,
    ACTIONS(2434), 1,
      anon_sym_matrix,
    ACTIONS(2436), 1,
      anon_sym_distinct,
    ACTIONS(2438), 1,
      sym_tag,
    ACTIONS(9210), 1,
      anon_sym_LPAREN,
    ACTIONS(9212), 1,
      anon_sym_BANG,
    ACTIONS(9214), 1,
      anon_sym_LBRACK,
    ACTIONS(9216), 1,
      anon_sym_CARET,
    STATE(4041), 1,
      sym_type,
    STATE(4119), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(4042), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [225975] = 21,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    STATE(3279), 1,
      sym_procedure,
    STATE(6388), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [226058] = 21,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(8280), 1,
      anon_sym_proc,
    ACTIONS(8282), 1,
      anon_sym_DOLLAR,
    ACTIONS(8286), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8288), 1,
      anon_sym_CARET,
    ACTIONS(8290), 1,
      anon_sym_map,
    ACTIONS(8292), 1,
      anon_sym_matrix,
    ACTIONS(8294), 1,
      anon_sym_distinct,
    ACTIONS(8296), 1,
      sym_tag,
    ACTIONS(9260), 1,
      anon_sym_LBRACK,
    STATE(3279), 1,
      sym_procedure,
    STATE(6553), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [226141] = 21,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(8238), 1,
      anon_sym_proc,
    ACTIONS(8240), 1,
      anon_sym_DOLLAR,
    ACTIONS(8242), 1,
      anon_sym_LBRACK,
    ACTIONS(8244), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8246), 1,
      anon_sym_CARET,
    ACTIONS(8248), 1,
      anon_sym_map,
    ACTIONS(8250), 1,
      anon_sym_matrix,
    ACTIONS(8252), 1,
      anon_sym_distinct,
    ACTIONS(9414), 1,
      sym_tag,
    STATE(3279), 1,
      sym_procedure,
    STATE(6384), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [226224] = 21,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    STATE(3279), 1,
      sym_procedure,
    STATE(6866), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [226307] = 21,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(8238), 1,
      anon_sym_proc,
    ACTIONS(8240), 1,
      anon_sym_DOLLAR,
    ACTIONS(8244), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8246), 1,
      anon_sym_CARET,
    ACTIONS(8248), 1,
      anon_sym_map,
    ACTIONS(8250), 1,
      anon_sym_matrix,
    ACTIONS(8252), 1,
      anon_sym_distinct,
    ACTIONS(8254), 1,
      sym_tag,
    ACTIONS(9252), 1,
      anon_sym_LBRACK,
    STATE(3279), 1,
      sym_procedure,
    STATE(6384), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [226390] = 21,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    STATE(3279), 1,
      sym_procedure,
    STATE(7513), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [226473] = 21,
    ACTIONS(687), 1,
      anon_sym_distinct,
    ACTIONS(2014), 1,
      sym_identifier,
    ACTIONS(2016), 1,
      anon_sym_proc,
    ACTIONS(2018), 1,
      anon_sym_struct,
    ACTIONS(2020), 1,
      anon_sym_enum,
    ACTIONS(2022), 1,
      anon_sym_union,
    ACTIONS(2028), 1,
      anon_sym_DOLLAR,
    ACTIONS(2036), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2044), 1,
      anon_sym_map,
    ACTIONS(2046), 1,
      anon_sym_bit_set,
    ACTIONS(2048), 1,
      anon_sym_matrix,
    ACTIONS(7398), 1,
      anon_sym_BANG,
    ACTIONS(8604), 1,
      anon_sym_LPAREN,
    ACTIONS(8698), 1,
      anon_sym_CARET,
    ACTIONS(8700), 1,
      sym_tag,
    ACTIONS(8760), 1,
      anon_sym_LBRACK,
    STATE(3472), 1,
      sym_procedure,
    STATE(3559), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3450), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [226556] = 21,
    ACTIONS(275), 1,
      anon_sym_distinct,
    ACTIONS(1331), 1,
      sym_identifier,
    ACTIONS(1333), 1,
      anon_sym_proc,
    ACTIONS(1335), 1,
      anon_sym_struct,
    ACTIONS(1337), 1,
      anon_sym_enum,
    ACTIONS(1339), 1,
      anon_sym_union,
    ACTIONS(1344), 1,
      anon_sym_DOLLAR,
    ACTIONS(1351), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1356), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1358), 1,
      anon_sym_map,
    ACTIONS(1360), 1,
      anon_sym_bit_set,
    ACTIONS(1362), 1,
      anon_sym_matrix,
    ACTIONS(1364), 1,
      sym_tag,
    ACTIONS(9236), 1,
      anon_sym_LPAREN,
    ACTIONS(9238), 1,
      anon_sym_BANG,
    ACTIONS(9240), 1,
      anon_sym_LBRACK,
    ACTIONS(9242), 1,
      anon_sym_CARET,
    STATE(2453), 1,
      sym_procedure,
    STATE(2525), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2497), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [226639] = 21,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    STATE(3279), 1,
      sym_procedure,
    STATE(7403), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [226722] = 21,
    ACTIONS(641), 1,
      anon_sym_distinct,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2187), 1,
      anon_sym_proc,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2199), 1,
      anon_sym_DOLLAR,
    ACTIONS(2207), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2215), 1,
      anon_sym_map,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(2219), 1,
      anon_sym_matrix,
    ACTIONS(2221), 1,
      sym_tag,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(9188), 1,
      anon_sym_CARET,
    ACTIONS(9416), 1,
      anon_sym_LBRACK,
    STATE(3279), 1,
      sym_procedure,
    STATE(3781), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [226805] = 21,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    STATE(3279), 1,
      sym_procedure,
    STATE(6639), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [226888] = 28,
    ACTIONS(6625), 1,
      anon_sym_LBRACE,
    ACTIONS(8132), 1,
      anon_sym_DASH_GT,
    ACTIONS(8134), 1,
      anon_sym_PLUS,
    ACTIONS(8136), 1,
      anon_sym_DASH,
    ACTIONS(8138), 1,
      anon_sym_TILDE,
    ACTIONS(8140), 1,
      anon_sym_AMP,
    ACTIONS(8142), 1,
      anon_sym_PIPE,
    ACTIONS(8144), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8152), 1,
      anon_sym_DOT,
    ACTIONS(8154), 1,
      anon_sym_LBRACK,
    ACTIONS(8194), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8202), 1,
      anon_sym_or_return,
    ACTIONS(8204), 1,
      anon_sym_or_continue,
    ACTIONS(8206), 1,
      anon_sym_or_break,
    ACTIONS(8208), 1,
      anon_sym_CARET,
    ACTIONS(9418), 1,
      anon_sym_SEMI,
    ACTIONS(9420), 1,
      anon_sym_do,
    STATE(6699), 1,
      sym_block,
    ACTIONS(8146), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8148), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8150), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8156), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8190), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(8192), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(8196), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8198), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8200), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [226985] = 21,
    ACTIONS(477), 1,
      anon_sym_distinct,
    ACTIONS(1675), 1,
      sym_identifier,
    ACTIONS(1677), 1,
      anon_sym_proc,
    ACTIONS(1679), 1,
      anon_sym_struct,
    ACTIONS(1681), 1,
      anon_sym_enum,
    ACTIONS(1683), 1,
      anon_sym_union,
    ACTIONS(1688), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1700), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1702), 1,
      anon_sym_map,
    ACTIONS(1704), 1,
      anon_sym_bit_set,
    ACTIONS(1706), 1,
      anon_sym_matrix,
    ACTIONS(7291), 1,
      anon_sym_BANG,
    ACTIONS(8668), 1,
      anon_sym_LPAREN,
    ACTIONS(8682), 1,
      anon_sym_CARET,
    ACTIONS(8684), 1,
      sym_tag,
    ACTIONS(8718), 1,
      anon_sym_LBRACK,
    STATE(3122), 1,
      sym_type,
    STATE(3172), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3208), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [227068] = 27,
    ACTIONS(8132), 1,
      anon_sym_DASH_GT,
    ACTIONS(8134), 1,
      anon_sym_PLUS,
    ACTIONS(8136), 1,
      anon_sym_DASH,
    ACTIONS(8138), 1,
      anon_sym_TILDE,
    ACTIONS(8140), 1,
      anon_sym_AMP,
    ACTIONS(8142), 1,
      anon_sym_PIPE,
    ACTIONS(8144), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8152), 1,
      anon_sym_DOT,
    ACTIONS(8154), 1,
      anon_sym_LBRACK,
    ACTIONS(8194), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8202), 1,
      anon_sym_or_return,
    ACTIONS(8204), 1,
      anon_sym_or_continue,
    ACTIONS(8206), 1,
      anon_sym_or_break,
    ACTIONS(8208), 1,
      anon_sym_CARET,
    ACTIONS(9368), 1,
      anon_sym_COMMA,
    STATE(6897), 1,
      aux_sym__simple_assignment_statement_repeat1,
    ACTIONS(8146), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8148), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8150), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8156), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8190), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(8192), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(8196), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8198), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9422), 2,
      anon_sym_LBRACE,
      anon_sym_do,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8200), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [227163] = 21,
    ACTIONS(1037), 1,
      anon_sym_distinct,
    ACTIONS(1627), 1,
      sym_identifier,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(2664), 1,
      anon_sym_proc,
    ACTIONS(2666), 1,
      anon_sym_DOLLAR,
    ACTIONS(2671), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2676), 1,
      anon_sym_map,
    ACTIONS(2678), 1,
      anon_sym_matrix,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(8548), 1,
      anon_sym_LPAREN,
    ACTIONS(8550), 1,
      anon_sym_LBRACK,
    ACTIONS(8552), 1,
      anon_sym_CARET,
    ACTIONS(8562), 1,
      sym_tag,
    STATE(2671), 1,
      sym_type,
    STATE(2754), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [227246] = 6,
    ACTIONS(6421), 1,
      anon_sym_LPAREN,
    ACTIONS(7683), 1,
      anon_sym_QMARK,
    ACTIONS(7681), 2,
      anon_sym_if,
      anon_sym_when,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(67), 24,
      anon_sym_DASH_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [227299] = 21,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    STATE(3279), 1,
      sym_procedure,
    STATE(7446), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [227382] = 21,
    ACTIONS(357), 1,
      anon_sym_distinct,
    ACTIONS(1867), 1,
      sym_identifier,
    ACTIONS(1869), 1,
      anon_sym_proc,
    ACTIONS(1871), 1,
      anon_sym_struct,
    ACTIONS(1873), 1,
      anon_sym_enum,
    ACTIONS(1875), 1,
      anon_sym_union,
    ACTIONS(1880), 1,
      anon_sym_DOLLAR,
    ACTIONS(1887), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1892), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1894), 1,
      anon_sym_map,
    ACTIONS(1896), 1,
      anon_sym_bit_set,
    ACTIONS(1898), 1,
      anon_sym_matrix,
    ACTIONS(1900), 1,
      sym_tag,
    ACTIONS(8166), 1,
      anon_sym_BANG,
    ACTIONS(8321), 1,
      anon_sym_LPAREN,
    ACTIONS(9248), 1,
      anon_sym_LBRACK,
    ACTIONS(9250), 1,
      anon_sym_CARET,
    STATE(3458), 1,
      sym_procedure,
    STATE(4409), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3471), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [227465] = 21,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    STATE(3279), 1,
      sym_procedure,
    STATE(7250), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [227548] = 21,
    ACTIONS(2403), 1,
      sym_identifier,
    ACTIONS(2405), 1,
      anon_sym_proc,
    ACTIONS(2407), 1,
      anon_sym_struct,
    ACTIONS(2409), 1,
      anon_sym_enum,
    ACTIONS(2411), 1,
      anon_sym_union,
    ACTIONS(2416), 1,
      anon_sym_DOLLAR,
    ACTIONS(2423), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2428), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2430), 1,
      anon_sym_map,
    ACTIONS(2432), 1,
      anon_sym_bit_set,
    ACTIONS(2434), 1,
      anon_sym_matrix,
    ACTIONS(2436), 1,
      anon_sym_distinct,
    ACTIONS(9210), 1,
      anon_sym_LPAREN,
    ACTIONS(9212), 1,
      anon_sym_BANG,
    ACTIONS(9214), 1,
      anon_sym_LBRACK,
    ACTIONS(9216), 1,
      anon_sym_CARET,
    ACTIONS(9424), 1,
      sym_tag,
    STATE(4025), 1,
      sym_type,
    STATE(4119), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(4042), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [227631] = 21,
    ACTIONS(325), 1,
      anon_sym_distinct,
    ACTIONS(1441), 1,
      sym_identifier,
    ACTIONS(1443), 1,
      anon_sym_proc,
    ACTIONS(1445), 1,
      anon_sym_struct,
    ACTIONS(1447), 1,
      anon_sym_enum,
    ACTIONS(1449), 1,
      anon_sym_union,
    ACTIONS(1455), 1,
      anon_sym_DOLLAR,
    ACTIONS(1463), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1469), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1471), 1,
      anon_sym_map,
    ACTIONS(1473), 1,
      anon_sym_bit_set,
    ACTIONS(1475), 1,
      anon_sym_matrix,
    ACTIONS(1477), 1,
      sym_tag,
    ACTIONS(9296), 1,
      anon_sym_LPAREN,
    ACTIONS(9298), 1,
      anon_sym_BANG,
    ACTIONS(9300), 1,
      anon_sym_LBRACK,
    ACTIONS(9302), 1,
      anon_sym_CARET,
    STATE(2675), 1,
      sym_procedure,
    STATE(2886), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2697), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [227714] = 21,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(8280), 1,
      anon_sym_proc,
    ACTIONS(8282), 1,
      anon_sym_DOLLAR,
    ACTIONS(8284), 1,
      anon_sym_LBRACK,
    ACTIONS(8286), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8288), 1,
      anon_sym_CARET,
    ACTIONS(8290), 1,
      anon_sym_map,
    ACTIONS(8292), 1,
      anon_sym_matrix,
    ACTIONS(8294), 1,
      anon_sym_distinct,
    ACTIONS(8296), 1,
      sym_tag,
    STATE(3279), 1,
      sym_procedure,
    STATE(3312), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [227797] = 21,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    STATE(3279), 1,
      sym_procedure,
    STATE(6802), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [227880] = 21,
    ACTIONS(509), 1,
      anon_sym_distinct,
    ACTIONS(1627), 1,
      sym_identifier,
    ACTIONS(1629), 1,
      anon_sym_proc,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1640), 1,
      anon_sym_DOLLAR,
    ACTIONS(1647), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1654), 1,
      anon_sym_map,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(1658), 1,
      anon_sym_matrix,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(8548), 1,
      anon_sym_LPAREN,
    ACTIONS(8638), 1,
      anon_sym_LBRACK,
    ACTIONS(8640), 1,
      anon_sym_CARET,
    ACTIONS(8662), 1,
      sym_tag,
    STATE(2754), 1,
      sym_procedure,
    STATE(3055), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [227963] = 28,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9426), 1,
      anon_sym_COMMA,
    ACTIONS(9428), 1,
      anon_sym_EQ,
    ACTIONS(9430), 1,
      anon_sym_RPAREN,
    STATE(7372), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [228060] = 21,
    ACTIONS(585), 1,
      anon_sym_proc,
    ACTIONS(2241), 1,
      sym_identifier,
    ACTIONS(2245), 1,
      anon_sym_struct,
    ACTIONS(2247), 1,
      anon_sym_enum,
    ACTIONS(2249), 1,
      anon_sym_union,
    ACTIONS(2266), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2270), 1,
      anon_sym_bit_set,
    ACTIONS(7574), 1,
      anon_sym_DOLLAR,
    ACTIONS(7576), 1,
      anon_sym_BANG,
    ACTIONS(7578), 1,
      anon_sym_LBRACK,
    ACTIONS(7580), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7582), 1,
      anon_sym_CARET,
    ACTIONS(7584), 1,
      anon_sym_map,
    ACTIONS(7586), 1,
      anon_sym_matrix,
    ACTIONS(7588), 1,
      anon_sym_distinct,
    ACTIONS(7590), 1,
      sym_tag,
    ACTIONS(7887), 1,
      anon_sym_LPAREN,
    STATE(3705), 1,
      sym_procedure,
    STATE(6337), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3649), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [228143] = 21,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    STATE(3279), 1,
      sym_procedure,
    STATE(7228), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [228226] = 21,
    ACTIONS(585), 1,
      anon_sym_proc,
    ACTIONS(2241), 1,
      sym_identifier,
    ACTIONS(2245), 1,
      anon_sym_struct,
    ACTIONS(2247), 1,
      anon_sym_enum,
    ACTIONS(2249), 1,
      anon_sym_union,
    ACTIONS(2266), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2270), 1,
      anon_sym_bit_set,
    ACTIONS(7574), 1,
      anon_sym_DOLLAR,
    ACTIONS(7576), 1,
      anon_sym_BANG,
    ACTIONS(7578), 1,
      anon_sym_LBRACK,
    ACTIONS(7580), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7582), 1,
      anon_sym_CARET,
    ACTIONS(7584), 1,
      anon_sym_map,
    ACTIONS(7586), 1,
      anon_sym_matrix,
    ACTIONS(7588), 1,
      anon_sym_distinct,
    ACTIONS(7590), 1,
      sym_tag,
    ACTIONS(7887), 1,
      anon_sym_LPAREN,
    STATE(3705), 1,
      sym_procedure,
    STATE(6366), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3649), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [228309] = 21,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    STATE(3279), 1,
      sym_procedure,
    STATE(7254), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [228392] = 21,
    ACTIONS(2403), 1,
      sym_identifier,
    ACTIONS(2405), 1,
      anon_sym_proc,
    ACTIONS(2407), 1,
      anon_sym_struct,
    ACTIONS(2409), 1,
      anon_sym_enum,
    ACTIONS(2411), 1,
      anon_sym_union,
    ACTIONS(2416), 1,
      anon_sym_DOLLAR,
    ACTIONS(2423), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2428), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2430), 1,
      anon_sym_map,
    ACTIONS(2432), 1,
      anon_sym_bit_set,
    ACTIONS(2434), 1,
      anon_sym_matrix,
    ACTIONS(2436), 1,
      anon_sym_distinct,
    ACTIONS(2438), 1,
      sym_tag,
    ACTIONS(9210), 1,
      anon_sym_LPAREN,
    ACTIONS(9212), 1,
      anon_sym_BANG,
    ACTIONS(9214), 1,
      anon_sym_LBRACK,
    ACTIONS(9216), 1,
      anon_sym_CARET,
    STATE(4079), 1,
      sym_type,
    STATE(4119), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(4042), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [228475] = 6,
    ACTIONS(6079), 1,
      anon_sym_LPAREN,
    ACTIONS(7683), 1,
      anon_sym_QMARK,
    ACTIONS(7681), 2,
      anon_sym_if,
      anon_sym_when,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(67), 24,
      anon_sym_DASH_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [228528] = 21,
    ACTIONS(157), 1,
      anon_sym_distinct,
    ACTIONS(771), 1,
      sym_identifier,
    ACTIONS(776), 1,
      anon_sym_proc,
    ACTIONS(781), 1,
      anon_sym_struct,
    ACTIONS(783), 1,
      anon_sym_enum,
    ACTIONS(785), 1,
      anon_sym_union,
    ACTIONS(791), 1,
      anon_sym_DOLLAR,
    ACTIONS(799), 1,
      anon_sym_DOT_DOT,
    ACTIONS(805), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(807), 1,
      anon_sym_map,
    ACTIONS(809), 1,
      anon_sym_bit_set,
    ACTIONS(811), 1,
      anon_sym_matrix,
    ACTIONS(8646), 1,
      anon_sym_LPAREN,
    ACTIONS(8648), 1,
      anon_sym_BANG,
    ACTIONS(8650), 1,
      anon_sym_LBRACK,
    ACTIONS(8652), 1,
      anon_sym_CARET,
    ACTIONS(8692), 1,
      sym_tag,
    STATE(695), 1,
      sym_procedure,
    STATE(831), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(705), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [228611] = 21,
    ACTIONS(477), 1,
      anon_sym_distinct,
    ACTIONS(1675), 1,
      sym_identifier,
    ACTIONS(1677), 1,
      anon_sym_proc,
    ACTIONS(1679), 1,
      anon_sym_struct,
    ACTIONS(1681), 1,
      anon_sym_enum,
    ACTIONS(1683), 1,
      anon_sym_union,
    ACTIONS(1688), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1700), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1702), 1,
      anon_sym_map,
    ACTIONS(1704), 1,
      anon_sym_bit_set,
    ACTIONS(1706), 1,
      anon_sym_matrix,
    ACTIONS(7291), 1,
      anon_sym_BANG,
    ACTIONS(8668), 1,
      anon_sym_LPAREN,
    ACTIONS(8682), 1,
      anon_sym_CARET,
    ACTIONS(8684), 1,
      sym_tag,
    ACTIONS(8718), 1,
      anon_sym_LBRACK,
    STATE(3075), 1,
      sym_type,
    STATE(3172), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3208), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [228694] = 21,
    ACTIONS(739), 1,
      anon_sym_distinct,
    ACTIONS(2563), 1,
      sym_identifier,
    ACTIONS(2565), 1,
      anon_sym_proc,
    ACTIONS(2567), 1,
      anon_sym_struct,
    ACTIONS(2569), 1,
      anon_sym_enum,
    ACTIONS(2571), 1,
      anon_sym_union,
    ACTIONS(2576), 1,
      anon_sym_DOLLAR,
    ACTIONS(2583), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2588), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2590), 1,
      anon_sym_map,
    ACTIONS(2592), 1,
      anon_sym_bit_set,
    ACTIONS(2594), 1,
      anon_sym_matrix,
    ACTIONS(2596), 1,
      sym_tag,
    ACTIONS(9178), 1,
      anon_sym_LPAREN,
    ACTIONS(9180), 1,
      anon_sym_BANG,
    ACTIONS(9184), 1,
      anon_sym_CARET,
    ACTIONS(9432), 1,
      anon_sym_LBRACK,
    STATE(4154), 1,
      sym_type,
    STATE(4270), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(4202), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [228777] = 21,
    ACTIONS(275), 1,
      anon_sym_distinct,
    ACTIONS(1331), 1,
      sym_identifier,
    ACTIONS(1333), 1,
      anon_sym_proc,
    ACTIONS(1335), 1,
      anon_sym_struct,
    ACTIONS(1337), 1,
      anon_sym_enum,
    ACTIONS(1339), 1,
      anon_sym_union,
    ACTIONS(1344), 1,
      anon_sym_DOLLAR,
    ACTIONS(1351), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1356), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1358), 1,
      anon_sym_map,
    ACTIONS(1360), 1,
      anon_sym_bit_set,
    ACTIONS(1362), 1,
      anon_sym_matrix,
    ACTIONS(1364), 1,
      sym_tag,
    ACTIONS(9236), 1,
      anon_sym_LPAREN,
    ACTIONS(9238), 1,
      anon_sym_BANG,
    ACTIONS(9240), 1,
      anon_sym_LBRACK,
    ACTIONS(9242), 1,
      anon_sym_CARET,
    STATE(2453), 1,
      sym_procedure,
    STATE(2485), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2497), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [228860] = 21,
    ACTIONS(47), 1,
      anon_sym_distinct,
    ACTIONS(2241), 1,
      sym_identifier,
    ACTIONS(2243), 1,
      anon_sym_proc,
    ACTIONS(2245), 1,
      anon_sym_struct,
    ACTIONS(2247), 1,
      anon_sym_enum,
    ACTIONS(2249), 1,
      anon_sym_union,
    ACTIONS(2254), 1,
      anon_sym_DOLLAR,
    ACTIONS(2261), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2266), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2268), 1,
      anon_sym_map,
    ACTIONS(2270), 1,
      anon_sym_bit_set,
    ACTIONS(2272), 1,
      anon_sym_matrix,
    ACTIONS(2274), 1,
      sym_tag,
    ACTIONS(7576), 1,
      anon_sym_BANG,
    ACTIONS(7887), 1,
      anon_sym_LPAREN,
    ACTIONS(9276), 1,
      anon_sym_LBRACK,
    ACTIONS(9278), 1,
      anon_sym_CARET,
    STATE(3701), 1,
      sym_type,
    STATE(3705), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3649), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [228943] = 21,
    ACTIONS(1675), 1,
      sym_identifier,
    ACTIONS(1679), 1,
      anon_sym_struct,
    ACTIONS(1681), 1,
      anon_sym_enum,
    ACTIONS(1683), 1,
      anon_sym_union,
    ACTIONS(1700), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1704), 1,
      anon_sym_bit_set,
    ACTIONS(7287), 1,
      anon_sym_proc,
    ACTIONS(7289), 1,
      anon_sym_DOLLAR,
    ACTIONS(7291), 1,
      anon_sym_BANG,
    ACTIONS(7293), 1,
      anon_sym_LBRACK,
    ACTIONS(7295), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7297), 1,
      anon_sym_CARET,
    ACTIONS(7299), 1,
      anon_sym_map,
    ACTIONS(7301), 1,
      anon_sym_matrix,
    ACTIONS(7303), 1,
      anon_sym_distinct,
    ACTIONS(8668), 1,
      anon_sym_LPAREN,
    ACTIONS(8672), 1,
      sym_tag,
    STATE(3172), 1,
      sym_procedure,
    STATE(6161), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3208), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [229026] = 21,
    ACTIONS(1867), 1,
      sym_identifier,
    ACTIONS(1871), 1,
      anon_sym_struct,
    ACTIONS(1873), 1,
      anon_sym_enum,
    ACTIONS(1875), 1,
      anon_sym_union,
    ACTIONS(1892), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1896), 1,
      anon_sym_bit_set,
    ACTIONS(8162), 1,
      anon_sym_proc,
    ACTIONS(8164), 1,
      anon_sym_DOLLAR,
    ACTIONS(8166), 1,
      anon_sym_BANG,
    ACTIONS(8168), 1,
      anon_sym_LBRACK,
    ACTIONS(8170), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8172), 1,
      anon_sym_CARET,
    ACTIONS(8174), 1,
      anon_sym_map,
    ACTIONS(8176), 1,
      anon_sym_matrix,
    ACTIONS(8178), 1,
      anon_sym_distinct,
    ACTIONS(8180), 1,
      sym_tag,
    ACTIONS(8321), 1,
      anon_sym_LPAREN,
    STATE(3458), 1,
      sym_procedure,
    STATE(3657), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3471), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [229109] = 21,
    ACTIONS(477), 1,
      anon_sym_distinct,
    ACTIONS(1675), 1,
      sym_identifier,
    ACTIONS(1677), 1,
      anon_sym_proc,
    ACTIONS(1679), 1,
      anon_sym_struct,
    ACTIONS(1681), 1,
      anon_sym_enum,
    ACTIONS(1683), 1,
      anon_sym_union,
    ACTIONS(1688), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1700), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1702), 1,
      anon_sym_map,
    ACTIONS(1704), 1,
      anon_sym_bit_set,
    ACTIONS(1706), 1,
      anon_sym_matrix,
    ACTIONS(7291), 1,
      anon_sym_BANG,
    ACTIONS(8668), 1,
      anon_sym_LPAREN,
    ACTIONS(8682), 1,
      anon_sym_CARET,
    ACTIONS(8684), 1,
      sym_tag,
    ACTIONS(8718), 1,
      anon_sym_LBRACK,
    STATE(3172), 1,
      sym_procedure,
    STATE(3204), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3208), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [229192] = 21,
    ACTIONS(275), 1,
      anon_sym_distinct,
    ACTIONS(1331), 1,
      sym_identifier,
    ACTIONS(1333), 1,
      anon_sym_proc,
    ACTIONS(1335), 1,
      anon_sym_struct,
    ACTIONS(1337), 1,
      anon_sym_enum,
    ACTIONS(1339), 1,
      anon_sym_union,
    ACTIONS(1344), 1,
      anon_sym_DOLLAR,
    ACTIONS(1351), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1356), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1358), 1,
      anon_sym_map,
    ACTIONS(1360), 1,
      anon_sym_bit_set,
    ACTIONS(1362), 1,
      anon_sym_matrix,
    ACTIONS(1364), 1,
      sym_tag,
    ACTIONS(9236), 1,
      anon_sym_LPAREN,
    ACTIONS(9238), 1,
      anon_sym_BANG,
    ACTIONS(9240), 1,
      anon_sym_LBRACK,
    ACTIONS(9242), 1,
      anon_sym_CARET,
    STATE(2453), 1,
      sym_procedure,
    STATE(2511), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2497), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [229275] = 28,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9390), 1,
      anon_sym_COMMA,
    ACTIONS(9392), 1,
      anon_sym_EQ,
    ACTIONS(9394), 1,
      anon_sym_RPAREN,
    STATE(7751), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [229372] = 21,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    STATE(3279), 1,
      sym_procedure,
    STATE(7317), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [229455] = 21,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(8238), 1,
      anon_sym_proc,
    ACTIONS(8240), 1,
      anon_sym_DOLLAR,
    ACTIONS(8242), 1,
      anon_sym_LBRACK,
    ACTIONS(8244), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8246), 1,
      anon_sym_CARET,
    ACTIONS(8248), 1,
      anon_sym_map,
    ACTIONS(8250), 1,
      anon_sym_matrix,
    ACTIONS(8252), 1,
      anon_sym_distinct,
    ACTIONS(9434), 1,
      sym_tag,
    STATE(3279), 1,
      sym_procedure,
    STATE(6400), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [229538] = 21,
    ACTIONS(223), 1,
      anon_sym_distinct,
    ACTIONS(1105), 1,
      sym_identifier,
    ACTIONS(1107), 1,
      anon_sym_proc,
    ACTIONS(1109), 1,
      anon_sym_struct,
    ACTIONS(1111), 1,
      anon_sym_enum,
    ACTIONS(1113), 1,
      anon_sym_union,
    ACTIONS(1118), 1,
      anon_sym_DOLLAR,
    ACTIONS(1125), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1130), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1132), 1,
      anon_sym_map,
    ACTIONS(1134), 1,
      anon_sym_bit_set,
    ACTIONS(1136), 1,
      anon_sym_matrix,
    ACTIONS(8526), 1,
      anon_sym_LPAREN,
    ACTIONS(8528), 1,
      anon_sym_BANG,
    ACTIONS(8532), 1,
      anon_sym_CARET,
    ACTIONS(8534), 1,
      sym_tag,
    ACTIONS(8750), 1,
      anon_sym_LBRACK,
    STATE(2169), 1,
      sym_type,
    STATE(2175), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2177), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [229621] = 28,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9436), 1,
      anon_sym_COMMA,
    ACTIONS(9438), 1,
      anon_sym_EQ,
    ACTIONS(9440), 1,
      anon_sym_RPAREN,
    STATE(7598), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [229718] = 21,
    ACTIONS(979), 1,
      sym_identifier,
    ACTIONS(981), 1,
      anon_sym_proc,
    ACTIONS(983), 1,
      anon_sym_struct,
    ACTIONS(985), 1,
      anon_sym_enum,
    ACTIONS(987), 1,
      anon_sym_union,
    ACTIONS(992), 1,
      anon_sym_DOLLAR,
    ACTIONS(999), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1004), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1006), 1,
      anon_sym_map,
    ACTIONS(1008), 1,
      anon_sym_bit_set,
    ACTIONS(1010), 1,
      anon_sym_matrix,
    ACTIONS(1012), 1,
      anon_sym_distinct,
    ACTIONS(1014), 1,
      sym_tag,
    ACTIONS(9228), 1,
      anon_sym_LPAREN,
    ACTIONS(9230), 1,
      anon_sym_BANG,
    ACTIONS(9232), 1,
      anon_sym_LBRACK,
    ACTIONS(9234), 1,
      anon_sym_CARET,
    STATE(2044), 1,
      sym_procedure,
    STATE(2073), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2064), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [229801] = 21,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    STATE(3279), 1,
      sym_procedure,
    STATE(7074), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [229884] = 21,
    ACTIONS(641), 1,
      anon_sym_distinct,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2187), 1,
      anon_sym_proc,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2199), 1,
      anon_sym_DOLLAR,
    ACTIONS(2207), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2215), 1,
      anon_sym_map,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(2219), 1,
      anon_sym_matrix,
    ACTIONS(2221), 1,
      sym_tag,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(9186), 1,
      anon_sym_LBRACK,
    ACTIONS(9188), 1,
      anon_sym_CARET,
    STATE(3279), 1,
      sym_procedure,
    STATE(3312), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [229967] = 28,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9442), 1,
      anon_sym_COMMA,
    ACTIONS(9444), 1,
      anon_sym_EQ,
    ACTIONS(9446), 1,
      anon_sym_RPAREN,
    STATE(7086), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [230064] = 21,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    STATE(3279), 1,
      sym_procedure,
    STATE(7554), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [230147] = 21,
    ACTIONS(1965), 1,
      sym_identifier,
    ACTIONS(1967), 1,
      anon_sym_proc,
    ACTIONS(1969), 1,
      anon_sym_struct,
    ACTIONS(1971), 1,
      anon_sym_enum,
    ACTIONS(1973), 1,
      anon_sym_union,
    ACTIONS(1978), 1,
      anon_sym_DOLLAR,
    ACTIONS(1985), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1990), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1992), 1,
      anon_sym_map,
    ACTIONS(1994), 1,
      anon_sym_bit_set,
    ACTIONS(1996), 1,
      anon_sym_matrix,
    ACTIONS(1998), 1,
      anon_sym_distinct,
    ACTIONS(2000), 1,
      sym_tag,
    ACTIONS(7735), 1,
      anon_sym_BANG,
    ACTIONS(8065), 1,
      anon_sym_LPAREN,
    ACTIONS(9290), 1,
      anon_sym_LBRACK,
    ACTIONS(9292), 1,
      anon_sym_CARET,
    STATE(3609), 1,
      sym_type,
    STATE(3684), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3686), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [230230] = 21,
    ACTIONS(47), 1,
      anon_sym_distinct,
    ACTIONS(2241), 1,
      sym_identifier,
    ACTIONS(2243), 1,
      anon_sym_proc,
    ACTIONS(2245), 1,
      anon_sym_struct,
    ACTIONS(2247), 1,
      anon_sym_enum,
    ACTIONS(2249), 1,
      anon_sym_union,
    ACTIONS(2254), 1,
      anon_sym_DOLLAR,
    ACTIONS(2261), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2266), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2268), 1,
      anon_sym_map,
    ACTIONS(2270), 1,
      anon_sym_bit_set,
    ACTIONS(2272), 1,
      anon_sym_matrix,
    ACTIONS(2274), 1,
      sym_tag,
    ACTIONS(7576), 1,
      anon_sym_BANG,
    ACTIONS(7887), 1,
      anon_sym_LPAREN,
    ACTIONS(9276), 1,
      anon_sym_LBRACK,
    ACTIONS(9278), 1,
      anon_sym_CARET,
    STATE(3610), 1,
      sym_type,
    STATE(3705), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3649), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [230313] = 21,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    STATE(3279), 1,
      sym_procedure,
    STATE(7176), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [230396] = 21,
    ACTIONS(325), 1,
      anon_sym_distinct,
    ACTIONS(1441), 1,
      sym_identifier,
    ACTIONS(1443), 1,
      anon_sym_proc,
    ACTIONS(1445), 1,
      anon_sym_struct,
    ACTIONS(1447), 1,
      anon_sym_enum,
    ACTIONS(1449), 1,
      anon_sym_union,
    ACTIONS(1455), 1,
      anon_sym_DOLLAR,
    ACTIONS(1463), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1469), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1471), 1,
      anon_sym_map,
    ACTIONS(1473), 1,
      anon_sym_bit_set,
    ACTIONS(1475), 1,
      anon_sym_matrix,
    ACTIONS(1477), 1,
      sym_tag,
    ACTIONS(9296), 1,
      anon_sym_LPAREN,
    ACTIONS(9298), 1,
      anon_sym_BANG,
    ACTIONS(9300), 1,
      anon_sym_LBRACK,
    ACTIONS(9302), 1,
      anon_sym_CARET,
    STATE(2675), 1,
      sym_procedure,
    STATE(2731), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2697), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [230479] = 21,
    ACTIONS(1965), 1,
      sym_identifier,
    ACTIONS(1967), 1,
      anon_sym_proc,
    ACTIONS(1969), 1,
      anon_sym_struct,
    ACTIONS(1971), 1,
      anon_sym_enum,
    ACTIONS(1973), 1,
      anon_sym_union,
    ACTIONS(1978), 1,
      anon_sym_DOLLAR,
    ACTIONS(1985), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1990), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1992), 1,
      anon_sym_map,
    ACTIONS(1994), 1,
      anon_sym_bit_set,
    ACTIONS(1996), 1,
      anon_sym_matrix,
    ACTIONS(1998), 1,
      anon_sym_distinct,
    ACTIONS(2000), 1,
      sym_tag,
    ACTIONS(7735), 1,
      anon_sym_BANG,
    ACTIONS(8065), 1,
      anon_sym_LPAREN,
    ACTIONS(9290), 1,
      anon_sym_LBRACK,
    ACTIONS(9292), 1,
      anon_sym_CARET,
    STATE(3637), 1,
      sym_type,
    STATE(3684), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3686), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [230562] = 21,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    STATE(3279), 1,
      sym_procedure,
    STATE(6933), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [230645] = 21,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    STATE(3279), 1,
      sym_procedure,
    STATE(7573), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [230728] = 21,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    STATE(3279), 1,
      sym_procedure,
    STATE(7207), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [230811] = 21,
    ACTIONS(477), 1,
      anon_sym_distinct,
    ACTIONS(1675), 1,
      sym_identifier,
    ACTIONS(1677), 1,
      anon_sym_proc,
    ACTIONS(1679), 1,
      anon_sym_struct,
    ACTIONS(1681), 1,
      anon_sym_enum,
    ACTIONS(1683), 1,
      anon_sym_union,
    ACTIONS(1688), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1700), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1702), 1,
      anon_sym_map,
    ACTIONS(1704), 1,
      anon_sym_bit_set,
    ACTIONS(1706), 1,
      anon_sym_matrix,
    ACTIONS(7291), 1,
      anon_sym_BANG,
    ACTIONS(8668), 1,
      anon_sym_LPAREN,
    ACTIONS(8682), 1,
      anon_sym_CARET,
    ACTIONS(8718), 1,
      anon_sym_LBRACK,
    ACTIONS(9448), 1,
      sym_tag,
    STATE(3119), 1,
      sym_type,
    STATE(3172), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3208), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [230894] = 21,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(8238), 1,
      anon_sym_proc,
    ACTIONS(8240), 1,
      anon_sym_DOLLAR,
    ACTIONS(8242), 1,
      anon_sym_LBRACK,
    ACTIONS(8244), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8246), 1,
      anon_sym_CARET,
    ACTIONS(8248), 1,
      anon_sym_map,
    ACTIONS(8250), 1,
      anon_sym_matrix,
    ACTIONS(8252), 1,
      anon_sym_distinct,
    ACTIONS(9450), 1,
      sym_tag,
    STATE(3279), 1,
      sym_procedure,
    STATE(6385), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [230977] = 6,
    ACTIONS(7683), 1,
      anon_sym_QMARK,
    ACTIONS(7930), 1,
      anon_sym_LPAREN,
    ACTIONS(7681), 2,
      anon_sym_if,
      anon_sym_when,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(67), 24,
      anon_sym_DASH_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [231030] = 21,
    ACTIONS(275), 1,
      anon_sym_distinct,
    ACTIONS(1331), 1,
      sym_identifier,
    ACTIONS(1333), 1,
      anon_sym_proc,
    ACTIONS(1335), 1,
      anon_sym_struct,
    ACTIONS(1337), 1,
      anon_sym_enum,
    ACTIONS(1339), 1,
      anon_sym_union,
    ACTIONS(1344), 1,
      anon_sym_DOLLAR,
    ACTIONS(1351), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1356), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1358), 1,
      anon_sym_map,
    ACTIONS(1360), 1,
      anon_sym_bit_set,
    ACTIONS(1362), 1,
      anon_sym_matrix,
    ACTIONS(1364), 1,
      sym_tag,
    ACTIONS(9236), 1,
      anon_sym_LPAREN,
    ACTIONS(9238), 1,
      anon_sym_BANG,
    ACTIONS(9240), 1,
      anon_sym_LBRACK,
    ACTIONS(9242), 1,
      anon_sym_CARET,
    STATE(2453), 1,
      sym_procedure,
    STATE(2483), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2497), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [231113] = 21,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    STATE(3279), 1,
      sym_procedure,
    STATE(7599), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [231196] = 21,
    ACTIONS(979), 1,
      sym_identifier,
    ACTIONS(981), 1,
      anon_sym_proc,
    ACTIONS(983), 1,
      anon_sym_struct,
    ACTIONS(985), 1,
      anon_sym_enum,
    ACTIONS(987), 1,
      anon_sym_union,
    ACTIONS(992), 1,
      anon_sym_DOLLAR,
    ACTIONS(999), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1004), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1006), 1,
      anon_sym_map,
    ACTIONS(1008), 1,
      anon_sym_bit_set,
    ACTIONS(1010), 1,
      anon_sym_matrix,
    ACTIONS(1012), 1,
      anon_sym_distinct,
    ACTIONS(1014), 1,
      sym_tag,
    ACTIONS(9228), 1,
      anon_sym_LPAREN,
    ACTIONS(9230), 1,
      anon_sym_BANG,
    ACTIONS(9232), 1,
      anon_sym_LBRACK,
    ACTIONS(9234), 1,
      anon_sym_CARET,
    STATE(2044), 1,
      sym_procedure,
    STATE(2099), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2064), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [231279] = 28,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9200), 1,
      anon_sym_COMMA,
    ACTIONS(9202), 1,
      anon_sym_EQ,
    ACTIONS(9204), 1,
      anon_sym_RPAREN,
    STATE(7095), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [231376] = 21,
    ACTIONS(1965), 1,
      sym_identifier,
    ACTIONS(1969), 1,
      anon_sym_struct,
    ACTIONS(1971), 1,
      anon_sym_enum,
    ACTIONS(1973), 1,
      anon_sym_union,
    ACTIONS(1990), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1994), 1,
      anon_sym_bit_set,
    ACTIONS(7731), 1,
      anon_sym_proc,
    ACTIONS(7733), 1,
      anon_sym_DOLLAR,
    ACTIONS(7735), 1,
      anon_sym_BANG,
    ACTIONS(7737), 1,
      anon_sym_LBRACK,
    ACTIONS(7739), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7741), 1,
      anon_sym_CARET,
    ACTIONS(7743), 1,
      anon_sym_map,
    ACTIONS(7745), 1,
      anon_sym_matrix,
    ACTIONS(7747), 1,
      anon_sym_distinct,
    ACTIONS(7749), 1,
      sym_tag,
    ACTIONS(8065), 1,
      anon_sym_LPAREN,
    STATE(3684), 1,
      sym_procedure,
    STATE(6377), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3686), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [231459] = 28,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9452), 1,
      anon_sym_COMMA,
    ACTIONS(9454), 1,
      anon_sym_EQ,
    ACTIONS(9456), 1,
      anon_sym_RPAREN,
    STATE(7256), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [231556] = 21,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    ACTIONS(9246), 1,
      anon_sym_LBRACK,
    STATE(3279), 1,
      sym_procedure,
    STATE(6859), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [231639] = 21,
    ACTIONS(1627), 1,
      sym_identifier,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(7816), 1,
      anon_sym_proc,
    ACTIONS(7818), 1,
      anon_sym_DOLLAR,
    ACTIONS(7820), 1,
      anon_sym_LBRACK,
    ACTIONS(7822), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7824), 1,
      anon_sym_CARET,
    ACTIONS(7826), 1,
      anon_sym_map,
    ACTIONS(7828), 1,
      anon_sym_matrix,
    ACTIONS(7830), 1,
      anon_sym_distinct,
    ACTIONS(8548), 1,
      anon_sym_LPAREN,
    ACTIONS(8880), 1,
      sym_tag,
    STATE(2754), 1,
      sym_procedure,
    STATE(2888), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [231722] = 21,
    ACTIONS(1627), 1,
      sym_identifier,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(7816), 1,
      anon_sym_proc,
    ACTIONS(7818), 1,
      anon_sym_DOLLAR,
    ACTIONS(7820), 1,
      anon_sym_LBRACK,
    ACTIONS(7822), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7824), 1,
      anon_sym_CARET,
    ACTIONS(7826), 1,
      anon_sym_map,
    ACTIONS(7828), 1,
      anon_sym_matrix,
    ACTIONS(7830), 1,
      anon_sym_distinct,
    ACTIONS(8548), 1,
      anon_sym_LPAREN,
    ACTIONS(8880), 1,
      sym_tag,
    STATE(2754), 1,
      sym_procedure,
    STATE(6333), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [231805] = 21,
    ACTIONS(1627), 1,
      sym_identifier,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(7816), 1,
      anon_sym_proc,
    ACTIONS(7818), 1,
      anon_sym_DOLLAR,
    ACTIONS(7820), 1,
      anon_sym_LBRACK,
    ACTIONS(7822), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7824), 1,
      anon_sym_CARET,
    ACTIONS(7826), 1,
      anon_sym_map,
    ACTIONS(7828), 1,
      anon_sym_matrix,
    ACTIONS(7830), 1,
      anon_sym_distinct,
    ACTIONS(8548), 1,
      anon_sym_LPAREN,
    ACTIONS(8880), 1,
      sym_tag,
    STATE(2754), 1,
      sym_procedure,
    STATE(6326), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [231888] = 21,
    ACTIONS(585), 1,
      anon_sym_proc,
    ACTIONS(2241), 1,
      sym_identifier,
    ACTIONS(2245), 1,
      anon_sym_struct,
    ACTIONS(2247), 1,
      anon_sym_enum,
    ACTIONS(2249), 1,
      anon_sym_union,
    ACTIONS(2266), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2270), 1,
      anon_sym_bit_set,
    ACTIONS(7574), 1,
      anon_sym_DOLLAR,
    ACTIONS(7576), 1,
      anon_sym_BANG,
    ACTIONS(7578), 1,
      anon_sym_LBRACK,
    ACTIONS(7580), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7582), 1,
      anon_sym_CARET,
    ACTIONS(7584), 1,
      anon_sym_map,
    ACTIONS(7586), 1,
      anon_sym_matrix,
    ACTIONS(7588), 1,
      anon_sym_distinct,
    ACTIONS(7590), 1,
      sym_tag,
    ACTIONS(7887), 1,
      anon_sym_LPAREN,
    STATE(3705), 1,
      sym_procedure,
    STATE(6353), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3649), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [231971] = 28,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9390), 1,
      anon_sym_COMMA,
    ACTIONS(9392), 1,
      anon_sym_EQ,
    ACTIONS(9458), 1,
      anon_sym_RPAREN,
    STATE(7751), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [232068] = 21,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    STATE(3279), 1,
      sym_procedure,
    STATE(6827), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [232151] = 21,
    ACTIONS(1627), 1,
      sym_identifier,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(7816), 1,
      anon_sym_proc,
    ACTIONS(7818), 1,
      anon_sym_DOLLAR,
    ACTIONS(7822), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7824), 1,
      anon_sym_CARET,
    ACTIONS(7826), 1,
      anon_sym_map,
    ACTIONS(7828), 1,
      anon_sym_matrix,
    ACTIONS(7830), 1,
      anon_sym_distinct,
    ACTIONS(8548), 1,
      anon_sym_LPAREN,
    ACTIONS(8878), 1,
      anon_sym_LBRACK,
    ACTIONS(8880), 1,
      sym_tag,
    STATE(2754), 1,
      sym_procedure,
    STATE(6335), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [232234] = 21,
    ACTIONS(1627), 1,
      sym_identifier,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(7816), 1,
      anon_sym_proc,
    ACTIONS(7818), 1,
      anon_sym_DOLLAR,
    ACTIONS(7820), 1,
      anon_sym_LBRACK,
    ACTIONS(7822), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7824), 1,
      anon_sym_CARET,
    ACTIONS(7826), 1,
      anon_sym_map,
    ACTIONS(7828), 1,
      anon_sym_matrix,
    ACTIONS(7830), 1,
      anon_sym_distinct,
    ACTIONS(8548), 1,
      anon_sym_LPAREN,
    ACTIONS(8880), 1,
      sym_tag,
    STATE(2695), 1,
      sym_type,
    STATE(2754), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [232317] = 21,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    STATE(3279), 1,
      sym_procedure,
    STATE(7334), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [232400] = 21,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    STATE(3279), 1,
      sym_procedure,
    STATE(7344), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [232483] = 21,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    ACTIONS(9460), 1,
      sym_tag,
    STATE(3279), 1,
      sym_procedure,
    STATE(6829), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [232566] = 21,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    STATE(3279), 1,
      sym_procedure,
    STATE(7404), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [232649] = 21,
    ACTIONS(979), 1,
      sym_identifier,
    ACTIONS(981), 1,
      anon_sym_proc,
    ACTIONS(983), 1,
      anon_sym_struct,
    ACTIONS(985), 1,
      anon_sym_enum,
    ACTIONS(987), 1,
      anon_sym_union,
    ACTIONS(992), 1,
      anon_sym_DOLLAR,
    ACTIONS(999), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1004), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1006), 1,
      anon_sym_map,
    ACTIONS(1008), 1,
      anon_sym_bit_set,
    ACTIONS(1010), 1,
      anon_sym_matrix,
    ACTIONS(1012), 1,
      anon_sym_distinct,
    ACTIONS(1014), 1,
      sym_tag,
    ACTIONS(9228), 1,
      anon_sym_LPAREN,
    ACTIONS(9230), 1,
      anon_sym_BANG,
    ACTIONS(9232), 1,
      anon_sym_LBRACK,
    ACTIONS(9234), 1,
      anon_sym_CARET,
    STATE(2044), 1,
      sym_procedure,
    STATE(2236), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2064), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [232732] = 21,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(8280), 1,
      anon_sym_proc,
    ACTIONS(8282), 1,
      anon_sym_DOLLAR,
    ACTIONS(8284), 1,
      anon_sym_LBRACK,
    ACTIONS(8286), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8288), 1,
      anon_sym_CARET,
    ACTIONS(8290), 1,
      anon_sym_map,
    ACTIONS(8292), 1,
      anon_sym_matrix,
    ACTIONS(8294), 1,
      anon_sym_distinct,
    ACTIONS(8296), 1,
      sym_tag,
    STATE(3279), 1,
      sym_procedure,
    STATE(3281), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [232815] = 21,
    ACTIONS(1965), 1,
      sym_identifier,
    ACTIONS(1969), 1,
      anon_sym_struct,
    ACTIONS(1971), 1,
      anon_sym_enum,
    ACTIONS(1973), 1,
      anon_sym_union,
    ACTIONS(1990), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1994), 1,
      anon_sym_bit_set,
    ACTIONS(7731), 1,
      anon_sym_proc,
    ACTIONS(7733), 1,
      anon_sym_DOLLAR,
    ACTIONS(7735), 1,
      anon_sym_BANG,
    ACTIONS(7739), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7741), 1,
      anon_sym_CARET,
    ACTIONS(7743), 1,
      anon_sym_map,
    ACTIONS(7745), 1,
      anon_sym_matrix,
    ACTIONS(7747), 1,
      anon_sym_distinct,
    ACTIONS(7749), 1,
      sym_tag,
    ACTIONS(8065), 1,
      anon_sym_LPAREN,
    ACTIONS(9462), 1,
      anon_sym_LBRACK,
    STATE(3684), 1,
      sym_procedure,
    STATE(6355), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3686), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [232898] = 21,
    ACTIONS(1965), 1,
      sym_identifier,
    ACTIONS(1967), 1,
      anon_sym_proc,
    ACTIONS(1969), 1,
      anon_sym_struct,
    ACTIONS(1971), 1,
      anon_sym_enum,
    ACTIONS(1973), 1,
      anon_sym_union,
    ACTIONS(1978), 1,
      anon_sym_DOLLAR,
    ACTIONS(1985), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1990), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1992), 1,
      anon_sym_map,
    ACTIONS(1994), 1,
      anon_sym_bit_set,
    ACTIONS(1996), 1,
      anon_sym_matrix,
    ACTIONS(1998), 1,
      anon_sym_distinct,
    ACTIONS(2000), 1,
      sym_tag,
    ACTIONS(7735), 1,
      anon_sym_BANG,
    ACTIONS(8065), 1,
      anon_sym_LPAREN,
    ACTIONS(9290), 1,
      anon_sym_LBRACK,
    ACTIONS(9292), 1,
      anon_sym_CARET,
    STATE(3684), 1,
      sym_procedure,
    STATE(3708), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3686), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [232981] = 21,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    STATE(3279), 1,
      sym_procedure,
    STATE(6719), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [233064] = 21,
    ACTIONS(1675), 1,
      sym_identifier,
    ACTIONS(1679), 1,
      anon_sym_struct,
    ACTIONS(1681), 1,
      anon_sym_enum,
    ACTIONS(1683), 1,
      anon_sym_union,
    ACTIONS(1700), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1704), 1,
      anon_sym_bit_set,
    ACTIONS(7287), 1,
      anon_sym_proc,
    ACTIONS(7289), 1,
      anon_sym_DOLLAR,
    ACTIONS(7291), 1,
      anon_sym_BANG,
    ACTIONS(7293), 1,
      anon_sym_LBRACK,
    ACTIONS(7295), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7297), 1,
      anon_sym_CARET,
    ACTIONS(7299), 1,
      anon_sym_map,
    ACTIONS(7301), 1,
      anon_sym_matrix,
    ACTIONS(7303), 1,
      anon_sym_distinct,
    ACTIONS(8668), 1,
      anon_sym_LPAREN,
    ACTIONS(8672), 1,
      sym_tag,
    STATE(3172), 1,
      sym_procedure,
    STATE(3228), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3208), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [233147] = 21,
    ACTIONS(1867), 1,
      sym_identifier,
    ACTIONS(1871), 1,
      anon_sym_struct,
    ACTIONS(1873), 1,
      anon_sym_enum,
    ACTIONS(1875), 1,
      anon_sym_union,
    ACTIONS(1892), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1896), 1,
      anon_sym_bit_set,
    ACTIONS(8162), 1,
      anon_sym_proc,
    ACTIONS(8164), 1,
      anon_sym_DOLLAR,
    ACTIONS(8166), 1,
      anon_sym_BANG,
    ACTIONS(8168), 1,
      anon_sym_LBRACK,
    ACTIONS(8170), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8172), 1,
      anon_sym_CARET,
    ACTIONS(8174), 1,
      anon_sym_map,
    ACTIONS(8176), 1,
      anon_sym_matrix,
    ACTIONS(8178), 1,
      anon_sym_distinct,
    ACTIONS(8321), 1,
      anon_sym_LPAREN,
    ACTIONS(9464), 1,
      sym_tag,
    STATE(3458), 1,
      sym_procedure,
    STATE(6462), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3471), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [233230] = 21,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(8238), 1,
      anon_sym_proc,
    ACTIONS(8240), 1,
      anon_sym_DOLLAR,
    ACTIONS(8242), 1,
      anon_sym_LBRACK,
    ACTIONS(8244), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8246), 1,
      anon_sym_CARET,
    ACTIONS(8248), 1,
      anon_sym_map,
    ACTIONS(8250), 1,
      anon_sym_matrix,
    ACTIONS(8252), 1,
      anon_sym_distinct,
    ACTIONS(9466), 1,
      sym_tag,
    STATE(3279), 1,
      sym_procedure,
    STATE(6387), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [233313] = 21,
    ACTIONS(1867), 1,
      sym_identifier,
    ACTIONS(1871), 1,
      anon_sym_struct,
    ACTIONS(1873), 1,
      anon_sym_enum,
    ACTIONS(1875), 1,
      anon_sym_union,
    ACTIONS(1892), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1896), 1,
      anon_sym_bit_set,
    ACTIONS(8162), 1,
      anon_sym_proc,
    ACTIONS(8164), 1,
      anon_sym_DOLLAR,
    ACTIONS(8166), 1,
      anon_sym_BANG,
    ACTIONS(8168), 1,
      anon_sym_LBRACK,
    ACTIONS(8170), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8172), 1,
      anon_sym_CARET,
    ACTIONS(8174), 1,
      anon_sym_map,
    ACTIONS(8176), 1,
      anon_sym_matrix,
    ACTIONS(8178), 1,
      anon_sym_distinct,
    ACTIONS(8180), 1,
      sym_tag,
    ACTIONS(8321), 1,
      anon_sym_LPAREN,
    STATE(3458), 1,
      sym_procedure,
    STATE(6456), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3471), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [233396] = 21,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    STATE(3279), 1,
      sym_procedure,
    STATE(6647), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [233479] = 21,
    ACTIONS(1965), 1,
      sym_identifier,
    ACTIONS(1967), 1,
      anon_sym_proc,
    ACTIONS(1969), 1,
      anon_sym_struct,
    ACTIONS(1971), 1,
      anon_sym_enum,
    ACTIONS(1973), 1,
      anon_sym_union,
    ACTIONS(1978), 1,
      anon_sym_DOLLAR,
    ACTIONS(1985), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1990), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1992), 1,
      anon_sym_map,
    ACTIONS(1994), 1,
      anon_sym_bit_set,
    ACTIONS(1996), 1,
      anon_sym_matrix,
    ACTIONS(1998), 1,
      anon_sym_distinct,
    ACTIONS(2000), 1,
      sym_tag,
    ACTIONS(7735), 1,
      anon_sym_BANG,
    ACTIONS(8065), 1,
      anon_sym_LPAREN,
    ACTIONS(9290), 1,
      anon_sym_LBRACK,
    ACTIONS(9292), 1,
      anon_sym_CARET,
    STATE(3631), 1,
      sym_type,
    STATE(3684), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3686), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [233562] = 21,
    ACTIONS(1627), 1,
      sym_identifier,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(7816), 1,
      anon_sym_proc,
    ACTIONS(7818), 1,
      anon_sym_DOLLAR,
    ACTIONS(7820), 1,
      anon_sym_LBRACK,
    ACTIONS(7822), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7824), 1,
      anon_sym_CARET,
    ACTIONS(7826), 1,
      anon_sym_map,
    ACTIONS(7828), 1,
      anon_sym_matrix,
    ACTIONS(7830), 1,
      anon_sym_distinct,
    ACTIONS(8548), 1,
      anon_sym_LPAREN,
    ACTIONS(8880), 1,
      sym_tag,
    STATE(2754), 1,
      sym_procedure,
    STATE(6341), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [233645] = 21,
    ACTIONS(977), 1,
      anon_sym_distinct,
    ACTIONS(1627), 1,
      sym_identifier,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(2381), 1,
      anon_sym_proc,
    ACTIONS(2383), 1,
      anon_sym_DOLLAR,
    ACTIONS(2389), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2395), 1,
      anon_sym_map,
    ACTIONS(2397), 1,
      anon_sym_matrix,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(8548), 1,
      anon_sym_LPAREN,
    ACTIONS(8884), 1,
      anon_sym_LBRACK,
    ACTIONS(8886), 1,
      anon_sym_CARET,
    ACTIONS(8894), 1,
      sym_tag,
    STATE(2754), 1,
      sym_procedure,
    STATE(4018), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [233728] = 21,
    ACTIONS(1627), 1,
      sym_identifier,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(7816), 1,
      anon_sym_proc,
    ACTIONS(7818), 1,
      anon_sym_DOLLAR,
    ACTIONS(7820), 1,
      anon_sym_LBRACK,
    ACTIONS(7822), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7824), 1,
      anon_sym_CARET,
    ACTIONS(7826), 1,
      anon_sym_map,
    ACTIONS(7828), 1,
      anon_sym_matrix,
    ACTIONS(7830), 1,
      anon_sym_distinct,
    ACTIONS(8548), 1,
      anon_sym_LPAREN,
    ACTIONS(8880), 1,
      sym_tag,
    STATE(2754), 1,
      sym_procedure,
    STATE(6342), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [233811] = 21,
    ACTIONS(1627), 1,
      sym_identifier,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(7816), 1,
      anon_sym_proc,
    ACTIONS(7818), 1,
      anon_sym_DOLLAR,
    ACTIONS(7820), 1,
      anon_sym_LBRACK,
    ACTIONS(7822), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7824), 1,
      anon_sym_CARET,
    ACTIONS(7826), 1,
      anon_sym_map,
    ACTIONS(7828), 1,
      anon_sym_matrix,
    ACTIONS(7830), 1,
      anon_sym_distinct,
    ACTIONS(8548), 1,
      anon_sym_LPAREN,
    ACTIONS(9468), 1,
      sym_tag,
    STATE(2754), 1,
      sym_procedure,
    STATE(6334), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [233894] = 21,
    ACTIONS(977), 1,
      anon_sym_distinct,
    ACTIONS(1627), 1,
      sym_identifier,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(2381), 1,
      anon_sym_proc,
    ACTIONS(2383), 1,
      anon_sym_DOLLAR,
    ACTIONS(2389), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2395), 1,
      anon_sym_map,
    ACTIONS(2397), 1,
      anon_sym_matrix,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(8548), 1,
      anon_sym_LPAREN,
    ACTIONS(8884), 1,
      anon_sym_LBRACK,
    ACTIONS(8886), 1,
      anon_sym_CARET,
    ACTIONS(8894), 1,
      sym_tag,
    STATE(2754), 1,
      sym_procedure,
    STATE(2914), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [233977] = 28,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9222), 1,
      anon_sym_COMMA,
    ACTIONS(9224), 1,
      anon_sym_EQ,
    ACTIONS(9226), 1,
      anon_sym_RPAREN,
    STATE(7383), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [234074] = 21,
    ACTIONS(739), 1,
      anon_sym_distinct,
    ACTIONS(2563), 1,
      sym_identifier,
    ACTIONS(2565), 1,
      anon_sym_proc,
    ACTIONS(2567), 1,
      anon_sym_struct,
    ACTIONS(2569), 1,
      anon_sym_enum,
    ACTIONS(2571), 1,
      anon_sym_union,
    ACTIONS(2576), 1,
      anon_sym_DOLLAR,
    ACTIONS(2583), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2588), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2590), 1,
      anon_sym_map,
    ACTIONS(2592), 1,
      anon_sym_bit_set,
    ACTIONS(2594), 1,
      anon_sym_matrix,
    ACTIONS(2596), 1,
      sym_tag,
    ACTIONS(9178), 1,
      anon_sym_LPAREN,
    ACTIONS(9180), 1,
      anon_sym_BANG,
    ACTIONS(9182), 1,
      anon_sym_LBRACK,
    ACTIONS(9184), 1,
      anon_sym_CARET,
    STATE(4270), 1,
      sym_procedure,
    STATE(4281), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(4202), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [234157] = 21,
    ACTIONS(585), 1,
      anon_sym_proc,
    ACTIONS(2241), 1,
      sym_identifier,
    ACTIONS(2245), 1,
      anon_sym_struct,
    ACTIONS(2247), 1,
      anon_sym_enum,
    ACTIONS(2249), 1,
      anon_sym_union,
    ACTIONS(2266), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2270), 1,
      anon_sym_bit_set,
    ACTIONS(7574), 1,
      anon_sym_DOLLAR,
    ACTIONS(7576), 1,
      anon_sym_BANG,
    ACTIONS(7578), 1,
      anon_sym_LBRACK,
    ACTIONS(7580), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7582), 1,
      anon_sym_CARET,
    ACTIONS(7584), 1,
      anon_sym_map,
    ACTIONS(7586), 1,
      anon_sym_matrix,
    ACTIONS(7588), 1,
      anon_sym_distinct,
    ACTIONS(7887), 1,
      anon_sym_LPAREN,
    ACTIONS(9470), 1,
      sym_tag,
    STATE(3705), 1,
      sym_procedure,
    STATE(6338), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3649), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [234240] = 28,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9472), 1,
      anon_sym_COMMA,
    ACTIONS(9474), 1,
      anon_sym_EQ,
    ACTIONS(9476), 1,
      anon_sym_RPAREN,
    STATE(7636), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [234337] = 21,
    ACTIONS(1627), 1,
      sym_identifier,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(7816), 1,
      anon_sym_proc,
    ACTIONS(7818), 1,
      anon_sym_DOLLAR,
    ACTIONS(7820), 1,
      anon_sym_LBRACK,
    ACTIONS(7822), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7824), 1,
      anon_sym_CARET,
    ACTIONS(7826), 1,
      anon_sym_map,
    ACTIONS(7828), 1,
      anon_sym_matrix,
    ACTIONS(7830), 1,
      anon_sym_distinct,
    ACTIONS(8548), 1,
      anon_sym_LPAREN,
    ACTIONS(8880), 1,
      sym_tag,
    STATE(2671), 1,
      sym_type,
    STATE(2754), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [234420] = 21,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    ACTIONS(9478), 1,
      sym_tag,
    STATE(3279), 1,
      sym_procedure,
    STATE(6859), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [234503] = 21,
    ACTIONS(1627), 1,
      sym_identifier,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(7442), 1,
      anon_sym_proc,
    ACTIONS(7444), 1,
      anon_sym_DOLLAR,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(7448), 1,
      anon_sym_LBRACK,
    ACTIONS(7450), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7452), 1,
      anon_sym_CARET,
    ACTIONS(7454), 1,
      anon_sym_map,
    ACTIONS(7456), 1,
      anon_sym_matrix,
    ACTIONS(7458), 1,
      anon_sym_distinct,
    ACTIONS(8548), 1,
      anon_sym_LPAREN,
    ACTIONS(8844), 1,
      sym_tag,
    STATE(2754), 1,
      sym_procedure,
    STATE(6230), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [234586] = 21,
    ACTIONS(1675), 1,
      sym_identifier,
    ACTIONS(1679), 1,
      anon_sym_struct,
    ACTIONS(1681), 1,
      anon_sym_enum,
    ACTIONS(1683), 1,
      anon_sym_union,
    ACTIONS(1700), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1704), 1,
      anon_sym_bit_set,
    ACTIONS(7287), 1,
      anon_sym_proc,
    ACTIONS(7289), 1,
      anon_sym_DOLLAR,
    ACTIONS(7291), 1,
      anon_sym_BANG,
    ACTIONS(7293), 1,
      anon_sym_LBRACK,
    ACTIONS(7295), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7297), 1,
      anon_sym_CARET,
    ACTIONS(7299), 1,
      anon_sym_map,
    ACTIONS(7301), 1,
      anon_sym_matrix,
    ACTIONS(7303), 1,
      anon_sym_distinct,
    ACTIONS(8668), 1,
      anon_sym_LPAREN,
    ACTIONS(8672), 1,
      sym_tag,
    STATE(3172), 1,
      sym_procedure,
    STATE(6182), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3208), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [234669] = 6,
    ACTIONS(7528), 1,
      anon_sym_LPAREN,
    ACTIONS(7683), 1,
      anon_sym_QMARK,
    ACTIONS(7681), 2,
      anon_sym_if,
      anon_sym_when,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(67), 24,
      anon_sym_DASH_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [234722] = 21,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(8238), 1,
      anon_sym_proc,
    ACTIONS(8240), 1,
      anon_sym_DOLLAR,
    ACTIONS(8244), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8246), 1,
      anon_sym_CARET,
    ACTIONS(8248), 1,
      anon_sym_map,
    ACTIONS(8250), 1,
      anon_sym_matrix,
    ACTIONS(8252), 1,
      anon_sym_distinct,
    ACTIONS(8254), 1,
      sym_tag,
    ACTIONS(9252), 1,
      anon_sym_LBRACK,
    STATE(3279), 1,
      sym_procedure,
    STATE(6385), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [234805] = 21,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    STATE(3279), 1,
      sym_procedure,
    STATE(7734), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [234888] = 21,
    ACTIONS(1675), 1,
      sym_identifier,
    ACTIONS(1679), 1,
      anon_sym_struct,
    ACTIONS(1681), 1,
      anon_sym_enum,
    ACTIONS(1683), 1,
      anon_sym_union,
    ACTIONS(1700), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1704), 1,
      anon_sym_bit_set,
    ACTIONS(7287), 1,
      anon_sym_proc,
    ACTIONS(7289), 1,
      anon_sym_DOLLAR,
    ACTIONS(7291), 1,
      anon_sym_BANG,
    ACTIONS(7295), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7297), 1,
      anon_sym_CARET,
    ACTIONS(7299), 1,
      anon_sym_map,
    ACTIONS(7301), 1,
      anon_sym_matrix,
    ACTIONS(7303), 1,
      anon_sym_distinct,
    ACTIONS(8668), 1,
      anon_sym_LPAREN,
    ACTIONS(8670), 1,
      anon_sym_LBRACK,
    ACTIONS(8672), 1,
      sym_tag,
    STATE(3172), 1,
      sym_procedure,
    STATE(6165), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3208), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [234971] = 21,
    ACTIONS(2403), 1,
      sym_identifier,
    ACTIONS(2405), 1,
      anon_sym_proc,
    ACTIONS(2407), 1,
      anon_sym_struct,
    ACTIONS(2409), 1,
      anon_sym_enum,
    ACTIONS(2411), 1,
      anon_sym_union,
    ACTIONS(2416), 1,
      anon_sym_DOLLAR,
    ACTIONS(2423), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2428), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2430), 1,
      anon_sym_map,
    ACTIONS(2432), 1,
      anon_sym_bit_set,
    ACTIONS(2434), 1,
      anon_sym_matrix,
    ACTIONS(2436), 1,
      anon_sym_distinct,
    ACTIONS(2438), 1,
      sym_tag,
    ACTIONS(9210), 1,
      anon_sym_LPAREN,
    ACTIONS(9212), 1,
      anon_sym_BANG,
    ACTIONS(9214), 1,
      anon_sym_LBRACK,
    ACTIONS(9216), 1,
      anon_sym_CARET,
    STATE(4032), 1,
      sym_type,
    STATE(4119), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(4042), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [235054] = 21,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    STATE(3279), 1,
      sym_procedure,
    STATE(7754), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [235137] = 21,
    ACTIONS(977), 1,
      anon_sym_distinct,
    ACTIONS(1627), 1,
      sym_identifier,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(2381), 1,
      anon_sym_proc,
    ACTIONS(2383), 1,
      anon_sym_DOLLAR,
    ACTIONS(2389), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2395), 1,
      anon_sym_map,
    ACTIONS(2397), 1,
      anon_sym_matrix,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(8548), 1,
      anon_sym_LPAREN,
    ACTIONS(8884), 1,
      anon_sym_LBRACK,
    ACTIONS(8886), 1,
      anon_sym_CARET,
    ACTIONS(8894), 1,
      sym_tag,
    STATE(2671), 1,
      sym_type,
    STATE(2754), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [235220] = 21,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    STATE(3279), 1,
      sym_procedure,
    STATE(6861), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [235303] = 21,
    ACTIONS(687), 1,
      anon_sym_distinct,
    ACTIONS(2014), 1,
      sym_identifier,
    ACTIONS(2016), 1,
      anon_sym_proc,
    ACTIONS(2018), 1,
      anon_sym_struct,
    ACTIONS(2020), 1,
      anon_sym_enum,
    ACTIONS(2022), 1,
      anon_sym_union,
    ACTIONS(2028), 1,
      anon_sym_DOLLAR,
    ACTIONS(2036), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2044), 1,
      anon_sym_map,
    ACTIONS(2046), 1,
      anon_sym_bit_set,
    ACTIONS(2048), 1,
      anon_sym_matrix,
    ACTIONS(7398), 1,
      anon_sym_BANG,
    ACTIONS(8604), 1,
      anon_sym_LPAREN,
    ACTIONS(8698), 1,
      anon_sym_CARET,
    ACTIONS(8700), 1,
      sym_tag,
    ACTIONS(8760), 1,
      anon_sym_LBRACK,
    STATE(3414), 1,
      sym_type,
    STATE(3472), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3450), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [235386] = 21,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    STATE(3279), 1,
      sym_procedure,
    STATE(7352), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [235469] = 21,
    ACTIONS(977), 1,
      anon_sym_distinct,
    ACTIONS(1627), 1,
      sym_identifier,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(2381), 1,
      anon_sym_proc,
    ACTIONS(2383), 1,
      anon_sym_DOLLAR,
    ACTIONS(2389), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2395), 1,
      anon_sym_map,
    ACTIONS(2397), 1,
      anon_sym_matrix,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(8548), 1,
      anon_sym_LPAREN,
    ACTIONS(8884), 1,
      anon_sym_LBRACK,
    ACTIONS(8886), 1,
      anon_sym_CARET,
    ACTIONS(8894), 1,
      sym_tag,
    STATE(2754), 1,
      sym_procedure,
    STATE(2888), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [235552] = 21,
    ACTIONS(977), 1,
      anon_sym_distinct,
    ACTIONS(1627), 1,
      sym_identifier,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(2381), 1,
      anon_sym_proc,
    ACTIONS(2383), 1,
      anon_sym_DOLLAR,
    ACTIONS(2389), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2395), 1,
      anon_sym_map,
    ACTIONS(2397), 1,
      anon_sym_matrix,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(8548), 1,
      anon_sym_LPAREN,
    ACTIONS(8884), 1,
      anon_sym_LBRACK,
    ACTIONS(8886), 1,
      anon_sym_CARET,
    ACTIONS(8894), 1,
      sym_tag,
    STATE(2754), 1,
      sym_procedure,
    STATE(4006), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [235635] = 21,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    STATE(3279), 1,
      sym_procedure,
    STATE(7672), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [235718] = 21,
    ACTIONS(977), 1,
      anon_sym_distinct,
    ACTIONS(1627), 1,
      sym_identifier,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(2381), 1,
      anon_sym_proc,
    ACTIONS(2383), 1,
      anon_sym_DOLLAR,
    ACTIONS(2389), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2395), 1,
      anon_sym_map,
    ACTIONS(2397), 1,
      anon_sym_matrix,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(8548), 1,
      anon_sym_LPAREN,
    ACTIONS(8884), 1,
      anon_sym_LBRACK,
    ACTIONS(8886), 1,
      anon_sym_CARET,
    ACTIONS(8894), 1,
      sym_tag,
    STATE(2754), 1,
      sym_procedure,
    STATE(4007), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [235801] = 28,
    ACTIONS(6625), 1,
      anon_sym_LBRACE,
    ACTIONS(8132), 1,
      anon_sym_DASH_GT,
    ACTIONS(8134), 1,
      anon_sym_PLUS,
    ACTIONS(8136), 1,
      anon_sym_DASH,
    ACTIONS(8138), 1,
      anon_sym_TILDE,
    ACTIONS(8140), 1,
      anon_sym_AMP,
    ACTIONS(8142), 1,
      anon_sym_PIPE,
    ACTIONS(8144), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8152), 1,
      anon_sym_DOT,
    ACTIONS(8154), 1,
      anon_sym_LBRACK,
    ACTIONS(8194), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8202), 1,
      anon_sym_or_return,
    ACTIONS(8204), 1,
      anon_sym_or_continue,
    ACTIONS(8206), 1,
      anon_sym_or_break,
    ACTIONS(8208), 1,
      anon_sym_CARET,
    ACTIONS(9480), 1,
      anon_sym_SEMI,
    ACTIONS(9482), 1,
      anon_sym_do,
    STATE(6699), 1,
      sym_block,
    ACTIONS(8146), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8148), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8150), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8156), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8190), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(8192), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(8196), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8198), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8200), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [235898] = 21,
    ACTIONS(977), 1,
      anon_sym_distinct,
    ACTIONS(1627), 1,
      sym_identifier,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(2381), 1,
      anon_sym_proc,
    ACTIONS(2383), 1,
      anon_sym_DOLLAR,
    ACTIONS(2389), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2395), 1,
      anon_sym_map,
    ACTIONS(2397), 1,
      anon_sym_matrix,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(8548), 1,
      anon_sym_LPAREN,
    ACTIONS(8886), 1,
      anon_sym_CARET,
    ACTIONS(8892), 1,
      anon_sym_LBRACK,
    ACTIONS(8894), 1,
      sym_tag,
    STATE(2754), 1,
      sym_procedure,
    STATE(4008), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [235981] = 21,
    ACTIONS(47), 1,
      anon_sym_distinct,
    ACTIONS(2241), 1,
      sym_identifier,
    ACTIONS(2243), 1,
      anon_sym_proc,
    ACTIONS(2245), 1,
      anon_sym_struct,
    ACTIONS(2247), 1,
      anon_sym_enum,
    ACTIONS(2249), 1,
      anon_sym_union,
    ACTIONS(2254), 1,
      anon_sym_DOLLAR,
    ACTIONS(2261), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2266), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2268), 1,
      anon_sym_map,
    ACTIONS(2270), 1,
      anon_sym_bit_set,
    ACTIONS(2272), 1,
      anon_sym_matrix,
    ACTIONS(7576), 1,
      anon_sym_BANG,
    ACTIONS(7887), 1,
      anon_sym_LPAREN,
    ACTIONS(9276), 1,
      anon_sym_LBRACK,
    ACTIONS(9278), 1,
      anon_sym_CARET,
    ACTIONS(9484), 1,
      sym_tag,
    STATE(3705), 1,
      sym_procedure,
    STATE(3932), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3649), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [236064] = 21,
    ACTIONS(275), 1,
      anon_sym_distinct,
    ACTIONS(1331), 1,
      sym_identifier,
    ACTIONS(1333), 1,
      anon_sym_proc,
    ACTIONS(1335), 1,
      anon_sym_struct,
    ACTIONS(1337), 1,
      anon_sym_enum,
    ACTIONS(1339), 1,
      anon_sym_union,
    ACTIONS(1344), 1,
      anon_sym_DOLLAR,
    ACTIONS(1351), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1356), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1358), 1,
      anon_sym_map,
    ACTIONS(1360), 1,
      anon_sym_bit_set,
    ACTIONS(1362), 1,
      anon_sym_matrix,
    ACTIONS(1364), 1,
      sym_tag,
    ACTIONS(9236), 1,
      anon_sym_LPAREN,
    ACTIONS(9238), 1,
      anon_sym_BANG,
    ACTIONS(9240), 1,
      anon_sym_LBRACK,
    ACTIONS(9242), 1,
      anon_sym_CARET,
    STATE(2453), 1,
      sym_procedure,
    STATE(2641), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2497), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [236147] = 21,
    ACTIONS(977), 1,
      anon_sym_distinct,
    ACTIONS(1627), 1,
      sym_identifier,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(2381), 1,
      anon_sym_proc,
    ACTIONS(2383), 1,
      anon_sym_DOLLAR,
    ACTIONS(2389), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2395), 1,
      anon_sym_map,
    ACTIONS(2397), 1,
      anon_sym_matrix,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(8548), 1,
      anon_sym_LPAREN,
    ACTIONS(8884), 1,
      anon_sym_LBRACK,
    ACTIONS(8886), 1,
      anon_sym_CARET,
    ACTIONS(8894), 1,
      sym_tag,
    STATE(2695), 1,
      sym_type,
    STATE(2754), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [236230] = 21,
    ACTIONS(977), 1,
      anon_sym_distinct,
    ACTIONS(1627), 1,
      sym_identifier,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(2381), 1,
      anon_sym_proc,
    ACTIONS(2383), 1,
      anon_sym_DOLLAR,
    ACTIONS(2389), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2395), 1,
      anon_sym_map,
    ACTIONS(2397), 1,
      anon_sym_matrix,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(8548), 1,
      anon_sym_LPAREN,
    ACTIONS(8884), 1,
      anon_sym_LBRACK,
    ACTIONS(8886), 1,
      anon_sym_CARET,
    ACTIONS(8894), 1,
      sym_tag,
    STATE(2754), 1,
      sym_procedure,
    STATE(4009), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [236313] = 21,
    ACTIONS(977), 1,
      anon_sym_distinct,
    ACTIONS(1627), 1,
      sym_identifier,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(2381), 1,
      anon_sym_proc,
    ACTIONS(2383), 1,
      anon_sym_DOLLAR,
    ACTIONS(2389), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2395), 1,
      anon_sym_map,
    ACTIONS(2397), 1,
      anon_sym_matrix,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(8548), 1,
      anon_sym_LPAREN,
    ACTIONS(8884), 1,
      anon_sym_LBRACK,
    ACTIONS(8886), 1,
      anon_sym_CARET,
    ACTIONS(8894), 1,
      sym_tag,
    STATE(2754), 1,
      sym_procedure,
    STATE(4010), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [236396] = 21,
    ACTIONS(977), 1,
      anon_sym_distinct,
    ACTIONS(1627), 1,
      sym_identifier,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(2381), 1,
      anon_sym_proc,
    ACTIONS(2383), 1,
      anon_sym_DOLLAR,
    ACTIONS(2389), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2395), 1,
      anon_sym_map,
    ACTIONS(2397), 1,
      anon_sym_matrix,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(8548), 1,
      anon_sym_LPAREN,
    ACTIONS(8884), 1,
      anon_sym_LBRACK,
    ACTIONS(8886), 1,
      anon_sym_CARET,
    ACTIONS(9486), 1,
      sym_tag,
    STATE(2754), 1,
      sym_procedure,
    STATE(3956), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [236479] = 21,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    STATE(3279), 1,
      sym_procedure,
    STATE(7683), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [236562] = 21,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    STATE(3279), 1,
      sym_procedure,
    STATE(7619), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [236645] = 21,
    ACTIONS(223), 1,
      anon_sym_distinct,
    ACTIONS(1105), 1,
      sym_identifier,
    ACTIONS(1107), 1,
      anon_sym_proc,
    ACTIONS(1109), 1,
      anon_sym_struct,
    ACTIONS(1111), 1,
      anon_sym_enum,
    ACTIONS(1113), 1,
      anon_sym_union,
    ACTIONS(1118), 1,
      anon_sym_DOLLAR,
    ACTIONS(1125), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1130), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1132), 1,
      anon_sym_map,
    ACTIONS(1134), 1,
      anon_sym_bit_set,
    ACTIONS(1136), 1,
      anon_sym_matrix,
    ACTIONS(8526), 1,
      anon_sym_LPAREN,
    ACTIONS(8528), 1,
      anon_sym_BANG,
    ACTIONS(8532), 1,
      anon_sym_CARET,
    ACTIONS(8534), 1,
      sym_tag,
    ACTIONS(8750), 1,
      anon_sym_LBRACK,
    STATE(2040), 1,
      sym_type,
    STATE(2175), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2177), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [236728] = 28,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(8096), 1,
      anon_sym_DASH_GT,
    ACTIONS(8098), 1,
      anon_sym_PLUS,
    ACTIONS(8100), 1,
      anon_sym_DASH,
    ACTIONS(8102), 1,
      anon_sym_TILDE,
    ACTIONS(8104), 1,
      anon_sym_AMP,
    ACTIONS(8106), 1,
      anon_sym_PIPE,
    ACTIONS(8108), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8116), 1,
      anon_sym_DOT,
    ACTIONS(8122), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8130), 1,
      anon_sym_or_break,
    ACTIONS(8506), 1,
      anon_sym_COMMA,
    ACTIONS(8510), 1,
      anon_sym_EQ,
    ACTIONS(8512), 1,
      anon_sym_COLON_EQ,
    STATE(6862), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(8110), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8112), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8114), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8118), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8120), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(8124), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8126), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8236), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8128), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [236825] = 21,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    STATE(3279), 1,
      sym_procedure,
    STATE(7622), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [236908] = 21,
    ACTIONS(687), 1,
      anon_sym_distinct,
    ACTIONS(2014), 1,
      sym_identifier,
    ACTIONS(2016), 1,
      anon_sym_proc,
    ACTIONS(2018), 1,
      anon_sym_struct,
    ACTIONS(2020), 1,
      anon_sym_enum,
    ACTIONS(2022), 1,
      anon_sym_union,
    ACTIONS(2028), 1,
      anon_sym_DOLLAR,
    ACTIONS(2036), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2044), 1,
      anon_sym_map,
    ACTIONS(2046), 1,
      anon_sym_bit_set,
    ACTIONS(2048), 1,
      anon_sym_matrix,
    ACTIONS(7398), 1,
      anon_sym_BANG,
    ACTIONS(8604), 1,
      anon_sym_LPAREN,
    ACTIONS(8698), 1,
      anon_sym_CARET,
    ACTIONS(8700), 1,
      sym_tag,
    ACTIONS(8760), 1,
      anon_sym_LBRACK,
    STATE(3466), 1,
      sym_type,
    STATE(3472), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3450), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [236991] = 21,
    ACTIONS(357), 1,
      anon_sym_distinct,
    ACTIONS(1867), 1,
      sym_identifier,
    ACTIONS(1869), 1,
      anon_sym_proc,
    ACTIONS(1871), 1,
      anon_sym_struct,
    ACTIONS(1873), 1,
      anon_sym_enum,
    ACTIONS(1875), 1,
      anon_sym_union,
    ACTIONS(1880), 1,
      anon_sym_DOLLAR,
    ACTIONS(1887), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1892), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1894), 1,
      anon_sym_map,
    ACTIONS(1896), 1,
      anon_sym_bit_set,
    ACTIONS(1898), 1,
      anon_sym_matrix,
    ACTIONS(1900), 1,
      sym_tag,
    ACTIONS(8166), 1,
      anon_sym_BANG,
    ACTIONS(8321), 1,
      anon_sym_LPAREN,
    ACTIONS(9248), 1,
      anon_sym_LBRACK,
    ACTIONS(9250), 1,
      anon_sym_CARET,
    STATE(3458), 1,
      sym_procedure,
    STATE(3694), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3471), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [237074] = 28,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9488), 1,
      anon_sym_COMMA,
    ACTIONS(9490), 1,
      anon_sym_EQ,
    ACTIONS(9492), 1,
      anon_sym_RPAREN,
    STATE(7470), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [237171] = 21,
    ACTIONS(1627), 1,
      sym_identifier,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(7442), 1,
      anon_sym_proc,
    ACTIONS(7444), 1,
      anon_sym_DOLLAR,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(7448), 1,
      anon_sym_LBRACK,
    ACTIONS(7450), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7452), 1,
      anon_sym_CARET,
    ACTIONS(7454), 1,
      anon_sym_map,
    ACTIONS(7456), 1,
      anon_sym_matrix,
    ACTIONS(7458), 1,
      anon_sym_distinct,
    ACTIONS(8548), 1,
      anon_sym_LPAREN,
    ACTIONS(8844), 1,
      sym_tag,
    STATE(2754), 1,
      sym_procedure,
    STATE(6249), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [237254] = 21,
    ACTIONS(585), 1,
      anon_sym_proc,
    ACTIONS(2241), 1,
      sym_identifier,
    ACTIONS(2245), 1,
      anon_sym_struct,
    ACTIONS(2247), 1,
      anon_sym_enum,
    ACTIONS(2249), 1,
      anon_sym_union,
    ACTIONS(2266), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2270), 1,
      anon_sym_bit_set,
    ACTIONS(7574), 1,
      anon_sym_DOLLAR,
    ACTIONS(7576), 1,
      anon_sym_BANG,
    ACTIONS(7578), 1,
      anon_sym_LBRACK,
    ACTIONS(7580), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7582), 1,
      anon_sym_CARET,
    ACTIONS(7584), 1,
      anon_sym_map,
    ACTIONS(7586), 1,
      anon_sym_matrix,
    ACTIONS(7588), 1,
      anon_sym_distinct,
    ACTIONS(7590), 1,
      sym_tag,
    ACTIONS(7887), 1,
      anon_sym_LPAREN,
    STATE(3705), 1,
      sym_procedure,
    STATE(6345), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3649), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [237337] = 21,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    STATE(3279), 1,
      sym_procedure,
    STATE(7646), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [237420] = 21,
    ACTIONS(687), 1,
      anon_sym_distinct,
    ACTIONS(2014), 1,
      sym_identifier,
    ACTIONS(2016), 1,
      anon_sym_proc,
    ACTIONS(2018), 1,
      anon_sym_struct,
    ACTIONS(2020), 1,
      anon_sym_enum,
    ACTIONS(2022), 1,
      anon_sym_union,
    ACTIONS(2028), 1,
      anon_sym_DOLLAR,
    ACTIONS(2036), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2044), 1,
      anon_sym_map,
    ACTIONS(2046), 1,
      anon_sym_bit_set,
    ACTIONS(2048), 1,
      anon_sym_matrix,
    ACTIONS(7398), 1,
      anon_sym_BANG,
    ACTIONS(8604), 1,
      anon_sym_LPAREN,
    ACTIONS(8696), 1,
      anon_sym_LBRACK,
    ACTIONS(8698), 1,
      anon_sym_CARET,
    ACTIONS(8700), 1,
      sym_tag,
    STATE(3472), 1,
      sym_procedure,
    STATE(3497), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3450), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [237503] = 21,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    STATE(3279), 1,
      sym_procedure,
    STATE(7533), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [237586] = 6,
    ACTIONS(7683), 1,
      anon_sym_QMARK,
    ACTIONS(8424), 1,
      anon_sym_LPAREN,
    ACTIONS(7681), 2,
      anon_sym_if,
      anon_sym_when,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(67), 24,
      anon_sym_DASH_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [237639] = 21,
    ACTIONS(1037), 1,
      anon_sym_distinct,
    ACTIONS(1627), 1,
      sym_identifier,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(2664), 1,
      anon_sym_proc,
    ACTIONS(2666), 1,
      anon_sym_DOLLAR,
    ACTIONS(2671), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2676), 1,
      anon_sym_map,
    ACTIONS(2678), 1,
      anon_sym_matrix,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(8548), 1,
      anon_sym_LPAREN,
    ACTIONS(8550), 1,
      anon_sym_LBRACK,
    ACTIONS(8552), 1,
      anon_sym_CARET,
    ACTIONS(8562), 1,
      sym_tag,
    STATE(2754), 1,
      sym_procedure,
    STATE(4051), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [237722] = 21,
    ACTIONS(509), 1,
      anon_sym_distinct,
    ACTIONS(1627), 1,
      sym_identifier,
    ACTIONS(1629), 1,
      anon_sym_proc,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1640), 1,
      anon_sym_DOLLAR,
    ACTIONS(1647), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1654), 1,
      anon_sym_map,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(1658), 1,
      anon_sym_matrix,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(8548), 1,
      anon_sym_LPAREN,
    ACTIONS(8638), 1,
      anon_sym_LBRACK,
    ACTIONS(8640), 1,
      anon_sym_CARET,
    ACTIONS(8662), 1,
      sym_tag,
    STATE(2754), 1,
      sym_procedure,
    STATE(3080), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [237805] = 21,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    STATE(3279), 1,
      sym_procedure,
    STATE(7719), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [237888] = 21,
    ACTIONS(509), 1,
      anon_sym_distinct,
    ACTIONS(1627), 1,
      sym_identifier,
    ACTIONS(1629), 1,
      anon_sym_proc,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1640), 1,
      anon_sym_DOLLAR,
    ACTIONS(1647), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1654), 1,
      anon_sym_map,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(1658), 1,
      anon_sym_matrix,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(8548), 1,
      anon_sym_LPAREN,
    ACTIONS(8638), 1,
      anon_sym_LBRACK,
    ACTIONS(8640), 1,
      anon_sym_CARET,
    ACTIONS(9494), 1,
      sym_tag,
    STATE(2754), 1,
      sym_procedure,
    STATE(3070), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [237971] = 21,
    ACTIONS(477), 1,
      anon_sym_distinct,
    ACTIONS(1675), 1,
      sym_identifier,
    ACTIONS(1677), 1,
      anon_sym_proc,
    ACTIONS(1679), 1,
      anon_sym_struct,
    ACTIONS(1681), 1,
      anon_sym_enum,
    ACTIONS(1683), 1,
      anon_sym_union,
    ACTIONS(1688), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1700), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1702), 1,
      anon_sym_map,
    ACTIONS(1704), 1,
      anon_sym_bit_set,
    ACTIONS(1706), 1,
      anon_sym_matrix,
    ACTIONS(7291), 1,
      anon_sym_BANG,
    ACTIONS(8668), 1,
      anon_sym_LPAREN,
    ACTIONS(8682), 1,
      anon_sym_CARET,
    ACTIONS(8684), 1,
      sym_tag,
    ACTIONS(8718), 1,
      anon_sym_LBRACK,
    STATE(3153), 1,
      sym_type,
    STATE(3172), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3208), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [238054] = 21,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    STATE(3279), 1,
      sym_procedure,
    STATE(7651), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [238137] = 21,
    ACTIONS(1037), 1,
      anon_sym_distinct,
    ACTIONS(1627), 1,
      sym_identifier,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(2664), 1,
      anon_sym_proc,
    ACTIONS(2666), 1,
      anon_sym_DOLLAR,
    ACTIONS(2671), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2676), 1,
      anon_sym_map,
    ACTIONS(2678), 1,
      anon_sym_matrix,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(8548), 1,
      anon_sym_LPAREN,
    ACTIONS(8550), 1,
      anon_sym_LBRACK,
    ACTIONS(8552), 1,
      anon_sym_CARET,
    ACTIONS(8562), 1,
      sym_tag,
    STATE(2754), 1,
      sym_procedure,
    STATE(2914), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [238220] = 21,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    STATE(3279), 1,
      sym_procedure,
    STATE(7603), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [238303] = 21,
    ACTIONS(477), 1,
      anon_sym_distinct,
    ACTIONS(1675), 1,
      sym_identifier,
    ACTIONS(1677), 1,
      anon_sym_proc,
    ACTIONS(1679), 1,
      anon_sym_struct,
    ACTIONS(1681), 1,
      anon_sym_enum,
    ACTIONS(1683), 1,
      anon_sym_union,
    ACTIONS(1688), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1700), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1702), 1,
      anon_sym_map,
    ACTIONS(1704), 1,
      anon_sym_bit_set,
    ACTIONS(1706), 1,
      anon_sym_matrix,
    ACTIONS(7291), 1,
      anon_sym_BANG,
    ACTIONS(8668), 1,
      anon_sym_LPAREN,
    ACTIONS(8680), 1,
      anon_sym_LBRACK,
    ACTIONS(8682), 1,
      anon_sym_CARET,
    ACTIONS(8684), 1,
      sym_tag,
    STATE(3154), 1,
      sym_type,
    STATE(3172), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3208), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [238386] = 21,
    ACTIONS(2014), 1,
      sym_identifier,
    ACTIONS(2018), 1,
      anon_sym_struct,
    ACTIONS(2020), 1,
      anon_sym_enum,
    ACTIONS(2022), 1,
      anon_sym_union,
    ACTIONS(2042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2046), 1,
      anon_sym_bit_set,
    ACTIONS(7394), 1,
      anon_sym_proc,
    ACTIONS(7396), 1,
      anon_sym_DOLLAR,
    ACTIONS(7398), 1,
      anon_sym_BANG,
    ACTIONS(7400), 1,
      anon_sym_LBRACK,
    ACTIONS(7402), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7404), 1,
      anon_sym_CARET,
    ACTIONS(7406), 1,
      anon_sym_map,
    ACTIONS(7408), 1,
      anon_sym_matrix,
    ACTIONS(7410), 1,
      anon_sym_distinct,
    ACTIONS(8604), 1,
      anon_sym_LPAREN,
    ACTIONS(8608), 1,
      sym_tag,
    STATE(3414), 1,
      sym_type,
    STATE(3472), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3450), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [238469] = 21,
    ACTIONS(687), 1,
      anon_sym_distinct,
    ACTIONS(2014), 1,
      sym_identifier,
    ACTIONS(2016), 1,
      anon_sym_proc,
    ACTIONS(2018), 1,
      anon_sym_struct,
    ACTIONS(2020), 1,
      anon_sym_enum,
    ACTIONS(2022), 1,
      anon_sym_union,
    ACTIONS(2028), 1,
      anon_sym_DOLLAR,
    ACTIONS(2036), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2044), 1,
      anon_sym_map,
    ACTIONS(2046), 1,
      anon_sym_bit_set,
    ACTIONS(2048), 1,
      anon_sym_matrix,
    ACTIONS(7398), 1,
      anon_sym_BANG,
    ACTIONS(8604), 1,
      anon_sym_LPAREN,
    ACTIONS(8698), 1,
      anon_sym_CARET,
    ACTIONS(8760), 1,
      anon_sym_LBRACK,
    ACTIONS(9496), 1,
      sym_tag,
    STATE(3472), 1,
      sym_procedure,
    STATE(3495), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3450), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [238552] = 28,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9498), 1,
      anon_sym_COMMA,
    ACTIONS(9500), 1,
      anon_sym_EQ,
    ACTIONS(9502), 1,
      anon_sym_RPAREN,
    STATE(7262), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [238649] = 21,
    ACTIONS(687), 1,
      anon_sym_distinct,
    ACTIONS(2014), 1,
      sym_identifier,
    ACTIONS(2016), 1,
      anon_sym_proc,
    ACTIONS(2018), 1,
      anon_sym_struct,
    ACTIONS(2020), 1,
      anon_sym_enum,
    ACTIONS(2022), 1,
      anon_sym_union,
    ACTIONS(2028), 1,
      anon_sym_DOLLAR,
    ACTIONS(2036), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2044), 1,
      anon_sym_map,
    ACTIONS(2046), 1,
      anon_sym_bit_set,
    ACTIONS(2048), 1,
      anon_sym_matrix,
    ACTIONS(7398), 1,
      anon_sym_BANG,
    ACTIONS(8604), 1,
      anon_sym_LPAREN,
    ACTIONS(8698), 1,
      anon_sym_CARET,
    ACTIONS(8700), 1,
      sym_tag,
    ACTIONS(8760), 1,
      anon_sym_LBRACK,
    STATE(3472), 1,
      sym_procedure,
    STATE(3496), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3450), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [238732] = 21,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    STATE(3279), 1,
      sym_procedure,
    STATE(6854), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [238815] = 21,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    STATE(3279), 1,
      sym_procedure,
    STATE(7476), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [238898] = 21,
    ACTIONS(585), 1,
      anon_sym_proc,
    ACTIONS(2241), 1,
      sym_identifier,
    ACTIONS(2245), 1,
      anon_sym_struct,
    ACTIONS(2247), 1,
      anon_sym_enum,
    ACTIONS(2249), 1,
      anon_sym_union,
    ACTIONS(2266), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2270), 1,
      anon_sym_bit_set,
    ACTIONS(7574), 1,
      anon_sym_DOLLAR,
    ACTIONS(7576), 1,
      anon_sym_BANG,
    ACTIONS(7578), 1,
      anon_sym_LBRACK,
    ACTIONS(7580), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7582), 1,
      anon_sym_CARET,
    ACTIONS(7584), 1,
      anon_sym_map,
    ACTIONS(7586), 1,
      anon_sym_matrix,
    ACTIONS(7588), 1,
      anon_sym_distinct,
    ACTIONS(7590), 1,
      sym_tag,
    ACTIONS(7887), 1,
      anon_sym_LPAREN,
    STATE(3610), 1,
      sym_type,
    STATE(3705), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3649), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [238981] = 21,
    ACTIONS(1675), 1,
      sym_identifier,
    ACTIONS(1679), 1,
      anon_sym_struct,
    ACTIONS(1681), 1,
      anon_sym_enum,
    ACTIONS(1683), 1,
      anon_sym_union,
    ACTIONS(1700), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1704), 1,
      anon_sym_bit_set,
    ACTIONS(7287), 1,
      anon_sym_proc,
    ACTIONS(7289), 1,
      anon_sym_DOLLAR,
    ACTIONS(7291), 1,
      anon_sym_BANG,
    ACTIONS(7293), 1,
      anon_sym_LBRACK,
    ACTIONS(7295), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7297), 1,
      anon_sym_CARET,
    ACTIONS(7299), 1,
      anon_sym_map,
    ACTIONS(7301), 1,
      anon_sym_matrix,
    ACTIONS(7303), 1,
      anon_sym_distinct,
    ACTIONS(8668), 1,
      anon_sym_LPAREN,
    ACTIONS(8672), 1,
      sym_tag,
    STATE(3075), 1,
      sym_type,
    STATE(3172), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3208), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [239064] = 6,
    ACTIONS(7683), 1,
      anon_sym_QMARK,
    ACTIONS(8086), 1,
      anon_sym_LPAREN,
    ACTIONS(7681), 2,
      anon_sym_if,
      anon_sym_when,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(67), 24,
      anon_sym_DASH_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [239117] = 21,
    ACTIONS(1867), 1,
      sym_identifier,
    ACTIONS(1871), 1,
      anon_sym_struct,
    ACTIONS(1873), 1,
      anon_sym_enum,
    ACTIONS(1875), 1,
      anon_sym_union,
    ACTIONS(1892), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1896), 1,
      anon_sym_bit_set,
    ACTIONS(8162), 1,
      anon_sym_proc,
    ACTIONS(8164), 1,
      anon_sym_DOLLAR,
    ACTIONS(8166), 1,
      anon_sym_BANG,
    ACTIONS(8168), 1,
      anon_sym_LBRACK,
    ACTIONS(8170), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8172), 1,
      anon_sym_CARET,
    ACTIONS(8174), 1,
      anon_sym_map,
    ACTIONS(8176), 1,
      anon_sym_matrix,
    ACTIONS(8178), 1,
      anon_sym_distinct,
    ACTIONS(8180), 1,
      sym_tag,
    ACTIONS(8321), 1,
      anon_sym_LPAREN,
    STATE(3458), 1,
      sym_procedure,
    STATE(7341), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3471), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [239200] = 21,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    STATE(3279), 1,
      sym_procedure,
    STATE(7716), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [239283] = 21,
    ACTIONS(641), 1,
      anon_sym_distinct,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2187), 1,
      anon_sym_proc,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2199), 1,
      anon_sym_DOLLAR,
    ACTIONS(2207), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2215), 1,
      anon_sym_map,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(2219), 1,
      anon_sym_matrix,
    ACTIONS(2221), 1,
      sym_tag,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(9186), 1,
      anon_sym_LBRACK,
    ACTIONS(9188), 1,
      anon_sym_CARET,
    STATE(3279), 1,
      sym_procedure,
    STATE(3290), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [239366] = 21,
    ACTIONS(111), 1,
      anon_sym_distinct,
    ACTIONS(1141), 1,
      sym_identifier,
    ACTIONS(1143), 1,
      anon_sym_proc,
    ACTIONS(1145), 1,
      anon_sym_struct,
    ACTIONS(1147), 1,
      anon_sym_enum,
    ACTIONS(1149), 1,
      anon_sym_union,
    ACTIONS(1154), 1,
      anon_sym_DOLLAR,
    ACTIONS(1161), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1166), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1168), 1,
      anon_sym_map,
    ACTIONS(1170), 1,
      anon_sym_bit_set,
    ACTIONS(1172), 1,
      anon_sym_matrix,
    ACTIONS(9262), 1,
      anon_sym_LPAREN,
    ACTIONS(9264), 1,
      anon_sym_BANG,
    ACTIONS(9266), 1,
      anon_sym_LBRACK,
    ACTIONS(9268), 1,
      anon_sym_CARET,
    ACTIONS(9504), 1,
      sym_tag,
    STATE(2263), 1,
      sym_type,
    STATE(2350), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2262), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [239449] = 21,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(8280), 1,
      anon_sym_proc,
    ACTIONS(8282), 1,
      anon_sym_DOLLAR,
    ACTIONS(8284), 1,
      anon_sym_LBRACK,
    ACTIONS(8286), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8288), 1,
      anon_sym_CARET,
    ACTIONS(8290), 1,
      anon_sym_map,
    ACTIONS(8292), 1,
      anon_sym_matrix,
    ACTIONS(8294), 1,
      anon_sym_distinct,
    ACTIONS(9506), 1,
      sym_tag,
    STATE(3279), 1,
      sym_procedure,
    STATE(6493), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [239532] = 21,
    ACTIONS(585), 1,
      anon_sym_proc,
    ACTIONS(2241), 1,
      sym_identifier,
    ACTIONS(2245), 1,
      anon_sym_struct,
    ACTIONS(2247), 1,
      anon_sym_enum,
    ACTIONS(2249), 1,
      anon_sym_union,
    ACTIONS(2266), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2270), 1,
      anon_sym_bit_set,
    ACTIONS(7574), 1,
      anon_sym_DOLLAR,
    ACTIONS(7576), 1,
      anon_sym_BANG,
    ACTIONS(7578), 1,
      anon_sym_LBRACK,
    ACTIONS(7580), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7582), 1,
      anon_sym_CARET,
    ACTIONS(7584), 1,
      anon_sym_map,
    ACTIONS(7586), 1,
      anon_sym_matrix,
    ACTIONS(7588), 1,
      anon_sym_distinct,
    ACTIONS(7887), 1,
      anon_sym_LPAREN,
    ACTIONS(9294), 1,
      sym_tag,
    STATE(3705), 1,
      sym_procedure,
    STATE(6469), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3649), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [239615] = 21,
    ACTIONS(739), 1,
      anon_sym_distinct,
    ACTIONS(2563), 1,
      sym_identifier,
    ACTIONS(2565), 1,
      anon_sym_proc,
    ACTIONS(2567), 1,
      anon_sym_struct,
    ACTIONS(2569), 1,
      anon_sym_enum,
    ACTIONS(2571), 1,
      anon_sym_union,
    ACTIONS(2576), 1,
      anon_sym_DOLLAR,
    ACTIONS(2583), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2588), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2590), 1,
      anon_sym_map,
    ACTIONS(2592), 1,
      anon_sym_bit_set,
    ACTIONS(2594), 1,
      anon_sym_matrix,
    ACTIONS(2596), 1,
      sym_tag,
    ACTIONS(9178), 1,
      anon_sym_LPAREN,
    ACTIONS(9180), 1,
      anon_sym_BANG,
    ACTIONS(9182), 1,
      anon_sym_LBRACK,
    ACTIONS(9184), 1,
      anon_sym_CARET,
    STATE(4207), 1,
      sym_type,
    STATE(4270), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(4202), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [239698] = 28,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(8096), 1,
      anon_sym_DASH_GT,
    ACTIONS(8098), 1,
      anon_sym_PLUS,
    ACTIONS(8100), 1,
      anon_sym_DASH,
    ACTIONS(8102), 1,
      anon_sym_TILDE,
    ACTIONS(8104), 1,
      anon_sym_AMP,
    ACTIONS(8106), 1,
      anon_sym_PIPE,
    ACTIONS(8108), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8116), 1,
      anon_sym_DOT,
    ACTIONS(8122), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8130), 1,
      anon_sym_or_break,
    ACTIONS(8506), 1,
      anon_sym_COMMA,
    ACTIONS(8570), 1,
      anon_sym_EQ,
    ACTIONS(8572), 1,
      anon_sym_COLON_EQ,
    STATE(6963), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(8110), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8112), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8114), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8118), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8120), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(8124), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8126), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8236), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8128), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [239795] = 21,
    ACTIONS(687), 1,
      anon_sym_distinct,
    ACTIONS(2014), 1,
      sym_identifier,
    ACTIONS(2016), 1,
      anon_sym_proc,
    ACTIONS(2018), 1,
      anon_sym_struct,
    ACTIONS(2020), 1,
      anon_sym_enum,
    ACTIONS(2022), 1,
      anon_sym_union,
    ACTIONS(2028), 1,
      anon_sym_DOLLAR,
    ACTIONS(2036), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2044), 1,
      anon_sym_map,
    ACTIONS(2046), 1,
      anon_sym_bit_set,
    ACTIONS(2048), 1,
      anon_sym_matrix,
    ACTIONS(7398), 1,
      anon_sym_BANG,
    ACTIONS(8604), 1,
      anon_sym_LPAREN,
    ACTIONS(8698), 1,
      anon_sym_CARET,
    ACTIONS(8700), 1,
      sym_tag,
    ACTIONS(8760), 1,
      anon_sym_LBRACK,
    STATE(3396), 1,
      sym_type,
    STATE(3472), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3450), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [239878] = 21,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    STATE(3279), 1,
      sym_procedure,
    STATE(7127), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [239961] = 28,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9354), 1,
      anon_sym_COMMA,
    ACTIONS(9356), 1,
      anon_sym_EQ,
    ACTIONS(9358), 1,
      anon_sym_RPAREN,
    STATE(7621), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [240058] = 28,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9354), 1,
      anon_sym_COMMA,
    ACTIONS(9356), 1,
      anon_sym_EQ,
    ACTIONS(9508), 1,
      anon_sym_RPAREN,
    STATE(7621), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [240155] = 21,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    STATE(3279), 1,
      sym_procedure,
    STATE(3281), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [240238] = 28,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(8096), 1,
      anon_sym_DASH_GT,
    ACTIONS(8098), 1,
      anon_sym_PLUS,
    ACTIONS(8100), 1,
      anon_sym_DASH,
    ACTIONS(8102), 1,
      anon_sym_TILDE,
    ACTIONS(8104), 1,
      anon_sym_AMP,
    ACTIONS(8106), 1,
      anon_sym_PIPE,
    ACTIONS(8108), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8116), 1,
      anon_sym_DOT,
    ACTIONS(8122), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8130), 1,
      anon_sym_or_break,
    ACTIONS(8506), 1,
      anon_sym_COMMA,
    ACTIONS(9510), 1,
      anon_sym_EQ,
    ACTIONS(9512), 1,
      anon_sym_COLON_EQ,
    STATE(6967), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(8110), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8112), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8114), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8118), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8120), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(8124), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8126), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8236), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8128), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [240335] = 21,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    STATE(3279), 1,
      sym_procedure,
    STATE(6536), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [240418] = 21,
    ACTIONS(585), 1,
      anon_sym_proc,
    ACTIONS(2241), 1,
      sym_identifier,
    ACTIONS(2245), 1,
      anon_sym_struct,
    ACTIONS(2247), 1,
      anon_sym_enum,
    ACTIONS(2249), 1,
      anon_sym_union,
    ACTIONS(2266), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2270), 1,
      anon_sym_bit_set,
    ACTIONS(7574), 1,
      anon_sym_DOLLAR,
    ACTIONS(7576), 1,
      anon_sym_BANG,
    ACTIONS(7580), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7582), 1,
      anon_sym_CARET,
    ACTIONS(7584), 1,
      anon_sym_map,
    ACTIONS(7586), 1,
      anon_sym_matrix,
    ACTIONS(7588), 1,
      anon_sym_distinct,
    ACTIONS(7590), 1,
      sym_tag,
    ACTIONS(7887), 1,
      anon_sym_LPAREN,
    ACTIONS(9382), 1,
      anon_sym_LBRACK,
    STATE(3705), 1,
      sym_procedure,
    STATE(6351), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3649), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [240501] = 21,
    ACTIONS(275), 1,
      anon_sym_distinct,
    ACTIONS(1331), 1,
      sym_identifier,
    ACTIONS(1333), 1,
      anon_sym_proc,
    ACTIONS(1335), 1,
      anon_sym_struct,
    ACTIONS(1337), 1,
      anon_sym_enum,
    ACTIONS(1339), 1,
      anon_sym_union,
    ACTIONS(1344), 1,
      anon_sym_DOLLAR,
    ACTIONS(1351), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1356), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1358), 1,
      anon_sym_map,
    ACTIONS(1360), 1,
      anon_sym_bit_set,
    ACTIONS(1362), 1,
      anon_sym_matrix,
    ACTIONS(1364), 1,
      sym_tag,
    ACTIONS(9236), 1,
      anon_sym_LPAREN,
    ACTIONS(9238), 1,
      anon_sym_BANG,
    ACTIONS(9240), 1,
      anon_sym_LBRACK,
    ACTIONS(9242), 1,
      anon_sym_CARET,
    STATE(2453), 1,
      sym_procedure,
    STATE(2461), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2497), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [240584] = 21,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    STATE(3279), 1,
      sym_procedure,
    STATE(6629), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [240667] = 21,
    ACTIONS(275), 1,
      anon_sym_distinct,
    ACTIONS(1331), 1,
      sym_identifier,
    ACTIONS(1333), 1,
      anon_sym_proc,
    ACTIONS(1335), 1,
      anon_sym_struct,
    ACTIONS(1337), 1,
      anon_sym_enum,
    ACTIONS(1339), 1,
      anon_sym_union,
    ACTIONS(1344), 1,
      anon_sym_DOLLAR,
    ACTIONS(1351), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1356), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1358), 1,
      anon_sym_map,
    ACTIONS(1360), 1,
      anon_sym_bit_set,
    ACTIONS(1362), 1,
      anon_sym_matrix,
    ACTIONS(1364), 1,
      sym_tag,
    ACTIONS(9236), 1,
      anon_sym_LPAREN,
    ACTIONS(9238), 1,
      anon_sym_BANG,
    ACTIONS(9242), 1,
      anon_sym_CARET,
    ACTIONS(9514), 1,
      anon_sym_LBRACK,
    STATE(2453), 1,
      sym_procedure,
    STATE(2505), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2497), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [240750] = 21,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    STATE(3279), 1,
      sym_procedure,
    STATE(7688), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [240833] = 21,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(8238), 1,
      anon_sym_proc,
    ACTIONS(8240), 1,
      anon_sym_DOLLAR,
    ACTIONS(8244), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8246), 1,
      anon_sym_CARET,
    ACTIONS(8248), 1,
      anon_sym_map,
    ACTIONS(8250), 1,
      anon_sym_matrix,
    ACTIONS(8252), 1,
      anon_sym_distinct,
    ACTIONS(8254), 1,
      sym_tag,
    ACTIONS(9252), 1,
      anon_sym_LBRACK,
    STATE(3279), 1,
      sym_procedure,
    STATE(6392), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [240916] = 21,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    ACTIONS(9246), 1,
      anon_sym_LBRACK,
    STATE(3279), 1,
      sym_procedure,
    STATE(6819), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [240999] = 21,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    ACTIONS(9246), 1,
      anon_sym_LBRACK,
    STATE(3279), 1,
      sym_procedure,
    STATE(6640), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [241082] = 21,
    ACTIONS(585), 1,
      anon_sym_proc,
    ACTIONS(2241), 1,
      sym_identifier,
    ACTIONS(2245), 1,
      anon_sym_struct,
    ACTIONS(2247), 1,
      anon_sym_enum,
    ACTIONS(2249), 1,
      anon_sym_union,
    ACTIONS(2266), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2270), 1,
      anon_sym_bit_set,
    ACTIONS(7574), 1,
      anon_sym_DOLLAR,
    ACTIONS(7576), 1,
      anon_sym_BANG,
    ACTIONS(7578), 1,
      anon_sym_LBRACK,
    ACTIONS(7580), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7582), 1,
      anon_sym_CARET,
    ACTIONS(7584), 1,
      anon_sym_map,
    ACTIONS(7586), 1,
      anon_sym_matrix,
    ACTIONS(7588), 1,
      anon_sym_distinct,
    ACTIONS(7887), 1,
      anon_sym_LPAREN,
    ACTIONS(9516), 1,
      sym_tag,
    STATE(3705), 1,
      sym_procedure,
    STATE(6351), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3649), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [241165] = 21,
    ACTIONS(2014), 1,
      sym_identifier,
    ACTIONS(2018), 1,
      anon_sym_struct,
    ACTIONS(2020), 1,
      anon_sym_enum,
    ACTIONS(2022), 1,
      anon_sym_union,
    ACTIONS(2042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2046), 1,
      anon_sym_bit_set,
    ACTIONS(7394), 1,
      anon_sym_proc,
    ACTIONS(7396), 1,
      anon_sym_DOLLAR,
    ACTIONS(7398), 1,
      anon_sym_BANG,
    ACTIONS(7400), 1,
      anon_sym_LBRACK,
    ACTIONS(7402), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7404), 1,
      anon_sym_CARET,
    ACTIONS(7406), 1,
      anon_sym_map,
    ACTIONS(7408), 1,
      anon_sym_matrix,
    ACTIONS(7410), 1,
      anon_sym_distinct,
    ACTIONS(8604), 1,
      anon_sym_LPAREN,
    ACTIONS(9518), 1,
      sym_tag,
    STATE(3472), 1,
      sym_procedure,
    STATE(6195), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3450), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [241248] = 21,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    STATE(3279), 1,
      sym_procedure,
    STATE(6643), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [241331] = 21,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    STATE(3279), 1,
      sym_procedure,
    STATE(7507), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [241414] = 27,
    ACTIONS(8132), 1,
      anon_sym_DASH_GT,
    ACTIONS(8134), 1,
      anon_sym_PLUS,
    ACTIONS(8136), 1,
      anon_sym_DASH,
    ACTIONS(8138), 1,
      anon_sym_TILDE,
    ACTIONS(8140), 1,
      anon_sym_AMP,
    ACTIONS(8142), 1,
      anon_sym_PIPE,
    ACTIONS(8144), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8152), 1,
      anon_sym_DOT,
    ACTIONS(8154), 1,
      anon_sym_LBRACK,
    ACTIONS(8194), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8202), 1,
      anon_sym_or_return,
    ACTIONS(8204), 1,
      anon_sym_or_continue,
    ACTIONS(8206), 1,
      anon_sym_or_break,
    ACTIONS(8208), 1,
      anon_sym_CARET,
    ACTIONS(9368), 1,
      anon_sym_COMMA,
    STATE(6952), 1,
      aux_sym__simple_assignment_statement_repeat1,
    ACTIONS(8146), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8148), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8150), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8156), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8190), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(8192), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(8196), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8198), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9520), 2,
      anon_sym_LBRACE,
      anon_sym_do,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8200), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [241509] = 21,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    STATE(3279), 1,
      sym_procedure,
    STATE(7397), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [241592] = 21,
    ACTIONS(585), 1,
      anon_sym_proc,
    ACTIONS(2241), 1,
      sym_identifier,
    ACTIONS(2245), 1,
      anon_sym_struct,
    ACTIONS(2247), 1,
      anon_sym_enum,
    ACTIONS(2249), 1,
      anon_sym_union,
    ACTIONS(2266), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2270), 1,
      anon_sym_bit_set,
    ACTIONS(7574), 1,
      anon_sym_DOLLAR,
    ACTIONS(7576), 1,
      anon_sym_BANG,
    ACTIONS(7580), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7582), 1,
      anon_sym_CARET,
    ACTIONS(7584), 1,
      anon_sym_map,
    ACTIONS(7586), 1,
      anon_sym_matrix,
    ACTIONS(7588), 1,
      anon_sym_distinct,
    ACTIONS(7590), 1,
      sym_tag,
    ACTIONS(7887), 1,
      anon_sym_LPAREN,
    ACTIONS(9382), 1,
      anon_sym_LBRACK,
    STATE(3705), 1,
      sym_procedure,
    STATE(6363), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3649), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [241675] = 21,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    STATE(3279), 1,
      sym_procedure,
    STATE(7587), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [241758] = 21,
    ACTIONS(1965), 1,
      sym_identifier,
    ACTIONS(1967), 1,
      anon_sym_proc,
    ACTIONS(1969), 1,
      anon_sym_struct,
    ACTIONS(1971), 1,
      anon_sym_enum,
    ACTIONS(1973), 1,
      anon_sym_union,
    ACTIONS(1978), 1,
      anon_sym_DOLLAR,
    ACTIONS(1985), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1990), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1992), 1,
      anon_sym_map,
    ACTIONS(1994), 1,
      anon_sym_bit_set,
    ACTIONS(1996), 1,
      anon_sym_matrix,
    ACTIONS(1998), 1,
      anon_sym_distinct,
    ACTIONS(2000), 1,
      sym_tag,
    ACTIONS(7735), 1,
      anon_sym_BANG,
    ACTIONS(8065), 1,
      anon_sym_LPAREN,
    ACTIONS(9292), 1,
      anon_sym_CARET,
    ACTIONS(9522), 1,
      anon_sym_LBRACK,
    STATE(3617), 1,
      sym_type,
    STATE(3684), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3686), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [241841] = 21,
    ACTIONS(477), 1,
      anon_sym_distinct,
    ACTIONS(1675), 1,
      sym_identifier,
    ACTIONS(1677), 1,
      anon_sym_proc,
    ACTIONS(1679), 1,
      anon_sym_struct,
    ACTIONS(1681), 1,
      anon_sym_enum,
    ACTIONS(1683), 1,
      anon_sym_union,
    ACTIONS(1688), 1,
      anon_sym_DOLLAR,
    ACTIONS(1695), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1700), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1702), 1,
      anon_sym_map,
    ACTIONS(1704), 1,
      anon_sym_bit_set,
    ACTIONS(1706), 1,
      anon_sym_matrix,
    ACTIONS(7291), 1,
      anon_sym_BANG,
    ACTIONS(8668), 1,
      anon_sym_LPAREN,
    ACTIONS(8682), 1,
      anon_sym_CARET,
    ACTIONS(8684), 1,
      sym_tag,
    ACTIONS(8718), 1,
      anon_sym_LBRACK,
    STATE(3172), 1,
      sym_procedure,
    STATE(3228), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3208), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [241924] = 21,
    ACTIONS(1965), 1,
      sym_identifier,
    ACTIONS(1967), 1,
      anon_sym_proc,
    ACTIONS(1969), 1,
      anon_sym_struct,
    ACTIONS(1971), 1,
      anon_sym_enum,
    ACTIONS(1973), 1,
      anon_sym_union,
    ACTIONS(1978), 1,
      anon_sym_DOLLAR,
    ACTIONS(1985), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1990), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1992), 1,
      anon_sym_map,
    ACTIONS(1994), 1,
      anon_sym_bit_set,
    ACTIONS(1996), 1,
      anon_sym_matrix,
    ACTIONS(1998), 1,
      anon_sym_distinct,
    ACTIONS(2000), 1,
      sym_tag,
    ACTIONS(7735), 1,
      anon_sym_BANG,
    ACTIONS(8065), 1,
      anon_sym_LPAREN,
    ACTIONS(9290), 1,
      anon_sym_LBRACK,
    ACTIONS(9292), 1,
      anon_sym_CARET,
    STATE(3684), 1,
      sym_procedure,
    STATE(3724), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3686), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [242007] = 21,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    STATE(3279), 1,
      sym_procedure,
    STATE(7407), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [242090] = 21,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(8238), 1,
      anon_sym_proc,
    ACTIONS(8240), 1,
      anon_sym_DOLLAR,
    ACTIONS(8242), 1,
      anon_sym_LBRACK,
    ACTIONS(8244), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8246), 1,
      anon_sym_CARET,
    ACTIONS(8248), 1,
      anon_sym_map,
    ACTIONS(8250), 1,
      anon_sym_matrix,
    ACTIONS(8252), 1,
      anon_sym_distinct,
    ACTIONS(9524), 1,
      sym_tag,
    STATE(3279), 1,
      sym_procedure,
    STATE(6392), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [242173] = 21,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    STATE(3279), 1,
      sym_procedure,
    STATE(7368), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [242256] = 21,
    ACTIONS(1965), 1,
      sym_identifier,
    ACTIONS(1969), 1,
      anon_sym_struct,
    ACTIONS(1971), 1,
      anon_sym_enum,
    ACTIONS(1973), 1,
      anon_sym_union,
    ACTIONS(1990), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1994), 1,
      anon_sym_bit_set,
    ACTIONS(7731), 1,
      anon_sym_proc,
    ACTIONS(7733), 1,
      anon_sym_DOLLAR,
    ACTIONS(7735), 1,
      anon_sym_BANG,
    ACTIONS(7737), 1,
      anon_sym_LBRACK,
    ACTIONS(7739), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7741), 1,
      anon_sym_CARET,
    ACTIONS(7743), 1,
      anon_sym_map,
    ACTIONS(7745), 1,
      anon_sym_matrix,
    ACTIONS(7747), 1,
      anon_sym_distinct,
    ACTIONS(8065), 1,
      anon_sym_LPAREN,
    ACTIONS(9526), 1,
      sym_tag,
    STATE(3684), 1,
      sym_procedure,
    STATE(6361), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3686), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [242339] = 21,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    STATE(3279), 1,
      sym_procedure,
    STATE(7440), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [242422] = 21,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(8238), 1,
      anon_sym_proc,
    ACTIONS(8240), 1,
      anon_sym_DOLLAR,
    ACTIONS(8244), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8246), 1,
      anon_sym_CARET,
    ACTIONS(8248), 1,
      anon_sym_map,
    ACTIONS(8250), 1,
      anon_sym_matrix,
    ACTIONS(8252), 1,
      anon_sym_distinct,
    ACTIONS(8254), 1,
      sym_tag,
    ACTIONS(9252), 1,
      anon_sym_LBRACK,
    STATE(3279), 1,
      sym_procedure,
    STATE(6378), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [242505] = 21,
    ACTIONS(739), 1,
      anon_sym_distinct,
    ACTIONS(2563), 1,
      sym_identifier,
    ACTIONS(2565), 1,
      anon_sym_proc,
    ACTIONS(2567), 1,
      anon_sym_struct,
    ACTIONS(2569), 1,
      anon_sym_enum,
    ACTIONS(2571), 1,
      anon_sym_union,
    ACTIONS(2576), 1,
      anon_sym_DOLLAR,
    ACTIONS(2583), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2588), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2590), 1,
      anon_sym_map,
    ACTIONS(2592), 1,
      anon_sym_bit_set,
    ACTIONS(2594), 1,
      anon_sym_matrix,
    ACTIONS(2596), 1,
      sym_tag,
    ACTIONS(9178), 1,
      anon_sym_LPAREN,
    ACTIONS(9180), 1,
      anon_sym_BANG,
    ACTIONS(9182), 1,
      anon_sym_LBRACK,
    ACTIONS(9184), 1,
      anon_sym_CARET,
    STATE(4264), 1,
      sym_type,
    STATE(4270), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(4202), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [242588] = 6,
    ACTIONS(6603), 1,
      anon_sym_LPAREN,
    ACTIONS(7683), 1,
      anon_sym_QMARK,
    ACTIONS(7681), 2,
      anon_sym_if,
      anon_sym_when,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(67), 24,
      anon_sym_DASH_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [242641] = 21,
    ACTIONS(325), 1,
      anon_sym_distinct,
    ACTIONS(1441), 1,
      sym_identifier,
    ACTIONS(1443), 1,
      anon_sym_proc,
    ACTIONS(1445), 1,
      anon_sym_struct,
    ACTIONS(1447), 1,
      anon_sym_enum,
    ACTIONS(1449), 1,
      anon_sym_union,
    ACTIONS(1455), 1,
      anon_sym_DOLLAR,
    ACTIONS(1463), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1469), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1471), 1,
      anon_sym_map,
    ACTIONS(1473), 1,
      anon_sym_bit_set,
    ACTIONS(1475), 1,
      anon_sym_matrix,
    ACTIONS(1477), 1,
      sym_tag,
    ACTIONS(9296), 1,
      anon_sym_LPAREN,
    ACTIONS(9298), 1,
      anon_sym_BANG,
    ACTIONS(9300), 1,
      anon_sym_LBRACK,
    ACTIONS(9302), 1,
      anon_sym_CARET,
    STATE(2675), 1,
      sym_procedure,
    STATE(2699), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2697), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [242724] = 21,
    ACTIONS(357), 1,
      anon_sym_distinct,
    ACTIONS(1867), 1,
      sym_identifier,
    ACTIONS(1869), 1,
      anon_sym_proc,
    ACTIONS(1871), 1,
      anon_sym_struct,
    ACTIONS(1873), 1,
      anon_sym_enum,
    ACTIONS(1875), 1,
      anon_sym_union,
    ACTIONS(1880), 1,
      anon_sym_DOLLAR,
    ACTIONS(1887), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1892), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1894), 1,
      anon_sym_map,
    ACTIONS(1896), 1,
      anon_sym_bit_set,
    ACTIONS(1898), 1,
      anon_sym_matrix,
    ACTIONS(8166), 1,
      anon_sym_BANG,
    ACTIONS(8321), 1,
      anon_sym_LPAREN,
    ACTIONS(9248), 1,
      anon_sym_LBRACK,
    ACTIONS(9250), 1,
      anon_sym_CARET,
    ACTIONS(9528), 1,
      sym_tag,
    STATE(3458), 1,
      sym_procedure,
    STATE(3491), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3471), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [242807] = 21,
    ACTIONS(111), 1,
      anon_sym_distinct,
    ACTIONS(1141), 1,
      sym_identifier,
    ACTIONS(1143), 1,
      anon_sym_proc,
    ACTIONS(1145), 1,
      anon_sym_struct,
    ACTIONS(1147), 1,
      anon_sym_enum,
    ACTIONS(1149), 1,
      anon_sym_union,
    ACTIONS(1154), 1,
      anon_sym_DOLLAR,
    ACTIONS(1161), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1166), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1168), 1,
      anon_sym_map,
    ACTIONS(1170), 1,
      anon_sym_bit_set,
    ACTIONS(1172), 1,
      anon_sym_matrix,
    ACTIONS(1174), 1,
      sym_tag,
    ACTIONS(9262), 1,
      anon_sym_LPAREN,
    ACTIONS(9264), 1,
      anon_sym_BANG,
    ACTIONS(9266), 1,
      anon_sym_LBRACK,
    ACTIONS(9268), 1,
      anon_sym_CARET,
    STATE(2272), 1,
      sym_type,
    STATE(2350), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2262), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [242890] = 21,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    STATE(3279), 1,
      sym_procedure,
    STATE(7370), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [242973] = 21,
    ACTIONS(47), 1,
      anon_sym_distinct,
    ACTIONS(2241), 1,
      sym_identifier,
    ACTIONS(2243), 1,
      anon_sym_proc,
    ACTIONS(2245), 1,
      anon_sym_struct,
    ACTIONS(2247), 1,
      anon_sym_enum,
    ACTIONS(2249), 1,
      anon_sym_union,
    ACTIONS(2254), 1,
      anon_sym_DOLLAR,
    ACTIONS(2261), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2266), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2268), 1,
      anon_sym_map,
    ACTIONS(2270), 1,
      anon_sym_bit_set,
    ACTIONS(2272), 1,
      anon_sym_matrix,
    ACTIONS(2274), 1,
      sym_tag,
    ACTIONS(7576), 1,
      anon_sym_BANG,
    ACTIONS(7887), 1,
      anon_sym_LPAREN,
    ACTIONS(9278), 1,
      anon_sym_CARET,
    ACTIONS(9530), 1,
      anon_sym_LBRACK,
    STATE(3705), 1,
      sym_procedure,
    STATE(3838), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3649), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [243056] = 21,
    ACTIONS(585), 1,
      anon_sym_proc,
    ACTIONS(2241), 1,
      sym_identifier,
    ACTIONS(2245), 1,
      anon_sym_struct,
    ACTIONS(2247), 1,
      anon_sym_enum,
    ACTIONS(2249), 1,
      anon_sym_union,
    ACTIONS(2266), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2270), 1,
      anon_sym_bit_set,
    ACTIONS(7574), 1,
      anon_sym_DOLLAR,
    ACTIONS(7576), 1,
      anon_sym_BANG,
    ACTIONS(7578), 1,
      anon_sym_LBRACK,
    ACTIONS(7580), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7582), 1,
      anon_sym_CARET,
    ACTIONS(7584), 1,
      anon_sym_map,
    ACTIONS(7586), 1,
      anon_sym_matrix,
    ACTIONS(7588), 1,
      anon_sym_distinct,
    ACTIONS(7590), 1,
      sym_tag,
    ACTIONS(7887), 1,
      anon_sym_LPAREN,
    STATE(3705), 1,
      sym_procedure,
    STATE(6348), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3649), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [243139] = 21,
    ACTIONS(47), 1,
      anon_sym_distinct,
    ACTIONS(2241), 1,
      sym_identifier,
    ACTIONS(2243), 1,
      anon_sym_proc,
    ACTIONS(2245), 1,
      anon_sym_struct,
    ACTIONS(2247), 1,
      anon_sym_enum,
    ACTIONS(2249), 1,
      anon_sym_union,
    ACTIONS(2254), 1,
      anon_sym_DOLLAR,
    ACTIONS(2261), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2266), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2268), 1,
      anon_sym_map,
    ACTIONS(2270), 1,
      anon_sym_bit_set,
    ACTIONS(2272), 1,
      anon_sym_matrix,
    ACTIONS(2274), 1,
      sym_tag,
    ACTIONS(7576), 1,
      anon_sym_BANG,
    ACTIONS(7887), 1,
      anon_sym_LPAREN,
    ACTIONS(9276), 1,
      anon_sym_LBRACK,
    ACTIONS(9278), 1,
      anon_sym_CARET,
    STATE(3705), 1,
      sym_procedure,
    STATE(3937), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3649), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [243222] = 21,
    ACTIONS(157), 1,
      anon_sym_distinct,
    ACTIONS(771), 1,
      sym_identifier,
    ACTIONS(776), 1,
      anon_sym_proc,
    ACTIONS(781), 1,
      anon_sym_struct,
    ACTIONS(783), 1,
      anon_sym_enum,
    ACTIONS(785), 1,
      anon_sym_union,
    ACTIONS(791), 1,
      anon_sym_DOLLAR,
    ACTIONS(799), 1,
      anon_sym_DOT_DOT,
    ACTIONS(805), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(807), 1,
      anon_sym_map,
    ACTIONS(809), 1,
      anon_sym_bit_set,
    ACTIONS(811), 1,
      anon_sym_matrix,
    ACTIONS(8646), 1,
      anon_sym_LPAREN,
    ACTIONS(8648), 1,
      anon_sym_BANG,
    ACTIONS(8652), 1,
      anon_sym_CARET,
    ACTIONS(8690), 1,
      anon_sym_LBRACK,
    ACTIONS(8692), 1,
      sym_tag,
    STATE(695), 1,
      sym_procedure,
    STATE(709), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(705), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [243305] = 21,
    ACTIONS(223), 1,
      anon_sym_distinct,
    ACTIONS(1105), 1,
      sym_identifier,
    ACTIONS(1107), 1,
      anon_sym_proc,
    ACTIONS(1109), 1,
      anon_sym_struct,
    ACTIONS(1111), 1,
      anon_sym_enum,
    ACTIONS(1113), 1,
      anon_sym_union,
    ACTIONS(1118), 1,
      anon_sym_DOLLAR,
    ACTIONS(1125), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1130), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1132), 1,
      anon_sym_map,
    ACTIONS(1134), 1,
      anon_sym_bit_set,
    ACTIONS(1136), 1,
      anon_sym_matrix,
    ACTIONS(8526), 1,
      anon_sym_LPAREN,
    ACTIONS(8528), 1,
      anon_sym_BANG,
    ACTIONS(8532), 1,
      anon_sym_CARET,
    ACTIONS(8534), 1,
      sym_tag,
    ACTIONS(8750), 1,
      anon_sym_LBRACK,
    STATE(2175), 1,
      sym_procedure,
    STATE(2198), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2177), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [243388] = 21,
    ACTIONS(2014), 1,
      sym_identifier,
    ACTIONS(2018), 1,
      anon_sym_struct,
    ACTIONS(2020), 1,
      anon_sym_enum,
    ACTIONS(2022), 1,
      anon_sym_union,
    ACTIONS(2042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2046), 1,
      anon_sym_bit_set,
    ACTIONS(7394), 1,
      anon_sym_proc,
    ACTIONS(7396), 1,
      anon_sym_DOLLAR,
    ACTIONS(7398), 1,
      anon_sym_BANG,
    ACTIONS(7400), 1,
      anon_sym_LBRACK,
    ACTIONS(7402), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7404), 1,
      anon_sym_CARET,
    ACTIONS(7406), 1,
      anon_sym_map,
    ACTIONS(7408), 1,
      anon_sym_matrix,
    ACTIONS(7410), 1,
      anon_sym_distinct,
    ACTIONS(8604), 1,
      anon_sym_LPAREN,
    ACTIONS(8608), 1,
      sym_tag,
    STATE(3472), 1,
      sym_procedure,
    STATE(3559), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3450), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [243471] = 21,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    STATE(3279), 1,
      sym_procedure,
    STATE(6863), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [243554] = 21,
    ACTIONS(223), 1,
      anon_sym_distinct,
    ACTIONS(1105), 1,
      sym_identifier,
    ACTIONS(1107), 1,
      anon_sym_proc,
    ACTIONS(1109), 1,
      anon_sym_struct,
    ACTIONS(1111), 1,
      anon_sym_enum,
    ACTIONS(1113), 1,
      anon_sym_union,
    ACTIONS(1118), 1,
      anon_sym_DOLLAR,
    ACTIONS(1125), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1130), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1132), 1,
      anon_sym_map,
    ACTIONS(1134), 1,
      anon_sym_bit_set,
    ACTIONS(1136), 1,
      anon_sym_matrix,
    ACTIONS(8526), 1,
      anon_sym_LPAREN,
    ACTIONS(8528), 1,
      anon_sym_BANG,
    ACTIONS(8532), 1,
      anon_sym_CARET,
    ACTIONS(8534), 1,
      sym_tag,
    ACTIONS(8750), 1,
      anon_sym_LBRACK,
    STATE(2173), 1,
      sym_type,
    STATE(2175), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2177), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [243637] = 28,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9532), 1,
      anon_sym_COMMA,
    ACTIONS(9534), 1,
      anon_sym_EQ,
    ACTIONS(9536), 1,
      anon_sym_RPAREN,
    STATE(7491), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [243734] = 21,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    STATE(3279), 1,
      sym_procedure,
    STATE(7545), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [243817] = 21,
    ACTIONS(1627), 1,
      sym_identifier,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(7442), 1,
      anon_sym_proc,
    ACTIONS(7444), 1,
      anon_sym_DOLLAR,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(7448), 1,
      anon_sym_LBRACK,
    ACTIONS(7450), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7452), 1,
      anon_sym_CARET,
    ACTIONS(7454), 1,
      anon_sym_map,
    ACTIONS(7456), 1,
      anon_sym_matrix,
    ACTIONS(7458), 1,
      anon_sym_distinct,
    ACTIONS(8548), 1,
      anon_sym_LPAREN,
    ACTIONS(8844), 1,
      sym_tag,
    STATE(2695), 1,
      sym_type,
    STATE(2754), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [243900] = 21,
    ACTIONS(157), 1,
      anon_sym_distinct,
    ACTIONS(771), 1,
      sym_identifier,
    ACTIONS(776), 1,
      anon_sym_proc,
    ACTIONS(781), 1,
      anon_sym_struct,
    ACTIONS(783), 1,
      anon_sym_enum,
    ACTIONS(785), 1,
      anon_sym_union,
    ACTIONS(791), 1,
      anon_sym_DOLLAR,
    ACTIONS(799), 1,
      anon_sym_DOT_DOT,
    ACTIONS(805), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(807), 1,
      anon_sym_map,
    ACTIONS(809), 1,
      anon_sym_bit_set,
    ACTIONS(811), 1,
      anon_sym_matrix,
    ACTIONS(8646), 1,
      anon_sym_LPAREN,
    ACTIONS(8648), 1,
      anon_sym_BANG,
    ACTIONS(8650), 1,
      anon_sym_LBRACK,
    ACTIONS(8652), 1,
      anon_sym_CARET,
    ACTIONS(8692), 1,
      sym_tag,
    STATE(695), 1,
      sym_procedure,
    STATE(724), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(705), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [243983] = 21,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    STATE(3279), 1,
      sym_procedure,
    STATE(7566), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [244066] = 21,
    ACTIONS(325), 1,
      anon_sym_distinct,
    ACTIONS(1441), 1,
      sym_identifier,
    ACTIONS(1443), 1,
      anon_sym_proc,
    ACTIONS(1445), 1,
      anon_sym_struct,
    ACTIONS(1447), 1,
      anon_sym_enum,
    ACTIONS(1449), 1,
      anon_sym_union,
    ACTIONS(1455), 1,
      anon_sym_DOLLAR,
    ACTIONS(1463), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1469), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1471), 1,
      anon_sym_map,
    ACTIONS(1473), 1,
      anon_sym_bit_set,
    ACTIONS(1475), 1,
      anon_sym_matrix,
    ACTIONS(9296), 1,
      anon_sym_LPAREN,
    ACTIONS(9298), 1,
      anon_sym_BANG,
    ACTIONS(9300), 1,
      anon_sym_LBRACK,
    ACTIONS(9302), 1,
      anon_sym_CARET,
    ACTIONS(9538), 1,
      sym_tag,
    STATE(2675), 1,
      sym_procedure,
    STATE(2761), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2697), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [244149] = 21,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    STATE(3279), 1,
      sym_procedure,
    STATE(6818), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [244232] = 21,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    STATE(3279), 1,
      sym_procedure,
    STATE(7629), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [244315] = 21,
    ACTIONS(157), 1,
      anon_sym_distinct,
    ACTIONS(771), 1,
      sym_identifier,
    ACTIONS(776), 1,
      anon_sym_proc,
    ACTIONS(781), 1,
      anon_sym_struct,
    ACTIONS(783), 1,
      anon_sym_enum,
    ACTIONS(785), 1,
      anon_sym_union,
    ACTIONS(791), 1,
      anon_sym_DOLLAR,
    ACTIONS(799), 1,
      anon_sym_DOT_DOT,
    ACTIONS(805), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(807), 1,
      anon_sym_map,
    ACTIONS(809), 1,
      anon_sym_bit_set,
    ACTIONS(811), 1,
      anon_sym_matrix,
    ACTIONS(8646), 1,
      anon_sym_LPAREN,
    ACTIONS(8648), 1,
      anon_sym_BANG,
    ACTIONS(8650), 1,
      anon_sym_LBRACK,
    ACTIONS(8652), 1,
      anon_sym_CARET,
    ACTIONS(8692), 1,
      sym_tag,
    STATE(695), 1,
      sym_procedure,
    STATE(735), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(705), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [244398] = 21,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(8238), 1,
      anon_sym_proc,
    ACTIONS(8240), 1,
      anon_sym_DOLLAR,
    ACTIONS(8244), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8246), 1,
      anon_sym_CARET,
    ACTIONS(8248), 1,
      anon_sym_map,
    ACTIONS(8250), 1,
      anon_sym_matrix,
    ACTIONS(8252), 1,
      anon_sym_distinct,
    ACTIONS(8254), 1,
      sym_tag,
    ACTIONS(9252), 1,
      anon_sym_LBRACK,
    STATE(3279), 1,
      sym_procedure,
    STATE(6395), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [244481] = 21,
    ACTIONS(585), 1,
      anon_sym_proc,
    ACTIONS(2241), 1,
      sym_identifier,
    ACTIONS(2245), 1,
      anon_sym_struct,
    ACTIONS(2247), 1,
      anon_sym_enum,
    ACTIONS(2249), 1,
      anon_sym_union,
    ACTIONS(2266), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2270), 1,
      anon_sym_bit_set,
    ACTIONS(7574), 1,
      anon_sym_DOLLAR,
    ACTIONS(7576), 1,
      anon_sym_BANG,
    ACTIONS(7578), 1,
      anon_sym_LBRACK,
    ACTIONS(7580), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7582), 1,
      anon_sym_CARET,
    ACTIONS(7584), 1,
      anon_sym_map,
    ACTIONS(7586), 1,
      anon_sym_matrix,
    ACTIONS(7588), 1,
      anon_sym_distinct,
    ACTIONS(7590), 1,
      sym_tag,
    ACTIONS(7887), 1,
      anon_sym_LPAREN,
    STATE(3705), 1,
      sym_procedure,
    STATE(6398), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3649), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [244564] = 21,
    ACTIONS(2014), 1,
      sym_identifier,
    ACTIONS(2018), 1,
      anon_sym_struct,
    ACTIONS(2020), 1,
      anon_sym_enum,
    ACTIONS(2022), 1,
      anon_sym_union,
    ACTIONS(2042), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2046), 1,
      anon_sym_bit_set,
    ACTIONS(7394), 1,
      anon_sym_proc,
    ACTIONS(7396), 1,
      anon_sym_DOLLAR,
    ACTIONS(7398), 1,
      anon_sym_BANG,
    ACTIONS(7400), 1,
      anon_sym_LBRACK,
    ACTIONS(7402), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7404), 1,
      anon_sym_CARET,
    ACTIONS(7406), 1,
      anon_sym_map,
    ACTIONS(7408), 1,
      anon_sym_matrix,
    ACTIONS(7410), 1,
      anon_sym_distinct,
    ACTIONS(8604), 1,
      anon_sym_LPAREN,
    ACTIONS(8608), 1,
      sym_tag,
    STATE(3472), 1,
      sym_procedure,
    STATE(6200), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3450), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [244647] = 21,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    STATE(3279), 1,
      sym_procedure,
    STATE(7208), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [244730] = 21,
    ACTIONS(1965), 1,
      sym_identifier,
    ACTIONS(1967), 1,
      anon_sym_proc,
    ACTIONS(1969), 1,
      anon_sym_struct,
    ACTIONS(1971), 1,
      anon_sym_enum,
    ACTIONS(1973), 1,
      anon_sym_union,
    ACTIONS(1978), 1,
      anon_sym_DOLLAR,
    ACTIONS(1985), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1990), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1992), 1,
      anon_sym_map,
    ACTIONS(1994), 1,
      anon_sym_bit_set,
    ACTIONS(1996), 1,
      anon_sym_matrix,
    ACTIONS(1998), 1,
      anon_sym_distinct,
    ACTIONS(2000), 1,
      sym_tag,
    ACTIONS(7735), 1,
      anon_sym_BANG,
    ACTIONS(8065), 1,
      anon_sym_LPAREN,
    ACTIONS(9290), 1,
      anon_sym_LBRACK,
    ACTIONS(9292), 1,
      anon_sym_CARET,
    STATE(3684), 1,
      sym_procedure,
    STATE(3697), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3686), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [244813] = 21,
    ACTIONS(1627), 1,
      sym_identifier,
    ACTIONS(1631), 1,
      anon_sym_struct,
    ACTIONS(1633), 1,
      anon_sym_enum,
    ACTIONS(1635), 1,
      anon_sym_union,
    ACTIONS(1652), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1656), 1,
      anon_sym_bit_set,
    ACTIONS(7442), 1,
      anon_sym_proc,
    ACTIONS(7444), 1,
      anon_sym_DOLLAR,
    ACTIONS(7446), 1,
      anon_sym_BANG,
    ACTIONS(7448), 1,
      anon_sym_LBRACK,
    ACTIONS(7450), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7452), 1,
      anon_sym_CARET,
    ACTIONS(7454), 1,
      anon_sym_map,
    ACTIONS(7456), 1,
      anon_sym_matrix,
    ACTIONS(7458), 1,
      anon_sym_distinct,
    ACTIONS(8548), 1,
      anon_sym_LPAREN,
    ACTIONS(8844), 1,
      sym_tag,
    STATE(2754), 1,
      sym_procedure,
    STATE(6269), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2760), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [244896] = 21,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    STATE(3279), 1,
      sym_procedure,
    STATE(7213), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [244979] = 21,
    ACTIONS(641), 1,
      anon_sym_distinct,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2187), 1,
      anon_sym_proc,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2199), 1,
      anon_sym_DOLLAR,
    ACTIONS(2207), 1,
      anon_sym_DOT_DOT,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2215), 1,
      anon_sym_map,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(2219), 1,
      anon_sym_matrix,
    ACTIONS(2221), 1,
      sym_tag,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(9186), 1,
      anon_sym_LBRACK,
    ACTIONS(9188), 1,
      anon_sym_CARET,
    STATE(3279), 1,
      sym_procedure,
    STATE(3281), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [245062] = 21,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(8280), 1,
      anon_sym_proc,
    ACTIONS(8282), 1,
      anon_sym_DOLLAR,
    ACTIONS(8284), 1,
      anon_sym_LBRACK,
    ACTIONS(8286), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8288), 1,
      anon_sym_CARET,
    ACTIONS(8290), 1,
      anon_sym_map,
    ACTIONS(8292), 1,
      anon_sym_matrix,
    ACTIONS(8294), 1,
      anon_sym_distinct,
    ACTIONS(9540), 1,
      sym_tag,
    STATE(3279), 1,
      sym_procedure,
    STATE(6569), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [245145] = 21,
    ACTIONS(585), 1,
      anon_sym_proc,
    ACTIONS(2241), 1,
      sym_identifier,
    ACTIONS(2245), 1,
      anon_sym_struct,
    ACTIONS(2247), 1,
      anon_sym_enum,
    ACTIONS(2249), 1,
      anon_sym_union,
    ACTIONS(2266), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2270), 1,
      anon_sym_bit_set,
    ACTIONS(7574), 1,
      anon_sym_DOLLAR,
    ACTIONS(7576), 1,
      anon_sym_BANG,
    ACTIONS(7578), 1,
      anon_sym_LBRACK,
    ACTIONS(7580), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7582), 1,
      anon_sym_CARET,
    ACTIONS(7584), 1,
      anon_sym_map,
    ACTIONS(7586), 1,
      anon_sym_matrix,
    ACTIONS(7588), 1,
      anon_sym_distinct,
    ACTIONS(7887), 1,
      anon_sym_LPAREN,
    ACTIONS(7889), 1,
      sym_tag,
    STATE(3705), 1,
      sym_procedure,
    STATE(6473), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3649), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [245228] = 21,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(8238), 1,
      anon_sym_proc,
    ACTIONS(8240), 1,
      anon_sym_DOLLAR,
    ACTIONS(8242), 1,
      anon_sym_LBRACK,
    ACTIONS(8244), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8246), 1,
      anon_sym_CARET,
    ACTIONS(8248), 1,
      anon_sym_map,
    ACTIONS(8250), 1,
      anon_sym_matrix,
    ACTIONS(8252), 1,
      anon_sym_distinct,
    ACTIONS(8254), 1,
      sym_tag,
    STATE(3279), 1,
      sym_procedure,
    STATE(3281), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [245311] = 21,
    ACTIONS(357), 1,
      anon_sym_distinct,
    ACTIONS(1867), 1,
      sym_identifier,
    ACTIONS(1869), 1,
      anon_sym_proc,
    ACTIONS(1871), 1,
      anon_sym_struct,
    ACTIONS(1873), 1,
      anon_sym_enum,
    ACTIONS(1875), 1,
      anon_sym_union,
    ACTIONS(1880), 1,
      anon_sym_DOLLAR,
    ACTIONS(1887), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1892), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1894), 1,
      anon_sym_map,
    ACTIONS(1896), 1,
      anon_sym_bit_set,
    ACTIONS(1898), 1,
      anon_sym_matrix,
    ACTIONS(1900), 1,
      sym_tag,
    ACTIONS(8166), 1,
      anon_sym_BANG,
    ACTIONS(8321), 1,
      anon_sym_LPAREN,
    ACTIONS(9248), 1,
      anon_sym_LBRACK,
    ACTIONS(9250), 1,
      anon_sym_CARET,
    STATE(3458), 1,
      sym_procedure,
    STATE(3493), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3471), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [245394] = 21,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    STATE(3279), 1,
      sym_procedure,
    STATE(7274), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [245477] = 21,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(8280), 1,
      anon_sym_proc,
    ACTIONS(8282), 1,
      anon_sym_DOLLAR,
    ACTIONS(8284), 1,
      anon_sym_LBRACK,
    ACTIONS(8286), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8288), 1,
      anon_sym_CARET,
    ACTIONS(8290), 1,
      anon_sym_map,
    ACTIONS(8292), 1,
      anon_sym_matrix,
    ACTIONS(8294), 1,
      anon_sym_distinct,
    ACTIONS(8296), 1,
      sym_tag,
    STATE(3279), 1,
      sym_procedure,
    STATE(3290), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [245560] = 21,
    ACTIONS(585), 1,
      anon_sym_proc,
    ACTIONS(2241), 1,
      sym_identifier,
    ACTIONS(2245), 1,
      anon_sym_struct,
    ACTIONS(2247), 1,
      anon_sym_enum,
    ACTIONS(2249), 1,
      anon_sym_union,
    ACTIONS(2266), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2270), 1,
      anon_sym_bit_set,
    ACTIONS(7574), 1,
      anon_sym_DOLLAR,
    ACTIONS(7576), 1,
      anon_sym_BANG,
    ACTIONS(7580), 1,
      anon_sym_DOT_DOT,
    ACTIONS(7582), 1,
      anon_sym_CARET,
    ACTIONS(7584), 1,
      anon_sym_map,
    ACTIONS(7586), 1,
      anon_sym_matrix,
    ACTIONS(7588), 1,
      anon_sym_distinct,
    ACTIONS(7590), 1,
      sym_tag,
    ACTIONS(7887), 1,
      anon_sym_LPAREN,
    ACTIONS(9382), 1,
      anon_sym_LBRACK,
    STATE(3705), 1,
      sym_procedure,
    STATE(6376), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3649), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [245643] = 21,
    ACTIONS(979), 1,
      sym_identifier,
    ACTIONS(981), 1,
      anon_sym_proc,
    ACTIONS(983), 1,
      anon_sym_struct,
    ACTIONS(985), 1,
      anon_sym_enum,
    ACTIONS(987), 1,
      anon_sym_union,
    ACTIONS(992), 1,
      anon_sym_DOLLAR,
    ACTIONS(999), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1004), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1006), 1,
      anon_sym_map,
    ACTIONS(1008), 1,
      anon_sym_bit_set,
    ACTIONS(1010), 1,
      anon_sym_matrix,
    ACTIONS(1012), 1,
      anon_sym_distinct,
    ACTIONS(1014), 1,
      sym_tag,
    ACTIONS(9228), 1,
      anon_sym_LPAREN,
    ACTIONS(9230), 1,
      anon_sym_BANG,
    ACTIONS(9232), 1,
      anon_sym_LBRACK,
    ACTIONS(9234), 1,
      anon_sym_CARET,
    STATE(2044), 1,
      sym_procedure,
    STATE(2167), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2064), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [245726] = 21,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(8238), 1,
      anon_sym_proc,
    ACTIONS(8240), 1,
      anon_sym_DOLLAR,
    ACTIONS(8242), 1,
      anon_sym_LBRACK,
    ACTIONS(8244), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8246), 1,
      anon_sym_CARET,
    ACTIONS(8248), 1,
      anon_sym_map,
    ACTIONS(8250), 1,
      anon_sym_matrix,
    ACTIONS(8252), 1,
      anon_sym_distinct,
    ACTIONS(8254), 1,
      sym_tag,
    STATE(3279), 1,
      sym_procedure,
    STATE(3290), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [245809] = 21,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(8238), 1,
      anon_sym_proc,
    ACTIONS(8240), 1,
      anon_sym_DOLLAR,
    ACTIONS(8244), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8246), 1,
      anon_sym_CARET,
    ACTIONS(8248), 1,
      anon_sym_map,
    ACTIONS(8250), 1,
      anon_sym_matrix,
    ACTIONS(8252), 1,
      anon_sym_distinct,
    ACTIONS(8254), 1,
      sym_tag,
    ACTIONS(9252), 1,
      anon_sym_LBRACK,
    STATE(3279), 1,
      sym_procedure,
    STATE(6613), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [245892] = 21,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(8238), 1,
      anon_sym_proc,
    ACTIONS(8240), 1,
      anon_sym_DOLLAR,
    ACTIONS(8242), 1,
      anon_sym_LBRACK,
    ACTIONS(8244), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8246), 1,
      anon_sym_CARET,
    ACTIONS(8248), 1,
      anon_sym_map,
    ACTIONS(8250), 1,
      anon_sym_matrix,
    ACTIONS(8252), 1,
      anon_sym_distinct,
    ACTIONS(8254), 1,
      sym_tag,
    STATE(3279), 1,
      sym_procedure,
    STATE(6608), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [245975] = 21,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(8238), 1,
      anon_sym_proc,
    ACTIONS(8240), 1,
      anon_sym_DOLLAR,
    ACTIONS(8242), 1,
      anon_sym_LBRACK,
    ACTIONS(8244), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8246), 1,
      anon_sym_CARET,
    ACTIONS(8248), 1,
      anon_sym_map,
    ACTIONS(8250), 1,
      anon_sym_matrix,
    ACTIONS(8252), 1,
      anon_sym_distinct,
    ACTIONS(8254), 1,
      sym_tag,
    STATE(3279), 1,
      sym_procedure,
    STATE(6609), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [246058] = 21,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(8238), 1,
      anon_sym_proc,
    ACTIONS(8240), 1,
      anon_sym_DOLLAR,
    ACTIONS(8242), 1,
      anon_sym_LBRACK,
    ACTIONS(8244), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8246), 1,
      anon_sym_CARET,
    ACTIONS(8248), 1,
      anon_sym_map,
    ACTIONS(8250), 1,
      anon_sym_matrix,
    ACTIONS(8252), 1,
      anon_sym_distinct,
    ACTIONS(8254), 1,
      sym_tag,
    STATE(3279), 1,
      sym_procedure,
    STATE(3312), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [246141] = 21,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(8238), 1,
      anon_sym_proc,
    ACTIONS(8240), 1,
      anon_sym_DOLLAR,
    ACTIONS(8242), 1,
      anon_sym_LBRACK,
    ACTIONS(8244), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8246), 1,
      anon_sym_CARET,
    ACTIONS(8248), 1,
      anon_sym_map,
    ACTIONS(8250), 1,
      anon_sym_matrix,
    ACTIONS(8252), 1,
      anon_sym_distinct,
    ACTIONS(9542), 1,
      sym_tag,
    STATE(3279), 1,
      sym_procedure,
    STATE(6611), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [246224] = 21,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(8238), 1,
      anon_sym_proc,
    ACTIONS(8240), 1,
      anon_sym_DOLLAR,
    ACTIONS(8242), 1,
      anon_sym_LBRACK,
    ACTIONS(8244), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8246), 1,
      anon_sym_CARET,
    ACTIONS(8248), 1,
      anon_sym_map,
    ACTIONS(8250), 1,
      anon_sym_matrix,
    ACTIONS(8252), 1,
      anon_sym_distinct,
    ACTIONS(8254), 1,
      sym_tag,
    STATE(3279), 1,
      sym_procedure,
    STATE(6612), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [246307] = 21,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    STATE(3279), 1,
      sym_procedure,
    STATE(7741), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [246390] = 21,
    ACTIONS(223), 1,
      anon_sym_distinct,
    ACTIONS(1105), 1,
      sym_identifier,
    ACTIONS(1107), 1,
      anon_sym_proc,
    ACTIONS(1109), 1,
      anon_sym_struct,
    ACTIONS(1111), 1,
      anon_sym_enum,
    ACTIONS(1113), 1,
      anon_sym_union,
    ACTIONS(1118), 1,
      anon_sym_DOLLAR,
    ACTIONS(1125), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1130), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1132), 1,
      anon_sym_map,
    ACTIONS(1134), 1,
      anon_sym_bit_set,
    ACTIONS(1136), 1,
      anon_sym_matrix,
    ACTIONS(8526), 1,
      anon_sym_LPAREN,
    ACTIONS(8528), 1,
      anon_sym_BANG,
    ACTIONS(8532), 1,
      anon_sym_CARET,
    ACTIONS(8534), 1,
      sym_tag,
    ACTIONS(8750), 1,
      anon_sym_LBRACK,
    STATE(2137), 1,
      sym_type,
    STATE(2175), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2177), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [246473] = 6,
    ACTIONS(6247), 1,
      anon_sym_LPAREN,
    ACTIONS(7683), 1,
      anon_sym_QMARK,
    ACTIONS(7681), 2,
      anon_sym_if,
      anon_sym_when,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 9,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
    ACTIONS(67), 24,
      anon_sym_DASH_GT,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
      anon_sym_CARET,
  [246526] = 21,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(8280), 1,
      anon_sym_proc,
    ACTIONS(8282), 1,
      anon_sym_DOLLAR,
    ACTIONS(8286), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8288), 1,
      anon_sym_CARET,
    ACTIONS(8290), 1,
      anon_sym_map,
    ACTIONS(8292), 1,
      anon_sym_matrix,
    ACTIONS(8294), 1,
      anon_sym_distinct,
    ACTIONS(8296), 1,
      sym_tag,
    ACTIONS(9260), 1,
      anon_sym_LBRACK,
    STATE(3279), 1,
      sym_procedure,
    STATE(6603), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [246609] = 21,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    STATE(3279), 1,
      sym_procedure,
    STATE(7670), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [246692] = 28,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9544), 1,
      anon_sym_COMMA,
    ACTIONS(9546), 1,
      anon_sym_EQ,
    ACTIONS(9548), 1,
      anon_sym_RPAREN,
    STATE(7492), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [246789] = 21,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    STATE(3279), 1,
      sym_procedure,
    STATE(7681), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [246872] = 21,
    ACTIONS(1867), 1,
      sym_identifier,
    ACTIONS(1871), 1,
      anon_sym_struct,
    ACTIONS(1873), 1,
      anon_sym_enum,
    ACTIONS(1875), 1,
      anon_sym_union,
    ACTIONS(1892), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1896), 1,
      anon_sym_bit_set,
    ACTIONS(8162), 1,
      anon_sym_proc,
    ACTIONS(8164), 1,
      anon_sym_DOLLAR,
    ACTIONS(8166), 1,
      anon_sym_BANG,
    ACTIONS(8168), 1,
      anon_sym_LBRACK,
    ACTIONS(8170), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8172), 1,
      anon_sym_CARET,
    ACTIONS(8174), 1,
      anon_sym_map,
    ACTIONS(8176), 1,
      anon_sym_matrix,
    ACTIONS(8178), 1,
      anon_sym_distinct,
    ACTIONS(8180), 1,
      sym_tag,
    ACTIONS(8321), 1,
      anon_sym_LPAREN,
    STATE(3458), 1,
      sym_procedure,
    STATE(7524), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3471), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [246955] = 21,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    STATE(3279), 1,
      sym_procedure,
    STATE(7685), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [247038] = 28,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9334), 1,
      anon_sym_COMMA,
    ACTIONS(9336), 1,
      anon_sym_EQ,
    ACTIONS(9364), 1,
      anon_sym_RPAREN,
    STATE(7232), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [247135] = 21,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    STATE(3279), 1,
      sym_procedure,
    STATE(7690), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [247218] = 21,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(8280), 1,
      anon_sym_proc,
    ACTIONS(8282), 1,
      anon_sym_DOLLAR,
    ACTIONS(8286), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8288), 1,
      anon_sym_CARET,
    ACTIONS(8290), 1,
      anon_sym_map,
    ACTIONS(8292), 1,
      anon_sym_matrix,
    ACTIONS(8294), 1,
      anon_sym_distinct,
    ACTIONS(8296), 1,
      sym_tag,
    ACTIONS(9260), 1,
      anon_sym_LBRACK,
    STATE(3279), 1,
      sym_procedure,
    STATE(6485), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [247301] = 21,
    ACTIONS(979), 1,
      sym_identifier,
    ACTIONS(981), 1,
      anon_sym_proc,
    ACTIONS(983), 1,
      anon_sym_struct,
    ACTIONS(985), 1,
      anon_sym_enum,
    ACTIONS(987), 1,
      anon_sym_union,
    ACTIONS(992), 1,
      anon_sym_DOLLAR,
    ACTIONS(999), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1004), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1006), 1,
      anon_sym_map,
    ACTIONS(1008), 1,
      anon_sym_bit_set,
    ACTIONS(1010), 1,
      anon_sym_matrix,
    ACTIONS(1012), 1,
      anon_sym_distinct,
    ACTIONS(1014), 1,
      sym_tag,
    ACTIONS(9228), 1,
      anon_sym_LPAREN,
    ACTIONS(9230), 1,
      anon_sym_BANG,
    ACTIONS(9232), 1,
      anon_sym_LBRACK,
    ACTIONS(9234), 1,
      anon_sym_CARET,
    STATE(2044), 1,
      sym_procedure,
    STATE(2164), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(2064), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [247384] = 21,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(8280), 1,
      anon_sym_proc,
    ACTIONS(8282), 1,
      anon_sym_DOLLAR,
    ACTIONS(8284), 1,
      anon_sym_LBRACK,
    ACTIONS(8286), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8288), 1,
      anon_sym_CARET,
    ACTIONS(8290), 1,
      anon_sym_map,
    ACTIONS(8292), 1,
      anon_sym_matrix,
    ACTIONS(8294), 1,
      anon_sym_distinct,
    ACTIONS(9550), 1,
      sym_tag,
    STATE(3279), 1,
      sym_procedure,
    STATE(6485), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [247467] = 21,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(8280), 1,
      anon_sym_proc,
    ACTIONS(8282), 1,
      anon_sym_DOLLAR,
    ACTIONS(8284), 1,
      anon_sym_LBRACK,
    ACTIONS(8286), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8288), 1,
      anon_sym_CARET,
    ACTIONS(8290), 1,
      anon_sym_map,
    ACTIONS(8292), 1,
      anon_sym_matrix,
    ACTIONS(8294), 1,
      anon_sym_distinct,
    ACTIONS(8296), 1,
      sym_tag,
    STATE(3279), 1,
      sym_procedure,
    STATE(6616), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [247550] = 21,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    STATE(3279), 1,
      sym_procedure,
    STATE(7100), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [247633] = 21,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(8280), 1,
      anon_sym_proc,
    ACTIONS(8282), 1,
      anon_sym_DOLLAR,
    ACTIONS(8284), 1,
      anon_sym_LBRACK,
    ACTIONS(8286), 1,
      anon_sym_DOT_DOT,
    ACTIONS(8288), 1,
      anon_sym_CARET,
    ACTIONS(8290), 1,
      anon_sym_map,
    ACTIONS(8292), 1,
      anon_sym_matrix,
    ACTIONS(8294), 1,
      anon_sym_distinct,
    ACTIONS(8296), 1,
      sym_tag,
    STATE(3279), 1,
      sym_procedure,
    STATE(6618), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [247716] = 28,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(8096), 1,
      anon_sym_DASH_GT,
    ACTIONS(8098), 1,
      anon_sym_PLUS,
    ACTIONS(8100), 1,
      anon_sym_DASH,
    ACTIONS(8102), 1,
      anon_sym_TILDE,
    ACTIONS(8104), 1,
      anon_sym_AMP,
    ACTIONS(8106), 1,
      anon_sym_PIPE,
    ACTIONS(8108), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8116), 1,
      anon_sym_DOT,
    ACTIONS(8122), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8130), 1,
      anon_sym_or_break,
    ACTIONS(8506), 1,
      anon_sym_COMMA,
    ACTIONS(9552), 1,
      anon_sym_EQ,
    ACTIONS(9554), 1,
      anon_sym_COLON_EQ,
    STATE(6872), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(8110), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8112), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8114), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8118), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8120), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(8124), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8126), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8236), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8128), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [247813] = 21,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    STATE(3279), 1,
      sym_procedure,
    STATE(7102), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [247896] = 21,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2185), 1,
      sym_identifier,
    ACTIONS(2189), 1,
      anon_sym_struct,
    ACTIONS(2191), 1,
      anon_sym_enum,
    ACTIONS(2193), 1,
      anon_sym_union,
    ACTIONS(2213), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2217), 1,
      anon_sym_bit_set,
    ACTIONS(4630), 1,
      anon_sym_DOLLAR,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(6427), 1,
      anon_sym_BANG,
    ACTIONS(6431), 1,
      anon_sym_DOT_DOT,
    ACTIONS(6433), 1,
      anon_sym_CARET,
    ACTIONS(6441), 1,
      anon_sym_distinct,
    ACTIONS(6443), 1,
      sym_tag,
    ACTIONS(7895), 1,
      anon_sym_LBRACK,
    ACTIONS(7897), 1,
      anon_sym_map,
    ACTIONS(7899), 1,
      anon_sym_matrix,
    STATE(3279), 1,
      sym_procedure,
    STATE(6784), 1,
      sym_type,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(3284), 18,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_map_type,
      sym_union_type,
      sym_bit_set_type,
      sym_matrix_type,
      sym_field_type,
      sym_tuple_type,
      sym_struct_type,
      sym_enum_type,
      sym_constant_type,
      sym_specialized_type,
      sym__procedure_type,
      sym_distinct_type,
      sym_empty_type,
      sym_polymorphic_type,
      sym_conditional_type,
  [247979] = 27,
    ACTIONS(5839), 1,
      anon_sym_RBRACE,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9556), 1,
      anon_sym_COMMA,
    STATE(7098), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [248073] = 27,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(8768), 1,
      anon_sym_COMMA,
    ACTIONS(9558), 1,
      anon_sym_RBRACE,
    STATE(7645), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [248167] = 27,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9560), 1,
      anon_sym_RBRACE,
    ACTIONS(9562), 1,
      anon_sym_COMMA,
    STATE(7735), 1,
      aux_sym_enum_declaration_repeat1,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [248261] = 27,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9564), 1,
      anon_sym_COMMA,
    ACTIONS(9566), 1,
      anon_sym_RPAREN,
    STATE(7151), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [248355] = 25,
    ACTIONS(8132), 1,
      anon_sym_DASH_GT,
    ACTIONS(8134), 1,
      anon_sym_PLUS,
    ACTIONS(8136), 1,
      anon_sym_DASH,
    ACTIONS(8138), 1,
      anon_sym_TILDE,
    ACTIONS(8140), 1,
      anon_sym_AMP,
    ACTIONS(8142), 1,
      anon_sym_PIPE,
    ACTIONS(8144), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8152), 1,
      anon_sym_DOT,
    ACTIONS(8154), 1,
      anon_sym_LBRACK,
    ACTIONS(8194), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8202), 1,
      anon_sym_or_return,
    ACTIONS(8204), 1,
      anon_sym_or_continue,
    ACTIONS(8206), 1,
      anon_sym_or_break,
    ACTIONS(8208), 1,
      anon_sym_CARET,
    ACTIONS(8146), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8148), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8150), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8156), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8190), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(8192), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(8196), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8198), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8200), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
    ACTIONS(9568), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_do,
  [248445] = 27,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9570), 1,
      anon_sym_RBRACE,
    ACTIONS(9572), 1,
      anon_sym_COMMA,
    STATE(7119), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [248539] = 27,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9574), 1,
      anon_sym_COMMA,
    ACTIONS(9576), 1,
      anon_sym_COLON,
    ACTIONS(9578), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [248633] = 27,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9580), 1,
      anon_sym_RBRACE,
    ACTIONS(9582), 1,
      anon_sym_COMMA,
    STATE(7365), 1,
      aux_sym_enum_declaration_repeat1,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [248727] = 27,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9584), 1,
      anon_sym_RBRACE,
    ACTIONS(9586), 1,
      anon_sym_COMMA,
    STATE(7473), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [248821] = 27,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9588), 1,
      anon_sym_COMMA,
    ACTIONS(9590), 1,
      anon_sym_RPAREN,
    STATE(7107), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [248915] = 27,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(8768), 1,
      anon_sym_COMMA,
    ACTIONS(9592), 1,
      anon_sym_RBRACE,
    STATE(7140), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [249009] = 27,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9594), 1,
      anon_sym_RBRACE,
    ACTIONS(9596), 1,
      anon_sym_COMMA,
    STATE(7150), 1,
      aux_sym_enum_declaration_repeat1,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [249103] = 27,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9598), 1,
      anon_sym_COMMA,
    ACTIONS(9600), 1,
      anon_sym_RPAREN,
    STATE(7166), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [249197] = 27,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9602), 1,
      anon_sym_RBRACE,
    ACTIONS(9604), 1,
      anon_sym_COMMA,
    STATE(7240), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [249291] = 27,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9606), 1,
      anon_sym_COMMA,
    ACTIONS(9608), 1,
      anon_sym_COLON,
    ACTIONS(9610), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [249385] = 27,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9612), 1,
      anon_sym_COMMA,
    ACTIONS(9614), 1,
      anon_sym_RPAREN,
    STATE(7521), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [249479] = 27,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(8768), 1,
      anon_sym_COMMA,
    ACTIONS(9616), 1,
      anon_sym_RBRACE,
    STATE(7528), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [249573] = 27,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9618), 1,
      anon_sym_RBRACE,
    ACTIONS(9620), 1,
      anon_sym_COMMA,
    STATE(7220), 1,
      aux_sym_enum_declaration_repeat1,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [249667] = 27,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9622), 1,
      anon_sym_RBRACE,
    ACTIONS(9624), 1,
      anon_sym_COMMA,
    STATE(7531), 1,
      aux_sym_enum_declaration_repeat1,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [249761] = 27,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9626), 1,
      anon_sym_COMMA,
    ACTIONS(9628), 1,
      anon_sym_RPAREN,
    STATE(7538), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [249855] = 27,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9630), 1,
      anon_sym_RBRACE,
    ACTIONS(9632), 1,
      anon_sym_COMMA,
    STATE(7576), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [249949] = 25,
    ACTIONS(8132), 1,
      anon_sym_DASH_GT,
    ACTIONS(8134), 1,
      anon_sym_PLUS,
    ACTIONS(8136), 1,
      anon_sym_DASH,
    ACTIONS(8138), 1,
      anon_sym_TILDE,
    ACTIONS(8140), 1,
      anon_sym_AMP,
    ACTIONS(8142), 1,
      anon_sym_PIPE,
    ACTIONS(8144), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8152), 1,
      anon_sym_DOT,
    ACTIONS(8154), 1,
      anon_sym_LBRACK,
    ACTIONS(8194), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8202), 1,
      anon_sym_or_return,
    ACTIONS(8204), 1,
      anon_sym_or_continue,
    ACTIONS(8206), 1,
      anon_sym_or_break,
    ACTIONS(8208), 1,
      anon_sym_CARET,
    ACTIONS(8146), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8148), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8150), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8156), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8190), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(8192), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(8196), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8198), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7169), 3,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_do,
    ACTIONS(8200), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [250039] = 27,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9634), 1,
      anon_sym_COMMA,
    ACTIONS(9636), 1,
      anon_sym_COLON,
    ACTIONS(9638), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [250133] = 27,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9640), 1,
      anon_sym_COMMA,
    ACTIONS(9642), 1,
      anon_sym_RPAREN,
    STATE(7178), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [250227] = 27,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(8768), 1,
      anon_sym_COMMA,
    ACTIONS(9644), 1,
      anon_sym_RBRACE,
    STATE(7202), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [250321] = 27,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9646), 1,
      anon_sym_COMMA,
    ACTIONS(9648), 1,
      anon_sym_COLON,
    ACTIONS(9650), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [250415] = 27,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9652), 1,
      anon_sym_RBRACE,
    ACTIONS(9654), 1,
      anon_sym_COMMA,
    STATE(7206), 1,
      aux_sym_enum_declaration_repeat1,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [250509] = 27,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9656), 1,
      anon_sym_COMMA,
    ACTIONS(9658), 1,
      anon_sym_RPAREN,
    STATE(7222), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [250603] = 27,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9660), 1,
      anon_sym_RBRACE,
    ACTIONS(9662), 1,
      anon_sym_COMMA,
    STATE(7316), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [250697] = 27,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9664), 1,
      anon_sym_RBRACE,
    ACTIONS(9666), 1,
      anon_sym_COMMA,
    STATE(7071), 1,
      aux_sym_enum_declaration_repeat1,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [250791] = 27,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9668), 1,
      anon_sym_RBRACE,
    ACTIONS(9670), 1,
      anon_sym_COMMA,
    STATE(7163), 1,
      aux_sym_enum_declaration_repeat1,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [250885] = 27,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9672), 1,
      anon_sym_COMMA,
    ACTIONS(9674), 1,
      anon_sym_RPAREN,
    STATE(7324), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [250979] = 27,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9676), 1,
      anon_sym_RBRACE,
    ACTIONS(9678), 1,
      anon_sym_COMMA,
    STATE(7252), 1,
      aux_sym_enum_declaration_repeat1,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [251073] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(1539), 18,
      sym_float,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT,
      sym_number,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      anon_sym_SQUOTE,
      sym_uninitialized,
      sym_tag,
    ACTIONS(9680), 18,
      anon_sym_package,
      anon_sym_foreign,
      anon_sym_import,
      anon_sym_using,
      anon_sym_when,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_cast,
      anon_sym_transmute,
      anon_sym_auto_cast,
      anon_sym_map,
      anon_sym_bit_set,
      anon_sym_matrix,
      anon_sym_distinct,
      anon_sym_true,
      anon_sym_false,
      sym_nil,
      sym_identifier,
  [251119] = 27,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(8768), 1,
      anon_sym_COMMA,
    ACTIONS(9682), 1,
      anon_sym_RBRACE,
    STATE(7355), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [251213] = 27,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9684), 1,
      anon_sym_RBRACE,
    ACTIONS(9686), 1,
      anon_sym_COMMA,
    STATE(7357), 1,
      aux_sym_enum_declaration_repeat1,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [251307] = 27,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9688), 1,
      anon_sym_COMMA,
    ACTIONS(9690), 1,
      anon_sym_RPAREN,
    STATE(7364), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [251401] = 26,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9694), 1,
      anon_sym_EQ,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(9692), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [251493] = 27,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9696), 1,
      anon_sym_COMMA,
    ACTIONS(9698), 1,
      anon_sym_RPAREN,
    STATE(7637), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [251587] = 27,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9700), 1,
      anon_sym_RBRACE,
    ACTIONS(9702), 1,
      anon_sym_COMMA,
    STATE(7414), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [251681] = 27,
    ACTIONS(6625), 1,
      anon_sym_LBRACE,
    ACTIONS(8154), 1,
      anon_sym_LBRACK,
    ACTIONS(8202), 1,
      anon_sym_or_return,
    ACTIONS(8204), 1,
      anon_sym_or_continue,
    ACTIONS(8208), 1,
      anon_sym_CARET,
    ACTIONS(8466), 1,
      anon_sym_DASH_GT,
    ACTIONS(8468), 1,
      anon_sym_PLUS,
    ACTIONS(8470), 1,
      anon_sym_DASH,
    ACTIONS(8472), 1,
      anon_sym_TILDE,
    ACTIONS(8474), 1,
      anon_sym_AMP,
    ACTIONS(8478), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8486), 1,
      anon_sym_PIPE,
    ACTIONS(8488), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8496), 1,
      anon_sym_DOT,
    ACTIONS(8500), 1,
      anon_sym_or_break,
    ACTIONS(9704), 1,
      anon_sym_do,
    STATE(6407), 1,
      sym_block,
    ACTIONS(8476), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(8480), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8482), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8490), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8492), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8494), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8498), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8520), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8484), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [251775] = 27,
    ACTIONS(6625), 1,
      anon_sym_LBRACE,
    ACTIONS(8154), 1,
      anon_sym_LBRACK,
    ACTIONS(8202), 1,
      anon_sym_or_return,
    ACTIONS(8204), 1,
      anon_sym_or_continue,
    ACTIONS(8208), 1,
      anon_sym_CARET,
    ACTIONS(8466), 1,
      anon_sym_DASH_GT,
    ACTIONS(8468), 1,
      anon_sym_PLUS,
    ACTIONS(8470), 1,
      anon_sym_DASH,
    ACTIONS(8472), 1,
      anon_sym_TILDE,
    ACTIONS(8474), 1,
      anon_sym_AMP,
    ACTIONS(8478), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8486), 1,
      anon_sym_PIPE,
    ACTIONS(8488), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8496), 1,
      anon_sym_DOT,
    ACTIONS(8500), 1,
      anon_sym_or_break,
    ACTIONS(9706), 1,
      anon_sym_do,
    STATE(6422), 1,
      sym_block,
    ACTIONS(8476), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(8480), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8482), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8490), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8492), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8494), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8498), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8520), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8484), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [251869] = 27,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(8096), 1,
      anon_sym_DASH_GT,
    ACTIONS(8098), 1,
      anon_sym_PLUS,
    ACTIONS(8100), 1,
      anon_sym_DASH,
    ACTIONS(8102), 1,
      anon_sym_TILDE,
    ACTIONS(8104), 1,
      anon_sym_AMP,
    ACTIONS(8106), 1,
      anon_sym_PIPE,
    ACTIONS(8108), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8116), 1,
      anon_sym_DOT,
    ACTIONS(8122), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8130), 1,
      anon_sym_or_break,
    ACTIONS(8418), 1,
      anon_sym_SEMI,
    ACTIONS(9708), 1,
      anon_sym_COMMA,
    STATE(7059), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(8110), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8112), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8114), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8118), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8120), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(8124), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8126), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8236), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8128), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [251963] = 27,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(8096), 1,
      anon_sym_DASH_GT,
    ACTIONS(8098), 1,
      anon_sym_PLUS,
    ACTIONS(8100), 1,
      anon_sym_DASH,
    ACTIONS(8102), 1,
      anon_sym_TILDE,
    ACTIONS(8104), 1,
      anon_sym_AMP,
    ACTIONS(8106), 1,
      anon_sym_PIPE,
    ACTIONS(8108), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8116), 1,
      anon_sym_DOT,
    ACTIONS(8122), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8130), 1,
      anon_sym_or_break,
    ACTIONS(8446), 1,
      anon_sym_SEMI,
    ACTIONS(8506), 1,
      anon_sym_COMMA,
    STATE(7060), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(8110), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8112), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8114), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8118), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8120), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(8124), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8126), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8236), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8128), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [252057] = 27,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9710), 1,
      anon_sym_COMMA,
    ACTIONS(9712), 1,
      anon_sym_COLON,
    STATE(7217), 1,
      aux_sym_switch_case_repeat1,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [252151] = 27,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9714), 1,
      anon_sym_COMMA,
    ACTIONS(9716), 1,
      anon_sym_COLON,
    ACTIONS(9718), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [252245] = 27,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(8096), 1,
      anon_sym_DASH_GT,
    ACTIONS(8098), 1,
      anon_sym_PLUS,
    ACTIONS(8100), 1,
      anon_sym_DASH,
    ACTIONS(8102), 1,
      anon_sym_TILDE,
    ACTIONS(8104), 1,
      anon_sym_AMP,
    ACTIONS(8106), 1,
      anon_sym_PIPE,
    ACTIONS(8108), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8116), 1,
      anon_sym_DOT,
    ACTIONS(8122), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8130), 1,
      anon_sym_or_break,
    ACTIONS(8344), 1,
      anon_sym_SEMI,
    ACTIONS(8506), 1,
      anon_sym_COMMA,
    STATE(7285), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(8110), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8112), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8114), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8118), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8120), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(8124), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8126), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8236), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8128), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [252339] = 27,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(8096), 1,
      anon_sym_DASH_GT,
    ACTIONS(8098), 1,
      anon_sym_PLUS,
    ACTIONS(8100), 1,
      anon_sym_DASH,
    ACTIONS(8102), 1,
      anon_sym_TILDE,
    ACTIONS(8104), 1,
      anon_sym_AMP,
    ACTIONS(8106), 1,
      anon_sym_PIPE,
    ACTIONS(8108), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8116), 1,
      anon_sym_DOT,
    ACTIONS(8122), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8130), 1,
      anon_sym_or_break,
    ACTIONS(8404), 1,
      anon_sym_SEMI,
    ACTIONS(9708), 1,
      anon_sym_COMMA,
    STATE(7320), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(8110), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8112), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8114), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8118), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8120), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(8124), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8126), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8236), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8128), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [252433] = 27,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(8096), 1,
      anon_sym_DASH_GT,
    ACTIONS(8098), 1,
      anon_sym_PLUS,
    ACTIONS(8100), 1,
      anon_sym_DASH,
    ACTIONS(8102), 1,
      anon_sym_TILDE,
    ACTIONS(8104), 1,
      anon_sym_AMP,
    ACTIONS(8106), 1,
      anon_sym_PIPE,
    ACTIONS(8108), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8116), 1,
      anon_sym_DOT,
    ACTIONS(8122), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8130), 1,
      anon_sym_or_break,
    ACTIONS(8420), 1,
      anon_sym_SEMI,
    ACTIONS(8506), 1,
      anon_sym_COMMA,
    STATE(7323), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(8110), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8112), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8114), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8118), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8120), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(8124), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8126), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8236), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8128), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [252527] = 27,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9720), 1,
      anon_sym_COMMA,
    ACTIONS(9722), 1,
      anon_sym_RPAREN,
    STATE(7211), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [252621] = 27,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(8768), 1,
      anon_sym_COMMA,
    ACTIONS(9724), 1,
      anon_sym_RBRACE,
    STATE(7265), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [252715] = 27,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9726), 1,
      anon_sym_RBRACE,
    ACTIONS(9728), 1,
      anon_sym_COMMA,
    STATE(7268), 1,
      aux_sym_enum_declaration_repeat1,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [252809] = 27,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9730), 1,
      anon_sym_COMMA,
    ACTIONS(9732), 1,
      anon_sym_RPAREN,
    STATE(7508), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [252903] = 27,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(8096), 1,
      anon_sym_DASH_GT,
    ACTIONS(8098), 1,
      anon_sym_PLUS,
    ACTIONS(8100), 1,
      anon_sym_DASH,
    ACTIONS(8102), 1,
      anon_sym_TILDE,
    ACTIONS(8104), 1,
      anon_sym_AMP,
    ACTIONS(8106), 1,
      anon_sym_PIPE,
    ACTIONS(8108), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8116), 1,
      anon_sym_DOT,
    ACTIONS(8122), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8130), 1,
      anon_sym_or_break,
    ACTIONS(8342), 1,
      anon_sym_SEMI,
    ACTIONS(8506), 1,
      anon_sym_COMMA,
    STATE(7449), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(8110), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8112), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8114), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8118), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8120), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(8124), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8126), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8236), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8128), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [252997] = 27,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(8096), 1,
      anon_sym_DASH_GT,
    ACTIONS(8098), 1,
      anon_sym_PLUS,
    ACTIONS(8100), 1,
      anon_sym_DASH,
    ACTIONS(8102), 1,
      anon_sym_TILDE,
    ACTIONS(8104), 1,
      anon_sym_AMP,
    ACTIONS(8106), 1,
      anon_sym_PIPE,
    ACTIONS(8108), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8116), 1,
      anon_sym_DOT,
    ACTIONS(8122), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8130), 1,
      anon_sym_or_break,
    ACTIONS(8448), 1,
      anon_sym_SEMI,
    ACTIONS(9708), 1,
      anon_sym_COMMA,
    STATE(7466), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(8110), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8112), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8114), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8118), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8120), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(8124), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8126), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8236), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8128), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [253091] = 27,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9734), 1,
      anon_sym_RBRACE,
    ACTIONS(9736), 1,
      anon_sym_COMMA,
    STATE(7331), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [253185] = 27,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(8096), 1,
      anon_sym_DASH_GT,
    ACTIONS(8098), 1,
      anon_sym_PLUS,
    ACTIONS(8100), 1,
      anon_sym_DASH,
    ACTIONS(8102), 1,
      anon_sym_TILDE,
    ACTIONS(8104), 1,
      anon_sym_AMP,
    ACTIONS(8106), 1,
      anon_sym_PIPE,
    ACTIONS(8108), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8116), 1,
      anon_sym_DOT,
    ACTIONS(8122), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8130), 1,
      anon_sym_or_break,
    ACTIONS(8298), 1,
      anon_sym_SEMI,
    ACTIONS(8506), 1,
      anon_sym_COMMA,
    STATE(7539), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(8110), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8112), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8114), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8118), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8120), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(8124), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8126), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8236), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8128), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [253279] = 27,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(8096), 1,
      anon_sym_DASH_GT,
    ACTIONS(8098), 1,
      anon_sym_PLUS,
    ACTIONS(8100), 1,
      anon_sym_DASH,
    ACTIONS(8102), 1,
      anon_sym_TILDE,
    ACTIONS(8104), 1,
      anon_sym_AMP,
    ACTIONS(8106), 1,
      anon_sym_PIPE,
    ACTIONS(8108), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8116), 1,
      anon_sym_DOT,
    ACTIONS(8122), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8130), 1,
      anon_sym_or_break,
    ACTIONS(8416), 1,
      anon_sym_SEMI,
    ACTIONS(9708), 1,
      anon_sym_COMMA,
    STATE(7546), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(8110), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8112), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8114), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8118), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8120), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(8124), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8126), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8236), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8128), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [253373] = 27,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(8768), 1,
      anon_sym_COMMA,
    ACTIONS(9738), 1,
      anon_sym_RBRACE,
    STATE(7360), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [253467] = 27,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(8096), 1,
      anon_sym_DASH_GT,
    ACTIONS(8098), 1,
      anon_sym_PLUS,
    ACTIONS(8100), 1,
      anon_sym_DASH,
    ACTIONS(8102), 1,
      anon_sym_TILDE,
    ACTIONS(8104), 1,
      anon_sym_AMP,
    ACTIONS(8106), 1,
      anon_sym_PIPE,
    ACTIONS(8108), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8116), 1,
      anon_sym_DOT,
    ACTIONS(8122), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8130), 1,
      anon_sym_or_break,
    ACTIONS(8302), 1,
      anon_sym_SEMI,
    ACTIONS(8506), 1,
      anon_sym_COMMA,
    STATE(7585), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(8110), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8112), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8114), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8118), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8120), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(8124), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8126), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8236), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8128), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [253561] = 27,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(8096), 1,
      anon_sym_DASH_GT,
    ACTIONS(8098), 1,
      anon_sym_PLUS,
    ACTIONS(8100), 1,
      anon_sym_DASH,
    ACTIONS(8102), 1,
      anon_sym_TILDE,
    ACTIONS(8104), 1,
      anon_sym_AMP,
    ACTIONS(8106), 1,
      anon_sym_PIPE,
    ACTIONS(8108), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8116), 1,
      anon_sym_DOT,
    ACTIONS(8122), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8130), 1,
      anon_sym_or_break,
    ACTIONS(8364), 1,
      anon_sym_SEMI,
    ACTIONS(9708), 1,
      anon_sym_COMMA,
    STATE(7586), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(8110), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8112), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8114), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8118), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8120), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(8124), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8126), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8236), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8128), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [253655] = 27,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9740), 1,
      anon_sym_RBRACE,
    ACTIONS(9742), 1,
      anon_sym_COMMA,
    STATE(7394), 1,
      aux_sym_enum_declaration_repeat1,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [253749] = 27,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9744), 1,
      anon_sym_COMMA,
    ACTIONS(9746), 1,
      anon_sym_RPAREN,
    STATE(7425), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [253843] = 27,
    ACTIONS(5784), 1,
      anon_sym_RBRACE,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9748), 1,
      anon_sym_COMMA,
    STATE(7437), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [253937] = 27,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9750), 1,
      anon_sym_COMMA,
    ACTIONS(9752), 1,
      anon_sym_COLON,
    ACTIONS(9754), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [254031] = 27,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9756), 1,
      anon_sym_COMMA,
    ACTIONS(9758), 1,
      anon_sym_RPAREN,
    STATE(7137), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [254125] = 27,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(8768), 1,
      anon_sym_COMMA,
    ACTIONS(9760), 1,
      anon_sym_RBRACE,
    STATE(7143), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [254219] = 27,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9762), 1,
      anon_sym_RBRACE,
    ACTIONS(9764), 1,
      anon_sym_COMMA,
    STATE(7144), 1,
      aux_sym_enum_declaration_repeat1,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [254313] = 27,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9766), 1,
      anon_sym_COMMA,
    ACTIONS(9768), 1,
      anon_sym_RPAREN,
    STATE(7148), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [254407] = 27,
    ACTIONS(6625), 1,
      anon_sym_LBRACE,
    ACTIONS(8154), 1,
      anon_sym_LBRACK,
    ACTIONS(8202), 1,
      anon_sym_or_return,
    ACTIONS(8204), 1,
      anon_sym_or_continue,
    ACTIONS(8208), 1,
      anon_sym_CARET,
    ACTIONS(8466), 1,
      anon_sym_DASH_GT,
    ACTIONS(8468), 1,
      anon_sym_PLUS,
    ACTIONS(8470), 1,
      anon_sym_DASH,
    ACTIONS(8472), 1,
      anon_sym_TILDE,
    ACTIONS(8474), 1,
      anon_sym_AMP,
    ACTIONS(8478), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8486), 1,
      anon_sym_PIPE,
    ACTIONS(8488), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8496), 1,
      anon_sym_DOT,
    ACTIONS(8500), 1,
      anon_sym_or_break,
    ACTIONS(9770), 1,
      anon_sym_do,
    STATE(6417), 1,
      sym_block,
    ACTIONS(8476), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(8480), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8482), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8490), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8492), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8494), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8498), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8520), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8484), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [254501] = 27,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9772), 1,
      anon_sym_RBRACE,
    ACTIONS(9774), 1,
      anon_sym_COMMA,
    STATE(7157), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [254595] = 26,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9776), 1,
      anon_sym_EQ,
    ACTIONS(6955), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [254687] = 27,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9778), 1,
      anon_sym_COMMA,
    ACTIONS(9780), 1,
      anon_sym_COLON,
    ACTIONS(9782), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [254781] = 27,
    ACTIONS(4426), 1,
      anon_sym_LBRACE,
    ACTIONS(8132), 1,
      anon_sym_DASH_GT,
    ACTIONS(8134), 1,
      anon_sym_PLUS,
    ACTIONS(8136), 1,
      anon_sym_DASH,
    ACTIONS(8138), 1,
      anon_sym_TILDE,
    ACTIONS(8140), 1,
      anon_sym_AMP,
    ACTIONS(8142), 1,
      anon_sym_PIPE,
    ACTIONS(8144), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8152), 1,
      anon_sym_DOT,
    ACTIONS(8154), 1,
      anon_sym_LBRACK,
    ACTIONS(8194), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8202), 1,
      anon_sym_or_return,
    ACTIONS(8204), 1,
      anon_sym_or_continue,
    ACTIONS(8206), 1,
      anon_sym_or_break,
    ACTIONS(8208), 1,
      anon_sym_CARET,
    ACTIONS(9784), 1,
      anon_sym_COMMA,
    STATE(7295), 1,
      aux_sym_where_clause_repeat1,
    ACTIONS(8146), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8148), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8150), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8156), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8190), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(8192), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(8196), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8198), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8200), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [254875] = 27,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9786), 1,
      anon_sym_COMMA,
    ACTIONS(9788), 1,
      anon_sym_RPAREN,
    STATE(7272), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [254969] = 27,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(8768), 1,
      anon_sym_COMMA,
    ACTIONS(9790), 1,
      anon_sym_RBRACE,
    STATE(7279), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [255063] = 27,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9792), 1,
      anon_sym_RBRACE,
    ACTIONS(9794), 1,
      anon_sym_COMMA,
    STATE(7280), 1,
      aux_sym_enum_declaration_repeat1,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [255157] = 27,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9796), 1,
      anon_sym_COMMA,
    ACTIONS(9798), 1,
      anon_sym_RPAREN,
    STATE(7283), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [255251] = 27,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9800), 1,
      anon_sym_RBRACE,
    ACTIONS(9802), 1,
      anon_sym_COMMA,
    STATE(7293), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [255345] = 27,
    ACTIONS(6625), 1,
      anon_sym_LBRACE,
    ACTIONS(8154), 1,
      anon_sym_LBRACK,
    ACTIONS(8202), 1,
      anon_sym_or_return,
    ACTIONS(8204), 1,
      anon_sym_or_continue,
    ACTIONS(8208), 1,
      anon_sym_CARET,
    ACTIONS(8466), 1,
      anon_sym_DASH_GT,
    ACTIONS(8468), 1,
      anon_sym_PLUS,
    ACTIONS(8470), 1,
      anon_sym_DASH,
    ACTIONS(8472), 1,
      anon_sym_TILDE,
    ACTIONS(8474), 1,
      anon_sym_AMP,
    ACTIONS(8478), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8486), 1,
      anon_sym_PIPE,
    ACTIONS(8488), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8496), 1,
      anon_sym_DOT,
    ACTIONS(8500), 1,
      anon_sym_or_break,
    ACTIONS(9804), 1,
      anon_sym_do,
    STATE(6432), 1,
      sym_block,
    ACTIONS(8476), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(8480), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8482), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8490), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8492), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8494), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8498), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8520), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8484), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [255439] = 27,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9806), 1,
      anon_sym_COMMA,
    ACTIONS(9808), 1,
      anon_sym_COLON,
    ACTIONS(9810), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [255533] = 27,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9812), 1,
      anon_sym_COMMA,
    ACTIONS(9814), 1,
      anon_sym_RPAREN,
    STATE(7393), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [255627] = 27,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(8768), 1,
      anon_sym_COMMA,
    ACTIONS(9816), 1,
      anon_sym_RBRACE,
    STATE(7401), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [255721] = 27,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9818), 1,
      anon_sym_RBRACE,
    ACTIONS(9820), 1,
      anon_sym_COMMA,
    STATE(7402), 1,
      aux_sym_enum_declaration_repeat1,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [255815] = 27,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9822), 1,
      anon_sym_COMMA,
    ACTIONS(9824), 1,
      anon_sym_RPAREN,
    STATE(7410), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [255909] = 27,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9826), 1,
      anon_sym_RBRACE,
    ACTIONS(9828), 1,
      anon_sym_COMMA,
    STATE(7428), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [256003] = 27,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9830), 1,
      anon_sym_COMMA,
    ACTIONS(9832), 1,
      anon_sym_COLON,
    ACTIONS(9834), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [256097] = 27,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9836), 1,
      anon_sym_COMMA,
    ACTIONS(9838), 1,
      anon_sym_COLON,
    ACTIONS(9840), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [256191] = 27,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9842), 1,
      anon_sym_RBRACE,
    ACTIONS(9844), 1,
      anon_sym_COMMA,
    STATE(7657), 1,
      aux_sym_enum_declaration_repeat1,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [256285] = 27,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9846), 1,
      anon_sym_COMMA,
    ACTIONS(9848), 1,
      anon_sym_RPAREN,
    STATE(7556), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [256379] = 27,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(8768), 1,
      anon_sym_COMMA,
    ACTIONS(9850), 1,
      anon_sym_RBRACE,
    STATE(7570), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [256473] = 27,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9852), 1,
      anon_sym_RBRACE,
    ACTIONS(9854), 1,
      anon_sym_COMMA,
    STATE(7571), 1,
      aux_sym_enum_declaration_repeat1,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [256567] = 27,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9856), 1,
      anon_sym_COMMA,
    ACTIONS(9858), 1,
      anon_sym_RPAREN,
    STATE(7574), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [256661] = 27,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9860), 1,
      anon_sym_RBRACE,
    ACTIONS(9862), 1,
      anon_sym_COMMA,
    STATE(7582), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [256755] = 27,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9864), 1,
      anon_sym_COMMA,
    ACTIONS(9866), 1,
      anon_sym_COLON,
    ACTIONS(9868), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [256849] = 27,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9870), 1,
      anon_sym_RBRACE,
    ACTIONS(9872), 1,
      anon_sym_COMMA,
    STATE(7509), 1,
      aux_sym_enum_declaration_repeat1,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [256943] = 27,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9874), 1,
      anon_sym_COMMA,
    ACTIONS(9876), 1,
      anon_sym_RPAREN,
    STATE(7674), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [257037] = 27,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(8768), 1,
      anon_sym_COMMA,
    ACTIONS(9878), 1,
      anon_sym_RBRACE,
    STATE(7680), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [257131] = 27,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9880), 1,
      anon_sym_RBRACE,
    ACTIONS(9882), 1,
      anon_sym_COMMA,
    STATE(7682), 1,
      aux_sym_enum_declaration_repeat1,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [257225] = 27,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9884), 1,
      anon_sym_COMMA,
    ACTIONS(9886), 1,
      anon_sym_RPAREN,
    STATE(7684), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [257319] = 27,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9888), 1,
      anon_sym_RBRACE,
    ACTIONS(9890), 1,
      anon_sym_COMMA,
    STATE(7697), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [257413] = 27,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9892), 1,
      anon_sym_COMMA,
    ACTIONS(9894), 1,
      anon_sym_COLON,
    ACTIONS(9896), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [257507] = 27,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9898), 1,
      anon_sym_COMMA,
    ACTIONS(9900), 1,
      anon_sym_RPAREN,
    STATE(7292), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [257601] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(9902), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [257690] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(9904), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [257779] = 5,
    ACTIONS(6077), 1,
      sym_identifier,
    ACTIONS(6079), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 15,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
    ACTIONS(67), 18,
      anon_sym_DASH_GT,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
  [257828] = 5,
    ACTIONS(8084), 1,
      sym_identifier,
    ACTIONS(8086), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 15,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
    ACTIONS(67), 18,
      anon_sym_DASH_GT,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
  [257877] = 26,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9906), 1,
      anon_sym_SEMI,
    ACTIONS(9908), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [257968] = 26,
    ACTIONS(6625), 1,
      anon_sym_LBRACE,
    ACTIONS(8132), 1,
      anon_sym_DASH_GT,
    ACTIONS(8134), 1,
      anon_sym_PLUS,
    ACTIONS(8136), 1,
      anon_sym_DASH,
    ACTIONS(8138), 1,
      anon_sym_TILDE,
    ACTIONS(8140), 1,
      anon_sym_AMP,
    ACTIONS(8142), 1,
      anon_sym_PIPE,
    ACTIONS(8144), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8152), 1,
      anon_sym_DOT,
    ACTIONS(8154), 1,
      anon_sym_LBRACK,
    ACTIONS(8194), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8202), 1,
      anon_sym_or_return,
    ACTIONS(8204), 1,
      anon_sym_or_continue,
    ACTIONS(8206), 1,
      anon_sym_or_break,
    ACTIONS(8208), 1,
      anon_sym_CARET,
    STATE(6816), 1,
      sym_block,
    ACTIONS(8146), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8148), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8150), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8156), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8190), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(8192), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(8196), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8198), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8200), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [258059] = 26,
    ACTIONS(6625), 1,
      anon_sym_LBRACE,
    ACTIONS(8132), 1,
      anon_sym_DASH_GT,
    ACTIONS(8134), 1,
      anon_sym_PLUS,
    ACTIONS(8136), 1,
      anon_sym_DASH,
    ACTIONS(8138), 1,
      anon_sym_TILDE,
    ACTIONS(8140), 1,
      anon_sym_AMP,
    ACTIONS(8142), 1,
      anon_sym_PIPE,
    ACTIONS(8144), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8152), 1,
      anon_sym_DOT,
    ACTIONS(8154), 1,
      anon_sym_LBRACK,
    ACTIONS(8194), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8202), 1,
      anon_sym_or_return,
    ACTIONS(8204), 1,
      anon_sym_or_continue,
    ACTIONS(8206), 1,
      anon_sym_or_break,
    ACTIONS(8208), 1,
      anon_sym_CARET,
    STATE(6728), 1,
      sym_block,
    ACTIONS(8146), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8148), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8150), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8156), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8190), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(8192), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(8196), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8198), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8200), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [258150] = 26,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9910), 1,
      anon_sym_SEMI,
    ACTIONS(9912), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [258241] = 5,
    ACTIONS(7526), 1,
      sym_identifier,
    ACTIONS(7922), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 15,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
    ACTIONS(67), 18,
      anon_sym_DASH_GT,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
  [258290] = 26,
    ACTIONS(6625), 1,
      anon_sym_LBRACE,
    ACTIONS(8132), 1,
      anon_sym_DASH_GT,
    ACTIONS(8134), 1,
      anon_sym_PLUS,
    ACTIONS(8136), 1,
      anon_sym_DASH,
    ACTIONS(8138), 1,
      anon_sym_TILDE,
    ACTIONS(8140), 1,
      anon_sym_AMP,
    ACTIONS(8142), 1,
      anon_sym_PIPE,
    ACTIONS(8144), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8152), 1,
      anon_sym_DOT,
    ACTIONS(8154), 1,
      anon_sym_LBRACK,
    ACTIONS(8194), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8202), 1,
      anon_sym_or_return,
    ACTIONS(8204), 1,
      anon_sym_or_continue,
    ACTIONS(8206), 1,
      anon_sym_or_break,
    ACTIONS(8208), 1,
      anon_sym_CARET,
    STATE(6380), 1,
      sym_block,
    ACTIONS(8146), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8148), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8150), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8156), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8190), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(8192), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(8196), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8198), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8200), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [258381] = 25,
    ACTIONS(8154), 1,
      anon_sym_LBRACK,
    ACTIONS(8202), 1,
      anon_sym_or_return,
    ACTIONS(8204), 1,
      anon_sym_or_continue,
    ACTIONS(8208), 1,
      anon_sym_CARET,
    ACTIONS(8466), 1,
      anon_sym_DASH_GT,
    ACTIONS(8468), 1,
      anon_sym_PLUS,
    ACTIONS(8470), 1,
      anon_sym_DASH,
    ACTIONS(8472), 1,
      anon_sym_TILDE,
    ACTIONS(8474), 1,
      anon_sym_AMP,
    ACTIONS(8478), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8486), 1,
      anon_sym_PIPE,
    ACTIONS(8488), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8496), 1,
      anon_sym_DOT,
    ACTIONS(8500), 1,
      anon_sym_or_break,
    ACTIONS(8476), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(8480), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8482), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8490), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8492), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8494), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8498), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8520), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(9914), 2,
      anon_sym_LBRACE,
      anon_sym_do,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8484), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [258470] = 26,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9916), 1,
      anon_sym_SEMI,
    ACTIONS(9918), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [258561] = 26,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9920), 1,
      anon_sym_SEMI,
    ACTIONS(9922), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [258652] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(9924), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [258741] = 26,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9926), 1,
      anon_sym_SEMI,
    ACTIONS(9928), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [258832] = 5,
    ACTIONS(6245), 1,
      sym_identifier,
    ACTIONS(6309), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 15,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
    ACTIONS(67), 18,
      anon_sym_DASH_GT,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
  [258881] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(9930), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [258970] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(9932), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [259059] = 26,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9910), 1,
      anon_sym_SEMI,
    ACTIONS(9934), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [259150] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(9936), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [259239] = 5,
    ACTIONS(9942), 1,
      anon_sym_AT,
    STATE(5618), 2,
      sym_attribute,
      aux_sym_attributes_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(9938), 16,
      anon_sym_foreign,
      anon_sym_import,
      anon_sym_using,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_cast,
      anon_sym_transmute,
      anon_sym_auto_cast,
      anon_sym_map,
      anon_sym_bit_set,
      anon_sym_matrix,
      anon_sym_distinct,
      anon_sym_true,
      anon_sym_false,
      sym_nil,
      sym_identifier,
    ACTIONS(9940), 16,
      sym_float,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT,
      sym_number,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      anon_sym_SQUOTE,
      sym_uninitialized,
      sym_tag,
  [259288] = 5,
    ACTIONS(6419), 1,
      sym_identifier,
    ACTIONS(6470), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 15,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
    ACTIONS(67), 18,
      anon_sym_DASH_GT,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
  [259337] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(9945), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [259426] = 26,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9947), 1,
      anon_sym_SEMI,
    ACTIONS(9949), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [259517] = 5,
    ACTIONS(4505), 1,
      sym_identifier,
    ACTIONS(4507), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 15,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
    ACTIONS(67), 18,
      anon_sym_DASH_GT,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
  [259566] = 26,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9951), 1,
      anon_sym_SEMI,
    ACTIONS(9953), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [259657] = 5,
    ACTIONS(6419), 1,
      sym_identifier,
    ACTIONS(6421), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 15,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
    ACTIONS(67), 18,
      anon_sym_DASH_GT,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
  [259706] = 26,
    ACTIONS(6625), 1,
      anon_sym_LBRACE,
    ACTIONS(8132), 1,
      anon_sym_DASH_GT,
    ACTIONS(8134), 1,
      anon_sym_PLUS,
    ACTIONS(8136), 1,
      anon_sym_DASH,
    ACTIONS(8138), 1,
      anon_sym_TILDE,
    ACTIONS(8140), 1,
      anon_sym_AMP,
    ACTIONS(8142), 1,
      anon_sym_PIPE,
    ACTIONS(8144), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8152), 1,
      anon_sym_DOT,
    ACTIONS(8154), 1,
      anon_sym_LBRACK,
    ACTIONS(8194), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8202), 1,
      anon_sym_or_return,
    ACTIONS(8204), 1,
      anon_sym_or_continue,
    ACTIONS(8206), 1,
      anon_sym_or_break,
    ACTIONS(8208), 1,
      anon_sym_CARET,
    STATE(6508), 1,
      sym_block,
    ACTIONS(8146), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8148), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8150), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8156), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8190), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(8192), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(8196), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8198), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8200), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [259797] = 25,
    ACTIONS(8154), 1,
      anon_sym_LBRACK,
    ACTIONS(8202), 1,
      anon_sym_or_return,
    ACTIONS(8204), 1,
      anon_sym_or_continue,
    ACTIONS(8208), 1,
      anon_sym_CARET,
    ACTIONS(8466), 1,
      anon_sym_DASH_GT,
    ACTIONS(8468), 1,
      anon_sym_PLUS,
    ACTIONS(8470), 1,
      anon_sym_DASH,
    ACTIONS(8472), 1,
      anon_sym_TILDE,
    ACTIONS(8474), 1,
      anon_sym_AMP,
    ACTIONS(8478), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8486), 1,
      anon_sym_PIPE,
    ACTIONS(8488), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8496), 1,
      anon_sym_DOT,
    ACTIONS(8500), 1,
      anon_sym_or_break,
    ACTIONS(8476), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(8480), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8482), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8490), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8492), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8494), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8498), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8520), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(9955), 2,
      anon_sym_LBRACE,
      anon_sym_do,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8484), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [259886] = 26,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9957), 1,
      anon_sym_SEMI,
    ACTIONS(9959), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [259977] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(9961), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [260066] = 26,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9951), 1,
      anon_sym_SEMI,
    ACTIONS(9963), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [260157] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(9965), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [260246] = 5,
    ACTIONS(7928), 1,
      sym_identifier,
    ACTIONS(7930), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 15,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
    ACTIONS(67), 18,
      anon_sym_DASH_GT,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
  [260295] = 26,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9967), 1,
      anon_sym_SEMI,
    ACTIONS(9969), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [260386] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(9971), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [260475] = 26,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9973), 1,
      anon_sym_SEMI,
    ACTIONS(9975), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [260566] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(9977), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [260655] = 5,
    ACTIONS(8084), 1,
      sym_identifier,
    ACTIONS(8424), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 15,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
    ACTIONS(67), 18,
      anon_sym_DASH_GT,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
  [260704] = 5,
    ACTIONS(19), 1,
      anon_sym_AT,
    STATE(5618), 2,
      sym_attribute,
      aux_sym_attributes_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(9979), 16,
      anon_sym_foreign,
      anon_sym_import,
      anon_sym_using,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_cast,
      anon_sym_transmute,
      anon_sym_auto_cast,
      anon_sym_map,
      anon_sym_bit_set,
      anon_sym_matrix,
      anon_sym_distinct,
      anon_sym_true,
      anon_sym_false,
      sym_nil,
      sym_identifier,
    ACTIONS(9981), 16,
      sym_float,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT,
      sym_number,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      anon_sym_SQUOTE,
      sym_uninitialized,
      sym_tag,
  [260753] = 26,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9983), 1,
      anon_sym_SEMI,
    ACTIONS(9985), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [260844] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(9987), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [260933] = 5,
    ACTIONS(6601), 1,
      sym_identifier,
    ACTIONS(6603), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 15,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
    ACTIONS(67), 18,
      anon_sym_DASH_GT,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
  [260982] = 26,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9989), 1,
      anon_sym_SEMI,
    ACTIONS(9991), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [261073] = 26,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9993), 1,
      anon_sym_SEMI,
    ACTIONS(9995), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [261164] = 26,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9997), 1,
      anon_sym_SEMI,
    ACTIONS(9999), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [261255] = 5,
    ACTIONS(6619), 1,
      anon_sym_LPAREN,
    ACTIONS(6693), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 15,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
    ACTIONS(67), 18,
      anon_sym_DASH_GT,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
  [261304] = 25,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(8096), 1,
      anon_sym_DASH_GT,
    ACTIONS(8098), 1,
      anon_sym_PLUS,
    ACTIONS(8100), 1,
      anon_sym_DASH,
    ACTIONS(8102), 1,
      anon_sym_TILDE,
    ACTIONS(8104), 1,
      anon_sym_AMP,
    ACTIONS(8106), 1,
      anon_sym_PIPE,
    ACTIONS(8108), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8116), 1,
      anon_sym_DOT,
    ACTIONS(8122), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8130), 1,
      anon_sym_or_break,
    ACTIONS(8110), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8112), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8114), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8118), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8120), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(8124), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8126), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(8236), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(8462), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8128), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [261393] = 5,
    ACTIONS(6915), 1,
      sym_identifier,
    ACTIONS(6917), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 15,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
    ACTIONS(67), 18,
      anon_sym_DASH_GT,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
  [261442] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(10001), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [261531] = 26,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10003), 1,
      anon_sym_SEMI,
    ACTIONS(10005), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [261622] = 5,
    ACTIONS(6245), 1,
      sym_identifier,
    ACTIONS(6247), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 15,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
    ACTIONS(67), 18,
      anon_sym_DASH_GT,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
  [261671] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(10007), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [261760] = 5,
    ACTIONS(7277), 1,
      sym_identifier,
    ACTIONS(7279), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(71), 15,
      anon_sym_in,
      anon_sym_DASH,
      anon_sym_TILDE,
      anon_sym_AMP,
      anon_sym_or_else,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_DOT,
      anon_sym_not_in,
      anon_sym_or_return,
      anon_sym_or_continue,
      anon_sym_or_break,
    ACTIONS(67), 18,
      anon_sym_DASH_GT,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_AMP_TILDE,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
      anon_sym_CARET,
  [261809] = 25,
    ACTIONS(8132), 1,
      anon_sym_DASH_GT,
    ACTIONS(8134), 1,
      anon_sym_PLUS,
    ACTIONS(8136), 1,
      anon_sym_DASH,
    ACTIONS(8138), 1,
      anon_sym_TILDE,
    ACTIONS(8140), 1,
      anon_sym_AMP,
    ACTIONS(8142), 1,
      anon_sym_PIPE,
    ACTIONS(8144), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8152), 1,
      anon_sym_DOT,
    ACTIONS(8154), 1,
      anon_sym_LBRACK,
    ACTIONS(8194), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8202), 1,
      anon_sym_or_return,
    ACTIONS(8204), 1,
      anon_sym_or_continue,
    ACTIONS(8206), 1,
      anon_sym_or_break,
    ACTIONS(8208), 1,
      anon_sym_CARET,
    ACTIONS(4619), 2,
      anon_sym_LBRACE,
      anon_sym_COMMA,
    ACTIONS(8146), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8148), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8150), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8156), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8190), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(8192), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(8196), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8198), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8200), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [261898] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10009), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [261986] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10011), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [262074] = 25,
    ACTIONS(3561), 1,
      anon_sym_RBRACK,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [262162] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9144), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [262250] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9146), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [262338] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9148), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [262426] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9158), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [262514] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10013), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [262602] = 25,
    ACTIONS(3741), 1,
      anon_sym_RBRACK,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [262690] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10015), 1,
      anon_sym_COMMA,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [262778] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(8538), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [262866] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(8540), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [262954] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(8542), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [263042] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(8544), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [263130] = 25,
    ACTIONS(3771), 1,
      anon_sym_RBRACK,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [263218] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(8556), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [263306] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(8564), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [263394] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(8566), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [263482] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(8568), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [263570] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10017), 1,
      anon_sym_RPAREN,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [263658] = 25,
    ACTIONS(3801), 1,
      anon_sym_RBRACK,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [263746] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(8576), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [263834] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(8578), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [263922] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(8580), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [264010] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(8582), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [264098] = 25,
    ACTIONS(3711), 1,
      anon_sym_RBRACK,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [264186] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(8588), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [264274] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(8590), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [264362] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(8592), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [264450] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(8594), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [264538] = 25,
    ACTIONS(3831), 1,
      anon_sym_RBRACK,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [264626] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(8610), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [264714] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(8612), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [264802] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(8614), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [264890] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(8616), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [264978] = 25,
    ACTIONS(3851), 1,
      anon_sym_RBRACK,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [265066] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(8618), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [265154] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(8620), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [265242] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(8622), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [265330] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(8624), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [265418] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(8628), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [265506] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(8630), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [265594] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(8632), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [265682] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9074), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [265770] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(8800), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [265858] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10019), 1,
      anon_sym_COMMA,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [265946] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10021), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [266034] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10023), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [266122] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10025), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [266210] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10027), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [266298] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10029), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [266386] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10031), 1,
      anon_sym_RPAREN,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [266474] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(8828), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [266562] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10033), 1,
      anon_sym_RPAREN,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [266650] = 25,
    ACTIONS(3437), 1,
      anon_sym_RBRACK,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [266738] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10035), 1,
      anon_sym_RPAREN,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [266826] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10037), 1,
      anon_sym_RPAREN,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [266914] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10039), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [267002] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10041), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [267090] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(8814), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [267178] = 25,
    ACTIONS(4070), 1,
      anon_sym_RBRACK,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [267266] = 25,
    ACTIONS(3949), 1,
      anon_sym_RBRACK,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [267354] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10043), 1,
      anon_sym_else,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [267442] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10045), 1,
      anon_sym_COLON,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [267530] = 25,
    ACTIONS(8132), 1,
      anon_sym_DASH_GT,
    ACTIONS(8134), 1,
      anon_sym_PLUS,
    ACTIONS(8136), 1,
      anon_sym_DASH,
    ACTIONS(8138), 1,
      anon_sym_TILDE,
    ACTIONS(8140), 1,
      anon_sym_AMP,
    ACTIONS(8142), 1,
      anon_sym_PIPE,
    ACTIONS(8144), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8152), 1,
      anon_sym_DOT,
    ACTIONS(8154), 1,
      anon_sym_LBRACK,
    ACTIONS(8194), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8202), 1,
      anon_sym_or_return,
    ACTIONS(8204), 1,
      anon_sym_or_continue,
    ACTIONS(8206), 1,
      anon_sym_or_break,
    ACTIONS(8208), 1,
      anon_sym_CARET,
    ACTIONS(10047), 1,
      anon_sym_LBRACE,
    ACTIONS(8146), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8148), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8150), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8156), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8190), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(8192), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(8196), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8198), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8200), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [267618] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10049), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [267706] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10051), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [267794] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10053), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [267882] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(8852), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [267970] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10055), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [268058] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10057), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [268146] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10059), 1,
      anon_sym_else,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [268234] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10061), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [268322] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10063), 1,
      anon_sym_COLON,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [268410] = 25,
    ACTIONS(3399), 1,
      anon_sym_RBRACK,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [268498] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(8656), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [268586] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(8854), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [268674] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10065), 1,
      anon_sym_COMMA,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [268762] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10067), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [268850] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10069), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [268938] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(8962), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [269026] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(8938), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [269114] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10071), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [269202] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10073), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [269290] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10075), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [269378] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10077), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [269466] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(8944), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [269554] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(8716), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [269642] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10079), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [269730] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10081), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [269818] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10083), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [269906] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10085), 1,
      anon_sym_COMMA,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [269994] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10087), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [270082] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(8788), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [270170] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10089), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [270258] = 25,
    ACTIONS(4286), 1,
      anon_sym_RBRACK,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [270346] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10091), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [270434] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10093), 1,
      anon_sym_EQ,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [270522] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(8902), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [270610] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10095), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [270698] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10097), 1,
      anon_sym_else,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [270786] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10099), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [270874] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10101), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [270962] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10103), 1,
      anon_sym_COLON,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [271050] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10105), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [271138] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10107), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [271226] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10109), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [271314] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(8586), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [271402] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10111), 1,
      anon_sym_else,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [271490] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10113), 1,
      anon_sym_COMMA,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [271578] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10115), 1,
      anon_sym_COLON,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [271666] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10117), 1,
      anon_sym_RPAREN,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [271754] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9056), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [271842] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(8756), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [271930] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10119), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [272018] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9042), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [272106] = 25,
    ACTIONS(3467), 1,
      anon_sym_RBRACK,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [272194] = 25,
    ACTIONS(3501), 1,
      anon_sym_RBRACK,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [272282] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10121), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [272370] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10123), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [272458] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(8676), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [272546] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10125), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [272634] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10127), 1,
      anon_sym_else,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [272722] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9064), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [272810] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10129), 1,
      anon_sym_RPAREN,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [272898] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(8686), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [272986] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10131), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [273074] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(8704), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [273162] = 25,
    ACTIONS(4100), 1,
      anon_sym_RBRACK,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [273250] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10133), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [273338] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10135), 1,
      anon_sym_else,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [273426] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10137), 1,
      anon_sym_COLON,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [273514] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10139), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [273602] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(8712), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [273690] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(8706), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [273778] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10141), 1,
      anon_sym_COLON,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [273866] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10143), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [273954] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(8710), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [274042] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10145), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [274130] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10147), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [274218] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10149), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [274306] = 25,
    ACTIONS(4220), 1,
      anon_sym_RBRACK,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [274394] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(8730), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [274482] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10151), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [274570] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10153), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [274658] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(8754), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [274746] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(8744), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [274834] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9154), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [274922] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10155), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [275010] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(8989), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [275098] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10157), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [275186] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10159), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [275274] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(8774), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [275362] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(8784), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [275450] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10161), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [275538] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9164), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [275626] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(8794), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [275714] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9058), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [275802] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9119), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [275890] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10163), 1,
      anon_sym_RPAREN,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [275978] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10165), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [276066] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10167), 1,
      anon_sym_COMMA,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [276154] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10169), 1,
      anon_sym_COMMA,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [276242] = 25,
    ACTIONS(3998), 1,
      anon_sym_RBRACK,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [276330] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10171), 1,
      anon_sym_else,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [276418] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(8991), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [276506] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10173), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [276594] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10175), 1,
      anon_sym_else,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [276682] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10177), 1,
      anon_sym_COLON,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [276770] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10179), 1,
      anon_sym_EQ,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [276858] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(8948), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [276946] = 25,
    ACTIONS(8132), 1,
      anon_sym_DASH_GT,
    ACTIONS(8134), 1,
      anon_sym_PLUS,
    ACTIONS(8136), 1,
      anon_sym_DASH,
    ACTIONS(8138), 1,
      anon_sym_TILDE,
    ACTIONS(8140), 1,
      anon_sym_AMP,
    ACTIONS(8142), 1,
      anon_sym_PIPE,
    ACTIONS(8144), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(8152), 1,
      anon_sym_DOT,
    ACTIONS(8154), 1,
      anon_sym_LBRACK,
    ACTIONS(8194), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8202), 1,
      anon_sym_or_return,
    ACTIONS(8204), 1,
      anon_sym_or_continue,
    ACTIONS(8206), 1,
      anon_sym_or_break,
    ACTIONS(8208), 1,
      anon_sym_CARET,
    ACTIONS(10181), 1,
      anon_sym_LBRACE,
    ACTIONS(8146), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8148), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(8150), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(8156), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(8190), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(8192), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(8196), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(8198), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8200), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [277034] = 25,
    ACTIONS(3531), 1,
      anon_sym_RBRACK,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [277122] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9003), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [277210] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10183), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [277298] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(8868), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [277386] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9068), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [277474] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10185), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [277562] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9140), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [277650] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10187), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [277738] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10189), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [277826] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10191), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [277914] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10193), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [278002] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(8904), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [278090] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9170), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [278178] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9134), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [278266] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(8920), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [278354] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10195), 1,
      anon_sym_COMMA,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [278442] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10197), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [278530] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10199), 1,
      anon_sym_RPAREN,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [278618] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10201), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [278706] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(8977), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [278794] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(8928), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [278882] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(8782), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [278970] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10203), 1,
      anon_sym_else,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [279058] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10205), 1,
      anon_sym_COLON,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [279146] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(8722), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [279234] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10207), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [279322] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10209), 1,
      anon_sym_else,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [279410] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10211), 1,
      anon_sym_COLON,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [279498] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(8726), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [279586] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(8846), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [279674] = 25,
    ACTIONS(4160), 1,
      anon_sym_RBRACK,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [279762] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10213), 1,
      anon_sym_else,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [279850] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10215), 1,
      anon_sym_COLON,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [279938] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(8850), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [280026] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10217), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [280114] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10219), 1,
      anon_sym_else,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [280202] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10221), 1,
      anon_sym_COLON,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [280290] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10223), 1,
      anon_sym_EQ,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [280378] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10225), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [280466] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(8734), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [280554] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(8856), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [280642] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10227), 1,
      anon_sym_else,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [280730] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10229), 1,
      anon_sym_COLON,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [280818] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10231), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [280906] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(8858), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [280994] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10233), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [281082] = 25,
    ACTIONS(4210), 1,
      anon_sym_RBRACK,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [281170] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9176), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [281258] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(8860), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [281346] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(8862), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [281434] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(8738), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [281522] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(8866), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [281610] = 25,
    ACTIONS(3591), 1,
      anon_sym_RBRACK,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [281698] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10235), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [281786] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10237), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [281874] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10239), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [281962] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10241), 1,
      anon_sym_COMMA,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [282050] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10243), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [282138] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(8969), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [282226] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(8983), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [282314] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(8985), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [282402] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10245), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [282490] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10247), 1,
      anon_sym_COMMA,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [282578] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(8987), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [282666] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10249), 1,
      anon_sym_else,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [282754] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10251), 1,
      anon_sym_EQ,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [282842] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10253), 1,
      anon_sym_else,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [282930] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10255), 1,
      anon_sym_RPAREN,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [283018] = 25,
    ACTIONS(4266), 1,
      anon_sym_RBRACK,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [283106] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10257), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [283194] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10259), 1,
      anon_sym_else,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [283282] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10261), 1,
      anon_sym_COLON,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [283370] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10263), 1,
      anon_sym_COMMA,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [283458] = 25,
    ACTIONS(3621), 1,
      anon_sym_RBRACK,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [283546] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10265), 1,
      anon_sym_else,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [283634] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10267), 1,
      anon_sym_COLON,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [283722] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10269), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [283810] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10271), 1,
      anon_sym_COMMA,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [283898] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10273), 1,
      anon_sym_else,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [283986] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10275), 1,
      anon_sym_EQ,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [284074] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(8810), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [284162] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10277), 1,
      anon_sym_COMMA,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [284250] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(8518), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [284338] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10279), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [284426] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10281), 1,
      anon_sym_COMMA,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [284514] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10283), 1,
      anon_sym_else,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [284602] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10285), 1,
      anon_sym_EQ,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [284690] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10287), 1,
      anon_sym_COMMA,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [284778] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10289), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [284866] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10291), 1,
      anon_sym_COMMA,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [284954] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9007), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [285042] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10293), 1,
      anon_sym_else,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [285130] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10295), 1,
      anon_sym_EQ,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [285218] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10297), 1,
      anon_sym_COMMA,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [285306] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(8812), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [285394] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10299), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [285482] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10301), 1,
      anon_sym_COMMA,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [285570] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10303), 1,
      anon_sym_else,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [285658] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10305), 1,
      anon_sym_EQ,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [285746] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10307), 1,
      anon_sym_COMMA,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [285834] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10309), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [285922] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10311), 1,
      anon_sym_COMMA,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [286010] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10313), 1,
      anon_sym_else,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [286098] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10315), 1,
      anon_sym_EQ,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [286186] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10317), 1,
      anon_sym_COMMA,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [286274] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10319), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [286362] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10321), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [286450] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10323), 1,
      anon_sym_COMMA,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [286538] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10325), 1,
      anon_sym_else,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [286626] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10327), 1,
      anon_sym_EQ,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [286714] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10329), 1,
      anon_sym_COMMA,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [286802] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10331), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [286890] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10333), 1,
      anon_sym_COMMA,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [286978] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10335), 1,
      anon_sym_else,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [287066] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10337), 1,
      anon_sym_EQ,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [287154] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10339), 1,
      anon_sym_COMMA,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [287242] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10341), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [287330] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10343), 1,
      anon_sym_COMMA,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [287418] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(8818), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [287506] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10345), 1,
      anon_sym_else,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [287594] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10347), 1,
      anon_sym_EQ,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [287682] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10349), 1,
      anon_sym_COMMA,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [287770] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10351), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [287858] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10353), 1,
      anon_sym_COMMA,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [287946] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10355), 1,
      anon_sym_else,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [288034] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10357), 1,
      anon_sym_EQ,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [288122] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10359), 1,
      anon_sym_COMMA,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [288210] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10361), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [288298] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10363), 1,
      anon_sym_COMMA,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [288386] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10365), 1,
      anon_sym_else,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [288474] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10367), 1,
      anon_sym_COMMA,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [288562] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10369), 1,
      anon_sym_COMMA,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [288650] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10371), 1,
      anon_sym_else,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [288738] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10373), 1,
      anon_sym_COMMA,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [288826] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10375), 1,
      anon_sym_else,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [288914] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10377), 1,
      anon_sym_COMMA,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [289002] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10379), 1,
      anon_sym_COMMA,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [289090] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9009), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [289178] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10381), 1,
      anon_sym_COMMA,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [289266] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10383), 1,
      anon_sym_COMMA,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [289354] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(8824), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [289442] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10385), 1,
      anon_sym_COMMA,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [289530] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10387), 1,
      anon_sym_COMMA,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [289618] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9011), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [289706] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10389), 1,
      anon_sym_COMMA,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [289794] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10391), 1,
      anon_sym_COMMA,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [289882] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10393), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [289970] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10395), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [290058] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10397), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [290146] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10399), 1,
      anon_sym_else,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [290234] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10401), 1,
      anon_sym_COLON,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [290322] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9013), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [290410] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10403), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [290498] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(8999), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [290586] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10405), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [290674] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10407), 1,
      anon_sym_else,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [290762] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10409), 1,
      anon_sym_RPAREN,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [290850] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10411), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [290938] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10413), 1,
      anon_sym_COLON,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [291026] = 25,
    ACTIONS(4240), 1,
      anon_sym_RBRACK,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [291114] = 25,
    ACTIONS(3651), 1,
      anon_sym_RBRACK,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [291202] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10415), 1,
      anon_sym_else,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [291290] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10417), 1,
      anon_sym_COLON,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [291378] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(8900), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [291466] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10419), 1,
      anon_sym_else,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [291554] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10421), 1,
      anon_sym_COLON,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [291642] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10423), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [291730] = 25,
    ACTIONS(4350), 1,
      anon_sym_RBRACK,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [291818] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9036), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [291906] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9072), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [291994] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9038), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [292082] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9040), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [292170] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9044), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [292258] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(8908), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [292346] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9046), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [292434] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9048), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [292522] = 25,
    ACTIONS(4370), 1,
      anon_sym_RBRACK,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [292610] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9052), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [292698] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9054), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [292786] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10425), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [292874] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(8912), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [292962] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10427), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [293050] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10429), 1,
      anon_sym_COMMA,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [293138] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10431), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [293226] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9079), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [293314] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10433), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [293402] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(8916), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [293490] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9081), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [293578] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10435), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [293666] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10437), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [293754] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10439), 1,
      anon_sym_COMMA,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [293842] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10441), 1,
      anon_sym_COMMA,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [293930] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10443), 1,
      anon_sym_COMMA,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [294018] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10445), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [294106] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9083), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [294194] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10447), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [294282] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10449), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [294370] = 25,
    ACTIONS(3681), 1,
      anon_sym_RBRACK,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [294458] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9107), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [294546] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10451), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [294634] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10453), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [294722] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10455), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [294810] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10457), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [294898] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10459), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [294986] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10461), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [295074] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10463), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [295162] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9117), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [295250] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10465), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [295338] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10467), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [295426] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10469), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [295514] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9062), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [295602] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10471), 1,
      anon_sym_RPAREN,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [295690] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10473), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [295778] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10475), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [295866] = 25,
    ACTIONS(3323), 1,
      anon_sym_RBRACK,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [295954] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9124), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [296042] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9152), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [296130] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10477), 1,
      anon_sym_else,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [296218] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10479), 1,
      anon_sym_COLON,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [296306] = 25,
    ACTIONS(4380), 1,
      anon_sym_RBRACK,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [296394] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9156), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [296482] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9160), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [296570] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9162), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [296658] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(8960), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [296746] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10481), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [296834] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(9136), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [296922] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(8971), 1,
      anon_sym_RBRACK,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [297010] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10483), 1,
      anon_sym_COMMA,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [297098] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10485), 1,
      anon_sym_COMMA,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [297186] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10487), 1,
      anon_sym_COMMA,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [297274] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10489), 1,
      anon_sym_COMMA,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [297362] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10491), 1,
      anon_sym_COMMA,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [297450] = 25,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(10493), 1,
      anon_sym_COMMA,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [297538] = 25,
    ACTIONS(3353), 1,
      anon_sym_RBRACK,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [297626] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(10495), 16,
      anon_sym_foreign,
      anon_sym_import,
      anon_sym_using,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_cast,
      anon_sym_transmute,
      anon_sym_auto_cast,
      anon_sym_map,
      anon_sym_bit_set,
      anon_sym_matrix,
      anon_sym_distinct,
      anon_sym_true,
      anon_sym_false,
      sym_nil,
      sym_identifier,
    ACTIONS(10497), 17,
      sym_float,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT,
      sym_number,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      anon_sym_SQUOTE,
      sym_uninitialized,
      sym_tag,
  [297669] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(10499), 16,
      anon_sym_foreign,
      anon_sym_import,
      anon_sym_using,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_cast,
      anon_sym_transmute,
      anon_sym_auto_cast,
      anon_sym_map,
      anon_sym_bit_set,
      anon_sym_matrix,
      anon_sym_distinct,
      anon_sym_true,
      anon_sym_false,
      sym_nil,
      sym_identifier,
    ACTIONS(10501), 17,
      sym_float,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT,
      sym_number,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      anon_sym_SQUOTE,
      sym_uninitialized,
      sym_tag,
  [297712] = 24,
    ACTIONS(7596), 1,
      anon_sym_DASH_GT,
    ACTIONS(7600), 1,
      anon_sym_PLUS,
    ACTIONS(7602), 1,
      anon_sym_DASH,
    ACTIONS(7604), 1,
      anon_sym_TILDE,
    ACTIONS(7606), 1,
      anon_sym_AMP,
    ACTIONS(7610), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7618), 1,
      anon_sym_PIPE,
    ACTIONS(7620), 1,
      anon_sym_AMP_TILDE,
    ACTIONS(7628), 1,
      anon_sym_DOT,
    ACTIONS(7630), 1,
      anon_sym_LBRACK,
    ACTIONS(7634), 1,
      anon_sym_or_return,
    ACTIONS(7636), 1,
      anon_sym_or_continue,
    ACTIONS(7638), 1,
      anon_sym_or_break,
    ACTIONS(7640), 1,
      anon_sym_CARET,
    ACTIONS(7598), 2,
      anon_sym_in,
      anon_sym_not_in,
    ACTIONS(7608), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or_else,
    ACTIONS(7612), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(7614), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(7622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7624), 2,
      anon_sym_STAR,
      anon_sym_PERCENT_PERCENT,
    ACTIONS(7626), 2,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7632), 2,
      anon_sym_DOT_DOT_EQ,
      anon_sym_DOT_DOT_LT,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7616), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_TILDE_EQ,
  [297797] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(10503), 16,
      anon_sym_foreign,
      anon_sym_import,
      anon_sym_using,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_cast,
      anon_sym_transmute,
      anon_sym_auto_cast,
      anon_sym_map,
      anon_sym_bit_set,
      anon_sym_matrix,
      anon_sym_distinct,
      anon_sym_true,
      anon_sym_false,
      sym_nil,
      sym_identifier,
    ACTIONS(10505), 17,
      sym_float,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT,
      sym_number,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      anon_sym_SQUOTE,
      sym_uninitialized,
      sym_tag,
  [297840] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(10507), 16,
      anon_sym_foreign,
      anon_sym_import,
      anon_sym_using,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_cast,
      anon_sym_transmute,
      anon_sym_auto_cast,
      anon_sym_map,
      anon_sym_bit_set,
      anon_sym_matrix,
      anon_sym_distinct,
      anon_sym_true,
      anon_sym_false,
      sym_nil,
      sym_identifier,
    ACTIONS(10509), 17,
      sym_float,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT,
      sym_number,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      anon_sym_SQUOTE,
      sym_uninitialized,
      sym_tag,
  [297883] = 3,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(10511), 16,
      anon_sym_foreign,
      anon_sym_import,
      anon_sym_using,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_cast,
      anon_sym_transmute,
      anon_sym_auto_cast,
      anon_sym_map,
      anon_sym_bit_set,
      anon_sym_matrix,
      anon_sym_distinct,
      anon_sym_true,
      anon_sym_false,
      sym_nil,
      sym_identifier,
    ACTIONS(10513), 17,
      sym_float,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_LPAREN,
      anon_sym_QMARK,
      anon_sym_PLUS,
      anon_sym_TILDE,
      anon_sym_BANG,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_DOT_DOT,
      sym_number,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      anon_sym_SQUOTE,
      sym_uninitialized,
      sym_tag,
  [297926] = 17,
    ACTIONS(615), 1,
      anon_sym_LBRACE,
    ACTIONS(627), 1,
      anon_sym_LBRACK,
    ACTIONS(637), 1,
      anon_sym_bit_set,
    ACTIONS(645), 1,
      anon_sym_DQUOTE,
    ACTIONS(647), 1,
      anon_sym_BQUOTE,
    ACTIONS(649), 1,
      anon_sym_SQUOTE,
    ACTIONS(653), 1,
      sym_nil,
    ACTIONS(10515), 1,
      sym_identifier,
    ACTIONS(10517), 1,
      anon_sym_map,
    ACTIONS(10519), 1,
      anon_sym_matrix,
    STATE(7693), 1,
      sym_literal,
    STATE(7807), 1,
      sym_field_identifier,
    ACTIONS(651), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3892), 2,
      sym__string_literal,
      sym__raw_string_literal,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(643), 3,
      sym_float,
      sym_number,
      sym_uninitialized,
    STATE(3858), 7,
      sym_struct,
      sym_map,
      sym_bit_set,
      sym_matrix,
      sym_string,
      sym_character,
      sym_boolean,
  [297990] = 17,
    ACTIONS(615), 1,
      anon_sym_LBRACE,
    ACTIONS(627), 1,
      anon_sym_LBRACK,
    ACTIONS(637), 1,
      anon_sym_bit_set,
    ACTIONS(645), 1,
      anon_sym_DQUOTE,
    ACTIONS(647), 1,
      anon_sym_BQUOTE,
    ACTIONS(649), 1,
      anon_sym_SQUOTE,
    ACTIONS(653), 1,
      sym_nil,
    ACTIONS(10515), 1,
      sym_identifier,
    ACTIONS(10517), 1,
      anon_sym_map,
    ACTIONS(10519), 1,
      anon_sym_matrix,
    STATE(7399), 1,
      sym_literal,
    STATE(7807), 1,
      sym_field_identifier,
    ACTIONS(651), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3892), 2,
      sym__string_literal,
      sym__raw_string_literal,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(643), 3,
      sym_float,
      sym_number,
      sym_uninitialized,
    STATE(3858), 7,
      sym_struct,
      sym_map,
      sym_bit_set,
      sym_matrix,
      sym_string,
      sym_character,
      sym_boolean,
  [298054] = 17,
    ACTIONS(615), 1,
      anon_sym_LBRACE,
    ACTIONS(627), 1,
      anon_sym_LBRACK,
    ACTIONS(637), 1,
      anon_sym_bit_set,
    ACTIONS(645), 1,
      anon_sym_DQUOTE,
    ACTIONS(647), 1,
      anon_sym_BQUOTE,
    ACTIONS(649), 1,
      anon_sym_SQUOTE,
    ACTIONS(653), 1,
      sym_nil,
    ACTIONS(10515), 1,
      sym_identifier,
    ACTIONS(10517), 1,
      anon_sym_map,
    ACTIONS(10519), 1,
      anon_sym_matrix,
    STATE(7606), 1,
      sym_literal,
    STATE(7807), 1,
      sym_field_identifier,
    ACTIONS(651), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3892), 2,
      sym__string_literal,
      sym__raw_string_literal,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(643), 3,
      sym_float,
      sym_number,
      sym_uninitialized,
    STATE(3858), 7,
      sym_struct,
      sym_map,
      sym_bit_set,
      sym_matrix,
      sym_string,
      sym_character,
      sym_boolean,
  [298118] = 17,
    ACTIONS(615), 1,
      anon_sym_LBRACE,
    ACTIONS(627), 1,
      anon_sym_LBRACK,
    ACTIONS(637), 1,
      anon_sym_bit_set,
    ACTIONS(645), 1,
      anon_sym_DQUOTE,
    ACTIONS(647), 1,
      anon_sym_BQUOTE,
    ACTIONS(649), 1,
      anon_sym_SQUOTE,
    ACTIONS(653), 1,
      sym_nil,
    ACTIONS(10515), 1,
      sym_identifier,
    ACTIONS(10517), 1,
      anon_sym_map,
    ACTIONS(10519), 1,
      anon_sym_matrix,
    STATE(7313), 1,
      sym_literal,
    STATE(7807), 1,
      sym_field_identifier,
    ACTIONS(651), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3892), 2,
      sym__string_literal,
      sym__raw_string_literal,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(643), 3,
      sym_float,
      sym_number,
      sym_uninitialized,
    STATE(3858), 7,
      sym_struct,
      sym_map,
      sym_bit_set,
      sym_matrix,
      sym_string,
      sym_character,
      sym_boolean,
  [298182] = 17,
    ACTIONS(615), 1,
      anon_sym_LBRACE,
    ACTIONS(627), 1,
      anon_sym_LBRACK,
    ACTIONS(637), 1,
      anon_sym_bit_set,
    ACTIONS(645), 1,
      anon_sym_DQUOTE,
    ACTIONS(647), 1,
      anon_sym_BQUOTE,
    ACTIONS(649), 1,
      anon_sym_SQUOTE,
    ACTIONS(653), 1,
      sym_nil,
    ACTIONS(10517), 1,
      anon_sym_map,
    ACTIONS(10519), 1,
      anon_sym_matrix,
    ACTIONS(10521), 1,
      sym_identifier,
    STATE(7789), 1,
      sym_literal,
    STATE(7807), 1,
      sym_field_identifier,
    ACTIONS(651), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3892), 2,
      sym__string_literal,
      sym__raw_string_literal,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(643), 3,
      sym_float,
      sym_number,
      sym_uninitialized,
    STATE(3858), 7,
      sym_struct,
      sym_map,
      sym_bit_set,
      sym_matrix,
      sym_string,
      sym_character,
      sym_boolean,
  [298246] = 17,
    ACTIONS(615), 1,
      anon_sym_LBRACE,
    ACTIONS(627), 1,
      anon_sym_LBRACK,
    ACTIONS(637), 1,
      anon_sym_bit_set,
    ACTIONS(645), 1,
      anon_sym_DQUOTE,
    ACTIONS(647), 1,
      anon_sym_BQUOTE,
    ACTIONS(649), 1,
      anon_sym_SQUOTE,
    ACTIONS(653), 1,
      sym_nil,
    ACTIONS(10515), 1,
      sym_identifier,
    ACTIONS(10517), 1,
      anon_sym_map,
    ACTIONS(10519), 1,
      anon_sym_matrix,
    STATE(7122), 1,
      sym_literal,
    STATE(7807), 1,
      sym_field_identifier,
    ACTIONS(651), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3892), 2,
      sym__string_literal,
      sym__raw_string_literal,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(643), 3,
      sym_float,
      sym_number,
      sym_uninitialized,
    STATE(3858), 7,
      sym_struct,
      sym_map,
      sym_bit_set,
      sym_matrix,
      sym_string,
      sym_character,
      sym_boolean,
  [298310] = 17,
    ACTIONS(615), 1,
      anon_sym_LBRACE,
    ACTIONS(627), 1,
      anon_sym_LBRACK,
    ACTIONS(637), 1,
      anon_sym_bit_set,
    ACTIONS(645), 1,
      anon_sym_DQUOTE,
    ACTIONS(647), 1,
      anon_sym_BQUOTE,
    ACTIONS(649), 1,
      anon_sym_SQUOTE,
    ACTIONS(653), 1,
      sym_nil,
    ACTIONS(10515), 1,
      sym_identifier,
    ACTIONS(10517), 1,
      anon_sym_map,
    ACTIONS(10519), 1,
      anon_sym_matrix,
    STATE(7578), 1,
      sym_literal,
    STATE(7807), 1,
      sym_field_identifier,
    ACTIONS(651), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3892), 2,
      sym__string_literal,
      sym__raw_string_literal,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(643), 3,
      sym_float,
      sym_number,
      sym_uninitialized,
    STATE(3858), 7,
      sym_struct,
      sym_map,
      sym_bit_set,
      sym_matrix,
      sym_string,
      sym_character,
      sym_boolean,
  [298374] = 17,
    ACTIONS(615), 1,
      anon_sym_LBRACE,
    ACTIONS(627), 1,
      anon_sym_LBRACK,
    ACTIONS(637), 1,
      anon_sym_bit_set,
    ACTIONS(645), 1,
      anon_sym_DQUOTE,
    ACTIONS(647), 1,
      anon_sym_BQUOTE,
    ACTIONS(649), 1,
      anon_sym_SQUOTE,
    ACTIONS(653), 1,
      sym_nil,
    ACTIONS(10515), 1,
      sym_identifier,
    ACTIONS(10517), 1,
      anon_sym_map,
    ACTIONS(10519), 1,
      anon_sym_matrix,
    STATE(7214), 1,
      sym_literal,
    STATE(7807), 1,
      sym_field_identifier,
    ACTIONS(651), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3892), 2,
      sym__string_literal,
      sym__raw_string_literal,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(643), 3,
      sym_float,
      sym_number,
      sym_uninitialized,
    STATE(3858), 7,
      sym_struct,
      sym_map,
      sym_bit_set,
      sym_matrix,
      sym_string,
      sym_character,
      sym_boolean,
  [298438] = 17,
    ACTIONS(615), 1,
      anon_sym_LBRACE,
    ACTIONS(627), 1,
      anon_sym_LBRACK,
    ACTIONS(637), 1,
      anon_sym_bit_set,
    ACTIONS(645), 1,
      anon_sym_DQUOTE,
    ACTIONS(647), 1,
      anon_sym_BQUOTE,
    ACTIONS(649), 1,
      anon_sym_SQUOTE,
    ACTIONS(653), 1,
      sym_nil,
    ACTIONS(10517), 1,
      anon_sym_map,
    ACTIONS(10519), 1,
      anon_sym_matrix,
    ACTIONS(10523), 1,
      sym_identifier,
    STATE(7715), 1,
      sym_literal,
    STATE(7807), 1,
      sym_field_identifier,
    ACTIONS(651), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3892), 2,
      sym__string_literal,
      sym__raw_string_literal,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(643), 3,
      sym_float,
      sym_number,
      sym_uninitialized,
    STATE(3858), 7,
      sym_struct,
      sym_map,
      sym_bit_set,
      sym_matrix,
      sym_string,
      sym_character,
      sym_boolean,
  [298502] = 17,
    ACTIONS(615), 1,
      anon_sym_LBRACE,
    ACTIONS(627), 1,
      anon_sym_LBRACK,
    ACTIONS(637), 1,
      anon_sym_bit_set,
    ACTIONS(645), 1,
      anon_sym_DQUOTE,
    ACTIONS(647), 1,
      anon_sym_BQUOTE,
    ACTIONS(649), 1,
      anon_sym_SQUOTE,
    ACTIONS(653), 1,
      sym_nil,
    ACTIONS(10515), 1,
      sym_identifier,
    ACTIONS(10517), 1,
      anon_sym_map,
    ACTIONS(10519), 1,
      anon_sym_matrix,
    STATE(7287), 1,
      sym_literal,
    STATE(7807), 1,
      sym_field_identifier,
    ACTIONS(651), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3892), 2,
      sym__string_literal,
      sym__raw_string_literal,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(643), 3,
      sym_float,
      sym_number,
      sym_uninitialized,
    STATE(3858), 7,
      sym_struct,
      sym_map,
      sym_bit_set,
      sym_matrix,
      sym_string,
      sym_character,
      sym_boolean,
  [298566] = 17,
    ACTIONS(615), 1,
      anon_sym_LBRACE,
    ACTIONS(627), 1,
      anon_sym_LBRACK,
    ACTIONS(637), 1,
      anon_sym_bit_set,
    ACTIONS(645), 1,
      anon_sym_DQUOTE,
    ACTIONS(647), 1,
      anon_sym_BQUOTE,
    ACTIONS(649), 1,
      anon_sym_SQUOTE,
    ACTIONS(653), 1,
      sym_nil,
    ACTIONS(10515), 1,
      sym_identifier,
    ACTIONS(10517), 1,
      anon_sym_map,
    ACTIONS(10519), 1,
      anon_sym_matrix,
    STATE(7153), 1,
      sym_literal,
    STATE(7807), 1,
      sym_field_identifier,
    ACTIONS(651), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3892), 2,
      sym__string_literal,
      sym__raw_string_literal,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(643), 3,
      sym_float,
      sym_number,
      sym_uninitialized,
    STATE(3858), 7,
      sym_struct,
      sym_map,
      sym_bit_set,
      sym_matrix,
      sym_string,
      sym_character,
      sym_boolean,
  [298630] = 17,
    ACTIONS(661), 1,
      anon_sym_LBRACE,
    ACTIONS(673), 1,
      anon_sym_LBRACK,
    ACTIONS(683), 1,
      anon_sym_bit_set,
    ACTIONS(691), 1,
      anon_sym_DQUOTE,
    ACTIONS(693), 1,
      anon_sym_BQUOTE,
    ACTIONS(695), 1,
      anon_sym_SQUOTE,
    ACTIONS(699), 1,
      sym_nil,
    ACTIONS(10525), 1,
      sym_identifier,
    ACTIONS(10527), 1,
      anon_sym_map,
    ACTIONS(10529), 1,
      anon_sym_matrix,
    STATE(3520), 1,
      sym_literal,
    STATE(7903), 1,
      sym_field_identifier,
    ACTIONS(697), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3469), 2,
      sym__string_literal,
      sym__raw_string_literal,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(689), 3,
      sym_float,
      sym_number,
      sym_uninitialized,
    STATE(3453), 7,
      sym_struct,
      sym_map,
      sym_bit_set,
      sym_matrix,
      sym_string,
      sym_character,
      sym_boolean,
  [298694] = 17,
    ACTIONS(615), 1,
      anon_sym_LBRACE,
    ACTIONS(627), 1,
      anon_sym_LBRACK,
    ACTIONS(637), 1,
      anon_sym_bit_set,
    ACTIONS(645), 1,
      anon_sym_DQUOTE,
    ACTIONS(647), 1,
      anon_sym_BQUOTE,
    ACTIONS(649), 1,
      anon_sym_SQUOTE,
    ACTIONS(653), 1,
      sym_nil,
    ACTIONS(10515), 1,
      sym_identifier,
    ACTIONS(10517), 1,
      anon_sym_map,
    ACTIONS(10519), 1,
      anon_sym_matrix,
    STATE(7552), 1,
      sym_literal,
    STATE(7807), 1,
      sym_field_identifier,
    ACTIONS(651), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3892), 2,
      sym__string_literal,
      sym__raw_string_literal,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(643), 3,
      sym_float,
      sym_number,
      sym_uninitialized,
    STATE(3858), 7,
      sym_struct,
      sym_map,
      sym_bit_set,
      sym_matrix,
      sym_string,
      sym_character,
      sym_boolean,
  [298758] = 17,
    ACTIONS(219), 1,
      anon_sym_bit_set,
    ACTIONS(227), 1,
      anon_sym_DQUOTE,
    ACTIONS(229), 1,
      anon_sym_BQUOTE,
    ACTIONS(231), 1,
      anon_sym_SQUOTE,
    ACTIONS(235), 1,
      sym_nil,
    ACTIONS(237), 1,
      anon_sym_LBRACE,
    ACTIONS(245), 1,
      anon_sym_LBRACK,
    ACTIONS(10531), 1,
      sym_identifier,
    ACTIONS(10533), 1,
      anon_sym_map,
    ACTIONS(10535), 1,
      anon_sym_matrix,
    STATE(2250), 1,
      sym_literal,
    STATE(7869), 1,
      sym_field_identifier,
    ACTIONS(233), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(2057), 2,
      sym__string_literal,
      sym__raw_string_literal,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(225), 3,
      sym_float,
      sym_number,
      sym_uninitialized,
    STATE(2054), 7,
      sym_struct,
      sym_map,
      sym_bit_set,
      sym_matrix,
      sym_string,
      sym_character,
      sym_boolean,
  [298822] = 17,
    ACTIONS(505), 1,
      anon_sym_bit_set,
    ACTIONS(513), 1,
      anon_sym_DQUOTE,
    ACTIONS(515), 1,
      anon_sym_BQUOTE,
    ACTIONS(517), 1,
      anon_sym_SQUOTE,
    ACTIONS(521), 1,
      sym_nil,
    ACTIONS(525), 1,
      anon_sym_LBRACE,
    ACTIONS(535), 1,
      anon_sym_LBRACK,
    ACTIONS(10537), 1,
      sym_identifier,
    ACTIONS(10539), 1,
      anon_sym_map,
    ACTIONS(10541), 1,
      anon_sym_matrix,
    STATE(2690), 1,
      sym_literal,
    STATE(7825), 1,
      sym_field_identifier,
    ACTIONS(519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(2874), 2,
      sym__string_literal,
      sym__raw_string_literal,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(511), 3,
      sym_float,
      sym_number,
      sym_uninitialized,
    STATE(2871), 7,
      sym_struct,
      sym_map,
      sym_bit_set,
      sym_matrix,
      sym_string,
      sym_character,
      sym_boolean,
  [298886] = 17,
    ACTIONS(451), 1,
      anon_sym_LBRACE,
    ACTIONS(463), 1,
      anon_sym_LBRACK,
    ACTIONS(473), 1,
      anon_sym_bit_set,
    ACTIONS(481), 1,
      anon_sym_DQUOTE,
    ACTIONS(483), 1,
      anon_sym_BQUOTE,
    ACTIONS(485), 1,
      anon_sym_SQUOTE,
    ACTIONS(489), 1,
      sym_nil,
    ACTIONS(10543), 1,
      sym_identifier,
    ACTIONS(10545), 1,
      anon_sym_map,
    ACTIONS(10547), 1,
      anon_sym_matrix,
    STATE(3143), 1,
      sym_literal,
    STATE(7864), 1,
      sym_field_identifier,
    ACTIONS(487), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3166), 2,
      sym__string_literal,
      sym__raw_string_literal,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(479), 3,
      sym_float,
      sym_number,
      sym_uninitialized,
    STATE(3078), 7,
      sym_struct,
      sym_map,
      sym_bit_set,
      sym_matrix,
      sym_string,
      sym_character,
      sym_boolean,
  [298950] = 17,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(143), 1,
      anon_sym_LBRACK,
    ACTIONS(153), 1,
      anon_sym_bit_set,
    ACTIONS(161), 1,
      anon_sym_DQUOTE,
    ACTIONS(163), 1,
      anon_sym_BQUOTE,
    ACTIONS(165), 1,
      anon_sym_SQUOTE,
    ACTIONS(169), 1,
      sym_nil,
    ACTIONS(10549), 1,
      sym_identifier,
    ACTIONS(10551), 1,
      anon_sym_map,
    ACTIONS(10553), 1,
      anon_sym_matrix,
    STATE(839), 1,
      sym_literal,
    STATE(7874), 1,
      sym_field_identifier,
    ACTIONS(167), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(934), 2,
      sym__string_literal,
      sym__raw_string_literal,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(159), 3,
      sym_float,
      sym_number,
      sym_uninitialized,
    STATE(925), 7,
      sym_struct,
      sym_map,
      sym_bit_set,
      sym_matrix,
      sym_string,
      sym_character,
      sym_boolean,
  [299014] = 17,
    ACTIONS(615), 1,
      anon_sym_LBRACE,
    ACTIONS(627), 1,
      anon_sym_LBRACK,
    ACTIONS(637), 1,
      anon_sym_bit_set,
    ACTIONS(645), 1,
      anon_sym_DQUOTE,
    ACTIONS(647), 1,
      anon_sym_BQUOTE,
    ACTIONS(649), 1,
      anon_sym_SQUOTE,
    ACTIONS(653), 1,
      sym_nil,
    ACTIONS(10515), 1,
      sym_identifier,
    ACTIONS(10517), 1,
      anon_sym_map,
    ACTIONS(10519), 1,
      anon_sym_matrix,
    STATE(7807), 1,
      sym_field_identifier,
    STATE(7884), 1,
      sym_literal,
    ACTIONS(651), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3892), 2,
      sym__string_literal,
      sym__raw_string_literal,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(643), 3,
      sym_float,
      sym_number,
      sym_uninitialized,
    STATE(3858), 7,
      sym_struct,
      sym_map,
      sym_bit_set,
      sym_matrix,
      sym_string,
      sym_character,
      sym_boolean,
  [299078] = 17,
    ACTIONS(615), 1,
      anon_sym_LBRACE,
    ACTIONS(627), 1,
      anon_sym_LBRACK,
    ACTIONS(637), 1,
      anon_sym_bit_set,
    ACTIONS(645), 1,
      anon_sym_DQUOTE,
    ACTIONS(647), 1,
      anon_sym_BQUOTE,
    ACTIONS(649), 1,
      anon_sym_SQUOTE,
    ACTIONS(653), 1,
      sym_nil,
    ACTIONS(10515), 1,
      sym_identifier,
    ACTIONS(10517), 1,
      anon_sym_map,
    ACTIONS(10519), 1,
      anon_sym_matrix,
    STATE(7243), 1,
      sym_literal,
    STATE(7807), 1,
      sym_field_identifier,
    ACTIONS(651), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3892), 2,
      sym__string_literal,
      sym__raw_string_literal,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(643), 3,
      sym_float,
      sym_number,
      sym_uninitialized,
    STATE(3858), 7,
      sym_struct,
      sym_map,
      sym_bit_set,
      sym_matrix,
      sym_string,
      sym_character,
      sym_boolean,
  [299142] = 17,
    ACTIONS(615), 1,
      anon_sym_LBRACE,
    ACTIONS(627), 1,
      anon_sym_LBRACK,
    ACTIONS(637), 1,
      anon_sym_bit_set,
    ACTIONS(645), 1,
      anon_sym_DQUOTE,
    ACTIONS(647), 1,
      anon_sym_BQUOTE,
    ACTIONS(649), 1,
      anon_sym_SQUOTE,
    ACTIONS(653), 1,
      sym_nil,
    ACTIONS(10515), 1,
      sym_identifier,
    ACTIONS(10517), 1,
      anon_sym_map,
    ACTIONS(10519), 1,
      anon_sym_matrix,
    STATE(7807), 1,
      sym_field_identifier,
    STATE(7921), 1,
      sym_literal,
    ACTIONS(651), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3892), 2,
      sym__string_literal,
      sym__raw_string_literal,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(643), 3,
      sym_float,
      sym_number,
      sym_uninitialized,
    STATE(3858), 7,
      sym_struct,
      sym_map,
      sym_bit_set,
      sym_matrix,
      sym_string,
      sym_character,
      sym_boolean,
  [299206] = 17,
    ACTIONS(615), 1,
      anon_sym_LBRACE,
    ACTIONS(627), 1,
      anon_sym_LBRACK,
    ACTIONS(637), 1,
      anon_sym_bit_set,
    ACTIONS(645), 1,
      anon_sym_DQUOTE,
    ACTIONS(647), 1,
      anon_sym_BQUOTE,
    ACTIONS(649), 1,
      anon_sym_SQUOTE,
    ACTIONS(653), 1,
      sym_nil,
    ACTIONS(10515), 1,
      sym_identifier,
    ACTIONS(10517), 1,
      anon_sym_map,
    ACTIONS(10519), 1,
      anon_sym_matrix,
    STATE(7424), 1,
      sym_literal,
    STATE(7807), 1,
      sym_field_identifier,
    ACTIONS(651), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3892), 2,
      sym__string_literal,
      sym__raw_string_literal,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(643), 3,
      sym_float,
      sym_number,
      sym_uninitialized,
    STATE(3858), 7,
      sym_struct,
      sym_map,
      sym_bit_set,
      sym_matrix,
      sym_string,
      sym_character,
      sym_boolean,
  [299270] = 7,
    ACTIONS(6709), 1,
      anon_sym_COMMA,
    ACTIONS(8514), 1,
      anon_sym_COLON,
    ACTIONS(10555), 1,
      anon_sym_COLON_COLON,
    STATE(6089), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(8512), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(10557), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
  [299307] = 5,
    ACTIONS(7171), 1,
      anon_sym_COLON,
    ACTIONS(10559), 1,
      anon_sym_COMMA,
    STATE(6087), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7169), 16,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
      anon_sym_in,
  [299340] = 7,
    ACTIONS(6627), 1,
      anon_sym_COMMA,
    ACTIONS(8574), 1,
      anon_sym_COLON,
    ACTIONS(10564), 1,
      anon_sym_in,
    STATE(6087), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(8572), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(10562), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
  [299377] = 5,
    ACTIONS(7171), 1,
      anon_sym_COLON,
    ACTIONS(10566), 1,
      anon_sym_COMMA,
    STATE(6089), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7169), 16,
      anon_sym_COLON_COLON,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
  [299410] = 10,
    ACTIONS(3303), 1,
      anon_sym_SLASH,
    ACTIONS(6625), 1,
      anon_sym_LBRACE,
    ACTIONS(6873), 1,
      sym_uninitialized,
    ACTIONS(6875), 1,
      sym_tag,
    ACTIONS(10569), 1,
      anon_sym_DASH_GT,
    ACTIONS(10571), 1,
      anon_sym_where,
    STATE(3115), 1,
      sym_where_clause,
    STATE(3655), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3299), 10,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [299452] = 10,
    ACTIONS(3303), 1,
      anon_sym_SLASH,
    ACTIONS(6721), 1,
      anon_sym_LBRACE,
    ACTIONS(6733), 1,
      sym_uninitialized,
    ACTIONS(6735), 1,
      sym_tag,
    ACTIONS(10571), 1,
      anon_sym_where,
    ACTIONS(10573), 1,
      anon_sym_DASH_GT,
    STATE(3012), 1,
      sym_where_clause,
    STATE(3131), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3299), 10,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [299494] = 10,
    ACTIONS(3935), 1,
      anon_sym_SLASH,
    ACTIONS(6625), 1,
      anon_sym_LBRACE,
    ACTIONS(6854), 1,
      sym_uninitialized,
    ACTIONS(6856), 1,
      sym_tag,
    ACTIONS(10571), 1,
      anon_sym_where,
    ACTIONS(10575), 1,
      anon_sym_DASH_GT,
    STATE(3139), 1,
      sym_where_clause,
    STATE(3707), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3931), 10,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [299536] = 10,
    ACTIONS(3935), 1,
      anon_sym_SLASH,
    ACTIONS(6721), 1,
      anon_sym_LBRACE,
    ACTIONS(6727), 1,
      sym_uninitialized,
    ACTIONS(6729), 1,
      sym_tag,
    ACTIONS(10571), 1,
      anon_sym_where,
    ACTIONS(10577), 1,
      anon_sym_DASH_GT,
    STATE(3010), 1,
      sym_where_clause,
    STATE(3113), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3931), 10,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [299578] = 6,
    ACTIONS(6709), 1,
      anon_sym_COMMA,
    ACTIONS(8574), 1,
      anon_sym_COLON,
    STATE(6089), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(8572), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(10562), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
  [299612] = 13,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2821), 1,
      anon_sym_CARET,
    ACTIONS(10579), 1,
      sym_identifier,
    ACTIONS(10581), 1,
      anon_sym_using,
    ACTIONS(10583), 1,
      anon_sym_RPAREN,
    ACTIONS(10585), 1,
      anon_sym_DOLLAR,
    ACTIONS(10587), 1,
      anon_sym_LBRACK,
    ACTIONS(10589), 1,
      anon_sym_DOT_DOT,
    ACTIONS(10591), 1,
      sym_tag,
    STATE(3279), 1,
      sym_procedure,
    STATE(7882), 2,
      sym_parameter,
      sym_default_parameter,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(6936), 5,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_field_type,
      sym__procedure_type,
  [299659] = 13,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2821), 1,
      anon_sym_CARET,
    ACTIONS(10579), 1,
      sym_identifier,
    ACTIONS(10581), 1,
      anon_sym_using,
    ACTIONS(10585), 1,
      anon_sym_DOLLAR,
    ACTIONS(10587), 1,
      anon_sym_LBRACK,
    ACTIONS(10589), 1,
      anon_sym_DOT_DOT,
    ACTIONS(10591), 1,
      sym_tag,
    ACTIONS(10593), 1,
      anon_sym_RPAREN,
    STATE(3279), 1,
      sym_procedure,
    STATE(7882), 2,
      sym_parameter,
      sym_default_parameter,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(6936), 5,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_field_type,
      sym__procedure_type,
  [299706] = 13,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2821), 1,
      anon_sym_CARET,
    ACTIONS(10579), 1,
      sym_identifier,
    ACTIONS(10581), 1,
      anon_sym_using,
    ACTIONS(10585), 1,
      anon_sym_DOLLAR,
    ACTIONS(10587), 1,
      anon_sym_LBRACK,
    ACTIONS(10589), 1,
      anon_sym_DOT_DOT,
    ACTIONS(10591), 1,
      sym_tag,
    ACTIONS(10595), 1,
      anon_sym_RPAREN,
    STATE(3279), 1,
      sym_procedure,
    STATE(7210), 2,
      sym_parameter,
      sym_default_parameter,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(6936), 5,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_field_type,
      sym__procedure_type,
  [299753] = 10,
    ACTIONS(6625), 1,
      anon_sym_LBRACE,
    ACTIONS(6739), 1,
      anon_sym_LPAREN,
    ACTIONS(6848), 1,
      sym_uninitialized,
    ACTIONS(10571), 1,
      anon_sym_where,
    ACTIONS(10597), 1,
      anon_sym_SLASH,
    ACTIONS(10599), 1,
      sym_tag,
    STATE(3156), 1,
      sym_where_clause,
    STATE(3656), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3269), 9,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [299794] = 9,
    ACTIONS(3273), 1,
      anon_sym_SLASH,
    ACTIONS(6625), 1,
      anon_sym_LBRACE,
    ACTIONS(6848), 1,
      sym_uninitialized,
    ACTIONS(10571), 1,
      anon_sym_where,
    ACTIONS(10599), 1,
      sym_tag,
    STATE(3156), 1,
      sym_where_clause,
    STATE(3656), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3269), 10,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [299833] = 10,
    ACTIONS(6625), 1,
      anon_sym_LBRACE,
    ACTIONS(6739), 1,
      anon_sym_LPAREN,
    ACTIONS(6941), 1,
      sym_uninitialized,
    ACTIONS(10571), 1,
      anon_sym_where,
    ACTIONS(10597), 1,
      anon_sym_SLASH,
    ACTIONS(10601), 1,
      sym_tag,
    STATE(3191), 1,
      sym_where_clause,
    STATE(3648), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3857), 9,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [299874] = 9,
    ACTIONS(3859), 1,
      anon_sym_SLASH,
    ACTIONS(6625), 1,
      anon_sym_LBRACE,
    ACTIONS(6941), 1,
      sym_uninitialized,
    ACTIONS(10571), 1,
      anon_sym_where,
    ACTIONS(10601), 1,
      sym_tag,
    STATE(3191), 1,
      sym_where_clause,
    STATE(3648), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3857), 10,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [299913] = 6,
    ACTIONS(3417), 1,
      anon_sym_SLASH,
    ACTIONS(10603), 1,
      anon_sym_COLON,
    ACTIONS(10605), 1,
      anon_sym_DOT2,
    STATE(3272), 1,
      aux_sym_field_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3415), 13,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
      sym_uninitialized,
      sym_tag,
  [299946] = 9,
    ACTIONS(3859), 1,
      anon_sym_SLASH,
    ACTIONS(6625), 1,
      anon_sym_LBRACE,
    ACTIONS(6941), 1,
      sym_uninitialized,
    ACTIONS(6953), 1,
      sym_tag,
    ACTIONS(10571), 1,
      anon_sym_where,
    STATE(3191), 1,
      sym_where_clause,
    STATE(3648), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3857), 10,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [299985] = 6,
    ACTIONS(3417), 1,
      anon_sym_SLASH,
    ACTIONS(10607), 1,
      anon_sym_COLON,
    ACTIONS(10609), 1,
      anon_sym_DOT2,
    STATE(2969), 1,
      aux_sym_field_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3415), 13,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
      sym_uninitialized,
      sym_tag,
  [300018] = 10,
    ACTIONS(6625), 1,
      anon_sym_LBRACE,
    ACTIONS(6739), 1,
      anon_sym_LPAREN,
    ACTIONS(7013), 1,
      sym_uninitialized,
    ACTIONS(10571), 1,
      anon_sym_where,
    ACTIONS(10597), 1,
      anon_sym_SLASH,
    ACTIONS(10611), 1,
      sym_tag,
    STATE(3049), 1,
      sym_where_clause,
    STATE(3643), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3281), 9,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [300059] = 9,
    ACTIONS(3283), 1,
      anon_sym_SLASH,
    ACTIONS(6625), 1,
      anon_sym_LBRACE,
    ACTIONS(7013), 1,
      sym_uninitialized,
    ACTIONS(10571), 1,
      anon_sym_where,
    ACTIONS(10611), 1,
      sym_tag,
    STATE(3049), 1,
      sym_where_clause,
    STATE(3643), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3281), 10,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [300098] = 9,
    ACTIONS(3283), 1,
      anon_sym_SLASH,
    ACTIONS(6625), 1,
      anon_sym_LBRACE,
    ACTIONS(7013), 1,
      sym_uninitialized,
    ACTIONS(7017), 1,
      sym_tag,
    ACTIONS(10571), 1,
      anon_sym_where,
    STATE(3049), 1,
      sym_where_clause,
    STATE(3643), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3281), 10,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [300137] = 9,
    ACTIONS(3293), 1,
      anon_sym_SLASH,
    ACTIONS(6625), 1,
      anon_sym_LBRACE,
    ACTIONS(6880), 1,
      sym_uninitialized,
    ACTIONS(6882), 1,
      sym_tag,
    ACTIONS(10571), 1,
      anon_sym_where,
    STATE(3056), 1,
      sym_where_clause,
    STATE(3702), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3291), 10,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [300176] = 13,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2821), 1,
      anon_sym_CARET,
    ACTIONS(10579), 1,
      sym_identifier,
    ACTIONS(10581), 1,
      anon_sym_using,
    ACTIONS(10585), 1,
      anon_sym_DOLLAR,
    ACTIONS(10587), 1,
      anon_sym_LBRACK,
    ACTIONS(10589), 1,
      anon_sym_DOT_DOT,
    ACTIONS(10591), 1,
      sym_tag,
    ACTIONS(10613), 1,
      anon_sym_RPAREN,
    STATE(3279), 1,
      sym_procedure,
    STATE(7882), 2,
      sym_parameter,
      sym_default_parameter,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(6936), 5,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_field_type,
      sym__procedure_type,
  [300223] = 10,
    ACTIONS(6721), 1,
      anon_sym_LBRACE,
    ACTIONS(6739), 1,
      anon_sym_LPAREN,
    ACTIONS(6743), 1,
      sym_uninitialized,
    ACTIONS(10571), 1,
      anon_sym_where,
    ACTIONS(10597), 1,
      anon_sym_SLASH,
    ACTIONS(10615), 1,
      sym_tag,
    STATE(3014), 1,
      sym_where_clause,
    STATE(3134), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3269), 9,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [300264] = 13,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2821), 1,
      anon_sym_CARET,
    ACTIONS(10579), 1,
      sym_identifier,
    ACTIONS(10581), 1,
      anon_sym_using,
    ACTIONS(10585), 1,
      anon_sym_DOLLAR,
    ACTIONS(10587), 1,
      anon_sym_LBRACK,
    ACTIONS(10589), 1,
      anon_sym_DOT_DOT,
    ACTIONS(10591), 1,
      sym_tag,
    ACTIONS(10617), 1,
      anon_sym_RPAREN,
    STATE(3279), 1,
      sym_procedure,
    STATE(7882), 2,
      sym_parameter,
      sym_default_parameter,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(6936), 5,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_field_type,
      sym__procedure_type,
  [300311] = 10,
    ACTIONS(6721), 1,
      anon_sym_LBRACE,
    ACTIONS(6739), 1,
      anon_sym_LPAREN,
    ACTIONS(6753), 1,
      sym_uninitialized,
    ACTIONS(10571), 1,
      anon_sym_where,
    ACTIONS(10597), 1,
      anon_sym_SLASH,
    ACTIONS(10619), 1,
      sym_tag,
    STATE(3015), 1,
      sym_where_clause,
    STATE(3155), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3857), 9,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [300352] = 9,
    ACTIONS(3859), 1,
      anon_sym_SLASH,
    ACTIONS(6721), 1,
      anon_sym_LBRACE,
    ACTIONS(6753), 1,
      sym_uninitialized,
    ACTIONS(10571), 1,
      anon_sym_where,
    ACTIONS(10619), 1,
      sym_tag,
    STATE(3015), 1,
      sym_where_clause,
    STATE(3155), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3857), 10,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [300391] = 9,
    ACTIONS(3859), 1,
      anon_sym_SLASH,
    ACTIONS(6721), 1,
      anon_sym_LBRACE,
    ACTIONS(6753), 1,
      sym_uninitialized,
    ACTIONS(6757), 1,
      sym_tag,
    ACTIONS(10571), 1,
      anon_sym_where,
    STATE(3015), 1,
      sym_where_clause,
    STATE(3155), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3857), 10,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [300430] = 10,
    ACTIONS(6721), 1,
      anon_sym_LBRACE,
    ACTIONS(6739), 1,
      anon_sym_LPAREN,
    ACTIONS(6759), 1,
      sym_uninitialized,
    ACTIONS(10571), 1,
      anon_sym_where,
    ACTIONS(10597), 1,
      anon_sym_SLASH,
    ACTIONS(10621), 1,
      sym_tag,
    STATE(3018), 1,
      sym_where_clause,
    STATE(3052), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3281), 9,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [300471] = 9,
    ACTIONS(3283), 1,
      anon_sym_SLASH,
    ACTIONS(6721), 1,
      anon_sym_LBRACE,
    ACTIONS(6759), 1,
      sym_uninitialized,
    ACTIONS(10571), 1,
      anon_sym_where,
    ACTIONS(10621), 1,
      sym_tag,
    STATE(3018), 1,
      sym_where_clause,
    STATE(3052), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3281), 10,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [300510] = 9,
    ACTIONS(3283), 1,
      anon_sym_SLASH,
    ACTIONS(6721), 1,
      anon_sym_LBRACE,
    ACTIONS(6759), 1,
      sym_uninitialized,
    ACTIONS(6763), 1,
      sym_tag,
    ACTIONS(10571), 1,
      anon_sym_where,
    STATE(3018), 1,
      sym_where_clause,
    STATE(3052), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3281), 10,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [300549] = 9,
    ACTIONS(3293), 1,
      anon_sym_SLASH,
    ACTIONS(6721), 1,
      anon_sym_LBRACE,
    ACTIONS(6765), 1,
      sym_uninitialized,
    ACTIONS(6767), 1,
      sym_tag,
    ACTIONS(10571), 1,
      anon_sym_where,
    STATE(3021), 1,
      sym_where_clause,
    STATE(3089), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3291), 10,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [300588] = 13,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2821), 1,
      anon_sym_CARET,
    ACTIONS(10579), 1,
      sym_identifier,
    ACTIONS(10581), 1,
      anon_sym_using,
    ACTIONS(10585), 1,
      anon_sym_DOLLAR,
    ACTIONS(10587), 1,
      anon_sym_LBRACK,
    ACTIONS(10589), 1,
      anon_sym_DOT_DOT,
    ACTIONS(10591), 1,
      sym_tag,
    ACTIONS(10623), 1,
      anon_sym_RPAREN,
    STATE(3279), 1,
      sym_procedure,
    STATE(7215), 2,
      sym_parameter,
      sym_default_parameter,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(6936), 5,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_field_type,
      sym__procedure_type,
  [300635] = 5,
    ACTIONS(6709), 1,
      anon_sym_COMMA,
    STATE(6089), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(9554), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(10625), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_AMP_TILDE_EQ,
  [300666] = 13,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2821), 1,
      anon_sym_CARET,
    ACTIONS(10579), 1,
      sym_identifier,
    ACTIONS(10581), 1,
      anon_sym_using,
    ACTIONS(10585), 1,
      anon_sym_DOLLAR,
    ACTIONS(10587), 1,
      anon_sym_LBRACK,
    ACTIONS(10589), 1,
      anon_sym_DOT_DOT,
    ACTIONS(10591), 1,
      sym_tag,
    ACTIONS(10627), 1,
      anon_sym_RPAREN,
    STATE(3279), 1,
      sym_procedure,
    STATE(7882), 2,
      sym_parameter,
      sym_default_parameter,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(6936), 5,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_field_type,
      sym__procedure_type,
  [300713] = 13,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2821), 1,
      anon_sym_CARET,
    ACTIONS(10579), 1,
      sym_identifier,
    ACTIONS(10581), 1,
      anon_sym_using,
    ACTIONS(10585), 1,
      anon_sym_DOLLAR,
    ACTIONS(10587), 1,
      anon_sym_LBRACK,
    ACTIONS(10589), 1,
      anon_sym_DOT_DOT,
    ACTIONS(10591), 1,
      sym_tag,
    ACTIONS(10629), 1,
      anon_sym_RPAREN,
    STATE(3279), 1,
      sym_procedure,
    STATE(7746), 2,
      sym_parameter,
      sym_default_parameter,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(6936), 5,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_field_type,
      sym__procedure_type,
  [300760] = 13,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2821), 1,
      anon_sym_CARET,
    ACTIONS(10579), 1,
      sym_identifier,
    ACTIONS(10581), 1,
      anon_sym_using,
    ACTIONS(10585), 1,
      anon_sym_DOLLAR,
    ACTIONS(10587), 1,
      anon_sym_LBRACK,
    ACTIONS(10589), 1,
      anon_sym_DOT_DOT,
    ACTIONS(10591), 1,
      sym_tag,
    ACTIONS(10631), 1,
      anon_sym_RPAREN,
    STATE(3279), 1,
      sym_procedure,
    STATE(7537), 2,
      sym_parameter,
      sym_default_parameter,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(6936), 5,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_field_type,
      sym__procedure_type,
  [300807] = 13,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2821), 1,
      anon_sym_CARET,
    ACTIONS(10579), 1,
      sym_identifier,
    ACTIONS(10581), 1,
      anon_sym_using,
    ACTIONS(10585), 1,
      anon_sym_DOLLAR,
    ACTIONS(10587), 1,
      anon_sym_LBRACK,
    ACTIONS(10589), 1,
      anon_sym_DOT_DOT,
    ACTIONS(10591), 1,
      sym_tag,
    ACTIONS(10633), 1,
      anon_sym_RPAREN,
    STATE(3279), 1,
      sym_procedure,
    STATE(7882), 2,
      sym_parameter,
      sym_default_parameter,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(6936), 5,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_field_type,
      sym__procedure_type,
  [300854] = 13,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2821), 1,
      anon_sym_CARET,
    ACTIONS(10579), 1,
      sym_identifier,
    ACTIONS(10581), 1,
      anon_sym_using,
    ACTIONS(10585), 1,
      anon_sym_DOLLAR,
    ACTIONS(10587), 1,
      anon_sym_LBRACK,
    ACTIONS(10589), 1,
      anon_sym_DOT_DOT,
    ACTIONS(10591), 1,
      sym_tag,
    ACTIONS(10635), 1,
      anon_sym_RPAREN,
    STATE(3279), 1,
      sym_procedure,
    STATE(7882), 2,
      sym_parameter,
      sym_default_parameter,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(6936), 5,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_field_type,
      sym__procedure_type,
  [300901] = 13,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2821), 1,
      anon_sym_CARET,
    ACTIONS(10579), 1,
      sym_identifier,
    ACTIONS(10581), 1,
      anon_sym_using,
    ACTIONS(10585), 1,
      anon_sym_DOLLAR,
    ACTIONS(10587), 1,
      anon_sym_LBRACK,
    ACTIONS(10589), 1,
      anon_sym_DOT_DOT,
    ACTIONS(10591), 1,
      sym_tag,
    ACTIONS(10637), 1,
      anon_sym_RPAREN,
    STATE(3279), 1,
      sym_procedure,
    STATE(7882), 2,
      sym_parameter,
      sym_default_parameter,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(6936), 5,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_field_type,
      sym__procedure_type,
  [300948] = 13,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2821), 1,
      anon_sym_CARET,
    ACTIONS(10579), 1,
      sym_identifier,
    ACTIONS(10581), 1,
      anon_sym_using,
    ACTIONS(10585), 1,
      anon_sym_DOLLAR,
    ACTIONS(10587), 1,
      anon_sym_LBRACK,
    ACTIONS(10589), 1,
      anon_sym_DOT_DOT,
    ACTIONS(10591), 1,
      sym_tag,
    ACTIONS(10639), 1,
      anon_sym_RPAREN,
    STATE(3279), 1,
      sym_procedure,
    STATE(7882), 2,
      sym_parameter,
      sym_default_parameter,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(6936), 5,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_field_type,
      sym__procedure_type,
  [300995] = 13,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2821), 1,
      anon_sym_CARET,
    ACTIONS(10579), 1,
      sym_identifier,
    ACTIONS(10581), 1,
      anon_sym_using,
    ACTIONS(10585), 1,
      anon_sym_DOLLAR,
    ACTIONS(10587), 1,
      anon_sym_LBRACK,
    ACTIONS(10589), 1,
      anon_sym_DOT_DOT,
    ACTIONS(10591), 1,
      sym_tag,
    ACTIONS(10641), 1,
      anon_sym_RPAREN,
    STATE(3279), 1,
      sym_procedure,
    STATE(7882), 2,
      sym_parameter,
      sym_default_parameter,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(6936), 5,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_field_type,
      sym__procedure_type,
  [301042] = 13,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2821), 1,
      anon_sym_CARET,
    ACTIONS(10579), 1,
      sym_identifier,
    ACTIONS(10581), 1,
      anon_sym_using,
    ACTIONS(10585), 1,
      anon_sym_DOLLAR,
    ACTIONS(10587), 1,
      anon_sym_LBRACK,
    ACTIONS(10589), 1,
      anon_sym_DOT_DOT,
    ACTIONS(10591), 1,
      sym_tag,
    ACTIONS(10643), 1,
      anon_sym_RPAREN,
    STATE(3279), 1,
      sym_procedure,
    STATE(7076), 2,
      sym_parameter,
      sym_default_parameter,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(6936), 5,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_field_type,
      sym__procedure_type,
  [301089] = 10,
    ACTIONS(3935), 1,
      anon_sym_SLASH,
    ACTIONS(7113), 1,
      anon_sym_LBRACE,
    ACTIONS(7119), 1,
      sym_uninitialized,
    ACTIONS(7121), 1,
      sym_tag,
    ACTIONS(10645), 1,
      anon_sym_DASH_GT,
    ACTIONS(10647), 1,
      anon_sym_where,
    STATE(3328), 1,
      sym_where_clause,
    STATE(3601), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3931), 9,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [301130] = 10,
    ACTIONS(3303), 1,
      anon_sym_SLASH,
    ACTIONS(7113), 1,
      anon_sym_LBRACE,
    ACTIONS(7127), 1,
      sym_uninitialized,
    ACTIONS(7129), 1,
      sym_tag,
    ACTIONS(10647), 1,
      anon_sym_where,
    ACTIONS(10649), 1,
      anon_sym_DASH_GT,
    STATE(3330), 1,
      sym_where_clause,
    STATE(3454), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3299), 9,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [301171] = 9,
    ACTIONS(3273), 1,
      anon_sym_SLASH,
    ACTIONS(6721), 1,
      anon_sym_LBRACE,
    ACTIONS(6743), 1,
      sym_uninitialized,
    ACTIONS(10571), 1,
      anon_sym_where,
    ACTIONS(10615), 1,
      sym_tag,
    STATE(3014), 1,
      sym_where_clause,
    STATE(3134), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3269), 10,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [301210] = 10,
    ACTIONS(3935), 1,
      anon_sym_SLASH,
    ACTIONS(6566), 1,
      anon_sym_LBRACE,
    ACTIONS(6771), 1,
      sym_uninitialized,
    ACTIONS(6773), 1,
      sym_tag,
    ACTIONS(10651), 1,
      anon_sym_DASH_GT,
    ACTIONS(10653), 1,
      anon_sym_where,
    STATE(2651), 1,
      sym_where_clause,
    STATE(2792), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3931), 8,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACK,
  [301250] = 10,
    ACTIONS(3935), 1,
      anon_sym_SLASH,
    ACTIONS(6893), 1,
      anon_sym_LBRACE,
    ACTIONS(6897), 1,
      sym_uninitialized,
    ACTIONS(6899), 1,
      sym_tag,
    ACTIONS(10571), 1,
      anon_sym_where,
    ACTIONS(10655), 1,
      anon_sym_DASH_GT,
    STATE(3273), 1,
      sym_where_clause,
    STATE(3704), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3931), 8,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [301290] = 10,
    ACTIONS(3935), 1,
      anon_sym_SLASH,
    ACTIONS(6747), 1,
      anon_sym_LBRACE,
    ACTIONS(6860), 1,
      sym_uninitialized,
    ACTIONS(6862), 1,
      sym_tag,
    ACTIONS(10653), 1,
      anon_sym_where,
    ACTIONS(10657), 1,
      anon_sym_DASH_GT,
    STATE(2952), 1,
      sym_where_clause,
    STATE(3293), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3931), 8,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACK,
  [301330] = 5,
    ACTIONS(4624), 1,
      anon_sym_SLASH,
    ACTIONS(10659), 1,
      anon_sym_COMMA,
    STATE(6136), 1,
      aux_sym_where_clause_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4619), 13,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
      sym_uninitialized,
      sym_tag,
  [301360] = 10,
    ACTIONS(3303), 1,
      anon_sym_SLASH,
    ACTIONS(6893), 1,
      anon_sym_LBRACE,
    ACTIONS(6903), 1,
      sym_uninitialized,
    ACTIONS(6905), 1,
      sym_tag,
    ACTIONS(10571), 1,
      anon_sym_where,
    ACTIONS(10662), 1,
      anon_sym_DASH_GT,
    STATE(3252), 1,
      sym_where_clause,
    STATE(3711), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3299), 8,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [301400] = 9,
    ACTIONS(3293), 1,
      anon_sym_SLASH,
    ACTIONS(7113), 1,
      anon_sym_LBRACE,
    ACTIONS(7161), 1,
      sym_uninitialized,
    ACTIONS(7163), 1,
      sym_tag,
    ACTIONS(10647), 1,
      anon_sym_where,
    STATE(3341), 1,
      sym_where_clause,
    STATE(3425), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3291), 9,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [301438] = 12,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2821), 1,
      anon_sym_CARET,
    ACTIONS(10579), 1,
      sym_identifier,
    ACTIONS(10581), 1,
      anon_sym_using,
    ACTIONS(10585), 1,
      anon_sym_DOLLAR,
    ACTIONS(10587), 1,
      anon_sym_LBRACK,
    ACTIONS(10589), 1,
      anon_sym_DOT_DOT,
    ACTIONS(10591), 1,
      sym_tag,
    STATE(3279), 1,
      sym_procedure,
    STATE(7882), 2,
      sym_parameter,
      sym_default_parameter,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(6936), 5,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_field_type,
      sym__procedure_type,
  [301482] = 5,
    ACTIONS(4406), 1,
      anon_sym_SLASH,
    ACTIONS(7536), 1,
      anon_sym_COMMA,
    STATE(6136), 1,
      aux_sym_where_clause_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4402), 13,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
      sym_uninitialized,
      sym_tag,
  [301512] = 10,
    ACTIONS(3303), 1,
      anon_sym_SLASH,
    ACTIONS(6566), 1,
      anon_sym_LBRACE,
    ACTIONS(6583), 1,
      sym_uninitialized,
    ACTIONS(6599), 1,
      sym_tag,
    ACTIONS(10653), 1,
      anon_sym_where,
    ACTIONS(10664), 1,
      anon_sym_DASH_GT,
    STATE(2657), 1,
      sym_where_clause,
    STATE(2805), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3299), 8,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACK,
  [301552] = 10,
    ACTIONS(7113), 1,
      anon_sym_LBRACE,
    ACTIONS(7131), 1,
      anon_sym_LPAREN,
    ACTIONS(7135), 1,
      sym_uninitialized,
    ACTIONS(10647), 1,
      anon_sym_where,
    ACTIONS(10666), 1,
      anon_sym_SLASH,
    ACTIONS(10668), 1,
      sym_tag,
    STATE(3332), 1,
      sym_where_clause,
    STATE(3515), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3269), 8,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [301592] = 9,
    ACTIONS(3273), 1,
      anon_sym_SLASH,
    ACTIONS(7113), 1,
      anon_sym_LBRACE,
    ACTIONS(7135), 1,
      sym_uninitialized,
    ACTIONS(10647), 1,
      anon_sym_where,
    ACTIONS(10668), 1,
      sym_tag,
    STATE(3332), 1,
      sym_where_clause,
    STATE(3515), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3269), 9,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [301630] = 10,
    ACTIONS(7113), 1,
      anon_sym_LBRACE,
    ACTIONS(7131), 1,
      anon_sym_LPAREN,
    ACTIONS(7139), 1,
      sym_uninitialized,
    ACTIONS(10647), 1,
      anon_sym_where,
    ACTIONS(10666), 1,
      anon_sym_SLASH,
    ACTIONS(10670), 1,
      sym_tag,
    STATE(3333), 1,
      sym_where_clause,
    STATE(3574), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3857), 8,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [301670] = 9,
    ACTIONS(3859), 1,
      anon_sym_SLASH,
    ACTIONS(7113), 1,
      anon_sym_LBRACE,
    ACTIONS(7139), 1,
      sym_uninitialized,
    ACTIONS(10647), 1,
      anon_sym_where,
    ACTIONS(10670), 1,
      sym_tag,
    STATE(3333), 1,
      sym_where_clause,
    STATE(3574), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3857), 9,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [301708] = 9,
    ACTIONS(3859), 1,
      anon_sym_SLASH,
    ACTIONS(7113), 1,
      anon_sym_LBRACE,
    ACTIONS(7139), 1,
      sym_uninitialized,
    ACTIONS(7146), 1,
      sym_tag,
    ACTIONS(10647), 1,
      anon_sym_where,
    STATE(3333), 1,
      sym_where_clause,
    STATE(3574), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3857), 9,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [301746] = 10,
    ACTIONS(7113), 1,
      anon_sym_LBRACE,
    ACTIONS(7131), 1,
      anon_sym_LPAREN,
    ACTIONS(7153), 1,
      sym_uninitialized,
    ACTIONS(10647), 1,
      anon_sym_where,
    ACTIONS(10666), 1,
      anon_sym_SLASH,
    ACTIONS(10672), 1,
      sym_tag,
    STATE(3336), 1,
      sym_where_clause,
    STATE(3419), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3281), 8,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [301786] = 10,
    ACTIONS(3303), 1,
      anon_sym_SLASH,
    ACTIONS(6747), 1,
      anon_sym_LBRACE,
    ACTIONS(6803), 1,
      sym_uninitialized,
    ACTIONS(6805), 1,
      sym_tag,
    ACTIONS(10653), 1,
      anon_sym_where,
    ACTIONS(10674), 1,
      anon_sym_DASH_GT,
    STATE(2944), 1,
      sym_where_clause,
    STATE(3359), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3299), 8,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACK,
  [301826] = 9,
    ACTIONS(3283), 1,
      anon_sym_SLASH,
    ACTIONS(7113), 1,
      anon_sym_LBRACE,
    ACTIONS(7153), 1,
      sym_uninitialized,
    ACTIONS(10647), 1,
      anon_sym_where,
    ACTIONS(10672), 1,
      sym_tag,
    STATE(3336), 1,
      sym_where_clause,
    STATE(3419), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3281), 9,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [301864] = 9,
    ACTIONS(3283), 1,
      anon_sym_SLASH,
    ACTIONS(7113), 1,
      anon_sym_LBRACE,
    ACTIONS(7153), 1,
      sym_uninitialized,
    ACTIONS(7159), 1,
      sym_tag,
    ACTIONS(10647), 1,
      anon_sym_where,
    STATE(3336), 1,
      sym_where_clause,
    STATE(3419), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3281), 9,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [301902] = 9,
    ACTIONS(3283), 1,
      anon_sym_SLASH,
    ACTIONS(6893), 1,
      anon_sym_LBRACE,
    ACTIONS(6927), 1,
      sym_uninitialized,
    ACTIONS(10571), 1,
      anon_sym_where,
    ACTIONS(10676), 1,
      sym_tag,
    STATE(3262), 1,
      sym_where_clause,
    STATE(3623), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3281), 8,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [301939] = 9,
    ACTIONS(3273), 1,
      anon_sym_SLASH,
    ACTIONS(6893), 1,
      anon_sym_LBRACE,
    ACTIONS(6907), 1,
      sym_uninitialized,
    ACTIONS(10571), 1,
      anon_sym_where,
    ACTIONS(10678), 1,
      sym_tag,
    STATE(3250), 1,
      sym_where_clause,
    STATE(3721), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3269), 8,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [301976] = 10,
    ACTIONS(6739), 1,
      anon_sym_LPAREN,
    ACTIONS(6893), 1,
      anon_sym_LBRACE,
    ACTIONS(6911), 1,
      sym_uninitialized,
    ACTIONS(10571), 1,
      anon_sym_where,
    ACTIONS(10597), 1,
      anon_sym_SLASH,
    ACTIONS(10680), 1,
      sym_tag,
    STATE(3259), 1,
      sym_where_clause,
    STATE(3730), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3857), 7,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [302015] = 9,
    ACTIONS(3859), 1,
      anon_sym_SLASH,
    ACTIONS(6893), 1,
      anon_sym_LBRACE,
    ACTIONS(6911), 1,
      sym_uninitialized,
    ACTIONS(10571), 1,
      anon_sym_where,
    ACTIONS(10680), 1,
      sym_tag,
    STATE(3259), 1,
      sym_where_clause,
    STATE(3730), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3857), 8,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [302052] = 10,
    ACTIONS(7131), 1,
      anon_sym_LPAREN,
    ACTIONS(7223), 1,
      anon_sym_LBRACE,
    ACTIONS(7237), 1,
      sym_uninitialized,
    ACTIONS(10647), 1,
      anon_sym_where,
    ACTIONS(10666), 1,
      anon_sym_SLASH,
    ACTIONS(10682), 1,
      sym_tag,
    STATE(3668), 1,
      sym_where_clause,
    STATE(4227), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3269), 7,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [302091] = 5,
    ACTIONS(4406), 1,
      anon_sym_SLASH,
    ACTIONS(7723), 1,
      anon_sym_COMMA,
    STATE(6169), 1,
      aux_sym_where_clause_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4402), 12,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
      sym_uninitialized,
      sym_tag,
  [302120] = 9,
    ACTIONS(3859), 1,
      anon_sym_SLASH,
    ACTIONS(6893), 1,
      anon_sym_LBRACE,
    ACTIONS(6911), 1,
      sym_uninitialized,
    ACTIONS(6925), 1,
      sym_tag,
    ACTIONS(10571), 1,
      anon_sym_where,
    STATE(3259), 1,
      sym_where_clause,
    STATE(3730), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3857), 8,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [302157] = 10,
    ACTIONS(6703), 1,
      anon_sym_LPAREN,
    ACTIONS(6747), 1,
      anon_sym_LBRACE,
    ACTIONS(6828), 1,
      sym_uninitialized,
    ACTIONS(10653), 1,
      anon_sym_where,
    ACTIONS(10684), 1,
      anon_sym_SLASH,
    ACTIONS(10686), 1,
      sym_tag,
    STATE(2968), 1,
      sym_where_clause,
    STATE(3317), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3281), 7,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACK,
  [302196] = 9,
    ACTIONS(3283), 1,
      anon_sym_SLASH,
    ACTIONS(6747), 1,
      anon_sym_LBRACE,
    ACTIONS(6828), 1,
      sym_uninitialized,
    ACTIONS(10653), 1,
      anon_sym_where,
    ACTIONS(10686), 1,
      sym_tag,
    STATE(2968), 1,
      sym_where_clause,
    STATE(3317), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3281), 8,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACK,
  [302233] = 9,
    ACTIONS(3283), 1,
      anon_sym_SLASH,
    ACTIONS(6747), 1,
      anon_sym_LBRACE,
    ACTIONS(6828), 1,
      sym_uninitialized,
    ACTIONS(6830), 1,
      sym_tag,
    ACTIONS(10653), 1,
      anon_sym_where,
    STATE(2968), 1,
      sym_where_clause,
    STATE(3317), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3281), 8,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACK,
  [302270] = 4,
    ACTIONS(6739), 1,
      anon_sym_LPAREN,
    ACTIONS(10597), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4696), 13,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
      sym_uninitialized,
      sym_tag,
  [302297] = 4,
    ACTIONS(6739), 1,
      anon_sym_LPAREN,
    ACTIONS(10597), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4710), 13,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
      sym_uninitialized,
      sym_tag,
  [302324] = 4,
    ACTIONS(6739), 1,
      anon_sym_LPAREN,
    ACTIONS(10597), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4748), 13,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
      sym_uninitialized,
      sym_tag,
  [302351] = 4,
    ACTIONS(6739), 1,
      anon_sym_LPAREN,
    ACTIONS(10597), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4688), 13,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
      sym_uninitialized,
      sym_tag,
  [302378] = 4,
    ACTIONS(6739), 1,
      anon_sym_LPAREN,
    ACTIONS(10597), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4700), 13,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
      sym_uninitialized,
      sym_tag,
  [302405] = 10,
    ACTIONS(6739), 1,
      anon_sym_LPAREN,
    ACTIONS(6893), 1,
      anon_sym_LBRACE,
    ACTIONS(6927), 1,
      sym_uninitialized,
    ACTIONS(10571), 1,
      anon_sym_where,
    ACTIONS(10597), 1,
      anon_sym_SLASH,
    ACTIONS(10676), 1,
      sym_tag,
    STATE(3262), 1,
      sym_where_clause,
    STATE(3623), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3281), 7,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [302444] = 10,
    ACTIONS(6739), 1,
      anon_sym_LPAREN,
    ACTIONS(6893), 1,
      anon_sym_LBRACE,
    ACTIONS(6907), 1,
      sym_uninitialized,
    ACTIONS(10571), 1,
      anon_sym_where,
    ACTIONS(10597), 1,
      anon_sym_SLASH,
    ACTIONS(10678), 1,
      sym_tag,
    STATE(3250), 1,
      sym_where_clause,
    STATE(3721), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3269), 7,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [302483] = 10,
    ACTIONS(6566), 1,
      anon_sym_LBRACE,
    ACTIONS(6605), 1,
      sym_uninitialized,
    ACTIONS(6703), 1,
      anon_sym_LPAREN,
    ACTIONS(10653), 1,
      anon_sym_where,
    ACTIONS(10684), 1,
      anon_sym_SLASH,
    ACTIONS(10688), 1,
      sym_tag,
    STATE(2667), 1,
      sym_where_clause,
    STATE(2821), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3269), 7,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACK,
  [302522] = 5,
    ACTIONS(4624), 1,
      anon_sym_SLASH,
    ACTIONS(10690), 1,
      anon_sym_COMMA,
    STATE(6169), 1,
      aux_sym_where_clause_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4619), 12,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
      sym_uninitialized,
      sym_tag,
  [302551] = 9,
    ACTIONS(3273), 1,
      anon_sym_SLASH,
    ACTIONS(6566), 1,
      anon_sym_LBRACE,
    ACTIONS(6605), 1,
      sym_uninitialized,
    ACTIONS(10653), 1,
      anon_sym_where,
    ACTIONS(10688), 1,
      sym_tag,
    STATE(2667), 1,
      sym_where_clause,
    STATE(2821), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3269), 8,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACK,
  [302588] = 9,
    ACTIONS(3283), 1,
      anon_sym_SLASH,
    ACTIONS(6893), 1,
      anon_sym_LBRACE,
    ACTIONS(6927), 1,
      sym_uninitialized,
    ACTIONS(6931), 1,
      sym_tag,
    ACTIONS(10571), 1,
      anon_sym_where,
    STATE(3262), 1,
      sym_where_clause,
    STATE(3623), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3281), 8,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [302625] = 9,
    ACTIONS(3293), 1,
      anon_sym_SLASH,
    ACTIONS(6893), 1,
      anon_sym_LBRACE,
    ACTIONS(6933), 1,
      sym_uninitialized,
    ACTIONS(6935), 1,
      sym_tag,
    ACTIONS(10571), 1,
      anon_sym_where,
    STATE(3263), 1,
      sym_where_clause,
    STATE(3663), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3291), 8,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [302662] = 10,
    ACTIONS(6703), 1,
      anon_sym_LPAREN,
    ACTIONS(6747), 1,
      anon_sym_LBRACE,
    ACTIONS(6749), 1,
      sym_uninitialized,
    ACTIONS(10653), 1,
      anon_sym_where,
    ACTIONS(10684), 1,
      anon_sym_SLASH,
    ACTIONS(10693), 1,
      sym_tag,
    STATE(2965), 1,
      sym_where_clause,
    STATE(3334), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3857), 7,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACK,
  [302701] = 9,
    ACTIONS(3859), 1,
      anon_sym_SLASH,
    ACTIONS(6747), 1,
      anon_sym_LBRACE,
    ACTIONS(6749), 1,
      sym_uninitialized,
    ACTIONS(10653), 1,
      anon_sym_where,
    ACTIONS(10693), 1,
      sym_tag,
    STATE(2965), 1,
      sym_where_clause,
    STATE(3334), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3857), 8,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACK,
  [302738] = 9,
    ACTIONS(3859), 1,
      anon_sym_SLASH,
    ACTIONS(6747), 1,
      anon_sym_LBRACE,
    ACTIONS(6749), 1,
      sym_uninitialized,
    ACTIONS(6751), 1,
      sym_tag,
    ACTIONS(10653), 1,
      anon_sym_where,
    STATE(2965), 1,
      sym_where_clause,
    STATE(3334), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3857), 8,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACK,
  [302775] = 6,
    ACTIONS(3417), 1,
      anon_sym_SLASH,
    ACTIONS(10695), 1,
      anon_sym_COLON,
    ACTIONS(10697), 1,
      anon_sym_DOT2,
    STATE(2570), 1,
      aux_sym_field_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3415), 11,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACK,
      sym_uninitialized,
      sym_tag,
  [302806] = 9,
    ACTIONS(3273), 1,
      anon_sym_SLASH,
    ACTIONS(6747), 1,
      anon_sym_LBRACE,
    ACTIONS(6789), 1,
      sym_uninitialized,
    ACTIONS(10653), 1,
      anon_sym_where,
    ACTIONS(10699), 1,
      sym_tag,
    STATE(2931), 1,
      sym_where_clause,
    STATE(3277), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3269), 8,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACK,
  [302843] = 10,
    ACTIONS(6566), 1,
      anon_sym_LBRACE,
    ACTIONS(6597), 1,
      sym_uninitialized,
    ACTIONS(6703), 1,
      anon_sym_LPAREN,
    ACTIONS(10653), 1,
      anon_sym_where,
    ACTIONS(10684), 1,
      anon_sym_SLASH,
    ACTIONS(10701), 1,
      sym_tag,
    STATE(2618), 1,
      sym_where_clause,
    STATE(2836), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3857), 7,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACK,
  [302882] = 9,
    ACTIONS(3859), 1,
      anon_sym_SLASH,
    ACTIONS(6566), 1,
      anon_sym_LBRACE,
    ACTIONS(6597), 1,
      sym_uninitialized,
    ACTIONS(10653), 1,
      anon_sym_where,
    ACTIONS(10701), 1,
      sym_tag,
    STATE(2618), 1,
      sym_where_clause,
    STATE(2836), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3857), 8,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACK,
  [302919] = 9,
    ACTIONS(3859), 1,
      anon_sym_SLASH,
    ACTIONS(6566), 1,
      anon_sym_LBRACE,
    ACTIONS(6597), 1,
      sym_uninitialized,
    ACTIONS(6611), 1,
      sym_tag,
    ACTIONS(10653), 1,
      anon_sym_where,
    STATE(2618), 1,
      sym_where_clause,
    STATE(2836), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3857), 8,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACK,
  [302956] = 9,
    ACTIONS(3293), 1,
      anon_sym_SLASH,
    ACTIONS(6747), 1,
      anon_sym_LBRACE,
    ACTIONS(6838), 1,
      sym_uninitialized,
    ACTIONS(6840), 1,
      sym_tag,
    ACTIONS(10653), 1,
      anon_sym_where,
    STATE(2943), 1,
      sym_where_clause,
    STATE(3349), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3291), 8,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACK,
  [302993] = 5,
    ACTIONS(6739), 1,
      anon_sym_LPAREN,
    ACTIONS(10597), 1,
      anon_sym_SLASH,
    ACTIONS(10703), 1,
      anon_sym_EQ,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4930), 12,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
      sym_uninitialized,
      sym_tag,
  [303022] = 10,
    ACTIONS(6566), 1,
      anon_sym_LBRACE,
    ACTIONS(6568), 1,
      sym_uninitialized,
    ACTIONS(6703), 1,
      anon_sym_LPAREN,
    ACTIONS(10653), 1,
      anon_sym_where,
    ACTIONS(10684), 1,
      anon_sym_SLASH,
    ACTIONS(10705), 1,
      sym_tag,
    STATE(2620), 1,
      sym_where_clause,
    STATE(2849), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3281), 7,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACK,
  [303061] = 9,
    ACTIONS(3283), 1,
      anon_sym_SLASH,
    ACTIONS(6566), 1,
      anon_sym_LBRACE,
    ACTIONS(6568), 1,
      sym_uninitialized,
    ACTIONS(10653), 1,
      anon_sym_where,
    ACTIONS(10705), 1,
      sym_tag,
    STATE(2620), 1,
      sym_where_clause,
    STATE(2849), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3281), 8,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACK,
  [303098] = 9,
    ACTIONS(3283), 1,
      anon_sym_SLASH,
    ACTIONS(6566), 1,
      anon_sym_LBRACE,
    ACTIONS(6568), 1,
      sym_uninitialized,
    ACTIONS(6570), 1,
      sym_tag,
    ACTIONS(10653), 1,
      anon_sym_where,
    STATE(2620), 1,
      sym_where_clause,
    STATE(2849), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3281), 8,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACK,
  [303135] = 9,
    ACTIONS(3293), 1,
      anon_sym_SLASH,
    ACTIONS(6566), 1,
      anon_sym_LBRACE,
    ACTIONS(6572), 1,
      sym_uninitialized,
    ACTIONS(6574), 1,
      sym_tag,
    ACTIONS(10653), 1,
      anon_sym_where,
    STATE(2625), 1,
      sym_where_clause,
    STATE(2857), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3291), 8,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACK,
  [303172] = 10,
    ACTIONS(7131), 1,
      anon_sym_LPAREN,
    ACTIONS(7223), 1,
      anon_sym_LBRACE,
    ACTIONS(7241), 1,
      sym_uninitialized,
    ACTIONS(10647), 1,
      anon_sym_where,
    ACTIONS(10666), 1,
      anon_sym_SLASH,
    ACTIONS(10707), 1,
      sym_tag,
    STATE(3683), 1,
      sym_where_clause,
    STATE(4252), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3857), 7,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [303211] = 10,
    ACTIONS(6703), 1,
      anon_sym_LPAREN,
    ACTIONS(6747), 1,
      anon_sym_LBRACE,
    ACTIONS(6789), 1,
      sym_uninitialized,
    ACTIONS(10653), 1,
      anon_sym_where,
    ACTIONS(10684), 1,
      anon_sym_SLASH,
    ACTIONS(10699), 1,
      sym_tag,
    STATE(2931), 1,
      sym_where_clause,
    STATE(3277), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3269), 7,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACK,
  [303250] = 10,
    ACTIONS(7131), 1,
      anon_sym_LPAREN,
    ACTIONS(7223), 1,
      anon_sym_LBRACE,
    ACTIONS(7247), 1,
      sym_uninitialized,
    ACTIONS(10647), 1,
      anon_sym_where,
    ACTIONS(10666), 1,
      anon_sym_SLASH,
    ACTIONS(10709), 1,
      sym_tag,
    STATE(3688), 1,
      sym_where_clause,
    STATE(4263), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3281), 7,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [303289] = 9,
    ACTIONS(7223), 1,
      anon_sym_LBRACE,
    ACTIONS(7227), 1,
      sym_uninitialized,
    ACTIONS(7229), 1,
      sym_tag,
    ACTIONS(10647), 1,
      anon_sym_where,
    ACTIONS(10711), 1,
      anon_sym_DASH_GT,
    STATE(3605), 1,
      sym_where_clause,
    STATE(4176), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3931), 7,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [303325] = 5,
    ACTIONS(4624), 1,
      anon_sym_SLASH,
    ACTIONS(10713), 1,
      anon_sym_COMMA,
    STATE(6191), 1,
      aux_sym_where_clause_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4619), 11,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACK,
      sym_uninitialized,
      sym_tag,
  [303353] = 9,
    ACTIONS(7223), 1,
      anon_sym_LBRACE,
    ACTIONS(7233), 1,
      sym_uninitialized,
    ACTIONS(7235), 1,
      sym_tag,
    ACTIONS(10647), 1,
      anon_sym_where,
    ACTIONS(10716), 1,
      anon_sym_DASH_GT,
    STATE(3630), 1,
      sym_where_clause,
    STATE(4187), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3299), 7,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [303389] = 10,
    ACTIONS(3935), 1,
      anon_sym_SLASH,
    ACTIONS(6566), 1,
      anon_sym_LBRACE,
    ACTIONS(6771), 1,
      sym_uninitialized,
    ACTIONS(6773), 1,
      sym_tag,
    ACTIONS(10718), 1,
      anon_sym_DASH_GT,
    ACTIONS(10720), 1,
      anon_sym_where,
    STATE(2651), 1,
      sym_where_clause,
    STATE(2792), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3931), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [303427] = 10,
    ACTIONS(3303), 1,
      anon_sym_SLASH,
    ACTIONS(6566), 1,
      anon_sym_LBRACE,
    ACTIONS(6583), 1,
      sym_uninitialized,
    ACTIONS(6599), 1,
      sym_tag,
    ACTIONS(10720), 1,
      anon_sym_where,
    ACTIONS(10722), 1,
      anon_sym_DASH_GT,
    STATE(2657), 1,
      sym_where_clause,
    STATE(2805), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3299), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [303465] = 4,
    ACTIONS(7131), 1,
      anon_sym_LPAREN,
    ACTIONS(10666), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4688), 12,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
      sym_uninitialized,
      sym_tag,
  [303491] = 4,
    ACTIONS(7131), 1,
      anon_sym_LPAREN,
    ACTIONS(10666), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4696), 12,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
      sym_uninitialized,
      sym_tag,
  [303517] = 4,
    ACTIONS(7131), 1,
      anon_sym_LPAREN,
    ACTIONS(10666), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4700), 12,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
      sym_uninitialized,
      sym_tag,
  [303543] = 5,
    ACTIONS(4406), 1,
      anon_sym_SLASH,
    ACTIONS(7814), 1,
      anon_sym_COMMA,
    STATE(6191), 1,
      aux_sym_where_clause_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4402), 11,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACK,
      sym_uninitialized,
      sym_tag,
  [303571] = 4,
    ACTIONS(7131), 1,
      anon_sym_LPAREN,
    ACTIONS(10666), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4710), 12,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
      sym_uninitialized,
      sym_tag,
  [303597] = 4,
    ACTIONS(7131), 1,
      anon_sym_LPAREN,
    ACTIONS(10666), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4748), 12,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
      sym_uninitialized,
      sym_tag,
  [303623] = 6,
    ACTIONS(10724), 1,
      anon_sym_LBRACE,
    ACTIONS(10728), 1,
      anon_sym_LPAREN,
    STATE(6092), 1,
      sym_parameters,
    STATE(7904), 1,
      sym_calling_convention,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(10726), 10,
      anon_sym_DQUOTEodin_DQUOTE,
      anon_sym_DQUOTEcontextless_DQUOTE,
      anon_sym_DQUOTEstdcall_DQUOTE,
      anon_sym_DQUOTEstd_DQUOTE,
      anon_sym_DQUOTEcdecl_DQUOTE,
      anon_sym_DQUOTEc_DQUOTE,
      anon_sym_DQUOTEfastcall_DQUOTE,
      anon_sym_DQUOTEfast_DQUOTE,
      anon_sym_DQUOTEnone_DQUOTE,
      anon_sym_DQUOTEsystem_DQUOTE,
  [303653] = 11,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2821), 1,
      anon_sym_CARET,
    ACTIONS(10589), 1,
      anon_sym_DOT_DOT,
    ACTIONS(10730), 1,
      sym_identifier,
    ACTIONS(10732), 1,
      anon_sym_using,
    ACTIONS(10734), 1,
      anon_sym_DOLLAR,
    ACTIONS(10736), 1,
      anon_sym_LBRACK,
    ACTIONS(10738), 1,
      sym_tag,
    STATE(3279), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(6953), 5,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_field_type,
      sym__procedure_type,
  [303693] = 5,
    ACTIONS(7131), 1,
      anon_sym_LPAREN,
    ACTIONS(10666), 1,
      anon_sym_SLASH,
    ACTIONS(10740), 1,
      anon_sym_EQ,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4930), 11,
      sym__newline,
      sym__nl_comma,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
      sym_uninitialized,
      sym_tag,
  [303721] = 6,
    ACTIONS(3417), 1,
      anon_sym_SLASH,
    ACTIONS(10697), 1,
      anon_sym_DOT2,
    ACTIONS(10742), 1,
      anon_sym_COLON,
    STATE(2570), 1,
      aux_sym_field_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3415), 10,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [303751] = 6,
    ACTIONS(10728), 1,
      anon_sym_LPAREN,
    ACTIONS(10744), 1,
      anon_sym_LBRACE,
    STATE(6092), 1,
      sym_parameters,
    STATE(7904), 1,
      sym_calling_convention,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(10726), 10,
      anon_sym_DQUOTEodin_DQUOTE,
      anon_sym_DQUOTEcontextless_DQUOTE,
      anon_sym_DQUOTEstdcall_DQUOTE,
      anon_sym_DQUOTEstd_DQUOTE,
      anon_sym_DQUOTEcdecl_DQUOTE,
      anon_sym_DQUOTEc_DQUOTE,
      anon_sym_DQUOTEfastcall_DQUOTE,
      anon_sym_DQUOTEfast_DQUOTE,
      anon_sym_DQUOTEnone_DQUOTE,
      anon_sym_DQUOTEsystem_DQUOTE,
  [303781] = 6,
    ACTIONS(3417), 1,
      anon_sym_SLASH,
    ACTIONS(10697), 1,
      anon_sym_DOT2,
    ACTIONS(10746), 1,
      anon_sym_COLON,
    STATE(2570), 1,
      aux_sym_field_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3415), 9,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_when,
      sym_uninitialized,
      sym_tag,
  [303810] = 9,
    ACTIONS(3859), 1,
      anon_sym_SLASH,
    ACTIONS(6566), 1,
      anon_sym_LBRACE,
    ACTIONS(6597), 1,
      sym_uninitialized,
    ACTIONS(6611), 1,
      sym_tag,
    ACTIONS(10720), 1,
      anon_sym_where,
    STATE(2618), 1,
      sym_where_clause,
    STATE(2836), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3857), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [303845] = 9,
    ACTIONS(3283), 1,
      anon_sym_SLASH,
    ACTIONS(6566), 1,
      anon_sym_LBRACE,
    ACTIONS(6568), 1,
      sym_uninitialized,
    ACTIONS(10720), 1,
      anon_sym_where,
    ACTIONS(10748), 1,
      sym_tag,
    STATE(2620), 1,
      sym_where_clause,
    STATE(2849), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3281), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [303880] = 9,
    ACTIONS(3283), 1,
      anon_sym_SLASH,
    ACTIONS(6566), 1,
      anon_sym_LBRACE,
    ACTIONS(6568), 1,
      sym_uninitialized,
    ACTIONS(6570), 1,
      sym_tag,
    ACTIONS(10720), 1,
      anon_sym_where,
    STATE(2620), 1,
      sym_where_clause,
    STATE(2849), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3281), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [303915] = 9,
    ACTIONS(3293), 1,
      anon_sym_SLASH,
    ACTIONS(6566), 1,
      anon_sym_LBRACE,
    ACTIONS(6572), 1,
      sym_uninitialized,
    ACTIONS(6574), 1,
      sym_tag,
    ACTIONS(10720), 1,
      anon_sym_where,
    STATE(2625), 1,
      sym_where_clause,
    STATE(2857), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3291), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [303950] = 5,
    ACTIONS(10750), 1,
      anon_sym_LPAREN,
    STATE(6253), 1,
      sym_parameters,
    STATE(7913), 1,
      sym_calling_convention,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(10726), 10,
      anon_sym_DQUOTEodin_DQUOTE,
      anon_sym_DQUOTEcontextless_DQUOTE,
      anon_sym_DQUOTEstdcall_DQUOTE,
      anon_sym_DQUOTEstd_DQUOTE,
      anon_sym_DQUOTEcdecl_DQUOTE,
      anon_sym_DQUOTEc_DQUOTE,
      anon_sym_DQUOTEfastcall_DQUOTE,
      anon_sym_DQUOTEfast_DQUOTE,
      anon_sym_DQUOTEnone_DQUOTE,
      anon_sym_DQUOTEsystem_DQUOTE,
  [303977] = 5,
    ACTIONS(10750), 1,
      anon_sym_LPAREN,
    STATE(6193), 1,
      sym_parameters,
    STATE(7775), 1,
      sym_calling_convention,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(10726), 10,
      anon_sym_DQUOTEodin_DQUOTE,
      anon_sym_DQUOTEcontextless_DQUOTE,
      anon_sym_DQUOTEstdcall_DQUOTE,
      anon_sym_DQUOTEstd_DQUOTE,
      anon_sym_DQUOTEcdecl_DQUOTE,
      anon_sym_DQUOTEc_DQUOTE,
      anon_sym_DQUOTEfastcall_DQUOTE,
      anon_sym_DQUOTEfast_DQUOTE,
      anon_sym_DQUOTEnone_DQUOTE,
      anon_sym_DQUOTEsystem_DQUOTE,
  [304004] = 5,
    ACTIONS(10750), 1,
      anon_sym_LPAREN,
    STATE(3669), 1,
      sym_parameters,
    STATE(7776), 1,
      sym_calling_convention,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(10726), 10,
      anon_sym_DQUOTEodin_DQUOTE,
      anon_sym_DQUOTEcontextless_DQUOTE,
      anon_sym_DQUOTEstdcall_DQUOTE,
      anon_sym_DQUOTEstd_DQUOTE,
      anon_sym_DQUOTEcdecl_DQUOTE,
      anon_sym_DQUOTEc_DQUOTE,
      anon_sym_DQUOTEfastcall_DQUOTE,
      anon_sym_DQUOTEfast_DQUOTE,
      anon_sym_DQUOTEnone_DQUOTE,
      anon_sym_DQUOTEsystem_DQUOTE,
  [304031] = 10,
    ACTIONS(3935), 1,
      anon_sym_SLASH,
    ACTIONS(6566), 1,
      anon_sym_LBRACE,
    ACTIONS(6771), 1,
      sym_uninitialized,
    ACTIONS(6773), 1,
      sym_tag,
    ACTIONS(10752), 1,
      anon_sym_DASH_GT,
    ACTIONS(10754), 1,
      anon_sym_where,
    STATE(2651), 1,
      sym_where_clause,
    STATE(2792), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3931), 5,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_when,
  [304068] = 5,
    ACTIONS(10750), 1,
      anon_sym_LPAREN,
    STATE(6135), 1,
      sym_parameters,
    STATE(7918), 1,
      sym_calling_convention,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(10726), 10,
      anon_sym_DQUOTEodin_DQUOTE,
      anon_sym_DQUOTEcontextless_DQUOTE,
      anon_sym_DQUOTEstdcall_DQUOTE,
      anon_sym_DQUOTEstd_DQUOTE,
      anon_sym_DQUOTEcdecl_DQUOTE,
      anon_sym_DQUOTEc_DQUOTE,
      anon_sym_DQUOTEfastcall_DQUOTE,
      anon_sym_DQUOTEfast_DQUOTE,
      anon_sym_DQUOTEnone_DQUOTE,
      anon_sym_DQUOTEsystem_DQUOTE,
  [304095] = 4,
    ACTIONS(6703), 1,
      anon_sym_LPAREN,
    ACTIONS(10684), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4700), 11,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACK,
      sym_uninitialized,
      sym_tag,
  [304120] = 10,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2821), 1,
      anon_sym_CARET,
    ACTIONS(10587), 1,
      anon_sym_LBRACK,
    ACTIONS(10589), 1,
      anon_sym_DOT_DOT,
    ACTIONS(10738), 1,
      sym_tag,
    ACTIONS(10756), 1,
      sym_identifier,
    ACTIONS(10758), 1,
      anon_sym_DOLLAR,
    STATE(3279), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(6920), 5,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_field_type,
      sym__procedure_type,
  [304157] = 5,
    ACTIONS(10750), 1,
      anon_sym_LPAREN,
    STATE(6133), 1,
      sym_parameters,
    STATE(7851), 1,
      sym_calling_convention,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(10726), 10,
      anon_sym_DQUOTEodin_DQUOTE,
      anon_sym_DQUOTEcontextless_DQUOTE,
      anon_sym_DQUOTEstdcall_DQUOTE,
      anon_sym_DQUOTEstd_DQUOTE,
      anon_sym_DQUOTEcdecl_DQUOTE,
      anon_sym_DQUOTEc_DQUOTE,
      anon_sym_DQUOTEfastcall_DQUOTE,
      anon_sym_DQUOTEfast_DQUOTE,
      anon_sym_DQUOTEnone_DQUOTE,
      anon_sym_DQUOTEsystem_DQUOTE,
  [304184] = 10,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2821), 1,
      anon_sym_CARET,
    ACTIONS(10587), 1,
      anon_sym_LBRACK,
    ACTIONS(10589), 1,
      anon_sym_DOT_DOT,
    ACTIONS(10738), 1,
      sym_tag,
    ACTIONS(10760), 1,
      sym_identifier,
    ACTIONS(10762), 1,
      anon_sym_DOLLAR,
    STATE(3279), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(7346), 5,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_field_type,
      sym__procedure_type,
  [304221] = 8,
    ACTIONS(7223), 1,
      anon_sym_LBRACE,
    ACTIONS(7237), 1,
      sym_uninitialized,
    ACTIONS(10647), 1,
      anon_sym_where,
    ACTIONS(10682), 1,
      sym_tag,
    STATE(3668), 1,
      sym_where_clause,
    STATE(4227), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3269), 7,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [304254] = 5,
    ACTIONS(10764), 1,
      anon_sym_LPAREN,
    STATE(580), 1,
      sym_parameters,
    STATE(7920), 1,
      sym_calling_convention,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(10726), 10,
      anon_sym_DQUOTEodin_DQUOTE,
      anon_sym_DQUOTEcontextless_DQUOTE,
      anon_sym_DQUOTEstdcall_DQUOTE,
      anon_sym_DQUOTEstd_DQUOTE,
      anon_sym_DQUOTEcdecl_DQUOTE,
      anon_sym_DQUOTEc_DQUOTE,
      anon_sym_DQUOTEfastcall_DQUOTE,
      anon_sym_DQUOTEfast_DQUOTE,
      anon_sym_DQUOTEnone_DQUOTE,
      anon_sym_DQUOTEsystem_DQUOTE,
  [304281] = 5,
    ACTIONS(10750), 1,
      anon_sym_LPAREN,
    STATE(3853), 1,
      sym_parameters,
    STATE(7909), 1,
      sym_calling_convention,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(10726), 10,
      anon_sym_DQUOTEodin_DQUOTE,
      anon_sym_DQUOTEcontextless_DQUOTE,
      anon_sym_DQUOTEstdcall_DQUOTE,
      anon_sym_DQUOTEstd_DQUOTE,
      anon_sym_DQUOTEcdecl_DQUOTE,
      anon_sym_DQUOTEc_DQUOTE,
      anon_sym_DQUOTEfastcall_DQUOTE,
      anon_sym_DQUOTEfast_DQUOTE,
      anon_sym_DQUOTEnone_DQUOTE,
      anon_sym_DQUOTEsystem_DQUOTE,
  [304308] = 5,
    ACTIONS(10750), 1,
      anon_sym_LPAREN,
    STATE(2940), 1,
      sym_parameters,
    STATE(7928), 1,
      sym_calling_convention,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(10726), 10,
      anon_sym_DQUOTEodin_DQUOTE,
      anon_sym_DQUOTEcontextless_DQUOTE,
      anon_sym_DQUOTEstdcall_DQUOTE,
      anon_sym_DQUOTEstd_DQUOTE,
      anon_sym_DQUOTEcdecl_DQUOTE,
      anon_sym_DQUOTEc_DQUOTE,
      anon_sym_DQUOTEfastcall_DQUOTE,
      anon_sym_DQUOTEfast_DQUOTE,
      anon_sym_DQUOTEnone_DQUOTE,
      anon_sym_DQUOTEsystem_DQUOTE,
  [304335] = 5,
    ACTIONS(10750), 1,
      anon_sym_LPAREN,
    STATE(6214), 1,
      sym_parameters,
    STATE(7850), 1,
      sym_calling_convention,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(10726), 10,
      anon_sym_DQUOTEodin_DQUOTE,
      anon_sym_DQUOTEcontextless_DQUOTE,
      anon_sym_DQUOTEstdcall_DQUOTE,
      anon_sym_DQUOTEstd_DQUOTE,
      anon_sym_DQUOTEcdecl_DQUOTE,
      anon_sym_DQUOTEc_DQUOTE,
      anon_sym_DQUOTEfastcall_DQUOTE,
      anon_sym_DQUOTEfast_DQUOTE,
      anon_sym_DQUOTEnone_DQUOTE,
      anon_sym_DQUOTEsystem_DQUOTE,
  [304362] = 8,
    ACTIONS(7223), 1,
      anon_sym_LBRACE,
    ACTIONS(7256), 1,
      sym_uninitialized,
    ACTIONS(7258), 1,
      sym_tag,
    ACTIONS(10647), 1,
      anon_sym_where,
    STATE(3690), 1,
      sym_where_clause,
    STATE(4268), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3291), 7,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [304395] = 5,
    ACTIONS(10766), 1,
      anon_sym_LPAREN,
    STATE(1294), 1,
      sym_parameters,
    STATE(7836), 1,
      sym_calling_convention,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(10726), 10,
      anon_sym_DQUOTEodin_DQUOTE,
      anon_sym_DQUOTEcontextless_DQUOTE,
      anon_sym_DQUOTEstdcall_DQUOTE,
      anon_sym_DQUOTEstd_DQUOTE,
      anon_sym_DQUOTEcdecl_DQUOTE,
      anon_sym_DQUOTEc_DQUOTE,
      anon_sym_DQUOTEfastcall_DQUOTE,
      anon_sym_DQUOTEfast_DQUOTE,
      anon_sym_DQUOTEnone_DQUOTE,
      anon_sym_DQUOTEsystem_DQUOTE,
  [304422] = 5,
    ACTIONS(10750), 1,
      anon_sym_LPAREN,
    STATE(6277), 1,
      sym_parameters,
    STATE(7927), 1,
      sym_calling_convention,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(10726), 10,
      anon_sym_DQUOTEodin_DQUOTE,
      anon_sym_DQUOTEcontextless_DQUOTE,
      anon_sym_DQUOTEstdcall_DQUOTE,
      anon_sym_DQUOTEstd_DQUOTE,
      anon_sym_DQUOTEcdecl_DQUOTE,
      anon_sym_DQUOTEc_DQUOTE,
      anon_sym_DQUOTEfastcall_DQUOTE,
      anon_sym_DQUOTEfast_DQUOTE,
      anon_sym_DQUOTEnone_DQUOTE,
      anon_sym_DQUOTEsystem_DQUOTE,
  [304449] = 5,
    ACTIONS(10766), 1,
      anon_sym_LPAREN,
    STATE(1332), 1,
      sym_parameters,
    STATE(7824), 1,
      sym_calling_convention,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(10726), 10,
      anon_sym_DQUOTEodin_DQUOTE,
      anon_sym_DQUOTEcontextless_DQUOTE,
      anon_sym_DQUOTEstdcall_DQUOTE,
      anon_sym_DQUOTEstd_DQUOTE,
      anon_sym_DQUOTEcdecl_DQUOTE,
      anon_sym_DQUOTEc_DQUOTE,
      anon_sym_DQUOTEfastcall_DQUOTE,
      anon_sym_DQUOTEfast_DQUOTE,
      anon_sym_DQUOTEnone_DQUOTE,
      anon_sym_DQUOTEsystem_DQUOTE,
  [304476] = 8,
    ACTIONS(7223), 1,
      anon_sym_LBRACE,
    ACTIONS(7241), 1,
      sym_uninitialized,
    ACTIONS(7245), 1,
      sym_tag,
    ACTIONS(10647), 1,
      anon_sym_where,
    STATE(3683), 1,
      sym_where_clause,
    STATE(4252), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3857), 7,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [304509] = 4,
    ACTIONS(6703), 1,
      anon_sym_LPAREN,
    ACTIONS(10684), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4710), 11,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACK,
      sym_uninitialized,
      sym_tag,
  [304534] = 10,
    ACTIONS(6747), 1,
      anon_sym_LBRACE,
    ACTIONS(6860), 1,
      sym_uninitialized,
    ACTIONS(6862), 1,
      sym_tag,
    ACTIONS(10768), 1,
      anon_sym_DASH_GT,
    ACTIONS(10770), 1,
      anon_sym_where,
    STATE(2952), 1,
      sym_where_clause,
    STATE(3293), 1,
      sym_block,
    ACTIONS(3935), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3931), 4,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [304571] = 5,
    ACTIONS(10772), 1,
      anon_sym_LPAREN,
    STATE(6190), 1,
      sym_parameters,
    STATE(7907), 1,
      sym_calling_convention,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(10726), 10,
      anon_sym_DQUOTEodin_DQUOTE,
      anon_sym_DQUOTEcontextless_DQUOTE,
      anon_sym_DQUOTEstdcall_DQUOTE,
      anon_sym_DQUOTEstd_DQUOTE,
      anon_sym_DQUOTEcdecl_DQUOTE,
      anon_sym_DQUOTEc_DQUOTE,
      anon_sym_DQUOTEfastcall_DQUOTE,
      anon_sym_DQUOTEfast_DQUOTE,
      anon_sym_DQUOTEnone_DQUOTE,
      anon_sym_DQUOTEsystem_DQUOTE,
  [304598] = 5,
    ACTIONS(10750), 1,
      anon_sym_LPAREN,
    STATE(6231), 1,
      sym_parameters,
    STATE(7840), 1,
      sym_calling_convention,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(10726), 10,
      anon_sym_DQUOTEodin_DQUOTE,
      anon_sym_DQUOTEcontextless_DQUOTE,
      anon_sym_DQUOTEstdcall_DQUOTE,
      anon_sym_DQUOTEstd_DQUOTE,
      anon_sym_DQUOTEcdecl_DQUOTE,
      anon_sym_DQUOTEc_DQUOTE,
      anon_sym_DQUOTEfastcall_DQUOTE,
      anon_sym_DQUOTEfast_DQUOTE,
      anon_sym_DQUOTEnone_DQUOTE,
      anon_sym_DQUOTEsystem_DQUOTE,
  [304625] = 5,
    ACTIONS(10772), 1,
      anon_sym_LPAREN,
    STATE(6130), 1,
      sym_parameters,
    STATE(7823), 1,
      sym_calling_convention,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(10726), 10,
      anon_sym_DQUOTEodin_DQUOTE,
      anon_sym_DQUOTEcontextless_DQUOTE,
      anon_sym_DQUOTEstdcall_DQUOTE,
      anon_sym_DQUOTEstd_DQUOTE,
      anon_sym_DQUOTEcdecl_DQUOTE,
      anon_sym_DQUOTEc_DQUOTE,
      anon_sym_DQUOTEfastcall_DQUOTE,
      anon_sym_DQUOTEfast_DQUOTE,
      anon_sym_DQUOTEnone_DQUOTE,
      anon_sym_DQUOTEsystem_DQUOTE,
  [304652] = 10,
    ACTIONS(3935), 1,
      anon_sym_SLASH,
    ACTIONS(6747), 1,
      anon_sym_LBRACE,
    ACTIONS(6860), 1,
      sym_uninitialized,
    ACTIONS(6862), 1,
      sym_tag,
    ACTIONS(10720), 1,
      anon_sym_where,
    ACTIONS(10774), 1,
      anon_sym_DASH_GT,
    STATE(2952), 1,
      sym_where_clause,
    STATE(3293), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3931), 5,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [304689] = 10,
    ACTIONS(3303), 1,
      anon_sym_SLASH,
    ACTIONS(6747), 1,
      anon_sym_LBRACE,
    ACTIONS(6803), 1,
      sym_uninitialized,
    ACTIONS(6805), 1,
      sym_tag,
    ACTIONS(10720), 1,
      anon_sym_where,
    ACTIONS(10776), 1,
      anon_sym_DASH_GT,
    STATE(2944), 1,
      sym_where_clause,
    STATE(3359), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3299), 5,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [304726] = 5,
    ACTIONS(10772), 1,
      anon_sym_LPAREN,
    STATE(3294), 1,
      sym_parameters,
    STATE(7937), 1,
      sym_calling_convention,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(10726), 10,
      anon_sym_DQUOTEodin_DQUOTE,
      anon_sym_DQUOTEcontextless_DQUOTE,
      anon_sym_DQUOTEstdcall_DQUOTE,
      anon_sym_DQUOTEstd_DQUOTE,
      anon_sym_DQUOTEcdecl_DQUOTE,
      anon_sym_DQUOTEc_DQUOTE,
      anon_sym_DQUOTEfastcall_DQUOTE,
      anon_sym_DQUOTEfast_DQUOTE,
      anon_sym_DQUOTEnone_DQUOTE,
      anon_sym_DQUOTEsystem_DQUOTE,
  [304753] = 5,
    ACTIONS(10728), 1,
      anon_sym_LPAREN,
    STATE(6093), 1,
      sym_parameters,
    STATE(7952), 1,
      sym_calling_convention,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(10726), 10,
      anon_sym_DQUOTEodin_DQUOTE,
      anon_sym_DQUOTEcontextless_DQUOTE,
      anon_sym_DQUOTEstdcall_DQUOTE,
      anon_sym_DQUOTEstd_DQUOTE,
      anon_sym_DQUOTEcdecl_DQUOTE,
      anon_sym_DQUOTEc_DQUOTE,
      anon_sym_DQUOTEfastcall_DQUOTE,
      anon_sym_DQUOTEfast_DQUOTE,
      anon_sym_DQUOTEnone_DQUOTE,
      anon_sym_DQUOTEsystem_DQUOTE,
  [304780] = 5,
    ACTIONS(10728), 1,
      anon_sym_LPAREN,
    STATE(6134), 1,
      sym_parameters,
    STATE(7859), 1,
      sym_calling_convention,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(10726), 10,
      anon_sym_DQUOTEodin_DQUOTE,
      anon_sym_DQUOTEcontextless_DQUOTE,
      anon_sym_DQUOTEstdcall_DQUOTE,
      anon_sym_DQUOTEstd_DQUOTE,
      anon_sym_DQUOTEcdecl_DQUOTE,
      anon_sym_DQUOTEc_DQUOTE,
      anon_sym_DQUOTEfastcall_DQUOTE,
      anon_sym_DQUOTEfast_DQUOTE,
      anon_sym_DQUOTEnone_DQUOTE,
      anon_sym_DQUOTEsystem_DQUOTE,
  [304807] = 6,
    ACTIONS(10697), 1,
      anon_sym_DOT2,
    ACTIONS(10778), 1,
      anon_sym_COLON,
    STATE(2570), 1,
      aux_sym_field_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3417), 3,
      anon_sym_where,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(3415), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym_uninitialized,
      sym_tag,
  [304836] = 5,
    ACTIONS(10764), 1,
      anon_sym_LPAREN,
    STATE(605), 1,
      sym_parameters,
    STATE(7876), 1,
      sym_calling_convention,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(10726), 10,
      anon_sym_DQUOTEodin_DQUOTE,
      anon_sym_DQUOTEcontextless_DQUOTE,
      anon_sym_DQUOTEstdcall_DQUOTE,
      anon_sym_DQUOTEstd_DQUOTE,
      anon_sym_DQUOTEcdecl_DQUOTE,
      anon_sym_DQUOTEc_DQUOTE,
      anon_sym_DQUOTEfastcall_DQUOTE,
      anon_sym_DQUOTEfast_DQUOTE,
      anon_sym_DQUOTEnone_DQUOTE,
      anon_sym_DQUOTEsystem_DQUOTE,
  [304863] = 9,
    ACTIONS(3859), 1,
      anon_sym_SLASH,
    ACTIONS(6566), 1,
      anon_sym_LBRACE,
    ACTIONS(6597), 1,
      sym_uninitialized,
    ACTIONS(10720), 1,
      anon_sym_where,
    ACTIONS(10780), 1,
      sym_tag,
    STATE(2618), 1,
      sym_where_clause,
    STATE(2836), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3857), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [304898] = 5,
    ACTIONS(10772), 1,
      anon_sym_LPAREN,
    STATE(3238), 1,
      sym_parameters,
    STATE(7790), 1,
      sym_calling_convention,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(10726), 10,
      anon_sym_DQUOTEodin_DQUOTE,
      anon_sym_DQUOTEcontextless_DQUOTE,
      anon_sym_DQUOTEstdcall_DQUOTE,
      anon_sym_DQUOTEstd_DQUOTE,
      anon_sym_DQUOTEcdecl_DQUOTE,
      anon_sym_DQUOTEc_DQUOTE,
      anon_sym_DQUOTEfastcall_DQUOTE,
      anon_sym_DQUOTEfast_DQUOTE,
      anon_sym_DQUOTEnone_DQUOTE,
      anon_sym_DQUOTEsystem_DQUOTE,
  [304925] = 4,
    ACTIONS(6703), 1,
      anon_sym_LPAREN,
    ACTIONS(10684), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4688), 11,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACK,
      sym_uninitialized,
      sym_tag,
  [304950] = 5,
    ACTIONS(10772), 1,
      anon_sym_LPAREN,
    STATE(3369), 1,
      sym_parameters,
    STATE(7795), 1,
      sym_calling_convention,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(10726), 10,
      anon_sym_DQUOTEodin_DQUOTE,
      anon_sym_DQUOTEcontextless_DQUOTE,
      anon_sym_DQUOTEstdcall_DQUOTE,
      anon_sym_DQUOTEstd_DQUOTE,
      anon_sym_DQUOTEcdecl_DQUOTE,
      anon_sym_DQUOTEc_DQUOTE,
      anon_sym_DQUOTEfastcall_DQUOTE,
      anon_sym_DQUOTEfast_DQUOTE,
      anon_sym_DQUOTEnone_DQUOTE,
      anon_sym_DQUOTEsystem_DQUOTE,
  [304977] = 5,
    ACTIONS(10764), 1,
      anon_sym_LPAREN,
    STATE(592), 1,
      sym_parameters,
    STATE(7945), 1,
      sym_calling_convention,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(10726), 10,
      anon_sym_DQUOTEodin_DQUOTE,
      anon_sym_DQUOTEcontextless_DQUOTE,
      anon_sym_DQUOTEstdcall_DQUOTE,
      anon_sym_DQUOTEstd_DQUOTE,
      anon_sym_DQUOTEcdecl_DQUOTE,
      anon_sym_DQUOTEc_DQUOTE,
      anon_sym_DQUOTEfastcall_DQUOTE,
      anon_sym_DQUOTEfast_DQUOTE,
      anon_sym_DQUOTEnone_DQUOTE,
      anon_sym_DQUOTEsystem_DQUOTE,
  [305004] = 10,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2821), 1,
      anon_sym_CARET,
    ACTIONS(10587), 1,
      anon_sym_LBRACK,
    ACTIONS(10589), 1,
      anon_sym_DOT_DOT,
    ACTIONS(10734), 1,
      anon_sym_DOLLAR,
    ACTIONS(10738), 1,
      sym_tag,
    ACTIONS(10782), 1,
      sym_identifier,
    STATE(3279), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(6953), 5,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_field_type,
      sym__procedure_type,
  [305041] = 10,
    ACTIONS(6566), 1,
      anon_sym_LBRACE,
    ACTIONS(6583), 1,
      sym_uninitialized,
    ACTIONS(6599), 1,
      sym_tag,
    ACTIONS(10770), 1,
      anon_sym_where,
    ACTIONS(10784), 1,
      anon_sym_DASH_GT,
    STATE(2657), 1,
      sym_where_clause,
    STATE(2805), 1,
      sym_block,
    ACTIONS(3303), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3299), 4,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [305078] = 5,
    ACTIONS(6703), 1,
      anon_sym_LPAREN,
    ACTIONS(10684), 1,
      anon_sym_SLASH,
    ACTIONS(10786), 1,
      anon_sym_EQ,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4930), 10,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACK,
      sym_uninitialized,
      sym_tag,
  [305105] = 5,
    ACTIONS(10728), 1,
      anon_sym_LPAREN,
    STATE(6092), 1,
      sym_parameters,
    STATE(7904), 1,
      sym_calling_convention,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(10726), 10,
      anon_sym_DQUOTEodin_DQUOTE,
      anon_sym_DQUOTEcontextless_DQUOTE,
      anon_sym_DQUOTEstdcall_DQUOTE,
      anon_sym_DQUOTEstd_DQUOTE,
      anon_sym_DQUOTEcdecl_DQUOTE,
      anon_sym_DQUOTEc_DQUOTE,
      anon_sym_DQUOTEfastcall_DQUOTE,
      anon_sym_DQUOTEfast_DQUOTE,
      anon_sym_DQUOTEnone_DQUOTE,
      anon_sym_DQUOTEsystem_DQUOTE,
  [305132] = 5,
    ACTIONS(10728), 1,
      anon_sym_LPAREN,
    STATE(2993), 1,
      sym_parameters,
    STATE(7828), 1,
      sym_calling_convention,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(10726), 10,
      anon_sym_DQUOTEodin_DQUOTE,
      anon_sym_DQUOTEcontextless_DQUOTE,
      anon_sym_DQUOTEstdcall_DQUOTE,
      anon_sym_DQUOTEstd_DQUOTE,
      anon_sym_DQUOTEcdecl_DQUOTE,
      anon_sym_DQUOTEc_DQUOTE,
      anon_sym_DQUOTEfastcall_DQUOTE,
      anon_sym_DQUOTEfast_DQUOTE,
      anon_sym_DQUOTEnone_DQUOTE,
      anon_sym_DQUOTEsystem_DQUOTE,
  [305159] = 10,
    ACTIONS(3303), 1,
      anon_sym_SLASH,
    ACTIONS(6566), 1,
      anon_sym_LBRACE,
    ACTIONS(6583), 1,
      sym_uninitialized,
    ACTIONS(6599), 1,
      sym_tag,
    ACTIONS(10754), 1,
      anon_sym_where,
    ACTIONS(10788), 1,
      anon_sym_DASH_GT,
    STATE(2657), 1,
      sym_where_clause,
    STATE(2805), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3299), 5,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_when,
  [305196] = 10,
    ACTIONS(3935), 1,
      anon_sym_SLASH,
    ACTIONS(6777), 1,
      anon_sym_LBRACE,
    ACTIONS(6844), 1,
      sym_uninitialized,
    ACTIONS(6846), 1,
      sym_tag,
    ACTIONS(10653), 1,
      anon_sym_where,
    ACTIONS(10790), 1,
      anon_sym_DASH_GT,
    STATE(3060), 1,
      sym_where_clause,
    STATE(3444), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3931), 5,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [305233] = 8,
    ACTIONS(7223), 1,
      anon_sym_LBRACE,
    ACTIONS(7247), 1,
      sym_uninitialized,
    ACTIONS(10647), 1,
      anon_sym_where,
    ACTIONS(10709), 1,
      sym_tag,
    STATE(3688), 1,
      sym_where_clause,
    STATE(4263), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3281), 7,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [305266] = 10,
    ACTIONS(6566), 1,
      anon_sym_LBRACE,
    ACTIONS(6605), 1,
      sym_uninitialized,
    ACTIONS(6703), 1,
      anon_sym_LPAREN,
    ACTIONS(10720), 1,
      anon_sym_where,
    ACTIONS(10792), 1,
      anon_sym_SLASH,
    ACTIONS(10794), 1,
      sym_tag,
    STATE(2667), 1,
      sym_where_clause,
    STATE(2821), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3269), 5,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [305303] = 5,
    ACTIONS(10728), 1,
      anon_sym_LPAREN,
    STATE(2927), 1,
      sym_parameters,
    STATE(7768), 1,
      sym_calling_convention,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(10726), 10,
      anon_sym_DQUOTEodin_DQUOTE,
      anon_sym_DQUOTEcontextless_DQUOTE,
      anon_sym_DQUOTEstdcall_DQUOTE,
      anon_sym_DQUOTEstd_DQUOTE,
      anon_sym_DQUOTEcdecl_DQUOTE,
      anon_sym_DQUOTEc_DQUOTE,
      anon_sym_DQUOTEfastcall_DQUOTE,
      anon_sym_DQUOTEfast_DQUOTE,
      anon_sym_DQUOTEnone_DQUOTE,
      anon_sym_DQUOTEsystem_DQUOTE,
  [305330] = 10,
    ACTIONS(6566), 1,
      anon_sym_LBRACE,
    ACTIONS(6597), 1,
      sym_uninitialized,
    ACTIONS(6703), 1,
      anon_sym_LPAREN,
    ACTIONS(10720), 1,
      anon_sym_where,
    ACTIONS(10780), 1,
      sym_tag,
    ACTIONS(10792), 1,
      anon_sym_SLASH,
    STATE(2618), 1,
      sym_where_clause,
    STATE(2836), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3857), 5,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [305367] = 5,
    ACTIONS(10750), 1,
      anon_sym_LPAREN,
    STATE(2970), 1,
      sym_parameters,
    STATE(7820), 1,
      sym_calling_convention,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(10726), 10,
      anon_sym_DQUOTEodin_DQUOTE,
      anon_sym_DQUOTEcontextless_DQUOTE,
      anon_sym_DQUOTEstdcall_DQUOTE,
      anon_sym_DQUOTEstd_DQUOTE,
      anon_sym_DQUOTEcdecl_DQUOTE,
      anon_sym_DQUOTEc_DQUOTE,
      anon_sym_DQUOTEfastcall_DQUOTE,
      anon_sym_DQUOTEfast_DQUOTE,
      anon_sym_DQUOTEnone_DQUOTE,
      anon_sym_DQUOTEsystem_DQUOTE,
  [305394] = 10,
    ACTIONS(6566), 1,
      anon_sym_LBRACE,
    ACTIONS(6568), 1,
      sym_uninitialized,
    ACTIONS(6703), 1,
      anon_sym_LPAREN,
    ACTIONS(10720), 1,
      anon_sym_where,
    ACTIONS(10748), 1,
      sym_tag,
    ACTIONS(10792), 1,
      anon_sym_SLASH,
    STATE(2620), 1,
      sym_where_clause,
    STATE(2849), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3281), 5,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [305431] = 5,
    ACTIONS(10766), 1,
      anon_sym_LPAREN,
    STATE(2221), 1,
      sym_parameters,
    STATE(7926), 1,
      sym_calling_convention,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(10726), 10,
      anon_sym_DQUOTEodin_DQUOTE,
      anon_sym_DQUOTEcontextless_DQUOTE,
      anon_sym_DQUOTEstdcall_DQUOTE,
      anon_sym_DQUOTEstd_DQUOTE,
      anon_sym_DQUOTEcdecl_DQUOTE,
      anon_sym_DQUOTEc_DQUOTE,
      anon_sym_DQUOTEfastcall_DQUOTE,
      anon_sym_DQUOTEfast_DQUOTE,
      anon_sym_DQUOTEnone_DQUOTE,
      anon_sym_DQUOTEsystem_DQUOTE,
  [305458] = 8,
    ACTIONS(7223), 1,
      anon_sym_LBRACE,
    ACTIONS(7247), 1,
      sym_uninitialized,
    ACTIONS(7251), 1,
      sym_tag,
    ACTIONS(10647), 1,
      anon_sym_where,
    STATE(3688), 1,
      sym_where_clause,
    STATE(4263), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3281), 7,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [305491] = 8,
    ACTIONS(7223), 1,
      anon_sym_LBRACE,
    ACTIONS(7241), 1,
      sym_uninitialized,
    ACTIONS(10647), 1,
      anon_sym_where,
    ACTIONS(10707), 1,
      sym_tag,
    STATE(3683), 1,
      sym_where_clause,
    STATE(4252), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3857), 7,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [305524] = 10,
    ACTIONS(3303), 1,
      anon_sym_SLASH,
    ACTIONS(6777), 1,
      anon_sym_LBRACE,
    ACTIONS(6781), 1,
      sym_uninitialized,
    ACTIONS(6783), 1,
      sym_tag,
    ACTIONS(10653), 1,
      anon_sym_where,
    ACTIONS(10796), 1,
      anon_sym_DASH_GT,
    STATE(3061), 1,
      sym_where_clause,
    STATE(3468), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3299), 5,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [305561] = 4,
    ACTIONS(6703), 1,
      anon_sym_LPAREN,
    ACTIONS(10684), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4748), 11,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACK,
      sym_uninitialized,
      sym_tag,
  [305586] = 5,
    ACTIONS(10750), 1,
      anon_sym_LPAREN,
    STATE(6235), 1,
      sym_parameters,
    STATE(7929), 1,
      sym_calling_convention,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(10726), 10,
      anon_sym_DQUOTEodin_DQUOTE,
      anon_sym_DQUOTEcontextless_DQUOTE,
      anon_sym_DQUOTEstdcall_DQUOTE,
      anon_sym_DQUOTEstd_DQUOTE,
      anon_sym_DQUOTEcdecl_DQUOTE,
      anon_sym_DQUOTEc_DQUOTE,
      anon_sym_DQUOTEfastcall_DQUOTE,
      anon_sym_DQUOTEfast_DQUOTE,
      anon_sym_DQUOTEnone_DQUOTE,
      anon_sym_DQUOTEsystem_DQUOTE,
  [305613] = 5,
    ACTIONS(10750), 1,
      anon_sym_LPAREN,
    STATE(6272), 1,
      sym_parameters,
    STATE(7901), 1,
      sym_calling_convention,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(10726), 10,
      anon_sym_DQUOTEodin_DQUOTE,
      anon_sym_DQUOTEcontextless_DQUOTE,
      anon_sym_DQUOTEstdcall_DQUOTE,
      anon_sym_DQUOTEstd_DQUOTE,
      anon_sym_DQUOTEcdecl_DQUOTE,
      anon_sym_DQUOTEc_DQUOTE,
      anon_sym_DQUOTEfastcall_DQUOTE,
      anon_sym_DQUOTEfast_DQUOTE,
      anon_sym_DQUOTEnone_DQUOTE,
      anon_sym_DQUOTEsystem_DQUOTE,
  [305640] = 5,
    ACTIONS(10750), 1,
      anon_sym_LPAREN,
    STATE(2974), 1,
      sym_parameters,
    STATE(7793), 1,
      sym_calling_convention,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(10726), 10,
      anon_sym_DQUOTEodin_DQUOTE,
      anon_sym_DQUOTEcontextless_DQUOTE,
      anon_sym_DQUOTEstdcall_DQUOTE,
      anon_sym_DQUOTEstd_DQUOTE,
      anon_sym_DQUOTEcdecl_DQUOTE,
      anon_sym_DQUOTEc_DQUOTE,
      anon_sym_DQUOTEfastcall_DQUOTE,
      anon_sym_DQUOTEfast_DQUOTE,
      anon_sym_DQUOTEnone_DQUOTE,
      anon_sym_DQUOTEsystem_DQUOTE,
  [305667] = 10,
    ACTIONS(6747), 1,
      anon_sym_LBRACE,
    ACTIONS(6803), 1,
      sym_uninitialized,
    ACTIONS(6805), 1,
      sym_tag,
    ACTIONS(10770), 1,
      anon_sym_where,
    ACTIONS(10798), 1,
      anon_sym_DASH_GT,
    STATE(2944), 1,
      sym_where_clause,
    STATE(3359), 1,
      sym_block,
    ACTIONS(3303), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3299), 4,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [305704] = 4,
    ACTIONS(6703), 1,
      anon_sym_LPAREN,
    ACTIONS(10684), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4696), 11,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACK,
      sym_uninitialized,
      sym_tag,
  [305729] = 5,
    ACTIONS(10728), 1,
      anon_sym_LPAREN,
    STATE(2973), 1,
      sym_parameters,
    STATE(7915), 1,
      sym_calling_convention,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(10726), 10,
      anon_sym_DQUOTEodin_DQUOTE,
      anon_sym_DQUOTEcontextless_DQUOTE,
      anon_sym_DQUOTEstdcall_DQUOTE,
      anon_sym_DQUOTEstd_DQUOTE,
      anon_sym_DQUOTEcdecl_DQUOTE,
      anon_sym_DQUOTEc_DQUOTE,
      anon_sym_DQUOTEfastcall_DQUOTE,
      anon_sym_DQUOTEfast_DQUOTE,
      anon_sym_DQUOTEnone_DQUOTE,
      anon_sym_DQUOTEsystem_DQUOTE,
  [305756] = 9,
    ACTIONS(3273), 1,
      anon_sym_SLASH,
    ACTIONS(6566), 1,
      anon_sym_LBRACE,
    ACTIONS(6605), 1,
      sym_uninitialized,
    ACTIONS(10720), 1,
      anon_sym_where,
    ACTIONS(10794), 1,
      sym_tag,
    STATE(2667), 1,
      sym_where_clause,
    STATE(2821), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3269), 6,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [305791] = 10,
    ACTIONS(6566), 1,
      anon_sym_LBRACE,
    ACTIONS(6771), 1,
      sym_uninitialized,
    ACTIONS(6773), 1,
      sym_tag,
    ACTIONS(10770), 1,
      anon_sym_where,
    ACTIONS(10800), 1,
      anon_sym_DASH_GT,
    STATE(2651), 1,
      sym_where_clause,
    STATE(2792), 1,
      sym_block,
    ACTIONS(3935), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3931), 4,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [305828] = 9,
    ACTIONS(3859), 1,
      anon_sym_SLASH,
    ACTIONS(6777), 1,
      anon_sym_LBRACE,
    ACTIONS(6816), 1,
      sym_uninitialized,
    ACTIONS(6820), 1,
      sym_tag,
    ACTIONS(10653), 1,
      anon_sym_where,
    STATE(3071), 1,
      sym_where_clause,
    STATE(3536), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3857), 5,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [305862] = 9,
    ACTIONS(6747), 1,
      anon_sym_LBRACE,
    ACTIONS(6749), 1,
      sym_uninitialized,
    ACTIONS(10770), 1,
      anon_sym_where,
    ACTIONS(10802), 1,
      sym_tag,
    STATE(2965), 1,
      sym_where_clause,
    STATE(3334), 1,
      sym_block,
    ACTIONS(3859), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3857), 4,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [305896] = 9,
    ACTIONS(6747), 1,
      anon_sym_LBRACE,
    ACTIONS(6749), 1,
      sym_uninitialized,
    ACTIONS(6751), 1,
      sym_tag,
    ACTIONS(10770), 1,
      anon_sym_where,
    STATE(2965), 1,
      sym_where_clause,
    STATE(3334), 1,
      sym_block,
    ACTIONS(3859), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3857), 4,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [305930] = 9,
    ACTIONS(3283), 1,
      anon_sym_SLASH,
    ACTIONS(6777), 1,
      anon_sym_LBRACE,
    ACTIONS(6822), 1,
      sym_uninitialized,
    ACTIONS(6832), 1,
      sym_tag,
    ACTIONS(10653), 1,
      anon_sym_where,
    STATE(3073), 1,
      sym_where_clause,
    STATE(3543), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3281), 5,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [305964] = 10,
    ACTIONS(3935), 1,
      anon_sym_SLASH,
    ACTIONS(6747), 1,
      anon_sym_LBRACE,
    ACTIONS(6860), 1,
      sym_uninitialized,
    ACTIONS(6862), 1,
      sym_tag,
    ACTIONS(10754), 1,
      anon_sym_where,
    ACTIONS(10804), 1,
      anon_sym_DASH_GT,
    STATE(2952), 1,
      sym_where_clause,
    STATE(3293), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3931), 4,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_when,
  [306000] = 11,
    ACTIONS(3283), 1,
      sym_identifier,
    ACTIONS(6703), 1,
      anon_sym_LPAREN,
    ACTIONS(6747), 1,
      anon_sym_LBRACE,
    ACTIONS(6828), 1,
      sym_uninitialized,
    ACTIONS(10770), 1,
      anon_sym_where,
    ACTIONS(10806), 1,
      anon_sym_SLASH,
    ACTIONS(10808), 1,
      sym_tag,
    STATE(2968), 1,
      sym_where_clause,
    STATE(3317), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3281), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [306038] = 10,
    ACTIONS(3303), 1,
      anon_sym_SLASH,
    ACTIONS(6747), 1,
      anon_sym_LBRACE,
    ACTIONS(6803), 1,
      sym_uninitialized,
    ACTIONS(6805), 1,
      sym_tag,
    ACTIONS(10754), 1,
      anon_sym_where,
    ACTIONS(10810), 1,
      anon_sym_DASH_GT,
    STATE(2944), 1,
      sym_where_clause,
    STATE(3359), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3299), 4,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_when,
  [306074] = 9,
    ACTIONS(6747), 1,
      anon_sym_LBRACE,
    ACTIONS(6828), 1,
      sym_uninitialized,
    ACTIONS(10770), 1,
      anon_sym_where,
    ACTIONS(10808), 1,
      sym_tag,
    STATE(2968), 1,
      sym_where_clause,
    STATE(3317), 1,
      sym_block,
    ACTIONS(3283), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3281), 4,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [306108] = 9,
    ACTIONS(6747), 1,
      anon_sym_LBRACE,
    ACTIONS(6828), 1,
      sym_uninitialized,
    ACTIONS(6830), 1,
      sym_tag,
    ACTIONS(10770), 1,
      anon_sym_where,
    STATE(2968), 1,
      sym_where_clause,
    STATE(3317), 1,
      sym_block,
    ACTIONS(3283), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3281), 4,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [306142] = 9,
    ACTIONS(3293), 1,
      anon_sym_SLASH,
    ACTIONS(6777), 1,
      anon_sym_LBRACE,
    ACTIONS(6834), 1,
      sym_uninitialized,
    ACTIONS(6836), 1,
      sym_tag,
    ACTIONS(10653), 1,
      anon_sym_where,
    STATE(3076), 1,
      sym_where_clause,
    STATE(3546), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3291), 5,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [306176] = 9,
    ACTIONS(6747), 1,
      anon_sym_LBRACE,
    ACTIONS(6838), 1,
      sym_uninitialized,
    ACTIONS(6840), 1,
      sym_tag,
    ACTIONS(10770), 1,
      anon_sym_where,
    STATE(2943), 1,
      sym_where_clause,
    STATE(3349), 1,
      sym_block,
    ACTIONS(3293), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3291), 4,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [306210] = 10,
    ACTIONS(6703), 1,
      anon_sym_LPAREN,
    ACTIONS(6777), 1,
      anon_sym_LBRACE,
    ACTIONS(6822), 1,
      sym_uninitialized,
    ACTIONS(10653), 1,
      anon_sym_where,
    ACTIONS(10684), 1,
      anon_sym_SLASH,
    ACTIONS(10812), 1,
      sym_tag,
    STATE(3073), 1,
      sym_where_clause,
    STATE(3543), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3281), 4,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RPAREN,
  [306246] = 9,
    ACTIONS(6566), 1,
      anon_sym_LBRACE,
    ACTIONS(6605), 1,
      sym_uninitialized,
    ACTIONS(10770), 1,
      anon_sym_where,
    ACTIONS(10814), 1,
      sym_tag,
    STATE(2667), 1,
      sym_where_clause,
    STATE(2821), 1,
      sym_block,
    ACTIONS(3273), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3269), 4,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [306280] = 10,
    ACTIONS(6566), 1,
      anon_sym_LBRACE,
    ACTIONS(6605), 1,
      sym_uninitialized,
    ACTIONS(6703), 1,
      anon_sym_LPAREN,
    ACTIONS(10754), 1,
      anon_sym_where,
    ACTIONS(10816), 1,
      anon_sym_SLASH,
    ACTIONS(10818), 1,
      sym_tag,
    STATE(2667), 1,
      sym_where_clause,
    STATE(2821), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3269), 4,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_when,
  [306316] = 9,
    ACTIONS(3283), 1,
      anon_sym_SLASH,
    ACTIONS(6777), 1,
      anon_sym_LBRACE,
    ACTIONS(6822), 1,
      sym_uninitialized,
    ACTIONS(10653), 1,
      anon_sym_where,
    ACTIONS(10812), 1,
      sym_tag,
    STATE(3073), 1,
      sym_where_clause,
    STATE(3543), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3281), 5,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [306350] = 9,
    ACTIONS(3273), 1,
      anon_sym_SLASH,
    ACTIONS(6566), 1,
      anon_sym_LBRACE,
    ACTIONS(6605), 1,
      sym_uninitialized,
    ACTIONS(10754), 1,
      anon_sym_where,
    ACTIONS(10818), 1,
      sym_tag,
    STATE(2667), 1,
      sym_where_clause,
    STATE(2821), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3269), 5,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_when,
  [306384] = 9,
    ACTIONS(6566), 1,
      anon_sym_LBRACE,
    ACTIONS(6597), 1,
      sym_uninitialized,
    ACTIONS(10770), 1,
      anon_sym_where,
    ACTIONS(10820), 1,
      sym_tag,
    STATE(2618), 1,
      sym_where_clause,
    STATE(2836), 1,
      sym_block,
    ACTIONS(3859), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3857), 4,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [306418] = 9,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2821), 1,
      anon_sym_CARET,
    ACTIONS(10587), 1,
      anon_sym_LBRACK,
    ACTIONS(10589), 1,
      anon_sym_DOT_DOT,
    ACTIONS(10738), 1,
      sym_tag,
    ACTIONS(10822), 1,
      sym_identifier,
    STATE(3279), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(7002), 5,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_field_type,
      sym__procedure_type,
  [306452] = 9,
    ACTIONS(6566), 1,
      anon_sym_LBRACE,
    ACTIONS(6597), 1,
      sym_uninitialized,
    ACTIONS(6611), 1,
      sym_tag,
    ACTIONS(10770), 1,
      anon_sym_where,
    STATE(2618), 1,
      sym_where_clause,
    STATE(2836), 1,
      sym_block,
    ACTIONS(3859), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3857), 4,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [306486] = 9,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2821), 1,
      anon_sym_CARET,
    ACTIONS(10587), 1,
      anon_sym_LBRACK,
    ACTIONS(10589), 1,
      anon_sym_DOT_DOT,
    ACTIONS(10738), 1,
      sym_tag,
    ACTIONS(10824), 1,
      sym_identifier,
    STATE(3279), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(7309), 5,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_field_type,
      sym__procedure_type,
  [306520] = 9,
    ACTIONS(6566), 1,
      anon_sym_LBRACE,
    ACTIONS(6568), 1,
      sym_uninitialized,
    ACTIONS(10770), 1,
      anon_sym_where,
    ACTIONS(10826), 1,
      sym_tag,
    STATE(2620), 1,
      sym_where_clause,
    STATE(2849), 1,
      sym_block,
    ACTIONS(3283), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3281), 4,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [306554] = 9,
    ACTIONS(6566), 1,
      anon_sym_LBRACE,
    ACTIONS(6568), 1,
      sym_uninitialized,
    ACTIONS(6570), 1,
      sym_tag,
    ACTIONS(10770), 1,
      anon_sym_where,
    STATE(2620), 1,
      sym_where_clause,
    STATE(2849), 1,
      sym_block,
    ACTIONS(3283), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3281), 4,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [306588] = 9,
    ACTIONS(6566), 1,
      anon_sym_LBRACE,
    ACTIONS(6572), 1,
      sym_uninitialized,
    ACTIONS(6574), 1,
      sym_tag,
    ACTIONS(10770), 1,
      anon_sym_where,
    STATE(2625), 1,
      sym_where_clause,
    STATE(2857), 1,
      sym_block,
    ACTIONS(3293), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3291), 4,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [306622] = 10,
    ACTIONS(6566), 1,
      anon_sym_LBRACE,
    ACTIONS(6597), 1,
      sym_uninitialized,
    ACTIONS(6703), 1,
      anon_sym_LPAREN,
    ACTIONS(10754), 1,
      anon_sym_where,
    ACTIONS(10816), 1,
      anon_sym_SLASH,
    ACTIONS(10828), 1,
      sym_tag,
    STATE(2618), 1,
      sym_where_clause,
    STATE(2836), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3857), 4,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_when,
  [306658] = 11,
    ACTIONS(3859), 1,
      sym_identifier,
    ACTIONS(6703), 1,
      anon_sym_LPAREN,
    ACTIONS(6747), 1,
      anon_sym_LBRACE,
    ACTIONS(6749), 1,
      sym_uninitialized,
    ACTIONS(10770), 1,
      anon_sym_where,
    ACTIONS(10802), 1,
      sym_tag,
    ACTIONS(10806), 1,
      anon_sym_SLASH,
    STATE(2965), 1,
      sym_where_clause,
    STATE(3334), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3857), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [306696] = 9,
    ACTIONS(3859), 1,
      anon_sym_SLASH,
    ACTIONS(6566), 1,
      anon_sym_LBRACE,
    ACTIONS(6597), 1,
      sym_uninitialized,
    ACTIONS(6611), 1,
      sym_tag,
    ACTIONS(10754), 1,
      anon_sym_where,
    STATE(2618), 1,
      sym_where_clause,
    STATE(2836), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3857), 5,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_when,
  [306730] = 10,
    ACTIONS(6566), 1,
      anon_sym_LBRACE,
    ACTIONS(6568), 1,
      sym_uninitialized,
    ACTIONS(6703), 1,
      anon_sym_LPAREN,
    ACTIONS(10754), 1,
      anon_sym_where,
    ACTIONS(10816), 1,
      anon_sym_SLASH,
    ACTIONS(10830), 1,
      sym_tag,
    STATE(2620), 1,
      sym_where_clause,
    STATE(2849), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3281), 4,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_when,
  [306766] = 9,
    ACTIONS(3283), 1,
      anon_sym_SLASH,
    ACTIONS(6566), 1,
      anon_sym_LBRACE,
    ACTIONS(6568), 1,
      sym_uninitialized,
    ACTIONS(10754), 1,
      anon_sym_where,
    ACTIONS(10830), 1,
      sym_tag,
    STATE(2620), 1,
      sym_where_clause,
    STATE(2849), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3281), 5,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_when,
  [306800] = 9,
    ACTIONS(3283), 1,
      anon_sym_SLASH,
    ACTIONS(6566), 1,
      anon_sym_LBRACE,
    ACTIONS(6568), 1,
      sym_uninitialized,
    ACTIONS(6570), 1,
      sym_tag,
    ACTIONS(10754), 1,
      anon_sym_where,
    STATE(2620), 1,
      sym_where_clause,
    STATE(2849), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3281), 5,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_when,
  [306834] = 9,
    ACTIONS(3293), 1,
      anon_sym_SLASH,
    ACTIONS(6566), 1,
      anon_sym_LBRACE,
    ACTIONS(6572), 1,
      sym_uninitialized,
    ACTIONS(6574), 1,
      sym_tag,
    ACTIONS(10754), 1,
      anon_sym_where,
    STATE(2625), 1,
      sym_where_clause,
    STATE(2857), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3291), 5,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_when,
  [306868] = 11,
    ACTIONS(3273), 1,
      sym_identifier,
    ACTIONS(6566), 1,
      anon_sym_LBRACE,
    ACTIONS(6605), 1,
      sym_uninitialized,
    ACTIONS(6703), 1,
      anon_sym_LPAREN,
    ACTIONS(10770), 1,
      anon_sym_where,
    ACTIONS(10806), 1,
      anon_sym_SLASH,
    ACTIONS(10814), 1,
      sym_tag,
    STATE(2667), 1,
      sym_where_clause,
    STATE(2821), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3269), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [306906] = 11,
    ACTIONS(3859), 1,
      sym_identifier,
    ACTIONS(6566), 1,
      anon_sym_LBRACE,
    ACTIONS(6597), 1,
      sym_uninitialized,
    ACTIONS(6703), 1,
      anon_sym_LPAREN,
    ACTIONS(10770), 1,
      anon_sym_where,
    ACTIONS(10806), 1,
      anon_sym_SLASH,
    ACTIONS(10820), 1,
      sym_tag,
    STATE(2618), 1,
      sym_where_clause,
    STATE(2836), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3857), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [306944] = 11,
    ACTIONS(3283), 1,
      sym_identifier,
    ACTIONS(6566), 1,
      anon_sym_LBRACE,
    ACTIONS(6568), 1,
      sym_uninitialized,
    ACTIONS(6703), 1,
      anon_sym_LPAREN,
    ACTIONS(10770), 1,
      anon_sym_where,
    ACTIONS(10806), 1,
      anon_sym_SLASH,
    ACTIONS(10826), 1,
      sym_tag,
    STATE(2620), 1,
      sym_where_clause,
    STATE(2849), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3281), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [306982] = 11,
    ACTIONS(3273), 1,
      sym_identifier,
    ACTIONS(6703), 1,
      anon_sym_LPAREN,
    ACTIONS(6747), 1,
      anon_sym_LBRACE,
    ACTIONS(6789), 1,
      sym_uninitialized,
    ACTIONS(10770), 1,
      anon_sym_where,
    ACTIONS(10806), 1,
      anon_sym_SLASH,
    ACTIONS(10832), 1,
      sym_tag,
    STATE(2931), 1,
      sym_where_clause,
    STATE(3277), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3269), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [307020] = 9,
    ACTIONS(6747), 1,
      anon_sym_LBRACE,
    ACTIONS(6789), 1,
      sym_uninitialized,
    ACTIONS(10770), 1,
      anon_sym_where,
    ACTIONS(10832), 1,
      sym_tag,
    STATE(2931), 1,
      sym_where_clause,
    STATE(3277), 1,
      sym_block,
    ACTIONS(3273), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3269), 4,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [307054] = 10,
    ACTIONS(6703), 1,
      anon_sym_LPAREN,
    ACTIONS(6747), 1,
      anon_sym_LBRACE,
    ACTIONS(6789), 1,
      sym_uninitialized,
    ACTIONS(10720), 1,
      anon_sym_where,
    ACTIONS(10792), 1,
      anon_sym_SLASH,
    ACTIONS(10834), 1,
      sym_tag,
    STATE(2931), 1,
      sym_where_clause,
    STATE(3277), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3269), 4,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [307090] = 9,
    ACTIONS(3273), 1,
      anon_sym_SLASH,
    ACTIONS(6747), 1,
      anon_sym_LBRACE,
    ACTIONS(6789), 1,
      sym_uninitialized,
    ACTIONS(10720), 1,
      anon_sym_where,
    ACTIONS(10834), 1,
      sym_tag,
    STATE(2931), 1,
      sym_where_clause,
    STATE(3277), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3269), 5,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [307124] = 10,
    ACTIONS(6703), 1,
      anon_sym_LPAREN,
    ACTIONS(6747), 1,
      anon_sym_LBRACE,
    ACTIONS(6749), 1,
      sym_uninitialized,
    ACTIONS(10720), 1,
      anon_sym_where,
    ACTIONS(10792), 1,
      anon_sym_SLASH,
    ACTIONS(10836), 1,
      sym_tag,
    STATE(2965), 1,
      sym_where_clause,
    STATE(3334), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3857), 4,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [307160] = 9,
    ACTIONS(3859), 1,
      anon_sym_SLASH,
    ACTIONS(6747), 1,
      anon_sym_LBRACE,
    ACTIONS(6749), 1,
      sym_uninitialized,
    ACTIONS(10720), 1,
      anon_sym_where,
    ACTIONS(10836), 1,
      sym_tag,
    STATE(2965), 1,
      sym_where_clause,
    STATE(3334), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3857), 5,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [307194] = 9,
    ACTIONS(3859), 1,
      anon_sym_SLASH,
    ACTIONS(6747), 1,
      anon_sym_LBRACE,
    ACTIONS(6749), 1,
      sym_uninitialized,
    ACTIONS(6751), 1,
      sym_tag,
    ACTIONS(10720), 1,
      anon_sym_where,
    STATE(2965), 1,
      sym_where_clause,
    STATE(3334), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3857), 5,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [307228] = 5,
    ACTIONS(4406), 1,
      anon_sym_SLASH,
    ACTIONS(8088), 1,
      anon_sym_COMMA,
    STATE(6317), 1,
      aux_sym_where_clause_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4402), 9,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [307254] = 10,
    ACTIONS(6703), 1,
      anon_sym_LPAREN,
    ACTIONS(6747), 1,
      anon_sym_LBRACE,
    ACTIONS(6828), 1,
      sym_uninitialized,
    ACTIONS(10720), 1,
      anon_sym_where,
    ACTIONS(10792), 1,
      anon_sym_SLASH,
    ACTIONS(10838), 1,
      sym_tag,
    STATE(2968), 1,
      sym_where_clause,
    STATE(3317), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3281), 4,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [307290] = 9,
    ACTIONS(3283), 1,
      anon_sym_SLASH,
    ACTIONS(6747), 1,
      anon_sym_LBRACE,
    ACTIONS(6828), 1,
      sym_uninitialized,
    ACTIONS(10720), 1,
      anon_sym_where,
    ACTIONS(10838), 1,
      sym_tag,
    STATE(2968), 1,
      sym_where_clause,
    STATE(3317), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3281), 5,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [307324] = 9,
    ACTIONS(3283), 1,
      anon_sym_SLASH,
    ACTIONS(6747), 1,
      anon_sym_LBRACE,
    ACTIONS(6828), 1,
      sym_uninitialized,
    ACTIONS(6830), 1,
      sym_tag,
    ACTIONS(10720), 1,
      anon_sym_where,
    STATE(2968), 1,
      sym_where_clause,
    STATE(3317), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3281), 5,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [307358] = 5,
    ACTIONS(4624), 1,
      anon_sym_SLASH,
    ACTIONS(10840), 1,
      anon_sym_COMMA,
    STATE(6317), 1,
      aux_sym_where_clause_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4619), 9,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [307384] = 9,
    ACTIONS(3293), 1,
      anon_sym_SLASH,
    ACTIONS(6747), 1,
      anon_sym_LBRACE,
    ACTIONS(6838), 1,
      sym_uninitialized,
    ACTIONS(6840), 1,
      sym_tag,
    ACTIONS(10720), 1,
      anon_sym_where,
    STATE(2943), 1,
      sym_where_clause,
    STATE(3349), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3291), 5,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [307418] = 10,
    ACTIONS(6703), 1,
      anon_sym_LPAREN,
    ACTIONS(6777), 1,
      anon_sym_LBRACE,
    ACTIONS(6809), 1,
      sym_uninitialized,
    ACTIONS(10653), 1,
      anon_sym_where,
    ACTIONS(10684), 1,
      anon_sym_SLASH,
    ACTIONS(10843), 1,
      sym_tag,
    STATE(3066), 1,
      sym_where_clause,
    STATE(3525), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3269), 4,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RPAREN,
  [307454] = 9,
    ACTIONS(3273), 1,
      anon_sym_SLASH,
    ACTIONS(6777), 1,
      anon_sym_LBRACE,
    ACTIONS(6809), 1,
      sym_uninitialized,
    ACTIONS(10653), 1,
      anon_sym_where,
    ACTIONS(10843), 1,
      sym_tag,
    STATE(3066), 1,
      sym_where_clause,
    STATE(3525), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3269), 5,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [307488] = 9,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2821), 1,
      anon_sym_CARET,
    ACTIONS(10587), 1,
      anon_sym_LBRACK,
    ACTIONS(10589), 1,
      anon_sym_DOT_DOT,
    ACTIONS(10738), 1,
      sym_tag,
    ACTIONS(10756), 1,
      sym_identifier,
    STATE(3279), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(6920), 5,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_field_type,
      sym__procedure_type,
  [307522] = 9,
    ACTIONS(1329), 1,
      anon_sym_proc,
    ACTIONS(2821), 1,
      anon_sym_CARET,
    ACTIONS(10587), 1,
      anon_sym_LBRACK,
    ACTIONS(10589), 1,
      anon_sym_DOT_DOT,
    ACTIONS(10730), 1,
      sym_identifier,
    ACTIONS(10738), 1,
      sym_tag,
    STATE(3279), 1,
      sym_procedure,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    STATE(6953), 5,
      sym_pointer_type,
      sym_variadic_type,
      sym_array_type,
      sym_field_type,
      sym__procedure_type,
  [307556] = 10,
    ACTIONS(6703), 1,
      anon_sym_LPAREN,
    ACTIONS(6777), 1,
      anon_sym_LBRACE,
    ACTIONS(6816), 1,
      sym_uninitialized,
    ACTIONS(10653), 1,
      anon_sym_where,
    ACTIONS(10684), 1,
      anon_sym_SLASH,
    ACTIONS(10845), 1,
      sym_tag,
    STATE(3071), 1,
      sym_where_clause,
    STATE(3536), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3857), 4,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RPAREN,
  [307592] = 9,
    ACTIONS(3859), 1,
      anon_sym_SLASH,
    ACTIONS(6777), 1,
      anon_sym_LBRACE,
    ACTIONS(6816), 1,
      sym_uninitialized,
    ACTIONS(10653), 1,
      anon_sym_where,
    ACTIONS(10845), 1,
      sym_tag,
    STATE(3071), 1,
      sym_where_clause,
    STATE(3536), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3857), 5,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [307626] = 9,
    ACTIONS(3859), 1,
      anon_sym_SLASH,
    ACTIONS(6566), 1,
      anon_sym_LBRACE,
    ACTIONS(6597), 1,
      sym_uninitialized,
    ACTIONS(10754), 1,
      anon_sym_where,
    ACTIONS(10828), 1,
      sym_tag,
    STATE(2618), 1,
      sym_where_clause,
    STATE(2836), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3857), 5,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_when,
  [307660] = 4,
    ACTIONS(6703), 1,
      anon_sym_LPAREN,
    ACTIONS(10792), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4748), 9,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [307683] = 5,
    ACTIONS(4624), 1,
      anon_sym_SLASH,
    ACTIONS(10847), 1,
      anon_sym_COMMA,
    STATE(6327), 1,
      aux_sym_where_clause_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4619), 8,
      anon_sym_LBRACE,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_when,
      sym_uninitialized,
      sym_tag,
  [307708] = 9,
    ACTIONS(3859), 1,
      anon_sym_SLASH,
    ACTIONS(6747), 1,
      anon_sym_LBRACE,
    ACTIONS(6749), 1,
      sym_uninitialized,
    ACTIONS(6751), 1,
      sym_tag,
    ACTIONS(10754), 1,
      anon_sym_where,
    STATE(2965), 1,
      sym_where_clause,
    STATE(3334), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3857), 4,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_when,
  [307741] = 10,
    ACTIONS(6703), 1,
      anon_sym_LPAREN,
    ACTIONS(6747), 1,
      anon_sym_LBRACE,
    ACTIONS(6828), 1,
      sym_uninitialized,
    ACTIONS(10754), 1,
      anon_sym_where,
    ACTIONS(10816), 1,
      anon_sym_SLASH,
    ACTIONS(10850), 1,
      sym_tag,
    STATE(2968), 1,
      sym_where_clause,
    STATE(3317), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3281), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_when,
  [307776] = 9,
    ACTIONS(3283), 1,
      anon_sym_SLASH,
    ACTIONS(6747), 1,
      anon_sym_LBRACE,
    ACTIONS(6828), 1,
      sym_uninitialized,
    ACTIONS(10754), 1,
      anon_sym_where,
    ACTIONS(10850), 1,
      sym_tag,
    STATE(2968), 1,
      sym_where_clause,
    STATE(3317), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3281), 4,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_when,
  [307809] = 9,
    ACTIONS(3283), 1,
      anon_sym_SLASH,
    ACTIONS(6747), 1,
      anon_sym_LBRACE,
    ACTIONS(6828), 1,
      sym_uninitialized,
    ACTIONS(6830), 1,
      sym_tag,
    ACTIONS(10754), 1,
      anon_sym_where,
    STATE(2968), 1,
      sym_where_clause,
    STATE(3317), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3281), 4,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_when,
  [307842] = 9,
    ACTIONS(3293), 1,
      anon_sym_SLASH,
    ACTIONS(6747), 1,
      anon_sym_LBRACE,
    ACTIONS(6838), 1,
      sym_uninitialized,
    ACTIONS(6840), 1,
      sym_tag,
    ACTIONS(10754), 1,
      anon_sym_where,
    STATE(2943), 1,
      sym_where_clause,
    STATE(3349), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3291), 4,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_when,
  [307875] = 4,
    ACTIONS(6703), 1,
      anon_sym_LPAREN,
    ACTIONS(10792), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4710), 9,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [307898] = 4,
    ACTIONS(6703), 1,
      anon_sym_LPAREN,
    ACTIONS(10792), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4688), 9,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [307921] = 4,
    ACTIONS(6703), 1,
      anon_sym_LPAREN,
    ACTIONS(10792), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4700), 9,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [307944] = 5,
    ACTIONS(8222), 1,
      anon_sym_COMMA,
    STATE(6340), 1,
      aux_sym_where_clause_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4406), 3,
      anon_sym_where,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(4402), 6,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym_uninitialized,
      sym_tag,
  [307969] = 4,
    ACTIONS(7651), 1,
      anon_sym_LPAREN,
    ACTIONS(10852), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4710), 9,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [307992] = 4,
    ACTIONS(7651), 1,
      anon_sym_LPAREN,
    ACTIONS(10852), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4688), 9,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [308015] = 5,
    ACTIONS(4406), 1,
      anon_sym_SLASH,
    ACTIONS(8226), 1,
      anon_sym_COMMA,
    STATE(6327), 1,
      aux_sym_where_clause_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4402), 8,
      anon_sym_LBRACE,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_when,
      sym_uninitialized,
      sym_tag,
  [308040] = 5,
    ACTIONS(10854), 1,
      anon_sym_COMMA,
    STATE(6340), 1,
      aux_sym_where_clause_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4624), 3,
      anon_sym_where,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(4619), 6,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym_uninitialized,
      sym_tag,
  [308065] = 5,
    ACTIONS(6703), 1,
      anon_sym_LPAREN,
    ACTIONS(10786), 1,
      anon_sym_EQ,
    ACTIONS(10792), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4930), 8,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [308090] = 4,
    ACTIONS(6703), 1,
      anon_sym_LPAREN,
    ACTIONS(10792), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4696), 9,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
      sym_uninitialized,
      sym_tag,
  [308113] = 10,
    ACTIONS(6703), 1,
      anon_sym_LPAREN,
    ACTIONS(6747), 1,
      anon_sym_LBRACE,
    ACTIONS(6789), 1,
      sym_uninitialized,
    ACTIONS(10754), 1,
      anon_sym_where,
    ACTIONS(10816), 1,
      anon_sym_SLASH,
    ACTIONS(10857), 1,
      sym_tag,
    STATE(2931), 1,
      sym_where_clause,
    STATE(3277), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3269), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_when,
  [308148] = 9,
    ACTIONS(3273), 1,
      anon_sym_SLASH,
    ACTIONS(6747), 1,
      anon_sym_LBRACE,
    ACTIONS(6789), 1,
      sym_uninitialized,
    ACTIONS(10754), 1,
      anon_sym_where,
    ACTIONS(10857), 1,
      sym_tag,
    STATE(2931), 1,
      sym_where_clause,
    STATE(3277), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3269), 4,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_when,
  [308181] = 4,
    ACTIONS(7651), 1,
      anon_sym_LPAREN,
    ACTIONS(10852), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4696), 9,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [308204] = 4,
    ACTIONS(7651), 1,
      anon_sym_LPAREN,
    ACTIONS(10852), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4700), 9,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [308227] = 9,
    ACTIONS(3859), 1,
      anon_sym_SLASH,
    ACTIONS(6747), 1,
      anon_sym_LBRACE,
    ACTIONS(6749), 1,
      sym_uninitialized,
    ACTIONS(10754), 1,
      anon_sym_where,
    ACTIONS(10859), 1,
      sym_tag,
    STATE(2965), 1,
      sym_where_clause,
    STATE(3334), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3857), 4,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_when,
  [308260] = 4,
    ACTIONS(7651), 1,
      anon_sym_LPAREN,
    ACTIONS(10852), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4748), 9,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [308283] = 10,
    ACTIONS(6703), 1,
      anon_sym_LPAREN,
    ACTIONS(6747), 1,
      anon_sym_LBRACE,
    ACTIONS(6749), 1,
      sym_uninitialized,
    ACTIONS(10754), 1,
      anon_sym_where,
    ACTIONS(10816), 1,
      anon_sym_SLASH,
    ACTIONS(10859), 1,
      sym_tag,
    STATE(2965), 1,
      sym_where_clause,
    STATE(3334), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3857), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_when,
  [308318] = 5,
    ACTIONS(7467), 1,
      anon_sym_LPAREN,
    ACTIONS(7932), 1,
      anon_sym_LBRACE,
    ACTIONS(10861), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(833), 7,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [308342] = 5,
    ACTIONS(7651), 1,
      anon_sym_LPAREN,
    ACTIONS(10852), 1,
      anon_sym_SLASH,
    ACTIONS(10863), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8344), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [308366] = 4,
    ACTIONS(6703), 1,
      anon_sym_LPAREN,
    ACTIONS(10816), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4700), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_when,
      sym_uninitialized,
      sym_tag,
  [308388] = 6,
    ACTIONS(7651), 1,
      anon_sym_LPAREN,
    ACTIONS(8306), 1,
      anon_sym_COMMA,
    ACTIONS(10852), 1,
      anon_sym_SLASH,
    STATE(6426), 1,
      aux_sym_const_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8308), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [308414] = 5,
    ACTIONS(7467), 1,
      anon_sym_LPAREN,
    ACTIONS(7932), 1,
      anon_sym_LBRACE,
    ACTIONS(10861), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(855), 7,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [308438] = 4,
    ACTIONS(7467), 1,
      anon_sym_LPAREN,
    ACTIONS(10861), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4700), 8,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [308460] = 6,
    ACTIONS(7651), 1,
      anon_sym_LPAREN,
    ACTIONS(8306), 1,
      anon_sym_COMMA,
    ACTIONS(10852), 1,
      anon_sym_SLASH,
    STATE(6438), 1,
      aux_sym_const_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8304), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [308486] = 6,
    ACTIONS(7651), 1,
      anon_sym_LPAREN,
    ACTIONS(8306), 1,
      anon_sym_COMMA,
    ACTIONS(10852), 1,
      anon_sym_SLASH,
    STATE(6430), 1,
      aux_sym_const_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(10865), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [308512] = 5,
    ACTIONS(7467), 1,
      anon_sym_LPAREN,
    ACTIONS(10861), 1,
      anon_sym_SLASH,
    ACTIONS(10867), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(893), 7,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [308536] = 4,
    ACTIONS(7467), 1,
      anon_sym_LPAREN,
    ACTIONS(10861), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4710), 8,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [308558] = 5,
    ACTIONS(6703), 1,
      anon_sym_LPAREN,
    ACTIONS(10786), 1,
      anon_sym_EQ,
    ACTIONS(10816), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4930), 7,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_RPAREN,
      anon_sym_when,
      sym_uninitialized,
      sym_tag,
  [308582] = 4,
    ACTIONS(7467), 1,
      anon_sym_LPAREN,
    ACTIONS(10861), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4688), 8,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [308604] = 5,
    ACTIONS(6703), 1,
      anon_sym_LPAREN,
    ACTIONS(10806), 1,
      anon_sym_SLASH,
    ACTIONS(4712), 2,
      anon_sym_where,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4710), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      sym_uninitialized,
      sym_tag,
  [308628] = 5,
    ACTIONS(7651), 1,
      anon_sym_LPAREN,
    ACTIONS(10852), 1,
      anon_sym_SLASH,
    ACTIONS(10869), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8342), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [308652] = 5,
    ACTIONS(6703), 1,
      anon_sym_LPAREN,
    ACTIONS(10806), 1,
      anon_sym_SLASH,
    ACTIONS(4750), 2,
      anon_sym_where,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4748), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      sym_uninitialized,
      sym_tag,
  [308676] = 5,
    ACTIONS(6703), 1,
      anon_sym_LPAREN,
    ACTIONS(10806), 1,
      anon_sym_SLASH,
    ACTIONS(4690), 2,
      anon_sym_where,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4688), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      sym_uninitialized,
      sym_tag,
  [308700] = 6,
    ACTIONS(7651), 1,
      anon_sym_LPAREN,
    ACTIONS(8306), 1,
      anon_sym_COMMA,
    ACTIONS(10852), 1,
      anon_sym_SLASH,
    STATE(6403), 1,
      aux_sym_const_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8337), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [308726] = 4,
    ACTIONS(6703), 1,
      anon_sym_LPAREN,
    ACTIONS(10816), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4710), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_when,
      sym_uninitialized,
      sym_tag,
  [308748] = 5,
    ACTIONS(6703), 1,
      anon_sym_LPAREN,
    ACTIONS(10806), 1,
      anon_sym_SLASH,
    ACTIONS(4702), 2,
      anon_sym_where,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4700), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      sym_uninitialized,
      sym_tag,
  [308772] = 4,
    ACTIONS(7467), 1,
      anon_sym_LPAREN,
    ACTIONS(10861), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4748), 8,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [308794] = 4,
    ACTIONS(6703), 1,
      anon_sym_LPAREN,
    ACTIONS(10816), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4748), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_when,
      sym_uninitialized,
      sym_tag,
  [308816] = 4,
    ACTIONS(6703), 1,
      anon_sym_LPAREN,
    ACTIONS(10816), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4696), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_when,
      sym_uninitialized,
      sym_tag,
  [308838] = 6,
    ACTIONS(6703), 1,
      anon_sym_LPAREN,
    ACTIONS(10786), 1,
      anon_sym_EQ,
    ACTIONS(10806), 1,
      anon_sym_SLASH,
    ACTIONS(4934), 2,
      anon_sym_where,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4930), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      sym_uninitialized,
      sym_tag,
  [308864] = 5,
    ACTIONS(6703), 1,
      anon_sym_LPAREN,
    ACTIONS(10806), 1,
      anon_sym_SLASH,
    ACTIONS(4698), 2,
      anon_sym_where,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4696), 6,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      sym_uninitialized,
      sym_tag,
  [308888] = 5,
    ACTIONS(7467), 1,
      anon_sym_LPAREN,
    ACTIONS(10861), 1,
      anon_sym_SLASH,
    ACTIONS(10867), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(773), 7,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [308912] = 4,
    ACTIONS(6703), 1,
      anon_sym_LPAREN,
    ACTIONS(10816), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4688), 8,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_where,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_when,
      sym_uninitialized,
      sym_tag,
  [308934] = 5,
    ACTIONS(7651), 1,
      anon_sym_LPAREN,
    ACTIONS(10852), 1,
      anon_sym_SLASH,
    ACTIONS(10873), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(10871), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [308958] = 4,
    ACTIONS(7467), 1,
      anon_sym_LPAREN,
    ACTIONS(10861), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4696), 8,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [308980] = 8,
    ACTIONS(645), 1,
      anon_sym_DQUOTE,
    ACTIONS(647), 1,
      anon_sym_BQUOTE,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10877), 1,
      anon_sym_SLASH,
    STATE(7804), 1,
      sym_string,
    ACTIONS(10875), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    STATE(3892), 2,
      sym__string_literal,
      sym__raw_string_literal,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [309009] = 5,
    ACTIONS(7651), 1,
      anon_sym_LPAREN,
    ACTIONS(10852), 1,
      anon_sym_SLASH,
    ACTIONS(10881), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(10879), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [309032] = 5,
    ACTIONS(10885), 1,
      anon_sym_else,
    STATE(6625), 1,
      sym_else_clause,
    STATE(6386), 2,
      sym_else_when_clause,
      aux_sym_when_statement_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(10883), 5,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_case,
  [309055] = 4,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4748), 7,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACK,
  [309076] = 4,
    ACTIONS(7651), 1,
      anon_sym_LPAREN,
    ACTIONS(10852), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(893), 7,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [309097] = 7,
    ACTIONS(3417), 1,
      anon_sym_SLASH,
    ACTIONS(10889), 1,
      anon_sym_COLON_EQ,
    ACTIONS(10891), 1,
      anon_sym_COLON,
    ACTIONS(10893), 1,
      anon_sym_DOT2,
    STATE(3065), 1,
      aux_sym_field_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3415), 4,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_when,
  [309124] = 8,
    ACTIONS(645), 1,
      anon_sym_DQUOTE,
    ACTIONS(647), 1,
      anon_sym_BQUOTE,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10877), 1,
      anon_sym_SLASH,
    STATE(7895), 1,
      sym_string,
    ACTIONS(10895), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    STATE(3892), 2,
      sym__string_literal,
      sym__raw_string_literal,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [309153] = 8,
    ACTIONS(645), 1,
      anon_sym_DQUOTE,
    ACTIONS(647), 1,
      anon_sym_BQUOTE,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10877), 1,
      anon_sym_SLASH,
    STATE(7916), 1,
      sym_string,
    ACTIONS(10897), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    STATE(3892), 2,
      sym__string_literal,
      sym__raw_string_literal,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [309182] = 5,
    ACTIONS(10885), 1,
      anon_sym_else,
    STATE(6517), 1,
      sym_else_clause,
    STATE(6409), 2,
      sym_else_when_clause,
      aux_sym_when_statement_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(10899), 5,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_case,
  [309205] = 8,
    ACTIONS(645), 1,
      anon_sym_DQUOTE,
    ACTIONS(647), 1,
      anon_sym_BQUOTE,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10877), 1,
      anon_sym_SLASH,
    STATE(7889), 1,
      sym_string,
    ACTIONS(10901), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    STATE(3892), 2,
      sym__string_literal,
      sym__raw_string_literal,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [309234] = 4,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4696), 7,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACK,
  [309255] = 8,
    ACTIONS(645), 1,
      anon_sym_DQUOTE,
    ACTIONS(647), 1,
      anon_sym_BQUOTE,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10877), 1,
      anon_sym_SLASH,
    STATE(7787), 1,
      sym_string,
    ACTIONS(10903), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    STATE(3892), 2,
      sym__string_literal,
      sym__raw_string_literal,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [309284] = 8,
    ACTIONS(645), 1,
      anon_sym_DQUOTE,
    ACTIONS(647), 1,
      anon_sym_BQUOTE,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10877), 1,
      anon_sym_SLASH,
    STATE(7801), 1,
      sym_string,
    ACTIONS(10905), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    STATE(3892), 2,
      sym__string_literal,
      sym__raw_string_literal,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [309313] = 4,
    ACTIONS(7651), 1,
      anon_sym_LPAREN,
    ACTIONS(10852), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4756), 7,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [309334] = 8,
    ACTIONS(645), 1,
      anon_sym_DQUOTE,
    ACTIONS(647), 1,
      anon_sym_BQUOTE,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10877), 1,
      anon_sym_SLASH,
    STATE(7837), 1,
      sym_string,
    ACTIONS(10907), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    STATE(3892), 2,
      sym__string_literal,
      sym__raw_string_literal,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [309363] = 4,
    ACTIONS(7651), 1,
      anon_sym_LPAREN,
    ACTIONS(10852), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(10909), 7,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [309384] = 4,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4688), 7,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACK,
  [309405] = 8,
    ACTIONS(645), 1,
      anon_sym_DQUOTE,
    ACTIONS(647), 1,
      anon_sym_BQUOTE,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10877), 1,
      anon_sym_SLASH,
    STATE(7797), 1,
      sym_string,
    ACTIONS(10911), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    STATE(3892), 2,
      sym__string_literal,
      sym__raw_string_literal,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [309434] = 4,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4700), 7,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACK,
  [309455] = 4,
    ACTIONS(7651), 1,
      anon_sym_LPAREN,
    ACTIONS(10852), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4792), 7,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [309476] = 4,
    ACTIONS(7651), 1,
      anon_sym_LPAREN,
    ACTIONS(10852), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4798), 7,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [309497] = 4,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4710), 7,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACK,
  [309518] = 8,
    ACTIONS(645), 1,
      anon_sym_DQUOTE,
    ACTIONS(647), 1,
      anon_sym_BQUOTE,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10877), 1,
      anon_sym_SLASH,
    STATE(7860), 1,
      sym_string,
    ACTIONS(10913), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    STATE(3892), 2,
      sym__string_literal,
      sym__raw_string_literal,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [309547] = 9,
    ACTIONS(3417), 1,
      anon_sym_SLASH,
    ACTIONS(7374), 1,
      anon_sym_LBRACE,
    ACTIONS(10893), 1,
      anon_sym_DOT2,
    ACTIONS(10915), 1,
      anon_sym_LPAREN,
    ACTIONS(10917), 1,
      anon_sym_DOT,
    STATE(3065), 1,
      aux_sym_field_type_repeat1,
    STATE(6917), 1,
      aux_sym_field_identifier_repeat1,
    ACTIONS(3415), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [309578] = 4,
    ACTIONS(7651), 1,
      anon_sym_LPAREN,
    ACTIONS(10852), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(909), 7,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [309599] = 4,
    ACTIONS(8306), 1,
      anon_sym_COMMA,
    STATE(6406), 1,
      aux_sym_const_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8304), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [309619] = 4,
    ACTIONS(10919), 1,
      anon_sym_COMMA,
    STATE(6404), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8462), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [309639] = 5,
    ACTIONS(10924), 1,
      anon_sym_else,
    STATE(6797), 1,
      sym_else_clause,
    STATE(6475), 2,
      sym_else_if_clause,
      aux_sym_if_statement_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(10922), 4,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_case,
  [309661] = 4,
    ACTIONS(10926), 1,
      anon_sym_COMMA,
    STATE(6406), 1,
      aux_sym_const_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8460), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [309681] = 5,
    ACTIONS(10924), 1,
      anon_sym_else,
    STATE(6794), 1,
      sym_else_clause,
    STATE(6414), 2,
      sym_else_if_clause,
      aux_sym_if_statement_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(10929), 4,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_case,
  [309703] = 5,
    ACTIONS(10924), 1,
      anon_sym_else,
    STATE(6724), 1,
      sym_else_clause,
    STATE(6421), 2,
      sym_else_if_clause,
      aux_sym_if_statement_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(10931), 4,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_case,
  [309725] = 4,
    ACTIONS(10935), 1,
      anon_sym_else,
    STATE(6409), 2,
      sym_else_when_clause,
      aux_sym_when_statement_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(10933), 5,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_case,
  [309745] = 5,
    ACTIONS(8310), 1,
      anon_sym_COMMA,
    ACTIONS(8312), 1,
      sym__nl_comma,
    STATE(6423), 1,
      aux_sym_return_statement_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(709), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [309767] = 4,
    ACTIONS(8300), 1,
      anon_sym_COMMA,
    STATE(6427), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(10938), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [309787] = 4,
    ACTIONS(8300), 1,
      anon_sym_COMMA,
    STATE(6427), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8342), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [309807] = 5,
    ACTIONS(10924), 1,
      anon_sym_else,
    STATE(6714), 1,
      sym_else_clause,
    STATE(6442), 2,
      sym_else_if_clause,
      aux_sym_if_statement_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(10940), 4,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_case,
  [309829] = 5,
    ACTIONS(10924), 1,
      anon_sym_else,
    STATE(6730), 1,
      sym_else_clause,
    STATE(6475), 2,
      sym_else_if_clause,
      aux_sym_if_statement_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(10942), 4,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_case,
  [309851] = 4,
    ACTIONS(8306), 1,
      anon_sym_COMMA,
    STATE(6406), 1,
      aux_sym_const_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8308), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [309871] = 5,
    ACTIONS(10924), 1,
      anon_sym_else,
    STATE(6770), 1,
      sym_else_clause,
    STATE(6475), 2,
      sym_else_if_clause,
      aux_sym_if_statement_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(10944), 4,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_case,
  [309893] = 5,
    ACTIONS(10924), 1,
      anon_sym_else,
    STATE(6785), 1,
      sym_else_clause,
    STATE(6419), 2,
      sym_else_if_clause,
      aux_sym_if_statement_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(10946), 4,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_case,
  [309915] = 5,
    ACTIONS(10924), 1,
      anon_sym_else,
    STATE(6796), 1,
      sym_else_clause,
    STATE(6428), 2,
      sym_else_if_clause,
      aux_sym_if_statement_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(10948), 4,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_case,
  [309937] = 5,
    ACTIONS(10924), 1,
      anon_sym_else,
    STATE(6726), 1,
      sym_else_clause,
    STATE(6475), 2,
      sym_else_if_clause,
      aux_sym_if_statement_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(10950), 4,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_case,
  [309959] = 5,
    ACTIONS(10924), 1,
      anon_sym_else,
    STATE(6801), 1,
      sym_else_clause,
    STATE(6475), 2,
      sym_else_if_clause,
      aux_sym_if_statement_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(10952), 4,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_case,
  [309981] = 5,
    ACTIONS(10924), 1,
      anon_sym_else,
    STATE(6811), 1,
      sym_else_clause,
    STATE(6475), 2,
      sym_else_if_clause,
      aux_sym_if_statement_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(10954), 4,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_case,
  [310003] = 5,
    ACTIONS(10924), 1,
      anon_sym_else,
    STATE(6798), 1,
      sym_else_clause,
    STATE(6420), 2,
      sym_else_if_clause,
      aux_sym_if_statement_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(10956), 4,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_case,
  [310025] = 5,
    ACTIONS(8312), 1,
      sym__nl_comma,
    ACTIONS(8328), 1,
      anon_sym_COMMA,
    STATE(6439), 1,
      aux_sym_return_statement_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3197), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [310047] = 5,
    ACTIONS(10924), 1,
      anon_sym_else,
    STATE(6684), 1,
      sym_else_clause,
    STATE(6437), 2,
      sym_else_if_clause,
      aux_sym_if_statement_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(10958), 4,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_case,
  [310069] = 5,
    ACTIONS(10924), 1,
      anon_sym_else,
    STATE(6686), 1,
      sym_else_clause,
    STATE(6475), 2,
      sym_else_if_clause,
      aux_sym_if_statement_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(10960), 4,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_case,
  [310091] = 4,
    ACTIONS(8306), 1,
      anon_sym_COMMA,
    STATE(6406), 1,
      aux_sym_const_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8337), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [310111] = 4,
    ACTIONS(10962), 1,
      anon_sym_COMMA,
    STATE(6427), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7169), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [310131] = 5,
    ACTIONS(10924), 1,
      anon_sym_else,
    STATE(6727), 1,
      sym_else_clause,
    STATE(6475), 2,
      sym_else_if_clause,
      aux_sym_if_statement_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(10965), 4,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_case,
  [310153] = 5,
    ACTIONS(10924), 1,
      anon_sym_else,
    STATE(6820), 1,
      sym_else_clause,
    STATE(6425), 2,
      sym_else_if_clause,
      aux_sym_if_statement_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(10967), 4,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_case,
  [310175] = 4,
    ACTIONS(8306), 1,
      anon_sym_COMMA,
    STATE(6406), 1,
      aux_sym_const_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(10969), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [310195] = 4,
    ACTIONS(8306), 1,
      anon_sym_COMMA,
    STATE(6415), 1,
      aux_sym_const_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8323), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [310215] = 5,
    ACTIONS(10924), 1,
      anon_sym_else,
    STATE(6683), 1,
      sym_else_clause,
    STATE(6405), 2,
      sym_else_if_clause,
      aux_sym_if_statement_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(10971), 4,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_case,
  [310237] = 4,
    ACTIONS(8306), 1,
      anon_sym_COMMA,
    STATE(6426), 1,
      aux_sym_const_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8308), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [310257] = 4,
    ACTIONS(8306), 1,
      anon_sym_COMMA,
    STATE(6438), 1,
      aux_sym_const_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8304), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [310277] = 5,
    ACTIONS(8312), 1,
      sym__nl_comma,
    ACTIONS(10973), 1,
      anon_sym_COMMA,
    STATE(6439), 1,
      aux_sym_return_statement_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(2845), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [310299] = 5,
    ACTIONS(10924), 1,
      anon_sym_else,
    STATE(6795), 1,
      sym_else_clause,
    STATE(6416), 2,
      sym_else_if_clause,
      aux_sym_if_statement_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(10975), 4,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_case,
  [310321] = 5,
    ACTIONS(10924), 1,
      anon_sym_else,
    STATE(6800), 1,
      sym_else_clause,
    STATE(6475), 2,
      sym_else_if_clause,
      aux_sym_if_statement_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(10977), 4,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_case,
  [310343] = 4,
    ACTIONS(8306), 1,
      anon_sym_COMMA,
    STATE(6406), 1,
      aux_sym_const_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(10865), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [310363] = 4,
    STATE(6439), 1,
      aux_sym_return_statement_repeat1,
    ACTIONS(10979), 2,
      sym__nl_comma,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8438), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [310383] = 4,
    ACTIONS(8300), 1,
      anon_sym_COMMA,
    STATE(6427), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8298), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [310403] = 3,
    ACTIONS(10982), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4726), 7,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [310421] = 5,
    ACTIONS(10924), 1,
      anon_sym_else,
    STATE(6723), 1,
      sym_else_clause,
    STATE(6475), 2,
      sym_else_if_clause,
      aux_sym_if_statement_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(10984), 4,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_case,
  [310443] = 4,
    ACTIONS(8300), 1,
      anon_sym_COMMA,
    STATE(6427), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8302), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [310463] = 5,
    ACTIONS(8312), 1,
      sym__nl_comma,
    ACTIONS(8328), 1,
      anon_sym_COMMA,
    STATE(6435), 1,
      aux_sym_return_statement_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3197), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [310485] = 4,
    ACTIONS(8306), 1,
      anon_sym_COMMA,
    STATE(6403), 1,
      aux_sym_const_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8337), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [310505] = 8,
    ACTIONS(10893), 1,
      anon_sym_DOT2,
    ACTIONS(10986), 1,
      anon_sym_COMMA,
    ACTIONS(10988), 1,
      anon_sym_COLON_EQ,
    ACTIONS(10990), 1,
      anon_sym_COLON,
    ACTIONS(10992), 1,
      anon_sym_RPAREN,
    STATE(3065), 1,
      aux_sym_field_type_repeat1,
    STATE(6921), 1,
      aux_sym_parameter_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [310532] = 4,
    ACTIONS(8366), 1,
      anon_sym_COMMA,
    STATE(6455), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8416), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [310551] = 8,
    ACTIONS(10994), 1,
      anon_sym_LBRACE,
    ACTIONS(10996), 1,
      anon_sym_where,
    ACTIONS(10998), 1,
      anon_sym_LPAREN,
    ACTIONS(11000), 1,
      sym_tag,
    STATE(6768), 1,
      sym_polymorphic_parameters,
    STATE(6769), 1,
      aux_sym_struct_declaration_repeat1,
    STATE(8497), 1,
      sym_where_clause,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [310578] = 4,
    ACTIONS(8366), 1,
      anon_sym_COMMA,
    STATE(6453), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8418), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [310597] = 4,
    ACTIONS(8366), 1,
      anon_sym_COMMA,
    STATE(6404), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8416), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [310616] = 4,
    ACTIONS(8366), 1,
      anon_sym_COMMA,
    STATE(6450), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8448), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [310635] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8460), 7,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [310650] = 4,
    ACTIONS(8366), 1,
      anon_sym_COMMA,
    STATE(6404), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8404), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [310669] = 4,
    ACTIONS(8300), 1,
      anon_sym_COMMA,
    STATE(6427), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8420), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [310688] = 4,
    ACTIONS(8366), 1,
      anon_sym_COMMA,
    STATE(6404), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8364), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [310707] = 4,
    ACTIONS(7379), 1,
      anon_sym_LPAREN,
    ACTIONS(11002), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4696), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RPAREN,
  [310726] = 7,
    ACTIONS(51), 1,
      anon_sym_DQUOTE,
    ACTIONS(53), 1,
      anon_sym_BQUOTE,
    ACTIONS(11004), 1,
      sym_identifier,
    ACTIONS(11006), 1,
      anon_sym_LBRACE,
    STATE(6606), 1,
      sym_string,
    STATE(3867), 2,
      sym__string_literal,
      sym__raw_string_literal,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [310751] = 4,
    ACTIONS(7379), 1,
      anon_sym_LPAREN,
    ACTIONS(11002), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4700), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RPAREN,
  [310770] = 5,
    ACTIONS(7379), 1,
      anon_sym_LPAREN,
    ACTIONS(8074), 1,
      anon_sym_LBRACE,
    ACTIONS(11002), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(855), 4,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RPAREN,
  [310791] = 4,
    ACTIONS(8366), 1,
      anon_sym_COMMA,
    STATE(6404), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8448), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [310810] = 5,
    ACTIONS(7171), 1,
      anon_sym_COLON,
    ACTIONS(11008), 1,
      anon_sym_COMMA,
    STATE(6461), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7169), 4,
      anon_sym_COLON_COLON,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_SEMI,
  [310831] = 4,
    ACTIONS(7379), 1,
      anon_sym_LPAREN,
    ACTIONS(11002), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4688), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RPAREN,
  [310850] = 4,
    ACTIONS(8366), 1,
      anon_sym_COMMA,
    STATE(6476), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8364), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [310869] = 8,
    ACTIONS(7374), 1,
      anon_sym_LBRACE,
    ACTIONS(10915), 1,
      anon_sym_LPAREN,
    ACTIONS(11011), 1,
      anon_sym_COMMA,
    ACTIONS(11013), 1,
      anon_sym_RPAREN,
    ACTIONS(11015), 1,
      anon_sym_DOT,
    STATE(6917), 1,
      aux_sym_field_identifier_repeat1,
    STATE(7242), 1,
      aux_sym_attribute_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [310896] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8438), 7,
      sym__newline,
      sym__nl_comma,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [310911] = 5,
    ACTIONS(7379), 1,
      anon_sym_LPAREN,
    ACTIONS(11002), 1,
      anon_sym_SLASH,
    ACTIONS(11017), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(893), 4,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RPAREN,
  [310932] = 7,
    ACTIONS(51), 1,
      anon_sym_DQUOTE,
    ACTIONS(53), 1,
      anon_sym_BQUOTE,
    ACTIONS(11019), 1,
      sym_identifier,
    ACTIONS(11021), 1,
      anon_sym_LBRACE,
    STATE(6511), 1,
      sym_string,
    STATE(3867), 2,
      sym__string_literal,
      sym__raw_string_literal,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [310957] = 4,
    ACTIONS(7379), 1,
      anon_sym_LPAREN,
    ACTIONS(11002), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4748), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RPAREN,
  [310976] = 6,
    ACTIONS(7651), 1,
      anon_sym_LPAREN,
    ACTIONS(10852), 1,
      anon_sym_SLASH,
    ACTIONS(10873), 1,
      anon_sym_EQ,
    ACTIONS(11023), 1,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(10871), 3,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [310999] = 4,
    ACTIONS(8366), 1,
      anon_sym_COMMA,
    STATE(6460), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8404), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [311018] = 7,
    ACTIONS(51), 1,
      anon_sym_DQUOTE,
    ACTIONS(53), 1,
      anon_sym_BQUOTE,
    ACTIONS(11025), 1,
      sym_identifier,
    ACTIONS(11027), 1,
      anon_sym_LBRACE,
    STATE(6560), 1,
      sym_string,
    STATE(3867), 2,
      sym__string_literal,
      sym__raw_string_literal,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [311043] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8462), 7,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [311058] = 6,
    ACTIONS(7651), 1,
      anon_sym_LPAREN,
    ACTIONS(10852), 1,
      anon_sym_SLASH,
    ACTIONS(10881), 1,
      anon_sym_EQ,
    ACTIONS(11029), 1,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(10879), 3,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [311081] = 4,
    ACTIONS(7379), 1,
      anon_sym_LPAREN,
    ACTIONS(11002), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4710), 5,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RPAREN,
  [311100] = 4,
    ACTIONS(11033), 1,
      anon_sym_else,
    STATE(6475), 2,
      sym_else_if_clause,
      aux_sym_if_statement_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11031), 4,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_case,
  [311119] = 4,
    ACTIONS(8366), 1,
      anon_sym_COMMA,
    STATE(6404), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11036), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [311138] = 8,
    ACTIONS(10996), 1,
      anon_sym_where,
    ACTIONS(10998), 1,
      anon_sym_LPAREN,
    ACTIONS(11000), 1,
      sym_tag,
    ACTIONS(11038), 1,
      anon_sym_LBRACE,
    STATE(6685), 1,
      sym_polymorphic_parameters,
    STATE(6688), 1,
      aux_sym_struct_declaration_repeat1,
    STATE(8233), 1,
      sym_where_clause,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [311165] = 8,
    ACTIONS(10893), 1,
      anon_sym_DOT2,
    ACTIONS(10986), 1,
      anon_sym_COMMA,
    ACTIONS(11040), 1,
      anon_sym_COLON_EQ,
    ACTIONS(11042), 1,
      anon_sym_COLON,
    ACTIONS(11044), 1,
      anon_sym_RPAREN,
    STATE(3065), 1,
      aux_sym_field_type_repeat1,
    STATE(7010), 1,
      aux_sym_parameter_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [311192] = 4,
    ACTIONS(8300), 1,
      anon_sym_COMMA,
    STATE(6427), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11046), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [311211] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11048), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [311225] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11050), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [311239] = 4,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(893), 4,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RPAREN,
  [311257] = 5,
    STATE(39), 1,
      sym__separator,
    STATE(6577), 1,
      aux_sym_block_repeat1,
    ACTIONS(11052), 2,
      anon_sym_RBRACE,
      anon_sym_case,
    ACTIONS(11054), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [311277] = 7,
    ACTIONS(6459), 1,
      anon_sym_LBRACE,
    ACTIONS(10998), 1,
      anon_sym_LPAREN,
    ACTIONS(11056), 1,
      sym_tag,
    STATE(2432), 1,
      aux_sym_struct_type_repeat2,
    STATE(6893), 1,
      sym_polymorphic_parameters,
    STATE(6894), 1,
      aux_sym_struct_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [311301] = 6,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(11058), 1,
      sym_identifier,
    ACTIONS(11060), 1,
      anon_sym_EQ,
    ACTIONS(11062), 1,
      anon_sym_SLASH,
    ACTIONS(9965), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [311323] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11064), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [311337] = 6,
    ACTIONS(645), 1,
      anon_sym_DQUOTE,
    ACTIONS(647), 1,
      anon_sym_BQUOTE,
    ACTIONS(11066), 1,
      anon_sym_RBRACE,
    STATE(7897), 1,
      sym_string,
    STATE(3892), 2,
      sym__string_literal,
      sym__raw_string_literal,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [311359] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11068), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [311373] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11070), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [311387] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11072), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [311401] = 5,
    STATE(39), 1,
      sym__separator,
    STATE(6500), 1,
      aux_sym_block_repeat1,
    ACTIONS(11054), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(11074), 2,
      anon_sym_RBRACE,
      anon_sym_case,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [311421] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11076), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [311435] = 6,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(11062), 1,
      anon_sym_SLASH,
    ACTIONS(11078), 1,
      sym_identifier,
    ACTIONS(11080), 1,
      anon_sym_EQ,
    ACTIONS(9924), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [311457] = 5,
    ACTIONS(7171), 1,
      anon_sym_COLON,
    ACTIONS(11082), 1,
      anon_sym_COMMA,
    STATE(6494), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(7169), 3,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_COLON_EQ,
  [311477] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11085), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [311491] = 7,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(11087), 1,
      anon_sym_COMMA,
    ACTIONS(11089), 1,
      anon_sym_RPAREN,
    ACTIONS(11091), 1,
      anon_sym_when,
    ACTIONS(11093), 1,
      anon_sym_SLASH,
    STATE(7209), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [311515] = 7,
    ACTIONS(7760), 1,
      anon_sym_LBRACE,
    ACTIONS(10998), 1,
      anon_sym_LPAREN,
    ACTIONS(11056), 1,
      sym_tag,
    STATE(3966), 1,
      aux_sym_struct_type_repeat2,
    STATE(7014), 1,
      sym_polymorphic_parameters,
    STATE(7015), 1,
      aux_sym_struct_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [311539] = 7,
    ACTIONS(7260), 1,
      anon_sym_LBRACE,
    ACTIONS(10998), 1,
      anon_sym_LPAREN,
    ACTIONS(11056), 1,
      sym_tag,
    STATE(3549), 1,
      aux_sym_struct_type_repeat2,
    STATE(6969), 1,
      sym_polymorphic_parameters,
    STATE(7054), 1,
      aux_sym_struct_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [311563] = 5,
    STATE(39), 1,
      sym__separator,
    STATE(6621), 1,
      aux_sym_block_repeat1,
    ACTIONS(11054), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(11095), 2,
      anon_sym_RBRACE,
      anon_sym_case,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [311583] = 5,
    STATE(39), 1,
      sym__separator,
    STATE(6520), 1,
      aux_sym_block_repeat1,
    ACTIONS(11054), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(11095), 2,
      anon_sym_RBRACE,
      anon_sym_case,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [311603] = 6,
    ACTIONS(645), 1,
      anon_sym_DQUOTE,
    ACTIONS(647), 1,
      anon_sym_BQUOTE,
    ACTIONS(11097), 1,
      anon_sym_RBRACE,
    STATE(7897), 1,
      sym_string,
    STATE(3892), 2,
      sym__string_literal,
      sym__raw_string_literal,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [311625] = 7,
    ACTIONS(7100), 1,
      anon_sym_LBRACE,
    ACTIONS(10998), 1,
      anon_sym_LPAREN,
    ACTIONS(11056), 1,
      sym_tag,
    STATE(3287), 1,
      aux_sym_struct_type_repeat2,
    STATE(7028), 1,
      sym_polymorphic_parameters,
    STATE(7029), 1,
      aux_sym_struct_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [311649] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11099), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [311663] = 7,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(11093), 1,
      anon_sym_SLASH,
    ACTIONS(11101), 1,
      anon_sym_COMMA,
    ACTIONS(11103), 1,
      anon_sym_RPAREN,
    ACTIONS(11105), 1,
      anon_sym_when,
    STATE(7627), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [311687] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11107), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [311701] = 4,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4756), 4,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RPAREN,
  [311719] = 5,
    STATE(39), 1,
      sym__separator,
    STATE(6514), 1,
      aux_sym_block_repeat1,
    ACTIONS(11054), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(11109), 2,
      anon_sym_RBRACE,
      anon_sym_case,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [311739] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11111), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [311753] = 6,
    ACTIONS(8506), 1,
      anon_sym_COMMA,
    ACTIONS(11113), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11115), 1,
      anon_sym_COLON,
    STATE(6461), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(9372), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [311775] = 7,
    ACTIONS(10998), 1,
      anon_sym_LPAREN,
    ACTIONS(11056), 1,
      sym_tag,
    ACTIONS(11117), 1,
      anon_sym_LBRACE,
    STATE(3286), 1,
      aux_sym_struct_type_repeat2,
    STATE(7016), 1,
      sym_polymorphic_parameters,
    STATE(7017), 1,
      aux_sym_struct_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [311799] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11119), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [311813] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11121), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [311827] = 7,
    ACTIONS(10893), 1,
      anon_sym_DOT2,
    ACTIONS(10986), 1,
      anon_sym_COMMA,
    ACTIONS(11123), 1,
      anon_sym_COLON,
    ACTIONS(11125), 1,
      anon_sym_RPAREN,
    STATE(3065), 1,
      aux_sym_field_type_repeat1,
    STATE(6987), 1,
      aux_sym_parameter_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [311851] = 5,
    STATE(39), 1,
      sym__separator,
    STATE(6520), 1,
      aux_sym_block_repeat1,
    ACTIONS(11052), 2,
      anon_sym_RBRACE,
      anon_sym_case,
    ACTIONS(11054), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [311871] = 4,
    ACTIONS(11127), 1,
      sym_identifier,
    ACTIONS(11131), 2,
      anon_sym_else,
      anon_sym_case,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11129), 3,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [311889] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11133), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [311903] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11135), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [311917] = 7,
    ACTIONS(10893), 1,
      anon_sym_DOT2,
    ACTIONS(10986), 1,
      anon_sym_COMMA,
    ACTIONS(10992), 1,
      anon_sym_RPAREN,
    ACTIONS(11137), 1,
      anon_sym_COLON,
    STATE(3065), 1,
      aux_sym_field_type_repeat1,
    STATE(6921), 1,
      aux_sym_parameter_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [311941] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11139), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [311955] = 5,
    STATE(39), 1,
      sym__separator,
    STATE(6520), 1,
      aux_sym_block_repeat1,
    ACTIONS(11141), 2,
      anon_sym_RBRACE,
      anon_sym_case,
    ACTIONS(11143), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [311975] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11146), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [311989] = 7,
    ACTIONS(6459), 1,
      anon_sym_LBRACE,
    ACTIONS(10998), 1,
      anon_sym_LPAREN,
    ACTIONS(11056), 1,
      sym_tag,
    STATE(2520), 1,
      aux_sym_struct_type_repeat2,
    STATE(6884), 1,
      sym_polymorphic_parameters,
    STATE(6890), 1,
      aux_sym_struct_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [312013] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11148), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [312027] = 7,
    ACTIONS(7260), 1,
      anon_sym_LBRACE,
    ACTIONS(10998), 1,
      anon_sym_LPAREN,
    ACTIONS(11056), 1,
      sym_tag,
    STATE(3389), 1,
      aux_sym_struct_type_repeat2,
    STATE(6940), 1,
      sym_polymorphic_parameters,
    STATE(6943), 1,
      aux_sym_struct_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [312051] = 5,
    STATE(39), 1,
      sym__separator,
    STATE(6592), 1,
      aux_sym_block_repeat1,
    ACTIONS(11054), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(11150), 2,
      anon_sym_RBRACE,
      anon_sym_case,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [312071] = 6,
    ACTIONS(51), 1,
      anon_sym_DQUOTE,
    ACTIONS(53), 1,
      anon_sym_BQUOTE,
    ACTIONS(11152), 1,
      anon_sym_LBRACE,
    STATE(6523), 1,
      sym_string,
    STATE(3867), 2,
      sym__string_literal,
      sym__raw_string_literal,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [312093] = 6,
    ACTIONS(645), 1,
      anon_sym_DQUOTE,
    ACTIONS(647), 1,
      anon_sym_BQUOTE,
    ACTIONS(11154), 1,
      anon_sym_RBRACE,
    STATE(7897), 1,
      sym_string,
    STATE(3892), 2,
      sym__string_literal,
      sym__raw_string_literal,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [312115] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11156), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [312129] = 6,
    ACTIONS(645), 1,
      anon_sym_DQUOTE,
    ACTIONS(647), 1,
      anon_sym_BQUOTE,
    ACTIONS(11158), 1,
      anon_sym_RBRACE,
    STATE(7897), 1,
      sym_string,
    STATE(3892), 2,
      sym__string_literal,
      sym__raw_string_literal,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [312151] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11160), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [312165] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11162), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [312179] = 6,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(11062), 1,
      anon_sym_SLASH,
    ACTIONS(11164), 1,
      sym_identifier,
    ACTIONS(11166), 1,
      anon_sym_EQ,
    ACTIONS(9930), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [312201] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11168), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [312215] = 6,
    ACTIONS(645), 1,
      anon_sym_DQUOTE,
    ACTIONS(647), 1,
      anon_sym_BQUOTE,
    ACTIONS(11170), 1,
      anon_sym_RBRACE,
    STATE(7897), 1,
      sym_string,
    STATE(3892), 2,
      sym__string_literal,
      sym__raw_string_literal,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [312237] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11172), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [312251] = 4,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4798), 4,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RPAREN,
  [312269] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11174), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [312283] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11176), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [312297] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11178), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [312311] = 7,
    ACTIONS(6089), 1,
      anon_sym_LBRACE,
    ACTIONS(10998), 1,
      anon_sym_LPAREN,
    ACTIONS(11056), 1,
      sym_tag,
    STATE(1562), 1,
      aux_sym_struct_type_repeat2,
    STATE(6906), 1,
      sym_polymorphic_parameters,
    STATE(6911), 1,
      aux_sym_struct_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [312335] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11180), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [312349] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11182), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [312363] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11184), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [312377] = 7,
    ACTIONS(7760), 1,
      anon_sym_LBRACE,
    ACTIONS(10998), 1,
      anon_sym_LPAREN,
    ACTIONS(11056), 1,
      sym_tag,
    STATE(3976), 1,
      aux_sym_struct_type_repeat2,
    STATE(6880), 1,
      sym_polymorphic_parameters,
    STATE(6888), 1,
      aux_sym_struct_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [312401] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11186), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [312415] = 7,
    ACTIONS(7100), 1,
      anon_sym_LBRACE,
    ACTIONS(10998), 1,
      anon_sym_LPAREN,
    ACTIONS(11056), 1,
      sym_tag,
    STATE(3182), 1,
      aux_sym_struct_type_repeat2,
    STATE(6877), 1,
      sym_polymorphic_parameters,
    STATE(6904), 1,
      aux_sym_struct_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [312439] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11188), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [312453] = 6,
    ACTIONS(51), 1,
      anon_sym_DQUOTE,
    ACTIONS(53), 1,
      anon_sym_BQUOTE,
    ACTIONS(11190), 1,
      anon_sym_LBRACE,
    STATE(6535), 1,
      sym_string,
    STATE(3867), 2,
      sym__string_literal,
      sym__raw_string_literal,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [312475] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11192), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [312489] = 7,
    ACTIONS(10998), 1,
      anon_sym_LPAREN,
    ACTIONS(11056), 1,
      sym_tag,
    ACTIONS(11194), 1,
      anon_sym_LBRACE,
    STATE(2661), 1,
      aux_sym_struct_type_repeat2,
    STATE(6903), 1,
      sym_polymorphic_parameters,
    STATE(6905), 1,
      aux_sym_struct_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [312513] = 5,
    STATE(39), 1,
      sym__separator,
    STATE(6620), 1,
      aux_sym_block_repeat1,
    ACTIONS(11054), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(11150), 2,
      anon_sym_RBRACE,
      anon_sym_case,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [312533] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11196), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [312547] = 6,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(11062), 1,
      anon_sym_SLASH,
    ACTIONS(11198), 1,
      sym_identifier,
    ACTIONS(11200), 1,
      anon_sym_EQ,
    ACTIONS(10001), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [312569] = 7,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(11093), 1,
      anon_sym_SLASH,
    ACTIONS(11202), 1,
      anon_sym_COMMA,
    ACTIONS(11204), 1,
      anon_sym_RPAREN,
    ACTIONS(11206), 1,
      anon_sym_when,
    STATE(7089), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [312593] = 7,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(11093), 1,
      anon_sym_SLASH,
    ACTIONS(11208), 1,
      anon_sym_COMMA,
    ACTIONS(11210), 1,
      anon_sym_RPAREN,
    ACTIONS(11212), 1,
      anon_sym_when,
    STATE(7212), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [312617] = 6,
    ACTIONS(645), 1,
      anon_sym_DQUOTE,
    ACTIONS(647), 1,
      anon_sym_BQUOTE,
    ACTIONS(11214), 1,
      anon_sym_RBRACE,
    STATE(7897), 1,
      sym_string,
    STATE(3892), 2,
      sym__string_literal,
      sym__raw_string_literal,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [312639] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11216), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [312653] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11218), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [312667] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11220), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [312681] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11222), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [312695] = 5,
    STATE(39), 1,
      sym__separator,
    STATE(6520), 1,
      aux_sym_block_repeat1,
    ACTIONS(11054), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(11224), 2,
      anon_sym_RBRACE,
      anon_sym_case,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [312715] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11226), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [312729] = 6,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(11062), 1,
      anon_sym_SLASH,
    ACTIONS(11228), 1,
      sym_identifier,
    ACTIONS(11232), 1,
      anon_sym_EQ,
    ACTIONS(11230), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [312751] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11234), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [312765] = 7,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(11093), 1,
      anon_sym_SLASH,
    ACTIONS(11236), 1,
      anon_sym_COMMA,
    ACTIONS(11238), 1,
      anon_sym_RPAREN,
    ACTIONS(11240), 1,
      anon_sym_when,
    STATE(7227), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [312789] = 6,
    ACTIONS(7374), 1,
      anon_sym_LBRACE,
    ACTIONS(10915), 1,
      anon_sym_LPAREN,
    ACTIONS(11015), 1,
      anon_sym_DOT,
    STATE(6917), 1,
      aux_sym_field_identifier_repeat1,
    ACTIONS(11242), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [312811] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11244), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [312825] = 6,
    ACTIONS(645), 1,
      anon_sym_DQUOTE,
    ACTIONS(647), 1,
      anon_sym_BQUOTE,
    ACTIONS(11246), 1,
      anon_sym_RBRACE,
    STATE(7897), 1,
      sym_string,
    STATE(3892), 2,
      sym__string_literal,
      sym__raw_string_literal,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [312847] = 6,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(11062), 1,
      anon_sym_SLASH,
    ACTIONS(11248), 1,
      sym_identifier,
    ACTIONS(11250), 1,
      anon_sym_EQ,
    ACTIONS(11125), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [312869] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11252), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [312883] = 7,
    ACTIONS(10893), 1,
      anon_sym_DOT2,
    ACTIONS(10986), 1,
      anon_sym_COMMA,
    ACTIONS(11230), 1,
      anon_sym_RPAREN,
    ACTIONS(11254), 1,
      anon_sym_COLON,
    STATE(3065), 1,
      aux_sym_field_type_repeat1,
    STATE(7011), 1,
      aux_sym_parameter_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [312907] = 7,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(11093), 1,
      anon_sym_SLASH,
    ACTIONS(11256), 1,
      anon_sym_COMMA,
    ACTIONS(11258), 1,
      anon_sym_RPAREN,
    ACTIONS(11260), 1,
      anon_sym_when,
    STATE(7475), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [312931] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11262), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [312945] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11264), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [312959] = 7,
    ACTIONS(10998), 1,
      anon_sym_LPAREN,
    ACTIONS(11056), 1,
      sym_tag,
    ACTIONS(11266), 1,
      anon_sym_LBRACE,
    STATE(1651), 1,
      aux_sym_struct_type_repeat2,
    STATE(6949), 1,
      sym_polymorphic_parameters,
    STATE(6951), 1,
      aux_sym_struct_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [312983] = 7,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(11093), 1,
      anon_sym_SLASH,
    ACTIONS(11268), 1,
      anon_sym_COMMA,
    ACTIONS(11270), 1,
      anon_sym_RPAREN,
    ACTIONS(11272), 1,
      anon_sym_when,
    STATE(7731), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [313007] = 5,
    STATE(39), 1,
      sym__separator,
    STATE(6520), 1,
      aux_sym_block_repeat1,
    ACTIONS(11054), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(11274), 2,
      anon_sym_RBRACE,
      anon_sym_case,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [313027] = 7,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(11093), 1,
      anon_sym_SLASH,
    ACTIONS(11276), 1,
      anon_sym_COMMA,
    ACTIONS(11278), 1,
      anon_sym_RPAREN,
    ACTIONS(11280), 1,
      anon_sym_when,
    STATE(7333), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [313051] = 5,
    STATE(39), 1,
      sym__separator,
    STATE(6561), 1,
      aux_sym_block_repeat1,
    ACTIONS(11054), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(11282), 2,
      anon_sym_RBRACE,
      anon_sym_case,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [313071] = 7,
    ACTIONS(10998), 1,
      anon_sym_LPAREN,
    ACTIONS(11056), 1,
      sym_tag,
    ACTIONS(11284), 1,
      anon_sym_LBRACE,
    STATE(659), 1,
      aux_sym_struct_type_repeat2,
    STATE(7003), 1,
      sym_polymorphic_parameters,
    STATE(7004), 1,
      aux_sym_struct_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [313095] = 7,
    ACTIONS(6089), 1,
      anon_sym_LBRACE,
    ACTIONS(10998), 1,
      anon_sym_LPAREN,
    ACTIONS(11056), 1,
      sym_tag,
    STATE(1941), 1,
      aux_sym_struct_type_repeat2,
    STATE(7005), 1,
      sym_polymorphic_parameters,
    STATE(7006), 1,
      aux_sym_struct_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [313119] = 7,
    ACTIONS(10998), 1,
      anon_sym_LPAREN,
    ACTIONS(11056), 1,
      sym_tag,
    ACTIONS(11286), 1,
      anon_sym_LBRACE,
    STATE(3035), 1,
      aux_sym_struct_type_repeat2,
    STATE(7026), 1,
      sym_polymorphic_parameters,
    STATE(7027), 1,
      aux_sym_struct_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [313143] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11288), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [313157] = 6,
    ACTIONS(645), 1,
      anon_sym_DQUOTE,
    ACTIONS(647), 1,
      anon_sym_BQUOTE,
    ACTIONS(11290), 1,
      anon_sym_RBRACE,
    STATE(7897), 1,
      sym_string,
    STATE(3892), 2,
      sym__string_literal,
      sym__raw_string_literal,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [313179] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11292), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [313193] = 6,
    ACTIONS(645), 1,
      anon_sym_DQUOTE,
    ACTIONS(647), 1,
      anon_sym_BQUOTE,
    ACTIONS(11294), 1,
      anon_sym_RBRACE,
    STATE(7897), 1,
      sym_string,
    STATE(3892), 2,
      sym__string_literal,
      sym__raw_string_literal,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [313215] = 7,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(11093), 1,
      anon_sym_SLASH,
    ACTIONS(11296), 1,
      anon_sym_COMMA,
    ACTIONS(11298), 1,
      anon_sym_RPAREN,
    ACTIONS(11300), 1,
      anon_sym_when,
    STATE(7398), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [313239] = 7,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(11093), 1,
      anon_sym_SLASH,
    ACTIONS(11302), 1,
      anon_sym_COMMA,
    ACTIONS(11304), 1,
      anon_sym_RPAREN,
    ACTIONS(11306), 1,
      anon_sym_when,
    STATE(7601), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [313263] = 7,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(11093), 1,
      anon_sym_SLASH,
    ACTIONS(11308), 1,
      anon_sym_COMMA,
    ACTIONS(11310), 1,
      anon_sym_RPAREN,
    ACTIONS(11312), 1,
      anon_sym_when,
    STATE(7123), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [313287] = 7,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(11093), 1,
      anon_sym_SLASH,
    ACTIONS(11314), 1,
      anon_sym_COMMA,
    ACTIONS(11316), 1,
      anon_sym_RPAREN,
    ACTIONS(11318), 1,
      anon_sym_when,
    STATE(7743), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [313311] = 7,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(11093), 1,
      anon_sym_SLASH,
    ACTIONS(11320), 1,
      anon_sym_COMMA,
    ACTIONS(11322), 1,
      anon_sym_RPAREN,
    ACTIONS(11324), 1,
      anon_sym_when,
    STATE(7422), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [313335] = 5,
    STATE(39), 1,
      sym__separator,
    STATE(6520), 1,
      aux_sym_block_repeat1,
    ACTIONS(11054), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(11282), 2,
      anon_sym_RBRACE,
      anon_sym_case,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [313355] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11326), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [313369] = 5,
    STATE(39), 1,
      sym__separator,
    STATE(6520), 1,
      aux_sym_block_repeat1,
    ACTIONS(11054), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(11224), 2,
      anon_sym_RBRACE,
      anon_sym_case,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [313389] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11328), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [313403] = 6,
    ACTIONS(645), 1,
      anon_sym_DQUOTE,
    ACTIONS(647), 1,
      anon_sym_BQUOTE,
    ACTIONS(11330), 1,
      anon_sym_RBRACE,
    STATE(7897), 1,
      sym_string,
    STATE(3892), 2,
      sym__string_literal,
      sym__raw_string_literal,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [313425] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11332), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [313439] = 6,
    ACTIONS(51), 1,
      anon_sym_DQUOTE,
    ACTIONS(53), 1,
      anon_sym_BQUOTE,
    ACTIONS(11334), 1,
      anon_sym_LBRACE,
    STATE(6490), 1,
      sym_string,
    STATE(3867), 2,
      sym__string_literal,
      sym__raw_string_literal,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [313461] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11336), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [313475] = 4,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(11062), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4688), 4,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      sym_identifier,
  [313493] = 4,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(11062), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4696), 4,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      sym_identifier,
  [313511] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11338), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [313525] = 4,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(11062), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4700), 4,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      sym_identifier,
  [313543] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11340), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [313557] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11342), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [313571] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11344), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [313585] = 4,
    ACTIONS(11346), 1,
      sym_identifier,
    ACTIONS(11350), 2,
      anon_sym_else,
      anon_sym_case,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11348), 3,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [313603] = 4,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10877), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4710), 4,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [313621] = 4,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10877), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4748), 4,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [313639] = 7,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(11093), 1,
      anon_sym_SLASH,
    ACTIONS(11352), 1,
      anon_sym_COMMA,
    ACTIONS(11354), 1,
      anon_sym_RPAREN,
    ACTIONS(11356), 1,
      anon_sym_when,
    STATE(7612), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [313663] = 4,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10877), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4688), 4,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [313681] = 4,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10877), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4696), 4,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [313699] = 4,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10877), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4700), 4,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_DQUOTE,
      anon_sym_BQUOTE,
  [313717] = 7,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(11093), 1,
      anon_sym_SLASH,
    ACTIONS(11358), 1,
      anon_sym_COMMA,
    ACTIONS(11360), 1,
      anon_sym_RPAREN,
    ACTIONS(11362), 1,
      anon_sym_when,
    STATE(7396), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [313741] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11364), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [313755] = 4,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(11062), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4710), 4,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      sym_identifier,
  [313773] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11366), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [313787] = 4,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(11062), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4748), 4,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      sym_identifier,
  [313805] = 5,
    STATE(39), 1,
      sym__separator,
    STATE(6594), 1,
      aux_sym_block_repeat1,
    ACTIONS(11054), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(11282), 2,
      anon_sym_RBRACE,
      anon_sym_case,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [313825] = 5,
    STATE(39), 1,
      sym__separator,
    STATE(6520), 1,
      aux_sym_block_repeat1,
    ACTIONS(11054), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(11282), 2,
      anon_sym_RBRACE,
      anon_sym_case,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [313845] = 5,
    STATE(39), 1,
      sym__separator,
    STATE(6520), 1,
      aux_sym_block_repeat1,
    ACTIONS(11054), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(11368), 2,
      anon_sym_RBRACE,
      anon_sym_case,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [313865] = 4,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(909), 4,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_RPAREN,
  [313883] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11370), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [313897] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11372), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [313911] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(10899), 6,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [313925] = 5,
    ACTIONS(11374), 1,
      anon_sym_RBRACE,
    STATE(39), 1,
      sym__separator,
    STATE(6520), 1,
      aux_sym_block_repeat1,
    ACTIONS(11054), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [313944] = 6,
    ACTIONS(11376), 1,
      sym_identifier,
    ACTIONS(11378), 1,
      anon_sym_RBRACE,
    ACTIONS(11380), 1,
      anon_sym_using,
    STATE(7724), 1,
      sym_struct_member,
    STATE(8129), 1,
      sym__struct_members,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [313965] = 5,
    ACTIONS(11382), 1,
      anon_sym_RBRACE,
    STATE(39), 1,
      sym__separator,
    STATE(6520), 1,
      aux_sym_block_repeat1,
    ACTIONS(11054), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [313984] = 6,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(11384), 1,
      anon_sym_RBRACE,
    ACTIONS(11386), 1,
      anon_sym_COMMA,
    STATE(7097), 1,
      aux_sym_union_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [314005] = 5,
    ACTIONS(11388), 1,
      anon_sym_RBRACE,
    STATE(39), 1,
      sym__separator,
    STATE(6520), 1,
      aux_sym_block_repeat1,
    ACTIONS(11054), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [314024] = 6,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(11390), 1,
      anon_sym_COMMA,
    ACTIONS(11392), 1,
      anon_sym_RPAREN,
    STATE(7116), 1,
      aux_sym_polymorphic_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [314045] = 5,
    ACTIONS(645), 1,
      anon_sym_DQUOTE,
    ACTIONS(647), 1,
      anon_sym_BQUOTE,
    STATE(7458), 1,
      sym_string,
    STATE(3892), 2,
      sym__string_literal,
      sym__raw_string_literal,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [314064] = 5,
    ACTIONS(11394), 1,
      anon_sym_RBRACE,
    STATE(39), 1,
      sym__separator,
    STATE(6520), 1,
      aux_sym_block_repeat1,
    ACTIONS(11054), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [314083] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11396), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [314096] = 5,
    ACTIONS(11398), 1,
      anon_sym_RBRACE,
    STATE(39), 1,
      sym__separator,
    STATE(6673), 1,
      aux_sym_block_repeat1,
    ACTIONS(11054), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [314115] = 5,
    ACTIONS(11398), 1,
      anon_sym_RBRACE,
    STATE(39), 1,
      sym__separator,
    STATE(6520), 1,
      aux_sym_block_repeat1,
    ACTIONS(11054), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [314134] = 5,
    ACTIONS(645), 1,
      anon_sym_DQUOTE,
    ACTIONS(647), 1,
      anon_sym_BQUOTE,
    STATE(7897), 1,
      sym_string,
    STATE(3892), 2,
      sym__string_literal,
      sym__raw_string_literal,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [314153] = 6,
    ACTIONS(11400), 1,
      sym_identifier,
    ACTIONS(11402), 1,
      anon_sym_RBRACE,
    ACTIONS(11404), 1,
      anon_sym_using,
    ACTIONS(11406), 1,
      sym_tag,
    STATE(7829), 1,
      sym_field,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [314174] = 6,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(11408), 1,
      anon_sym_RBRACE,
    ACTIONS(11410), 1,
      anon_sym_COMMA,
    STATE(7216), 1,
      aux_sym_union_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [314195] = 5,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(8342), 1,
      anon_sym_SEMI,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(11412), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [314214] = 4,
    ACTIONS(4728), 1,
      anon_sym_SLASH,
    ACTIONS(11414), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4726), 3,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [314231] = 4,
    ACTIONS(10893), 1,
      anon_sym_DOT2,
    STATE(3065), 1,
      aux_sym_field_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11416), 3,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RPAREN,
  [314248] = 6,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(11418), 1,
      anon_sym_RBRACE,
    ACTIONS(11420), 1,
      anon_sym_COMMA,
    STATE(7204), 1,
      aux_sym_union_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [314269] = 5,
    ACTIONS(11422), 1,
      anon_sym_RBRACE,
    STATE(39), 1,
      sym__separator,
    STATE(6646), 1,
      aux_sym_block_repeat1,
    ACTIONS(11054), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [314288] = 5,
    ACTIONS(11424), 1,
      anon_sym_RBRACE,
    STATE(39), 1,
      sym__separator,
    STATE(6653), 1,
      aux_sym_block_repeat1,
    ACTIONS(11054), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [314307] = 5,
    ACTIONS(11424), 1,
      anon_sym_RBRACE,
    STATE(39), 1,
      sym__separator,
    STATE(6520), 1,
      aux_sym_block_repeat1,
    ACTIONS(11054), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [314326] = 6,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(11426), 1,
      anon_sym_COMMA,
    ACTIONS(11428), 1,
      anon_sym_RPAREN,
    STATE(7388), 1,
      aux_sym_polymorphic_parameters_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [314347] = 6,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(11390), 1,
      anon_sym_COMMA,
    ACTIONS(11430), 1,
      anon_sym_RPAREN,
    STATE(7328), 1,
      aux_sym_polymorphic_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [314368] = 6,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(11432), 1,
      anon_sym_RBRACE,
    ACTIONS(11434), 1,
      anon_sym_COMMA,
    STATE(7742), 1,
      aux_sym_union_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [314389] = 4,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4792), 3,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RPAREN,
  [314406] = 5,
    ACTIONS(645), 1,
      anon_sym_DQUOTE,
    ACTIONS(647), 1,
      anon_sym_BQUOTE,
    STATE(7395), 1,
      sym_string,
    STATE(3892), 2,
      sym__string_literal,
      sym__raw_string_literal,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [314425] = 6,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(11390), 1,
      anon_sym_COMMA,
    ACTIONS(11436), 1,
      anon_sym_RPAREN,
    STATE(7057), 1,
      aux_sym_polymorphic_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [314446] = 5,
    ACTIONS(11438), 1,
      anon_sym_RBRACE,
    STATE(39), 1,
      sym__separator,
    STATE(6520), 1,
      aux_sym_block_repeat1,
    ACTIONS(11054), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [314465] = 6,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(11390), 1,
      anon_sym_COMMA,
    ACTIONS(11440), 1,
      anon_sym_RPAREN,
    STATE(7237), 1,
      aux_sym_polymorphic_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [314486] = 6,
    ACTIONS(11400), 1,
      sym_identifier,
    ACTIONS(11404), 1,
      anon_sym_using,
    ACTIONS(11406), 1,
      sym_tag,
    ACTIONS(11442), 1,
      anon_sym_RBRACE,
    STATE(7442), 1,
      sym_field,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [314507] = 6,
    ACTIONS(10996), 1,
      anon_sym_where,
    ACTIONS(11000), 1,
      sym_tag,
    ACTIONS(11444), 1,
      anon_sym_LBRACE,
    STATE(6926), 1,
      aux_sym_struct_declaration_repeat1,
    STATE(8231), 1,
      sym_where_clause,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [314528] = 5,
    ACTIONS(11446), 1,
      anon_sym_RBRACE,
    STATE(39), 1,
      sym__separator,
    STATE(6662), 1,
      aux_sym_block_repeat1,
    ACTIONS(11054), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [314547] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11448), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [314560] = 6,
    ACTIONS(11376), 1,
      sym_identifier,
    ACTIONS(11380), 1,
      anon_sym_using,
    ACTIONS(11450), 1,
      anon_sym_RBRACE,
    STATE(7724), 1,
      sym_struct_member,
    STATE(8262), 1,
      sym__struct_members,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [314581] = 6,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(8536), 1,
      anon_sym_RBRACE,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(11452), 1,
      anon_sym_COMMA,
    STATE(7456), 1,
      aux_sym_union_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [314602] = 5,
    ACTIONS(11454), 1,
      anon_sym_RBRACE,
    STATE(39), 1,
      sym__separator,
    STATE(6668), 1,
      aux_sym_block_repeat1,
    ACTIONS(11054), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [314621] = 5,
    ACTIONS(11454), 1,
      anon_sym_RBRACE,
    STATE(39), 1,
      sym__separator,
    STATE(6520), 1,
      aux_sym_block_repeat1,
    ACTIONS(11054), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [314640] = 4,
    ACTIONS(8993), 1,
      anon_sym_COMMA,
    STATE(6778), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3257), 3,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [314657] = 6,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(11456), 1,
      anon_sym_RBRACE,
    ACTIONS(11458), 1,
      anon_sym_COMMA,
    STATE(7114), 1,
      aux_sym_union_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [314678] = 4,
    ACTIONS(11460), 1,
      anon_sym_COMMA,
    STATE(6404), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3251), 3,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [314695] = 5,
    ACTIONS(11462), 1,
      anon_sym_RBRACE,
    STATE(39), 1,
      sym__separator,
    STATE(6672), 1,
      aux_sym_block_repeat1,
    ACTIONS(11054), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [314714] = 6,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(11390), 1,
      anon_sym_COMMA,
    ACTIONS(11464), 1,
      anon_sym_RPAREN,
    STATE(7117), 1,
      aux_sym_polymorphic_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [314735] = 5,
    ACTIONS(11466), 1,
      anon_sym_RBRACE,
    STATE(39), 1,
      sym__separator,
    STATE(6520), 1,
      aux_sym_block_repeat1,
    ACTIONS(11054), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [314754] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11468), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [314767] = 6,
    ACTIONS(11400), 1,
      sym_identifier,
    ACTIONS(11404), 1,
      anon_sym_using,
    ACTIONS(11406), 1,
      sym_tag,
    ACTIONS(11442), 1,
      anon_sym_RBRACE,
    STATE(7829), 1,
      sym_field,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [314788] = 5,
    ACTIONS(11470), 1,
      anon_sym_RBRACE,
    STATE(39), 1,
      sym__separator,
    STATE(6681), 1,
      aux_sym_block_repeat1,
    ACTIONS(11054), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [314807] = 5,
    ACTIONS(11470), 1,
      anon_sym_RBRACE,
    STATE(39), 1,
      sym__separator,
    STATE(6520), 1,
      aux_sym_block_repeat1,
    ACTIONS(11054), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [314826] = 5,
    ACTIONS(11472), 1,
      anon_sym_RBRACE,
    STATE(39), 1,
      sym__separator,
    STATE(6520), 1,
      aux_sym_block_repeat1,
    ACTIONS(11054), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [314845] = 6,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(11474), 1,
      anon_sym_RBRACE,
    ACTIONS(11476), 1,
      anon_sym_COMMA,
    STATE(7147), 1,
      aux_sym_union_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [314866] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11478), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [314879] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11480), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [314892] = 6,
    ACTIONS(11400), 1,
      sym_identifier,
    ACTIONS(11404), 1,
      anon_sym_using,
    ACTIONS(11406), 1,
      sym_tag,
    ACTIONS(11482), 1,
      anon_sym_RBRACE,
    STATE(7829), 1,
      sym_field,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [314913] = 6,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(11390), 1,
      anon_sym_COMMA,
    ACTIONS(11484), 1,
      anon_sym_RPAREN,
    STATE(7158), 1,
      aux_sym_polymorphic_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [314934] = 6,
    ACTIONS(11400), 1,
      sym_identifier,
    ACTIONS(11404), 1,
      anon_sym_using,
    ACTIONS(11406), 1,
      sym_tag,
    ACTIONS(11486), 1,
      anon_sym_RBRACE,
    STATE(7495), 1,
      sym_field,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [314955] = 5,
    ACTIONS(11488), 1,
      sym_identifier,
    ACTIONS(11492), 1,
      anon_sym_where,
    ACTIONS(11494), 1,
      sym_number,
    ACTIONS(11490), 2,
      anon_sym_LBRACE,
      sym_tag,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [314974] = 5,
    ACTIONS(11496), 1,
      anon_sym_RBRACE,
    STATE(39), 1,
      sym__separator,
    STATE(6520), 1,
      aux_sym_block_repeat1,
    ACTIONS(11054), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [314993] = 4,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(855), 3,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RPAREN,
  [315010] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(10922), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [315023] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(10977), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [315036] = 6,
    ACTIONS(10994), 1,
      anon_sym_LBRACE,
    ACTIONS(10996), 1,
      anon_sym_where,
    ACTIONS(11000), 1,
      sym_tag,
    STATE(6769), 1,
      aux_sym_struct_declaration_repeat1,
    STATE(8497), 1,
      sym_where_clause,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [315057] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11498), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [315070] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11500), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [315083] = 6,
    ACTIONS(10994), 1,
      anon_sym_LBRACE,
    ACTIONS(10996), 1,
      anon_sym_where,
    ACTIONS(11000), 1,
      sym_tag,
    STATE(6926), 1,
      aux_sym_struct_declaration_repeat1,
    STATE(8497), 1,
      sym_where_clause,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [315104] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11502), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [315117] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11504), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [315130] = 4,
    ACTIONS(857), 1,
      anon_sym_SLASH,
    ACTIONS(8074), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(855), 3,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [315147] = 5,
    ACTIONS(11506), 1,
      anon_sym_RBRACE,
    STATE(39), 1,
      sym__separator,
    STATE(6703), 1,
      aux_sym_block_repeat1,
    ACTIONS(11054), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [315166] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11508), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [315179] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11510), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [315192] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11512), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [315205] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11514), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [315218] = 5,
    ACTIONS(11516), 1,
      anon_sym_RBRACE,
    STATE(39), 1,
      sym__separator,
    STATE(6707), 1,
      aux_sym_block_repeat1,
    ACTIONS(11054), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [315237] = 6,
    ACTIONS(11376), 1,
      sym_identifier,
    ACTIONS(11380), 1,
      anon_sym_using,
    ACTIONS(11518), 1,
      anon_sym_RBRACE,
    STATE(7724), 1,
      sym_struct_member,
    STATE(8220), 1,
      sym__struct_members,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [315258] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11520), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [315271] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11522), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [315284] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11524), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [315297] = 5,
    ACTIONS(11526), 1,
      anon_sym_RBRACE,
    STATE(39), 1,
      sym__separator,
    STATE(6712), 1,
      aux_sym_block_repeat1,
    ACTIONS(11054), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [315316] = 5,
    ACTIONS(11526), 1,
      anon_sym_RBRACE,
    STATE(39), 1,
      sym__separator,
    STATE(6520), 1,
      aux_sym_block_repeat1,
    ACTIONS(11054), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [315335] = 6,
    ACTIONS(8768), 1,
      anon_sym_COMMA,
    ACTIONS(11113), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11115), 1,
      anon_sym_COLON,
    ACTIONS(11528), 1,
      anon_sym_COLON_EQ,
    STATE(6494), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [315356] = 6,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(11530), 1,
      anon_sym_RBRACE,
    ACTIONS(11532), 1,
      anon_sym_COMMA,
    STATE(7238), 1,
      aux_sym_union_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [315377] = 5,
    ACTIONS(11534), 1,
      anon_sym_RBRACE,
    STATE(39), 1,
      sym__separator,
    STATE(6626), 1,
      aux_sym_block_repeat1,
    ACTIONS(11054), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [315396] = 5,
    ACTIONS(11534), 1,
      anon_sym_RBRACE,
    STATE(39), 1,
      sym__separator,
    STATE(6520), 1,
      aux_sym_block_repeat1,
    ACTIONS(11054), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [315415] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11536), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [315428] = 6,
    ACTIONS(8514), 1,
      anon_sym_COLON,
    ACTIONS(8768), 1,
      anon_sym_COMMA,
    ACTIONS(9021), 1,
      anon_sym_COLON_EQ,
    ACTIONS(10555), 1,
      anon_sym_COLON_COLON,
    STATE(6494), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [315449] = 6,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(11390), 1,
      anon_sym_COMMA,
    ACTIONS(11538), 1,
      anon_sym_RPAREN,
    STATE(7245), 1,
      aux_sym_polymorphic_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [315470] = 6,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(11540), 1,
      anon_sym_RBRACE,
    ACTIONS(11542), 1,
      anon_sym_COMMA,
    STATE(7247), 1,
      aux_sym_union_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [315491] = 5,
    ACTIONS(11544), 1,
      anon_sym_RBRACE,
    STATE(39), 1,
      sym__separator,
    STATE(6520), 1,
      aux_sym_block_repeat1,
    ACTIONS(11054), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [315510] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11546), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [315523] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(10984), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [315536] = 6,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(11390), 1,
      anon_sym_COMMA,
    ACTIONS(11548), 1,
      anon_sym_RPAREN,
    STATE(7251), 1,
      aux_sym_polymorphic_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [315557] = 4,
    ACTIONS(8993), 1,
      anon_sym_COMMA,
    STATE(6404), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3257), 3,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [315574] = 5,
    ACTIONS(11550), 1,
      anon_sym_RBRACE,
    STATE(39), 1,
      sym__separator,
    STATE(6520), 1,
      aux_sym_block_repeat1,
    ACTIONS(11054), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [315593] = 4,
    ACTIONS(895), 1,
      anon_sym_SLASH,
    ACTIONS(11017), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(893), 3,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [315610] = 5,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(11552), 1,
      anon_sym_EQ,
    ACTIONS(4930), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [315629] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11554), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [315642] = 5,
    ACTIONS(7379), 1,
      anon_sym_LPAREN,
    ACTIONS(7524), 1,
      anon_sym_LBRACE,
    ACTIONS(11002), 1,
      anon_sym_SLASH,
    ACTIONS(4748), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [315661] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11556), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [315674] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11558), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [315687] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(10954), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [315700] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11560), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [315713] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11562), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [315726] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11564), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [315739] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11566), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [315752] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11568), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [315765] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11570), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [315778] = 5,
    ACTIONS(11572), 1,
      anon_sym_RBRACE,
    STATE(39), 1,
      sym__separator,
    STATE(6749), 1,
      aux_sym_block_repeat1,
    ACTIONS(11054), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [315797] = 4,
    ACTIONS(10893), 1,
      anon_sym_DOT2,
    STATE(3065), 1,
      aux_sym_field_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11574), 3,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RPAREN,
  [315814] = 4,
    ACTIONS(8804), 1,
      anon_sym_COMMA,
    STATE(6716), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8802), 3,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [315831] = 5,
    ACTIONS(11576), 1,
      anon_sym_RBRACE,
    STATE(39), 1,
      sym__separator,
    STATE(6738), 1,
      aux_sym_block_repeat1,
    ACTIONS(11054), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [315850] = 6,
    ACTIONS(11376), 1,
      sym_identifier,
    ACTIONS(11380), 1,
      anon_sym_using,
    ACTIONS(11578), 1,
      anon_sym_RBRACE,
    STATE(7724), 1,
      sym_struct_member,
    STATE(8112), 1,
      sym__struct_members,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [315871] = 5,
    ACTIONS(11580), 1,
      anon_sym_RBRACE,
    STATE(39), 1,
      sym__separator,
    STATE(6808), 1,
      aux_sym_block_repeat1,
    ACTIONS(11054), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [315890] = 5,
    ACTIONS(11582), 1,
      anon_sym_RBRACE,
    STATE(39), 1,
      sym__separator,
    STATE(6747), 1,
      aux_sym_block_repeat1,
    ACTIONS(11054), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [315909] = 5,
    ACTIONS(11582), 1,
      anon_sym_RBRACE,
    STATE(39), 1,
      sym__separator,
    STATE(6520), 1,
      aux_sym_block_repeat1,
    ACTIONS(11054), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [315928] = 6,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(11584), 1,
      anon_sym_RBRACE,
    ACTIONS(11586), 1,
      anon_sym_COMMA,
    STATE(7369), 1,
      aux_sym_union_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [315949] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11588), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [315962] = 4,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(833), 3,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RPAREN,
  [315979] = 6,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(11390), 1,
      anon_sym_COMMA,
    ACTIONS(11590), 1,
      anon_sym_RPAREN,
    STATE(7373), 1,
      aux_sym_polymorphic_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [316000] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11592), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [316013] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11594), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [316026] = 5,
    ACTIONS(11580), 1,
      anon_sym_RBRACE,
    STATE(39), 1,
      sym__separator,
    STATE(6520), 1,
      aux_sym_block_repeat1,
    ACTIONS(11054), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [316045] = 5,
    ACTIONS(11596), 1,
      anon_sym_RBRACE,
    STATE(39), 1,
      sym__separator,
    STATE(6791), 1,
      aux_sym_block_repeat1,
    ACTIONS(11054), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [316064] = 5,
    ACTIONS(11598), 1,
      anon_sym_RBRACE,
    STATE(39), 1,
      sym__separator,
    STATE(6520), 1,
      aux_sym_block_repeat1,
    ACTIONS(11054), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [316083] = 5,
    ACTIONS(11600), 1,
      anon_sym_RBRACE,
    STATE(39), 1,
      sym__separator,
    STATE(6775), 1,
      aux_sym_block_repeat1,
    ACTIONS(11054), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [316102] = 5,
    ACTIONS(11600), 1,
      anon_sym_RBRACE,
    STATE(39), 1,
      sym__separator,
    STATE(6520), 1,
      aux_sym_block_repeat1,
    ACTIONS(11054), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [316121] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11602), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [316134] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11604), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [316147] = 4,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(11093), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4710), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_when,
  [316164] = 4,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(11093), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4748), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_when,
  [316181] = 6,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(11390), 1,
      anon_sym_COMMA,
    ACTIONS(11606), 1,
      anon_sym_RPAREN,
    STATE(7064), 1,
      aux_sym_polymorphic_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [316202] = 5,
    ACTIONS(645), 1,
      anon_sym_DQUOTE,
    ACTIONS(647), 1,
      anon_sym_BQUOTE,
    STATE(7187), 1,
      sym_string,
    STATE(3892), 2,
      sym__string_literal,
      sym__raw_string_literal,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [316221] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11608), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [316234] = 6,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(11610), 1,
      anon_sym_RBRACE,
    ACTIONS(11612), 1,
      anon_sym_COMMA,
    STATE(7468), 1,
      aux_sym_union_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [316255] = 6,
    ACTIONS(11376), 1,
      sym_identifier,
    ACTIONS(11380), 1,
      anon_sym_using,
    ACTIONS(11614), 1,
      anon_sym_RBRACE,
    STATE(7724), 1,
      sym_struct_member,
    STATE(8157), 1,
      sym__struct_members,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [316276] = 5,
    ACTIONS(645), 1,
      anon_sym_DQUOTE,
    ACTIONS(647), 1,
      anon_sym_BQUOTE,
    STATE(7714), 1,
      sym_string,
    STATE(3892), 2,
      sym__string_literal,
      sym__raw_string_literal,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [316295] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11616), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [316308] = 5,
    ACTIONS(645), 1,
      anon_sym_DQUOTE,
    ACTIONS(647), 1,
      anon_sym_BQUOTE,
    STATE(7675), 1,
      sym_string,
    STATE(3892), 2,
      sym__string_literal,
      sym__raw_string_literal,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [316327] = 6,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(11390), 1,
      anon_sym_COMMA,
    ACTIONS(11618), 1,
      anon_sym_RPAREN,
    STATE(7477), 1,
      aux_sym_polymorphic_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [316348] = 6,
    ACTIONS(11400), 1,
      sym_identifier,
    ACTIONS(11404), 1,
      anon_sym_using,
    ACTIONS(11406), 1,
      sym_tag,
    ACTIONS(11620), 1,
      anon_sym_RBRACE,
    STATE(7736), 1,
      sym_field,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [316369] = 4,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(11093), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4688), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_when,
  [316386] = 4,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(11093), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4696), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_when,
  [316403] = 4,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(11093), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4700), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_when,
  [316420] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6318), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [316433] = 6,
    ACTIONS(10996), 1,
      anon_sym_where,
    ACTIONS(11000), 1,
      sym_tag,
    ACTIONS(11622), 1,
      anon_sym_LBRACE,
    STATE(6656), 1,
      aux_sym_struct_declaration_repeat1,
    STATE(8490), 1,
      sym_where_clause,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [316454] = 6,
    ACTIONS(10996), 1,
      anon_sym_where,
    ACTIONS(11000), 1,
      sym_tag,
    ACTIONS(11622), 1,
      anon_sym_LBRACE,
    STATE(6926), 1,
      aux_sym_struct_declaration_repeat1,
    STATE(8490), 1,
      sym_where_clause,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [316475] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11624), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [316488] = 6,
    ACTIONS(11400), 1,
      sym_identifier,
    ACTIONS(11404), 1,
      anon_sym_using,
    ACTIONS(11406), 1,
      sym_tag,
    ACTIONS(11626), 1,
      anon_sym_RBRACE,
    STATE(7829), 1,
      sym_field,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [316509] = 6,
    ACTIONS(11400), 1,
      sym_identifier,
    ACTIONS(11404), 1,
      anon_sym_using,
    ACTIONS(11406), 1,
      sym_tag,
    ACTIONS(11626), 1,
      anon_sym_RBRACE,
    STATE(7739), 1,
      sym_field,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [316530] = 5,
    ACTIONS(11628), 1,
      anon_sym_RBRACE,
    STATE(39), 1,
      sym__separator,
    STATE(6780), 1,
      aux_sym_block_repeat1,
    ACTIONS(11054), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [316549] = 6,
    ACTIONS(11376), 1,
      sym_identifier,
    ACTIONS(11380), 1,
      anon_sym_using,
    ACTIONS(11630), 1,
      anon_sym_RBRACE,
    STATE(7724), 1,
      sym_struct_member,
    STATE(8171), 1,
      sym__struct_members,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [316570] = 5,
    ACTIONS(11632), 1,
      anon_sym_RBRACE,
    STATE(39), 1,
      sym__separator,
    STATE(6520), 1,
      aux_sym_block_repeat1,
    ACTIONS(11054), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [316589] = 4,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(773), 3,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RPAREN,
  [316606] = 6,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(8898), 1,
      anon_sym_RBRACE,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(11634), 1,
      anon_sym_COMMA,
    STATE(7755), 1,
      aux_sym_union_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [316627] = 4,
    ACTIONS(8792), 1,
      anon_sym_COMMA,
    STATE(6404), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3261), 3,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [316644] = 5,
    ACTIONS(11636), 1,
      anon_sym_RBRACE,
    STATE(39), 1,
      sym__separator,
    STATE(6787), 1,
      aux_sym_block_repeat1,
    ACTIONS(11054), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [316663] = 5,
    ACTIONS(11636), 1,
      anon_sym_RBRACE,
    STATE(39), 1,
      sym__separator,
    STATE(6520), 1,
      aux_sym_block_repeat1,
    ACTIONS(11054), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [316682] = 4,
    ACTIONS(8792), 1,
      anon_sym_COMMA,
    STATE(6665), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(3261), 3,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [316699] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11638), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [316712] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11640), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [316725] = 6,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(11642), 1,
      anon_sym_RBRACE,
    ACTIONS(11644), 1,
      anon_sym_COMMA,
    STATE(7525), 1,
      aux_sym_union_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [316746] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(10950), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [316759] = 6,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(11390), 1,
      anon_sym_COMMA,
    ACTIONS(11646), 1,
      anon_sym_RPAREN,
    STATE(7530), 1,
      aux_sym_polymorphic_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [316780] = 5,
    ACTIONS(11648), 1,
      anon_sym_RBRACE,
    STATE(39), 1,
      sym__separator,
    STATE(6520), 1,
      aux_sym_block_repeat1,
    ACTIONS(11054), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [316799] = 5,
    ACTIONS(11650), 1,
      anon_sym_RBRACE,
    STATE(39), 1,
      sym__separator,
    STATE(6745), 1,
      aux_sym_block_repeat1,
    ACTIONS(11054), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [316818] = 5,
    ACTIONS(11652), 1,
      anon_sym_RBRACE,
    STATE(39), 1,
      sym__separator,
    STATE(6630), 1,
      aux_sym_block_repeat1,
    ACTIONS(11054), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [316837] = 6,
    ACTIONS(11400), 1,
      sym_identifier,
    ACTIONS(11404), 1,
      anon_sym_using,
    ACTIONS(11406), 1,
      sym_tag,
    ACTIONS(11654), 1,
      anon_sym_RBRACE,
    STATE(7829), 1,
      sym_field,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [316858] = 5,
    ACTIONS(11652), 1,
      anon_sym_RBRACE,
    STATE(39), 1,
      sym__separator,
    STATE(6520), 1,
      aux_sym_block_repeat1,
    ACTIONS(11054), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [316877] = 6,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(8838), 1,
      anon_sym_RBRACE,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(11656), 1,
      anon_sym_COMMA,
    STATE(7118), 1,
      aux_sym_union_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [316898] = 6,
    ACTIONS(11376), 1,
      sym_identifier,
    ACTIONS(11380), 1,
      anon_sym_using,
    ACTIONS(11658), 1,
      anon_sym_RBRACE,
    STATE(7724), 1,
      sym_struct_member,
    STATE(8168), 1,
      sym__struct_members,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [316919] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(10942), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [316932] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(10944), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [316945] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(10965), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [316958] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11660), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [316971] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(10952), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [316984] = 4,
    ACTIONS(8366), 1,
      anon_sym_COMMA,
    STATE(6453), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8418), 3,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [317001] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11662), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [317014] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11664), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [317027] = 4,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(4788), 3,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RPAREN,
  [317044] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11666), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [317057] = 5,
    ACTIONS(645), 1,
      anon_sym_DQUOTE,
    ACTIONS(647), 1,
      anon_sym_BQUOTE,
    STATE(7374), 1,
      sym_string,
    STATE(3892), 2,
      sym__string_literal,
      sym__raw_string_literal,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [317076] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11668), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [317089] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11670), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [317102] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11672), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [317115] = 5,
    ACTIONS(11674), 1,
      anon_sym_RBRACE,
    STATE(39), 1,
      sym__separator,
    STATE(6520), 1,
      aux_sym_block_repeat1,
    ACTIONS(11054), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [317134] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11676), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [317147] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11678), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [317160] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11680), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [317173] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11682), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [317186] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11684), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [317199] = 5,
    ACTIONS(8506), 1,
      anon_sym_COMMA,
    ACTIONS(11686), 1,
      anon_sym_COLON,
    STATE(6461), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(9512), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [317218] = 5,
    ACTIONS(11688), 1,
      anon_sym_RBRACE,
    STATE(39), 1,
      sym__separator,
    STATE(6822), 1,
      aux_sym_block_repeat1,
    ACTIONS(11054), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [317237] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11690), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [317250] = 6,
    ACTIONS(11376), 1,
      sym_identifier,
    ACTIONS(11380), 1,
      anon_sym_using,
    ACTIONS(11692), 1,
      anon_sym_RBRACE,
    STATE(7724), 1,
      sym_struct_member,
    STATE(8215), 1,
      sym__struct_members,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [317271] = 6,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(11694), 1,
      anon_sym_RBRACE,
    ACTIONS(11696), 1,
      anon_sym_COMMA,
    STATE(7229), 1,
      aux_sym_union_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [317292] = 5,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10871), 1,
      anon_sym_SEMI,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(11698), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [317311] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(10960), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [317324] = 5,
    ACTIONS(11700), 1,
      anon_sym_RBRACE,
    STATE(39), 1,
      sym__separator,
    STATE(6834), 1,
      aux_sym_block_repeat1,
    ACTIONS(11054), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [317343] = 5,
    ACTIONS(11700), 1,
      anon_sym_RBRACE,
    STATE(39), 1,
      sym__separator,
    STATE(6520), 1,
      aux_sym_block_repeat1,
    ACTIONS(11054), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [317362] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11702), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [317375] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11704), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [317388] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11706), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [317401] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11708), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [317414] = 6,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(11710), 1,
      anon_sym_RBRACE,
    ACTIONS(11712), 1,
      anon_sym_COMMA,
    STATE(7652), 1,
      aux_sym_union_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [317435] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11714), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [317448] = 5,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10879), 1,
      anon_sym_SEMI,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(11716), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [317467] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11718), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [317480] = 6,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(11390), 1,
      anon_sym_COMMA,
    ACTIONS(11720), 1,
      anon_sym_RPAREN,
    STATE(7655), 1,
      aux_sym_polymorphic_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [317501] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11722), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [317514] = 5,
    ACTIONS(11724), 1,
      anon_sym_RBRACE,
    STATE(39), 1,
      sym__separator,
    STATE(6844), 1,
      aux_sym_block_repeat1,
    ACTIONS(11054), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [317533] = 5,
    ACTIONS(11726), 1,
      anon_sym_RBRACE,
    STATE(39), 1,
      sym__separator,
    STATE(6520), 1,
      aux_sym_block_repeat1,
    ACTIONS(11054), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [317552] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11728), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [317565] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11730), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [317578] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11732), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [317591] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11734), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [317604] = 5,
    ACTIONS(11736), 1,
      anon_sym_RBRACE,
    STATE(39), 1,
      sym__separator,
    STATE(6636), 1,
      aux_sym_block_repeat1,
    ACTIONS(11054), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [317623] = 5,
    ACTIONS(11738), 1,
      anon_sym_RBRACE,
    STATE(39), 1,
      sym__separator,
    STATE(6857), 1,
      aux_sym_block_repeat1,
    ACTIONS(11054), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [317642] = 6,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(11390), 1,
      anon_sym_COMMA,
    ACTIONS(11740), 1,
      anon_sym_RPAREN,
    STATE(7321), 1,
      aux_sym_polymorphic_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [317663] = 6,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(11426), 1,
      anon_sym_COMMA,
    ACTIONS(11742), 1,
      anon_sym_RPAREN,
    STATE(7419), 1,
      aux_sym_polymorphic_parameters_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [317684] = 5,
    ACTIONS(11744), 1,
      anon_sym_RBRACE,
    STATE(39), 1,
      sym__separator,
    STATE(6628), 1,
      aux_sym_block_repeat1,
    ACTIONS(11054), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [317703] = 5,
    ACTIONS(11744), 1,
      anon_sym_RBRACE,
    STATE(39), 1,
      sym__separator,
    STATE(6520), 1,
      aux_sym_block_repeat1,
    ACTIONS(11054), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [317722] = 5,
    ACTIONS(11746), 1,
      anon_sym_RBRACE,
    STATE(39), 1,
      sym__separator,
    STATE(6852), 1,
      aux_sym_block_repeat1,
    ACTIONS(11054), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [317741] = 6,
    ACTIONS(11376), 1,
      sym_identifier,
    ACTIONS(11380), 1,
      anon_sym_using,
    ACTIONS(11748), 1,
      anon_sym_RBRACE,
    STATE(7724), 1,
      sym_struct_member,
    STATE(8213), 1,
      sym__struct_members,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [317762] = 6,
    ACTIONS(11376), 1,
      sym_identifier,
    ACTIONS(11380), 1,
      anon_sym_using,
    ACTIONS(11750), 1,
      anon_sym_RBRACE,
    STATE(7724), 1,
      sym_struct_member,
    STATE(8487), 1,
      sym__struct_members,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [317783] = 6,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(11752), 1,
      anon_sym_RBRACE,
    ACTIONS(11754), 1,
      anon_sym_COMMA,
    STATE(7623), 1,
      aux_sym_union_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [317804] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11756), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [317817] = 5,
    ACTIONS(11758), 1,
      anon_sym_RBRACE,
    STATE(39), 1,
      sym__separator,
    STATE(6717), 1,
      aux_sym_block_repeat1,
    ACTIONS(11054), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [317836] = 6,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(8596), 1,
      anon_sym_RBRACE,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(11760), 1,
      anon_sym_COMMA,
    STATE(7195), 1,
      aux_sym_union_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [317857] = 5,
    ACTIONS(11758), 1,
      anon_sym_RBRACE,
    STATE(39), 1,
      sym__separator,
    STATE(6520), 1,
      aux_sym_block_repeat1,
    ACTIONS(11054), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [317876] = 6,
    ACTIONS(11400), 1,
      sym_identifier,
    ACTIONS(11404), 1,
      anon_sym_using,
    ACTIONS(11406), 1,
      sym_tag,
    ACTIONS(11762), 1,
      anon_sym_RBRACE,
    STATE(7829), 1,
      sym_field,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [317897] = 6,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(11764), 1,
      anon_sym_RBRACE,
    ACTIONS(11766), 1,
      anon_sym_COMMA,
    STATE(7450), 1,
      aux_sym_union_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [317918] = 6,
    ACTIONS(11400), 1,
      sym_identifier,
    ACTIONS(11404), 1,
      anon_sym_using,
    ACTIONS(11406), 1,
      sym_tag,
    ACTIONS(11762), 1,
      anon_sym_RBRACE,
    STATE(7165), 1,
      sym_field,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [317939] = 5,
    ACTIONS(11768), 1,
      anon_sym_RBRACE,
    STATE(39), 1,
      sym__separator,
    STATE(6633), 1,
      aux_sym_block_repeat1,
    ACTIONS(11054), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [317958] = 5,
    ACTIONS(11768), 1,
      anon_sym_RBRACE,
    STATE(39), 1,
      sym__separator,
    STATE(6520), 1,
      aux_sym_block_repeat1,
    ACTIONS(11054), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [317977] = 6,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(11390), 1,
      anon_sym_COMMA,
    ACTIONS(11770), 1,
      anon_sym_RPAREN,
    STATE(7583), 1,
      aux_sym_polymorphic_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [317998] = 5,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(8344), 1,
      anon_sym_SEMI,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(11772), 2,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [318017] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11774), 5,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_case,
  [318030] = 6,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(11426), 1,
      anon_sym_COMMA,
    ACTIONS(11776), 1,
      anon_sym_RPAREN,
    STATE(7699), 1,
      aux_sym_polymorphic_parameters_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [318051] = 4,
    ACTIONS(8506), 1,
      anon_sym_COMMA,
    STATE(6461), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(9372), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [318067] = 4,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(11778), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [318083] = 5,
    ACTIONS(9222), 1,
      anon_sym_COMMA,
    ACTIONS(11780), 1,
      anon_sym_EQ,
    ACTIONS(11782), 1,
      anon_sym_RPAREN,
    STATE(7380), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [318101] = 5,
    ACTIONS(11784), 1,
      anon_sym_RBRACE,
    ACTIONS(11786), 1,
      anon_sym_COMMA,
    ACTIONS(11788), 1,
      anon_sym_EQ,
    STATE(7088), 1,
      aux_sym_enum_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [318119] = 4,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(11790), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [318135] = 5,
    ACTIONS(9354), 1,
      anon_sym_COMMA,
    ACTIONS(9358), 1,
      anon_sym_RPAREN,
    ACTIONS(11792), 1,
      anon_sym_EQ,
    STATE(7615), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [318153] = 5,
    ACTIONS(11400), 1,
      sym_identifier,
    ACTIONS(11404), 1,
      anon_sym_using,
    ACTIONS(11406), 1,
      sym_tag,
    STATE(7829), 1,
      sym_field,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [318171] = 4,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(11794), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [318187] = 5,
    ACTIONS(11056), 1,
      sym_tag,
    ACTIONS(11117), 1,
      anon_sym_LBRACE,
    STATE(3316), 1,
      aux_sym_struct_type_repeat2,
    STATE(7146), 1,
      aux_sym_struct_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [318205] = 5,
    ACTIONS(9426), 1,
      anon_sym_COMMA,
    ACTIONS(9430), 1,
      anon_sym_RPAREN,
    ACTIONS(11796), 1,
      anon_sym_EQ,
    STATE(7371), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [318223] = 4,
    ACTIONS(8506), 1,
      anon_sym_COMMA,
    STATE(6461), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(11798), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [318239] = 5,
    ACTIONS(9320), 1,
      anon_sym_COMMA,
    ACTIONS(9324), 1,
      anon_sym_RPAREN,
    ACTIONS(11800), 1,
      anon_sym_EQ,
    STATE(7131), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [318257] = 5,
    ACTIONS(11015), 1,
      anon_sym_DOT,
    ACTIONS(11802), 1,
      anon_sym_LBRACE,
    ACTIONS(11804), 1,
      anon_sym_LPAREN,
    STATE(6917), 1,
      aux_sym_field_identifier_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [318275] = 5,
    ACTIONS(11806), 1,
      anon_sym_RBRACE,
    ACTIONS(11808), 1,
      anon_sym_COMMA,
    ACTIONS(11810), 1,
      anon_sym_EQ,
    STATE(7467), 1,
      aux_sym_enum_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [318293] = 5,
    ACTIONS(11812), 1,
      anon_sym_DQUOTE,
    ACTIONS(11816), 1,
      sym_comment,
    STATE(6883), 1,
      aux_sym__string_literal_repeat1,
    ACTIONS(3), 2,
      sym__backslash,
      sym_block_comment,
    ACTIONS(11814), 2,
      sym_string_content,
      sym_escape_sequence,
  [318311] = 5,
    ACTIONS(7100), 1,
      anon_sym_LBRACE,
    ACTIONS(11056), 1,
      sym_tag,
    STATE(3152), 1,
      aux_sym_struct_type_repeat2,
    STATE(6939), 1,
      aux_sym_struct_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [318329] = 5,
    ACTIONS(11816), 1,
      sym_comment,
    ACTIONS(11818), 1,
      anon_sym_DQUOTE,
    STATE(7030), 1,
      aux_sym__string_literal_repeat1,
    ACTIONS(3), 2,
      sym__backslash,
      sym_block_comment,
    ACTIONS(11820), 2,
      sym_string_content,
      sym_escape_sequence,
  [318347] = 5,
    ACTIONS(7374), 1,
      anon_sym_LBRACE,
    ACTIONS(10915), 1,
      anon_sym_LPAREN,
    ACTIONS(11015), 1,
      anon_sym_DOT,
    STATE(6917), 1,
      aux_sym_field_identifier_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [318365] = 5,
    ACTIONS(7760), 1,
      anon_sym_LBRACE,
    ACTIONS(11056), 1,
      sym_tag,
    STATE(4011), 1,
      aux_sym_struct_type_repeat2,
    STATE(6908), 1,
      aux_sym_struct_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [318383] = 5,
    ACTIONS(11822), 1,
      anon_sym_RBRACE,
    ACTIONS(11824), 1,
      anon_sym_COMMA,
    ACTIONS(11826), 1,
      anon_sym_EQ,
    STATE(7277), 1,
      aux_sym_enum_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [318401] = 5,
    ACTIONS(10998), 1,
      anon_sym_LPAREN,
    ACTIONS(11828), 1,
      anon_sym_LBRACE,
    ACTIONS(11830), 1,
      sym_tag,
    STATE(7764), 1,
      sym_polymorphic_parameters,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [318419] = 5,
    ACTIONS(11816), 1,
      sym_comment,
    ACTIONS(11832), 1,
      anon_sym_DQUOTE,
    STATE(7030), 1,
      aux_sym__string_literal_repeat1,
    ACTIONS(3), 2,
      sym__backslash,
      sym_block_comment,
    ACTIONS(11820), 2,
      sym_string_content,
      sym_escape_sequence,
  [318437] = 5,
    ACTIONS(6459), 1,
      anon_sym_LBRACE,
    ACTIONS(11056), 1,
      sym_tag,
    STATE(2568), 1,
      aux_sym_struct_type_repeat2,
    STATE(6971), 1,
      aux_sym_struct_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [318455] = 5,
    ACTIONS(11816), 1,
      sym_comment,
    ACTIONS(11834), 1,
      anon_sym_DQUOTE,
    STATE(6887), 1,
      aux_sym__string_literal_repeat1,
    ACTIONS(3), 2,
      sym__backslash,
      sym_block_comment,
    ACTIONS(11836), 2,
      sym_string_content,
      sym_escape_sequence,
  [318473] = 4,
    ACTIONS(11838), 1,
      anon_sym_COMMA,
    STATE(6886), 1,
      aux_sym__simple_assignment_statement_repeat1,
    ACTIONS(9568), 2,
      anon_sym_LBRACE,
      anon_sym_do,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [318489] = 5,
    ACTIONS(11816), 1,
      sym_comment,
    ACTIONS(11841), 1,
      anon_sym_DQUOTE,
    STATE(7030), 1,
      aux_sym__string_literal_repeat1,
    ACTIONS(3), 2,
      sym__backslash,
      sym_block_comment,
    ACTIONS(11820), 2,
      sym_string_content,
      sym_escape_sequence,
  [318507] = 5,
    ACTIONS(7760), 1,
      anon_sym_LBRACE,
    ACTIONS(11056), 1,
      sym_tag,
    STATE(4011), 1,
      aux_sym_struct_type_repeat2,
    STATE(7146), 1,
      aux_sym_struct_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [318525] = 5,
    ACTIONS(11816), 1,
      sym_comment,
    ACTIONS(11843), 1,
      anon_sym_DQUOTE,
    STATE(7022), 1,
      aux_sym__string_literal_repeat1,
    ACTIONS(3), 2,
      sym__backslash,
      sym_block_comment,
    ACTIONS(11845), 2,
      sym_string_content,
      sym_escape_sequence,
  [318543] = 5,
    ACTIONS(6459), 1,
      anon_sym_LBRACE,
    ACTIONS(11056), 1,
      sym_tag,
    STATE(2568), 1,
      aux_sym_struct_type_repeat2,
    STATE(7146), 1,
      aux_sym_struct_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [318561] = 5,
    ACTIONS(9310), 1,
      anon_sym_COMMA,
    ACTIONS(9314), 1,
      anon_sym_RPAREN,
    ACTIONS(11847), 1,
      anon_sym_EQ,
    STATE(7342), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [318579] = 4,
    ACTIONS(11849), 1,
      anon_sym_RBRACE,
    ACTIONS(11851), 1,
      anon_sym_case,
    STATE(7034), 2,
      sym_switch_case,
      aux_sym_switch_statement_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [318595] = 5,
    ACTIONS(6459), 1,
      anon_sym_LBRACE,
    ACTIONS(11056), 1,
      sym_tag,
    STATE(2415), 1,
      aux_sym_struct_type_repeat2,
    STATE(6922), 1,
      aux_sym_struct_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [318613] = 5,
    ACTIONS(6459), 1,
      anon_sym_LBRACE,
    ACTIONS(11056), 1,
      sym_tag,
    STATE(2415), 1,
      aux_sym_struct_type_repeat2,
    STATE(7146), 1,
      aux_sym_struct_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [318631] = 5,
    ACTIONS(9544), 1,
      anon_sym_COMMA,
    ACTIONS(9548), 1,
      anon_sym_RPAREN,
    ACTIONS(11853), 1,
      anon_sym_EQ,
    STATE(7487), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [318649] = 5,
    ACTIONS(11816), 1,
      sym_comment,
    ACTIONS(11855), 1,
      anon_sym_DQUOTE,
    STATE(6898), 1,
      aux_sym__string_literal_repeat1,
    ACTIONS(3), 2,
      sym__backslash,
      sym_block_comment,
    ACTIONS(11857), 2,
      sym_string_content,
      sym_escape_sequence,
  [318667] = 4,
    ACTIONS(9368), 1,
      anon_sym_COMMA,
    STATE(6886), 1,
      aux_sym__simple_assignment_statement_repeat1,
    ACTIONS(9366), 2,
      anon_sym_LBRACE,
      anon_sym_do,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [318683] = 5,
    ACTIONS(11816), 1,
      sym_comment,
    ACTIONS(11859), 1,
      anon_sym_DQUOTE,
    STATE(7030), 1,
      aux_sym__string_literal_repeat1,
    ACTIONS(3), 2,
      sym__backslash,
      sym_block_comment,
    ACTIONS(11820), 2,
      sym_string_content,
      sym_escape_sequence,
  [318701] = 5,
    ACTIONS(9284), 1,
      anon_sym_COMMA,
    ACTIONS(9288), 1,
      anon_sym_RPAREN,
    ACTIONS(11861), 1,
      anon_sym_EQ,
    STATE(7708), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [318719] = 5,
    ACTIONS(11863), 1,
      anon_sym_RBRACE,
    ACTIONS(11865), 1,
      anon_sym_COMMA,
    ACTIONS(11867), 1,
      anon_sym_EQ,
    STATE(7175), 1,
      aux_sym_enum_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [318737] = 5,
    ACTIONS(9354), 1,
      anon_sym_COMMA,
    ACTIONS(9358), 1,
      anon_sym_RPAREN,
    ACTIONS(11792), 1,
      anon_sym_EQ,
    STATE(7273), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [318755] = 5,
    ACTIONS(9334), 1,
      anon_sym_COMMA,
    ACTIONS(11869), 1,
      anon_sym_EQ,
    ACTIONS(11871), 1,
      anon_sym_RPAREN,
    STATE(7156), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [318773] = 5,
    ACTIONS(11056), 1,
      sym_tag,
    ACTIONS(11194), 1,
      anon_sym_LBRACE,
    STATE(2665), 1,
      aux_sym_struct_type_repeat2,
    STATE(6918), 1,
      aux_sym_struct_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [318791] = 5,
    ACTIONS(7100), 1,
      anon_sym_LBRACE,
    ACTIONS(11056), 1,
      sym_tag,
    STATE(3152), 1,
      aux_sym_struct_type_repeat2,
    STATE(7146), 1,
      aux_sym_struct_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [318809] = 5,
    ACTIONS(11056), 1,
      sym_tag,
    ACTIONS(11194), 1,
      anon_sym_LBRACE,
    STATE(2665), 1,
      aux_sym_struct_type_repeat2,
    STATE(7146), 1,
      aux_sym_struct_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [318827] = 5,
    ACTIONS(6089), 1,
      anon_sym_LBRACE,
    ACTIONS(11056), 1,
      sym_tag,
    STATE(1579), 1,
      aux_sym_struct_type_repeat2,
    STATE(6928), 1,
      aux_sym_struct_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [318845] = 5,
    ACTIONS(9334), 1,
      anon_sym_COMMA,
    ACTIONS(9364), 1,
      anon_sym_RPAREN,
    ACTIONS(11869), 1,
      anon_sym_EQ,
    STATE(7231), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [318863] = 5,
    ACTIONS(7760), 1,
      anon_sym_LBRACE,
    ACTIONS(11056), 1,
      sym_tag,
    STATE(3957), 1,
      aux_sym_struct_type_repeat2,
    STATE(7146), 1,
      aux_sym_struct_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [318881] = 4,
    ACTIONS(11851), 1,
      anon_sym_case,
    ACTIONS(11873), 1,
      anon_sym_RBRACE,
    STATE(7051), 2,
      sym_switch_case,
      aux_sym_switch_statement_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [318897] = 5,
    ACTIONS(11875), 1,
      anon_sym_RBRACE,
    ACTIONS(11877), 1,
      anon_sym_COMMA,
    ACTIONS(11879), 1,
      anon_sym_EQ,
    STATE(7236), 1,
      aux_sym_enum_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [318915] = 5,
    ACTIONS(6089), 1,
      anon_sym_LBRACE,
    ACTIONS(11056), 1,
      sym_tag,
    STATE(1579), 1,
      aux_sym_struct_type_repeat2,
    STATE(7146), 1,
      aux_sym_struct_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [318933] = 5,
    ACTIONS(11015), 1,
      anon_sym_DOT,
    ACTIONS(11881), 1,
      anon_sym_LBRACE,
    ACTIONS(11883), 1,
      anon_sym_LPAREN,
    STATE(6917), 1,
      aux_sym_field_identifier_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [318951] = 5,
    ACTIONS(9222), 1,
      anon_sym_COMMA,
    ACTIONS(9226), 1,
      anon_sym_RPAREN,
    ACTIONS(11780), 1,
      anon_sym_EQ,
    STATE(7381), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [318969] = 4,
    ACTIONS(8506), 1,
      anon_sym_COMMA,
    STATE(6461), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(8512), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [318985] = 5,
    ACTIONS(9200), 1,
      anon_sym_COMMA,
    ACTIONS(9204), 1,
      anon_sym_RPAREN,
    ACTIONS(11885), 1,
      anon_sym_EQ,
    STATE(7702), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [319003] = 5,
    ACTIONS(9498), 1,
      anon_sym_COMMA,
    ACTIONS(9502), 1,
      anon_sym_RPAREN,
    ACTIONS(11887), 1,
      anon_sym_EQ,
    STATE(7260), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [319021] = 4,
    ACTIONS(11015), 1,
      anon_sym_DOT,
    STATE(6954), 1,
      aux_sym_field_identifier_repeat1,
    ACTIONS(11889), 2,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [319037] = 5,
    ACTIONS(11056), 1,
      sym_tag,
    ACTIONS(11194), 1,
      anon_sym_LBRACE,
    STATE(2633), 1,
      aux_sym_struct_type_repeat2,
    STATE(7146), 1,
      aux_sym_struct_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [319055] = 5,
    ACTIONS(11891), 1,
      anon_sym_RBRACE,
    ACTIONS(11893), 1,
      anon_sym_COMMA,
    ACTIONS(11895), 1,
      anon_sym_EQ,
    STATE(7523), 1,
      aux_sym_enum_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [319073] = 5,
    ACTIONS(10986), 1,
      anon_sym_COMMA,
    ACTIONS(11123), 1,
      anon_sym_COLON,
    ACTIONS(11125), 1,
      anon_sym_RPAREN,
    STATE(6987), 1,
      aux_sym_parameter_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [319091] = 5,
    ACTIONS(10986), 1,
      anon_sym_COMMA,
    ACTIONS(11123), 1,
      anon_sym_COLON,
    ACTIONS(11125), 1,
      anon_sym_RPAREN,
    STATE(6942), 1,
      aux_sym_parameter_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [319109] = 5,
    ACTIONS(6459), 1,
      anon_sym_LBRACE,
    ACTIONS(11056), 1,
      sym_tag,
    STATE(2407), 1,
      aux_sym_struct_type_repeat2,
    STATE(7146), 1,
      aux_sym_struct_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [319127] = 5,
    ACTIONS(9190), 1,
      anon_sym_COMMA,
    ACTIONS(9194), 1,
      anon_sym_RPAREN,
    ACTIONS(11897), 1,
      anon_sym_EQ,
    STATE(7535), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [319145] = 5,
    ACTIONS(11899), 1,
      anon_sym_RBRACE,
    ACTIONS(11901), 1,
      anon_sym_COMMA,
    ACTIONS(11903), 1,
      anon_sym_EQ,
    STATE(7246), 1,
      aux_sym_enum_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [319163] = 4,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(11905), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [319179] = 4,
    ACTIONS(11909), 1,
      sym_tag,
    STATE(6926), 1,
      aux_sym_struct_declaration_repeat1,
    ACTIONS(11907), 2,
      anon_sym_LBRACE,
      anon_sym_where,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [319195] = 5,
    ACTIONS(11015), 1,
      anon_sym_DOT,
    ACTIONS(11912), 1,
      anon_sym_LBRACE,
    ACTIONS(11914), 1,
      anon_sym_LPAREN,
    STATE(6917), 1,
      aux_sym_field_identifier_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [319213] = 5,
    ACTIONS(6089), 1,
      anon_sym_LBRACE,
    ACTIONS(11056), 1,
      sym_tag,
    STATE(1607), 1,
      aux_sym_struct_type_repeat2,
    STATE(7146), 1,
      aux_sym_struct_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [319231] = 5,
    ACTIONS(11916), 1,
      anon_sym_RBRACE,
    ACTIONS(11918), 1,
      anon_sym_COMMA,
    ACTIONS(11920), 1,
      anon_sym_EQ,
    STATE(7115), 1,
      aux_sym_enum_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [319249] = 5,
    ACTIONS(11922), 1,
      anon_sym_RBRACE,
    ACTIONS(11924), 1,
      anon_sym_COMMA,
    ACTIONS(11926), 1,
      anon_sym_EQ,
    STATE(7112), 1,
      aux_sym_enum_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [319267] = 4,
    ACTIONS(11851), 1,
      anon_sym_case,
    ACTIONS(11928), 1,
      anon_sym_RBRACE,
    STATE(7034), 2,
      sym_switch_case,
      aux_sym_switch_statement_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [319283] = 5,
    ACTIONS(7100), 1,
      anon_sym_LBRACE,
    ACTIONS(11056), 1,
      sym_tag,
    STATE(3355), 1,
      aux_sym_struct_type_repeat2,
    STATE(7146), 1,
      aux_sym_struct_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [319301] = 4,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(11930), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [319317] = 5,
    ACTIONS(11816), 1,
      sym_comment,
    ACTIONS(11932), 1,
      anon_sym_DQUOTE,
    STATE(6978), 1,
      aux_sym__string_literal_repeat1,
    ACTIONS(3), 2,
      sym__backslash,
      sym_block_comment,
    ACTIONS(11934), 2,
      sym_string_content,
      sym_escape_sequence,
  [319335] = 5,
    ACTIONS(9452), 1,
      anon_sym_COMMA,
    ACTIONS(9456), 1,
      anon_sym_RPAREN,
    ACTIONS(11936), 1,
      anon_sym_EQ,
    STATE(7255), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [319353] = 5,
    ACTIONS(10986), 1,
      anon_sym_COMMA,
    ACTIONS(11044), 1,
      anon_sym_RPAREN,
    ACTIONS(11938), 1,
      anon_sym_COLON,
    STATE(7010), 1,
      aux_sym_parameter_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [319371] = 5,
    ACTIONS(9222), 1,
      anon_sym_COMMA,
    ACTIONS(9226), 1,
      anon_sym_RPAREN,
    ACTIONS(11780), 1,
      anon_sym_EQ,
    STATE(7413), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [319389] = 5,
    ACTIONS(9390), 1,
      anon_sym_COMMA,
    ACTIONS(11940), 1,
      anon_sym_EQ,
    ACTIONS(11942), 1,
      anon_sym_RPAREN,
    STATE(7258), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [319407] = 5,
    ACTIONS(7100), 1,
      anon_sym_LBRACE,
    ACTIONS(11056), 1,
      sym_tag,
    STATE(3171), 1,
      aux_sym_struct_type_repeat2,
    STATE(7146), 1,
      aux_sym_struct_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [319425] = 5,
    ACTIONS(7260), 1,
      anon_sym_LBRACE,
    ACTIONS(11056), 1,
      sym_tag,
    STATE(3320), 1,
      aux_sym_struct_type_repeat2,
    STATE(7039), 1,
      aux_sym_struct_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [319443] = 5,
    ACTIONS(11015), 1,
      anon_sym_DOT,
    ACTIONS(11944), 1,
      anon_sym_LBRACE,
    ACTIONS(11946), 1,
      anon_sym_LPAREN,
    STATE(6917), 1,
      aux_sym_field_identifier_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [319461] = 4,
    ACTIONS(11948), 1,
      anon_sym_COMMA,
    STATE(6942), 1,
      aux_sym_parameter_repeat1,
    ACTIONS(11416), 2,
      anon_sym_COLON,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [319477] = 5,
    ACTIONS(7260), 1,
      anon_sym_LBRACE,
    ACTIONS(11056), 1,
      sym_tag,
    STATE(3320), 1,
      aux_sym_struct_type_repeat2,
    STATE(7146), 1,
      aux_sym_struct_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [319495] = 4,
    ACTIONS(8506), 1,
      anon_sym_COMMA,
    STATE(6461), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(8572), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [319511] = 4,
    ACTIONS(11851), 1,
      anon_sym_case,
    ACTIONS(11951), 1,
      anon_sym_RBRACE,
    STATE(7034), 2,
      sym_switch_case,
      aux_sym_switch_statement_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [319527] = 5,
    ACTIONS(11953), 1,
      anon_sym_RBRACE,
    ACTIONS(11955), 1,
      anon_sym_COMMA,
    ACTIONS(11957), 1,
      anon_sym_EQ,
    STATE(7198), 1,
      aux_sym_enum_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [319545] = 4,
    ACTIONS(11851), 1,
      anon_sym_case,
    ACTIONS(11959), 1,
      anon_sym_RBRACE,
    STATE(6988), 2,
      sym_switch_case,
      aux_sym_switch_statement_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [319561] = 5,
    ACTIONS(9200), 1,
      anon_sym_COMMA,
    ACTIONS(9204), 1,
      anon_sym_RPAREN,
    ACTIONS(11885), 1,
      anon_sym_EQ,
    STATE(7094), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [319579] = 5,
    ACTIONS(11056), 1,
      sym_tag,
    ACTIONS(11266), 1,
      anon_sym_LBRACE,
    STATE(1659), 1,
      aux_sym_struct_type_repeat2,
    STATE(7013), 1,
      aux_sym_struct_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [319597] = 5,
    ACTIONS(9200), 1,
      anon_sym_COMMA,
    ACTIONS(11885), 1,
      anon_sym_EQ,
    ACTIONS(11961), 1,
      anon_sym_RPAREN,
    STATE(7614), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [319615] = 5,
    ACTIONS(11056), 1,
      sym_tag,
    ACTIONS(11266), 1,
      anon_sym_LBRACE,
    STATE(1659), 1,
      aux_sym_struct_type_repeat2,
    STATE(7146), 1,
      aux_sym_struct_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [319633] = 4,
    ACTIONS(9368), 1,
      anon_sym_COMMA,
    STATE(6886), 1,
      aux_sym__simple_assignment_statement_repeat1,
    ACTIONS(9422), 2,
      anon_sym_LBRACE,
      anon_sym_do,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [319649] = 5,
    ACTIONS(10986), 1,
      anon_sym_COMMA,
    ACTIONS(10992), 1,
      anon_sym_RPAREN,
    ACTIONS(11137), 1,
      anon_sym_COLON,
    STATE(6921), 1,
      aux_sym_parameter_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [319667] = 4,
    ACTIONS(11965), 1,
      anon_sym_DOT,
    STATE(6954), 1,
      aux_sym_field_identifier_repeat1,
    ACTIONS(11963), 2,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [319683] = 5,
    ACTIONS(10998), 1,
      anon_sym_LPAREN,
    ACTIONS(11968), 1,
      anon_sym_LBRACE,
    ACTIONS(11970), 1,
      sym_tag,
    STATE(7827), 1,
      sym_polymorphic_parameters,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [319701] = 4,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(11972), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [319717] = 5,
    ACTIONS(9340), 1,
      anon_sym_COMMA,
    ACTIONS(9344), 1,
      anon_sym_RPAREN,
    ACTIONS(11974), 1,
      anon_sym_EQ,
    STATE(7120), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [319735] = 5,
    ACTIONS(11816), 1,
      sym_comment,
    ACTIONS(11976), 1,
      anon_sym_DQUOTE,
    STATE(6964), 1,
      aux_sym__string_literal_repeat1,
    ACTIONS(3), 2,
      sym__backslash,
      sym_block_comment,
    ACTIONS(11978), 2,
      sym_string_content,
      sym_escape_sequence,
  [319753] = 4,
    ACTIONS(11980), 1,
      ts_builtin_sym_end,
    STATE(5528), 1,
      sym__separator,
    ACTIONS(11982), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [319769] = 5,
    ACTIONS(11816), 1,
      sym_comment,
    ACTIONS(11984), 1,
      anon_sym_DQUOTE,
    STATE(6984), 1,
      aux_sym__string_literal_repeat1,
    ACTIONS(3), 2,
      sym__backslash,
      sym_block_comment,
    ACTIONS(11986), 2,
      sym_string_content,
      sym_escape_sequence,
  [319787] = 5,
    ACTIONS(11816), 1,
      sym_comment,
    ACTIONS(11988), 1,
      anon_sym_DQUOTE,
    STATE(6989), 1,
      aux_sym__string_literal_repeat1,
    ACTIONS(3), 2,
      sym__backslash,
      sym_block_comment,
    ACTIONS(11990), 2,
      sym_string_content,
      sym_escape_sequence,
  [319805] = 5,
    ACTIONS(9384), 1,
      anon_sym_COMMA,
    ACTIONS(9388), 1,
      anon_sym_RPAREN,
    ACTIONS(11992), 1,
      anon_sym_EQ,
    STATE(7421), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [319823] = 4,
    ACTIONS(8506), 1,
      anon_sym_COMMA,
    STATE(6461), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(9512), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [319839] = 5,
    ACTIONS(11816), 1,
      sym_comment,
    ACTIONS(11994), 1,
      anon_sym_DQUOTE,
    STATE(7030), 1,
      aux_sym__string_literal_repeat1,
    ACTIONS(3), 2,
      sym__backslash,
      sym_block_comment,
    ACTIONS(11820), 2,
      sym_string_content,
      sym_escape_sequence,
  [319857] = 5,
    ACTIONS(4418), 1,
      anon_sym_import,
    ACTIONS(6625), 1,
      anon_sym_LBRACE,
    ACTIONS(11996), 1,
      sym_identifier,
    STATE(6492), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [319875] = 5,
    ACTIONS(9390), 1,
      anon_sym_COMMA,
    ACTIONS(9394), 1,
      anon_sym_RPAREN,
    ACTIONS(11940), 1,
      anon_sym_EQ,
    STATE(7749), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [319893] = 4,
    ACTIONS(8506), 1,
      anon_sym_COMMA,
    STATE(6461), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(11998), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [319909] = 5,
    ACTIONS(9842), 1,
      anon_sym_RBRACE,
    ACTIONS(9844), 1,
      anon_sym_COMMA,
    ACTIONS(12000), 1,
      anon_sym_EQ,
    STATE(7657), 1,
      aux_sym_enum_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [319927] = 5,
    ACTIONS(7260), 1,
      anon_sym_LBRACE,
    ACTIONS(11056), 1,
      sym_tag,
    STATE(3573), 1,
      aux_sym_struct_type_repeat2,
    STATE(6990), 1,
      aux_sym_struct_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [319945] = 5,
    ACTIONS(9442), 1,
      anon_sym_COMMA,
    ACTIONS(9446), 1,
      anon_sym_RPAREN,
    ACTIONS(12002), 1,
      anon_sym_EQ,
    STATE(7085), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [319963] = 5,
    ACTIONS(6459), 1,
      anon_sym_LBRACE,
    ACTIONS(11056), 1,
      sym_tag,
    STATE(2529), 1,
      aux_sym_struct_type_repeat2,
    STATE(7146), 1,
      aux_sym_struct_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [319981] = 5,
    ACTIONS(12004), 1,
      anon_sym_RBRACE,
    ACTIONS(12006), 1,
      anon_sym_COMMA,
    ACTIONS(12008), 1,
      anon_sym_EQ,
    STATE(7177), 1,
      aux_sym_enum_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [319999] = 5,
    ACTIONS(9310), 1,
      anon_sym_COMMA,
    ACTIONS(11847), 1,
      anon_sym_EQ,
    ACTIONS(12010), 1,
      anon_sym_RPAREN,
    STATE(7124), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [320017] = 4,
    ACTIONS(9274), 1,
      anon_sym_COMMA,
    STATE(6999), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(8420), 2,
      anon_sym_LBRACE,
      anon_sym_do,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [320033] = 5,
    ACTIONS(9390), 1,
      anon_sym_COMMA,
    ACTIONS(9394), 1,
      anon_sym_RPAREN,
    ACTIONS(11940), 1,
      anon_sym_EQ,
    STATE(7749), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [320051] = 5,
    ACTIONS(9310), 1,
      anon_sym_COMMA,
    ACTIONS(9314), 1,
      anon_sym_RPAREN,
    ACTIONS(11847), 1,
      anon_sym_EQ,
    STATE(7125), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [320069] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11141), 4,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_case,
  [320081] = 5,
    ACTIONS(11816), 1,
      sym_comment,
    ACTIONS(12012), 1,
      anon_sym_DQUOTE,
    STATE(7030), 1,
      aux_sym__string_literal_repeat1,
    ACTIONS(3), 2,
      sym__backslash,
      sym_block_comment,
    ACTIONS(11820), 2,
      sym_string_content,
      sym_escape_sequence,
  [320099] = 4,
    ACTIONS(11851), 1,
      anon_sym_case,
    ACTIONS(12014), 1,
      anon_sym_RBRACE,
    STATE(7034), 2,
      sym_switch_case,
      aux_sym_switch_statement_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [320115] = 5,
    ACTIONS(9334), 1,
      anon_sym_COMMA,
    ACTIONS(9364), 1,
      anon_sym_RPAREN,
    ACTIONS(11869), 1,
      anon_sym_EQ,
    STATE(7231), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [320133] = 5,
    ACTIONS(11011), 1,
      anon_sym_COMMA,
    ACTIONS(12016), 1,
      anon_sym_EQ,
    ACTIONS(12018), 1,
      anon_sym_RPAREN,
    STATE(7469), 1,
      aux_sym_attribute_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [320151] = 4,
    ACTIONS(11851), 1,
      anon_sym_case,
    ACTIONS(12020), 1,
      anon_sym_RBRACE,
    STATE(7052), 2,
      sym_switch_case,
      aux_sym_switch_statement_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [320167] = 5,
    ACTIONS(9436), 1,
      anon_sym_COMMA,
    ACTIONS(9440), 1,
      anon_sym_RPAREN,
    ACTIONS(12022), 1,
      anon_sym_EQ,
    STATE(7056), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [320185] = 5,
    ACTIONS(11816), 1,
      sym_comment,
    ACTIONS(12024), 1,
      anon_sym_DQUOTE,
    STATE(7030), 1,
      aux_sym__string_literal_repeat1,
    ACTIONS(3), 2,
      sym__backslash,
      sym_block_comment,
    ACTIONS(11820), 2,
      sym_string_content,
      sym_escape_sequence,
  [320203] = 5,
    ACTIONS(6625), 1,
      anon_sym_LBRACE,
    ACTIONS(12026), 1,
      sym_identifier,
    ACTIONS(12028), 1,
      anon_sym_import,
    STATE(6489), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [320221] = 5,
    ACTIONS(9354), 1,
      anon_sym_COMMA,
    ACTIONS(9358), 1,
      anon_sym_RPAREN,
    ACTIONS(11792), 1,
      anon_sym_EQ,
    STATE(7615), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [320239] = 5,
    ACTIONS(10986), 1,
      anon_sym_COMMA,
    ACTIONS(11230), 1,
      anon_sym_RPAREN,
    ACTIONS(11254), 1,
      anon_sym_COLON,
    STATE(6942), 1,
      aux_sym_parameter_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [320257] = 4,
    ACTIONS(11851), 1,
      anon_sym_case,
    ACTIONS(12030), 1,
      anon_sym_RBRACE,
    STATE(7034), 2,
      sym_switch_case,
      aux_sym_switch_statement_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [320273] = 5,
    ACTIONS(11816), 1,
      sym_comment,
    ACTIONS(12032), 1,
      anon_sym_DQUOTE,
    STATE(7030), 1,
      aux_sym__string_literal_repeat1,
    ACTIONS(3), 2,
      sym__backslash,
      sym_block_comment,
    ACTIONS(11820), 2,
      sym_string_content,
      sym_escape_sequence,
  [320291] = 5,
    ACTIONS(7260), 1,
      anon_sym_LBRACE,
    ACTIONS(11056), 1,
      sym_tag,
    STATE(3588), 1,
      aux_sym_struct_type_repeat2,
    STATE(7146), 1,
      aux_sym_struct_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [320309] = 5,
    ACTIONS(12034), 1,
      anon_sym_RBRACE,
    ACTIONS(12036), 1,
      anon_sym_COMMA,
    ACTIONS(12038), 1,
      anon_sym_EQ,
    STATE(7650), 1,
      aux_sym_enum_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [320327] = 5,
    ACTIONS(11816), 1,
      sym_comment,
    ACTIONS(12040), 1,
      anon_sym_DQUOTE,
    STATE(7000), 1,
      aux_sym__string_literal_repeat1,
    ACTIONS(3), 2,
      sym__backslash,
      sym_block_comment,
    ACTIONS(12042), 2,
      sym_string_content,
      sym_escape_sequence,
  [320345] = 4,
    ACTIONS(9368), 1,
      anon_sym_COMMA,
    STATE(6886), 1,
      aux_sym__simple_assignment_statement_repeat1,
    ACTIONS(12044), 2,
      anon_sym_LBRACE,
      anon_sym_do,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [320361] = 5,
    ACTIONS(11015), 1,
      anon_sym_DOT,
    ACTIONS(12046), 1,
      anon_sym_LBRACE,
    ACTIONS(12048), 1,
      anon_sym_LPAREN,
    STATE(6917), 1,
      aux_sym_field_identifier_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [320379] = 5,
    ACTIONS(9200), 1,
      anon_sym_COMMA,
    ACTIONS(9204), 1,
      anon_sym_RPAREN,
    ACTIONS(11885), 1,
      anon_sym_EQ,
    STATE(7094), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [320397] = 5,
    ACTIONS(9354), 1,
      anon_sym_COMMA,
    ACTIONS(11792), 1,
      anon_sym_EQ,
    ACTIONS(12050), 1,
      anon_sym_RPAREN,
    STATE(7269), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [320415] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(6318), 4,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_case,
  [320427] = 5,
    ACTIONS(9328), 1,
      anon_sym_COMMA,
    ACTIONS(9332), 1,
      anon_sym_RPAREN,
    ACTIONS(12052), 1,
      anon_sym_EQ,
    STATE(7658), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [320445] = 4,
    ACTIONS(12054), 1,
      anon_sym_COMMA,
    STATE(6999), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(7169), 2,
      anon_sym_LBRACE,
      anon_sym_do,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [320461] = 5,
    ACTIONS(11816), 1,
      sym_comment,
    ACTIONS(12057), 1,
      anon_sym_DQUOTE,
    STATE(7030), 1,
      aux_sym__string_literal_repeat1,
    ACTIONS(3), 2,
      sym__backslash,
      sym_block_comment,
    ACTIONS(11820), 2,
      sym_string_content,
      sym_escape_sequence,
  [320479] = 5,
    ACTIONS(11816), 1,
      sym_comment,
    ACTIONS(12059), 1,
      anon_sym_DQUOTE,
    STATE(7008), 1,
      aux_sym__string_literal_repeat1,
    ACTIONS(3), 2,
      sym__backslash,
      sym_block_comment,
    ACTIONS(12061), 2,
      sym_string_content,
      sym_escape_sequence,
  [320497] = 5,
    ACTIONS(10986), 1,
      anon_sym_COMMA,
    ACTIONS(11230), 1,
      anon_sym_RPAREN,
    ACTIONS(11254), 1,
      anon_sym_COLON,
    STATE(7011), 1,
      aux_sym_parameter_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [320515] = 5,
    ACTIONS(11056), 1,
      sym_tag,
    ACTIONS(11284), 1,
      anon_sym_LBRACE,
    STATE(682), 1,
      aux_sym_struct_type_repeat2,
    STATE(7046), 1,
      aux_sym_struct_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [320533] = 5,
    ACTIONS(11056), 1,
      sym_tag,
    ACTIONS(11284), 1,
      anon_sym_LBRACE,
    STATE(682), 1,
      aux_sym_struct_type_repeat2,
    STATE(7146), 1,
      aux_sym_struct_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [320551] = 5,
    ACTIONS(6089), 1,
      anon_sym_LBRACE,
    ACTIONS(11056), 1,
      sym_tag,
    STATE(1440), 1,
      aux_sym_struct_type_repeat2,
    STATE(7021), 1,
      aux_sym_struct_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [320569] = 5,
    ACTIONS(6089), 1,
      anon_sym_LBRACE,
    ACTIONS(11056), 1,
      sym_tag,
    STATE(1440), 1,
      aux_sym_struct_type_repeat2,
    STATE(7146), 1,
      aux_sym_struct_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [320587] = 5,
    ACTIONS(9254), 1,
      anon_sym_COMMA,
    ACTIONS(9258), 1,
      anon_sym_RPAREN,
    ACTIONS(12063), 1,
      anon_sym_EQ,
    STATE(7750), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [320605] = 5,
    ACTIONS(11816), 1,
      sym_comment,
    ACTIONS(12065), 1,
      anon_sym_DQUOTE,
    STATE(7030), 1,
      aux_sym__string_literal_repeat1,
    ACTIONS(3), 2,
      sym__backslash,
      sym_block_comment,
    ACTIONS(11820), 2,
      sym_string_content,
      sym_escape_sequence,
  [320623] = 5,
    ACTIONS(9472), 1,
      anon_sym_COMMA,
    ACTIONS(9476), 1,
      anon_sym_RPAREN,
    ACTIONS(12067), 1,
      anon_sym_EQ,
    STATE(7635), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [320641] = 5,
    ACTIONS(10986), 1,
      anon_sym_COMMA,
    ACTIONS(10992), 1,
      anon_sym_RPAREN,
    ACTIONS(11137), 1,
      anon_sym_COLON,
    STATE(6942), 1,
      aux_sym_parameter_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [320659] = 5,
    ACTIONS(10001), 1,
      anon_sym_RPAREN,
    ACTIONS(10986), 1,
      anon_sym_COMMA,
    ACTIONS(12069), 1,
      anon_sym_COLON,
    STATE(6942), 1,
      aux_sym_parameter_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [320677] = 4,
    ACTIONS(1625), 1,
      ts_builtin_sym_end,
    STATE(5528), 1,
      sym__separator,
    ACTIONS(11982), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [320693] = 5,
    ACTIONS(11056), 1,
      sym_tag,
    ACTIONS(11266), 1,
      anon_sym_LBRACE,
    STATE(1668), 1,
      aux_sym_struct_type_repeat2,
    STATE(7146), 1,
      aux_sym_struct_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [320711] = 5,
    ACTIONS(7760), 1,
      anon_sym_LBRACE,
    ACTIONS(11056), 1,
      sym_tag,
    STATE(3968), 1,
      aux_sym_struct_type_repeat2,
    STATE(7031), 1,
      aux_sym_struct_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [320729] = 5,
    ACTIONS(7760), 1,
      anon_sym_LBRACE,
    ACTIONS(11056), 1,
      sym_tag,
    STATE(3968), 1,
      aux_sym_struct_type_repeat2,
    STATE(7146), 1,
      aux_sym_struct_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [320747] = 5,
    ACTIONS(11056), 1,
      sym_tag,
    ACTIONS(11117), 1,
      anon_sym_LBRACE,
    STATE(3291), 1,
      aux_sym_struct_type_repeat2,
    STATE(6870), 1,
      aux_sym_struct_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [320765] = 5,
    ACTIONS(11056), 1,
      sym_tag,
    ACTIONS(11117), 1,
      anon_sym_LBRACE,
    STATE(3291), 1,
      aux_sym_struct_type_repeat2,
    STATE(7146), 1,
      aux_sym_struct_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [320783] = 5,
    ACTIONS(11816), 1,
      sym_comment,
    ACTIONS(12071), 1,
      anon_sym_DQUOTE,
    STATE(7020), 1,
      aux_sym__string_literal_repeat1,
    ACTIONS(3), 2,
      sym__backslash,
      sym_block_comment,
    ACTIONS(12073), 2,
      sym_string_content,
      sym_escape_sequence,
  [320801] = 5,
    ACTIONS(9334), 1,
      anon_sym_COMMA,
    ACTIONS(9364), 1,
      anon_sym_RPAREN,
    ACTIONS(11869), 1,
      anon_sym_EQ,
    STATE(7159), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [320819] = 5,
    ACTIONS(11816), 1,
      sym_comment,
    ACTIONS(12075), 1,
      anon_sym_DQUOTE,
    STATE(7030), 1,
      aux_sym__string_literal_repeat1,
    ACTIONS(3), 2,
      sym__backslash,
      sym_block_comment,
    ACTIONS(11820), 2,
      sym_string_content,
      sym_escape_sequence,
  [320837] = 5,
    ACTIONS(6089), 1,
      anon_sym_LBRACE,
    ACTIONS(11056), 1,
      sym_tag,
    STATE(1489), 1,
      aux_sym_struct_type_repeat2,
    STATE(7146), 1,
      aux_sym_struct_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [320855] = 5,
    ACTIONS(11816), 1,
      sym_comment,
    ACTIONS(12077), 1,
      anon_sym_DQUOTE,
    STATE(7030), 1,
      aux_sym__string_literal_repeat1,
    ACTIONS(3), 2,
      sym__backslash,
      sym_block_comment,
    ACTIONS(11820), 2,
      sym_string_content,
      sym_escape_sequence,
  [320873] = 5,
    ACTIONS(12079), 1,
      anon_sym_RBRACE,
    ACTIONS(12081), 1,
      anon_sym_COMMA,
    ACTIONS(12083), 1,
      anon_sym_EQ,
    STATE(7565), 1,
      aux_sym_enum_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [320891] = 5,
    ACTIONS(12085), 1,
      anon_sym_RBRACE,
    ACTIONS(12087), 1,
      anon_sym_COMMA,
    ACTIONS(12089), 1,
      anon_sym_EQ,
    STATE(7141), 1,
      aux_sym_enum_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [320909] = 4,
    ACTIONS(8506), 1,
      anon_sym_COMMA,
    STATE(6461), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(12091), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [320925] = 5,
    ACTIONS(11056), 1,
      sym_tag,
    ACTIONS(11286), 1,
      anon_sym_LBRACE,
    STATE(3007), 1,
      aux_sym_struct_type_repeat2,
    STATE(7042), 1,
      aux_sym_struct_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [320943] = 5,
    ACTIONS(11056), 1,
      sym_tag,
    ACTIONS(11286), 1,
      anon_sym_LBRACE,
    STATE(3007), 1,
      aux_sym_struct_type_repeat2,
    STATE(7146), 1,
      aux_sym_struct_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [320961] = 5,
    ACTIONS(7100), 1,
      anon_sym_LBRACE,
    ACTIONS(11056), 1,
      sym_tag,
    STATE(3351), 1,
      aux_sym_struct_type_repeat2,
    STATE(6932), 1,
      aux_sym_struct_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [320979] = 5,
    ACTIONS(7100), 1,
      anon_sym_LBRACE,
    ACTIONS(11056), 1,
      sym_tag,
    STATE(3351), 1,
      aux_sym_struct_type_repeat2,
    STATE(7146), 1,
      aux_sym_struct_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [320997] = 5,
    ACTIONS(11816), 1,
      sym_comment,
    ACTIONS(12093), 1,
      anon_sym_DQUOTE,
    STATE(7030), 1,
      aux_sym__string_literal_repeat1,
    ACTIONS(3), 2,
      sym__backslash,
      sym_block_comment,
    ACTIONS(12095), 2,
      sym_string_content,
      sym_escape_sequence,
  [321015] = 5,
    ACTIONS(7760), 1,
      anon_sym_LBRACE,
    ACTIONS(11056), 1,
      sym_tag,
    STATE(3970), 1,
      aux_sym_struct_type_repeat2,
    STATE(7146), 1,
      aux_sym_struct_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [321033] = 5,
    ACTIONS(9390), 1,
      anon_sym_COMMA,
    ACTIONS(9394), 1,
      anon_sym_RPAREN,
    ACTIONS(11940), 1,
      anon_sym_EQ,
    STATE(7259), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [321051] = 5,
    ACTIONS(9488), 1,
      anon_sym_COMMA,
    ACTIONS(9492), 1,
      anon_sym_RPAREN,
    ACTIONS(12098), 1,
      anon_sym_EQ,
    STATE(7435), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [321069] = 4,
    ACTIONS(12100), 1,
      anon_sym_RBRACE,
    ACTIONS(12102), 1,
      anon_sym_case,
    STATE(7034), 2,
      sym_switch_case,
      aux_sym_switch_statement_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [321085] = 5,
    ACTIONS(9870), 1,
      anon_sym_RBRACE,
    ACTIONS(9872), 1,
      anon_sym_COMMA,
    ACTIONS(12105), 1,
      anon_sym_EQ,
    STATE(7509), 1,
      aux_sym_enum_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [321103] = 5,
    ACTIONS(9222), 1,
      anon_sym_COMMA,
    ACTIONS(9226), 1,
      anon_sym_RPAREN,
    ACTIONS(11780), 1,
      anon_sym_EQ,
    STATE(7413), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [321121] = 4,
    ACTIONS(11851), 1,
      anon_sym_case,
    ACTIONS(12107), 1,
      anon_sym_RBRACE,
    STATE(6931), 2,
      sym_switch_case,
      aux_sym_switch_statement_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [321137] = 5,
    ACTIONS(12109), 1,
      anon_sym_RBRACE,
    ACTIONS(12111), 1,
      anon_sym_COMMA,
    ACTIONS(12113), 1,
      anon_sym_EQ,
    STATE(7367), 1,
      aux_sym_enum_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [321155] = 5,
    ACTIONS(7260), 1,
      anon_sym_LBRACE,
    ACTIONS(11056), 1,
      sym_tag,
    STATE(3335), 1,
      aux_sym_struct_type_repeat2,
    STATE(7146), 1,
      aux_sym_struct_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [321173] = 4,
    ACTIONS(9274), 1,
      anon_sym_COMMA,
    STATE(6999), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(11046), 2,
      anon_sym_LBRACE,
      anon_sym_do,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [321189] = 5,
    ACTIONS(9532), 1,
      anon_sym_COMMA,
    ACTIONS(9536), 1,
      anon_sym_RPAREN,
    ACTIONS(12115), 1,
      anon_sym_EQ,
    STATE(7490), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [321207] = 5,
    ACTIONS(11056), 1,
      sym_tag,
    ACTIONS(11286), 1,
      anon_sym_LBRACE,
    STATE(3025), 1,
      aux_sym_struct_type_repeat2,
    STATE(7146), 1,
      aux_sym_struct_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [321225] = 5,
    ACTIONS(12117), 1,
      anon_sym_RBRACE,
    ACTIONS(12119), 1,
      anon_sym_COMMA,
    ACTIONS(12121), 1,
      anon_sym_EQ,
    STATE(7276), 1,
      aux_sym_enum_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [321243] = 5,
    ACTIONS(11816), 1,
      sym_comment,
    ACTIONS(12123), 1,
      anon_sym_DQUOTE,
    STATE(6878), 1,
      aux_sym__string_literal_repeat1,
    ACTIONS(3), 2,
      sym__backslash,
      sym_block_comment,
    ACTIONS(12125), 2,
      sym_string_content,
      sym_escape_sequence,
  [321261] = 5,
    ACTIONS(11376), 1,
      sym_identifier,
    ACTIONS(11380), 1,
      anon_sym_using,
    ACTIONS(12127), 1,
      anon_sym_RBRACE,
    STATE(7831), 1,
      sym_struct_member,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [321279] = 5,
    ACTIONS(11056), 1,
      sym_tag,
    ACTIONS(11284), 1,
      anon_sym_LBRACE,
    STATE(649), 1,
      aux_sym_struct_type_repeat2,
    STATE(7146), 1,
      aux_sym_struct_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [321297] = 5,
    ACTIONS(12129), 1,
      anon_sym_RBRACE,
    ACTIONS(12131), 1,
      anon_sym_COMMA,
    ACTIONS(12133), 1,
      anon_sym_EQ,
    STATE(7727), 1,
      aux_sym_enum_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [321315] = 5,
    ACTIONS(9396), 1,
      anon_sym_COMMA,
    ACTIONS(9400), 1,
      anon_sym_RPAREN,
    ACTIONS(12135), 1,
      anon_sym_EQ,
    STATE(7376), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [321333] = 5,
    ACTIONS(11376), 1,
      sym_identifier,
    ACTIONS(11380), 1,
      anon_sym_using,
    ACTIONS(12137), 1,
      anon_sym_RBRACE,
    STATE(7831), 1,
      sym_struct_member,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [321351] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(12139), 4,
      sym__newline,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_case,
  [321363] = 4,
    ACTIONS(11851), 1,
      anon_sym_case,
    ACTIONS(12141), 1,
      anon_sym_RBRACE,
    STATE(7034), 2,
      sym_switch_case,
      aux_sym_switch_statement_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [321379] = 4,
    ACTIONS(11851), 1,
      anon_sym_case,
    ACTIONS(12143), 1,
      anon_sym_RBRACE,
    STATE(7034), 2,
      sym_switch_case,
      aux_sym_switch_statement_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [321395] = 5,
    ACTIONS(9406), 1,
      anon_sym_COMMA,
    ACTIONS(9410), 1,
      anon_sym_RPAREN,
    ACTIONS(12145), 1,
      anon_sym_EQ,
    STATE(7128), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [321413] = 5,
    ACTIONS(7260), 1,
      anon_sym_LBRACE,
    ACTIONS(11056), 1,
      sym_tag,
    STATE(3573), 1,
      aux_sym_struct_type_repeat2,
    STATE(7146), 1,
      aux_sym_struct_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [321431] = 4,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(12147), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [321446] = 4,
    ACTIONS(12149), 1,
      anon_sym_COMMA,
    ACTIONS(12151), 1,
      anon_sym_RPAREN,
    STATE(7345), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [321461] = 4,
    ACTIONS(11390), 1,
      anon_sym_COMMA,
    ACTIONS(12153), 1,
      anon_sym_RPAREN,
    STATE(7624), 1,
      aux_sym_polymorphic_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [321476] = 4,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(12155), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [321491] = 4,
    ACTIONS(8404), 1,
      anon_sym_SEMI,
    ACTIONS(9708), 1,
      anon_sym_COMMA,
    STATE(7480), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [321506] = 4,
    ACTIONS(8420), 1,
      anon_sym_SEMI,
    ACTIONS(8506), 1,
      anon_sym_COMMA,
    STATE(6461), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [321521] = 4,
    ACTIONS(11202), 1,
      anon_sym_COMMA,
    ACTIONS(11204), 1,
      anon_sym_RPAREN,
    STATE(7089), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [321536] = 4,
    ACTIONS(7379), 1,
      anon_sym_LPAREN,
    ACTIONS(11002), 1,
      anon_sym_SLASH,
    ACTIONS(12157), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [321551] = 4,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(12159), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [321566] = 4,
    ACTIONS(11390), 1,
      anon_sym_COMMA,
    ACTIONS(12161), 1,
      anon_sym_RPAREN,
    STATE(7624), 1,
      aux_sym_polymorphic_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [321581] = 4,
    ACTIONS(5076), 1,
      anon_sym_RBRACE,
    ACTIONS(12163), 1,
      anon_sym_COMMA,
    STATE(7631), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [321596] = 4,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(12165), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [321611] = 4,
    ACTIONS(7379), 1,
      anon_sym_LPAREN,
    ACTIONS(11002), 1,
      anon_sym_SLASH,
    ACTIONS(12167), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [321626] = 4,
    ACTIONS(12169), 1,
      anon_sym_COMMA,
    ACTIONS(12171), 1,
      anon_sym_COLON,
    STATE(7514), 1,
      aux_sym_struct_member_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [321641] = 4,
    ACTIONS(4878), 1,
      anon_sym_RBRACE,
    ACTIONS(12173), 1,
      anon_sym_COMMA,
    STATE(7099), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [321656] = 4,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(12175), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [321671] = 4,
    ACTIONS(12177), 1,
      anon_sym_RBRACE,
    ACTIONS(12179), 1,
      anon_sym_COMMA,
    STATE(7592), 1,
      aux_sym_enum_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [321686] = 4,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(12181), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [321701] = 4,
    ACTIONS(4848), 1,
      anon_sym_RBRACE,
    ACTIONS(12183), 1,
      anon_sym_COMMA,
    STATE(7193), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [321716] = 4,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(12185), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [321731] = 4,
    ACTIONS(12187), 1,
      anon_sym_COMMA,
    ACTIONS(12189), 1,
      anon_sym_COLON,
    STATE(7079), 1,
      aux_sym_polymorphic_parameters_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [321746] = 4,
    ACTIONS(12191), 1,
      anon_sym_COMMA,
    ACTIONS(12193), 1,
      anon_sym_RPAREN,
    STATE(7105), 1,
      aux_sym_parameters_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [321761] = 4,
    ACTIONS(4822), 1,
      anon_sym_RBRACE,
    ACTIONS(12195), 1,
      anon_sym_COMMA,
    STATE(7302), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [321776] = 4,
    ACTIONS(5740), 1,
      anon_sym_RBRACE,
    ACTIONS(12197), 1,
      anon_sym_COMMA,
    STATE(7081), 1,
      aux_sym_map_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [321791] = 4,
    ACTIONS(12187), 1,
      anon_sym_COMMA,
    ACTIONS(12199), 1,
      anon_sym_COLON,
    STATE(7584), 1,
      aux_sym_polymorphic_parameters_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [321806] = 4,
    ACTIONS(12201), 1,
      anon_sym_COMMA,
    ACTIONS(12203), 1,
      anon_sym_RPAREN,
    STATE(7640), 1,
      aux_sym_struct_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [321821] = 4,
    ACTIONS(12205), 1,
      anon_sym_RBRACE,
    ACTIONS(12207), 1,
      anon_sym_COMMA,
    STATE(7081), 1,
      aux_sym_map_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [321836] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11963), 3,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_DOT,
  [321847] = 4,
    ACTIONS(7379), 1,
      anon_sym_LPAREN,
    ACTIONS(11002), 1,
      anon_sym_SLASH,
    ACTIONS(12210), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [321862] = 4,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(12212), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [321877] = 4,
    ACTIONS(12214), 1,
      anon_sym_COMMA,
    ACTIONS(12216), 1,
      anon_sym_RPAREN,
    STATE(7345), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [321892] = 4,
    ACTIONS(12218), 1,
      anon_sym_COMMA,
    ACTIONS(12220), 1,
      anon_sym_RPAREN,
    STATE(7345), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [321907] = 4,
    ACTIONS(7379), 1,
      anon_sym_LPAREN,
    ACTIONS(11002), 1,
      anon_sym_SLASH,
    ACTIONS(12222), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [321922] = 4,
    ACTIONS(12224), 1,
      anon_sym_RBRACE,
    ACTIONS(12226), 1,
      anon_sym_COMMA,
    STATE(7592), 1,
      aux_sym_enum_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [321937] = 4,
    ACTIONS(8384), 1,
      anon_sym_RPAREN,
    ACTIONS(12228), 1,
      anon_sym_COMMA,
    STATE(7288), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [321952] = 4,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(12230), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [321967] = 4,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(12232), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [321982] = 4,
    ACTIONS(11390), 1,
      anon_sym_COMMA,
    ACTIONS(11464), 1,
      anon_sym_RPAREN,
    STATE(7117), 1,
      aux_sym_polymorphic_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [321997] = 4,
    ACTIONS(5018), 1,
      anon_sym_RBRACE,
    ACTIONS(12234), 1,
      anon_sym_COMMA,
    STATE(7718), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [322012] = 4,
    ACTIONS(12236), 1,
      anon_sym_COMMA,
    ACTIONS(12238), 1,
      anon_sym_RPAREN,
    STATE(7345), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [322027] = 4,
    ACTIONS(12240), 1,
      anon_sym_COMMA,
    ACTIONS(12242), 1,
      anon_sym_RPAREN,
    STATE(7345), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [322042] = 4,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(12244), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [322057] = 4,
    ACTIONS(8940), 1,
      anon_sym_RBRACE,
    ACTIONS(12246), 1,
      anon_sym_COMMA,
    STATE(7602), 1,
      aux_sym_union_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [322072] = 4,
    ACTIONS(5784), 1,
      anon_sym_RBRACE,
    ACTIONS(9748), 1,
      anon_sym_COMMA,
    STATE(6494), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [322087] = 4,
    ACTIONS(4880), 1,
      anon_sym_RBRACE,
    ACTIONS(12248), 1,
      anon_sym_COMMA,
    STATE(7302), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [322102] = 4,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(12250), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [322117] = 4,
    ACTIONS(12252), 1,
      anon_sym_COMMA,
    ACTIONS(12254), 1,
      anon_sym_COLON,
    STATE(7489), 1,
      aux_sym_field_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [322132] = 4,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(12256), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [322147] = 4,
    ACTIONS(12258), 1,
      sym_identifier,
    ACTIONS(12260), 1,
      anon_sym_using,
    ACTIONS(12262), 1,
      sym_tag,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [322162] = 4,
    ACTIONS(5056), 1,
      anon_sym_RBRACE,
    ACTIONS(12264), 1,
      anon_sym_COMMA,
    STATE(7197), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [322177] = 4,
    ACTIONS(10617), 1,
      anon_sym_RPAREN,
    ACTIONS(12266), 1,
      anon_sym_COMMA,
    STATE(7384), 1,
      aux_sym_parameters_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [322192] = 4,
    ACTIONS(12252), 1,
      anon_sym_COMMA,
    ACTIONS(12254), 1,
      anon_sym_COLON,
    STATE(7516), 1,
      aux_sym_field_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [322207] = 4,
    ACTIONS(12268), 1,
      anon_sym_COMMA,
    ACTIONS(12270), 1,
      anon_sym_RPAREN,
    STATE(7345), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [322222] = 4,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(12272), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [322237] = 4,
    ACTIONS(11442), 1,
      anon_sym_RBRACE,
    ACTIONS(12274), 1,
      anon_sym_COMMA,
    STATE(7526), 1,
      aux_sym_struct_declaration_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [322252] = 4,
    ACTIONS(4886), 1,
      anon_sym_RBRACE,
    ACTIONS(12276), 1,
      anon_sym_COMMA,
    STATE(7130), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [322267] = 4,
    ACTIONS(4820), 1,
      anon_sym_RBRACE,
    ACTIONS(12278), 1,
      anon_sym_COMMA,
    STATE(7077), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [322282] = 4,
    ACTIONS(12280), 1,
      anon_sym_RBRACE,
    ACTIONS(12282), 1,
      anon_sym_COMMA,
    STATE(7592), 1,
      aux_sym_enum_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [322297] = 4,
    ACTIONS(5056), 1,
      anon_sym_RBRACE,
    ACTIONS(12264), 1,
      anon_sym_COMMA,
    STATE(7302), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [322312] = 4,
    ACTIONS(8742), 1,
      anon_sym_RBRACE,
    ACTIONS(12284), 1,
      anon_sym_COMMA,
    STATE(7602), 1,
      aux_sym_union_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [322327] = 4,
    ACTIONS(11822), 1,
      anon_sym_RBRACE,
    ACTIONS(11824), 1,
      anon_sym_COMMA,
    STATE(7592), 1,
      aux_sym_enum_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [322342] = 4,
    ACTIONS(11390), 1,
      anon_sym_COMMA,
    ACTIONS(12286), 1,
      anon_sym_RPAREN,
    STATE(7624), 1,
      aux_sym_polymorphic_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [322357] = 4,
    ACTIONS(11390), 1,
      anon_sym_COMMA,
    ACTIONS(12288), 1,
      anon_sym_RPAREN,
    STATE(7624), 1,
      aux_sym_polymorphic_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [322372] = 4,
    ACTIONS(8536), 1,
      anon_sym_RBRACE,
    ACTIONS(11452), 1,
      anon_sym_COMMA,
    STATE(7602), 1,
      aux_sym_union_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [322387] = 4,
    ACTIONS(5742), 1,
      anon_sym_RBRACE,
    ACTIONS(12290), 1,
      anon_sym_COMMA,
    STATE(6494), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [322402] = 4,
    ACTIONS(12292), 1,
      anon_sym_COMMA,
    ACTIONS(12294), 1,
      anon_sym_RPAREN,
    STATE(7345), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [322417] = 4,
    ACTIONS(12296), 1,
      anon_sym_COMMA,
    ACTIONS(12298), 1,
      anon_sym_RPAREN,
    STATE(7345), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [322432] = 4,
    ACTIONS(12300), 1,
      anon_sym_RBRACE,
    ACTIONS(12302), 1,
      anon_sym_COMMA,
    STATE(7462), 1,
      aux_sym_map_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [322447] = 4,
    ACTIONS(8362), 1,
      anon_sym_RPAREN,
    ACTIONS(12304), 1,
      anon_sym_COMMA,
    STATE(7288), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [322462] = 4,
    ACTIONS(12306), 1,
      anon_sym_COMMA,
    ACTIONS(12308), 1,
      anon_sym_RPAREN,
    STATE(7345), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [322477] = 4,
    ACTIONS(12310), 1,
      anon_sym_COMMA,
    ACTIONS(12312), 1,
      anon_sym_RPAREN,
    STATE(7345), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [322492] = 4,
    ACTIONS(12314), 1,
      anon_sym_COMMA,
    ACTIONS(12316), 1,
      anon_sym_RPAREN,
    STATE(7345), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [322507] = 4,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(12318), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [322522] = 4,
    ACTIONS(12320), 1,
      anon_sym_COMMA,
    ACTIONS(12322), 1,
      anon_sym_RPAREN,
    STATE(7345), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [322537] = 4,
    ACTIONS(4888), 1,
      anon_sym_RBRACE,
    ACTIONS(12324), 1,
      anon_sym_COMMA,
    STATE(7142), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [322552] = 4,
    ACTIONS(4888), 1,
      anon_sym_RBRACE,
    ACTIONS(12324), 1,
      anon_sym_COMMA,
    STATE(7302), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [322567] = 4,
    ACTIONS(12326), 1,
      anon_sym_COMMA,
    ACTIONS(12328), 1,
      anon_sym_RPAREN,
    STATE(7345), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [322582] = 4,
    ACTIONS(11390), 1,
      anon_sym_COMMA,
    ACTIONS(11484), 1,
      anon_sym_RPAREN,
    STATE(7158), 1,
      aux_sym_polymorphic_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [322597] = 4,
    ACTIONS(6307), 1,
      anon_sym_LBRACE,
    ACTIONS(7379), 1,
      anon_sym_LPAREN,
    ACTIONS(11002), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [322612] = 4,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(12330), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [322627] = 4,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(12332), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [322642] = 4,
    ACTIONS(10641), 1,
      anon_sym_RPAREN,
    ACTIONS(12334), 1,
      anon_sym_COMMA,
    STATE(7384), 1,
      aux_sym_parameters_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [322657] = 4,
    ACTIONS(12336), 1,
      anon_sym_COMMA,
    ACTIONS(12338), 1,
      anon_sym_RPAREN,
    STATE(7345), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [322672] = 4,
    ACTIONS(12340), 1,
      anon_sym_COMMA,
    ACTIONS(12342), 1,
      anon_sym_RPAREN,
    STATE(7345), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [322687] = 4,
    ACTIONS(5022), 1,
      anon_sym_RBRACE,
    ACTIONS(12344), 1,
      anon_sym_COMMA,
    STATE(7302), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [322702] = 4,
    ACTIONS(8768), 1,
      anon_sym_COMMA,
    ACTIONS(12346), 1,
      anon_sym_RBRACE,
    STATE(6494), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [322717] = 4,
    ACTIONS(12348), 1,
      anon_sym_RBRACE,
    ACTIONS(12350), 1,
      anon_sym_COMMA,
    STATE(7592), 1,
      aux_sym_enum_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [322732] = 4,
    ACTIONS(4890), 1,
      anon_sym_RBRACE,
    ACTIONS(12352), 1,
      anon_sym_COMMA,
    STATE(7302), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [322747] = 4,
    ACTIONS(8768), 1,
      anon_sym_COMMA,
    ACTIONS(12354), 1,
      anon_sym_RBRACE,
    STATE(6494), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [322762] = 4,
    ACTIONS(12356), 1,
      anon_sym_RBRACE,
    ACTIONS(12358), 1,
      anon_sym_COMMA,
    STATE(7592), 1,
      aux_sym_enum_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [322777] = 4,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(12360), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [322792] = 4,
    ACTIONS(12362), 1,
      anon_sym_LBRACE,
    ACTIONS(12364), 1,
      sym_tag,
    STATE(7146), 1,
      aux_sym_struct_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [322807] = 4,
    ACTIONS(8786), 1,
      anon_sym_RBRACE,
    ACTIONS(12367), 1,
      anon_sym_COMMA,
    STATE(7602), 1,
      aux_sym_union_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [322822] = 4,
    ACTIONS(12369), 1,
      anon_sym_COMMA,
    ACTIONS(12371), 1,
      anon_sym_RPAREN,
    STATE(7345), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [322837] = 4,
    ACTIONS(4890), 1,
      anon_sym_RBRACE,
    ACTIONS(12352), 1,
      anon_sym_COMMA,
    STATE(7152), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [322852] = 4,
    ACTIONS(12373), 1,
      anon_sym_RBRACE,
    ACTIONS(12375), 1,
      anon_sym_COMMA,
    STATE(7592), 1,
      aux_sym_enum_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [322867] = 4,
    ACTIONS(12377), 1,
      anon_sym_COMMA,
    ACTIONS(12379), 1,
      anon_sym_RPAREN,
    STATE(7345), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [322882] = 4,
    ACTIONS(4896), 1,
      anon_sym_RBRACE,
    ACTIONS(12381), 1,
      anon_sym_COMMA,
    STATE(7302), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [322897] = 4,
    ACTIONS(12383), 1,
      anon_sym_RBRACE,
    ACTIONS(12385), 1,
      anon_sym_COMMA,
    STATE(7155), 1,
      aux_sym_map_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [322912] = 4,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(12387), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [322927] = 4,
    ACTIONS(5944), 1,
      anon_sym_RBRACE,
    ACTIONS(12389), 1,
      anon_sym_COMMA,
    STATE(7081), 1,
      aux_sym_map_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [322942] = 4,
    ACTIONS(12391), 1,
      anon_sym_COMMA,
    ACTIONS(12393), 1,
      anon_sym_RPAREN,
    STATE(7345), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [322957] = 4,
    ACTIONS(5946), 1,
      anon_sym_RBRACE,
    ACTIONS(12395), 1,
      anon_sym_COMMA,
    STATE(6494), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [322972] = 4,
    ACTIONS(11390), 1,
      anon_sym_COMMA,
    ACTIONS(12397), 1,
      anon_sym_RPAREN,
    STATE(7624), 1,
      aux_sym_polymorphic_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [322987] = 4,
    ACTIONS(12399), 1,
      anon_sym_COMMA,
    ACTIONS(12401), 1,
      anon_sym_RPAREN,
    STATE(7345), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [323002] = 4,
    ACTIONS(11482), 1,
      anon_sym_RBRACE,
    ACTIONS(12403), 1,
      anon_sym_COMMA,
    STATE(7526), 1,
      aux_sym_struct_declaration_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [323017] = 3,
    STATE(1951), 1,
      sym__separator,
    ACTIONS(12405), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [323030] = 4,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(12407), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [323045] = 4,
    ACTIONS(12409), 1,
      anon_sym_RBRACE,
    ACTIONS(12411), 1,
      anon_sym_COMMA,
    STATE(7592), 1,
      aux_sym_enum_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [323060] = 4,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(12413), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [323075] = 4,
    ACTIONS(11482), 1,
      anon_sym_RBRACE,
    ACTIONS(12403), 1,
      anon_sym_COMMA,
    STATE(7522), 1,
      aux_sym_struct_declaration_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [323090] = 4,
    ACTIONS(12415), 1,
      anon_sym_COMMA,
    ACTIONS(12417), 1,
      anon_sym_RPAREN,
    STATE(7345), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [323105] = 4,
    ACTIONS(5022), 1,
      anon_sym_RBRACE,
    ACTIONS(12344), 1,
      anon_sym_COMMA,
    STATE(7205), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [323120] = 4,
    ACTIONS(7379), 1,
      anon_sym_LPAREN,
    ACTIONS(11002), 1,
      anon_sym_SLASH,
    ACTIONS(12419), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [323135] = 4,
    ACTIONS(12421), 1,
      anon_sym_COMMA,
    ACTIONS(12423), 1,
      anon_sym_RPAREN,
    STATE(7345), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [323150] = 5,
    ACTIONS(11816), 1,
      sym_comment,
    ACTIONS(12425), 1,
      anon_sym_BQUOTE,
    ACTIONS(12427), 1,
      sym__raw_string_content,
    STATE(7182), 1,
      aux_sym__raw_string_literal_repeat1,
    ACTIONS(3), 2,
      sym__backslash,
      sym_block_comment,
  [323167] = 4,
    ACTIONS(4902), 1,
      anon_sym_RBRACE,
    ACTIONS(12429), 1,
      anon_sym_COMMA,
    STATE(7186), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [323182] = 4,
    ACTIONS(7379), 1,
      anon_sym_LPAREN,
    ACTIONS(8952), 1,
      anon_sym_LBRACE,
    ACTIONS(11002), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [323197] = 4,
    ACTIONS(12431), 1,
      anon_sym_COMMA,
    ACTIONS(12433), 1,
      anon_sym_RPAREN,
    STATE(7345), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [323212] = 4,
    ACTIONS(4824), 1,
      anon_sym_RBRACE,
    ACTIONS(12435), 1,
      anon_sym_COMMA,
    STATE(7299), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [323227] = 4,
    ACTIONS(12437), 1,
      anon_sym_RBRACE,
    ACTIONS(12439), 1,
      anon_sym_COMMA,
    STATE(7592), 1,
      aux_sym_enum_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [323242] = 4,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(12441), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [323257] = 4,
    ACTIONS(12443), 1,
      anon_sym_RBRACE,
    ACTIONS(12445), 1,
      anon_sym_COMMA,
    STATE(7592), 1,
      aux_sym_enum_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [323272] = 4,
    ACTIONS(12447), 1,
      anon_sym_COMMA,
    ACTIONS(12449), 1,
      anon_sym_RPAREN,
    STATE(7345), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [323287] = 4,
    ACTIONS(12201), 1,
      anon_sym_COMMA,
    ACTIONS(12451), 1,
      anon_sym_RPAREN,
    STATE(7194), 1,
      aux_sym_struct_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [323302] = 4,
    ACTIONS(6625), 1,
      anon_sym_LBRACE,
    ACTIONS(12453), 1,
      anon_sym_do,
    STATE(6806), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [323317] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(8076), 3,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [323328] = 5,
    ACTIONS(11816), 1,
      sym_comment,
    ACTIONS(12455), 1,
      anon_sym_BQUOTE,
    ACTIONS(12457), 1,
      sym__raw_string_content,
    STATE(7600), 1,
      aux_sym__raw_string_literal_repeat1,
    ACTIONS(3), 2,
      sym__backslash,
      sym_block_comment,
  [323345] = 4,
    ACTIONS(12459), 1,
      anon_sym_COMMA,
    ACTIONS(12461), 1,
      anon_sym_RPAREN,
    STATE(7345), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [323360] = 4,
    ACTIONS(6625), 1,
      anon_sym_LBRACE,
    ACTIONS(12463), 1,
      anon_sym_do,
    STATE(6809), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [323375] = 4,
    ACTIONS(4998), 1,
      anon_sym_RBRACE,
    ACTIONS(12465), 1,
      anon_sym_COMMA,
    STATE(7543), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [323390] = 4,
    ACTIONS(4904), 1,
      anon_sym_RBRACE,
    ACTIONS(12467), 1,
      anon_sym_COMMA,
    STATE(7302), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [323405] = 4,
    ACTIONS(12469), 1,
      anon_sym_RBRACE,
    ACTIONS(12471), 1,
      anon_sym_COMMA,
    STATE(7453), 1,
      aux_sym_import_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [323420] = 4,
    ACTIONS(12137), 1,
      anon_sym_RBRACE,
    ACTIONS(12473), 1,
      anon_sym_COMMA,
    STATE(7561), 1,
      aux_sym__struct_members_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [323435] = 4,
    ACTIONS(4850), 1,
      anon_sym_RBRACE,
    ACTIONS(12475), 1,
      anon_sym_COMMA,
    STATE(7263), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [323450] = 4,
    ACTIONS(11208), 1,
      anon_sym_COMMA,
    ACTIONS(11210), 1,
      anon_sym_RPAREN,
    STATE(7212), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [323465] = 4,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(12477), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [323480] = 4,
    ACTIONS(11320), 1,
      anon_sym_COMMA,
    ACTIONS(11322), 1,
      anon_sym_RPAREN,
    STATE(7422), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [323495] = 4,
    ACTIONS(4850), 1,
      anon_sym_RBRACE,
    ACTIONS(12475), 1,
      anon_sym_COMMA,
    STATE(7302), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [323510] = 4,
    ACTIONS(12201), 1,
      anon_sym_COMMA,
    ACTIONS(12479), 1,
      anon_sym_RPAREN,
    STATE(7391), 1,
      aux_sym_struct_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [323525] = 4,
    ACTIONS(8796), 1,
      anon_sym_RBRACE,
    ACTIONS(12481), 1,
      anon_sym_COMMA,
    STATE(7602), 1,
      aux_sym_union_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [323540] = 4,
    ACTIONS(11236), 1,
      anon_sym_COMMA,
    ACTIONS(11238), 1,
      anon_sym_RPAREN,
    STATE(7227), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [323555] = 4,
    ACTIONS(5058), 1,
      anon_sym_RBRACE,
    ACTIONS(12483), 1,
      anon_sym_COMMA,
    STATE(7302), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [323570] = 4,
    ACTIONS(12485), 1,
      anon_sym_RBRACE,
    ACTIONS(12487), 1,
      anon_sym_COMMA,
    STATE(7592), 1,
      aux_sym_enum_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [323585] = 4,
    ACTIONS(7379), 1,
      anon_sym_LPAREN,
    ACTIONS(7434), 1,
      anon_sym_LBRACE,
    ACTIONS(11002), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [323600] = 4,
    ACTIONS(7379), 1,
      anon_sym_LPAREN,
    ACTIONS(11002), 1,
      anon_sym_SLASH,
    ACTIONS(12489), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [323615] = 4,
    ACTIONS(4904), 1,
      anon_sym_RBRACE,
    ACTIONS(12467), 1,
      anon_sym_COMMA,
    STATE(7235), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [323630] = 4,
    ACTIONS(8768), 1,
      anon_sym_COMMA,
    ACTIONS(12491), 1,
      anon_sym_RBRACE,
    STATE(6494), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [323645] = 4,
    ACTIONS(11294), 1,
      anon_sym_RBRACE,
    ACTIONS(12493), 1,
      anon_sym_COMMA,
    STATE(7677), 1,
      aux_sym_import_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [323660] = 4,
    ACTIONS(9129), 1,
      anon_sym_RBRACE,
    ACTIONS(12495), 1,
      anon_sym_COMMA,
    STATE(7602), 1,
      aux_sym_union_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [323675] = 4,
    ACTIONS(5024), 1,
      anon_sym_RBRACE,
    ACTIONS(12497), 1,
      anon_sym_COMMA,
    STATE(7302), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [323690] = 4,
    ACTIONS(12499), 1,
      anon_sym_RBRACE,
    ACTIONS(12501), 1,
      anon_sym_COMMA,
    STATE(7592), 1,
      aux_sym_enum_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [323705] = 4,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(12503), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [323720] = 4,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(12505), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [323735] = 4,
    ACTIONS(8398), 1,
      anon_sym_RPAREN,
    ACTIONS(12507), 1,
      anon_sym_COMMA,
    STATE(7288), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [323750] = 4,
    ACTIONS(12509), 1,
      anon_sym_COMMA,
    ACTIONS(12511), 1,
      anon_sym_RPAREN,
    STATE(7239), 1,
      aux_sym_parameters_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [323765] = 4,
    ACTIONS(12513), 1,
      anon_sym_COMMA,
    ACTIONS(12515), 1,
      anon_sym_RPAREN,
    STATE(7345), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [323780] = 4,
    ACTIONS(8388), 1,
      anon_sym_RPAREN,
    ACTIONS(12517), 1,
      anon_sym_COMMA,
    STATE(7288), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [323795] = 4,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(12519), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [323810] = 4,
    ACTIONS(12521), 1,
      anon_sym_RBRACE,
    ACTIONS(12523), 1,
      anon_sym_COMMA,
    STATE(7234), 1,
      aux_sym_map_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [323825] = 4,
    ACTIONS(12525), 1,
      anon_sym_COMMA,
    ACTIONS(12527), 1,
      anon_sym_RPAREN,
    STATE(7136), 1,
      aux_sym_parameters_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [323840] = 4,
    ACTIONS(8954), 1,
      anon_sym_RBRACE,
    ACTIONS(12529), 1,
      anon_sym_COMMA,
    STATE(7602), 1,
      aux_sym_union_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [323855] = 4,
    ACTIONS(9710), 1,
      anon_sym_COMMA,
    ACTIONS(12531), 1,
      anon_sym_COLON,
    STATE(7608), 1,
      aux_sym_switch_case_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [323870] = 4,
    ACTIONS(9710), 1,
      anon_sym_COMMA,
    ACTIONS(12533), 1,
      anon_sym_COLON,
    STATE(7608), 1,
      aux_sym_switch_case_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [323885] = 5,
    ACTIONS(11816), 1,
      sym_comment,
    ACTIONS(12535), 1,
      anon_sym_BQUOTE,
    ACTIONS(12537), 1,
      sym__raw_string_content,
    STATE(7326), 1,
      aux_sym__raw_string_literal_repeat1,
    ACTIONS(3), 2,
      sym__backslash,
      sym_block_comment,
  [323902] = 4,
    ACTIONS(12539), 1,
      anon_sym_RBRACE,
    ACTIONS(12541), 1,
      anon_sym_COMMA,
    STATE(7592), 1,
      aux_sym_enum_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [323917] = 4,
    ACTIONS(11390), 1,
      anon_sym_COMMA,
    ACTIONS(11538), 1,
      anon_sym_RPAREN,
    STATE(7245), 1,
      aux_sym_polymorphic_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [323932] = 4,
    ACTIONS(12543), 1,
      anon_sym_COMMA,
    ACTIONS(12545), 1,
      anon_sym_RPAREN,
    STATE(7345), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [323947] = 4,
    ACTIONS(5058), 1,
      anon_sym_RBRACE,
    ACTIONS(12483), 1,
      anon_sym_COMMA,
    STATE(7241), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [323962] = 4,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(12547), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [323977] = 4,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(12549), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [323992] = 4,
    ACTIONS(5012), 1,
      anon_sym_RBRACE,
    ACTIONS(12551), 1,
      anon_sym_COMMA,
    STATE(7353), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [324007] = 4,
    ACTIONS(8458), 1,
      anon_sym_RPAREN,
    ACTIONS(12553), 1,
      anon_sym_COMMA,
    STATE(7288), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [324022] = 4,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(12555), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [324037] = 4,
    ACTIONS(9066), 1,
      anon_sym_RBRACE,
    ACTIONS(12557), 1,
      anon_sym_COMMA,
    STATE(7602), 1,
      aux_sym_union_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [324052] = 4,
    ACTIONS(11390), 1,
      anon_sym_COMMA,
    ACTIONS(11548), 1,
      anon_sym_RPAREN,
    STATE(7251), 1,
      aux_sym_polymorphic_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [324067] = 4,
    ACTIONS(12559), 1,
      anon_sym_COMMA,
    ACTIONS(12561), 1,
      anon_sym_RPAREN,
    STATE(7345), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [324082] = 4,
    ACTIONS(12563), 1,
      anon_sym_COMMA,
    ACTIONS(12565), 1,
      anon_sym_RPAREN,
    STATE(7345), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [324097] = 4,
    ACTIONS(5052), 1,
      anon_sym_RBRACE,
    ACTIONS(12567), 1,
      anon_sym_COMMA,
    STATE(7302), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [324112] = 4,
    ACTIONS(5764), 1,
      anon_sym_RBRACE,
    ACTIONS(12569), 1,
      anon_sym_COMMA,
    STATE(7081), 1,
      aux_sym_map_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [324127] = 4,
    ACTIONS(4906), 1,
      anon_sym_RBRACE,
    ACTIONS(12571), 1,
      anon_sym_COMMA,
    STATE(7302), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [324142] = 4,
    ACTIONS(12573), 1,
      anon_sym_RBRACE,
    ACTIONS(12575), 1,
      anon_sym_COMMA,
    STATE(7592), 1,
      aux_sym_enum_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [324157] = 4,
    ACTIONS(11390), 1,
      anon_sym_COMMA,
    ACTIONS(12577), 1,
      anon_sym_RPAREN,
    STATE(7624), 1,
      aux_sym_polymorphic_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [324172] = 4,
    ACTIONS(8926), 1,
      anon_sym_RBRACE,
    ACTIONS(12579), 1,
      anon_sym_COMMA,
    STATE(7602), 1,
      aux_sym_union_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [324187] = 4,
    ACTIONS(10583), 1,
      anon_sym_RPAREN,
    ACTIONS(12581), 1,
      anon_sym_COMMA,
    STATE(7384), 1,
      aux_sym_parameters_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [324202] = 4,
    ACTIONS(5766), 1,
      anon_sym_RBRACE,
    ACTIONS(12583), 1,
      anon_sym_COMMA,
    STATE(6494), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [324217] = 4,
    ACTIONS(5060), 1,
      anon_sym_RBRACE,
    ACTIONS(12585), 1,
      anon_sym_COMMA,
    STATE(7302), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [324232] = 4,
    ACTIONS(11011), 1,
      anon_sym_COMMA,
    ACTIONS(12587), 1,
      anon_sym_RPAREN,
    STATE(7733), 1,
      aux_sym_attribute_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [324247] = 4,
    ACTIONS(12589), 1,
      anon_sym_RBRACE,
    ACTIONS(12591), 1,
      anon_sym_COMMA,
    STATE(7308), 1,
      aux_sym_map_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [324262] = 4,
    ACTIONS(4908), 1,
      anon_sym_RBRACE,
    ACTIONS(12593), 1,
      anon_sym_COMMA,
    STATE(7266), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [324277] = 4,
    ACTIONS(11390), 1,
      anon_sym_COMMA,
    ACTIONS(12595), 1,
      anon_sym_RPAREN,
    STATE(7624), 1,
      aux_sym_polymorphic_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [324292] = 4,
    ACTIONS(12597), 1,
      anon_sym_RBRACE,
    ACTIONS(12599), 1,
      anon_sym_COMMA,
    STATE(7592), 1,
      aux_sym_enum_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [324307] = 4,
    ACTIONS(9087), 1,
      anon_sym_RBRACE,
    ACTIONS(12601), 1,
      anon_sym_COMMA,
    STATE(7602), 1,
      aux_sym_union_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [324322] = 4,
    ACTIONS(4708), 1,
      anon_sym_RBRACE,
    ACTIONS(12603), 1,
      anon_sym_COMMA,
    STATE(7332), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [324337] = 4,
    ACTIONS(7379), 1,
      anon_sym_LPAREN,
    ACTIONS(11002), 1,
      anon_sym_SLASH,
    ACTIONS(12605), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [324352] = 4,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(12607), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [324367] = 4,
    ACTIONS(11390), 1,
      anon_sym_COMMA,
    ACTIONS(12609), 1,
      anon_sym_RPAREN,
    STATE(7624), 1,
      aux_sym_polymorphic_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [324382] = 4,
    ACTIONS(12611), 1,
      anon_sym_RBRACE,
    ACTIONS(12613), 1,
      anon_sym_COMMA,
    STATE(7592), 1,
      aux_sym_enum_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [324397] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(12615), 3,
      sym__newline,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [324408] = 4,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(12617), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [324423] = 4,
    ACTIONS(12619), 1,
      anon_sym_COMMA,
    ACTIONS(12621), 1,
      anon_sym_RPAREN,
    STATE(7345), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [324438] = 4,
    ACTIONS(12623), 1,
      anon_sym_COMMA,
    ACTIONS(12625), 1,
      anon_sym_RPAREN,
    STATE(7345), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [324453] = 4,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(12627), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [324468] = 4,
    ACTIONS(12629), 1,
      anon_sym_COMMA,
    ACTIONS(12631), 1,
      anon_sym_RPAREN,
    STATE(7345), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [324483] = 4,
    ACTIONS(12633), 1,
      anon_sym_COMMA,
    ACTIONS(12635), 1,
      anon_sym_RPAREN,
    STATE(7345), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [324498] = 4,
    ACTIONS(12637), 1,
      anon_sym_COMMA,
    ACTIONS(12639), 1,
      anon_sym_RPAREN,
    STATE(7345), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [324513] = 4,
    ACTIONS(12641), 1,
      anon_sym_COMMA,
    ACTIONS(12643), 1,
      anon_sym_RPAREN,
    STATE(7345), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [324528] = 4,
    ACTIONS(12645), 1,
      anon_sym_COMMA,
    ACTIONS(12647), 1,
      anon_sym_RPAREN,
    STATE(7345), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [324543] = 4,
    ACTIONS(4852), 1,
      anon_sym_RBRACE,
    ACTIONS(12649), 1,
      anon_sym_COMMA,
    STATE(7302), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [324558] = 4,
    ACTIONS(4910), 1,
      anon_sym_RBRACE,
    ACTIONS(12651), 1,
      anon_sym_COMMA,
    STATE(7278), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [324573] = 4,
    ACTIONS(8768), 1,
      anon_sym_COMMA,
    ACTIONS(12653), 1,
      anon_sym_RBRACE,
    STATE(6494), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [324588] = 4,
    ACTIONS(4910), 1,
      anon_sym_RBRACE,
    ACTIONS(12651), 1,
      anon_sym_COMMA,
    STATE(7302), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [324603] = 5,
    ACTIONS(11816), 1,
      sym_comment,
    ACTIONS(12655), 1,
      anon_sym_BQUOTE,
    ACTIONS(12657), 1,
      sym__raw_string_content,
    STATE(7298), 1,
      aux_sym__raw_string_literal_repeat1,
    ACTIONS(3), 2,
      sym__backslash,
      sym_block_comment,
  [324620] = 4,
    ACTIONS(12659), 1,
      anon_sym_RBRACE,
    ACTIONS(12661), 1,
      anon_sym_COMMA,
    STATE(7592), 1,
      aux_sym_enum_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [324635] = 4,
    ACTIONS(12663), 1,
      anon_sym_COMMA,
    ACTIONS(12665), 1,
      anon_sym_RPAREN,
    STATE(7345), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [324650] = 4,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(12667), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [324665] = 4,
    ACTIONS(5030), 1,
      anon_sym_RBRACE,
    ACTIONS(12669), 1,
      anon_sym_COMMA,
    STATE(7305), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [324680] = 4,
    ACTIONS(12671), 1,
      anon_sym_COMMA,
    ACTIONS(12673), 1,
      anon_sym_RPAREN,
    STATE(7345), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [324695] = 4,
    ACTIONS(12675), 1,
      anon_sym_COMMA,
    ACTIONS(12677), 1,
      anon_sym_RPAREN,
    STATE(7345), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [324710] = 4,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(12679), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [324725] = 4,
    ACTIONS(12681), 1,
      anon_sym_COMMA,
    ACTIONS(12683), 1,
      anon_sym_RPAREN,
    STATE(7345), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [324740] = 4,
    ACTIONS(12685), 1,
      anon_sym_RBRACE,
    ACTIONS(12687), 1,
      anon_sym_COMMA,
    STATE(7592), 1,
      aux_sym_enum_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [324755] = 4,
    ACTIONS(9842), 1,
      anon_sym_RBRACE,
    ACTIONS(9844), 1,
      anon_sym_COMMA,
    STATE(7592), 1,
      aux_sym_enum_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [324770] = 4,
    ACTIONS(4912), 1,
      anon_sym_RBRACE,
    ACTIONS(12689), 1,
      anon_sym_COMMA,
    STATE(7302), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [324785] = 4,
    ACTIONS(8768), 1,
      anon_sym_COMMA,
    ACTIONS(12691), 1,
      anon_sym_RBRACE,
    STATE(6494), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [324800] = 4,
    ACTIONS(12693), 1,
      anon_sym_RBRACE,
    ACTIONS(12695), 1,
      anon_sym_COMMA,
    STATE(7592), 1,
      aux_sym_enum_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [324815] = 4,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(12697), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [324830] = 4,
    ACTIONS(7379), 1,
      anon_sym_LPAREN,
    ACTIONS(11002), 1,
      anon_sym_SLASH,
    ACTIONS(12699), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [324845] = 4,
    ACTIONS(12701), 1,
      anon_sym_COMMA,
    ACTIONS(12703), 1,
      anon_sym_RPAREN,
    STATE(7345), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [324860] = 4,
    ACTIONS(4912), 1,
      anon_sym_RBRACE,
    ACTIONS(12689), 1,
      anon_sym_COMMA,
    STATE(7286), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [324875] = 4,
    ACTIONS(8342), 1,
      anon_sym_SEMI,
    ACTIONS(8506), 1,
      anon_sym_COMMA,
    STATE(6461), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [324890] = 4,
    ACTIONS(4914), 1,
      anon_sym_RBRACE,
    ACTIONS(12705), 1,
      anon_sym_COMMA,
    STATE(7302), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [324905] = 4,
    ACTIONS(12707), 1,
      anon_sym_RBRACE,
    ACTIONS(12709), 1,
      anon_sym_COMMA,
    STATE(7291), 1,
      aux_sym_map_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [324920] = 4,
    ACTIONS(11972), 1,
      anon_sym_RPAREN,
    ACTIONS(12711), 1,
      anon_sym_COMMA,
    STATE(7288), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [324935] = 4,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(12714), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [324950] = 4,
    ACTIONS(4996), 1,
      anon_sym_RBRACE,
    ACTIONS(12716), 1,
      anon_sym_COMMA,
    STATE(7605), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [324965] = 4,
    ACTIONS(5978), 1,
      anon_sym_RBRACE,
    ACTIONS(12718), 1,
      anon_sym_COMMA,
    STATE(7081), 1,
      aux_sym_map_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [324980] = 4,
    ACTIONS(12720), 1,
      anon_sym_COMMA,
    ACTIONS(12722), 1,
      anon_sym_RPAREN,
    STATE(7345), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [324995] = 4,
    ACTIONS(5980), 1,
      anon_sym_RBRACE,
    ACTIONS(12724), 1,
      anon_sym_COMMA,
    STATE(6494), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [325010] = 4,
    ACTIONS(4852), 1,
      anon_sym_RBRACE,
    ACTIONS(12649), 1,
      anon_sym_COMMA,
    STATE(7304), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [325025] = 4,
    ACTIONS(4402), 1,
      anon_sym_LBRACE,
    ACTIONS(9784), 1,
      anon_sym_COMMA,
    STATE(7351), 1,
      aux_sym_where_clause_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [325040] = 4,
    ACTIONS(4826), 1,
      anon_sym_RBRACE,
    ACTIONS(12726), 1,
      anon_sym_COMMA,
    STATE(7354), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [325055] = 4,
    ACTIONS(7379), 1,
      anon_sym_LPAREN,
    ACTIONS(11002), 1,
      anon_sym_SLASH,
    ACTIONS(12728), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [325070] = 5,
    ACTIONS(11816), 1,
      sym_comment,
    ACTIONS(12457), 1,
      sym__raw_string_content,
    ACTIONS(12730), 1,
      anon_sym_BQUOTE,
    STATE(7600), 1,
      aux_sym__raw_string_literal_repeat1,
    ACTIONS(3), 2,
      sym__backslash,
      sym_block_comment,
  [325087] = 4,
    ACTIONS(4826), 1,
      anon_sym_RBRACE,
    ACTIONS(12726), 1,
      anon_sym_COMMA,
    STATE(7302), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [325102] = 5,
    ACTIONS(11816), 1,
      sym_comment,
    ACTIONS(12732), 1,
      anon_sym_BQUOTE,
    ACTIONS(12734), 1,
      sym__raw_string_content,
    STATE(7307), 1,
      aux_sym__raw_string_literal_repeat1,
    ACTIONS(3), 2,
      sym__backslash,
      sym_block_comment,
  [325119] = 4,
    ACTIONS(4922), 1,
      anon_sym_RBRACE,
    ACTIONS(12736), 1,
      anon_sym_COMMA,
    STATE(7311), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [325134] = 4,
    ACTIONS(12738), 1,
      anon_sym_RBRACE,
    ACTIONS(12740), 1,
      anon_sym_COMMA,
    STATE(7302), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [325149] = 4,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(12743), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [325164] = 4,
    ACTIONS(4854), 1,
      anon_sym_RBRACE,
    ACTIONS(12745), 1,
      anon_sym_COMMA,
    STATE(7302), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [325179] = 4,
    ACTIONS(5032), 1,
      anon_sym_RBRACE,
    ACTIONS(12747), 1,
      anon_sym_COMMA,
    STATE(7302), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [325194] = 4,
    ACTIONS(8448), 1,
      anon_sym_SEMI,
    ACTIONS(9708), 1,
      anon_sym_COMMA,
    STATE(7466), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [325209] = 5,
    ACTIONS(11816), 1,
      sym_comment,
    ACTIONS(12457), 1,
      sym__raw_string_content,
    ACTIONS(12749), 1,
      anon_sym_BQUOTE,
    STATE(7600), 1,
      aux_sym__raw_string_literal_repeat1,
    ACTIONS(3), 2,
      sym__backslash,
      sym_block_comment,
  [325226] = 4,
    ACTIONS(5818), 1,
      anon_sym_RBRACE,
    ACTIONS(12751), 1,
      anon_sym_COMMA,
    STATE(7081), 1,
      aux_sym_map_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [325241] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11574), 3,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RPAREN,
  [325252] = 4,
    ACTIONS(5070), 1,
      anon_sym_LBRACE,
    ACTIONS(7379), 1,
      anon_sym_LPAREN,
    ACTIONS(11002), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [325267] = 4,
    ACTIONS(4924), 1,
      anon_sym_RBRACE,
    ACTIONS(12753), 1,
      anon_sym_COMMA,
    STATE(7302), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [325282] = 4,
    ACTIONS(7379), 1,
      anon_sym_LPAREN,
    ACTIONS(11002), 1,
      anon_sym_SLASH,
    ACTIONS(12755), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [325297] = 4,
    ACTIONS(12757), 1,
      anon_sym_RBRACE,
    ACTIONS(12759), 1,
      anon_sym_COMMA,
    STATE(7327), 1,
      aux_sym_map_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [325312] = 3,
    ACTIONS(11232), 1,
      anon_sym_EQ,
    ACTIONS(11230), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [325325] = 4,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(12761), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [325340] = 4,
    ACTIONS(5820), 1,
      anon_sym_RBRACE,
    ACTIONS(12763), 1,
      anon_sym_COMMA,
    STATE(6494), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [325355] = 4,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(12765), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [325370] = 4,
    ACTIONS(11276), 1,
      anon_sym_COMMA,
    ACTIONS(11278), 1,
      anon_sym_RPAREN,
    STATE(7333), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [325385] = 4,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(12767), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [325400] = 4,
    ACTIONS(8448), 1,
      anon_sym_SEMI,
    ACTIONS(9708), 1,
      anon_sym_COMMA,
    STATE(7480), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [325415] = 4,
    ACTIONS(11390), 1,
      anon_sym_COMMA,
    ACTIONS(12769), 1,
      anon_sym_RPAREN,
    STATE(7624), 1,
      aux_sym_polymorphic_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [325430] = 4,
    ACTIONS(4924), 1,
      anon_sym_RBRACE,
    ACTIONS(12753), 1,
      anon_sym_COMMA,
    STATE(7348), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [325445] = 4,
    ACTIONS(8506), 1,
      anon_sym_COMMA,
    ACTIONS(11046), 1,
      anon_sym_SEMI,
    STATE(6461), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [325460] = 4,
    ACTIONS(12771), 1,
      anon_sym_COMMA,
    ACTIONS(12773), 1,
      anon_sym_RPAREN,
    STATE(7345), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [325475] = 4,
    ACTIONS(11296), 1,
      anon_sym_COMMA,
    ACTIONS(11298), 1,
      anon_sym_RPAREN,
    STATE(7398), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [325490] = 5,
    ACTIONS(11816), 1,
      sym_comment,
    ACTIONS(12457), 1,
      sym__raw_string_content,
    ACTIONS(12775), 1,
      anon_sym_BQUOTE,
    STATE(7600), 1,
      aux_sym__raw_string_literal_repeat1,
    ACTIONS(3), 2,
      sym__backslash,
      sym_block_comment,
  [325507] = 4,
    ACTIONS(5861), 1,
      anon_sym_RBRACE,
    ACTIONS(12777), 1,
      anon_sym_COMMA,
    STATE(7081), 1,
      aux_sym_map_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [325522] = 4,
    ACTIONS(11390), 1,
      anon_sym_COMMA,
    ACTIONS(12779), 1,
      anon_sym_RPAREN,
    STATE(7624), 1,
      aux_sym_polymorphic_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [325537] = 4,
    ACTIONS(4996), 1,
      anon_sym_RBRACE,
    ACTIONS(12716), 1,
      anon_sym_COMMA,
    STATE(7302), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [325552] = 3,
    ACTIONS(12781), 1,
      anon_sym_EQ,
    ACTIONS(9692), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [325565] = 4,
    ACTIONS(5863), 1,
      anon_sym_RBRACE,
    ACTIONS(12783), 1,
      anon_sym_COMMA,
    STATE(6494), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [325580] = 4,
    ACTIONS(5076), 1,
      anon_sym_RBRACE,
    ACTIONS(12163), 1,
      anon_sym_COMMA,
    STATE(7302), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [325595] = 4,
    ACTIONS(8422), 1,
      anon_sym_RPAREN,
    ACTIONS(12785), 1,
      anon_sym_COMMA,
    STATE(7288), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [325610] = 4,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(12787), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [325625] = 4,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(12789), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [325640] = 4,
    ACTIONS(7379), 1,
      anon_sym_LPAREN,
    ACTIONS(7920), 1,
      anon_sym_LBRACE,
    ACTIONS(11002), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [325655] = 4,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(12791), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [325670] = 4,
    ACTIONS(11390), 1,
      anon_sym_COMMA,
    ACTIONS(11590), 1,
      anon_sym_RPAREN,
    STATE(7373), 1,
      aux_sym_polymorphic_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [325685] = 4,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(12793), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [325700] = 4,
    ACTIONS(5032), 1,
      anon_sym_RBRACE,
    ACTIONS(12747), 1,
      anon_sym_COMMA,
    STATE(7436), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [325715] = 4,
    ACTIONS(7379), 1,
      anon_sym_LPAREN,
    ACTIONS(7932), 1,
      anon_sym_LBRACE,
    ACTIONS(11002), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [325730] = 4,
    ACTIONS(12795), 1,
      anon_sym_COMMA,
    ACTIONS(12797), 1,
      anon_sym_RPAREN,
    STATE(7345), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [325745] = 4,
    ACTIONS(12799), 1,
      anon_sym_COMMA,
    ACTIONS(12801), 1,
      anon_sym_RPAREN,
    STATE(7345), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [325760] = 4,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(12803), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [325775] = 4,
    ACTIONS(12805), 1,
      anon_sym_COMMA,
    ACTIONS(12808), 1,
      anon_sym_RPAREN,
    STATE(7345), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [325790] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11416), 3,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RPAREN,
  [325801] = 4,
    ACTIONS(5558), 1,
      anon_sym_RBRACE,
    ACTIONS(12810), 1,
      anon_sym_COMMA,
    STATE(7302), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [325816] = 4,
    ACTIONS(4926), 1,
      anon_sym_RBRACE,
    ACTIONS(12812), 1,
      anon_sym_COMMA,
    STATE(7302), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [325831] = 4,
    ACTIONS(5054), 1,
      anon_sym_RBRACE,
    ACTIONS(12814), 1,
      anon_sym_COMMA,
    STATE(7113), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [325846] = 4,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(12816), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [325861] = 4,
    ACTIONS(4619), 1,
      anon_sym_LBRACE,
    ACTIONS(12818), 1,
      anon_sym_COMMA,
    STATE(7351), 1,
      aux_sym_where_clause_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [325876] = 4,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(12821), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [325891] = 4,
    ACTIONS(5014), 1,
      anon_sym_RBRACE,
    ACTIONS(12823), 1,
      anon_sym_COMMA,
    STATE(7302), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [325906] = 4,
    ACTIONS(4828), 1,
      anon_sym_RBRACE,
    ACTIONS(12825), 1,
      anon_sym_COMMA,
    STATE(7302), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [325921] = 4,
    ACTIONS(8768), 1,
      anon_sym_COMMA,
    ACTIONS(12827), 1,
      anon_sym_RBRACE,
    STATE(6494), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [325936] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(12829), 3,
      anon_sym_LBRACE,
      anon_sym_where,
      sym_tag,
  [325947] = 4,
    ACTIONS(12831), 1,
      anon_sym_RBRACE,
    ACTIONS(12833), 1,
      anon_sym_COMMA,
    STATE(7592), 1,
      aux_sym_enum_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [325962] = 4,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(12835), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [325977] = 4,
    ACTIONS(7379), 1,
      anon_sym_LPAREN,
    ACTIONS(11002), 1,
      anon_sym_SLASH,
    ACTIONS(12837), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [325992] = 4,
    ACTIONS(8768), 1,
      anon_sym_COMMA,
    ACTIONS(12839), 1,
      anon_sym_RBRACE,
    STATE(6494), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [326007] = 4,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(12841), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [326022] = 4,
    ACTIONS(4928), 1,
      anon_sym_RBRACE,
    ACTIONS(12843), 1,
      anon_sym_COMMA,
    STATE(7387), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [326037] = 4,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(12845), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [326052] = 4,
    ACTIONS(12847), 1,
      anon_sym_COMMA,
    ACTIONS(12849), 1,
      anon_sym_RPAREN,
    STATE(7345), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [326067] = 4,
    ACTIONS(9618), 1,
      anon_sym_RBRACE,
    ACTIONS(9620), 1,
      anon_sym_COMMA,
    STATE(7592), 1,
      aux_sym_enum_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [326082] = 4,
    ACTIONS(4828), 1,
      anon_sym_RBRACE,
    ACTIONS(12825), 1,
      anon_sym_COMMA,
    STATE(7389), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [326097] = 4,
    ACTIONS(12851), 1,
      anon_sym_RBRACE,
    ACTIONS(12853), 1,
      anon_sym_COMMA,
    STATE(7592), 1,
      aux_sym_enum_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [326112] = 4,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(12855), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [326127] = 4,
    ACTIONS(8736), 1,
      anon_sym_RBRACE,
    ACTIONS(12857), 1,
      anon_sym_COMMA,
    STATE(7602), 1,
      aux_sym_union_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [326142] = 4,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(12859), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [326157] = 4,
    ACTIONS(12861), 1,
      anon_sym_COMMA,
    ACTIONS(12863), 1,
      anon_sym_RPAREN,
    STATE(7345), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [326172] = 4,
    ACTIONS(12865), 1,
      anon_sym_COMMA,
    ACTIONS(12867), 1,
      anon_sym_RPAREN,
    STATE(7345), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [326187] = 4,
    ACTIONS(11390), 1,
      anon_sym_COMMA,
    ACTIONS(12869), 1,
      anon_sym_RPAREN,
    STATE(7624), 1,
      aux_sym_polymorphic_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [326202] = 4,
    ACTIONS(11097), 1,
      anon_sym_RBRACE,
    ACTIONS(12871), 1,
      anon_sym_COMMA,
    STATE(7666), 1,
      aux_sym_import_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [326217] = 4,
    ACTIONS(6625), 1,
      anon_sym_LBRACE,
    ACTIONS(12873), 1,
      anon_sym_do,
    STATE(6830), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [326232] = 4,
    ACTIONS(12875), 1,
      anon_sym_COMMA,
    ACTIONS(12877), 1,
      anon_sym_RPAREN,
    STATE(7345), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [326247] = 4,
    ACTIONS(12879), 1,
      anon_sym_COMMA,
    ACTIONS(12881), 1,
      anon_sym_RPAREN,
    STATE(7345), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [326262] = 4,
    ACTIONS(11376), 1,
      sym_identifier,
    ACTIONS(11380), 1,
      anon_sym_using,
    STATE(7831), 1,
      sym_struct_member,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [326277] = 4,
    ACTIONS(11390), 1,
      anon_sym_COMMA,
    ACTIONS(11392), 1,
      anon_sym_RPAREN,
    STATE(7116), 1,
      aux_sym_polymorphic_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [326292] = 4,
    ACTIONS(12883), 1,
      anon_sym_COMMA,
    ACTIONS(12885), 1,
      anon_sym_RPAREN,
    STATE(7345), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [326307] = 4,
    ACTIONS(12887), 1,
      anon_sym_COMMA,
    ACTIONS(12889), 1,
      anon_sym_RPAREN,
    STATE(7345), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [326322] = 4,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(12891), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [326337] = 4,
    ACTIONS(12893), 1,
      anon_sym_COMMA,
    ACTIONS(12895), 1,
      anon_sym_RPAREN,
    STATE(7345), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [326352] = 4,
    ACTIONS(12897), 1,
      anon_sym_COMMA,
    ACTIONS(12900), 1,
      anon_sym_RPAREN,
    STATE(7384), 1,
      aux_sym_parameters_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [326367] = 4,
    ACTIONS(4936), 1,
      anon_sym_RBRACE,
    ACTIONS(12902), 1,
      anon_sym_COMMA,
    STATE(7400), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [326382] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(12904), 3,
      anon_sym_LBRACE,
      anon_sym_where,
      sym_tag,
  [326393] = 4,
    ACTIONS(4936), 1,
      anon_sym_RBRACE,
    ACTIONS(12902), 1,
      anon_sym_COMMA,
    STATE(7302), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [326408] = 4,
    ACTIONS(11426), 1,
      anon_sym_COMMA,
    ACTIONS(11776), 1,
      anon_sym_RPAREN,
    STATE(7705), 1,
      aux_sym_polymorphic_parameters_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [326423] = 4,
    ACTIONS(4830), 1,
      anon_sym_RBRACE,
    ACTIONS(12906), 1,
      anon_sym_COMMA,
    STATE(7302), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [326438] = 4,
    ACTIONS(12187), 1,
      anon_sym_COMMA,
    ACTIONS(12199), 1,
      anon_sym_COLON,
    STATE(7572), 1,
      aux_sym_polymorphic_parameters_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [326453] = 4,
    ACTIONS(12908), 1,
      anon_sym_COMMA,
    ACTIONS(12911), 1,
      anon_sym_RPAREN,
    STATE(7391), 1,
      aux_sym_struct_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [326468] = 4,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(12913), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [326483] = 4,
    ACTIONS(12915), 1,
      anon_sym_COMMA,
    ACTIONS(12917), 1,
      anon_sym_RPAREN,
    STATE(7345), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [326498] = 4,
    ACTIONS(12919), 1,
      anon_sym_RBRACE,
    ACTIONS(12921), 1,
      anon_sym_COMMA,
    STATE(7592), 1,
      aux_sym_enum_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [326513] = 4,
    ACTIONS(11214), 1,
      anon_sym_RBRACE,
    ACTIONS(12923), 1,
      anon_sym_COMMA,
    STATE(7700), 1,
      aux_sym_import_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [326528] = 4,
    ACTIONS(8368), 1,
      anon_sym_RPAREN,
    ACTIONS(12925), 1,
      anon_sym_COMMA,
    STATE(7288), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [326543] = 4,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(12927), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [326558] = 4,
    ACTIONS(8456), 1,
      anon_sym_RPAREN,
    ACTIONS(12929), 1,
      anon_sym_COMMA,
    STATE(7288), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [326573] = 4,
    ACTIONS(12931), 1,
      anon_sym_RBRACE,
    ACTIONS(12933), 1,
      anon_sym_COMMA,
    STATE(7411), 1,
      aux_sym_map_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [326588] = 4,
    ACTIONS(4938), 1,
      anon_sym_RBRACE,
    ACTIONS(12935), 1,
      anon_sym_COMMA,
    STATE(7302), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [326603] = 4,
    ACTIONS(8768), 1,
      anon_sym_COMMA,
    ACTIONS(12937), 1,
      anon_sym_RBRACE,
    STATE(6494), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [326618] = 4,
    ACTIONS(12939), 1,
      anon_sym_RBRACE,
    ACTIONS(12941), 1,
      anon_sym_COMMA,
    STATE(7592), 1,
      aux_sym_enum_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [326633] = 4,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(12943), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [326648] = 4,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(12945), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [326663] = 3,
    ACTIONS(12947), 1,
      anon_sym_EQ,
    ACTIONS(9932), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [326676] = 4,
    ACTIONS(12201), 1,
      anon_sym_COMMA,
    ACTIONS(12949), 1,
      anon_sym_RPAREN,
    STATE(7408), 1,
      aux_sym_struct_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [326691] = 4,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(12951), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [326706] = 4,
    ACTIONS(12201), 1,
      anon_sym_COMMA,
    ACTIONS(12953), 1,
      anon_sym_RPAREN,
    STATE(7391), 1,
      aux_sym_struct_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [326721] = 3,
    ACTIONS(11080), 1,
      anon_sym_EQ,
    ACTIONS(9924), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [326734] = 4,
    ACTIONS(12955), 1,
      anon_sym_COMMA,
    ACTIONS(12957), 1,
      anon_sym_RPAREN,
    STATE(7345), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [326749] = 4,
    ACTIONS(5786), 1,
      anon_sym_RBRACE,
    ACTIONS(12959), 1,
      anon_sym_COMMA,
    STATE(7081), 1,
      aux_sym_map_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [326764] = 4,
    ACTIONS(4938), 1,
      anon_sym_RBRACE,
    ACTIONS(12935), 1,
      anon_sym_COMMA,
    STATE(7423), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [326779] = 4,
    ACTIONS(12961), 1,
      anon_sym_COMMA,
    ACTIONS(12963), 1,
      anon_sym_RPAREN,
    STATE(7345), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [326794] = 4,
    ACTIONS(5790), 1,
      anon_sym_RBRACE,
    ACTIONS(12965), 1,
      anon_sym_COMMA,
    STATE(6494), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [326809] = 4,
    ACTIONS(6233), 1,
      anon_sym_LBRACE,
    ACTIONS(7379), 1,
      anon_sym_LPAREN,
    ACTIONS(11002), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [326824] = 4,
    ACTIONS(7379), 1,
      anon_sym_LPAREN,
    ACTIONS(11002), 1,
      anon_sym_SLASH,
    ACTIONS(12967), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [326839] = 4,
    ACTIONS(11390), 1,
      anon_sym_COMMA,
    ACTIONS(11618), 1,
      anon_sym_RPAREN,
    STATE(7477), 1,
      aux_sym_polymorphic_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [326854] = 4,
    ACTIONS(7379), 1,
      anon_sym_LPAREN,
    ACTIONS(11002), 1,
      anon_sym_SLASH,
    ACTIONS(12969), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [326869] = 4,
    ACTIONS(11426), 1,
      anon_sym_COMMA,
    ACTIONS(12971), 1,
      anon_sym_RPAREN,
    STATE(7705), 1,
      aux_sym_polymorphic_parameters_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [326884] = 4,
    ACTIONS(11302), 1,
      anon_sym_COMMA,
    ACTIONS(11304), 1,
      anon_sym_RPAREN,
    STATE(7601), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [326899] = 4,
    ACTIONS(12973), 1,
      anon_sym_COMMA,
    ACTIONS(12975), 1,
      anon_sym_RPAREN,
    STATE(7345), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [326914] = 4,
    ACTIONS(8408), 1,
      anon_sym_RPAREN,
    ACTIONS(12977), 1,
      anon_sym_COMMA,
    STATE(7288), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [326929] = 4,
    ACTIONS(4940), 1,
      anon_sym_RBRACE,
    ACTIONS(12979), 1,
      anon_sym_COMMA,
    STATE(7302), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [326944] = 4,
    ACTIONS(12981), 1,
      anon_sym_RBRACE,
    ACTIONS(12983), 1,
      anon_sym_COMMA,
    STATE(7426), 1,
      aux_sym_map_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [326959] = 4,
    ACTIONS(12985), 1,
      anon_sym_COMMA,
    ACTIONS(12987), 1,
      anon_sym_RPAREN,
    STATE(7345), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [326974] = 4,
    ACTIONS(6014), 1,
      anon_sym_RBRACE,
    ACTIONS(12989), 1,
      anon_sym_COMMA,
    STATE(7081), 1,
      aux_sym_map_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [326989] = 3,
    STATE(1673), 1,
      sym__separator,
    ACTIONS(12991), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [327002] = 4,
    ACTIONS(6016), 1,
      anon_sym_RBRACE,
    ACTIONS(12993), 1,
      anon_sym_COMMA,
    STATE(6494), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [327017] = 5,
    ACTIONS(11816), 1,
      sym_comment,
    ACTIONS(12457), 1,
      sym__raw_string_content,
    ACTIONS(12995), 1,
      anon_sym_BQUOTE,
    STATE(7600), 1,
      aux_sym__raw_string_literal_repeat1,
    ACTIONS(3), 2,
      sym__backslash,
      sym_block_comment,
  [327034] = 4,
    ACTIONS(5558), 1,
      anon_sym_RBRACE,
    ACTIONS(12810), 1,
      anon_sym_COMMA,
    STATE(7725), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [327049] = 4,
    ACTIONS(12997), 1,
      anon_sym_COMMA,
    ACTIONS(12999), 1,
      anon_sym_RPAREN,
    STATE(7345), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [327064] = 4,
    ACTIONS(11170), 1,
      anon_sym_RBRACE,
    ACTIONS(13001), 1,
      anon_sym_COMMA,
    STATE(7677), 1,
      aux_sym_import_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [327079] = 5,
    ACTIONS(11816), 1,
      sym_comment,
    ACTIONS(13003), 1,
      anon_sym_BQUOTE,
    ACTIONS(13005), 1,
      sym__raw_string_content,
    STATE(7439), 1,
      aux_sym__raw_string_literal_repeat1,
    ACTIONS(3), 2,
      sym__backslash,
      sym_block_comment,
  [327096] = 4,
    ACTIONS(4950), 1,
      anon_sym_RBRACE,
    ACTIONS(13007), 1,
      anon_sym_COMMA,
    STATE(7443), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [327111] = 4,
    ACTIONS(13009), 1,
      anon_sym_COMMA,
    ACTIONS(13011), 1,
      anon_sym_RPAREN,
    STATE(7345), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [327126] = 4,
    ACTIONS(5034), 1,
      anon_sym_RBRACE,
    ACTIONS(13013), 1,
      anon_sym_COMMA,
    STATE(7302), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [327141] = 4,
    ACTIONS(5810), 1,
      anon_sym_RBRACE,
    ACTIONS(13015), 1,
      anon_sym_COMMA,
    STATE(6494), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [327156] = 4,
    ACTIONS(4972), 1,
      anon_sym_RBRACE,
    ACTIONS(13017), 1,
      anon_sym_COMMA,
    STATE(7347), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [327171] = 5,
    ACTIONS(11816), 1,
      sym_comment,
    ACTIONS(12457), 1,
      sym__raw_string_content,
    ACTIONS(13019), 1,
      anon_sym_BQUOTE,
    STATE(7600), 1,
      aux_sym__raw_string_literal_repeat1,
    ACTIONS(3), 2,
      sym__backslash,
      sym_block_comment,
  [327188] = 4,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(13021), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [327203] = 4,
    ACTIONS(11626), 1,
      anon_sym_RBRACE,
    ACTIONS(13023), 1,
      anon_sym_COMMA,
    STATE(7526), 1,
      aux_sym_struct_declaration_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [327218] = 4,
    ACTIONS(11626), 1,
      anon_sym_RBRACE,
    ACTIONS(13023), 1,
      anon_sym_COMMA,
    STATE(7737), 1,
      aux_sym_struct_declaration_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [327233] = 4,
    ACTIONS(4952), 1,
      anon_sym_RBRACE,
    ACTIONS(13025), 1,
      anon_sym_COMMA,
    STATE(7302), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [327248] = 4,
    ACTIONS(7379), 1,
      anon_sym_LPAREN,
    ACTIONS(11002), 1,
      anon_sym_SLASH,
    ACTIONS(13027), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [327263] = 4,
    ACTIONS(11352), 1,
      anon_sym_COMMA,
    ACTIONS(11354), 1,
      anon_sym_RPAREN,
    STATE(7612), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [327278] = 4,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(13029), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [327293] = 4,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(13031), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [327308] = 4,
    ACTIONS(4994), 1,
      anon_sym_RBRACE,
    ACTIONS(13033), 1,
      anon_sym_COMMA,
    STATE(7329), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [327323] = 4,
    ACTIONS(8298), 1,
      anon_sym_SEMI,
    ACTIONS(8506), 1,
      anon_sym_COMMA,
    STATE(6461), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [327338] = 4,
    ACTIONS(8981), 1,
      anon_sym_RBRACE,
    ACTIONS(13035), 1,
      anon_sym_COMMA,
    STATE(7602), 1,
      aux_sym_union_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [327353] = 4,
    ACTIONS(12252), 1,
      anon_sym_COMMA,
    ACTIONS(13037), 1,
      anon_sym_COLON,
    STATE(7516), 1,
      aux_sym_field_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [327368] = 4,
    ACTIONS(11256), 1,
      anon_sym_COMMA,
    ACTIONS(11258), 1,
      anon_sym_RPAREN,
    STATE(7475), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [327383] = 4,
    ACTIONS(11097), 1,
      anon_sym_RBRACE,
    ACTIONS(12871), 1,
      anon_sym_COMMA,
    STATE(7677), 1,
      aux_sym_import_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [327398] = 4,
    ACTIONS(4972), 1,
      anon_sym_RBRACE,
    ACTIONS(13017), 1,
      anon_sym_COMMA,
    STATE(7302), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [327413] = 4,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(13039), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [327428] = 4,
    ACTIONS(8898), 1,
      anon_sym_RBRACE,
    ACTIONS(11634), 1,
      anon_sym_COMMA,
    STATE(7602), 1,
      aux_sym_union_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [327443] = 4,
    ACTIONS(4812), 1,
      anon_sym_RBRACE,
    ACTIONS(13041), 1,
      anon_sym_COMMA,
    STATE(7454), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [327458] = 4,
    ACTIONS(13043), 1,
      anon_sym_RBRACE,
    ACTIONS(13045), 1,
      anon_sym_COMMA,
    STATE(7689), 1,
      aux_sym_import_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [327473] = 4,
    ACTIONS(4952), 1,
      anon_sym_RBRACE,
    ACTIONS(13025), 1,
      anon_sym_COMMA,
    STATE(7498), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [327488] = 4,
    ACTIONS(8416), 1,
      anon_sym_SEMI,
    ACTIONS(9708), 1,
      anon_sym_COMMA,
    STATE(7546), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [327503] = 4,
    ACTIONS(5036), 1,
      anon_sym_RBRACE,
    ACTIONS(13047), 1,
      anon_sym_COMMA,
    STATE(7504), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [327518] = 4,
    ACTIONS(5934), 1,
      anon_sym_RBRACE,
    ACTIONS(13049), 1,
      anon_sym_COMMA,
    STATE(7081), 1,
      aux_sym_map_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [327533] = 4,
    ACTIONS(7379), 1,
      anon_sym_LPAREN,
    ACTIONS(11002), 1,
      anon_sym_SLASH,
    ACTIONS(13051), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [327548] = 4,
    ACTIONS(12201), 1,
      anon_sym_COMMA,
    ACTIONS(13053), 1,
      anon_sym_RPAREN,
    STATE(7465), 1,
      aux_sym_struct_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [327563] = 4,
    ACTIONS(12201), 1,
      anon_sym_COMMA,
    ACTIONS(13055), 1,
      anon_sym_RPAREN,
    STATE(7391), 1,
      aux_sym_struct_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [327578] = 4,
    ACTIONS(8416), 1,
      anon_sym_SEMI,
    ACTIONS(9708), 1,
      anon_sym_COMMA,
    STATE(7480), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [327593] = 4,
    ACTIONS(13057), 1,
      anon_sym_RBRACE,
    ACTIONS(13059), 1,
      anon_sym_COMMA,
    STATE(7592), 1,
      aux_sym_enum_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [327608] = 4,
    ACTIONS(9174), 1,
      anon_sym_RBRACE,
    ACTIONS(13061), 1,
      anon_sym_COMMA,
    STATE(7602), 1,
      aux_sym_union_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [327623] = 4,
    ACTIONS(11011), 1,
      anon_sym_COMMA,
    ACTIONS(13063), 1,
      anon_sym_RPAREN,
    STATE(7733), 1,
      aux_sym_attribute_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [327638] = 4,
    ACTIONS(13065), 1,
      anon_sym_COMMA,
    ACTIONS(13067), 1,
      anon_sym_RPAREN,
    STATE(7345), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [327653] = 4,
    ACTIONS(12201), 1,
      anon_sym_COMMA,
    ACTIONS(13069), 1,
      anon_sym_RPAREN,
    STATE(7472), 1,
      aux_sym_struct_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [327668] = 4,
    ACTIONS(12201), 1,
      anon_sym_COMMA,
    ACTIONS(13071), 1,
      anon_sym_RPAREN,
    STATE(7391), 1,
      aux_sym_struct_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [327683] = 4,
    ACTIONS(5936), 1,
      anon_sym_RBRACE,
    ACTIONS(13073), 1,
      anon_sym_COMMA,
    STATE(6494), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [327698] = 4,
    ACTIONS(13075), 1,
      anon_sym_COMMA,
    ACTIONS(13077), 1,
      anon_sym_RPAREN,
    STATE(7345), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [327713] = 4,
    ACTIONS(8348), 1,
      anon_sym_RPAREN,
    ACTIONS(13079), 1,
      anon_sym_COMMA,
    STATE(7288), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [327728] = 4,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(13081), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [327743] = 4,
    ACTIONS(11390), 1,
      anon_sym_COMMA,
    ACTIONS(13083), 1,
      anon_sym_RPAREN,
    STATE(7624), 1,
      aux_sym_polymorphic_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [327758] = 4,
    ACTIONS(12201), 1,
      anon_sym_COMMA,
    ACTIONS(13085), 1,
      anon_sym_RPAREN,
    STATE(7479), 1,
      aux_sym_struct_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [327773] = 4,
    ACTIONS(12201), 1,
      anon_sym_COMMA,
    ACTIONS(13087), 1,
      anon_sym_RPAREN,
    STATE(7391), 1,
      aux_sym_struct_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [327788] = 4,
    ACTIONS(8462), 1,
      anon_sym_SEMI,
    ACTIONS(13089), 1,
      anon_sym_COMMA,
    STATE(7480), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [327803] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(13092), 3,
      anon_sym_LBRACE,
      anon_sym_where,
      sym_tag,
  [327814] = 4,
    ACTIONS(12169), 1,
      anon_sym_COMMA,
    ACTIONS(13094), 1,
      anon_sym_COLON,
    STATE(7514), 1,
      aux_sym_struct_member_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [327829] = 4,
    ACTIONS(6625), 1,
      anon_sym_LBRACE,
    ACTIONS(13096), 1,
      anon_sym_do,
    STATE(6750), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [327844] = 4,
    ACTIONS(11390), 1,
      anon_sym_COMMA,
    ACTIONS(11646), 1,
      anon_sym_RPAREN,
    STATE(7530), 1,
      aux_sym_polymorphic_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [327859] = 4,
    ACTIONS(12201), 1,
      anon_sym_COMMA,
    ACTIONS(13098), 1,
      anon_sym_RPAREN,
    STATE(7486), 1,
      aux_sym_struct_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [327874] = 4,
    ACTIONS(12201), 1,
      anon_sym_COMMA,
    ACTIONS(13100), 1,
      anon_sym_RPAREN,
    STATE(7391), 1,
      aux_sym_struct_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [327889] = 4,
    ACTIONS(13102), 1,
      anon_sym_COMMA,
    ACTIONS(13104), 1,
      anon_sym_RPAREN,
    STATE(7345), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [327904] = 4,
    ACTIONS(12252), 1,
      anon_sym_COMMA,
    ACTIONS(13106), 1,
      anon_sym_COLON,
    STATE(7106), 1,
      aux_sym_field_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [327919] = 4,
    ACTIONS(12252), 1,
      anon_sym_COMMA,
    ACTIONS(13108), 1,
      anon_sym_COLON,
    STATE(7516), 1,
      aux_sym_field_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [327934] = 4,
    ACTIONS(13110), 1,
      anon_sym_COMMA,
    ACTIONS(13112), 1,
      anon_sym_RPAREN,
    STATE(7345), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [327949] = 4,
    ACTIONS(13114), 1,
      anon_sym_COMMA,
    ACTIONS(13116), 1,
      anon_sym_RPAREN,
    STATE(7345), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [327964] = 4,
    ACTIONS(13118), 1,
      anon_sym_COMMA,
    ACTIONS(13120), 1,
      anon_sym_RPAREN,
    STATE(7345), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [327979] = 4,
    ACTIONS(12201), 1,
      anon_sym_COMMA,
    ACTIONS(13122), 1,
      anon_sym_RPAREN,
    STATE(7494), 1,
      aux_sym_struct_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [327994] = 4,
    ACTIONS(12201), 1,
      anon_sym_COMMA,
    ACTIONS(13124), 1,
      anon_sym_RPAREN,
    STATE(7391), 1,
      aux_sym_struct_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [328009] = 4,
    ACTIONS(11620), 1,
      anon_sym_RBRACE,
    ACTIONS(13126), 1,
      anon_sym_COMMA,
    STATE(7109), 1,
      aux_sym_struct_declaration_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [328024] = 4,
    ACTIONS(12187), 1,
      anon_sym_COMMA,
    ACTIONS(13128), 1,
      anon_sym_COLON,
    STATE(7584), 1,
      aux_sym_polymorphic_parameters_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [328039] = 4,
    ACTIONS(12252), 1,
      anon_sym_COMMA,
    ACTIONS(13108), 1,
      anon_sym_COLON,
    STATE(7451), 1,
      aux_sym_field_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [328054] = 4,
    ACTIONS(4954), 1,
      anon_sym_RBRACE,
    ACTIONS(13130), 1,
      anon_sym_COMMA,
    STATE(7302), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [328069] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(11907), 3,
      anon_sym_LBRACE,
      anon_sym_where,
      sym_tag,
  [328080] = 4,
    ACTIONS(5014), 1,
      anon_sym_RBRACE,
    ACTIONS(12823), 1,
      anon_sym_COMMA,
    STATE(7747), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [328095] = 4,
    ACTIONS(12201), 1,
      anon_sym_COMMA,
    ACTIONS(13132), 1,
      anon_sym_RPAREN,
    STATE(7502), 1,
      aux_sym_struct_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [328110] = 4,
    ACTIONS(12201), 1,
      anon_sym_COMMA,
    ACTIONS(13134), 1,
      anon_sym_RPAREN,
    STATE(7391), 1,
      aux_sym_struct_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [328125] = 4,
    ACTIONS(5038), 1,
      anon_sym_RBRACE,
    ACTIONS(13136), 1,
      anon_sym_COMMA,
    STATE(7527), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [328140] = 4,
    ACTIONS(5038), 1,
      anon_sym_RBRACE,
    ACTIONS(13136), 1,
      anon_sym_COMMA,
    STATE(7302), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [328155] = 4,
    ACTIONS(12201), 1,
      anon_sym_COMMA,
    ACTIONS(13138), 1,
      anon_sym_RPAREN,
    STATE(7506), 1,
      aux_sym_struct_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [328170] = 4,
    ACTIONS(12201), 1,
      anon_sym_COMMA,
    ACTIONS(13140), 1,
      anon_sym_RPAREN,
    STATE(7391), 1,
      aux_sym_struct_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [328185] = 4,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(13142), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [328200] = 4,
    ACTIONS(13144), 1,
      anon_sym_COMMA,
    ACTIONS(13146), 1,
      anon_sym_RPAREN,
    STATE(7345), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [328215] = 4,
    ACTIONS(9580), 1,
      anon_sym_RBRACE,
    ACTIONS(9582), 1,
      anon_sym_COMMA,
    STATE(7592), 1,
      aux_sym_enum_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [328230] = 4,
    ACTIONS(12187), 1,
      anon_sym_COMMA,
    ACTIONS(13148), 1,
      anon_sym_COLON,
    STATE(7496), 1,
      aux_sym_polymorphic_parameters_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [328245] = 4,
    ACTIONS(12201), 1,
      anon_sym_COMMA,
    ACTIONS(13150), 1,
      anon_sym_RPAREN,
    STATE(7512), 1,
      aux_sym_struct_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [328260] = 4,
    ACTIONS(12201), 1,
      anon_sym_COMMA,
    ACTIONS(13152), 1,
      anon_sym_RPAREN,
    STATE(7391), 1,
      aux_sym_struct_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [328275] = 4,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(13154), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [328290] = 4,
    ACTIONS(13156), 1,
      anon_sym_COMMA,
    ACTIONS(13159), 1,
      anon_sym_COLON,
    STATE(7514), 1,
      aux_sym_struct_member_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [328305] = 4,
    ACTIONS(4956), 1,
      anon_sym_RBRACE,
    ACTIONS(13161), 1,
      anon_sym_COMMA,
    STATE(7547), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [328320] = 4,
    ACTIONS(13163), 1,
      anon_sym_COMMA,
    ACTIONS(13166), 1,
      anon_sym_COLON,
    STATE(7516), 1,
      aux_sym_field_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [328335] = 4,
    ACTIONS(7379), 1,
      anon_sym_LPAREN,
    ACTIONS(8074), 1,
      anon_sym_LBRACE,
    ACTIONS(11002), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [328350] = 4,
    ACTIONS(12201), 1,
      anon_sym_COMMA,
    ACTIONS(13168), 1,
      anon_sym_RPAREN,
    STATE(7519), 1,
      aux_sym_struct_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [328365] = 4,
    ACTIONS(12201), 1,
      anon_sym_COMMA,
    ACTIONS(13170), 1,
      anon_sym_RPAREN,
    STATE(7391), 1,
      aux_sym_struct_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [328380] = 4,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(13172), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [328395] = 4,
    ACTIONS(13174), 1,
      anon_sym_COMMA,
    ACTIONS(13176), 1,
      anon_sym_RPAREN,
    STATE(7345), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [328410] = 4,
    ACTIONS(11654), 1,
      anon_sym_RBRACE,
    ACTIONS(13178), 1,
      anon_sym_COMMA,
    STATE(7526), 1,
      aux_sym_struct_declaration_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [328425] = 4,
    ACTIONS(13180), 1,
      anon_sym_RBRACE,
    ACTIONS(13182), 1,
      anon_sym_COMMA,
    STATE(7592), 1,
      aux_sym_enum_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [328440] = 4,
    ACTIONS(7379), 1,
      anon_sym_LPAREN,
    ACTIONS(7524), 1,
      anon_sym_LBRACE,
    ACTIONS(11002), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [328455] = 4,
    ACTIONS(8820), 1,
      anon_sym_RBRACE,
    ACTIONS(13184), 1,
      anon_sym_COMMA,
    STATE(7602), 1,
      aux_sym_union_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [328470] = 4,
    ACTIONS(13186), 1,
      anon_sym_RBRACE,
    ACTIONS(13188), 1,
      anon_sym_COMMA,
    STATE(7526), 1,
      aux_sym_struct_declaration_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [328485] = 4,
    ACTIONS(5040), 1,
      anon_sym_RBRACE,
    ACTIONS(13191), 1,
      anon_sym_COMMA,
    STATE(7302), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [328500] = 4,
    ACTIONS(8768), 1,
      anon_sym_COMMA,
    ACTIONS(13193), 1,
      anon_sym_RBRACE,
    STATE(6494), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [328515] = 4,
    ACTIONS(7379), 1,
      anon_sym_LPAREN,
    ACTIONS(11002), 1,
      anon_sym_SLASH,
    ACTIONS(11017), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [328530] = 4,
    ACTIONS(11390), 1,
      anon_sym_COMMA,
    ACTIONS(13195), 1,
      anon_sym_RPAREN,
    STATE(7624), 1,
      aux_sym_polymorphic_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [328545] = 4,
    ACTIONS(13197), 1,
      anon_sym_RBRACE,
    ACTIONS(13199), 1,
      anon_sym_COMMA,
    STATE(7592), 1,
      aux_sym_enum_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [328560] = 4,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(13201), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [328575] = 4,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(13203), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [328590] = 4,
    ACTIONS(4846), 1,
      anon_sym_RBRACE,
    ACTIONS(13205), 1,
      anon_sym_COMMA,
    STATE(7302), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [328605] = 4,
    ACTIONS(13207), 1,
      anon_sym_COMMA,
    ACTIONS(13209), 1,
      anon_sym_RPAREN,
    STATE(7345), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [328620] = 4,
    ACTIONS(13211), 1,
      anon_sym_COMMA,
    ACTIONS(13213), 1,
      anon_sym_RPAREN,
    STATE(7345), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [328635] = 4,
    ACTIONS(13215), 1,
      anon_sym_COMMA,
    ACTIONS(13217), 1,
      anon_sym_RPAREN,
    STATE(7694), 1,
      aux_sym_parameters_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [328650] = 4,
    ACTIONS(13219), 1,
      anon_sym_COMMA,
    ACTIONS(13221), 1,
      anon_sym_RPAREN,
    STATE(7345), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [328665] = 4,
    ACTIONS(8302), 1,
      anon_sym_SEMI,
    ACTIONS(8506), 1,
      anon_sym_COMMA,
    STATE(6461), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [328680] = 4,
    ACTIONS(5040), 1,
      anon_sym_RBRACE,
    ACTIONS(13191), 1,
      anon_sym_COMMA,
    STATE(7551), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [328695] = 5,
    ACTIONS(11816), 1,
      sym_comment,
    ACTIONS(13223), 1,
      anon_sym_BQUOTE,
    ACTIONS(13225), 1,
      sym__raw_string_content,
    STATE(7630), 1,
      aux_sym__raw_string_literal_repeat1,
    ACTIONS(3), 2,
      sym__backslash,
      sym_block_comment,
  [328712] = 4,
    ACTIONS(4818), 1,
      anon_sym_RBRACE,
    ACTIONS(13227), 1,
      anon_sym_COMMA,
    STATE(7664), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [328727] = 4,
    ACTIONS(5000), 1,
      anon_sym_RBRACE,
    ACTIONS(13229), 1,
      anon_sym_COMMA,
    STATE(7302), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [328742] = 4,
    ACTIONS(4958), 1,
      anon_sym_RBRACE,
    ACTIONS(13231), 1,
      anon_sym_COMMA,
    STATE(7567), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [328757] = 4,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(13233), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [328772] = 4,
    ACTIONS(8364), 1,
      anon_sym_SEMI,
    ACTIONS(9708), 1,
      anon_sym_COMMA,
    STATE(7480), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [328787] = 4,
    ACTIONS(4958), 1,
      anon_sym_RBRACE,
    ACTIONS(13231), 1,
      anon_sym_COMMA,
    STATE(7302), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [328802] = 3,
    ACTIONS(13237), 1,
      sym_number,
    ACTIONS(13235), 2,
      anon_sym_LBRACE,
      sym_tag,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [328815] = 4,
    ACTIONS(8364), 1,
      anon_sym_SEMI,
    ACTIONS(9708), 1,
      anon_sym_COMMA,
    STATE(7586), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [328830] = 4,
    ACTIONS(6625), 1,
      anon_sym_LBRACE,
    ACTIONS(13239), 1,
      anon_sym_do,
    STATE(6750), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [328845] = 4,
    ACTIONS(5042), 1,
      anon_sym_RBRACE,
    ACTIONS(13241), 1,
      anon_sym_COMMA,
    STATE(7302), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [328860] = 4,
    ACTIONS(13243), 1,
      anon_sym_RBRACE,
    ACTIONS(13245), 1,
      anon_sym_COMMA,
    STATE(7569), 1,
      aux_sym_map_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [328875] = 4,
    ACTIONS(6625), 1,
      anon_sym_LBRACE,
    ACTIONS(13247), 1,
      anon_sym_do,
    STATE(6830), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [328890] = 4,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(13249), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [328905] = 4,
    ACTIONS(7092), 1,
      anon_sym_LBRACE,
    ACTIONS(7379), 1,
      anon_sym_LPAREN,
    ACTIONS(11002), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [328920] = 4,
    ACTIONS(13251), 1,
      anon_sym_COMMA,
    ACTIONS(13253), 1,
      anon_sym_RPAREN,
    STATE(7345), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [328935] = 4,
    ACTIONS(7379), 1,
      anon_sym_LPAREN,
    ACTIONS(11002), 1,
      anon_sym_SLASH,
    ACTIONS(13255), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [328950] = 4,
    ACTIONS(7379), 1,
      anon_sym_LPAREN,
    ACTIONS(11002), 1,
      anon_sym_SLASH,
    ACTIONS(13257), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [328965] = 4,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(13259), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [328980] = 4,
    ACTIONS(6625), 1,
      anon_sym_LBRACE,
    ACTIONS(13261), 1,
      anon_sym_do,
    STATE(6689), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [328995] = 4,
    ACTIONS(13263), 1,
      anon_sym_RBRACE,
    ACTIONS(13265), 1,
      anon_sym_COMMA,
    STATE(7561), 1,
      aux_sym__struct_members_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [329010] = 4,
    ACTIONS(6625), 1,
      anon_sym_LBRACE,
    ACTIONS(13268), 1,
      anon_sym_do,
    STATE(6701), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [329025] = 4,
    ACTIONS(6625), 1,
      anon_sym_LBRACE,
    ACTIONS(13270), 1,
      anon_sym_do,
    STATE(6806), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [329040] = 4,
    ACTIONS(6625), 1,
      anon_sym_LBRACE,
    ACTIONS(13272), 1,
      anon_sym_do,
    STATE(6809), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [329055] = 4,
    ACTIONS(13274), 1,
      anon_sym_RBRACE,
    ACTIONS(13276), 1,
      anon_sym_COMMA,
    STATE(7592), 1,
      aux_sym_enum_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [329070] = 4,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(13278), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [329085] = 4,
    ACTIONS(4960), 1,
      anon_sym_RBRACE,
    ACTIONS(13280), 1,
      anon_sym_COMMA,
    STATE(7302), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [329100] = 4,
    ACTIONS(6625), 1,
      anon_sym_LBRACE,
    ACTIONS(13282), 1,
      anon_sym_do,
    STATE(6676), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [329115] = 4,
    ACTIONS(5792), 1,
      anon_sym_RBRACE,
    ACTIONS(13284), 1,
      anon_sym_COMMA,
    STATE(7081), 1,
      aux_sym_map_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [329130] = 4,
    ACTIONS(8768), 1,
      anon_sym_COMMA,
    ACTIONS(13286), 1,
      anon_sym_RBRACE,
    STATE(6494), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [329145] = 4,
    ACTIONS(13288), 1,
      anon_sym_RBRACE,
    ACTIONS(13290), 1,
      anon_sym_COMMA,
    STATE(7592), 1,
      aux_sym_enum_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [329160] = 4,
    ACTIONS(12187), 1,
      anon_sym_COMMA,
    ACTIONS(13292), 1,
      anon_sym_COLON,
    STATE(7584), 1,
      aux_sym_polymorphic_parameters_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [329175] = 4,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(13294), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [329190] = 4,
    ACTIONS(13296), 1,
      anon_sym_COMMA,
    ACTIONS(13298), 1,
      anon_sym_RPAREN,
    STATE(7345), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [329205] = 4,
    ACTIONS(4960), 1,
      anon_sym_RBRACE,
    ACTIONS(13280), 1,
      anon_sym_COMMA,
    STATE(7577), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [329220] = 4,
    ACTIONS(5794), 1,
      anon_sym_RBRACE,
    ACTIONS(13300), 1,
      anon_sym_COMMA,
    STATE(6494), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [329235] = 4,
    ACTIONS(4962), 1,
      anon_sym_RBRACE,
    ACTIONS(13302), 1,
      anon_sym_COMMA,
    STATE(7302), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [329250] = 4,
    ACTIONS(13304), 1,
      anon_sym_RBRACE,
    ACTIONS(13306), 1,
      anon_sym_COMMA,
    STATE(7580), 1,
      aux_sym_map_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [329265] = 4,
    ACTIONS(12169), 1,
      anon_sym_COMMA,
    ACTIONS(13308), 1,
      anon_sym_COLON,
    STATE(7068), 1,
      aux_sym_struct_member_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [329280] = 4,
    ACTIONS(6036), 1,
      anon_sym_RBRACE,
    ACTIONS(13310), 1,
      anon_sym_COMMA,
    STATE(7081), 1,
      aux_sym_map_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [329295] = 4,
    ACTIONS(7379), 1,
      anon_sym_LPAREN,
    ACTIONS(11002), 1,
      anon_sym_SLASH,
    ACTIONS(13312), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [329310] = 4,
    ACTIONS(6038), 1,
      anon_sym_RBRACE,
    ACTIONS(13314), 1,
      anon_sym_COMMA,
    STATE(6494), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [329325] = 4,
    ACTIONS(11390), 1,
      anon_sym_COMMA,
    ACTIONS(13316), 1,
      anon_sym_RPAREN,
    STATE(7624), 1,
      aux_sym_polymorphic_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [329340] = 4,
    ACTIONS(13318), 1,
      anon_sym_COMMA,
    ACTIONS(13321), 1,
      anon_sym_COLON,
    STATE(7584), 1,
      aux_sym_polymorphic_parameters_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [329355] = 4,
    ACTIONS(8506), 1,
      anon_sym_COMMA,
    ACTIONS(10938), 1,
      anon_sym_SEMI,
    STATE(6461), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [329370] = 4,
    ACTIONS(9708), 1,
      anon_sym_COMMA,
    ACTIONS(11036), 1,
      anon_sym_SEMI,
    STATE(7480), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [329385] = 4,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(13323), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [329400] = 5,
    ACTIONS(11816), 1,
      sym_comment,
    ACTIONS(13325), 1,
      anon_sym_BQUOTE,
    ACTIONS(13327), 1,
      sym__raw_string_content,
    STATE(7594), 1,
      aux_sym__raw_string_literal_repeat1,
    ACTIONS(3), 2,
      sym__backslash,
      sym_block_comment,
  [329417] = 4,
    ACTIONS(4968), 1,
      anon_sym_RBRACE,
    ACTIONS(13329), 1,
      anon_sym_COMMA,
    STATE(7597), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [329432] = 3,
    ACTIONS(13333), 1,
      anon_sym_EQ,
    ACTIONS(13331), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [329445] = 4,
    ACTIONS(6625), 1,
      anon_sym_LBRACE,
    ACTIONS(13335), 1,
      anon_sym_do,
    STATE(6676), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [329460] = 4,
    ACTIONS(13331), 1,
      anon_sym_RBRACE,
    ACTIONS(13337), 1,
      anon_sym_COMMA,
    STATE(7592), 1,
      aux_sym_enum_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [329475] = 4,
    ACTIONS(11390), 1,
      anon_sym_COMMA,
    ACTIONS(11430), 1,
      anon_sym_RPAREN,
    STATE(7328), 1,
      aux_sym_polymorphic_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [329490] = 5,
    ACTIONS(11816), 1,
      sym_comment,
    ACTIONS(12457), 1,
      sym__raw_string_content,
    ACTIONS(13340), 1,
      anon_sym_BQUOTE,
    STATE(7600), 1,
      aux_sym__raw_string_literal_repeat1,
    ACTIONS(3), 2,
      sym__backslash,
      sym_block_comment,
  [329507] = 5,
    ACTIONS(11816), 1,
      sym_comment,
    ACTIONS(13342), 1,
      anon_sym_BQUOTE,
    ACTIONS(13344), 1,
      sym__raw_string_content,
    STATE(7626), 1,
      aux_sym__raw_string_literal_repeat1,
    ACTIONS(3), 2,
      sym__backslash,
      sym_block_comment,
  [329524] = 4,
    ACTIONS(5048), 1,
      anon_sym_RBRACE,
    ACTIONS(13346), 1,
      anon_sym_COMMA,
    STATE(7638), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [329539] = 4,
    ACTIONS(4970), 1,
      anon_sym_RBRACE,
    ACTIONS(13348), 1,
      anon_sym_COMMA,
    STATE(7302), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [329554] = 4,
    ACTIONS(13350), 1,
      anon_sym_COMMA,
    ACTIONS(13352), 1,
      anon_sym_RPAREN,
    STATE(7345), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [329569] = 4,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(13354), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [329584] = 5,
    ACTIONS(11816), 1,
      sym_comment,
    ACTIONS(13356), 1,
      anon_sym_BQUOTE,
    ACTIONS(13358), 1,
      sym__raw_string_content,
    STATE(7600), 1,
      aux_sym__raw_string_literal_repeat1,
    ACTIONS(3), 2,
      sym__backslash,
      sym_block_comment,
  [329601] = 4,
    ACTIONS(8380), 1,
      anon_sym_RPAREN,
    ACTIONS(13361), 1,
      anon_sym_COMMA,
    STATE(7288), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [329616] = 4,
    ACTIONS(11790), 1,
      anon_sym_RBRACE,
    ACTIONS(13363), 1,
      anon_sym_COMMA,
    STATE(7602), 1,
      aux_sym_union_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [329631] = 4,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(13366), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [329646] = 4,
    ACTIONS(11101), 1,
      anon_sym_COMMA,
    ACTIONS(11103), 1,
      anon_sym_RPAREN,
    STATE(7627), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [329661] = 4,
    ACTIONS(4998), 1,
      anon_sym_RBRACE,
    ACTIONS(12465), 1,
      anon_sym_COMMA,
    STATE(7302), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [329676] = 4,
    ACTIONS(13368), 1,
      anon_sym_RBRACE,
    ACTIONS(13370), 1,
      anon_sym_COMMA,
    STATE(7078), 1,
      aux_sym_map_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [329691] = 4,
    ACTIONS(6625), 1,
      anon_sym_LBRACE,
    ACTIONS(13372), 1,
      anon_sym_if,
    STATE(6516), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [329706] = 4,
    ACTIONS(13374), 1,
      anon_sym_COMMA,
    ACTIONS(13377), 1,
      anon_sym_COLON,
    STATE(7608), 1,
      aux_sym_switch_case_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [329721] = 3,
    STATE(5528), 1,
      sym__separator,
    ACTIONS(11982), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [329734] = 4,
    ACTIONS(4970), 1,
      anon_sym_RBRACE,
    ACTIONS(13348), 1,
      anon_sym_COMMA,
    STATE(7639), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [329749] = 5,
    ACTIONS(11816), 1,
      sym_comment,
    ACTIONS(13379), 1,
      anon_sym_BQUOTE,
    ACTIONS(13381), 1,
      sym__raw_string_content,
    STATE(7429), 1,
      aux_sym__raw_string_literal_repeat1,
    ACTIONS(3), 2,
      sym__backslash,
      sym_block_comment,
  [329766] = 4,
    ACTIONS(8406), 1,
      anon_sym_RPAREN,
    ACTIONS(13383), 1,
      anon_sym_COMMA,
    STATE(7288), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [329781] = 4,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(13385), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [329796] = 4,
    ACTIONS(13387), 1,
      anon_sym_COMMA,
    ACTIONS(13389), 1,
      anon_sym_RPAREN,
    STATE(7345), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [329811] = 4,
    ACTIONS(13391), 1,
      anon_sym_COMMA,
    ACTIONS(13393), 1,
      anon_sym_RPAREN,
    STATE(7345), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [329826] = 4,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(13395), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [329841] = 4,
    ACTIONS(7379), 1,
      anon_sym_LPAREN,
    ACTIONS(11002), 1,
      anon_sym_SLASH,
    ACTIONS(13397), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [329856] = 4,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(13399), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [329871] = 4,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(13401), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [329886] = 4,
    ACTIONS(6625), 1,
      anon_sym_LBRACE,
    ACTIONS(13403), 1,
      anon_sym_do,
    STATE(6689), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [329901] = 4,
    ACTIONS(13405), 1,
      anon_sym_COMMA,
    ACTIONS(13407), 1,
      anon_sym_RPAREN,
    STATE(7345), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [329916] = 4,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(13409), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [329931] = 4,
    ACTIONS(8832), 1,
      anon_sym_RBRACE,
    ACTIONS(13411), 1,
      anon_sym_COMMA,
    STATE(7602), 1,
      aux_sym_union_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [329946] = 4,
    ACTIONS(11794), 1,
      anon_sym_RPAREN,
    ACTIONS(13413), 1,
      anon_sym_COMMA,
    STATE(7624), 1,
      aux_sym_polymorphic_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [329961] = 4,
    ACTIONS(7379), 1,
      anon_sym_LPAREN,
    ACTIONS(11002), 1,
      anon_sym_SLASH,
    ACTIONS(13416), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [329976] = 5,
    ACTIONS(11816), 1,
      sym_comment,
    ACTIONS(12457), 1,
      sym__raw_string_content,
    ACTIONS(13418), 1,
      anon_sym_BQUOTE,
    STATE(7600), 1,
      aux_sym__raw_string_literal_repeat1,
    ACTIONS(3), 2,
      sym__backslash,
      sym_block_comment,
  [329993] = 4,
    ACTIONS(8436), 1,
      anon_sym_RPAREN,
    ACTIONS(13420), 1,
      anon_sym_COMMA,
    STATE(7288), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [330008] = 4,
    ACTIONS(8418), 1,
      anon_sym_SEMI,
    ACTIONS(9708), 1,
      anon_sym_COMMA,
    STATE(7059), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [330023] = 4,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(13422), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [330038] = 5,
    ACTIONS(11816), 1,
      sym_comment,
    ACTIONS(12457), 1,
      sym__raw_string_content,
    ACTIONS(13424), 1,
      anon_sym_BQUOTE,
    STATE(7600), 1,
      aux_sym__raw_string_literal_repeat1,
    ACTIONS(3), 2,
      sym__backslash,
      sym_block_comment,
  [330055] = 4,
    ACTIONS(4862), 1,
      anon_sym_RBRACE,
    ACTIONS(13426), 1,
      anon_sym_COMMA,
    STATE(7302), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [330070] = 4,
    ACTIONS(11390), 1,
      anon_sym_COMMA,
    ACTIONS(11720), 1,
      anon_sym_RPAREN,
    STATE(7655), 1,
      aux_sym_polymorphic_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [330085] = 4,
    ACTIONS(7379), 1,
      anon_sym_LPAREN,
    ACTIONS(7486), 1,
      anon_sym_LBRACE,
    ACTIONS(11002), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [330100] = 4,
    ACTIONS(6625), 1,
      anon_sym_LBRACE,
    ACTIONS(13428), 1,
      anon_sym_when,
    STATE(6516), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [330115] = 4,
    ACTIONS(13430), 1,
      anon_sym_COMMA,
    ACTIONS(13432), 1,
      anon_sym_RPAREN,
    STATE(7345), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [330130] = 4,
    ACTIONS(13434), 1,
      anon_sym_COMMA,
    ACTIONS(13436), 1,
      anon_sym_RPAREN,
    STATE(7345), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [330145] = 4,
    ACTIONS(13438), 1,
      anon_sym_COMMA,
    ACTIONS(13440), 1,
      anon_sym_RPAREN,
    STATE(7345), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [330160] = 4,
    ACTIONS(5704), 1,
      anon_sym_RBRACE,
    ACTIONS(13442), 1,
      anon_sym_COMMA,
    STATE(7302), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [330175] = 4,
    ACTIONS(4974), 1,
      anon_sym_RBRACE,
    ACTIONS(13444), 1,
      anon_sym_COMMA,
    STATE(7302), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [330190] = 4,
    ACTIONS(12201), 1,
      anon_sym_COMMA,
    ACTIONS(13446), 1,
      anon_sym_RPAREN,
    STATE(7391), 1,
      aux_sym_struct_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [330205] = 5,
    ACTIONS(11816), 1,
      sym_comment,
    ACTIONS(13448), 1,
      anon_sym_BQUOTE,
    ACTIONS(13450), 1,
      sym__raw_string_content,
    STATE(7662), 1,
      aux_sym__raw_string_literal_repeat1,
    ACTIONS(3), 2,
      sym__backslash,
      sym_block_comment,
  [330222] = 4,
    ACTIONS(5020), 1,
      anon_sym_RBRACE,
    ACTIONS(13452), 1,
      anon_sym_COMMA,
    STATE(7139), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [330237] = 4,
    ACTIONS(4842), 1,
      anon_sym_RBRACE,
    ACTIONS(13454), 1,
      anon_sym_COMMA,
    STATE(7676), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [330252] = 4,
    ACTIONS(4976), 1,
      anon_sym_RBRACE,
    ACTIONS(13456), 1,
      anon_sym_COMMA,
    STATE(7665), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [330267] = 4,
    ACTIONS(8768), 1,
      anon_sym_COMMA,
    ACTIONS(13458), 1,
      anon_sym_RBRACE,
    STATE(6494), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [330282] = 4,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(13460), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [330297] = 4,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(13462), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [330312] = 4,
    ACTIONS(7379), 1,
      anon_sym_LPAREN,
    ACTIONS(10867), 1,
      anon_sym_LBRACE,
    ACTIONS(11002), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [330327] = 4,
    ACTIONS(11390), 1,
      anon_sym_COMMA,
    ACTIONS(11436), 1,
      anon_sym_RPAREN,
    STATE(7057), 1,
      aux_sym_polymorphic_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [330342] = 4,
    ACTIONS(13464), 1,
      anon_sym_RBRACE,
    ACTIONS(13466), 1,
      anon_sym_COMMA,
    STATE(7592), 1,
      aux_sym_enum_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [330357] = 4,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(13468), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [330372] = 4,
    ACTIONS(8914), 1,
      anon_sym_RBRACE,
    ACTIONS(13470), 1,
      anon_sym_COMMA,
    STATE(7602), 1,
      aux_sym_union_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [330387] = 4,
    ACTIONS(7086), 1,
      anon_sym_LBRACE,
    ACTIONS(7379), 1,
      anon_sym_LPAREN,
    ACTIONS(11002), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [330402] = 4,
    ACTIONS(11358), 1,
      anon_sym_COMMA,
    ACTIONS(11360), 1,
      anon_sym_RPAREN,
    STATE(7396), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [330417] = 4,
    ACTIONS(11390), 1,
      anon_sym_COMMA,
    ACTIONS(13472), 1,
      anon_sym_RPAREN,
    STATE(7624), 1,
      aux_sym_polymorphic_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [330432] = 4,
    ACTIONS(11268), 1,
      anon_sym_COMMA,
    ACTIONS(11270), 1,
      anon_sym_RPAREN,
    STATE(7731), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [330447] = 4,
    ACTIONS(9870), 1,
      anon_sym_RBRACE,
    ACTIONS(9872), 1,
      anon_sym_COMMA,
    STATE(7592), 1,
      aux_sym_enum_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [330462] = 4,
    ACTIONS(13474), 1,
      anon_sym_COMMA,
    ACTIONS(13476), 1,
      anon_sym_RPAREN,
    STATE(7345), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [330477] = 4,
    ACTIONS(13478), 1,
      anon_sym_COMMA,
    ACTIONS(13480), 1,
      anon_sym_RPAREN,
    STATE(7345), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [330492] = 3,
    ACTIONS(11060), 1,
      anon_sym_EQ,
    ACTIONS(9965), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [330505] = 4,
    ACTIONS(6625), 1,
      anon_sym_LBRACE,
    ACTIONS(13482), 1,
      anon_sym_do,
    STATE(6701), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [330520] = 5,
    ACTIONS(11816), 1,
      sym_comment,
    ACTIONS(12457), 1,
      sym__raw_string_content,
    ACTIONS(13484), 1,
      anon_sym_BQUOTE,
    STATE(7600), 1,
      aux_sym__raw_string_literal_repeat1,
    ACTIONS(3), 2,
      sym__backslash,
      sym_block_comment,
  [330537] = 4,
    ACTIONS(4978), 1,
      anon_sym_RBRACE,
    ACTIONS(13486), 1,
      anon_sym_COMMA,
    STATE(7679), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [330552] = 4,
    ACTIONS(4820), 1,
      anon_sym_RBRACE,
    ACTIONS(12278), 1,
      anon_sym_COMMA,
    STATE(7302), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [330567] = 4,
    ACTIONS(4978), 1,
      anon_sym_RBRACE,
    ACTIONS(13486), 1,
      anon_sym_COMMA,
    STATE(7302), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [330582] = 4,
    ACTIONS(11214), 1,
      anon_sym_RBRACE,
    ACTIONS(12923), 1,
      anon_sym_COMMA,
    STATE(7677), 1,
      aux_sym_import_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [330597] = 4,
    ACTIONS(7379), 1,
      anon_sym_LPAREN,
    ACTIONS(11002), 1,
      anon_sym_SLASH,
    ACTIONS(13488), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [330612] = 3,
    ACTIONS(11200), 1,
      anon_sym_EQ,
    ACTIONS(10001), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [330625] = 4,
    ACTIONS(11390), 1,
      anon_sym_COMMA,
    ACTIONS(11440), 1,
      anon_sym_RPAREN,
    STATE(7237), 1,
      aux_sym_polymorphic_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [330640] = 4,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(13490), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [330655] = 4,
    ACTIONS(12187), 1,
      anon_sym_COMMA,
    ACTIONS(13148), 1,
      anon_sym_COLON,
    STATE(7584), 1,
      aux_sym_polymorphic_parameters_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [330670] = 4,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(13492), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [330685] = 4,
    ACTIONS(12169), 1,
      anon_sym_COMMA,
    ACTIONS(12171), 1,
      anon_sym_COLON,
    STATE(7482), 1,
      aux_sym_struct_member_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [330700] = 4,
    ACTIONS(13494), 1,
      anon_sym_COMMA,
    ACTIONS(13496), 1,
      anon_sym_RPAREN,
    STATE(7345), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [330715] = 4,
    ACTIONS(13498), 1,
      anon_sym_RBRACE,
    ACTIONS(13500), 1,
      anon_sym_COMMA,
    STATE(7203), 1,
      aux_sym_import_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [330730] = 4,
    ACTIONS(4844), 1,
      anon_sym_RBRACE,
    ACTIONS(13502), 1,
      anon_sym_COMMA,
    STATE(7302), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [330745] = 4,
    ACTIONS(13504), 1,
      anon_sym_RBRACE,
    ACTIONS(13506), 1,
      anon_sym_COMMA,
    STATE(7677), 1,
      aux_sym_import_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [330760] = 4,
    ACTIONS(5704), 1,
      anon_sym_RBRACE,
    ACTIONS(13442), 1,
      anon_sym_COMMA,
    STATE(7233), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [330775] = 4,
    ACTIONS(4980), 1,
      anon_sym_RBRACE,
    ACTIONS(13509), 1,
      anon_sym_COMMA,
    STATE(7302), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [330790] = 4,
    ACTIONS(8768), 1,
      anon_sym_COMMA,
    ACTIONS(13511), 1,
      anon_sym_RBRACE,
    STATE(6494), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [330805] = 4,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(13513), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [330820] = 4,
    ACTIONS(13515), 1,
      anon_sym_RBRACE,
    ACTIONS(13517), 1,
      anon_sym_COMMA,
    STATE(7592), 1,
      aux_sym_enum_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [330835] = 4,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(13519), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [330850] = 4,
    ACTIONS(13521), 1,
      anon_sym_COMMA,
    ACTIONS(13523), 1,
      anon_sym_RPAREN,
    STATE(7345), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [330865] = 4,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(13525), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [330880] = 4,
    ACTIONS(4980), 1,
      anon_sym_RBRACE,
    ACTIONS(13509), 1,
      anon_sym_COMMA,
    STATE(7692), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [330895] = 4,
    ACTIONS(10635), 1,
      anon_sym_RPAREN,
    ACTIONS(13527), 1,
      anon_sym_COMMA,
    STATE(7384), 1,
      aux_sym_parameters_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [330910] = 4,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(13529), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [330925] = 4,
    ACTIONS(11246), 1,
      anon_sym_RBRACE,
    ACTIONS(13531), 1,
      anon_sym_COMMA,
    STATE(7677), 1,
      aux_sym_import_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [330940] = 4,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(13533), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [330955] = 4,
    ACTIONS(11390), 1,
      anon_sym_COMMA,
    ACTIONS(11740), 1,
      anon_sym_RPAREN,
    STATE(7321), 1,
      aux_sym_polymorphic_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [330970] = 4,
    ACTIONS(4982), 1,
      anon_sym_RBRACE,
    ACTIONS(13535), 1,
      anon_sym_COMMA,
    STATE(7302), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [330985] = 4,
    ACTIONS(13537), 1,
      anon_sym_RBRACE,
    ACTIONS(13539), 1,
      anon_sym_COMMA,
    STATE(7695), 1,
      aux_sym_map_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [331000] = 4,
    ACTIONS(10633), 1,
      anon_sym_RPAREN,
    ACTIONS(13541), 1,
      anon_sym_COMMA,
    STATE(7384), 1,
      aux_sym_parameters_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [331015] = 4,
    ACTIONS(5720), 1,
      anon_sym_RBRACE,
    ACTIONS(13543), 1,
      anon_sym_COMMA,
    STATE(7081), 1,
      aux_sym_map_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [331030] = 4,
    ACTIONS(7379), 1,
      anon_sym_LPAREN,
    ACTIONS(8806), 1,
      anon_sym_LBRACE,
    ACTIONS(11002), 1,
      anon_sym_SLASH,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [331045] = 4,
    ACTIONS(5722), 1,
      anon_sym_RBRACE,
    ACTIONS(13545), 1,
      anon_sym_COMMA,
    STATE(6494), 1,
      aux_sym_overloaded_procedure_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [331060] = 2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
    ACTIONS(13547), 3,
      anon_sym_LBRACE,
      anon_sym_where,
      sym_tag,
  [331071] = 4,
    ACTIONS(11426), 1,
      anon_sym_COMMA,
    ACTIONS(11742), 1,
      anon_sym_RPAREN,
    STATE(7705), 1,
      aux_sym_polymorphic_parameters_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [331086] = 4,
    ACTIONS(11290), 1,
      anon_sym_RBRACE,
    ACTIONS(13549), 1,
      anon_sym_COMMA,
    STATE(7677), 1,
      aux_sym_import_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [331101] = 4,
    ACTIONS(12187), 1,
      anon_sym_COMMA,
    ACTIONS(13551), 1,
      anon_sym_COLON,
    STATE(7671), 1,
      aux_sym_polymorphic_parameters_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [331116] = 4,
    ACTIONS(13553), 1,
      anon_sym_COMMA,
    ACTIONS(13555), 1,
      anon_sym_RPAREN,
    STATE(7345), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [331131] = 5,
    ACTIONS(11816), 1,
      sym_comment,
    ACTIONS(13557), 1,
      anon_sym_BQUOTE,
    ACTIONS(13559), 1,
      sym__raw_string_content,
    STATE(7713), 1,
      aux_sym__raw_string_literal_repeat1,
    ACTIONS(3), 2,
      sym__backslash,
      sym_block_comment,
  [331148] = 4,
    ACTIONS(4988), 1,
      anon_sym_RBRACE,
    ACTIONS(13561), 1,
      anon_sym_COMMA,
    STATE(7717), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [331163] = 4,
    ACTIONS(13563), 1,
      anon_sym_COMMA,
    ACTIONS(13566), 1,
      anon_sym_RPAREN,
    STATE(7705), 1,
      aux_sym_polymorphic_parameters_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [331178] = 5,
    ACTIONS(11816), 1,
      sym_comment,
    ACTIONS(13568), 1,
      anon_sym_BQUOTE,
    ACTIONS(13570), 1,
      sym__raw_string_content,
    STATE(7732), 1,
      aux_sym__raw_string_literal_repeat1,
    ACTIONS(3), 2,
      sym__backslash,
      sym_block_comment,
  [331195] = 3,
    ACTIONS(11166), 1,
      anon_sym_EQ,
    ACTIONS(9930), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [331208] = 4,
    ACTIONS(13572), 1,
      anon_sym_COMMA,
    ACTIONS(13574), 1,
      anon_sym_RPAREN,
    STATE(7345), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [331223] = 4,
    ACTIONS(9710), 1,
      anon_sym_COMMA,
    ACTIONS(9712), 1,
      anon_sym_COLON,
    STATE(7218), 1,
      aux_sym_switch_case_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [331238] = 4,
    ACTIONS(13576), 1,
      anon_sym_COMMA,
    ACTIONS(13578), 1,
      anon_sym_RPAREN,
    STATE(7345), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [331253] = 3,
    ACTIONS(13582), 1,
      anon_sym_EQ,
    ACTIONS(13580), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [331266] = 4,
    ACTIONS(4876), 1,
      anon_sym_RBRACE,
    ACTIONS(13584), 1,
      anon_sym_COMMA,
    STATE(7745), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [331281] = 5,
    ACTIONS(11816), 1,
      sym_comment,
    ACTIONS(12457), 1,
      sym__raw_string_content,
    ACTIONS(13586), 1,
      anon_sym_BQUOTE,
    STATE(7600), 1,
      aux_sym__raw_string_literal_repeat1,
    ACTIONS(3), 2,
      sym__backslash,
      sym_block_comment,
  [331298] = 4,
    ACTIONS(13588), 1,
      anon_sym_RBRACE,
    ACTIONS(13590), 1,
      anon_sym_COMMA,
    STATE(7432), 1,
      aux_sym_import_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [331313] = 4,
    ACTIONS(11011), 1,
      anon_sym_COMMA,
    ACTIONS(11013), 1,
      anon_sym_RPAREN,
    STATE(7242), 1,
      aux_sym_attribute_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [331328] = 4,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(13592), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [331343] = 4,
    ACTIONS(4990), 1,
      anon_sym_RBRACE,
    ACTIONS(13594), 1,
      anon_sym_COMMA,
    STATE(7302), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [331358] = 4,
    ACTIONS(5020), 1,
      anon_sym_RBRACE,
    ACTIONS(13452), 1,
      anon_sym_COMMA,
    STATE(7302), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [331373] = 4,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(13596), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [331388] = 4,
    ACTIONS(7379), 1,
      anon_sym_LPAREN,
    ACTIONS(11002), 1,
      anon_sym_SLASH,
    ACTIONS(13598), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [331403] = 4,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(13600), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [331418] = 4,
    ACTIONS(7379), 1,
      anon_sym_LPAREN,
    ACTIONS(11002), 1,
      anon_sym_SLASH,
    ACTIONS(13602), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [331433] = 4,
    ACTIONS(11314), 1,
      anon_sym_COMMA,
    ACTIONS(11316), 1,
      anon_sym_RPAREN,
    STATE(7743), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [331448] = 4,
    ACTIONS(13604), 1,
      anon_sym_RBRACE,
    ACTIONS(13606), 1,
      anon_sym_COMMA,
    STATE(7188), 1,
      aux_sym__struct_members_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [331463] = 4,
    ACTIONS(4734), 1,
      anon_sym_RBRACE,
    ACTIONS(13608), 1,
      anon_sym_COMMA,
    STATE(7302), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [331478] = 4,
    ACTIONS(11087), 1,
      anon_sym_COMMA,
    ACTIONS(11089), 1,
      anon_sym_RPAREN,
    STATE(7209), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [331493] = 4,
    ACTIONS(13610), 1,
      anon_sym_RBRACE,
    ACTIONS(13612), 1,
      anon_sym_COMMA,
    STATE(7592), 1,
      aux_sym_enum_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [331508] = 4,
    ACTIONS(7379), 1,
      anon_sym_LPAREN,
    ACTIONS(11002), 1,
      anon_sym_SLASH,
    ACTIONS(13614), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [331523] = 4,
    ACTIONS(4990), 1,
      anon_sym_RBRACE,
    ACTIONS(13594), 1,
      anon_sym_COMMA,
    STATE(7756), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [331538] = 4,
    ACTIONS(4844), 1,
      anon_sym_RBRACE,
    ACTIONS(13502), 1,
      anon_sym_COMMA,
    STATE(7534), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [331553] = 4,
    ACTIONS(8400), 1,
      anon_sym_RPAREN,
    ACTIONS(13616), 1,
      anon_sym_COMMA,
    STATE(7288), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [331568] = 5,
    ACTIONS(11816), 1,
      sym_comment,
    ACTIONS(12457), 1,
      sym__raw_string_content,
    ACTIONS(13618), 1,
      anon_sym_BQUOTE,
    STATE(7600), 1,
      aux_sym__raw_string_literal_repeat1,
    ACTIONS(3), 2,
      sym__backslash,
      sym_block_comment,
  [331585] = 4,
    ACTIONS(13580), 1,
      anon_sym_RPAREN,
    ACTIONS(13620), 1,
      anon_sym_COMMA,
    STATE(7733), 1,
      aux_sym_attribute_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [331600] = 4,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(13623), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [331615] = 4,
    ACTIONS(13625), 1,
      anon_sym_RBRACE,
    ACTIONS(13627), 1,
      anon_sym_COMMA,
    STATE(7592), 1,
      aux_sym_enum_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [331630] = 4,
    ACTIONS(11442), 1,
      anon_sym_RBRACE,
    ACTIONS(12274), 1,
      anon_sym_COMMA,
    STATE(7441), 1,
      aux_sym_struct_declaration_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [331645] = 4,
    ACTIONS(11762), 1,
      anon_sym_RBRACE,
    ACTIONS(13629), 1,
      anon_sym_COMMA,
    STATE(7526), 1,
      aux_sym_struct_declaration_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [331660] = 4,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(13631), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [331675] = 4,
    ACTIONS(11762), 1,
      anon_sym_RBRACE,
    ACTIONS(13629), 1,
      anon_sym_COMMA,
    STATE(7160), 1,
      aux_sym_struct_declaration_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [331690] = 4,
    ACTIONS(8404), 1,
      anon_sym_SEMI,
    ACTIONS(9708), 1,
      anon_sym_COMMA,
    STATE(7320), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [331705] = 4,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(13633), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [331720] = 4,
    ACTIONS(8708), 1,
      anon_sym_RBRACE,
    ACTIONS(13635), 1,
      anon_sym_COMMA,
    STATE(7602), 1,
      aux_sym_union_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [331735] = 4,
    ACTIONS(8412), 1,
      anon_sym_RPAREN,
    ACTIONS(13637), 1,
      anon_sym_COMMA,
    STATE(7288), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [331750] = 4,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(13639), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [331765] = 4,
    ACTIONS(4878), 1,
      anon_sym_RBRACE,
    ACTIONS(12173), 1,
      anon_sym_COMMA,
    STATE(7302), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [331780] = 4,
    ACTIONS(13641), 1,
      anon_sym_COMMA,
    ACTIONS(13643), 1,
      anon_sym_RPAREN,
    STATE(7687), 1,
      aux_sym_parameters_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [331795] = 4,
    ACTIONS(5016), 1,
      anon_sym_RBRACE,
    ACTIONS(13645), 1,
      anon_sym_COMMA,
    STATE(7302), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [331810] = 4,
    ACTIONS(11390), 1,
      anon_sym_COMMA,
    ACTIONS(11770), 1,
      anon_sym_RPAREN,
    STATE(7583), 1,
      aux_sym_polymorphic_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [331825] = 4,
    ACTIONS(13647), 1,
      anon_sym_COMMA,
    ACTIONS(13649), 1,
      anon_sym_RPAREN,
    STATE(7345), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [331840] = 4,
    ACTIONS(13651), 1,
      anon_sym_COMMA,
    ACTIONS(13653), 1,
      anon_sym_RPAREN,
    STATE(7345), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [331855] = 4,
    ACTIONS(13655), 1,
      anon_sym_COMMA,
    ACTIONS(13657), 1,
      anon_sym_RPAREN,
    STATE(7345), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [331870] = 4,
    ACTIONS(13659), 1,
      anon_sym_COMMA,
    ACTIONS(13661), 1,
      anon_sym_RPAREN,
    STATE(7345), 1,
      aux_sym_call_expression_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [331885] = 4,
    ACTIONS(11390), 1,
      anon_sym_COMMA,
    ACTIONS(11606), 1,
      anon_sym_RPAREN,
    STATE(7064), 1,
      aux_sym_polymorphic_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [331900] = 4,
    ACTIONS(7592), 1,
      anon_sym_LPAREN,
    ACTIONS(10887), 1,
      anon_sym_SLASH,
    ACTIONS(13663), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [331915] = 4,
    ACTIONS(8596), 1,
      anon_sym_RBRACE,
    ACTIONS(11760), 1,
      anon_sym_COMMA,
    STATE(7602), 1,
      aux_sym_union_declaration_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [331930] = 4,
    ACTIONS(4992), 1,
      anon_sym_RBRACE,
    ACTIONS(13665), 1,
      anon_sym_COMMA,
    STATE(7302), 1,
      aux_sym_struct_repeat2,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [331945] = 4,
    ACTIONS(11308), 1,
      anon_sym_COMMA,
    ACTIONS(11310), 1,
      anon_sym_RPAREN,
    STATE(7123), 1,
      aux_sym_tuple_type_repeat1,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [331960] = 3,
    ACTIONS(9957), 1,
      anon_sym_SEMI,
    ACTIONS(9959), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [331972] = 3,
    ACTIONS(9668), 1,
      anon_sym_RBRACE,
    ACTIONS(13667), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [331984] = 2,
    ACTIONS(11972), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [331994] = 2,
    ACTIONS(13669), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [332004] = 3,
    ACTIONS(9842), 1,
      anon_sym_RBRACE,
    ACTIONS(13671), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [332016] = 3,
    ACTIONS(12409), 1,
      anon_sym_RBRACE,
    ACTIONS(13667), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [332028] = 3,
    ACTIONS(13673), 1,
      anon_sym_LBRACE,
    ACTIONS(13675), 1,
      sym_tag,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [332040] = 3,
    ACTIONS(12659), 1,
      anon_sym_RBRACE,
    ACTIONS(13667), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [332052] = 3,
    ACTIONS(13677), 1,
      sym_identifier,
    ACTIONS(13679), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [332064] = 3,
    ACTIONS(9792), 1,
      anon_sym_RBRACE,
    ACTIONS(13667), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [332076] = 3,
    ACTIONS(10728), 1,
      anon_sym_LPAREN,
    STATE(2928), 1,
      sym_parameters,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [332088] = 3,
    ACTIONS(13667), 1,
      sym_identifier,
    ACTIONS(13681), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [332100] = 3,
    ACTIONS(12437), 1,
      anon_sym_RBRACE,
    ACTIONS(13667), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [332112] = 3,
    ACTIONS(11822), 1,
      anon_sym_RBRACE,
    ACTIONS(13667), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [332124] = 3,
    ACTIONS(13683), 1,
      sym_identifier,
    ACTIONS(13685), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [332136] = 3,
    ACTIONS(12685), 1,
      anon_sym_RBRACE,
    ACTIONS(13667), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [332148] = 3,
    ACTIONS(9842), 1,
      anon_sym_RBRACE,
    ACTIONS(13667), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [332160] = 3,
    ACTIONS(10750), 1,
      anon_sym_LPAREN,
    STATE(6194), 1,
      sym_parameters,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [332172] = 3,
    ACTIONS(10750), 1,
      anon_sym_LPAREN,
    STATE(3670), 1,
      sym_parameters,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [332184] = 3,
    ACTIONS(6066), 1,
      anon_sym_LBRACE,
    ACTIONS(13687), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [332196] = 3,
    ACTIONS(13689), 1,
      sym_identifier,
    ACTIONS(13691), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [332208] = 3,
    ACTIONS(13693), 1,
      sym_identifier,
    ACTIONS(13695), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [332220] = 3,
    ACTIONS(12693), 1,
      anon_sym_RBRACE,
    ACTIONS(13667), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [332232] = 3,
    ACTIONS(12280), 1,
      anon_sym_RBRACE,
    ACTIONS(13667), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [332244] = 3,
    ACTIONS(12443), 1,
      anon_sym_RBRACE,
    ACTIONS(13667), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [332256] = 3,
    ACTIONS(7389), 1,
      anon_sym_LBRACE,
    ACTIONS(13697), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [332268] = 3,
    ACTIONS(13057), 1,
      anon_sym_RBRACE,
    ACTIONS(13667), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [332280] = 3,
    ACTIONS(13699), 1,
      sym_identifier,
    ACTIONS(13701), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [332292] = 3,
    ACTIONS(13667), 1,
      sym_identifier,
    ACTIONS(13703), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [332304] = 2,
    ACTIONS(13705), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [332314] = 3,
    ACTIONS(13667), 1,
      sym_identifier,
    ACTIONS(13707), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [332326] = 2,
    ACTIONS(11242), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [332336] = 3,
    ACTIONS(10772), 1,
      anon_sym_LPAREN,
    STATE(3241), 1,
      sym_parameters,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [332348] = 3,
    ACTIONS(12224), 1,
      anon_sym_RBRACE,
    ACTIONS(13667), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [332360] = 3,
    ACTIONS(13709), 1,
      sym_identifier,
    ACTIONS(13711), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [332372] = 3,
    ACTIONS(10750), 1,
      anon_sym_LPAREN,
    STATE(2975), 1,
      sym_parameters,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [332384] = 3,
    ACTIONS(9560), 1,
      anon_sym_RBRACE,
    ACTIONS(13667), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [332396] = 3,
    ACTIONS(10772), 1,
      anon_sym_LPAREN,
    STATE(3370), 1,
      sym_parameters,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [332408] = 3,
    ACTIONS(9967), 1,
      anon_sym_SEMI,
    ACTIONS(9969), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [332420] = 2,
    ACTIONS(13713), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [332430] = 3,
    ACTIONS(13715), 1,
      sym_identifier,
    ACTIONS(13717), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [332442] = 3,
    ACTIONS(13719), 1,
      sym_identifier,
    ACTIONS(13721), 1,
      anon_sym_using,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [332454] = 3,
    ACTIONS(6625), 1,
      anon_sym_LBRACE,
    STATE(6528), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [332466] = 2,
    ACTIONS(10911), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [332476] = 3,
    ACTIONS(13723), 1,
      sym_identifier,
    ACTIONS(13725), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [332488] = 3,
    ACTIONS(13727), 1,
      sym_identifier,
    ACTIONS(13729), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [332500] = 2,
    ACTIONS(10903), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [332510] = 4,
    ACTIONS(11816), 1,
      sym_comment,
    ACTIONS(13731), 1,
      aux_sym_character_token1,
    ACTIONS(13733), 1,
      sym_escape_sequence,
    ACTIONS(3), 2,
      sym__backslash,
      sym_block_comment,
  [332524] = 3,
    ACTIONS(9580), 1,
      anon_sym_RBRACE,
    ACTIONS(13667), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [332536] = 3,
    ACTIONS(7374), 1,
      anon_sym_LBRACE,
    ACTIONS(10915), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [332548] = 2,
    ACTIONS(13159), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [332558] = 3,
    ACTIONS(13735), 1,
      sym_identifier,
    ACTIONS(13737), 1,
      anon_sym_using,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [332570] = 3,
    ACTIONS(13739), 1,
      sym_identifier,
    ACTIONS(13741), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [332582] = 2,
    ACTIONS(13166), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [332592] = 3,
    ACTIONS(13667), 1,
      sym_identifier,
    ACTIONS(13743), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [332604] = 3,
    ACTIONS(13274), 1,
      anon_sym_RBRACE,
    ACTIONS(13667), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [332616] = 2,
    ACTIONS(13745), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [332626] = 3,
    ACTIONS(9910), 1,
      anon_sym_SEMI,
    ACTIONS(9934), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [332638] = 3,
    ACTIONS(13747), 1,
      sym_identifier,
    ACTIONS(13749), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [332650] = 3,
    ACTIONS(9622), 1,
      anon_sym_RBRACE,
    ACTIONS(13667), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [332662] = 3,
    ACTIONS(9684), 1,
      anon_sym_RBRACE,
    ACTIONS(13667), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [332674] = 3,
    ACTIONS(13667), 1,
      sym_identifier,
    ACTIONS(13751), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [332686] = 3,
    ACTIONS(10750), 1,
      anon_sym_LPAREN,
    STATE(2942), 1,
      sym_parameters,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [332698] = 4,
    ACTIONS(11816), 1,
      sym_comment,
    ACTIONS(13753), 1,
      aux_sym_character_token1,
    ACTIONS(13755), 1,
      sym_escape_sequence,
    ACTIONS(3), 2,
      sym__backslash,
      sym_block_comment,
  [332712] = 3,
    ACTIONS(13757), 1,
      sym_identifier,
    ACTIONS(13759), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [332724] = 3,
    ACTIONS(10772), 1,
      anon_sym_LPAREN,
    STATE(6131), 1,
      sym_parameters,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [332736] = 3,
    ACTIONS(10766), 1,
      anon_sym_LPAREN,
    STATE(1333), 1,
      sym_parameters,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [332748] = 3,
    ACTIONS(11944), 1,
      anon_sym_LBRACE,
    ACTIONS(11946), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [332760] = 3,
    ACTIONS(13180), 1,
      anon_sym_RBRACE,
    ACTIONS(13667), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [332772] = 3,
    ACTIONS(11828), 1,
      anon_sym_LBRACE,
    ACTIONS(11830), 1,
      sym_tag,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [332784] = 3,
    ACTIONS(10728), 1,
      anon_sym_LPAREN,
    STATE(2994), 1,
      sym_parameters,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [332796] = 2,
    ACTIONS(13186), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [332806] = 3,
    ACTIONS(13667), 1,
      sym_identifier,
    ACTIONS(13761), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [332818] = 2,
    ACTIONS(13263), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [332828] = 3,
    ACTIONS(10003), 1,
      anon_sym_SEMI,
    ACTIONS(10005), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [332840] = 2,
    ACTIONS(12362), 2,
      anon_sym_LBRACE,
      sym_tag,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [332850] = 3,
    ACTIONS(13197), 1,
      anon_sym_RBRACE,
    ACTIONS(13667), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [332862] = 4,
    ACTIONS(11816), 1,
      sym_comment,
    ACTIONS(13763), 1,
      aux_sym_character_token1,
    ACTIONS(13765), 1,
      sym_escape_sequence,
    ACTIONS(3), 2,
      sym__backslash,
      sym_block_comment,
  [332876] = 3,
    ACTIONS(10766), 1,
      anon_sym_LPAREN,
    STATE(1295), 1,
      sym_parameters,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [332888] = 2,
    ACTIONS(10875), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [332898] = 3,
    ACTIONS(7753), 1,
      anon_sym_LBRACE,
    ACTIONS(13767), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [332910] = 3,
    ACTIONS(13667), 1,
      sym_identifier,
    ACTIONS(13769), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [332922] = 3,
    ACTIONS(10750), 1,
      anon_sym_LPAREN,
    STATE(6268), 1,
      sym_parameters,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [332934] = 3,
    ACTIONS(13771), 1,
      sym_identifier,
    ACTIONS(13773), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [332946] = 3,
    ACTIONS(12485), 1,
      anon_sym_RBRACE,
    ACTIONS(13667), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [332958] = 3,
    ACTIONS(9852), 1,
      anon_sym_RBRACE,
    ACTIONS(13667), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [332970] = 3,
    ACTIONS(9973), 1,
      anon_sym_SEMI,
    ACTIONS(9975), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [332982] = 3,
    ACTIONS(13775), 1,
      anon_sym_LBRACE,
    ACTIONS(13777), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [332994] = 3,
    ACTIONS(13667), 1,
      sym_identifier,
    ACTIONS(13779), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [333006] = 4,
    ACTIONS(11816), 1,
      sym_comment,
    ACTIONS(13781), 1,
      aux_sym_character_token1,
    ACTIONS(13783), 1,
      sym_escape_sequence,
    ACTIONS(3), 2,
      sym__backslash,
      sym_block_comment,
  [333020] = 3,
    ACTIONS(9947), 1,
      anon_sym_SEMI,
    ACTIONS(9949), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [333032] = 3,
    ACTIONS(13288), 1,
      anon_sym_RBRACE,
    ACTIONS(13667), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [333044] = 3,
    ACTIONS(10750), 1,
      anon_sym_LPAREN,
    STATE(6252), 1,
      sym_parameters,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [333056] = 3,
    ACTIONS(10750), 1,
      anon_sym_LPAREN,
    STATE(6141), 1,
      sym_parameters,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [333068] = 3,
    ACTIONS(13667), 1,
      sym_identifier,
    ACTIONS(13785), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [333080] = 2,
    ACTIONS(13321), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [333090] = 3,
    ACTIONS(12499), 1,
      anon_sym_RBRACE,
    ACTIONS(13667), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [333102] = 3,
    ACTIONS(9726), 1,
      anon_sym_RBRACE,
    ACTIONS(13667), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [333114] = 3,
    ACTIONS(9740), 1,
      anon_sym_RBRACE,
    ACTIONS(13667), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [333126] = 3,
    ACTIONS(9762), 1,
      anon_sym_RBRACE,
    ACTIONS(13667), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [333138] = 2,
    ACTIONS(9987), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [333148] = 3,
    ACTIONS(10728), 1,
      anon_sym_LPAREN,
    STATE(6137), 1,
      sym_parameters,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [333160] = 2,
    ACTIONS(10895), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [333170] = 4,
    ACTIONS(11816), 1,
      sym_comment,
    ACTIONS(13787), 1,
      aux_sym_character_token1,
    ACTIONS(13789), 1,
      sym_escape_sequence,
    ACTIONS(3), 2,
      sym__backslash,
      sym_block_comment,
  [333184] = 3,
    ACTIONS(9997), 1,
      anon_sym_SEMI,
    ACTIONS(9999), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [333196] = 4,
    ACTIONS(11816), 1,
      sym_comment,
    ACTIONS(13791), 1,
      aux_sym_character_token1,
    ACTIONS(13793), 1,
      sym_escape_sequence,
    ACTIONS(3), 2,
      sym__backslash,
      sym_block_comment,
  [333210] = 3,
    ACTIONS(11881), 1,
      anon_sym_LBRACE,
    ACTIONS(11883), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [333222] = 3,
    ACTIONS(13667), 1,
      sym_identifier,
    ACTIONS(13795), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [333234] = 4,
    ACTIONS(11816), 1,
      sym_comment,
    ACTIONS(13797), 1,
      aux_sym_character_token1,
    ACTIONS(13799), 1,
      sym_escape_sequence,
    ACTIONS(3), 2,
      sym__backslash,
      sym_block_comment,
  [333248] = 3,
    ACTIONS(12831), 1,
      anon_sym_RBRACE,
    ACTIONS(13667), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [333260] = 2,
    ACTIONS(11794), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [333270] = 3,
    ACTIONS(12046), 1,
      anon_sym_LBRACE,
    ACTIONS(12048), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [333282] = 3,
    ACTIONS(9618), 1,
      anon_sym_RBRACE,
    ACTIONS(13667), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [333294] = 3,
    ACTIONS(6625), 1,
      anon_sym_LBRACE,
    STATE(6489), 1,
      sym_block,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [333306] = 3,
    ACTIONS(9989), 1,
      anon_sym_SEMI,
    ACTIONS(9991), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [333318] = 3,
    ACTIONS(12539), 1,
      anon_sym_RBRACE,
    ACTIONS(13667), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [333330] = 3,
    ACTIONS(11912), 1,
      anon_sym_LBRACE,
    ACTIONS(11914), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [333342] = 3,
    ACTIONS(12851), 1,
      anon_sym_RBRACE,
    ACTIONS(13667), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [333354] = 3,
    ACTIONS(10764), 1,
      anon_sym_LPAREN,
    STATE(621), 1,
      sym_parameters,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [333366] = 2,
    ACTIONS(9902), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [333376] = 3,
    ACTIONS(12348), 1,
      anon_sym_RBRACE,
    ACTIONS(13667), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [333388] = 3,
    ACTIONS(9920), 1,
      anon_sym_SEMI,
    ACTIONS(9922), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [333400] = 3,
    ACTIONS(13464), 1,
      anon_sym_RBRACE,
    ACTIONS(13667), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [333412] = 3,
    ACTIONS(9870), 1,
      anon_sym_RBRACE,
    ACTIONS(13667), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [333424] = 2,
    ACTIONS(12900), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [333434] = 3,
    ACTIONS(9926), 1,
      anon_sym_SEMI,
    ACTIONS(9928), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [333446] = 2,
    ACTIONS(13801), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [333456] = 3,
    ACTIONS(11822), 1,
      anon_sym_RBRACE,
    ACTIONS(13803), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [333468] = 2,
    ACTIONS(12738), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [333478] = 4,
    ACTIONS(11816), 1,
      sym_comment,
    ACTIONS(13805), 1,
      aux_sym_character_token1,
    ACTIONS(13807), 1,
      sym_escape_sequence,
    ACTIONS(3), 2,
      sym__backslash,
      sym_block_comment,
  [333492] = 2,
    ACTIONS(13809), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [333502] = 2,
    ACTIONS(10897), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [333512] = 2,
    ACTIONS(12911), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [333522] = 3,
    ACTIONS(13667), 1,
      sym_identifier,
    ACTIONS(13811), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [333534] = 3,
    ACTIONS(12356), 1,
      anon_sym_RBRACE,
    ACTIONS(13667), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [333546] = 3,
    ACTIONS(9880), 1,
      anon_sym_RBRACE,
    ACTIONS(13667), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [333558] = 4,
    ACTIONS(11816), 1,
      sym_comment,
    ACTIONS(13813), 1,
      aux_sym_character_token1,
    ACTIONS(13815), 1,
      sym_escape_sequence,
    ACTIONS(3), 2,
      sym__backslash,
      sym_block_comment,
  [333572] = 2,
    ACTIONS(10907), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [333582] = 2,
    ACTIONS(13817), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [333592] = 2,
    ACTIONS(13504), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [333602] = 3,
    ACTIONS(13819), 1,
      sym_identifier,
    ACTIONS(13821), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [333614] = 3,
    ACTIONS(12573), 1,
      anon_sym_RBRACE,
    ACTIONS(13667), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [333626] = 3,
    ACTIONS(13515), 1,
      anon_sym_RBRACE,
    ACTIONS(13667), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [333638] = 3,
    ACTIONS(10750), 1,
      anon_sym_LPAREN,
    STATE(6248), 1,
      sym_parameters,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [333650] = 3,
    ACTIONS(13823), 1,
      anon_sym_LBRACE,
    ACTIONS(13825), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [333662] = 3,
    ACTIONS(11802), 1,
      anon_sym_LBRACE,
    ACTIONS(11804), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [333674] = 3,
    ACTIONS(10728), 1,
      anon_sym_LPAREN,
    STATE(6090), 1,
      sym_parameters,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [333686] = 3,
    ACTIONS(13625), 1,
      anon_sym_RBRACE,
    ACTIONS(13667), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [333698] = 3,
    ACTIONS(13667), 1,
      sym_identifier,
    ACTIONS(13827), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [333710] = 3,
    ACTIONS(10772), 1,
      anon_sym_LPAREN,
    STATE(6192), 1,
      sym_parameters,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [333722] = 3,
    ACTIONS(9906), 1,
      anon_sym_SEMI,
    ACTIONS(9908), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [333734] = 3,
    ACTIONS(10750), 1,
      anon_sym_LPAREN,
    STATE(3734), 1,
      sym_parameters,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [333746] = 3,
    ACTIONS(13667), 1,
      sym_identifier,
    ACTIONS(13829), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [333758] = 3,
    ACTIONS(11916), 1,
      anon_sym_RBRACE,
    ACTIONS(13831), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [333770] = 3,
    ACTIONS(9818), 1,
      anon_sym_RBRACE,
    ACTIONS(13667), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [333782] = 3,
    ACTIONS(10750), 1,
      anon_sym_LPAREN,
    STATE(6263), 1,
      sym_parameters,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [333794] = 3,
    ACTIONS(12919), 1,
      anon_sym_RBRACE,
    ACTIONS(13667), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [333806] = 3,
    ACTIONS(10728), 1,
      anon_sym_LPAREN,
    STATE(2979), 1,
      sym_parameters,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [333818] = 2,
    ACTIONS(10905), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [333828] = 3,
    ACTIONS(9594), 1,
      anon_sym_RBRACE,
    ACTIONS(13667), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [333840] = 3,
    ACTIONS(10750), 1,
      anon_sym_LPAREN,
    STATE(6148), 1,
      sym_parameters,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [333852] = 3,
    ACTIONS(13833), 1,
      sym_identifier,
    ACTIONS(13835), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [333864] = 3,
    ACTIONS(10764), 1,
      anon_sym_LPAREN,
    STATE(586), 1,
      sym_parameters,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [333876] = 2,
    ACTIONS(4946), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [333886] = 3,
    ACTIONS(12373), 1,
      anon_sym_RBRACE,
    ACTIONS(13667), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [333898] = 3,
    ACTIONS(13667), 1,
      sym_identifier,
    ACTIONS(13837), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [333910] = 3,
    ACTIONS(12939), 1,
      anon_sym_RBRACE,
    ACTIONS(13667), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [333922] = 3,
    ACTIONS(13839), 1,
      sym_identifier,
    ACTIONS(13841), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [333934] = 3,
    ACTIONS(10766), 1,
      anon_sym_LPAREN,
    STATE(2222), 1,
      sym_parameters,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [333946] = 3,
    ACTIONS(10750), 1,
      anon_sym_LPAREN,
    STATE(6279), 1,
      sym_parameters,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [333958] = 3,
    ACTIONS(10750), 1,
      anon_sym_LPAREN,
    STATE(2941), 1,
      sym_parameters,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [333970] = 3,
    ACTIONS(10750), 1,
      anon_sym_LPAREN,
    STATE(6236), 1,
      sym_parameters,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [333982] = 3,
    ACTIONS(13667), 1,
      sym_identifier,
    ACTIONS(13843), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [333994] = 3,
    ACTIONS(13610), 1,
      anon_sym_RBRACE,
    ACTIONS(13667), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334006] = 3,
    ACTIONS(12597), 1,
      anon_sym_RBRACE,
    ACTIONS(13667), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334018] = 3,
    ACTIONS(9916), 1,
      anon_sym_SEMI,
    ACTIONS(9918), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334030] = 3,
    ACTIONS(13845), 1,
      sym_identifier,
    ACTIONS(13847), 1,
      anon_sym_DOLLAR,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334042] = 3,
    ACTIONS(9652), 1,
      anon_sym_RBRACE,
    ACTIONS(13667), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334054] = 3,
    ACTIONS(9676), 1,
      anon_sym_RBRACE,
    ACTIONS(13667), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334066] = 3,
    ACTIONS(10772), 1,
      anon_sym_LPAREN,
    STATE(3295), 1,
      sym_parameters,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334078] = 3,
    ACTIONS(9983), 1,
      anon_sym_SEMI,
    ACTIONS(9985), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334090] = 4,
    ACTIONS(11816), 1,
      sym_comment,
    ACTIONS(13849), 1,
      aux_sym_character_token1,
    ACTIONS(13851), 1,
      sym_escape_sequence,
    ACTIONS(3), 2,
      sym__backslash,
      sym_block_comment,
  [334104] = 3,
    ACTIONS(13853), 1,
      sym_identifier,
    ACTIONS(13855), 1,
      anon_sym_using,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334116] = 3,
    ACTIONS(9993), 1,
      anon_sym_SEMI,
    ACTIONS(9995), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334128] = 3,
    ACTIONS(12611), 1,
      anon_sym_RBRACE,
    ACTIONS(13667), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334140] = 4,
    ACTIONS(11816), 1,
      sym_comment,
    ACTIONS(13857), 1,
      aux_sym_character_token1,
    ACTIONS(13859), 1,
      sym_escape_sequence,
    ACTIONS(3), 2,
      sym__backslash,
      sym_block_comment,
  [334154] = 3,
    ACTIONS(12177), 1,
      anon_sym_RBRACE,
    ACTIONS(13667), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334166] = 3,
    ACTIONS(10764), 1,
      anon_sym_LPAREN,
    STATE(507), 1,
      sym_parameters,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334178] = 3,
    ACTIONS(6465), 1,
      anon_sym_LBRACE,
    ACTIONS(13861), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334190] = 3,
    ACTIONS(13667), 1,
      sym_identifier,
    ACTIONS(13863), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334202] = 3,
    ACTIONS(9664), 1,
      anon_sym_RBRACE,
    ACTIONS(13667), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334214] = 2,
    ACTIONS(8462), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334224] = 4,
    ACTIONS(11816), 1,
      sym_comment,
    ACTIONS(13865), 1,
      aux_sym_character_token1,
    ACTIONS(13867), 1,
      sym_escape_sequence,
    ACTIONS(3), 2,
      sym__backslash,
      sym_block_comment,
  [334238] = 3,
    ACTIONS(9951), 1,
      anon_sym_SEMI,
    ACTIONS(9953), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334250] = 3,
    ACTIONS(10728), 1,
      anon_sym_LPAREN,
    STATE(6091), 1,
      sym_parameters,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334262] = 2,
    ACTIONS(13869), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334271] = 2,
    ACTIONS(13871), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334280] = 2,
    ACTIONS(13873), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334289] = 2,
    ACTIONS(10349), 1,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334298] = 2,
    ACTIONS(13875), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334307] = 2,
    ACTIONS(13877), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334316] = 2,
    ACTIONS(13879), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334325] = 2,
    ACTIONS(13881), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334334] = 2,
    ACTIONS(13027), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334343] = 2,
    ACTIONS(13883), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334352] = 2,
    ACTIONS(13885), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334361] = 2,
    ACTIONS(13887), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334370] = 2,
    ACTIONS(10153), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334379] = 2,
    ACTIONS(13889), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334388] = 2,
    ACTIONS(13891), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334397] = 2,
    ACTIONS(13893), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334406] = 2,
    ACTIONS(13895), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334415] = 2,
    ACTIONS(8987), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334424] = 2,
    ACTIONS(8818), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334433] = 2,
    ACTIONS(3651), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334442] = 2,
    ACTIONS(8944), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334451] = 2,
    ACTIONS(10297), 1,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334460] = 2,
    ACTIONS(13897), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334469] = 2,
    ACTIONS(8610), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334478] = 2,
    ACTIONS(13899), 1,
      anon_sym_SQUOTE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334487] = 2,
    ACTIONS(9072), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334496] = 2,
    ACTIONS(13901), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334505] = 2,
    ACTIONS(9074), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334514] = 2,
    ACTIONS(13903), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334523] = 2,
    ACTIONS(13905), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334532] = 2,
    ACTIONS(10057), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334541] = 2,
    ACTIONS(13907), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334550] = 2,
    ACTIONS(13909), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334559] = 2,
    ACTIONS(13911), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334568] = 2,
    ACTIONS(13913), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334577] = 2,
    ACTIONS(3711), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334586] = 2,
    ACTIONS(13915), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334595] = 2,
    ACTIONS(13917), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334604] = 2,
    ACTIONS(13919), 1,
      anon_sym_SQUOTE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334613] = 2,
    ACTIONS(10339), 1,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334622] = 2,
    ACTIONS(10361), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334631] = 2,
    ACTIONS(13921), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334640] = 2,
    ACTIONS(12222), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334649] = 2,
    ACTIONS(13923), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334658] = 2,
    ACTIONS(13925), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334667] = 2,
    ACTIONS(10011), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334676] = 2,
    ACTIONS(13927), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334685] = 2,
    ACTIONS(8676), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334694] = 2,
    ACTIONS(13929), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334703] = 2,
    ACTIONS(13931), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334712] = 2,
    ACTIONS(13933), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334721] = 2,
    ACTIONS(13935), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334730] = 2,
    ACTIONS(8612), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334739] = 2,
    ACTIONS(10307), 1,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334748] = 2,
    ACTIONS(13937), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334757] = 2,
    ACTIONS(8989), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334766] = 2,
    ACTIONS(13939), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334775] = 2,
    ACTIONS(13941), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334784] = 2,
    ACTIONS(13943), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334793] = 2,
    ACTIONS(13945), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334802] = 2,
    ACTIONS(13947), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334811] = 2,
    ACTIONS(13949), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334820] = 2,
    ACTIONS(13951), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334829] = 2,
    ACTIONS(13953), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334838] = 2,
    ACTIONS(10317), 1,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334847] = 2,
    ACTIONS(13955), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334856] = 2,
    ACTIONS(8074), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334865] = 2,
    ACTIONS(13957), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334874] = 2,
    ACTIONS(13959), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334883] = 2,
    ACTIONS(13961), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334892] = 2,
    ACTIONS(13963), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334901] = 2,
    ACTIONS(13965), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334910] = 2,
    ACTIONS(13967), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334919] = 2,
    ACTIONS(10329), 1,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334928] = 2,
    ACTIONS(13969), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334937] = 2,
    ACTIONS(13971), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334946] = 2,
    ACTIONS(10029), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334955] = 2,
    ACTIONS(13973), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334964] = 2,
    ACTIONS(13975), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334973] = 2,
    ACTIONS(10359), 1,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334982] = 2,
    ACTIONS(10201), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [334991] = 2,
    ACTIONS(8800), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335000] = 2,
    ACTIONS(13977), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335009] = 2,
    ACTIONS(13979), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335018] = 2,
    ACTIONS(10367), 1,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335027] = 2,
    ACTIONS(8614), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335036] = 2,
    ACTIONS(9042), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335045] = 2,
    ACTIONS(13981), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335054] = 2,
    ACTIONS(10373), 1,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335063] = 2,
    ACTIONS(8824), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335072] = 2,
    ACTIONS(13983), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335081] = 2,
    ACTIONS(13985), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335090] = 2,
    ACTIONS(10377), 1,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335099] = 2,
    ACTIONS(11414), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335108] = 2,
    ACTIONS(10263), 1,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335117] = 2,
    ACTIONS(13987), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335126] = 2,
    ACTIONS(10385), 1,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335135] = 2,
    ACTIONS(13989), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335144] = 2,
    ACTIONS(9079), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335153] = 2,
    ACTIONS(13991), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335162] = 2,
    ACTIONS(10379), 1,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335171] = 2,
    ACTIONS(13993), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335180] = 2,
    ACTIONS(13995), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335189] = 2,
    ACTIONS(13997), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335198] = 2,
    ACTIONS(10381), 1,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335207] = 2,
    ACTIONS(13999), 1,
      anon_sym_SQUOTE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335216] = 2,
    ACTIONS(3531), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335225] = 2,
    ACTIONS(14001), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335234] = 2,
    ACTIONS(10383), 1,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335243] = 2,
    ACTIONS(11017), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335252] = 2,
    ACTIONS(14003), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335261] = 2,
    ACTIONS(10387), 1,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335270] = 2,
    ACTIONS(14005), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335279] = 2,
    ACTIONS(14007), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335288] = 2,
    ACTIONS(10389), 1,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335297] = 2,
    ACTIONS(9081), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335306] = 2,
    ACTIONS(14009), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335315] = 2,
    ACTIONS(10391), 1,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335324] = 2,
    ACTIONS(3353), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335333] = 2,
    ACTIONS(14011), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335342] = 2,
    ACTIONS(14013), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335351] = 2,
    ACTIONS(14015), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335360] = 2,
    ACTIONS(8710), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335369] = 2,
    ACTIONS(14017), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335378] = 2,
    ACTIONS(10395), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335387] = 2,
    ACTIONS(8938), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335396] = 2,
    ACTIONS(9083), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335405] = 2,
    ACTIONS(10023), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335414] = 2,
    ACTIONS(14019), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335423] = 2,
    ACTIONS(14021), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335432] = 2,
    ACTIONS(14023), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335441] = 2,
    ACTIONS(14025), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335450] = 2,
    ACTIONS(8788), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335459] = 2,
    ACTIONS(3998), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335468] = 2,
    ACTIONS(3501), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335477] = 2,
    ACTIONS(10113), 1,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335486] = 2,
    ACTIONS(14027), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335495] = 2,
    ACTIONS(8616), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335504] = 2,
    ACTIONS(10169), 1,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335513] = 2,
    ACTIONS(14029), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335522] = 2,
    ACTIONS(14031), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335531] = 2,
    ACTIONS(14033), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335540] = 2,
    ACTIONS(3681), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335549] = 2,
    ACTIONS(14035), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335558] = 2,
    ACTIONS(14037), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335567] = 2,
    ACTIONS(3467), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335576] = 2,
    ACTIONS(14039), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335585] = 2,
    ACTIONS(12969), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335594] = 2,
    ACTIONS(8522), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335603] = 2,
    ACTIONS(14041), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335612] = 2,
    ACTIONS(14043), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335621] = 2,
    ACTIONS(14045), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335630] = 2,
    ACTIONS(14047), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335639] = 2,
    ACTIONS(8722), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335648] = 2,
    ACTIONS(14049), 1,
      anon_sym_SQUOTE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335657] = 2,
    ACTIONS(9107), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335666] = 2,
    ACTIONS(14051), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335675] = 2,
    ACTIONS(10073), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335684] = 2,
    ACTIONS(14053), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335693] = 2,
    ACTIONS(14055), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335702] = 2,
    ACTIONS(14057), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335711] = 2,
    ACTIONS(9056), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335720] = 2,
    ACTIONS(14059), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335729] = 2,
    ACTIONS(8810), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335738] = 2,
    ACTIONS(8977), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335747] = 2,
    ACTIONS(8854), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335756] = 2,
    ACTIONS(9117), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335765] = 2,
    ACTIONS(8774), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335774] = 2,
    ACTIONS(10075), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335783] = 2,
    ACTIONS(14061), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335792] = 2,
    ACTIONS(14063), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335801] = 2,
    ACTIONS(14065), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335810] = 2,
    ACTIONS(8756), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335819] = 2,
    ACTIONS(3851), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335828] = 2,
    ACTIONS(14067), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335837] = 2,
    ACTIONS(13051), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335846] = 2,
    ACTIONS(14069), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335855] = 2,
    ACTIONS(14071), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335864] = 2,
    ACTIONS(14073), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335873] = 2,
    ACTIONS(9124), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335882] = 2,
    ACTIONS(8726), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335891] = 2,
    ACTIONS(14075), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335900] = 2,
    ACTIONS(13372), 1,
      anon_sym_if,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335909] = 2,
    ACTIONS(13257), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335918] = 2,
    ACTIONS(14077), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335927] = 2,
    ACTIONS(14079), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335936] = 2,
    ACTIONS(8846), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335945] = 2,
    ACTIONS(14081), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335954] = 2,
    ACTIONS(14083), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335963] = 2,
    ACTIONS(14085), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335972] = 2,
    ACTIONS(14087), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335981] = 2,
    ACTIONS(14089), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335990] = 2,
    ACTIONS(8868), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [335999] = 2,
    ACTIONS(14091), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336008] = 2,
    ACTIONS(14093), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336017] = 2,
    ACTIONS(9136), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336026] = 2,
    ACTIONS(4160), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336035] = 2,
    ACTIONS(14095), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336044] = 2,
    ACTIONS(14097), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336053] = 2,
    ACTIONS(14099), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336062] = 2,
    ACTIONS(13312), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336071] = 2,
    ACTIONS(14101), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336080] = 2,
    ACTIONS(14103), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336089] = 2,
    ACTIONS(14105), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336098] = 2,
    ACTIONS(14107), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336107] = 2,
    ACTIONS(14109), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336116] = 2,
    ACTIONS(10207), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336125] = 2,
    ACTIONS(14111), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336134] = 2,
    ACTIONS(14113), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336143] = 2,
    ACTIONS(10055), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336152] = 2,
    ACTIONS(9064), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336161] = 2,
    ACTIONS(14115), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336170] = 2,
    ACTIONS(14117), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336179] = 2,
    ACTIONS(8850), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336188] = 2,
    ACTIONS(14119), 1,
      anon_sym_SQUOTE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336197] = 2,
    ACTIONS(14121), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336206] = 2,
    ACTIONS(3561), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336215] = 2,
    ACTIONS(14123), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336224] = 2,
    ACTIONS(14125), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336233] = 2,
    ACTIONS(14127), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336242] = 2,
    ACTIONS(14129), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336251] = 2,
    ACTIONS(14131), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336260] = 2,
    ACTIONS(14133), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336269] = 2,
    ACTIONS(10065), 1,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336278] = 2,
    ACTIONS(14135), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336287] = 2,
    ACTIONS(13428), 1,
      anon_sym_when,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336296] = 2,
    ACTIONS(9144), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336305] = 2,
    ACTIONS(14137), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336314] = 2,
    ACTIONS(14139), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336323] = 2,
    ACTIONS(12210), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336332] = 2,
    ACTIONS(14141), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336341] = 2,
    ACTIONS(8828), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336350] = 2,
    ACTIONS(14143), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336359] = 2,
    ACTIONS(4240), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336368] = 2,
    ACTIONS(9146), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336377] = 2,
    ACTIONS(14145), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336386] = 2,
    ACTIONS(14147), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336395] = 2,
    ACTIONS(8618), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336404] = 2,
    ACTIONS(14149), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336413] = 2,
    ACTIONS(14151), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336422] = 2,
    ACTIONS(9148), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336431] = 2,
    ACTIONS(7920), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336440] = 2,
    ACTIONS(8991), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336449] = 2,
    ACTIONS(9158), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336458] = 2,
    ACTIONS(14153), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336467] = 2,
    ACTIONS(14155), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336476] = 2,
    ACTIONS(8590), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336485] = 2,
    ACTIONS(8904), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336494] = 2,
    ACTIONS(14157), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336503] = 2,
    ACTIONS(8948), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336512] = 2,
    ACTIONS(14159), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336521] = 2,
    ACTIONS(14161), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336530] = 2,
    ACTIONS(14163), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336539] = 2,
    ACTIONS(8900), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336548] = 2,
    ACTIONS(14165), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336557] = 2,
    ACTIONS(14167), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336566] = 2,
    ACTIONS(14169), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336575] = 2,
    ACTIONS(3741), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336584] = 2,
    ACTIONS(8734), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336593] = 2,
    ACTIONS(8686), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336602] = 2,
    ACTIONS(14171), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336611] = 2,
    ACTIONS(14173), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336620] = 2,
    ACTIONS(14175), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336629] = 2,
    ACTIONS(10423), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336638] = 2,
    ACTIONS(12605), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336647] = 2,
    ACTIONS(13397), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336656] = 2,
    ACTIONS(8784), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336665] = 2,
    ACTIONS(14177), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336674] = 2,
    ACTIONS(4350), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336683] = 2,
    ACTIONS(8782), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336692] = 2,
    ACTIONS(8856), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336701] = 2,
    ACTIONS(14179), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336710] = 2,
    ACTIONS(9036), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336719] = 2,
    ACTIONS(8620), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336728] = 2,
    ACTIONS(10161), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336737] = 2,
    ACTIONS(14181), 1,
      anon_sym_SQUOTE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336746] = 2,
    ACTIONS(9038), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336755] = 2,
    ACTIONS(14183), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336764] = 2,
    ACTIONS(14185), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336773] = 2,
    ACTIONS(9040), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336782] = 2,
    ACTIONS(10994), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336791] = 2,
    ACTIONS(14187), 1,
      anon_sym_SQUOTE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336800] = 2,
    ACTIONS(8908), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336809] = 2,
    ACTIONS(9044), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336818] = 2,
    ACTIONS(14189), 1,
      ts_builtin_sym_end,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336827] = 2,
    ACTIONS(14191), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336836] = 2,
    ACTIONS(8538), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336845] = 2,
    ACTIONS(9046), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336854] = 2,
    ACTIONS(14193), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336863] = 2,
    ACTIONS(10231), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336872] = 2,
    ACTIONS(9048), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336881] = 2,
    ACTIONS(14195), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336890] = 2,
    ACTIONS(10233), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336899] = 2,
    ACTIONS(8858), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336908] = 2,
    ACTIONS(4370), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336917] = 2,
    ACTIONS(14197), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336926] = 2,
    ACTIONS(14199), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336935] = 2,
    ACTIONS(8540), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336944] = 2,
    ACTIONS(13416), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336953] = 2,
    ACTIONS(9052), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336962] = 2,
    ACTIONS(14201), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336971] = 2,
    ACTIONS(4210), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336980] = 2,
    ACTIONS(9054), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336989] = 2,
    ACTIONS(10867), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [336998] = 2,
    ACTIONS(14203), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337007] = 2,
    ACTIONS(9154), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337016] = 2,
    ACTIONS(10061), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337025] = 2,
    ACTIONS(10091), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337034] = 2,
    ACTIONS(8969), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337043] = 2,
    ACTIONS(14205), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337052] = 2,
    ACTIONS(8912), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337061] = 2,
    ACTIONS(9176), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337070] = 2,
    ACTIONS(14207), 1,
      anon_sym_enum,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337079] = 2,
    ACTIONS(10107), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337088] = 2,
    ACTIONS(14209), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337097] = 2,
    ACTIONS(8542), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337106] = 2,
    ACTIONS(10431), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337115] = 2,
    ACTIONS(10427), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337124] = 2,
    ACTIONS(8860), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337133] = 2,
    ACTIONS(9134), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337142] = 2,
    ACTIONS(14211), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337151] = 2,
    ACTIONS(14213), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337160] = 2,
    ACTIONS(8862), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337169] = 2,
    ACTIONS(14215), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337178] = 2,
    ACTIONS(8544), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337187] = 2,
    ACTIONS(8738), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337196] = 2,
    ACTIONS(10241), 1,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337205] = 2,
    ACTIONS(8622), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337214] = 2,
    ACTIONS(14217), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337223] = 2,
    ACTIONS(8916), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337232] = 2,
    ACTIONS(8866), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337241] = 2,
    ACTIONS(14219), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337250] = 2,
    ACTIONS(14221), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337259] = 2,
    ACTIONS(9003), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337268] = 2,
    ACTIONS(14223), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337277] = 2,
    ACTIONS(14225), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337286] = 2,
    ACTIONS(14227), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337295] = 2,
    ACTIONS(14229), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337304] = 2,
    ACTIONS(8592), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337313] = 2,
    ACTIONS(8624), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337322] = 2,
    ACTIONS(3831), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337331] = 2,
    ACTIONS(3949), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337340] = 2,
    ACTIONS(14231), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337349] = 2,
    ACTIONS(14233), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337358] = 2,
    ACTIONS(9058), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337367] = 2,
    ACTIONS(14235), 1,
      anon_sym_enum,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337376] = 2,
    ACTIONS(8920), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337385] = 2,
    ACTIONS(4100), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337394] = 2,
    ACTIONS(14237), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337403] = 2,
    ACTIONS(14239), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337412] = 2,
    ACTIONS(10439), 1,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337421] = 2,
    ACTIONS(10443), 1,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337430] = 2,
    ACTIONS(14241), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337439] = 2,
    ACTIONS(14243), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337448] = 2,
    ACTIONS(14245), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337457] = 2,
    ACTIONS(14247), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337466] = 2,
    ACTIONS(8812), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337475] = 2,
    ACTIONS(10445), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337484] = 2,
    ACTIONS(12837), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337493] = 2,
    ACTIONS(14249), 1,
      anon_sym_SQUOTE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337502] = 2,
    ACTIONS(10173), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337511] = 2,
    ACTIONS(14251), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337520] = 2,
    ACTIONS(8706), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337529] = 2,
    ACTIONS(14253), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337538] = 2,
    ACTIONS(10197), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337547] = 2,
    ACTIONS(10239), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337556] = 2,
    ACTIONS(14255), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337565] = 2,
    ACTIONS(3771), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337574] = 2,
    ACTIONS(14257), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337583] = 2,
    ACTIONS(14259), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337592] = 2,
    ACTIONS(8704), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337601] = 2,
    ACTIONS(14261), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337610] = 2,
    ACTIONS(14263), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337619] = 2,
    ACTIONS(3437), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337628] = 2,
    ACTIONS(14265), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337637] = 2,
    ACTIONS(10019), 1,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337646] = 2,
    ACTIONS(10451), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337655] = 2,
    ACTIONS(3621), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337664] = 2,
    ACTIONS(10053), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337673] = 2,
    ACTIONS(12728), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337682] = 2,
    ACTIONS(14267), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337691] = 2,
    ACTIONS(8594), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337700] = 2,
    ACTIONS(14269), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337709] = 2,
    ACTIONS(10982), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337718] = 2,
    ACTIONS(10429), 1,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337727] = 2,
    ACTIONS(14271), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337736] = 2,
    ACTIONS(9119), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337745] = 2,
    ACTIONS(10455), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337754] = 2,
    ACTIONS(14273), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337763] = 2,
    ACTIONS(12699), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337772] = 2,
    ACTIONS(8628), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337781] = 2,
    ACTIONS(14275), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337790] = 2,
    ACTIONS(8852), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337799] = 2,
    ACTIONS(8744), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337808] = 2,
    ACTIONS(7932), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337817] = 2,
    ACTIONS(8556), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337826] = 2,
    ACTIONS(14277), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337835] = 2,
    ACTIONS(14279), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337844] = 2,
    ACTIONS(10459), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337853] = 2,
    ACTIONS(4286), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337862] = 2,
    ACTIONS(9007), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337871] = 2,
    ACTIONS(14281), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337880] = 2,
    ACTIONS(14283), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337889] = 2,
    ACTIONS(14285), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337898] = 2,
    ACTIONS(14287), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337907] = 2,
    ACTIONS(14289), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337916] = 2,
    ACTIONS(8564), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337925] = 2,
    ACTIONS(14291), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337934] = 2,
    ACTIONS(14293), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337943] = 2,
    ACTIONS(10463), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337952] = 2,
    ACTIONS(8814), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337961] = 2,
    ACTIONS(14295), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337970] = 2,
    ACTIONS(8983), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337979] = 2,
    ACTIONS(14297), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337988] = 2,
    ACTIONS(14299), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [337997] = 2,
    ACTIONS(8630), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338006] = 2,
    ACTIONS(14301), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338015] = 2,
    ACTIONS(9009), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338024] = 2,
    ACTIONS(10465), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338033] = 2,
    ACTIONS(10041), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338042] = 2,
    ACTIONS(14303), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338051] = 2,
    ACTIONS(13667), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338060] = 2,
    ACTIONS(14305), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338069] = 2,
    ACTIONS(10277), 1,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338078] = 2,
    ACTIONS(8566), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338087] = 2,
    ACTIONS(14307), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338096] = 2,
    ACTIONS(14309), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338105] = 2,
    ACTIONS(10467), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338114] = 2,
    ACTIONS(14311), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338123] = 2,
    ACTIONS(10077), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338132] = 2,
    ACTIONS(14313), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338141] = 2,
    ACTIONS(14315), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338150] = 2,
    ACTIONS(12419), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338159] = 2,
    ACTIONS(8754), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338168] = 2,
    ACTIONS(14317), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338177] = 2,
    ACTIONS(14319), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338186] = 2,
    ACTIONS(10469), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338195] = 2,
    ACTIONS(9068), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338204] = 2,
    ACTIONS(14321), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338213] = 2,
    ACTIONS(8928), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338222] = 2,
    ACTIONS(14323), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338231] = 2,
    ACTIONS(8656), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338240] = 2,
    ACTIONS(14325), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338249] = 2,
    ACTIONS(14327), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338258] = 2,
    ACTIONS(14329), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338267] = 2,
    ACTIONS(10473), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338276] = 2,
    ACTIONS(8586), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338285] = 2,
    ACTIONS(8568), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338294] = 2,
    ACTIONS(9011), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338303] = 2,
    ACTIONS(14331), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338312] = 2,
    ACTIONS(14333), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338321] = 2,
    ACTIONS(8632), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338330] = 2,
    ACTIONS(14335), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338339] = 2,
    ACTIONS(12167), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338348] = 2,
    ACTIONS(10475), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338357] = 2,
    ACTIONS(8962), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338366] = 2,
    ACTIONS(14337), 1,
      anon_sym_SQUOTE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338375] = 2,
    ACTIONS(14339), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338384] = 2,
    ACTIONS(14341), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338393] = 2,
    ACTIONS(14343), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338402] = 2,
    ACTIONS(14345), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338411] = 2,
    ACTIONS(14347), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338420] = 2,
    ACTIONS(14349), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338429] = 2,
    ACTIONS(14351), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338438] = 2,
    ACTIONS(14353), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338447] = 2,
    ACTIONS(14355), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338456] = 2,
    ACTIONS(14357), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338465] = 2,
    ACTIONS(14359), 1,
      anon_sym_SQUOTE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338474] = 2,
    ACTIONS(14361), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338483] = 2,
    ACTIONS(14363), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338492] = 2,
    ACTIONS(14365), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338501] = 2,
    ACTIONS(14367), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338510] = 2,
    ACTIONS(14369), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338519] = 2,
    ACTIONS(14371), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338528] = 2,
    ACTIONS(14373), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338537] = 2,
    ACTIONS(14375), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338546] = 2,
    ACTIONS(14377), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338555] = 2,
    ACTIONS(14379), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338564] = 2,
    ACTIONS(14381), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338573] = 2,
    ACTIONS(14383), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338582] = 2,
    ACTIONS(14385), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338591] = 2,
    ACTIONS(14387), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338600] = 2,
    ACTIONS(14389), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338609] = 2,
    ACTIONS(14391), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338618] = 2,
    ACTIONS(14393), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338627] = 2,
    ACTIONS(8999), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338636] = 2,
    ACTIONS(14395), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338645] = 2,
    ACTIONS(14397), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338654] = 2,
    ACTIONS(9013), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338663] = 2,
    ACTIONS(14399), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338672] = 2,
    ACTIONS(14401), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338681] = 2,
    ACTIONS(14403), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338690] = 2,
    ACTIONS(14405), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338699] = 2,
    ACTIONS(14407), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338708] = 2,
    ACTIONS(14409), 1,
      anon_sym_SEMI,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338717] = 2,
    ACTIONS(10133), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338726] = 2,
    ACTIONS(14411), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338735] = 2,
    ACTIONS(10085), 1,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338744] = 2,
    ACTIONS(14413), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338753] = 2,
    ACTIONS(10185), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338762] = 2,
    ACTIONS(3323), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338771] = 2,
    ACTIONS(14415), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338780] = 2,
    ACTIONS(13598), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338789] = 2,
    ACTIONS(14417), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338798] = 2,
    ACTIONS(14419), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338807] = 2,
    ACTIONS(4070), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338816] = 2,
    ACTIONS(14421), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338825] = 2,
    ACTIONS(3591), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338834] = 2,
    ACTIONS(10089), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338843] = 2,
    ACTIONS(14423), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338852] = 2,
    ACTIONS(14425), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338861] = 2,
    ACTIONS(9152), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338870] = 2,
    ACTIONS(14427), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338879] = 2,
    ACTIONS(14429), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338888] = 2,
    ACTIONS(14431), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338897] = 2,
    ACTIONS(4380), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338906] = 2,
    ACTIONS(3801), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338915] = 2,
    ACTIONS(14433), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338924] = 2,
    ACTIONS(4266), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338933] = 2,
    ACTIONS(9156), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338942] = 2,
    ACTIONS(14435), 1,
      anon_sym_SQUOTE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338951] = 2,
    ACTIONS(13614), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338960] = 2,
    ACTIONS(4220), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338969] = 2,
    ACTIONS(9160), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338978] = 2,
    ACTIONS(9164), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338987] = 2,
    ACTIONS(10287), 1,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [338996] = 2,
    ACTIONS(9162), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [339005] = 2,
    ACTIONS(8576), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [339014] = 2,
    ACTIONS(14437), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [339023] = 2,
    ACTIONS(8960), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [339032] = 2,
    ACTIONS(14439), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [339041] = 2,
    ACTIONS(14441), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [339050] = 2,
    ACTIONS(12157), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [339059] = 2,
    ACTIONS(8578), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [339068] = 2,
    ACTIONS(14443), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [339077] = 2,
    ACTIONS(3399), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [339086] = 2,
    ACTIONS(9140), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [339095] = 2,
    ACTIONS(11444), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [339104] = 2,
    ACTIONS(8794), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [339113] = 2,
    ACTIONS(10481), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [339122] = 2,
    ACTIONS(14445), 1,
      anon_sym_SQUOTE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [339131] = 2,
    ACTIONS(8580), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [339140] = 2,
    ACTIONS(8902), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [339149] = 2,
    ACTIONS(14447), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [339158] = 2,
    ACTIONS(11622), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [339167] = 2,
    ACTIONS(10049), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [339176] = 2,
    ACTIONS(8716), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [339185] = 2,
    ACTIONS(8582), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [339194] = 2,
    ACTIONS(14449), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [339203] = 2,
    ACTIONS(10485), 1,
      anon_sym_COMMA,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [339212] = 2,
    ACTIONS(14451), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [339221] = 2,
    ACTIONS(14453), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [339230] = 2,
    ACTIONS(14455), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [339239] = 2,
    ACTIONS(8985), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [339248] = 2,
    ACTIONS(14457), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [339257] = 2,
    ACTIONS(14459), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [339266] = 2,
    ACTIONS(9170), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [339275] = 2,
    ACTIONS(8971), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [339284] = 2,
    ACTIONS(14461), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [339293] = 2,
    ACTIONS(14463), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [339302] = 2,
    ACTIONS(6307), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [339311] = 2,
    ACTIONS(14465), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [339320] = 2,
    ACTIONS(14467), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [339329] = 2,
    ACTIONS(14469), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [339338] = 2,
    ACTIONS(11828), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [339347] = 2,
    ACTIONS(14471), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [339356] = 2,
    ACTIONS(14473), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [339365] = 2,
    ACTIONS(14475), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [339374] = 2,
    ACTIONS(14477), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [339383] = 2,
    ACTIONS(14479), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [339392] = 2,
    ACTIONS(14481), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [339401] = 2,
    ACTIONS(14483), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [339410] = 2,
    ACTIONS(14485), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [339419] = 2,
    ACTIONS(14487), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [339428] = 2,
    ACTIONS(14489), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [339437] = 2,
    ACTIONS(14491), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [339446] = 2,
    ACTIONS(14493), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [339455] = 2,
    ACTIONS(14495), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [339464] = 2,
    ACTIONS(14497), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [339473] = 2,
    ACTIONS(14499), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [339482] = 2,
    ACTIONS(14501), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [339491] = 2,
    ACTIONS(14503), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [339500] = 2,
    ACTIONS(14505), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [339509] = 2,
    ACTIONS(14507), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [339518] = 2,
    ACTIONS(14509), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [339527] = 2,
    ACTIONS(14511), 1,
      sym_identifier,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [339536] = 2,
    ACTIONS(13673), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [339545] = 2,
    ACTIONS(14513), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [339554] = 2,
    ACTIONS(14515), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [339563] = 2,
    ACTIONS(14517), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [339572] = 2,
    ACTIONS(8712), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [339581] = 2,
    ACTIONS(14519), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [339590] = 2,
    ACTIONS(14521), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [339599] = 2,
    ACTIONS(14523), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [339608] = 2,
    ACTIONS(14525), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [339617] = 2,
    ACTIONS(14527), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [339626] = 2,
    ACTIONS(14529), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [339635] = 2,
    ACTIONS(14531), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [339644] = 2,
    ACTIONS(14533), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [339653] = 2,
    ACTIONS(8588), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [339662] = 2,
    ACTIONS(14535), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [339671] = 2,
    ACTIONS(9062), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [339680] = 2,
    ACTIONS(14537), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [339689] = 2,
    ACTIONS(14539), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [339698] = 2,
    ACTIONS(14541), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [339707] = 2,
    ACTIONS(14543), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [339716] = 2,
    ACTIONS(14545), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
  [339725] = 2,
    ACTIONS(8730), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 3,
      sym__backslash,
      sym_block_comment,
      sym_comment,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(2035)] = 0,
  [SMALL_STATE(2036)] = 71,
  [SMALL_STATE(2037)] = 142,
  [SMALL_STATE(2038)] = 213,
  [SMALL_STATE(2039)] = 284,
  [SMALL_STATE(2040)] = 355,
  [SMALL_STATE(2041)] = 432,
  [SMALL_STATE(2042)] = 503,
  [SMALL_STATE(2043)] = 574,
  [SMALL_STATE(2044)] = 645,
  [SMALL_STATE(2045)] = 716,
  [SMALL_STATE(2046)] = 787,
  [SMALL_STATE(2047)] = 858,
  [SMALL_STATE(2048)] = 929,
  [SMALL_STATE(2049)] = 1002,
  [SMALL_STATE(2050)] = 1073,
  [SMALL_STATE(2051)] = 1144,
  [SMALL_STATE(2052)] = 1215,
  [SMALL_STATE(2053)] = 1286,
  [SMALL_STATE(2054)] = 1357,
  [SMALL_STATE(2055)] = 1428,
  [SMALL_STATE(2056)] = 1499,
  [SMALL_STATE(2057)] = 1574,
  [SMALL_STATE(2058)] = 1645,
  [SMALL_STATE(2059)] = 1716,
  [SMALL_STATE(2060)] = 1795,
  [SMALL_STATE(2061)] = 1866,
  [SMALL_STATE(2062)] = 1945,
  [SMALL_STATE(2063)] = 2016,
  [SMALL_STATE(2064)] = 2087,
  [SMALL_STATE(2065)] = 2158,
  [SMALL_STATE(2066)] = 2233,
  [SMALL_STATE(2067)] = 2304,
  [SMALL_STATE(2068)] = 2375,
  [SMALL_STATE(2069)] = 2446,
  [SMALL_STATE(2070)] = 2517,
  [SMALL_STATE(2071)] = 2588,
  [SMALL_STATE(2072)] = 2659,
  [SMALL_STATE(2073)] = 2730,
  [SMALL_STATE(2074)] = 2805,
  [SMALL_STATE(2075)] = 2880,
  [SMALL_STATE(2076)] = 2951,
  [SMALL_STATE(2077)] = 3022,
  [SMALL_STATE(2078)] = 3093,
  [SMALL_STATE(2079)] = 3164,
  [SMALL_STATE(2080)] = 3235,
  [SMALL_STATE(2081)] = 3352,
  [SMALL_STATE(2082)] = 3435,
  [SMALL_STATE(2083)] = 3526,
  [SMALL_STATE(2084)] = 3615,
  [SMALL_STATE(2085)] = 3718,
  [SMALL_STATE(2086)] = 3819,
  [SMALL_STATE(2087)] = 3916,
  [SMALL_STATE(2088)] = 4011,
  [SMALL_STATE(2089)] = 4104,
  [SMALL_STATE(2090)] = 4191,
  [SMALL_STATE(2091)] = 4276,
  [SMALL_STATE(2092)] = 4355,
  [SMALL_STATE(2093)] = 4426,
  [SMALL_STATE(2094)] = 4497,
  [SMALL_STATE(2095)] = 4568,
  [SMALL_STATE(2096)] = 4683,
  [SMALL_STATE(2097)] = 4754,
  [SMALL_STATE(2098)] = 4833,
  [SMALL_STATE(2099)] = 4904,
  [SMALL_STATE(2100)] = 4979,
  [SMALL_STATE(2101)] = 5050,
  [SMALL_STATE(2102)] = 5121,
  [SMALL_STATE(2103)] = 5192,
  [SMALL_STATE(2104)] = 5263,
  [SMALL_STATE(2105)] = 5334,
  [SMALL_STATE(2106)] = 5413,
  [SMALL_STATE(2107)] = 5484,
  [SMALL_STATE(2108)] = 5555,
  [SMALL_STATE(2109)] = 5626,
  [SMALL_STATE(2110)] = 5697,
  [SMALL_STATE(2111)] = 5768,
  [SMALL_STATE(2112)] = 5839,
  [SMALL_STATE(2113)] = 5910,
  [SMALL_STATE(2114)] = 5981,
  [SMALL_STATE(2115)] = 6052,
  [SMALL_STATE(2116)] = 6123,
  [SMALL_STATE(2117)] = 6194,
  [SMALL_STATE(2118)] = 6309,
  [SMALL_STATE(2119)] = 6416,
  [SMALL_STATE(2120)] = 6487,
  [SMALL_STATE(2121)] = 6558,
  [SMALL_STATE(2122)] = 6629,
  [SMALL_STATE(2123)] = 6700,
  [SMALL_STATE(2124)] = 6771,
  [SMALL_STATE(2125)] = 6846,
  [SMALL_STATE(2126)] = 6917,
  [SMALL_STATE(2127)] = 6988,
  [SMALL_STATE(2128)] = 7059,
  [SMALL_STATE(2129)] = 7130,
  [SMALL_STATE(2130)] = 7201,
  [SMALL_STATE(2131)] = 7272,
  [SMALL_STATE(2132)] = 7343,
  [SMALL_STATE(2133)] = 7414,
  [SMALL_STATE(2134)] = 7485,
  [SMALL_STATE(2135)] = 7556,
  [SMALL_STATE(2136)] = 7627,
  [SMALL_STATE(2137)] = 7698,
  [SMALL_STATE(2138)] = 7769,
  [SMALL_STATE(2139)] = 7840,
  [SMALL_STATE(2140)] = 7911,
  [SMALL_STATE(2141)] = 7982,
  [SMALL_STATE(2142)] = 8053,
  [SMALL_STATE(2143)] = 8124,
  [SMALL_STATE(2144)] = 8195,
  [SMALL_STATE(2145)] = 8266,
  [SMALL_STATE(2146)] = 8337,
  [SMALL_STATE(2147)] = 8408,
  [SMALL_STATE(2148)] = 8479,
  [SMALL_STATE(2149)] = 8550,
  [SMALL_STATE(2150)] = 8621,
  [SMALL_STATE(2151)] = 8692,
  [SMALL_STATE(2152)] = 8763,
  [SMALL_STATE(2153)] = 8834,
  [SMALL_STATE(2154)] = 8905,
  [SMALL_STATE(2155)] = 8976,
  [SMALL_STATE(2156)] = 9051,
  [SMALL_STATE(2157)] = 9122,
  [SMALL_STATE(2158)] = 9193,
  [SMALL_STATE(2159)] = 9264,
  [SMALL_STATE(2160)] = 9335,
  [SMALL_STATE(2161)] = 9406,
  [SMALL_STATE(2162)] = 9477,
  [SMALL_STATE(2163)] = 9548,
  [SMALL_STATE(2164)] = 9619,
  [SMALL_STATE(2165)] = 9690,
  [SMALL_STATE(2166)] = 9761,
  [SMALL_STATE(2167)] = 9836,
  [SMALL_STATE(2168)] = 9907,
  [SMALL_STATE(2169)] = 9982,
  [SMALL_STATE(2170)] = 10057,
  [SMALL_STATE(2171)] = 10128,
  [SMALL_STATE(2172)] = 10199,
  [SMALL_STATE(2173)] = 10270,
  [SMALL_STATE(2174)] = 10345,
  [SMALL_STATE(2175)] = 10416,
  [SMALL_STATE(2176)] = 10487,
  [SMALL_STATE(2177)] = 10558,
  [SMALL_STATE(2178)] = 10629,
  [SMALL_STATE(2179)] = 10700,
  [SMALL_STATE(2180)] = 10771,
  [SMALL_STATE(2181)] = 10846,
  [SMALL_STATE(2182)] = 10917,
  [SMALL_STATE(2183)] = 10988,
  [SMALL_STATE(2184)] = 11059,
  [SMALL_STATE(2185)] = 11130,
  [SMALL_STATE(2186)] = 11201,
  [SMALL_STATE(2187)] = 11272,
  [SMALL_STATE(2188)] = 11343,
  [SMALL_STATE(2189)] = 11414,
  [SMALL_STATE(2190)] = 11485,
  [SMALL_STATE(2191)] = 11556,
  [SMALL_STATE(2192)] = 11627,
  [SMALL_STATE(2193)] = 11698,
  [SMALL_STATE(2194)] = 11769,
  [SMALL_STATE(2195)] = 11840,
  [SMALL_STATE(2196)] = 11911,
  [SMALL_STATE(2197)] = 11982,
  [SMALL_STATE(2198)] = 12053,
  [SMALL_STATE(2199)] = 12124,
  [SMALL_STATE(2200)] = 12195,
  [SMALL_STATE(2201)] = 12266,
  [SMALL_STATE(2202)] = 12337,
  [SMALL_STATE(2203)] = 12408,
  [SMALL_STATE(2204)] = 12479,
  [SMALL_STATE(2205)] = 12550,
  [SMALL_STATE(2206)] = 12621,
  [SMALL_STATE(2207)] = 12692,
  [SMALL_STATE(2208)] = 12763,
  [SMALL_STATE(2209)] = 12834,
  [SMALL_STATE(2210)] = 12905,
  [SMALL_STATE(2211)] = 12976,
  [SMALL_STATE(2212)] = 13047,
  [SMALL_STATE(2213)] = 13118,
  [SMALL_STATE(2214)] = 13189,
  [SMALL_STATE(2215)] = 13260,
  [SMALL_STATE(2216)] = 13331,
  [SMALL_STATE(2217)] = 13402,
  [SMALL_STATE(2218)] = 13473,
  [SMALL_STATE(2219)] = 13544,
  [SMALL_STATE(2220)] = 13617,
  [SMALL_STATE(2221)] = 13688,
  [SMALL_STATE(2222)] = 13773,
  [SMALL_STATE(2223)] = 13858,
  [SMALL_STATE(2224)] = 13945,
  [SMALL_STATE(2225)] = 14028,
  [SMALL_STATE(2226)] = 14115,
  [SMALL_STATE(2227)] = 14198,
  [SMALL_STATE(2228)] = 14281,
  [SMALL_STATE(2229)] = 14368,
  [SMALL_STATE(2230)] = 14451,
  [SMALL_STATE(2231)] = 14534,
  [SMALL_STATE(2232)] = 14617,
  [SMALL_STATE(2233)] = 14694,
  [SMALL_STATE(2234)] = 14765,
  [SMALL_STATE(2235)] = 14838,
  [SMALL_STATE(2236)] = 14909,
  [SMALL_STATE(2237)] = 14982,
  [SMALL_STATE(2238)] = 15059,
  [SMALL_STATE(2239)] = 15130,
  [SMALL_STATE(2240)] = 15209,
  [SMALL_STATE(2241)] = 15280,
  [SMALL_STATE(2242)] = 15359,
  [SMALL_STATE(2243)] = 15430,
  [SMALL_STATE(2244)] = 15509,
  [SMALL_STATE(2245)] = 15580,
  [SMALL_STATE(2246)] = 15659,
  [SMALL_STATE(2247)] = 15738,
  [SMALL_STATE(2248)] = 15817,
  [SMALL_STATE(2249)] = 15894,
  [SMALL_STATE(2250)] = 16009,
  [SMALL_STATE(2251)] = 16080,
  [SMALL_STATE(2252)] = 16151,
  [SMALL_STATE(2253)] = 16221,
  [SMALL_STATE(2254)] = 16295,
  [SMALL_STATE(2255)] = 16365,
  [SMALL_STATE(2256)] = 16435,
  [SMALL_STATE(2257)] = 16505,
  [SMALL_STATE(2258)] = 16575,
  [SMALL_STATE(2259)] = 16645,
  [SMALL_STATE(2260)] = 16715,
  [SMALL_STATE(2261)] = 16785,
  [SMALL_STATE(2262)] = 16855,
  [SMALL_STATE(2263)] = 16925,
  [SMALL_STATE(2264)] = 16999,
  [SMALL_STATE(2265)] = 17069,
  [SMALL_STATE(2266)] = 17139,
  [SMALL_STATE(2267)] = 17209,
  [SMALL_STATE(2268)] = 17279,
  [SMALL_STATE(2269)] = 17349,
  [SMALL_STATE(2270)] = 17419,
  [SMALL_STATE(2271)] = 17491,
  [SMALL_STATE(2272)] = 17561,
  [SMALL_STATE(2273)] = 17635,
  [SMALL_STATE(2274)] = 17705,
  [SMALL_STATE(2275)] = 17779,
  [SMALL_STATE(2276)] = 17849,
  [SMALL_STATE(2277)] = 17919,
  [SMALL_STATE(2278)] = 17989,
  [SMALL_STATE(2279)] = 18059,
  [SMALL_STATE(2280)] = 18129,
  [SMALL_STATE(2281)] = 18199,
  [SMALL_STATE(2282)] = 18269,
  [SMALL_STATE(2283)] = 18339,
  [SMALL_STATE(2284)] = 18409,
  [SMALL_STATE(2285)] = 18479,
  [SMALL_STATE(2286)] = 18549,
  [SMALL_STATE(2287)] = 18623,
  [SMALL_STATE(2288)] = 18693,
  [SMALL_STATE(2289)] = 18763,
  [SMALL_STATE(2290)] = 18833,
  [SMALL_STATE(2291)] = 18903,
  [SMALL_STATE(2292)] = 18975,
  [SMALL_STATE(2293)] = 19045,
  [SMALL_STATE(2294)] = 19115,
  [SMALL_STATE(2295)] = 19185,
  [SMALL_STATE(2296)] = 19255,
  [SMALL_STATE(2297)] = 19325,
  [SMALL_STATE(2298)] = 19395,
  [SMALL_STATE(2299)] = 19465,
  [SMALL_STATE(2300)] = 19535,
  [SMALL_STATE(2301)] = 19605,
  [SMALL_STATE(2302)] = 19675,
  [SMALL_STATE(2303)] = 19745,
  [SMALL_STATE(2304)] = 19815,
  [SMALL_STATE(2305)] = 19885,
  [SMALL_STATE(2306)] = 19955,
  [SMALL_STATE(2307)] = 20025,
  [SMALL_STATE(2308)] = 20095,
  [SMALL_STATE(2309)] = 20165,
  [SMALL_STATE(2310)] = 20239,
  [SMALL_STATE(2311)] = 20309,
  [SMALL_STATE(2312)] = 20379,
  [SMALL_STATE(2313)] = 20449,
  [SMALL_STATE(2314)] = 20519,
  [SMALL_STATE(2315)] = 20589,
  [SMALL_STATE(2316)] = 20659,
  [SMALL_STATE(2317)] = 20729,
  [SMALL_STATE(2318)] = 20799,
  [SMALL_STATE(2319)] = 20869,
  [SMALL_STATE(2320)] = 20939,
  [SMALL_STATE(2321)] = 21009,
  [SMALL_STATE(2322)] = 21079,
  [SMALL_STATE(2323)] = 21149,
  [SMALL_STATE(2324)] = 21219,
  [SMALL_STATE(2325)] = 21289,
  [SMALL_STATE(2326)] = 21359,
  [SMALL_STATE(2327)] = 21429,
  [SMALL_STATE(2328)] = 21499,
  [SMALL_STATE(2329)] = 21569,
  [SMALL_STATE(2330)] = 21639,
  [SMALL_STATE(2331)] = 21709,
  [SMALL_STATE(2332)] = 21779,
  [SMALL_STATE(2333)] = 21849,
  [SMALL_STATE(2334)] = 21919,
  [SMALL_STATE(2335)] = 21989,
  [SMALL_STATE(2336)] = 22059,
  [SMALL_STATE(2337)] = 22129,
  [SMALL_STATE(2338)] = 22199,
  [SMALL_STATE(2339)] = 22269,
  [SMALL_STATE(2340)] = 22339,
  [SMALL_STATE(2341)] = 22409,
  [SMALL_STATE(2342)] = 22479,
  [SMALL_STATE(2343)] = 22549,
  [SMALL_STATE(2344)] = 22619,
  [SMALL_STATE(2345)] = 22689,
  [SMALL_STATE(2346)] = 22759,
  [SMALL_STATE(2347)] = 22829,
  [SMALL_STATE(2348)] = 22899,
  [SMALL_STATE(2349)] = 22969,
  [SMALL_STATE(2350)] = 23043,
  [SMALL_STATE(2351)] = 23113,
  [SMALL_STATE(2352)] = 23187,
  [SMALL_STATE(2353)] = 23261,
  [SMALL_STATE(2354)] = 23331,
  [SMALL_STATE(2355)] = 23407,
  [SMALL_STATE(2356)] = 23481,
  [SMALL_STATE(2357)] = 23551,
  [SMALL_STATE(2358)] = 23621,
  [SMALL_STATE(2359)] = 23697,
  [SMALL_STATE(2360)] = 23767,
  [SMALL_STATE(2361)] = 23837,
  [SMALL_STATE(2362)] = 23913,
  [SMALL_STATE(2363)] = 23983,
  [SMALL_STATE(2364)] = 24059,
  [SMALL_STATE(2365)] = 24129,
  [SMALL_STATE(2366)] = 24199,
  [SMALL_STATE(2367)] = 24275,
  [SMALL_STATE(2368)] = 24345,
  [SMALL_STATE(2369)] = 24421,
  [SMALL_STATE(2370)] = 24491,
  [SMALL_STATE(2371)] = 24561,
  [SMALL_STATE(2372)] = 24637,
  [SMALL_STATE(2373)] = 24707,
  [SMALL_STATE(2374)] = 24777,
  [SMALL_STATE(2375)] = 24847,
  [SMALL_STATE(2376)] = 24917,
  [SMALL_STATE(2377)] = 24987,
  [SMALL_STATE(2378)] = 25065,
  [SMALL_STATE(2379)] = 25137,
  [SMALL_STATE(2380)] = 25215,
  [SMALL_STATE(2381)] = 25293,
  [SMALL_STATE(2382)] = 25409,
  [SMALL_STATE(2383)] = 25491,
  [SMALL_STATE(2384)] = 25581,
  [SMALL_STATE(2385)] = 25669,
  [SMALL_STATE(2386)] = 25771,
  [SMALL_STATE(2387)] = 25871,
  [SMALL_STATE(2388)] = 25967,
  [SMALL_STATE(2389)] = 26061,
  [SMALL_STATE(2390)] = 26153,
  [SMALL_STATE(2391)] = 26239,
  [SMALL_STATE(2392)] = 26323,
  [SMALL_STATE(2393)] = 26401,
  [SMALL_STATE(2394)] = 26515,
  [SMALL_STATE(2395)] = 26593,
  [SMALL_STATE(2396)] = 26671,
  [SMALL_STATE(2397)] = 26785,
  [SMALL_STATE(2398)] = 26891,
  [SMALL_STATE(2399)] = 26961,
  [SMALL_STATE(2400)] = 27030,
  [SMALL_STATE(2401)] = 27099,
  [SMALL_STATE(2402)] = 27198,
  [SMALL_STATE(2403)] = 27293,
  [SMALL_STATE(2404)] = 27386,
  [SMALL_STATE(2405)] = 27477,
  [SMALL_STATE(2406)] = 27554,
  [SMALL_STATE(2407)] = 27639,
  [SMALL_STATE(2408)] = 27710,
  [SMALL_STATE(2409)] = 27793,
  [SMALL_STATE(2410)] = 27870,
  [SMALL_STATE(2411)] = 27983,
  [SMALL_STATE(2412)] = 28088,
  [SMALL_STATE(2413)] = 28201,
  [SMALL_STATE(2414)] = 28274,
  [SMALL_STATE(2415)] = 28351,
  [SMALL_STATE(2416)] = 28422,
  [SMALL_STATE(2417)] = 28499,
  [SMALL_STATE(2418)] = 28576,
  [SMALL_STATE(2419)] = 28653,
  [SMALL_STATE(2420)] = 28722,
  [SMALL_STATE(2421)] = 28791,
  [SMALL_STATE(2422)] = 28868,
  [SMALL_STATE(2423)] = 28945,
  [SMALL_STATE(2424)] = 29022,
  [SMALL_STATE(2425)] = 29137,
  [SMALL_STATE(2426)] = 29208,
  [SMALL_STATE(2427)] = 29285,
  [SMALL_STATE(2428)] = 29354,
  [SMALL_STATE(2429)] = 29431,
  [SMALL_STATE(2430)] = 29500,
  [SMALL_STATE(2431)] = 29581,
  [SMALL_STATE(2432)] = 29658,
  [SMALL_STATE(2433)] = 29729,
  [SMALL_STATE(2434)] = 29818,
  [SMALL_STATE(2435)] = 29905,
  [SMALL_STATE(2436)] = 29974,
  [SMALL_STATE(2437)] = 30043,
  [SMALL_STATE(2438)] = 30144,
  [SMALL_STATE(2439)] = 30217,
  [SMALL_STATE(2440)] = 30287,
  [SMALL_STATE(2441)] = 30359,
  [SMALL_STATE(2442)] = 30427,
  [SMALL_STATE(2443)] = 30495,
  [SMALL_STATE(2444)] = 30563,
  [SMALL_STATE(2445)] = 30631,
  [SMALL_STATE(2446)] = 30699,
  [SMALL_STATE(2447)] = 30767,
  [SMALL_STATE(2448)] = 30893,
  [SMALL_STATE(2449)] = 30961,
  [SMALL_STATE(2450)] = 31029,
  [SMALL_STATE(2451)] = 31097,
  [SMALL_STATE(2452)] = 31223,
  [SMALL_STATE(2453)] = 31291,
  [SMALL_STATE(2454)] = 31359,
  [SMALL_STATE(2455)] = 31485,
  [SMALL_STATE(2456)] = 31611,
  [SMALL_STATE(2457)] = 31679,
  [SMALL_STATE(2458)] = 31805,
  [SMALL_STATE(2459)] = 31873,
  [SMALL_STATE(2460)] = 31999,
  [SMALL_STATE(2461)] = 32125,
  [SMALL_STATE(2462)] = 32193,
  [SMALL_STATE(2463)] = 32319,
  [SMALL_STATE(2464)] = 32387,
  [SMALL_STATE(2465)] = 32513,
  [SMALL_STATE(2466)] = 32581,
  [SMALL_STATE(2467)] = 32707,
  [SMALL_STATE(2468)] = 32775,
  [SMALL_STATE(2469)] = 32901,
  [SMALL_STATE(2470)] = 32969,
  [SMALL_STATE(2471)] = 33037,
  [SMALL_STATE(2472)] = 33163,
  [SMALL_STATE(2473)] = 33289,
  [SMALL_STATE(2474)] = 33357,
  [SMALL_STATE(2475)] = 33425,
  [SMALL_STATE(2476)] = 33493,
  [SMALL_STATE(2477)] = 33567,
  [SMALL_STATE(2478)] = 33635,
  [SMALL_STATE(2479)] = 33703,
  [SMALL_STATE(2480)] = 33829,
  [SMALL_STATE(2481)] = 33897,
  [SMALL_STATE(2482)] = 33965,
  [SMALL_STATE(2483)] = 34033,
  [SMALL_STATE(2484)] = 34101,
  [SMALL_STATE(2485)] = 34169,
  [SMALL_STATE(2486)] = 34241,
  [SMALL_STATE(2487)] = 34309,
  [SMALL_STATE(2488)] = 34377,
  [SMALL_STATE(2489)] = 34445,
  [SMALL_STATE(2490)] = 34571,
  [SMALL_STATE(2491)] = 34639,
  [SMALL_STATE(2492)] = 34713,
  [SMALL_STATE(2493)] = 34787,
  [SMALL_STATE(2494)] = 34855,
  [SMALL_STATE(2495)] = 34929,
  [SMALL_STATE(2496)] = 34997,
  [SMALL_STATE(2497)] = 35065,
  [SMALL_STATE(2498)] = 35133,
  [SMALL_STATE(2499)] = 35201,
  [SMALL_STATE(2500)] = 35273,
  [SMALL_STATE(2501)] = 35347,
  [SMALL_STATE(2502)] = 35415,
  [SMALL_STATE(2503)] = 35541,
  [SMALL_STATE(2504)] = 35609,
  [SMALL_STATE(2505)] = 35681,
  [SMALL_STATE(2506)] = 35753,
  [SMALL_STATE(2507)] = 35821,
  [SMALL_STATE(2508)] = 35889,
  [SMALL_STATE(2509)] = 35963,
  [SMALL_STATE(2510)] = 36031,
  [SMALL_STATE(2511)] = 36105,
  [SMALL_STATE(2512)] = 36177,
  [SMALL_STATE(2513)] = 36251,
  [SMALL_STATE(2514)] = 36319,
  [SMALL_STATE(2515)] = 36390,
  [SMALL_STATE(2516)] = 36457,
  [SMALL_STATE(2517)] = 36524,
  [SMALL_STATE(2518)] = 36591,
  [SMALL_STATE(2519)] = 36658,
  [SMALL_STATE(2520)] = 36725,
  [SMALL_STATE(2521)] = 36796,
  [SMALL_STATE(2522)] = 36863,
  [SMALL_STATE(2523)] = 36930,
  [SMALL_STATE(2524)] = 36997,
  [SMALL_STATE(2525)] = 37064,
  [SMALL_STATE(2526)] = 37131,
  [SMALL_STATE(2527)] = 37198,
  [SMALL_STATE(2528)] = 37265,
  [SMALL_STATE(2529)] = 37336,
  [SMALL_STATE(2530)] = 37407,
  [SMALL_STATE(2531)] = 37474,
  [SMALL_STATE(2532)] = 37541,
  [SMALL_STATE(2533)] = 37608,
  [SMALL_STATE(2534)] = 37675,
  [SMALL_STATE(2535)] = 37742,
  [SMALL_STATE(2536)] = 37809,
  [SMALL_STATE(2537)] = 37876,
  [SMALL_STATE(2538)] = 37943,
  [SMALL_STATE(2539)] = 38010,
  [SMALL_STATE(2540)] = 38077,
  [SMALL_STATE(2541)] = 38144,
  [SMALL_STATE(2542)] = 38211,
  [SMALL_STATE(2543)] = 38278,
  [SMALL_STATE(2544)] = 38345,
  [SMALL_STATE(2545)] = 38412,
  [SMALL_STATE(2546)] = 38479,
  [SMALL_STATE(2547)] = 38546,
  [SMALL_STATE(2548)] = 38613,
  [SMALL_STATE(2549)] = 38680,
  [SMALL_STATE(2550)] = 38747,
  [SMALL_STATE(2551)] = 38814,
  [SMALL_STATE(2552)] = 38881,
  [SMALL_STATE(2553)] = 38948,
  [SMALL_STATE(2554)] = 39015,
  [SMALL_STATE(2555)] = 39082,
  [SMALL_STATE(2556)] = 39149,
  [SMALL_STATE(2557)] = 39216,
  [SMALL_STATE(2558)] = 39283,
  [SMALL_STATE(2559)] = 39350,
  [SMALL_STATE(2560)] = 39417,
  [SMALL_STATE(2561)] = 39490,
  [SMALL_STATE(2562)] = 39557,
  [SMALL_STATE(2563)] = 39624,
  [SMALL_STATE(2564)] = 39695,
  [SMALL_STATE(2565)] = 39762,
  [SMALL_STATE(2566)] = 39829,
  [SMALL_STATE(2567)] = 39896,
  [SMALL_STATE(2568)] = 39963,
  [SMALL_STATE(2569)] = 40034,
  [SMALL_STATE(2570)] = 40107,
  [SMALL_STATE(2571)] = 40178,
  [SMALL_STATE(2572)] = 40249,
  [SMALL_STATE(2573)] = 40320,
  [SMALL_STATE(2574)] = 40433,
  [SMALL_STATE(2575)] = 40512,
  [SMALL_STATE(2576)] = 40599,
  [SMALL_STATE(2577)] = 40684,
  [SMALL_STATE(2578)] = 40783,
  [SMALL_STATE(2579)] = 40880,
  [SMALL_STATE(2580)] = 40973,
  [SMALL_STATE(2581)] = 41064,
  [SMALL_STATE(2582)] = 41153,
  [SMALL_STATE(2583)] = 41236,
  [SMALL_STATE(2584)] = 41317,
  [SMALL_STATE(2585)] = 41392,
  [SMALL_STATE(2586)] = 41503,
  [SMALL_STATE(2587)] = 41578,
  [SMALL_STATE(2588)] = 41653,
  [SMALL_STATE(2589)] = 41764,
  [SMALL_STATE(2590)] = 41867,
  [SMALL_STATE(2591)] = 41940,
  [SMALL_STATE(2592)] = 42007,
  [SMALL_STATE(2593)] = 42076,
  [SMALL_STATE(2594)] = 42143,
  [SMALL_STATE(2595)] = 42210,
  [SMALL_STATE(2596)] = 42277,
  [SMALL_STATE(2597)] = 42344,
  [SMALL_STATE(2598)] = 42411,
  [SMALL_STATE(2599)] = 42478,
  [SMALL_STATE(2600)] = 42545,
  [SMALL_STATE(2601)] = 42612,
  [SMALL_STATE(2602)] = 42727,
  [SMALL_STATE(2603)] = 42798,
  [SMALL_STATE(2604)] = 42865,
  [SMALL_STATE(2605)] = 42932,
  [SMALL_STATE(2606)] = 42999,
  [SMALL_STATE(2607)] = 43066,
  [SMALL_STATE(2608)] = 43133,
  [SMALL_STATE(2609)] = 43204,
  [SMALL_STATE(2610)] = 43279,
  [SMALL_STATE(2611)] = 43354,
  [SMALL_STATE(2612)] = 43421,
  [SMALL_STATE(2613)] = 43488,
  [SMALL_STATE(2614)] = 43555,
  [SMALL_STATE(2615)] = 43622,
  [SMALL_STATE(2616)] = 43696,
  [SMALL_STATE(2617)] = 43806,
  [SMALL_STATE(2618)] = 43898,
  [SMALL_STATE(2619)] = 43972,
  [SMALL_STATE(2620)] = 44044,
  [SMALL_STATE(2621)] = 44118,
  [SMALL_STATE(2622)] = 44190,
  [SMALL_STATE(2623)] = 44262,
  [SMALL_STATE(2624)] = 44332,
  [SMALL_STATE(2625)] = 44406,
  [SMALL_STATE(2626)] = 44480,
  [SMALL_STATE(2627)] = 44552,
  [SMALL_STATE(2628)] = 44624,
  [SMALL_STATE(2629)] = 44690,
  [SMALL_STATE(2630)] = 44756,
  [SMALL_STATE(2631)] = 44868,
  [SMALL_STATE(2632)] = 44934,
  [SMALL_STATE(2633)] = 45004,
  [SMALL_STATE(2634)] = 45072,
  [SMALL_STATE(2635)] = 45150,
  [SMALL_STATE(2636)] = 45240,
  [SMALL_STATE(2637)] = 45306,
  [SMALL_STATE(2638)] = 45374,
  [SMALL_STATE(2639)] = 45472,
  [SMALL_STATE(2640)] = 45568,
  [SMALL_STATE(2641)] = 45654,
  [SMALL_STATE(2642)] = 45726,
  [SMALL_STATE(2643)] = 45792,
  [SMALL_STATE(2644)] = 45858,
  [SMALL_STATE(2645)] = 45924,
  [SMALL_STATE(2646)] = 45996,
  [SMALL_STATE(2647)] = 46080,
  [SMALL_STATE(2648)] = 46190,
  [SMALL_STATE(2649)] = 46292,
  [SMALL_STATE(2650)] = 46366,
  [SMALL_STATE(2651)] = 46454,
  [SMALL_STATE(2652)] = 46528,
  [SMALL_STATE(2653)] = 46602,
  [SMALL_STATE(2654)] = 46672,
  [SMALL_STATE(2655)] = 46754,
  [SMALL_STATE(2656)] = 46826,
  [SMALL_STATE(2657)] = 46898,
  [SMALL_STATE(2658)] = 46972,
  [SMALL_STATE(2659)] = 47040,
  [SMALL_STATE(2660)] = 47106,
  [SMALL_STATE(2661)] = 47172,
  [SMALL_STATE(2662)] = 47240,
  [SMALL_STATE(2663)] = 47320,
  [SMALL_STATE(2664)] = 47394,
  [SMALL_STATE(2665)] = 47462,
  [SMALL_STATE(2666)] = 47530,
  [SMALL_STATE(2667)] = 47596,
  [SMALL_STATE(2668)] = 47670,
  [SMALL_STATE(2669)] = 47742,
  [SMALL_STATE(2670)] = 47807,
  [SMALL_STATE(2671)] = 47872,
  [SMALL_STATE(2672)] = 47937,
  [SMALL_STATE(2673)] = 48002,
  [SMALL_STATE(2674)] = 48067,
  [SMALL_STATE(2675)] = 48132,
  [SMALL_STATE(2676)] = 48197,
  [SMALL_STATE(2677)] = 48262,
  [SMALL_STATE(2678)] = 48327,
  [SMALL_STATE(2679)] = 48392,
  [SMALL_STATE(2680)] = 48457,
  [SMALL_STATE(2681)] = 48522,
  [SMALL_STATE(2682)] = 48587,
  [SMALL_STATE(2683)] = 48652,
  [SMALL_STATE(2684)] = 48717,
  [SMALL_STATE(2685)] = 48782,
  [SMALL_STATE(2686)] = 48847,
  [SMALL_STATE(2687)] = 48912,
  [SMALL_STATE(2688)] = 48977,
  [SMALL_STATE(2689)] = 49042,
  [SMALL_STATE(2690)] = 49109,
  [SMALL_STATE(2691)] = 49174,
  [SMALL_STATE(2692)] = 49239,
  [SMALL_STATE(2693)] = 49306,
  [SMALL_STATE(2694)] = 49371,
  [SMALL_STATE(2695)] = 49436,
  [SMALL_STATE(2696)] = 49501,
  [SMALL_STATE(2697)] = 49566,
  [SMALL_STATE(2698)] = 49631,
  [SMALL_STATE(2699)] = 49696,
  [SMALL_STATE(2700)] = 49765,
  [SMALL_STATE(2701)] = 49830,
  [SMALL_STATE(2702)] = 49895,
  [SMALL_STATE(2703)] = 49960,
  [SMALL_STATE(2704)] = 50025,
  [SMALL_STATE(2705)] = 50090,
  [SMALL_STATE(2706)] = 50159,
  [SMALL_STATE(2707)] = 50288,
  [SMALL_STATE(2708)] = 50353,
  [SMALL_STATE(2709)] = 50418,
  [SMALL_STATE(2710)] = 50483,
  [SMALL_STATE(2711)] = 50548,
  [SMALL_STATE(2712)] = 50613,
  [SMALL_STATE(2713)] = 50678,
  [SMALL_STATE(2714)] = 50743,
  [SMALL_STATE(2715)] = 50808,
  [SMALL_STATE(2716)] = 50873,
  [SMALL_STATE(2717)] = 50946,
  [SMALL_STATE(2718)] = 51011,
  [SMALL_STATE(2719)] = 51076,
  [SMALL_STATE(2720)] = 51141,
  [SMALL_STATE(2721)] = 51210,
  [SMALL_STATE(2722)] = 51275,
  [SMALL_STATE(2723)] = 51340,
  [SMALL_STATE(2724)] = 51405,
  [SMALL_STATE(2725)] = 51470,
  [SMALL_STATE(2726)] = 51535,
  [SMALL_STATE(2727)] = 51600,
  [SMALL_STATE(2728)] = 51665,
  [SMALL_STATE(2729)] = 51730,
  [SMALL_STATE(2730)] = 51795,
  [SMALL_STATE(2731)] = 51860,
  [SMALL_STATE(2732)] = 51925,
  [SMALL_STATE(2733)] = 51990,
  [SMALL_STATE(2734)] = 52055,
  [SMALL_STATE(2735)] = 52120,
  [SMALL_STATE(2736)] = 52185,
  [SMALL_STATE(2737)] = 52250,
  [SMALL_STATE(2738)] = 52315,
  [SMALL_STATE(2739)] = 52380,
  [SMALL_STATE(2740)] = 52445,
  [SMALL_STATE(2741)] = 52510,
  [SMALL_STATE(2742)] = 52575,
  [SMALL_STATE(2743)] = 52640,
  [SMALL_STATE(2744)] = 52705,
  [SMALL_STATE(2745)] = 52770,
  [SMALL_STATE(2746)] = 52835,
  [SMALL_STATE(2747)] = 52900,
  [SMALL_STATE(2748)] = 52965,
  [SMALL_STATE(2749)] = 53038,
  [SMALL_STATE(2750)] = 53103,
  [SMALL_STATE(2751)] = 53168,
  [SMALL_STATE(2752)] = 53237,
  [SMALL_STATE(2753)] = 53302,
  [SMALL_STATE(2754)] = 53367,
  [SMALL_STATE(2755)] = 53432,
  [SMALL_STATE(2756)] = 53505,
  [SMALL_STATE(2757)] = 53570,
  [SMALL_STATE(2758)] = 53643,
  [SMALL_STATE(2759)] = 53708,
  [SMALL_STATE(2760)] = 53773,
  [SMALL_STATE(2761)] = 53838,
  [SMALL_STATE(2762)] = 53907,
  [SMALL_STATE(2763)] = 53972,
  [SMALL_STATE(2764)] = 54037,
  [SMALL_STATE(2765)] = 54102,
  [SMALL_STATE(2766)] = 54167,
  [SMALL_STATE(2767)] = 54232,
  [SMALL_STATE(2768)] = 54297,
  [SMALL_STATE(2769)] = 54362,
  [SMALL_STATE(2770)] = 54427,
  [SMALL_STATE(2771)] = 54496,
  [SMALL_STATE(2772)] = 54561,
  [SMALL_STATE(2773)] = 54626,
  [SMALL_STATE(2774)] = 54691,
  [SMALL_STATE(2775)] = 54756,
  [SMALL_STATE(2776)] = 54821,
  [SMALL_STATE(2777)] = 54932,
  [SMALL_STATE(2778)] = 55009,
  [SMALL_STATE(2779)] = 55094,
  [SMALL_STATE(2780)] = 55177,
  [SMALL_STATE(2781)] = 55274,
  [SMALL_STATE(2782)] = 55369,
  [SMALL_STATE(2783)] = 55460,
  [SMALL_STATE(2784)] = 55549,
  [SMALL_STATE(2785)] = 55636,
  [SMALL_STATE(2786)] = 55717,
  [SMALL_STATE(2787)] = 55796,
  [SMALL_STATE(2788)] = 55869,
  [SMALL_STATE(2789)] = 55934,
  [SMALL_STATE(2790)] = 55999,
  [SMALL_STATE(2791)] = 56108,
  [SMALL_STATE(2792)] = 56173,
  [SMALL_STATE(2793)] = 56238,
  [SMALL_STATE(2794)] = 56311,
  [SMALL_STATE(2795)] = 56376,
  [SMALL_STATE(2796)] = 56441,
  [SMALL_STATE(2797)] = 56506,
  [SMALL_STATE(2798)] = 56571,
  [SMALL_STATE(2799)] = 56636,
  [SMALL_STATE(2800)] = 56707,
  [SMALL_STATE(2801)] = 56772,
  [SMALL_STATE(2802)] = 56837,
  [SMALL_STATE(2803)] = 56902,
  [SMALL_STATE(2804)] = 56967,
  [SMALL_STATE(2805)] = 57032,
  [SMALL_STATE(2806)] = 57097,
  [SMALL_STATE(2807)] = 57162,
  [SMALL_STATE(2808)] = 57235,
  [SMALL_STATE(2809)] = 57300,
  [SMALL_STATE(2810)] = 57365,
  [SMALL_STATE(2811)] = 57430,
  [SMALL_STATE(2812)] = 57495,
  [SMALL_STATE(2813)] = 57560,
  [SMALL_STATE(2814)] = 57625,
  [SMALL_STATE(2815)] = 57690,
  [SMALL_STATE(2816)] = 57755,
  [SMALL_STATE(2817)] = 57820,
  [SMALL_STATE(2818)] = 57885,
  [SMALL_STATE(2819)] = 57950,
  [SMALL_STATE(2820)] = 58059,
  [SMALL_STATE(2821)] = 58160,
  [SMALL_STATE(2822)] = 58225,
  [SMALL_STATE(2823)] = 58290,
  [SMALL_STATE(2824)] = 58355,
  [SMALL_STATE(2825)] = 58420,
  [SMALL_STATE(2826)] = 58485,
  [SMALL_STATE(2827)] = 58550,
  [SMALL_STATE(2828)] = 58615,
  [SMALL_STATE(2829)] = 58680,
  [SMALL_STATE(2830)] = 58745,
  [SMALL_STATE(2831)] = 58810,
  [SMALL_STATE(2832)] = 58875,
  [SMALL_STATE(2833)] = 58940,
  [SMALL_STATE(2834)] = 59005,
  [SMALL_STATE(2835)] = 59070,
  [SMALL_STATE(2836)] = 59135,
  [SMALL_STATE(2837)] = 59200,
  [SMALL_STATE(2838)] = 59265,
  [SMALL_STATE(2839)] = 59330,
  [SMALL_STATE(2840)] = 59395,
  [SMALL_STATE(2841)] = 59460,
  [SMALL_STATE(2842)] = 59525,
  [SMALL_STATE(2843)] = 59590,
  [SMALL_STATE(2844)] = 59655,
  [SMALL_STATE(2845)] = 59720,
  [SMALL_STATE(2846)] = 59785,
  [SMALL_STATE(2847)] = 59850,
  [SMALL_STATE(2848)] = 59915,
  [SMALL_STATE(2849)] = 59980,
  [SMALL_STATE(2850)] = 60045,
  [SMALL_STATE(2851)] = 60110,
  [SMALL_STATE(2852)] = 60175,
  [SMALL_STATE(2853)] = 60240,
  [SMALL_STATE(2854)] = 60305,
  [SMALL_STATE(2855)] = 60370,
  [SMALL_STATE(2856)] = 60435,
  [SMALL_STATE(2857)] = 60500,
  [SMALL_STATE(2858)] = 60565,
  [SMALL_STATE(2859)] = 60630,
  [SMALL_STATE(2860)] = 60695,
  [SMALL_STATE(2861)] = 60760,
  [SMALL_STATE(2862)] = 60825,
  [SMALL_STATE(2863)] = 60890,
  [SMALL_STATE(2864)] = 60955,
  [SMALL_STATE(2865)] = 61020,
  [SMALL_STATE(2866)] = 61085,
  [SMALL_STATE(2867)] = 61150,
  [SMALL_STATE(2868)] = 61215,
  [SMALL_STATE(2869)] = 61280,
  [SMALL_STATE(2870)] = 61345,
  [SMALL_STATE(2871)] = 61410,
  [SMALL_STATE(2872)] = 61475,
  [SMALL_STATE(2873)] = 61540,
  [SMALL_STATE(2874)] = 61609,
  [SMALL_STATE(2875)] = 61674,
  [SMALL_STATE(2876)] = 61739,
  [SMALL_STATE(2877)] = 61804,
  [SMALL_STATE(2878)] = 61869,
  [SMALL_STATE(2879)] = 61934,
  [SMALL_STATE(2880)] = 62063,
  [SMALL_STATE(2881)] = 62128,
  [SMALL_STATE(2882)] = 62193,
  [SMALL_STATE(2883)] = 62260,
  [SMALL_STATE(2884)] = 62325,
  [SMALL_STATE(2885)] = 62390,
  [SMALL_STATE(2886)] = 62455,
  [SMALL_STATE(2887)] = 62520,
  [SMALL_STATE(2888)] = 62585,
  [SMALL_STATE(2889)] = 62650,
  [SMALL_STATE(2890)] = 62715,
  [SMALL_STATE(2891)] = 62780,
  [SMALL_STATE(2892)] = 62845,
  [SMALL_STATE(2893)] = 62910,
  [SMALL_STATE(2894)] = 62975,
  [SMALL_STATE(2895)] = 63040,
  [SMALL_STATE(2896)] = 63105,
  [SMALL_STATE(2897)] = 63170,
  [SMALL_STATE(2898)] = 63235,
  [SMALL_STATE(2899)] = 63300,
  [SMALL_STATE(2900)] = 63365,
  [SMALL_STATE(2901)] = 63430,
  [SMALL_STATE(2902)] = 63495,
  [SMALL_STATE(2903)] = 63560,
  [SMALL_STATE(2904)] = 63625,
  [SMALL_STATE(2905)] = 63690,
  [SMALL_STATE(2906)] = 63755,
  [SMALL_STATE(2907)] = 63820,
  [SMALL_STATE(2908)] = 63885,
  [SMALL_STATE(2909)] = 63950,
  [SMALL_STATE(2910)] = 64015,
  [SMALL_STATE(2911)] = 64080,
  [SMALL_STATE(2912)] = 64145,
  [SMALL_STATE(2913)] = 64210,
  [SMALL_STATE(2914)] = 64275,
  [SMALL_STATE(2915)] = 64340,
  [SMALL_STATE(2916)] = 64405,
  [SMALL_STATE(2917)] = 64470,
  [SMALL_STATE(2918)] = 64535,
  [SMALL_STATE(2919)] = 64600,
  [SMALL_STATE(2920)] = 64665,
  [SMALL_STATE(2921)] = 64730,
  [SMALL_STATE(2922)] = 64795,
  [SMALL_STATE(2923)] = 64860,
  [SMALL_STATE(2924)] = 64925,
  [SMALL_STATE(2925)] = 64990,
  [SMALL_STATE(2926)] = 65070,
  [SMALL_STATE(2927)] = 65194,
  [SMALL_STATE(2928)] = 65272,
  [SMALL_STATE(2929)] = 65350,
  [SMALL_STATE(2930)] = 65420,
  [SMALL_STATE(2931)] = 65500,
  [SMALL_STATE(2932)] = 65572,
  [SMALL_STATE(2933)] = 65648,
  [SMALL_STATE(2934)] = 65728,
  [SMALL_STATE(2935)] = 65804,
  [SMALL_STATE(2936)] = 65880,
  [SMALL_STATE(2937)] = 65960,
  [SMALL_STATE(2938)] = 66036,
  [SMALL_STATE(2939)] = 66112,
  [SMALL_STATE(2940)] = 66188,
  [SMALL_STATE(2941)] = 66266,
  [SMALL_STATE(2942)] = 66344,
  [SMALL_STATE(2943)] = 66422,
  [SMALL_STATE(2944)] = 66494,
  [SMALL_STATE(2945)] = 66566,
  [SMALL_STATE(2946)] = 66634,
  [SMALL_STATE(2947)] = 66714,
  [SMALL_STATE(2948)] = 66838,
  [SMALL_STATE(2949)] = 66914,
  [SMALL_STATE(2950)] = 66990,
  [SMALL_STATE(2951)] = 67070,
  [SMALL_STATE(2952)] = 67146,
  [SMALL_STATE(2953)] = 67218,
  [SMALL_STATE(2954)] = 67294,
  [SMALL_STATE(2955)] = 67370,
  [SMALL_STATE(2956)] = 67494,
  [SMALL_STATE(2957)] = 67574,
  [SMALL_STATE(2958)] = 67650,
  [SMALL_STATE(2959)] = 67718,
  [SMALL_STATE(2960)] = 67798,
  [SMALL_STATE(2961)] = 67874,
  [SMALL_STATE(2962)] = 67950,
  [SMALL_STATE(2963)] = 68030,
  [SMALL_STATE(2964)] = 68106,
  [SMALL_STATE(2965)] = 68176,
  [SMALL_STATE(2966)] = 68248,
  [SMALL_STATE(2967)] = 68324,
  [SMALL_STATE(2968)] = 68400,
  [SMALL_STATE(2969)] = 68472,
  [SMALL_STATE(2970)] = 68540,
  [SMALL_STATE(2971)] = 68618,
  [SMALL_STATE(2972)] = 68694,
  [SMALL_STATE(2973)] = 68769,
  [SMALL_STATE(2974)] = 68846,
  [SMALL_STATE(2975)] = 68923,
  [SMALL_STATE(2976)] = 69000,
  [SMALL_STATE(2977)] = 69069,
  [SMALL_STATE(2978)] = 69136,
  [SMALL_STATE(2979)] = 69203,
  [SMALL_STATE(2980)] = 69280,
  [SMALL_STATE(2981)] = 69347,
  [SMALL_STATE(2982)] = 69416,
  [SMALL_STATE(2983)] = 69491,
  [SMALL_STATE(2984)] = 69570,
  [SMALL_STATE(2985)] = 69645,
  [SMALL_STATE(2986)] = 69724,
  [SMALL_STATE(2987)] = 69799,
  [SMALL_STATE(2988)] = 69874,
  [SMALL_STATE(2989)] = 69953,
  [SMALL_STATE(2990)] = 70028,
  [SMALL_STATE(2991)] = 70103,
  [SMALL_STATE(2992)] = 70178,
  [SMALL_STATE(2993)] = 70245,
  [SMALL_STATE(2994)] = 70322,
  [SMALL_STATE(2995)] = 70399,
  [SMALL_STATE(2996)] = 70478,
  [SMALL_STATE(2997)] = 70553,
  [SMALL_STATE(2998)] = 70632,
  [SMALL_STATE(2999)] = 70707,
  [SMALL_STATE(3000)] = 70774,
  [SMALL_STATE(3001)] = 70843,
  [SMALL_STATE(3002)] = 70918,
  [SMALL_STATE(3003)] = 70997,
  [SMALL_STATE(3004)] = 71072,
  [SMALL_STATE(3005)] = 71147,
  [SMALL_STATE(3006)] = 71222,
  [SMALL_STATE(3007)] = 71291,
  [SMALL_STATE(3008)] = 71356,
  [SMALL_STATE(3009)] = 71421,
  [SMALL_STATE(3010)] = 71490,
  [SMALL_STATE(3011)] = 71561,
  [SMALL_STATE(3012)] = 71630,
  [SMALL_STATE(3013)] = 71701,
  [SMALL_STATE(3014)] = 71770,
  [SMALL_STATE(3015)] = 71841,
  [SMALL_STATE(3016)] = 71912,
  [SMALL_STATE(3017)] = 71981,
  [SMALL_STATE(3018)] = 72060,
  [SMALL_STATE(3019)] = 72131,
  [SMALL_STATE(3020)] = 72200,
  [SMALL_STATE(3021)] = 72269,
  [SMALL_STATE(3022)] = 72340,
  [SMALL_STATE(3023)] = 72409,
  [SMALL_STATE(3024)] = 72478,
  [SMALL_STATE(3025)] = 72553,
  [SMALL_STATE(3026)] = 72618,
  [SMALL_STATE(3027)] = 72693,
  [SMALL_STATE(3028)] = 72772,
  [SMALL_STATE(3029)] = 72893,
  [SMALL_STATE(3030)] = 73004,
  [SMALL_STATE(3031)] = 73073,
  [SMALL_STATE(3032)] = 73140,
  [SMALL_STATE(3033)] = 73219,
  [SMALL_STATE(3034)] = 73294,
  [SMALL_STATE(3035)] = 73369,
  [SMALL_STATE(3036)] = 73434,
  [SMALL_STATE(3037)] = 73545,
  [SMALL_STATE(3038)] = 73612,
  [SMALL_STATE(3039)] = 73681,
  [SMALL_STATE(3040)] = 73750,
  [SMALL_STATE(3041)] = 73813,
  [SMALL_STATE(3042)] = 73893,
  [SMALL_STATE(3043)] = 73955,
  [SMALL_STATE(3044)] = 74049,
  [SMALL_STATE(3045)] = 74111,
  [SMALL_STATE(3046)] = 74173,
  [SMALL_STATE(3047)] = 74235,
  [SMALL_STATE(3048)] = 74325,
  [SMALL_STATE(3049)] = 74387,
  [SMALL_STATE(3050)] = 74457,
  [SMALL_STATE(3051)] = 74519,
  [SMALL_STATE(3052)] = 74581,
  [SMALL_STATE(3053)] = 74643,
  [SMALL_STATE(3054)] = 74705,
  [SMALL_STATE(3055)] = 74767,
  [SMALL_STATE(3056)] = 74835,
  [SMALL_STATE(3057)] = 74905,
  [SMALL_STATE(3058)] = 74993,
  [SMALL_STATE(3059)] = 75055,
  [SMALL_STATE(3060)] = 75141,
  [SMALL_STATE(3061)] = 75211,
  [SMALL_STATE(3062)] = 75281,
  [SMALL_STATE(3063)] = 75347,
  [SMALL_STATE(3064)] = 75409,
  [SMALL_STATE(3065)] = 75491,
  [SMALL_STATE(3066)] = 75557,
  [SMALL_STATE(3067)] = 75627,
  [SMALL_STATE(3068)] = 75693,
  [SMALL_STATE(3069)] = 75761,
  [SMALL_STATE(3070)] = 75827,
  [SMALL_STATE(3071)] = 75893,
  [SMALL_STATE(3072)] = 75963,
  [SMALL_STATE(3073)] = 76029,
  [SMALL_STATE(3074)] = 76099,
  [SMALL_STATE(3075)] = 76161,
  [SMALL_STATE(3076)] = 76223,
  [SMALL_STATE(3077)] = 76293,
  [SMALL_STATE(3078)] = 76355,
  [SMALL_STATE(3079)] = 76417,
  [SMALL_STATE(3080)] = 76479,
  [SMALL_STATE(3081)] = 76545,
  [SMALL_STATE(3082)] = 76663,
  [SMALL_STATE(3083)] = 76731,
  [SMALL_STATE(3084)] = 76793,
  [SMALL_STATE(3085)] = 76855,
  [SMALL_STATE(3086)] = 76917,
  [SMALL_STATE(3087)] = 76979,
  [SMALL_STATE(3088)] = 77041,
  [SMALL_STATE(3089)] = 77103,
  [SMALL_STATE(3090)] = 77165,
  [SMALL_STATE(3091)] = 77227,
  [SMALL_STATE(3092)] = 77289,
  [SMALL_STATE(3093)] = 77351,
  [SMALL_STATE(3094)] = 77413,
  [SMALL_STATE(3095)] = 77475,
  [SMALL_STATE(3096)] = 77537,
  [SMALL_STATE(3097)] = 77599,
  [SMALL_STATE(3098)] = 77661,
  [SMALL_STATE(3099)] = 77723,
  [SMALL_STATE(3100)] = 77785,
  [SMALL_STATE(3101)] = 77847,
  [SMALL_STATE(3102)] = 77909,
  [SMALL_STATE(3103)] = 77971,
  [SMALL_STATE(3104)] = 78033,
  [SMALL_STATE(3105)] = 78131,
  [SMALL_STATE(3106)] = 78209,
  [SMALL_STATE(3107)] = 78279,
  [SMALL_STATE(3108)] = 78341,
  [SMALL_STATE(3109)] = 78403,
  [SMALL_STATE(3110)] = 78465,
  [SMALL_STATE(3111)] = 78571,
  [SMALL_STATE(3112)] = 78639,
  [SMALL_STATE(3113)] = 78701,
  [SMALL_STATE(3114)] = 78763,
  [SMALL_STATE(3115)] = 78833,
  [SMALL_STATE(3116)] = 78903,
  [SMALL_STATE(3117)] = 78965,
  [SMALL_STATE(3118)] = 79027,
  [SMALL_STATE(3119)] = 79089,
  [SMALL_STATE(3120)] = 79155,
  [SMALL_STATE(3121)] = 79221,
  [SMALL_STATE(3122)] = 79283,
  [SMALL_STATE(3123)] = 79349,
  [SMALL_STATE(3124)] = 79411,
  [SMALL_STATE(3125)] = 79473,
  [SMALL_STATE(3126)] = 79535,
  [SMALL_STATE(3127)] = 79597,
  [SMALL_STATE(3128)] = 79659,
  [SMALL_STATE(3129)] = 79721,
  [SMALL_STATE(3130)] = 79783,
  [SMALL_STATE(3131)] = 79845,
  [SMALL_STATE(3132)] = 79907,
  [SMALL_STATE(3133)] = 79969,
  [SMALL_STATE(3134)] = 80031,
  [SMALL_STATE(3135)] = 80093,
  [SMALL_STATE(3136)] = 80155,
  [SMALL_STATE(3137)] = 80217,
  [SMALL_STATE(3138)] = 80279,
  [SMALL_STATE(3139)] = 80341,
  [SMALL_STATE(3140)] = 80411,
  [SMALL_STATE(3141)] = 80473,
  [SMALL_STATE(3142)] = 80535,
  [SMALL_STATE(3143)] = 80603,
  [SMALL_STATE(3144)] = 80665,
  [SMALL_STATE(3145)] = 80727,
  [SMALL_STATE(3146)] = 80793,
  [SMALL_STATE(3147)] = 80855,
  [SMALL_STATE(3148)] = 80925,
  [SMALL_STATE(3149)] = 80987,
  [SMALL_STATE(3150)] = 81057,
  [SMALL_STATE(3151)] = 81119,
  [SMALL_STATE(3152)] = 81237,
  [SMALL_STATE(3153)] = 81303,
  [SMALL_STATE(3154)] = 81365,
  [SMALL_STATE(3155)] = 81431,
  [SMALL_STATE(3156)] = 81493,
  [SMALL_STATE(3157)] = 81563,
  [SMALL_STATE(3158)] = 81625,
  [SMALL_STATE(3159)] = 81709,
  [SMALL_STATE(3160)] = 81771,
  [SMALL_STATE(3161)] = 81833,
  [SMALL_STATE(3162)] = 81895,
  [SMALL_STATE(3163)] = 81957,
  [SMALL_STATE(3164)] = 82019,
  [SMALL_STATE(3165)] = 82081,
  [SMALL_STATE(3166)] = 82147,
  [SMALL_STATE(3167)] = 82209,
  [SMALL_STATE(3168)] = 82271,
  [SMALL_STATE(3169)] = 82337,
  [SMALL_STATE(3170)] = 82399,
  [SMALL_STATE(3171)] = 82461,
  [SMALL_STATE(3172)] = 82527,
  [SMALL_STATE(3173)] = 82589,
  [SMALL_STATE(3174)] = 82659,
  [SMALL_STATE(3175)] = 82723,
  [SMALL_STATE(3176)] = 82785,
  [SMALL_STATE(3177)] = 82855,
  [SMALL_STATE(3178)] = 82917,
  [SMALL_STATE(3179)] = 82979,
  [SMALL_STATE(3180)] = 83041,
  [SMALL_STATE(3181)] = 83103,
  [SMALL_STATE(3182)] = 83165,
  [SMALL_STATE(3183)] = 83231,
  [SMALL_STATE(3184)] = 83293,
  [SMALL_STATE(3185)] = 83401,
  [SMALL_STATE(3186)] = 83475,
  [SMALL_STATE(3187)] = 83559,
  [SMALL_STATE(3188)] = 83641,
  [SMALL_STATE(3189)] = 83737,
  [SMALL_STATE(3190)] = 83831,
  [SMALL_STATE(3191)] = 83921,
  [SMALL_STATE(3192)] = 83991,
  [SMALL_STATE(3193)] = 84079,
  [SMALL_STATE(3194)] = 84165,
  [SMALL_STATE(3195)] = 84245,
  [SMALL_STATE(3196)] = 84323,
  [SMALL_STATE(3197)] = 84393,
  [SMALL_STATE(3198)] = 84455,
  [SMALL_STATE(3199)] = 84517,
  [SMALL_STATE(3200)] = 84623,
  [SMALL_STATE(3201)] = 84685,
  [SMALL_STATE(3202)] = 84747,
  [SMALL_STATE(3203)] = 84817,
  [SMALL_STATE(3204)] = 84923,
  [SMALL_STATE(3205)] = 84985,
  [SMALL_STATE(3206)] = 85047,
  [SMALL_STATE(3207)] = 85109,
  [SMALL_STATE(3208)] = 85175,
  [SMALL_STATE(3209)] = 85237,
  [SMALL_STATE(3210)] = 85299,
  [SMALL_STATE(3211)] = 85361,
  [SMALL_STATE(3212)] = 85431,
  [SMALL_STATE(3213)] = 85493,
  [SMALL_STATE(3214)] = 85555,
  [SMALL_STATE(3215)] = 85617,
  [SMALL_STATE(3216)] = 85679,
  [SMALL_STATE(3217)] = 85741,
  [SMALL_STATE(3218)] = 85803,
  [SMALL_STATE(3219)] = 85909,
  [SMALL_STATE(3220)] = 86015,
  [SMALL_STATE(3221)] = 86113,
  [SMALL_STATE(3222)] = 86175,
  [SMALL_STATE(3223)] = 86237,
  [SMALL_STATE(3224)] = 86299,
  [SMALL_STATE(3225)] = 86361,
  [SMALL_STATE(3226)] = 86423,
  [SMALL_STATE(3227)] = 86519,
  [SMALL_STATE(3228)] = 86581,
  [SMALL_STATE(3229)] = 86643,
  [SMALL_STATE(3230)] = 86751,
  [SMALL_STATE(3231)] = 86825,
  [SMALL_STATE(3232)] = 86887,
  [SMALL_STATE(3233)] = 86949,
  [SMALL_STATE(3234)] = 87011,
  [SMALL_STATE(3235)] = 87117,
  [SMALL_STATE(3236)] = 87187,
  [SMALL_STATE(3237)] = 87254,
  [SMALL_STATE(3238)] = 87321,
  [SMALL_STATE(3239)] = 87396,
  [SMALL_STATE(3240)] = 87463,
  [SMALL_STATE(3241)] = 87528,
  [SMALL_STATE(3242)] = 87603,
  [SMALL_STATE(3243)] = 87680,
  [SMALL_STATE(3244)] = 87753,
  [SMALL_STATE(3245)] = 87820,
  [SMALL_STATE(3246)] = 87897,
  [SMALL_STATE(3247)] = 87970,
  [SMALL_STATE(3248)] = 88035,
  [SMALL_STATE(3249)] = 88108,
  [SMALL_STATE(3250)] = 88173,
  [SMALL_STATE(3251)] = 88242,
  [SMALL_STATE(3252)] = 88303,
  [SMALL_STATE(3253)] = 88372,
  [SMALL_STATE(3254)] = 88449,
  [SMALL_STATE(3255)] = 88522,
  [SMALL_STATE(3256)] = 88589,
  [SMALL_STATE(3257)] = 88654,
  [SMALL_STATE(3258)] = 88721,
  [SMALL_STATE(3259)] = 88794,
  [SMALL_STATE(3260)] = 88863,
  [SMALL_STATE(3261)] = 88930,
  [SMALL_STATE(3262)] = 89003,
  [SMALL_STATE(3263)] = 89072,
  [SMALL_STATE(3264)] = 89141,
  [SMALL_STATE(3265)] = 89248,
  [SMALL_STATE(3266)] = 89315,
  [SMALL_STATE(3267)] = 89382,
  [SMALL_STATE(3268)] = 89449,
  [SMALL_STATE(3269)] = 89514,
  [SMALL_STATE(3270)] = 89581,
  [SMALL_STATE(3271)] = 89648,
  [SMALL_STATE(3272)] = 89715,
  [SMALL_STATE(3273)] = 89780,
  [SMALL_STATE(3274)] = 89849,
  [SMALL_STATE(3275)] = 89916,
  [SMALL_STATE(3276)] = 89976,
  [SMALL_STATE(3277)] = 90036,
  [SMALL_STATE(3278)] = 90096,
  [SMALL_STATE(3279)] = 90156,
  [SMALL_STATE(3280)] = 90216,
  [SMALL_STATE(3281)] = 90280,
  [SMALL_STATE(3282)] = 90340,
  [SMALL_STATE(3283)] = 90400,
  [SMALL_STATE(3284)] = 90464,
  [SMALL_STATE(3285)] = 90524,
  [SMALL_STATE(3286)] = 90632,
  [SMALL_STATE(3287)] = 90694,
  [SMALL_STATE(3288)] = 90756,
  [SMALL_STATE(3289)] = 90816,
  [SMALL_STATE(3290)] = 90876,
  [SMALL_STATE(3291)] = 90936,
  [SMALL_STATE(3292)] = 90998,
  [SMALL_STATE(3293)] = 91058,
  [SMALL_STATE(3294)] = 91118,
  [SMALL_STATE(3295)] = 91192,
  [SMALL_STATE(3296)] = 91266,
  [SMALL_STATE(3297)] = 91342,
  [SMALL_STATE(3298)] = 91414,
  [SMALL_STATE(3299)] = 91490,
  [SMALL_STATE(3300)] = 91562,
  [SMALL_STATE(3301)] = 91634,
  [SMALL_STATE(3302)] = 91698,
  [SMALL_STATE(3303)] = 91774,
  [SMALL_STATE(3304)] = 91846,
  [SMALL_STATE(3305)] = 91918,
  [SMALL_STATE(3306)] = 91982,
  [SMALL_STATE(3307)] = 92054,
  [SMALL_STATE(3308)] = 92114,
  [SMALL_STATE(3309)] = 92220,
  [SMALL_STATE(3310)] = 92280,
  [SMALL_STATE(3311)] = 92346,
  [SMALL_STATE(3312)] = 92412,
  [SMALL_STATE(3313)] = 92472,
  [SMALL_STATE(3314)] = 92532,
  [SMALL_STATE(3315)] = 92598,
  [SMALL_STATE(3316)] = 92658,
  [SMALL_STATE(3317)] = 92720,
  [SMALL_STATE(3318)] = 92780,
  [SMALL_STATE(3319)] = 92840,
  [SMALL_STATE(3320)] = 92900,
  [SMALL_STATE(3321)] = 92964,
  [SMALL_STATE(3322)] = 93028,
  [SMALL_STATE(3323)] = 93088,
  [SMALL_STATE(3324)] = 93154,
  [SMALL_STATE(3325)] = 93220,
  [SMALL_STATE(3326)] = 93286,
  [SMALL_STATE(3327)] = 93352,
  [SMALL_STATE(3328)] = 93418,
  [SMALL_STATE(3329)] = 93486,
  [SMALL_STATE(3330)] = 93552,
  [SMALL_STATE(3331)] = 93620,
  [SMALL_STATE(3332)] = 93686,
  [SMALL_STATE(3333)] = 93754,
  [SMALL_STATE(3334)] = 93822,
  [SMALL_STATE(3335)] = 93882,
  [SMALL_STATE(3336)] = 93946,
  [SMALL_STATE(3337)] = 94014,
  [SMALL_STATE(3338)] = 94074,
  [SMALL_STATE(3339)] = 94134,
  [SMALL_STATE(3340)] = 94200,
  [SMALL_STATE(3341)] = 94266,
  [SMALL_STATE(3342)] = 94334,
  [SMALL_STATE(3343)] = 94400,
  [SMALL_STATE(3344)] = 94460,
  [SMALL_STATE(3345)] = 94524,
  [SMALL_STATE(3346)] = 94584,
  [SMALL_STATE(3347)] = 94644,
  [SMALL_STATE(3348)] = 94704,
  [SMALL_STATE(3349)] = 94764,
  [SMALL_STATE(3350)] = 94824,
  [SMALL_STATE(3351)] = 94888,
  [SMALL_STATE(3352)] = 94950,
  [SMALL_STATE(3353)] = 95010,
  [SMALL_STATE(3354)] = 95076,
  [SMALL_STATE(3355)] = 95136,
  [SMALL_STATE(3356)] = 95198,
  [SMALL_STATE(3357)] = 95258,
  [SMALL_STATE(3358)] = 95318,
  [SMALL_STATE(3359)] = 95418,
  [SMALL_STATE(3360)] = 95478,
  [SMALL_STATE(3361)] = 95538,
  [SMALL_STATE(3362)] = 95638,
  [SMALL_STATE(3363)] = 95704,
  [SMALL_STATE(3364)] = 95804,
  [SMALL_STATE(3365)] = 95864,
  [SMALL_STATE(3366)] = 95964,
  [SMALL_STATE(3367)] = 96064,
  [SMALL_STATE(3368)] = 96164,
  [SMALL_STATE(3369)] = 96224,
  [SMALL_STATE(3370)] = 96298,
  [SMALL_STATE(3371)] = 96372,
  [SMALL_STATE(3372)] = 96448,
  [SMALL_STATE(3373)] = 96520,
  [SMALL_STATE(3374)] = 96596,
  [SMALL_STATE(3375)] = 96668,
  [SMALL_STATE(3376)] = 96740,
  [SMALL_STATE(3377)] = 96816,
  [SMALL_STATE(3378)] = 96888,
  [SMALL_STATE(3379)] = 96960,
  [SMALL_STATE(3380)] = 97032,
  [SMALL_STATE(3381)] = 97092,
  [SMALL_STATE(3382)] = 97156,
  [SMALL_STATE(3383)] = 97216,
  [SMALL_STATE(3384)] = 97278,
  [SMALL_STATE(3385)] = 97338,
  [SMALL_STATE(3386)] = 97402,
  [SMALL_STATE(3387)] = 97462,
  [SMALL_STATE(3388)] = 97562,
  [SMALL_STATE(3389)] = 97674,
  [SMALL_STATE(3390)] = 97738,
  [SMALL_STATE(3391)] = 97802,
  [SMALL_STATE(3392)] = 97866,
  [SMALL_STATE(3393)] = 97926,
  [SMALL_STATE(3394)] = 97992,
  [SMALL_STATE(3395)] = 98051,
  [SMALL_STATE(3396)] = 98110,
  [SMALL_STATE(3397)] = 98169,
  [SMALL_STATE(3398)] = 98228,
  [SMALL_STATE(3399)] = 98287,
  [SMALL_STATE(3400)] = 98346,
  [SMALL_STATE(3401)] = 98405,
  [SMALL_STATE(3402)] = 98464,
  [SMALL_STATE(3403)] = 98523,
  [SMALL_STATE(3404)] = 98582,
  [SMALL_STATE(3405)] = 98641,
  [SMALL_STATE(3406)] = 98700,
  [SMALL_STATE(3407)] = 98759,
  [SMALL_STATE(3408)] = 98818,
  [SMALL_STATE(3409)] = 98877,
  [SMALL_STATE(3410)] = 98936,
  [SMALL_STATE(3411)] = 98995,
  [SMALL_STATE(3412)] = 99054,
  [SMALL_STATE(3413)] = 99113,
  [SMALL_STATE(3414)] = 99172,
  [SMALL_STATE(3415)] = 99231,
  [SMALL_STATE(3416)] = 99290,
  [SMALL_STATE(3417)] = 99349,
  [SMALL_STATE(3418)] = 99408,
  [SMALL_STATE(3419)] = 99467,
  [SMALL_STATE(3420)] = 99526,
  [SMALL_STATE(3421)] = 99585,
  [SMALL_STATE(3422)] = 99644,
  [SMALL_STATE(3423)] = 99703,
  [SMALL_STATE(3424)] = 99762,
  [SMALL_STATE(3425)] = 99821,
  [SMALL_STATE(3426)] = 99880,
  [SMALL_STATE(3427)] = 99939,
  [SMALL_STATE(3428)] = 99998,
  [SMALL_STATE(3429)] = 100057,
  [SMALL_STATE(3430)] = 100116,
  [SMALL_STATE(3431)] = 100175,
  [SMALL_STATE(3432)] = 100234,
  [SMALL_STATE(3433)] = 100293,
  [SMALL_STATE(3434)] = 100352,
  [SMALL_STATE(3435)] = 100411,
  [SMALL_STATE(3436)] = 100470,
  [SMALL_STATE(3437)] = 100529,
  [SMALL_STATE(3438)] = 100588,
  [SMALL_STATE(3439)] = 100647,
  [SMALL_STATE(3440)] = 100706,
  [SMALL_STATE(3441)] = 100765,
  [SMALL_STATE(3442)] = 100824,
  [SMALL_STATE(3443)] = 100883,
  [SMALL_STATE(3444)] = 100942,
  [SMALL_STATE(3445)] = 101001,
  [SMALL_STATE(3446)] = 101060,
  [SMALL_STATE(3447)] = 101119,
  [SMALL_STATE(3448)] = 101178,
  [SMALL_STATE(3449)] = 101237,
  [SMALL_STATE(3450)] = 101296,
  [SMALL_STATE(3451)] = 101355,
  [SMALL_STATE(3452)] = 101420,
  [SMALL_STATE(3453)] = 101479,
  [SMALL_STATE(3454)] = 101538,
  [SMALL_STATE(3455)] = 101597,
  [SMALL_STATE(3456)] = 101700,
  [SMALL_STATE(3457)] = 101759,
  [SMALL_STATE(3458)] = 101826,
  [SMALL_STATE(3459)] = 101885,
  [SMALL_STATE(3460)] = 101944,
  [SMALL_STATE(3461)] = 102003,
  [SMALL_STATE(3462)] = 102062,
  [SMALL_STATE(3463)] = 102125,
  [SMALL_STATE(3464)] = 102184,
  [SMALL_STATE(3465)] = 102243,
  [SMALL_STATE(3466)] = 102306,
  [SMALL_STATE(3467)] = 102371,
  [SMALL_STATE(3468)] = 102430,
  [SMALL_STATE(3469)] = 102489,
  [SMALL_STATE(3470)] = 102548,
  [SMALL_STATE(3471)] = 102615,
  [SMALL_STATE(3472)] = 102674,
  [SMALL_STATE(3473)] = 102733,
  [SMALL_STATE(3474)] = 102800,
  [SMALL_STATE(3475)] = 102859,
  [SMALL_STATE(3476)] = 102918,
  [SMALL_STATE(3477)] = 102977,
  [SMALL_STATE(3478)] = 103042,
  [SMALL_STATE(3479)] = 103101,
  [SMALL_STATE(3480)] = 103160,
  [SMALL_STATE(3481)] = 103219,
  [SMALL_STATE(3482)] = 103278,
  [SMALL_STATE(3483)] = 103337,
  [SMALL_STATE(3484)] = 103396,
  [SMALL_STATE(3485)] = 103463,
  [SMALL_STATE(3486)] = 103522,
  [SMALL_STATE(3487)] = 103581,
  [SMALL_STATE(3488)] = 103640,
  [SMALL_STATE(3489)] = 103699,
  [SMALL_STATE(3490)] = 103758,
  [SMALL_STATE(3491)] = 103817,
  [SMALL_STATE(3492)] = 103880,
  [SMALL_STATE(3493)] = 103939,
  [SMALL_STATE(3494)] = 104002,
  [SMALL_STATE(3495)] = 104061,
  [SMALL_STATE(3496)] = 104124,
  [SMALL_STATE(3497)] = 104187,
  [SMALL_STATE(3498)] = 104250,
  [SMALL_STATE(3499)] = 104309,
  [SMALL_STATE(3500)] = 104368,
  [SMALL_STATE(3501)] = 104431,
  [SMALL_STATE(3502)] = 104490,
  [SMALL_STATE(3503)] = 104549,
  [SMALL_STATE(3504)] = 104614,
  [SMALL_STATE(3505)] = 104713,
  [SMALL_STATE(3506)] = 104772,
  [SMALL_STATE(3507)] = 104871,
  [SMALL_STATE(3508)] = 104930,
  [SMALL_STATE(3509)] = 105029,
  [SMALL_STATE(3510)] = 105088,
  [SMALL_STATE(3511)] = 105147,
  [SMALL_STATE(3512)] = 105206,
  [SMALL_STATE(3513)] = 105265,
  [SMALL_STATE(3514)] = 105368,
  [SMALL_STATE(3515)] = 105463,
  [SMALL_STATE(3516)] = 105522,
  [SMALL_STATE(3517)] = 105581,
  [SMALL_STATE(3518)] = 105640,
  [SMALL_STATE(3519)] = 105699,
  [SMALL_STATE(3520)] = 105758,
  [SMALL_STATE(3521)] = 105817,
  [SMALL_STATE(3522)] = 105876,
  [SMALL_STATE(3523)] = 105935,
  [SMALL_STATE(3524)] = 105994,
  [SMALL_STATE(3525)] = 106053,
  [SMALL_STATE(3526)] = 106112,
  [SMALL_STATE(3527)] = 106171,
  [SMALL_STATE(3528)] = 106230,
  [SMALL_STATE(3529)] = 106289,
  [SMALL_STATE(3530)] = 106348,
  [SMALL_STATE(3531)] = 106411,
  [SMALL_STATE(3532)] = 106470,
  [SMALL_STATE(3533)] = 106529,
  [SMALL_STATE(3534)] = 106588,
  [SMALL_STATE(3535)] = 106647,
  [SMALL_STATE(3536)] = 106706,
  [SMALL_STATE(3537)] = 106765,
  [SMALL_STATE(3538)] = 106824,
  [SMALL_STATE(3539)] = 106883,
  [SMALL_STATE(3540)] = 106942,
  [SMALL_STATE(3541)] = 107001,
  [SMALL_STATE(3542)] = 107060,
  [SMALL_STATE(3543)] = 107119,
  [SMALL_STATE(3544)] = 107178,
  [SMALL_STATE(3545)] = 107237,
  [SMALL_STATE(3546)] = 107296,
  [SMALL_STATE(3547)] = 107355,
  [SMALL_STATE(3548)] = 107414,
  [SMALL_STATE(3549)] = 107473,
  [SMALL_STATE(3550)] = 107534,
  [SMALL_STATE(3551)] = 107593,
  [SMALL_STATE(3552)] = 107652,
  [SMALL_STATE(3553)] = 107711,
  [SMALL_STATE(3554)] = 107774,
  [SMALL_STATE(3555)] = 107873,
  [SMALL_STATE(3556)] = 107936,
  [SMALL_STATE(3557)] = 107995,
  [SMALL_STATE(3558)] = 108054,
  [SMALL_STATE(3559)] = 108113,
  [SMALL_STATE(3560)] = 108172,
  [SMALL_STATE(3561)] = 108231,
  [SMALL_STATE(3562)] = 108290,
  [SMALL_STATE(3563)] = 108349,
  [SMALL_STATE(3564)] = 108408,
  [SMALL_STATE(3565)] = 108507,
  [SMALL_STATE(3566)] = 108566,
  [SMALL_STATE(3567)] = 108625,
  [SMALL_STATE(3568)] = 108684,
  [SMALL_STATE(3569)] = 108743,
  [SMALL_STATE(3570)] = 108802,
  [SMALL_STATE(3571)] = 108867,
  [SMALL_STATE(3572)] = 108926,
  [SMALL_STATE(3573)] = 108985,
  [SMALL_STATE(3574)] = 109046,
  [SMALL_STATE(3575)] = 109105,
  [SMALL_STATE(3576)] = 109164,
  [SMALL_STATE(3577)] = 109223,
  [SMALL_STATE(3578)] = 109282,
  [SMALL_STATE(3579)] = 109387,
  [SMALL_STATE(3580)] = 109458,
  [SMALL_STATE(3581)] = 109539,
  [SMALL_STATE(3582)] = 109618,
  [SMALL_STATE(3583)] = 109711,
  [SMALL_STATE(3584)] = 109802,
  [SMALL_STATE(3585)] = 109889,
  [SMALL_STATE(3586)] = 109974,
  [SMALL_STATE(3587)] = 110039,
  [SMALL_STATE(3588)] = 110098,
  [SMALL_STATE(3589)] = 110159,
  [SMALL_STATE(3590)] = 110242,
  [SMALL_STATE(3591)] = 110319,
  [SMALL_STATE(3592)] = 110394,
  [SMALL_STATE(3593)] = 110461,
  [SMALL_STATE(3594)] = 110520,
  [SMALL_STATE(3595)] = 110579,
  [SMALL_STATE(3596)] = 110678,
  [SMALL_STATE(3597)] = 110737,
  [SMALL_STATE(3598)] = 110798,
  [SMALL_STATE(3599)] = 110857,
  [SMALL_STATE(3600)] = 110960,
  [SMALL_STATE(3601)] = 111019,
  [SMALL_STATE(3602)] = 111078,
  [SMALL_STATE(3603)] = 111177,
  [SMALL_STATE(3604)] = 111235,
  [SMALL_STATE(3605)] = 111333,
  [SMALL_STATE(3606)] = 111399,
  [SMALL_STATE(3607)] = 111457,
  [SMALL_STATE(3608)] = 111515,
  [SMALL_STATE(3609)] = 111575,
  [SMALL_STATE(3610)] = 111635,
  [SMALL_STATE(3611)] = 111693,
  [SMALL_STATE(3612)] = 111751,
  [SMALL_STATE(3613)] = 111809,
  [SMALL_STATE(3614)] = 111867,
  [SMALL_STATE(3615)] = 111925,
  [SMALL_STATE(3616)] = 111983,
  [SMALL_STATE(3617)] = 112041,
  [SMALL_STATE(3618)] = 112103,
  [SMALL_STATE(3619)] = 112161,
  [SMALL_STATE(3620)] = 112219,
  [SMALL_STATE(3621)] = 112281,
  [SMALL_STATE(3622)] = 112339,
  [SMALL_STATE(3623)] = 112397,
  [SMALL_STATE(3624)] = 112455,
  [SMALL_STATE(3625)] = 112513,
  [SMALL_STATE(3626)] = 112571,
  [SMALL_STATE(3627)] = 112629,
  [SMALL_STATE(3628)] = 112687,
  [SMALL_STATE(3629)] = 112785,
  [SMALL_STATE(3630)] = 112843,
  [SMALL_STATE(3631)] = 112909,
  [SMALL_STATE(3632)] = 112967,
  [SMALL_STATE(3633)] = 113025,
  [SMALL_STATE(3634)] = 113083,
  [SMALL_STATE(3635)] = 113141,
  [SMALL_STATE(3636)] = 113199,
  [SMALL_STATE(3637)] = 113257,
  [SMALL_STATE(3638)] = 113321,
  [SMALL_STATE(3639)] = 113379,
  [SMALL_STATE(3640)] = 113437,
  [SMALL_STATE(3641)] = 113495,
  [SMALL_STATE(3642)] = 113553,
  [SMALL_STATE(3643)] = 113611,
  [SMALL_STATE(3644)] = 113669,
  [SMALL_STATE(3645)] = 113727,
  [SMALL_STATE(3646)] = 113785,
  [SMALL_STATE(3647)] = 113849,
  [SMALL_STATE(3648)] = 113907,
  [SMALL_STATE(3649)] = 113965,
  [SMALL_STATE(3650)] = 114023,
  [SMALL_STATE(3651)] = 114081,
  [SMALL_STATE(3652)] = 114139,
  [SMALL_STATE(3653)] = 114197,
  [SMALL_STATE(3654)] = 114255,
  [SMALL_STATE(3655)] = 114353,
  [SMALL_STATE(3656)] = 114411,
  [SMALL_STATE(3657)] = 114469,
  [SMALL_STATE(3658)] = 114529,
  [SMALL_STATE(3659)] = 114587,
  [SMALL_STATE(3660)] = 114653,
  [SMALL_STATE(3661)] = 114719,
  [SMALL_STATE(3662)] = 114817,
  [SMALL_STATE(3663)] = 114883,
  [SMALL_STATE(3664)] = 114941,
  [SMALL_STATE(3665)] = 115007,
  [SMALL_STATE(3666)] = 115073,
  [SMALL_STATE(3667)] = 115139,
  [SMALL_STATE(3668)] = 115197,
  [SMALL_STATE(3669)] = 115263,
  [SMALL_STATE(3670)] = 115335,
  [SMALL_STATE(3671)] = 115407,
  [SMALL_STATE(3672)] = 115481,
  [SMALL_STATE(3673)] = 115551,
  [SMALL_STATE(3674)] = 115625,
  [SMALL_STATE(3675)] = 115695,
  [SMALL_STATE(3676)] = 115793,
  [SMALL_STATE(3677)] = 115867,
  [SMALL_STATE(3678)] = 115937,
  [SMALL_STATE(3679)] = 116007,
  [SMALL_STATE(3680)] = 116077,
  [SMALL_STATE(3681)] = 116175,
  [SMALL_STATE(3682)] = 116233,
  [SMALL_STATE(3683)] = 116297,
  [SMALL_STATE(3684)] = 116363,
  [SMALL_STATE(3685)] = 116421,
  [SMALL_STATE(3686)] = 116479,
  [SMALL_STATE(3687)] = 116537,
  [SMALL_STATE(3688)] = 116595,
  [SMALL_STATE(3689)] = 116661,
  [SMALL_STATE(3690)] = 116719,
  [SMALL_STATE(3691)] = 116785,
  [SMALL_STATE(3692)] = 116843,
  [SMALL_STATE(3693)] = 116901,
  [SMALL_STATE(3694)] = 116963,
  [SMALL_STATE(3695)] = 117027,
  [SMALL_STATE(3696)] = 117085,
  [SMALL_STATE(3697)] = 117143,
  [SMALL_STATE(3698)] = 117201,
  [SMALL_STATE(3699)] = 117259,
  [SMALL_STATE(3700)] = 117317,
  [SMALL_STATE(3701)] = 117375,
  [SMALL_STATE(3702)] = 117433,
  [SMALL_STATE(3703)] = 117491,
  [SMALL_STATE(3704)] = 117549,
  [SMALL_STATE(3705)] = 117607,
  [SMALL_STATE(3706)] = 117665,
  [SMALL_STATE(3707)] = 117723,
  [SMALL_STATE(3708)] = 117781,
  [SMALL_STATE(3709)] = 117843,
  [SMALL_STATE(3710)] = 117901,
  [SMALL_STATE(3711)] = 117959,
  [SMALL_STATE(3712)] = 118017,
  [SMALL_STATE(3713)] = 118075,
  [SMALL_STATE(3714)] = 118137,
  [SMALL_STATE(3715)] = 118195,
  [SMALL_STATE(3716)] = 118253,
  [SMALL_STATE(3717)] = 118311,
  [SMALL_STATE(3718)] = 118369,
  [SMALL_STATE(3719)] = 118427,
  [SMALL_STATE(3720)] = 118485,
  [SMALL_STATE(3721)] = 118583,
  [SMALL_STATE(3722)] = 118641,
  [SMALL_STATE(3723)] = 118699,
  [SMALL_STATE(3724)] = 118757,
  [SMALL_STATE(3725)] = 118819,
  [SMALL_STATE(3726)] = 118879,
  [SMALL_STATE(3727)] = 118937,
  [SMALL_STATE(3728)] = 118995,
  [SMALL_STATE(3729)] = 119053,
  [SMALL_STATE(3730)] = 119161,
  [SMALL_STATE(3731)] = 119219,
  [SMALL_STATE(3732)] = 119281,
  [SMALL_STATE(3733)] = 119351,
  [SMALL_STATE(3734)] = 119408,
  [SMALL_STATE(3735)] = 119479,
  [SMALL_STATE(3736)] = 119552,
  [SMALL_STATE(3737)] = 119621,
  [SMALL_STATE(3738)] = 119694,
  [SMALL_STATE(3739)] = 119763,
  [SMALL_STATE(3740)] = 119832,
  [SMALL_STATE(3741)] = 119905,
  [SMALL_STATE(3742)] = 119974,
  [SMALL_STATE(3743)] = 120043,
  [SMALL_STATE(3744)] = 120112,
  [SMALL_STATE(3745)] = 120193,
  [SMALL_STATE(3746)] = 120290,
  [SMALL_STATE(3747)] = 120347,
  [SMALL_STATE(3748)] = 120404,
  [SMALL_STATE(3749)] = 120461,
  [SMALL_STATE(3750)] = 120518,
  [SMALL_STATE(3751)] = 120615,
  [SMALL_STATE(3752)] = 120672,
  [SMALL_STATE(3753)] = 120729,
  [SMALL_STATE(3754)] = 120786,
  [SMALL_STATE(3755)] = 120843,
  [SMALL_STATE(3756)] = 120900,
  [SMALL_STATE(3757)] = 120957,
  [SMALL_STATE(3758)] = 121014,
  [SMALL_STATE(3759)] = 121071,
  [SMALL_STATE(3760)] = 121174,
  [SMALL_STATE(3761)] = 121237,
  [SMALL_STATE(3762)] = 121298,
  [SMALL_STATE(3763)] = 121355,
  [SMALL_STATE(3764)] = 121418,
  [SMALL_STATE(3765)] = 121475,
  [SMALL_STATE(3766)] = 121550,
  [SMALL_STATE(3767)] = 121607,
  [SMALL_STATE(3768)] = 121664,
  [SMALL_STATE(3769)] = 121721,
  [SMALL_STATE(3770)] = 121784,
  [SMALL_STATE(3771)] = 121841,
  [SMALL_STATE(3772)] = 121898,
  [SMALL_STATE(3773)] = 121955,
  [SMALL_STATE(3774)] = 122012,
  [SMALL_STATE(3775)] = 122115,
  [SMALL_STATE(3776)] = 122172,
  [SMALL_STATE(3777)] = 122235,
  [SMALL_STATE(3778)] = 122292,
  [SMALL_STATE(3779)] = 122349,
  [SMALL_STATE(3780)] = 122412,
  [SMALL_STATE(3781)] = 122475,
  [SMALL_STATE(3782)] = 122536,
  [SMALL_STATE(3783)] = 122599,
  [SMALL_STATE(3784)] = 122664,
  [SMALL_STATE(3785)] = 122721,
  [SMALL_STATE(3786)] = 122778,
  [SMALL_STATE(3787)] = 122835,
  [SMALL_STATE(3788)] = 122892,
  [SMALL_STATE(3789)] = 122955,
  [SMALL_STATE(3790)] = 123012,
  [SMALL_STATE(3791)] = 123069,
  [SMALL_STATE(3792)] = 123130,
  [SMALL_STATE(3793)] = 123187,
  [SMALL_STATE(3794)] = 123244,
  [SMALL_STATE(3795)] = 123301,
  [SMALL_STATE(3796)] = 123364,
  [SMALL_STATE(3797)] = 123427,
  [SMALL_STATE(3798)] = 123524,
  [SMALL_STATE(3799)] = 123581,
  [SMALL_STATE(3800)] = 123638,
  [SMALL_STATE(3801)] = 123695,
  [SMALL_STATE(3802)] = 123756,
  [SMALL_STATE(3803)] = 123817,
  [SMALL_STATE(3804)] = 123874,
  [SMALL_STATE(3805)] = 123931,
  [SMALL_STATE(3806)] = 123988,
  [SMALL_STATE(3807)] = 124071,
  [SMALL_STATE(3808)] = 124140,
  [SMALL_STATE(3809)] = 124219,
  [SMALL_STATE(3810)] = 124276,
  [SMALL_STATE(3811)] = 124353,
  [SMALL_STATE(3812)] = 124444,
  [SMALL_STATE(3813)] = 124501,
  [SMALL_STATE(3814)] = 124590,
  [SMALL_STATE(3815)] = 124675,
  [SMALL_STATE(3816)] = 124732,
  [SMALL_STATE(3817)] = 124815,
  [SMALL_STATE(3818)] = 124896,
  [SMALL_STATE(3819)] = 124953,
  [SMALL_STATE(3820)] = 125016,
  [SMALL_STATE(3821)] = 125091,
  [SMALL_STATE(3822)] = 125156,
  [SMALL_STATE(3823)] = 125213,
  [SMALL_STATE(3824)] = 125270,
  [SMALL_STATE(3825)] = 125343,
  [SMALL_STATE(3826)] = 125400,
  [SMALL_STATE(3827)] = 125459,
  [SMALL_STATE(3828)] = 125516,
  [SMALL_STATE(3829)] = 125581,
  [SMALL_STATE(3830)] = 125646,
  [SMALL_STATE(3831)] = 125703,
  [SMALL_STATE(3832)] = 125760,
  [SMALL_STATE(3833)] = 125817,
  [SMALL_STATE(3834)] = 125874,
  [SMALL_STATE(3835)] = 125935,
  [SMALL_STATE(3836)] = 125998,
  [SMALL_STATE(3837)] = 126055,
  [SMALL_STATE(3838)] = 126112,
  [SMALL_STATE(3839)] = 126173,
  [SMALL_STATE(3840)] = 126230,
  [SMALL_STATE(3841)] = 126287,
  [SMALL_STATE(3842)] = 126350,
  [SMALL_STATE(3843)] = 126407,
  [SMALL_STATE(3844)] = 126464,
  [SMALL_STATE(3845)] = 126521,
  [SMALL_STATE(3846)] = 126584,
  [SMALL_STATE(3847)] = 126641,
  [SMALL_STATE(3848)] = 126698,
  [SMALL_STATE(3849)] = 126775,
  [SMALL_STATE(3850)] = 126832,
  [SMALL_STATE(3851)] = 126933,
  [SMALL_STATE(3852)] = 126998,
  [SMALL_STATE(3853)] = 127055,
  [SMALL_STATE(3854)] = 127126,
  [SMALL_STATE(3855)] = 127183,
  [SMALL_STATE(3856)] = 127240,
  [SMALL_STATE(3857)] = 127299,
  [SMALL_STATE(3858)] = 127356,
  [SMALL_STATE(3859)] = 127413,
  [SMALL_STATE(3860)] = 127470,
  [SMALL_STATE(3861)] = 127535,
  [SMALL_STATE(3862)] = 127624,
  [SMALL_STATE(3863)] = 127681,
  [SMALL_STATE(3864)] = 127738,
  [SMALL_STATE(3865)] = 127795,
  [SMALL_STATE(3866)] = 127852,
  [SMALL_STATE(3867)] = 127913,
  [SMALL_STATE(3868)] = 127970,
  [SMALL_STATE(3869)] = 128027,
  [SMALL_STATE(3870)] = 128084,
  [SMALL_STATE(3871)] = 128157,
  [SMALL_STATE(3872)] = 128214,
  [SMALL_STATE(3873)] = 128271,
  [SMALL_STATE(3874)] = 128372,
  [SMALL_STATE(3875)] = 128465,
  [SMALL_STATE(3876)] = 128522,
  [SMALL_STATE(3877)] = 128623,
  [SMALL_STATE(3878)] = 128680,
  [SMALL_STATE(3879)] = 128737,
  [SMALL_STATE(3880)] = 128794,
  [SMALL_STATE(3881)] = 128851,
  [SMALL_STATE(3882)] = 128908,
  [SMALL_STATE(3883)] = 128965,
  [SMALL_STATE(3884)] = 129022,
  [SMALL_STATE(3885)] = 129085,
  [SMALL_STATE(3886)] = 129142,
  [SMALL_STATE(3887)] = 129211,
  [SMALL_STATE(3888)] = 129268,
  [SMALL_STATE(3889)] = 129329,
  [SMALL_STATE(3890)] = 129386,
  [SMALL_STATE(3891)] = 129443,
  [SMALL_STATE(3892)] = 129504,
  [SMALL_STATE(3893)] = 129561,
  [SMALL_STATE(3894)] = 129618,
  [SMALL_STATE(3895)] = 129675,
  [SMALL_STATE(3896)] = 129772,
  [SMALL_STATE(3897)] = 129833,
  [SMALL_STATE(3898)] = 129898,
  [SMALL_STATE(3899)] = 129955,
  [SMALL_STATE(3900)] = 130012,
  [SMALL_STATE(3901)] = 130115,
  [SMALL_STATE(3902)] = 130220,
  [SMALL_STATE(3903)] = 130277,
  [SMALL_STATE(3904)] = 130334,
  [SMALL_STATE(3905)] = 130391,
  [SMALL_STATE(3906)] = 130448,
  [SMALL_STATE(3907)] = 130505,
  [SMALL_STATE(3908)] = 130562,
  [SMALL_STATE(3909)] = 130627,
  [SMALL_STATE(3910)] = 130684,
  [SMALL_STATE(3911)] = 130791,
  [SMALL_STATE(3912)] = 130848,
  [SMALL_STATE(3913)] = 130909,
  [SMALL_STATE(3914)] = 131002,
  [SMALL_STATE(3915)] = 131099,
  [SMALL_STATE(3916)] = 131164,
  [SMALL_STATE(3917)] = 131221,
  [SMALL_STATE(3918)] = 131278,
  [SMALL_STATE(3919)] = 131335,
  [SMALL_STATE(3920)] = 131392,
  [SMALL_STATE(3921)] = 131449,
  [SMALL_STATE(3922)] = 131506,
  [SMALL_STATE(3923)] = 131567,
  [SMALL_STATE(3924)] = 131624,
  [SMALL_STATE(3925)] = 131681,
  [SMALL_STATE(3926)] = 131738,
  [SMALL_STATE(3927)] = 131799,
  [SMALL_STATE(3928)] = 131856,
  [SMALL_STATE(3929)] = 131913,
  [SMALL_STATE(3930)] = 131970,
  [SMALL_STATE(3931)] = 132027,
  [SMALL_STATE(3932)] = 132088,
  [SMALL_STATE(3933)] = 132149,
  [SMALL_STATE(3934)] = 132206,
  [SMALL_STATE(3935)] = 132291,
  [SMALL_STATE(3936)] = 132348,
  [SMALL_STATE(3937)] = 132445,
  [SMALL_STATE(3938)] = 132506,
  [SMALL_STATE(3939)] = 132563,
  [SMALL_STATE(3940)] = 132620,
  [SMALL_STATE(3941)] = 132717,
  [SMALL_STATE(3942)] = 132796,
  [SMALL_STATE(3943)] = 132853,
  [SMALL_STATE(3944)] = 132910,
  [SMALL_STATE(3945)] = 132967,
  [SMALL_STATE(3946)] = 133024,
  [SMALL_STATE(3947)] = 133081,
  [SMALL_STATE(3948)] = 133182,
  [SMALL_STATE(3949)] = 133239,
  [SMALL_STATE(3950)] = 133296,
  [SMALL_STATE(3951)] = 133353,
  [SMALL_STATE(3952)] = 133444,
  [SMALL_STATE(3953)] = 133501,
  [SMALL_STATE(3954)] = 133558,
  [SMALL_STATE(3955)] = 133615,
  [SMALL_STATE(3956)] = 133680,
  [SMALL_STATE(3957)] = 133740,
  [SMALL_STATE(3958)] = 133798,
  [SMALL_STATE(3959)] = 133858,
  [SMALL_STATE(3960)] = 133954,
  [SMALL_STATE(3961)] = 134050,
  [SMALL_STATE(3962)] = 134146,
  [SMALL_STATE(3963)] = 134242,
  [SMALL_STATE(3964)] = 134304,
  [SMALL_STATE(3965)] = 134366,
  [SMALL_STATE(3966)] = 134426,
  [SMALL_STATE(3967)] = 134486,
  [SMALL_STATE(3968)] = 134546,
  [SMALL_STATE(3969)] = 134606,
  [SMALL_STATE(3970)] = 134666,
  [SMALL_STATE(3971)] = 134726,
  [SMALL_STATE(3972)] = 134828,
  [SMALL_STATE(3973)] = 134930,
  [SMALL_STATE(3974)] = 135026,
  [SMALL_STATE(3975)] = 135122,
  [SMALL_STATE(3976)] = 135184,
  [SMALL_STATE(3977)] = 135242,
  [SMALL_STATE(3978)] = 135302,
  [SMALL_STATE(3979)] = 135362,
  [SMALL_STATE(3980)] = 135458,
  [SMALL_STATE(3981)] = 135560,
  [SMALL_STATE(3982)] = 135628,
  [SMALL_STATE(3983)] = 135706,
  [SMALL_STATE(3984)] = 135782,
  [SMALL_STATE(3985)] = 135872,
  [SMALL_STATE(3986)] = 135960,
  [SMALL_STATE(3987)] = 136044,
  [SMALL_STATE(3988)] = 136126,
  [SMALL_STATE(3989)] = 136206,
  [SMALL_STATE(3990)] = 136280,
  [SMALL_STATE(3991)] = 136352,
  [SMALL_STATE(3992)] = 136416,
  [SMALL_STATE(3993)] = 136516,
  [SMALL_STATE(3994)] = 136580,
  [SMALL_STATE(3995)] = 136644,
  [SMALL_STATE(3996)] = 136744,
  [SMALL_STATE(3997)] = 136836,
  [SMALL_STATE(3998)] = 136942,
  [SMALL_STATE(3999)] = 137048,
  [SMALL_STATE(4000)] = 137144,
  [SMALL_STATE(4001)] = 137240,
  [SMALL_STATE(4002)] = 137336,
  [SMALL_STATE(4003)] = 137432,
  [SMALL_STATE(4004)] = 137528,
  [SMALL_STATE(4005)] = 137624,
  [SMALL_STATE(4006)] = 137720,
  [SMALL_STATE(4007)] = 137780,
  [SMALL_STATE(4008)] = 137840,
  [SMALL_STATE(4009)] = 137900,
  [SMALL_STATE(4010)] = 137962,
  [SMALL_STATE(4011)] = 138022,
  [SMALL_STATE(4012)] = 138080,
  [SMALL_STATE(4013)] = 138180,
  [SMALL_STATE(4014)] = 138240,
  [SMALL_STATE(4015)] = 138304,
  [SMALL_STATE(4016)] = 138368,
  [SMALL_STATE(4017)] = 138430,
  [SMALL_STATE(4018)] = 138486,
  [SMALL_STATE(4019)] = 138548,
  [SMALL_STATE(4020)] = 138606,
  [SMALL_STATE(4021)] = 138701,
  [SMALL_STATE(4022)] = 138758,
  [SMALL_STATE(4023)] = 138813,
  [SMALL_STATE(4024)] = 138868,
  [SMALL_STATE(4025)] = 138923,
  [SMALL_STATE(4026)] = 138982,
  [SMALL_STATE(4027)] = 139037,
  [SMALL_STATE(4028)] = 139092,
  [SMALL_STATE(4029)] = 139147,
  [SMALL_STATE(4030)] = 139202,
  [SMALL_STATE(4031)] = 139257,
  [SMALL_STATE(4032)] = 139358,
  [SMALL_STATE(4033)] = 139415,
  [SMALL_STATE(4034)] = 139470,
  [SMALL_STATE(4035)] = 139525,
  [SMALL_STATE(4036)] = 139580,
  [SMALL_STATE(4037)] = 139635,
  [SMALL_STATE(4038)] = 139690,
  [SMALL_STATE(4039)] = 139745,
  [SMALL_STATE(4040)] = 139804,
  [SMALL_STATE(4041)] = 139859,
  [SMALL_STATE(4042)] = 139920,
  [SMALL_STATE(4043)] = 139975,
  [SMALL_STATE(4044)] = 140030,
  [SMALL_STATE(4045)] = 140089,
  [SMALL_STATE(4046)] = 140144,
  [SMALL_STATE(4047)] = 140239,
  [SMALL_STATE(4048)] = 140334,
  [SMALL_STATE(4049)] = 140389,
  [SMALL_STATE(4050)] = 140444,
  [SMALL_STATE(4051)] = 140539,
  [SMALL_STATE(4052)] = 140600,
  [SMALL_STATE(4053)] = 140695,
  [SMALL_STATE(4054)] = 140790,
  [SMALL_STATE(4055)] = 140893,
  [SMALL_STATE(4056)] = 140960,
  [SMALL_STATE(4057)] = 141037,
  [SMALL_STATE(4058)] = 141112,
  [SMALL_STATE(4059)] = 141201,
  [SMALL_STATE(4060)] = 141288,
  [SMALL_STATE(4061)] = 141371,
  [SMALL_STATE(4062)] = 141452,
  [SMALL_STATE(4063)] = 141531,
  [SMALL_STATE(4064)] = 141604,
  [SMALL_STATE(4065)] = 141675,
  [SMALL_STATE(4066)] = 141738,
  [SMALL_STATE(4067)] = 141839,
  [SMALL_STATE(4068)] = 141902,
  [SMALL_STATE(4069)] = 141965,
  [SMALL_STATE(4070)] = 142066,
  [SMALL_STATE(4071)] = 142159,
  [SMALL_STATE(4072)] = 142214,
  [SMALL_STATE(4073)] = 142269,
  [SMALL_STATE(4074)] = 142364,
  [SMALL_STATE(4075)] = 142459,
  [SMALL_STATE(4076)] = 142554,
  [SMALL_STATE(4077)] = 142649,
  [SMALL_STATE(4078)] = 142744,
  [SMALL_STATE(4079)] = 142801,
  [SMALL_STATE(4080)] = 142860,
  [SMALL_STATE(4081)] = 142915,
  [SMALL_STATE(4082)] = 142970,
  [SMALL_STATE(4083)] = 143025,
  [SMALL_STATE(4084)] = 143080,
  [SMALL_STATE(4085)] = 143139,
  [SMALL_STATE(4086)] = 143194,
  [SMALL_STATE(4087)] = 143249,
  [SMALL_STATE(4088)] = 143304,
  [SMALL_STATE(4089)] = 143359,
  [SMALL_STATE(4090)] = 143414,
  [SMALL_STATE(4091)] = 143509,
  [SMALL_STATE(4092)] = 143564,
  [SMALL_STATE(4093)] = 143619,
  [SMALL_STATE(4094)] = 143674,
  [SMALL_STATE(4095)] = 143729,
  [SMALL_STATE(4096)] = 143790,
  [SMALL_STATE(4097)] = 143849,
  [SMALL_STATE(4098)] = 143904,
  [SMALL_STATE(4099)] = 144005,
  [SMALL_STATE(4100)] = 144060,
  [SMALL_STATE(4101)] = 144115,
  [SMALL_STATE(4102)] = 144170,
  [SMALL_STATE(4103)] = 144271,
  [SMALL_STATE(4104)] = 144330,
  [SMALL_STATE(4105)] = 144389,
  [SMALL_STATE(4106)] = 144448,
  [SMALL_STATE(4107)] = 144511,
  [SMALL_STATE(4108)] = 144574,
  [SMALL_STATE(4109)] = 144633,
  [SMALL_STATE(4110)] = 144692,
  [SMALL_STATE(4111)] = 144751,
  [SMALL_STATE(4112)] = 144806,
  [SMALL_STATE(4113)] = 144867,
  [SMALL_STATE(4114)] = 144922,
  [SMALL_STATE(4115)] = 144981,
  [SMALL_STATE(4116)] = 145036,
  [SMALL_STATE(4117)] = 145093,
  [SMALL_STATE(4118)] = 145148,
  [SMALL_STATE(4119)] = 145243,
  [SMALL_STATE(4120)] = 145298,
  [SMALL_STATE(4121)] = 145353,
  [SMALL_STATE(4122)] = 145448,
  [SMALL_STATE(4123)] = 145542,
  [SMALL_STATE(4124)] = 145596,
  [SMALL_STATE(4125)] = 145650,
  [SMALL_STATE(4126)] = 145704,
  [SMALL_STATE(4127)] = 145758,
  [SMALL_STATE(4128)] = 145812,
  [SMALL_STATE(4129)] = 145866,
  [SMALL_STATE(4130)] = 145920,
  [SMALL_STATE(4131)] = 145974,
  [SMALL_STATE(4132)] = 146028,
  [SMALL_STATE(4133)] = 146082,
  [SMALL_STATE(4134)] = 146136,
  [SMALL_STATE(4135)] = 146190,
  [SMALL_STATE(4136)] = 146244,
  [SMALL_STATE(4137)] = 146298,
  [SMALL_STATE(4138)] = 146352,
  [SMALL_STATE(4139)] = 146406,
  [SMALL_STATE(4140)] = 146460,
  [SMALL_STATE(4141)] = 146514,
  [SMALL_STATE(4142)] = 146612,
  [SMALL_STATE(4143)] = 146678,
  [SMALL_STATE(4144)] = 146754,
  [SMALL_STATE(4145)] = 146828,
  [SMALL_STATE(4146)] = 146914,
  [SMALL_STATE(4147)] = 146998,
  [SMALL_STATE(4148)] = 147080,
  [SMALL_STATE(4149)] = 147160,
  [SMALL_STATE(4150)] = 147238,
  [SMALL_STATE(4151)] = 147310,
  [SMALL_STATE(4152)] = 147380,
  [SMALL_STATE(4153)] = 147442,
  [SMALL_STATE(4154)] = 147538,
  [SMALL_STATE(4155)] = 147596,
  [SMALL_STATE(4156)] = 147658,
  [SMALL_STATE(4157)] = 147712,
  [SMALL_STATE(4158)] = 147766,
  [SMALL_STATE(4159)] = 147820,
  [SMALL_STATE(4160)] = 147874,
  [SMALL_STATE(4161)] = 147936,
  [SMALL_STATE(4162)] = 148032,
  [SMALL_STATE(4163)] = 148120,
  [SMALL_STATE(4164)] = 148174,
  [SMALL_STATE(4165)] = 148228,
  [SMALL_STATE(4166)] = 148326,
  [SMALL_STATE(4167)] = 148392,
  [SMALL_STATE(4168)] = 148468,
  [SMALL_STATE(4169)] = 148562,
  [SMALL_STATE(4170)] = 148616,
  [SMALL_STATE(4171)] = 148690,
  [SMALL_STATE(4172)] = 148744,
  [SMALL_STATE(4173)] = 148830,
  [SMALL_STATE(4174)] = 148890,
  [SMALL_STATE(4175)] = 148950,
  [SMALL_STATE(4176)] = 149004,
  [SMALL_STATE(4177)] = 149058,
  [SMALL_STATE(4178)] = 149112,
  [SMALL_STATE(4179)] = 149196,
  [SMALL_STATE(4180)] = 149290,
  [SMALL_STATE(4181)] = 149384,
  [SMALL_STATE(4182)] = 149466,
  [SMALL_STATE(4183)] = 149560,
  [SMALL_STATE(4184)] = 149640,
  [SMALL_STATE(4185)] = 149694,
  [SMALL_STATE(4186)] = 149772,
  [SMALL_STATE(4187)] = 149826,
  [SMALL_STATE(4188)] = 149880,
  [SMALL_STATE(4189)] = 149974,
  [SMALL_STATE(4190)] = 150046,
  [SMALL_STATE(4191)] = 150140,
  [SMALL_STATE(4192)] = 150210,
  [SMALL_STATE(4193)] = 150272,
  [SMALL_STATE(4194)] = 150326,
  [SMALL_STATE(4195)] = 150380,
  [SMALL_STATE(4196)] = 150434,
  [SMALL_STATE(4197)] = 150488,
  [SMALL_STATE(4198)] = 150584,
  [SMALL_STATE(4199)] = 150638,
  [SMALL_STATE(4200)] = 150692,
  [SMALL_STATE(4201)] = 150746,
  [SMALL_STATE(4202)] = 150808,
  [SMALL_STATE(4203)] = 150862,
  [SMALL_STATE(4204)] = 150916,
  [SMALL_STATE(4205)] = 150970,
  [SMALL_STATE(4206)] = 151024,
  [SMALL_STATE(4207)] = 151078,
  [SMALL_STATE(4208)] = 151136,
  [SMALL_STATE(4209)] = 151230,
  [SMALL_STATE(4210)] = 151284,
  [SMALL_STATE(4211)] = 151338,
  [SMALL_STATE(4212)] = 151392,
  [SMALL_STATE(4213)] = 151486,
  [SMALL_STATE(4214)] = 151540,
  [SMALL_STATE(4215)] = 151594,
  [SMALL_STATE(4216)] = 151656,
  [SMALL_STATE(4217)] = 151710,
  [SMALL_STATE(4218)] = 151764,
  [SMALL_STATE(4219)] = 151818,
  [SMALL_STATE(4220)] = 151912,
  [SMALL_STATE(4221)] = 152006,
  [SMALL_STATE(4222)] = 152060,
  [SMALL_STATE(4223)] = 152114,
  [SMALL_STATE(4224)] = 152168,
  [SMALL_STATE(4225)] = 152224,
  [SMALL_STATE(4226)] = 152318,
  [SMALL_STATE(4227)] = 152372,
  [SMALL_STATE(4228)] = 152426,
  [SMALL_STATE(4229)] = 152488,
  [SMALL_STATE(4230)] = 152542,
  [SMALL_STATE(4231)] = 152596,
  [SMALL_STATE(4232)] = 152690,
  [SMALL_STATE(4233)] = 152744,
  [SMALL_STATE(4234)] = 152798,
  [SMALL_STATE(4235)] = 152852,
  [SMALL_STATE(4236)] = 152906,
  [SMALL_STATE(4237)] = 152960,
  [SMALL_STATE(4238)] = 153016,
  [SMALL_STATE(4239)] = 153070,
  [SMALL_STATE(4240)] = 153124,
  [SMALL_STATE(4241)] = 153220,
  [SMALL_STATE(4242)] = 153308,
  [SMALL_STATE(4243)] = 153362,
  [SMALL_STATE(4244)] = 153416,
  [SMALL_STATE(4245)] = 153470,
  [SMALL_STATE(4246)] = 153524,
  [SMALL_STATE(4247)] = 153582,
  [SMALL_STATE(4248)] = 153636,
  [SMALL_STATE(4249)] = 153690,
  [SMALL_STATE(4250)] = 153744,
  [SMALL_STATE(4251)] = 153798,
  [SMALL_STATE(4252)] = 153852,
  [SMALL_STATE(4253)] = 153906,
  [SMALL_STATE(4254)] = 153964,
  [SMALL_STATE(4255)] = 154018,
  [SMALL_STATE(4256)] = 154072,
  [SMALL_STATE(4257)] = 154132,
  [SMALL_STATE(4258)] = 154194,
  [SMALL_STATE(4259)] = 154256,
  [SMALL_STATE(4260)] = 154310,
  [SMALL_STATE(4261)] = 154364,
  [SMALL_STATE(4262)] = 154418,
  [SMALL_STATE(4263)] = 154472,
  [SMALL_STATE(4264)] = 154526,
  [SMALL_STATE(4265)] = 154580,
  [SMALL_STATE(4266)] = 154634,
  [SMALL_STATE(4267)] = 154688,
  [SMALL_STATE(4268)] = 154742,
  [SMALL_STATE(4269)] = 154796,
  [SMALL_STATE(4270)] = 154850,
  [SMALL_STATE(4271)] = 154904,
  [SMALL_STATE(4272)] = 154958,
  [SMALL_STATE(4273)] = 155012,
  [SMALL_STATE(4274)] = 155066,
  [SMALL_STATE(4275)] = 155122,
  [SMALL_STATE(4276)] = 155176,
  [SMALL_STATE(4277)] = 155230,
  [SMALL_STATE(4278)] = 155284,
  [SMALL_STATE(4279)] = 155338,
  [SMALL_STATE(4280)] = 155392,
  [SMALL_STATE(4281)] = 155446,
  [SMALL_STATE(4282)] = 155500,
  [SMALL_STATE(4283)] = 155556,
  [SMALL_STATE(4284)] = 155610,
  [SMALL_STATE(4285)] = 155664,
  [SMALL_STATE(4286)] = 155718,
  [SMALL_STATE(4287)] = 155772,
  [SMALL_STATE(4288)] = 155866,
  [SMALL_STATE(4289)] = 155920,
  [SMALL_STATE(4290)] = 155974,
  [SMALL_STATE(4291)] = 156028,
  [SMALL_STATE(4292)] = 156086,
  [SMALL_STATE(4293)] = 156140,
  [SMALL_STATE(4294)] = 156194,
  [SMALL_STATE(4295)] = 156298,
  [SMALL_STATE(4296)] = 156356,
  [SMALL_STATE(4297)] = 156410,
  [SMALL_STATE(4298)] = 156468,
  [SMALL_STATE(4299)] = 156522,
  [SMALL_STATE(4300)] = 156582,
  [SMALL_STATE(4301)] = 156636,
  [SMALL_STATE(4302)] = 156692,
  [SMALL_STATE(4303)] = 156746,
  [SMALL_STATE(4304)] = 156808,
  [SMALL_STATE(4305)] = 156862,
  [SMALL_STATE(4306)] = 156916,
  [SMALL_STATE(4307)] = 156970,
  [SMALL_STATE(4308)] = 157024,
  [SMALL_STATE(4309)] = 157078,
  [SMALL_STATE(4310)] = 157132,
  [SMALL_STATE(4311)] = 157194,
  [SMALL_STATE(4312)] = 157252,
  [SMALL_STATE(4313)] = 157306,
  [SMALL_STATE(4314)] = 157364,
  [SMALL_STATE(4315)] = 157418,
  [SMALL_STATE(4316)] = 157512,
  [SMALL_STATE(4317)] = 157591,
  [SMALL_STATE(4318)] = 157652,
  [SMALL_STATE(4319)] = 157705,
  [SMALL_STATE(4320)] = 157766,
  [SMALL_STATE(4321)] = 157819,
  [SMALL_STATE(4322)] = 157916,
  [SMALL_STATE(4323)] = 158005,
  [SMALL_STATE(4324)] = 158058,
  [SMALL_STATE(4325)] = 158111,
  [SMALL_STATE(4326)] = 158164,
  [SMALL_STATE(4327)] = 158217,
  [SMALL_STATE(4328)] = 158270,
  [SMALL_STATE(4329)] = 158323,
  [SMALL_STATE(4330)] = 158376,
  [SMALL_STATE(4331)] = 158455,
  [SMALL_STATE(4332)] = 158508,
  [SMALL_STATE(4333)] = 158585,
  [SMALL_STATE(4334)] = 158642,
  [SMALL_STATE(4335)] = 158695,
  [SMALL_STATE(4336)] = 158788,
  [SMALL_STATE(4337)] = 158841,
  [SMALL_STATE(4338)] = 158896,
  [SMALL_STATE(4339)] = 158949,
  [SMALL_STATE(4340)] = 159020,
  [SMALL_STATE(4341)] = 159073,
  [SMALL_STATE(4342)] = 159126,
  [SMALL_STATE(4343)] = 159179,
  [SMALL_STATE(4344)] = 159248,
  [SMALL_STATE(4345)] = 159309,
  [SMALL_STATE(4346)] = 159362,
  [SMALL_STATE(4347)] = 159415,
  [SMALL_STATE(4348)] = 159468,
  [SMALL_STATE(4349)] = 159529,
  [SMALL_STATE(4350)] = 159594,
  [SMALL_STATE(4351)] = 159647,
  [SMALL_STATE(4352)] = 159708,
  [SMALL_STATE(4353)] = 159761,
  [SMALL_STATE(4354)] = 159814,
  [SMALL_STATE(4355)] = 159867,
  [SMALL_STATE(4356)] = 159926,
  [SMALL_STATE(4357)] = 159979,
  [SMALL_STATE(4358)] = 160078,
  [SMALL_STATE(4359)] = 160131,
  [SMALL_STATE(4360)] = 160184,
  [SMALL_STATE(4361)] = 160281,
  [SMALL_STATE(4362)] = 160334,
  [SMALL_STATE(4363)] = 160427,
  [SMALL_STATE(4364)] = 160480,
  [SMALL_STATE(4365)] = 160533,
  [SMALL_STATE(4366)] = 160586,
  [SMALL_STATE(4367)] = 160639,
  [SMALL_STATE(4368)] = 160692,
  [SMALL_STATE(4369)] = 160757,
  [SMALL_STATE(4370)] = 160832,
  [SMALL_STATE(4371)] = 160905,
  [SMALL_STATE(4372)] = 160958,
  [SMALL_STATE(4373)] = 161023,
  [SMALL_STATE(4374)] = 161110,
  [SMALL_STATE(4375)] = 161163,
  [SMALL_STATE(4376)] = 161216,
  [SMALL_STATE(4377)] = 161309,
  [SMALL_STATE(4378)] = 161362,
  [SMALL_STATE(4379)] = 161415,
  [SMALL_STATE(4380)] = 161468,
  [SMALL_STATE(4381)] = 161553,
  [SMALL_STATE(4382)] = 161608,
  [SMALL_STATE(4383)] = 161661,
  [SMALL_STATE(4384)] = 161714,
  [SMALL_STATE(4385)] = 161767,
  [SMALL_STATE(4386)] = 161826,
  [SMALL_STATE(4387)] = 161887,
  [SMALL_STATE(4388)] = 161952,
  [SMALL_STATE(4389)] = 162005,
  [SMALL_STATE(4390)] = 162058,
  [SMALL_STATE(4391)] = 162111,
  [SMALL_STATE(4392)] = 162204,
  [SMALL_STATE(4393)] = 162301,
  [SMALL_STATE(4394)] = 162406,
  [SMALL_STATE(4395)] = 162463,
  [SMALL_STATE(4396)] = 162524,
  [SMALL_STATE(4397)] = 162585,
  [SMALL_STATE(4398)] = 162638,
  [SMALL_STATE(4399)] = 162691,
  [SMALL_STATE(4400)] = 162744,
  [SMALL_STATE(4401)] = 162799,
  [SMALL_STATE(4402)] = 162852,
  [SMALL_STATE(4403)] = 162905,
  [SMALL_STATE(4404)] = 163008,
  [SMALL_STATE(4405)] = 163061,
  [SMALL_STATE(4406)] = 163114,
  [SMALL_STATE(4407)] = 163179,
  [SMALL_STATE(4408)] = 163232,
  [SMALL_STATE(4409)] = 163285,
  [SMALL_STATE(4410)] = 163344,
  [SMALL_STATE(4411)] = 163403,
  [SMALL_STATE(4412)] = 163456,
  [SMALL_STATE(4413)] = 163509,
  [SMALL_STATE(4414)] = 163562,
  [SMALL_STATE(4415)] = 163615,
  [SMALL_STATE(4416)] = 163668,
  [SMALL_STATE(4417)] = 163721,
  [SMALL_STATE(4418)] = 163780,
  [SMALL_STATE(4419)] = 163833,
  [SMALL_STATE(4420)] = 163886,
  [SMALL_STATE(4421)] = 163939,
  [SMALL_STATE(4422)] = 163992,
  [SMALL_STATE(4423)] = 164045,
  [SMALL_STATE(4424)] = 164142,
  [SMALL_STATE(4425)] = 164231,
  [SMALL_STATE(4426)] = 164284,
  [SMALL_STATE(4427)] = 164377,
  [SMALL_STATE(4428)] = 164430,
  [SMALL_STATE(4429)] = 164491,
  [SMALL_STATE(4430)] = 164556,
  [SMALL_STATE(4431)] = 164655,
  [SMALL_STATE(4432)] = 164710,
  [SMALL_STATE(4433)] = 164763,
  [SMALL_STATE(4434)] = 164816,
  [SMALL_STATE(4435)] = 164897,
  [SMALL_STATE(4436)] = 164990,
  [SMALL_STATE(4437)] = 165043,
  [SMALL_STATE(4438)] = 165142,
  [SMALL_STATE(4439)] = 165235,
  [SMALL_STATE(4440)] = 165288,
  [SMALL_STATE(4441)] = 165353,
  [SMALL_STATE(4442)] = 165428,
  [SMALL_STATE(4443)] = 165481,
  [SMALL_STATE(4444)] = 165554,
  [SMALL_STATE(4445)] = 165615,
  [SMALL_STATE(4446)] = 165702,
  [SMALL_STATE(4447)] = 165787,
  [SMALL_STATE(4448)] = 165868,
  [SMALL_STATE(4449)] = 165921,
  [SMALL_STATE(4450)] = 165998,
  [SMALL_STATE(4451)] = 166069,
  [SMALL_STATE(4452)] = 166138,
  [SMALL_STATE(4453)] = 166191,
  [SMALL_STATE(4454)] = 166283,
  [SMALL_STATE(4455)] = 166375,
  [SMALL_STATE(4456)] = 166475,
  [SMALL_STATE(4457)] = 166533,
  [SMALL_STATE(4458)] = 166625,
  [SMALL_STATE(4459)] = 166717,
  [SMALL_STATE(4460)] = 166809,
  [SMALL_STATE(4461)] = 166901,
  [SMALL_STATE(4462)] = 166993,
  [SMALL_STATE(4463)] = 167084,
  [SMALL_STATE(4464)] = 167175,
  [SMALL_STATE(4465)] = 167264,
  [SMALL_STATE(4466)] = 167363,
  [SMALL_STATE(4467)] = 167462,
  [SMALL_STATE(4468)] = 167553,
  [SMALL_STATE(4469)] = 167652,
  [SMALL_STATE(4470)] = 167751,
  [SMALL_STATE(4471)] = 167842,
  [SMALL_STATE(4472)] = 167943,
  [SMALL_STATE(4473)] = 168034,
  [SMALL_STATE(4474)] = 168125,
  [SMALL_STATE(4475)] = 168216,
  [SMALL_STATE(4476)] = 168307,
  [SMALL_STATE(4477)] = 168396,
  [SMALL_STATE(4478)] = 168485,
  [SMALL_STATE(4479)] = 168584,
  [SMALL_STATE(4480)] = 168675,
  [SMALL_STATE(4481)] = 168776,
  [SMALL_STATE(4482)] = 168867,
  [SMALL_STATE(4483)] = 168956,
  [SMALL_STATE(4484)] = 169047,
  [SMALL_STATE(4485)] = 169138,
  [SMALL_STATE(4486)] = 169237,
  [SMALL_STATE(4487)] = 169328,
  [SMALL_STATE(4488)] = 169419,
  [SMALL_STATE(4489)] = 169518,
  [SMALL_STATE(4490)] = 169607,
  [SMALL_STATE(4491)] = 169706,
  [SMALL_STATE(4492)] = 169796,
  [SMALL_STATE(4493)] = 169886,
  [SMALL_STATE(4494)] = 169976,
  [SMALL_STATE(4495)] = 170066,
  [SMALL_STATE(4496)] = 170156,
  [SMALL_STATE(4497)] = 170246,
  [SMALL_STATE(4498)] = 170336,
  [SMALL_STATE(4499)] = 170426,
  [SMALL_STATE(4500)] = 170524,
  [SMALL_STATE(4501)] = 170614,
  [SMALL_STATE(4502)] = 170704,
  [SMALL_STATE(4503)] = 170792,
  [SMALL_STATE(4504)] = 170882,
  [SMALL_STATE(4505)] = 170972,
  [SMALL_STATE(4506)] = 171028,
  [SMALL_STATE(4507)] = 171118,
  [SMALL_STATE(4508)] = 171208,
  [SMALL_STATE(4509)] = 171298,
  [SMALL_STATE(4510)] = 171388,
  [SMALL_STATE(4511)] = 171478,
  [SMALL_STATE(4512)] = 171568,
  [SMALL_STATE(4513)] = 171658,
  [SMALL_STATE(4514)] = 171748,
  [SMALL_STATE(4515)] = 171838,
  [SMALL_STATE(4516)] = 171928,
  [SMALL_STATE(4517)] = 172018,
  [SMALL_STATE(4518)] = 172108,
  [SMALL_STATE(4519)] = 172198,
  [SMALL_STATE(4520)] = 172296,
  [SMALL_STATE(4521)] = 172390,
  [SMALL_STATE(4522)] = 172480,
  [SMALL_STATE(4523)] = 172570,
  [SMALL_STATE(4524)] = 172660,
  [SMALL_STATE(4525)] = 172750,
  [SMALL_STATE(4526)] = 172840,
  [SMALL_STATE(4527)] = 172938,
  [SMALL_STATE(4528)] = 173036,
  [SMALL_STATE(4529)] = 173134,
  [SMALL_STATE(4530)] = 173222,
  [SMALL_STATE(4531)] = 173312,
  [SMALL_STATE(4532)] = 173366,
  [SMALL_STATE(4533)] = 173456,
  [SMALL_STATE(4534)] = 173512,
  [SMALL_STATE(4535)] = 173600,
  [SMALL_STATE(4536)] = 173690,
  [SMALL_STATE(4537)] = 173780,
  [SMALL_STATE(4538)] = 173870,
  [SMALL_STATE(4539)] = 173960,
  [SMALL_STATE(4540)] = 174054,
  [SMALL_STATE(4541)] = 174144,
  [SMALL_STATE(4542)] = 174234,
  [SMALL_STATE(4543)] = 174324,
  [SMALL_STATE(4544)] = 174412,
  [SMALL_STATE(4545)] = 174510,
  [SMALL_STATE(4546)] = 174608,
  [SMALL_STATE(4547)] = 174698,
  [SMALL_STATE(4548)] = 174786,
  [SMALL_STATE(4549)] = 174876,
  [SMALL_STATE(4550)] = 174966,
  [SMALL_STATE(4551)] = 175056,
  [SMALL_STATE(4552)] = 175146,
  [SMALL_STATE(4553)] = 175240,
  [SMALL_STATE(4554)] = 175334,
  [SMALL_STATE(4555)] = 175424,
  [SMALL_STATE(4556)] = 175512,
  [SMALL_STATE(4557)] = 175603,
  [SMALL_STATE(4558)] = 175660,
  [SMALL_STATE(4559)] = 175737,
  [SMALL_STATE(4560)] = 175810,
  [SMALL_STATE(4561)] = 175867,
  [SMALL_STATE(4562)] = 175920,
  [SMALL_STATE(4563)] = 175973,
  [SMALL_STATE(4564)] = 176022,
  [SMALL_STATE(4565)] = 176073,
  [SMALL_STATE(4566)] = 176160,
  [SMALL_STATE(4567)] = 176251,
  [SMALL_STATE(4568)] = 176332,
  [SMALL_STATE(4569)] = 176389,
  [SMALL_STATE(4570)] = 176460,
  [SMALL_STATE(4571)] = 176563,
  [SMALL_STATE(4572)] = 176630,
  [SMALL_STATE(4573)] = 176685,
  [SMALL_STATE(4574)] = 176742,
  [SMALL_STATE(4575)] = 176837,
  [SMALL_STATE(4576)] = 176932,
  [SMALL_STATE(4577)] = 177025,
  [SMALL_STATE(4578)] = 177074,
  [SMALL_STATE(4579)] = 177153,
  [SMALL_STATE(4580)] = 177202,
  [SMALL_STATE(4581)] = 177305,
  [SMALL_STATE(4582)] = 177366,
  [SMALL_STATE(4583)] = 177415,
  [SMALL_STATE(4584)] = 177472,
  [SMALL_STATE(4585)] = 177521,
  [SMALL_STATE(4586)] = 177570,
  [SMALL_STATE(4587)] = 177619,
  [SMALL_STATE(4588)] = 177688,
  [SMALL_STATE(4589)] = 177743,
  [SMALL_STATE(4590)] = 177826,
  [SMALL_STATE(4591)] = 177901,
  [SMALL_STATE(4592)] = 177950,
  [SMALL_STATE(4593)] = 178015,
  [SMALL_STATE(4594)] = 178101,
  [SMALL_STATE(4595)] = 178187,
  [SMALL_STATE(4596)] = 178237,
  [SMALL_STATE(4597)] = 178287,
  [SMALL_STATE(4598)] = 178337,
  [SMALL_STATE(4599)] = 178387,
  [SMALL_STATE(4600)] = 178473,
  [SMALL_STATE(4601)] = 178523,
  [SMALL_STATE(4602)] = 178619,
  [SMALL_STATE(4603)] = 178705,
  [SMALL_STATE(4604)] = 178755,
  [SMALL_STATE(4605)] = 178841,
  [SMALL_STATE(4606)] = 178927,
  [SMALL_STATE(4607)] = 178977,
  [SMALL_STATE(4608)] = 179027,
  [SMALL_STATE(4609)] = 179113,
  [SMALL_STATE(4610)] = 179163,
  [SMALL_STATE(4611)] = 179249,
  [SMALL_STATE(4612)] = 179349,
  [SMALL_STATE(4613)] = 179399,
  [SMALL_STATE(4614)] = 179449,
  [SMALL_STATE(4615)] = 179499,
  [SMALL_STATE(4616)] = 179549,
  [SMALL_STATE(4617)] = 179599,
  [SMALL_STATE(4618)] = 179685,
  [SMALL_STATE(4619)] = 179735,
  [SMALL_STATE(4620)] = 179785,
  [SMALL_STATE(4621)] = 179835,
  [SMALL_STATE(4622)] = 179885,
  [SMALL_STATE(4623)] = 179935,
  [SMALL_STATE(4624)] = 179985,
  [SMALL_STATE(4625)] = 180071,
  [SMALL_STATE(4626)] = 180157,
  [SMALL_STATE(4627)] = 180207,
  [SMALL_STATE(4628)] = 180293,
  [SMALL_STATE(4629)] = 180343,
  [SMALL_STATE(4630)] = 180393,
  [SMALL_STATE(4631)] = 180443,
  [SMALL_STATE(4632)] = 180493,
  [SMALL_STATE(4633)] = 180543,
  [SMALL_STATE(4634)] = 180593,
  [SMALL_STATE(4635)] = 180643,
  [SMALL_STATE(4636)] = 180693,
  [SMALL_STATE(4637)] = 180743,
  [SMALL_STATE(4638)] = 180793,
  [SMALL_STATE(4639)] = 180879,
  [SMALL_STATE(4640)] = 180929,
  [SMALL_STATE(4641)] = 180979,
  [SMALL_STATE(4642)] = 181029,
  [SMALL_STATE(4643)] = 181115,
  [SMALL_STATE(4644)] = 181201,
  [SMALL_STATE(4645)] = 181251,
  [SMALL_STATE(4646)] = 181337,
  [SMALL_STATE(4647)] = 181387,
  [SMALL_STATE(4648)] = 181437,
  [SMALL_STATE(4649)] = 181523,
  [SMALL_STATE(4650)] = 181609,
  [SMALL_STATE(4651)] = 181705,
  [SMALL_STATE(4652)] = 181755,
  [SMALL_STATE(4653)] = 181841,
  [SMALL_STATE(4654)] = 181927,
  [SMALL_STATE(4655)] = 182013,
  [SMALL_STATE(4656)] = 182063,
  [SMALL_STATE(4657)] = 182149,
  [SMALL_STATE(4658)] = 182199,
  [SMALL_STATE(4659)] = 182285,
  [SMALL_STATE(4660)] = 182371,
  [SMALL_STATE(4661)] = 182457,
  [SMALL_STATE(4662)] = 182543,
  [SMALL_STATE(4663)] = 182593,
  [SMALL_STATE(4664)] = 182643,
  [SMALL_STATE(4665)] = 182729,
  [SMALL_STATE(4666)] = 182779,
  [SMALL_STATE(4667)] = 182829,
  [SMALL_STATE(4668)] = 182915,
  [SMALL_STATE(4669)] = 183001,
  [SMALL_STATE(4670)] = 183087,
  [SMALL_STATE(4671)] = 183137,
  [SMALL_STATE(4672)] = 183187,
  [SMALL_STATE(4673)] = 183273,
  [SMALL_STATE(4674)] = 183323,
  [SMALL_STATE(4675)] = 183409,
  [SMALL_STATE(4676)] = 183459,
  [SMALL_STATE(4677)] = 183545,
  [SMALL_STATE(4678)] = 183631,
  [SMALL_STATE(4679)] = 183717,
  [SMALL_STATE(4680)] = 183767,
  [SMALL_STATE(4681)] = 183853,
  [SMALL_STATE(4682)] = 183903,
  [SMALL_STATE(4683)] = 183989,
  [SMALL_STATE(4684)] = 184039,
  [SMALL_STATE(4685)] = 184125,
  [SMALL_STATE(4686)] = 184211,
  [SMALL_STATE(4687)] = 184297,
  [SMALL_STATE(4688)] = 184347,
  [SMALL_STATE(4689)] = 184433,
  [SMALL_STATE(4690)] = 184483,
  [SMALL_STATE(4691)] = 184569,
  [SMALL_STATE(4692)] = 184655,
  [SMALL_STATE(4693)] = 184705,
  [SMALL_STATE(4694)] = 184755,
  [SMALL_STATE(4695)] = 184841,
  [SMALL_STATE(4696)] = 184927,
  [SMALL_STATE(4697)] = 185013,
  [SMALL_STATE(4698)] = 185099,
  [SMALL_STATE(4699)] = 185185,
  [SMALL_STATE(4700)] = 185271,
  [SMALL_STATE(4701)] = 185371,
  [SMALL_STATE(4702)] = 185421,
  [SMALL_STATE(4703)] = 185507,
  [SMALL_STATE(4704)] = 185593,
  [SMALL_STATE(4705)] = 185679,
  [SMALL_STATE(4706)] = 185765,
  [SMALL_STATE(4707)] = 185815,
  [SMALL_STATE(4708)] = 185865,
  [SMALL_STATE(4709)] = 185951,
  [SMALL_STATE(4710)] = 186001,
  [SMALL_STATE(4711)] = 186087,
  [SMALL_STATE(4712)] = 186183,
  [SMALL_STATE(4713)] = 186233,
  [SMALL_STATE(4714)] = 186319,
  [SMALL_STATE(4715)] = 186405,
  [SMALL_STATE(4716)] = 186491,
  [SMALL_STATE(4717)] = 186541,
  [SMALL_STATE(4718)] = 186637,
  [SMALL_STATE(4719)] = 186723,
  [SMALL_STATE(4720)] = 186809,
  [SMALL_STATE(4721)] = 186859,
  [SMALL_STATE(4722)] = 186945,
  [SMALL_STATE(4723)] = 187031,
  [SMALL_STATE(4724)] = 187081,
  [SMALL_STATE(4725)] = 187167,
  [SMALL_STATE(4726)] = 187253,
  [SMALL_STATE(4727)] = 187339,
  [SMALL_STATE(4728)] = 187389,
  [SMALL_STATE(4729)] = 187439,
  [SMALL_STATE(4730)] = 187525,
  [SMALL_STATE(4731)] = 187611,
  [SMALL_STATE(4732)] = 187661,
  [SMALL_STATE(4733)] = 187747,
  [SMALL_STATE(4734)] = 187833,
  [SMALL_STATE(4735)] = 187883,
  [SMALL_STATE(4736)] = 187933,
  [SMALL_STATE(4737)] = 188019,
  [SMALL_STATE(4738)] = 188069,
  [SMALL_STATE(4739)] = 188155,
  [SMALL_STATE(4740)] = 188241,
  [SMALL_STATE(4741)] = 188327,
  [SMALL_STATE(4742)] = 188413,
  [SMALL_STATE(4743)] = 188499,
  [SMALL_STATE(4744)] = 188585,
  [SMALL_STATE(4745)] = 188671,
  [SMALL_STATE(4746)] = 188757,
  [SMALL_STATE(4747)] = 188807,
  [SMALL_STATE(4748)] = 188893,
  [SMALL_STATE(4749)] = 188979,
  [SMALL_STATE(4750)] = 189029,
  [SMALL_STATE(4751)] = 189115,
  [SMALL_STATE(4752)] = 189165,
  [SMALL_STATE(4753)] = 189215,
  [SMALL_STATE(4754)] = 189265,
  [SMALL_STATE(4755)] = 189315,
  [SMALL_STATE(4756)] = 189365,
  [SMALL_STATE(4757)] = 189415,
  [SMALL_STATE(4758)] = 189465,
  [SMALL_STATE(4759)] = 189515,
  [SMALL_STATE(4760)] = 189565,
  [SMALL_STATE(4761)] = 189651,
  [SMALL_STATE(4762)] = 189701,
  [SMALL_STATE(4763)] = 189787,
  [SMALL_STATE(4764)] = 189837,
  [SMALL_STATE(4765)] = 189887,
  [SMALL_STATE(4766)] = 189987,
  [SMALL_STATE(4767)] = 190073,
  [SMALL_STATE(4768)] = 190159,
  [SMALL_STATE(4769)] = 190245,
  [SMALL_STATE(4770)] = 190331,
  [SMALL_STATE(4771)] = 190417,
  [SMALL_STATE(4772)] = 190503,
  [SMALL_STATE(4773)] = 190589,
  [SMALL_STATE(4774)] = 190675,
  [SMALL_STATE(4775)] = 190761,
  [SMALL_STATE(4776)] = 190847,
  [SMALL_STATE(4777)] = 190897,
  [SMALL_STATE(4778)] = 190947,
  [SMALL_STATE(4779)] = 190997,
  [SMALL_STATE(4780)] = 191083,
  [SMALL_STATE(4781)] = 191133,
  [SMALL_STATE(4782)] = 191219,
  [SMALL_STATE(4783)] = 191305,
  [SMALL_STATE(4784)] = 191355,
  [SMALL_STATE(4785)] = 191441,
  [SMALL_STATE(4786)] = 191527,
  [SMALL_STATE(4787)] = 191577,
  [SMALL_STATE(4788)] = 191663,
  [SMALL_STATE(4789)] = 191713,
  [SMALL_STATE(4790)] = 191799,
  [SMALL_STATE(4791)] = 191849,
  [SMALL_STATE(4792)] = 191935,
  [SMALL_STATE(4793)] = 192021,
  [SMALL_STATE(4794)] = 192071,
  [SMALL_STATE(4795)] = 192157,
  [SMALL_STATE(4796)] = 192243,
  [SMALL_STATE(4797)] = 192329,
  [SMALL_STATE(4798)] = 192379,
  [SMALL_STATE(4799)] = 192465,
  [SMALL_STATE(4800)] = 192551,
  [SMALL_STATE(4801)] = 192637,
  [SMALL_STATE(4802)] = 192723,
  [SMALL_STATE(4803)] = 192809,
  [SMALL_STATE(4804)] = 192859,
  [SMALL_STATE(4805)] = 192945,
  [SMALL_STATE(4806)] = 193031,
  [SMALL_STATE(4807)] = 193081,
  [SMALL_STATE(4808)] = 193167,
  [SMALL_STATE(4809)] = 193253,
  [SMALL_STATE(4810)] = 193339,
  [SMALL_STATE(4811)] = 193425,
  [SMALL_STATE(4812)] = 193475,
  [SMALL_STATE(4813)] = 193525,
  [SMALL_STATE(4814)] = 193611,
  [SMALL_STATE(4815)] = 193697,
  [SMALL_STATE(4816)] = 193747,
  [SMALL_STATE(4817)] = 193797,
  [SMALL_STATE(4818)] = 193883,
  [SMALL_STATE(4819)] = 193969,
  [SMALL_STATE(4820)] = 194019,
  [SMALL_STATE(4821)] = 194069,
  [SMALL_STATE(4822)] = 194119,
  [SMALL_STATE(4823)] = 194205,
  [SMALL_STATE(4824)] = 194291,
  [SMALL_STATE(4825)] = 194377,
  [SMALL_STATE(4826)] = 194427,
  [SMALL_STATE(4827)] = 194477,
  [SMALL_STATE(4828)] = 194563,
  [SMALL_STATE(4829)] = 194649,
  [SMALL_STATE(4830)] = 194735,
  [SMALL_STATE(4831)] = 194821,
  [SMALL_STATE(4832)] = 194907,
  [SMALL_STATE(4833)] = 194993,
  [SMALL_STATE(4834)] = 195043,
  [SMALL_STATE(4835)] = 195093,
  [SMALL_STATE(4836)] = 195143,
  [SMALL_STATE(4837)] = 195193,
  [SMALL_STATE(4838)] = 195243,
  [SMALL_STATE(4839)] = 195339,
  [SMALL_STATE(4840)] = 195425,
  [SMALL_STATE(4841)] = 195475,
  [SMALL_STATE(4842)] = 195561,
  [SMALL_STATE(4843)] = 195611,
  [SMALL_STATE(4844)] = 195697,
  [SMALL_STATE(4845)] = 195783,
  [SMALL_STATE(4846)] = 195833,
  [SMALL_STATE(4847)] = 195919,
  [SMALL_STATE(4848)] = 196005,
  [SMALL_STATE(4849)] = 196055,
  [SMALL_STATE(4850)] = 196105,
  [SMALL_STATE(4851)] = 196155,
  [SMALL_STATE(4852)] = 196205,
  [SMALL_STATE(4853)] = 196291,
  [SMALL_STATE(4854)] = 196377,
  [SMALL_STATE(4855)] = 196477,
  [SMALL_STATE(4856)] = 196527,
  [SMALL_STATE(4857)] = 196627,
  [SMALL_STATE(4858)] = 196713,
  [SMALL_STATE(4859)] = 196763,
  [SMALL_STATE(4860)] = 196849,
  [SMALL_STATE(4861)] = 196899,
  [SMALL_STATE(4862)] = 196985,
  [SMALL_STATE(4863)] = 197035,
  [SMALL_STATE(4864)] = 197085,
  [SMALL_STATE(4865)] = 197135,
  [SMALL_STATE(4866)] = 197185,
  [SMALL_STATE(4867)] = 197235,
  [SMALL_STATE(4868)] = 197285,
  [SMALL_STATE(4869)] = 197335,
  [SMALL_STATE(4870)] = 197421,
  [SMALL_STATE(4871)] = 197471,
  [SMALL_STATE(4872)] = 197521,
  [SMALL_STATE(4873)] = 197571,
  [SMALL_STATE(4874)] = 197621,
  [SMALL_STATE(4875)] = 197671,
  [SMALL_STATE(4876)] = 197757,
  [SMALL_STATE(4877)] = 197807,
  [SMALL_STATE(4878)] = 197893,
  [SMALL_STATE(4879)] = 197979,
  [SMALL_STATE(4880)] = 198029,
  [SMALL_STATE(4881)] = 198079,
  [SMALL_STATE(4882)] = 198165,
  [SMALL_STATE(4883)] = 198215,
  [SMALL_STATE(4884)] = 198311,
  [SMALL_STATE(4885)] = 198361,
  [SMALL_STATE(4886)] = 198411,
  [SMALL_STATE(4887)] = 198461,
  [SMALL_STATE(4888)] = 198511,
  [SMALL_STATE(4889)] = 198561,
  [SMALL_STATE(4890)] = 198611,
  [SMALL_STATE(4891)] = 198697,
  [SMALL_STATE(4892)] = 198783,
  [SMALL_STATE(4893)] = 198833,
  [SMALL_STATE(4894)] = 198883,
  [SMALL_STATE(4895)] = 198933,
  [SMALL_STATE(4896)] = 199019,
  [SMALL_STATE(4897)] = 199105,
  [SMALL_STATE(4898)] = 199155,
  [SMALL_STATE(4899)] = 199241,
  [SMALL_STATE(4900)] = 199291,
  [SMALL_STATE(4901)] = 199377,
  [SMALL_STATE(4902)] = 199427,
  [SMALL_STATE(4903)] = 199477,
  [SMALL_STATE(4904)] = 199563,
  [SMALL_STATE(4905)] = 199649,
  [SMALL_STATE(4906)] = 199699,
  [SMALL_STATE(4907)] = 199749,
  [SMALL_STATE(4908)] = 199835,
  [SMALL_STATE(4909)] = 199885,
  [SMALL_STATE(4910)] = 199935,
  [SMALL_STATE(4911)] = 199985,
  [SMALL_STATE(4912)] = 200035,
  [SMALL_STATE(4913)] = 200121,
  [SMALL_STATE(4914)] = 200171,
  [SMALL_STATE(4915)] = 200221,
  [SMALL_STATE(4916)] = 200271,
  [SMALL_STATE(4917)] = 200321,
  [SMALL_STATE(4918)] = 200415,
  [SMALL_STATE(4919)] = 200465,
  [SMALL_STATE(4920)] = 200551,
  [SMALL_STATE(4921)] = 200601,
  [SMALL_STATE(4922)] = 200687,
  [SMALL_STATE(4923)] = 200737,
  [SMALL_STATE(4924)] = 200787,
  [SMALL_STATE(4925)] = 200837,
  [SMALL_STATE(4926)] = 200923,
  [SMALL_STATE(4927)] = 200973,
  [SMALL_STATE(4928)] = 201023,
  [SMALL_STATE(4929)] = 201073,
  [SMALL_STATE(4930)] = 201123,
  [SMALL_STATE(4931)] = 201173,
  [SMALL_STATE(4932)] = 201223,
  [SMALL_STATE(4933)] = 201273,
  [SMALL_STATE(4934)] = 201323,
  [SMALL_STATE(4935)] = 201409,
  [SMALL_STATE(4936)] = 201495,
  [SMALL_STATE(4937)] = 201581,
  [SMALL_STATE(4938)] = 201667,
  [SMALL_STATE(4939)] = 201753,
  [SMALL_STATE(4940)] = 201803,
  [SMALL_STATE(4941)] = 201889,
  [SMALL_STATE(4942)] = 201975,
  [SMALL_STATE(4943)] = 202025,
  [SMALL_STATE(4944)] = 202111,
  [SMALL_STATE(4945)] = 202161,
  [SMALL_STATE(4946)] = 202244,
  [SMALL_STATE(4947)] = 202327,
  [SMALL_STATE(4948)] = 202410,
  [SMALL_STATE(4949)] = 202493,
  [SMALL_STATE(4950)] = 202576,
  [SMALL_STATE(4951)] = 202659,
  [SMALL_STATE(4952)] = 202742,
  [SMALL_STATE(4953)] = 202825,
  [SMALL_STATE(4954)] = 202908,
  [SMALL_STATE(4955)] = 202991,
  [SMALL_STATE(4956)] = 203074,
  [SMALL_STATE(4957)] = 203157,
  [SMALL_STATE(4958)] = 203254,
  [SMALL_STATE(4959)] = 203337,
  [SMALL_STATE(4960)] = 203420,
  [SMALL_STATE(4961)] = 203503,
  [SMALL_STATE(4962)] = 203556,
  [SMALL_STATE(4963)] = 203639,
  [SMALL_STATE(4964)] = 203722,
  [SMALL_STATE(4965)] = 203805,
  [SMALL_STATE(4966)] = 203888,
  [SMALL_STATE(4967)] = 203971,
  [SMALL_STATE(4968)] = 204054,
  [SMALL_STATE(4969)] = 204137,
  [SMALL_STATE(4970)] = 204234,
  [SMALL_STATE(4971)] = 204317,
  [SMALL_STATE(4972)] = 204400,
  [SMALL_STATE(4973)] = 204483,
  [SMALL_STATE(4974)] = 204566,
  [SMALL_STATE(4975)] = 204649,
  [SMALL_STATE(4976)] = 204732,
  [SMALL_STATE(4977)] = 204815,
  [SMALL_STATE(4978)] = 204898,
  [SMALL_STATE(4979)] = 204951,
  [SMALL_STATE(4980)] = 205034,
  [SMALL_STATE(4981)] = 205117,
  [SMALL_STATE(4982)] = 205200,
  [SMALL_STATE(4983)] = 205283,
  [SMALL_STATE(4984)] = 205366,
  [SMALL_STATE(4985)] = 205449,
  [SMALL_STATE(4986)] = 205532,
  [SMALL_STATE(4987)] = 205615,
  [SMALL_STATE(4988)] = 205698,
  [SMALL_STATE(4989)] = 205781,
  [SMALL_STATE(4990)] = 205878,
  [SMALL_STATE(4991)] = 205961,
  [SMALL_STATE(4992)] = 206044,
  [SMALL_STATE(4993)] = 206127,
  [SMALL_STATE(4994)] = 206210,
  [SMALL_STATE(4995)] = 206293,
  [SMALL_STATE(4996)] = 206376,
  [SMALL_STATE(4997)] = 206459,
  [SMALL_STATE(4998)] = 206542,
  [SMALL_STATE(4999)] = 206625,
  [SMALL_STATE(5000)] = 206708,
  [SMALL_STATE(5001)] = 206805,
  [SMALL_STATE(5002)] = 206888,
  [SMALL_STATE(5003)] = 206971,
  [SMALL_STATE(5004)] = 207054,
  [SMALL_STATE(5005)] = 207137,
  [SMALL_STATE(5006)] = 207220,
  [SMALL_STATE(5007)] = 207303,
  [SMALL_STATE(5008)] = 207386,
  [SMALL_STATE(5009)] = 207469,
  [SMALL_STATE(5010)] = 207552,
  [SMALL_STATE(5011)] = 207635,
  [SMALL_STATE(5012)] = 207718,
  [SMALL_STATE(5013)] = 207801,
  [SMALL_STATE(5014)] = 207884,
  [SMALL_STATE(5015)] = 207967,
  [SMALL_STATE(5016)] = 208050,
  [SMALL_STATE(5017)] = 208133,
  [SMALL_STATE(5018)] = 208216,
  [SMALL_STATE(5019)] = 208299,
  [SMALL_STATE(5020)] = 208382,
  [SMALL_STATE(5021)] = 208465,
  [SMALL_STATE(5022)] = 208548,
  [SMALL_STATE(5023)] = 208643,
  [SMALL_STATE(5024)] = 208726,
  [SMALL_STATE(5025)] = 208809,
  [SMALL_STATE(5026)] = 208892,
  [SMALL_STATE(5027)] = 208975,
  [SMALL_STATE(5028)] = 209058,
  [SMALL_STATE(5029)] = 209141,
  [SMALL_STATE(5030)] = 209224,
  [SMALL_STATE(5031)] = 209307,
  [SMALL_STATE(5032)] = 209390,
  [SMALL_STATE(5033)] = 209473,
  [SMALL_STATE(5034)] = 209556,
  [SMALL_STATE(5035)] = 209639,
  [SMALL_STATE(5036)] = 209722,
  [SMALL_STATE(5037)] = 209805,
  [SMALL_STATE(5038)] = 209858,
  [SMALL_STATE(5039)] = 209955,
  [SMALL_STATE(5040)] = 210038,
  [SMALL_STATE(5041)] = 210121,
  [SMALL_STATE(5042)] = 210204,
  [SMALL_STATE(5043)] = 210287,
  [SMALL_STATE(5044)] = 210370,
  [SMALL_STATE(5045)] = 210453,
  [SMALL_STATE(5046)] = 210536,
  [SMALL_STATE(5047)] = 210619,
  [SMALL_STATE(5048)] = 210702,
  [SMALL_STATE(5049)] = 210785,
  [SMALL_STATE(5050)] = 210868,
  [SMALL_STATE(5051)] = 210951,
  [SMALL_STATE(5052)] = 211034,
  [SMALL_STATE(5053)] = 211117,
  [SMALL_STATE(5054)] = 211200,
  [SMALL_STATE(5055)] = 211283,
  [SMALL_STATE(5056)] = 211366,
  [SMALL_STATE(5057)] = 211449,
  [SMALL_STATE(5058)] = 211532,
  [SMALL_STATE(5059)] = 211615,
  [SMALL_STATE(5060)] = 211698,
  [SMALL_STATE(5061)] = 211781,
  [SMALL_STATE(5062)] = 211864,
  [SMALL_STATE(5063)] = 211947,
  [SMALL_STATE(5064)] = 212042,
  [SMALL_STATE(5065)] = 212125,
  [SMALL_STATE(5066)] = 212208,
  [SMALL_STATE(5067)] = 212261,
  [SMALL_STATE(5068)] = 212344,
  [SMALL_STATE(5069)] = 212427,
  [SMALL_STATE(5070)] = 212510,
  [SMALL_STATE(5071)] = 212607,
  [SMALL_STATE(5072)] = 212690,
  [SMALL_STATE(5073)] = 212773,
  [SMALL_STATE(5074)] = 212856,
  [SMALL_STATE(5075)] = 212939,
  [SMALL_STATE(5076)] = 213022,
  [SMALL_STATE(5077)] = 213105,
  [SMALL_STATE(5078)] = 213188,
  [SMALL_STATE(5079)] = 213271,
  [SMALL_STATE(5080)] = 213354,
  [SMALL_STATE(5081)] = 213437,
  [SMALL_STATE(5082)] = 213520,
  [SMALL_STATE(5083)] = 213603,
  [SMALL_STATE(5084)] = 213686,
  [SMALL_STATE(5085)] = 213769,
  [SMALL_STATE(5086)] = 213866,
  [SMALL_STATE(5087)] = 213949,
  [SMALL_STATE(5088)] = 214046,
  [SMALL_STATE(5089)] = 214129,
  [SMALL_STATE(5090)] = 214182,
  [SMALL_STATE(5091)] = 214265,
  [SMALL_STATE(5092)] = 214348,
  [SMALL_STATE(5093)] = 214431,
  [SMALL_STATE(5094)] = 214514,
  [SMALL_STATE(5095)] = 214597,
  [SMALL_STATE(5096)] = 214680,
  [SMALL_STATE(5097)] = 214763,
  [SMALL_STATE(5098)] = 214846,
  [SMALL_STATE(5099)] = 214929,
  [SMALL_STATE(5100)] = 215012,
  [SMALL_STATE(5101)] = 215109,
  [SMALL_STATE(5102)] = 215206,
  [SMALL_STATE(5103)] = 215303,
  [SMALL_STATE(5104)] = 215386,
  [SMALL_STATE(5105)] = 215469,
  [SMALL_STATE(5106)] = 215552,
  [SMALL_STATE(5107)] = 215635,
  [SMALL_STATE(5108)] = 215718,
  [SMALL_STATE(5109)] = 215801,
  [SMALL_STATE(5110)] = 215884,
  [SMALL_STATE(5111)] = 215967,
  [SMALL_STATE(5112)] = 216050,
  [SMALL_STATE(5113)] = 216133,
  [SMALL_STATE(5114)] = 216216,
  [SMALL_STATE(5115)] = 216313,
  [SMALL_STATE(5116)] = 216396,
  [SMALL_STATE(5117)] = 216479,
  [SMALL_STATE(5118)] = 216562,
  [SMALL_STATE(5119)] = 216645,
  [SMALL_STATE(5120)] = 216728,
  [SMALL_STATE(5121)] = 216811,
  [SMALL_STATE(5122)] = 216894,
  [SMALL_STATE(5123)] = 216977,
  [SMALL_STATE(5124)] = 217074,
  [SMALL_STATE(5125)] = 217157,
  [SMALL_STATE(5126)] = 217240,
  [SMALL_STATE(5127)] = 217323,
  [SMALL_STATE(5128)] = 217406,
  [SMALL_STATE(5129)] = 217489,
  [SMALL_STATE(5130)] = 217572,
  [SMALL_STATE(5131)] = 217655,
  [SMALL_STATE(5132)] = 217738,
  [SMALL_STATE(5133)] = 217821,
  [SMALL_STATE(5134)] = 217904,
  [SMALL_STATE(5135)] = 217987,
  [SMALL_STATE(5136)] = 218084,
  [SMALL_STATE(5137)] = 218167,
  [SMALL_STATE(5138)] = 218262,
  [SMALL_STATE(5139)] = 218345,
  [SMALL_STATE(5140)] = 218428,
  [SMALL_STATE(5141)] = 218511,
  [SMALL_STATE(5142)] = 218564,
  [SMALL_STATE(5143)] = 218617,
  [SMALL_STATE(5144)] = 218700,
  [SMALL_STATE(5145)] = 218797,
  [SMALL_STATE(5146)] = 218880,
  [SMALL_STATE(5147)] = 218963,
  [SMALL_STATE(5148)] = 219046,
  [SMALL_STATE(5149)] = 219129,
  [SMALL_STATE(5150)] = 219212,
  [SMALL_STATE(5151)] = 219295,
  [SMALL_STATE(5152)] = 219378,
  [SMALL_STATE(5153)] = 219461,
  [SMALL_STATE(5154)] = 219544,
  [SMALL_STATE(5155)] = 219627,
  [SMALL_STATE(5156)] = 219710,
  [SMALL_STATE(5157)] = 219793,
  [SMALL_STATE(5158)] = 219876,
  [SMALL_STATE(5159)] = 219959,
  [SMALL_STATE(5160)] = 220042,
  [SMALL_STATE(5161)] = 220125,
  [SMALL_STATE(5162)] = 220208,
  [SMALL_STATE(5163)] = 220291,
  [SMALL_STATE(5164)] = 220374,
  [SMALL_STATE(5165)] = 220457,
  [SMALL_STATE(5166)] = 220540,
  [SMALL_STATE(5167)] = 220623,
  [SMALL_STATE(5168)] = 220706,
  [SMALL_STATE(5169)] = 220789,
  [SMALL_STATE(5170)] = 220872,
  [SMALL_STATE(5171)] = 220955,
  [SMALL_STATE(5172)] = 221038,
  [SMALL_STATE(5173)] = 221121,
  [SMALL_STATE(5174)] = 221204,
  [SMALL_STATE(5175)] = 221287,
  [SMALL_STATE(5176)] = 221370,
  [SMALL_STATE(5177)] = 221453,
  [SMALL_STATE(5178)] = 221536,
  [SMALL_STATE(5179)] = 221619,
  [SMALL_STATE(5180)] = 221702,
  [SMALL_STATE(5181)] = 221785,
  [SMALL_STATE(5182)] = 221868,
  [SMALL_STATE(5183)] = 221951,
  [SMALL_STATE(5184)] = 222034,
  [SMALL_STATE(5185)] = 222117,
  [SMALL_STATE(5186)] = 222200,
  [SMALL_STATE(5187)] = 222283,
  [SMALL_STATE(5188)] = 222366,
  [SMALL_STATE(5189)] = 222449,
  [SMALL_STATE(5190)] = 222532,
  [SMALL_STATE(5191)] = 222615,
  [SMALL_STATE(5192)] = 222698,
  [SMALL_STATE(5193)] = 222781,
  [SMALL_STATE(5194)] = 222864,
  [SMALL_STATE(5195)] = 222947,
  [SMALL_STATE(5196)] = 223030,
  [SMALL_STATE(5197)] = 223113,
  [SMALL_STATE(5198)] = 223196,
  [SMALL_STATE(5199)] = 223279,
  [SMALL_STATE(5200)] = 223362,
  [SMALL_STATE(5201)] = 223445,
  [SMALL_STATE(5202)] = 223528,
  [SMALL_STATE(5203)] = 223611,
  [SMALL_STATE(5204)] = 223694,
  [SMALL_STATE(5205)] = 223777,
  [SMALL_STATE(5206)] = 223830,
  [SMALL_STATE(5207)] = 223927,
  [SMALL_STATE(5208)] = 224024,
  [SMALL_STATE(5209)] = 224107,
  [SMALL_STATE(5210)] = 224190,
  [SMALL_STATE(5211)] = 224273,
  [SMALL_STATE(5212)] = 224356,
  [SMALL_STATE(5213)] = 224439,
  [SMALL_STATE(5214)] = 224522,
  [SMALL_STATE(5215)] = 224605,
  [SMALL_STATE(5216)] = 224702,
  [SMALL_STATE(5217)] = 224785,
  [SMALL_STATE(5218)] = 224868,
  [SMALL_STATE(5219)] = 224951,
  [SMALL_STATE(5220)] = 225034,
  [SMALL_STATE(5221)] = 225117,
  [SMALL_STATE(5222)] = 225200,
  [SMALL_STATE(5223)] = 225283,
  [SMALL_STATE(5224)] = 225366,
  [SMALL_STATE(5225)] = 225449,
  [SMALL_STATE(5226)] = 225546,
  [SMALL_STATE(5227)] = 225629,
  [SMALL_STATE(5228)] = 225712,
  [SMALL_STATE(5229)] = 225795,
  [SMALL_STATE(5230)] = 225892,
  [SMALL_STATE(5231)] = 225975,
  [SMALL_STATE(5232)] = 226058,
  [SMALL_STATE(5233)] = 226141,
  [SMALL_STATE(5234)] = 226224,
  [SMALL_STATE(5235)] = 226307,
  [SMALL_STATE(5236)] = 226390,
  [SMALL_STATE(5237)] = 226473,
  [SMALL_STATE(5238)] = 226556,
  [SMALL_STATE(5239)] = 226639,
  [SMALL_STATE(5240)] = 226722,
  [SMALL_STATE(5241)] = 226805,
  [SMALL_STATE(5242)] = 226888,
  [SMALL_STATE(5243)] = 226985,
  [SMALL_STATE(5244)] = 227068,
  [SMALL_STATE(5245)] = 227163,
  [SMALL_STATE(5246)] = 227246,
  [SMALL_STATE(5247)] = 227299,
  [SMALL_STATE(5248)] = 227382,
  [SMALL_STATE(5249)] = 227465,
  [SMALL_STATE(5250)] = 227548,
  [SMALL_STATE(5251)] = 227631,
  [SMALL_STATE(5252)] = 227714,
  [SMALL_STATE(5253)] = 227797,
  [SMALL_STATE(5254)] = 227880,
  [SMALL_STATE(5255)] = 227963,
  [SMALL_STATE(5256)] = 228060,
  [SMALL_STATE(5257)] = 228143,
  [SMALL_STATE(5258)] = 228226,
  [SMALL_STATE(5259)] = 228309,
  [SMALL_STATE(5260)] = 228392,
  [SMALL_STATE(5261)] = 228475,
  [SMALL_STATE(5262)] = 228528,
  [SMALL_STATE(5263)] = 228611,
  [SMALL_STATE(5264)] = 228694,
  [SMALL_STATE(5265)] = 228777,
  [SMALL_STATE(5266)] = 228860,
  [SMALL_STATE(5267)] = 228943,
  [SMALL_STATE(5268)] = 229026,
  [SMALL_STATE(5269)] = 229109,
  [SMALL_STATE(5270)] = 229192,
  [SMALL_STATE(5271)] = 229275,
  [SMALL_STATE(5272)] = 229372,
  [SMALL_STATE(5273)] = 229455,
  [SMALL_STATE(5274)] = 229538,
  [SMALL_STATE(5275)] = 229621,
  [SMALL_STATE(5276)] = 229718,
  [SMALL_STATE(5277)] = 229801,
  [SMALL_STATE(5278)] = 229884,
  [SMALL_STATE(5279)] = 229967,
  [SMALL_STATE(5280)] = 230064,
  [SMALL_STATE(5281)] = 230147,
  [SMALL_STATE(5282)] = 230230,
  [SMALL_STATE(5283)] = 230313,
  [SMALL_STATE(5284)] = 230396,
  [SMALL_STATE(5285)] = 230479,
  [SMALL_STATE(5286)] = 230562,
  [SMALL_STATE(5287)] = 230645,
  [SMALL_STATE(5288)] = 230728,
  [SMALL_STATE(5289)] = 230811,
  [SMALL_STATE(5290)] = 230894,
  [SMALL_STATE(5291)] = 230977,
  [SMALL_STATE(5292)] = 231030,
  [SMALL_STATE(5293)] = 231113,
  [SMALL_STATE(5294)] = 231196,
  [SMALL_STATE(5295)] = 231279,
  [SMALL_STATE(5296)] = 231376,
  [SMALL_STATE(5297)] = 231459,
  [SMALL_STATE(5298)] = 231556,
  [SMALL_STATE(5299)] = 231639,
  [SMALL_STATE(5300)] = 231722,
  [SMALL_STATE(5301)] = 231805,
  [SMALL_STATE(5302)] = 231888,
  [SMALL_STATE(5303)] = 231971,
  [SMALL_STATE(5304)] = 232068,
  [SMALL_STATE(5305)] = 232151,
  [SMALL_STATE(5306)] = 232234,
  [SMALL_STATE(5307)] = 232317,
  [SMALL_STATE(5308)] = 232400,
  [SMALL_STATE(5309)] = 232483,
  [SMALL_STATE(5310)] = 232566,
  [SMALL_STATE(5311)] = 232649,
  [SMALL_STATE(5312)] = 232732,
  [SMALL_STATE(5313)] = 232815,
  [SMALL_STATE(5314)] = 232898,
  [SMALL_STATE(5315)] = 232981,
  [SMALL_STATE(5316)] = 233064,
  [SMALL_STATE(5317)] = 233147,
  [SMALL_STATE(5318)] = 233230,
  [SMALL_STATE(5319)] = 233313,
  [SMALL_STATE(5320)] = 233396,
  [SMALL_STATE(5321)] = 233479,
  [SMALL_STATE(5322)] = 233562,
  [SMALL_STATE(5323)] = 233645,
  [SMALL_STATE(5324)] = 233728,
  [SMALL_STATE(5325)] = 233811,
  [SMALL_STATE(5326)] = 233894,
  [SMALL_STATE(5327)] = 233977,
  [SMALL_STATE(5328)] = 234074,
  [SMALL_STATE(5329)] = 234157,
  [SMALL_STATE(5330)] = 234240,
  [SMALL_STATE(5331)] = 234337,
  [SMALL_STATE(5332)] = 234420,
  [SMALL_STATE(5333)] = 234503,
  [SMALL_STATE(5334)] = 234586,
  [SMALL_STATE(5335)] = 234669,
  [SMALL_STATE(5336)] = 234722,
  [SMALL_STATE(5337)] = 234805,
  [SMALL_STATE(5338)] = 234888,
  [SMALL_STATE(5339)] = 234971,
  [SMALL_STATE(5340)] = 235054,
  [SMALL_STATE(5341)] = 235137,
  [SMALL_STATE(5342)] = 235220,
  [SMALL_STATE(5343)] = 235303,
  [SMALL_STATE(5344)] = 235386,
  [SMALL_STATE(5345)] = 235469,
  [SMALL_STATE(5346)] = 235552,
  [SMALL_STATE(5347)] = 235635,
  [SMALL_STATE(5348)] = 235718,
  [SMALL_STATE(5349)] = 235801,
  [SMALL_STATE(5350)] = 235898,
  [SMALL_STATE(5351)] = 235981,
  [SMALL_STATE(5352)] = 236064,
  [SMALL_STATE(5353)] = 236147,
  [SMALL_STATE(5354)] = 236230,
  [SMALL_STATE(5355)] = 236313,
  [SMALL_STATE(5356)] = 236396,
  [SMALL_STATE(5357)] = 236479,
  [SMALL_STATE(5358)] = 236562,
  [SMALL_STATE(5359)] = 236645,
  [SMALL_STATE(5360)] = 236728,
  [SMALL_STATE(5361)] = 236825,
  [SMALL_STATE(5362)] = 236908,
  [SMALL_STATE(5363)] = 236991,
  [SMALL_STATE(5364)] = 237074,
  [SMALL_STATE(5365)] = 237171,
  [SMALL_STATE(5366)] = 237254,
  [SMALL_STATE(5367)] = 237337,
  [SMALL_STATE(5368)] = 237420,
  [SMALL_STATE(5369)] = 237503,
  [SMALL_STATE(5370)] = 237586,
  [SMALL_STATE(5371)] = 237639,
  [SMALL_STATE(5372)] = 237722,
  [SMALL_STATE(5373)] = 237805,
  [SMALL_STATE(5374)] = 237888,
  [SMALL_STATE(5375)] = 237971,
  [SMALL_STATE(5376)] = 238054,
  [SMALL_STATE(5377)] = 238137,
  [SMALL_STATE(5378)] = 238220,
  [SMALL_STATE(5379)] = 238303,
  [SMALL_STATE(5380)] = 238386,
  [SMALL_STATE(5381)] = 238469,
  [SMALL_STATE(5382)] = 238552,
  [SMALL_STATE(5383)] = 238649,
  [SMALL_STATE(5384)] = 238732,
  [SMALL_STATE(5385)] = 238815,
  [SMALL_STATE(5386)] = 238898,
  [SMALL_STATE(5387)] = 238981,
  [SMALL_STATE(5388)] = 239064,
  [SMALL_STATE(5389)] = 239117,
  [SMALL_STATE(5390)] = 239200,
  [SMALL_STATE(5391)] = 239283,
  [SMALL_STATE(5392)] = 239366,
  [SMALL_STATE(5393)] = 239449,
  [SMALL_STATE(5394)] = 239532,
  [SMALL_STATE(5395)] = 239615,
  [SMALL_STATE(5396)] = 239698,
  [SMALL_STATE(5397)] = 239795,
  [SMALL_STATE(5398)] = 239878,
  [SMALL_STATE(5399)] = 239961,
  [SMALL_STATE(5400)] = 240058,
  [SMALL_STATE(5401)] = 240155,
  [SMALL_STATE(5402)] = 240238,
  [SMALL_STATE(5403)] = 240335,
  [SMALL_STATE(5404)] = 240418,
  [SMALL_STATE(5405)] = 240501,
  [SMALL_STATE(5406)] = 240584,
  [SMALL_STATE(5407)] = 240667,
  [SMALL_STATE(5408)] = 240750,
  [SMALL_STATE(5409)] = 240833,
  [SMALL_STATE(5410)] = 240916,
  [SMALL_STATE(5411)] = 240999,
  [SMALL_STATE(5412)] = 241082,
  [SMALL_STATE(5413)] = 241165,
  [SMALL_STATE(5414)] = 241248,
  [SMALL_STATE(5415)] = 241331,
  [SMALL_STATE(5416)] = 241414,
  [SMALL_STATE(5417)] = 241509,
  [SMALL_STATE(5418)] = 241592,
  [SMALL_STATE(5419)] = 241675,
  [SMALL_STATE(5420)] = 241758,
  [SMALL_STATE(5421)] = 241841,
  [SMALL_STATE(5422)] = 241924,
  [SMALL_STATE(5423)] = 242007,
  [SMALL_STATE(5424)] = 242090,
  [SMALL_STATE(5425)] = 242173,
  [SMALL_STATE(5426)] = 242256,
  [SMALL_STATE(5427)] = 242339,
  [SMALL_STATE(5428)] = 242422,
  [SMALL_STATE(5429)] = 242505,
  [SMALL_STATE(5430)] = 242588,
  [SMALL_STATE(5431)] = 242641,
  [SMALL_STATE(5432)] = 242724,
  [SMALL_STATE(5433)] = 242807,
  [SMALL_STATE(5434)] = 242890,
  [SMALL_STATE(5435)] = 242973,
  [SMALL_STATE(5436)] = 243056,
  [SMALL_STATE(5437)] = 243139,
  [SMALL_STATE(5438)] = 243222,
  [SMALL_STATE(5439)] = 243305,
  [SMALL_STATE(5440)] = 243388,
  [SMALL_STATE(5441)] = 243471,
  [SMALL_STATE(5442)] = 243554,
  [SMALL_STATE(5443)] = 243637,
  [SMALL_STATE(5444)] = 243734,
  [SMALL_STATE(5445)] = 243817,
  [SMALL_STATE(5446)] = 243900,
  [SMALL_STATE(5447)] = 243983,
  [SMALL_STATE(5448)] = 244066,
  [SMALL_STATE(5449)] = 244149,
  [SMALL_STATE(5450)] = 244232,
  [SMALL_STATE(5451)] = 244315,
  [SMALL_STATE(5452)] = 244398,
  [SMALL_STATE(5453)] = 244481,
  [SMALL_STATE(5454)] = 244564,
  [SMALL_STATE(5455)] = 244647,
  [SMALL_STATE(5456)] = 244730,
  [SMALL_STATE(5457)] = 244813,
  [SMALL_STATE(5458)] = 244896,
  [SMALL_STATE(5459)] = 244979,
  [SMALL_STATE(5460)] = 245062,
  [SMALL_STATE(5461)] = 245145,
  [SMALL_STATE(5462)] = 245228,
  [SMALL_STATE(5463)] = 245311,
  [SMALL_STATE(5464)] = 245394,
  [SMALL_STATE(5465)] = 245477,
  [SMALL_STATE(5466)] = 245560,
  [SMALL_STATE(5467)] = 245643,
  [SMALL_STATE(5468)] = 245726,
  [SMALL_STATE(5469)] = 245809,
  [SMALL_STATE(5470)] = 245892,
  [SMALL_STATE(5471)] = 245975,
  [SMALL_STATE(5472)] = 246058,
  [SMALL_STATE(5473)] = 246141,
  [SMALL_STATE(5474)] = 246224,
  [SMALL_STATE(5475)] = 246307,
  [SMALL_STATE(5476)] = 246390,
  [SMALL_STATE(5477)] = 246473,
  [SMALL_STATE(5478)] = 246526,
  [SMALL_STATE(5479)] = 246609,
  [SMALL_STATE(5480)] = 246692,
  [SMALL_STATE(5481)] = 246789,
  [SMALL_STATE(5482)] = 246872,
  [SMALL_STATE(5483)] = 246955,
  [SMALL_STATE(5484)] = 247038,
  [SMALL_STATE(5485)] = 247135,
  [SMALL_STATE(5486)] = 247218,
  [SMALL_STATE(5487)] = 247301,
  [SMALL_STATE(5488)] = 247384,
  [SMALL_STATE(5489)] = 247467,
  [SMALL_STATE(5490)] = 247550,
  [SMALL_STATE(5491)] = 247633,
  [SMALL_STATE(5492)] = 247716,
  [SMALL_STATE(5493)] = 247813,
  [SMALL_STATE(5494)] = 247896,
  [SMALL_STATE(5495)] = 247979,
  [SMALL_STATE(5496)] = 248073,
  [SMALL_STATE(5497)] = 248167,
  [SMALL_STATE(5498)] = 248261,
  [SMALL_STATE(5499)] = 248355,
  [SMALL_STATE(5500)] = 248445,
  [SMALL_STATE(5501)] = 248539,
  [SMALL_STATE(5502)] = 248633,
  [SMALL_STATE(5503)] = 248727,
  [SMALL_STATE(5504)] = 248821,
  [SMALL_STATE(5505)] = 248915,
  [SMALL_STATE(5506)] = 249009,
  [SMALL_STATE(5507)] = 249103,
  [SMALL_STATE(5508)] = 249197,
  [SMALL_STATE(5509)] = 249291,
  [SMALL_STATE(5510)] = 249385,
  [SMALL_STATE(5511)] = 249479,
  [SMALL_STATE(5512)] = 249573,
  [SMALL_STATE(5513)] = 249667,
  [SMALL_STATE(5514)] = 249761,
  [SMALL_STATE(5515)] = 249855,
  [SMALL_STATE(5516)] = 249949,
  [SMALL_STATE(5517)] = 250039,
  [SMALL_STATE(5518)] = 250133,
  [SMALL_STATE(5519)] = 250227,
  [SMALL_STATE(5520)] = 250321,
  [SMALL_STATE(5521)] = 250415,
  [SMALL_STATE(5522)] = 250509,
  [SMALL_STATE(5523)] = 250603,
  [SMALL_STATE(5524)] = 250697,
  [SMALL_STATE(5525)] = 250791,
  [SMALL_STATE(5526)] = 250885,
  [SMALL_STATE(5527)] = 250979,
  [SMALL_STATE(5528)] = 251073,
  [SMALL_STATE(5529)] = 251119,
  [SMALL_STATE(5530)] = 251213,
  [SMALL_STATE(5531)] = 251307,
  [SMALL_STATE(5532)] = 251401,
  [SMALL_STATE(5533)] = 251493,
  [SMALL_STATE(5534)] = 251587,
  [SMALL_STATE(5535)] = 251681,
  [SMALL_STATE(5536)] = 251775,
  [SMALL_STATE(5537)] = 251869,
  [SMALL_STATE(5538)] = 251963,
  [SMALL_STATE(5539)] = 252057,
  [SMALL_STATE(5540)] = 252151,
  [SMALL_STATE(5541)] = 252245,
  [SMALL_STATE(5542)] = 252339,
  [SMALL_STATE(5543)] = 252433,
  [SMALL_STATE(5544)] = 252527,
  [SMALL_STATE(5545)] = 252621,
  [SMALL_STATE(5546)] = 252715,
  [SMALL_STATE(5547)] = 252809,
  [SMALL_STATE(5548)] = 252903,
  [SMALL_STATE(5549)] = 252997,
  [SMALL_STATE(5550)] = 253091,
  [SMALL_STATE(5551)] = 253185,
  [SMALL_STATE(5552)] = 253279,
  [SMALL_STATE(5553)] = 253373,
  [SMALL_STATE(5554)] = 253467,
  [SMALL_STATE(5555)] = 253561,
  [SMALL_STATE(5556)] = 253655,
  [SMALL_STATE(5557)] = 253749,
  [SMALL_STATE(5558)] = 253843,
  [SMALL_STATE(5559)] = 253937,
  [SMALL_STATE(5560)] = 254031,
  [SMALL_STATE(5561)] = 254125,
  [SMALL_STATE(5562)] = 254219,
  [SMALL_STATE(5563)] = 254313,
  [SMALL_STATE(5564)] = 254407,
  [SMALL_STATE(5565)] = 254501,
  [SMALL_STATE(5566)] = 254595,
  [SMALL_STATE(5567)] = 254687,
  [SMALL_STATE(5568)] = 254781,
  [SMALL_STATE(5569)] = 254875,
  [SMALL_STATE(5570)] = 254969,
  [SMALL_STATE(5571)] = 255063,
  [SMALL_STATE(5572)] = 255157,
  [SMALL_STATE(5573)] = 255251,
  [SMALL_STATE(5574)] = 255345,
  [SMALL_STATE(5575)] = 255439,
  [SMALL_STATE(5576)] = 255533,
  [SMALL_STATE(5577)] = 255627,
  [SMALL_STATE(5578)] = 255721,
  [SMALL_STATE(5579)] = 255815,
  [SMALL_STATE(5580)] = 255909,
  [SMALL_STATE(5581)] = 256003,
  [SMALL_STATE(5582)] = 256097,
  [SMALL_STATE(5583)] = 256191,
  [SMALL_STATE(5584)] = 256285,
  [SMALL_STATE(5585)] = 256379,
  [SMALL_STATE(5586)] = 256473,
  [SMALL_STATE(5587)] = 256567,
  [SMALL_STATE(5588)] = 256661,
  [SMALL_STATE(5589)] = 256755,
  [SMALL_STATE(5590)] = 256849,
  [SMALL_STATE(5591)] = 256943,
  [SMALL_STATE(5592)] = 257037,
  [SMALL_STATE(5593)] = 257131,
  [SMALL_STATE(5594)] = 257225,
  [SMALL_STATE(5595)] = 257319,
  [SMALL_STATE(5596)] = 257413,
  [SMALL_STATE(5597)] = 257507,
  [SMALL_STATE(5598)] = 257601,
  [SMALL_STATE(5599)] = 257690,
  [SMALL_STATE(5600)] = 257779,
  [SMALL_STATE(5601)] = 257828,
  [SMALL_STATE(5602)] = 257877,
  [SMALL_STATE(5603)] = 257968,
  [SMALL_STATE(5604)] = 258059,
  [SMALL_STATE(5605)] = 258150,
  [SMALL_STATE(5606)] = 258241,
  [SMALL_STATE(5607)] = 258290,
  [SMALL_STATE(5608)] = 258381,
  [SMALL_STATE(5609)] = 258470,
  [SMALL_STATE(5610)] = 258561,
  [SMALL_STATE(5611)] = 258652,
  [SMALL_STATE(5612)] = 258741,
  [SMALL_STATE(5613)] = 258832,
  [SMALL_STATE(5614)] = 258881,
  [SMALL_STATE(5615)] = 258970,
  [SMALL_STATE(5616)] = 259059,
  [SMALL_STATE(5617)] = 259150,
  [SMALL_STATE(5618)] = 259239,
  [SMALL_STATE(5619)] = 259288,
  [SMALL_STATE(5620)] = 259337,
  [SMALL_STATE(5621)] = 259426,
  [SMALL_STATE(5622)] = 259517,
  [SMALL_STATE(5623)] = 259566,
  [SMALL_STATE(5624)] = 259657,
  [SMALL_STATE(5625)] = 259706,
  [SMALL_STATE(5626)] = 259797,
  [SMALL_STATE(5627)] = 259886,
  [SMALL_STATE(5628)] = 259977,
  [SMALL_STATE(5629)] = 260066,
  [SMALL_STATE(5630)] = 260157,
  [SMALL_STATE(5631)] = 260246,
  [SMALL_STATE(5632)] = 260295,
  [SMALL_STATE(5633)] = 260386,
  [SMALL_STATE(5634)] = 260475,
  [SMALL_STATE(5635)] = 260566,
  [SMALL_STATE(5636)] = 260655,
  [SMALL_STATE(5637)] = 260704,
  [SMALL_STATE(5638)] = 260753,
  [SMALL_STATE(5639)] = 260844,
  [SMALL_STATE(5640)] = 260933,
  [SMALL_STATE(5641)] = 260982,
  [SMALL_STATE(5642)] = 261073,
  [SMALL_STATE(5643)] = 261164,
  [SMALL_STATE(5644)] = 261255,
  [SMALL_STATE(5645)] = 261304,
  [SMALL_STATE(5646)] = 261393,
  [SMALL_STATE(5647)] = 261442,
  [SMALL_STATE(5648)] = 261531,
  [SMALL_STATE(5649)] = 261622,
  [SMALL_STATE(5650)] = 261671,
  [SMALL_STATE(5651)] = 261760,
  [SMALL_STATE(5652)] = 261809,
  [SMALL_STATE(5653)] = 261898,
  [SMALL_STATE(5654)] = 261986,
  [SMALL_STATE(5655)] = 262074,
  [SMALL_STATE(5656)] = 262162,
  [SMALL_STATE(5657)] = 262250,
  [SMALL_STATE(5658)] = 262338,
  [SMALL_STATE(5659)] = 262426,
  [SMALL_STATE(5660)] = 262514,
  [SMALL_STATE(5661)] = 262602,
  [SMALL_STATE(5662)] = 262690,
  [SMALL_STATE(5663)] = 262778,
  [SMALL_STATE(5664)] = 262866,
  [SMALL_STATE(5665)] = 262954,
  [SMALL_STATE(5666)] = 263042,
  [SMALL_STATE(5667)] = 263130,
  [SMALL_STATE(5668)] = 263218,
  [SMALL_STATE(5669)] = 263306,
  [SMALL_STATE(5670)] = 263394,
  [SMALL_STATE(5671)] = 263482,
  [SMALL_STATE(5672)] = 263570,
  [SMALL_STATE(5673)] = 263658,
  [SMALL_STATE(5674)] = 263746,
  [SMALL_STATE(5675)] = 263834,
  [SMALL_STATE(5676)] = 263922,
  [SMALL_STATE(5677)] = 264010,
  [SMALL_STATE(5678)] = 264098,
  [SMALL_STATE(5679)] = 264186,
  [SMALL_STATE(5680)] = 264274,
  [SMALL_STATE(5681)] = 264362,
  [SMALL_STATE(5682)] = 264450,
  [SMALL_STATE(5683)] = 264538,
  [SMALL_STATE(5684)] = 264626,
  [SMALL_STATE(5685)] = 264714,
  [SMALL_STATE(5686)] = 264802,
  [SMALL_STATE(5687)] = 264890,
  [SMALL_STATE(5688)] = 264978,
  [SMALL_STATE(5689)] = 265066,
  [SMALL_STATE(5690)] = 265154,
  [SMALL_STATE(5691)] = 265242,
  [SMALL_STATE(5692)] = 265330,
  [SMALL_STATE(5693)] = 265418,
  [SMALL_STATE(5694)] = 265506,
  [SMALL_STATE(5695)] = 265594,
  [SMALL_STATE(5696)] = 265682,
  [SMALL_STATE(5697)] = 265770,
  [SMALL_STATE(5698)] = 265858,
  [SMALL_STATE(5699)] = 265946,
  [SMALL_STATE(5700)] = 266034,
  [SMALL_STATE(5701)] = 266122,
  [SMALL_STATE(5702)] = 266210,
  [SMALL_STATE(5703)] = 266298,
  [SMALL_STATE(5704)] = 266386,
  [SMALL_STATE(5705)] = 266474,
  [SMALL_STATE(5706)] = 266562,
  [SMALL_STATE(5707)] = 266650,
  [SMALL_STATE(5708)] = 266738,
  [SMALL_STATE(5709)] = 266826,
  [SMALL_STATE(5710)] = 266914,
  [SMALL_STATE(5711)] = 267002,
  [SMALL_STATE(5712)] = 267090,
  [SMALL_STATE(5713)] = 267178,
  [SMALL_STATE(5714)] = 267266,
  [SMALL_STATE(5715)] = 267354,
  [SMALL_STATE(5716)] = 267442,
  [SMALL_STATE(5717)] = 267530,
  [SMALL_STATE(5718)] = 267618,
  [SMALL_STATE(5719)] = 267706,
  [SMALL_STATE(5720)] = 267794,
  [SMALL_STATE(5721)] = 267882,
  [SMALL_STATE(5722)] = 267970,
  [SMALL_STATE(5723)] = 268058,
  [SMALL_STATE(5724)] = 268146,
  [SMALL_STATE(5725)] = 268234,
  [SMALL_STATE(5726)] = 268322,
  [SMALL_STATE(5727)] = 268410,
  [SMALL_STATE(5728)] = 268498,
  [SMALL_STATE(5729)] = 268586,
  [SMALL_STATE(5730)] = 268674,
  [SMALL_STATE(5731)] = 268762,
  [SMALL_STATE(5732)] = 268850,
  [SMALL_STATE(5733)] = 268938,
  [SMALL_STATE(5734)] = 269026,
  [SMALL_STATE(5735)] = 269114,
  [SMALL_STATE(5736)] = 269202,
  [SMALL_STATE(5737)] = 269290,
  [SMALL_STATE(5738)] = 269378,
  [SMALL_STATE(5739)] = 269466,
  [SMALL_STATE(5740)] = 269554,
  [SMALL_STATE(5741)] = 269642,
  [SMALL_STATE(5742)] = 269730,
  [SMALL_STATE(5743)] = 269818,
  [SMALL_STATE(5744)] = 269906,
  [SMALL_STATE(5745)] = 269994,
  [SMALL_STATE(5746)] = 270082,
  [SMALL_STATE(5747)] = 270170,
  [SMALL_STATE(5748)] = 270258,
  [SMALL_STATE(5749)] = 270346,
  [SMALL_STATE(5750)] = 270434,
  [SMALL_STATE(5751)] = 270522,
  [SMALL_STATE(5752)] = 270610,
  [SMALL_STATE(5753)] = 270698,
  [SMALL_STATE(5754)] = 270786,
  [SMALL_STATE(5755)] = 270874,
  [SMALL_STATE(5756)] = 270962,
  [SMALL_STATE(5757)] = 271050,
  [SMALL_STATE(5758)] = 271138,
  [SMALL_STATE(5759)] = 271226,
  [SMALL_STATE(5760)] = 271314,
  [SMALL_STATE(5761)] = 271402,
  [SMALL_STATE(5762)] = 271490,
  [SMALL_STATE(5763)] = 271578,
  [SMALL_STATE(5764)] = 271666,
  [SMALL_STATE(5765)] = 271754,
  [SMALL_STATE(5766)] = 271842,
  [SMALL_STATE(5767)] = 271930,
  [SMALL_STATE(5768)] = 272018,
  [SMALL_STATE(5769)] = 272106,
  [SMALL_STATE(5770)] = 272194,
  [SMALL_STATE(5771)] = 272282,
  [SMALL_STATE(5772)] = 272370,
  [SMALL_STATE(5773)] = 272458,
  [SMALL_STATE(5774)] = 272546,
  [SMALL_STATE(5775)] = 272634,
  [SMALL_STATE(5776)] = 272722,
  [SMALL_STATE(5777)] = 272810,
  [SMALL_STATE(5778)] = 272898,
  [SMALL_STATE(5779)] = 272986,
  [SMALL_STATE(5780)] = 273074,
  [SMALL_STATE(5781)] = 273162,
  [SMALL_STATE(5782)] = 273250,
  [SMALL_STATE(5783)] = 273338,
  [SMALL_STATE(5784)] = 273426,
  [SMALL_STATE(5785)] = 273514,
  [SMALL_STATE(5786)] = 273602,
  [SMALL_STATE(5787)] = 273690,
  [SMALL_STATE(5788)] = 273778,
  [SMALL_STATE(5789)] = 273866,
  [SMALL_STATE(5790)] = 273954,
  [SMALL_STATE(5791)] = 274042,
  [SMALL_STATE(5792)] = 274130,
  [SMALL_STATE(5793)] = 274218,
  [SMALL_STATE(5794)] = 274306,
  [SMALL_STATE(5795)] = 274394,
  [SMALL_STATE(5796)] = 274482,
  [SMALL_STATE(5797)] = 274570,
  [SMALL_STATE(5798)] = 274658,
  [SMALL_STATE(5799)] = 274746,
  [SMALL_STATE(5800)] = 274834,
  [SMALL_STATE(5801)] = 274922,
  [SMALL_STATE(5802)] = 275010,
  [SMALL_STATE(5803)] = 275098,
  [SMALL_STATE(5804)] = 275186,
  [SMALL_STATE(5805)] = 275274,
  [SMALL_STATE(5806)] = 275362,
  [SMALL_STATE(5807)] = 275450,
  [SMALL_STATE(5808)] = 275538,
  [SMALL_STATE(5809)] = 275626,
  [SMALL_STATE(5810)] = 275714,
  [SMALL_STATE(5811)] = 275802,
  [SMALL_STATE(5812)] = 275890,
  [SMALL_STATE(5813)] = 275978,
  [SMALL_STATE(5814)] = 276066,
  [SMALL_STATE(5815)] = 276154,
  [SMALL_STATE(5816)] = 276242,
  [SMALL_STATE(5817)] = 276330,
  [SMALL_STATE(5818)] = 276418,
  [SMALL_STATE(5819)] = 276506,
  [SMALL_STATE(5820)] = 276594,
  [SMALL_STATE(5821)] = 276682,
  [SMALL_STATE(5822)] = 276770,
  [SMALL_STATE(5823)] = 276858,
  [SMALL_STATE(5824)] = 276946,
  [SMALL_STATE(5825)] = 277034,
  [SMALL_STATE(5826)] = 277122,
  [SMALL_STATE(5827)] = 277210,
  [SMALL_STATE(5828)] = 277298,
  [SMALL_STATE(5829)] = 277386,
  [SMALL_STATE(5830)] = 277474,
  [SMALL_STATE(5831)] = 277562,
  [SMALL_STATE(5832)] = 277650,
  [SMALL_STATE(5833)] = 277738,
  [SMALL_STATE(5834)] = 277826,
  [SMALL_STATE(5835)] = 277914,
  [SMALL_STATE(5836)] = 278002,
  [SMALL_STATE(5837)] = 278090,
  [SMALL_STATE(5838)] = 278178,
  [SMALL_STATE(5839)] = 278266,
  [SMALL_STATE(5840)] = 278354,
  [SMALL_STATE(5841)] = 278442,
  [SMALL_STATE(5842)] = 278530,
  [SMALL_STATE(5843)] = 278618,
  [SMALL_STATE(5844)] = 278706,
  [SMALL_STATE(5845)] = 278794,
  [SMALL_STATE(5846)] = 278882,
  [SMALL_STATE(5847)] = 278970,
  [SMALL_STATE(5848)] = 279058,
  [SMALL_STATE(5849)] = 279146,
  [SMALL_STATE(5850)] = 279234,
  [SMALL_STATE(5851)] = 279322,
  [SMALL_STATE(5852)] = 279410,
  [SMALL_STATE(5853)] = 279498,
  [SMALL_STATE(5854)] = 279586,
  [SMALL_STATE(5855)] = 279674,
  [SMALL_STATE(5856)] = 279762,
  [SMALL_STATE(5857)] = 279850,
  [SMALL_STATE(5858)] = 279938,
  [SMALL_STATE(5859)] = 280026,
  [SMALL_STATE(5860)] = 280114,
  [SMALL_STATE(5861)] = 280202,
  [SMALL_STATE(5862)] = 280290,
  [SMALL_STATE(5863)] = 280378,
  [SMALL_STATE(5864)] = 280466,
  [SMALL_STATE(5865)] = 280554,
  [SMALL_STATE(5866)] = 280642,
  [SMALL_STATE(5867)] = 280730,
  [SMALL_STATE(5868)] = 280818,
  [SMALL_STATE(5869)] = 280906,
  [SMALL_STATE(5870)] = 280994,
  [SMALL_STATE(5871)] = 281082,
  [SMALL_STATE(5872)] = 281170,
  [SMALL_STATE(5873)] = 281258,
  [SMALL_STATE(5874)] = 281346,
  [SMALL_STATE(5875)] = 281434,
  [SMALL_STATE(5876)] = 281522,
  [SMALL_STATE(5877)] = 281610,
  [SMALL_STATE(5878)] = 281698,
  [SMALL_STATE(5879)] = 281786,
  [SMALL_STATE(5880)] = 281874,
  [SMALL_STATE(5881)] = 281962,
  [SMALL_STATE(5882)] = 282050,
  [SMALL_STATE(5883)] = 282138,
  [SMALL_STATE(5884)] = 282226,
  [SMALL_STATE(5885)] = 282314,
  [SMALL_STATE(5886)] = 282402,
  [SMALL_STATE(5887)] = 282490,
  [SMALL_STATE(5888)] = 282578,
  [SMALL_STATE(5889)] = 282666,
  [SMALL_STATE(5890)] = 282754,
  [SMALL_STATE(5891)] = 282842,
  [SMALL_STATE(5892)] = 282930,
  [SMALL_STATE(5893)] = 283018,
  [SMALL_STATE(5894)] = 283106,
  [SMALL_STATE(5895)] = 283194,
  [SMALL_STATE(5896)] = 283282,
  [SMALL_STATE(5897)] = 283370,
  [SMALL_STATE(5898)] = 283458,
  [SMALL_STATE(5899)] = 283546,
  [SMALL_STATE(5900)] = 283634,
  [SMALL_STATE(5901)] = 283722,
  [SMALL_STATE(5902)] = 283810,
  [SMALL_STATE(5903)] = 283898,
  [SMALL_STATE(5904)] = 283986,
  [SMALL_STATE(5905)] = 284074,
  [SMALL_STATE(5906)] = 284162,
  [SMALL_STATE(5907)] = 284250,
  [SMALL_STATE(5908)] = 284338,
  [SMALL_STATE(5909)] = 284426,
  [SMALL_STATE(5910)] = 284514,
  [SMALL_STATE(5911)] = 284602,
  [SMALL_STATE(5912)] = 284690,
  [SMALL_STATE(5913)] = 284778,
  [SMALL_STATE(5914)] = 284866,
  [SMALL_STATE(5915)] = 284954,
  [SMALL_STATE(5916)] = 285042,
  [SMALL_STATE(5917)] = 285130,
  [SMALL_STATE(5918)] = 285218,
  [SMALL_STATE(5919)] = 285306,
  [SMALL_STATE(5920)] = 285394,
  [SMALL_STATE(5921)] = 285482,
  [SMALL_STATE(5922)] = 285570,
  [SMALL_STATE(5923)] = 285658,
  [SMALL_STATE(5924)] = 285746,
  [SMALL_STATE(5925)] = 285834,
  [SMALL_STATE(5926)] = 285922,
  [SMALL_STATE(5927)] = 286010,
  [SMALL_STATE(5928)] = 286098,
  [SMALL_STATE(5929)] = 286186,
  [SMALL_STATE(5930)] = 286274,
  [SMALL_STATE(5931)] = 286362,
  [SMALL_STATE(5932)] = 286450,
  [SMALL_STATE(5933)] = 286538,
  [SMALL_STATE(5934)] = 286626,
  [SMALL_STATE(5935)] = 286714,
  [SMALL_STATE(5936)] = 286802,
  [SMALL_STATE(5937)] = 286890,
  [SMALL_STATE(5938)] = 286978,
  [SMALL_STATE(5939)] = 287066,
  [SMALL_STATE(5940)] = 287154,
  [SMALL_STATE(5941)] = 287242,
  [SMALL_STATE(5942)] = 287330,
  [SMALL_STATE(5943)] = 287418,
  [SMALL_STATE(5944)] = 287506,
  [SMALL_STATE(5945)] = 287594,
  [SMALL_STATE(5946)] = 287682,
  [SMALL_STATE(5947)] = 287770,
  [SMALL_STATE(5948)] = 287858,
  [SMALL_STATE(5949)] = 287946,
  [SMALL_STATE(5950)] = 288034,
  [SMALL_STATE(5951)] = 288122,
  [SMALL_STATE(5952)] = 288210,
  [SMALL_STATE(5953)] = 288298,
  [SMALL_STATE(5954)] = 288386,
  [SMALL_STATE(5955)] = 288474,
  [SMALL_STATE(5956)] = 288562,
  [SMALL_STATE(5957)] = 288650,
  [SMALL_STATE(5958)] = 288738,
  [SMALL_STATE(5959)] = 288826,
  [SMALL_STATE(5960)] = 288914,
  [SMALL_STATE(5961)] = 289002,
  [SMALL_STATE(5962)] = 289090,
  [SMALL_STATE(5963)] = 289178,
  [SMALL_STATE(5964)] = 289266,
  [SMALL_STATE(5965)] = 289354,
  [SMALL_STATE(5966)] = 289442,
  [SMALL_STATE(5967)] = 289530,
  [SMALL_STATE(5968)] = 289618,
  [SMALL_STATE(5969)] = 289706,
  [SMALL_STATE(5970)] = 289794,
  [SMALL_STATE(5971)] = 289882,
  [SMALL_STATE(5972)] = 289970,
  [SMALL_STATE(5973)] = 290058,
  [SMALL_STATE(5974)] = 290146,
  [SMALL_STATE(5975)] = 290234,
  [SMALL_STATE(5976)] = 290322,
  [SMALL_STATE(5977)] = 290410,
  [SMALL_STATE(5978)] = 290498,
  [SMALL_STATE(5979)] = 290586,
  [SMALL_STATE(5980)] = 290674,
  [SMALL_STATE(5981)] = 290762,
  [SMALL_STATE(5982)] = 290850,
  [SMALL_STATE(5983)] = 290938,
  [SMALL_STATE(5984)] = 291026,
  [SMALL_STATE(5985)] = 291114,
  [SMALL_STATE(5986)] = 291202,
  [SMALL_STATE(5987)] = 291290,
  [SMALL_STATE(5988)] = 291378,
  [SMALL_STATE(5989)] = 291466,
  [SMALL_STATE(5990)] = 291554,
  [SMALL_STATE(5991)] = 291642,
  [SMALL_STATE(5992)] = 291730,
  [SMALL_STATE(5993)] = 291818,
  [SMALL_STATE(5994)] = 291906,
  [SMALL_STATE(5995)] = 291994,
  [SMALL_STATE(5996)] = 292082,
  [SMALL_STATE(5997)] = 292170,
  [SMALL_STATE(5998)] = 292258,
  [SMALL_STATE(5999)] = 292346,
  [SMALL_STATE(6000)] = 292434,
  [SMALL_STATE(6001)] = 292522,
  [SMALL_STATE(6002)] = 292610,
  [SMALL_STATE(6003)] = 292698,
  [SMALL_STATE(6004)] = 292786,
  [SMALL_STATE(6005)] = 292874,
  [SMALL_STATE(6006)] = 292962,
  [SMALL_STATE(6007)] = 293050,
  [SMALL_STATE(6008)] = 293138,
  [SMALL_STATE(6009)] = 293226,
  [SMALL_STATE(6010)] = 293314,
  [SMALL_STATE(6011)] = 293402,
  [SMALL_STATE(6012)] = 293490,
  [SMALL_STATE(6013)] = 293578,
  [SMALL_STATE(6014)] = 293666,
  [SMALL_STATE(6015)] = 293754,
  [SMALL_STATE(6016)] = 293842,
  [SMALL_STATE(6017)] = 293930,
  [SMALL_STATE(6018)] = 294018,
  [SMALL_STATE(6019)] = 294106,
  [SMALL_STATE(6020)] = 294194,
  [SMALL_STATE(6021)] = 294282,
  [SMALL_STATE(6022)] = 294370,
  [SMALL_STATE(6023)] = 294458,
  [SMALL_STATE(6024)] = 294546,
  [SMALL_STATE(6025)] = 294634,
  [SMALL_STATE(6026)] = 294722,
  [SMALL_STATE(6027)] = 294810,
  [SMALL_STATE(6028)] = 294898,
  [SMALL_STATE(6029)] = 294986,
  [SMALL_STATE(6030)] = 295074,
  [SMALL_STATE(6031)] = 295162,
  [SMALL_STATE(6032)] = 295250,
  [SMALL_STATE(6033)] = 295338,
  [SMALL_STATE(6034)] = 295426,
  [SMALL_STATE(6035)] = 295514,
  [SMALL_STATE(6036)] = 295602,
  [SMALL_STATE(6037)] = 295690,
  [SMALL_STATE(6038)] = 295778,
  [SMALL_STATE(6039)] = 295866,
  [SMALL_STATE(6040)] = 295954,
  [SMALL_STATE(6041)] = 296042,
  [SMALL_STATE(6042)] = 296130,
  [SMALL_STATE(6043)] = 296218,
  [SMALL_STATE(6044)] = 296306,
  [SMALL_STATE(6045)] = 296394,
  [SMALL_STATE(6046)] = 296482,
  [SMALL_STATE(6047)] = 296570,
  [SMALL_STATE(6048)] = 296658,
  [SMALL_STATE(6049)] = 296746,
  [SMALL_STATE(6050)] = 296834,
  [SMALL_STATE(6051)] = 296922,
  [SMALL_STATE(6052)] = 297010,
  [SMALL_STATE(6053)] = 297098,
  [SMALL_STATE(6054)] = 297186,
  [SMALL_STATE(6055)] = 297274,
  [SMALL_STATE(6056)] = 297362,
  [SMALL_STATE(6057)] = 297450,
  [SMALL_STATE(6058)] = 297538,
  [SMALL_STATE(6059)] = 297626,
  [SMALL_STATE(6060)] = 297669,
  [SMALL_STATE(6061)] = 297712,
  [SMALL_STATE(6062)] = 297797,
  [SMALL_STATE(6063)] = 297840,
  [SMALL_STATE(6064)] = 297883,
  [SMALL_STATE(6065)] = 297926,
  [SMALL_STATE(6066)] = 297990,
  [SMALL_STATE(6067)] = 298054,
  [SMALL_STATE(6068)] = 298118,
  [SMALL_STATE(6069)] = 298182,
  [SMALL_STATE(6070)] = 298246,
  [SMALL_STATE(6071)] = 298310,
  [SMALL_STATE(6072)] = 298374,
  [SMALL_STATE(6073)] = 298438,
  [SMALL_STATE(6074)] = 298502,
  [SMALL_STATE(6075)] = 298566,
  [SMALL_STATE(6076)] = 298630,
  [SMALL_STATE(6077)] = 298694,
  [SMALL_STATE(6078)] = 298758,
  [SMALL_STATE(6079)] = 298822,
  [SMALL_STATE(6080)] = 298886,
  [SMALL_STATE(6081)] = 298950,
  [SMALL_STATE(6082)] = 299014,
  [SMALL_STATE(6083)] = 299078,
  [SMALL_STATE(6084)] = 299142,
  [SMALL_STATE(6085)] = 299206,
  [SMALL_STATE(6086)] = 299270,
  [SMALL_STATE(6087)] = 299307,
  [SMALL_STATE(6088)] = 299340,
  [SMALL_STATE(6089)] = 299377,
  [SMALL_STATE(6090)] = 299410,
  [SMALL_STATE(6091)] = 299452,
  [SMALL_STATE(6092)] = 299494,
  [SMALL_STATE(6093)] = 299536,
  [SMALL_STATE(6094)] = 299578,
  [SMALL_STATE(6095)] = 299612,
  [SMALL_STATE(6096)] = 299659,
  [SMALL_STATE(6097)] = 299706,
  [SMALL_STATE(6098)] = 299753,
  [SMALL_STATE(6099)] = 299794,
  [SMALL_STATE(6100)] = 299833,
  [SMALL_STATE(6101)] = 299874,
  [SMALL_STATE(6102)] = 299913,
  [SMALL_STATE(6103)] = 299946,
  [SMALL_STATE(6104)] = 299985,
  [SMALL_STATE(6105)] = 300018,
  [SMALL_STATE(6106)] = 300059,
  [SMALL_STATE(6107)] = 300098,
  [SMALL_STATE(6108)] = 300137,
  [SMALL_STATE(6109)] = 300176,
  [SMALL_STATE(6110)] = 300223,
  [SMALL_STATE(6111)] = 300264,
  [SMALL_STATE(6112)] = 300311,
  [SMALL_STATE(6113)] = 300352,
  [SMALL_STATE(6114)] = 300391,
  [SMALL_STATE(6115)] = 300430,
  [SMALL_STATE(6116)] = 300471,
  [SMALL_STATE(6117)] = 300510,
  [SMALL_STATE(6118)] = 300549,
  [SMALL_STATE(6119)] = 300588,
  [SMALL_STATE(6120)] = 300635,
  [SMALL_STATE(6121)] = 300666,
  [SMALL_STATE(6122)] = 300713,
  [SMALL_STATE(6123)] = 300760,
  [SMALL_STATE(6124)] = 300807,
  [SMALL_STATE(6125)] = 300854,
  [SMALL_STATE(6126)] = 300901,
  [SMALL_STATE(6127)] = 300948,
  [SMALL_STATE(6128)] = 300995,
  [SMALL_STATE(6129)] = 301042,
  [SMALL_STATE(6130)] = 301089,
  [SMALL_STATE(6131)] = 301130,
  [SMALL_STATE(6132)] = 301171,
  [SMALL_STATE(6133)] = 301210,
  [SMALL_STATE(6134)] = 301250,
  [SMALL_STATE(6135)] = 301290,
  [SMALL_STATE(6136)] = 301330,
  [SMALL_STATE(6137)] = 301360,
  [SMALL_STATE(6138)] = 301400,
  [SMALL_STATE(6139)] = 301438,
  [SMALL_STATE(6140)] = 301482,
  [SMALL_STATE(6141)] = 301512,
  [SMALL_STATE(6142)] = 301552,
  [SMALL_STATE(6143)] = 301592,
  [SMALL_STATE(6144)] = 301630,
  [SMALL_STATE(6145)] = 301670,
  [SMALL_STATE(6146)] = 301708,
  [SMALL_STATE(6147)] = 301746,
  [SMALL_STATE(6148)] = 301786,
  [SMALL_STATE(6149)] = 301826,
  [SMALL_STATE(6150)] = 301864,
  [SMALL_STATE(6151)] = 301902,
  [SMALL_STATE(6152)] = 301939,
  [SMALL_STATE(6153)] = 301976,
  [SMALL_STATE(6154)] = 302015,
  [SMALL_STATE(6155)] = 302052,
  [SMALL_STATE(6156)] = 302091,
  [SMALL_STATE(6157)] = 302120,
  [SMALL_STATE(6158)] = 302157,
  [SMALL_STATE(6159)] = 302196,
  [SMALL_STATE(6160)] = 302233,
  [SMALL_STATE(6161)] = 302270,
  [SMALL_STATE(6162)] = 302297,
  [SMALL_STATE(6163)] = 302324,
  [SMALL_STATE(6164)] = 302351,
  [SMALL_STATE(6165)] = 302378,
  [SMALL_STATE(6166)] = 302405,
  [SMALL_STATE(6167)] = 302444,
  [SMALL_STATE(6168)] = 302483,
  [SMALL_STATE(6169)] = 302522,
  [SMALL_STATE(6170)] = 302551,
  [SMALL_STATE(6171)] = 302588,
  [SMALL_STATE(6172)] = 302625,
  [SMALL_STATE(6173)] = 302662,
  [SMALL_STATE(6174)] = 302701,
  [SMALL_STATE(6175)] = 302738,
  [SMALL_STATE(6176)] = 302775,
  [SMALL_STATE(6177)] = 302806,
  [SMALL_STATE(6178)] = 302843,
  [SMALL_STATE(6179)] = 302882,
  [SMALL_STATE(6180)] = 302919,
  [SMALL_STATE(6181)] = 302956,
  [SMALL_STATE(6182)] = 302993,
  [SMALL_STATE(6183)] = 303022,
  [SMALL_STATE(6184)] = 303061,
  [SMALL_STATE(6185)] = 303098,
  [SMALL_STATE(6186)] = 303135,
  [SMALL_STATE(6187)] = 303172,
  [SMALL_STATE(6188)] = 303211,
  [SMALL_STATE(6189)] = 303250,
  [SMALL_STATE(6190)] = 303289,
  [SMALL_STATE(6191)] = 303325,
  [SMALL_STATE(6192)] = 303353,
  [SMALL_STATE(6193)] = 303389,
  [SMALL_STATE(6194)] = 303427,
  [SMALL_STATE(6195)] = 303465,
  [SMALL_STATE(6196)] = 303491,
  [SMALL_STATE(6197)] = 303517,
  [SMALL_STATE(6198)] = 303543,
  [SMALL_STATE(6199)] = 303571,
  [SMALL_STATE(6200)] = 303597,
  [SMALL_STATE(6201)] = 303623,
  [SMALL_STATE(6202)] = 303653,
  [SMALL_STATE(6203)] = 303693,
  [SMALL_STATE(6204)] = 303721,
  [SMALL_STATE(6205)] = 303751,
  [SMALL_STATE(6206)] = 303781,
  [SMALL_STATE(6207)] = 303810,
  [SMALL_STATE(6208)] = 303845,
  [SMALL_STATE(6209)] = 303880,
  [SMALL_STATE(6210)] = 303915,
  [SMALL_STATE(6211)] = 303950,
  [SMALL_STATE(6212)] = 303977,
  [SMALL_STATE(6213)] = 304004,
  [SMALL_STATE(6214)] = 304031,
  [SMALL_STATE(6215)] = 304068,
  [SMALL_STATE(6216)] = 304095,
  [SMALL_STATE(6217)] = 304120,
  [SMALL_STATE(6218)] = 304157,
  [SMALL_STATE(6219)] = 304184,
  [SMALL_STATE(6220)] = 304221,
  [SMALL_STATE(6221)] = 304254,
  [SMALL_STATE(6222)] = 304281,
  [SMALL_STATE(6223)] = 304308,
  [SMALL_STATE(6224)] = 304335,
  [SMALL_STATE(6225)] = 304362,
  [SMALL_STATE(6226)] = 304395,
  [SMALL_STATE(6227)] = 304422,
  [SMALL_STATE(6228)] = 304449,
  [SMALL_STATE(6229)] = 304476,
  [SMALL_STATE(6230)] = 304509,
  [SMALL_STATE(6231)] = 304534,
  [SMALL_STATE(6232)] = 304571,
  [SMALL_STATE(6233)] = 304598,
  [SMALL_STATE(6234)] = 304625,
  [SMALL_STATE(6235)] = 304652,
  [SMALL_STATE(6236)] = 304689,
  [SMALL_STATE(6237)] = 304726,
  [SMALL_STATE(6238)] = 304753,
  [SMALL_STATE(6239)] = 304780,
  [SMALL_STATE(6240)] = 304807,
  [SMALL_STATE(6241)] = 304836,
  [SMALL_STATE(6242)] = 304863,
  [SMALL_STATE(6243)] = 304898,
  [SMALL_STATE(6244)] = 304925,
  [SMALL_STATE(6245)] = 304950,
  [SMALL_STATE(6246)] = 304977,
  [SMALL_STATE(6247)] = 305004,
  [SMALL_STATE(6248)] = 305041,
  [SMALL_STATE(6249)] = 305078,
  [SMALL_STATE(6250)] = 305105,
  [SMALL_STATE(6251)] = 305132,
  [SMALL_STATE(6252)] = 305159,
  [SMALL_STATE(6253)] = 305196,
  [SMALL_STATE(6254)] = 305233,
  [SMALL_STATE(6255)] = 305266,
  [SMALL_STATE(6256)] = 305303,
  [SMALL_STATE(6257)] = 305330,
  [SMALL_STATE(6258)] = 305367,
  [SMALL_STATE(6259)] = 305394,
  [SMALL_STATE(6260)] = 305431,
  [SMALL_STATE(6261)] = 305458,
  [SMALL_STATE(6262)] = 305491,
  [SMALL_STATE(6263)] = 305524,
  [SMALL_STATE(6264)] = 305561,
  [SMALL_STATE(6265)] = 305586,
  [SMALL_STATE(6266)] = 305613,
  [SMALL_STATE(6267)] = 305640,
  [SMALL_STATE(6268)] = 305667,
  [SMALL_STATE(6269)] = 305704,
  [SMALL_STATE(6270)] = 305729,
  [SMALL_STATE(6271)] = 305756,
  [SMALL_STATE(6272)] = 305791,
  [SMALL_STATE(6273)] = 305828,
  [SMALL_STATE(6274)] = 305862,
  [SMALL_STATE(6275)] = 305896,
  [SMALL_STATE(6276)] = 305930,
  [SMALL_STATE(6277)] = 305964,
  [SMALL_STATE(6278)] = 306000,
  [SMALL_STATE(6279)] = 306038,
  [SMALL_STATE(6280)] = 306074,
  [SMALL_STATE(6281)] = 306108,
  [SMALL_STATE(6282)] = 306142,
  [SMALL_STATE(6283)] = 306176,
  [SMALL_STATE(6284)] = 306210,
  [SMALL_STATE(6285)] = 306246,
  [SMALL_STATE(6286)] = 306280,
  [SMALL_STATE(6287)] = 306316,
  [SMALL_STATE(6288)] = 306350,
  [SMALL_STATE(6289)] = 306384,
  [SMALL_STATE(6290)] = 306418,
  [SMALL_STATE(6291)] = 306452,
  [SMALL_STATE(6292)] = 306486,
  [SMALL_STATE(6293)] = 306520,
  [SMALL_STATE(6294)] = 306554,
  [SMALL_STATE(6295)] = 306588,
  [SMALL_STATE(6296)] = 306622,
  [SMALL_STATE(6297)] = 306658,
  [SMALL_STATE(6298)] = 306696,
  [SMALL_STATE(6299)] = 306730,
  [SMALL_STATE(6300)] = 306766,
  [SMALL_STATE(6301)] = 306800,
  [SMALL_STATE(6302)] = 306834,
  [SMALL_STATE(6303)] = 306868,
  [SMALL_STATE(6304)] = 306906,
  [SMALL_STATE(6305)] = 306944,
  [SMALL_STATE(6306)] = 306982,
  [SMALL_STATE(6307)] = 307020,
  [SMALL_STATE(6308)] = 307054,
  [SMALL_STATE(6309)] = 307090,
  [SMALL_STATE(6310)] = 307124,
  [SMALL_STATE(6311)] = 307160,
  [SMALL_STATE(6312)] = 307194,
  [SMALL_STATE(6313)] = 307228,
  [SMALL_STATE(6314)] = 307254,
  [SMALL_STATE(6315)] = 307290,
  [SMALL_STATE(6316)] = 307324,
  [SMALL_STATE(6317)] = 307358,
  [SMALL_STATE(6318)] = 307384,
  [SMALL_STATE(6319)] = 307418,
  [SMALL_STATE(6320)] = 307454,
  [SMALL_STATE(6321)] = 307488,
  [SMALL_STATE(6322)] = 307522,
  [SMALL_STATE(6323)] = 307556,
  [SMALL_STATE(6324)] = 307592,
  [SMALL_STATE(6325)] = 307626,
  [SMALL_STATE(6326)] = 307660,
  [SMALL_STATE(6327)] = 307683,
  [SMALL_STATE(6328)] = 307708,
  [SMALL_STATE(6329)] = 307741,
  [SMALL_STATE(6330)] = 307776,
  [SMALL_STATE(6331)] = 307809,
  [SMALL_STATE(6332)] = 307842,
  [SMALL_STATE(6333)] = 307875,
  [SMALL_STATE(6334)] = 307898,
  [SMALL_STATE(6335)] = 307921,
  [SMALL_STATE(6336)] = 307944,
  [SMALL_STATE(6337)] = 307969,
  [SMALL_STATE(6338)] = 307992,
  [SMALL_STATE(6339)] = 308015,
  [SMALL_STATE(6340)] = 308040,
  [SMALL_STATE(6341)] = 308065,
  [SMALL_STATE(6342)] = 308090,
  [SMALL_STATE(6343)] = 308113,
  [SMALL_STATE(6344)] = 308148,
  [SMALL_STATE(6345)] = 308181,
  [SMALL_STATE(6346)] = 308204,
  [SMALL_STATE(6347)] = 308227,
  [SMALL_STATE(6348)] = 308260,
  [SMALL_STATE(6349)] = 308283,
  [SMALL_STATE(6350)] = 308318,
  [SMALL_STATE(6351)] = 308342,
  [SMALL_STATE(6352)] = 308366,
  [SMALL_STATE(6353)] = 308388,
  [SMALL_STATE(6354)] = 308414,
  [SMALL_STATE(6355)] = 308438,
  [SMALL_STATE(6356)] = 308460,
  [SMALL_STATE(6357)] = 308486,
  [SMALL_STATE(6358)] = 308512,
  [SMALL_STATE(6359)] = 308536,
  [SMALL_STATE(6360)] = 308558,
  [SMALL_STATE(6361)] = 308582,
  [SMALL_STATE(6362)] = 308604,
  [SMALL_STATE(6363)] = 308628,
  [SMALL_STATE(6364)] = 308652,
  [SMALL_STATE(6365)] = 308676,
  [SMALL_STATE(6366)] = 308700,
  [SMALL_STATE(6367)] = 308726,
  [SMALL_STATE(6368)] = 308748,
  [SMALL_STATE(6369)] = 308772,
  [SMALL_STATE(6370)] = 308794,
  [SMALL_STATE(6371)] = 308816,
  [SMALL_STATE(6372)] = 308838,
  [SMALL_STATE(6373)] = 308864,
  [SMALL_STATE(6374)] = 308888,
  [SMALL_STATE(6375)] = 308912,
  [SMALL_STATE(6376)] = 308934,
  [SMALL_STATE(6377)] = 308958,
  [SMALL_STATE(6378)] = 308980,
  [SMALL_STATE(6379)] = 309009,
  [SMALL_STATE(6380)] = 309032,
  [SMALL_STATE(6381)] = 309055,
  [SMALL_STATE(6382)] = 309076,
  [SMALL_STATE(6383)] = 309097,
  [SMALL_STATE(6384)] = 309124,
  [SMALL_STATE(6385)] = 309153,
  [SMALL_STATE(6386)] = 309182,
  [SMALL_STATE(6387)] = 309205,
  [SMALL_STATE(6388)] = 309234,
  [SMALL_STATE(6389)] = 309255,
  [SMALL_STATE(6390)] = 309284,
  [SMALL_STATE(6391)] = 309313,
  [SMALL_STATE(6392)] = 309334,
  [SMALL_STATE(6393)] = 309363,
  [SMALL_STATE(6394)] = 309384,
  [SMALL_STATE(6395)] = 309405,
  [SMALL_STATE(6396)] = 309434,
  [SMALL_STATE(6397)] = 309455,
  [SMALL_STATE(6398)] = 309476,
  [SMALL_STATE(6399)] = 309497,
  [SMALL_STATE(6400)] = 309518,
  [SMALL_STATE(6401)] = 309547,
  [SMALL_STATE(6402)] = 309578,
  [SMALL_STATE(6403)] = 309599,
  [SMALL_STATE(6404)] = 309619,
  [SMALL_STATE(6405)] = 309639,
  [SMALL_STATE(6406)] = 309661,
  [SMALL_STATE(6407)] = 309681,
  [SMALL_STATE(6408)] = 309703,
  [SMALL_STATE(6409)] = 309725,
  [SMALL_STATE(6410)] = 309745,
  [SMALL_STATE(6411)] = 309767,
  [SMALL_STATE(6412)] = 309787,
  [SMALL_STATE(6413)] = 309807,
  [SMALL_STATE(6414)] = 309829,
  [SMALL_STATE(6415)] = 309851,
  [SMALL_STATE(6416)] = 309871,
  [SMALL_STATE(6417)] = 309893,
  [SMALL_STATE(6418)] = 309915,
  [SMALL_STATE(6419)] = 309937,
  [SMALL_STATE(6420)] = 309959,
  [SMALL_STATE(6421)] = 309981,
  [SMALL_STATE(6422)] = 310003,
  [SMALL_STATE(6423)] = 310025,
  [SMALL_STATE(6424)] = 310047,
  [SMALL_STATE(6425)] = 310069,
  [SMALL_STATE(6426)] = 310091,
  [SMALL_STATE(6427)] = 310111,
  [SMALL_STATE(6428)] = 310131,
  [SMALL_STATE(6429)] = 310153,
  [SMALL_STATE(6430)] = 310175,
  [SMALL_STATE(6431)] = 310195,
  [SMALL_STATE(6432)] = 310215,
  [SMALL_STATE(6433)] = 310237,
  [SMALL_STATE(6434)] = 310257,
  [SMALL_STATE(6435)] = 310277,
  [SMALL_STATE(6436)] = 310299,
  [SMALL_STATE(6437)] = 310321,
  [SMALL_STATE(6438)] = 310343,
  [SMALL_STATE(6439)] = 310363,
  [SMALL_STATE(6440)] = 310383,
  [SMALL_STATE(6441)] = 310403,
  [SMALL_STATE(6442)] = 310421,
  [SMALL_STATE(6443)] = 310443,
  [SMALL_STATE(6444)] = 310463,
  [SMALL_STATE(6445)] = 310485,
  [SMALL_STATE(6446)] = 310505,
  [SMALL_STATE(6447)] = 310532,
  [SMALL_STATE(6448)] = 310551,
  [SMALL_STATE(6449)] = 310578,
  [SMALL_STATE(6450)] = 310597,
  [SMALL_STATE(6451)] = 310616,
  [SMALL_STATE(6452)] = 310635,
  [SMALL_STATE(6453)] = 310650,
  [SMALL_STATE(6454)] = 310669,
  [SMALL_STATE(6455)] = 310688,
  [SMALL_STATE(6456)] = 310707,
  [SMALL_STATE(6457)] = 310726,
  [SMALL_STATE(6458)] = 310751,
  [SMALL_STATE(6459)] = 310770,
  [SMALL_STATE(6460)] = 310791,
  [SMALL_STATE(6461)] = 310810,
  [SMALL_STATE(6462)] = 310831,
  [SMALL_STATE(6463)] = 310850,
  [SMALL_STATE(6464)] = 310869,
  [SMALL_STATE(6465)] = 310896,
  [SMALL_STATE(6466)] = 310911,
  [SMALL_STATE(6467)] = 310932,
  [SMALL_STATE(6468)] = 310957,
  [SMALL_STATE(6469)] = 310976,
  [SMALL_STATE(6470)] = 310999,
  [SMALL_STATE(6471)] = 311018,
  [SMALL_STATE(6472)] = 311043,
  [SMALL_STATE(6473)] = 311058,
  [SMALL_STATE(6474)] = 311081,
  [SMALL_STATE(6475)] = 311100,
  [SMALL_STATE(6476)] = 311119,
  [SMALL_STATE(6477)] = 311138,
  [SMALL_STATE(6478)] = 311165,
  [SMALL_STATE(6479)] = 311192,
  [SMALL_STATE(6480)] = 311211,
  [SMALL_STATE(6481)] = 311225,
  [SMALL_STATE(6482)] = 311239,
  [SMALL_STATE(6483)] = 311257,
  [SMALL_STATE(6484)] = 311277,
  [SMALL_STATE(6485)] = 311301,
  [SMALL_STATE(6486)] = 311323,
  [SMALL_STATE(6487)] = 311337,
  [SMALL_STATE(6488)] = 311359,
  [SMALL_STATE(6489)] = 311373,
  [SMALL_STATE(6490)] = 311387,
  [SMALL_STATE(6491)] = 311401,
  [SMALL_STATE(6492)] = 311421,
  [SMALL_STATE(6493)] = 311435,
  [SMALL_STATE(6494)] = 311457,
  [SMALL_STATE(6495)] = 311477,
  [SMALL_STATE(6496)] = 311491,
  [SMALL_STATE(6497)] = 311515,
  [SMALL_STATE(6498)] = 311539,
  [SMALL_STATE(6499)] = 311563,
  [SMALL_STATE(6500)] = 311583,
  [SMALL_STATE(6501)] = 311603,
  [SMALL_STATE(6502)] = 311625,
  [SMALL_STATE(6503)] = 311649,
  [SMALL_STATE(6504)] = 311663,
  [SMALL_STATE(6505)] = 311687,
  [SMALL_STATE(6506)] = 311701,
  [SMALL_STATE(6507)] = 311719,
  [SMALL_STATE(6508)] = 311739,
  [SMALL_STATE(6509)] = 311753,
  [SMALL_STATE(6510)] = 311775,
  [SMALL_STATE(6511)] = 311799,
  [SMALL_STATE(6512)] = 311813,
  [SMALL_STATE(6513)] = 311827,
  [SMALL_STATE(6514)] = 311851,
  [SMALL_STATE(6515)] = 311871,
  [SMALL_STATE(6516)] = 311889,
  [SMALL_STATE(6517)] = 311903,
  [SMALL_STATE(6518)] = 311917,
  [SMALL_STATE(6519)] = 311941,
  [SMALL_STATE(6520)] = 311955,
  [SMALL_STATE(6521)] = 311975,
  [SMALL_STATE(6522)] = 311989,
  [SMALL_STATE(6523)] = 312013,
  [SMALL_STATE(6524)] = 312027,
  [SMALL_STATE(6525)] = 312051,
  [SMALL_STATE(6526)] = 312071,
  [SMALL_STATE(6527)] = 312093,
  [SMALL_STATE(6528)] = 312115,
  [SMALL_STATE(6529)] = 312129,
  [SMALL_STATE(6530)] = 312151,
  [SMALL_STATE(6531)] = 312165,
  [SMALL_STATE(6532)] = 312179,
  [SMALL_STATE(6533)] = 312201,
  [SMALL_STATE(6534)] = 312215,
  [SMALL_STATE(6535)] = 312237,
  [SMALL_STATE(6536)] = 312251,
  [SMALL_STATE(6537)] = 312269,
  [SMALL_STATE(6538)] = 312283,
  [SMALL_STATE(6539)] = 312297,
  [SMALL_STATE(6540)] = 312311,
  [SMALL_STATE(6541)] = 312335,
  [SMALL_STATE(6542)] = 312349,
  [SMALL_STATE(6543)] = 312363,
  [SMALL_STATE(6544)] = 312377,
  [SMALL_STATE(6545)] = 312401,
  [SMALL_STATE(6546)] = 312415,
  [SMALL_STATE(6547)] = 312439,
  [SMALL_STATE(6548)] = 312453,
  [SMALL_STATE(6549)] = 312475,
  [SMALL_STATE(6550)] = 312489,
  [SMALL_STATE(6551)] = 312513,
  [SMALL_STATE(6552)] = 312533,
  [SMALL_STATE(6553)] = 312547,
  [SMALL_STATE(6554)] = 312569,
  [SMALL_STATE(6555)] = 312593,
  [SMALL_STATE(6556)] = 312617,
  [SMALL_STATE(6557)] = 312639,
  [SMALL_STATE(6558)] = 312653,
  [SMALL_STATE(6559)] = 312667,
  [SMALL_STATE(6560)] = 312681,
  [SMALL_STATE(6561)] = 312695,
  [SMALL_STATE(6562)] = 312715,
  [SMALL_STATE(6563)] = 312729,
  [SMALL_STATE(6564)] = 312751,
  [SMALL_STATE(6565)] = 312765,
  [SMALL_STATE(6566)] = 312789,
  [SMALL_STATE(6567)] = 312811,
  [SMALL_STATE(6568)] = 312825,
  [SMALL_STATE(6569)] = 312847,
  [SMALL_STATE(6570)] = 312869,
  [SMALL_STATE(6571)] = 312883,
  [SMALL_STATE(6572)] = 312907,
  [SMALL_STATE(6573)] = 312931,
  [SMALL_STATE(6574)] = 312945,
  [SMALL_STATE(6575)] = 312959,
  [SMALL_STATE(6576)] = 312983,
  [SMALL_STATE(6577)] = 313007,
  [SMALL_STATE(6578)] = 313027,
  [SMALL_STATE(6579)] = 313051,
  [SMALL_STATE(6580)] = 313071,
  [SMALL_STATE(6581)] = 313095,
  [SMALL_STATE(6582)] = 313119,
  [SMALL_STATE(6583)] = 313143,
  [SMALL_STATE(6584)] = 313157,
  [SMALL_STATE(6585)] = 313179,
  [SMALL_STATE(6586)] = 313193,
  [SMALL_STATE(6587)] = 313215,
  [SMALL_STATE(6588)] = 313239,
  [SMALL_STATE(6589)] = 313263,
  [SMALL_STATE(6590)] = 313287,
  [SMALL_STATE(6591)] = 313311,
  [SMALL_STATE(6592)] = 313335,
  [SMALL_STATE(6593)] = 313355,
  [SMALL_STATE(6594)] = 313369,
  [SMALL_STATE(6595)] = 313389,
  [SMALL_STATE(6596)] = 313403,
  [SMALL_STATE(6597)] = 313425,
  [SMALL_STATE(6598)] = 313439,
  [SMALL_STATE(6599)] = 313461,
  [SMALL_STATE(6600)] = 313475,
  [SMALL_STATE(6601)] = 313493,
  [SMALL_STATE(6602)] = 313511,
  [SMALL_STATE(6603)] = 313525,
  [SMALL_STATE(6604)] = 313543,
  [SMALL_STATE(6605)] = 313557,
  [SMALL_STATE(6606)] = 313571,
  [SMALL_STATE(6607)] = 313585,
  [SMALL_STATE(6608)] = 313603,
  [SMALL_STATE(6609)] = 313621,
  [SMALL_STATE(6610)] = 313639,
  [SMALL_STATE(6611)] = 313663,
  [SMALL_STATE(6612)] = 313681,
  [SMALL_STATE(6613)] = 313699,
  [SMALL_STATE(6614)] = 313717,
  [SMALL_STATE(6615)] = 313741,
  [SMALL_STATE(6616)] = 313755,
  [SMALL_STATE(6617)] = 313773,
  [SMALL_STATE(6618)] = 313787,
  [SMALL_STATE(6619)] = 313805,
  [SMALL_STATE(6620)] = 313825,
  [SMALL_STATE(6621)] = 313845,
  [SMALL_STATE(6622)] = 313865,
  [SMALL_STATE(6623)] = 313883,
  [SMALL_STATE(6624)] = 313897,
  [SMALL_STATE(6625)] = 313911,
  [SMALL_STATE(6626)] = 313925,
  [SMALL_STATE(6627)] = 313944,
  [SMALL_STATE(6628)] = 313965,
  [SMALL_STATE(6629)] = 313984,
  [SMALL_STATE(6630)] = 314005,
  [SMALL_STATE(6631)] = 314024,
  [SMALL_STATE(6632)] = 314045,
  [SMALL_STATE(6633)] = 314064,
  [SMALL_STATE(6634)] = 314083,
  [SMALL_STATE(6635)] = 314096,
  [SMALL_STATE(6636)] = 314115,
  [SMALL_STATE(6637)] = 314134,
  [SMALL_STATE(6638)] = 314153,
  [SMALL_STATE(6639)] = 314174,
  [SMALL_STATE(6640)] = 314195,
  [SMALL_STATE(6641)] = 314214,
  [SMALL_STATE(6642)] = 314231,
  [SMALL_STATE(6643)] = 314248,
  [SMALL_STATE(6644)] = 314269,
  [SMALL_STATE(6645)] = 314288,
  [SMALL_STATE(6646)] = 314307,
  [SMALL_STATE(6647)] = 314326,
  [SMALL_STATE(6648)] = 314347,
  [SMALL_STATE(6649)] = 314368,
  [SMALL_STATE(6650)] = 314389,
  [SMALL_STATE(6651)] = 314406,
  [SMALL_STATE(6652)] = 314425,
  [SMALL_STATE(6653)] = 314446,
  [SMALL_STATE(6654)] = 314465,
  [SMALL_STATE(6655)] = 314486,
  [SMALL_STATE(6656)] = 314507,
  [SMALL_STATE(6657)] = 314528,
  [SMALL_STATE(6658)] = 314547,
  [SMALL_STATE(6659)] = 314560,
  [SMALL_STATE(6660)] = 314581,
  [SMALL_STATE(6661)] = 314602,
  [SMALL_STATE(6662)] = 314621,
  [SMALL_STATE(6663)] = 314640,
  [SMALL_STATE(6664)] = 314657,
  [SMALL_STATE(6665)] = 314678,
  [SMALL_STATE(6666)] = 314695,
  [SMALL_STATE(6667)] = 314714,
  [SMALL_STATE(6668)] = 314735,
  [SMALL_STATE(6669)] = 314754,
  [SMALL_STATE(6670)] = 314767,
  [SMALL_STATE(6671)] = 314788,
  [SMALL_STATE(6672)] = 314807,
  [SMALL_STATE(6673)] = 314826,
  [SMALL_STATE(6674)] = 314845,
  [SMALL_STATE(6675)] = 314866,
  [SMALL_STATE(6676)] = 314879,
  [SMALL_STATE(6677)] = 314892,
  [SMALL_STATE(6678)] = 314913,
  [SMALL_STATE(6679)] = 314934,
  [SMALL_STATE(6680)] = 314955,
  [SMALL_STATE(6681)] = 314974,
  [SMALL_STATE(6682)] = 314993,
  [SMALL_STATE(6683)] = 315010,
  [SMALL_STATE(6684)] = 315023,
  [SMALL_STATE(6685)] = 315036,
  [SMALL_STATE(6686)] = 315057,
  [SMALL_STATE(6687)] = 315070,
  [SMALL_STATE(6688)] = 315083,
  [SMALL_STATE(6689)] = 315104,
  [SMALL_STATE(6690)] = 315117,
  [SMALL_STATE(6691)] = 315130,
  [SMALL_STATE(6692)] = 315147,
  [SMALL_STATE(6693)] = 315166,
  [SMALL_STATE(6694)] = 315179,
  [SMALL_STATE(6695)] = 315192,
  [SMALL_STATE(6696)] = 315205,
  [SMALL_STATE(6697)] = 315218,
  [SMALL_STATE(6698)] = 315237,
  [SMALL_STATE(6699)] = 315258,
  [SMALL_STATE(6700)] = 315271,
  [SMALL_STATE(6701)] = 315284,
  [SMALL_STATE(6702)] = 315297,
  [SMALL_STATE(6703)] = 315316,
  [SMALL_STATE(6704)] = 315335,
  [SMALL_STATE(6705)] = 315356,
  [SMALL_STATE(6706)] = 315377,
  [SMALL_STATE(6707)] = 315396,
  [SMALL_STATE(6708)] = 315415,
  [SMALL_STATE(6709)] = 315428,
  [SMALL_STATE(6710)] = 315449,
  [SMALL_STATE(6711)] = 315470,
  [SMALL_STATE(6712)] = 315491,
  [SMALL_STATE(6713)] = 315510,
  [SMALL_STATE(6714)] = 315523,
  [SMALL_STATE(6715)] = 315536,
  [SMALL_STATE(6716)] = 315557,
  [SMALL_STATE(6717)] = 315574,
  [SMALL_STATE(6718)] = 315593,
  [SMALL_STATE(6719)] = 315610,
  [SMALL_STATE(6720)] = 315629,
  [SMALL_STATE(6721)] = 315642,
  [SMALL_STATE(6722)] = 315661,
  [SMALL_STATE(6723)] = 315674,
  [SMALL_STATE(6724)] = 315687,
  [SMALL_STATE(6725)] = 315700,
  [SMALL_STATE(6726)] = 315713,
  [SMALL_STATE(6727)] = 315726,
  [SMALL_STATE(6728)] = 315739,
  [SMALL_STATE(6729)] = 315752,
  [SMALL_STATE(6730)] = 315765,
  [SMALL_STATE(6731)] = 315778,
  [SMALL_STATE(6732)] = 315797,
  [SMALL_STATE(6733)] = 315814,
  [SMALL_STATE(6734)] = 315831,
  [SMALL_STATE(6735)] = 315850,
  [SMALL_STATE(6736)] = 315871,
  [SMALL_STATE(6737)] = 315890,
  [SMALL_STATE(6738)] = 315909,
  [SMALL_STATE(6739)] = 315928,
  [SMALL_STATE(6740)] = 315949,
  [SMALL_STATE(6741)] = 315962,
  [SMALL_STATE(6742)] = 315979,
  [SMALL_STATE(6743)] = 316000,
  [SMALL_STATE(6744)] = 316013,
  [SMALL_STATE(6745)] = 316026,
  [SMALL_STATE(6746)] = 316045,
  [SMALL_STATE(6747)] = 316064,
  [SMALL_STATE(6748)] = 316083,
  [SMALL_STATE(6749)] = 316102,
  [SMALL_STATE(6750)] = 316121,
  [SMALL_STATE(6751)] = 316134,
  [SMALL_STATE(6752)] = 316147,
  [SMALL_STATE(6753)] = 316164,
  [SMALL_STATE(6754)] = 316181,
  [SMALL_STATE(6755)] = 316202,
  [SMALL_STATE(6756)] = 316221,
  [SMALL_STATE(6757)] = 316234,
  [SMALL_STATE(6758)] = 316255,
  [SMALL_STATE(6759)] = 316276,
  [SMALL_STATE(6760)] = 316295,
  [SMALL_STATE(6761)] = 316308,
  [SMALL_STATE(6762)] = 316327,
  [SMALL_STATE(6763)] = 316348,
  [SMALL_STATE(6764)] = 316369,
  [SMALL_STATE(6765)] = 316386,
  [SMALL_STATE(6766)] = 316403,
  [SMALL_STATE(6767)] = 316420,
  [SMALL_STATE(6768)] = 316433,
  [SMALL_STATE(6769)] = 316454,
  [SMALL_STATE(6770)] = 316475,
  [SMALL_STATE(6771)] = 316488,
  [SMALL_STATE(6772)] = 316509,
  [SMALL_STATE(6773)] = 316530,
  [SMALL_STATE(6774)] = 316549,
  [SMALL_STATE(6775)] = 316570,
  [SMALL_STATE(6776)] = 316589,
  [SMALL_STATE(6777)] = 316606,
  [SMALL_STATE(6778)] = 316627,
  [SMALL_STATE(6779)] = 316644,
  [SMALL_STATE(6780)] = 316663,
  [SMALL_STATE(6781)] = 316682,
  [SMALL_STATE(6782)] = 316699,
  [SMALL_STATE(6783)] = 316712,
  [SMALL_STATE(6784)] = 316725,
  [SMALL_STATE(6785)] = 316746,
  [SMALL_STATE(6786)] = 316759,
  [SMALL_STATE(6787)] = 316780,
  [SMALL_STATE(6788)] = 316799,
  [SMALL_STATE(6789)] = 316818,
  [SMALL_STATE(6790)] = 316837,
  [SMALL_STATE(6791)] = 316858,
  [SMALL_STATE(6792)] = 316877,
  [SMALL_STATE(6793)] = 316898,
  [SMALL_STATE(6794)] = 316919,
  [SMALL_STATE(6795)] = 316932,
  [SMALL_STATE(6796)] = 316945,
  [SMALL_STATE(6797)] = 316958,
  [SMALL_STATE(6798)] = 316971,
  [SMALL_STATE(6799)] = 316984,
  [SMALL_STATE(6800)] = 317001,
  [SMALL_STATE(6801)] = 317014,
  [SMALL_STATE(6802)] = 317027,
  [SMALL_STATE(6803)] = 317044,
  [SMALL_STATE(6804)] = 317057,
  [SMALL_STATE(6805)] = 317076,
  [SMALL_STATE(6806)] = 317089,
  [SMALL_STATE(6807)] = 317102,
  [SMALL_STATE(6808)] = 317115,
  [SMALL_STATE(6809)] = 317134,
  [SMALL_STATE(6810)] = 317147,
  [SMALL_STATE(6811)] = 317160,
  [SMALL_STATE(6812)] = 317173,
  [SMALL_STATE(6813)] = 317186,
  [SMALL_STATE(6814)] = 317199,
  [SMALL_STATE(6815)] = 317218,
  [SMALL_STATE(6816)] = 317237,
  [SMALL_STATE(6817)] = 317250,
  [SMALL_STATE(6818)] = 317271,
  [SMALL_STATE(6819)] = 317292,
  [SMALL_STATE(6820)] = 317311,
  [SMALL_STATE(6821)] = 317324,
  [SMALL_STATE(6822)] = 317343,
  [SMALL_STATE(6823)] = 317362,
  [SMALL_STATE(6824)] = 317375,
  [SMALL_STATE(6825)] = 317388,
  [SMALL_STATE(6826)] = 317401,
  [SMALL_STATE(6827)] = 317414,
  [SMALL_STATE(6828)] = 317435,
  [SMALL_STATE(6829)] = 317448,
  [SMALL_STATE(6830)] = 317467,
  [SMALL_STATE(6831)] = 317480,
  [SMALL_STATE(6832)] = 317501,
  [SMALL_STATE(6833)] = 317514,
  [SMALL_STATE(6834)] = 317533,
  [SMALL_STATE(6835)] = 317552,
  [SMALL_STATE(6836)] = 317565,
  [SMALL_STATE(6837)] = 317578,
  [SMALL_STATE(6838)] = 317591,
  [SMALL_STATE(6839)] = 317604,
  [SMALL_STATE(6840)] = 317623,
  [SMALL_STATE(6841)] = 317642,
  [SMALL_STATE(6842)] = 317663,
  [SMALL_STATE(6843)] = 317684,
  [SMALL_STATE(6844)] = 317703,
  [SMALL_STATE(6845)] = 317722,
  [SMALL_STATE(6846)] = 317741,
  [SMALL_STATE(6847)] = 317762,
  [SMALL_STATE(6848)] = 317783,
  [SMALL_STATE(6849)] = 317804,
  [SMALL_STATE(6850)] = 317817,
  [SMALL_STATE(6851)] = 317836,
  [SMALL_STATE(6852)] = 317857,
  [SMALL_STATE(6853)] = 317876,
  [SMALL_STATE(6854)] = 317897,
  [SMALL_STATE(6855)] = 317918,
  [SMALL_STATE(6856)] = 317939,
  [SMALL_STATE(6857)] = 317958,
  [SMALL_STATE(6858)] = 317977,
  [SMALL_STATE(6859)] = 317998,
  [SMALL_STATE(6860)] = 318017,
  [SMALL_STATE(6861)] = 318030,
  [SMALL_STATE(6862)] = 318051,
  [SMALL_STATE(6863)] = 318067,
  [SMALL_STATE(6864)] = 318083,
  [SMALL_STATE(6865)] = 318101,
  [SMALL_STATE(6866)] = 318119,
  [SMALL_STATE(6867)] = 318135,
  [SMALL_STATE(6868)] = 318153,
  [SMALL_STATE(6869)] = 318171,
  [SMALL_STATE(6870)] = 318187,
  [SMALL_STATE(6871)] = 318205,
  [SMALL_STATE(6872)] = 318223,
  [SMALL_STATE(6873)] = 318239,
  [SMALL_STATE(6874)] = 318257,
  [SMALL_STATE(6875)] = 318275,
  [SMALL_STATE(6876)] = 318293,
  [SMALL_STATE(6877)] = 318311,
  [SMALL_STATE(6878)] = 318329,
  [SMALL_STATE(6879)] = 318347,
  [SMALL_STATE(6880)] = 318365,
  [SMALL_STATE(6881)] = 318383,
  [SMALL_STATE(6882)] = 318401,
  [SMALL_STATE(6883)] = 318419,
  [SMALL_STATE(6884)] = 318437,
  [SMALL_STATE(6885)] = 318455,
  [SMALL_STATE(6886)] = 318473,
  [SMALL_STATE(6887)] = 318489,
  [SMALL_STATE(6888)] = 318507,
  [SMALL_STATE(6889)] = 318525,
  [SMALL_STATE(6890)] = 318543,
  [SMALL_STATE(6891)] = 318561,
  [SMALL_STATE(6892)] = 318579,
  [SMALL_STATE(6893)] = 318595,
  [SMALL_STATE(6894)] = 318613,
  [SMALL_STATE(6895)] = 318631,
  [SMALL_STATE(6896)] = 318649,
  [SMALL_STATE(6897)] = 318667,
  [SMALL_STATE(6898)] = 318683,
  [SMALL_STATE(6899)] = 318701,
  [SMALL_STATE(6900)] = 318719,
  [SMALL_STATE(6901)] = 318737,
  [SMALL_STATE(6902)] = 318755,
  [SMALL_STATE(6903)] = 318773,
  [SMALL_STATE(6904)] = 318791,
  [SMALL_STATE(6905)] = 318809,
  [SMALL_STATE(6906)] = 318827,
  [SMALL_STATE(6907)] = 318845,
  [SMALL_STATE(6908)] = 318863,
  [SMALL_STATE(6909)] = 318881,
  [SMALL_STATE(6910)] = 318897,
  [SMALL_STATE(6911)] = 318915,
  [SMALL_STATE(6912)] = 318933,
  [SMALL_STATE(6913)] = 318951,
  [SMALL_STATE(6914)] = 318969,
  [SMALL_STATE(6915)] = 318985,
  [SMALL_STATE(6916)] = 319003,
  [SMALL_STATE(6917)] = 319021,
  [SMALL_STATE(6918)] = 319037,
  [SMALL_STATE(6919)] = 319055,
  [SMALL_STATE(6920)] = 319073,
  [SMALL_STATE(6921)] = 319091,
  [SMALL_STATE(6922)] = 319109,
  [SMALL_STATE(6923)] = 319127,
  [SMALL_STATE(6924)] = 319145,
  [SMALL_STATE(6925)] = 319163,
  [SMALL_STATE(6926)] = 319179,
  [SMALL_STATE(6927)] = 319195,
  [SMALL_STATE(6928)] = 319213,
  [SMALL_STATE(6929)] = 319231,
  [SMALL_STATE(6930)] = 319249,
  [SMALL_STATE(6931)] = 319267,
  [SMALL_STATE(6932)] = 319283,
  [SMALL_STATE(6933)] = 319301,
  [SMALL_STATE(6934)] = 319317,
  [SMALL_STATE(6935)] = 319335,
  [SMALL_STATE(6936)] = 319353,
  [SMALL_STATE(6937)] = 319371,
  [SMALL_STATE(6938)] = 319389,
  [SMALL_STATE(6939)] = 319407,
  [SMALL_STATE(6940)] = 319425,
  [SMALL_STATE(6941)] = 319443,
  [SMALL_STATE(6942)] = 319461,
  [SMALL_STATE(6943)] = 319477,
  [SMALL_STATE(6944)] = 319495,
  [SMALL_STATE(6945)] = 319511,
  [SMALL_STATE(6946)] = 319527,
  [SMALL_STATE(6947)] = 319545,
  [SMALL_STATE(6948)] = 319561,
  [SMALL_STATE(6949)] = 319579,
  [SMALL_STATE(6950)] = 319597,
  [SMALL_STATE(6951)] = 319615,
  [SMALL_STATE(6952)] = 319633,
  [SMALL_STATE(6953)] = 319649,
  [SMALL_STATE(6954)] = 319667,
  [SMALL_STATE(6955)] = 319683,
  [SMALL_STATE(6956)] = 319701,
  [SMALL_STATE(6957)] = 319717,
  [SMALL_STATE(6958)] = 319735,
  [SMALL_STATE(6959)] = 319753,
  [SMALL_STATE(6960)] = 319769,
  [SMALL_STATE(6961)] = 319787,
  [SMALL_STATE(6962)] = 319805,
  [SMALL_STATE(6963)] = 319823,
  [SMALL_STATE(6964)] = 319839,
  [SMALL_STATE(6965)] = 319857,
  [SMALL_STATE(6966)] = 319875,
  [SMALL_STATE(6967)] = 319893,
  [SMALL_STATE(6968)] = 319909,
  [SMALL_STATE(6969)] = 319927,
  [SMALL_STATE(6970)] = 319945,
  [SMALL_STATE(6971)] = 319963,
  [SMALL_STATE(6972)] = 319981,
  [SMALL_STATE(6973)] = 319999,
  [SMALL_STATE(6974)] = 320017,
  [SMALL_STATE(6975)] = 320033,
  [SMALL_STATE(6976)] = 320051,
  [SMALL_STATE(6977)] = 320069,
  [SMALL_STATE(6978)] = 320081,
  [SMALL_STATE(6979)] = 320099,
  [SMALL_STATE(6980)] = 320115,
  [SMALL_STATE(6981)] = 320133,
  [SMALL_STATE(6982)] = 320151,
  [SMALL_STATE(6983)] = 320167,
  [SMALL_STATE(6984)] = 320185,
  [SMALL_STATE(6985)] = 320203,
  [SMALL_STATE(6986)] = 320221,
  [SMALL_STATE(6987)] = 320239,
  [SMALL_STATE(6988)] = 320257,
  [SMALL_STATE(6989)] = 320273,
  [SMALL_STATE(6990)] = 320291,
  [SMALL_STATE(6991)] = 320309,
  [SMALL_STATE(6992)] = 320327,
  [SMALL_STATE(6993)] = 320345,
  [SMALL_STATE(6994)] = 320361,
  [SMALL_STATE(6995)] = 320379,
  [SMALL_STATE(6996)] = 320397,
  [SMALL_STATE(6997)] = 320415,
  [SMALL_STATE(6998)] = 320427,
  [SMALL_STATE(6999)] = 320445,
  [SMALL_STATE(7000)] = 320461,
  [SMALL_STATE(7001)] = 320479,
  [SMALL_STATE(7002)] = 320497,
  [SMALL_STATE(7003)] = 320515,
  [SMALL_STATE(7004)] = 320533,
  [SMALL_STATE(7005)] = 320551,
  [SMALL_STATE(7006)] = 320569,
  [SMALL_STATE(7007)] = 320587,
  [SMALL_STATE(7008)] = 320605,
  [SMALL_STATE(7009)] = 320623,
  [SMALL_STATE(7010)] = 320641,
  [SMALL_STATE(7011)] = 320659,
  [SMALL_STATE(7012)] = 320677,
  [SMALL_STATE(7013)] = 320693,
  [SMALL_STATE(7014)] = 320711,
  [SMALL_STATE(7015)] = 320729,
  [SMALL_STATE(7016)] = 320747,
  [SMALL_STATE(7017)] = 320765,
  [SMALL_STATE(7018)] = 320783,
  [SMALL_STATE(7019)] = 320801,
  [SMALL_STATE(7020)] = 320819,
  [SMALL_STATE(7021)] = 320837,
  [SMALL_STATE(7022)] = 320855,
  [SMALL_STATE(7023)] = 320873,
  [SMALL_STATE(7024)] = 320891,
  [SMALL_STATE(7025)] = 320909,
  [SMALL_STATE(7026)] = 320925,
  [SMALL_STATE(7027)] = 320943,
  [SMALL_STATE(7028)] = 320961,
  [SMALL_STATE(7029)] = 320979,
  [SMALL_STATE(7030)] = 320997,
  [SMALL_STATE(7031)] = 321015,
  [SMALL_STATE(7032)] = 321033,
  [SMALL_STATE(7033)] = 321051,
  [SMALL_STATE(7034)] = 321069,
  [SMALL_STATE(7035)] = 321085,
  [SMALL_STATE(7036)] = 321103,
  [SMALL_STATE(7037)] = 321121,
  [SMALL_STATE(7038)] = 321137,
  [SMALL_STATE(7039)] = 321155,
  [SMALL_STATE(7040)] = 321173,
  [SMALL_STATE(7041)] = 321189,
  [SMALL_STATE(7042)] = 321207,
  [SMALL_STATE(7043)] = 321225,
  [SMALL_STATE(7044)] = 321243,
  [SMALL_STATE(7045)] = 321261,
  [SMALL_STATE(7046)] = 321279,
  [SMALL_STATE(7047)] = 321297,
  [SMALL_STATE(7048)] = 321315,
  [SMALL_STATE(7049)] = 321333,
  [SMALL_STATE(7050)] = 321351,
  [SMALL_STATE(7051)] = 321363,
  [SMALL_STATE(7052)] = 321379,
  [SMALL_STATE(7053)] = 321395,
  [SMALL_STATE(7054)] = 321413,
  [SMALL_STATE(7055)] = 321431,
  [SMALL_STATE(7056)] = 321446,
  [SMALL_STATE(7057)] = 321461,
  [SMALL_STATE(7058)] = 321476,
  [SMALL_STATE(7059)] = 321491,
  [SMALL_STATE(7060)] = 321506,
  [SMALL_STATE(7061)] = 321521,
  [SMALL_STATE(7062)] = 321536,
  [SMALL_STATE(7063)] = 321551,
  [SMALL_STATE(7064)] = 321566,
  [SMALL_STATE(7065)] = 321581,
  [SMALL_STATE(7066)] = 321596,
  [SMALL_STATE(7067)] = 321611,
  [SMALL_STATE(7068)] = 321626,
  [SMALL_STATE(7069)] = 321641,
  [SMALL_STATE(7070)] = 321656,
  [SMALL_STATE(7071)] = 321671,
  [SMALL_STATE(7072)] = 321686,
  [SMALL_STATE(7073)] = 321701,
  [SMALL_STATE(7074)] = 321716,
  [SMALL_STATE(7075)] = 321731,
  [SMALL_STATE(7076)] = 321746,
  [SMALL_STATE(7077)] = 321761,
  [SMALL_STATE(7078)] = 321776,
  [SMALL_STATE(7079)] = 321791,
  [SMALL_STATE(7080)] = 321806,
  [SMALL_STATE(7081)] = 321821,
  [SMALL_STATE(7082)] = 321836,
  [SMALL_STATE(7083)] = 321847,
  [SMALL_STATE(7084)] = 321862,
  [SMALL_STATE(7085)] = 321877,
  [SMALL_STATE(7086)] = 321892,
  [SMALL_STATE(7087)] = 321907,
  [SMALL_STATE(7088)] = 321922,
  [SMALL_STATE(7089)] = 321937,
  [SMALL_STATE(7090)] = 321952,
  [SMALL_STATE(7091)] = 321967,
  [SMALL_STATE(7092)] = 321982,
  [SMALL_STATE(7093)] = 321997,
  [SMALL_STATE(7094)] = 322012,
  [SMALL_STATE(7095)] = 322027,
  [SMALL_STATE(7096)] = 322042,
  [SMALL_STATE(7097)] = 322057,
  [SMALL_STATE(7098)] = 322072,
  [SMALL_STATE(7099)] = 322087,
  [SMALL_STATE(7100)] = 322102,
  [SMALL_STATE(7101)] = 322117,
  [SMALL_STATE(7102)] = 322132,
  [SMALL_STATE(7103)] = 322147,
  [SMALL_STATE(7104)] = 322162,
  [SMALL_STATE(7105)] = 322177,
  [SMALL_STATE(7106)] = 322192,
  [SMALL_STATE(7107)] = 322207,
  [SMALL_STATE(7108)] = 322222,
  [SMALL_STATE(7109)] = 322237,
  [SMALL_STATE(7110)] = 322252,
  [SMALL_STATE(7111)] = 322267,
  [SMALL_STATE(7112)] = 322282,
  [SMALL_STATE(7113)] = 322297,
  [SMALL_STATE(7114)] = 322312,
  [SMALL_STATE(7115)] = 322327,
  [SMALL_STATE(7116)] = 322342,
  [SMALL_STATE(7117)] = 322357,
  [SMALL_STATE(7118)] = 322372,
  [SMALL_STATE(7119)] = 322387,
  [SMALL_STATE(7120)] = 322402,
  [SMALL_STATE(7121)] = 322417,
  [SMALL_STATE(7122)] = 322432,
  [SMALL_STATE(7123)] = 322447,
  [SMALL_STATE(7124)] = 322462,
  [SMALL_STATE(7125)] = 322477,
  [SMALL_STATE(7126)] = 322492,
  [SMALL_STATE(7127)] = 322507,
  [SMALL_STATE(7128)] = 322522,
  [SMALL_STATE(7129)] = 322537,
  [SMALL_STATE(7130)] = 322552,
  [SMALL_STATE(7131)] = 322567,
  [SMALL_STATE(7132)] = 322582,
  [SMALL_STATE(7133)] = 322597,
  [SMALL_STATE(7134)] = 322612,
  [SMALL_STATE(7135)] = 322627,
  [SMALL_STATE(7136)] = 322642,
  [SMALL_STATE(7137)] = 322657,
  [SMALL_STATE(7138)] = 322672,
  [SMALL_STATE(7139)] = 322687,
  [SMALL_STATE(7140)] = 322702,
  [SMALL_STATE(7141)] = 322717,
  [SMALL_STATE(7142)] = 322732,
  [SMALL_STATE(7143)] = 322747,
  [SMALL_STATE(7144)] = 322762,
  [SMALL_STATE(7145)] = 322777,
  [SMALL_STATE(7146)] = 322792,
  [SMALL_STATE(7147)] = 322807,
  [SMALL_STATE(7148)] = 322822,
  [SMALL_STATE(7149)] = 322837,
  [SMALL_STATE(7150)] = 322852,
  [SMALL_STATE(7151)] = 322867,
  [SMALL_STATE(7152)] = 322882,
  [SMALL_STATE(7153)] = 322897,
  [SMALL_STATE(7154)] = 322912,
  [SMALL_STATE(7155)] = 322927,
  [SMALL_STATE(7156)] = 322942,
  [SMALL_STATE(7157)] = 322957,
  [SMALL_STATE(7158)] = 322972,
  [SMALL_STATE(7159)] = 322987,
  [SMALL_STATE(7160)] = 323002,
  [SMALL_STATE(7161)] = 323017,
  [SMALL_STATE(7162)] = 323030,
  [SMALL_STATE(7163)] = 323045,
  [SMALL_STATE(7164)] = 323060,
  [SMALL_STATE(7165)] = 323075,
  [SMALL_STATE(7166)] = 323090,
  [SMALL_STATE(7167)] = 323105,
  [SMALL_STATE(7168)] = 323120,
  [SMALL_STATE(7169)] = 323135,
  [SMALL_STATE(7170)] = 323150,
  [SMALL_STATE(7171)] = 323167,
  [SMALL_STATE(7172)] = 323182,
  [SMALL_STATE(7173)] = 323197,
  [SMALL_STATE(7174)] = 323212,
  [SMALL_STATE(7175)] = 323227,
  [SMALL_STATE(7176)] = 323242,
  [SMALL_STATE(7177)] = 323257,
  [SMALL_STATE(7178)] = 323272,
  [SMALL_STATE(7179)] = 323287,
  [SMALL_STATE(7180)] = 323302,
  [SMALL_STATE(7181)] = 323317,
  [SMALL_STATE(7182)] = 323328,
  [SMALL_STATE(7183)] = 323345,
  [SMALL_STATE(7184)] = 323360,
  [SMALL_STATE(7185)] = 323375,
  [SMALL_STATE(7186)] = 323390,
  [SMALL_STATE(7187)] = 323405,
  [SMALL_STATE(7188)] = 323420,
  [SMALL_STATE(7189)] = 323435,
  [SMALL_STATE(7190)] = 323450,
  [SMALL_STATE(7191)] = 323465,
  [SMALL_STATE(7192)] = 323480,
  [SMALL_STATE(7193)] = 323495,
  [SMALL_STATE(7194)] = 323510,
  [SMALL_STATE(7195)] = 323525,
  [SMALL_STATE(7196)] = 323540,
  [SMALL_STATE(7197)] = 323555,
  [SMALL_STATE(7198)] = 323570,
  [SMALL_STATE(7199)] = 323585,
  [SMALL_STATE(7200)] = 323600,
  [SMALL_STATE(7201)] = 323615,
  [SMALL_STATE(7202)] = 323630,
  [SMALL_STATE(7203)] = 323645,
  [SMALL_STATE(7204)] = 323660,
  [SMALL_STATE(7205)] = 323675,
  [SMALL_STATE(7206)] = 323690,
  [SMALL_STATE(7207)] = 323705,
  [SMALL_STATE(7208)] = 323720,
  [SMALL_STATE(7209)] = 323735,
  [SMALL_STATE(7210)] = 323750,
  [SMALL_STATE(7211)] = 323765,
  [SMALL_STATE(7212)] = 323780,
  [SMALL_STATE(7213)] = 323795,
  [SMALL_STATE(7214)] = 323810,
  [SMALL_STATE(7215)] = 323825,
  [SMALL_STATE(7216)] = 323840,
  [SMALL_STATE(7217)] = 323855,
  [SMALL_STATE(7218)] = 323870,
  [SMALL_STATE(7219)] = 323885,
  [SMALL_STATE(7220)] = 323902,
  [SMALL_STATE(7221)] = 323917,
  [SMALL_STATE(7222)] = 323932,
  [SMALL_STATE(7223)] = 323947,
  [SMALL_STATE(7224)] = 323962,
  [SMALL_STATE(7225)] = 323977,
  [SMALL_STATE(7226)] = 323992,
  [SMALL_STATE(7227)] = 324007,
  [SMALL_STATE(7228)] = 324022,
  [SMALL_STATE(7229)] = 324037,
  [SMALL_STATE(7230)] = 324052,
  [SMALL_STATE(7231)] = 324067,
  [SMALL_STATE(7232)] = 324082,
  [SMALL_STATE(7233)] = 324097,
  [SMALL_STATE(7234)] = 324112,
  [SMALL_STATE(7235)] = 324127,
  [SMALL_STATE(7236)] = 324142,
  [SMALL_STATE(7237)] = 324157,
  [SMALL_STATE(7238)] = 324172,
  [SMALL_STATE(7239)] = 324187,
  [SMALL_STATE(7240)] = 324202,
  [SMALL_STATE(7241)] = 324217,
  [SMALL_STATE(7242)] = 324232,
  [SMALL_STATE(7243)] = 324247,
  [SMALL_STATE(7244)] = 324262,
  [SMALL_STATE(7245)] = 324277,
  [SMALL_STATE(7246)] = 324292,
  [SMALL_STATE(7247)] = 324307,
  [SMALL_STATE(7248)] = 324322,
  [SMALL_STATE(7249)] = 324337,
  [SMALL_STATE(7250)] = 324352,
  [SMALL_STATE(7251)] = 324367,
  [SMALL_STATE(7252)] = 324382,
  [SMALL_STATE(7253)] = 324397,
  [SMALL_STATE(7254)] = 324408,
  [SMALL_STATE(7255)] = 324423,
  [SMALL_STATE(7256)] = 324438,
  [SMALL_STATE(7257)] = 324453,
  [SMALL_STATE(7258)] = 324468,
  [SMALL_STATE(7259)] = 324483,
  [SMALL_STATE(7260)] = 324498,
  [SMALL_STATE(7261)] = 324513,
  [SMALL_STATE(7262)] = 324528,
  [SMALL_STATE(7263)] = 324543,
  [SMALL_STATE(7264)] = 324558,
  [SMALL_STATE(7265)] = 324573,
  [SMALL_STATE(7266)] = 324588,
  [SMALL_STATE(7267)] = 324603,
  [SMALL_STATE(7268)] = 324620,
  [SMALL_STATE(7269)] = 324635,
  [SMALL_STATE(7270)] = 324650,
  [SMALL_STATE(7271)] = 324665,
  [SMALL_STATE(7272)] = 324680,
  [SMALL_STATE(7273)] = 324695,
  [SMALL_STATE(7274)] = 324710,
  [SMALL_STATE(7275)] = 324725,
  [SMALL_STATE(7276)] = 324740,
  [SMALL_STATE(7277)] = 324755,
  [SMALL_STATE(7278)] = 324770,
  [SMALL_STATE(7279)] = 324785,
  [SMALL_STATE(7280)] = 324800,
  [SMALL_STATE(7281)] = 324815,
  [SMALL_STATE(7282)] = 324830,
  [SMALL_STATE(7283)] = 324845,
  [SMALL_STATE(7284)] = 324860,
  [SMALL_STATE(7285)] = 324875,
  [SMALL_STATE(7286)] = 324890,
  [SMALL_STATE(7287)] = 324905,
  [SMALL_STATE(7288)] = 324920,
  [SMALL_STATE(7289)] = 324935,
  [SMALL_STATE(7290)] = 324950,
  [SMALL_STATE(7291)] = 324965,
  [SMALL_STATE(7292)] = 324980,
  [SMALL_STATE(7293)] = 324995,
  [SMALL_STATE(7294)] = 325010,
  [SMALL_STATE(7295)] = 325025,
  [SMALL_STATE(7296)] = 325040,
  [SMALL_STATE(7297)] = 325055,
  [SMALL_STATE(7298)] = 325070,
  [SMALL_STATE(7299)] = 325087,
  [SMALL_STATE(7300)] = 325102,
  [SMALL_STATE(7301)] = 325119,
  [SMALL_STATE(7302)] = 325134,
  [SMALL_STATE(7303)] = 325149,
  [SMALL_STATE(7304)] = 325164,
  [SMALL_STATE(7305)] = 325179,
  [SMALL_STATE(7306)] = 325194,
  [SMALL_STATE(7307)] = 325209,
  [SMALL_STATE(7308)] = 325226,
  [SMALL_STATE(7309)] = 325241,
  [SMALL_STATE(7310)] = 325252,
  [SMALL_STATE(7311)] = 325267,
  [SMALL_STATE(7312)] = 325282,
  [SMALL_STATE(7313)] = 325297,
  [SMALL_STATE(7314)] = 325312,
  [SMALL_STATE(7315)] = 325325,
  [SMALL_STATE(7316)] = 325340,
  [SMALL_STATE(7317)] = 325355,
  [SMALL_STATE(7318)] = 325370,
  [SMALL_STATE(7319)] = 325385,
  [SMALL_STATE(7320)] = 325400,
  [SMALL_STATE(7321)] = 325415,
  [SMALL_STATE(7322)] = 325430,
  [SMALL_STATE(7323)] = 325445,
  [SMALL_STATE(7324)] = 325460,
  [SMALL_STATE(7325)] = 325475,
  [SMALL_STATE(7326)] = 325490,
  [SMALL_STATE(7327)] = 325507,
  [SMALL_STATE(7328)] = 325522,
  [SMALL_STATE(7329)] = 325537,
  [SMALL_STATE(7330)] = 325552,
  [SMALL_STATE(7331)] = 325565,
  [SMALL_STATE(7332)] = 325580,
  [SMALL_STATE(7333)] = 325595,
  [SMALL_STATE(7334)] = 325610,
  [SMALL_STATE(7335)] = 325625,
  [SMALL_STATE(7336)] = 325640,
  [SMALL_STATE(7337)] = 325655,
  [SMALL_STATE(7338)] = 325670,
  [SMALL_STATE(7339)] = 325685,
  [SMALL_STATE(7340)] = 325700,
  [SMALL_STATE(7341)] = 325715,
  [SMALL_STATE(7342)] = 325730,
  [SMALL_STATE(7343)] = 325745,
  [SMALL_STATE(7344)] = 325760,
  [SMALL_STATE(7345)] = 325775,
  [SMALL_STATE(7346)] = 325790,
  [SMALL_STATE(7347)] = 325801,
  [SMALL_STATE(7348)] = 325816,
  [SMALL_STATE(7349)] = 325831,
  [SMALL_STATE(7350)] = 325846,
  [SMALL_STATE(7351)] = 325861,
  [SMALL_STATE(7352)] = 325876,
  [SMALL_STATE(7353)] = 325891,
  [SMALL_STATE(7354)] = 325906,
  [SMALL_STATE(7355)] = 325921,
  [SMALL_STATE(7356)] = 325936,
  [SMALL_STATE(7357)] = 325947,
  [SMALL_STATE(7358)] = 325962,
  [SMALL_STATE(7359)] = 325977,
  [SMALL_STATE(7360)] = 325992,
  [SMALL_STATE(7361)] = 326007,
  [SMALL_STATE(7362)] = 326022,
  [SMALL_STATE(7363)] = 326037,
  [SMALL_STATE(7364)] = 326052,
  [SMALL_STATE(7365)] = 326067,
  [SMALL_STATE(7366)] = 326082,
  [SMALL_STATE(7367)] = 326097,
  [SMALL_STATE(7368)] = 326112,
  [SMALL_STATE(7369)] = 326127,
  [SMALL_STATE(7370)] = 326142,
  [SMALL_STATE(7371)] = 326157,
  [SMALL_STATE(7372)] = 326172,
  [SMALL_STATE(7373)] = 326187,
  [SMALL_STATE(7374)] = 326202,
  [SMALL_STATE(7375)] = 326217,
  [SMALL_STATE(7376)] = 326232,
  [SMALL_STATE(7377)] = 326247,
  [SMALL_STATE(7378)] = 326262,
  [SMALL_STATE(7379)] = 326277,
  [SMALL_STATE(7380)] = 326292,
  [SMALL_STATE(7381)] = 326307,
  [SMALL_STATE(7382)] = 326322,
  [SMALL_STATE(7383)] = 326337,
  [SMALL_STATE(7384)] = 326352,
  [SMALL_STATE(7385)] = 326367,
  [SMALL_STATE(7386)] = 326382,
  [SMALL_STATE(7387)] = 326393,
  [SMALL_STATE(7388)] = 326408,
  [SMALL_STATE(7389)] = 326423,
  [SMALL_STATE(7390)] = 326438,
  [SMALL_STATE(7391)] = 326453,
  [SMALL_STATE(7392)] = 326468,
  [SMALL_STATE(7393)] = 326483,
  [SMALL_STATE(7394)] = 326498,
  [SMALL_STATE(7395)] = 326513,
  [SMALL_STATE(7396)] = 326528,
  [SMALL_STATE(7397)] = 326543,
  [SMALL_STATE(7398)] = 326558,
  [SMALL_STATE(7399)] = 326573,
  [SMALL_STATE(7400)] = 326588,
  [SMALL_STATE(7401)] = 326603,
  [SMALL_STATE(7402)] = 326618,
  [SMALL_STATE(7403)] = 326633,
  [SMALL_STATE(7404)] = 326648,
  [SMALL_STATE(7405)] = 326663,
  [SMALL_STATE(7406)] = 326676,
  [SMALL_STATE(7407)] = 326691,
  [SMALL_STATE(7408)] = 326706,
  [SMALL_STATE(7409)] = 326721,
  [SMALL_STATE(7410)] = 326734,
  [SMALL_STATE(7411)] = 326749,
  [SMALL_STATE(7412)] = 326764,
  [SMALL_STATE(7413)] = 326779,
  [SMALL_STATE(7414)] = 326794,
  [SMALL_STATE(7415)] = 326809,
  [SMALL_STATE(7416)] = 326824,
  [SMALL_STATE(7417)] = 326839,
  [SMALL_STATE(7418)] = 326854,
  [SMALL_STATE(7419)] = 326869,
  [SMALL_STATE(7420)] = 326884,
  [SMALL_STATE(7421)] = 326899,
  [SMALL_STATE(7422)] = 326914,
  [SMALL_STATE(7423)] = 326929,
  [SMALL_STATE(7424)] = 326944,
  [SMALL_STATE(7425)] = 326959,
  [SMALL_STATE(7426)] = 326974,
  [SMALL_STATE(7427)] = 326989,
  [SMALL_STATE(7428)] = 327002,
  [SMALL_STATE(7429)] = 327017,
  [SMALL_STATE(7430)] = 327034,
  [SMALL_STATE(7431)] = 327049,
  [SMALL_STATE(7432)] = 327064,
  [SMALL_STATE(7433)] = 327079,
  [SMALL_STATE(7434)] = 327096,
  [SMALL_STATE(7435)] = 327111,
  [SMALL_STATE(7436)] = 327126,
  [SMALL_STATE(7437)] = 327141,
  [SMALL_STATE(7438)] = 327156,
  [SMALL_STATE(7439)] = 327171,
  [SMALL_STATE(7440)] = 327188,
  [SMALL_STATE(7441)] = 327203,
  [SMALL_STATE(7442)] = 327218,
  [SMALL_STATE(7443)] = 327233,
  [SMALL_STATE(7444)] = 327248,
  [SMALL_STATE(7445)] = 327263,
  [SMALL_STATE(7446)] = 327278,
  [SMALL_STATE(7447)] = 327293,
  [SMALL_STATE(7448)] = 327308,
  [SMALL_STATE(7449)] = 327323,
  [SMALL_STATE(7450)] = 327338,
  [SMALL_STATE(7451)] = 327353,
  [SMALL_STATE(7452)] = 327368,
  [SMALL_STATE(7453)] = 327383,
  [SMALL_STATE(7454)] = 327398,
  [SMALL_STATE(7455)] = 327413,
  [SMALL_STATE(7456)] = 327428,
  [SMALL_STATE(7457)] = 327443,
  [SMALL_STATE(7458)] = 327458,
  [SMALL_STATE(7459)] = 327473,
  [SMALL_STATE(7460)] = 327488,
  [SMALL_STATE(7461)] = 327503,
  [SMALL_STATE(7462)] = 327518,
  [SMALL_STATE(7463)] = 327533,
  [SMALL_STATE(7464)] = 327548,
  [SMALL_STATE(7465)] = 327563,
  [SMALL_STATE(7466)] = 327578,
  [SMALL_STATE(7467)] = 327593,
  [SMALL_STATE(7468)] = 327608,
  [SMALL_STATE(7469)] = 327623,
  [SMALL_STATE(7470)] = 327638,
  [SMALL_STATE(7471)] = 327653,
  [SMALL_STATE(7472)] = 327668,
  [SMALL_STATE(7473)] = 327683,
  [SMALL_STATE(7474)] = 327698,
  [SMALL_STATE(7475)] = 327713,
  [SMALL_STATE(7476)] = 327728,
  [SMALL_STATE(7477)] = 327743,
  [SMALL_STATE(7478)] = 327758,
  [SMALL_STATE(7479)] = 327773,
  [SMALL_STATE(7480)] = 327788,
  [SMALL_STATE(7481)] = 327803,
  [SMALL_STATE(7482)] = 327814,
  [SMALL_STATE(7483)] = 327829,
  [SMALL_STATE(7484)] = 327844,
  [SMALL_STATE(7485)] = 327859,
  [SMALL_STATE(7486)] = 327874,
  [SMALL_STATE(7487)] = 327889,
  [SMALL_STATE(7488)] = 327904,
  [SMALL_STATE(7489)] = 327919,
  [SMALL_STATE(7490)] = 327934,
  [SMALL_STATE(7491)] = 327949,
  [SMALL_STATE(7492)] = 327964,
  [SMALL_STATE(7493)] = 327979,
  [SMALL_STATE(7494)] = 327994,
  [SMALL_STATE(7495)] = 328009,
  [SMALL_STATE(7496)] = 328024,
  [SMALL_STATE(7497)] = 328039,
  [SMALL_STATE(7498)] = 328054,
  [SMALL_STATE(7499)] = 328069,
  [SMALL_STATE(7500)] = 328080,
  [SMALL_STATE(7501)] = 328095,
  [SMALL_STATE(7502)] = 328110,
  [SMALL_STATE(7503)] = 328125,
  [SMALL_STATE(7504)] = 328140,
  [SMALL_STATE(7505)] = 328155,
  [SMALL_STATE(7506)] = 328170,
  [SMALL_STATE(7507)] = 328185,
  [SMALL_STATE(7508)] = 328200,
  [SMALL_STATE(7509)] = 328215,
  [SMALL_STATE(7510)] = 328230,
  [SMALL_STATE(7511)] = 328245,
  [SMALL_STATE(7512)] = 328260,
  [SMALL_STATE(7513)] = 328275,
  [SMALL_STATE(7514)] = 328290,
  [SMALL_STATE(7515)] = 328305,
  [SMALL_STATE(7516)] = 328320,
  [SMALL_STATE(7517)] = 328335,
  [SMALL_STATE(7518)] = 328350,
  [SMALL_STATE(7519)] = 328365,
  [SMALL_STATE(7520)] = 328380,
  [SMALL_STATE(7521)] = 328395,
  [SMALL_STATE(7522)] = 328410,
  [SMALL_STATE(7523)] = 328425,
  [SMALL_STATE(7524)] = 328440,
  [SMALL_STATE(7525)] = 328455,
  [SMALL_STATE(7526)] = 328470,
  [SMALL_STATE(7527)] = 328485,
  [SMALL_STATE(7528)] = 328500,
  [SMALL_STATE(7529)] = 328515,
  [SMALL_STATE(7530)] = 328530,
  [SMALL_STATE(7531)] = 328545,
  [SMALL_STATE(7532)] = 328560,
  [SMALL_STATE(7533)] = 328575,
  [SMALL_STATE(7534)] = 328590,
  [SMALL_STATE(7535)] = 328605,
  [SMALL_STATE(7536)] = 328620,
  [SMALL_STATE(7537)] = 328635,
  [SMALL_STATE(7538)] = 328650,
  [SMALL_STATE(7539)] = 328665,
  [SMALL_STATE(7540)] = 328680,
  [SMALL_STATE(7541)] = 328695,
  [SMALL_STATE(7542)] = 328712,
  [SMALL_STATE(7543)] = 328727,
  [SMALL_STATE(7544)] = 328742,
  [SMALL_STATE(7545)] = 328757,
  [SMALL_STATE(7546)] = 328772,
  [SMALL_STATE(7547)] = 328787,
  [SMALL_STATE(7548)] = 328802,
  [SMALL_STATE(7549)] = 328815,
  [SMALL_STATE(7550)] = 328830,
  [SMALL_STATE(7551)] = 328845,
  [SMALL_STATE(7552)] = 328860,
  [SMALL_STATE(7553)] = 328875,
  [SMALL_STATE(7554)] = 328890,
  [SMALL_STATE(7555)] = 328905,
  [SMALL_STATE(7556)] = 328920,
  [SMALL_STATE(7557)] = 328935,
  [SMALL_STATE(7558)] = 328950,
  [SMALL_STATE(7559)] = 328965,
  [SMALL_STATE(7560)] = 328980,
  [SMALL_STATE(7561)] = 328995,
  [SMALL_STATE(7562)] = 329010,
  [SMALL_STATE(7563)] = 329025,
  [SMALL_STATE(7564)] = 329040,
  [SMALL_STATE(7565)] = 329055,
  [SMALL_STATE(7566)] = 329070,
  [SMALL_STATE(7567)] = 329085,
  [SMALL_STATE(7568)] = 329100,
  [SMALL_STATE(7569)] = 329115,
  [SMALL_STATE(7570)] = 329130,
  [SMALL_STATE(7571)] = 329145,
  [SMALL_STATE(7572)] = 329160,
  [SMALL_STATE(7573)] = 329175,
  [SMALL_STATE(7574)] = 329190,
  [SMALL_STATE(7575)] = 329205,
  [SMALL_STATE(7576)] = 329220,
  [SMALL_STATE(7577)] = 329235,
  [SMALL_STATE(7578)] = 329250,
  [SMALL_STATE(7579)] = 329265,
  [SMALL_STATE(7580)] = 329280,
  [SMALL_STATE(7581)] = 329295,
  [SMALL_STATE(7582)] = 329310,
  [SMALL_STATE(7583)] = 329325,
  [SMALL_STATE(7584)] = 329340,
  [SMALL_STATE(7585)] = 329355,
  [SMALL_STATE(7586)] = 329370,
  [SMALL_STATE(7587)] = 329385,
  [SMALL_STATE(7588)] = 329400,
  [SMALL_STATE(7589)] = 329417,
  [SMALL_STATE(7590)] = 329432,
  [SMALL_STATE(7591)] = 329445,
  [SMALL_STATE(7592)] = 329460,
  [SMALL_STATE(7593)] = 329475,
  [SMALL_STATE(7594)] = 329490,
  [SMALL_STATE(7595)] = 329507,
  [SMALL_STATE(7596)] = 329524,
  [SMALL_STATE(7597)] = 329539,
  [SMALL_STATE(7598)] = 329554,
  [SMALL_STATE(7599)] = 329569,
  [SMALL_STATE(7600)] = 329584,
  [SMALL_STATE(7601)] = 329601,
  [SMALL_STATE(7602)] = 329616,
  [SMALL_STATE(7603)] = 329631,
  [SMALL_STATE(7604)] = 329646,
  [SMALL_STATE(7605)] = 329661,
  [SMALL_STATE(7606)] = 329676,
  [SMALL_STATE(7607)] = 329691,
  [SMALL_STATE(7608)] = 329706,
  [SMALL_STATE(7609)] = 329721,
  [SMALL_STATE(7610)] = 329734,
  [SMALL_STATE(7611)] = 329749,
  [SMALL_STATE(7612)] = 329766,
  [SMALL_STATE(7613)] = 329781,
  [SMALL_STATE(7614)] = 329796,
  [SMALL_STATE(7615)] = 329811,
  [SMALL_STATE(7616)] = 329826,
  [SMALL_STATE(7617)] = 329841,
  [SMALL_STATE(7618)] = 329856,
  [SMALL_STATE(7619)] = 329871,
  [SMALL_STATE(7620)] = 329886,
  [SMALL_STATE(7621)] = 329901,
  [SMALL_STATE(7622)] = 329916,
  [SMALL_STATE(7623)] = 329931,
  [SMALL_STATE(7624)] = 329946,
  [SMALL_STATE(7625)] = 329961,
  [SMALL_STATE(7626)] = 329976,
  [SMALL_STATE(7627)] = 329993,
  [SMALL_STATE(7628)] = 330008,
  [SMALL_STATE(7629)] = 330023,
  [SMALL_STATE(7630)] = 330038,
  [SMALL_STATE(7631)] = 330055,
  [SMALL_STATE(7632)] = 330070,
  [SMALL_STATE(7633)] = 330085,
  [SMALL_STATE(7634)] = 330100,
  [SMALL_STATE(7635)] = 330115,
  [SMALL_STATE(7636)] = 330130,
  [SMALL_STATE(7637)] = 330145,
  [SMALL_STATE(7638)] = 330160,
  [SMALL_STATE(7639)] = 330175,
  [SMALL_STATE(7640)] = 330190,
  [SMALL_STATE(7641)] = 330205,
  [SMALL_STATE(7642)] = 330222,
  [SMALL_STATE(7643)] = 330237,
  [SMALL_STATE(7644)] = 330252,
  [SMALL_STATE(7645)] = 330267,
  [SMALL_STATE(7646)] = 330282,
  [SMALL_STATE(7647)] = 330297,
  [SMALL_STATE(7648)] = 330312,
  [SMALL_STATE(7649)] = 330327,
  [SMALL_STATE(7650)] = 330342,
  [SMALL_STATE(7651)] = 330357,
  [SMALL_STATE(7652)] = 330372,
  [SMALL_STATE(7653)] = 330387,
  [SMALL_STATE(7654)] = 330402,
  [SMALL_STATE(7655)] = 330417,
  [SMALL_STATE(7656)] = 330432,
  [SMALL_STATE(7657)] = 330447,
  [SMALL_STATE(7658)] = 330462,
  [SMALL_STATE(7659)] = 330477,
  [SMALL_STATE(7660)] = 330492,
  [SMALL_STATE(7661)] = 330505,
  [SMALL_STATE(7662)] = 330520,
  [SMALL_STATE(7663)] = 330537,
  [SMALL_STATE(7664)] = 330552,
  [SMALL_STATE(7665)] = 330567,
  [SMALL_STATE(7666)] = 330582,
  [SMALL_STATE(7667)] = 330597,
  [SMALL_STATE(7668)] = 330612,
  [SMALL_STATE(7669)] = 330625,
  [SMALL_STATE(7670)] = 330640,
  [SMALL_STATE(7671)] = 330655,
  [SMALL_STATE(7672)] = 330670,
  [SMALL_STATE(7673)] = 330685,
  [SMALL_STATE(7674)] = 330700,
  [SMALL_STATE(7675)] = 330715,
  [SMALL_STATE(7676)] = 330730,
  [SMALL_STATE(7677)] = 330745,
  [SMALL_STATE(7678)] = 330760,
  [SMALL_STATE(7679)] = 330775,
  [SMALL_STATE(7680)] = 330790,
  [SMALL_STATE(7681)] = 330805,
  [SMALL_STATE(7682)] = 330820,
  [SMALL_STATE(7683)] = 330835,
  [SMALL_STATE(7684)] = 330850,
  [SMALL_STATE(7685)] = 330865,
  [SMALL_STATE(7686)] = 330880,
  [SMALL_STATE(7687)] = 330895,
  [SMALL_STATE(7688)] = 330910,
  [SMALL_STATE(7689)] = 330925,
  [SMALL_STATE(7690)] = 330940,
  [SMALL_STATE(7691)] = 330955,
  [SMALL_STATE(7692)] = 330970,
  [SMALL_STATE(7693)] = 330985,
  [SMALL_STATE(7694)] = 331000,
  [SMALL_STATE(7695)] = 331015,
  [SMALL_STATE(7696)] = 331030,
  [SMALL_STATE(7697)] = 331045,
  [SMALL_STATE(7698)] = 331060,
  [SMALL_STATE(7699)] = 331071,
  [SMALL_STATE(7700)] = 331086,
  [SMALL_STATE(7701)] = 331101,
  [SMALL_STATE(7702)] = 331116,
  [SMALL_STATE(7703)] = 331131,
  [SMALL_STATE(7704)] = 331148,
  [SMALL_STATE(7705)] = 331163,
  [SMALL_STATE(7706)] = 331178,
  [SMALL_STATE(7707)] = 331195,
  [SMALL_STATE(7708)] = 331208,
  [SMALL_STATE(7709)] = 331223,
  [SMALL_STATE(7710)] = 331238,
  [SMALL_STATE(7711)] = 331253,
  [SMALL_STATE(7712)] = 331266,
  [SMALL_STATE(7713)] = 331281,
  [SMALL_STATE(7714)] = 331298,
  [SMALL_STATE(7715)] = 331313,
  [SMALL_STATE(7716)] = 331328,
  [SMALL_STATE(7717)] = 331343,
  [SMALL_STATE(7718)] = 331358,
  [SMALL_STATE(7719)] = 331373,
  [SMALL_STATE(7720)] = 331388,
  [SMALL_STATE(7721)] = 331403,
  [SMALL_STATE(7722)] = 331418,
  [SMALL_STATE(7723)] = 331433,
  [SMALL_STATE(7724)] = 331448,
  [SMALL_STATE(7725)] = 331463,
  [SMALL_STATE(7726)] = 331478,
  [SMALL_STATE(7727)] = 331493,
  [SMALL_STATE(7728)] = 331508,
  [SMALL_STATE(7729)] = 331523,
  [SMALL_STATE(7730)] = 331538,
  [SMALL_STATE(7731)] = 331553,
  [SMALL_STATE(7732)] = 331568,
  [SMALL_STATE(7733)] = 331585,
  [SMALL_STATE(7734)] = 331600,
  [SMALL_STATE(7735)] = 331615,
  [SMALL_STATE(7736)] = 331630,
  [SMALL_STATE(7737)] = 331645,
  [SMALL_STATE(7738)] = 331660,
  [SMALL_STATE(7739)] = 331675,
  [SMALL_STATE(7740)] = 331690,
  [SMALL_STATE(7741)] = 331705,
  [SMALL_STATE(7742)] = 331720,
  [SMALL_STATE(7743)] = 331735,
  [SMALL_STATE(7744)] = 331750,
  [SMALL_STATE(7745)] = 331765,
  [SMALL_STATE(7746)] = 331780,
  [SMALL_STATE(7747)] = 331795,
  [SMALL_STATE(7748)] = 331810,
  [SMALL_STATE(7749)] = 331825,
  [SMALL_STATE(7750)] = 331840,
  [SMALL_STATE(7751)] = 331855,
  [SMALL_STATE(7752)] = 331870,
  [SMALL_STATE(7753)] = 331885,
  [SMALL_STATE(7754)] = 331900,
  [SMALL_STATE(7755)] = 331915,
  [SMALL_STATE(7756)] = 331930,
  [SMALL_STATE(7757)] = 331945,
  [SMALL_STATE(7758)] = 331960,
  [SMALL_STATE(7759)] = 331972,
  [SMALL_STATE(7760)] = 331984,
  [SMALL_STATE(7761)] = 331994,
  [SMALL_STATE(7762)] = 332004,
  [SMALL_STATE(7763)] = 332016,
  [SMALL_STATE(7764)] = 332028,
  [SMALL_STATE(7765)] = 332040,
  [SMALL_STATE(7766)] = 332052,
  [SMALL_STATE(7767)] = 332064,
  [SMALL_STATE(7768)] = 332076,
  [SMALL_STATE(7769)] = 332088,
  [SMALL_STATE(7770)] = 332100,
  [SMALL_STATE(7771)] = 332112,
  [SMALL_STATE(7772)] = 332124,
  [SMALL_STATE(7773)] = 332136,
  [SMALL_STATE(7774)] = 332148,
  [SMALL_STATE(7775)] = 332160,
  [SMALL_STATE(7776)] = 332172,
  [SMALL_STATE(7777)] = 332184,
  [SMALL_STATE(7778)] = 332196,
  [SMALL_STATE(7779)] = 332208,
  [SMALL_STATE(7780)] = 332220,
  [SMALL_STATE(7781)] = 332232,
  [SMALL_STATE(7782)] = 332244,
  [SMALL_STATE(7783)] = 332256,
  [SMALL_STATE(7784)] = 332268,
  [SMALL_STATE(7785)] = 332280,
  [SMALL_STATE(7786)] = 332292,
  [SMALL_STATE(7787)] = 332304,
  [SMALL_STATE(7788)] = 332314,
  [SMALL_STATE(7789)] = 332326,
  [SMALL_STATE(7790)] = 332336,
  [SMALL_STATE(7791)] = 332348,
  [SMALL_STATE(7792)] = 332360,
  [SMALL_STATE(7793)] = 332372,
  [SMALL_STATE(7794)] = 332384,
  [SMALL_STATE(7795)] = 332396,
  [SMALL_STATE(7796)] = 332408,
  [SMALL_STATE(7797)] = 332420,
  [SMALL_STATE(7798)] = 332430,
  [SMALL_STATE(7799)] = 332442,
  [SMALL_STATE(7800)] = 332454,
  [SMALL_STATE(7801)] = 332466,
  [SMALL_STATE(7802)] = 332476,
  [SMALL_STATE(7803)] = 332488,
  [SMALL_STATE(7804)] = 332500,
  [SMALL_STATE(7805)] = 332510,
  [SMALL_STATE(7806)] = 332524,
  [SMALL_STATE(7807)] = 332536,
  [SMALL_STATE(7808)] = 332548,
  [SMALL_STATE(7809)] = 332558,
  [SMALL_STATE(7810)] = 332570,
  [SMALL_STATE(7811)] = 332582,
  [SMALL_STATE(7812)] = 332592,
  [SMALL_STATE(7813)] = 332604,
  [SMALL_STATE(7814)] = 332616,
  [SMALL_STATE(7815)] = 332626,
  [SMALL_STATE(7816)] = 332638,
  [SMALL_STATE(7817)] = 332650,
  [SMALL_STATE(7818)] = 332662,
  [SMALL_STATE(7819)] = 332674,
  [SMALL_STATE(7820)] = 332686,
  [SMALL_STATE(7821)] = 332698,
  [SMALL_STATE(7822)] = 332712,
  [SMALL_STATE(7823)] = 332724,
  [SMALL_STATE(7824)] = 332736,
  [SMALL_STATE(7825)] = 332748,
  [SMALL_STATE(7826)] = 332760,
  [SMALL_STATE(7827)] = 332772,
  [SMALL_STATE(7828)] = 332784,
  [SMALL_STATE(7829)] = 332796,
  [SMALL_STATE(7830)] = 332806,
  [SMALL_STATE(7831)] = 332818,
  [SMALL_STATE(7832)] = 332828,
  [SMALL_STATE(7833)] = 332840,
  [SMALL_STATE(7834)] = 332850,
  [SMALL_STATE(7835)] = 332862,
  [SMALL_STATE(7836)] = 332876,
  [SMALL_STATE(7837)] = 332888,
  [SMALL_STATE(7838)] = 332898,
  [SMALL_STATE(7839)] = 332910,
  [SMALL_STATE(7840)] = 332922,
  [SMALL_STATE(7841)] = 332934,
  [SMALL_STATE(7842)] = 332946,
  [SMALL_STATE(7843)] = 332958,
  [SMALL_STATE(7844)] = 332970,
  [SMALL_STATE(7845)] = 332982,
  [SMALL_STATE(7846)] = 332994,
  [SMALL_STATE(7847)] = 333006,
  [SMALL_STATE(7848)] = 333020,
  [SMALL_STATE(7849)] = 333032,
  [SMALL_STATE(7850)] = 333044,
  [SMALL_STATE(7851)] = 333056,
  [SMALL_STATE(7852)] = 333068,
  [SMALL_STATE(7853)] = 333080,
  [SMALL_STATE(7854)] = 333090,
  [SMALL_STATE(7855)] = 333102,
  [SMALL_STATE(7856)] = 333114,
  [SMALL_STATE(7857)] = 333126,
  [SMALL_STATE(7858)] = 333138,
  [SMALL_STATE(7859)] = 333148,
  [SMALL_STATE(7860)] = 333160,
  [SMALL_STATE(7861)] = 333170,
  [SMALL_STATE(7862)] = 333184,
  [SMALL_STATE(7863)] = 333196,
  [SMALL_STATE(7864)] = 333210,
  [SMALL_STATE(7865)] = 333222,
  [SMALL_STATE(7866)] = 333234,
  [SMALL_STATE(7867)] = 333248,
  [SMALL_STATE(7868)] = 333260,
  [SMALL_STATE(7869)] = 333270,
  [SMALL_STATE(7870)] = 333282,
  [SMALL_STATE(7871)] = 333294,
  [SMALL_STATE(7872)] = 333306,
  [SMALL_STATE(7873)] = 333318,
  [SMALL_STATE(7874)] = 333330,
  [SMALL_STATE(7875)] = 333342,
  [SMALL_STATE(7876)] = 333354,
  [SMALL_STATE(7877)] = 333366,
  [SMALL_STATE(7878)] = 333376,
  [SMALL_STATE(7879)] = 333388,
  [SMALL_STATE(7880)] = 333400,
  [SMALL_STATE(7881)] = 333412,
  [SMALL_STATE(7882)] = 333424,
  [SMALL_STATE(7883)] = 333434,
  [SMALL_STATE(7884)] = 333446,
  [SMALL_STATE(7885)] = 333456,
  [SMALL_STATE(7886)] = 333468,
  [SMALL_STATE(7887)] = 333478,
  [SMALL_STATE(7888)] = 333492,
  [SMALL_STATE(7889)] = 333502,
  [SMALL_STATE(7890)] = 333512,
  [SMALL_STATE(7891)] = 333522,
  [SMALL_STATE(7892)] = 333534,
  [SMALL_STATE(7893)] = 333546,
  [SMALL_STATE(7894)] = 333558,
  [SMALL_STATE(7895)] = 333572,
  [SMALL_STATE(7896)] = 333582,
  [SMALL_STATE(7897)] = 333592,
  [SMALL_STATE(7898)] = 333602,
  [SMALL_STATE(7899)] = 333614,
  [SMALL_STATE(7900)] = 333626,
  [SMALL_STATE(7901)] = 333638,
  [SMALL_STATE(7902)] = 333650,
  [SMALL_STATE(7903)] = 333662,
  [SMALL_STATE(7904)] = 333674,
  [SMALL_STATE(7905)] = 333686,
  [SMALL_STATE(7906)] = 333698,
  [SMALL_STATE(7907)] = 333710,
  [SMALL_STATE(7908)] = 333722,
  [SMALL_STATE(7909)] = 333734,
  [SMALL_STATE(7910)] = 333746,
  [SMALL_STATE(7911)] = 333758,
  [SMALL_STATE(7912)] = 333770,
  [SMALL_STATE(7913)] = 333782,
  [SMALL_STATE(7914)] = 333794,
  [SMALL_STATE(7915)] = 333806,
  [SMALL_STATE(7916)] = 333818,
  [SMALL_STATE(7917)] = 333828,
  [SMALL_STATE(7918)] = 333840,
  [SMALL_STATE(7919)] = 333852,
  [SMALL_STATE(7920)] = 333864,
  [SMALL_STATE(7921)] = 333876,
  [SMALL_STATE(7922)] = 333886,
  [SMALL_STATE(7923)] = 333898,
  [SMALL_STATE(7924)] = 333910,
  [SMALL_STATE(7925)] = 333922,
  [SMALL_STATE(7926)] = 333934,
  [SMALL_STATE(7927)] = 333946,
  [SMALL_STATE(7928)] = 333958,
  [SMALL_STATE(7929)] = 333970,
  [SMALL_STATE(7930)] = 333982,
  [SMALL_STATE(7931)] = 333994,
  [SMALL_STATE(7932)] = 334006,
  [SMALL_STATE(7933)] = 334018,
  [SMALL_STATE(7934)] = 334030,
  [SMALL_STATE(7935)] = 334042,
  [SMALL_STATE(7936)] = 334054,
  [SMALL_STATE(7937)] = 334066,
  [SMALL_STATE(7938)] = 334078,
  [SMALL_STATE(7939)] = 334090,
  [SMALL_STATE(7940)] = 334104,
  [SMALL_STATE(7941)] = 334116,
  [SMALL_STATE(7942)] = 334128,
  [SMALL_STATE(7943)] = 334140,
  [SMALL_STATE(7944)] = 334154,
  [SMALL_STATE(7945)] = 334166,
  [SMALL_STATE(7946)] = 334178,
  [SMALL_STATE(7947)] = 334190,
  [SMALL_STATE(7948)] = 334202,
  [SMALL_STATE(7949)] = 334214,
  [SMALL_STATE(7950)] = 334224,
  [SMALL_STATE(7951)] = 334238,
  [SMALL_STATE(7952)] = 334250,
  [SMALL_STATE(7953)] = 334262,
  [SMALL_STATE(7954)] = 334271,
  [SMALL_STATE(7955)] = 334280,
  [SMALL_STATE(7956)] = 334289,
  [SMALL_STATE(7957)] = 334298,
  [SMALL_STATE(7958)] = 334307,
  [SMALL_STATE(7959)] = 334316,
  [SMALL_STATE(7960)] = 334325,
  [SMALL_STATE(7961)] = 334334,
  [SMALL_STATE(7962)] = 334343,
  [SMALL_STATE(7963)] = 334352,
  [SMALL_STATE(7964)] = 334361,
  [SMALL_STATE(7965)] = 334370,
  [SMALL_STATE(7966)] = 334379,
  [SMALL_STATE(7967)] = 334388,
  [SMALL_STATE(7968)] = 334397,
  [SMALL_STATE(7969)] = 334406,
  [SMALL_STATE(7970)] = 334415,
  [SMALL_STATE(7971)] = 334424,
  [SMALL_STATE(7972)] = 334433,
  [SMALL_STATE(7973)] = 334442,
  [SMALL_STATE(7974)] = 334451,
  [SMALL_STATE(7975)] = 334460,
  [SMALL_STATE(7976)] = 334469,
  [SMALL_STATE(7977)] = 334478,
  [SMALL_STATE(7978)] = 334487,
  [SMALL_STATE(7979)] = 334496,
  [SMALL_STATE(7980)] = 334505,
  [SMALL_STATE(7981)] = 334514,
  [SMALL_STATE(7982)] = 334523,
  [SMALL_STATE(7983)] = 334532,
  [SMALL_STATE(7984)] = 334541,
  [SMALL_STATE(7985)] = 334550,
  [SMALL_STATE(7986)] = 334559,
  [SMALL_STATE(7987)] = 334568,
  [SMALL_STATE(7988)] = 334577,
  [SMALL_STATE(7989)] = 334586,
  [SMALL_STATE(7990)] = 334595,
  [SMALL_STATE(7991)] = 334604,
  [SMALL_STATE(7992)] = 334613,
  [SMALL_STATE(7993)] = 334622,
  [SMALL_STATE(7994)] = 334631,
  [SMALL_STATE(7995)] = 334640,
  [SMALL_STATE(7996)] = 334649,
  [SMALL_STATE(7997)] = 334658,
  [SMALL_STATE(7998)] = 334667,
  [SMALL_STATE(7999)] = 334676,
  [SMALL_STATE(8000)] = 334685,
  [SMALL_STATE(8001)] = 334694,
  [SMALL_STATE(8002)] = 334703,
  [SMALL_STATE(8003)] = 334712,
  [SMALL_STATE(8004)] = 334721,
  [SMALL_STATE(8005)] = 334730,
  [SMALL_STATE(8006)] = 334739,
  [SMALL_STATE(8007)] = 334748,
  [SMALL_STATE(8008)] = 334757,
  [SMALL_STATE(8009)] = 334766,
  [SMALL_STATE(8010)] = 334775,
  [SMALL_STATE(8011)] = 334784,
  [SMALL_STATE(8012)] = 334793,
  [SMALL_STATE(8013)] = 334802,
  [SMALL_STATE(8014)] = 334811,
  [SMALL_STATE(8015)] = 334820,
  [SMALL_STATE(8016)] = 334829,
  [SMALL_STATE(8017)] = 334838,
  [SMALL_STATE(8018)] = 334847,
  [SMALL_STATE(8019)] = 334856,
  [SMALL_STATE(8020)] = 334865,
  [SMALL_STATE(8021)] = 334874,
  [SMALL_STATE(8022)] = 334883,
  [SMALL_STATE(8023)] = 334892,
  [SMALL_STATE(8024)] = 334901,
  [SMALL_STATE(8025)] = 334910,
  [SMALL_STATE(8026)] = 334919,
  [SMALL_STATE(8027)] = 334928,
  [SMALL_STATE(8028)] = 334937,
  [SMALL_STATE(8029)] = 334946,
  [SMALL_STATE(8030)] = 334955,
  [SMALL_STATE(8031)] = 334964,
  [SMALL_STATE(8032)] = 334973,
  [SMALL_STATE(8033)] = 334982,
  [SMALL_STATE(8034)] = 334991,
  [SMALL_STATE(8035)] = 335000,
  [SMALL_STATE(8036)] = 335009,
  [SMALL_STATE(8037)] = 335018,
  [SMALL_STATE(8038)] = 335027,
  [SMALL_STATE(8039)] = 335036,
  [SMALL_STATE(8040)] = 335045,
  [SMALL_STATE(8041)] = 335054,
  [SMALL_STATE(8042)] = 335063,
  [SMALL_STATE(8043)] = 335072,
  [SMALL_STATE(8044)] = 335081,
  [SMALL_STATE(8045)] = 335090,
  [SMALL_STATE(8046)] = 335099,
  [SMALL_STATE(8047)] = 335108,
  [SMALL_STATE(8048)] = 335117,
  [SMALL_STATE(8049)] = 335126,
  [SMALL_STATE(8050)] = 335135,
  [SMALL_STATE(8051)] = 335144,
  [SMALL_STATE(8052)] = 335153,
  [SMALL_STATE(8053)] = 335162,
  [SMALL_STATE(8054)] = 335171,
  [SMALL_STATE(8055)] = 335180,
  [SMALL_STATE(8056)] = 335189,
  [SMALL_STATE(8057)] = 335198,
  [SMALL_STATE(8058)] = 335207,
  [SMALL_STATE(8059)] = 335216,
  [SMALL_STATE(8060)] = 335225,
  [SMALL_STATE(8061)] = 335234,
  [SMALL_STATE(8062)] = 335243,
  [SMALL_STATE(8063)] = 335252,
  [SMALL_STATE(8064)] = 335261,
  [SMALL_STATE(8065)] = 335270,
  [SMALL_STATE(8066)] = 335279,
  [SMALL_STATE(8067)] = 335288,
  [SMALL_STATE(8068)] = 335297,
  [SMALL_STATE(8069)] = 335306,
  [SMALL_STATE(8070)] = 335315,
  [SMALL_STATE(8071)] = 335324,
  [SMALL_STATE(8072)] = 335333,
  [SMALL_STATE(8073)] = 335342,
  [SMALL_STATE(8074)] = 335351,
  [SMALL_STATE(8075)] = 335360,
  [SMALL_STATE(8076)] = 335369,
  [SMALL_STATE(8077)] = 335378,
  [SMALL_STATE(8078)] = 335387,
  [SMALL_STATE(8079)] = 335396,
  [SMALL_STATE(8080)] = 335405,
  [SMALL_STATE(8081)] = 335414,
  [SMALL_STATE(8082)] = 335423,
  [SMALL_STATE(8083)] = 335432,
  [SMALL_STATE(8084)] = 335441,
  [SMALL_STATE(8085)] = 335450,
  [SMALL_STATE(8086)] = 335459,
  [SMALL_STATE(8087)] = 335468,
  [SMALL_STATE(8088)] = 335477,
  [SMALL_STATE(8089)] = 335486,
  [SMALL_STATE(8090)] = 335495,
  [SMALL_STATE(8091)] = 335504,
  [SMALL_STATE(8092)] = 335513,
  [SMALL_STATE(8093)] = 335522,
  [SMALL_STATE(8094)] = 335531,
  [SMALL_STATE(8095)] = 335540,
  [SMALL_STATE(8096)] = 335549,
  [SMALL_STATE(8097)] = 335558,
  [SMALL_STATE(8098)] = 335567,
  [SMALL_STATE(8099)] = 335576,
  [SMALL_STATE(8100)] = 335585,
  [SMALL_STATE(8101)] = 335594,
  [SMALL_STATE(8102)] = 335603,
  [SMALL_STATE(8103)] = 335612,
  [SMALL_STATE(8104)] = 335621,
  [SMALL_STATE(8105)] = 335630,
  [SMALL_STATE(8106)] = 335639,
  [SMALL_STATE(8107)] = 335648,
  [SMALL_STATE(8108)] = 335657,
  [SMALL_STATE(8109)] = 335666,
  [SMALL_STATE(8110)] = 335675,
  [SMALL_STATE(8111)] = 335684,
  [SMALL_STATE(8112)] = 335693,
  [SMALL_STATE(8113)] = 335702,
  [SMALL_STATE(8114)] = 335711,
  [SMALL_STATE(8115)] = 335720,
  [SMALL_STATE(8116)] = 335729,
  [SMALL_STATE(8117)] = 335738,
  [SMALL_STATE(8118)] = 335747,
  [SMALL_STATE(8119)] = 335756,
  [SMALL_STATE(8120)] = 335765,
  [SMALL_STATE(8121)] = 335774,
  [SMALL_STATE(8122)] = 335783,
  [SMALL_STATE(8123)] = 335792,
  [SMALL_STATE(8124)] = 335801,
  [SMALL_STATE(8125)] = 335810,
  [SMALL_STATE(8126)] = 335819,
  [SMALL_STATE(8127)] = 335828,
  [SMALL_STATE(8128)] = 335837,
  [SMALL_STATE(8129)] = 335846,
  [SMALL_STATE(8130)] = 335855,
  [SMALL_STATE(8131)] = 335864,
  [SMALL_STATE(8132)] = 335873,
  [SMALL_STATE(8133)] = 335882,
  [SMALL_STATE(8134)] = 335891,
  [SMALL_STATE(8135)] = 335900,
  [SMALL_STATE(8136)] = 335909,
  [SMALL_STATE(8137)] = 335918,
  [SMALL_STATE(8138)] = 335927,
  [SMALL_STATE(8139)] = 335936,
  [SMALL_STATE(8140)] = 335945,
  [SMALL_STATE(8141)] = 335954,
  [SMALL_STATE(8142)] = 335963,
  [SMALL_STATE(8143)] = 335972,
  [SMALL_STATE(8144)] = 335981,
  [SMALL_STATE(8145)] = 335990,
  [SMALL_STATE(8146)] = 335999,
  [SMALL_STATE(8147)] = 336008,
  [SMALL_STATE(8148)] = 336017,
  [SMALL_STATE(8149)] = 336026,
  [SMALL_STATE(8150)] = 336035,
  [SMALL_STATE(8151)] = 336044,
  [SMALL_STATE(8152)] = 336053,
  [SMALL_STATE(8153)] = 336062,
  [SMALL_STATE(8154)] = 336071,
  [SMALL_STATE(8155)] = 336080,
  [SMALL_STATE(8156)] = 336089,
  [SMALL_STATE(8157)] = 336098,
  [SMALL_STATE(8158)] = 336107,
  [SMALL_STATE(8159)] = 336116,
  [SMALL_STATE(8160)] = 336125,
  [SMALL_STATE(8161)] = 336134,
  [SMALL_STATE(8162)] = 336143,
  [SMALL_STATE(8163)] = 336152,
  [SMALL_STATE(8164)] = 336161,
  [SMALL_STATE(8165)] = 336170,
  [SMALL_STATE(8166)] = 336179,
  [SMALL_STATE(8167)] = 336188,
  [SMALL_STATE(8168)] = 336197,
  [SMALL_STATE(8169)] = 336206,
  [SMALL_STATE(8170)] = 336215,
  [SMALL_STATE(8171)] = 336224,
  [SMALL_STATE(8172)] = 336233,
  [SMALL_STATE(8173)] = 336242,
  [SMALL_STATE(8174)] = 336251,
  [SMALL_STATE(8175)] = 336260,
  [SMALL_STATE(8176)] = 336269,
  [SMALL_STATE(8177)] = 336278,
  [SMALL_STATE(8178)] = 336287,
  [SMALL_STATE(8179)] = 336296,
  [SMALL_STATE(8180)] = 336305,
  [SMALL_STATE(8181)] = 336314,
  [SMALL_STATE(8182)] = 336323,
  [SMALL_STATE(8183)] = 336332,
  [SMALL_STATE(8184)] = 336341,
  [SMALL_STATE(8185)] = 336350,
  [SMALL_STATE(8186)] = 336359,
  [SMALL_STATE(8187)] = 336368,
  [SMALL_STATE(8188)] = 336377,
  [SMALL_STATE(8189)] = 336386,
  [SMALL_STATE(8190)] = 336395,
  [SMALL_STATE(8191)] = 336404,
  [SMALL_STATE(8192)] = 336413,
  [SMALL_STATE(8193)] = 336422,
  [SMALL_STATE(8194)] = 336431,
  [SMALL_STATE(8195)] = 336440,
  [SMALL_STATE(8196)] = 336449,
  [SMALL_STATE(8197)] = 336458,
  [SMALL_STATE(8198)] = 336467,
  [SMALL_STATE(8199)] = 336476,
  [SMALL_STATE(8200)] = 336485,
  [SMALL_STATE(8201)] = 336494,
  [SMALL_STATE(8202)] = 336503,
  [SMALL_STATE(8203)] = 336512,
  [SMALL_STATE(8204)] = 336521,
  [SMALL_STATE(8205)] = 336530,
  [SMALL_STATE(8206)] = 336539,
  [SMALL_STATE(8207)] = 336548,
  [SMALL_STATE(8208)] = 336557,
  [SMALL_STATE(8209)] = 336566,
  [SMALL_STATE(8210)] = 336575,
  [SMALL_STATE(8211)] = 336584,
  [SMALL_STATE(8212)] = 336593,
  [SMALL_STATE(8213)] = 336602,
  [SMALL_STATE(8214)] = 336611,
  [SMALL_STATE(8215)] = 336620,
  [SMALL_STATE(8216)] = 336629,
  [SMALL_STATE(8217)] = 336638,
  [SMALL_STATE(8218)] = 336647,
  [SMALL_STATE(8219)] = 336656,
  [SMALL_STATE(8220)] = 336665,
  [SMALL_STATE(8221)] = 336674,
  [SMALL_STATE(8222)] = 336683,
  [SMALL_STATE(8223)] = 336692,
  [SMALL_STATE(8224)] = 336701,
  [SMALL_STATE(8225)] = 336710,
  [SMALL_STATE(8226)] = 336719,
  [SMALL_STATE(8227)] = 336728,
  [SMALL_STATE(8228)] = 336737,
  [SMALL_STATE(8229)] = 336746,
  [SMALL_STATE(8230)] = 336755,
  [SMALL_STATE(8231)] = 336764,
  [SMALL_STATE(8232)] = 336773,
  [SMALL_STATE(8233)] = 336782,
  [SMALL_STATE(8234)] = 336791,
  [SMALL_STATE(8235)] = 336800,
  [SMALL_STATE(8236)] = 336809,
  [SMALL_STATE(8237)] = 336818,
  [SMALL_STATE(8238)] = 336827,
  [SMALL_STATE(8239)] = 336836,
  [SMALL_STATE(8240)] = 336845,
  [SMALL_STATE(8241)] = 336854,
  [SMALL_STATE(8242)] = 336863,
  [SMALL_STATE(8243)] = 336872,
  [SMALL_STATE(8244)] = 336881,
  [SMALL_STATE(8245)] = 336890,
  [SMALL_STATE(8246)] = 336899,
  [SMALL_STATE(8247)] = 336908,
  [SMALL_STATE(8248)] = 336917,
  [SMALL_STATE(8249)] = 336926,
  [SMALL_STATE(8250)] = 336935,
  [SMALL_STATE(8251)] = 336944,
  [SMALL_STATE(8252)] = 336953,
  [SMALL_STATE(8253)] = 336962,
  [SMALL_STATE(8254)] = 336971,
  [SMALL_STATE(8255)] = 336980,
  [SMALL_STATE(8256)] = 336989,
  [SMALL_STATE(8257)] = 336998,
  [SMALL_STATE(8258)] = 337007,
  [SMALL_STATE(8259)] = 337016,
  [SMALL_STATE(8260)] = 337025,
  [SMALL_STATE(8261)] = 337034,
  [SMALL_STATE(8262)] = 337043,
  [SMALL_STATE(8263)] = 337052,
  [SMALL_STATE(8264)] = 337061,
  [SMALL_STATE(8265)] = 337070,
  [SMALL_STATE(8266)] = 337079,
  [SMALL_STATE(8267)] = 337088,
  [SMALL_STATE(8268)] = 337097,
  [SMALL_STATE(8269)] = 337106,
  [SMALL_STATE(8270)] = 337115,
  [SMALL_STATE(8271)] = 337124,
  [SMALL_STATE(8272)] = 337133,
  [SMALL_STATE(8273)] = 337142,
  [SMALL_STATE(8274)] = 337151,
  [SMALL_STATE(8275)] = 337160,
  [SMALL_STATE(8276)] = 337169,
  [SMALL_STATE(8277)] = 337178,
  [SMALL_STATE(8278)] = 337187,
  [SMALL_STATE(8279)] = 337196,
  [SMALL_STATE(8280)] = 337205,
  [SMALL_STATE(8281)] = 337214,
  [SMALL_STATE(8282)] = 337223,
  [SMALL_STATE(8283)] = 337232,
  [SMALL_STATE(8284)] = 337241,
  [SMALL_STATE(8285)] = 337250,
  [SMALL_STATE(8286)] = 337259,
  [SMALL_STATE(8287)] = 337268,
  [SMALL_STATE(8288)] = 337277,
  [SMALL_STATE(8289)] = 337286,
  [SMALL_STATE(8290)] = 337295,
  [SMALL_STATE(8291)] = 337304,
  [SMALL_STATE(8292)] = 337313,
  [SMALL_STATE(8293)] = 337322,
  [SMALL_STATE(8294)] = 337331,
  [SMALL_STATE(8295)] = 337340,
  [SMALL_STATE(8296)] = 337349,
  [SMALL_STATE(8297)] = 337358,
  [SMALL_STATE(8298)] = 337367,
  [SMALL_STATE(8299)] = 337376,
  [SMALL_STATE(8300)] = 337385,
  [SMALL_STATE(8301)] = 337394,
  [SMALL_STATE(8302)] = 337403,
  [SMALL_STATE(8303)] = 337412,
  [SMALL_STATE(8304)] = 337421,
  [SMALL_STATE(8305)] = 337430,
  [SMALL_STATE(8306)] = 337439,
  [SMALL_STATE(8307)] = 337448,
  [SMALL_STATE(8308)] = 337457,
  [SMALL_STATE(8309)] = 337466,
  [SMALL_STATE(8310)] = 337475,
  [SMALL_STATE(8311)] = 337484,
  [SMALL_STATE(8312)] = 337493,
  [SMALL_STATE(8313)] = 337502,
  [SMALL_STATE(8314)] = 337511,
  [SMALL_STATE(8315)] = 337520,
  [SMALL_STATE(8316)] = 337529,
  [SMALL_STATE(8317)] = 337538,
  [SMALL_STATE(8318)] = 337547,
  [SMALL_STATE(8319)] = 337556,
  [SMALL_STATE(8320)] = 337565,
  [SMALL_STATE(8321)] = 337574,
  [SMALL_STATE(8322)] = 337583,
  [SMALL_STATE(8323)] = 337592,
  [SMALL_STATE(8324)] = 337601,
  [SMALL_STATE(8325)] = 337610,
  [SMALL_STATE(8326)] = 337619,
  [SMALL_STATE(8327)] = 337628,
  [SMALL_STATE(8328)] = 337637,
  [SMALL_STATE(8329)] = 337646,
  [SMALL_STATE(8330)] = 337655,
  [SMALL_STATE(8331)] = 337664,
  [SMALL_STATE(8332)] = 337673,
  [SMALL_STATE(8333)] = 337682,
  [SMALL_STATE(8334)] = 337691,
  [SMALL_STATE(8335)] = 337700,
  [SMALL_STATE(8336)] = 337709,
  [SMALL_STATE(8337)] = 337718,
  [SMALL_STATE(8338)] = 337727,
  [SMALL_STATE(8339)] = 337736,
  [SMALL_STATE(8340)] = 337745,
  [SMALL_STATE(8341)] = 337754,
  [SMALL_STATE(8342)] = 337763,
  [SMALL_STATE(8343)] = 337772,
  [SMALL_STATE(8344)] = 337781,
  [SMALL_STATE(8345)] = 337790,
  [SMALL_STATE(8346)] = 337799,
  [SMALL_STATE(8347)] = 337808,
  [SMALL_STATE(8348)] = 337817,
  [SMALL_STATE(8349)] = 337826,
  [SMALL_STATE(8350)] = 337835,
  [SMALL_STATE(8351)] = 337844,
  [SMALL_STATE(8352)] = 337853,
  [SMALL_STATE(8353)] = 337862,
  [SMALL_STATE(8354)] = 337871,
  [SMALL_STATE(8355)] = 337880,
  [SMALL_STATE(8356)] = 337889,
  [SMALL_STATE(8357)] = 337898,
  [SMALL_STATE(8358)] = 337907,
  [SMALL_STATE(8359)] = 337916,
  [SMALL_STATE(8360)] = 337925,
  [SMALL_STATE(8361)] = 337934,
  [SMALL_STATE(8362)] = 337943,
  [SMALL_STATE(8363)] = 337952,
  [SMALL_STATE(8364)] = 337961,
  [SMALL_STATE(8365)] = 337970,
  [SMALL_STATE(8366)] = 337979,
  [SMALL_STATE(8367)] = 337988,
  [SMALL_STATE(8368)] = 337997,
  [SMALL_STATE(8369)] = 338006,
  [SMALL_STATE(8370)] = 338015,
  [SMALL_STATE(8371)] = 338024,
  [SMALL_STATE(8372)] = 338033,
  [SMALL_STATE(8373)] = 338042,
  [SMALL_STATE(8374)] = 338051,
  [SMALL_STATE(8375)] = 338060,
  [SMALL_STATE(8376)] = 338069,
  [SMALL_STATE(8377)] = 338078,
  [SMALL_STATE(8378)] = 338087,
  [SMALL_STATE(8379)] = 338096,
  [SMALL_STATE(8380)] = 338105,
  [SMALL_STATE(8381)] = 338114,
  [SMALL_STATE(8382)] = 338123,
  [SMALL_STATE(8383)] = 338132,
  [SMALL_STATE(8384)] = 338141,
  [SMALL_STATE(8385)] = 338150,
  [SMALL_STATE(8386)] = 338159,
  [SMALL_STATE(8387)] = 338168,
  [SMALL_STATE(8388)] = 338177,
  [SMALL_STATE(8389)] = 338186,
  [SMALL_STATE(8390)] = 338195,
  [SMALL_STATE(8391)] = 338204,
  [SMALL_STATE(8392)] = 338213,
  [SMALL_STATE(8393)] = 338222,
  [SMALL_STATE(8394)] = 338231,
  [SMALL_STATE(8395)] = 338240,
  [SMALL_STATE(8396)] = 338249,
  [SMALL_STATE(8397)] = 338258,
  [SMALL_STATE(8398)] = 338267,
  [SMALL_STATE(8399)] = 338276,
  [SMALL_STATE(8400)] = 338285,
  [SMALL_STATE(8401)] = 338294,
  [SMALL_STATE(8402)] = 338303,
  [SMALL_STATE(8403)] = 338312,
  [SMALL_STATE(8404)] = 338321,
  [SMALL_STATE(8405)] = 338330,
  [SMALL_STATE(8406)] = 338339,
  [SMALL_STATE(8407)] = 338348,
  [SMALL_STATE(8408)] = 338357,
  [SMALL_STATE(8409)] = 338366,
  [SMALL_STATE(8410)] = 338375,
  [SMALL_STATE(8411)] = 338384,
  [SMALL_STATE(8412)] = 338393,
  [SMALL_STATE(8413)] = 338402,
  [SMALL_STATE(8414)] = 338411,
  [SMALL_STATE(8415)] = 338420,
  [SMALL_STATE(8416)] = 338429,
  [SMALL_STATE(8417)] = 338438,
  [SMALL_STATE(8418)] = 338447,
  [SMALL_STATE(8419)] = 338456,
  [SMALL_STATE(8420)] = 338465,
  [SMALL_STATE(8421)] = 338474,
  [SMALL_STATE(8422)] = 338483,
  [SMALL_STATE(8423)] = 338492,
  [SMALL_STATE(8424)] = 338501,
  [SMALL_STATE(8425)] = 338510,
  [SMALL_STATE(8426)] = 338519,
  [SMALL_STATE(8427)] = 338528,
  [SMALL_STATE(8428)] = 338537,
  [SMALL_STATE(8429)] = 338546,
  [SMALL_STATE(8430)] = 338555,
  [SMALL_STATE(8431)] = 338564,
  [SMALL_STATE(8432)] = 338573,
  [SMALL_STATE(8433)] = 338582,
  [SMALL_STATE(8434)] = 338591,
  [SMALL_STATE(8435)] = 338600,
  [SMALL_STATE(8436)] = 338609,
  [SMALL_STATE(8437)] = 338618,
  [SMALL_STATE(8438)] = 338627,
  [SMALL_STATE(8439)] = 338636,
  [SMALL_STATE(8440)] = 338645,
  [SMALL_STATE(8441)] = 338654,
  [SMALL_STATE(8442)] = 338663,
  [SMALL_STATE(8443)] = 338672,
  [SMALL_STATE(8444)] = 338681,
  [SMALL_STATE(8445)] = 338690,
  [SMALL_STATE(8446)] = 338699,
  [SMALL_STATE(8447)] = 338708,
  [SMALL_STATE(8448)] = 338717,
  [SMALL_STATE(8449)] = 338726,
  [SMALL_STATE(8450)] = 338735,
  [SMALL_STATE(8451)] = 338744,
  [SMALL_STATE(8452)] = 338753,
  [SMALL_STATE(8453)] = 338762,
  [SMALL_STATE(8454)] = 338771,
  [SMALL_STATE(8455)] = 338780,
  [SMALL_STATE(8456)] = 338789,
  [SMALL_STATE(8457)] = 338798,
  [SMALL_STATE(8458)] = 338807,
  [SMALL_STATE(8459)] = 338816,
  [SMALL_STATE(8460)] = 338825,
  [SMALL_STATE(8461)] = 338834,
  [SMALL_STATE(8462)] = 338843,
  [SMALL_STATE(8463)] = 338852,
  [SMALL_STATE(8464)] = 338861,
  [SMALL_STATE(8465)] = 338870,
  [SMALL_STATE(8466)] = 338879,
  [SMALL_STATE(8467)] = 338888,
  [SMALL_STATE(8468)] = 338897,
  [SMALL_STATE(8469)] = 338906,
  [SMALL_STATE(8470)] = 338915,
  [SMALL_STATE(8471)] = 338924,
  [SMALL_STATE(8472)] = 338933,
  [SMALL_STATE(8473)] = 338942,
  [SMALL_STATE(8474)] = 338951,
  [SMALL_STATE(8475)] = 338960,
  [SMALL_STATE(8476)] = 338969,
  [SMALL_STATE(8477)] = 338978,
  [SMALL_STATE(8478)] = 338987,
  [SMALL_STATE(8479)] = 338996,
  [SMALL_STATE(8480)] = 339005,
  [SMALL_STATE(8481)] = 339014,
  [SMALL_STATE(8482)] = 339023,
  [SMALL_STATE(8483)] = 339032,
  [SMALL_STATE(8484)] = 339041,
  [SMALL_STATE(8485)] = 339050,
  [SMALL_STATE(8486)] = 339059,
  [SMALL_STATE(8487)] = 339068,
  [SMALL_STATE(8488)] = 339077,
  [SMALL_STATE(8489)] = 339086,
  [SMALL_STATE(8490)] = 339095,
  [SMALL_STATE(8491)] = 339104,
  [SMALL_STATE(8492)] = 339113,
  [SMALL_STATE(8493)] = 339122,
  [SMALL_STATE(8494)] = 339131,
  [SMALL_STATE(8495)] = 339140,
  [SMALL_STATE(8496)] = 339149,
  [SMALL_STATE(8497)] = 339158,
  [SMALL_STATE(8498)] = 339167,
  [SMALL_STATE(8499)] = 339176,
  [SMALL_STATE(8500)] = 339185,
  [SMALL_STATE(8501)] = 339194,
  [SMALL_STATE(8502)] = 339203,
  [SMALL_STATE(8503)] = 339212,
  [SMALL_STATE(8504)] = 339221,
  [SMALL_STATE(8505)] = 339230,
  [SMALL_STATE(8506)] = 339239,
  [SMALL_STATE(8507)] = 339248,
  [SMALL_STATE(8508)] = 339257,
  [SMALL_STATE(8509)] = 339266,
  [SMALL_STATE(8510)] = 339275,
  [SMALL_STATE(8511)] = 339284,
  [SMALL_STATE(8512)] = 339293,
  [SMALL_STATE(8513)] = 339302,
  [SMALL_STATE(8514)] = 339311,
  [SMALL_STATE(8515)] = 339320,
  [SMALL_STATE(8516)] = 339329,
  [SMALL_STATE(8517)] = 339338,
  [SMALL_STATE(8518)] = 339347,
  [SMALL_STATE(8519)] = 339356,
  [SMALL_STATE(8520)] = 339365,
  [SMALL_STATE(8521)] = 339374,
  [SMALL_STATE(8522)] = 339383,
  [SMALL_STATE(8523)] = 339392,
  [SMALL_STATE(8524)] = 339401,
  [SMALL_STATE(8525)] = 339410,
  [SMALL_STATE(8526)] = 339419,
  [SMALL_STATE(8527)] = 339428,
  [SMALL_STATE(8528)] = 339437,
  [SMALL_STATE(8529)] = 339446,
  [SMALL_STATE(8530)] = 339455,
  [SMALL_STATE(8531)] = 339464,
  [SMALL_STATE(8532)] = 339473,
  [SMALL_STATE(8533)] = 339482,
  [SMALL_STATE(8534)] = 339491,
  [SMALL_STATE(8535)] = 339500,
  [SMALL_STATE(8536)] = 339509,
  [SMALL_STATE(8537)] = 339518,
  [SMALL_STATE(8538)] = 339527,
  [SMALL_STATE(8539)] = 339536,
  [SMALL_STATE(8540)] = 339545,
  [SMALL_STATE(8541)] = 339554,
  [SMALL_STATE(8542)] = 339563,
  [SMALL_STATE(8543)] = 339572,
  [SMALL_STATE(8544)] = 339581,
  [SMALL_STATE(8545)] = 339590,
  [SMALL_STATE(8546)] = 339599,
  [SMALL_STATE(8547)] = 339608,
  [SMALL_STATE(8548)] = 339617,
  [SMALL_STATE(8549)] = 339626,
  [SMALL_STATE(8550)] = 339635,
  [SMALL_STATE(8551)] = 339644,
  [SMALL_STATE(8552)] = 339653,
  [SMALL_STATE(8553)] = 339662,
  [SMALL_STATE(8554)] = 339671,
  [SMALL_STATE(8555)] = 339680,
  [SMALL_STATE(8556)] = 339689,
  [SMALL_STATE(8557)] = 339698,
  [SMALL_STATE(8558)] = 339707,
  [SMALL_STATE(8559)] = 339716,
  [SMALL_STATE(8560)] = 339725,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_source_file, 0, 0, 0),
  [7] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3477),
  [9] = {.entry = {.count = 1, .reusable = true}}, SHIFT(907),
  [11] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8367),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6965),
  [15] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6457),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1439),
  [19] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7772),
  [21] = {.entry = {.count = 1, .reusable = true}}, SHIFT(471),
  [23] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1577),
  [25] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4228),
  [27] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1409),
  [29] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1409),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1431),
  [33] = {.entry = {.count = 1, .reusable = true}}, SHIFT(652),
  [35] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8115),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1903),
  [39] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1648),
  [41] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8465),
  [43] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8181),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8341),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5351),
  [49] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3787),
  [51] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7044),
  [53] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7611),
  [55] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7847),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3869),
  [59] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3787),
  [61] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4561),
  [63] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2237),
  [65] = {.entry = {.count = 1, .reusable = true}}, SHIFT(41),
  [67] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0),
  [69] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1897),
  [71] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0),
  [73] = {.entry = {.count = 1, .reusable = true}}, SHIFT(281),
  [75] = {.entry = {.count = 1, .reusable = false}}, SHIFT(446),
  [77] = {.entry = {.count = 1, .reusable = false}}, SHIFT(271),
  [79] = {.entry = {.count = 1, .reusable = false}}, SHIFT(487),
  [81] = {.entry = {.count = 1, .reusable = false}}, SHIFT(109),
  [83] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6607),
  [85] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6515),
  [87] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6767),
  [89] = {.entry = {.count = 1, .reusable = false}}, SHIFT(461),
  [91] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2426),
  [93] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1469),
  [95] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1470),
  [97] = {.entry = {.count = 1, .reusable = true}}, SHIFT(670),
  [99] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7989),
  [101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1474),
  [103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1479),
  [105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8327),
  [107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8507),
  [109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8508),
  [111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5392),
  [113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2256),
  [115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6885),
  [117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7706),
  [119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7866),
  [121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2257),
  [123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2256),
  [125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2716),
  [127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(657),
  [129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(892),
  [131] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_or_break_expression, 2, 0, 0),
  [133] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_or_break_expression, 2, 0, 0),
  [135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(482),
  [137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(743),
  [139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1446),
  [141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1447),
  [143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(677),
  [145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8010),
  [147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1451),
  [149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1460),
  [151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8405),
  [153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8527),
  [155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8530),
  [157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4980),
  [159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(925),
  [161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6960),
  [163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7267),
  [165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7950),
  [167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(932),
  [169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(925),
  [171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(656),
  [173] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cast_expression, 3, 0, 0),
  [175] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cast_expression, 3, 0, 0),
  [177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1483),
  [179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(822),
  [181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(491),
  [183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2378),
  [185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1917),
  [187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1918),
  [189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8296),
  [191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1919),
  [193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1920),
  [195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2155),
  [197] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 4, 0, 9),
  [199] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 4, 0, 9),
  [201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2349),
  [203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(477),
  [205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2425),
  [207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1574),
  [209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1592),
  [211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8021),
  [213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1486),
  [215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1509),
  [217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8413),
  [219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8529),
  [221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8531),
  [223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5148),
  [225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2054),
  [227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6961),
  [229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7595),
  [231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7861),
  [233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2055),
  [235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2054),
  [237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(905),
  [239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(483),
  [241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2219),
  [243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1398),
  [245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(678),
  [247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1534),
  [249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2494),
  [251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(793),
  [253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(489),
  [255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2592),
  [257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1776),
  [259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1777),
  [261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(671),
  [263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8224),
  [265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1778),
  [267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1779),
  [269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8338),
  [271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8511),
  [273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8512),
  [275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4993),
  [277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2566),
  [279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6876),
  [281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7170),
  [283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7887),
  [285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2567),
  [287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2566),
  [289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2440),
  [291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(478),
  [293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2664),
  [295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1704),
  [297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1717),
  [299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8127),
  [301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1718),
  [303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1719),
  [305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2571),
  [307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2569),
  [309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(838),
  [311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1672),
  [313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8518),
  [315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1680),
  [317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1949),
  [319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8369),
  [321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8519),
  [323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8522),
  [325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5448),
  [327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2747),
  [329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6896),
  [331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7433),
  [333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7943),
  [335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2749),
  [337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2747),
  [339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2653),
  [341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4173),
  [343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1753),
  [345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8422),
  [347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1755),
  [349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1756),
  [351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8308),
  [353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8503),
  [355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8504),
  [357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5432),
  [359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4320),
  [361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7001),
  [363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7641),
  [365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7939),
  [367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4326),
  [369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4320),
  [371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4531),
  [373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(474),
  [375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2692),
  [377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1677),
  [379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(673),
  [381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4533),
  [383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
  [385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4572),
  [387] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 1, 0, 0),
  [389] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_block_repeat1, 1, 0, 0),
  [391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1469),
  [393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1479),
  [395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3),
  [397] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_case, 2, 0, 0),
  [399] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_case, 2, 0, 0),
  [401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4),
  [403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2270),
  [405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2),
  [407] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_case, 4, 0, 56),
  [409] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_case, 4, 0, 56),
  [411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6),
  [413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7),
  [415] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_case, 3, 0, 29),
  [417] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_case, 3, 0, 29),
  [419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5),
  [421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2048),
  [423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4274),
  [425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2676),
  [427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1070),
  [431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19),
  [433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2178),
  [435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20),
  [437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4101),
  [439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21),
  [441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2036),
  [443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18),
  [445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3519),
  [447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17),
  [449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3000),
  [451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(864),
  [453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(480),
  [455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3174),
  [457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1974),
  [459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1974),
  [461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1984),
  [463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(675),
  [465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7981),
  [467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1988),
  [469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2023),
  [471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8387),
  [473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8523),
  [475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8526),
  [477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5289),
  [479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3078),
  [481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7018),
  [483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7703),
  [485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7863),
  [487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3079),
  [489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3078),
  [491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2999),
  [493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2668),
  [495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1625),
  [497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7963),
  [499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1627),
  [501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1635),
  [503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8378),
  [505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8521),
  [507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8524),
  [509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5374),
  [511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2871),
  [513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6958),
  [515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7588),
  [517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7821),
  [519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2872),
  [521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2871),
  [523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3634),
  [525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(851),
  [527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(479),
  [529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2689),
  [531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1625),
  [533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1626),
  [535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(674),
  [537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2873),
  [539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3430),
  [541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9),
  [543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3288),
  [545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8),
  [547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4242),
  [549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10),
  [551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2369),
  [553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11),
  [555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2501),
  [557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12),
  [559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2737),
  [561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13),
  [563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3616),
  [565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14),
  [567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3163),
  [569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(270),
  [573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(108),
  [575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2377),
  [577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1917),
  [579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1920),
  [581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2748),
  [583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3963),
  [585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6250),
  [587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5049),
  [589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(275),
  [591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4299),
  [593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1684),
  [595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(602),
  [597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8534),
  [599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1686),
  [601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1687),
  [603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8551),
  [605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4456),
  [607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5258),
  [609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1648),
  [611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3713),
  [613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3451),
  [615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(753),
  [617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(473),
  [619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3856),
  [621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1749),
  [623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1749),
  [625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1795),
  [627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(643),
  [629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8547),
  [631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1830),
  [633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1847),
  [635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8072),
  [637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8439),
  [639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8440),
  [641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5116),
  [643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3858),
  [645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6934),
  [647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7541),
  [649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7805),
  [651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3879),
  [653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3858),
  [655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3620),
  [657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3826),
  [659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3353),
  [661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(877),
  [663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(481),
  [665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3597),
  [667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1411),
  [669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1411),
  [671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1412),
  [673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(676),
  [675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7999),
  [677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1413),
  [679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1414),
  [681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8396),
  [683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8525),
  [685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8528),
  [687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5381),
  [689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3453),
  [691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6889),
  [693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7219),
  [695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7894),
  [697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3456),
  [699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3453),
  [701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3350),
  [703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4970),
  [705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3975),
  [707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(810),
  [709] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 2, 0, 0),
  [711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6232),
  [713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(279),
  [715] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 2, 0, 0),
  [717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4256),
  [719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1968),
  [721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1968),
  [723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1970),
  [725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(672),
  [727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8307),
  [729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1972),
  [731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1982),
  [733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8349),
  [735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8515),
  [737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8516),
  [739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5071),
  [741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4290),
  [743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6992),
  [745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7300),
  [747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7835),
  [749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4292),
  [751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4290),
  [753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4114),
  [755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4084),
  [757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3964),
  [759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(472),
  [761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4237),
  [763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1684),
  [765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1685),
  [767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(475),
  [769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4282),
  [771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(523),
  [773] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 4, 0, 0), REDUCE(sym_array_type, 5, 0, 0),
  [776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6221),
  [778] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_array_type, 4, 0, 0), REDUCE(sym_array_type, 5, 0, 0),
  [781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6580),
  [783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8001),
  [785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8002),
  [787] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 4, 0, 0), REDUCE(sym_array_type, 5, 0, 0), SHIFT(4549),
  [791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4992),
  [793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(704),
  [795] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 4, 0, 0), REDUCE(sym_array_type, 5, 0, 0), SHIFT(546),
  [799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5451),
  [801] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_array_type, 4, 0, 0), REDUCE(sym_array_type, 5, 0, 0), SHIFT(5083),
  [805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(705),
  [807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8052),
  [809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8004),
  [811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8430),
  [813] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 4, 0, 0), REDUCE(sym_array_type, 5, 0, 0), SHIFT(8249),
  [817] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type, 2, 0, 0),
  [819] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type, 2, 0, 0),
  [821] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 2, 0, 0), SHIFT(4549),
  [824] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 2, 0, 0), SHIFT(546),
  [827] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_array_type, 2, 0, 0), SHIFT(5083),
  [830] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 2, 0, 0), SHIFT(8249),
  [833] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 3, 0, 0), REDUCE(sym_array_type, 4, 0, 0),
  [836] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_array_type, 3, 0, 0), REDUCE(sym_array_type, 4, 0, 0),
  [839] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 3, 0, 0), REDUCE(sym_array_type, 4, 0, 0), SHIFT(4549),
  [843] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 3, 0, 0), REDUCE(sym_array_type, 4, 0, 0), SHIFT(546),
  [847] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_array_type, 3, 0, 0), REDUCE(sym_array_type, 4, 0, 0), SHIFT(5083),
  [851] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 3, 0, 0), REDUCE(sym_array_type, 4, 0, 0), SHIFT(8249),
  [855] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type, 3, 0, 0),
  [857] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type, 3, 0, 0),
  [859] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 3, 0, 0), SHIFT(4549),
  [862] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 3, 0, 0), SHIFT(546),
  [865] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_array_type, 3, 0, 0), SHIFT(5083),
  [868] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 3, 0, 0), SHIFT(8249),
  [871] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 2, 0, 0), REDUCE(sym_array_type, 3, 0, 0),
  [874] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_array_type, 2, 0, 0), REDUCE(sym_array_type, 3, 0, 0),
  [877] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 2, 0, 0), REDUCE(sym_array_type, 3, 0, 0), SHIFT(4549),
  [881] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 2, 0, 0), REDUCE(sym_array_type, 3, 0, 0), SHIFT(546),
  [885] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_array_type, 2, 0, 0), REDUCE(sym_array_type, 3, 0, 0), SHIFT(5083),
  [889] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 2, 0, 0), REDUCE(sym_array_type, 3, 0, 0), SHIFT(8249),
  [893] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type, 4, 0, 0),
  [895] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type, 4, 0, 0),
  [897] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 4, 0, 0), SHIFT(4549),
  [900] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 4, 0, 0), SHIFT(546),
  [903] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_array_type, 4, 0, 0), SHIFT(5083),
  [906] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 4, 0, 0), SHIFT(8249),
  [909] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type, 5, 0, 0),
  [911] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type, 5, 0, 0),
  [913] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 5, 0, 0), SHIFT(4549),
  [916] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 5, 0, 0), SHIFT(546),
  [919] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_array_type, 5, 0, 0), SHIFT(5083),
  [922] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 5, 0, 0), SHIFT(8249),
  [925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(488),
  [927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4337),
  [929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1730),
  [931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1730),
  [933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1731),
  [935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8350),
  [937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1732),
  [939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1733),
  [941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4246),
  [943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(774),
  [945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(476),
  [947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4431),
  [949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1772),
  [951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1772),
  [953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1371),
  [955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(669),
  [957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8397),
  [959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1373),
  [961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1379),
  [963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4291),
  [965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1855),
  [967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8035),
  [969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1857),
  [971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1858),
  [973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8421),
  [975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8533),
  [977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5356),
  [979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1278),
  [981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6241),
  [983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6581),
  [985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7984),
  [987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7985),
  [989] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 5, 0, 0), SHIFT(4497),
  [992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5276),
  [994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2063),
  [996] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 5, 0, 0), SHIFT(543),
  [999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5487),
  [1001] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_array_type, 5, 0, 0), SHIFT(5467),
  [1004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2064),
  [1006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8048),
  [1008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7987),
  [1010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8429),
  [1012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5107),
  [1014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8011),
  [1016] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 4, 0, 0), SHIFT(4497),
  [1019] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 4, 0, 0), SHIFT(543),
  [1022] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_array_type, 4, 0, 0), SHIFT(5467),
  [1025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1799),
  [1027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8030),
  [1029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1801),
  [1031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1802),
  [1033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8417),
  [1035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8532),
  [1037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5061),
  [1039] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 3, 0, 0), SHIFT(4497),
  [1042] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 3, 0, 0), SHIFT(543),
  [1045] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_array_type, 3, 0, 0), SHIFT(5467),
  [1048] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 2, 0, 0), SHIFT(4497),
  [1051] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 2, 0, 0), SHIFT(543),
  [1054] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_array_type, 2, 0, 0), SHIFT(5467),
  [1057] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 2, 0, 0), REDUCE(sym_array_type, 3, 0, 0), SHIFT(4497),
  [1061] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 2, 0, 0), REDUCE(sym_array_type, 3, 0, 0), SHIFT(543),
  [1065] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_array_type, 2, 0, 0), REDUCE(sym_array_type, 3, 0, 0), SHIFT(5467),
  [1069] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 3, 0, 0), REDUCE(sym_array_type, 4, 0, 0), SHIFT(4497),
  [1073] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 3, 0, 0), REDUCE(sym_array_type, 4, 0, 0), SHIFT(543),
  [1077] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_array_type, 3, 0, 0), REDUCE(sym_array_type, 4, 0, 0), SHIFT(5467),
  [1081] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 4, 0, 0), REDUCE(sym_array_type, 5, 0, 0), SHIFT(4497),
  [1085] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 4, 0, 0), REDUCE(sym_array_type, 5, 0, 0), SHIFT(543),
  [1089] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_array_type, 4, 0, 0), REDUCE(sym_array_type, 5, 0, 0), SHIFT(5467),
  [1093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(484),
  [1095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1799),
  [1097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1800),
  [1099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(485),
  [1101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1855),
  [1103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1856),
  [1105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1305),
  [1107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6226),
  [1109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6575),
  [1111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8012),
  [1113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8013),
  [1115] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 3, 0, 0), SHIFT(4546),
  [1118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5164),
  [1120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2176),
  [1122] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 3, 0, 0), SHIFT(549),
  [1125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5217),
  [1127] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_array_type, 3, 0, 0), SHIFT(4966),
  [1130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2177),
  [1132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8056),
  [1134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8015),
  [1136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8431),
  [1138] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 3, 0, 0), SHIFT(8302),
  [1141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1484),
  [1143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6246),
  [1145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6540),
  [1147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8007),
  [1149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8009),
  [1151] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 5, 0, 0), SHIFT(4535),
  [1154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5433),
  [1156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2261),
  [1158] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 5, 0, 0), SHIFT(511),
  [1161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5119),
  [1163] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_array_type, 5, 0, 0), SHIFT(5159),
  [1166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2262),
  [1168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8321),
  [1170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8018),
  [1172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8366),
  [1174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8164),
  [1176] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 2, 0, 0), REDUCE(sym_array_type, 3, 0, 0), SHIFT(4546),
  [1180] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 2, 0, 0), REDUCE(sym_array_type, 3, 0, 0), SHIFT(549),
  [1184] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_array_type, 2, 0, 0), REDUCE(sym_array_type, 3, 0, 0), SHIFT(4966),
  [1188] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 2, 0, 0), REDUCE(sym_array_type, 3, 0, 0), SHIFT(8302),
  [1192] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 3, 0, 0), REDUCE(sym_array_type, 4, 0, 0), SHIFT(4546),
  [1196] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 3, 0, 0), REDUCE(sym_array_type, 4, 0, 0), SHIFT(549),
  [1200] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_array_type, 3, 0, 0), REDUCE(sym_array_type, 4, 0, 0), SHIFT(4966),
  [1204] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 3, 0, 0), REDUCE(sym_array_type, 4, 0, 0), SHIFT(8302),
  [1208] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 2, 0, 0), SHIFT(4546),
  [1211] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 2, 0, 0), SHIFT(549),
  [1214] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_array_type, 2, 0, 0), SHIFT(4966),
  [1217] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 2, 0, 0), SHIFT(8302),
  [1220] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 4, 0, 0), REDUCE(sym_array_type, 5, 0, 0), SHIFT(4546),
  [1224] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 4, 0, 0), REDUCE(sym_array_type, 5, 0, 0), SHIFT(549),
  [1228] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_array_type, 4, 0, 0), REDUCE(sym_array_type, 5, 0, 0), SHIFT(4966),
  [1232] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 4, 0, 0), REDUCE(sym_array_type, 5, 0, 0), SHIFT(8302),
  [1236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4355),
  [1238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(280),
  [1240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4385),
  [1242] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 4, 0, 0), SHIFT(4546),
  [1245] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 4, 0, 0), SHIFT(549),
  [1248] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_array_type, 4, 0, 0), SHIFT(4966),
  [1251] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 4, 0, 0), SHIFT(8302),
  [1254] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 5, 0, 0), SHIFT(4546),
  [1257] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 5, 0, 0), SHIFT(549),
  [1260] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_array_type, 5, 0, 0), SHIFT(4966),
  [1263] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 5, 0, 0), SHIFT(8302),
  [1266] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 3, 0, 0), REDUCE(sym_array_type, 4, 0, 0), SHIFT(4535),
  [1270] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 3, 0, 0), REDUCE(sym_array_type, 4, 0, 0), SHIFT(511),
  [1274] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_array_type, 3, 0, 0), REDUCE(sym_array_type, 4, 0, 0), SHIFT(5159),
  [1278] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 2, 0, 0), SHIFT(4535),
  [1281] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 2, 0, 0), SHIFT(511),
  [1284] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_array_type, 2, 0, 0), SHIFT(5159),
  [1287] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 2, 0, 0), REDUCE(sym_array_type, 3, 0, 0), SHIFT(4535),
  [1291] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 2, 0, 0), REDUCE(sym_array_type, 3, 0, 0), SHIFT(511),
  [1295] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_array_type, 2, 0, 0), REDUCE(sym_array_type, 3, 0, 0), SHIFT(5159),
  [1299] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 3, 0, 0), SHIFT(4535),
  [1302] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 3, 0, 0), SHIFT(511),
  [1305] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_array_type, 3, 0, 0), SHIFT(5159),
  [1308] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 4, 0, 0), REDUCE(sym_array_type, 5, 0, 0), SHIFT(4535),
  [1312] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 4, 0, 0), REDUCE(sym_array_type, 5, 0, 0), SHIFT(511),
  [1316] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_array_type, 4, 0, 0), REDUCE(sym_array_type, 5, 0, 0), SHIFT(5159),
  [1320] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 4, 0, 0), SHIFT(4535),
  [1323] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 4, 0, 0), SHIFT(511),
  [1326] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_array_type, 4, 0, 0), SHIFT(5159),
  [1329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6215),
  [1331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2351),
  [1333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6228),
  [1335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6484),
  [1337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8142),
  [1339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8151),
  [1341] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 2, 0, 0), SHIFT(4504),
  [1344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5005),
  [1346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2496),
  [1348] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 2, 0, 0), SHIFT(620),
  [1351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5405),
  [1353] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_array_type, 2, 0, 0), SHIFT(5292),
  [1356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2497),
  [1358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8358),
  [1360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8161),
  [1362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8375),
  [1364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8028),
  [1366] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 3, 0, 0), SHIFT(4504),
  [1369] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 3, 0, 0), SHIFT(620),
  [1372] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_array_type, 3, 0, 0), SHIFT(5292),
  [1375] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 4, 0, 0), SHIFT(4504),
  [1378] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 4, 0, 0), SHIFT(620),
  [1381] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_array_type, 4, 0, 0), SHIFT(5292),
  [1384] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 2, 0, 0), REDUCE(sym_array_type, 3, 0, 0), SHIFT(4504),
  [1388] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 2, 0, 0), REDUCE(sym_array_type, 3, 0, 0), SHIFT(620),
  [1392] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_array_type, 2, 0, 0), REDUCE(sym_array_type, 3, 0, 0), SHIFT(5292),
  [1396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(486),
  [1398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4564),
  [1400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1753),
  [1402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1754),
  [1404] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 3, 0, 0), REDUCE(sym_array_type, 4, 0, 0), SHIFT(4504),
  [1408] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 3, 0, 0), REDUCE(sym_array_type, 4, 0, 0), SHIFT(620),
  [1412] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_array_type, 3, 0, 0), REDUCE(sym_array_type, 4, 0, 0), SHIFT(5292),
  [1416] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 4, 0, 0), REDUCE(sym_array_type, 5, 0, 0), SHIFT(4504),
  [1420] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 4, 0, 0), REDUCE(sym_array_type, 5, 0, 0), SHIFT(620),
  [1424] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_array_type, 4, 0, 0), REDUCE(sym_array_type, 5, 0, 0), SHIFT(5292),
  [1428] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 5, 0, 0), SHIFT(4504),
  [1431] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 5, 0, 0), SHIFT(620),
  [1434] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_array_type, 5, 0, 0), SHIFT(5292),
  [1437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4505),
  [1439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [1441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2514),
  [1443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6260),
  [1445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6522),
  [1447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8540),
  [1449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8545),
  [1451] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 4, 0, 0), REDUCE(sym_array_type, 5, 0, 0), SHIFT(4503),
  [1455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5431),
  [1457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2696),
  [1459] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 4, 0, 0), REDUCE(sym_array_type, 5, 0, 0), SHIFT(531),
  [1463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5284),
  [1465] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_array_type, 4, 0, 0), REDUCE(sym_array_type, 5, 0, 0), SHIFT(5251),
  [1469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2697),
  [1471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8024),
  [1473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8550),
  [1475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8423),
  [1477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8081),
  [1479] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 2, 0, 0), SHIFT(4503),
  [1482] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 2, 0, 0), SHIFT(531),
  [1485] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_array_type, 2, 0, 0), SHIFT(5251),
  [1488] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 2, 0, 0), REDUCE(sym_array_type, 3, 0, 0), SHIFT(4503),
  [1492] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 2, 0, 0), REDUCE(sym_array_type, 3, 0, 0), SHIFT(531),
  [1496] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_array_type, 2, 0, 0), REDUCE(sym_array_type, 3, 0, 0), SHIFT(5251),
  [1500] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 3, 0, 0), REDUCE(sym_array_type, 4, 0, 0), SHIFT(4503),
  [1504] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 3, 0, 0), REDUCE(sym_array_type, 4, 0, 0), SHIFT(531),
  [1508] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_array_type, 3, 0, 0), REDUCE(sym_array_type, 4, 0, 0), SHIFT(5251),
  [1512] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 3, 0, 0), SHIFT(4503),
  [1515] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 3, 0, 0), SHIFT(531),
  [1518] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_array_type, 3, 0, 0), SHIFT(5251),
  [1521] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 4, 0, 0), SHIFT(4503),
  [1524] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 4, 0, 0), SHIFT(531),
  [1527] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_array_type, 4, 0, 0), SHIFT(5251),
  [1530] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 5, 0, 0), SHIFT(4503),
  [1533] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 5, 0, 0), SHIFT(531),
  [1536] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_array_type, 5, 0, 0), SHIFT(5251),
  [1539] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0),
  [1541] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3477),
  [1544] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(907),
  [1547] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(8367),
  [1550] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(6965),
  [1553] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(6457),
  [1556] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1439),
  [1559] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(7772),
  [1562] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(471),
  [1565] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1577),
  [1568] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(4228),
  [1571] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1409),
  [1574] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1409),
  [1577] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1431),
  [1580] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(652),
  [1583] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(8115),
  [1586] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1903),
  [1589] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(1648),
  [1592] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(8465),
  [1595] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(8181),
  [1598] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(8341),
  [1601] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(5351),
  [1604] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3787),
  [1607] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(7044),
  [1610] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(7611),
  [1613] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(7847),
  [1616] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3869),
  [1619] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(3787),
  [1622] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0), SHIFT_REPEAT(4561),
  [1625] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_source_file, 1, 0, 0),
  [1627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2528),
  [1629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6223),
  [1631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6550),
  [1633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8316),
  [1635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8319),
  [1637] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 5, 0, 0), SHIFT(4513),
  [1640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5372),
  [1642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2759),
  [1644] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 5, 0, 0), SHIFT(528),
  [1647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5095),
  [1649] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 5, 0, 0), SHIFT(5150),
  [1652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2760),
  [1654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8014),
  [1656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8325),
  [1658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8419),
  [1660] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 5, 0, 0), SHIFT(8274),
  [1663] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 4, 0, 0), SHIFT(4513),
  [1666] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 4, 0, 0), SHIFT(528),
  [1669] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 4, 0, 0), SHIFT(5150),
  [1672] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 4, 0, 0), SHIFT(8274),
  [1675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2945),
  [1677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6256),
  [1679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6582),
  [1681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8446),
  [1683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8451),
  [1685] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 5, 0, 0), SHIFT(4494),
  [1688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5169),
  [1690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3178),
  [1692] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 5, 0, 0), SHIFT(520),
  [1695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5375),
  [1697] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 5, 0, 0), SHIFT(5263),
  [1700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3208),
  [1702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7986),
  [1704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8459),
  [1706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8411),
  [1708] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 5, 0, 0), SHIFT(8535),
  [1711] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 3, 0, 0), SHIFT(4494),
  [1714] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 3, 0, 0), SHIFT(520),
  [1717] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 3, 0, 0), SHIFT(5263),
  [1720] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 3, 0, 0), SHIFT(8535),
  [1723] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 3, 0, 0), SHIFT(4513),
  [1726] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 3, 0, 0), SHIFT(528),
  [1729] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 3, 0, 0), SHIFT(5150),
  [1732] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 3, 0, 0), SHIFT(8274),
  [1735] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 2, 0, 0), REDUCE(sym_array_type, 3, 0, 0), SHIFT(4513),
  [1739] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 2, 0, 0), REDUCE(sym_array_type, 3, 0, 0), SHIFT(528),
  [1743] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 2, 0, 0), REDUCE(sym_array_type, 3, 0, 0), SHIFT(5150),
  [1747] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 2, 0, 0), REDUCE(sym_array_type, 3, 0, 0), SHIFT(8274),
  [1751] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 3, 0, 0), REDUCE(sym_array_type, 4, 0, 0), SHIFT(4513),
  [1755] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 3, 0, 0), REDUCE(sym_array_type, 4, 0, 0), SHIFT(528),
  [1759] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 3, 0, 0), REDUCE(sym_array_type, 4, 0, 0), SHIFT(5150),
  [1763] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 3, 0, 0), REDUCE(sym_array_type, 4, 0, 0), SHIFT(8274),
  [1767] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 4, 0, 0), REDUCE(sym_array_type, 5, 0, 0), SHIFT(4494),
  [1771] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 4, 0, 0), REDUCE(sym_array_type, 5, 0, 0), SHIFT(520),
  [1775] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 4, 0, 0), REDUCE(sym_array_type, 5, 0, 0), SHIFT(5263),
  [1779] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 4, 0, 0), REDUCE(sym_array_type, 5, 0, 0), SHIFT(8535),
  [1783] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 4, 0, 0), SHIFT(4494),
  [1786] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 4, 0, 0), SHIFT(520),
  [1789] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 4, 0, 0), SHIFT(5263),
  [1792] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 4, 0, 0), SHIFT(8535),
  [1795] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 4, 0, 0), REDUCE(sym_array_type, 5, 0, 0), SHIFT(4513),
  [1799] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 4, 0, 0), REDUCE(sym_array_type, 5, 0, 0), SHIFT(528),
  [1803] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 4, 0, 0), REDUCE(sym_array_type, 5, 0, 0), SHIFT(5150),
  [1807] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 4, 0, 0), REDUCE(sym_array_type, 5, 0, 0), SHIFT(8274),
  [1811] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 2, 0, 0), SHIFT(4494),
  [1814] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 2, 0, 0), SHIFT(520),
  [1817] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 2, 0, 0), SHIFT(5263),
  [1820] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 2, 0, 0), SHIFT(8535),
  [1823] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 2, 0, 0), SHIFT(4513),
  [1826] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 2, 0, 0), SHIFT(528),
  [1829] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 2, 0, 0), SHIFT(5150),
  [1832] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 2, 0, 0), SHIFT(8274),
  [1835] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 2, 0, 0), REDUCE(sym_array_type, 3, 0, 0), SHIFT(4494),
  [1839] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 2, 0, 0), REDUCE(sym_array_type, 3, 0, 0), SHIFT(520),
  [1843] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 2, 0, 0), REDUCE(sym_array_type, 3, 0, 0), SHIFT(5263),
  [1847] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 2, 0, 0), REDUCE(sym_array_type, 3, 0, 0), SHIFT(8535),
  [1851] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 3, 0, 0), REDUCE(sym_array_type, 4, 0, 0), SHIFT(4494),
  [1855] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 3, 0, 0), REDUCE(sym_array_type, 4, 0, 0), SHIFT(520),
  [1859] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 3, 0, 0), REDUCE(sym_array_type, 4, 0, 0), SHIFT(5263),
  [1863] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 3, 0, 0), REDUCE(sym_array_type, 4, 0, 0), SHIFT(8535),
  [1867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3256),
  [1869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6258),
  [1871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6502),
  [1873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8412),
  [1875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8414),
  [1877] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 4, 0, 0), SHIFT(4532),
  [1880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5463),
  [1882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3464),
  [1884] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 4, 0, 0), SHIFT(515),
  [1887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5106),
  [1889] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 4, 0, 0), SHIFT(4996),
  [1892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3471),
  [1894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8016),
  [1896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8418),
  [1898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8333),
  [1900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8481),
  [1902] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 2, 0, 0), SHIFT(4532),
  [1905] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 2, 0, 0), SHIFT(515),
  [1908] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 2, 0, 0), SHIFT(4996),
  [1911] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 3, 0, 0), SHIFT(4532),
  [1914] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 3, 0, 0), SHIFT(515),
  [1917] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 3, 0, 0), SHIFT(4996),
  [1920] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 4, 0, 0), REDUCE(sym_array_type, 5, 0, 0), SHIFT(4532),
  [1924] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 4, 0, 0), REDUCE(sym_array_type, 5, 0, 0), SHIFT(515),
  [1928] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 4, 0, 0), REDUCE(sym_array_type, 5, 0, 0), SHIFT(4996),
  [1932] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 5, 0, 0), SHIFT(4532),
  [1935] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 5, 0, 0), SHIFT(515),
  [1938] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 5, 0, 0), SHIFT(4996),
  [1941] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 2, 0, 0), REDUCE(sym_array_type, 3, 0, 0), SHIFT(4532),
  [1945] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 2, 0, 0), REDUCE(sym_array_type, 3, 0, 0), SHIFT(515),
  [1949] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 2, 0, 0), REDUCE(sym_array_type, 3, 0, 0), SHIFT(4996),
  [1953] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 3, 0, 0), REDUCE(sym_array_type, 4, 0, 0), SHIFT(4532),
  [1957] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 3, 0, 0), REDUCE(sym_array_type, 4, 0, 0), SHIFT(515),
  [1961] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 3, 0, 0), REDUCE(sym_array_type, 4, 0, 0), SHIFT(4996),
  [1965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3344),
  [1967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6251),
  [1969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6498),
  [1971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8356),
  [1973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8357),
  [1975] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 2, 0, 0), SHIFT(4523),
  [1978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5040),
  [1980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3685),
  [1982] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 2, 0, 0), SHIFT(508),
  [1985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5222),
  [1987] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 2, 0, 0), SHIFT(5456),
  [1990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3686),
  [1992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7968),
  [1994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8364),
  [1996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8402),
  [1998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5154),
  [2000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8203),
  [2002] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 2, 0, 0), REDUCE(sym_array_type, 3, 0, 0), SHIFT(4523),
  [2006] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 2, 0, 0), REDUCE(sym_array_type, 3, 0, 0), SHIFT(508),
  [2010] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 2, 0, 0), REDUCE(sym_array_type, 3, 0, 0), SHIFT(5456),
  [2014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3240),
  [2016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6243),
  [2018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6510),
  [2020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7966),
  [2022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7967),
  [2024] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 3, 0, 0), REDUCE(sym_array_type, 4, 0, 0), SHIFT(4541),
  [2028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5383),
  [2030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3449),
  [2032] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 3, 0, 0), REDUCE(sym_array_type, 4, 0, 0), SHIFT(552),
  [2036] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5139),
  [2038] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 3, 0, 0), REDUCE(sym_array_type, 4, 0, 0), SHIFT(5237),
  [2042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3450),
  [2044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8060),
  [2046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7969),
  [2048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8432),
  [2050] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 3, 0, 0), REDUCE(sym_array_type, 4, 0, 0), SHIFT(8361),
  [2054] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 3, 0, 0), REDUCE(sym_array_type, 4, 0, 0), SHIFT(4523),
  [2058] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 3, 0, 0), REDUCE(sym_array_type, 4, 0, 0), SHIFT(508),
  [2062] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 3, 0, 0), REDUCE(sym_array_type, 4, 0, 0), SHIFT(5456),
  [2066] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 2, 0, 0), REDUCE(sym_array_type, 3, 0, 0), SHIFT(4541),
  [2070] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 2, 0, 0), REDUCE(sym_array_type, 3, 0, 0), SHIFT(552),
  [2074] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 2, 0, 0), REDUCE(sym_array_type, 3, 0, 0), SHIFT(5237),
  [2078] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 2, 0, 0), REDUCE(sym_array_type, 3, 0, 0), SHIFT(8361),
  [2082] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 4, 0, 0), REDUCE(sym_array_type, 5, 0, 0), SHIFT(4523),
  [2086] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 4, 0, 0), REDUCE(sym_array_type, 5, 0, 0), SHIFT(508),
  [2090] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 4, 0, 0), REDUCE(sym_array_type, 5, 0, 0), SHIFT(5456),
  [2094] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 3, 0, 0), SHIFT(4523),
  [2097] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 3, 0, 0), SHIFT(508),
  [2100] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 3, 0, 0), SHIFT(5456),
  [2103] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 2, 0, 0), SHIFT(4541),
  [2106] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 2, 0, 0), SHIFT(552),
  [2109] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 2, 0, 0), SHIFT(5237),
  [2112] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 2, 0, 0), SHIFT(8361),
  [2115] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 4, 0, 0), REDUCE(sym_array_type, 5, 0, 0), SHIFT(4541),
  [2119] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 4, 0, 0), REDUCE(sym_array_type, 5, 0, 0), SHIFT(552),
  [2123] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 4, 0, 0), REDUCE(sym_array_type, 5, 0, 0), SHIFT(5237),
  [2127] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 4, 0, 0), REDUCE(sym_array_type, 5, 0, 0), SHIFT(8361),
  [2131] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 3, 0, 0), SHIFT(4541),
  [2134] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 3, 0, 0), SHIFT(552),
  [2137] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 3, 0, 0), SHIFT(5237),
  [2140] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 3, 0, 0), SHIFT(8361),
  [2143] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 4, 0, 0), SHIFT(4541),
  [2146] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 4, 0, 0), SHIFT(552),
  [2149] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 4, 0, 0), SHIFT(5237),
  [2152] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 4, 0, 0), SHIFT(8361),
  [2155] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 5, 0, 0), SHIFT(4541),
  [2158] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 5, 0, 0), SHIFT(552),
  [2161] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 5, 0, 0), SHIFT(5237),
  [2164] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 5, 0, 0), SHIFT(8361),
  [2167] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 4, 0, 0), SHIFT(4523),
  [2170] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 4, 0, 0), SHIFT(508),
  [2173] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 4, 0, 0), SHIFT(5456),
  [2176] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 5, 0, 0), SHIFT(4523),
  [2179] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 5, 0, 0), SHIFT(508),
  [2182] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 5, 0, 0), SHIFT(5456),
  [2185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3062),
  [2187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6267),
  [2189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6546),
  [2191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7979),
  [2193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8027),
  [2195] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 4, 0, 0), REDUCE(sym_array_type, 5, 0, 0), SHIFT(4493),
  [2199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5152),
  [2201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3282),
  [2203] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 4, 0, 0), REDUCE(sym_array_type, 5, 0, 0), SHIFT(566),
  [2207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5391),
  [2209] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 4, 0, 0), REDUCE(sym_array_type, 5, 0, 0), SHIFT(5459),
  [2213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3284),
  [2215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8054),
  [2217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8084),
  [2219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8083),
  [2221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8155),
  [2223] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 3, 0, 0), SHIFT(4493),
  [2226] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 3, 0, 0), SHIFT(566),
  [2229] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 3, 0, 0), SHIFT(5459),
  [2232] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 2, 0, 0), SHIFT(4493),
  [2235] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 2, 0, 0), SHIFT(566),
  [2238] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 2, 0, 0), SHIFT(5459),
  [2241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3283),
  [2243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6270),
  [2245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6524),
  [2247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8238),
  [2249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8146),
  [2251] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 5, 0, 0), SHIFT(4496),
  [2254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5437),
  [2256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3710),
  [2258] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 5, 0, 0), SHIFT(568),
  [2261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5266),
  [2263] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 5, 0, 0), SHIFT(5147),
  [2266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3649),
  [2268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8103),
  [2270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8105),
  [2272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8205),
  [2274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8470),
  [2276] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 4, 0, 0), SHIFT(4493),
  [2279] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 4, 0, 0), SHIFT(566),
  [2282] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 4, 0, 0), SHIFT(5459),
  [2285] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 2, 0, 0), REDUCE(sym_array_type, 3, 0, 0), SHIFT(4496),
  [2289] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 2, 0, 0), REDUCE(sym_array_type, 3, 0, 0), SHIFT(568),
  [2293] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 2, 0, 0), REDUCE(sym_array_type, 3, 0, 0), SHIFT(5147),
  [2297] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 2, 0, 0), SHIFT(4496),
  [2300] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 2, 0, 0), SHIFT(568),
  [2303] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 2, 0, 0), SHIFT(5147),
  [2306] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 5, 0, 0), SHIFT(4493),
  [2309] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 5, 0, 0), SHIFT(566),
  [2312] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 5, 0, 0), SHIFT(5459),
  [2315] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 4, 0, 0), REDUCE(sym_array_type, 5, 0, 0), SHIFT(4496),
  [2319] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 4, 0, 0), REDUCE(sym_array_type, 5, 0, 0), SHIFT(568),
  [2323] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 4, 0, 0), REDUCE(sym_array_type, 5, 0, 0), SHIFT(5147),
  [2327] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 3, 0, 0), SHIFT(4496),
  [2330] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 3, 0, 0), SHIFT(568),
  [2333] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 3, 0, 0), SHIFT(5147),
  [2336] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 2, 0, 0), REDUCE(sym_array_type, 3, 0, 0), SHIFT(4493),
  [2340] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 2, 0, 0), REDUCE(sym_array_type, 3, 0, 0), SHIFT(566),
  [2344] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 2, 0, 0), REDUCE(sym_array_type, 3, 0, 0), SHIFT(5459),
  [2348] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 4, 0, 0), SHIFT(4496),
  [2351] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 4, 0, 0), SHIFT(568),
  [2354] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 4, 0, 0), SHIFT(5147),
  [2357] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 3, 0, 0), REDUCE(sym_array_type, 4, 0, 0), SHIFT(4496),
  [2361] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 3, 0, 0), REDUCE(sym_array_type, 4, 0, 0), SHIFT(568),
  [2365] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 3, 0, 0), REDUCE(sym_array_type, 4, 0, 0), SHIFT(5147),
  [2369] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 3, 0, 0), REDUCE(sym_array_type, 4, 0, 0), SHIFT(4493),
  [2373] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 3, 0, 0), REDUCE(sym_array_type, 4, 0, 0), SHIFT(566),
  [2377] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 3, 0, 0), REDUCE(sym_array_type, 4, 0, 0), SHIFT(5459),
  [2381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6213),
  [2383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5355),
  [2385] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 2, 0, 0), REDUCE(sym_array_type, 3, 0, 0), SHIFT(633),
  [2389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5345),
  [2391] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 2, 0, 0), REDUCE(sym_array_type, 3, 0, 0), SHIFT(5341),
  [2395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8306),
  [2397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8437),
  [2399] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 2, 0, 0), REDUCE(sym_array_type, 3, 0, 0), SHIFT(8289),
  [2403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3931),
  [2405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6245),
  [2407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6544),
  [2409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8022),
  [2411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8023),
  [2413] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 5, 0, 0), SHIFT(4506),
  [2416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5260),
  [2418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4040),
  [2420] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 5, 0, 0), SHIFT(555),
  [2423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5149),
  [2425] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 5, 0, 0), SHIFT(4977),
  [2428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4042),
  [2430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8063),
  [2432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8025),
  [2434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8433),
  [2436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5250),
  [2438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8209),
  [2440] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 4, 0, 0), REDUCE(sym_array_type, 5, 0, 0), SHIFT(4506),
  [2444] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 4, 0, 0), REDUCE(sym_array_type, 5, 0, 0), SHIFT(555),
  [2448] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 4, 0, 0), REDUCE(sym_array_type, 5, 0, 0), SHIFT(4977),
  [2452] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 3, 0, 0), REDUCE(sym_array_type, 4, 0, 0), SHIFT(4506),
  [2456] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 3, 0, 0), REDUCE(sym_array_type, 4, 0, 0), SHIFT(555),
  [2460] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 3, 0, 0), REDUCE(sym_array_type, 4, 0, 0), SHIFT(4977),
  [2464] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 2, 0, 0), REDUCE(sym_array_type, 3, 0, 0), SHIFT(4506),
  [2468] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 2, 0, 0), REDUCE(sym_array_type, 3, 0, 0), SHIFT(555),
  [2472] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 2, 0, 0), REDUCE(sym_array_type, 3, 0, 0), SHIFT(4977),
  [2476] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 2, 0, 0), SHIFT(4506),
  [2479] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 2, 0, 0), SHIFT(555),
  [2482] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 2, 0, 0), SHIFT(4977),
  [2485] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 3, 0, 0), SHIFT(4506),
  [2488] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 3, 0, 0), SHIFT(555),
  [2491] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 3, 0, 0), SHIFT(4977),
  [2494] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 4, 0, 0), SHIFT(4506),
  [2497] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 4, 0, 0), SHIFT(555),
  [2500] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 4, 0, 0), SHIFT(4977),
  [2503] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 5, 0, 0), SHIFT(633),
  [2506] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 5, 0, 0), SHIFT(5341),
  [2509] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 5, 0, 0), SHIFT(8289),
  [2512] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 3, 0, 0), REDUCE(sym_array_type, 4, 0, 0), SHIFT(633),
  [2516] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 3, 0, 0), REDUCE(sym_array_type, 4, 0, 0), SHIFT(5341),
  [2520] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 3, 0, 0), REDUCE(sym_array_type, 4, 0, 0), SHIFT(8289),
  [2524] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 4, 0, 0), REDUCE(sym_array_type, 5, 0, 0), SHIFT(633),
  [2528] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 4, 0, 0), REDUCE(sym_array_type, 5, 0, 0), SHIFT(5341),
  [2532] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 4, 0, 0), REDUCE(sym_array_type, 5, 0, 0), SHIFT(8289),
  [2536] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 2, 0, 0), SHIFT(633),
  [2539] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 2, 0, 0), SHIFT(5341),
  [2542] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 2, 0, 0), SHIFT(8289),
  [2545] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 3, 0, 0), SHIFT(633),
  [2548] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 3, 0, 0), SHIFT(5341),
  [2551] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 3, 0, 0), SHIFT(8289),
  [2554] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 4, 0, 0), SHIFT(633),
  [2557] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 4, 0, 0), SHIFT(5341),
  [2560] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 4, 0, 0), SHIFT(8289),
  [2563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3965),
  [2565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6237),
  [2567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6497),
  [2569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8241),
  [2571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8248),
  [2573] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 2, 0, 0), SHIFT(4512),
  [2576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5109),
  [2578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4275),
  [2580] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 2, 0, 0), SHIFT(579),
  [2583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4945),
  [2585] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 2, 0, 0), SHIFT(5429),
  [2588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4202),
  [2590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8457),
  [2592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8257),
  [2594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8384),
  [2596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8496),
  [2598] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 2, 0, 0), REDUCE(sym_array_type, 3, 0, 0), SHIFT(4512),
  [2602] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 2, 0, 0), REDUCE(sym_array_type, 3, 0, 0), SHIFT(579),
  [2606] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 2, 0, 0), REDUCE(sym_array_type, 3, 0, 0), SHIFT(5429),
  [2610] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 5, 0, 0), SHIFT(4512),
  [2613] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 5, 0, 0), SHIFT(579),
  [2616] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 5, 0, 0), SHIFT(5429),
  [2619] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 4, 0, 0), REDUCE(sym_array_type, 5, 0, 0), SHIFT(4512),
  [2623] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 4, 0, 0), REDUCE(sym_array_type, 5, 0, 0), SHIFT(579),
  [2627] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 4, 0, 0), REDUCE(sym_array_type, 5, 0, 0), SHIFT(5429),
  [2631] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 4, 0, 0), SHIFT(4512),
  [2634] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 4, 0, 0), SHIFT(579),
  [2637] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 4, 0, 0), SHIFT(5429),
  [2640] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 3, 0, 0), SHIFT(4512),
  [2643] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 3, 0, 0), SHIFT(579),
  [2646] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 3, 0, 0), SHIFT(5429),
  [2649] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 3, 0, 0), REDUCE(sym_array_type, 4, 0, 0), SHIFT(4512),
  [2653] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 3, 0, 0), REDUCE(sym_array_type, 4, 0, 0), SHIFT(579),
  [2657] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 3, 0, 0), REDUCE(sym_array_type, 4, 0, 0), SHIFT(5429),
  [2661] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_array_type, 2, 0, 0), SHIFT(2528),
  [2664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6222),
  [2666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5060),
  [2668] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 2, 0, 0), SHIFT(561),
  [2671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5018),
  [2673] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 2, 0, 0), SHIFT(5245),
  [2676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8069),
  [2678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8436),
  [2680] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 2, 0, 0), SHIFT(8484),
  [2683] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_array_type, 4, 0, 0), REDUCE(sym_array_type, 5, 0, 0), SHIFT(2528),
  [2687] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 4, 0, 0), REDUCE(sym_array_type, 5, 0, 0), SHIFT(561),
  [2691] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 4, 0, 0), REDUCE(sym_array_type, 5, 0, 0), SHIFT(5245),
  [2695] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 4, 0, 0), REDUCE(sym_array_type, 5, 0, 0), SHIFT(8484),
  [2699] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_array_type, 2, 0, 0), REDUCE(sym_array_type, 3, 0, 0), SHIFT(2528),
  [2703] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 2, 0, 0), REDUCE(sym_array_type, 3, 0, 0), SHIFT(561),
  [2707] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 2, 0, 0), REDUCE(sym_array_type, 3, 0, 0), SHIFT(5245),
  [2711] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 2, 0, 0), REDUCE(sym_array_type, 3, 0, 0), SHIFT(8484),
  [2715] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_array_type, 3, 0, 0), REDUCE(sym_array_type, 4, 0, 0), SHIFT(2528),
  [2719] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 3, 0, 0), REDUCE(sym_array_type, 4, 0, 0), SHIFT(561),
  [2723] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 3, 0, 0), REDUCE(sym_array_type, 4, 0, 0), SHIFT(5245),
  [2727] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 3, 0, 0), REDUCE(sym_array_type, 4, 0, 0), SHIFT(8484),
  [2731] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_array_type, 3, 0, 0), SHIFT(2528),
  [2734] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 3, 0, 0), SHIFT(561),
  [2737] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 3, 0, 0), SHIFT(5245),
  [2740] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 3, 0, 0), SHIFT(8484),
  [2743] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_array_type, 4, 0, 0), SHIFT(2528),
  [2746] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 4, 0, 0), SHIFT(561),
  [2749] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 4, 0, 0), SHIFT(5245),
  [2752] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 4, 0, 0), SHIFT(8484),
  [2755] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_array_type, 5, 0, 0), SHIFT(2528),
  [2758] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 5, 0, 0), SHIFT(561),
  [2761] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 5, 0, 0), SHIFT(5245),
  [2764] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 5, 0, 0), SHIFT(8484),
  [2767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(46),
  [2769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(278),
  [2771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(89),
  [2773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1652),
  [2775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2590),
  [2777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1776),
  [2779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1779),
  [2781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [2783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(86),
  [2785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6205),
  [2787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6477),
  [2789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4638),
  [2791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6955),
  [2793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5302),
  [2795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(604),
  [2797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1687),
  [2799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5453),
  [2801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(78),
  [2803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6201),
  [2805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6448),
  [2807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4808),
  [2809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6882),
  [2811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(73),
  [2813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4413),
  [2815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3884),
  [2817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(626),
  [2819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1847),
  [2821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5403),
  [2823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4588),
  [2825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3939),
  [2827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(444),
  [2829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(76),
  [2831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2541),
  [2833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(462),
  [2835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(90),
  [2837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4163),
  [2839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3767),
  [2841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2278),
  [2843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2331),
  [2845] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 4, 0, 0),
  [2847] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 4, 0, 0),
  [2849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1982),
  [2851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3842),
  [2853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3882),
  [2855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3887),
  [2857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3768),
  [2859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4406),
  [2861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4116),
  [2863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3938),
  [2865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3762),
  [2867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3793),
  [2869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3898),
  [2871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3772),
  [2873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3775),
  [2875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4216),
  [2877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4286),
  [2879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4296),
  [2881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3756),
  [2883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3825),
  [2885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3944),
  [2887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3890),
  [2889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4352),
  [2891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4404),
  [2893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4429),
  [2895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2629),
  [2897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4421),
  [2899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4433),
  [2901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4325),
  [2903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4388),
  [2905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4397),
  [2907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4398),
  [2909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2644),
  [2911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2659),
  [2913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2636),
  [2915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4415),
  [2917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4416),
  [2919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4432),
  [2921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2535),
  [2923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2298),
  [2925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4372),
  [2927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4078),
  [2929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2313),
  [2931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2314),
  [2933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2315),
  [2935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2327),
  [2937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2330),
  [2939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4260),
  [2941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4261),
  [2943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4262),
  [2945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2336),
  [2947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2337),
  [2949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2342),
  [2951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2356),
  [2953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2594),
  [2955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4387),
  [2957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4224),
  [2959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2611),
  [2961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2612),
  [2963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2613),
  [2965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2530),
  [2967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2533),
  [2969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2534),
  [2971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4341),
  [2973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4342),
  [2975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4345),
  [2977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2543),
  [2979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2544),
  [2981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2548),
  [2983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4210),
  [2985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4233),
  [2987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4577),
  [2989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4259),
  [2991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4265),
  [2993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4266),
  [2995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4304),
  [2997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4309),
  [2999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4312),
  [3001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4582),
  [3003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4591),
  [3005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4586),
  [3007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4127),
  [3009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4128),
  [3011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4133),
  [3013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2774),
  [3015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2801),
  [3017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2813),
  [3019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2829),
  [3021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2830),
  [3023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2831),
  [3025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2844),
  [3027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2847),
  [3029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2848),
  [3031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2854),
  [3033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2855),
  [3035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2861),
  [3037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2892),
  [3039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2901),
  [3041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2906),
  [3043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3773),
  [3045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2918),
  [3047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2919),
  [3049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2700),
  [3051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2704),
  [3053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2707),
  [3055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2729),
  [3057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2730),
  [3059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2742),
  [3061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3225),
  [3063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3126),
  [3065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3212),
  [3067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3136),
  [3069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3138),
  [3071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3140),
  [3073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3044),
  [3075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3050),
  [3077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3051),
  [3079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3085),
  [3081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3087),
  [3083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3093),
  [3085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3571),
  [3087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3402),
  [3089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3499),
  [3091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3526),
  [3093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3534),
  [3095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3551),
  [3097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3407),
  [3099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3413),
  [3101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3415),
  [3103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3422),
  [3105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3423),
  [3107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3431),
  [3109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3837),
  [3111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1075),
  [3113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1099),
  [3115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1136),
  [3117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1148),
  [3119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1149),
  [3121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1150),
  [3123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1176),
  [3125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1182),
  [3127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1184),
  [3129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1191),
  [3131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1192),
  [3133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(687),
  [3135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2078),
  [3137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2101),
  [3139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2111),
  [3141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2127),
  [3143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2128),
  [3145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2129),
  [3147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2142),
  [3149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2145),
  [3151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2146),
  [3153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2151),
  [3155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2152),
  [3157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2157),
  [3159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(42),
  [3161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(80),
  [3163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2799),
  [3165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1672),
  [3167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1949),
  [3169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(72),
  [3171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1604),
  [3173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2655),
  [3175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1704),
  [3177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1719),
  [3179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(38),
  [3181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(84),
  [3183] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 5, 0, 0),
  [3185] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 5, 0, 0),
  [3187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2429),
  [3189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2435),
  [3191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2436),
  [3193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3878),
  [3195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3746),
  [3197] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 3, 0, 0),
  [3199] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 3, 0, 0),
  [3201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4349),
  [3203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2291),
  [3205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3749),
  [3207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3751),
  [3209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3831),
  [3211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3755),
  [3213] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 1, 0, 0),
  [3215] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 1, 0, 0),
  [3217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(118),
  [3219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(92),
  [3221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(96),
  [3223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(98),
  [3225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(99),
  [3227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(104),
  [3229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(106),
  [3231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(107),
  [3233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2917),
  [3235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(499),
  [3237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(498),
  [3239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4410),
  [3241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1379),
  [3243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1653),
  [3245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4381),
  [3247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(596),
  [3249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5212),
  [3251] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declaration, 6, 0, 0),
  [3253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4400),
  [3255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(116),
  [3257] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declaration, 4, 0, 0),
  [3259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4019),
  [3261] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declaration, 5, 0, 0),
  [3263] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declaration, 7, 0, 0),
  [3265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(115),
  [3267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(62),
  [3269] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure, 4, 0, 0),
  [3271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1367),
  [3273] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure, 4, 0, 0),
  [3275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2360),
  [3277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(577),
  [3279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(49),
  [3281] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure, 6, 0, 0),
  [3283] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure, 6, 0, 0),
  [3285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(700),
  [3287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(506),
  [3289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(651),
  [3291] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure, 7, 0, 0),
  [3293] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure, 7, 0, 0),
  [3295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(701),
  [3297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(679),
  [3299] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure, 3, 0, 0),
  [3301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4674),
  [3303] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure, 3, 0, 0),
  [3305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2357),
  [3307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1292),
  [3309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1002),
  [3311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4633),
  [3313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(214),
  [3315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8294),
  [3317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8294),
  [3319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(998),
  [3321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4874),
  [3323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(173),
  [3325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8114),
  [3327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8114),
  [3329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1007),
  [3331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4670),
  [3333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(205),
  [3335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8499),
  [3337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8499),
  [3339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(978),
  [3341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4720),
  [3343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(162),
  [3345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8471),
  [3347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8471),
  [3349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(968),
  [3351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4776),
  [3353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3797),
  [3355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8206),
  [3357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8206),
  [3359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(977),
  [3361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4727),
  [3363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4050),
  [3365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8309),
  [3367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8309),
  [3369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(919),
  [3371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4693),
  [3373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [3375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8125),
  [3377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8125),
  [3379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(951),
  [3381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4647),
  [3383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(208),
  [3385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8300),
  [3387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8300),
  [3389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(52),
  [3391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2051),
  [3393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1267),
  [3395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(945),
  [3397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4865),
  [3399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(237),
  [3401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8039),
  [3403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8039),
  [3405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(956),
  [3407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4665),
  [3409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3940),
  [3411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8075),
  [3413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8075),
  [3415] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type, 1, 0, 0),
  [3417] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type, 1, 0, 0),
  [3419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5262),
  [3421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7996),
  [3423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1008),
  [3425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4651),
  [3427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(203),
  [3429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8087),
  [3431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8087),
  [3433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1004),
  [3435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4927),
  [3437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(261),
  [3439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8258),
  [3441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8258),
  [3443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1013),
  [3445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4657),
  [3447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(198),
  [3449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8212),
  [3451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8212),
  [3453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1015),
  [3455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4689),
  [3457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3979),
  [3459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8475),
  [3461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8475),
  [3463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1010),
  [3465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4646),
  [3467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3661),
  [3469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8394),
  [3471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8394),
  [3473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1019),
  [3475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4701),
  [3477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(186),
  [3479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8120),
  [3481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8120),
  [3483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2468),
  [3485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5003),
  [3487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1020),
  [3489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4753),
  [3491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(204),
  [3493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8059),
  [3495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8059),
  [3497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1017),
  [3499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4692),
  [3501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(196),
  [3503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8386),
  [3505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8386),
  [3507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1023),
  [3509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4778),
  [3511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4483),
  [3513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8200),
  [3515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8200),
  [3517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1024),
  [3519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4811),
  [3521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(185),
  [3523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8460),
  [3525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8460),
  [3527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1021),
  [3529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4820),
  [3531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(197),
  [3533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8261),
  [3535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8261),
  [3537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1027),
  [3539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4833),
  [3541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [3543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8365),
  [3545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8365),
  [3547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1028),
  [3549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4840),
  [3551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4486),
  [3553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8330),
  [3555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8330),
  [3557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1025),
  [3559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4595),
  [3561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [3563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8239),
  [3565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8239),
  [3567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1031),
  [3569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4849),
  [3571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3358),
  [3573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8370),
  [3575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8370),
  [3577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1032),
  [3579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4873),
  [3581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3363),
  [3583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7972),
  [3585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7972),
  [3587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1029),
  [3589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4848),
  [3591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(188),
  [3593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8353),
  [3595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8353),
  [3597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1035),
  [3599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4887),
  [3601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3959),
  [3603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8051),
  [3605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8051),
  [3607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1036),
  [3609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4892),
  [3611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3504),
  [3613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8095),
  [3615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8095),
  [3617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1033),
  [3619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4884),
  [3621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4481),
  [3623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7978),
  [3625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7978),
  [3627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1039),
  [3629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4906),
  [3631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3506),
  [3633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8119),
  [3635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8119),
  [3637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1040),
  [3639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4918),
  [3641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [3643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8169),
  [3645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8169),
  [3647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1037),
  [3649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4901),
  [3651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3366),
  [3653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8108),
  [3655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8108),
  [3657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1043),
  [3659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4923),
  [3661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(130),
  [3663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8187),
  [3665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8187),
  [3667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1044),
  [3669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4942),
  [3671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(127),
  [3673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8210),
  [3675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8210),
  [3677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1041),
  [3679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4922),
  [3681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3602),
  [3683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8179),
  [3685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8179),
  [3687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1047),
  [3689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4596),
  [3691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(154),
  [3693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8250),
  [3695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8250),
  [3697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1048),
  [3699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4600),
  [3701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(156),
  [3703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8320),
  [3705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8320),
  [3707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1045),
  [3709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4628),
  [3711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(248),
  [3713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7976),
  [3715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7976),
  [3717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1051),
  [3719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4606),
  [3721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(218),
  [3723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8359),
  [3725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8359),
  [3727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1052),
  [3729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4612),
  [3731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(221),
  [3733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8469),
  [3735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8469),
  [3737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1049),
  [3739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4603),
  [3741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(129),
  [3743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8348),
  [3745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8348),
  [3747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1055),
  [3749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4614),
  [3751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [3753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8486),
  [3755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8486),
  [3757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1056),
  [3759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4619),
  [3761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(247),
  [3763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7988),
  [3765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7988),
  [3767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1053),
  [3769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4613),
  [3771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [3773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8480),
  [3775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8480),
  [3777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1058),
  [3779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4621),
  [3781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [3783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8199),
  [3785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8199),
  [3787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1059),
  [3789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4626),
  [3791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4179),
  [3793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8293),
  [3795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8293),
  [3797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1057),
  [3799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4620),
  [3801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(223),
  [3803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8552),
  [3805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8552),
  [3807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1061),
  [3809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4629),
  [3811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4180),
  [3813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8005),
  [3815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8005),
  [3817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1062),
  [3819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4632),
  [3821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [3823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8126),
  [3825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8126),
  [3827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1060),
  [3829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4634),
  [3831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4188),
  [3833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8190),
  [3835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8190),
  [3837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1064),
  [3839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4635),
  [3841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [3843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8226),
  [3845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8226),
  [3847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1063),
  [3849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4639),
  [3851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(267),
  [3853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8343),
  [3855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8343),
  [3857] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure, 5, 0, 0),
  [3859] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure, 5, 0, 0),
  [3861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2049),
  [3863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(578),
  [3865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(935),
  [3867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4826),
  [3869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(230),
  [3871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8352),
  [3873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8352),
  [3875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(926),
  [3877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4644),
  [3879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(234),
  [3881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8488),
  [3883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8488),
  [3885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2362),
  [3887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(585),
  [3889] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_type, 2, 0, 0),
  [3891] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_type, 2, 0, 0),
  [3893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(943),
  [3895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4728),
  [3897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4543),
  [3899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8363),
  [3901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8363),
  [3903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4735),
  [3905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4090),
  [3907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8458),
  [3909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8458),
  [3911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1263),
  [3913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2050),
  [3915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(516),
  [3917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1314),
  [3919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1266),
  [3921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(990),
  [3923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4858),
  [3925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(256),
  [3927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8326),
  [3929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8326),
  [3931] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure, 2, 0, 0),
  [3933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4654),
  [3935] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure, 2, 0, 0),
  [3937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(696),
  [3939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(658),
  [3941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2365),
  [3943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(587),
  [3945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(986),
  [3947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4655),
  [3949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(220),
  [3951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8000),
  [3953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8000),
  [3955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(995),
  [3957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4876),
  [3959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [3961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8297),
  [3963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8297),
  [3965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1315),
  [3967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4658),
  [3969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(697),
  [3971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(650),
  [3973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2367),
  [3975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1316),
  [3977] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_field_type_repeat1, 2, 0, 0),
  [3979] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_field_type_repeat1, 2, 0, 0),
  [3981] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_field_type_repeat1, 2, 0, 0), SHIFT_REPEAT(7996),
  [3984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(737),
  [3986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4764),
  [3988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4502),
  [3990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8186),
  [3992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8186),
  [3994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(937),
  [3996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4673),
  [3998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4426),
  [4000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8106),
  [4002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8106),
  [4004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(698),
  [4006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(628),
  [4008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4661),
  [4010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2353),
  [4012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1290),
  [4014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(974),
  [4016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4723),
  [4018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4168),
  [4020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8116),
  [4022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8116),
  [4024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(983),
  [4026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4780),
  [4028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4435),
  [4030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8235),
  [4032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8235),
  [4034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(940),
  [4036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4754),
  [4038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(212),
  [4040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8118),
  [4042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8118),
  [4044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(40),
  [4046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(972),
  [4048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4671),
  [4050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3895),
  [4052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8071),
  [4054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8071),
  [4056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1196),
  [4058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4931),
  [4060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4461),
  [4062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8476),
  [4064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8476),
  [4066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(928),
  [4068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4663),
  [4070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4047),
  [4072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8315),
  [4074] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8315),
  [4076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(931),
  [4078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4880),
  [4080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(238),
  [4082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8163),
  [4084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8163),
  [4086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(948),
  [4088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4716),
  [4090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4287),
  [4092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8034),
  [4094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8034),
  [4096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(960),
  [4098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4806),
  [4100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(209),
  [4102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8202),
  [4104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8202),
  [4106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(966),
  [4108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4816),
  [4110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4231),
  [4112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8408),
  [4114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8408),
  [4116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4645),
  [4118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2045),
  [4120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1250),
  [4122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(958),
  [4124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4790),
  [4126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4362),
  [4128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8086),
  [4130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8086),
  [4132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(971),
  [4134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4675),
  [4136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4534),
  [4138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8133),
  [4140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8133),
  [4142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(699),
  [4144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(505),
  [4146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(996),
  [4148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4916),
  [4150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3675),
  [4152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8098),
  [4154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8098),
  [4156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1096),
  [4158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4751),
  [4160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4462),
  [4162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8166),
  [4164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8166),
  [4166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1098),
  [4168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4749),
  [4170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4487),
  [4172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8149),
  [4174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8149),
  [4176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1101),
  [4178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4755),
  [4180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4470),
  [4182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8223),
  [4184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8223),
  [4186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1103),
  [4188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4757),
  [4190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4020),
  [4192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8254),
  [4194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8254),
  [4196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1104),
  [4198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4944),
  [4200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4121),
  [4202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8264),
  [4204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8264),
  [4206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1105),
  [4208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4758),
  [4210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4074),
  [4212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8271),
  [4214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8271),
  [4216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(992),
  [4218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4763),
  [4220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3973),
  [4222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8145),
  [4224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8145),
  [4226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1001),
  [4228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4933),
  [4230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3628),
  [4232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8477),
  [4234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8477),
  [4236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(875),
  [4238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4737),
  [4240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4477),
  [4242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8184),
  [4244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8184),
  [4246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(984),
  [4248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4812),
  [4250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(172),
  [4252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8453),
  [4254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8453),
  [4256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4690),
  [4258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2046),
  [4260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1253),
  [4262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(980),
  [4264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4815),
  [4266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(164),
  [4268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8482),
  [4270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8482),
  [4272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(989),
  [4274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4821),
  [4276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(176),
  [4278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8510),
  [4280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8510),
  [4282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(953),
  [4284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4752),
  [4286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(229),
  [4288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8345),
  [4290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8345),
  [4292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(963),
  [4294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4845),
  [4296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(163),
  [4298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8286),
  [4300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8286),
  [4302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4837),
  [4304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4482),
  [4306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8195),
  [4308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8195),
  [4310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2047),
  [4312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(573),
  [4314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(665),
  [4316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1157),
  [4318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4860),
  [4320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3999),
  [4322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8221),
  [4324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8221),
  [4326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1158),
  [4328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4862),
  [4330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4000),
  [4332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8225),
  [4334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8225),
  [4336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1160),
  [4338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4866),
  [4340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [4342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8236),
  [4344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8236),
  [4346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1159),
  [4348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4863),
  [4350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4002),
  [4352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8229),
  [4354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8229),
  [4356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1161),
  [4358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4870),
  [4360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [4362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8247),
  [4364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8247),
  [4366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1162),
  [4368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4871),
  [4370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [4372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8252),
  [4374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8252),
  [4376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1193),
  [4378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4929),
  [4380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4459),
  [4382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8472),
  [4384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8472),
  [4386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1194),
  [4388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4928),
  [4390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4458),
  [4392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8468),
  [4394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8468),
  [4396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1091),
  [4398] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_or_continue_expression, 2, 0, 0),
  [4400] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_or_continue_expression, 2, 0, 0),
  [4402] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_where_clause, 3, 0, 0),
  [4404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1516),
  [4406] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_where_clause, 3, 0, 0),
  [4408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4819),
  [4410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5008),
  [4412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8077),
  [4414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8077),
  [4416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6985),
  [4418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6467),
  [4420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1959),
  [4422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1733),
  [4424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(158),
  [4426] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_where_clause, 2, 0, 0),
  [4428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1710),
  [4430] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_where_clause, 2, 0, 0),
  [4432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1543),
  [4434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1554),
  [4436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1558),
  [4438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1569),
  [4440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1569),
  [4442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1573),
  [4444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1584),
  [4446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1584),
  [4448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1588),
  [4450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1599),
  [4452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1603),
  [4454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1614),
  [4456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1615),
  [4458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1615),
  [4460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1623),
  [4462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1291),
  [4464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1624),
  [4466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1014),
  [4468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(639),
  [4470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22),
  [4472] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1067),
  [4474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(47),
  [4476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(465),
  [4478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(95),
  [4480] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_type, 4, 0, 0),
  [4482] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_type, 4, 0, 0),
  [4484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4855),
  [4486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5389),
  [4488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8266),
  [4490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8266),
  [4492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(642),
  [4494] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_struct_type_repeat2, 2, 0, 0), SHIFT_REPEAT(6847),
  [4497] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_struct_type_repeat2, 2, 0, 0),
  [4499] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_struct_type_repeat2, 2, 0, 0),
  [4501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(468),
  [4503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(83),
  [4505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8244),
  [4507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(415),
  [4509] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression_no_tag, 1, 0, 0), SHIFT(893),
  [4512] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression_no_tag, 1, 0, 0),
  [4514] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expression_no_tag, 1, 0, 0),
  [4516] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression_no_tag, 1, 0, 0), SHIFT(7816),
  [4519] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_type, 2, 0, 0),
  [4521] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_type, 2, 0, 0),
  [4523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(136),
  [4525] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure, 8, 0, 0),
  [4527] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure, 8, 0, 0),
  [4529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(702),
  [4531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(666),
  [4533] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure, 9, 0, 0),
  [4535] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure, 9, 0, 0),
  [4537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(703),
  [4539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4886),
  [4541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5090),
  [4543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8310),
  [4545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8310),
  [4547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4893),
  [4549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5156),
  [4551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8329),
  [4553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8329),
  [4555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4894),
  [4557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5166),
  [4559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8340),
  [4561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8340),
  [4563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4897),
  [4565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5172),
  [4567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8351),
  [4569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8351),
  [4571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4899),
  [4573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5178),
  [4575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8362),
  [4577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8362),
  [4579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4902),
  [4581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5182),
  [4583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8371),
  [4585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8371),
  [4587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4905),
  [4589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5186),
  [4591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8380),
  [4593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8380),
  [4595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4909),
  [4597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5190),
  [4599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8389),
  [4601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8389),
  [4603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4911),
  [4605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5194),
  [4607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8398),
  [4609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8398),
  [4611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4913),
  [4613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5198),
  [4615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8407),
  [4617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8407),
  [4619] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_where_clause_repeat1, 2, 0, 0),
  [4621] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_where_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(1516),
  [4624] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_where_clause_repeat1, 2, 0, 0),
  [4626] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_type, 3, 0, 0),
  [4628] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_type, 3, 0, 0),
  [4630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5231),
  [4632] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 8, 0, 60),
  [4634] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 8, 0, 60),
  [4636] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct, 9, 0, 0),
  [4638] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct, 9, 0, 0),
  [4640] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_matrix, 9, 0, 0),
  [4642] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_matrix, 9, 0, 0),
  [4644] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 9, 0, 60),
  [4646] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 9, 0, 60),
  [4648] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_map, 10, 0, 0),
  [4650] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_map, 10, 0, 0),
  [4652] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_matrix, 10, 0, 0),
  [4654] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_matrix, 10, 0, 0),
  [4656] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct, 10, 0, 0),
  [4658] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct, 10, 0, 0),
  [4660] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_map, 11, 0, 0),
  [4662] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_map, 11, 0, 0),
  [4664] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_matrix, 11, 0, 0),
  [4666] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_matrix, 11, 0, 0),
  [4668] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_map, 12, 0, 0),
  [4670] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_map, 12, 0, 0),
  [4672] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_matrix, 12, 0, 0),
  [4674] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_matrix, 12, 0, 0),
  [4676] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__procedure_type, 1, 0, 1),
  [4678] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__procedure_type, 1, 0, 1),
  [4680] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure, 10, 0, 0),
  [4682] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure, 10, 0, 0),
  [4684] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_empty_type, 1, 0, 0),
  [4686] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_empty_type, 1, 0, 0),
  [4688] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_distinct_type, 2, 0, 0),
  [4690] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_distinct_type, 2, 0, 0),
  [4692] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_type, 2, 0, 0),
  [4694] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_type, 2, 0, 0),
  [4696] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constant_type, 2, 0, 0),
  [4698] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constant_type, 2, 0, 0),
  [4700] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_distinct_type, 3, 0, 0),
  [4702] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_distinct_type, 3, 0, 0),
  [4704] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_type, 3, 0, 0),
  [4706] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_type, 3, 0, 0),
  [4708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3903),
  [4710] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_specialized_type, 3, 0, 0),
  [4712] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_specialized_type, 3, 0, 0),
  [4714] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_type, 4, 0, 0),
  [4716] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_type, 4, 0, 0),
  [4718] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_type, 4, 0, 0),
  [4720] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_type, 4, 0, 0),
  [4722] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_type, 4, 0, 0),
  [4724] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_type, 4, 0, 0),
  [4726] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bit_set_type, 4, 0, 0),
  [4728] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bit_set_type, 4, 0, 0),
  [4730] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_polymorphic_type, 4, 0, 0),
  [4732] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_polymorphic_type, 4, 0, 0),
  [4734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3812),
  [4736] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_type, 5, 0, 0),
  [4738] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_type, 5, 0, 0),
  [4740] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_type, 5, 0, 0),
  [4742] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_type, 5, 0, 0),
  [4744] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_type, 5, 0, 0),
  [4746] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_type, 5, 0, 0),
  [4748] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_map_type, 5, 0, 0),
  [4750] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_map_type, 5, 0, 0),
  [4752] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_polymorphic_type, 5, 0, 0),
  [4754] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_polymorphic_type, 5, 0, 0),
  [4756] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type, 6, 0, 0),
  [4758] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type, 6, 0, 0),
  [4760] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_matrix_type, 7, 0, 0),
  [4762] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_matrix_type, 7, 0, 0),
  [4764] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_type, 6, 0, 0),
  [4766] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_type, 6, 0, 0),
  [4768] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_type, 6, 0, 0),
  [4770] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_type, 6, 0, 0),
  [4772] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bit_set_type, 6, 0, 0),
  [4774] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bit_set_type, 6, 0, 0),
  [4776] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_type, 7, 0, 0),
  [4778] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_type, 7, 0, 0),
  [4780] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_type, 7, 0, 0),
  [4782] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_type, 7, 0, 0),
  [4784] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_type, 8, 0, 0),
  [4786] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_type, 8, 0, 0),
  [4788] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_type, 2, 0, 0),
  [4790] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variadic_type, 2, 0, 0),
  [4792] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 5, 0, 0), REDUCE(sym_array_type, 6, 0, 0),
  [4795] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_array_type, 5, 0, 0), REDUCE(sym_array_type, 6, 0, 0),
  [4798] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_type, 2, 0, 0),
  [4800] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_type, 2, 0, 0),
  [4802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3785),
  [4804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(167),
  [4806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(168),
  [4808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [4810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(170),
  [4812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3881),
  [4814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3893),
  [4816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(169),
  [4818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3905),
  [4820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3857),
  [4822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3840),
  [4824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3919),
  [4826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3849),
  [4828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3943),
  [4830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3923),
  [4832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3954),
  [4834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1261),
  [4836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2052),
  [4838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1268),
  [4840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4338),
  [4842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4442),
  [4844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4363),
  [4846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4366),
  [4848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4382),
  [4850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4375),
  [4852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4411),
  [4854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4425),
  [4856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4324),
  [4858] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameters, 2, 0, 0),
  [4860] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameters, 2, 0, 0),
  [4862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3754),
  [4864] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameters, 3, 0, 0),
  [4866] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameters, 3, 0, 0),
  [4868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1306),
  [4870] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameters, 4, 0, 0),
  [4872] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameters, 4, 0, 0),
  [4874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2527),
  [4876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2268),
  [4878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2283),
  [4880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2290),
  [4882] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameters, 5, 0, 0),
  [4884] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameters, 5, 0, 0),
  [4886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2304),
  [4888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2320),
  [4890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2332),
  [4892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2370),
  [4894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1319),
  [4896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2339),
  [4898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2345),
  [4900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4293),
  [4902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2521),
  [4904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2559),
  [4906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2565),
  [4908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2603),
  [4910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2522),
  [4912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2539),
  [4914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2546),
  [4916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2551),
  [4918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2373),
  [4920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [4922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4205),
  [4924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4198),
  [4926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4214),
  [4928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4243),
  [4930] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_type, 3, 0, 0),
  [4932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6081),
  [4934] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_named_type, 3, 0, 0),
  [4936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4276),
  [4938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4123),
  [4940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4130),
  [4942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4136),
  [4944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2753),
  [4946] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_type, 5, 0, 0),
  [4948] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_named_type, 5, 0, 0),
  [4950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2766),
  [4952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2791),
  [4954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2804),
  [4956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2822),
  [4958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2837),
  [4960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2850),
  [4962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2858),
  [4964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2865),
  [4966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2875),
  [4968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2884),
  [4970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2898),
  [4972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3798),
  [4974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2904),
  [4976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2912),
  [4978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2670),
  [4980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2708),
  [4982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2735),
  [4984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2768),
  [4986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3167),
  [4988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3133),
  [4990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3112),
  [4992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3129),
  [4994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3077),
  [4996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3169),
  [4998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3053),
  [5000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3090),
  [5002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4618),
  [5004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8399),
  [5006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8399),
  [5008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3097),
  [5010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3394),
  [5012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3560),
  [5014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3600),
  [5016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3448),
  [5018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3517),
  [5020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3577),
  [5022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3420),
  [5024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3428),
  [5026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3435),
  [5028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(941),
  [5030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1069),
  [5032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1093),
  [5034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1132),
  [5036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1145),
  [5038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1168),
  [5040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1189),
  [5042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(685),
  [5044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(690),
  [5046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2058),
  [5048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2070),
  [5050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3902),
  [5052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2104),
  [5054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2119),
  [5056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2134),
  [5058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2147),
  [5060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2154),
  [5062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2160),
  [5064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4842),
  [5066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8438),
  [5068] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8438),
  [5070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1237),
  [5072] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_struct_type_repeat2, 3, 0, 0),
  [5074] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_struct_type_repeat2, 3, 0, 0),
  [5076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3883),
  [5078] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_literal, 1, 0, 0),
  [5080] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_literal, 1, 0, 0),
  [5082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4908),
  [5084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8339),
  [5086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8339),
  [5088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4914),
  [5090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8272),
  [5092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8272),
  [5094] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_boolean, 1, 0, 0),
  [5096] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_boolean, 1, 0, 0),
  [5098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1586),
  [5100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1587),
  [5102] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 1, 0, 0),
  [5104] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 1, 0, 0),
  [5106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4797),
  [5108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8078),
  [5110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8078),
  [5112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4803),
  [5114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7973),
  [5116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7973),
  [5118] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct, 2, 0, 0),
  [5120] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct, 2, 0, 0),
  [5122] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_expression, 2, 0, 2),
  [5124] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_expression, 2, 0, 2),
  [5126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4679),
  [5128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8560),
  [5130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8560),
  [5132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4687),
  [5134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8346),
  [5136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8346),
  [5138] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_expression, 2, 0, 0),
  [5140] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_expression, 2, 0, 0),
  [5142] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cast_expression, 2, 0, 0),
  [5144] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cast_expression, 2, 0, 0),
  [5146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4882),
  [5148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8390),
  [5150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8390),
  [5152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4920),
  [5154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8489),
  [5156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8489),
  [5158] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_expression, 2, 0, 0),
  [5160] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variadic_expression, 2, 0, 0),
  [5162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4681),
  [5164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8211),
  [5166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8211),
  [5168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4683),
  [5170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8278),
  [5172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8278),
  [5174] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__string_literal, 2, 0, 0),
  [5176] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__string_literal, 2, 0, 0),
  [5178] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__raw_string_literal, 2, 0, 0),
  [5180] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__raw_string_literal, 2, 0, 0),
  [5182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4731),
  [5184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7971),
  [5186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7971),
  [5188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4734),
  [5190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8042),
  [5192] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8042),
  [5194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4783),
  [5196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8263),
  [5198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8263),
  [5200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4786),
  [5202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8282),
  [5204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8282),
  [5206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4825),
  [5208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8117),
  [5210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8117),
  [5212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4836),
  [5214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8008),
  [5216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8008),
  [5218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4879),
  [5220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8554),
  [5222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8554),
  [5224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4885),
  [5226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7980),
  [5228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7980),
  [5230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4939),
  [5232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8509),
  [5234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8509),
  [5236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4706),
  [5238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8222),
  [5240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8222),
  [5242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4709),
  [5244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8085),
  [5246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8085),
  [5248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4777),
  [5250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8495),
  [5252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8495),
  [5254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4662),
  [5256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8323),
  [5258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8323),
  [5260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4666),
  [5262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8543),
  [5264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8543),
  [5266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4707),
  [5268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8219),
  [5270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8219),
  [5272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4712),
  [5274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8491),
  [5276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8491),
  [5278] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_or_return_expression, 2, 0, 0),
  [5280] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_or_return_expression, 2, 0, 0),
  [5282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4788),
  [5284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8299),
  [5286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8299),
  [5288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4793),
  [5290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8392),
  [5292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8392),
  [5294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4834),
  [5296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8506),
  [5298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8506),
  [5300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4835),
  [5302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7970),
  [5304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7970),
  [5306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4850),
  [5308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8401),
  [5310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8401),
  [5312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4851),
  [5314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8441),
  [5316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8441),
  [5318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4888),
  [5320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8068),
  [5322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8068),
  [5324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4889),
  [5326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8079),
  [5328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8079),
  [5330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4910),
  [5332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8132),
  [5334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8132),
  [5336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4915),
  [5338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8148),
  [5340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8148),
  [5342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4924),
  [5344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8193),
  [5346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8193),
  [5348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4930),
  [5350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8196),
  [5352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8196),
  [5354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4597),
  [5356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8268),
  [5358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8268),
  [5360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4598),
  [5362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8277),
  [5364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8277),
  [5366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4607),
  [5368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8377),
  [5370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8377),
  [5372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4609),
  [5374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8400),
  [5376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8400),
  [5378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4615),
  [5380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8494),
  [5382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8494),
  [5384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4616),
  [5386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8500),
  [5388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8500),
  [5390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4622),
  [5392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8291),
  [5394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8291),
  [5396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4623),
  [5398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8334),
  [5400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8334),
  [5402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4630),
  [5404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8038),
  [5406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8038),
  [5408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4631),
  [5410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8090),
  [5412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8090),
  [5414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4636),
  [5416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8280),
  [5418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8280),
  [5420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4637),
  [5422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8292),
  [5424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8292),
  [5426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4640),
  [5428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8368),
  [5430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8368),
  [5432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4641),
  [5434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8404),
  [5436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8404),
  [5438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [5440] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_address, 2, 0, 0),
  [5442] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_address, 2, 0, 0),
  [5444] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct, 3, 0, 0),
  [5446] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct, 3, 0, 0),
  [5448] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 2, 0, 0),
  [5450] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block, 2, 0, 0),
  [5452] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [5454] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [5456] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__string_literal, 3, 0, 0),
  [5458] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__string_literal, 3, 0, 0),
  [5460] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__raw_string_literal, 3, 0, 0),
  [5462] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__raw_string_literal, 3, 0, 0),
  [5464] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_character, 3, 0, 0),
  [5466] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_character, 3, 0, 0),
  [5468] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 3, 0, 4),
  [5470] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 3, 0, 4),
  [5472] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_selector_call_expression, 3, 0, 4),
  [5474] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_selector_call_expression, 3, 0, 4),
  [5476] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_in_expression, 3, 0, 0),
  [5478] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_in_expression, 3, 0, 0),
  [5480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1539),
  [5482] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 3, 0, 5),
  [5484] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 5),
  [5486] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_expression, 3, 0, 0),
  [5488] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_expression, 3, 0, 0),
  [5490] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_range_expression, 3, 0, 0),
  [5492] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_range_expression, 3, 0, 0),
  [5494] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_or_continue_expression, 3, 0, 6),
  [5496] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_or_continue_expression, 3, 0, 6),
  [5498] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_or_break_expression, 3, 0, 0),
  [5500] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_or_break_expression, 3, 0, 0),
  [5502] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct, 4, 0, 0),
  [5504] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct, 4, 0, 0),
  [5506] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 3, 0, 0),
  [5508] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block, 3, 0, 0),
  [5510] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cast_expression, 4, 0, 0),
  [5512] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cast_expression, 4, 0, 0),
  [5514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4746),
  [5516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8139),
  [5518] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8139),
  [5520] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 4, 0, 10),
  [5522] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 4, 0, 10),
  [5524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4756),
  [5526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8246),
  [5528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8246),
  [5530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4759),
  [5532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8275),
  [5534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8275),
  [5536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4761),
  [5538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8283),
  [5540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8283),
  [5542] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice_expression, 4, 0, 0),
  [5544] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_slice_expression, 4, 0, 0),
  [5546] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_expression, 4, 0, 0),
  [5548] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_index_expression, 4, 0, 0),
  [5550] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct, 5, 0, 0),
  [5552] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct, 5, 0, 0),
  [5554] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 4, 0, 0),
  [5556] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block, 4, 0, 0),
  [5558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3823),
  [5560] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cast_expression, 5, 0, 0),
  [5562] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cast_expression, 5, 0, 0),
  [5564] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 5, 0, 9),
  [5566] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 5, 0, 9),
  [5568] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 5, 0, 15),
  [5570] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 5, 0, 15),
  [5572] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 5, 0, 17),
  [5574] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 5, 0, 17),
  [5576] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice_expression, 5, 0, 19),
  [5578] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_slice_expression, 5, 0, 19),
  [5580] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice_expression, 5, 0, 20),
  [5582] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_slice_expression, 5, 0, 20),
  [5584] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ternary_expression, 5, 0, 21),
  [5586] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ternary_expression, 5, 0, 21),
  [5588] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 5, 0, 0),
  [5590] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block, 5, 0, 0),
  [5592] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct, 6, 0, 0),
  [5594] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct, 6, 0, 0),
  [5596] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bit_set, 6, 0, 0),
  [5598] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bit_set, 6, 0, 0),
  [5600] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 6, 0, 9),
  [5602] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 6, 0, 9),
  [5604] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 6, 0, 15),
  [5606] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 6, 0, 15),
  [5608] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 6, 0, 17),
  [5610] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 6, 0, 17),
  [5612] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 6, 0, 30),
  [5614] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 6, 0, 30),
  [5616] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_expression, 6, 0, 0),
  [5618] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_index_expression, 6, 0, 0),
  [5620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4864),
  [5622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8232),
  [5624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8232),
  [5626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4867),
  [5628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8240),
  [5630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8240),
  [5632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4868),
  [5634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8243),
  [5636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8243),
  [5638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4872),
  [5640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8255),
  [5642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8255),
  [5644] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice_expression, 6, 0, 31),
  [5646] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_slice_expression, 6, 0, 31),
  [5648] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct, 7, 0, 0),
  [5650] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct, 7, 0, 0),
  [5652] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_map, 7, 0, 0),
  [5654] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_map, 7, 0, 0),
  [5656] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bit_set, 7, 0, 0),
  [5658] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bit_set, 7, 0, 0),
  [5660] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 7, 0, 9),
  [5662] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 7, 0, 9),
  [5664] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 7, 0, 45),
  [5666] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 7, 0, 45),
  [5668] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 7, 0, 17),
  [5670] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 7, 0, 17),
  [5672] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 7, 0, 30),
  [5674] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 7, 0, 30),
  [5676] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct, 8, 0, 0),
  [5678] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct, 8, 0, 0),
  [5680] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bit_set, 8, 0, 0),
  [5682] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bit_set, 8, 0, 0),
  [5684] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 8, 0, 45),
  [5686] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 8, 0, 45),
  [5688] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 8, 0, 17),
  [5690] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 8, 0, 17),
  [5692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4926),
  [5694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8464),
  [5696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8464),
  [5698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4932),
  [5700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8479),
  [5702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8479),
  [5704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2096),
  [5706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4331),
  [5708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3789),
  [5710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2911),
  [5712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2913),
  [5714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2894),
  [5716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3822),
  [5718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2736),
  [5720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2796),
  [5722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2797),
  [5724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2798),
  [5726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2800),
  [5728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3127),
  [5730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3233),
  [5732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3137),
  [5734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3792),
  [5736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3198),
  [5738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3091),
  [5740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3099),
  [5742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3100),
  [5744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3101),
  [5746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3102),
  [5748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3899),
  [5750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3924),
  [5752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3446),
  [5754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3512),
  [5756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3518),
  [5758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3510),
  [5760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3800),
  [5762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3429),
  [5764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3438),
  [5766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3439),
  [5768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3440),
  [5770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3441),
  [5772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3872),
  [5774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1107),
  [5776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1141),
  [5778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1146),
  [5780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3925),
  [5782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1170),
  [5784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6545),
  [5786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3917),
  [5788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(686),
  [5790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3748),
  [5792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(691),
  [5794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(692),
  [5796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(693),
  [5798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(694),
  [5800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3862),
  [5802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3889),
  [5804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2102),
  [5806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2116),
  [5808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2120),
  [5810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6602),
  [5812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2135),
  [5814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8305),
  [5816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2251),
  [5818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2161),
  [5820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2162),
  [5822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2035),
  [5824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2163),
  [5826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6533),
  [5828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1213),
  [5830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3815),
  [5832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2053),
  [5834] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_field_type_repeat1, 2, 0, 0), SHIFT_REPEAT(8305),
  [5837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1273),
  [5839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6541),
  [5841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1307),
  [5843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4353),
  [5845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1327),
  [5847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4422),
  [5849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4383),
  [5851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1339),
  [5853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4377),
  [5855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1357),
  [5857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6604),
  [5859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1287),
  [5861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4327),
  [5863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4328),
  [5865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4329),
  [5867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2869),
  [5869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2902),
  [5871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3885),
  [5873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1222),
  [5875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1233),
  [5877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1248),
  [5879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(50),
  [5881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4691),
  [5883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1372),
  [5885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2182),
  [5887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1618),
  [5889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4705),
  [5891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2185),
  [5893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1620),
  [5895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2471),
  [5897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5274),
  [5899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2192),
  [5901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1300),
  [5903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2197),
  [5905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1303),
  [5907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1637),
  [5909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2203),
  [5911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1304),
  [5913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1641),
  [5915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2206),
  [5917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1642),
  [5919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8197),
  [5921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2288),
  [5923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2303),
  [5925] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_field_type_repeat1, 2, 0, 0), SHIFT_REPEAT(8197),
  [5928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2305),
  [5930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2870),
  [5932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2321),
  [5934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3894),
  [5936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3805),
  [5938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2372),
  [5940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2340),
  [5942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3832),
  [5944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2346),
  [5946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2347),
  [5948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2348),
  [5950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2398),
  [5952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3843),
  [5954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2562),
  [5956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2599),
  [5958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2604),
  [5960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2523),
  [5962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1288),
  [5964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(63),
  [5966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4802),
  [5968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2463),
  [5970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2354),
  [5972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4853),
  [5974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2467),
  [5976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2358),
  [5978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2552),
  [5980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2553),
  [5982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2554),
  [5984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2555),
  [5986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5197),
  [5988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4211),
  [5990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2473),
  [5992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1347),
  [5994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4239),
  [5996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4244),
  [5998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4277),
  [6000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2475),
  [6002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1351),
  [6004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2363),
  [6006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2478),
  [6008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1356),
  [6010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4131),
  [6012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2366),
  [6014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4137),
  [6016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4138),
  [6018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4139),
  [6020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4140),
  [6022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2513),
  [6024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2368),
  [6026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2802),
  [6028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2818),
  [6030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2823),
  [6032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2838),
  [6034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2859),
  [6036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2867),
  [6038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2868),
  [6040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1210),
  [6042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1592),
  [6044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1509),
  [6046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1446),
  [6048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1460),
  [6050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2023),
  [6052] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_struct_type_repeat2, 2, 0, 0), SHIFT_REPEAT(6846),
  [6055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1414),
  [6057] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_struct_type_repeat2, 2, 0, 0), SHIFT_REPEAT(6758),
  [6060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(171),
  [6062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5388),
  [6064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5601),
  [6066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(794),
  [6068] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression_no_tag, 1, 0, 0), SHIFT(7779),
  [6071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7958),
  [6073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1756),
  [6075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(183),
  [6077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8295),
  [6079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(427),
  [6081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5037),
  [6083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5651),
  [6085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5205),
  [6087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5644),
  [6089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6846),
  [6091] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression_no_tag, 1, 0, 0), SHIFT(906),
  [6094] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression_no_tag, 1, 0, 0), SHIFT(7822),
  [6097] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_field_type_repeat1, 2, 0, 0), SHIFT_REPEAT(7958),
  [6100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(182),
  [6102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1629),
  [6104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1635),
  [6106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2094),
  [6108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3646),
  [6110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2208),
  [6112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1644),
  [6114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2209),
  [6116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4978),
  [6118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5613),
  [6120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(495),
  [6122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5066),
  [6124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5606),
  [6126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4112),
  [6128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1802),
  [6130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5141),
  [6132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5622),
  [6134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5142),
  [6136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5619),
  [6138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4174),
  [6140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5089),
  [6142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5370),
  [6144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5636),
  [6146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5477),
  [6148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5649),
  [6150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5246),
  [6152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5624),
  [6154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4016),
  [6156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1858),
  [6158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5291),
  [6160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5631),
  [6162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4417),
  [6164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3362),
  [6166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1394),
  [6168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5335),
  [6170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(492),
  [6172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2010),
  [6174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1649),
  [6176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1667),
  [6178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1366),
  [6180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1836),
  [6182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1836),
  [6184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1976),
  [6186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2000),
  [6188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2000),
  [6190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2019),
  [6192] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1678),
  [6194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1555),
  [6196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1908),
  [6198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1452),
  [6200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1452),
  [6202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1547),
  [6204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1293),
  [6206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1616),
  [6208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2068),
  [6210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1633),
  [6212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(30),
  [6214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2069),
  [6216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4961),
  [6218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5646),
  [6220] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_where_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(1394),
  [6223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5430),
  [6225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5640),
  [6227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3503),
  [6229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5261),
  [6231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5600),
  [6233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1254),
  [6235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1601),
  [6237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1602),
  [6239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2466),
  [6241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5294),
  [6243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1609),
  [6245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8373),
  [6247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(442),
  [6249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(48),
  [6251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4814),
  [6253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2678),
  [6255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2508),
  [6257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4822),
  [6259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2680),
  [6261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2510),
  [6263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2682),
  [6265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2227),
  [6267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2683),
  [6269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2230),
  [6271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2500),
  [6273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2685),
  [6275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2231),
  [6277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2491),
  [6279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2686),
  [6281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2492),
  [6283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1313),
  [6285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2282),
  [6287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1320),
  [6289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(455),
  [6291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2361),
  [6293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2480),
  [6295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2371),
  [6297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6078),
  [6299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1954),
  [6301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1955),
  [6303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2479),
  [6305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5110),
  [6307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(798),
  [6309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(319),
  [6311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8109),
  [6313] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_field_type_repeat1, 2, 0, 0), SHIFT_REPEAT(8109),
  [6316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2481),
  [6318] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement, 1, 0, 0),
  [6320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1825),
  [6322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1933),
  [6324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1272),
  [6326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1934),
  [6328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1921),
  [6330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1922),
  [6332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1923),
  [6334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1924),
  [6336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1925),
  [6338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1925),
  [6340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1926),
  [6342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1927),
  [6344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1927),
  [6346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1928),
  [6348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1929),
  [6350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1930),
  [6352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1931),
  [6354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1932),
  [6356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1932),
  [6358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2266),
  [6360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2234),
  [6362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(24),
  [6364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2267),
  [6366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1650),
  [6368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1499),
  [6370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1502),
  [6372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1503),
  [6374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1518),
  [6376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1518),
  [6378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1519),
  [6380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1528),
  [6382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1529),
  [6384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1530),
  [6386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1532),
  [6388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1532),
  [6390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1533),
  [6392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1544),
  [6394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2512),
  [6396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1504),
  [6398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1504),
  [6400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1517),
  [6402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(27),
  [6404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1481),
  [6406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1482),
  [6408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2687),
  [6410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2476),
  [6412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1494),
  [6414] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_struct_type_repeat2, 2, 0, 0), SHIFT_REPEAT(6659),
  [6417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2558),
  [6419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7959),
  [6421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(443),
  [6423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6401),
  [6425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4493),
  [6427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3282),
  [6429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(571),
  [6431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4990),
  [6433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5401),
  [6435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8360),
  [6437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8020),
  [6439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8520),
  [6441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5219),
  [6443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8140),
  [6445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2688),
  [6447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2447),
  [6449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5270),
  [6451] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression_no_tag, 1, 0, 0), SHIFT(811),
  [6454] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression_no_tag, 1, 0, 0), SHIFT(7785),
  [6457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7955),
  [6459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6659),
  [6461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8538),
  [6463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1330),
  [6465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(840),
  [6467] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression_no_tag, 1, 0, 0), SHIFT(7798),
  [6470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(334),
  [6472] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_field_type_repeat1, 2, 0, 0), SHIFT_REPEAT(8538),
  [6475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1828),
  [6477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1780),
  [6479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1781),
  [6481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1782),
  [6483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1783),
  [6485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1784),
  [6487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1784),
  [6489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1785),
  [6491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1786),
  [6493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1786),
  [6495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1787),
  [6497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1788),
  [6499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1789),
  [6501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1790),
  [6503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1791),
  [6505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1791),
  [6507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1792),
  [6509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1274),
  [6511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1793),
  [6513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2515),
  [6515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2439),
  [6517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(31),
  [6519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2519),
  [6521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1842),
  [6523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1843),
  [6525] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_in_expression, 3, 0, 0),
  [6527] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_field_type_repeat1, 2, 0, 0), SHIFT_REPEAT(7955),
  [6530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1722),
  [6532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1848),
  [6534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1849),
  [6536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1725),
  [6538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1726),
  [6540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1729),
  [6542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1771),
  [6544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1771),
  [6546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1794),
  [6548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1822),
  [6550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1822),
  [6552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1823),
  [6554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1829),
  [6556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1840),
  [6558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1841),
  [6560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1844),
  [6562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1844),
  [6564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(33),
  [6566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(64),
  [6568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2849),
  [6570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2621),
  [6572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2857),
  [6574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2622),
  [6576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2862),
  [6578] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_struct_type_repeat2, 2, 0, 0), SHIFT_REPEAT(6735),
  [6581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2627),
  [6583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2805),
  [6585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2866),
  [6587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1724),
  [6589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1496),
  [6591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1497),
  [6593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1362),
  [6595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1360),
  [6597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2836),
  [6599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2656),
  [6601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8553),
  [6603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(366),
  [6605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2821),
  [6607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2645),
  [6609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2924),
  [6611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2619),
  [6613] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression_no_tag, 1, 0, 0), SHIFT(852),
  [6616] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression_no_tag, 1, 0, 0), SHIFT(7802),
  [6619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(378),
  [6621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2462),
  [6623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5067),
  [6625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(57),
  [6627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2020),
  [6629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(745),
  [6631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(745),
  [6633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5309),
  [6635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1963),
  [6637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(447),
  [6639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(77),
  [6641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1943),
  [6643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1526),
  [6645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1527),
  [6647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1966),
  [6649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1455),
  [6651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1280),
  [6653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1464),
  [6655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1950),
  [6657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1953),
  [6659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1960),
  [6661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1964),
  [6663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2002),
  [6665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2002),
  [6667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1377),
  [6669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1388),
  [6671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1388),
  [6673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1391),
  [6675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1392),
  [6677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1442),
  [6679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1443),
  [6681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1449),
  [6683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1449),
  [6685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2764),
  [6687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2658),
  [6689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(37),
  [6691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2765),
  [6693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8065),
  [6695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(463),
  [6697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(91),
  [6699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2897),
  [6701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1658),
  [6703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2454),
  [6705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5096),
  [6707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2949),
  [6709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1851),
  [6711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1646),
  [6713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1646),
  [6715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1369),
  [6717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(464),
  [6719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(94),
  [6721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(66),
  [6723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4722),
  [6725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1465),
  [6727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3113),
  [6729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3009),
  [6731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4729),
  [6733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3131),
  [6735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3011),
  [6737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5254),
  [6739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2460),
  [6741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5126),
  [6743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3134),
  [6745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2935),
  [6747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [6749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3334),
  [6751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2981),
  [6753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3155),
  [6755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2938),
  [6757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3016),
  [6759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3052),
  [6761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2939),
  [6763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3019),
  [6765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3089),
  [6767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3020),
  [6769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4839),
  [6771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2792),
  [6773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2626),
  [6775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4843),
  [6777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(59),
  [6779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4714),
  [6781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3468),
  [6783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3267),
  [6785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3382),
  [6787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3023),
  [6789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3277),
  [6791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3039),
  [6793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8456),
  [6795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2953),
  [6797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(467),
  [6799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(82),
  [6801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2954),
  [6803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3359),
  [6805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3030),
  [6807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(74),
  [6809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3525),
  [6811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2961),
  [6813] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_field_type_repeat1, 2, 0, 0), SHIFT_REPEAT(8456),
  [6816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3536),
  [6818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2966),
  [6820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3274),
  [6822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3543),
  [6824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2967),
  [6826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5024),
  [6828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3317),
  [6830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3038),
  [6832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3265),
  [6834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3546),
  [6836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3266),
  [6838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3349),
  [6840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3006),
  [6842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4710),
  [6844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3444),
  [6846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3244),
  [6848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3656),
  [6850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3026),
  [6852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4846),
  [6854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3707),
  [6856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3236),
  [6858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4643),
  [6860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3293),
  [6862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2976),
  [6864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4648),
  [6866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1669),
  [6868] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_where_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(1669),
  [6871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4898),
  [6873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3655),
  [6875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3257),
  [6877] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_struct_type_repeat2, 2, 0, 0), SHIFT_REPEAT(6627),
  [6880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3702),
  [6882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3271),
  [6884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2987),
  [6886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2990),
  [6888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2991),
  [6890] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_struct_type_repeat2, 2, 0, 0), SHIFT_REPEAT(6774),
  [6893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(65),
  [6895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4672),
  [6897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3704),
  [6899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3310),
  [6901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4677),
  [6903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3711),
  [6905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3311),
  [6907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3721),
  [6909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3001),
  [6911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3730),
  [6913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3004),
  [6915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8192),
  [6917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(390),
  [6919] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression_no_tag, 1, 0, 0), SHIFT(865),
  [6922] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression_no_tag, 1, 0, 0), SHIFT(7803),
  [6925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3323),
  [6927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3623),
  [6929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3005),
  [6931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3324),
  [6933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3663),
  [6935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3325),
  [6937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3109),
  [6939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3013),
  [6941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3648),
  [6943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3034),
  [6945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3094),
  [6947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3022),
  [6949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3098),
  [6951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3276),
  [6953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3237),
  [6955] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_field, 1, 0, 0),
  [6957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(272),
  [6959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(661),
  [6961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(824),
  [6963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4031),
  [6965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1600),
  [6967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1628),
  [6969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1958),
  [6971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2029),
  [6973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2029),
  [6975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1370),
  [6977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1374),
  [6979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1375),
  [6981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1376),
  [6983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1380),
  [6985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1380),
  [6987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1381),
  [6989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1382),
  [6991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1385),
  [6993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1386),
  [6995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1389),
  [6997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1389),
  [6999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1395),
  [7001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1365),
  [7003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1396),
  [7005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3180),
  [7007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3008),
  [7009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(54),
  [7011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3118),
  [7013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3643),
  [7015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2982),
  [7017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3269),
  [7019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1559),
  [7021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1645),
  [7023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1645),
  [7025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1656),
  [7027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1661),
  [7029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1670),
  [7031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1681),
  [7033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1683),
  [7035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1683),
  [7037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1706),
  [7039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1714),
  [7041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1715),
  [7043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1727),
  [7045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1850),
  [7047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1850),
  [7049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1885),
  [7051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1282),
  [7053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1886),
  [7055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2881),
  [7057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2882),
  [7059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(58),
  [7061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2883),
  [7063] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_where_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(1628),
  [7066] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6079),
  [7068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3727),
  [7070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3239),
  [7072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3255),
  [7074] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8467),
  [7076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5362),
  [7078] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8123),
  [7080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3548),
  [7082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3270),
  [7084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(824),
  [7086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1214),
  [7088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6080),
  [7090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3260),
  [7092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1203),
  [7094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1541),
  [7096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1542),
  [7098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4098),
  [7100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6627),
  [7102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1556),
  [7104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1557),
  [7106] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_field_type_repeat1, 2, 0, 0), SHIFT_REPEAT(8467),
  [7109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1639),
  [7111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2024),
  [7113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(53),
  [7115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4702),
  [7117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1576),
  [7119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3601),
  [7121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3327),
  [7123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3728),
  [7125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4703),
  [7127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3454),
  [7129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3329),
  [7131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2464),
  [7133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5145),
  [7135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3515),
  [7137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3248),
  [7139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3574),
  [7141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3258),
  [7143] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_field_type_repeat1, 2, 0, 0), SHIFT_REPEAT(8123),
  [7146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3393),
  [7148] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_field_type_repeat1, 2, 0, 0), SHIFT_REPEAT(8463),
  [7151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3314),
  [7153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3419),
  [7155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3261),
  [7157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8463),
  [7159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3339),
  [7161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3425),
  [7163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3340),
  [7165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3719),
  [7167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3326),
  [7169] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_overloaded_procedure_declaration_repeat1, 2, 0, 0),
  [7171] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_overloaded_procedure_declaration_repeat1, 2, 0, 0),
  [7173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3550),
  [7175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8324),
  [7177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1630),
  [7179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1546),
  [7181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1416),
  [7183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1416),
  [7185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1417),
  [7187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1418),
  [7189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1419),
  [7191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1420),
  [7193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1421),
  [7195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1421),
  [7197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1422),
  [7199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1423),
  [7201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1424),
  [7203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1425),
  [7205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1426),
  [7207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1426),
  [7209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1427),
  [7211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1289),
  [7213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1428),
  [7215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3552),
  [7217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3383),
  [7219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(114),
  [7221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3558),
  [7223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(61),
  [7225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4695),
  [7227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4176),
  [7229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3795),
  [7231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4696),
  [7233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4187),
  [7235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3796),
  [7237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4227),
  [7239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3300),
  [7241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4252),
  [7243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3304),
  [7245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3819),
  [7247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4263),
  [7249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3306),
  [7251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3835),
  [7253] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_where_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(1630),
  [7256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4268),
  [7258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3841),
  [7260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6793),
  [7262] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_struct_type_repeat2, 2, 0, 0), SHIFT_REPEAT(6793),
  [7265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3632),
  [7267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3331),
  [7269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3432),
  [7271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3342),
  [7273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3437),
  [7275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8191),
  [7277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8381),
  [7279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(402),
  [7281] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression_no_tag, 1, 0, 0), SHIFT(879),
  [7284] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression_no_tag, 1, 0, 0), SHIFT(7810),
  [7287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6238),
  [7289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5267),
  [7291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3178),
  [7293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(537),
  [7295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5128),
  [7297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5387),
  [7299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8040),
  [7301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8427),
  [7303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4981),
  [7305] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 2, 0, 0), REDUCE(sym_array_type, 3, 0, 0), SHIFT(8158),
  [7309] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 3, 0, 0), REDUCE(sym_array_type, 4, 0, 0), SHIFT(8158),
  [7313] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 2, 0, 0), SHIFT(8158),
  [7316] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 4, 0, 0), REDUCE(sym_array_type, 5, 0, 0), SHIFT(8158),
  [7320] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 3, 0, 0), SHIFT(8158),
  [7323] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 4, 0, 0), SHIFT(8158),
  [7326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(51),
  [7328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4760),
  [7330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4033),
  [7332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3760),
  [7334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4779),
  [7336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4100),
  [7338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3763),
  [7340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4024),
  [7342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3375),
  [7344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4092),
  [7346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3378),
  [7348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3776),
  [7350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4023),
  [7352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3379),
  [7354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3779),
  [7356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4028),
  [7358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3780),
  [7360] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_field_type_repeat1, 2, 0, 0), SHIFT_REPEAT(8324),
  [7363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3598),
  [7365] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 5, 0, 0), SHIFT(8158),
  [7368] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_struct_type_repeat2, 2, 0, 0), SHIFT_REPEAT(6817),
  [7371] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_field_type_repeat1, 2, 0, 0), SHIFT_REPEAT(8191),
  [7374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(755),
  [7376] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression_no_tag, 1, 0, 0), SHIFT(7766),
  [7379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2502),
  [7381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5078),
  [7383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1571),
  [7385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1572),
  [7387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6076),
  [7389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(712),
  [7391] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression_no_tag, 1, 0, 0), SHIFT(7919),
  [7394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6234),
  [7396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4946),
  [7398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3449),
  [7400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(540),
  [7402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4987),
  [7404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5440),
  [7406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8044),
  [7408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8428),
  [7410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5413),
  [7412] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 2, 0, 0), SHIFT(8177),
  [7415] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 2, 0, 0), REDUCE(sym_array_type, 3, 0, 0), SHIFT(8177),
  [7419] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 3, 0, 0), REDUCE(sym_array_type, 4, 0, 0), SHIFT(8177),
  [7423] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 4, 0, 0), SHIFT(8177),
  [7426] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 4, 0, 0), REDUCE(sym_array_type, 5, 0, 0), SHIFT(8177),
  [7430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5354),
  [7432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1415),
  [7434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1225),
  [7436] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 5, 0, 0), SHIFT(8177),
  [7439] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 3, 0, 0), SHIFT(8177),
  [7442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6218),
  [7444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5457),
  [7446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2759),
  [7448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(609),
  [7450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5146),
  [7452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5030),
  [7454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8549),
  [7456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8393),
  [7458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5031),
  [7460] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 5, 0, 0), SHIFT(8183),
  [7463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3847),
  [7465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1265),
  [7467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2457),
  [7469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5314),
  [7471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7962),
  [7473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(285),
  [7475] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 2, 0, 0), REDUCE(sym_array_type, 3, 0, 0), SHIFT(8183),
  [7479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3788),
  [7481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1200),
  [7483] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 4, 0, 0), SHIFT(8183),
  [7486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1236),
  [7488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3769),
  [7490] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 3, 0, 0), SHIFT(8183),
  [7493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4034),
  [7495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3782),
  [7497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4770),
  [7499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1877),
  [7501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4771),
  [7503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5346),
  [7505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3732),
  [7507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3678),
  [7509] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 2, 0, 0), SHIFT(8183),
  [7512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3679),
  [7514] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 3, 0, 0), REDUCE(sym_array_type, 4, 0, 0), SHIFT(8183),
  [7518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5059),
  [7520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4269),
  [7522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3845),
  [7524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1226),
  [7526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8099),
  [7528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(456),
  [7530] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 4, 0, 0), REDUCE(sym_array_type, 5, 0, 0), SHIFT(8183),
  [7534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3875),
  [7536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1916),
  [7538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4604),
  [7540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1826),
  [7542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5020),
  [7544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3739),
  [7546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3742),
  [7548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3743),
  [7550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1948),
  [7552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2022),
  [7554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2022),
  [7556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1368),
  [7558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1384),
  [7560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1654),
  [7562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1657),
  [7564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1666),
  [7566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1666),
  [7568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1674),
  [7570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1331),
  [7572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1873),
  [7574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5366),
  [7576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3710),
  [7578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(597),
  [7580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5181),
  [7582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5034),
  [7584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8082),
  [7586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8443),
  [7588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5329),
  [7590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8134),
  [7592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2489),
  [7594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5086),
  [7596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1957),
  [7598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1881),
  [7600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1883),
  [7602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1883),
  [7604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1888),
  [7606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1889),
  [7608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1891),
  [7610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1892),
  [7612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1894),
  [7614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1894),
  [7616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1899),
  [7618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1902),
  [7620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1909),
  [7622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1912),
  [7624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1913),
  [7626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1913),
  [7628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1915),
  [7630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1264),
  [7632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1935),
  [7634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3764),
  [7636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3608),
  [7638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(111),
  [7640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3868),
  [7642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4036),
  [7644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1878),
  [7646] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_where_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(1878),
  [7649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1647),
  [7651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2455),
  [7653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5026),
  [7655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4285),
  [7657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4599),
  [7659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1605),
  [7661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1605),
  [7663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1608),
  [7665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1410),
  [7667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1430),
  [7669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1438),
  [7671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1563),
  [7673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3864),
  [7675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3725),
  [7677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(113),
  [7679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3777),
  [7681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1444),
  [7683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1445),
  [7685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8092),
  [7687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1965),
  [7689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1860),
  [7691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1860),
  [7693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1861),
  [7695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1862),
  [7697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1863),
  [7699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1864),
  [7701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1865),
  [7703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1865),
  [7705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1866),
  [7707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1867),
  [7709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1868),
  [7711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1869),
  [7713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1870),
  [7715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1870),
  [7717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1871),
  [7719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1872),
  [7721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [7723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1998),
  [7725] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_field_type_repeat1, 2, 0, 0), SHIFT_REPEAT(8092),
  [7728] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_struct_type_repeat2, 2, 0, 0), SHIFT_REPEAT(6698),
  [7731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6239),
  [7733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5296),
  [7735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3685),
  [7737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(524),
  [7739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5108),
  [7741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4982),
  [7743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8003),
  [7745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8415),
  [7747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5426),
  [7749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8424),
  [7751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(289),
  [7753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(825),
  [7755] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression_no_tag, 1, 0, 0), SHIFT(7792),
  [7758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8076),
  [7760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6698),
  [7762] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_field_type_repeat1, 2, 0, 0), SHIFT_REPEAT(8076),
  [7765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(322),
  [7767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1827),
  [7769] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_where_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(1827),
  [7772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1859),
  [7774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1804),
  [7776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1804),
  [7778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1805),
  [7780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1806),
  [7782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1807),
  [7784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1807),
  [7786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1808),
  [7788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1809),
  [7790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1809),
  [7792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1810),
  [7794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1811),
  [7796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1812),
  [7798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1813),
  [7800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1814),
  [7802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1814),
  [7804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1815),
  [7806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1816),
  [7808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2881),
  [7810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2882),
  [7812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(150),
  [7814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1947),
  [7816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6212),
  [7818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5324),
  [7820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(629),
  [7822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5299),
  [7824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5331),
  [7826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8301),
  [7828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8435),
  [7830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5325),
  [7832] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 2, 0, 0), SHIFT(8285),
  [7835] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 2, 0, 0), REDUCE(sym_array_type, 3, 0, 0), SHIFT(8285),
  [7839] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 3, 0, 0), REDUCE(sym_array_type, 4, 0, 0), SHIFT(8285),
  [7843] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 3, 0, 0), SHIFT(8285),
  [7846] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 4, 0, 0), SHIFT(8285),
  [7849] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 4, 0, 0), REDUCE(sym_array_type, 5, 0, 0), SHIFT(8285),
  [7853] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 5, 0, 0), SHIFT(8285),
  [7856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1879),
  [7858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1880),
  [7860] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_statement, 3, 0, 0),
  [7862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6224),
  [7864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5033),
  [7866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(613),
  [7868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4949),
  [7870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5042),
  [7872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8036),
  [7874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8426),
  [7876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5036),
  [7878] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 2, 0, 0), SHIFT(8391),
  [7881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4196),
  [7883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2472),
  [7885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5140),
  [7887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4496),
  [7889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5466),
  [7891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1350),
  [7893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1344),
  [7895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(572),
  [7897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8416),
  [7899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8314),
  [7901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1803),
  [7903] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 3, 0, 0), REDUCE(sym_array_type, 4, 0, 0), SHIFT(8391),
  [7907] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 3, 0, 0), SHIFT(8391),
  [7910] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 4, 0, 0), SHIFT(8391),
  [7913] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 4, 0, 0), REDUCE(sym_array_type, 5, 0, 0), SHIFT(8391),
  [7917] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 5, 0, 0), SHIFT(8391),
  [7920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(828),
  [7922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(439),
  [7924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1845),
  [7926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1846),
  [7928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8096),
  [7930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(350),
  [7932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(878),
  [7934] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 2, 0, 0), REDUCE(sym_array_type, 3, 0, 0), SHIFT(8391),
  [7938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1689),
  [7940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1690),
  [7942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1691),
  [7944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1691),
  [7946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1692),
  [7948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1693),
  [7950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1694),
  [7952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1695),
  [7954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1696),
  [7956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1696),
  [7958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1697),
  [7960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1698),
  [7962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1699),
  [7964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1700),
  [7966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1701),
  [7968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1701),
  [7970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1702),
  [7972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1703),
  [7974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(123),
  [7976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2451),
  [7978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5395),
  [7980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1893),
  [7982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1990),
  [7984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1992),
  [7986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1992),
  [7988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1994),
  [7990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2004),
  [7992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2006),
  [7994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2008),
  [7996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2014),
  [7998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2014),
  [8000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2018),
  [8002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2021),
  [8004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1898),
  [8006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1383),
  [8008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1401),
  [8010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1401),
  [8012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1679),
  [8014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1277),
  [8016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1852),
  [8018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4200),
  [8020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4021),
  [8022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(124),
  [8024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4203),
  [8026] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression_no_tag, 1, 0, 0), SHIFT(776),
  [8029] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression_no_tag, 1, 0, 0), SHIFT(7925),
  [8032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6266),
  [8034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4974),
  [8036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(558),
  [8038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4952),
  [8040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5088),
  [8042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8066),
  [8044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8434),
  [8046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4975),
  [8048] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 2, 0, 0), SHIFT(8442),
  [8051] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 2, 0, 0), REDUCE(sym_array_type, 3, 0, 0), SHIFT(8442),
  [8055] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 3, 0, 0), REDUCE(sym_array_type, 4, 0, 0), SHIFT(8442),
  [8059] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 3, 0, 0), SHIFT(8442),
  [8062] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 4, 0, 0), SHIFT(8442),
  [8065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4523),
  [8067] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array_type, 5, 0, 0), SHIFT(8442),
  [8070] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_array_type, 4, 0, 0), REDUCE(sym_array_type, 5, 0, 0), SHIFT(8442),
  [8074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(758),
  [8076] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 1, 0, 0),
  [8078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(440),
  [8080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1511),
  [8082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1512),
  [8084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8093),
  [8086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(303),
  [8088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1854),
  [8090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2015),
  [8092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2016),
  [8094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4359),
  [8096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1821),
  [8098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1735),
  [8100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1735),
  [8102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1736),
  [8104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1737),
  [8106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2034),
  [8108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1743),
  [8110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1744),
  [8112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1745),
  [8114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1745),
  [8116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1746),
  [8118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1747),
  [8120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1738),
  [8122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1739),
  [8124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1740),
  [8126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1740),
  [8128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1741),
  [8130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [8132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1472),
  [8134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1485),
  [8136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1485),
  [8138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1540),
  [8140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1570),
  [8142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1671),
  [8144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1707),
  [8146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1713),
  [8148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1817),
  [8150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1817),
  [8152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1882),
  [8154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1270),
  [8156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1887),
  [8158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1466),
  [8160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1467),
  [8162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6211),
  [8164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5319),
  [8166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3464),
  [8168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(606),
  [8170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5015),
  [8172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5104),
  [8174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8152),
  [8176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8344),
  [8178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5317),
  [8180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7990),
  [8182] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression_no_tag, 1, 0, 0), SHIFT(7953),
  [8185] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression_no_tag, 1, 0, 0), SHIFT(8385),
  [8188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(337),
  [8190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1453),
  [8192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1585),
  [8194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1593),
  [8196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1655),
  [8198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1655),
  [8200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1663),
  [8202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4436),
  [8204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4301),
  [8206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [8208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4439),
  [8210] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression_no_tag, 1, 0, 0), SHIFT(8311),
  [8213] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_statement, 5, 0, 44),
  [8215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1834),
  [8217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1835),
  [8219] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression_no_tag, 1, 0, 0), SHIFT(8062),
  [8222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1720),
  [8224] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_statement, 6, 0, 58),
  [8226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1832),
  [8228] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression_no_tag, 1, 0, 0), SHIFT(8256),
  [8231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1279),
  [8233] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression_no_tag, 1, 0, 0), SHIFT(8100),
  [8236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1734),
  [8238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6265),
  [8240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5474),
  [8242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(637),
  [8244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5468),
  [8246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5462),
  [8248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8501),
  [8250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8541),
  [8252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5473),
  [8254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8536),
  [8256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(593),
  [8258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6227),
  [8260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5058),
  [8262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(611),
  [8264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5052),
  [8266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5016),
  [8268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8253),
  [8270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8355),
  [8272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5057),
  [8274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8089),
  [8276] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_array_type, 3, 0, 0), REDUCE(sym_array_type, 4, 0, 0), SHIFT(3062),
  [8280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6233),
  [8282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4968),
  [8284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(534),
  [8286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5465),
  [8288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5312),
  [8290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8031),
  [8292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8425),
  [8294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4965),
  [8296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8122),
  [8298] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_var_declaration, 7, 0, 0),
  [8300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1393),
  [8302] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_var_declaration, 8, 0, 0),
  [8304] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_declaration, 6, 0, 0),
  [8306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(493),
  [8308] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_declaration, 4, 0, 0),
  [8310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(454),
  [8312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(641),
  [8314] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_array_type, 5, 0, 0), SHIFT(3062),
  [8317] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_array_type, 4, 0, 0), REDUCE(sym_array_type, 5, 0, 0), SHIFT(3062),
  [8321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4532),
  [8323] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_declaration, 3, 0, 0),
  [8325] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_array_type, 4, 0, 0), SHIFT(3062),
  [8328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(283),
  [8330] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_array_type, 3, 0, 0), SHIFT(3062),
  [8333] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_array_type, 2, 0, 0), REDUCE(sym_array_type, 3, 0, 0), SHIFT(3062),
  [8337] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_declaration, 5, 0, 0),
  [8339] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_array_type, 2, 0, 0), SHIFT(3062),
  [8342] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_var_declaration, 6, 0, 0),
  [8344] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_var_declaration, 5, 0, 0),
  [8346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6383),
  [8348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2810),
  [8350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3103),
  [8352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3289),
  [8354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3206),
  [8356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2826),
  [8358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3627),
  [8360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2072),
  [8362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2188),
  [8364] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_statement, 7, 0, 0),
  [8366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(830),
  [8368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3700),
  [8370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2195),
  [8372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2698),
  [8374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2503),
  [8376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(353),
  [8378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4049),
  [8380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(716),
  [8382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2123),
  [8384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2294),
  [8386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(723),
  [8388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4048),
  [8390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4279),
  [8392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2769),
  [8394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3645),
  [8396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4082),
  [8398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3479),
  [8400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2108),
  [8402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2308),
  [8404] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_statement, 4, 0, 0),
  [8406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2712),
  [8408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3309),
  [8410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3692),
  [8412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3162),
  [8414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2719),
  [8416] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_statement, 6, 0, 0),
  [8418] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_statement, 3, 0, 0),
  [8420] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_statement, 4, 0, 0),
  [8422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4222),
  [8424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(441),
  [8426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3492),
  [8428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(306),
  [8430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2271),
  [8432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2482),
  [8434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4248),
  [8436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3716),
  [8438] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_return_statement_repeat1, 2, 0, 0),
  [8440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3603),
  [8442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3475),
  [8444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3346),
  [8446] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_statement, 3, 0, 0),
  [8448] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_statement, 5, 0, 0),
  [8450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2179),
  [8452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3529),
  [8454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(707),
  [8456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3399),
  [8458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2445),
  [8460] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_const_declaration_repeat1, 2, 0, 0),
  [8462] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_variable_declaration_repeat1, 2, 0, 0),
  [8464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3405),
  [8466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1824),
  [8468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1758),
  [8470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1758),
  [8472] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1759),
  [8474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1760),
  [8476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1761),
  [8478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1762),
  [8480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1763),
  [8482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1763),
  [8484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1764),
  [8486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1765),
  [8488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1766),
  [8490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1767),
  [8492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1768),
  [8494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1768),
  [8496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1769),
  [8498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1770),
  [8500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(177),
  [8502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1838),
  [8504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1839),
  [8506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1688),
  [8508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(273),
  [8510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(748),
  [8512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(748),
  [8514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5045),
  [8516] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_using_statement, 2, 0, 0),
  [8518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8265),
  [8520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1757),
  [8522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(619),
  [8524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1338),
  [8526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4546),
  [8528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2176),
  [8530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(548),
  [8532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4966),
  [8534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8302),
  [8536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6574),
  [8538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(143),
  [8540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(155),
  [8542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3595),
  [8544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(126),
  [8546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3682),
  [8548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4513),
  [8550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(561),
  [8552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5245),
  [8554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4605),
  [8556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(131),
  [8558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4608),
  [8560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(563),
  [8562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8484),
  [8564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [8566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [8568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(157),
  [8570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(747),
  [8572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(747),
  [8574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5130),
  [8576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(159),
  [8578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(148),
  [8580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [8582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(222),
  [8584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2506),
  [8586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4464),
  [8588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(224),
  [8590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [8592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(160),
  [8594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(149),
  [8596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6557),
  [8598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6176),
  [8600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4934),
  [8602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6102),
  [8604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4541),
  [8606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(542),
  [8608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8177),
  [8610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [8612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4182),
  [8614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(225),
  [8616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [8618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4208),
  [8620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(266),
  [8622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4219),
  [8624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4220),
  [8626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7778),
  [8628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(268),
  [8630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(269),
  [8632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [8634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3417),
  [8636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2929),
  [8638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(528),
  [8640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5150),
  [8642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4649),
  [8644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(519),
  [8646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4549),
  [8648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(704),
  [8650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(546),
  [8652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5083),
  [8654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4699),
  [8656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3654),
  [8658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4652),
  [8660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(522),
  [8662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8274),
  [8664] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_type_declaration, 6, 0, 0),
  [8666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6104),
  [8668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4494),
  [8670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(536),
  [8672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8158),
  [8674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4659),
  [8676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(226),
  [8678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2964),
  [8680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(510),
  [8682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5263),
  [8684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8535),
  [8686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(199),
  [8688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4725),
  [8690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(545),
  [8692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8249),
  [8694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3068),
  [8696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(551),
  [8698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5237),
  [8700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8361),
  [8702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4676),
  [8704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [8706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4052),
  [8708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(722),
  [8710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3936),
  [8712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(200),
  [8714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(730),
  [8716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(206),
  [8718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(520),
  [8720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4678),
  [8722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4335),
  [8724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4762),
  [8726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4547),
  [8728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4721),
  [8730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(231),
  [8732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4685),
  [8734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(211),
  [8736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4247),
  [8738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(165),
  [8740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4653),
  [8742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2307),
  [8744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4315),
  [8746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3315),
  [8748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4667),
  [8750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(549),
  [8752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4593),
  [8754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(201),
  [8756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [8758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2325),
  [8760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(552),
  [8762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4697),
  [8764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4660),
  [8766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4289),
  [8768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1575),
  [8770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(744),
  [8772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5461),
  [8774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(187),
  [8776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4704),
  [8778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4750),
  [8780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4726),
  [8782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [8784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3604),
  [8786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2194),
  [8788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(181),
  [8790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4715),
  [8792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(494),
  [8794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(202),
  [8796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6562),
  [8798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4718),
  [8800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4225),
  [8802] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declaration, 3, 0, 0),
  [8804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(497),
  [8806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7885),
  [8808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4730),
  [8810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4190),
  [8812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4053),
  [8814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4555),
  [8816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4748),
  [8818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3745),
  [8820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2825),
  [8822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4805),
  [8824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4529),
  [8826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2200),
  [8828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4489),
  [8830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4744),
  [8832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2122),
  [8834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6617),
  [8836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2842),
  [8838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6552),
  [8840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4745),
  [8842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(618),
  [8844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8183),
  [8846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4484),
  [8848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4789),
  [8850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4472),
  [8852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [8854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(213),
  [8856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4467),
  [8858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4474),
  [8860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4075),
  [8862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4076),
  [8864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4785),
  [8866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4077),
  [8868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3974),
  [8870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6909),
  [8872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6204),
  [8874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4768),
  [8876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4769),
  [8878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(630),
  [8880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8285),
  [8882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3570),
  [8884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(633),
  [8886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5341),
  [8888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4772),
  [8890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4773),
  [8892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(631),
  [8894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8289),
  [8896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4782),
  [8898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6615),
  [8900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3914),
  [8902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3720),
  [8904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4463),
  [8906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4800),
  [8908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4438),
  [8910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4799),
  [8912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4122),
  [8914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3723),
  [8916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4118),
  [8918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4627),
  [8920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(195),
  [8922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6206),
  [8924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4795),
  [8926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4081),
  [8928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(184),
  [8930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4798),
  [8932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(614),
  [8934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8391),
  [8936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3698),
  [8938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4376),
  [8940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3528),
  [8942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4861),
  [8944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(210),
  [8946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4088),
  [8948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [8950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4818),
  [8952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7911),
  [8954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3625),
  [8956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3540),
  [8958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4823),
  [8960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(166),
  [8962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4212),
  [8964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4827),
  [8966] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression_no_tag, 1, 0, 0), SHIFT(5072),
  [8969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(194),
  [8971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(179),
  [8973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4668),
  [8975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4829),
  [8977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [8979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4832),
  [8981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3063),
  [8983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
  [8985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(193),
  [8987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4475),
  [8989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4391),
  [8991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4476),
  [8993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(500),
  [8995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4844),
  [8997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3215),
  [8999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(236),
  [9001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4847),
  [9003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(161),
  [9005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4903),
  [9007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(189),
  [9009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3361),
  [9011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [9013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(219),
  [9015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6240),
  [9017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4859),
  [9019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4602),
  [9021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(769),
  [9023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5394),
  [9025] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression_no_tag, 1, 0, 0), SHIFT(5134),
  [9028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7037),
  [9030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4875),
  [9032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(560),
  [9034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8442),
  [9036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4001),
  [9038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4003),
  [9040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4004),
  [9042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(239),
  [9044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(251),
  [9046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4005),
  [9048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [9050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4878),
  [9052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [9054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [9056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(175),
  [9058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(262),
  [9060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4831),
  [9062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(227),
  [9064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(241),
  [9066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2718),
  [9068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(235),
  [9070] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_type_declaration, 5, 0, 0),
  [9072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4479),
  [9074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(180),
  [9076] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression_no_tag, 1, 0, 0), SHIFT(5092),
  [9079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3960),
  [9081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(190),
  [9083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3365),
  [9085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4900),
  [9087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2477),
  [9089] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression_no_tag, 1, 0, 0), SHIFT(5158),
  [9092] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression_no_tag, 1, 0, 0), SHIFT(5168),
  [9095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2724),
  [9097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4907),
  [9099] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression_no_tag, 1, 0, 0), SHIFT(5174),
  [9102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4656),
  [9104] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression_no_tag, 1, 0, 0), SHIFT(5180),
  [9107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3367),
  [9109] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression_no_tag, 1, 0, 0), SHIFT(5184),
  [9112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3613),
  [9114] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression_no_tag, 1, 0, 0), SHIFT(5188),
  [9117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3508),
  [9119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4046),
  [9121] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression_no_tag, 1, 0, 0), SHIFT(5192),
  [9124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4473),
  [9126] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression_no_tag, 1, 0, 0), SHIFT(5196),
  [9129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3345),
  [9131] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression_no_tag, 1, 0, 0), SHIFT(5200),
  [9134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(228),
  [9136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3962),
  [9138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6480),
  [9140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3750),
  [9142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4938),
  [9144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3554),
  [9146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(128),
  [9148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3387),
  [9150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4937),
  [9152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4457),
  [9154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [9156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4460),
  [9158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3564),
  [9160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4454),
  [9162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4453),
  [9164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3680),
  [9166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4943),
  [9168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4724),
  [9170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3961),
  [9172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2140),
  [9174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3404),
  [9176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4073),
  [9178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4512),
  [9180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4275),
  [9182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(579),
  [9184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5429),
  [9186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(566),
  [9188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5459),
  [9190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(371),
  [9192] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1538),
  [9194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2816),
  [9196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5486),
  [9198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5478),
  [9200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(321),
  [9202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1490),
  [9204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2287),
  [9206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4962),
  [9208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4998),
  [9210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4506),
  [9212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4040),
  [9214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(555),
  [9216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4977),
  [9218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5438),
  [9220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5338),
  [9222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(305),
  [9224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1475),
  [9226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4350),
  [9228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4497),
  [9230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2063),
  [9232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(543),
  [9234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5467),
  [9236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4504),
  [9238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2496),
  [9240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(620),
  [9242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5292),
  [9244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5407),
  [9246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(513),
  [9248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(515),
  [9250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4996),
  [9252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(598),
  [9254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(392),
  [9256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1565),
  [9258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3121),
  [9260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(530),
  [9262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4535),
  [9264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2261),
  [9266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(511),
  [9268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5159),
  [9270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(554),
  [9272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(594),
  [9274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1487),
  [9276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(568),
  [9278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5147),
  [9280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5224),
  [9282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4959),
  [9284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(404),
  [9286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1580),
  [9288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3494),
  [9290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(508),
  [9292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5456),
  [9294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5404),
  [9296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4503),
  [9298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2696),
  [9300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(531),
  [9302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5251),
  [9304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(612),
  [9306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5053),
  [9308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5032),
  [9310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(352),
  [9312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1520),
  [9314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4209),
  [9316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5264),
  [9318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5232),
  [9320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(309),
  [9322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1478),
  [9324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4408),
  [9326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2427),
  [9328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(383),
  [9330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1553),
  [9332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2909),
  [9334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(336),
  [9336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1505),
  [9338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2628),
  [9340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(325),
  [9342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1493),
  [9344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2301),
  [9346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5017),
  [9348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(595),
  [9350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4221),
  [9352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5240),
  [9354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(381),
  [9356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1429),
  [9358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3836),
  [9360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(625),
  [9362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5298),
  [9364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2561),
  [9366] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_assignment_statement, 5, 0, 0),
  [9368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1961),
  [9370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(823),
  [9372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(823),
  [9374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5028),
  [9376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(557),
  [9378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5420),
  [9380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(526),
  [9382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(518),
  [9384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(417),
  [9386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1595),
  [9388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1097),
  [9390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(288),
  [9392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1456),
  [9394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3830),
  [9396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(356),
  [9398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1523),
  [9400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4236),
  [9402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4994),
  [9404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5452),
  [9406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(395),
  [9408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1568),
  [9410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3222),
  [9412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4563),
  [9414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5409),
  [9416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(601),
  [9418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(466),
  [9420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(100),
  [9422] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_assignment_statement, 4, 0, 0),
  [9424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5151),
  [9426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(460),
  [9428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1448),
  [9430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3818),
  [9432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(584),
  [9434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5235),
  [9436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(429),
  [9438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1610),
  [9440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2100),
  [9442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(432),
  [9444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1613),
  [9446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2114),
  [9448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5379),
  [9450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5220),
  [9452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(340),
  [9454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1508),
  [9456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2597),
  [9458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4371),
  [9460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5410),
  [9462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(539),
  [9464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5019),
  [9466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5336),
  [9468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5305),
  [9470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5185),
  [9472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(380),
  [9474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1550),
  [9476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2900),
  [9478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5411),
  [9480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(445),
  [9482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(68),
  [9484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5435),
  [9486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5350),
  [9488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(407),
  [9490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1583),
  [9492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3509),
  [9494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5113),
  [9496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5368),
  [9498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(292),
  [9500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1459),
  [9502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3752),
  [9504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5124),
  [9506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5007),
  [9508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4171),
  [9510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(750),
  [9512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(750),
  [9514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(623),
  [9516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5418),
  [9518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4988),
  [9520] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_assignment_statement, 3, 0, 0),
  [9522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(533),
  [9524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5428),
  [9526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5313),
  [9528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5112),
  [9530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(514),
  [9532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(368),
  [9534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1535),
  [9536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2795),
  [9538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5165),
  [9540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5082),
  [9542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5469),
  [9544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(420),
  [9546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1598),
  [9548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1139),
  [9550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5189),
  [9552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1406),
  [9554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1406),
  [9556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1238),
  [9558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3200),
  [9560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3213),
  [9562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7905),
  [9564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(400),
  [9566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3048),
  [9568] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__simple_assignment_statement_repeat1, 2, 0, 0),
  [9570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3096),
  [9572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1217),
  [9574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1581),
  [9576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1223),
  [9578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3447),
  [9580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6597),
  [9582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7870),
  [9584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3949),
  [9586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1318),
  [9588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(408),
  [9590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3521),
  [9592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3395),
  [9594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2723),
  [9596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7922),
  [9598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(412),
  [9600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3411),
  [9602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3434),
  [9604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1229),
  [9606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1596),
  [9608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1234),
  [9610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1129),
  [9612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(421),
  [9614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1147),
  [9616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1172),
  [9618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6599),
  [9620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7873),
  [9622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3416),
  [9624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7834),
  [9626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(425),
  [9628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1180),
  [9630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(689),
  [9632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1243),
  [9634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1611),
  [9636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1249),
  [9638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2103),
  [9640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(433),
  [9642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2126),
  [9644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2136),
  [9646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1457),
  [9648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1220),
  [9650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3803),
  [9652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2139),
  [9654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7854),
  [9656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(437),
  [9658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2144),
  [9660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2159),
  [9662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1258),
  [9664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(729),
  [9666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7944),
  [9668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2199),
  [9670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7763),
  [9672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(293),
  [9674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3916),
  [9676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4087),
  [9678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7942),
  [9680] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2, 0, 0),
  [9682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3920),
  [9684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3313),
  [9686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7867),
  [9688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(300),
  [9690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3833),
  [9692] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_call_expression_repeat1, 2, 0, 14),
  [9694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1617),
  [9696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(284),
  [9698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3747),
  [9700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3950),
  [9702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1241),
  [9704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(87),
  [9706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(88),
  [9708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(751),
  [9710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(663),
  [9712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(45),
  [9714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1476),
  [9716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1275),
  [9718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4361),
  [9720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(310),
  [9722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4419),
  [9724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4378),
  [9726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3539),
  [9728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7765),
  [9730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(396),
  [9732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3132),
  [9734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4323),
  [9736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1284),
  [9738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3790),
  [9740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3612),
  [9742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7914),
  [9744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(453),
  [9746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3799),
  [9748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1252),
  [9750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1491),
  [9752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1309),
  [9754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2289),
  [9756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(326),
  [9758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2312),
  [9760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2322),
  [9762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2324),
  [9764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7892),
  [9766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(332),
  [9768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2329),
  [9770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(69),
  [9772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2344),
  [9774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1323),
  [9776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(660),
  [9778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1506),
  [9780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1328),
  [9782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2564),
  [9784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1514),
  [9786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(341),
  [9788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2607),
  [9790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2524),
  [9792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2495),
  [9794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7780),
  [9796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(348),
  [9798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2532),
  [9800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2550),
  [9802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1335),
  [9804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(79),
  [9806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1521),
  [9808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1341),
  [9810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4213),
  [9812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [9814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4255),
  [9816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4278),
  [9818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4283),
  [9820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7924),
  [9822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(364),
  [9824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4308),
  [9826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4135),
  [9828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1353),
  [9830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1705),
  [9832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1232),
  [9834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3855),
  [9836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1536),
  [9838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1358),
  [9840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2803),
  [9842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6539),
  [9844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7881),
  [9846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(372),
  [9848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2828),
  [9850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2839),
  [9852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2841),
  [9854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7849),
  [9856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(376),
  [9858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2846),
  [9860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2864),
  [9862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1364),
  [9864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1551),
  [9866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1201),
  [9868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2903),
  [9870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6624),
  [9872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7806),
  [9874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(384),
  [9876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2916),
  [9878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2887),
  [9880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3696),
  [9882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7900),
  [9884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(388),
  [9886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2703),
  [9888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2750),
  [9890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1207),
  [9892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1566),
  [9894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1211),
  [9896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3128),
  [9898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(317),
  [9900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4452),
  [9902] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_field, 3, 0, 0),
  [9904] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_default_type, 3, 0, 0),
  [9906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5455),
  [9908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3480),
  [9910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4967),
  [9912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6641),
  [9914] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_in_expression, 4, 0, 0),
  [9916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5236),
  [9918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3400),
  [9920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5131),
  [9922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2449),
  [9924] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 7, 0, 0),
  [9926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5490),
  [9928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2713),
  [9930] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 8, 0, 0),
  [9932] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 9, 0, 0),
  [9934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3275),
  [9936] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_default_parameter, 4, 0, 0),
  [9938] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_attributes_repeat1, 2, 0, 0),
  [9940] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attributes_repeat1, 2, 0, 0),
  [9942] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributes_repeat1, 2, 0, 0), SHIFT_REPEAT(7772),
  [9945] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_default_parameter, 3, 0, 0),
  [9947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5227),
  [9949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4229),
  [9951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5226),
  [9953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3635),
  [9955] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_in_expression, 2, 0, 0),
  [9957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5014),
  [9959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(717),
  [9961] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_call_expression_repeat1, 4, 0, 14),
  [9963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6441),
  [9965] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 6, 0, 0),
  [9967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5280),
  [9969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2811),
  [9971] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 10, 0, 0),
  [9973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5120),
  [9975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2189),
  [9977] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 11, 0, 0),
  [9979] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attributes, 1, 0, 0),
  [9981] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attributes, 1, 0, 0),
  [9983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5283),
  [9985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2109),
  [9987] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_switch_case_repeat1, 2, 0, 29),
  [9989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5347),
  [9991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3717),
  [9993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5415),
  [9995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3181),
  [9997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5249),
  [9999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4091),
  [10001] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 5, 0, 0),
  [10003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5006),
  [10005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2295),
  [10007] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_declaration_repeat1, 4, 0, 0),
  [10009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2517),
  [10011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5421),
  [10013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8336),
  [10015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(898),
  [10017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3563),
  [10019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(930),
  [10021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5203),
  [10023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5386),
  [10025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3921),
  [10027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3933),
  [10029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5282),
  [10031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3946),
  [10033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2071),
  [10035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4448),
  [10037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3918),
  [10039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3562),
  [10041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5004),
  [10043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1403),
  [10045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1408),
  [10047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6947),
  [10049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5075),
  [10051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3566),
  [10053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5127),
  [10055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5138),
  [10057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5316),
  [10059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1471),
  [10061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5343),
  [10063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1473),
  [10065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(955),
  [10067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4420),
  [10069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5208),
  [10071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3146),
  [10073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5125),
  [10075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5252),
  [10077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4964),
  [10079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2115),
  [10081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4347),
  [10083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4354),
  [10085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(939),
  [10087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5311),
  [10089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4991),
  [10091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5051),
  [10093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6082),
  [10095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5238),
  [10097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1436),
  [10099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2132),
  [10101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2133),
  [10103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1437),
  [10105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5339),
  [10107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5134),
  [10109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3148),
  [10111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1986),
  [10113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(917),
  [10115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1996),
  [10117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1071),
  [10119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5268),
  [10121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4983),
  [10123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4999),
  [10125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5117),
  [10127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1906),
  [10129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2269),
  [10131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5269),
  [10133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5044),
  [10135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1590),
  [10137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1591),
  [10139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5397),
  [10141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1907),
  [10143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5094),
  [10145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3753),
  [10147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2302),
  [10149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5476),
  [10151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5377),
  [10153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5105),
  [10155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8298),
  [10157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2318),
  [10159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2319),
  [10161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5439),
  [10163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2526),
  [10165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8046),
  [10167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(929),
  [10169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1068),
  [10171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4984),
  [10173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5278),
  [10175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1895),
  [10177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1896),
  [10179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6066),
  [10181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6982),
  [10183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2598),
  [10185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5161),
  [10187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1140),
  [10189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3871),
  [10191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3231),
  [10193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2518),
  [10195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1513),
  [10197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5029),
  [10199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4206),
  [10201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5380),
  [10203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1498),
  [10205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1501),
  [10207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5321),
  [10209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1751),
  [10211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1752),
  [10213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1774),
  [10215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1775),
  [10217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4238),
  [10219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1797),
  [10221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1798),
  [10223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6070),
  [10225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3827),
  [10227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1819),
  [10229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1820),
  [10231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4995),
  [10233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5328),
  [10235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4272),
  [10237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4273),
  [10239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5056),
  [10241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(962),
  [10243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3852),
  [10245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8113),
  [10247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(938),
  [10249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5464),
  [10251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6068),
  [10253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5417),
  [10255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2767),
  [10257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1153),
  [10259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1875),
  [10261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1876),
  [10263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(947),
  [10265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1548),
  [10267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1549),
  [10269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8050),
  [10271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(946),
  [10273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5010),
  [10275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6075),
  [10277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(970),
  [10279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8180),
  [10281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(954),
  [10283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5136),
  [10285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6074),
  [10287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(976),
  [10289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8214),
  [10291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(961),
  [10293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5239),
  [10295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6085),
  [10297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(988),
  [10299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8073),
  [10301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(969),
  [10303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5287),
  [10305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6071),
  [10307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1000),
  [10309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8147),
  [10311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(975),
  [10313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5357),
  [10315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6065),
  [10317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1006),
  [10319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2817),
  [10321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8230),
  [10323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(981),
  [10325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5425),
  [10327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6067),
  [10329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1012),
  [10331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8462),
  [10333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(987),
  [10335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5041),
  [10337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6072),
  [10339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(994),
  [10341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8165),
  [10343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(993),
  [10345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5369),
  [10347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6077),
  [10349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(982),
  [10351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8354),
  [10353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(999),
  [10355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5288),
  [10357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6083),
  [10359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1018),
  [10361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5047),
  [10363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1005),
  [10365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5021),
  [10367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1102),
  [10369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1011),
  [10371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5132),
  [10373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1022),
  [10375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5259),
  [10377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1026),
  [10379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1034),
  [10381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1038),
  [10383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1042),
  [10385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1030),
  [10387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1046),
  [10389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1050),
  [10391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1054),
  [10393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2834),
  [10395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5072),
  [10397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2835),
  [10399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1711),
  [10401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1712),
  [10403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1166),
  [10405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5209),
  [10407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1454),
  [10409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2885),
  [10411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5281),
  [10413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1515),
  [10415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1942),
  [10417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1944),
  [10419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1938),
  [10421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1939),
  [10423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5306),
  [10425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2910),
  [10427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5353),
  [10429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1100),
  [10431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5445),
  [10433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5326),
  [10435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2922),
  [10437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2923),
  [10439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1155),
  [10441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1154),
  [10443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1156),
  [10445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5092),
  [10447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3511),
  [10449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5098),
  [10451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5158),
  [10453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5163),
  [10455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5168),
  [10457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5171),
  [10459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5174),
  [10461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5177),
  [10463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5180),
  [10465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5184),
  [10467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5188),
  [10469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5192),
  [10471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3197),
  [10473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5196),
  [10475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5200),
  [10477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1404),
  [10479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1405),
  [10481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5472),
  [10483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2017),
  [10485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1195),
  [10487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2025),
  [10489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2026),
  [10491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2027),
  [10493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2028),
  [10495] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute, 2, 0, 0),
  [10497] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 2, 0, 0),
  [10499] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute, 7, 0, 0),
  [10501] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 7, 0, 0),
  [10503] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute, 6, 0, 0),
  [10505] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 6, 0, 0),
  [10507] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute, 5, 0, 0),
  [10509] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 5, 0, 0),
  [10511] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute, 4, 0, 0),
  [10513] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 4, 0, 0),
  [10515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6879),
  [10517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8403),
  [10519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8410),
  [10521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6566),
  [10523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6464),
  [10525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6874),
  [10527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8544),
  [10529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8557),
  [10531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6994),
  [10533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8548),
  [10535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8559),
  [10537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6941),
  [10539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8537),
  [10541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8555),
  [10543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6912),
  [10545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8542),
  [10547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8556),
  [10549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6927),
  [10551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8546),
  [10553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8558),
  [10555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(496),
  [10557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1468),
  [10559] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_overloaded_procedure_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(2020),
  [10562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2012),
  [10564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1665),
  [10566] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_overloaded_procedure_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1851),
  [10569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4684),
  [10571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1900),
  [10573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4877),
  [10575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4680),
  [10577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4869),
  [10579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6478),
  [10581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6247),
  [10583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2242),
  [10585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6322),
  [10587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(589),
  [10589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5253),
  [10591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6202),
  [10593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(799),
  [10595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2238),
  [10597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5129),
  [10599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6103),
  [10601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6107),
  [10603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5077),
  [10605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8123),
  [10607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5334),
  [10609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8456),
  [10611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6108),
  [10613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2244),
  [10615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6114),
  [10617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(792),
  [10619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6117),
  [10621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6118),
  [10623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3125),
  [10625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1432),
  [10627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3164),
  [10629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3443),
  [10631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2732),
  [10633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2669),
  [10635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3524),
  [10637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3535),
  [10639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2744),
  [10641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3135),
  [10643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(787),
  [10645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4925),
  [10647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1978),
  [10649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4936),
  [10651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4807),
  [10653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1634),
  [10655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4774),
  [10657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4625),
  [10659] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_where_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(1916),
  [10662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4781),
  [10664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4817),
  [10666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5175),
  [10668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6146),
  [10670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6150),
  [10672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6138),
  [10674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4733),
  [10676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6172),
  [10678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6157),
  [10680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6171),
  [10682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6229),
  [10684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5333),
  [10686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6181),
  [10688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6180),
  [10690] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_where_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(1998),
  [10693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6160),
  [10695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5365),
  [10697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8538),
  [10699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6175),
  [10701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6185),
  [10703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6080),
  [10705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6186),
  [10707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6261),
  [10709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6225),
  [10711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4747),
  [10713] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_where_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(1947),
  [10716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4787),
  [10718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4766),
  [10720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1853),
  [10722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4767),
  [10724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1271),
  [10726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8388),
  [10728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6119),
  [10730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6518),
  [10732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6217),
  [10734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6321),
  [10736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(607),
  [10738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8101),
  [10740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6076),
  [10742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5322),
  [10744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1262),
  [10746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5011),
  [10748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6210),
  [10750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6123),
  [10752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4890),
  [10754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1748),
  [10756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6513),
  [10758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6290),
  [10760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6642),
  [10762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6292),
  [10764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6129),
  [10766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6097),
  [10768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4852),
  [10770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1708),
  [10772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6122),
  [10774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4824),
  [10776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4828),
  [10778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4973),
  [10780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6209),
  [10782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6446),
  [10784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4935),
  [10786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6079),
  [10788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4896),
  [10790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4738),
  [10792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5300),
  [10794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6207),
  [10796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4743),
  [10798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4857),
  [10800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4921),
  [10802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6281),
  [10804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4791),
  [10806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4954),
  [10808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6283),
  [10810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4794),
  [10812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6282),
  [10814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6291),
  [10816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4951),
  [10818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6298),
  [10820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6294),
  [10822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6571),
  [10824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6732),
  [10826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6295),
  [10828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6301),
  [10830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6302),
  [10832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6275),
  [10834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6312),
  [10836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6316),
  [10838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6318),
  [10840] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_where_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(1854),
  [10843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6273),
  [10845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6276),
  [10847] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_where_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(1832),
  [10850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6332),
  [10852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5256),
  [10854] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_where_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(1720),
  [10857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6328),
  [10859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6331),
  [10861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5121),
  [10863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1905),
  [10865] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_declaration, 7, 0, 0),
  [10867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(752),
  [10869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1500),
  [10871] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_var_declaration, 4, 0, 0),
  [10873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1560),
  [10875] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field, 6, 0, 0),
  [10877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5470),
  [10879] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_var_declaration, 3, 0, 0),
  [10881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1462),
  [10883] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_when_statement, 3, 0, 0),
  [10885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7634),
  [10887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4997),
  [10889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1399),
  [10891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5315),
  [10893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8467),
  [10895] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field, 4, 0, 0),
  [10897] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_member, 4, 0, 0),
  [10899] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_when_statement, 4, 0, 0),
  [10901] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_member, 3, 0, 0),
  [10903] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field, 7, 0, 0),
  [10905] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_member, 5, 0, 0),
  [10907] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field, 5, 0, 0),
  [10909] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_const_declaration_repeat1, 3, 0, 0),
  [10911] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_member, 6, 0, 0),
  [10913] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field, 3, 0, 0),
  [10915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7766),
  [10917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8144),
  [10919] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variable_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(830),
  [10922] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, 0, 22),
  [10924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7607),
  [10926] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_const_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(493),
  [10929] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, 0, 32),
  [10931] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 7, 0, 61),
  [10933] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_when_statement_repeat1, 2, 0, 0),
  [10935] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_when_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8178),
  [10938] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_var_declaration, 9, 0, 0),
  [10940] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 6, 0, 46),
  [10942] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 6, 0, 32),
  [10944] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 6, 0, 33),
  [10946] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 6, 0, 47),
  [10948] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 6, 0, 48),
  [10950] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 7, 0, 47),
  [10952] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 6, 0, 34),
  [10954] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 8, 0, 61),
  [10956] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, 0, 34),
  [10958] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, 0, 23),
  [10960] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, 0, 11),
  [10962] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_overloaded_procedure_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1393),
  [10965] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 7, 0, 48),
  [10967] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 3, 0, 11),
  [10969] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_declaration, 8, 0, 0),
  [10971] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, 0, 22),
  [10973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(448),
  [10975] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, 0, 33),
  [10977] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, 0, 23),
  [10979] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_return_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(641),
  [10982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1204),
  [10984] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 7, 0, 46),
  [10986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6219),
  [10988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1940),
  [10990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5081),
  [10992] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 2, 0, 0),
  [10994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6763),
  [10996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1488),
  [10998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7841),
  [11000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6680),
  [11002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5025),
  [11004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6598),
  [11006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6755),
  [11008] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_overloaded_procedure_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1688),
  [11011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8104),
  [11013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6062),
  [11015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8144),
  [11017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(760),
  [11019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6548),
  [11021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6804),
  [11023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1561),
  [11025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6526),
  [11027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6651),
  [11029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1463),
  [11031] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 0),
  [11033] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8135),
  [11036] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_statement, 8, 0, 0),
  [11038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6679),
  [11040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1884),
  [11042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5460),
  [11044] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 1, 0, 0),
  [11046] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_statement, 5, 0, 0),
  [11048] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_declaration, 5, 0, 0),
  [11050] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 12, 0, 0),
  [11052] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_case, 5, 0, 29),
  [11054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(39),
  [11056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7548),
  [11058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7409),
  [11060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1676),
  [11062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5489),
  [11064] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_declaration, 6, 0, 3),
  [11066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6542),
  [11068] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 6, 0, 0),
  [11070] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_foreign_block, 3, 0, 0),
  [11072] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_declaration, 3, 0, 3),
  [11074] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_case, 3, 0, 0),
  [11076] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_foreign_block, 2, 0, 0),
  [11078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7707),
  [11080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1682),
  [11082] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_overloaded_procedure_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1575),
  [11085] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure_declaration, 3, 0, 0),
  [11087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4516),
  [11089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3459),
  [11091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1971),
  [11093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5054),
  [11095] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_case, 4, 0, 0),
  [11097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6549),
  [11099] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_declaration, 9, 0, 18),
  [11101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4538),
  [11103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3706),
  [11105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1991),
  [11107] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_declaration, 7, 0, 0),
  [11109] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_case, 4, 0, 29),
  [11111] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_when_clause, 4, 0, 0),
  [11113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(502),
  [11115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5412),
  [11117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6817),
  [11119] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_declaration, 3, 0, 0),
  [11121] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure_declaration, 5, 0, 0),
  [11123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4960),
  [11125] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 3, 0, 0),
  [11127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6725),
  [11129] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 1, 0, 0),
  [11131] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 1, 0, 0),
  [11133] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause, 2, 0, 7),
  [11135] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_when_statement, 5, 0, 0),
  [11137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5081),
  [11139] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_declaration, 7, 0, 8),
  [11141] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0),
  [11143] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 2, 0, 0), SHIFT_REPEAT(39),
  [11146] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 13, 0, 0),
  [11148] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_declaration, 5, 0, 18),
  [11150] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_case, 5, 0, 56),
  [11152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6759),
  [11154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6538),
  [11156] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_foreign_block, 4, 0, 0),
  [11158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6593),
  [11160] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_declaration, 9, 0, 0),
  [11162] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_declaration, 7, 0, 18),
  [11164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7405),
  [11166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1721),
  [11168] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_overloaded_procedure_declaration, 5, 0, 0),
  [11170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6595),
  [11172] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_declaration, 4, 0, 8),
  [11174] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_declaration, 10, 0, 0),
  [11176] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_declaration, 8, 0, 8),
  [11178] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 8, 0, 0),
  [11180] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_overloaded_procedure_declaration, 6, 0, 0),
  [11182] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_declaration, 7, 0, 3),
  [11184] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_declaration, 6, 0, 0),
  [11186] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_overloaded_procedure_declaration, 7, 0, 0),
  [11188] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_declaration, 5, 0, 0),
  [11190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6761),
  [11192] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_declaration, 5, 0, 0),
  [11194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6735),
  [11196] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_declaration, 6, 0, 0),
  [11198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7660),
  [11200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1594),
  [11202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4509),
  [11204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2284),
  [11206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1975),
  [11208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4511),
  [11210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4115),
  [11212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2013),
  [11214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6573),
  [11216] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_declaration, 9, 0, 0),
  [11218] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_declaration, 7, 0, 0),
  [11220] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 7, 0, 0),
  [11222] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_declaration, 4, 0, 0),
  [11224] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_case, 7, 0, 56),
  [11226] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_declaration, 10, 0, 0),
  [11228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7668),
  [11230] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 4, 0, 0),
  [11232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1837),
  [11234] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure_declaration, 4, 0, 0),
  [11236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4551),
  [11238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2456),
  [11240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1979),
  [11242] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attribute_repeat1, 4, 0, 0),
  [11244] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_declaration, 5, 0, 3),
  [11246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6486),
  [11248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7314),
  [11250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1831),
  [11252] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_declaration, 11, 0, 0),
  [11254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5488),
  [11256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4491),
  [11258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2794),
  [11260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1987),
  [11262] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_declaration, 6, 0, 0),
  [11264] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_declaration, 7, 0, 0),
  [11266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6758),
  [11268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4517),
  [11270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2098),
  [11272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2007),
  [11274] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_case, 6, 0, 29),
  [11276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4530),
  [11278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4204),
  [11280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1983),
  [11282] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_case, 6, 0, 56),
  [11284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6847),
  [11286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6774),
  [11288] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 5, 0, 0),
  [11290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6505),
  [11292] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_declaration, 6, 0, 8),
  [11294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6519),
  [11296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4550),
  [11298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3502),
  [11300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2003),
  [11302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4507),
  [11304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(711),
  [11306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2009),
  [11308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4498),
  [11310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2183),
  [11312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2011),
  [11314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4524),
  [11316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3116),
  [11318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1995),
  [11320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4522),
  [11322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3337),
  [11324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1910),
  [11326] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_declaration, 8, 0, 0),
  [11328] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_declaration, 8, 0, 18),
  [11330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6503),
  [11332] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 10, 0, 0),
  [11334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6632),
  [11336] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 11, 0, 0),
  [11338] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_overloaded_procedure_declaration, 8, 0, 0),
  [11340] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_overloaded_procedure_declaration, 9, 0, 0),
  [11342] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_declaration, 8, 0, 0),
  [11344] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_declaration, 2, 0, 0),
  [11346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6722),
  [11348] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 1, 0, 0),
  [11350] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 1, 0, 0),
  [11352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4521),
  [11354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2702),
  [11356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1999),
  [11358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4500),
  [11360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3709),
  [11362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1402),
  [11364] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_declaration, 8, 0, 0),
  [11366] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_declaration, 11, 0, 0),
  [11368] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_case, 5, 0, 0),
  [11370] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_declaration, 12, 0, 0),
  [11372] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 9, 0, 0),
  [11374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2255),
  [11376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7579),
  [11378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3150),
  [11380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8454),
  [11382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2042),
  [11384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3478),
  [11386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4801),
  [11388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2681),
  [11390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2459),
  [11392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3486),
  [11394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3523),
  [11396] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_if_clause, 4, 0, 22),
  [11398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3356),
  [11400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7488),
  [11402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6623),
  [11404] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8290),
  [11406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7799),
  [11408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3699),
  [11410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4809),
  [11412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1664),
  [11414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1221),
  [11416] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_parameter_repeat1, 2, 0, 0),
  [11418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3386),
  [11420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4912),
  [11422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1094),
  [11424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1133),
  [11426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7898),
  [11428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7386),
  [11430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3644),
  [11432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(715),
  [11434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4664),
  [11436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(719),
  [11438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1144),
  [11440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3360),
  [11442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6558),
  [11444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6772),
  [11446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4175),
  [11448] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 62),
  [11450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2448),
  [11452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4775),
  [11454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4186),
  [11456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2293),
  [11458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4686),
  [11460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(501),
  [11462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2181),
  [11464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2297),
  [11466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4223),
  [11468] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 63),
  [11470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2184),
  [11472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3307),
  [11474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2187),
  [11476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4708),
  [11478] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 64),
  [11480] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 65),
  [11482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6537),
  [11484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2190),
  [11486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6547),
  [11488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7499),
  [11490] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_struct_declaration_repeat1, 1, 0, 0),
  [11492] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_struct_declaration_repeat1, 1, 0, 0),
  [11494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7499),
  [11496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2191),
  [11498] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, 0, 11),
  [11500] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 5, 0, 35),
  [11502] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 5, 0, 36),
  [11504] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 5, 0, 37),
  [11506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4026),
  [11508] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 5, 0, 38),
  [11510] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 5, 0, 33),
  [11512] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 5, 0, 39),
  [11514] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 5, 0, 40),
  [11516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2376),
  [11518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4030),
  [11520] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 5, 0, 34),
  [11522] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 5, 0, 41),
  [11524] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 5, 0, 42),
  [11526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4037),
  [11528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(922),
  [11530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4071),
  [11532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4792),
  [11534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2254),
  [11536] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_defer_statement, 2, 0, 0),
  [11538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4022),
  [11540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2444),
  [11542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4891),
  [11544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4099),
  [11546] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_statement, 5, 0, 43),
  [11548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2450),
  [11550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3221),
  [11552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6084),
  [11554] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_statement, 5, 0, 29),
  [11556] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 2, 0, 0),
  [11558] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 8, 0, 46),
  [11560] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 2, 0, 0),
  [11562] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 8, 0, 47),
  [11564] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 8, 0, 48),
  [11566] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_if_clause, 5, 0, 32),
  [11568] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 67),
  [11570] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 7, 0, 32),
  [11572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3489),
  [11574] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_parameter_repeat1, 3, 0, 0),
  [11576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2507),
  [11578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2740),
  [11580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3622),
  [11582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2458),
  [11584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4218),
  [11586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4682),
  [11588] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_statement, 7, 0, 58),
  [11590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4232),
  [11592] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_statement, 8, 0, 66),
  [11594] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_statement, 7, 0, 66),
  [11596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2677),
  [11598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2452),
  [11600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3461),
  [11602] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 3, 0, 12),
  [11604] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_statement, 7, 0, 59),
  [11606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2110),
  [11608] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 3, 0, 13),
  [11610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3398),
  [11612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4941),
  [11614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2038),
  [11616] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 3, 0, 11),
  [11618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3401),
  [11620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6543),
  [11622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6655),
  [11624] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 7, 0, 33),
  [11626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6605),
  [11628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2739),
  [11630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3074),
  [11632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3596),
  [11634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4624),
  [11636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2741),
  [11638] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 2, 0, 7),
  [11640] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tagged_block, 2, 0, 0),
  [11642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2809),
  [11644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4732),
  [11646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2812),
  [11648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2745),
  [11650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3667),
  [11652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2679),
  [11654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6570),
  [11656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4610),
  [11658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3410),
  [11660] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 6, 0, 22),
  [11662] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 6, 0, 23),
  [11664] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 7, 0, 34),
  [11666] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 6, 0, 49),
  [11668] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 6, 0, 50),
  [11670] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 6, 0, 51),
  [11672] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 6, 0, 52),
  [11674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3640),
  [11676] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 6, 0, 53),
  [11678] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 6, 0, 54),
  [11680] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 9, 0, 61),
  [11682] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 6, 0, 48),
  [11684] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 6, 0, 55),
  [11686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5332),
  [11688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3629),
  [11690] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_if_clause, 6, 0, 68),
  [11692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3572),
  [11694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2711),
  [11696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4881),
  [11698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1742),
  [11700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3639),
  [11702] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_statement, 6, 0, 43),
  [11704] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_statement, 6, 0, 44),
  [11706] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 4, 0, 24),
  [11708] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_statement, 6, 0, 59),
  [11710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3715),
  [11712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4784),
  [11714] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 4, 0, 25),
  [11716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1980),
  [11718] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 4, 0, 26),
  [11720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3718),
  [11722] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 4, 0, 22),
  [11724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2037),
  [11726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3653),
  [11728] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_label_statement, 3, 0, 0),
  [11730] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 4, 0, 27),
  [11732] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 4, 0, 28),
  [11734] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 4, 0, 23),
  [11736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3319),
  [11738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3442),
  [11740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2715),
  [11742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7356),
  [11744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2039),
  [11746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3201),
  [11748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2220),
  [11750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(918),
  [11752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2107),
  [11754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4739),
  [11756] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_statement, 4, 0, 0),
  [11758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3210),
  [11760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4713),
  [11762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6530),
  [11764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3161),
  [11766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4830),
  [11768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3463),
  [11770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3209),
  [11772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1435),
  [11774] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_statement, 4, 0, 29),
  [11776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7698),
  [11778] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_polymorphic_parameters_repeat2, 5, 0, 0),
  [11780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1475),
  [11782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(174),
  [11784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3476),
  [11786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7791),
  [11788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1477),
  [11790] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_union_declaration_repeat1, 2, 0, 0),
  [11792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1429),
  [11794] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_polymorphic_type_repeat1, 2, 0, 0),
  [11796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1448),
  [11798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1956),
  [11800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1478),
  [11802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(879),
  [11804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7810),
  [11806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3397),
  [11808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7784),
  [11810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1597),
  [11812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2605),
  [11814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6883),
  [11816] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [11818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3929),
  [11820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7030),
  [11822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6559),
  [11824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7774),
  [11826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1716),
  [11828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4742),
  [11830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8539),
  [11832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2536),
  [11834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2264),
  [11836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6887),
  [11838] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__simple_assignment_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(1961),
  [11841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2275),
  [11843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3490),
  [11845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7022),
  [11847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1520),
  [11849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6849),
  [11851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(596),
  [11853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1598),
  [11855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2762),
  [11857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6898),
  [11859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2771),
  [11861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1580),
  [11863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3641),
  [11865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7770),
  [11867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1936),
  [11869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1505),
  [11871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(36),
  [11873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6860),
  [11875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4120),
  [11877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7899),
  [11879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1638),
  [11881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(865),
  [11883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7803),
  [11885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1490),
  [11887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1459),
  [11889] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_identifier, 2, 0, 0),
  [11891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2808),
  [11893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7826),
  [11895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1537),
  [11897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1538),
  [11899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2443),
  [11901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7932),
  [11903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1507),
  [11905] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_polymorphic_parameters_repeat2, 4, 0, 0),
  [11907] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_struct_declaration_repeat1, 2, 0, 0),
  [11909] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_struct_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(6680),
  [11912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(893),
  [11914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7816),
  [11916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6488),
  [11918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7771),
  [11920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1397),
  [11922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2292),
  [11924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7781),
  [11926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1492),
  [11928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6823),
  [11930] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_polymorphic_parameters_repeat2, 6, 0, 0),
  [11932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3927),
  [11934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6978),
  [11936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1508),
  [11938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5460),
  [11940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1456),
  [11942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [11944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(852),
  [11946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7802),
  [11948] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_parameter_repeat1, 2, 0, 0), SHIFT_REPEAT(6219),
  [11951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6824),
  [11953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3384),
  [11955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7842),
  [11957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1458),
  [11959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6826),
  [11961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(26),
  [11963] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_field_identifier_repeat1, 2, 0, 0),
  [11965] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_field_identifier_repeat1, 2, 0, 0), SHIFT_REPEAT(8144),
  [11968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4919),
  [11970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8517),
  [11972] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_tuple_type_repeat1, 2, 0, 0),
  [11974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1493),
  [11976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2878),
  [11978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6964),
  [11980] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_source_file, 2, 0, 0),
  [11982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5528),
  [11984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(964),
  [11986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6984),
  [11988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2066),
  [11990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6989),
  [11992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1595),
  [11994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2889),
  [11996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7871),
  [11998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(754),
  [12000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1480),
  [12002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1613),
  [12004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2710),
  [12006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7782),
  [12008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1582),
  [12010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(120),
  [12012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3757),
  [12014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6740),
  [12016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6073),
  [12018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6064),
  [12020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6744),
  [12022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1610),
  [12024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1072),
  [12026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7800),
  [12028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6471),
  [12030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6751),
  [12032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2075),
  [12034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3714),
  [12036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7880),
  [12038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1552),
  [12040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4156),
  [12042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7000),
  [12044] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_assignment_statement, 6, 0, 0),
  [12046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(906),
  [12048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7822),
  [12050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(121),
  [12052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1553),
  [12054] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_overloaded_procedure_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(1487),
  [12057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4157),
  [12059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4384),
  [12061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7008),
  [12063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1565),
  [12065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4364),
  [12067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1550),
  [12069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5393),
  [12071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3179),
  [12073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7020),
  [12075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3214),
  [12077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3567),
  [12079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2106),
  [12081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7813),
  [12083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1612),
  [12085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2186),
  [12087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7878),
  [12089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1631),
  [12091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1065),
  [12093] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__string_literal_repeat1, 2, 0, 0),
  [12095] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__string_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(7030),
  [12098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1583),
  [12100] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_switch_statement_repeat1, 2, 0, 0),
  [12102] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(596),
  [12105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1675),
  [12107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6713),
  [12109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4217),
  [12111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7875),
  [12113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1522),
  [12115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1535),
  [12117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3160),
  [12119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7773),
  [12121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1567),
  [12123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3859),
  [12125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6878),
  [12127] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__struct_members, 3, 0, 0),
  [12129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(714),
  [12131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7931),
  [12133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1622),
  [12135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1523),
  [12137] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__struct_members, 2, 0, 0),
  [12139] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_block_repeat1, 3, 0, 0),
  [12141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6720),
  [12143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6743),
  [12145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1568),
  [12147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5023),
  [12149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(430),
  [12151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2112),
  [12153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(726),
  [12155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1578),
  [12157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(896),
  [12159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5093),
  [12161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2125),
  [12163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(788),
  [12165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5122),
  [12167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(897),
  [12169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7940),
  [12171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5290),
  [12173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(797),
  [12175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(731),
  [12177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(732),
  [12179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7786),
  [12181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(733),
  [12183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(782),
  [12185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5133),
  [12187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7934),
  [12189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5320),
  [12191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6111),
  [12193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(790),
  [12195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(761),
  [12197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1218),
  [12199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5342),
  [12201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7953),
  [12203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8256),
  [12205] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_map_repeat1, 2, 0, 0),
  [12207] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_map_repeat1, 2, 0, 0), SHIFT_REPEAT(1723),
  [12210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(909),
  [12212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5216),
  [12214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(434),
  [12216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2130),
  [12218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(435),
  [12220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2131),
  [12222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(910),
  [12224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3527),
  [12226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7855),
  [12228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4518),
  [12230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5009),
  [12232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5491),
  [12234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(887),
  [12236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(323),
  [12238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2299),
  [12240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(324),
  [12242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2300),
  [12244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5359),
  [12246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4813),
  [12248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(802),
  [12250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2725),
  [12252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7103),
  [12254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5233),
  [12256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4956),
  [12258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7811),
  [12260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8483),
  [12262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7809),
  [12264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(914),
  [12266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6096),
  [12268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(411),
  [12270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3409),
  [12272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5371),
  [12274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6771),
  [12276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(803),
  [12278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(757),
  [12280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2306),
  [12282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7857),
  [12284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4694),
  [12286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3532),
  [12288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2311),
  [12290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1219),
  [12292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(327),
  [12294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2316),
  [12296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(282),
  [12298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2317),
  [12300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3880),
  [12302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1317),
  [12304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4501),
  [12306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(328),
  [12308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4249),
  [12310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(329),
  [12312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4250),
  [12314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(330),
  [12316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4251),
  [12318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5442),
  [12320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(397),
  [12322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3141),
  [12324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(806),
  [12326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(311),
  [12328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4336),
  [12330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5103),
  [12332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2326),
  [12334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6121),
  [12336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(331),
  [12338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2328),
  [12340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(312),
  [12342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4340),
  [12344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(890),
  [12346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3421),
  [12348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2193),
  [12350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7759),
  [12352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(808),
  [12354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2333),
  [12356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2334),
  [12358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7930),
  [12360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2335),
  [12362] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_struct_type_repeat1, 2, 0, 0),
  [12364] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_struct_type_repeat1, 2, 0, 0), SHIFT_REPEAT(7548),
  [12367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4736),
  [12369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(333),
  [12371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2338),
  [12373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2726),
  [12375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7830),
  [12377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(401),
  [12379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3088),
  [12381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(809),
  [12383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2343),
  [12385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1322),
  [12387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2727),
  [12389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1324),
  [12391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(313),
  [12393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2631),
  [12395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1325),
  [12397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2196),
  [12399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(314),
  [12401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2642),
  [12403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6790),
  [12405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1951),
  [12407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2201),
  [12409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2204),
  [12411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7769),
  [12413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2205),
  [12415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(413),
  [12417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3424),
  [12419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(800),
  [12421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(315),
  [12423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2643),
  [12425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2606),
  [12427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7182),
  [12429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(812),
  [12431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(398),
  [12433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3144),
  [12435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(762),
  [12437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3624),
  [12439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7856),
  [12441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2141),
  [12443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2717),
  [12445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7917),
  [12447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(436),
  [12449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2143),
  [12451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8062),
  [12453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(70),
  [12455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2537),
  [12457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7600),
  [12459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(451),
  [12461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2420),
  [12463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(71),
  [12465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(874),
  [12467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(813),
  [12469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6560),
  [12471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6501),
  [12473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7045),
  [12475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(784),
  [12477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1890),
  [12479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8094),
  [12481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4740),
  [12483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(915),
  [12485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3343),
  [12487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7818),
  [12489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1227),
  [12491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2148),
  [12493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6527),
  [12495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4688),
  [12497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(891),
  [12499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2149),
  [12501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7906),
  [12503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2150),
  [12505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3541),
  [12507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4548),
  [12509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6095),
  [12511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2240),
  [12513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(316),
  [12515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4390),
  [12517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4515),
  [12519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5111),
  [12521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3433),
  [12523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1228),
  [12525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6128),
  [12527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3086),
  [12529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4904),
  [12531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(43),
  [12533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(44),
  [12535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3522),
  [12537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7326),
  [12539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6481),
  [12541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7819),
  [12543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(438),
  [12545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2153),
  [12547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5027),
  [12549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5223),
  [12551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(880),
  [12553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4536),
  [12555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5265),
  [12557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4895),
  [12559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(338),
  [12561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2595),
  [12563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(339),
  [12565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2596),
  [12567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(911),
  [12569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1230),
  [12571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(816),
  [12573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4080),
  [12575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7936),
  [12577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3348),
  [12579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4804),
  [12581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6109),
  [12583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1231),
  [12585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(916),
  [12587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6060),
  [12589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2158),
  [12591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1257),
  [12593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(817),
  [12595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4083),
  [12597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2469),
  [12599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7767),
  [12601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4617),
  [12603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(924),
  [12605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(814),
  [12607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4089),
  [12609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2488),
  [12611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4093),
  [12613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7865),
  [12615] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_declaration, 2, 0, 0),
  [12617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4094),
  [12619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(342),
  [12621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2614),
  [12623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(343),
  [12625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2516),
  [12627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5076),
  [12629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(344),
  [12631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4399),
  [12633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(345),
  [12635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4401),
  [12637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(294),
  [12639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3794),
  [12641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(346),
  [12643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4402),
  [12645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(295),
  [12647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3804),
  [12649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(785),
  [12651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(819),
  [12653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4412),
  [12655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(965),
  [12657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7298),
  [12659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3544),
  [12661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7812),
  [12663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(296),
  [12665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4280),
  [12667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2509),
  [12669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(894),
  [12671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(347),
  [12673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2531),
  [12675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(297),
  [12677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4284),
  [12679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3545),
  [12681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(298),
  [12683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4288),
  [12685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3045),
  [12687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7794),
  [12689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(820),
  [12691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2540),
  [12693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2441),
  [12695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7788),
  [12697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2442),
  [12699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(815),
  [12701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(349),
  [12703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2545),
  [12705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(821),
  [12707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2549),
  [12709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1334),
  [12711] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_tuple_type_repeat1, 2, 0, 0), SHIFT_REPEAT(4565),
  [12714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5482),
  [12716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(873),
  [12718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1336),
  [12720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(318),
  [12722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4418),
  [12724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1337),
  [12726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(764),
  [12728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(779),
  [12730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1073),
  [12732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4199),
  [12734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7307),
  [12736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(826),
  [12738] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_struct_repeat2, 2, 0, 0),
  [12740] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_struct_repeat2, 2, 0, 0), SHIFT_REPEAT(1361),
  [12743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5248),
  [12745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(786),
  [12747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(895),
  [12749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4158),
  [12751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1259),
  [12753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(827),
  [12755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1240),
  [12757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4318),
  [12759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1283),
  [12761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1495),
  [12763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1260),
  [12765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1833),
  [12767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3318),
  [12769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2722),
  [12771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(299),
  [12773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3906),
  [12775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3568),
  [12777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1285),
  [12779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3651),
  [12781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1617),
  [12783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1199),
  [12785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4537),
  [12787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5013),
  [12789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1750),
  [12791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5230),
  [12793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1773),
  [12795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(354),
  [12797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4234),
  [12799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(355),
  [12801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4235),
  [12803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1525),
  [12805] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_call_expression_repeat1, 2, 0, 16), SHIFT_REPEAT(470),
  [12808] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_call_expression_repeat1, 2, 0, 16),
  [12810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(720),
  [12812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(832),
  [12814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(912),
  [12816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1796),
  [12818] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_where_clause_repeat1, 2, 0, 0), SHIFT_REPEAT(1514),
  [12821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5285),
  [12823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(882),
  [12825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(765),
  [12827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3945),
  [12829] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_polymorphic_parameters, 7, 0, 0),
  [12831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3364),
  [12833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7891),
  [12835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3368),
  [12837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(829),
  [12839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3942),
  [12841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4953),
  [12843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(833),
  [12845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1818),
  [12847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(301),
  [12849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3863),
  [12851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4245),
  [12853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7912),
  [12855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3084),
  [12857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4698),
  [12859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1433),
  [12861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(287),
  [12863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3786),
  [12865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(302),
  [12867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3911),
  [12869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4254),
  [12871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6556),
  [12873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(81),
  [12875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(358),
  [12877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4267),
  [12879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [12881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4271),
  [12883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [12885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4579),
  [12887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(361),
  [12889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4584),
  [12891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5055),
  [12893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(362),
  [12895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4585),
  [12897] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_parameters_repeat1, 2, 0, 0), SHIFT_REPEAT(6139),
  [12900] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_parameters_repeat1, 2, 0, 0),
  [12902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(835),
  [12904] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_polymorphic_parameters, 5, 0, 0),
  [12906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(766),
  [12908] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_struct_repeat1, 2, 0, 0), SHIFT_REPEAT(7953),
  [12911] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_struct_repeat1, 2, 0, 0),
  [12913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4300),
  [12915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(363),
  [12917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4306),
  [12919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3633),
  [12921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7923),
  [12923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6584),
  [12925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4514),
  [12927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3642),
  [12929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4554),
  [12931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3948),
  [12933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1239),
  [12935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(836),
  [12937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4124),
  [12939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4125),
  [12941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7947),
  [12943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4126),
  [12945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5454),
  [12947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1728),
  [12949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8100),
  [12951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5210),
  [12953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8201),
  [12955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(365),
  [12957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4129),
  [12959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1246),
  [12961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(307),
  [12963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4405),
  [12965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1247),
  [12967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1256),
  [12969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(780),
  [12971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7481),
  [12973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(418),
  [12975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1137),
  [12977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4542),
  [12979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(837),
  [12981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4134),
  [12983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1352),
  [12985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(459),
  [12987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3733),
  [12989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1354),
  [12991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1673),
  [12993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1355),
  [12995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3930),
  [12997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(419),
  [12999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1138),
  [13001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6596),
  [13003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2763),
  [13005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7439),
  [13007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(841),
  [13009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(409),
  [13011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3557),
  [13013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(899),
  [13015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1281),
  [13017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1134),
  [13019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2772),
  [13021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4950),
  [13023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6853),
  [13025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(842),
  [13027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(843),
  [13029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1531),
  [13031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4972),
  [13033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(871),
  [13035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4841),
  [13037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4976),
  [13039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1874),
  [13041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(854),
  [13043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6567),
  [13045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6568),
  [13047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(900),
  [13049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1321),
  [13051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(844),
  [13053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8385),
  [13055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8043),
  [13057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3403),
  [13059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7817),
  [13061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4642),
  [13063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6063),
  [13065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(410),
  [13067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3561),
  [13069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8342),
  [13071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7975),
  [13073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1326),
  [13075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(308),
  [13077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4407),
  [13079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4495),
  [13081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4971),
  [13083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3406),
  [13085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8311),
  [13087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8445),
  [13089] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variable_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(751),
  [13092] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_polymorphic_parameters, 8, 0, 0),
  [13094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5221),
  [13096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(76),
  [13098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8128),
  [13100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7954),
  [13102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(422),
  [13104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1151),
  [13106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5273),
  [13108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5424),
  [13110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(369),
  [13112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2814),
  [13114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(370),
  [13116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2815),
  [13118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(423),
  [13120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1152),
  [13122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8153),
  [13124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8173),
  [13126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6670),
  [13128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5286),
  [13130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(845),
  [13132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8251),
  [13134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8288),
  [13136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(902),
  [13138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8474),
  [13140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8514),
  [13142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3042),
  [13144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(399),
  [13146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3046),
  [13148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5441),
  [13150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8406),
  [13152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7960),
  [13154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3418),
  [13156] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_struct_member_repeat1, 2, 0, 0), SHIFT_REPEAT(7940),
  [13159] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_struct_member_repeat1, 2, 0, 0),
  [13161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(846),
  [13163] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_field_repeat1, 2, 0, 0), SHIFT_REPEAT(7103),
  [13166] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_field_repeat1, 2, 0, 0),
  [13168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7995),
  [13170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8097),
  [13172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5363),
  [13174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(424),
  [13176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1178),
  [13178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6638),
  [13180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2824),
  [13182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7843),
  [13184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4741),
  [13186] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_struct_declaration_repeat2, 2, 0, 0),
  [13188] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_struct_declaration_repeat2, 2, 0, 0), SHIFT_REPEAT(6868),
  [13191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(903),
  [13193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1190),
  [13195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2827),
  [13197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3426),
  [13199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7839),
  [13201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5436),
  [13203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3427),
  [13205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(781),
  [13207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(373),
  [13209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2832),
  [13211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(374),
  [13213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2833),
  [13215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6124),
  [13217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2806),
  [13219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(426),
  [13221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(684),
  [13223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3928),
  [13225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7630),
  [13227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(756),
  [13229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(876),
  [13231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(848),
  [13233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1709),
  [13235] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_struct_type_repeat1, 1, 0, 0),
  [13237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7833),
  [13239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(90),
  [13241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(904),
  [13243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(688),
  [13245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1242),
  [13247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(67),
  [13249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2843),
  [13251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(375),
  [13253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2845),
  [13255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1205),
  [13257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(856),
  [13259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5352),
  [13261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(97),
  [13263] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__struct_members_repeat1, 2, 0, 0),
  [13265] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__struct_members_repeat1, 2, 0, 0), SHIFT_REPEAT(7378),
  [13268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(101),
  [13270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(102),
  [13272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(103),
  [13274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2121),
  [13276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7935),
  [13278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5201),
  [13280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(849),
  [13282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(105),
  [13284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1244),
  [13286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2851),
  [13288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2852),
  [13290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7852),
  [13292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5228),
  [13294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2853),
  [13296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(377),
  [13298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2856),
  [13300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1245),
  [13302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(850),
  [13304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2863),
  [13306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1363),
  [13308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5318),
  [13310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1286),
  [13312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(857),
  [13314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1312),
  [13316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3130),
  [13318] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_polymorphic_parameters_repeat1, 2, 0, 0), SHIFT_REPEAT(7934),
  [13321] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_polymorphic_parameters_repeat1, 2, 0, 0),
  [13323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5214),
  [13325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2880),
  [13327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7594),
  [13329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(853),
  [13331] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_declaration_repeat1, 2, 0, 0),
  [13333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1946),
  [13335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(75),
  [13337] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(8374),
  [13340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2890),
  [13342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2067),
  [13344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7626),
  [13346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1198),
  [13348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(855),
  [13350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(431),
  [13352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2113),
  [13354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1911),
  [13356] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__raw_string_literal_repeat1, 2, 0, 0),
  [13358] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__raw_string_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(7600),
  [13361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4510),
  [13363] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_union_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(5234),
  [13366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5446),
  [13368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3095),
  [13370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1216),
  [13372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(490),
  [13374] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_case_repeat1, 2, 0, 57), SHIFT_REPEAT(663),
  [13377] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_switch_case_repeat1, 2, 0, 57),
  [13379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3865),
  [13381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7429),
  [13383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4525),
  [13385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5099),
  [13387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(449),
  [13389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2399),
  [13391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(457),
  [13393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3784),
  [13395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3614),
  [13397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(868),
  [13399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5193),
  [13401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1937),
  [13403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(93),
  [13405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(458),
  [13407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3771),
  [13409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5301),
  [13411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4940),
  [13413] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_polymorphic_type_repeat1, 2, 0, 0), SHIFT_REPEAT(2459),
  [13416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(869),
  [13418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2076),
  [13420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4540),
  [13422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5422),
  [13424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3758),
  [13426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(775),
  [13428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1378),
  [13430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(469),
  [13432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2907),
  [13434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(382),
  [13436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2908),
  [13438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(452),
  [13440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3907),
  [13442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(908),
  [13444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(858),
  [13446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8335),
  [13448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4389),
  [13450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7662),
  [13452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(889),
  [13454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(777),
  [13456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(859),
  [13458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3054),
  [13460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5348),
  [13462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1407),
  [13464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3722),
  [13466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7893),
  [13468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5323),
  [13470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4796),
  [13472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3726),
  [13474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(385),
  [13476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2920),
  [13478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(386),
  [13480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2921),
  [13482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(85),
  [13484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4365),
  [13486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(861),
  [13488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1215),
  [13490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5097),
  [13492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3703),
  [13494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(387),
  [13496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2701),
  [13498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6585),
  [13500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6586),
  [13502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(778),
  [13504] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_import_declaration_repeat1, 2, 0, 0),
  [13506] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_import_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(6637),
  [13509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(862),
  [13511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2709),
  [13513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5162),
  [13515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3621),
  [13517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7910),
  [13519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3712),
  [13521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(389),
  [13523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2733),
  [13525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5170),
  [13527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6126),
  [13529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5002),
  [13531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6487),
  [13533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5176),
  [13535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(863),
  [13537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2746),
  [13539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1206),
  [13541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6127),
  [13543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1208),
  [13545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1209),
  [13547] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_polymorphic_parameters, 6, 0, 0),
  [13549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6529),
  [13551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5001),
  [13553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(450),
  [13555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2419),
  [13557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3157),
  [13559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7713),
  [13561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(866),
  [13563] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_polymorphic_parameters_repeat2, 2, 0, 0), SHIFT_REPEAT(7898),
  [13566] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_polymorphic_parameters_repeat2, 2, 0, 0),
  [13568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2265),
  [13570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7732),
  [13572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(405),
  [13574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3501),
  [13576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(406),
  [13578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3505),
  [13580] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attribute_repeat1, 2, 0, 0),
  [13582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6069),
  [13584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(795),
  [13586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3223),
  [13588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6531),
  [13590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6534),
  [13592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1387),
  [13594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(867),
  [13596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1400),
  [13598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(883),
  [13600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4948),
  [13602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7762),
  [13604] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__struct_members, 1, 0, 0),
  [13606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7049),
  [13608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(740),
  [13610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(721),
  [13612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7948),
  [13614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(885),
  [13616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4508),
  [13618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2276),
  [13620] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_repeat1, 2, 0, 0), SHIFT_REPEAT(8104),
  [13623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5213),
  [13625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3058),
  [13627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7846),
  [13629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6677),
  [13631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5043),
  [13633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5471),
  [13635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4669),
  [13637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4492),
  [13639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5243),
  [13641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6125),
  [13643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3467),
  [13645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(886),
  [13647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(290),
  [13649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3952),
  [13651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(393),
  [13653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3216),
  [13655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(291),
  [13657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3846),
  [13659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(394),
  [13661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3217),
  [13663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1967),
  [13665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(870),
  [13667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7590),
  [13669] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_field_repeat1, 4, 0, 0),
  [13671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7035),
  [13673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4594),
  [13675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8170),
  [13677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7179),
  [13679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8019),
  [13681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2207),
  [13683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6059),
  [13685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8138),
  [13687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7779),
  [13689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6929),
  [13691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6583),
  [13693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7464),
  [13695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8513),
  [13697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7919),
  [13699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7471),
  [13701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8217),
  [13703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(734),
  [13705] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field, 8, 0, 0),
  [13707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2446),
  [13709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7478),
  [13711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8194),
  [13713] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_member, 7, 0, 0),
  [13715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7485),
  [13717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7961),
  [13719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7101),
  [13721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8322),
  [13723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7493),
  [13725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8136),
  [13727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7501),
  [13729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8218),
  [13731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8234),
  [13733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8234),
  [13735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7814),
  [13737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8055),
  [13739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7505),
  [13741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8455),
  [13743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3547),
  [13745] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_field_repeat1, 3, 0, 0),
  [13747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7511),
  [13749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8485),
  [13751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6521),
  [13753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8167),
  [13755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8167),
  [13757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7518),
  [13759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8182),
  [13761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2728),
  [13763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7991),
  [13765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7991),
  [13767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7792),
  [13769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3436),
  [13771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7075),
  [13773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8505),
  [13775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(776),
  [13777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7925),
  [13779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3092),
  [13781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7977),
  [13783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7977),
  [13785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2860),
  [13787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8228),
  [13789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8228),
  [13791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8409),
  [13793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8409),
  [13795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4111),
  [13797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8473),
  [13799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8473),
  [13801] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_map_repeat1, 4, 0, 0),
  [13803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6968),
  [13805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8493),
  [13807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8493),
  [13809] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_struct_member_repeat1, 3, 0, 0),
  [13811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3392),
  [13813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8107),
  [13815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8107),
  [13817] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_polymorphic_parameters_repeat1, 3, 0, 0),
  [13819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7701),
  [13821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8379),
  [13823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(811),
  [13825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7785),
  [13827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2156),
  [13829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3695),
  [13831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6881),
  [13833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7080),
  [13835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8347),
  [13837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3687),
  [13839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7406),
  [13841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8332),
  [13843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2341),
  [13845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7853),
  [13847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8131),
  [13849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8312),
  [13851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8312),
  [13853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7808),
  [13855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8383),
  [13857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8058),
  [13859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8058),
  [13861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7798),
  [13863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4132),
  [13865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8420),
  [13867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8420),
  [13869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7890),
  [13871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(847),
  [13873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2660),
  [13875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(34),
  [13877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2235),
  [13879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(320),
  [13881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(901),
  [13883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(286),
  [13885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5293),
  [13887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [13889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8188),
  [13891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5035),
  [13893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5450),
  [13895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(991),
  [13897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(818),
  [13899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3935),
  [13901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7997),
  [13903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5373),
  [13905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(117),
  [13907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8174),
  [13909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5074),
  [13911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5039),
  [13913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(997),
  [13915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4979),
  [13917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(590),
  [13919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4159),
  [13921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6865),
  [13923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(664),
  [13925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6946),
  [13927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5434),
  [13929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8204),
  [13931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4947),
  [13933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5079),
  [13935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1003),
  [13937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8189),
  [13939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4985),
  [13941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5272),
  [13943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(535),
  [13945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8102),
  [13947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5046),
  [13949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4958),
  [13951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1009),
  [13953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4986),
  [13955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(944),
  [13957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(759),
  [13959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4963),
  [13961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8281),
  [13963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5211),
  [13965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5050),
  [13967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1016),
  [13969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5414),
  [13971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(509),
  [13973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5080),
  [13975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5218),
  [13977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5153),
  [13979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5084),
  [13981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5277),
  [13983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(804),
  [13985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5310),
  [13987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5337),
  [13989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1311),
  [13991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5378),
  [13993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5427),
  [13995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7761),
  [13997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5398),
  [13999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2773),
  [14001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5419),
  [14003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5458),
  [14005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(379),
  [14007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5493),
  [14009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4955),
  [14011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5012),
  [14013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1359),
  [14015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(119),
  [14017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4029),
  [14019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(538),
  [14021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5073),
  [14023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1066),
  [14025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(927),
  [14027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(610),
  [14029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4017),
  [14031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(304),
  [14033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(763),
  [14035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(351),
  [14037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(913),
  [14039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(414),
  [14041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7024),
  [14043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5423),
  [14045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7711),
  [14047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(746),
  [14049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3569),
  [14051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2400),
  [14053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6991),
  [14055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2743),
  [14057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1276),
  [14059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5308),
  [14061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(541),
  [14063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3292),
  [14065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [14067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5069),
  [14069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3170),
  [14071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1545),
  [14073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7896),
  [14075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(512),
  [14077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23),
  [14079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6981),
  [14081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(600),
  [14083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6900),
  [14085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8287),
  [14087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(178),
  [14089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7082),
  [14091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5241),
  [14093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1202),
  [14095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7038),
  [14097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5115),
  [14099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5118),
  [14101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1510),
  [14103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(624),
  [14105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(112),
  [14107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2041),
  [14109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(544),
  [14111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(56),
  [14113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(952),
  [14115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(622),
  [14117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1235),
  [14119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2891),
  [14121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3483),
  [14123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4810),
  [14125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3083),
  [14127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(32),
  [14129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(860),
  [14131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7023),
  [14133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(655),
  [14135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(547),
  [14137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1329),
  [14139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1441),
  [14141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(525),
  [14143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(29),
  [14145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6875),
  [14147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6930),
  [14149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3576),
  [14151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(391),
  [14153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1660),
  [14155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(144),
  [14157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(783),
  [14159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(582),
  [14161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7047),
  [14163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(749),
  [14165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7043),
  [14167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(25),
  [14169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(550),
  [14171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2233),
  [14173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1343),
  [14175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3587),
  [14177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4045),
  [14179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5068),
  [14181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2077),
  [14183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1212),
  [14185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6855),
  [14187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3766),
  [14189] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [14191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8141),
  [14193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8150),
  [14195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(416),
  [14197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5155),
  [14199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(553),
  [14201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5065),
  [14203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(959),
  [14205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2498),
  [14207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4808),
  [14209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [14211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6919),
  [14213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(532),
  [14215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [14217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6910),
  [14219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [14221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(632),
  [14223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6924),
  [14225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(872),
  [14227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(634),
  [14229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7101),
  [14231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(428),
  [14233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5358),
  [14235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4719),
  [14237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5361),
  [14239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(556),
  [14241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1461),
  [14243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5367),
  [14245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5143),
  [14247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5091),
  [14249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4374),
  [14251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1106),
  [14253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8273),
  [14255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5494),
  [14257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5160),
  [14259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7497),
  [14261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3533),
  [14263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(967),
  [14265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5157),
  [14267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1108),
  [14269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(881),
  [14271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5167),
  [14273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(710),
  [14275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1109),
  [14277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5173),
  [14279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5048),
  [14281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1251),
  [14283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1163),
  [14285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8111),
  [14287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5304),
  [14289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5257),
  [14291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5179),
  [14293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(559),
  [14295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(973),
  [14297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1110),
  [14299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7253),
  [14301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5183),
  [14303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(335),
  [14305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1111),
  [14307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5187),
  [14309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7510),
  [14311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(403),
  [14313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7888),
  [14315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1112),
  [14317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5191),
  [14319] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_calling_convention, 1, 0, 0),
  [14321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(615),
  [14323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1113),
  [14325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(55),
  [14327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5195),
  [14329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5390),
  [14331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1114),
  [14333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5064),
  [14335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5199),
  [14337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3224),
  [14339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1914),
  [14341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1115),
  [14343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7994),
  [14345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5202),
  [14347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5406),
  [14349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1116),
  [14351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5408),
  [14353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5204),
  [14355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(936),
  [14357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1117),
  [14359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1074),
  [14361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5376),
  [14363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5062),
  [14365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1118),
  [14367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(617),
  [14369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1119),
  [14371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1120),
  [14373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1121),
  [14375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1122),
  [14377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1123),
  [14379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1124),
  [14381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1125),
  [14383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1126),
  [14385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1127),
  [14387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(683),
  [14389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1164),
  [14391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1128),
  [14393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1165),
  [14395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1904),
  [14397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1130),
  [14399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(562),
  [14401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1131),
  [14403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6972),
  [14405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(834),
  [14407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8207),
  [14409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(648),
  [14411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(28),
  [14413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5384),
  [14415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7673),
  [14417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3040),
  [14419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5307),
  [14421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(979),
  [14423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1224),
  [14425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3352),
  [14427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5344),
  [14429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(110),
  [14431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3251),
  [14433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(517),
  [14435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2277),
  [14437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(603),
  [14439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7814),
  [14441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(564),
  [14443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(921),
  [14445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2538),
  [14447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(521),
  [14449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5475),
  [14451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1969),
  [14453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1167),
  [14455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7390),
  [14457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1973),
  [14459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1169),
  [14461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1977),
  [14463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1171),
  [14465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(888),
  [14467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1981),
  [14469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1173),
  [14471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5247),
  [14473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1985),
  [14475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1175),
  [14477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1989),
  [14479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1177),
  [14481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1993),
  [14483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1179),
  [14485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1997),
  [14487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1181),
  [14489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2001),
  [14491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1183),
  [14493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2005),
  [14495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1185),
  [14497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1186),
  [14499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1187),
  [14501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1188),
  [14503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5444),
  [14505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(529),
  [14507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(636),
  [14509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5447),
  [14511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2666),
  [14513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8444),
  [14515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1197),
  [14517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5479),
  [14519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5481),
  [14521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5449),
  [14523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5483),
  [14525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5340),
  [14527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5485),
  [14529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5385),
  [14531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(985),
  [14533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(923),
  [14535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(367),
  [14537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2030),
  [14539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2031),
  [14541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2032),
  [14543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2033),
  [14545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1901),
};

enum ts_external_scanner_symbol_identifiers {
  ts_external_token__newline = 0,
  ts_external_token__backslash = 1,
  ts_external_token__nl_comma = 2,
  ts_external_token_float = 3,
  ts_external_token_block_comment = 4,
  ts_external_token_LBRACE = 5,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token__newline] = sym__newline,
  [ts_external_token__backslash] = sym__backslash,
  [ts_external_token__nl_comma] = sym__nl_comma,
  [ts_external_token_float] = sym_float,
  [ts_external_token_block_comment] = sym_block_comment,
  [ts_external_token_LBRACE] = anon_sym_LBRACE,
};

static const bool ts_external_scanner_states[10][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token__newline] = true,
    [ts_external_token__backslash] = true,
    [ts_external_token__nl_comma] = true,
    [ts_external_token_float] = true,
    [ts_external_token_block_comment] = true,
    [ts_external_token_LBRACE] = true,
  },
  [2] = {
    [ts_external_token__backslash] = true,
    [ts_external_token_float] = true,
    [ts_external_token_block_comment] = true,
    [ts_external_token_LBRACE] = true,
  },
  [3] = {
    [ts_external_token__newline] = true,
    [ts_external_token__backslash] = true,
    [ts_external_token_float] = true,
    [ts_external_token_block_comment] = true,
    [ts_external_token_LBRACE] = true,
  },
  [4] = {
    [ts_external_token__newline] = true,
    [ts_external_token__backslash] = true,
    [ts_external_token_block_comment] = true,
    [ts_external_token_LBRACE] = true,
  },
  [5] = {
    [ts_external_token__backslash] = true,
    [ts_external_token_block_comment] = true,
    [ts_external_token_LBRACE] = true,
  },
  [6] = {
    [ts_external_token__newline] = true,
    [ts_external_token__backslash] = true,
    [ts_external_token_block_comment] = true,
  },
  [7] = {
    [ts_external_token__backslash] = true,
    [ts_external_token_block_comment] = true,
  },
  [8] = {
    [ts_external_token__newline] = true,
    [ts_external_token__backslash] = true,
    [ts_external_token__nl_comma] = true,
    [ts_external_token_block_comment] = true,
    [ts_external_token_LBRACE] = true,
  },
  [9] = {
    [ts_external_token__newline] = true,
    [ts_external_token__backslash] = true,
    [ts_external_token__nl_comma] = true,
    [ts_external_token_block_comment] = true,
  },
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_odin_external_scanner_create(void);
void tree_sitter_odin_external_scanner_destroy(void *);
bool tree_sitter_odin_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_odin_external_scanner_serialize(void *, char *);
void tree_sitter_odin_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_odin(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_identifier,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_odin_external_scanner_create,
      tree_sitter_odin_external_scanner_destroy,
      tree_sitter_odin_external_scanner_scan,
      tree_sitter_odin_external_scanner_serialize,
      tree_sitter_odin_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
